/*!
 * Lighthouse v8.1.0 579e3cb63da401420b150eb790235ca34d28523b (July 13th 2021)
 * 
 * Automated auditing, performance metrics, and best practices for the web.
 * 
 * @homepage https://github.com/GoogleChrome/lighthouse#readme
 * @author   The Lighthouse Authors
 * @license  Apache-2.0
 */
require=function r(e,s,t){function o(a,n){if(!s[a]){if(!e[a]){var l="function"==typeof require&&require;if(!n&&l)return l(a,!0);if(i)return i(a,!0);var u=new Error("Cannot find module '"+a+"'");throw u.code="MODULE_NOT_FOUND",u}var c=s[a]={exports:{}};e[a][0].call(c.exports,(function(s){return o(e[a][1][s]||s)}),c,c.exports,r,e,s,t)}return s[a].exports}for(var i="function"==typeof require&&require,a=0;a<t.length;a++)o(t[a]);return o}({"../audits/accessibility/accesskeys":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[accesskey]` values are unique",failureTitle:"`[accesskey]` values are not unique",description:"Access keys let users quickly focus a part of the page. For proper navigation, each access key must be unique. [Learn more](https://web.dev/accesskeys/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class Accesskeys extends i{static get meta(){return{id:"accesskeys",title:l(n.title),
failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/accesskeys.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-allowed-attr":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[aria-*]` attributes match their roles",failureTitle:"`[aria-*]` attributes do not match their roles",description:"Each ARIA `role` supports a specific subset of `aria-*` attributes. Mismatching these invalidates the `aria-*` attributes. [Learn more](https://web.dev/aria-allowed-attr/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ARIAAllowedAttr extends i{static get meta(){return{id:"aria-allowed-attr",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/accessibility/aria-allowed-attr.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-command-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`button`, `link`, and `menuitem` elements have accessible names",failureTitle:"`button`, `link`, and `menuitem` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaCommandName extends i{static get meta(){return{id:"aria-command-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/accessibility/aria-command-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-hidden-body":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'`[aria-hidden="true"]` is not present on the document `<body>`',failureTitle:'`[aria-hidden="true"]` is present on the document `<body>`',description:'Assistive technologies, like screen readers, work inconsistently when `aria-hidden="true"` is set on the document `<body>`. [Learn more](https://web.dev/aria-hidden-body/).'},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaHiddenBody extends i{static get meta(){return{id:"aria-hidden-body",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-hidden-body.js")},{"../../lib/i18n/i18n.js":97,
"./axe-audit.js":2}],"../audits/accessibility/aria-hidden-focus":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'`[aria-hidden="true"]` elements do not contain focusable descendents',failureTitle:'`[aria-hidden="true"]` elements contain focusable descendents',description:'Focusable descendents within an `[aria-hidden="true"]` element prevent those interactive elements from being available to users of assistive technologies like screen readers. [Learn more](https://web.dev/aria-hidden-focus/).'},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaHiddenFocus extends i{static get meta(){return{id:"aria-hidden-focus",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-hidden-focus.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],
"../audits/accessibility/aria-input-field-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"ARIA input fields have accessible names",failureTitle:"ARIA input fields do not have accessible names",description:"When an input field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaInputFieldName extends i{static get meta(){return{id:"aria-input-field-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-input-field-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-meter-name":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"ARIA `meter` elements have accessible names",failureTitle:"ARIA `meter` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaMeterName extends i{static get meta(){return{id:"aria-meter-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-meter-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-progressbar-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={
title:"ARIA `progressbar` elements have accessible names",failureTitle:"ARIA `progressbar` elements do not have accessible names.",description:"When a `progressbar` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaProgressbarName extends i{static get meta(){return{id:"aria-progressbar-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-progressbar-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-required-attr":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[role]`s have all required `[aria-*]` attributes",
failureTitle:"`[role]`s do not have all required `[aria-*]` attributes",description:"Some ARIA roles have required attributes that describe the state of the element to screen readers. [Learn more](https://web.dev/aria-required-attr/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ARIARequiredAttr extends i{static get meta(){return{id:"aria-required-attr",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-required-attr.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-required-children":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` have all required children.",
failureTitle:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` are missing some or all of those required children.",description:"Some ARIA parent roles must contain specific child roles to perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-children/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaRequiredChildren extends i{static get meta(){return{id:"aria-required-children",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-required-children.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-required-parent":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[role]`s are contained by their required parent element",
failureTitle:"`[role]`s are not contained by their required parent element",description:"Some ARIA child roles must be contained by specific parent roles to properly perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-parent/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaRequiredParent extends i{static get meta(){return{id:"aria-required-parent",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-required-parent.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-roles":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[role]` values are valid",failureTitle:"`[role]` values are not valid",
description:"ARIA roles must have valid values in order to perform their intended accessibility functions. [Learn more](https://web.dev/aria-roles/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaRoles extends i{static get meta(){return{id:"aria-roles",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-roles.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-toggle-field-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"ARIA toggle fields have accessible names",failureTitle:"ARIA toggle fields do not have accessible names",
description:"When a toggle field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaToggleFieldName extends i{static get meta(){return{id:"aria-toggle-field-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-toggle-field-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-tooltip-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"ARIA `tooltip` elements have accessible names",failureTitle:"ARIA `tooltip` elements do not have accessible names.",
description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaTooltipName extends i{static get meta(){return{id:"aria-tooltip-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-tooltip-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-treeitem-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"ARIA `treeitem` elements have accessible names",failureTitle:"ARIA `treeitem` elements do not have accessible names.",
description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AriaTreeitemName extends i{static get meta(){return{id:"aria-treeitem-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-treeitem-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-valid-attr-value":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[aria-*]` attributes have valid values",failureTitle:"`[aria-*]` attributes do not have valid values",
description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid values. [Learn more](https://web.dev/aria-valid-attr-value/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ARIAValidAttr extends i{static get meta(){return{id:"aria-valid-attr-value",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-valid-attr-value.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/aria-valid-attr":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[aria-*]` attributes are valid and not misspelled",failureTitle:"`[aria-*]` attributes are not valid or misspelled",
description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid names. [Learn more](https://web.dev/aria-valid-attr/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ARIAValidAttr extends i{static get meta(){return{id:"aria-valid-attr",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/aria-valid-attr.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/button-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Buttons have an accessible name",failureTitle:"Buttons do not have an accessible name",
description:'When a button doesn\'t have an accessible name, screen readers announce it as "button", making it unusable for users who rely on screen readers. [Learn more](https://web.dev/button-name/).'},l=a.createMessageInstanceIdFn(t,n);s.exports=class ButtonName extends i{static get meta(){return{id:"button-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/button-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/bypass":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"The page contains a heading, skip link, or landmark region",failureTitle:"The page does not contain a heading, skip link, or landmark region",
description:"Adding ways to bypass repetitive content lets keyboard users navigate the page more efficiently. [Learn more](https://web.dev/bypass/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class Bypass extends i{static get meta(){return{id:"bypass",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/bypass.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/color-contrast":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Background and foreground colors have a sufficient contrast ratio",failureTitle:"Background and foreground colors do not have a sufficient contrast ratio.",description:"Low-contrast text is difficult or impossible for many users to read. [Learn more](https://web.dev/color-contrast/)."
},l=a.createMessageInstanceIdFn(t,n);s.exports=class ColorContrast extends i{static get meta(){return{id:"color-contrast",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/color-contrast.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/definition-list":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`<dl>`'s contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",failureTitle:"`<dl>`'s do not contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",description:"When definition lists are not properly marked up, screen readers may produce confusing or inaccurate output. [Learn more](https://web.dev/definition-list/)."
},l=a.createMessageInstanceIdFn(t,n);s.exports=class DefinitionList extends i{static get meta(){return{id:"definition-list",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/definition-list.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/dlitem":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Definition list items are wrapped in `<dl>` elements",failureTitle:"Definition list items are not wrapped in `<dl>` elements",description:"Definition list items (`<dt>` and `<dd>`) must be wrapped in a parent `<dl>` element to ensure that screen readers can properly announce them. [Learn more](https://web.dev/dlitem/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class DLItem extends i{static get meta(){return{id:"dlitem",title:l(n.title),
failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/dlitem.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/document-title":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Document has a `<title>` element",failureTitle:"Document doesn't have a `<title>` element",description:"The title gives screen reader users an overview of the page, and search engine users rely on it heavily to determine if a page is relevant to their search. [Learn more](https://web.dev/document-title/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class DocumentTitle extends i{static get meta(){return{id:"document-title",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/accessibility/document-title.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/duplicate-id-active":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[id]` attributes on active, focusable elements are unique",failureTitle:"`[id]` attributes on active, focusable elements are not unique",description:"All focusable elements must have a unique `id` to ensure that they're visible to assistive technologies. [Learn more](https://web.dev/duplicate-id-active/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class DuplicateIdActive extends i{static get meta(){return{id:"duplicate-id-active",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/duplicate-id-active.js")},{"../../lib/i18n/i18n.js":97,
"./axe-audit.js":2}],"../audits/accessibility/duplicate-id-aria":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"ARIA IDs are unique",failureTitle:"ARIA IDs are not unique",description:"The value of an ARIA ID must be unique to prevent other instances from being overlooked by assistive technologies. [Learn more](https://web.dev/duplicate-id-aria/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class DuplicateIdAria extends i{static get meta(){return{id:"duplicate-id-aria",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/duplicate-id-aria.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/form-field-multiple-labels":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={
title:"No form fields have multiple labels",failureTitle:"Form fields have multiple labels",description:"Form fields with multiple labels can be confusingly announced by assistive technologies like screen readers which use either the first, the last, or all of the labels. [Learn more](https://web.dev/form-field-multiple-labels/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class FormFieldMultipleLabels extends i{static get meta(){return{id:"form-field-multiple-labels",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/form-field-multiple-labels.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/frame-title":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={
title:"`<frame>` or `<iframe>` elements have a title",failureTitle:"`<frame>` or `<iframe>` elements do not have a title",description:"Screen reader users rely on frame titles to describe the contents of frames. [Learn more](https://web.dev/frame-title/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class FrameTitle extends i{static get meta(){return{id:"frame-title",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/frame-title.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/heading-order":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Heading elements appear in a sequentially-descending order",failureTitle:"Heading elements are not in a sequentially-descending order",
description:"Properly ordered headings that do not skip levels convey the semantic structure of the page, making it easier to navigate and understand when using assistive technologies. [Learn more](https://web.dev/heading-order/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class HeadingOrder extends i{static get meta(){return{id:"heading-order",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/heading-order.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/html-has-lang":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`<html>` element has a `[lang]` attribute",failureTitle:"`<html>` element does not have a `[lang]` attribute",
description:"If a page doesn't specify a lang attribute, a screen reader assumes that the page is in the default language that the user chose when setting up the screen reader. If the page isn't actually in the default language, then the screen reader might not announce the page's text correctly. [Learn more](https://web.dev/html-has-lang/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class HTMLHasLang extends i{static get meta(){return{id:"html-has-lang",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/html-has-lang.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/html-lang-valid":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`<html>` element has a valid value for its `[lang]` attribute",
failureTitle:"`<html>` element does not have a valid value for its `[lang]` attribute.",description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) helps screen readers announce text properly. [Learn more](https://web.dev/html-lang-valid/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class HTMLLangValid extends i{static get meta(){return{id:"html-lang-valid",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/html-lang-valid.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/image-alt":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Image elements have `[alt]` attributes",failureTitle:"Image elements do not have `[alt]` attributes",
description:"Informative elements should aim for short, descriptive alternate text. Decorative elements can be ignored with an empty alt attribute. [Learn more](https://web.dev/image-alt/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ImageAlt extends i{static get meta(){return{id:"image-alt",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/image-alt.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/input-image-alt":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'`<input type="image">` elements have `[alt]` text',failureTitle:'`<input type="image">` elements do not have `[alt]` text',
description:"When an image is being used as an `<input>` button, providing alternative text can help screen reader users understand the purpose of the button. [Learn more](https://web.dev/input-image-alt/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class InputImageAlt extends i{static get meta(){return{id:"input-image-alt",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/input-image-alt.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/label":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Form elements have associated labels",failureTitle:"Form elements do not have associated labels",
description:"Labels ensure that form controls are announced properly by assistive technologies, like screen readers. [Learn more](https://web.dev/label/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class Label extends i{static get meta(){return{id:"label",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/label.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/link-name":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Links have a discernible name",failureTitle:"Links do not have a discernible name",description:"Link text (and alternate text for images, when used as links) that is discernible, unique, and focusable improves the navigation experience for screen reader users. [Learn more](https://web.dev/link-name/)."
},l=a.createMessageInstanceIdFn(t,n);s.exports=class LinkName extends i{static get meta(){return{id:"link-name",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/link-name.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/listitem":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"List items (`<li>`) are contained within `<ul>` or `<ol>` parent elements",failureTitle:"List items (`<li>`) are not contained within `<ul>` or `<ol>` parent elements.",description:"Screen readers require list items (`<li>`) to be contained within a parent `<ul>` or `<ol>` to be announced properly. [Learn more](https://web.dev/listitem/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ListItem extends i{static get meta(){return{id:"listitem",
title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/listitem.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/list":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Lists contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",failureTitle:"Lists do not contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",description:"Screen readers have a specific way of announcing lists. Ensuring proper list structure aids screen reader output. [Learn more](https://web.dev/list/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class List extends i{static get meta(){return{id:"list",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),
requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/list.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/manual/custom-controls-labels":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class CustomControlsLabels extends i{static get meta(){return Object.assign({id:"custom-controls-labels",description:"Custom interactive controls have associated labels, provided by aria-label or aria-labelledby. [Learn more](https://web.dev/custom-controls-labels/).",title:"Custom controls have associated labels"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/custom-controls-roles":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class CustomControlsRoles extends i{static get meta(){return Object.assign({id:"custom-controls-roles",
description:"Custom interactive controls have appropriate ARIA roles. [Learn more](https://web.dev/custom-control-roles/).",title:"Custom controls have ARIA roles"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/focus-traps":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class FocusTraps extends i{static get meta(){return Object.assign({id:"focus-traps",description:"A user can tab into and out of any control or region without accidentally trapping their focus. [Learn more](https://web.dev/focus-traps/).",title:"User focus is not accidentally trapped in a region"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/focusable-controls":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class FocusableControls extends i{static get meta(){return Object.assign({id:"focusable-controls",
description:"Custom interactive controls are keyboard focusable and display a focus indicator. [Learn more](https://web.dev/focusable-controls/).",title:"Interactive controls are keyboard focusable"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/interactive-element-affordance":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class InteractiveElementAffordance extends i{static get meta(){return Object.assign({id:"interactive-element-affordance",description:"Interactive elements, such as links and buttons, should indicate their state and be distinguishable from non-interactive elements. [Learn more](https://web.dev/interactive-element-affordance/).",title:"Interactive elements indicate their purpose and state"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/logical-tab-order":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js")
;s.exports=class LogicalTabOrder extends i{static get meta(){return Object.assign({id:"logical-tab-order",description:"Tabbing through the page follows the visual layout. Users cannot focus elements that are offscreen. [Learn more](https://web.dev/logical-tab-order/).",title:"The page has a logical tab order"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/managed-focus":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class ManagedFocus extends i{static get meta(){return Object.assign({id:"managed-focus",description:"If new content, such as a dialog, is added to the page, the user's focus is directed to it. [Learn more](https://web.dev/managed-focus/).",title:"The user's focus is directed to new content added to the page"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/offscreen-content-hidden":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js")
;s.exports=class OffscreenContentHidden extends i{static get meta(){return Object.assign({id:"offscreen-content-hidden",description:"Offscreen content is hidden with display: none or aria-hidden=true. [Learn more](https://web.dev/offscreen-content-hidden/).",title:"Offscreen content is hidden from assistive technology"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/use-landmarks":[function(e,s,t){"use strict";const i=e("../../manual/manual-audit.js");s.exports=class UseLandmarks extends i{static get meta(){return Object.assign({id:"use-landmarks",description:"Landmark elements (<main>, <nav>, etc.) are used to improve the keyboard navigation of the page for assistive technology. [Learn more](https://web.dev/use-landmarks/).",title:"HTML5 landmark elements are used to improve navigation"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/manual/visual-order-follows-dom":[function(e,s,t){"use strict"
;const i=e("../../manual/manual-audit.js");s.exports=class VisualOrderFollowsDOM extends i{static get meta(){return Object.assign({id:"visual-order-follows-dom",description:"DOM order matches the visual order, improving navigation for assistive technology. [Learn more](https://web.dev/visual-order-follows-dom/).",title:"Visual order on the page follows DOM order"},super.partialMeta)}}},{"../../manual/manual-audit.js":6}],"../audits/accessibility/meta-refresh":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'The document does not use `<meta http-equiv="refresh">`',failureTitle:'The document uses `<meta http-equiv="refresh">`',description:"Users do not expect a page to refresh automatically, and doing so will move focus back to the top of the page. This may create a frustrating or confusing experience. [Learn more](https://web.dev/meta-refresh/)."},l=a.createMessageInstanceIdFn(t,n)
;s.exports=class MetaRefresh extends i{static get meta(){return{id:"meta-refresh",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/meta-refresh.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/meta-viewport":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'`[user-scalable="no"]` is not used in the `<meta name="viewport">` element and the `[maximum-scale]` attribute is not less than 5.',failureTitle:'`[user-scalable="no"]` is used in the `<meta name="viewport">` element or the `[maximum-scale]` attribute is less than 5.',description:"Disabling zooming is problematic for users with low vision who rely on screen magnification to properly see the contents of a web page. [Learn more](https://web.dev/meta-viewport/)."
},l=a.createMessageInstanceIdFn(t,n);s.exports=class MetaViewport extends i{static get meta(){return{id:"meta-viewport",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/meta-viewport.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/object-alt":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`<object>` elements have `[alt]` text",failureTitle:"`<object>` elements do not have `[alt]` text",description:"Screen readers cannot translate non-text content. Adding alt text to `<object>` elements helps screen readers convey meaning to users. [Learn more](https://web.dev/object-alt/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ObjectAlt extends i{static get meta(){return{id:"object-alt",title:l(n.title),
failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/object-alt.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/tabindex":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"No element has a `[tabindex]` value greater than 0",failureTitle:"Some elements have a `[tabindex]` value greater than 0",description:"A value greater than 0 implies an explicit navigation ordering. Although technically valid, this often creates frustrating experiences for users who rely on assistive technologies. [Learn more](https://web.dev/tabindex/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class TabIndex extends i{static get meta(){return{id:"tabindex",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},
s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/tabindex.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/td-headers-attr":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Cells in a `<table>` element that use the `[headers]` attribute refer to table cells within the same table.",failureTitle:"Cells in a `<table>` element that use the `[headers]` attribute refer to an element `id` not found within the same table.",description:"Screen readers have features to make navigating tables easier. Ensuring `<td>` cells using the `[headers]` attribute only refer to other cells in the same table may improve the experience for screen reader users. [Learn more](https://web.dev/td-headers-attr/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class TDHeadersAttr extends i{static get meta(){return{id:"td-headers-attr",title:l(n.title),
failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/td-headers-attr.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/th-has-data-cells":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` have data cells they describe.',failureTitle:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` do not have data cells they describe.',description:"Screen readers have features to make navigating tables easier. Ensuring table headers always refer to some set of cells may improve the experience for screen reader users. [Learn more](https://web.dev/th-has-data-cells/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class THHasDataCells extends i{static get meta(){return{
id:"th-has-data-cells",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/th-has-data-cells.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/valid-lang":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"`[lang]` attributes have a valid value",failureTitle:"`[lang]` attributes do not have a valid value",description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) on elements helps ensure that text is pronounced correctly by a screen reader. [Learn more](https://web.dev/valid-lang/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ValidLang extends i{static get meta(){return{id:"valid-lang",title:l(n.title),failureTitle:l(n.failureTitle),
description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/valid-lang.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/accessibility/video-caption":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./axe-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:'`<video>` elements contain a `<track>` element with `[kind="captions"]`',failureTitle:'`<video>` elements do not contain a `<track>` element with `[kind="captions"]`.',description:"When a video provides a caption it is easier for deaf and hearing impaired users to access its information. [Learn more](https://web.dev/video-caption/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class VideoCaption extends i{static get meta(){return{id:"video-caption",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Accessibility"]}}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/accessibility/video-caption.js")},{"../../lib/i18n/i18n.js":97,"./axe-audit.js":2}],"../audits/apple-touch-icon":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n={title:"Provides a valid `apple-touch-icon`",failureTitle:"Does not provide a valid `apple-touch-icon`",description:"For ideal appearance on iOS when users add a progressive web app to the home screen, define an `apple-touch-icon`. It must point to a non-transparent 192px (or 180px) square PNG. [Learn More](https://web.dev/apple-touch-icon/).",precomposedWarning:"`apple-touch-icon-precomposed` is out of date; `apple-touch-icon` is preferred."},l=a.createMessageInstanceIdFn(t,n);s.exports=class AppleTouchIcon extends i{static get meta(){return{id:"apple-touch-icon",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements"]}}static audit(e){
const s=e.LinkElements.filter((e=>"apple-touch-icon"===e.rel||"apple-touch-icon-precomposed"===e.rel)).filter((e=>!!e.href)),t=0!==s.length,i=[];return 0!==s.filter((e=>"apple-touch-icon-precomposed"===e.rel)).length&&0===s.filter((e=>"apple-touch-icon"===e.rel)).length&&i.push(l(n.precomposedWarning)),{score:t?1:0,warnings:i}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/apple-touch-icon.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/autocomplete":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("lighthouse-logger"),l={title:"`<input>` elements correctly use `autocomplete`",failureTitle:"`<input>` elements do not have correct `autocomplete` attributes",
description:"`autocomplete` helps users submit forms quicker. To reduce user effort, consider enabling by setting the `autocomplete` attribute to a valid value. [Learn more](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)",columnSuggestions:"Suggested Token",columnCurrent:"Current Value",warningInvalid:'`autocomplete` token(s): "{token}" is invalid in {snippet}',warningOrder:'Review order of tokens: "{tokens}" in {snippet}',reviewOrder:"Review order of tokens",manualReview:"Requires manual review"
},u=a.createMessageInstanceIdFn(t,l),c=["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","one-time-code","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","tel","tel-country-code","tel-national","tel-area-code","on","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp","off","additional-name-initial","home","work","mobile","fax","pager","shipping","billing"],d=["NO_SERVER_DATA","UNKNOWN_TYPE","EMPTY_TYPE","HTML_TYPE_UNSPECIFIED","HTML_TYPE_UNRECOGNIZED"],m={
NO_SERVER_DATA:u(l.manualReview),UNKNOWN_TYPE:u(l.manualReview),EMPTY_TYPE:u(l.manualReview),NAME_FIRST:"given-name",NAME_MIDDLE:"additional-name",NAME_LAST:"family-name",NAME_FULL:"name",NAME_MIDDLE_INITIAL:"additional-name-initial",NAME_SUFFIX:"honorific-suffix",NAME_BILLING_FIRST:"billing given-name",NAME_BILLING_MIDDLE:"billing additional-name",NAME_BILLING_LAST:"billing family-name",NAME_BILLING_MIDDLE_INITIAL:"billing additional-name-initial",NAME_BILLING_FULL:"billing name",NAME_BILLING_SUFFIX:"billing honorific-suffix",EMAIL_ADDRESS:"email",MERCHANT_EMAIL_SIGNUP:"email",PHONE_HOME_NUMBER:"tel-local",PHONE_HOME_CITY_CODE:"tel-area-code",PHONE_HOME_COUNTRY_CODE:"tel-country-code",PHONE_HOME_CITY_AND_NUMBER:"tel-national",PHONE_HOME_WHOLE_NUMBER:"tel",PHONE_HOME_EXTENSION:"tel-extension",PHONE_BILLING_NUMBER:"billing tel-local",PHONE_BILLING_CITY_CODE:"billing tel-area-code",PHONE_BILLING_COUNTRY_CODE:"tel-country-code",PHONE_BILLING_CITY_AND_NUMBER:"tel-national",
PHONE_BILLING_WHOLE_NUMBER:"tel",ADDRESS_HOME_STREET_ADDRESS:"street-address",ADDRESS_HOME_LINE1:"address-line1",ADDRESS_HOME_LINE2:"address-line2",ADDRESS_HOME_LINE3:"address-line3",ADDRESS_HOME_STATE:"address-level1",ADDRESS_HOME_CITY:"address-level2",ADDRESS_HOME_DEPENDENT_LOCALITY:"address-level3",ADDRESS_HOME_ZIP:"postal-code",ADDRESS_HOME_COUNTRY:"country-name",ADDRESS_BILLING_DEPENDENT_LOCALITY:"billing address-level3",ADDRESS_BILLING_STREET_ADDRESS:"billing street-address",ADDRESS_BILLING_LINE1:"billing address-line1",ADDRESS_BILLING_LINE2:"billing address-line2",ADDRESS_BILLING_LINE3:"billing address-line3",ADDRESS_BILLING_APT_NUM:"billing address-level3",ADDRESS_BILLING_CITY:"billing address-level2",ADDRESS_BILLING_STATE:"billing address-level1",ADDRESS_BILLING_ZIP:"billing postal-code",ADDRESS_BILLING_COUNTRY:"billing country-name",CREDIT_CARD_NAME_FULL:"cc-name",CREDIT_CARD_NAME_FIRST:"cc-given-name",CREDIT_CARD_NAME_LAST:"cc-family-name",CREDIT_CARD_NUMBER:"cc-number",
CREDIT_CARD_EXP_MONTH:"cc-exp-month",CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp",CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp",CREDIT_CARD_TYPE:"cc-type",CREDIT_CARD_VERIFICATION_CODE:"cc-csc",COMPANY_NAME:"organization",PASSWORD:"current-password",ACCOUNT_CREATION_PASSWORD:"new-password",HTML_TYPE_UNSPECIFIED:u(l.manualReview),HTML_TYPE_NAME:"name",HTML_TYPE_HONORIFIC_PREFIX:"honorific-prefix",HTML_TYPE_GIVEN_NAME:"given-name",HTML_TYPE_ADDITIONAL_NAME:"additional-name",HTML_TYPE_FAMILY_NAME:"family-name",HTML_TYPE_ORGANIZATION:"organization",HTML_TYPE_STREET_ADDRESS:"street-address",HTML_TYPE_ADDRESS_LINE1:"address-line1",HTML_TYPE_ADDRESS_LINE2:"address-line2",HTML_TYPE_ADDRESS_LINE3:"address-line3",HTML_TYPE_ADDRESS_LEVEL1:"address-level1",HTML_TYPE_ADDRESS_LEVEL2:"address-level2",HTML_TYPE_ADDRESS_LEVEL3:"address-level3",HTML_TYPE_COUNTRY_CODE:"tel-country-code",HTML_TYPE_COUNTRY_NAME:"country-name",
HTML_TYPE_POSTAL_CODE:"postal-code",HTML_TYPE_FULL_ADDRESS:"street-address",HTML_TYPE_CREDIT_CARD_NAME_FULL:"cc-name",HTML_TYPE_CREDIT_CARD_NAME_FIRST:"cc-given-name",HTML_TYPE_CREDIT_CARD_NAME_LAST:"cc-family-name",HTML_TYPE_CREDIT_CARD_NUMBER:"cc-number",HTML_TYPE_CREDIT_CARD_EXP:"cc-exp",HTML_TYPE_CREDIT_CARD_EXP_MONTH:"cc-exp-month",HTML_TYPE_CREDIT_CARD_EXP_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_VERIFICATION_CODE:"cc-csc",HTML_TYPE_CREDIT_CARD_TYPE:"cc-csc",HTML_TYPE_TEL:"tel",HTML_TYPE_TEL_COUNTRY_CODE:"tel-country-code",HTML_TYPE_TEL_NATIONAL:"tel-national",HTML_TYPE_TEL_AREA_CODE:"tel-area-code",HTML_TYPE_TEL_LOCAL:"tel-local",HTML_TYPE_TEL_LOCAL_PREFIX:"tel-local-prefix",HTML_TYPE_TEL_LOCAL_SUFFIX:"tel-local-suffix",HTML_TYPE_TEL_EXTENSION:"tel-extension",HTML_TYPE_EMAIL:"email",HTML_TYPE_ADDITIONAL_NAME_INITIAL:"additional-name-initial",HTML_TYPE_CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp-year",
HTML_TYPE_CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_UPI_VPA:u(l.manualReview),HTML_TYPE_ONE_TIME_CODE:"one-time-code",HTML_TYPE_UNRECOGNIZED:u(l.manualReview),HTML_TYPE_TRANSACTION_AMOUNT:"transaction-amount",HTML_TYPE_TRANSACTION_CURRENCY:"transaction-currency"};s.exports=class AutocompleteAudit extends i{static get meta(){return{id:"autocomplete",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["FormElements"]}}static checkAttributeValidity(e){if(!e.autocomplete.attribute)return{hasValidTokens:!1};const s=e.autocomplete.attribute.split(" ");for(const e of s)if("section-"!==e.slice(0,8)&&!c.includes(e))return{hasValidTokens:!1};return e.autocomplete.property?{hasValidTokens:!0,isValidOrder:!0}:{hasValidTokens:!0,isValidOrder:!1}}static audit(e){const s=e.FormElements,t=[],c=[];let g=!1;for(const e of s)for(const s of e.inputs){const e=this.checkAttributeValidity(s)
;if(e.hasValidTokens&&e.isValidOrder)continue;if(!s.autocomplete.prediction)continue;if(d.includes(s.autocomplete.prediction)&&!s.autocomplete.attribute)continue;g=!0;let a=m[s.autocomplete.prediction];s.autocomplete.attribute||(s.autocomplete.attribute=""),s.autocomplete.attribute&&c.push(u(l.warningInvalid,{token:s.autocomplete.attribute,snippet:s.node.snippet})),!1===e.isValidOrder&&(c.push(u(l.warningOrder,{tokens:s.autocomplete.attribute,snippet:s.node.snippet})),a=l.reviewOrder),s.autocomplete.prediction in m||!e.isValidOrder?t.push({node:i.makeNodeItem(s.node),suggestion:a,current:s.autocomplete.attribute}):n.warn(`Autocomplete prediction (${s.autocomplete.prediction})\n             not found in our mapping`)}const h=[{key:"node",itemType:"node",text:u(a.UIStrings.columnFailingElem)},{key:"current",itemType:"text",text:u(l.columnCurrent)},{key:"suggestion",itemType:"text",text:u(l.columnSuggestions)}],p=i.makeTableDetails(h,t);let b
;return t.length>0&&(b=u(a.UIStrings.displayValueElementsFound,{nodeCount:t.length})),{score:t.length>0?0:1,notApplicable:!g,displayValue:b,details:p,warnings:c}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/autocomplete.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3,"lighthouse-logger":237}],"../audits/bootup-time":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/network-request.js"),{taskGroups:n}=e("../lib/tracehouse/task-groups.js"),l=e("../lib/i18n/i18n.js"),u=e("../computed/network-records.js"),c=e("../computed/main-thread-tasks.js"),d={title:"JavaScript execution time",failureTitle:"Reduce JavaScript execution time",description:"Consider reducing the time spent parsing, compiling, and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/bootup-time/).",columnTotal:"Total CPU Time",columnScriptEval:"Script Evaluation",columnScriptParse:"Script Parse",
chromeExtensionsWarning:"Chrome extensions negatively affected this page's load performance. Try auditing the page in incognito mode or from a Chrome profile without extensions."},m=l.createMessageInstanceIdFn(t,d),g=new Set(["CpuProfiler::StartProfiling"]),h=new Set(["V8.GCCompactor","MajorGC","MinorGC"]);class BootupTime extends i{static get meta(){return{id:"bootup-time",title:m(d.title),failureTitle:m(d.failureTitle),description:m(d.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs"]}}static get defaultOptions(){return{p10:1282,median:3500,thresholdInMs:50}}static getJavaScriptURLs(e){const s=new Set;for(const t of e)t.resourceType===a.TYPES.Script&&s.add(t.url);return s}static getAttributableURLForTask(e,s){const t=e.attributableURLs.find((e=>s.has(e))),i=e.attributableURLs[0];let a=t||i;return a&&"about:blank"!==a||(a=g.has(e.event.name)?"Browser":h.has(e.event.name)?"Browser GC":"Unattributable"),a}
static getExecutionTimingsByURL(e,s){const t=new Map;for(const i of e){const e=BootupTime.getAttributableURLForTask(i,s),a=t.get(e)||{},n=a[i.group.id]||0;a[i.group.id]=n+i.selfTime,t.set(e,a)}return t}static async audit(e,s){const t=s.settings||{},a=e.traces[BootupTime.DEFAULT_PASS],g=e.devtoolsLogs[BootupTime.DEFAULT_PASS],h=await u.request(g,s),p=await c.request(a,s),b="simulate"===t.throttlingMethod?t.throttling.cpuSlowdownMultiplier:1,f=BootupTime.getJavaScriptURLs(h),v=BootupTime.getExecutionTimingsByURL(p,f);let j=!1,k=0;const y=Array.from(v).map((([e,t])=>{let i=0;for(const[e,s]of Object.entries(t))t[e]=s*b,i+=s*b;const a=t[n.scriptEvaluation.id]||0,l=t[n.scriptParseCompile.id]||0;return i>=s.options.thresholdInMs&&(k+=a+l),j=j||e.startsWith("chrome-extension:")&&a>100,{url:e,total:i,scripting:a,scriptParseCompile:l}})).filter((e=>e.total>=s.options.thresholdInMs)).sort(((e,s)=>s.total-e.total));let w;j&&(w=[m(d.chromeExtensionsWarning)]);const z={wastedMs:k},T=[{key:"url",
itemType:"url",text:m(l.UIStrings.columnURL)},{key:"total",granularity:1,itemType:"ms",text:m(d.columnTotal)},{key:"scripting",granularity:1,itemType:"ms",text:m(d.columnScriptEval)},{key:"scriptParseCompile",granularity:1,itemType:"ms",text:m(d.columnScriptParse)}],S=BootupTime.makeTableDetails(T,y,z);return{score:i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},k),numericValue:k,numericUnit:"millisecond",displayValue:k>0?m(l.UIStrings.seconds,{timeInMs:k}):"",details:S,runWarnings:w}}}s.exports=BootupTime,s.exports.UIStrings=d}).call(this)}).call(this,"/lighthouse-core/audits/bootup-time.js")},{"../computed/main-thread-tasks.js":15,"../computed/network-records.js":40,"../lib/i18n/i18n.js":97,"../lib/network-request.js":158,"../lib/tracehouse/task-groups.js":168,"./audit.js":3}],"../audits/byte-efficiency/duplicated-javascript":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./byte-efficiency-audit.js"),a=e("../../computed/module-duplication.js"),n=e("../../lib/dependency-graph/simulator/network-analyzer.js"),l=e("../../lib/i18n/i18n.js"),u={title:"Remove duplicate modules in JavaScript bundles",description:"Remove large, duplicate JavaScript modules from bundles to reduce unnecessary bytes consumed by network activity. "},c=l.createMessageInstanceIdFn(t,u);function indexOfOrEnd(e,s,t=0){const i=e.indexOf(s,t);return-1===i?e.length:i}class DuplicatedJavascript extends i{static get meta(){return{id:"duplicated-javascript",title:c(u.title),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces","SourceMaps","ScriptElements","GatherContext","URL"]}}static _getNodeModuleName(e){const s=e.split("node_modules/"),t=indexOfOrEnd(e=s[s.length-1],"/");return"@"===e[0]?e.slice(0,indexOfOrEnd(e,"/",t+1)):e.slice(0,t)}static async _getDuplicationGroupedByNodeModules(e,s){
const t=await a.request(e,s),i=new Map;for(const[e,s]of t.entries()){if(!e.includes("node_modules")){i.set(e,s);continue}const t="node_modules/"+DuplicatedJavascript._getNodeModuleName(e),a=i.get(t)||[];for(const{scriptUrl:e,resourceSize:t}of s){let s=a.find((s=>s.scriptUrl===e));s||(s={scriptUrl:e,resourceSize:0},a.push(s)),s.resourceSize+=t}i.set(t,a)}for(const e of t.values())e.sort(((e,s)=>s.resourceSize-e.resourceSize));return i}static _estimateTransferRatio(e,s){return i.estimateTransferSize(e,s,"Script")/s}static async audit_(e,s,t){const i=t.options&&t.options.ignoreThresholdInBytes||1024,a=await DuplicatedJavascript._getDuplicationGroupedByNodeModules(e,t),u=n.findOptionalMainDocument(s),d=new Map,m=[];let g=0;const h=new Set,p=new Map;for(const[t,n]of a.entries()){const a=[];let l=0;for(let t=0;t<n.length;t++){const i=n[t],c=i.scriptUrl;let m=d.get(c);if(void 0===m){const t=c===e.URL.finalUrl?u:s.find((e=>e.url===c)),i=e.ScriptElements.find((e=>e.src===c))
;if(!i||null===i.content)continue;const a=i.content.length;m=DuplicatedJavascript._estimateTransferRatio(t,a),d.set(c,m)}if(void 0===m)continue;const g=Math.round(i.resourceSize*m);a.push({url:c,sourceTransferBytes:g}),0!==t&&(l+=g,p.set(c,(p.get(c)||0)+g))}if(l<=i){g+=l;for(const e of a)h.add(e.url)}else m.push({source:t,wastedBytes:l,url:"",totalBytes:0,subItems:{type:"subitems",items:a}})}g>i&&m.push({source:"Other",wastedBytes:g,url:"",totalBytes:0,subItems:{type:"subitems",items:Array.from(h).map((e=>({url:e})))}});return{items:m,headings:[{key:"source",valueType:"code",subItemsHeading:{key:"url",valueType:"url"},label:c(l.UIStrings.columnSource)},{key:null,valueType:"bytes",subItemsHeading:{key:"sourceTransferBytes"},granularity:.05,label:c(l.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",granularity:.05,label:c(l.UIStrings.columnWastedBytes)}],wastedBytesByUrl:p}}}s.exports=DuplicatedJavascript,s.exports.UIStrings=u}).call(this)
}).call(this,"/lighthouse-core/audits/byte-efficiency/duplicated-javascript.js")},{"../../computed/module-duplication.js":38,"../../lib/dependency-graph/simulator/network-analyzer.js":92,"../../lib/i18n/i18n.js":97,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/efficient-animated-content":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../../lib/network-request.js"),a=e("./byte-efficiency-audit.js"),n=e("../../lib/i18n/i18n.js"),l={title:"Use video formats for animated content",description:"Large GIFs are inefficient for delivering animated content. Consider using MPEG4/WebM videos for animations and PNG/WebP for static images instead of GIF to save network bytes. [Learn more](https://web.dev/efficient-animated-content/)"},u=n.createMessageInstanceIdFn(t,l);class EfficientAnimatedContent extends a{static get meta(){return{id:"efficient-animated-content",title:u(l.title),description:u(l.description),scoreDisplayMode:a.SCORING_MODES.NUMERIC,
requiredArtifacts:["devtoolsLogs","traces","GatherContext"]}}static getPercentSavings(e){return Math.round(29.1*Math.log10(e)-100.7)/100}static audit_(e,s){return{items:s.filter((e=>"image/gif"===e.mimeType&&e.resourceType===i.TYPES.Image&&(e.resourceSize||0)>102400)).map((e=>{const s=e.resourceSize||0;return{url:e.url,totalBytes:s,wastedBytes:Math.round(s*EfficientAnimatedContent.getPercentSavings(s))}})),headings:[{key:"url",valueType:"url",label:u(n.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:u(n.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:u(n.UIStrings.columnWastedBytes)}]}}}s.exports=EfficientAnimatedContent,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/efficient-animated-content.js")},{"../../lib/i18n/i18n.js":97,"../../lib/network-request.js":158,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/legacy-javascript":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./byte-efficiency-audit.js"),a=e("../../computed/js-bundles.js"),n=e("../../lib/i18n/i18n.js"),l=e("../../lib/third-party-web.js"),u=e("../../lib/dependency-graph/simulator/network-analyzer.js"),c={title:"Avoid serving legacy JavaScript to modern browsers",description:"Polyfills and transforms enable legacy browsers to use new JavaScript features. However, many aren't necessary for modern browsers. For your bundled JavaScript, adopt a modern script deployment strategy using module/nomodule feature detection to reduce the amount of code shipped to modern browsers, while retaining support for legacy browsers. [Learn More](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},d=n.createMessageInstanceIdFn(t,c);class CodePatternMatcher{constructor(e){const s=e.map((e=>`(${e.expression})`)).join("|");this.re=new RegExp("(^\r\n|\r|\n)|"+s,"g"),this.patterns=e}match(e){this.re.lastIndex=0;const s=new Set,t=[];let i,a=0,n=0
;for(;null!==(i=this.re.exec(e));){const e=i.slice(1),[l,...u]=e;if(l){a++,n=i.index+1;continue}const c=this.patterns[u.findIndex(Boolean)];if(s.has(c)){const e=t.find((e=>e.name===c.name));e&&(e.count+=1)}else s.add(c),t.push({name:c.name,line:a,column:i.index-n,count:1})}return t}}s.exports=class LegacyJavascript extends i{static get meta(){return{id:"legacy-javascript",scoreDisplayMode:i.SCORING_MODES.NUMERIC,description:d(c.description),title:d(c.title),requiredArtifacts:["devtoolsLogs","traces","ScriptElements","SourceMaps","GatherContext","URL"]}}static buildPolyfillExpression(e,s){const qt=e=>`['"]${e}['"]`;let t="";if(t+=e?`${e}\\.${s}\\s?=[^=]`:`(?:window\\.|[\\s;]+)${s}\\s?=[^=]`,e&&(t+=`|${e}\\[${qt(s)}\\]\\s?=[^=]`),t+=`|defineProperty\\(${e||"window"},\\s?${qt(s)}`,e){const i=e.replace(".prototype","");t+=`|\\$export\\([^,]+,${qt(i)},{${s}:`,t+=`|{target:${qt(i)}\\S*},{${s}:`}else t+=`|function ${s}\\(`;return t}static getPolyfillData(){
return[["Array.prototype.fill","es6.array.fill"],["Array.prototype.filter","es6.array.filter"],["Array.prototype.find","es6.array.find"],["Array.prototype.findIndex","es6.array.find-index"],["Array.prototype.forEach","es6.array.for-each"],["Array.from","es6.array.from"],["Array.isArray","es6.array.is-array"],["Array.prototype.map","es6.array.map"],["Array.of","es6.array.of"],["Array.prototype.reduce","es6.array.reduce"],["Array.prototype.reduceRight","es6.array.reduce-right"],["Array.prototype.some","es6.array.some"],["Date.now","es6.date.now"],["Date.prototype.toISOString","es6.date.to-iso-string"],["Date.prototype.toJSON","es6.date.to-json"],["Date.prototype.toString","es6.date.to-string"],["Function.prototype.name","es6.function.name"],["Number.isInteger","es6.number.is-integer"],["Number.isSafeInteger","es6.number.is-safe-integer"],["Number.parseInt","es6.number.parse-int"],["Object.defineProperties","es6.object.define-properties"],["Object.defineProperty","es6.object.define-property"],["Object.freeze","es6.object.freeze"],["Object.getOwnPropertyNames","es6.object.get-own-property-names"],["Object.getPrototypeOf","es6.object.get-prototype-of"],["Object.isExtensible","es6.object.is-extensible"],["Object.isFrozen","es6.object.is-frozen"],["Object.isSealed","es6.object.is-sealed"],["Object.keys","es6.object.keys"],["Object.preventExtensions","es6.object.prevent-extensions"],["Object.seal","es6.object.seal"],["Object.setPrototypeOf","es6.object.set-prototype-of"],["Reflect.apply","es6.reflect.apply"],["Reflect.construct","es6.reflect.construct"],["Reflect.defineProperty","es6.reflect.define-property"],["Reflect.deleteProperty","es6.reflect.delete-property"],["Reflect.get","es6.reflect.get"],["Reflect.getOwnPropertyDescriptor","es6.reflect.get-own-property-descriptor"],["Reflect.getPrototypeOf","es6.reflect.get-prototype-of"],["Reflect.has","es6.reflect.has"],["Reflect.isExtensible","es6.reflect.is-extensible"],["Reflect.ownKeys","es6.reflect.own-keys"],["Reflect.preventExtensions","es6.reflect.prevent-extensions"],["Reflect.setPrototypeOf","es6.reflect.set-prototype-of"],["String.prototype.codePointAt","es6.string.code-point-at"],["String.fromCodePoint","es6.string.from-code-point"],["String.raw","es6.string.raw"],["String.prototype.repeat","es6.string.repeat"],["Array.prototype.includes","es7.array.includes"],["Object.entries","es7.object.entries"],["Object.getOwnPropertyDescriptors","es7.object.get-own-property-descriptors"],["Object.values","es7.object.values"]].map((e=>{
const[s,t]=e;return{name:s,coreJs2Module:t,coreJs3Module:t.replace("es6.","es.").replace("es7.","es.").replace("typed.","typed-array.")}}))}static getPolyfillPatterns(){return this.getPolyfillData().map((({name:e})=>{const s=e.split("."),t=s.length>1?s.slice(0,s.length-1).join("."):null,i=s[s.length-1];return{name:e,expression:this.buildPolyfillExpression(t,i)}}))}static getTransformPatterns(){return[{name:"@babel/plugin-transform-classes",expression:"Cannot call a class as a function",estimateBytes:e=>150+e.count*"_classCallCheck()".length},{name:"@babel/plugin-transform-regenerator",expression:/regeneratorRuntime\.a?wrap/.source,estimateBytes:e=>80*e.count},{name:"@babel/plugin-transform-spread",expression:/\.apply\(void 0,\s?_toConsumableArray/.source,estimateBytes:e=>1169+e.count*"_toConsumableArray()".length}]}static detectAcrossScripts(e,s,t,i){const a=new Map,n=this.getPolyfillData();for(const{requestId:l,content:u}of Object.values(s)){if(!u)continue
;const s=t.find((e=>e.requestId===l));if(!s)continue;const c=e.match(u),d=i.find((e=>e.script.src===s.url));if(d)for(const{coreJs2Module:e,coreJs3Module:s,name:t}of n){if(c.some((e=>e.name===t)))continue;const i=d.rawMap.sources.find((t=>t.endsWith(e+".js")||t.endsWith(s+".js")));if(!i)continue;const a=d.map.mappings().find((e=>e.sourceURL===i));a?c.push({name:t,line:a.lineNumber,column:a.columnNumber,count:1}):c.push({name:t,line:0,column:0,count:1})}c.length&&a.set(s.url,c)}return a}static estimateWastedBytes(s){const t=s.filter((e=>!e.name.startsWith("@"))),i=s.filter((e=>e.name.startsWith("@")));let a=0;const n=e("./polyfill-graph-data.json"),l=new Set;for(const e of t){const s=n.dependencies[e.name];if(s)for(const e of s)l.add(e)}t.length>0&&(a+=n.baseSize),a+=[...l].reduce(((e,s)=>e+n.moduleSizes[s]),0),a=Math.min(a,n.maxSize);let u=0;for(const e of i){const s=this.getTransformPatterns().find((s=>s.name===e.name));s&&s.estimateBytes&&(u+=s.estimateBytes(e))}return a+u}
static async estimateTransferRatioForScript(e,s,t,a){let n=e.get(s);if(void 0!==n)return n;const l=u.findOptionalMainDocument(a),c=s===t.URL.finalUrl?l:a.find((e=>e.url===s)),d=t.ScriptElements.find((e=>e.src===s));if(d&&null!==d.content){const e=d.content.length;n=i.estimateTransferSize(c,e,"Script")/e}else n=1;return e.set(s,n),n}static _findOriginalLocation(e,s,t){const i=e&&e.map.findEntry(s,t);if(i)return{file:i.sourceURL||"",line:i.sourceLineNumber||0,column:i.sourceColumnNumber||0}}static async audit_(e,s,t){const i=l.getEntity(e.URL.finalUrl),u=await a.request(e,t),c=[],m=new CodePatternMatcher([...this.getPolyfillPatterns(),...this.getTransformPatterns()]),g=new Map,h=this.detectAcrossScripts(m,e.ScriptElements,s,u);for(const[t,i]of h.entries()){const a=await this.estimateTransferRatioForScript(g,t,e,s),n=Math.round(this.estimateWastedBytes(i)*a),l={url:t,wastedBytes:n,subItems:{type:"subitems",items:[]},totalBytes:0},d=u.find((e=>e.script.src===t));for(const e of i){
const{name:s,line:i,column:a}=e,n={signal:s,location:{type:"source-location",url:t,line:i,column:a,original:d&&this._findOriginalLocation(d,i,a),urlProvider:"network"}};l.subItems.items.push(n)}c.push(l)}const p=new Map;for(const e of c)l.isFirstParty(e.url,i)&&p.set(e.url,e.wastedBytes);return{items:c,headings:[{key:"url",valueType:"url",subItemsHeading:{key:"location",valueType:"source-location"},label:d(n.UIStrings.columnURL)},{key:null,valueType:"code",subItemsHeading:{key:"signal"},label:""},{key:"wastedBytes",valueType:"bytes",label:d(n.UIStrings.columnWastedBytes)}],wastedBytesByUrl:p}}},s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/legacy-javascript.js")},{"../../computed/js-bundles.js":12,"../../lib/dependency-graph/simulator/network-analyzer.js":92,"../../lib/i18n/i18n.js":97,"../../lib/third-party-web.js":166,"./byte-efficiency-audit.js":4,"./polyfill-graph-data.json":5}],
"../audits/byte-efficiency/modern-image-formats":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../lib/url-shim.js"),n=e("../../lib/i18n/i18n.js"),l={title:"Serve images in next-gen formats",description:"Image formats like WebP and AVIF often provide better compression than PNG or JPEG, which means faster downloads and less data consumption. [Learn more](https://web.dev/uses-webp-images/)."},u=n.createMessageInstanceIdFn(t,l);class ModernImageFormats extends i{static get meta(){return{id:"modern-image-formats",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["OptimizedImages","devtoolsLogs","traces","URL","GatherContext","ImageElements"]}}static estimateWebPSizeFromDimensions(e){const s=e.naturalWidth*e.naturalHeight;return Math.round(.2*s)}static estimateAvifSizeFromDimensions(e){const s=e.naturalWidth*e.naturalHeight;return Math.round(s*(2/12))}
static estimateAvifSizeFromWebPAndJpegEstimates(e){if(!e.jpegSize||!e.webpSize)return;return 5*e.jpegSize/10/2+8*e.webpSize/10/2}static audit_(e){const s=e.URL.finalUrl,t=e.OptimizedImages,i=e.ImageElements,l=new Map;i.forEach((e=>l.set(e.src,e)));const c=[],d=[];for(const e of t){if(e.failed){d.push("Unable to decode "+a.getURLDisplayName(e.url));continue}if("image/webp"===e.mimeType||"image/avif"===e.mimeType)continue;const t=e.jpegSize;let i=e.webpSize,n=ModernImageFormats.estimateAvifSizeFromWebPAndJpegEstimates({jpegSize:t,webpSize:i}),u=!0;if(void 0===i){const s=l.get(e.url);if(!s){d.push("Unable to locate resource "+a.getURLDisplayName(e.url));continue}if(!s.naturalDimensions)continue;const t=s.naturalDimensions.height,c=s.naturalDimensions.width;if(!c||!t)continue;i=ModernImageFormats.estimateWebPSizeFromDimensions({naturalHeight:t,naturalWidth:c}),n=ModernImageFormats.estimateAvifSizeFromDimensions({naturalHeight:t,naturalWidth:c}),u=!1}if(void 0===i||void 0===n)continue
;const m=e.originalSize-i,g=e.originalSize-n;if(g<8192)continue;const h=a.elideDataURI(e.url),p=!a.originsMatch(s,e.url);c.push({url:h,fromProtocol:u,isCrossOrigin:p,totalBytes:e.originalSize,wastedBytes:g,wastedWebpBytes:m})}return{warnings:d,items:c,headings:[{key:"url",valueType:"thumbnail",label:""},{key:"url",valueType:"url",label:u(n.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:u(n.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:u(n.UIStrings.columnWastedBytes)}]}}}s.exports=ModernImageFormats,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/modern-image-formats.js")},{"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/offscreen-images":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./byte-efficiency-audit.js"),a=e("../../lib/sentry.js"),n=e("../../lib/url-shim.js"),l=e("../../lib/i18n/i18n.js"),u=e("../../computed/metrics/interactive.js"),c=e("../../computed/processed-trace.js"),d={title:"Defer offscreen images",description:"Consider lazy-loading offscreen and hidden images after all critical resources have finished loading to lower time to interactive. [Learn more](https://web.dev/offscreen-images/)."},m=l.createMessageInstanceIdFn(t,d);class OffscreenImages extends i{static get meta(){return{id:"offscreen-images",title:m(d.title),description:m(d.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces"]}}static computeVisiblePixels(e,s){const t=s.innerWidth,i=s.innerHeight,a=3*s.innerHeight,n=Math.max(e.top,-100),l=Math.min(e.right,t+100),u=Math.min(e.bottom,i+a),c=Math.max(e.left,-100);return Math.max(l-c,0)*Math.max(u-n,0)}
static computeWaste(e,s,t){const i=t.find((s=>s.url===e.src));if(!i)return null;if("lazy"===e.loading||"eager"===e.loading)return null;const a=n.elideDataURI(e.src),l=e.displayedWidth*e.displayedHeight,u=this.computeVisiblePixels(e.clientRect,s),c=0===l?1:1-u/l,{resourceSize:d=0,transferSize:m=0}=i,g=Math.min(d,m),h=Math.round(g*c);return Number.isFinite(c)?{url:a,requestStartTime:i.startTime,totalBytes:g,wastedBytes:h,wastedPercent:100*c}:new Error("Invalid image sizing information "+a)}static filterLanternResults(e,s){const t=s.pessimisticEstimate.nodeTimings;let i=0;const a=new Map;for(const[e,s]of t)"cpu"===e.type&&s.duration>=50?i=Math.max(i,s.startTime):"network"===e.type&&a.set(e.record.url,s.startTime);return e.filter((e=>{if(e.wastedBytes<2048)return!1;if(e.wastedPercent<75)return!1;return(a.get(e.url)||0)<i-50}))}static filterObservedResults(e,s){return e.filter((e=>!(e.wastedBytes<2048)&&(!(e.wastedPercent<75)&&e.requestStartTime<s/1e6-.05)))}
static computeWasteWithTTIGraph(e,s,t){return super.computeWasteWithTTIGraph(e,s,t,{includeLoad:!1})}static async audit_(e,s,t){const n=e.ImageElements,d=e.ViewportDimensions,g=e.GatherContext,h=e.traces[i.DEFAULT_PASS],p=e.devtoolsLogs[i.DEFAULT_PASS],b=[],f=n.reduce(((e,t)=>{const i=OffscreenImages.computeWaste(t,d,s);if(null===i)return e;if(i instanceof Error)return b.push(i.message),a.captureException(i,{tags:{audit:this.meta.id},level:"warning"}),e;const n=e.get(i.url);return(!n||n.wastedBytes>i.wastedBytes)&&e.set(i.url,i),e}),new Map),v=t.settings;let j;const k=Array.from(f.values());try{const e={trace:h,devtoolsLog:p,gatherContext:g,settings:v},s=await u.request(e,t),i=s;j="simulate"===t.settings.throttlingMethod?OffscreenImages.filterLanternResults(k,i):OffscreenImages.filterObservedResults(k,s.timestamp)}catch(e){if("simulate"===t.settings.throttlingMethod)throw e;j=OffscreenImages.filterObservedResults(k,await c.request(h,t).then((e=>e.timestamps.traceEnd)))}const y=[{
key:"url",valueType:"thumbnail",label:""},{key:"url",valueType:"url",label:m(l.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:m(l.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:m(l.UIStrings.columnWastedBytes)}];return{warnings:b,items:j,headings:y}}}s.exports=OffscreenImages,s.exports.UIStrings=d}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/offscreen-images.js")},{"../../computed/metrics/interactive.js":21,"../../computed/processed-trace.js":43,"../../lib/i18n/i18n.js":97,"../../lib/sentry.js":162,"../../lib/url-shim.js":"url","./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/render-blocking-resources":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../lib/dependency-graph/base-node.js"),l=e("./byte-efficiency-audit.js"),u=e("../../computed/unused-css.js"),c=e("../../lib/network-request.js"),d=e("../../computed/processed-trace.js"),m=e("../../computed/processed-navigation.js"),g=e("../../computed/load-simulator.js"),h=e("../../computed/metrics/first-contentful-paint.js"),p={title:"Eliminate render-blocking resources",description:"Resources are blocking the first paint of your page. Consider delivering critical JS/CSS inline and deferring all non-critical JS/styles. [Learn more](https://web.dev/render-blocking-resources/)."},b=a.createMessageInstanceIdFn(t,p);function computeStackSpecificTiming(e,s,t){const i={...s};return t.some((e=>"amp"===e.id))&&e.type===n.TYPES.NETWORK&&e.record.resourceType===c.TYPES.Stylesheet&&s.endTime>2100&&(i.endTime=Math.max(s.startTime,2100),i.duration=i.endTime-i.startTime),i}class RenderBlockingResources extends i{static get meta(){
return{id:"render-blocking-resources",title:b(p.title),supportedModes:["navigation"],scoreDisplayMode:i.SCORING_MODES.NUMERIC,description:b(p.description),requiredArtifacts:["URL","TagsBlockingFirstPaint","traces","devtoolsLogs","CSSUsage","GatherContext","Stacks"]}}static async computeResults(e,s){const t=e.GatherContext,a=e.traces[i.DEFAULT_PASS],n=e.devtoolsLogs[i.DEFAULT_PASS],l={devtoolsLog:n,settings:s.settings},u=await d.request(a,s),c=await m.request(u,s),p=await g.request(l,s),b=await RenderBlockingResources.computeWastedCSSBytes(e,s),f={trace:a,devtoolsLog:n,gatherContext:t,simulator:p,settings:{...s.settings,throttlingMethod:"simulate"}},v=await h.request(f,s),j=c.timestamps.firstContentfulPaint/1e3,k=function getNodesAndTimingByUrl(e){const s={};return Array.from(e.keys()).forEach((t=>{if("network"!==t.type)return;const i=e.get(t);i&&(s[t.record.url]={node:t,nodeTiming:i})})),s}(v.optimisticEstimate.nodeTimings),y=[],w=new Set;for(const s of e.TagsBlockingFirstPaint){
if(1e3*s.endTime>j)continue;if(!k[s.tag.url])continue;const{node:t,nodeTiming:i}=k[s.tag.url],a=computeStackSpecificTiming(t,i,e.Stacks);t.traverse((e=>w.add(e.id)));const n=Math.round(a.duration);n<50||y.push({url:s.tag.url,totalBytes:s.transferSize,wastedMs:n})}if(!y.length)return{results:y,wastedMs:0};return{results:y,wastedMs:RenderBlockingResources.estimateSavingsWithGraphs(p,v.optimisticGraph,w,b,e.Stacks)}}static estimateSavingsWithGraphs(e,s,t,i,a){const{nodeTimings:l}=e.simulate(s),u=new Map(l);let d=0;const m=s.cloneWithRelationships((e=>{!function adjustNodeTimings(e,s,t){const i=e.get(s);if(!i)return;const a=computeStackSpecificTiming(s,i,t);i.duration-a.duration&&(s.traverse((s=>{e.delete(s)})),e.set(s,a))}(u,e,a);const s=t.has(e.id);if(e.type!==n.TYPES.NETWORK)return!s;const l=e.record.resourceType===c.TYPES.Stylesheet;if(s&&l){const s=i.get(e.record.url)||0;d+=(e.record.transferSize||0)-s}return!s}))
;if("network"!==m.type)throw new Error("minimalFCPGraph not a NetworkNode");const g=Math.max(...Array.from(Array.from(u).map((e=>e[1].endTime)))),h=m.record.transferSize,p=h||0;m.record.transferSize=p+d;const b=e.simulate(m).timeInMs;return m.record.transferSize=h,Math.round(Math.max(g-b,0))}static async computeWastedCSSBytes(e,s){const t=new Map;try{const a=await u.request({CSSUsage:e.CSSUsage,URL:e.URL,devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS]},s);for(const e of a)t.set(e.url,e.wastedBytes)}catch(e){}return t}static async audit(e,s){const{results:t,wastedMs:n}=await RenderBlockingResources.computeResults(e,s);let u;t.length>0&&(u=b(a.UIStrings.displayValueMsSavings,{wastedMs:n}));const c=[{key:"url",valueType:"url",label:b(a.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:b(a.UIStrings.columnTransferSize)},{key:"wastedMs",valueType:"timespanMs",label:b(a.UIStrings.columnWastedMs)}],d=i.makeOpportunityDetails(c,t,n);return{displayValue:u,score:l.scoreForWastedMs(n),
numericValue:n,numericUnit:"millisecond",details:d}}}s.exports=RenderBlockingResources,s.exports.UIStrings=p}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/render-blocking-resources.js")},{"../../computed/load-simulator.js":13,"../../computed/metrics/first-contentful-paint.js":19,"../../computed/processed-navigation.js":42,"../../computed/processed-trace.js":43,"../../computed/unused-css.js":48,"../../lib/dependency-graph/base-node.js":87,"../../lib/i18n/i18n.js":97,"../../lib/network-request.js":158,"../audit.js":3,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/total-byte-weight":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../lib/network-request.js"),l=e("../../computed/network-records.js"),u={title:"Avoids enormous network payloads",failureTitle:"Avoid enormous network payloads",
description:"Large network payloads cost users real money and are highly correlated with long load times. [Learn more](https://web.dev/total-byte-weight/).",displayValue:"Total size was {totalBytes, number, bytes} KiB"},c=a.createMessageInstanceIdFn(t,u);s.exports=class TotalByteWeight extends i{static get meta(){return{id:"total-byte-weight",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:2731008,median:4096e3}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],d=await l.request(t,s);let m=0,g=[];d.forEach((e=>{if(n.isNonNetworkRequest(e)||!e.transferSize)return;const s={url:e.url,totalBytes:e.transferSize};m+=s.totalBytes,g.push(s)})),g=g.sort(((e,s)=>s.totalBytes-e.totalBytes||e.url.localeCompare(s.url))).slice(0,10);const h=i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},m),p=[{key:"url",itemType:"url",
text:c(a.UIStrings.columnURL)},{key:"totalBytes",itemType:"bytes",text:c(a.UIStrings.columnTransferSize)}],b=i.makeTableDetails(p,g);return{score:h,numericValue:m,numericUnit:"byte",displayValue:c(u.displayValue,{totalBytes:m}),details:b}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/total-byte-weight.js")},{"../../computed/network-records.js":40,"../../lib/i18n/i18n.js":97,"../../lib/network-request.js":158,"../audit.js":3}],"../audits/byte-efficiency/unminified-css":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../computed/unused-css.js"),n=e("../../lib/i18n/i18n.js"),l=e("../../lib/minification-estimator.js").computeCSSTokenLength,u={title:"Minify CSS",description:"Minifying CSS files can reduce network payload sizes. [Learn more](https://web.dev/unminified-css/)."},c=n.createMessageInstanceIdFn(t,u);class UnminifiedCSS extends i{static get meta(){return{id:"unminified-css",
title:c(u.title),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["CSSUsage","devtoolsLogs","traces","URL","GatherContext"]}}static computeTokenLength(e){return l(e)}static computeWaste(e,s,t){const n=e.content,l=UnminifiedCSS.computeTokenLength(n);let u=e.header.sourceURL;if(!u||u===t){u=a.determineContentPreview(e.content)}const c=i.estimateTransferSize(s,n.length,"Stylesheet"),d=1-l/n.length;return{url:u,totalBytes:c,wastedBytes:Math.round(c*d),wastedPercent:100*d}}static audit_(e,s){const t=e.URL.finalUrl,i=[];for(const a of e.CSSUsage.stylesheets){const e=s.find((e=>e.url===a.header.sourceURL));if(!a.content)continue;const n=UnminifiedCSS.computeWaste(a,e,t);n.wastedPercent<5||n.wastedBytes<2048||!Number.isFinite(n.wastedBytes)||i.push(n)}return{items:i,headings:[{key:"url",valueType:"url",label:c(n.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:c(n.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",
label:c(n.UIStrings.columnWastedBytes)}]}}}s.exports=UnminifiedCSS,s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/unminified-css.js")},{"../../computed/unused-css.js":48,"../../lib/i18n/i18n.js":97,"../../lib/minification-estimator.js":155,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/unminified-javascript":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../lib/minification-estimator.js").computeJSTokenLength,l={title:"Minify JavaScript",description:"Minifying JavaScript files can reduce payload sizes and script parse time. [Learn more](https://web.dev/unminified-javascript/)."},u=a.createMessageInstanceIdFn(t,l);class UnminifiedJavaScript extends i{static get meta(){return{id:"unminified-javascript",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,
requiredArtifacts:["ScriptElements","devtoolsLogs","traces","GatherContext"]}}static computeWaste(e,s,t){const a=e.length,l=n(e),u=i.estimateTransferSize(t,a,"Script"),c=1-l/a;return{url:s,totalBytes:u,wastedBytes:Math.round(u*c),wastedPercent:100*c}}static audit_(e,s){const t=[],i=[];for(const{requestId:a,src:n,content:l}of e.ScriptElements){if(!l)continue;const e=s.find((e=>e.requestId===a)),u=n&&e?e.url:`inline: ${l.substr(0,40)}...`;try{const s=UnminifiedJavaScript.computeWaste(l,u,e);if(s.wastedPercent<10||s.wastedBytes<2048||!Number.isFinite(s.wastedBytes))continue;t.push(s)}catch(s){const t=e?e.url:"?";i.push(`Unable to process script ${t}: ${s.message}`)}}return{items:t,warnings:i,headings:[{key:"url",valueType:"url",label:u(a.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:u(a.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:u(a.UIStrings.columnWastedBytes)}]}}}s.exports=UnminifiedJavaScript,s.exports.UIStrings=l}).call(this)
}).call(this,"/lighthouse-core/audits/byte-efficiency/unminified-javascript.js")},{"../../lib/i18n/i18n.js":97,"../../lib/minification-estimator.js":155,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/unused-css-rules":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../computed/unused-css.js"),n=e("../../lib/i18n/i18n.js"),l={title:"Reduce unused CSS",description:"Reduce unused rules from stylesheets and defer CSS not used for above-the-fold content to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-css-rules/)."},u=n.createMessageInstanceIdFn(t,l);s.exports=class UnusedCSSRules extends i{static get meta(){return{id:"unused-css-rules",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["CSSUsage","URL","devtoolsLogs","traces","GatherContext"]}}static async audit_(e,s,t){return{items:(await a.request({CSSUsage:e.CSSUsage,URL:e.URL,
devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS]},t)).filter((e=>e&&e.wastedBytes>10240)),headings:[{key:"url",valueType:"url",label:u(n.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:u(n.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:u(n.UIStrings.columnWastedBytes)}]}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/unused-css-rules.js")},{"../../computed/unused-css.js":48,"../../lib/i18n/i18n.js":97,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/unused-javascript":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../computed/unused-javascript-summary.js"),n=e("../../computed/js-bundles.js"),l=e("../../lib/i18n/i18n.js"),u={title:"Reduce unused JavaScript",description:"Reduce unused JavaScript and defer loading scripts until they are required to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-javascript/)."
},c=l.createMessageInstanceIdFn(t,u),d=20480,m=512;function commonPrefix(e){if(!e.length)return"";const s=e.reduce(((e,s)=>e>s?e:s));let t=e.reduce(((e,s)=>e>s?s:e));for(;!s.startsWith(t);)t=t.slice(0,-1);return t}function trimCommonPrefix(e,s){return s&&e.startsWith(s)?"…"+e.slice(s.length):e}s.exports=class UnusedJavaScript extends i{static get meta(){return{id:"unused-javascript",title:c(u.title),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["JsUsage","ScriptElements","SourceMaps","GatherContext","devtoolsLogs","traces"]}}static async audit_(e,s,t){const u=await n.request(e,t),{unusedThreshold:g=d,bundleSourceUnusedThreshold:h=m}=t.options||{},p=[];for(const[n,l]of Object.entries(e.JsUsage)){const e=s.find((e=>e.url===n));if(!e)continue;const c=u.find((e=>e.script.src===n)),d=await a.request({url:n,scriptCoverages:l,bundle:c},t);if(0===d.wastedBytes||0===d.totalBytes)continue
;const m=i.estimateTransferSize(e,d.totalBytes,"Script")/d.totalBytes,b={url:d.url,totalBytes:Math.round(m*d.totalBytes),wastedBytes:Math.round(m*d.wastedBytes),wastedPercent:d.wastedPercent};if(b.wastedBytes<=g)continue;if(p.push(b),!c||"errorMessage"in c.sizes)continue;const f=c.sizes;if(d.sourcesWastedBytes){const e=Object.entries(d.sourcesWastedBytes).sort(((e,s)=>s[1]-e[1])).slice(0,5).map((([e,s])=>{const t="(unmapped)"===e?f.unmappedBytes:f.files[e];return{source:e,unused:Math.round(s*m),total:Math.round(t*m)}})).filter((e=>e.unused>=h)),s=commonPrefix([...c.map._sourceInfos.keys()]);b.subItems={type:"subitems",items:e.map((({source:e,unused:t,total:i})=>({source:trimCommonPrefix(e,s),sourceBytes:i,sourceWastedBytes:t})))}}}return{items:p,headings:[{key:"url",valueType:"url",subItemsHeading:{key:"source",valueType:"code"},label:c(l.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",subItemsHeading:{key:"sourceBytes"},label:c(l.UIStrings.columnTransferSize)},{
key:"wastedBytes",valueType:"bytes",subItemsHeading:{key:"sourceWastedBytes"},label:c(l.UIStrings.columnWastedBytes)}]}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/unused-javascript.js")},{"../../computed/js-bundles.js":12,"../../computed/unused-javascript-summary.js":49,"../../lib/i18n/i18n.js":97,"./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/uses-long-cache-ttl":[function(e,s,t){(function(t){(function(){"use strict";const i=e("parse-cache-control"),a=e("../audit.js"),n=e("../../lib/network-request.js"),l=e("../../lib/url-shim.js"),u=e("../../lib/statistics.js").linearInterpolation,c=e("../../lib/i18n/i18n.js"),d=e("../../computed/network-records.js"),m={title:"Uses efficient cache policy on static assets",failureTitle:"Serve static assets with an efficient cache policy",description:"A long cache lifetime can speed up repeat visits to your page. [Learn more](https://web.dev/uses-long-cache-ttl/).",
displayValue:"{itemCount, plural,\n    =1 {1 resource found}\n    other {# resources found}\n    }"},g=c.createMessageInstanceIdFn(t,m);class CacheHeaders extends a{static get meta(){return{id:"uses-long-cache-ttl",title:g(m.title),failureTitle:g(m.failureTitle),description:g(m.description),scoreDisplayMode:a.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:28672,median:131072}}static getCacheHitProbability(e){const s=[0,.2,1,3,8,12,24,48,72,168,8760,1/0];if(12!==s.length)throw new Error("deciles 0-10 and 1 for overflow");const t=e/3600,i=s.findIndex((e=>e>=t));if(i===s.length-1)return 1;if(0===i)return 0;const a=s[i],n=s[i-1];return u(n,(i-1)/10,a,i/10,t)}static computeCacheLifetimeInSeconds(e,s){if(s&&void 0!==s["max-age"])return s["max-age"];const t=e.get("expires");if(t){const e=new Date(t).getTime();return e?Math.ceil((e-Date.now())/1e3):0}return null}static isCacheableAsset(e){
const s=new Set([200,203,206]),t=new Set([n.TYPES.Font,n.TYPES.Image,n.TYPES.Media,n.TYPES.Script,n.TYPES.Stylesheet]);return!n.isNonNetworkRequest(e)&&(s.has(e.statusCode)&&t.has(e.resourceType||"Other"))}static shouldSkipRecord(e,s){return!(s||!(e.get("pragma")||"").includes("no-cache"))||!(!s||!(s["must-revalidate"]||s["no-cache"]||s["no-store"]||s.private))}static audit(e,s){const t=e.devtoolsLogs[a.DEFAULT_PASS];return d.request(t,s).then((e=>{const t=[];let n=0;for(const s of e){if(!CacheHeaders.isCacheableAsset(s))continue;const e=new Map;for(const t of s.responseHeaders||[])if(e.has(t.name.toLowerCase())){const s=e.get(t.name.toLowerCase());e.set(t.name.toLowerCase(),`${s}, ${t.value}`)}else e.set(t.name.toLowerCase(),t.value);const a=i(e.get("cache-control"));if(this.shouldSkipRecord(e,a))continue;let u=CacheHeaders.computeCacheLifetimeInSeconds(e,a);if(null!==u&&(!Number.isFinite(u)||u<=0))continue;u=u||0;const c=CacheHeaders.getCacheHitProbability(u);if(c>.925)continue
;const d=l.elideDataURI(s.url),m=s.transferSize||0,g=(1-c)*m;let h;n+=g,a&&(h={type:"debugdata",...a}),t.push({url:d,debugData:h,cacheLifetimeMs:1e3*u,cacheHitProbability:c,totalBytes:m,wastedBytes:g})}t.sort(((e,s)=>e.cacheLifetimeMs-s.cacheLifetimeMs||s.totalBytes-e.totalBytes||e.url.localeCompare(s.url)));const u=a.computeLogNormalScore({p10:s.options.p10,median:s.options.median},n),d=[{key:"url",itemType:"url",text:g(c.UIStrings.columnURL)},{key:"cacheLifetimeMs",itemType:"ms",text:g(c.UIStrings.columnCacheTTL),displayUnit:"duration"},{key:"totalBytes",itemType:"bytes",text:g(c.UIStrings.columnTransferSize),displayUnit:"kb",granularity:1}],h={wastedBytes:n},p=a.makeTableDetails(d,t,h);return{score:u,numericValue:n,numericUnit:"byte",displayValue:g(m.displayValue,{itemCount:t.length}),details:p}}))}}s.exports=CacheHeaders,s.exports.UIStrings=m}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js")},{"../../computed/network-records.js":40,
"../../lib/i18n/i18n.js":97,"../../lib/network-request.js":158,"../../lib/statistics.js":164,"../../lib/url-shim.js":"url","../audit.js":3,"parse-cache-control":270}],"../audits/byte-efficiency/uses-optimized-images":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../lib/url-shim.js"),n=e("../../lib/i18n/i18n.js"),l={title:"Efficiently encode images",description:"Optimized images load faster and consume less cellular data. [Learn more](https://web.dev/uses-optimized-images/)."},u=n.createMessageInstanceIdFn(t,l);class UsesOptimizedImages extends i{static get meta(){return{id:"uses-optimized-images",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["OptimizedImages","ImageElements","GatherContext","devtoolsLogs","traces","URL"]}}static computeSavings(e){const s=e.originalSize-e.jpegSize;return{bytes:s,percent:100*s/e.originalSize}}static estimateJPEGSizeFromDimensions(e){
const s=e.naturalWidth*e.naturalHeight;return Math.round(s*(2/8))}static audit_(e){const s=e.URL.finalUrl,t=e.OptimizedImages,i=e.ImageElements,l=new Map;i.forEach((e=>l.set(e.src,e)));const c=[],d=[];for(const e of t){if(e.failed){d.push("Unable to decode "+a.getURLDisplayName(e.url));continue}if(!1===/(jpeg|bmp)/.test(e.mimeType))continue;let t=e.jpegSize,i=!0;if(void 0===t){const s=l.get(e.url);if(!s){d.push("Unable to locate resource "+a.getURLDisplayName(e.url));continue}if(!s.naturalDimensions)continue;const n=s.naturalDimensions.height,u=s.naturalDimensions.width;if(!n||!u)continue;t=UsesOptimizedImages.estimateJPEGSizeFromDimensions({naturalHeight:n,naturalWidth:u}),i=!1}if(e.originalSize<t+4096)continue;const n=a.elideDataURI(e.url),u=!a.originsMatch(s,e.url),m=UsesOptimizedImages.computeSavings({...e,jpegSize:t});c.push({url:n,fromProtocol:i,isCrossOrigin:u,totalBytes:e.originalSize,wastedBytes:m.bytes})}return{warnings:d,items:c,headings:[{key:"url",valueType:"thumbnail",
label:""},{key:"url",valueType:"url",label:u(n.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:u(n.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:u(n.UIStrings.columnWastedBytes)}]}}}s.exports=UsesOptimizedImages,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/uses-optimized-images.js")},{"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/uses-responsive-images-snapshot":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("./uses-responsive-images.js"),n=e("../../lib/url-shim.js"),l=e("../../lib/i18n/i18n.js"),u={columnDisplayedDimensions:"Displayed dimensions",columnActualDimensions:"Actual dimensions"},c=l.createMessageInstanceIdFn(t,u);s.exports=class UsesResponsiveImagesSnapshot extends i{static get meta(){return{id:"uses-responsive-images-snapshot",title:a.str_(a.UIStrings.title),
description:a.str_(a.UIStrings.description),supportedModes:["snapshot"],requiredArtifacts:["ImageElements","ViewportDimensions"]}}static async audit(e){let s=1;const t=[];for(const i of e.ImageElements){if(!i.naturalDimensions)continue;const l=i.naturalDimensions,u=a.getDisplayedDimensions({...i,naturalWidth:l.width,naturalHeight:l.height},e.ViewportDimensions),c=l.width*l.height,d=u.width*u.height;c<=d||(c-d>1365&&(s=0),t.push({url:n.elideDataURI(i.src),displayedDimensions:`${u.width}x${u.height}`,actualDimensions:`${l.width}x${l.height}`}))}const d=[{key:"url",itemType:"thumbnail",text:""},{key:"url",itemType:"url",text:c(l.UIStrings.columnURL)},{key:"displayedDimensions",itemType:"text",text:c(u.columnDisplayedDimensions)},{key:"actualDimensions",itemType:"text",text:c(u.columnActualDimensions)}];return{score:s,details:i.makeTableDetails(d,t)}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/uses-responsive-images-snapshot.js")},{
"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3,"./uses-responsive-images.js":"../audits/byte-efficiency/uses-responsive-images"}],"../audits/byte-efficiency/uses-responsive-images":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../computed/image-records.js"),n=e("../../lib/url-shim.js"),l=e("../../lib/i18n/i18n.js"),u={title:"Properly size images",description:"Serve images that are appropriately-sized to save cellular data and improve load time. [Learn more](https://web.dev/uses-responsive-images/)."},c=l.createMessageInstanceIdFn(t,u);class UsesResponsiveImages extends i{static get meta(){return{id:"uses-responsive-images",title:c(u.title),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces"]}}static getDisplayedDimensions(e,s){if(e.displayedWidth&&e.displayedHeight)return{
width:e.displayedWidth*s.devicePixelRatio,height:e.displayedHeight*s.devicePixelRatio};const t=s.innerWidth,i=2*s.innerHeight,a=e.naturalWidth/e.naturalHeight;let n=t,l=i;return a>t/i?l=t/a:n=i*a,{width:n*s.devicePixelRatio,height:l*s.devicePixelRatio}}static computeWaste(e,s,t){const i=t.find((s=>s.url===e.src));if(!i)return null;const a=this.getDisplayedDimensions(e,s),l=a.width*a.height,u=n.elideDataURI(e.src),c=1-l/(e.naturalWidth*e.naturalHeight),{resourceSize:d=0,transferSize:m=0}=i,g=Math.min(d,m);return{url:u,totalBytes:g,wastedBytes:Math.round(g*c),wastedPercent:100*c}}static async audit_(e,s,t){const i=await a.request({ImageElements:e.ImageElements,networkRecords:s},t),n=e.ViewportDimensions,u=new Map;for(const e of i){if("image/svg+xml"===e.mimeType||e.isCss)continue;if(!e.naturalDimensions)continue;const t=e.naturalDimensions.height,i=e.naturalDimensions.width;if(!i||!t)continue;const a=UsesResponsiveImages.computeWaste({...e,naturalHeight:t,naturalWidth:i},n,s)
;if(!a)continue;const l=u.get(a.url);(!l||l.wastedBytes>a.wastedBytes)&&u.set(a.url,a)}return{items:Array.from(u.values()).filter((e=>e.wastedBytes>4096)),headings:[{key:"url",valueType:"thumbnail",label:""},{key:"url",valueType:"url",label:c(l.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:c(l.UIStrings.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:c(l.UIStrings.columnWastedBytes)}]}}}s.exports=UsesResponsiveImages,s.exports.UIStrings=u,s.exports.str_=c}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/uses-responsive-images.js")},{"../../computed/image-records.js":11,"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","./byte-efficiency-audit.js":4}],"../audits/byte-efficiency/uses-text-compression":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./byte-efficiency-audit.js"),a=e("../../lib/url-shim.js"),n=e("../../lib/i18n/i18n.js"),l={title:"Enable text compression",
description:"Text-based resources should be served with compression (gzip, deflate or brotli) to minimize total network bytes. [Learn more](https://web.dev/uses-text-compression/)."},u=n.createMessageInstanceIdFn(t,l);s.exports=class ResponsesAreCompressed extends i{static get meta(){return{id:"uses-text-compression",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["ResponseCompression","GatherContext","devtoolsLogs","traces"]}}static audit_(e){const s=e.ResponseCompression,t=[];s.forEach((e=>{if(!e.gzipSize||e.gzipSize<0)return;const s=e.resourceSize,i=e.gzipSize,n=s-i;if(1-i/s<.1||n<1400||e.transferSize<i)return;const l=a.elideDataURI(e.url);t.find((s=>s.url===l&&s.totalBytes===e.resourceSize))||t.push({url:l,totalBytes:s,wastedBytes:n})}));const i=[{key:"url",valueType:"url",label:u(n.UIStrings.columnURL)},{key:"totalBytes",valueType:"bytes",label:u(n.UIStrings.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",
label:u(n.UIStrings.columnWastedBytes)}];return{items:t,headings:i}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/uses-text-compression.js")},{"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","./byte-efficiency-audit.js":4}],"../audits/content-width":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n={title:"Content is sized correctly for the viewport",failureTitle:"Content is not sized correctly for the viewport",description:"If the width of your app's content doesn't match the width of the viewport, your app might not be optimized for mobile screens. [Learn more](https://web.dev/content-width/).",explanation:"The viewport size of {innerWidth}px does not match the window size of {outerWidth}px."},l=a.createMessageInstanceIdFn(t,n);s.exports=class ContentWidth extends i{static get meta(){return{id:"content-width",title:l(n.title),failureTitle:l(n.failureTitle),
description:l(n.description),requiredArtifacts:["ViewportDimensions"]}}static audit(e,s){const t=e.ViewportDimensions.innerWidth===e.ViewportDimensions.outerWidth;if("desktop"===s.settings.formFactor)return{score:1,notApplicable:!0};let i;return t||(i=l(n.explanation,{innerWidth:e.ViewportDimensions.innerWidth,outerWidth:e.ViewportDimensions.outerWidth})),{score:Number(t),explanation:i}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/content-width.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/critical-request-chains":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/critical-request-chains.js"),l={title:"Avoid chaining critical requests",
description:"The Critical Request Chains below show you what resources are loaded with a high priority. Consider reducing the length of chains, reducing the download size of resources, or deferring the download of unnecessary resources to improve page load. [Learn more](https://web.dev/critical-request-chains/).",displayValue:"{itemCount, plural,\n    =1 {1 chain found}\n    other {# chains found}\n    }"},u=a.createMessageInstanceIdFn(t,l);class CriticalRequestChains extends i{static get meta(){return{id:"critical-request-chains",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL"]}}static _traverse(e,s){!function walk(e,t,i,a=0){const n=Object.keys(e);0!==n.length&&n.forEach((n=>{const l=e[n];i||(i=l.request.startTime),s({depth:t,id:n,node:l,chainDuration:1e3*(l.request.endTime-i),chainTransferSize:a+l.request.transferSize}),l.children&&walk(l.children,t+1,i)}),"")
}(e,0)}static _getLongestChain(e){const s={duration:0,length:0,transferSize:0};return CriticalRequestChains._traverse(e,(e=>{const t=e.chainDuration;t>s.duration&&(s.duration=t,s.transferSize=e.chainTransferSize,s.length=e.depth)})),s.length++,s}static flattenRequests(e){const s={},t=new Map;return CriticalRequestChains._traverse(e,(function flatten(e){const i=e.node.request,a={url:i.url,startTime:i.startTime,endTime:i.endTime,responseReceivedTime:i.responseReceivedTime,transferSize:i.transferSize};let n=t.get(e.id);if(n?n.request=a:(n={request:a},s[e.id]=n),e.node.children)for(const s of Object.keys(e.node.children)){const e={request:{}};t.set(s,e),n.children||(n.children={}),n.children[s]=e}t.set(e.id,n)})),s}static audit(e,s){const t=e.traces[i.DEFAULT_PASS],a=e.devtoolsLogs[i.DEFAULT_PASS],c=e.URL;return n.request({devtoolsLog:a,trace:t,URL:c},s).then((e=>{let s=0;const t=CriticalRequestChains.flattenRequests(e),i=Object.keys(t)[0],a=i&&t[i].children
;a&&Object.keys(a).length>0&&function walk(e,t){Object.keys(e).forEach((i=>{const a=e[i];a.children?walk(a.children,t+1):s++}),"")}(a,0);const n=CriticalRequestChains._getLongestChain(t);return{score:Number(0===s),notApplicable:0===s,displayValue:s?u(l.displayValue,{itemCount:s}):"",details:{type:"criticalrequestchain",chains:t,longestChain:n}}}))}}s.exports=CriticalRequestChains,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/critical-request-chains.js")},{"../computed/critical-request-chains.js":10,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/csp-xss":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../computed/main-resource.js"),n=e("../lib/i18n/i18n.js"),{evaluateRawCspsForXss:l,getTranslatedDescription:u}=e("../lib/csp-evaluator.js"),c={title:"Ensure CSP is effective against XSS attacks",
description:"A strong Content Security Policy (CSP) significantly reduces the risk of cross-site scripting (XSS) attacks. [Learn more](https://web.dev/csp-xss/)",noCsp:"No CSP found in enforcement mode",metaTagMessage:"The page contains a CSP defined in a <meta> tag. Consider defining the CSP in an HTTP header if you can.",columnDirective:"Directive",columnSeverity:"Severity",itemSeveritySyntax:"Syntax"},d=n.createMessageInstanceIdFn(t,c);s.exports=class CspXss extends i{static get meta(){return{id:"csp-xss",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:d(c.title),description:d(c.description),requiredArtifacts:["devtoolsLogs","MetaElements","URL"]}}static async getRawCsps(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],n=await a.request({devtoolsLog:t,URL:e.URL},s),l=e.MetaElements.filter((e=>e.httpEquiv&&"content-security-policy"===e.httpEquiv.toLowerCase())).flatMap((e=>(e.content||"").split(","))).filter((e=>e.replace(/\s/g,"")));return{
cspHeaders:n.responseHeaders.filter((e=>"content-security-policy"===e.name.toLowerCase())).flatMap((e=>e.value.split(","))).filter((e=>e.replace(/\s/g,""))),cspMetaTags:l}}static findingToTableItem(e,s){return{directive:e.directive,description:u(e),severity:s}}static constructSyntaxResults(e,s){const t=[];for(let i=0;i<e.length;++i){const a=e[i].map((e=>this.findingToTableItem(e)));a.length&&t.push({severity:d(c.itemSeveritySyntax),description:{type:"code",value:s[i]},subItems:{type:"subitems",items:a}})}return t}static constructResults(e,s){const t=[...e,...s];if(!t.length)return{score:0,results:[{severity:d(n.UIStrings.itemSeverityHigh),description:d(c.noCsp),directive:void 0}]};const{bypasses:i,warnings:a,syntax:u}=l(t),m=[...this.constructSyntaxResults(u,t),...i.map((e=>this.findingToTableItem(e,d(n.UIStrings.itemSeverityHigh)))),...a.map((e=>this.findingToTableItem(e,d(n.UIStrings.itemSeverityMedium))))];return s.length&&m.push({severity:d(n.UIStrings.itemSeverityMedium),
description:d(c.metaTagMessage),directive:void 0}),{score:i.length?0:1,results:m}}static async audit(e,s){const{cspHeaders:t,cspMetaTags:a}=await this.getRawCsps(e,s),{score:l,results:u}=this.constructResults(t,a),m=[{key:"description",itemType:"text",subItemsHeading:{key:"description"},text:d(n.UIStrings.columnDescription)},{key:"directive",itemType:"code",subItemsHeading:{key:"directive"},text:d(c.columnDirective)},{key:"severity",itemType:"text",subItemsHeading:{key:"severity"},text:d(c.columnSeverity)}];return{score:l,notApplicable:!1,details:i.makeTableDetails(m,u)}}},s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/csp-xss.js")},{"../computed/main-resource.js":14,"../lib/csp-evaluator.js":86,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/deprecations":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n={title:"Avoids deprecated APIs",failureTitle:"Uses deprecated APIs",
description:"Deprecated APIs will eventually be removed from the browser. [Learn more](https://web.dev/deprecations/).",displayValue:"{itemCount, plural,\n    =1 {1 warning found}\n    other {# warnings found}\n    }",columnDeprecate:"Deprecation / Warning",columnLine:"Line"},l=a.createMessageInstanceIdFn(t,n);s.exports=class Deprecations extends i{static get meta(){return{id:"deprecations",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["ConsoleMessages"]}}static audit(e){const s=e.ConsoleMessages.filter((e=>"deprecation"===e.source)).filter((e=>!e.text.includes("::-webkit-details-marker"))).map((e=>({value:e.text,source:i.makeSourceLocationFromConsoleMessage(e)}))),t=[{key:"value",itemType:"text",text:l(n.columnDeprecate)},{key:"source",itemType:"source-location",text:l(a.UIStrings.columnSource)}],u=i.makeTableDetails(t,s);let c;return s.length>0&&(c=l(n.displayValue,{itemCount:s.length})),{score:Number(0===s.length),displayValue:c,
details:u}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/deprecations.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/diagnostics":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../computed/main-thread-tasks.js"),n=e("../computed/network-records.js"),l=e("../computed/network-analysis.js"),u=e("../lib/dependency-graph/simulator/network-analyzer.js");s.exports=class Diagnostics extends i{static get meta(){return{id:"diagnostics",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Diagnostics",description:"Collection of useful page vitals.",supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,s){
const t=e.traces[i.DEFAULT_PASS],c=e.devtoolsLogs[i.DEFAULT_PASS],d=await a.request(t,s),m=await n.request(c,s),g=await l.request(c,s),h=d.filter((e=>!e.parent)),p=u.findMainDocument(m).transferSize,b=m.reduce(((e,s)=>e+(s.transferSize||0)),0),f=h.reduce(((e,s)=>e+(s.duration||0)),0),v=Math.max(...g.additionalRttByOrigin.values())+g.rtt,j=Math.max(...g.serverResponseTimeByOrigin.values());return{score:1,details:{type:"debugdata",items:[{numRequests:m.length,numScripts:m.filter((e=>"Script"===e.resourceType)).length,numStylesheets:m.filter((e=>"Stylesheet"===e.resourceType)).length,numFonts:m.filter((e=>"Font"===e.resourceType)).length,numTasks:h.length,numTasksOver10ms:h.filter((e=>e.duration>10)).length,numTasksOver25ms:h.filter((e=>e.duration>25)).length,numTasksOver50ms:h.filter((e=>e.duration>50)).length,numTasksOver100ms:h.filter((e=>e.duration>100)).length,numTasksOver500ms:h.filter((e=>e.duration>500)).length,rtt:g.rtt,throughput:g.throughput,maxRtt:v,maxServerLatency:j,
totalByteWeight:b,totalTaskTime:f,mainDocumentTransferSize:p}]}}}}},{"../computed/main-thread-tasks.js":15,"../computed/network-analysis.js":39,"../computed/network-records.js":40,"../lib/dependency-graph/simulator/network-analyzer.js":92,"./audit.js":3}],"../audits/dobetterweb/appcache-manifest":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Avoids Application Cache",failureTitle:"Uses Application Cache",description:"Application Cache is deprecated. [Learn more](https://web.dev/appcache-manifest/).",displayValue:'Found "{AppCacheManifest}"'},l=a.createMessageInstanceIdFn(t,n);s.exports=class AppCacheManifestAttr extends i{static get meta(){return{id:"appcache-manifest",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["AppCacheManifest"]}}static audit(e){return null!==e.AppCacheManifest?{score:0,displayValue:l(n.displayValue,{AppCacheManifest:e.AppCacheManifest})}:{
score:1}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/appcache-manifest.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/charset":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../computed/main-resource.js"),l={title:"Properly defines charset",failureTitle:"Charset declaration is missing or occurs too late in the HTML",description:"A character encoding declaration is required. It can be done with a `<meta>` tag in the first 1024 bytes of the HTML or in the Content-Type HTTP response header. [Learn more](https://web.dev/charset/)."},u=a.createMessageInstanceIdFn(t,l),c=/^[a-zA-Z0-9-_:.()]{2,}$/,d=/<meta[^>]+charset[^<]+>/i,m=/charset\s*=\s*[a-zA-Z0-9-_:.()]{2,}/i;s.exports=class CharsetDefined extends i{static get meta(){return{id:"charset",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),
requiredArtifacts:["MainDocumentContent","URL","devtoolsLogs","MetaElements"]}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],a=await n.request({devtoolsLog:t,URL:e.URL},s);let l=!1;if(a.responseHeaders){const e=a.responseHeaders.find((e=>"content-type"===e.name.toLowerCase()));e&&(l=m.test(e.value))}return l=l||65279===e.MainDocumentContent.charCodeAt(0),d.test(e.MainDocumentContent.slice(0,1024))&&(l=l||e.MetaElements.some((e=>e.charset&&c.test(e.charset)||"content-type"===e.httpEquiv&&e.content&&m.test(e.content)))),{score:Number(l)}}},s.exports.UIStrings=l,s.exports.CHARSET_HTML_REGEX=d,s.exports.CHARSET_HTTP_REGEX=m,s.exports.IANA_REGEX=c}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/charset.js")},{"../../computed/main-resource.js":14,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/doctype":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={
title:"Page has the HTML doctype",failureTitle:"Page lacks the HTML doctype, thus triggering quirks-mode",description:"Specifying a doctype prevents the browser from switching to quirks-mode. [Learn more](https://web.dev/doctype/).",explanationNoDoctype:"Document must contain a doctype",explanationPublicId:"Expected publicId to be an empty string",explanationSystemId:"Expected systemId to be an empty string",explanationBadDoctype:"Doctype name must be the lowercase string `html`"},l=a.createMessageInstanceIdFn(t,n);s.exports=class Doctype extends i{static get meta(){return{id:"doctype",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["Doctype"]}}static audit(e){if(!e.Doctype)return{score:0,explanation:l(n.explanationNoDoctype)};const s=e.Doctype.name.trim(),t=e.Doctype.publicId,i=e.Doctype.systemId;return""!==t?{score:0,explanation:l(n.explanationPublicId)}:""!==i?{score:0,explanation:l(n.explanationSystemId)}:"html"===s?{score:1}:{
score:0,explanation:l(n.explanationBadDoctype)}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/doctype.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/dom-size":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Avoids an excessive DOM size",failureTitle:"Avoid an excessive DOM size",description:"A large DOM will increase memory usage, cause longer [style calculations](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), and produce costly [layout reflows](https://developers.google.com/speed/articles/reflow). [Learn more](https://web.dev/dom-size/).",columnStatistic:"Statistic",columnValue:"Value",displayValue:"{itemCount, plural,\n    =1 {1 element}\n    other {# elements}\n    }",statisticDOMElements:"Total DOM Elements",statisticDOMDepth:"Maximum DOM Depth",
statisticDOMWidth:"Maximum Child Elements"},l=a.createMessageInstanceIdFn(t,n);s.exports=class DOMSize extends i{static get meta(){return{id:"dom-size",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["DOMStats"]}}static get defaultOptions(){return{p10:818,median:1400}}static audit(e,s){const t=e.DOMStats,u=i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},t.totalBodyElements),c=[{key:"statistic",itemType:"text",text:l(n.columnStatistic)},{key:"node",itemType:"node",text:l(a.UIStrings.columnElement)},{key:"value",itemType:"numeric",text:l(n.columnValue)}],d=[{statistic:l(n.statisticDOMElements),value:t.totalBodyElements},{node:i.makeNodeItem(t.depth),statistic:l(n.statisticDOMDepth),value:t.depth.max},{node:i.makeNodeItem(t.width),statistic:l(n.statisticDOMWidth),value:t.width.max}];return{score:u,numericValue:t.totalBodyElements,numericUnit:"element",
displayValue:l(n.displayValue,{itemCount:t.totalBodyElements}),details:i.makeTableDetails(c,d)}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/dom-size.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/external-anchors-use-rel-noopener":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../../lib/url-shim.js"),a=e("../audit.js"),n=e("../../lib/i18n/i18n.js"),l={title:"Links to cross-origin destinations are safe",failureTitle:"Links to cross-origin destinations are unsafe",description:'Add `rel="noopener"` or `rel="noreferrer"` to any external links to improve performance and prevent security vulnerabilities. [Learn more](https://web.dev/external-anchors-use-rel-noopener/).',warning:"Unable to determine the destination for anchor ({anchorHTML}). If not used as a hyperlink, consider removing target=_blank.",columnFailingAnchors:"Failing Anchors"},u=n.createMessageInstanceIdFn(t,l)
;s.exports=class ExternalAnchorsUseRelNoopenerAudit extends a{static get meta(){return{id:"external-anchors-use-rel-noopener",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["URL","AnchorElements"]}}static audit(e){const s=[],t=new i(e.URL.finalUrl).host,n=e.AnchorElements.filter((e=>"_blank"===e.target&&!e.rel.includes("noopener")&&!e.rel.includes("noreferrer"))).filter((e=>{try{return new i(e.href).host!==t}catch(t){return s.push(u(l.warning,{anchorHTML:e.node.snippet})),!0}})).filter((e=>!e.href||e.href.toLowerCase().startsWith("http"))).map((e=>({node:a.makeNodeItem(e.node),href:e.href||"Unknown",target:e.target||"",rel:e.rel||"",outerHTML:e.node.snippet||""}))),c=[{key:"node",itemType:"node",text:u(l.columnFailingAnchors)}],d=a.makeTableDetails(c,n);return{score:Number(0===n.length),details:d,warnings:s}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js")},{
"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3}],"../audits/dobetterweb/geolocation-on-start":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../violation-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Avoids requesting the geolocation permission on page load",failureTitle:"Requests the geolocation permission on page load",description:"Users are mistrustful of or confused by sites that request their location without context. Consider tying the request to a user action instead. [Learn more](https://web.dev/geolocation-on-start/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class GeolocationOnStart extends i{static get meta(){return{id:"geolocation-on-start",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages"]}}static audit(e){const s=i.getViolationResults(e,/geolocation/),t=[{key:"source",itemType:"source-location",
text:l(a.UIStrings.columnSource)}],n=i.makeTableDetails(t,s);return{score:Number(0===s.length),details:n}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/geolocation-on-start.js")},{"../../lib/i18n/i18n.js":97,"../violation-audit.js":8}],"../audits/dobetterweb/inspector-issues":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"No issues in the `Issues` panel in Chrome Devtools",failureTitle:"Issues were logged in the `Issues` panel in Chrome Devtools",description:"Issues logged to the `Issues` panel in Chrome Devtools indicate unresolved problems. They can come from network request failures, insufficient security controls, and other browser concerns. Open up the Issues panel in Chrome DevTools for more details on each issue.",columnIssueType:"Issue type",issueTypeBlockedByResponse:"Blocked by cross-origin policy",issueTypeHeavyAds:"Heavy resource usage by ads"
},l=a.createMessageInstanceIdFn(t,n);s.exports=class IssuesPanelEntries extends i{static get meta(){return{id:"inspector-issues",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["InspectorIssues"]}}static getMixedContentRow(e){const s=new Set;for(const t of e){const e=t.request&&t.request.url||t.mainResourceURL;s.add(e)}return{issueType:"Mixed content",subItems:{type:"subitems",items:Array.from(s).map((e=>({url:e})))}}}static getSameSiteCookieRow(e){const s=new Set;for(const t of e){const e=t.request&&t.request.url||t.cookieUrl;e&&s.add(e)}return{issueType:"SameSite cookie",subItems:{type:"subitems",items:Array.from(s).map((e=>({url:e})))}}}static getBlockedByResponseRow(e){const s=new Set;for(const t of e){const e=t.request&&t.request.url;e&&s.add(e)}return{issueType:l(n.issueTypeBlockedByResponse),subItems:{type:"subitems",items:Array.from(s).map((e=>({url:e})))}}}static getContentSecurityPolicyRow(e){const s=new Set;for(const t of e){
const e=t.blockedURL;e&&s.add(e)}return{issueType:"Content security policy",subItems:{type:"subitems",items:Array.from(s).map((e=>({url:e})))}}}static audit(e){const s=[{key:"issueType",itemType:"text",subItemsHeading:{key:"url",itemType:"url"},text:l(n.columnIssueType)}],t=e.InspectorIssues,a=[];t.mixedContent.length&&a.push(this.getMixedContentRow(t.mixedContent)),t.sameSiteCookies.length&&a.push(this.getSameSiteCookieRow(t.sameSiteCookies)),t.blockedByResponse.length&&a.push(this.getBlockedByResponseRow(t.blockedByResponse)),t.heavyAds.length&&a.push({issueType:l(n.issueTypeHeavyAds)});const u=t.contentSecurityPolicy.filter((e=>"kTrustedTypesSinkViolation"!==e.contentSecurityPolicyViolationType&&"kTrustedTypesPolicyViolation"!==e.contentSecurityPolicyViolationType));return u.length&&a.push(this.getContentSecurityPolicyRow(u)),{score:a.length>0?0:1,details:i.makeTableDetails(s,a)}}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/dobetterweb/inspector-issues.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/js-libraries":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Detected JavaScript libraries",description:"All front-end JavaScript libraries detected on the page. [Learn more](https://web.dev/js-libraries/).",columnVersion:"Version"},l=a.createMessageInstanceIdFn(t,n);s.exports=class JsLibrariesAudit extends i{static get meta(){return{id:"js-libraries",title:l(n.title),description:l(n.description),requiredArtifacts:["Stacks"]}}static audit(e){const s=e.Stacks.filter((e=>"js"===e.detector)).filter((e=>!e.id.endsWith("-fast"))).map((e=>({name:e.name,version:e.version,npm:e.npm}))),t=[{key:"name",itemType:"text",text:l(a.UIStrings.columnName)},{key:"version",itemType:"text",text:l(n.columnVersion)}];return{score:1,details:{...i.makeTableDetails(t,s,{}),debugData:{
type:"debugdata",stacks:e.Stacks.map((e=>({id:e.id,version:e.version})))}}}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/js-libraries.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/no-document-write":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../violation-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Avoids `document.write()`",failureTitle:"Avoid `document.write()`",description:"For users on slow connections, external scripts dynamically injected via `document.write()` can delay page load by tens of seconds. [Learn more](https://web.dev/no-document-write/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class NoDocWriteAudit extends i{static get meta(){return{id:"no-document-write",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["ConsoleMessages"]}}static audit(e){const s=i.getViolationResults(e,/document\.write/),t=[{key:"source",
itemType:"source-location",text:l(a.UIStrings.columnSource)}],n=i.makeTableDetails(t,s);return{score:Number(0===s.length),details:n}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/no-document-write.js")},{"../../lib/i18n/i18n.js":97,"../violation-audit.js":8}],"../audits/dobetterweb/no-vulnerable-libraries":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/sentry.js"),n=e("semver"),l=e("../../../third-party/snyk/snapshot.json"),u=e("../../lib/i18n/i18n.js"),c={title:"Avoids front-end JavaScript libraries with known security vulnerabilities",failureTitle:"Includes front-end JavaScript libraries with known security vulnerabilities",description:"Some third-party scripts may contain known security vulnerabilities that are easily identified and exploited by attackers. [Learn more](https://web.dev/no-vulnerable-libraries/).",
displayValue:"{itemCount, plural,\n    =1 {1 vulnerability detected}\n    other {# vulnerabilities detected}\n    }",columnVersion:"Library Version",columnVuln:"Vulnerability Count",columnSeverity:"Highest Severity"},d=u.createMessageInstanceIdFn(t,c),m=/^(\d+\.\d+\.\d+)[^-0-9]+/,g={low:d(u.UIStrings.itemSeverityLow),medium:d(u.UIStrings.itemSeverityMedium),high:d(u.UIStrings.itemSeverityHigh)};class NoVulnerableLibrariesAudit extends i{static get meta(){return{id:"no-vulnerable-libraries",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),requiredArtifacts:["Stacks"]}}static get snykDB(){return l}static get severityMap(){return{high:3,medium:2,low:1}}static normalizeVersion(e){if(!e)return e;if(n.valid(e))return e;if(/^\d+\.\d+$/.test(e))return e+".0";const s=e.match(m);return s?s[1]:e}static getVulnerabilities(e,s,t){if(!s.npm||!t.npm[s.npm])return[];try{n.satisfies(e,"*")}catch(e){return e.pkgName=s.npm,a.captureException(e,{level:"warning"}),[]}
return t.npm[s.npm].filter((s=>s.semver.vulnerable.some((s=>n.satisfies(e,s))))).map((t=>({severity:g[t.severity],numericSeverity:this.severityMap[t.severity],library:`${s.name}@${e}`,url:"https://snyk.io/vuln/"+t.id})))}static highestSeverity(e){return e.sort(((e,s)=>s.numericSeverity-e.numericSeverity))[0].severity}static audit(e){const s=e.Stacks.filter((e=>"js"===e.detector)),t=NoVulnerableLibrariesAudit.snykDB;if(!s.length)return{score:1};let a=0;const n=[];for(const e of s){const s=this.normalizeVersion(e.version)||"",i=this.getVulnerabilities(s,e,t),l=i.length;let u;a+=l,i.length>0&&(u=this.highestSeverity(i),n.push({highestSeverity:u,vulnCount:l,detectedLib:{text:e.name+"@"+s,url:`https://snyk.io/vuln/npm:${e.npm}?lh=${s}&utm_source=lighthouse&utm_medium=ref&utm_campaign=audit`,type:"link"}}))}let l;a>0&&(l=d(c.displayValue,{itemCount:a}));const u=[{key:"detectedLib",itemType:"link",text:d(c.columnVersion)},{key:"vulnCount",itemType:"text",text:d(c.columnVuln)},{
key:"highestSeverity",itemType:"text",text:d(c.columnSeverity)}],m=i.makeTableDetails(u,n,{});return{score:Number(0===a),displayValue:l,details:m}}}s.exports=NoVulnerableLibrariesAudit,s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js")},{"../../../third-party/snyk/snapshot.json":312,"../../lib/i18n/i18n.js":97,"../../lib/sentry.js":162,"../audit.js":3,semver:279}],"../audits/dobetterweb/notification-on-start":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../violation-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Avoids requesting the notification permission on page load",failureTitle:"Requests the notification permission on page load",description:"Users are mistrustful of or confused by sites that request to send notifications without context. Consider tying the request to user gestures instead. [Learn more](https://web.dev/notification-on-start/)."},l=a.createMessageInstanceIdFn(t,n)
;s.exports=class NotificationOnStart extends i{static get meta(){return{id:"notification-on-start",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages"]}}static audit(e){const s=i.getViolationResults(e,/notification permission/),t=[{key:"source",itemType:"source-location",text:l(a.UIStrings.columnSource)}],n=i.makeTableDetails(t,s);return{score:Number(0===s.length),details:n}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/notification-on-start.js")},{"../../lib/i18n/i18n.js":97,"../violation-audit.js":8}],"../audits/dobetterweb/password-inputs-can-be-pasted-into":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Allows users to paste into password fields",failureTitle:"Prevents users to paste into password fields",
description:"Preventing password pasting undermines good security policy. [Learn more](https://web.dev/password-inputs-can-be-pasted-into/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class PasswordInputsCanBePastedIntoAudit extends i{static get meta(){return{id:"password-inputs-can-be-pasted-into",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["PasswordInputsWithPreventedPaste"]}}static audit(e){const s=e.PasswordInputsWithPreventedPaste,t=[];s.forEach((e=>{t.push({node:i.makeNodeItem(e.node)})}));const n=[{key:"node",itemType:"node",text:l(a.UIStrings.columnFailingElem)}];return{score:Number(0===s.length),details:i.makeTableDetails(n,t)}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/dobetterweb/uses-http2":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../audit.js"),a=e("../../lib/third-party-web.js"),n=e("../../lib/url-shim.js"),l=e("../byte-efficiency/byte-efficiency-audit.js"),u=e("../../computed/metrics/lantern-interactive.js"),c=e("../../lib/network-request.js"),d=e("../../computed/network-records.js"),m=e("../../computed/load-simulator.js"),g=e("../../computed/page-dependency-graph.js"),h=e("../../lib/i18n/i18n.js"),p={title:"Use HTTP/2",description:"HTTP/2 offers many benefits over HTTP/1.1, including binary headers and multiplexing. [Learn more](https://web.dev/uses-http2/).",displayValue:"{itemCount, plural,\n    =1 {1 request not served via HTTP/2}\n    other {# requests not served via HTTP/2}\n    }",columnProtocol:"Protocol"},b=h.createMessageInstanceIdFn(t,p),f=new Set([c.TYPES.Document,c.TYPES.Font,c.TYPES.Image,c.TYPES.Stylesheet,c.TYPES.Script,c.TYPES.Media]);class UsesHTTP2Audit extends i{static get meta(){return{id:"uses-http2",title:b(p.title),description:b(p.description),supportedModes:["navigation"],
requiredArtifacts:["URL","devtoolsLogs","traces"]}}static computeWasteWithTTIGraph(e,s,t){const i=new Set(e.map((e=>e.url))),a=t.simulate(s,{label:"uses-http2-before",flexibleOrdering:true}),n=new Map;s.traverse((e=>{"network"===e.type&&i.has(e.record.url)&&(n.set(e.record.requestId,e.record.protocol),e.record.protocol="h2")}));const l=t.simulate(s,{label:"uses-http2-after",flexibleOrdering:true});s.traverse((e=>{if("network"!==e.type)return;const s=n.get(e.record.requestId);void 0!==s&&(e.record.protocol=s)}));const c=a.timeInMs-l.timeInMs,d=u.getLastLongTaskEndTime(a.nodeTimings)-u.getLastLongTaskEndTime(l.nodeTimings),m=Math.max(d,c);return 10*Math.round(Math.max(m,0)/10)}static isStaticAsset(e){if(!f.has(e.resourceType))return!1;if(e.resourceSize<100){if(a.getEntity(e.url))return!1}return!0}static determineNonHttp2Resources(e){const s=[],t=new Set,i=new Map;for(const s of e){if(!UsesHTTP2Audit.isStaticAsset(s))continue;if(n.isLikeLocalhost(s.parsedURL.host))continue
;const e=i.get(s.parsedURL.securityOrigin)||[];e.push(s),i.set(s.parsedURL.securityOrigin,e)}for(const a of e){if(t.has(a.url))continue;if(a.fetchedViaServiceWorker)continue;if(!/HTTP\/[01][.\d]?/i.test(a.protocol))continue;(i.get(a.parsedURL.securityOrigin)||[]).length<6||(t.add(a.url),s.push({protocol:a.protocol,url:a.url}))}return s}static async audit(e,s){const t=e.traces[i.DEFAULT_PASS],a=e.devtoolsLogs[i.DEFAULT_PASS],n={devtoolsLog:a,settings:s&&s.settings||{}},u=await d.request(a,s),c=await g.request({trace:t,devtoolsLog:a},s),f=await m.request(n,s),v=UsesHTTP2Audit.determineNonHttp2Resources(u),j=UsesHTTP2Audit.computeWasteWithTTIGraph(v,c,f);let k;v.length>0&&(k=b(p.displayValue,{itemCount:v.length}));const y=[{key:"url",valueType:"url",label:b(h.UIStrings.columnURL)},{key:"protocol",valueType:"text",label:b(p.columnProtocol)}],w=i.makeOpportunityDetails(y,v,j);return{displayValue:k,numericValue:j,numericUnit:"millisecond",score:l.scoreForWastedMs(j),details:w}}}
s.exports=UsesHTTP2Audit,s.exports.UIStrings=p}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/uses-http2.js")},{"../../computed/load-simulator.js":13,"../../computed/metrics/lantern-interactive.js":24,"../../computed/network-records.js":40,"../../computed/page-dependency-graph.js":41,"../../lib/i18n/i18n.js":97,"../../lib/network-request.js":158,"../../lib/third-party-web.js":166,"../../lib/url-shim.js":"url","../audit.js":3,"../byte-efficiency/byte-efficiency-audit.js":4}],"../audits/dobetterweb/uses-passive-event-listeners":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../violation-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Uses passive listeners to improve scrolling performance",failureTitle:"Does not use passive listeners to improve scrolling performance",description:"Consider marking your touch and wheel event listeners as `passive` to improve your page's scroll performance. [Learn more](https://web.dev/uses-passive-event-listeners/)."
},l=a.createMessageInstanceIdFn(t,n);s.exports=class PassiveEventsAudit extends i{static get meta(){return{id:"uses-passive-event-listeners",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["ConsoleMessages"]}}static audit(e){const s=i.getViolationResults(e,/passive event listener/),t=[{key:"source",itemType:"source-location",text:l(a.UIStrings.columnSource)}],n=i.makeTableDetails(t,s);return{score:Number(0===s.length),details:n}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js")},{"../../lib/i18n/i18n.js":97,"../violation-audit.js":8}],"../audits/errors-in-console":[function(e,s,t){(function(t){(function(){"use strict";const i=e("lighthouse-logger"),a=e("./audit.js"),n=e("../lib/i18n/i18n.js"),l={title:"No browser errors logged to the console",failureTitle:"Browser errors were logged to the console",
description:"Errors logged to the console indicate unresolved problems. They can come from network request failures and other browser concerns. [Learn more](https://web.dev/errors-in-console/)"},u=n.createMessageInstanceIdFn(t,l);class ErrorLogs extends a{static get meta(){return{id:"errors-in-console",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["ConsoleMessages"]}}static get defaultOptions(){return{ignoredPatterns:["ERR_BLOCKED_BY_CLIENT.Inspector"]}}static filterAccordingToOptions(e,s){const{ignoredPatterns:t,...a}=s,n=Object.keys(a);return n.length&&i.warn(this.meta.id,"Unrecognized options",n),t?e.filter((({description:e})=>{if(!e)return!0;for(const s of t){if(s instanceof RegExp&&s.test(e))return!1;if("string"==typeof s&&e.includes(s))return!1}return!0})):e}static audit(e,s){const t=s.options,i=e.ConsoleMessages.filter((e=>"error"===e.level)).map((e=>({source:e.source,description:e.text,url:e.url,
sourceLocation:a.makeSourceLocationFromConsoleMessage(e)}))),l=ErrorLogs.filterAccordingToOptions(i,t).sort(((e,s)=>(e.description||"").localeCompare(s.description||""))),c=[{key:"sourceLocation",itemType:"source-location",text:u(n.UIStrings.columnSource)},{key:"description",itemType:"code",text:u(n.UIStrings.columnDescription)}],d=a.makeTableDetails(c,l),m=l.length;return{score:Number(0===m),details:d}}}s.exports=ErrorLogs,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/errors-in-console.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3,"lighthouse-logger":237}],"../audits/final-screenshot":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../lib/lh-error.js"),n=e("../computed/processed-trace.js"),l=e("../computed/screenshots.js");s.exports=class FinalScreenshot extends i{static get meta(){return{id:"final-screenshot",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Final Screenshot",description:"The last screenshot captured of the pageload.",
requiredArtifacts:["traces","GatherContext"]}}static async audit(e,s){const t=e.traces[i.DEFAULT_PASS],u=await n.request(t,s),c=await l.request(t,s),{timeOrigin:d}=u.timestamps,m=c[c.length-1];if(!m){if("timespan"===e.GatherContext.gatherMode)return{notApplicable:!0,score:1};throw new a(a.errors.NO_SCREENSHOTS)}return{score:1,details:{type:"screenshot",timing:Math.round((m.timestamp-d)/1e3),timestamp:m.timestamp,data:m.datauri}}}}},{"../computed/processed-trace.js":43,"../computed/screenshots.js":45,"../lib/lh-error.js":152,"./audit.js":3}],"../audits/font-display":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/url-shim.js"),n=/^(block|fallback|optional|swap)$/,l=/url\((.*?)\)/,u=new RegExp(l,"g"),c=e("../lib/i18n/i18n.js"),d=e("../lib/sentry.js"),m=e("../computed/network-records.js"),g={title:"All text remains visible during webfont loads",failureTitle:"Ensure text remains visible during webfont load",
description:"Leverage the font-display CSS feature to ensure text is user-visible while webfonts are loading. [Learn more](https://web.dev/font-display/).",undeclaredFontOriginWarning:"{fontCountForOrigin, plural, =1 {Lighthouse was unable to automatically check the `font-display` value for the origin {fontOrigin}.} other {Lighthouse was unable to automatically check the `font-display` values for the origin {fontOrigin}.}}"},h=c.createMessageInstanceIdFn(t,g);class FontDisplay extends i{static get meta(){return{id:"font-display",title:h(g.title),failureTitle:h(g.failureTitle),description:h(g.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","CSSUsage","URL"]}}static findFontDisplayDeclarations(e,s){const t=new Set,i=new Set;for(const n of e.CSSUsage.stylesheets){const c=n.content.replace(/(\r|\n)+/g," ").match(/@font-face\s*{(.*?)}/g)||[];for(const m of c){const c=m.match(u);if(!c)continue
;const g=m.match(/font-display\s*:\s*(\w+)\s*(;|\})/),h=g&&g[1]||"",p=s.test(h)?t:i,b=c.map((e=>e.match(l)[1].trim())).map((e=>/^('|").*\1$/.test(e)?e.substr(1,e.length-2):e));for(const s of b)try{const t=a.isValid(n.header.sourceURL)?n.header.sourceURL:e.URL.finalUrl,i=new a(s,t);p.add(i.href)}catch(e){d.captureException(e,{tags:{audit:this.meta.id}})}}}return{passingURLs:t,failingURLs:i}}static getWarningsForFontUrls(e){const s=new Map;for(const t of e){const e=a.getOrigin(t);if(!e)continue;const i=s.get(e)||0;s.set(e,i+1)}return[...s].map((([e,s])=>h(g.undeclaredFontOriginWarning,{fontCountForOrigin:s,fontOrigin:e})))}static async audit(e,s){const t=e.devtoolsLogs[this.DEFAULT_PASS],a=await m.request(t,s),{passingURLs:l,failingURLs:u}=FontDisplay.findFontDisplayDeclarations(e,n),d=[],g=a.filter((e=>"Font"===e.resourceType)).filter((e=>!/^data:/.test(e.url))).filter((e=>!/^blob:/.test(e.url))).filter((e=>!!u.has(e.url)||(l.has(e.url)||d.push(e.url),!1))).map((e=>{
const s=Math.min(1e3*(e.endTime-e.startTime),3e3);return{url:e.url,wastedMs:s}})),p=[{key:"url",itemType:"url",text:h(c.UIStrings.columnURL)},{key:"wastedMs",itemType:"ms",text:h(c.UIStrings.columnWastedMs)}],b=i.makeTableDetails(p,g);return{score:Number(0===g.length),details:b,warnings:FontDisplay.getWarningsForFontUrls(d)}}}s.exports=FontDisplay,s.exports.UIStrings=g}).call(this)}).call(this,"/lighthouse-core/audits/font-display.js")},{"../computed/network-records.js":40,"../lib/i18n/i18n.js":97,"../lib/sentry.js":162,"../lib/url-shim.js":"url","./audit.js":3}],"../audits/full-page-screenshot":[function(e,s,t){"use strict";const i=e("./audit.js");s.exports=class FullPageScreenshot extends i{static get meta(){return{id:"full-page-screenshot",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Full-page screenshot",description:"A full-height screenshot of the final rendered page",requiredArtifacts:["FullPageScreenshot"]}}static async audit(e){return e.FullPageScreenshot?{score:1,
details:{type:"full-page-screenshot",...e.FullPageScreenshot}}:{score:0,notApplicable:!0}}}},{"./audit.js":3}],"../audits/image-aspect-ratio":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/url-shim.js"),n=e("../lib/i18n/i18n.js"),l={title:"Displays images with correct aspect ratio",failureTitle:"Displays images with incorrect aspect ratio",description:"Image display dimensions should match natural aspect ratio. [Learn more](https://web.dev/image-aspect-ratio/).",columnDisplayed:"Aspect Ratio (Displayed)",columnActual:"Aspect Ratio (Actual)"},u=n.createMessageInstanceIdFn(t,l);class ImageAspectRatio extends i{static get meta(){return{id:"image-aspect-ratio",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["ImageElements"]}}static computeAspectRatios(e){
const s=a.elideDataURI(e.src),t=e.naturalDimensions.width/e.naturalDimensions.height,i=e.displayedWidth/e.displayedHeight,n=e.displayedWidth/t,l=Math.abs(n-e.displayedHeight)<2;return{url:s,displayedAspectRatio:`${e.displayedWidth} x ${e.displayedHeight}\n        (${i.toFixed(2)})`,actualAspectRatio:`${e.naturalDimensions.width} x ${e.naturalDimensions.height}\n        (${t.toFixed(2)})`,doRatiosMatch:l}}static audit(e){const s=e.ImageElements,t=[];s.filter((e=>!e.isCss&&e.mimeType&&"image/svg+xml"!==e.mimeType&&e.naturalDimensions&&e.naturalDimensions.height>5&&e.naturalDimensions.width>5&&e.displayedWidth&&e.displayedHeight&&"fill"===e.computedStyles.objectFit)).forEach((e=>{const s=e,i=ImageAspectRatio.computeAspectRatios(s);i.doRatiosMatch||t.push(i)}));const a=[{key:"url",itemType:"thumbnail",text:""},{key:"url",itemType:"url",text:u(n.UIStrings.columnURL)},{key:"displayedAspectRatio",itemType:"text",text:u(l.columnDisplayed)},{key:"actualAspectRatio",itemType:"text",
text:u(l.columnActual)}];return{score:Number(0===t.length),details:i.makeTableDetails(a,t)}}}s.exports=ImageAspectRatio,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/image-aspect-ratio.js")},{"../lib/i18n/i18n.js":97,"../lib/url-shim.js":"url","./audit.js":3}],"../audits/image-size-responsive":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/url-shim.js"),n=e("../lib/i18n/i18n.js"),l={title:"Serves images with appropriate resolution",failureTitle:"Serves images with low resolution",description:"Image natural dimensions should be proportional to the display size and the pixel ratio to maximize image clarity. [Learn more](https://web.dev/serve-responsive-images/).",columnDisplayed:"Displayed size",columnActual:"Actual size",columnExpected:"Expected size"},u=n.createMessageInstanceIdFn(t,l);function isCandidate(e){
return!(e.displayedWidth<=1||e.displayedHeight<=1)&&(!!(e.naturalDimensions&&e.naturalDimensions.width&&e.naturalDimensions.height)&&("image/svg+xml"!==e.mimeType&&(!e.isCss&&("fill"===e.computedStyles.objectFit&&(!["pixelated","crisp-edges"].includes(e.computedStyles.imageRendering)&&!/ \d+(\.\d+)?x/.test(e.srcset))))))}function imageHasNaturalDimensions(e){return!!e.naturalDimensions}function imageHasRightSize(e,s){const[t,i]=function allowedImageSize(e,s,t){let i=1;(e>64||s>64)&&(i=.75);const a=quantizeDpr(t),n=Math.ceil(i*a*e),l=Math.ceil(i*a*s);return[n,l]}(e.displayedWidth,e.displayedHeight,s);return e.naturalDimensions.width>=t&&e.naturalDimensions.height>=i}function getResult(e,s){const[t,i]=function expectedImageSize(e,s,t){const i=Math.ceil(quantizeDpr(t)*e),a=Math.ceil(quantizeDpr(t)*s);return[i,a]}(e.displayedWidth,e.displayedHeight,s);return{url:e.src,elidedUrl:a.elideDataURI(e.src),displayedSize:`${e.displayedWidth} x ${e.displayedHeight}`,
actualSize:`${e.naturalDimensions.width} x ${e.naturalDimensions.height}`,actualPixels:e.naturalDimensions.width*e.naturalDimensions.height,expectedSize:`${t} x ${i}`,expectedPixels:t*i}}function quantizeDpr(e){return e>=2?2:e>=1.5?1.5:1}s.exports=class ImageSizeResponsive extends i{static get meta(){return{id:"image-size-responsive",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["ImageElements","ViewportDimensions"]}}static audit(e){const s=e.ViewportDimensions.devicePixelRatio,t=Array.from(e.ImageElements).filter(isCandidate).filter(imageHasNaturalDimensions).filter((e=>!imageHasRightSize(e,s))).filter((s=>function isVisible(e,s){return(e.bottom-e.top)*(e.right-e.left)>0&&e.top<=s.innerHeight&&e.bottom>=0&&e.left<=s.innerWidth&&e.right>=0}(s.clientRect,e.ViewportDimensions))).filter((s=>function isSmallerThanViewport(e,s){return e.bottom-e.top<=s.innerHeight&&e.right-e.left<=s.innerWidth
}(s.clientRect,e.ViewportDimensions))).map((e=>getResult(e,s))),a=[{key:"url",itemType:"thumbnail",text:""},{key:"elidedUrl",itemType:"url",text:u(n.UIStrings.columnURL)},{key:"displayedSize",itemType:"text",text:u(l.columnDisplayed)},{key:"actualSize",itemType:"text",text:u(l.columnActual)},{key:"expectedSize",itemType:"text",text:u(l.columnExpected)}],c=function sortResultsBySizeDelta(e){return e.sort(((e,s)=>s.expectedPixels-s.actualPixels-(e.expectedPixels-e.actualPixels)))}(function deduplicateResultsByUrl(e){e.sort(((e,s)=>e.url===s.url?0:e.url<s.url?-1:1));const s=[];for(const t of e){const e=s[s.length-1];e&&e.url===t.url?e.expectedPixels<t.expectedPixels&&(s[s.length-1]=t):s.push(t)}return s}(t));return{score:Number(0===t.length),details:i.makeTableDetails(a,c)}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/image-size-responsive.js")},{"../lib/i18n/i18n.js":97,"../lib/url-shim.js":"url","./audit.js":3}],
"../audits/installable-manifest":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/manifest-values.js"),l={title:"Web app manifest and service worker meet the installability requirements",failureTitle:"Web app manifest or service worker do not meet the installability requirements",description:"Service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. With proper service worker and manifest implementations, browsers can proactively prompt users to add your app to their homescreen, which can lead to higher engagement. [Learn more](https://web.dev/installable-manifest/).",columnValue:"Failure reason",displayValue:"{itemCount, plural,\n    =1 {1 reason}\n    other {# reasons}\n    }",noErrorId:"Installability error id '{errorId}' is not recognized","not-in-main-frame":"Page is not loaded in the main frame",
"not-from-secure-origin":"Page is not served from a secure origin","no-manifest":"Page has no manifest <link> URL","start-url-not-valid":"Manifest start URL is not valid","manifest-missing-name-or-short-name":"Manifest does not contain a 'name' or 'short_name' field","manifest-display-not-supported":"Manifest 'display' property must be one of 'standalone', 'fullscreen', or 'minimal-ui'","manifest-empty":"Manifest could not be fetched, is empty, or could not be parsed","no-matching-service-worker":"No matching service worker detected. You may need to reload the page, or check that the scope of the service worker for the current page encloses the scope and start URL from the manifest.","manifest-missing-suitable-icon":'Manifest does not contain a suitable icon - PNG, SVG or WebP format of at least {value0} px is required, the sizes attribute must be set, and the purpose attribute, if set, must include "any".',
"no-acceptable-icon":'No supplied icon is at least {value0} px square in PNG, SVG or WebP format, with the purpose attribute unset or set to "any"',"cannot-download-icon":"Could not download a required icon from the manifest","no-icon-available":"Downloaded icon was empty or corrupted","platform-not-supported-on-android":"The specified application platform is not supported on Android","no-id-specified":"No Play store ID provided","ids-do-not-match":"The Play Store app URL and Play Store ID do not match","already-installed":"The app is already installed","url-not-supported-for-webapk":"A URL in the manifest contains a username, password, or port","in-incognito":"Page is loaded in an incognito window","not-offline-capable":"Page does not work offline","no-url-for-service-worker":"Could not check service worker without a 'start_url' field in the manifest","prefer-related-applications":"Manifest specifies prefer_related_applications: true",
"prefer-related-applications-only-beta-stable":"prefer_related_applications is only supported on Chrome Beta and Stable channels on Android.","manifest-display-override-not-supported":"Manifest contains 'display_override' field, and the first supported display mode must be one of 'standalone', 'fullscreen', or 'minimal-ui'","manifest-location-changed":"Manifest URL changed while the manifest was being fetched.","warn-not-offline-capable":"Page does not work offline. The page will not be regarded as installable after Chrome 93, stable release August 2021."},u=a.createMessageInstanceIdFn(t,l);class InstallableManifest extends i{static get meta(){return{id:"installable-manifest",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),supportedModes:["navigation"],requiredArtifacts:["URL","WebAppManifest","InstallabilityErrors"]}}static getInstallabilityErrors(e){const s=e.InstallabilityErrors.errors,t=[],i=[],a=/{([^}]+)}/g;for(const e of s){
if("in-incognito"===e.errorId)continue;if("warn-not-offline-capable"===e.errorId){i.push(u(l[e.errorId]));continue}const s=l[e.errorId];if(void 0===s){t.push(u(l.noErrorId,{errorId:e.errorId}));continue}const n=s.match(a)||[],c=e.errorArguments&&e.errorArguments.length&&e.errorArguments[0].value;if(s&&e.errorArguments.length!==n.length){const s=JSON.stringify(e.errorArguments),i=e.errorArguments.length>n.length?`${e.errorId} has unexpected arguments ${s}`:e.errorId+" does not have the expected number of arguments.";t.push(i)}else s&&c?t.push(u(s,{value0:c})):s&&t.push(u(s))}return{i18nErrors:t,warnings:i}}static async audit(e,s){const t=await n.request(e,s),{i18nErrors:a,warnings:c}=InstallableManifest.getInstallabilityErrors(e),d=e.WebAppManifest?e.WebAppManifest.url:null,m=[{key:"reason",itemType:"text",text:u(l.columnValue)}],g=a.map((e=>({reason:e})));t.isParseFailure&&g.push({reason:t.parseFailureReason});const h={type:"debugdata",manifestUrl:d};return g.length>0?{score:0,
warnings:c,numericValue:g.length,numericUnit:"element",displayValue:u(l.displayValue,{itemCount:g.length}),details:{...i.makeTableDetails(m,g),debugData:h}}:{score:1,warnings:c,details:{...i.makeTableDetails(m,g),debugData:h}}}}s.exports=InstallableManifest,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/installable-manifest.js")},{"../computed/manifest-values.js":16,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/is-on-https":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/url-shim.js"),n=e("../lib/network-request.js"),l=e("../computed/network-records.js"),u=e("../lib/i18n/i18n.js"),c={title:"Uses HTTPS",failureTitle:"Does not use HTTPS",
description:"All sites should be protected with HTTPS, even ones that don't handle sensitive data. This includes avoiding [mixed content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), where some resources are loaded over HTTP despite the initial request being served over HTTPS. HTTPS prevents intruders from tampering with or passively listening in on the communications between your app and your users, and is a prerequisite for HTTP/2 and many new web platform APIs. [Learn more](https://web.dev/is-on-https/).",displayValue:"{itemCount, plural,\n    =1 {1 insecure request found}\n    other {# insecure requests found}\n    }",columnInsecureURL:"Insecure URL",columnResolution:"Request Resolution",allowed:"Allowed",blocked:"Blocked",warning:"Allowed with warning",upgraded:"Automatically upgraded to HTTPS"},d={MixedContentAutomaticallyUpgraded:c.upgraded,MixedContentBlocked:c.blocked,MixedContentWarning:c.warning
},m=u.createMessageInstanceIdFn(t,c);s.exports=class HTTPS extends i{static get meta(){return{id:"is-on-https",title:m(c.title),failureTitle:m(c.failureTitle),description:m(c.description),requiredArtifacts:["devtoolsLogs","InspectorIssues"]}}static audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS];return l.request(t,s).then((s=>{const t=s.filter((e=>!n.isSecureRequest(e))).map((e=>a.elideDataURI(e.url))),l=Array.from(new Set(t)).map((e=>({url:e,resolution:void 0}))),u=[{key:"url",itemType:"url",text:m(c.columnInsecureURL)},{key:"resolution",itemType:"text",text:m(c.columnResolution)}];for(const s of e.InspectorIssues.mixedContent){let e=l.find((e=>e.url===s.insecureURL));e||(e={url:s.insecureURL},l.push(e)),e.resolution=d[s.resolutionStatus]?m(d[s.resolutionStatus]):s.resolutionStatus}for(const e of l)e.resolution||(e.resolution=m(c.allowed));let g;return l.length>0&&(g=m(c.displayValue,{itemCount:l.length})),{score:Number(0===l.length),displayValue:g,details:i.makeTableDetails(u,l)}
}))}},s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/is-on-https.js")},{"../computed/network-records.js":40,"../lib/i18n/i18n.js":97,"../lib/network-request.js":158,"../lib/url-shim.js":"url","./audit.js":3}],"../audits/large-javascript-libraries":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../lib/large-javascript-libraries/bundlephobia-database.json"),a=e("../lib/large-javascript-libraries/library-suggestions.js").suggestions,n=e("./audit.js"),l=e("../lib/i18n/i18n.js"),u={title:"Avoids large JavaScript libraries with smaller alternatives",failureTitle:"Replace unnecessarily large JavaScript libraries",description:"Large JavaScript libraries can lead to poor performance. Prefer smaller, functionally equivalent libraries to reduce your bundle size. [Learn more](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies).",columnLibraryName:"Library",
displayValue:"{libraryCount, plural,\n    =1 {1 large library found}\n    other {# large libraries found}\n    }"},c=l.createMessageInstanceIdFn(t,u);s.exports=class LargeJavascriptLibraries extends n{static get meta(){return{id:"large-javascript-libraries",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),requiredArtifacts:["Stacks"]}}static audit(e){const s=[],t=e.Stacks,d=new Set;for(const e of t){if(!e.npm||!i[e.npm])continue;const t=a[e.npm];if(!t)continue;if(d.has(e.npm))continue;d.add(e.npm);let n="latest";e.version&&i[e.npm].versions[e.version]&&(n=e.version);const l=i[e.npm].versions[n],u=[];for(const e of t)i[e].versions.latest.gzip>=l.gzip||u.push({name:e,repository:i[e].repository,gzip:i[e].versions.latest.gzip});u.sort(((e,s)=>e.gzip-s.gzip)),u.length&&s.push({original:{gzip:l.gzip,name:e.npm,repository:i[e.npm].repository},suggestions:u})}const m=s.map((e=>{const s=e.original,t=e.suggestions.map((e=>({suggestion:{type:"link",text:e.name,
url:e.repository},transferSize:e.gzip,wastedBytes:s.gzip-e.gzip})));return{name:{type:"link",text:s.name,url:s.repository},transferSize:s.gzip,subItems:{type:"subitems",items:t}}})),g=[{key:"name",itemType:"text",subItemsHeading:{key:"suggestion"},text:c(u.columnLibraryName)},{key:"transferSize",itemType:"bytes",subItemsHeading:{key:"transferSize"},text:c(l.UIStrings.columnTransferSize)},{key:null,itemType:"bytes",subItemsHeading:{key:"wastedBytes"},text:c(l.UIStrings.columnWastedBytes)}],h=c(u.displayValue,{libraryCount:m.length}),p=n.makeTableDetails(g,m,{});return{score:s.length>0?0:1,displayValue:h,details:p}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/large-javascript-libraries.js")},{"../lib/i18n/i18n.js":97,"../lib/large-javascript-libraries/bundlephobia-database.json":149,"../lib/large-javascript-libraries/library-suggestions.js":150,"./audit.js":3}],"../audits/largest-contentful-paint-element":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n={title:"Largest Contentful Paint element",description:"This is the largest contentful element painted within the viewport. [Learn More](https://web.dev/lighthouse-largest-contentful-paint/)"},l=a.createMessageInstanceIdFn(t,n);s.exports=class LargestContentfulPaintElement extends i{static get meta(){return{id:"largest-contentful-paint-element",title:l(n.title),description:l(n.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["traces","TraceElements"]}}static audit(e){const s=e.TraceElements.find((e=>"largest-contentful-paint"===e.traceEventType)),t=[];s&&t.push({node:i.makeNodeItem(s.node)});const n=[{key:"node",itemType:"node",text:l(a.UIStrings.columnElement)}],u=i.makeTableDetails(n,t),c=l(a.UIStrings.displayValueElementsFound,{nodeCount:t.length});return{score:1,notApplicable:0===t.length,displayValue:c,details:u}}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/largest-contentful-paint-element.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/layout-shift-elements":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n={title:"Avoid large layout shifts",description:"These DOM elements contribute most to the CLS of the page.",columnContribution:"CLS Contribution"},l=a.createMessageInstanceIdFn(t,n);s.exports=class LayoutShiftElements extends i{static get meta(){return{id:"layout-shift-elements",title:l(n.title),description:l(n.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,requiredArtifacts:["traces","TraceElements"]}}static audit(e){const s=e.TraceElements.filter((e=>"layout-shift"===e.traceEventType)).map((e=>({node:i.makeNodeItem(e.node),score:e.score}))),t=[{key:"node",itemType:"node",text:l(a.UIStrings.columnElement)},{key:"score",itemType:"numeric",granularity:.001,text:l(n.columnContribution)}],u=i.makeTableDetails(t,s);let c
;return s.length>0&&(c=l(a.UIStrings.displayValueElementsFound,{nodeCount:s.length})),{score:1,notApplicable:0===u.items.length,displayValue:c,details:u}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/layout-shift-elements.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/long-tasks":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../computed/network-records.js"),n=e("../lib/i18n/i18n.js"),l=e("../computed/main-thread-tasks.js"),u=e("./bootup-time.js"),c=e("../computed/page-dependency-graph.js"),d=e("../computed/load-simulator.js"),m={startTime:0,endTime:0,duration:0},g={title:"Avoid long main-thread tasks",description:"Lists the longest tasks on the main thread, useful for identifying worst contributors to input delay. [Learn more](https://web.dev/long-tasks-devtools/)",displayValue:"{itemCount, plural,\n  =1 {# long task found}\n  other {# long tasks found}\n  }"},h=n.createMessageInstanceIdFn(t,g)
;class LongTasks extends i{static get meta(){return{id:"long-tasks",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:h(g.title),description:h(g.description),requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,s){const t=s.settings||{},p=e.traces[i.DEFAULT_PASS],b=await l.request(p,s),f=e.devtoolsLogs[LongTasks.DEFAULT_PASS],v=await a.request(f,s),j=new Map;if("simulate"===t.throttlingMethod){const e={devtoolsLog:f,settings:s.settings},t=await c.request({trace:p,devtoolsLog:f},s),i=await d.request(e,s),a=await i.simulate(t,{label:"long-tasks-diagnostic"});for(const[e,s]of a.nodeTimings.entries())"cpu"===e.type&&j.set(e.event,s)}else for(const e of b)e.unbounded||e.parent||j.set(e.event,e);const k=u.getJavaScriptURLs(v),y=b.map((e=>{const s=j.get(e.event)||m;return{...e,duration:s.duration,startTime:s.startTime}})).filter((e=>e.duration>=50&&!e.unbounded&&!e.parent)).sort(((e,s)=>s.duration-e.duration)).slice(0,20).map((e=>({url:u.getAttributableURLForTask(e,k),
duration:e.duration,startTime:e.startTime}))),w=[{key:"url",itemType:"url",text:h(n.UIStrings.columnURL)},{key:"startTime",itemType:"ms",granularity:1,text:h(n.UIStrings.columnStartTime)},{key:"duration",itemType:"ms",granularity:1,text:h(n.UIStrings.columnDuration)}],z=i.makeTableDetails(w,y);let T;return y.length>0&&(T=h(g.displayValue,{itemCount:y.length})),{score:0===y.length?1:0,notApplicable:0===y.length,details:z,displayValue:T}}}s.exports=LongTasks,s.exports.UIStrings=g}).call(this)}).call(this,"/lighthouse-core/audits/long-tasks.js")},{"../computed/load-simulator.js":13,"../computed/main-thread-tasks.js":15,"../computed/network-records.js":40,"../computed/page-dependency-graph.js":41,"../lib/i18n/i18n.js":97,"./audit.js":3,"./bootup-time.js":"../audits/bootup-time"}],"../audits/main-thread-tasks":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../computed/main-thread-tasks.js");s.exports=class MainThreadTasks extends i{static get meta(){return{
id:"main-thread-tasks",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Tasks",description:"Lists the toplevel main thread tasks that executed during page load.",requiredArtifacts:["traces"]}}static async audit(e,s){const t=e.traces[i.DEFAULT_PASS],n=(await a.request(t,s)).filter((e=>e.duration>5&&!e.parent)).map((e=>({duration:e.duration,startTime:e.startTime})));return{score:1,details:i.makeTableDetails([{key:"startTime",itemType:"ms",granularity:1,text:"Start Time"},{key:"duration",itemType:"ms",granularity:1,text:"End Time"}],n)}}}},{"../computed/main-thread-tasks.js":15,"./audit.js":3}],"../audits/mainthread-work-breakdown":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),{taskGroups:a}=e("../lib/tracehouse/task-groups.js"),n=e("../lib/i18n/i18n.js"),l=e("../computed/main-thread-tasks.js"),u={title:"Minimizes main-thread work",failureTitle:"Minimize main-thread work",
description:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/mainthread-work-breakdown/)",columnCategory:"Category"},c=n.createMessageInstanceIdFn(t,u);class MainThreadWorkBreakdown extends i{static get meta(){return{id:"mainthread-work-breakdown",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:2017,median:4e3}}static getExecutionTimingsByGroup(e){const s=new Map;for(const t of e){const e=s.get(t.group.id)||0;s.set(t.group.id,e+t.selfTime)}return s}static async audit(e,s){const t=s.settings||{},d=e.traces[MainThreadWorkBreakdown.DEFAULT_PASS],m=await l.request(d,s),g="simulate"===t.throttlingMethod?t.throttling.cpuSlowdownMultiplier:1,h=MainThreadWorkBreakdown.getExecutionTimingsByGroup(m);let p=0;const b={},f=Array.from(h).map((([e,s])=>{
const t=s*g;p+=t;const i=b[e]||0;return b[e]=i+t,{group:e,groupLabel:a[e].label,duration:t}})),v=[{key:"groupLabel",itemType:"text",text:c(u.columnCategory)},{key:"duration",itemType:"ms",granularity:1,text:c(n.UIStrings.columnTimeSpent)}];f.sort(((e,s)=>b[s.group]-b[e.group]));const j=MainThreadWorkBreakdown.makeTableDetails(v,f);return{score:i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},p),numericValue:p,numericUnit:"millisecond",displayValue:c(n.UIStrings.seconds,{timeInMs:p}),details:j}}}s.exports=MainThreadWorkBreakdown,s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/mainthread-work-breakdown.js")},{"../computed/main-thread-tasks.js":15,"../lib/i18n/i18n.js":97,"../lib/tracehouse/task-groups.js":168,"./audit.js":3}],"../audits/manual/pwa-cross-browser":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./manual-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Site works cross-browser",
description:"To reach the most number of users, sites should work across every major browser. [Learn more](https://web.dev/pwa-cross-browser/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class PWACrossBrowser extends i{static get meta(){return Object.assign({id:"pwa-cross-browser",title:l(n.title),description:l(n.description)},super.partialMeta)}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/manual/pwa-cross-browser.js")},{"../../lib/i18n/i18n.js":97,"./manual-audit.js":6}],"../audits/manual/pwa-each-page-has-url":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./manual-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Each page has a URL",description:"Ensure individual pages are deep linkable via URL and that URLs are unique for the purpose of shareability on social media. [Learn more](https://web.dev/pwa-each-page-has-url/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class PWAEachPageHasURL extends i{static get meta(){
return Object.assign({id:"pwa-each-page-has-url",title:l(n.title),description:l(n.description)},super.partialMeta)}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/manual/pwa-each-page-has-url.js")},{"../../lib/i18n/i18n.js":97,"./manual-audit.js":6}],"../audits/manual/pwa-page-transitions":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./manual-audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Page transitions don't feel like they block on the network",description:"Transitions should feel snappy as you tap around, even on a slow network. This experience is key to a user's perception of performance. [Learn more](https://web.dev/pwa-page-transitions/)."},l=a.createMessageInstanceIdFn(t,n);s.exports=class PWAPageTransitions extends i{static get meta(){return Object.assign({id:"pwa-page-transitions",title:l(n.title),description:l(n.description)},super.partialMeta)}},s.exports.UIStrings=n}).call(this)
}).call(this,"/lighthouse-core/audits/manual/pwa-page-transitions.js")},{"../../lib/i18n/i18n.js":97,"./manual-audit.js":6}],"../audits/maskable-icon":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../computed/manifest-values.js"),n=e("../lib/i18n/i18n.js"),l={title:"Manifest has a maskable icon",failureTitle:"Manifest doesn't have a maskable icon",description:"A maskable icon ensures that the image fills the entire shape without being letterboxed when installing the app on a device. [Learn more](https://web.dev/maskable-icon-audit/)."},u=n.createMessageInstanceIdFn(t,l);s.exports=class MaskableIcon extends i{static get meta(){return{id:"maskable-icon",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static async audit(e,s){const t=await a.request(e,s);if(t.isParseFailure)return{score:0,explanation:t.parseFailureReason}
;const i=t.allChecks.find((e=>"hasMaskableIcon"===e.id));return{score:i&&i.passing?1:0}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/maskable-icon.js")},{"../computed/manifest-values.js":16,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/metrics/cumulative-layout-shift":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../computed/metrics/cumulative-layout-shift.js"),n=e("../../lib/i18n/i18n.js"),l={description:"Cumulative Layout Shift measures the movement of visible elements within the viewport. [Learn more](https://web.dev/cls/)."},u=n.createMessageInstanceIdFn(t,l);s.exports=class CumulativeLayoutShift extends i{static get meta(){return{id:"cumulative-layout-shift",title:u(n.UIStrings.cumulativeLayoutShiftMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:.1,median:.25}}static async audit(e,s){
const t=e.traces[i.DEFAULT_PASS],{cumulativeLayoutShift:n,...l}=await a.request(t,s),u={type:"debugdata",items:[l]};return{score:i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},n),numericValue:n,numericUnit:"unitless",displayValue:n.toLocaleString(s.settings.locale),details:u}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/metrics/cumulative-layout-shift.js")},{"../../computed/metrics/cumulative-layout-shift.js":17,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics/first-contentful-paint-3g":[function(e,s,t){"use strict";const i=e("../audit.js"),a=e("../../config/constants.js").throttling.mobileRegular3G,n=e("../../computed/metrics/first-contentful-paint.js");s.exports=class FirstContentfulPaint3G extends i{static get meta(){return{id:"first-contentful-paint-3g",title:"First Contentful Paint (3G)",
description:"First Contentful Paint 3G marks the time at which the first text or image is painted while on a 3G network. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/first-contentful-paint).",scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{p10:2700,median:4500}}static async audit(e,s){const t=e.GatherContext,l={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:t,settings:{...s.settings,throttlingMethod:"simulate",throttling:a}},u=await n.request(l,s);return{score:i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},u.timing),numericValue:u.timing,numericUnit:"millisecond",displayValue:u.timing+" ms"}}}},{"../../computed/metrics/first-contentful-paint.js":19,"../../config/constants.js":56,"../audit.js":3}],"../audits/metrics/first-contentful-paint":[function(e,s,t){(function(t){(function(){
"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../computed/metrics/first-contentful-paint.js"),l={description:"First Contentful Paint marks the time at which the first text or image is painted. [Learn more](https://web.dev/first-contentful-paint/)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class FirstContentfulPaint extends i{static get meta(){return{id:"first-contentful-paint",title:u(a.UIStrings.firstContentfulPaintMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:1800,median:3e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(e,s){const t={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:e.GatherContext,settings:s.settings},l=await n.request(t,s),c=s.options[s.settings.formFactor];return{
score:i.computeLogNormalScore(c.scoring,l.timing),numericValue:l.timing,numericUnit:"millisecond",displayValue:u(a.UIStrings.seconds,{timeInMs:l.timing})}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/metrics/first-contentful-paint.js")},{"../../computed/metrics/first-contentful-paint.js":19,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics/first-meaningful-paint":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../computed/metrics/first-meaningful-paint.js"),l={description:"First Meaningful Paint measures when the primary content of a page is visible. [Learn more](https://web.dev/first-meaningful-paint/)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class FirstMeaningfulPaint extends i{static get meta(){return{id:"first-meaningful-paint",title:u(a.UIStrings.firstMeaningfulPaintMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,
supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2336,median:4e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(e,s){const t={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:e.GatherContext,settings:s.settings},l=await n.request(t,s),c=s.options[s.settings.formFactor];return{score:i.computeLogNormalScore(c.scoring,l.timing),numericValue:l.timing,numericUnit:"millisecond",displayValue:u(a.UIStrings.seconds,{timeInMs:l.timing})}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/metrics/first-meaningful-paint.js")},{"../../computed/metrics/first-meaningful-paint.js":20,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics/interactive":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../computed/metrics/interactive.js"),l={
description:"Time to interactive is the amount of time it takes for the page to become fully interactive. [Learn more](https://web.dev/interactive/)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class InteractiveMetric extends i{static get meta(){return{id:"interactive",title:u(a.UIStrings.interactiveMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3785,median:7300}},desktop:{scoring:{p10:2468,median:4500}}}}static async audit(e,s){const t={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:e.GatherContext,settings:s.settings},l=(await n.request(t,s)).timing,c=s.options[s.settings.formFactor];return{score:i.computeLogNormalScore(c.scoring,l),numericValue:l,numericUnit:"millisecond",displayValue:u(a.UIStrings.seconds,{timeInMs:l})}}},s.exports.UIStrings=l}).call(this)
}).call(this,"/lighthouse-core/audits/metrics/interactive.js")},{"../../computed/metrics/interactive.js":21,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics/largest-contentful-paint":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../computed/metrics/largest-contentful-paint.js"),l=e("../../lib/lh-error.js"),u={description:"Largest Contentful Paint marks the time at which the largest text or image is painted. [Learn more](https://web.dev/lighthouse-largest-contentful-paint/)"},c=a.createMessageInstanceIdFn(t,u);s.exports=class LargestContentfulPaint extends i{static get meta(){return{id:"largest-contentful-paint",title:c(a.UIStrings.largestContentfulPaintMetric),description:c(u.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["HostUserAgent","traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2500,
median:4e3}},desktop:{scoring:{p10:1200,median:2400}}}}static async audit(e,s){const t={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:e.GatherContext,settings:s.settings};let u;try{u=await n.request(t,s)}catch(s){const t=e.HostUserAgent.match(/Chrome\/(\d+)/);if(!t)throw s;if(Number(t[1])<79&&"NO_LCP"===s.code)throw new l(l.errors.UNSUPPORTED_OLD_CHROME,{featureName:"Largest Contentful Paint"});throw s}const d=s.options[s.settings.formFactor];return{score:i.computeLogNormalScore(d.scoring,u.timing),numericValue:u.timing,numericUnit:"millisecond",displayValue:c(a.UIStrings.seconds,{timeInMs:u.timing})}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/metrics/largest-contentful-paint.js")},{"../../computed/metrics/largest-contentful-paint.js":31,"../../lib/i18n/i18n.js":97,"../../lib/lh-error.js":152,"../audit.js":3}],"../audits/metrics/max-potential-fid":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../audit.js"),a=e("../../computed/metrics/max-potential-fid.js"),n=e("../../lib/i18n/i18n.js"),l={description:"The maximum potential First Input Delay that your users could experience is the duration of the longest task. [Learn more](https://web.dev/lighthouse-max-potential-fid/)."},u=n.createMessageInstanceIdFn(t,l);s.exports=class MaxPotentialFID extends i{static get meta(){return{id:"max-potential-fid",title:u(n.UIStrings.maxPotentialFIDMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{p10:130,median:250}}static async audit(e,s){const t={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:e.GatherContext,settings:s.settings},l=await a.request(t,s);return{score:i.computeLogNormalScore({p10:s.options.p10,median:s.options.median},l.timing),numericValue:l.timing,numericUnit:"millisecond",
displayValue:u(n.UIStrings.ms,{timeInMs:l.timing})}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/metrics/max-potential-fid.js")},{"../../computed/metrics/max-potential-fid.js":32,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics/speed-index":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n=e("../../computed/metrics/speed-index.js"),l={description:"Speed Index shows how quickly the contents of a page are visibly populated. [Learn more](https://web.dev/speed-index/)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class SpeedIndex extends i{static get meta(){return{id:"speed-index",title:u(a.UIStrings.speedIndexMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3387,median:5800}},desktop:{scoring:{p10:1311,
median:2300}}}}static async audit(e,s){const t={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:e.GatherContext,settings:s.settings},l=await n.request(t,s),c=s.options[s.settings.formFactor];return{score:i.computeLogNormalScore(c.scoring,l.timing),numericValue:l.timing,numericUnit:"millisecond",displayValue:u(a.UIStrings.seconds,{timeInMs:l.timing})}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/metrics/speed-index.js")},{"../../computed/metrics/speed-index.js":35,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics/total-blocking-time":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../computed/metrics/total-blocking-time.js"),n=e("../../lib/i18n/i18n.js"),l={description:"Sum of all time periods between FCP and Time to Interactive, when task length exceeded 50ms, expressed in milliseconds. [Learn more](https://web.dev/lighthouse-total-blocking-time/)."
},u=n.createMessageInstanceIdFn(t,l);s.exports=class TotalBlockingTime extends i{static get meta(){return{id:"total-blocking-time",title:u(n.UIStrings.totalBlockingTimeMetric),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static get defaultOptions(){return{mobile:{scoring:{p10:200,median:600}},desktop:{scoring:{p10:150,median:350}}}}static async audit(e,s){const t=e.traces[i.DEFAULT_PASS],l=e.devtoolsLogs[i.DEFAULT_PASS],c=e.GatherContext,d={trace:t,devtoolsLog:l,gatherContext:c,settings:s.settings};if("timespan"===c.gatherMode&&"simulate"===s.settings.throttlingMethod)return{score:1,notApplicable:!0};const m=await a.request(d,s),g=s.options[s.settings.formFactor];return{score:i.computeLogNormalScore(g.scoring,m.timing),numericValue:m.timing,numericUnit:"millisecond",displayValue:u(n.UIStrings.ms,{timeInMs:m.timing})}}},s.exports.UIStrings=l}).call(this)
}).call(this,"/lighthouse-core/audits/metrics/total-blocking-time.js")},{"../../computed/metrics/total-blocking-time.js":37,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/metrics":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../computed/metrics/timing-summary.js"),n=new Set(["cumulativeLayoutShift","cumulativeLayoutShiftMainFrame","totalCumulativeLayoutShift","observedCumulativeLayoutShift","observedCumulativeLayoutShiftMainFrame","observedTotalCumulativeLayoutShift"]);s.exports=class Metrics extends i{static get meta(){return{id:"metrics",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Metrics",description:"Collects all available metrics.",supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static async audit(e,s){const t=e.GatherContext,l=e.traces[i.DEFAULT_PASS],u=e.devtoolsLogs[i.DEFAULT_PASS],c=await a.request({trace:l,devtoolsLog:u,gatherContext:t,settings:s.settings},s),d=c.metrics,m=c.debugInfo
;for(const[e,s]of Object.entries(d)){const t=e;"number"!=typeof s||n.has(t)||(d[t]=Math.round(s))}const g={type:"debugdata",items:[d,m]};return{score:1,numericValue:d.interactive||0,numericUnit:"millisecond",details:g}}}},{"../computed/metrics/timing-summary.js":36,"./audit.js":3}],"../audits/network-requests":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../lib/url-shim.js"),n=e("../computed/network-records.js");s.exports=class NetworkRequests extends i{static get meta(){return{id:"network-requests",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Network Requests",description:"Lists the network requests that were made during page load.",requiredArtifacts:["devtoolsLogs"]}}static audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS];return n.request(t,s).then((e=>{const s=e.reduce(((e,s)=>Math.min(e,s.startTime)),1/0),timeToMs=e=>e<s||!Number.isFinite(e)?void 0:1e3*(e-s),t=e.map((e=>{
const s=e.lrStatistics&&e.lrStatistics.endTimeDeltaMs,t=e.lrStatistics&&e.lrStatistics.TCPMs,i=e.lrStatistics&&e.lrStatistics.requestMs,n=e.lrStatistics&&e.lrStatistics.responseMs;return{url:a.elideDataURI(e.url),protocol:e.protocol,startTime:timeToMs(e.startTime),endTime:timeToMs(e.endTime),finished:e.finished,transferSize:e.transferSize,resourceSize:e.resourceSize,statusCode:e.statusCode,mimeType:e.mimeType,resourceType:e.resourceType,lrEndTimeDeltaMs:s,lrTCPMs:t,lrRequestMs:i,lrResponseMs:n}}));return{score:1,details:i.makeTableDetails([{key:"url",itemType:"url",text:"URL"},{key:"protocol",itemType:"text",text:"Protocol"},{key:"startTime",itemType:"ms",granularity:1,text:"Start Time"},{key:"endTime",itemType:"ms",granularity:1,text:"End Time"},{key:"transferSize",itemType:"bytes",displayUnit:"kb",granularity:1,text:"Transfer Size"},{key:"resourceSize",itemType:"bytes",displayUnit:"kb",granularity:1,text:"Resource Size"},{key:"statusCode",itemType:"text",text:"Status Code"},{
key:"mimeType",itemType:"text",text:"MIME Type"},{key:"resourceType",itemType:"text",text:"Resource Type"}],t)}}))}}},{"../computed/network-records.js":40,"../lib/url-shim.js":"url","./audit.js":3}],"../audits/network-rtt":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/network-analysis.js"),l={title:"Network Round Trip Times",description:"Network round trip times (RTT) have a large impact on performance. If the RTT to an origin is high, it's an indication that servers closer to the user could improve performance. [Learn more](https://hpbn.co/primer-on-latency-and-bandwidth/)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class NetworkRTT extends i{static get meta(){return{id:"network-rtt",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:u(l.title),description:u(l.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],l=await n.request(t,s);let c=0
;const d=l.rtt,m=[];for(const[e,s]of l.additionalRttByOrigin.entries()){if(!e.startsWith("http"))continue;const t=s+d;m.push({origin:e,rtt:t}),c=Number.isFinite(t)?Math.max(t,c):c}m.sort(((e,s)=>s.rtt-e.rtt));const g=[{key:"origin",itemType:"text",text:u(a.UIStrings.columnURL)},{key:"rtt",itemType:"ms",granularity:1,text:u(a.UIStrings.columnTimeSpent)}],h=i.makeTableDetails(g,m);return{score:1,numericValue:c,numericUnit:"millisecond",displayValue:u(a.UIStrings.ms,{timeInMs:c}),details:h}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/network-rtt.js")},{"../computed/network-analysis.js":39,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/network-server-latency":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/network-analysis.js"),l={title:"Server Backend Latencies",
description:"Server latencies can impact web performance. If the server latency of an origin is high, it's an indication the server is overloaded or has poor backend performance. [Learn more](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class NetworkServerLatency extends i{static get meta(){return{id:"network-server-latency",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:u(l.title),description:u(l.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],l=await n.request(t,s);let c=0;const d=[];for(const[e,s]of l.serverResponseTimeByOrigin.entries())e.startsWith("http")&&(c=Math.max(s,c),d.push({origin:e,serverResponseTime:s}));d.sort(((e,s)=>s.serverResponseTime-e.serverResponseTime));const m=[{key:"origin",itemType:"text",text:u(a.UIStrings.columnURL)},{key:"serverResponseTime",itemType:"ms",granularity:1,text:u(a.UIStrings.columnTimeSpent)
}],g=i.makeTableDetails(m,d);return{score:Math.max(1-c/500,0),numericValue:c,numericUnit:"millisecond",displayValue:u(a.UIStrings.ms,{timeInMs:c}),details:g}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/network-server-latency.js")},{"../computed/network-analysis.js":39,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/no-unload-listeners":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("./../lib/i18n/i18n.js"),n={title:"Avoids `unload` event listeners",failureTitle:"Registers an `unload` listener",description:"The `unload` event does not fire reliably and listening for it can prevent browser optimizations like the Back-Forward Cache. Consider using the `pagehide` or `visibilitychange` events instead. [Learn more](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},l=a.createMessageInstanceIdFn(t,n);s.exports=class NoUnloadListeners extends i{static get meta(){return{
id:"no-unload-listeners",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["GlobalListeners","JsUsage"]}}static audit(e){const s=e.GlobalListeners.filter((e=>"unload"===e.type));if(!s.length)return{score:1};const t=[{key:"source",itemType:"source-location",text:l(a.UIStrings.columnSource)}],n=new Map;for(const[s,t]of Object.entries(e.JsUsage))for(const e of t)n.set(e.scriptId,s);const u=s.map((e=>{const s=n.get(e.scriptId);return s?{source:{type:"source-location",url:s,urlProvider:"network",line:e.lineNumber,column:e.columnNumber}}:{source:{type:"url",value:"(unknown)"}}}));return{score:0,details:i.makeTableDetails(t,u)}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/no-unload-listeners.js")},{"./../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/non-composited-animations":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n={
title:"Avoid non-composited animations",description:"Animations which are not composited can be janky and increase CLS. [Learn more](https://web.dev/non-composited-animations)",displayValue:"{itemCount, plural,\n  =1 {# animated element found}\n  other {# animated elements found}\n  }",unsupportedCSSProperty:"{propertyCount, plural,\n    =1 {Unsupported CSS Property: {properties}}\n    other {Unsupported CSS Properties: {properties}}\n  }",transformDependsBoxSize:"Transform-related property depends on box size",filterMayMovePixels:"Filter-related property may move pixels",nonReplaceCompositeMode:'Effect has composite mode other than "replace"',incompatibleAnimations:"Target has another animation which is incompatible",unsupportedTimingParameters:"Effect has unsupported timing parameters"},l=a.createMessageInstanceIdFn(t,n),u=[{flag:8192,text:n.unsupportedCSSProperty},{flag:2048,text:n.transformDependsBoxSize},{flag:4096,text:n.filterMayMovePixels},{flag:16,
text:n.nonReplaceCompositeMode},{flag:64,text:n.incompatibleAnimations},{flag:8,text:n.unsupportedTimingParameters}];function getActionableFailureReasons(e,s){return u.filter((s=>e&s.flag)).map((e=>e.text===n.unsupportedCSSProperty?l(e.text,{propertyCount:s.length,properties:s.join(", ")}):l(e.text)))}s.exports=class NonCompositedAnimations extends i{static get meta(){return{id:"non-composited-animations",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:l(n.title),description:l(n.description),requiredArtifacts:["TraceElements","HostUserAgent"]}}static async audit(e){const s=e.HostUserAgent.match(/Chrome\/(\d+)/);if(!s||Number(s[1])<86)return{score:1,notApplicable:!0};const t=[];let u=!1;e.TraceElements.forEach((e=>{if("animation"!==e.traceEventType)return;const s=e.animations||[],a=new Map;for(const{name:e,failureReasonsMask:t,unsupportedProperties:i}of s){if(!t)continue;const s=getActionableFailureReasons(t,i||[]);for(const t of s){e&&(u=!0);const s=a.get(e)||new Set;s.add(t),
a.set(e,s)}}if(!a.size)return;const n=[];for(const[e,s]of a)for(const t of s)n.push({failureReason:t,animation:e});t.push({node:i.makeNodeItem(e.node),subItems:{type:"subitems",items:n}})}));const c=[{key:"node",itemType:"node",subItemsHeading:{key:"failureReason",itemType:"text"},text:l(a.UIStrings.columnElement)}];u&&c.push({key:null,itemType:"text",subItemsHeading:{key:"animation",itemType:"text"},text:l(a.UIStrings.columnName)});const d=i.makeTableDetails(c,t);let m;return t.length>0&&(m=l(n.displayValue,{itemCount:t.length})),{score:0===t.length?1:0,notApplicable:0===t.length,details:d,displayValue:m}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/non-composited-animations.js")},{"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/performance-budget":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./audit.js"),a=e("../computed/resource-summary.js"),n=e("../computed/main-resource.js"),l=e("../config/budget.js"),u=e("../lib/i18n/i18n.js"),c={title:"Performance budget",description:"Keep the quantity and size of network requests under the targets set by the provided performance budget. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets).",requestCountOverBudget:"{count, plural,\n    =1 {1 request}\n    other {# requests}\n   }"},d=u.createMessageInstanceIdFn(t,c);s.exports=class ResourceBudget extends i{static get meta(){return{id:"performance-budget",title:d(c.title),description:d(c.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","URL"]}}static getRowLabel(e){return{total:u.UIStrings.totalResourceType,document:u.UIStrings.documentResourceType,script:u.UIStrings.scriptResourceType,stylesheet:u.UIStrings.stylesheetResourceType,image:u.UIStrings.imageResourceType,
media:u.UIStrings.mediaResourceType,font:u.UIStrings.fontResourceType,other:u.UIStrings.otherResourceType,"third-party":u.UIStrings.thirdPartyResourceType}[e]}static tableItems(e,s){return Object.keys(s).map((t=>{const i=d(this.getRowLabel(t)),a=s[t].count,n=s[t].transferSize;let l,u;if(e.resourceSizes){const s=e.resourceSizes.find((e=>e.resourceType===t));s&&n>1024*s.budget&&(l=n-1024*s.budget)}if(e.resourceCounts){const s=e.resourceCounts.find((e=>e.resourceType===t));if(s&&a>s.budget){const e=a-s.budget;u=d(c.requestCountOverBudget,{count:e})}}return{resourceType:t,label:i,requestCount:a,transferSize:n,countOverBudget:u,sizeOverBudget:l}})).filter((s=>!(!e.resourceSizes||!e.resourceSizes.some((e=>e.resourceType===s.resourceType)))||!(!e.resourceCounts||!e.resourceCounts.some((e=>e.resourceType===s.resourceType))))).sort(((e,s)=>(s.sizeOverBudget||0)-(e.sizeOverBudget||0)))}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],c={devtoolsLog:t,URL:e.URL,
budgets:s.settings.budgets},m=await a.request(c,s),g=await n.request({URL:e.URL,devtoolsLog:t},s),h=l.getMatchingBudget(s.settings.budgets,g.url);if(!h)return{score:0,notApplicable:!0};const p=[{key:"label",itemType:"text",text:d(u.UIStrings.columnResourceType)},{key:"requestCount",itemType:"numeric",text:d(u.UIStrings.columnRequests)},{key:"transferSize",itemType:"bytes",text:d(u.UIStrings.columnTransferSize)},{key:"countOverBudget",itemType:"text",text:""},{key:"sizeOverBudget",itemType:"bytes",text:d(u.UIStrings.columnOverBudget)}];return{details:i.makeTableDetails(p,this.tableItems(h,m)),score:1}}},s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/performance-budget.js")},{"../computed/main-resource.js":14,"../computed/resource-summary.js":44,"../config/budget.js":52,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/predictive-perf":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/metrics/lantern-first-contentful-paint.js"),l=e("../computed/metrics/lantern-first-meaningful-paint.js"),u=e("../computed/metrics/lantern-interactive.js"),c=e("../computed/metrics/lantern-speed-index.js"),d=e("../computed/metrics/lantern-largest-contentful-paint.js"),m=a.createMessageInstanceIdFn(t,{});s.exports=class PredictivePerf extends i{static get meta(){return{id:"predictive-perf",title:"Predicted Performance (beta)",description:"Predicted performance evaluates how your site will perform under a cellular connection on a mobile device.",scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext"]}}static async audit(e,s){const t=e.GatherContext,g={trace:e.traces[i.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[i.DEFAULT_PASS],gatherContext:t,settings:{}
},h=await n.request(g,s),p=await l.request(g,s),b=await u.request(g,s),f=await c.request(g,s),v=await d.request(g,s),j={roughEstimateOfFCP:h.timing,optimisticFCP:h.optimisticEstimate.timeInMs,pessimisticFCP:h.pessimisticEstimate.timeInMs,roughEstimateOfFMP:p.timing,optimisticFMP:p.optimisticEstimate.timeInMs,pessimisticFMP:p.pessimisticEstimate.timeInMs,roughEstimateOfTTI:b.timing,optimisticTTI:b.optimisticEstimate.timeInMs,pessimisticTTI:b.pessimisticEstimate.timeInMs,roughEstimateOfSI:f.timing,optimisticSI:f.optimisticEstimate.timeInMs,pessimisticSI:f.pessimisticEstimate.timeInMs,roughEstimateOfLCP:v.timing,optimisticLCP:v.optimisticEstimate.timeInMs,pessimisticLCP:v.pessimisticEstimate.timeInMs};return{score:i.computeLogNormalScore({p10:3651,median:1e4},j.roughEstimateOfTTI),numericValue:j.roughEstimateOfTTI,numericUnit:"millisecond",displayValue:m(a.UIStrings.ms,{timeInMs:j.roughEstimateOfTTI}),details:{type:"debugdata",items:[j]}}}}}).call(this)
}).call(this,"/lighthouse-core/audits/predictive-perf.js")},{"../computed/metrics/lantern-first-contentful-paint.js":22,"../computed/metrics/lantern-first-meaningful-paint.js":23,"../computed/metrics/lantern-interactive.js":24,"../computed/metrics/lantern-largest-contentful-paint.js":25,"../computed/metrics/lantern-speed-index.js":28,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/preload-fonts":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("./../lib/i18n/i18n.js"),n=e("./../audits/font-display.js"),l=/^(optional)$/,u=e("../computed/network-records.js"),c={title:"Fonts with `font-display: optional` are preloaded",failureTitle:"Fonts with `font-display: optional` are not preloaded",description:"Preload `optional` fonts so first-time visitors may use them. [Learn more](https://web.dev/preload-optional-fonts/)"},d=a.createMessageInstanceIdFn(t,c);class PreloadFontsAudit extends i{static get meta(){return{id:"preload-fonts",title:d(c.title),
failureTitle:d(c.failureTitle),description:d(c.description),requiredArtifacts:["devtoolsLogs","URL","CSSUsage"]}}static getURLsAttemptedToPreload(e){const s=e.filter((e=>"Font"===e.resourceType)).filter((e=>e.isLinkPreload)).map((e=>e.url));return new Set(s)}static async audit_(e,s){const t=e.devtoolsLogs[this.DEFAULT_PASS],c=await u.request(t,s),m=n.findFontDisplayDeclarations(e,l).passingURLs,g=PreloadFontsAudit.getURLsAttemptedToPreload(c),h=Array.from(m).filter((e=>!g.has(e))).map((e=>({url:e}))),p=[{key:"url",itemType:"url",text:d(a.UIStrings.columnURL)}];return{score:h.length>0?0:1,details:i.makeTableDetails(p,h),notApplicable:0===m.size}}static async audit(){return{score:1,notApplicable:!0}}}s.exports=PreloadFontsAudit,s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/preload-fonts.js")},{"../computed/network-records.js":40,"./../audits/font-display.js":"../audits/font-display","./../lib/i18n/i18n.js":97,"./audit.js":3}],
"../audits/preload-lcp-image":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../lib/network-request.js"),l=e("../computed/main-resource.js"),u=e("../computed/metrics/lantern-largest-contentful-paint.js"),c=e("../computed/load-simulator.js"),d=e("./byte-efficiency/byte-efficiency-audit.js"),m={title:"Preload Largest Contentful Paint image",description:"Preload the image used by the LCP element in order to improve your LCP time. [Learn more](https://web.dev/optimize-lcp/#preload-important-resources)."},g=a.createMessageInstanceIdFn(t,m);class PreloadLCPImageAudit extends i{static get meta(){return{id:"preload-lcp-image",title:g(m.title),description:g(m.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL","TraceElements","ImageElements"],scoreDisplayMode:i.SCORING_MODES.NUMERIC}}static shouldPreloadRequest(e,s,t){const i=s.redirects?s.redirects.length:0
;return!e.isLinkPreload&&(!n.isNonNetworkRequest(e)&&(!(t.length<=i)&&e.frameId===s.frameId))}static findLCPNode(e,s){let t,i;return e.traverse(((e,a)=>{"network"===e.type&&e.record.url===s&&(t=e,i=a.slice(1).filter((e=>"network"===e.type)))})),{lcpNode:t,path:i}}static getLCPNodeToPreload(e,s,t,i){if(!t)return;const a=i.find((e=>e.node.devtoolsNodePath===t.node.devtoolsNodePath));if(!a)return;const n=a.src,{lcpNode:l,path:u}=PreloadLCPImageAudit.findLCPNode(s,n);if(!l||!u)return;return PreloadLCPImageAudit.shouldPreloadRequest(l.record,e,u)?l:void 0}static computeWasteWithGraph(e,s,t){if(!e)return{wastedMs:0,results:[]};const i=s.cloneWithRelationships(),a=new Set;for(const s of e.getDependencies())a.add(s.id);let n=null,l=null;for(const{node:s}of i.traverseGenerator())"network"===s.type&&(s.isMainDocument()?l=s:s.id===e.id&&(n=s));if(!l)throw new Error("Could not find main document node");if(!n)throw new Error("Could not find the LCP node");n.removeAllDependencies(),
n.addDependency(l);const u=t.simulate(s,{flexibleOrdering:!0}),c=t.simulate(i,{flexibleOrdering:!0}),d=u.nodeTimings.get(e);if(!d)throw new Error("Impossible - node timings should never be undefined");const m=c.nodeTimings.get(n);if(!m)throw new Error("Impossible - node timings should never be undefined");const g=Array.from(c.nodeTimings.keys()).reduce(((e,s)=>e.set(s.id,s)),new Map);let h=0;for(const e of Array.from(a)){const s=g.get(e);if(!s)throw new Error("Impossible - node should never be undefined");const t=c.nodeTimings.get(s),i=t&&t.endTime||0;h=Math.max(h,i)}const p=d.endTime-Math.max(m.endTime,h);return{wastedMs:p,results:[{url:e.record.url,wastedMs:p}]}}static async audit_(e,s){const t=e.GatherContext,n=e.traces[PreloadLCPImageAudit.DEFAULT_PASS],m=e.devtoolsLogs[PreloadLCPImageAudit.DEFAULT_PASS],h=e.URL,p={trace:n,devtoolsLog:m,gatherContext:t,settings:s.settings
},b=e.TraceElements.find((e=>"largest-contentful-paint"===e.traceEventType)),[f,v,j]=await Promise.all([l.request({devtoolsLog:m,URL:h},s),u.request(p,s),c.request({devtoolsLog:m,settings:s.settings},s)]),k=v.pessimisticGraph,y=PreloadLCPImageAudit.getLCPNodeToPreload(f,k,b,e.ImageElements),{results:w,wastedMs:z}=PreloadLCPImageAudit.computeWasteWithGraph(y,k,j),T=[{key:"url",valueType:"thumbnail",label:""},{key:"url",valueType:"url",label:g(a.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:g(a.UIStrings.columnWastedMs)}],S=i.makeOpportunityDetails(T,w,z);return{score:d.scoreForWastedMs(z),numericValue:z,numericUnit:"millisecond",displayValue:z?g(a.UIStrings.displayValueMsSavings,{wastedMs:z}):"",details:S}}static async audit(){return{score:1,notApplicable:!0,details:i.makeOpportunityDetails([],[],0)}}}s.exports=PreloadLCPImageAudit,s.exports.UIStrings=m}).call(this)}).call(this,"/lighthouse-core/audits/preload-lcp-image.js")},{"../computed/load-simulator.js":13,
"../computed/main-resource.js":14,"../computed/metrics/lantern-largest-contentful-paint.js":25,"../lib/i18n/i18n.js":97,"../lib/network-request.js":158,"./audit.js":3,"./byte-efficiency/byte-efficiency-audit.js":4}],"../audits/redirects-http":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../lib/url-shim.js"),l={title:"Redirects HTTP traffic to HTTPS",failureTitle:"Does not redirect HTTP traffic to HTTPS",description:"If you've already set up HTTPS, make sure that you redirect all HTTP traffic to HTTPS in order to enable secure web features for all your users. [Learn more](https://web.dev/redirects-http/)."},u=a.createMessageInstanceIdFn(t,l);s.exports=class RedirectsHTTP extends i{static get meta(){return{id:"redirects-http",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["HTTPRedirect","URL"]}}static audit(e){const s=new n(e.URL.finalUrl)
;return n.isLikeLocalhost(s.hostname)?{score:1,notApplicable:!0}:{score:Number(e.HTTPRedirect.value)}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/redirects-http.js")},{"../lib/i18n/i18n.js":97,"../lib/url-shim.js":"url","./audit.js":3}],"../audits/redirects":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("./byte-efficiency/byte-efficiency-audit.js"),n=e("../lib/i18n/i18n.js"),l=e("../computed/processed-trace.js"),u=e("../computed/network-records.js"),c=e("../computed/main-resource.js"),d=e("../computed/metrics/lantern-interactive.js"),m={title:"Avoid multiple page redirects",description:"Redirects introduce additional delays before the page can be loaded. [Learn more](https://web.dev/redirects/)."},g=n.createMessageInstanceIdFn(t,m);class Redirects extends i{static get meta(){return{id:"redirects",title:g(m.title),description:g(m.description),scoreDisplayMode:i.SCORING_MODES.NUMERIC,supportedModes:["navigation"],
requiredArtifacts:["URL","GatherContext","devtoolsLogs","traces"]}}static getDocumentRequestChain(e,s,t){const i=[];for(const e of t.processEvents){if("navigationStart"!==e.name)continue;const t=e.args.data||{};if(!t.documentLoaderURL||!t.isLoadingMainFrame)continue;let a=s.find((e=>e.url===t.documentLoaderURL));for(;a;)i.push(a),a=a.redirectDestination}return i.length?i:(e.redirects||[]).concat(e)}static async audit(e,s){const t=s.settings,m=e.traces[i.DEFAULT_PASS],h=e.devtoolsLogs[i.DEFAULT_PASS],p=e.GatherContext,b=await l.request(m,s),f=await u.request(h,s),v=await c.request({URL:e.URL,devtoolsLog:h},s),j={trace:m,devtoolsLog:h,gatherContext:p,settings:t},k=await d.request(j,s),y=new Map;for(const[e,s]of k.pessimisticEstimate.nodeTimings.entries())"network"===e.type&&y.set(e.record.url,s);const w=Redirects.getDocumentRequestChain(v,f,b);let z=0;const T=[];for(let e=0;e<w.length&&!(w.length<2);e++){const s=w[e],i=w[e+1]||s,a=y.get(s.url),n=y.get(i.url)
;if(!a||!n)throw new Error("Could not find redirects in graph");const l=n.startTime-a.startTime,u=i.startTime-s.startTime,c="simulate"===t.throttlingMethod?l:1e3*u;z+=c,T.push({url:s.url,wastedMs:c})}const S=[{key:"url",valueType:"url",label:g(n.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:g(n.UIStrings.columnTimeSpent)}],x=i.makeOpportunityDetails(S,T,z);return{score:w.length<=2?1:a.scoreForWastedMs(z),numericValue:z,numericUnit:"millisecond",displayValue:z?g(n.UIStrings.displayValueMsSavings,{wastedMs:z}):"",details:x}}}s.exports=Redirects,s.exports.UIStrings=m}).call(this)}).call(this,"/lighthouse-core/audits/redirects.js")},{"../computed/main-resource.js":14,"../computed/metrics/lantern-interactive.js":24,"../computed/network-records.js":40,"../computed/processed-trace.js":43,"../lib/i18n/i18n.js":97,"./audit.js":3,"./byte-efficiency/byte-efficiency-audit.js":4}],"../audits/resource-summary":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./audit.js"),a=e("../computed/resource-summary.js"),n=e("../lib/i18n/i18n.js"),l={title:"Keep request counts low and transfer sizes small",description:"To set budgets for the quantity and size of page resources, add a budget.json file. [Learn more](https://web.dev/use-lighthouse-for-performance-budgets/).",displayValue:"{requestCount, plural, =1 {1 request • {byteCount, number, bytes} KiB} other {# requests • {byteCount, number, bytes} KiB}}"},u=n.createMessageInstanceIdFn(t,l);s.exports=class ResourceSummary extends i{static get meta(){return{id:"resource-summary",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],c=await a.request({devtoolsLog:t,URL:e.URL,budgets:s.settings.budgets},s),d=[{key:"label",itemType:"text",text:u(n.UIStrings.columnResourceType)},{key:"requestCount",itemType:"numeric",text:u(n.UIStrings.columnRequests)
},{key:"transferSize",itemType:"bytes",text:u(n.UIStrings.columnTransferSize)}],m={total:u(n.UIStrings.totalResourceType),document:u(n.UIStrings.documentResourceType),script:u(n.UIStrings.scriptResourceType),stylesheet:u(n.UIStrings.stylesheetResourceType),image:u(n.UIStrings.imageResourceType),media:u(n.UIStrings.mediaResourceType),font:u(n.UIStrings.fontResourceType),other:u(n.UIStrings.otherResourceType),"third-party":u(n.UIStrings.thirdPartyResourceType)},g=Object.keys(c).map((e=>({resourceType:e,label:m[e],requestCount:c[e].count,transferSize:c[e].transferSize}))),h=g.find((e=>"third-party"===e.resourceType))||[],p=g.filter((e=>"third-party"!==e.resourceType)).sort(((e,s)=>s.transferSize-e.transferSize)).concat(h);return{details:i.makeTableDetails(d,p),score:1,displayValue:u(l.displayValue,{requestCount:c.total.count,byteCount:c.total.transferSize})}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/resource-summary.js")},{
"../computed/resource-summary.js":44,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/screenshot-thumbnails":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../lib/lh-error.js"),n=e("jpeg-js"),l=e("../computed/speedline.js");class ScreenshotThumbnails extends i{static get meta(){return{id:"screenshot-thumbnails",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Screenshot Thumbnails",description:"This is what the load of your site looked like.",requiredArtifacts:["traces","GatherContext"]}}static scaleImageToThumbnail(e){const s=120,t=e.width/s,i=Math.floor(e.height/t),a=new Uint8Array(s*i*4);for(let n=0;n<s;n++)for(let l=0;l<i;l++){const i=Math.floor(n*t),u=4*(Math.floor(l*t)*e.width+i),c=4*(l*s+n);a[c]=e.data[u],a[c+1]=e.data[u+1],a[c+2]=e.data[u+2],a[c+3]=e.data[u+3]}return{width:s,height:i,data:a}}static async _audit(e,s){
const t=e.traces[i.DEFAULT_PASS],u=new Map,c=await l.request(t,s),d=s.options.minimumTimelineDuration||3e3,m=[],g=c.frames.filter((e=>!e.isProgressInterpolated())),h=c.complete||Math.max(...c.frames.map((e=>e.getTimeStamp()-c.beginning))),p=Math.max(h,d);if(!g.length||!Number.isFinite(p))throw new a(a.errors.INVALID_SPEEDLINE);for(let e=1;e<=10;e++){const s=c.beginning+p*e/10;let t,i=null;10===e?i=g[g.length-1]:g.forEach((e=>{e.getTimeStamp()<=s&&(i=e)}));const a=u.get(i);if(a)t=a;else{const e=i.getParsedImage(),s=ScreenshotThumbnails.scaleImageToThumbnail(e);t=n.encode(s,90).data.toString("base64"),u.set(i,t)}m.push({timing:Math.round(s-c.beginning),timestamp:1e3*s,data:"data:image/jpeg;base64,"+t})}return{score:1,details:{type:"filmstrip",scale:p,items:m}}}static async audit(e,s){try{return await this._audit(e,s)}catch(s){
if(new Set([a.errors.NO_SCREENSHOTS.code,a.errors.SPEEDINDEX_OF_ZERO.code,a.errors.NO_SPEEDLINE_FRAMES.code,a.errors.INVALID_SPEEDLINE.code]).has(s.code)&&"timespan"===e.GatherContext.gatherMode)return{notApplicable:!0,score:1};throw s}}}s.exports=ScreenshotThumbnails},{"../computed/speedline.js":46,"../lib/lh-error.js":152,"./audit.js":3,"jpeg-js":234}],"../audits/script-treemap-data":[function(e,s,t){"use strict";const i=e("./audit.js"),a=e("../computed/js-bundles.js"),n=e("../computed/unused-javascript-summary.js"),l=e("../computed/module-duplication.js");class ScriptTreemapDataAudit extends i{static get meta(){return{id:"script-treemap-data",scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,title:"Script Treemap Data",description:"Used for treemap app",requiredArtifacts:["traces","devtoolsLogs","SourceMaps","ScriptElements","JsUsage","URL"]}}static makeScriptNode(e,s,t){function newNode(e){return{name:e,resourceBytes:0}}const i=newNode(s);function addAllNodesInSourcePath(e,t){let a=i
;i.resourceBytes+=t.resourceBytes,t.unusedBytes&&(i.unusedBytes=(i.unusedBytes||0)+t.unusedBytes);const n=e.replace(s,"").split(/\/+/);n.forEach(((e,s)=>{if(0===e.length)return;const i=s===n.length-1;let l=a.children&&a.children.find((s=>s.name===e));l||(l=newNode(e),a.children=a.children||[],a.children.push(l)),a=l,a.resourceBytes+=t.resourceBytes,t.unusedBytes&&(a.unusedBytes=(a.unusedBytes||0)+t.unusedBytes),i&&void 0!==t.duplicatedNormalizedModuleName&&(a.duplicatedNormalizedModuleName=t.duplicatedNormalizedModuleName)}))}for(const[e,s]of Object.entries(t))addAllNodesInSourcePath(e,s);if(function collapseAll(e){for(;e.children&&1===e.children.length;)e.name+="/"+e.children[0].name,e.children=e.children[0].children;if(e.children)for(const s of e.children)collapseAll(s)}(i),!i.name)return{...i,name:e,children:i.children};const a={...i};return a.name=e,a.children=[i],a}static async makeNodes(e,s){const t=[];let i=0;for(const s of e.ScriptElements)s.src||(i+=(s.content||"").length)
;if(i){const s=e.URL.finalUrl;t.push({name:s,resourceBytes:i})}const u=await a.request(e,s),c=await l.request(e,s);for(const i of e.ScriptElements){if(!i.src)continue;const a=i.src,d=u.find((e=>i.src===e.script.src)),m=e.JsUsage[i.src]||[];if(!d&&0===m.length){t.push({name:a,resourceBytes:i.src.length});continue}const g=await n.request({url:i.src,scriptCoverages:m,bundle:d},s);let h;if(d&&!("errorMessage"in d.sizes)){const e={};for(const s of Object.keys(d.sizes.files)){const t={resourceBytes:d.sizes.files[s]};g.sourcesWastedBytes&&(t.unusedBytes=g.sourcesWastedBytes[s]);let i=s;d.rawMap.sourceRoot&&s.startsWith(d.rawMap.sourceRoot)&&(i=s.replace(d.rawMap.sourceRoot,""));const a=l.normalizeSource(i);c.has(a)&&(t.duplicatedNormalizedModuleName=a),e[s]=t}if(d.sizes.unmappedBytes){const s={resourceBytes:d.sizes.unmappedBytes};g.sourcesWastedBytes&&(s.unusedBytes=g.sourcesWastedBytes["(unmapped)"]),e["(unmapped)"]=s}h=this.makeScriptNode(i.src,d.rawMap.sourceRoot||"",e)}else h={name:a,
resourceBytes:g.totalBytes,unusedBytes:g.wastedBytes};t.push(h)}return t}static async audit(e,s){return{score:1,details:{type:"treemap-data",nodes:await ScriptTreemapDataAudit.makeNodes(e,s)}}}}s.exports=ScriptTreemapDataAudit},{"../computed/js-bundles.js":12,"../computed/module-duplication.js":38,"../computed/unused-javascript-summary.js":49,"./audit.js":3}],"../audits/seo/canonical":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/url-shim.js"),n=e("../../computed/main-resource.js"),l=e("../../lib/i18n/i18n.js"),u={title:"Document has a valid `rel=canonical`",failureTitle:"Document does not have a valid `rel=canonical`",description:"Canonical links suggest which URL to show in search results. [Learn more](https://web.dev/canonical/).",explanationConflict:"Multiple conflicting URLs ({urlList})",explanationInvalid:"Invalid URL ({url})",explanationRelative:"Is not an absolute URL ({url})",
explanationPointsElsewhere:"Points to another `hreflang` location ({url})",explanationDifferentDomain:"Points to a different domain ({url})",explanationRoot:"Points to the domain's root URL (the homepage), instead of an equivalent page of content"},c=l.createMessageInstanceIdFn(t,u);class Canonical extends i{static get meta(){return{id:"canonical",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements","URL","devtoolsLogs"]}}static collectCanonicalURLs(e){const s=new Set,t=new Set;let i,n;for(const l of e)if("body"!==l.source)if("canonical"===l.rel){if(!l.hrefRaw)continue;l.href?a.isValid(l.hrefRaw)?s.add(l.href):n=l:i=l}else"alternate"===l.rel&&l.href&&l.hreflang&&t.add(l.href);return{uniqueCanonicalURLs:s,hreflangURLs:t,invalidCanonicalLink:i,relativeCanonicallink:n}}static findInvalidCanonicalURLReason(e){const{uniqueCanonicalURLs:s,invalidCanonicalLink:t,relativeCanonicallink:i}=e;if(t)return{
score:0,explanation:c(u.explanationInvalid,{url:t.hrefRaw})};if(i)return{score:0,explanation:c(u.explanationRelative,{url:i.hrefRaw})};const a=Array.from(s);return 0===a.length?{score:1,notApplicable:!0}:a.length>1?{score:0,explanation:c(u.explanationConflict,{urlList:a.join(", ")})}:void 0}static findCommonCanonicalURLMistakes(e,s,t){const{hreflangURLs:i}=e;return i.has(t.href)&&i.has(s.href)&&t.href!==s.href?{score:0,explanation:c(u.explanationPointsElsewhere,{url:t.href})}:a.rootDomainsMatch(s,t)?s.origin===t.origin&&"/"===s.pathname&&"/"!==t.pathname?{score:0,explanation:c(u.explanationRoot)}:void 0:{score:0,explanation:c(u.explanationDifferentDomain,{url:s.href})}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],l=await n.request({devtoolsLog:t,URL:e.URL},s),u=new a(l.url),c=Canonical.collectCanonicalURLs(e.LinkElements),d=Canonical.findInvalidCanonicalURLReason(c);if(d)return d
;const m=new a([...c.uniqueCanonicalURLs][0]),g=Canonical.findCommonCanonicalURLMistakes(c,m,u);return g||{score:1}}}s.exports=Canonical,s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/seo/canonical.js")},{"../../computed/main-resource.js":14,"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3}],"../audits/seo/crawlable-anchors":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Links are crawlable",failureTitle:"Links are not crawlable",description:"Search engines may use `href` attributes on links to crawl websites. Ensure that the `href` attribute of anchor elements links to an appropriate destination, so more pages of the site can be discovered. [Learn More](https://support.google.com/webmasters/answer/9112205)",columnFailingLink:"Uncrawlable Link"},l=a.createMessageInstanceIdFn(t,n);s.exports=class CrawlableAnchors extends i{static get meta(){return{
id:"crawlable-anchors",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["AnchorElements"]}}static audit({AnchorElements:e}){const s=e.filter((({rawHref:e,listeners:s=[],onclick:t="",name:i="",role:a=""})=>{if(t=t.replace(/\s/g,""),e=e.replace(/\s/g,""),i=i.trim(),(a=a.trim()).length>0)return;if(e.startsWith("mailto:"))return;if(e.startsWith("file:"))return!0;if(/window\.location=/.test(t))return!0;if(/window\.open\(/.test(t))return!0;return s.some((({type:e})=>"click"===e))||i.length>0?void 0:""===e||(!!/javascript:void(\(|)0(\)|)/.test(e)||void 0)})),t=[{key:"node",itemType:"node",text:l(n.columnFailingLink)}],a=s.map((e=>({node:i.makeNodeItem(e.node)})));return{score:Number(0===s.length),details:i.makeTableDetails(t,a)}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/seo/crawlable-anchors.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/seo/font-size":[function(e,s,t){(function(t){(function(){
"use strict";const i=e("../../lib/i18n/i18n.js"),a=e("../audit.js"),n=e("../../computed/viewport-meta.js"),l={title:"Document uses legible font sizes",failureTitle:"Document doesn't use legible font sizes",description:"Font sizes less than 12px are too small to be legible and require mobile visitors to “pinch to zoom” in order to read. Strive to have >60% of page text ≥12px. [Learn more](https://web.dev/font-size/).",displayValue:"{decimalProportion, number, extendedPercent} legible text",explanationViewport:"Text is illegible because there's no viewport meta tag optimized for mobile screens.",additionalIllegibleText:"Add'l illegible text",legibleText:"Legible text",columnSelector:"Selector",columnPercentPageText:"% of Page Text",columnFontSize:"Font Size"},u=i.createMessageInstanceIdFn(t,l);function getSelector(e){const s=function getAttributeMap(e=[]){const s=new Map;for(let t=0;t<e.length;t+=2){const i=e[t],a=e[t+1];if(!i||!a)continue;const n=a.trim();n&&s.set(i.toLowerCase(),n)}
return s}(e.attributes);if(s.has("id"))return"#"+s.get("id");{const e=s.get("class");if(e)return"."+e.split(/\s+/).join(".")}return e.nodeName.toLowerCase()}function nodeToTableNode(e){const s=(e.attributes||[]).map(((e,s)=>s%2==0?" "+e:`="${e}"`)).join("");return{type:"node",selector:e.parentNode?getSelector(e.parentNode):"",snippet:`<${e.nodeName.toLowerCase()}${s}>`}}s.exports=class FontSize extends a{static get meta(){return{id:"font-size",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["FontSize","URL","MetaElements"]}}static async audit(e,s){if("desktop"===s.settings.formFactor)return{score:1,notApplicable:!0};if(!(await n.request(e.MetaElements,s)).isMobileOptimized)return{score:0,explanation:u(l.explanationViewport)};const{analyzedFailingNodesData:t,analyzedFailingTextLength:c,failingTextLength:d,totalTextLength:m}=e.FontSize;if(0===m)return{score:1};const g=function getUniqueFailingRules(e){const s=new Map;return e.forEach((e=>{
const{nodeId:t,cssRule:i,fontSize:a,textLength:n,parentNode:l}=e,u=function getFontArtifactId(e,s){if(e&&"Regular"===e.type){const s=e.range?e.range.startLine:0,t=e.range?e.range.startColumn:0;return`${e.styleSheetId}@${s}:${t}`}return"node_"+s}(i,t),c=s.get(u);c?c.textLength+=n:s.set(u,{nodeId:t,parentNode:l,cssRule:i,fontSize:a,textLength:n})})),[...s.values()]}(t),h=(m-d)/m*100,p=e.URL.finalUrl,b=[{key:"source",itemType:"source-location",text:u(i.UIStrings.columnSource)},{key:"selector",itemType:"code",text:u(l.columnSelector)},{key:"coverage",itemType:"text",text:u(l.columnPercentPageText)},{key:"fontSize",itemType:"text",text:u(l.columnFontSize)}],f=g.sort(((e,s)=>s.textLength-e.textLength)).map((({cssRule:e,textLength:s,fontSize:t,parentNode:i})=>{const a=s/m*100,n=function findStyleRuleSource(e,s,t){if(!s||"Attributes"===s.type||"Inline"===s.type)return{source:{type:"url",value:e},selector:nodeToTableNode(t)};if(s.parentRule&&"user-agent"===s.parentRule.origin)return{source:{
type:"code",value:"User Agent Stylesheet"},selector:s.parentRule.selectors.map((e=>e.text)).join(", ")};let i="";s.parentRule&&(i=s.parentRule.selectors.map((e=>e.text)).join(", "));if(s.stylesheet&&!s.stylesheet.sourceURL)return{source:{type:"code",value:"dynamic"},selector:i};if(s.stylesheet&&s.range){const{range:e,stylesheet:t}=s,a=t.hasSourceURL?"comment":"network";let n=e.startLine,l=e.startColumn;return t.isInline&&"comment"!==a&&(n+=t.startLine,0===e.startLine&&(l+=t.startColumn)),{source:{type:"source-location",url:t.sourceURL,urlProvider:a,line:n,column:l},selector:i}}return{selector:i,source:{type:"code",value:"Unknown"}}}(p,e,i);return{source:n.source,selector:n.selector,coverage:a.toFixed(2)+"%",fontSize:t+"px"}}));if(c<d){const e=(d-c)/m*100;f.push({source:{type:"code",value:u(l.additionalIllegibleText)},selector:"",coverage:e.toFixed(2)+"%",fontSize:"< 12px"})}h>0&&f.push({source:{type:"code",value:u(l.legibleText)},selector:"",coverage:h.toFixed(2)+"%",fontSize:"≥ 12px"
});const v=u(l.displayValue,{decimalProportion:h/100}),j=a.makeTableDetails(b,f);return{score:Number(h>=60),details:j,displayValue:v}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/seo/font-size.js")},{"../../computed/viewport-meta.js":51,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/seo/hreflang":[function(require,module,exports){(function(__filename){(function(){"use strict";const Audit=require("../audit.js"),i18n=require("../../lib/i18n/i18n.js"),axeLibSource=require("../../lib/axe.js").source,VALID_LANGS=importValidLangs(),NO_LANGUAGE="x-default",UIStrings={title:"Document has a valid `hreflang`",failureTitle:"Document doesn't have a valid `hreflang`",description:"hreflang links tell search engines what version of a page they should list in search results for a given language or region. [Learn more](https://web.dev/hreflang/).",unexpectedLanguage:"Unexpected language code",notFullyQualified:"Relative href value"
},str_=i18n.createMessageInstanceIdFn(__filename,UIStrings);function importValidLangs(){const window={getComputedStyle:()=>{}};return eval(axeLibSource),window.axe.utils.validLangs()}function isFullyQualified(e){return e.startsWith("http:")||e.startsWith("https:")}function isExpectedLanguageCode(e){if(e.toLowerCase()===NO_LANGUAGE)return!0;const[s]=e.split("-");return VALID_LANGS.includes(s.toLowerCase())}class Hreflang extends Audit{static get meta(){return{id:"hreflang",title:str_(UIStrings.title),failureTitle:str_(UIStrings.failureTitle),description:str_(UIStrings.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements","URL"]}}static audit({LinkElements:e}){const s=[],t=e.filter((e=>{const s="alternate"===e.rel,t=e.hreflang,i="body"===e.source;return s&&t&&!i}));for(const e of t){const t=[];let i;isExpectedLanguageCode(e.hreflang)||t.push(str_(UIStrings.unexpectedLanguage)),isFullyQualified(e.hrefRaw.toLowerCase())||t.push(str_(UIStrings.notFullyQualified)),
"head"===e.source?i=e.node?{...Audit.makeNodeItem(e.node),snippet:`<link rel="alternate" hreflang="${e.hreflang}" href="${e.hrefRaw}" />`}:{type:"node",snippet:`<link rel="alternate" hreflang="${e.hreflang}" href="${e.hrefRaw}" />`}:"headers"===e.source&&(i=`Link: <${e.hrefRaw}>; rel="alternate"; hreflang="${e.hreflang}"`),i&&t.length&&s.push({source:i,subItems:{type:"subitems",items:t.map((e=>({reason:e})))}})}const i=Audit.makeTableDetails([{key:"source",itemType:"code",subItemsHeading:{key:"reason",itemType:"text"},text:""}],s);return{score:Number(0===s.length),details:i}}}module.exports=Hreflang,module.exports.UIStrings=UIStrings}).call(this)}).call(this,"/lighthouse-core/audits/seo/hreflang.js")},{"../../lib/axe.js":82,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/seo/http-status-code":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../audit.js"),a=e("../../computed/network-records.js"),n=e("../../lib/i18n/i18n.js"),l=e("../../lib/dependency-graph/simulator/network-analyzer.js"),u={title:"Page has successful HTTP status code",failureTitle:"Page has unsuccessful HTTP status code",description:"Pages with unsuccessful HTTP status codes may not be indexed properly. [Learn more](https://web.dev/http-status-code/)."},c=n.createMessageInstanceIdFn(t,u);s.exports=class HTTPStatusCode extends i{static get meta(){return{id:"http-status-code",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),requiredArtifacts:["devtoolsLogs","URL","GatherContext"]}}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],n=e.URL,u=await a.request(t,s),c=l.findOptionalMainDocument(u,n.finalUrl);if(!c){if("timespan"===e.GatherContext.gatherMode)return{notApplicable:!0,score:1};throw new Error("Unable to locate main resource")}const d=c.statusCode;return d>=400&&d<=599?{score:0,displayValue:""+d}:{
score:1}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/seo/http-status-code.js")},{"../../computed/network-records.js":40,"../../lib/dependency-graph/simulator/network-analyzer.js":92,"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/seo/is-crawlable":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("robots-parser"),n=e("../../lib/url-shim.js"),l=e("../../computed/main-resource.js"),u=new Set(["noindex","none"]),c="unavailable_after",d=e("../../lib/i18n/i18n.js"),m={title:"Page isn’t blocked from indexing",failureTitle:"Page is blocked from indexing",description:"Search engines are unable to include your pages in search results if they don't have permission to crawl them. [Learn more](https://web.dev/is-crawable/)."},g=d.createMessageInstanceIdFn(t,m);function hasBlockingDirective(e){return e.split(",").map((e=>e.toLowerCase().trim())).some((e=>u.has(e)||function isUnavailable(e){const s=e.split(":")
;if(s.length<=1||s[0]!==c)return!1;const t=Date.parse(s.slice(1).join(":"));return!isNaN(t)&&t<Date.now()}(e)))}s.exports=class IsCrawlable extends i{static get meta(){return{id:"is-crawlable",title:g(m.title),failureTitle:g(m.failureTitle),description:g(m.description),supportedModes:["navigation"],requiredArtifacts:["MetaElements","RobotsTxt","URL","devtoolsLogs"]}}static audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS],u=e.MetaElements.find((e=>"robots"===e.name));return l.request({devtoolsLog:t,URL:e.URL},s).then((s=>{const t=[];if(u){const e=u.content||"";hasBlockingDirective(e)&&t.push({source:{...i.makeNodeItem(u.node),snippet:`<meta name="robots" content="${e}" />`}})}if(s.responseHeaders&&s.responseHeaders.filter((e=>"x-robots-tag"===e.name.toLowerCase()&&!function hasUserAgent(e){const s=e.match(/^([^,:]+):/);return!!s&&s[1].toLowerCase()!==c}(e.value)&&hasBlockingDirective(e.value))).forEach((e=>t.push({source:`${e.name}: ${e.value}`}))),e.RobotsTxt.content){
const i=new n("/robots.txt",s.url),l=a(i.href,e.RobotsTxt.content);if(!l.isAllowed(s.url)){const e=l.getMatchingLineNumber(s.url)||1;t.push({source:{type:"source-location",url:i.href,urlProvider:"network",line:e-1,column:0}})}}const l=i.makeTableDetails([{key:"source",itemType:"code",text:"Blocking Directive Source"}],t);return{score:Number(0===t.length),details:l}}))}},s.exports.UIStrings=m}).call(this)}).call(this,"/lighthouse-core/audits/seo/is-crawlable.js")},{"../../computed/main-resource.js":14,"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3,"robots-parser":277}],"../audits/seo/link-text":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../audit.js"),a=e("../../lib/url-shim.js"),n=new Set(["click here","click this","go","here","information","learn more","more","more info","more information","right here","read more","see more","start","this","ここをクリック","こちらをクリック","リンク","続きを読む","続く","全文表示","click aquí","click aqui","clicka aquí","clicka aqui","pincha aquí","pincha aqui","aquí","aqui","más","mas","más información","más informacion","mas información","mas informacion","este","enlace","este enlace","empezar","clique aqui","ir","mais informação","mais informações","mais","veja mais","여기","여기를 클릭","클릭","링크","자세히","자세히 보기","계속","이동","전체 보기","här","klicka här","läs mer","mer","mer info","mer information"]),l=e("../../lib/i18n/i18n.js"),u={title:"Links have descriptive text",failureTitle:"Links do not have descriptive text",description:"Descriptive link text helps search engines understand your content. [Learn more](https://web.dev/link-text/).",
displayValue:"{itemCount, plural,\n    =1 {1 link found}\n    other {# links found}\n    }"},c=l.createMessageInstanceIdFn(t,u);s.exports=class LinkText extends i{static get meta(){return{id:"link-text",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),requiredArtifacts:["URL","AnchorElements"]}}static audit(e){const s=e.AnchorElements.filter((e=>e.href&&!e.rel.includes("nofollow"))).filter((s=>{const t=s.href.toLowerCase();return!(t.startsWith("javascript:")||t.startsWith("mailto:")||a.equalWithExcludedFragments(s.href,e.URL.finalUrl))&&n.has(s.text.trim().toLowerCase())})).map((e=>({href:e.href,text:e.text.trim()}))),t=i.makeTableDetails([{key:"href",itemType:"url",text:"Link destination"},{key:"text",itemType:"text",text:"Link Text"}],s,{});let l;return s.length&&(l=c(u.displayValue,{itemCount:s.length})),{score:Number(0===s.length),details:t,displayValue:l}}},s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/seo/link-text.js")},{
"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3}],"../audits/seo/manual/structured-data":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../../manual/manual-audit.js"),a=e("../../../lib/i18n/i18n.js"),n={description:"Run the [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) and the [Structured Data Linter](http://linter.structured-data.org/) to validate structured data. [Learn more](https://web.dev/structured-data/).",title:"Structured data is valid"},l=a.createMessageInstanceIdFn(t,n);s.exports=class StructuredData extends i{static get meta(){return Object.assign({id:"structured-data",description:l(n.description),title:l(n.title)},super.partialMeta)}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/seo/manual/structured-data.js")},{"../../../lib/i18n/i18n.js":97,"../../manual/manual-audit.js":6}],"../audits/seo/meta-description":[function(e,s,t){(function(t){(function(){
"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={title:"Document has a meta description",failureTitle:"Document does not have a meta description",description:"Meta descriptions may be included in search results to concisely summarize page content. [Learn more](https://web.dev/meta-description/).",explanation:"Description text is empty."},l=a.createMessageInstanceIdFn(t,n);s.exports=class Description extends i{static get meta(){return{id:"meta-description",title:l(n.title),failureTitle:l(n.failureTitle),description:l(n.description),requiredArtifacts:["MetaElements"]}}static audit(e){const s=e.MetaElements.find((e=>"description"===e.name));if(!s)return{score:0};return 0===(s.content||"").trim().length?{score:0,explanation:l(n.explanation)}:{score:1}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/seo/meta-description.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],"../audits/seo/plugins":[function(e,s,t){(function(t){(function(){
"use strict";const i=e("../audit.js"),a=e("../../lib/url-shim.js"),n="application/x-java-applet",l="application/x-java-bean",u=new Set(["application/x-shockwave-flash",n,l,"application/x-silverlight","application/x-silverlight-2"]),c=new Set(["swf","flv","class","xap"]),d=new Set(["code","movie","source","src"]),m=e("../../lib/i18n/i18n.js"),g={title:"Document avoids plugins",failureTitle:"Document uses plugins",description:"Search engines can't index plugin content, and many devices restrict plugins or don't support them. [Learn more](https://web.dev/plugins/)."},h=m.createMessageInstanceIdFn(t,g);function isPluginURL(e){try{const s=new a(e,"http://example.com").pathname.split(".");if(s.length<2)return!1;const t=s[s.length-1];return c.has(t.trim().toLowerCase())}catch(e){return!1}}s.exports=class Plugins extends i{static get meta(){return{id:"plugins",title:h(g.title),failureTitle:h(g.failureTitle),description:h(g.description),requiredArtifacts:["EmbeddedContent"]}}static audit(e){
const s=e.EmbeddedContent.filter((e=>{if("APPLET"===e.tagName)return!0;if(("EMBED"===e.tagName||"OBJECT"===e.tagName)&&e.type&&function isPluginType(e){return e=e.trim().toLowerCase(),u.has(e)||e.startsWith(n)||e.startsWith(l)}(e.type))return!0;const s=e.src||e.code;if("EMBED"===e.tagName&&s&&isPluginURL(s))return!0;if("OBJECT"===e.tagName&&e.data&&isPluginURL(e.data))return!0;return e.params.filter((e=>d.has(e.name.trim().toLowerCase())&&isPluginURL(e.value))).length>0})).map((e=>({source:i.makeNodeItem(e.node)}))),t=i.makeTableDetails([{key:"source",itemType:"code",text:"Element source"}],s);return{score:Number(0===s.length),details:t}}},s.exports.UIStrings=g}).call(this)}).call(this,"/lighthouse-core/audits/seo/plugins.js")},{"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3}],"../audits/seo/robots-txt":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../audit.js"),a=e("../../lib/url-shim.js"),n="sitemap",l="user-agent",u="allow",c="disallow",d=new Set([u,c]),m=new Set([l,c,u,n,"crawl-delay","clean-param","host","request-rate","visit-time","noindex"]),g=new Set(["https:","http:","ftp:"]),h=e("../../lib/i18n/i18n.js"),p={title:"robots.txt is valid",failureTitle:"robots.txt is not valid",description:"If your robots.txt file is malformed, crawlers may not be able to understand how you want your website to be crawled or indexed. [Learn more](https://web.dev/robots-txt/).",displayValueHttpBadCode:"Request for robots.txt returned HTTP status: {statusCode}",displayValueValidationError:"{itemCount, plural,\n    =1 {1 error found}\n    other {# errors found}\n    }",explanation:"Lighthouse was unable to download a robots.txt file"},b=h.createMessageInstanceIdFn(t,p);function parseLine(e){const s=e.indexOf("#");if(-1!==s&&(e=e.substr(0,s)),0===(e=e.trim()).length)return null;const t=e.indexOf(":")
;if(-1===t)throw new Error("Syntax not understood");const i=e.slice(0,t).trim().toLowerCase(),d=e.slice(t+1).trim();return function verifyDirective(e,s){if(!m.has(e))throw new Error("Unknown directive");if(e===n){let e;try{e=new a(s)}catch(e){throw new Error("Invalid sitemap URL")}if(!g.has(e.protocol))throw new Error("Invalid sitemap URL protocol")}if(e===l&&!s)throw new Error("No user-agent specified");if(e===u||e===c){if(""!==s&&"/"!==s[0]&&"*"!==s[0])throw new Error('Pattern should either be empty, start with "/" or "*"');const e=s.indexOf("$");if(-1!==e&&e!==s.length-1)throw new Error('"$" should only be used at the end of the pattern')}}(i,d),{directive:i,value:d}}s.exports=class RobotsTxt extends i{static get meta(){return{id:"robots-txt",title:b(p.title),failureTitle:b(p.failureTitle),description:b(p.description),requiredArtifacts:["RobotsTxt"]}}static audit(e){const{status:s,content:t}=e.RobotsTxt;if(!s)return{score:0,explanation:b(p.explanation)};if(s>=500)return{score:0,
displayValue:b(p.displayValueHttpBadCode,{statusCode:s})};if(s>=400||""===t)return{score:1,notApplicable:!0};if(null===t)throw new Error(`Status ${s} was valid, but content was null`);const a=function validateRobots(e){const s=[];let t=!1;return e.split(/\r\n|\r|\n/).forEach(((e,i)=>{let a;try{a=parseLine(e)}catch(t){s.push({index:(i+1).toString(),line:e,message:t.message.toString()})}a&&(a.directive===l?t=!0:!t&&d.has(a.directive)&&s.push({index:(i+1).toString(),line:e,message:"No user-agent specified"}))})),s}(t),n=i.makeTableDetails([{key:"index",itemType:"text",text:"Line #"},{key:"line",itemType:"code",text:"Content"},{key:"message",itemType:"code",text:"Error"}],a,{});let u;return a.length&&(u=b(p.displayValueValidationError,{itemCount:a.length})),{score:Number(0===a.length),details:n,displayValue:u}}},s.exports.UIStrings=p}).call(this)}).call(this,"/lighthouse-core/audits/seo/robots-txt.js")},{"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","../audit.js":3}],
"../audits/seo/tap-targets":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../computed/viewport-meta.js"),{rectsTouchOrOverlap:n,getRectOverlapArea:l,getRectAtCenter:u,allRectsContainedWithinEachOther:c,getLargestRect:d,getBoundingRectWithPadding:m}=e("../../lib/rect-helpers.js"),{getTappableRectsFromClientRects:g}=e("../../lib/tappable-rects.js"),h=e("../../lib/i18n/i18n.js"),p={title:"Tap targets are sized appropriately",failureTitle:"Tap targets are not sized appropriately",description:"Interactive elements like buttons and links should be large enough (48x48px), and have enough space around them, to be easy enough to tap without overlapping onto other elements. [Learn more](https://web.dev/tap-targets/).",tapTargetHeader:"Tap Target",overlappingTargetHeader:"Overlapping Target",explanationViewportMetaNotOptimized:"Tap targets are too small because there's no viewport meta tag optimized for mobile screens",
displayValue:"{decimalProportion, number, percent} appropriately sized tap targets"},b=h.createMessageInstanceIdFn(t,p);function clientRectBelowMinimumSize(e){return e.width<48||e.height<48}function getOverlapFailureForTargetPair(e,s){let t=null;for(const i of e){const e=u(i,48),a=l(e,i);for(const i of s){const s=l(e,i),n=s/a;n<.25||(!t||n>t.overlapScoreRatio)&&(t={overlapScoreRatio:n,tapTargetScore:a,overlappingTargetScore:s})}}return t}class TapTargets extends i{static get meta(){return{id:"tap-targets",title:b(p.title),failureTitle:b(p.failureTitle),description:b(p.description),requiredArtifacts:["MetaElements","TapTargets"]}}static async audit(e,s){if("desktop"===s.settings.formFactor)return{score:1,notApplicable:!0};if(!(await a.request(e.MetaElements,s)).isMobileOptimized)return{score:0,explanation:b(p.explanationViewportMetaNotOptimized)};const t=function getBoundedTapTargets(e){return e.map((e=>({tapTarget:e,paddedBoundsRect:m(e.clientRects,48)})))
}(e.TapTargets),l=function getAllOverlapFailures(e,s){const t=[];return e.forEach((e=>{const i=g(e.tapTarget.clientRects);for(const a of s){if(a===e)continue;if(!n(e.paddedBoundsRect,a.paddedBoundsRect))continue;if(e.tapTarget.href===a.tapTarget.href&&/https?:\/\//.test(e.tapTarget.href))continue;const s=a.tapTarget.clientRects;if(c(i,s))continue;const l=getOverlapFailureForTargetPair(i,s);l&&t.push({...l,tapTarget:e.tapTarget,overlappingTarget:a.tapTarget})}})),t}(function getTooSmallTargets(e){return e.filter((e=>e.tapTarget.clientRects.every(clientRectBelowMinimumSize)))}(t),t),u=function getTableItems(e){const s=e.map((e=>{const s=d(e.tapTarget.clientRects),t=Math.floor(s.width),a=Math.floor(s.height),n=t+"x"+a;return{tapTarget:i.makeNodeItem(e.tapTarget.node),overlappingTarget:i.makeNodeItem(e.overlappingTarget.node),tapTargetScore:e.tapTargetScore,overlappingTargetScore:e.overlappingTargetScore,overlapScoreRatio:e.overlapScoreRatio,size:n,width:t,height:a}}))
;return s.sort(((e,s)=>s.overlapScoreRatio-e.overlapScoreRatio)),s}(function mergeSymmetricFailures(e){const s=[];return e.forEach(((t,i)=>{const a=e.find((e=>e.tapTarget===t.overlappingTarget&&e.overlappingTarget===t.tapTarget));if(!a)return void s.push(t);const{overlapScoreRatio:n}=t,{overlapScoreRatio:l}=a;(n>l||n===l&&i<e.indexOf(a))&&s.push(t)})),s}(l)),f=[{key:"tapTarget",itemType:"node",text:b(p.tapTargetHeader)},{key:"size",itemType:"text",text:b(h.UIStrings.columnSize)},{key:"overlappingTarget",itemType:"node",text:b(p.overlappingTargetHeader)}],v=i.makeTableDetails(f,u),j=e.TapTargets.length,k=new Set(l.map((e=>e.tapTarget))).size;let y=1,w=1;k>0&&(w=(j-k)/j,y=.89*w);return{score:y,details:v,displayValue:b(p.displayValue,{decimalProportion:w})}}}TapTargets.FINGER_SIZE_PX=48,s.exports=TapTargets,s.exports.UIStrings=p}).call(this)}).call(this,"/lighthouse-core/audits/seo/tap-targets.js")},{"../../computed/viewport-meta.js":51,"../../lib/i18n/i18n.js":97,
"../../lib/rect-helpers.js":161,"../../lib/tappable-rects.js":165,"../audit.js":3}],"../audits/server-response-time":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/main-resource.js"),l=e("../computed/network-records.js"),u=e("../lib/dependency-graph/simulator/network-analyzer.js"),c={title:"Initial server response time was short",failureTitle:"Reduce initial server response time",description:"Keep the server response time for the main document short because all other requests depend on it. [Learn more](https://web.dev/time-to-first-byte/).",displayValue:"Root document took {timeInMs, number, milliseconds} ms"},d=a.createMessageInstanceIdFn(t,c);class ServerResponseTime extends i{static get meta(){return{id:"server-response-time",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),supportedModes:["timespan","navigation"],requiredArtifacts:["devtoolsLogs","URL","GatherContext"]}}
static calculateResponseTime(e){const s=e.timing;return s?s.receiveHeadersEnd-s.sendEnd:0}static async audit(e,s){const t=e.devtoolsLogs[i.DEFAULT_PASS];let m;if("timespan"===e.GatherContext.gatherMode){const i=await l.request(t,s),a=u.findOptionalMainDocument(i,e.URL.finalUrl);if(!a)return{score:null,notApplicable:!0};m=a}else m=await n.request({devtoolsLog:t,URL:e.URL},s);const g=ServerResponseTime.calculateResponseTime(m),h=g<600,p=d(c.displayValue,{timeInMs:g}),b=[{key:"url",valueType:"url",label:d(a.UIStrings.columnURL)},{key:"responseTime",valueType:"timespanMs",label:d(a.UIStrings.columnTimeSpent)}],f=i.makeOpportunityDetails(b,[{url:m.url,responseTime:g}],g-100);return{numericValue:g,numericUnit:"millisecond",score:Number(h),displayValue:p,details:f}}}s.exports=ServerResponseTime,s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/server-response-time.js")},{"../computed/main-resource.js":14,"../computed/network-records.js":40,
"../lib/dependency-graph/simulator/network-analyzer.js":92,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/service-worker":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../lib/url-shim.js"),a=e("./audit.js"),n=e("../lib/i18n/i18n.js"),l={title:"Registers a service worker that controls page and `start_url`",failureTitle:"Does not register a service worker that controls page and `start_url`",description:"The service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. [Learn more](https://web.dev/service-worker/).",explanationOutOfScope:"This origin has one or more service workers, however the page ({pageUrl}) is not in scope.",explanationNoManifest:"This page is controlled by a service worker, however no `start_url` was found because no manifest was fetched.",
explanationBadManifest:"This page is controlled by a service worker, however no `start_url` was found because manifest failed to parse as valid JSON",explanationBadStartUrl:"This page is controlled by a service worker, however the `start_url` ({startUrl}) is not in the service worker's scope ({scopeUrl})"},u=n.createMessageInstanceIdFn(t,l);class ServiceWorker extends a{static get meta(){return{id:"service-worker",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["URL","ServiceWorker","WebAppManifest"]}}static getVersionsForOrigin(e,s){return e.filter((e=>"activated"===e.status)).filter((e=>new i(e.scriptURL).origin===s.origin))}static getControllingServiceWorker(e,s,t){const a=[];for(const t of e){const e=s.find((e=>e.registrationId===t.registrationId));if(e){const s=new i(e.scopeURL).href,n=new i(t.scriptURL).href;a.push({scopeUrl:s,scriptUrl:n})}}
return a.filter((e=>t.href.startsWith(e.scopeUrl))).sort(((e,s)=>e.scopeUrl.length-s.scopeUrl.length)).pop()}static checkStartUrl(e,s){if(!e)return u(l.explanationNoManifest);if(!e.value)return u(l.explanationBadManifest);const t=e.value.start_url.value;return t.startsWith(s)?void 0:u(l.explanationBadStartUrl,{startUrl:t,scopeUrl:s})}static audit(e){const s=new i(e.URL.finalUrl),{versions:t,registrations:a}=e.ServiceWorker,n=ServiceWorker.getVersionsForOrigin(t,s);if(0===n.length)return{score:0};const c=ServiceWorker.getControllingServiceWorker(n,a,s);if(!c)return{score:0,explanation:u(l.explanationOutOfScope,{pageUrl:s.href})};const{scriptUrl:d,scopeUrl:m}=c,g={type:"debugdata",scriptUrl:d,scopeUrl:m},h=ServiceWorker.checkStartUrl(e.WebAppManifest,c.scopeUrl);return h?{score:0,details:g,explanation:h}:{score:1,details:g}}}s.exports=ServiceWorker,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/service-worker.js")},{"../lib/i18n/i18n.js":97,
"../lib/url-shim.js":"url","./audit.js":3}],"../audits/splash-screen":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./multi-check-audit.js"),a=e("../computed/manifest-values.js"),n=e("../lib/i18n/i18n.js"),l={title:"Configured for a custom splash screen",failureTitle:"Is not configured for a custom splash screen",description:"A themed splash screen ensures a high-quality experience when users launch your app from their homescreens. [Learn more](https://web.dev/splash-screen/)."},u=n.createMessageInstanceIdFn(t,l);class SplashScreen extends i{static get meta(){return{id:"splash-screen",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static assessManifest(e,s){if(e.isParseFailure&&e.parseFailureReason)return void s.push(e.parseFailureReason);const t=["hasName","hasBackgroundColor","hasThemeColor","hasIconsAtLeast512px"]
;e.allChecks.filter((e=>t.includes(e.id))).forEach((e=>{e.passing||s.push(e.failureText)}))}static async audit_(e,s){const t=[],i=await a.request(e,s);return SplashScreen.assessManifest(i,t),{failures:t,manifestValues:i}}}s.exports=SplashScreen,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/splash-screen.js")},{"../computed/manifest-values.js":16,"../lib/i18n/i18n.js":97,"./multi-check-audit.js":7}],"../audits/themed-omnibox":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./multi-check-audit.js"),a=e("../computed/manifest-values.js"),n=e("cssstyle/lib/parsers"),l=e("../lib/i18n/i18n.js"),u={title:"Sets a theme color for the address bar.",failureTitle:"Does not set a theme color for the address bar.",description:"The browser address bar can be themed to match your site. [Learn more](https://web.dev/themed-omnibox/)."},c=l.createMessageInstanceIdFn(t,u);class ThemedOmnibox extends i{static get meta(){return{id:"themed-omnibox",title:c(u.title),
failureTitle:c(u.failureTitle),description:c(u.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors","MetaElements"]}}static isValidColor(e){return n.valueType(e)===n.TYPES.COLOR}static assessMetaThemecolor(e,s){e?ThemedOmnibox.isValidColor(e.content||"")||s.push("The theme-color meta tag did not contain a valid CSS color"):s.push('No `<meta name="theme-color">` tag found')}static assessManifest(e,s){if(e.isParseFailure&&e.parseFailureReason)return void s.push(e.parseFailureReason);const t=e.allChecks.find((e=>"hasThemeColor"===e.id));t&&!t.passing&&s.push(t.failureText)}static async audit_(e,s){const t=[],i=e.MetaElements.find((e=>"theme-color"===e.name)),n=await a.request(e,s);return ThemedOmnibox.assessManifest(n,t),ThemedOmnibox.assessMetaThemecolor(i,t),{failures:t,manifestValues:n,themeColor:i&&i.content||null}}}s.exports=ThemedOmnibox,s.exports.UIStrings=u}).call(this)}).call(this,"/lighthouse-core/audits/themed-omnibox.js")},{
"../computed/manifest-values.js":16,"../lib/i18n/i18n.js":97,"./multi-check-audit.js":7,"cssstyle/lib/parsers":209}],"../audits/third-party-facades":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../lib/third-party-web.js"),l=e("../computed/network-records.js"),u=e("../computed/main-resource.js"),c=e("../computed/main-thread-tasks.js"),d=e("./third-party-summary.js"),m={title:"Lazy load third-party resources with facades",failureTitle:"Some third-party resources can be lazy loaded with a facade",description:"Some third-party embeds can be lazy loaded. Consider replacing them with a facade until they are required. [Learn more](https://web.dev/third-party-facades/).",displayValue:"{itemCount, plural,\n  =1 {# facade alternative available}\n  other {# facade alternatives available}\n  }",columnProduct:"Product",categoryVideo:"{productName} (Video)",categoryCustomerSuccess:"{productName} (Customer Success)",
categoryMarketing:"{productName} (Marketing)",categorySocial:"{productName} (Social)"},g=a.createMessageInstanceIdFn(t,m),h={video:m.categoryVideo,"customer-success":m.categoryCustomerSuccess,marketing:m.categoryMarketing,social:m.categorySocial};class ThirdPartyFacades extends i{static get meta(){return{id:"third-party-facades",title:g(m.title),failureTitle:g(m.failureTitle),description:g(m.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL"]}}static condenseItems(e){e.sort(((e,s)=>s.transferSize-e.transferSize));let s=e.findIndex((e=>e.transferSize<1e3))||1;if((-1===s||s>5)&&(s=5),s>=e.length-1)return;const t=e.splice(s).reduce(((e,s)=>(e.transferSize+=s.transferSize,e.blockingTime+=s.blockingTime,e)));t.transferSize<1e3||(t.url=g(a.UIStrings.otherResourcesLabel),e.push(t))}static getProductsWithFacade(e,s){const t=new Map;for(const i of e.keys()){const e=n.getEntity(i);if(!e||n.isFirstParty(i,s))continue;const a=n.getProduct(i)
;a&&a.facades&&a.facades.length&&(t.has(a.name)||t.set(a.name,{product:a,entity:e}))}return Array.from(t.values())}static async audit(e,s){const t=s.settings,p=e.traces[i.DEFAULT_PASS],b=e.devtoolsLogs[i.DEFAULT_PASS],f=await l.request(b,s),v=await u.request({devtoolsLog:b,URL:e.URL},s),j=n.getEntity(v.url),k=await c.request(p,s),y="simulate"===t.throttlingMethod?t.throttling.cpuSlowdownMultiplier:1,w=d.getSummaries(f,k,y),z=ThirdPartyFacades.getProductsWithFacade(w.byURL,j),T=[];for(const{product:e,entity:s}of z){const t=h[e.categories[0]];let i;i=t?g(t,{productName:e.name}):e.name;const a=w.urls.get(s),n=w.byEntity.get(s);if(!a||!n)continue;const l=Array.from(a).map((e=>({url:e,...w.byURL.get(e)})));this.condenseItems(l),T.push({product:i,transferSize:n.transferSize,blockingTime:n.blockingTime,subItems:{type:"subitems",items:l}})}if(!T.length)return{score:1,notApplicable:!0};const S=[{key:"product",itemType:"text",subItemsHeading:{key:"url",itemType:"url"},text:g(m.columnProduct)},{
key:"transferSize",itemType:"bytes",subItemsHeading:{key:"transferSize"},granularity:1,text:g(a.UIStrings.columnTransferSize)},{key:"blockingTime",itemType:"ms",subItemsHeading:{key:"blockingTime"},granularity:1,text:g(a.UIStrings.columnBlockingTime)}];return{score:0,displayValue:g(m.displayValue,{itemCount:T.length}),details:i.makeTableDetails(S,T)}}}s.exports=ThirdPartyFacades,s.exports.UIStrings=m}).call(this)}).call(this,"/lighthouse-core/audits/third-party-facades.js")},{"../computed/main-resource.js":14,"../computed/main-thread-tasks.js":15,"../computed/network-records.js":40,"../lib/i18n/i18n.js":97,"../lib/third-party-web.js":166,"./audit.js":3,"./third-party-summary.js":"../audits/third-party-summary"}],"../audits/third-party-summary":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("./bootup-time.js"),n=e("../lib/i18n/i18n.js"),l=e("../lib/third-party-web.js"),u=e("../computed/network-records.js"),c=e("../computed/main-thread-tasks.js"),d={
title:"Minimize third-party usage",failureTitle:"Reduce the impact of third-party code",description:"Third-party code can significantly impact load performance. Limit the number of redundant third-party providers and try to load third-party code after your page has primarily finished loading. [Learn more](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/).",columnThirdParty:"Third-Party",displayValue:"Third-party code blocked the main thread for {timeInMs, number, milliseconds} ms"},m=n.createMessageInstanceIdFn(t,d);class ThirdPartySummary extends i{static get meta(){return{id:"third-party-summary",title:m(d.title),failureTitle:m(d.failureTitle),description:m(d.description),requiredArtifacts:["traces","devtoolsLogs","URL"]}}static getSummaries(e,s,t){const i=new Map,n=new Map,u={mainThreadTime:0,blockingTime:0,transferSize:0};for(const s of e){const e=i.get(s.url)||{...u};e.transferSize+=s.transferSize,
i.set(s.url,e)}const c=a.getJavaScriptURLs(e);for(const e of s){const s=a.getAttributableURLForTask(e,c),n=i.get(s)||{...u},l=e.selfTime*t;n.mainThreadTime+=l,n.blockingTime+=Math.max(l-50,0),i.set(s,n)}const d=new Map;for(const[e,s]of i.entries()){const t=l.getEntity(e);if(!t){i.delete(e);continue}const a=n.get(t)||{...u};a.transferSize+=s.transferSize,a.mainThreadTime+=s.mainThreadTime,a.blockingTime+=s.blockingTime,n.set(t,a);const c=d.get(t)||[];c.push(e),d.set(t,c)}return{byURL:i,byEntity:n,urls:d}}static makeSubItems(e,s,t){let i=(s.urls.get(e)||[]).map((e=>({url:e,...s.byURL.get(e)}))).filter((e=>e.transferSize>0)).sort(((e,s)=>s.blockingTime-e.blockingTime||s.transferSize-e.transferSize));const a={transferSize:0,blockingTime:0},l=Math.max(4096,t.transferSize/20),u=Math.min(5,i.length);let c=0;for(;c<u;){const e=i[c];if(0===e.blockingTime&&e.transferSize<l)break;c++,a.transferSize+=e.transferSize,a.blockingTime+=e.blockingTime}if(!a.blockingTime&&!a.transferSize)return[]
;i=i.slice(0,c);const d={url:m(n.UIStrings.otherResourcesLabel),transferSize:t.transferSize-a.transferSize,blockingTime:t.blockingTime-a.blockingTime};return d.transferSize>l&&i.push(d),i}static async audit(e,s){const t=s.settings||{},a=e.traces[i.DEFAULT_PASS],g=e.devtoolsLogs[i.DEFAULT_PASS],h=await u.request(g,s),p=l.getEntity(e.URL.finalUrl),b=await c.request(a,s),f="simulate"===t.throttlingMethod?t.throttling.cpuSlowdownMultiplier:1,v=ThirdPartySummary.getSummaries(h,b,f),j={wastedBytes:0,wastedMs:0},k=Array.from(v.byEntity.entries()).filter((([e])=>!(p&&p.name===e.name))).map((([e,s])=>(j.wastedBytes+=s.transferSize,j.wastedMs+=s.blockingTime,{...s,entity:{type:"link",text:e.name,url:e.homepage||""},subItems:{type:"subitems",items:ThirdPartySummary.makeSubItems(e,v,s)}}))).sort(((e,s)=>s.blockingTime-e.blockingTime||s.transferSize-e.transferSize)),y=[{key:"entity",itemType:"link",text:m(d.columnThirdParty),subItemsHeading:{key:"url",itemType:"url"}},{key:"transferSize",
granularity:1,itemType:"bytes",text:m(n.UIStrings.columnTransferSize),subItemsHeading:{key:"transferSize"}},{key:"blockingTime",granularity:1,itemType:"ms",text:m(n.UIStrings.columnBlockingTime),subItemsHeading:{key:"blockingTime"}}];return k.length?{score:Number(j.wastedMs<=250),displayValue:m(d.displayValue,{timeInMs:j.wastedMs}),details:i.makeTableDetails(y,k,j)}:{score:1,notApplicable:!0}}}s.exports=ThirdPartySummary,s.exports.UIStrings=d}).call(this)}).call(this,"/lighthouse-core/audits/third-party-summary.js")},{"../computed/main-thread-tasks.js":15,"../computed/network-records.js":40,"../lib/i18n/i18n.js":97,"../lib/third-party-web.js":166,"./audit.js":3,"./bootup-time.js":"../audits/bootup-time"}],"../audits/timing-budget":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../computed/metrics/timing-summary.js"),n=e("../computed/main-resource.js"),l=e("../config/budget.js"),u=e("../lib/i18n/i18n.js"),c={title:"Timing budget",
description:"Set a timing budget to help you keep an eye on the performance of your site. Performant sites load fast and respond to user input events quickly. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets).",columnTimingMetric:"Metric",columnMeasurement:"Measurement"},d=u.createMessageInstanceIdFn(t,c);s.exports=class TimingBudget extends i{static get meta(){return{id:"timing-budget",title:d(c.title),description:d(c.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","traces","URL","GatherContext"]}}static getRowLabel(e){const s={"first-contentful-paint":u.UIStrings.firstContentfulPaintMetric,interactive:u.UIStrings.interactiveMetric,"first-meaningful-paint":u.UIStrings.firstMeaningfulPaintMetric,"max-potential-fid":u.UIStrings.maxPotentialFIDMetric,"total-blocking-time":u.UIStrings.totalBlockingTimeMetric,"speed-index":u.UIStrings.speedIndexMetric,
"largest-contentful-paint":u.UIStrings.largestContentfulPaintMetric,"cumulative-layout-shift":u.UIStrings.cumulativeLayoutShiftMetric};return d(s[e])}static getMeasurement(e,s){return{"first-contentful-paint":s.firstContentfulPaint,interactive:s.interactive,"first-meaningful-paint":s.firstMeaningfulPaint,"max-potential-fid":s.maxPotentialFID,"total-blocking-time":s.totalBlockingTime,"speed-index":s.speedIndex,"largest-contentful-paint":s.largestContentfulPaint,"cumulative-layout-shift":s.cumulativeLayoutShift}[e]}static tableItems(e,s){let t=[];if(!e.timings)return t;t=e.timings.map((e=>{const t=e.metric,i=this.getRowLabel(t),a=this.getMeasurement(t,s);return{metric:t,label:i,measurement:a,overBudget:a&&a>e.budget?a-e.budget:void 0}})).sort(((e,s)=>(s.overBudget||0)-(e.overBudget||0)));const i=t.find((e=>"cumulative-layout-shift"===e.metric));return i&&("number"==typeof i.measurement&&(i.measurement={type:"numeric",value:Number(i.measurement),granularity:.01}),
"number"==typeof i.overBudget&&(i.overBudget={type:"numeric",value:Number(i.overBudget),granularity:.01})),t}static async audit(e,s){const t=e.GatherContext,m=e.devtoolsLogs[i.DEFAULT_PASS],g=e.traces[i.DEFAULT_PASS],h=await n.request({URL:e.URL,devtoolsLog:m},s),p={trace:g,devtoolsLog:m,gatherContext:t,settings:s.settings},b=(await a.request(p,s)).metrics,f=l.getMatchingBudget(s.settings.budgets,h.url);if(!f)return{score:0,notApplicable:!0};const v=[{key:"label",itemType:"text",text:d(c.columnTimingMetric)},{key:"measurement",itemType:"ms",text:d(c.columnMeasurement)},{key:"overBudget",itemType:"ms",text:d(u.UIStrings.columnOverBudget)}];return{details:i.makeTableDetails(v,this.tableItems(f,b)),score:1}}},s.exports.UIStrings=c}).call(this)}).call(this,"/lighthouse-core/audits/timing-budget.js")},{"../computed/main-resource.js":14,"../computed/metrics/timing-summary.js":36,"../config/budget.js":52,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/unsized-images":[function(e,s,t){
(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("./../lib/i18n/i18n.js"),n=e("./../lib/url-shim.js"),l={title:"Image elements have explicit `width` and `height`",failureTitle:"Image elements do not have explicit `width` and `height`",description:"Set an explicit width and height on image elements to reduce layout shifts and improve CLS. [Learn more](https://web.dev/optimize-cls/#images-without-dimensions)"},u=a.createMessageInstanceIdFn(t,l);class UnsizedImages extends i{static get meta(){return{id:"unsized-images",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["ImageElements"]}}static doesHtmlAttrProvideExplicitSize(e){if(!e)return!1;if(e.startsWith("+"))return!1;return parseInt(e,10)>=0}static isCssPropExplicitlySet(e){return!!e&&!["auto","initial","unset","inherit"].includes(e)}static isSizedImage(e){if(void 0===e.cssEffectiveRules)return!0
;const s=e.attributeWidth,t=e.attributeHeight,i=e.cssEffectiveRules.width,a=e.cssEffectiveRules.height,n=e.cssEffectiveRules.aspectRatio,l=UnsizedImages.doesHtmlAttrProvideExplicitSize(s),u=UnsizedImages.isCssPropExplicitlySet(i),c=UnsizedImages.doesHtmlAttrProvideExplicitSize(t),d=UnsizedImages.isCssPropExplicitlySet(a),m=UnsizedImages.isCssPropExplicitlySet(n),g=l||u,h=c||d;return g&&h||g&&m||h&&m}static isNonNetworkSvg(e){const s="image/svg+xml"===e.mimeType,t=e.src.slice(0,e.src.indexOf(":")),i=n.isNonNetworkProtocol(t);return s&&i}static async audit(e){const s=e.ImageElements.filter((e=>!e.isCss&&!e.isInShadowDOM)),t=[];for(const e of s){if("fixed"===e.computedStyles.position||"absolute"===e.computedStyles.position)continue;if(UnsizedImages.isNonNetworkSvg(e))continue;if(UnsizedImages.isSizedImage(e))continue;const s=e.node.boundingRect;0===s.width&&0===s.height||t.push({url:n.elideDataURI(e.src),node:i.makeNodeItem(e.node)})}const l=[{key:"url",itemType:"thumbnail",text:""},{
key:"url",itemType:"url",text:u(a.UIStrings.columnURL)},{key:"node",itemType:"node",text:u(a.UIStrings.columnFailingElem)}];return{score:t.length>0?0:1,notApplicable:0===s.length,details:i.makeTableDetails(l,t)}}}s.exports=UnsizedImages,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/unsized-images.js")},{"./../lib/i18n/i18n.js":97,"./../lib/url-shim.js":"url","./audit.js":3}],"../audits/user-timings":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../lib/i18n/i18n.js"),n=e("../computed/user-timings.js"),l={title:"User Timing marks and measures",description:"Consider instrumenting your app with the User Timing API to measure your app's real-world performance during key user experiences. [Learn more](https://web.dev/user-timings/).",displayValue:"{itemCount, plural,\n    =1 {1 user timing}\n    other {# user timings}\n    }",columnType:"Type"},u=a.createMessageInstanceIdFn(t,l);class UserTimings extends i{static get meta(){
return{id:"user-timings",title:u(l.title),description:u(l.description),scoreDisplayMode:i.SCORING_MODES.INFORMATIVE,requiredArtifacts:["traces"]}}static get excludedPrefixes(){return["goog_"]}static excludeEvent(e){return UserTimings.excludedPrefixes.every((s=>!e.name.startsWith(s)))}static audit(e,s){const t=e.traces[i.DEFAULT_PASS];return n.request(t,s).then((e=>{const s=e.filter(UserTimings.excludeEvent),t=s.map((e=>({name:e.name,startTime:e.startTime,duration:e.isMark?void 0:e.duration,timingType:e.isMark?"Mark":"Measure"}))).sort(((e,s)=>e.timingType===s.timingType?e.startTime-s.startTime:"Measure"===e.timingType?-1:1)),n=[{key:"name",itemType:"text",text:u(a.UIStrings.columnName)},{key:"timingType",itemType:"text",text:u(l.columnType)},{key:"startTime",itemType:"ms",granularity:.01,text:u(a.UIStrings.columnStartTime)},{key:"duration",itemType:"ms",granularity:.01,text:u(a.UIStrings.columnDuration)}],c=i.makeTableDetails(n,t);let d;return s.length&&(d=u(l.displayValue,{
itemCount:s.length})),{score:Number(0===s.length),notApplicable:0===s.length,displayValue:d,details:c}}))}}s.exports=UserTimings,s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/user-timings.js")},{"../computed/user-timings.js":50,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../audits/uses-rel-preconnect":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("./byte-efficiency/byte-efficiency-audit.js"),n=e("../lib/url-shim.js"),l=e("../lib/i18n/i18n.js"),u=e("../computed/network-records.js"),c=e("../computed/main-resource.js"),d=e("../computed/load-simulator.js"),m=e("../computed/processed-trace.js"),g=e("../computed/processed-navigation.js"),h=e("../computed/page-dependency-graph.js"),p=e("../computed/metrics/lantern-largest-contentful-paint.js"),b={title:"Preconnect to required origins",
description:"Consider adding `preconnect` or `dns-prefetch` resource hints to establish early connections to important third-party origins. [Learn more](https://web.dev/uses-rel-preconnect/).",unusedWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Only use `preconnect` for important origins that the page will certainly request.',crossoriginWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.',tooManyPreconnectLinksWarning:"More than 2 `<link rel=preconnect>` connections were found. These should be used sparingly and only to the most important origins."},f=l.createMessageInstanceIdFn(t,b);class UsesRelPreconnectAudit extends i{static get meta(){return{id:"uses-rel-preconnect",title:f(b.title),description:f(b.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL","LinkElements"],
scoreDisplayMode:i.SCORING_MODES.NUMERIC}}static hasValidTiming(e){return!!e.timing&&e.timing.connectEnd>0&&e.timing.connectStart>0}static hasAlreadyConnectedToOrigin(e){return!!e.timing&&e.timing.dnsEnd-e.timing.dnsStart==0&&e.timing.connectEnd-e.timing.connectStart==0}static socketStartTimeIsBelowThreshold(e,s){return Math.max(0,e.startTime-s.endTime)<15}static async audit(e,s){const t=e.traces[UsesRelPreconnectAudit.DEFAULT_PASS],v=e.devtoolsLogs[UsesRelPreconnectAudit.DEFAULT_PASS],j=s.settings;let k=0;const y=[],w=await m.request(t,s),[z,T,S,x,D]=await Promise.all([u.request(v,s),c.request({devtoolsLog:v,URL:e.URL},s),d.request({devtoolsLog:v,settings:j},s),g.request(w,s),h.request({trace:t,devtoolsLog:v},s)]),{rtt:C,additionalRttByOrigin:_}=S.getOptions(),P=await p.getPessimisticGraph(D,x),A=new Set;P.traverse((e=>{"network"===e.type&&A.add(e.record.url)}));const L=new Map;z.forEach((e=>{
if(!UsesRelPreconnectAudit.hasValidTiming(e)||e.initiator.url===T.url||!e.parsedURL||!e.parsedURL.securityOrigin||T.parsedURL.securityOrigin===e.parsedURL.securityOrigin||!A.has(e.url)||UsesRelPreconnectAudit.hasAlreadyConnectedToOrigin(e)||!UsesRelPreconnectAudit.socketStartTimeIsBelowThreshold(e,T))return;const s=e.parsedURL.securityOrigin,t=L.get(s)||[];t.push(e),L.set(s,t)}));const R=e.LinkElements.filter((e=>"preconnect"===e.rel)),M=new Set(R.map((e=>n.getOrigin(e.href||""))));let I=[];L.forEach((e=>{const s=e.reduce(((e,s)=>s.startTime<e.startTime?s:e));if(!s.timing)return;const t=s.parsedURL.securityOrigin,i=_.get(t)||0;let a=C+i;"https"===s.parsedURL.scheme&&(a*=2);const n=1e3*s.startTime-1e3*T.endTime+s.timing.dnsStart,l=Math.min(a,n);l<50||(M.has(t)?y.push(f(b.crossoriginWarning,{securityOrigin:t})):(k=Math.max(l,k),I.push({url:t,wastedMs:l})))})),I=I.sort(((e,s)=>s.wastedMs-e.wastedMs))
;for(const e of M)e&&(z.some((s=>e===s.parsedURL.securityOrigin))||y.push(f(b.unusedWarning,{securityOrigin:e})));if(R.length>=2)return{score:1,warnings:R.length>=3?[...y,f(b.tooManyPreconnectLinksWarning)]:y};const E=[{key:"url",valueType:"url",label:f(l.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:f(l.UIStrings.columnWastedMs)}],N=i.makeOpportunityDetails(E,I,k);return{score:a.scoreForWastedMs(k),numericValue:k,numericUnit:"millisecond",displayValue:k?f(l.UIStrings.displayValueMsSavings,{wastedMs:k}):"",warnings:y,details:N}}}s.exports=UsesRelPreconnectAudit,s.exports.UIStrings=b}).call(this)}).call(this,"/lighthouse-core/audits/uses-rel-preconnect.js")},{"../computed/load-simulator.js":13,"../computed/main-resource.js":14,"../computed/metrics/lantern-largest-contentful-paint.js":25,"../computed/network-records.js":40,"../computed/page-dependency-graph.js":41,"../computed/processed-navigation.js":42,"../computed/processed-trace.js":43,"../lib/i18n/i18n.js":97,
"../lib/url-shim.js":"url","./audit.js":3,"./byte-efficiency/byte-efficiency-audit.js":4}],"../audits/uses-rel-preload":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../lib/url-shim.js"),a=e("../lib/network-request.js"),n=e("./audit.js"),l=e("./byte-efficiency/byte-efficiency-audit.js"),u=e("../computed/critical-request-chains.js"),c=e("../lib/i18n/i18n.js"),d=e("../computed/main-resource.js"),m=e("../computed/page-dependency-graph.js"),g=e("../computed/load-simulator.js"),h={title:"Preload key requests",description:"Consider using `<link rel=preload>` to prioritize fetching resources that are currently requested later in page load. [Learn more](https://web.dev/uses-rel-preload/).",crossoriginWarning:'A preload `<link>` was found for "{preloadURL}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.'},p=c.createMessageInstanceIdFn(t,h);class UsesRelPreloadAudit extends n{static get meta(){return{id:"uses-rel-preload",
title:p(h.title),description:p(h.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","traces","URL"],scoreDisplayMode:n.SCORING_MODES.NUMERIC}}static getURLsToPreload(e,s){const t=new Set;return s.traverse(((s,i)=>{if("network"!==s.type)return;const a=i.slice(1).filter((e=>"network"===e.type));UsesRelPreloadAudit.shouldPreloadRequest(s.record,e,a)&&t.add(s.record.url)})),t}static getURLsFailedToPreload(e){const s=[];e.traverse((e=>"network"===e.type&&s.push(e.record)));const t=s.filter((e=>e.isLinkPreload)),i=new Map;for(const e of t){const s=i.get(e.frameId)||new Set;s.add(e.url),i.set(e.frameId,s)}const a=s.filter((e=>{const s=i.get(e.frameId);if(!s)return!1;if(!s.has(e.url))return!1;return!(e.fromDiskCache||e.fromMemoryCache||e.fromPrefetchCache)&&!e.isLinkPreload}));return new Set(a.map((e=>e.url)))}static shouldPreloadRequest(e,s,t){const n=s.redirects?s.redirects.length:0
;return!e.isLinkPreload&&(!!u.isCritical(e,s)&&(!a.isNonNetworkRequest(e)&&(t.length===n+2&&(e.frameId===s.frameId&&i.rootDomainsMatch(e.url,s.url)))))}static computeWasteWithGraph(e,s,t){if(!e.size)return{wastedMs:0,results:[]};const i=t.simulate(s,{flexibleOrdering:!0}),a=s.cloneWithRelationships(),n=[];let l=null;if(a.traverse((s=>{"network"===s.type&&(s.isMainDocument()?l=s:s.record&&e.has(s.record.url)&&n.push(s))})),!l)throw new Error("Could not find main document node");for(const e of n)e.removeAllDependencies(),e.addDependency(l);const u=t.simulate(a,{flexibleOrdering:!0}),c=Array.from(i.nodeTimings.keys()).reduce(((e,s)=>e.set(s.record,s)),new Map),d=[];for(const e of n){const s=c.get(e.record),t=u.nodeTimings.get(e),a=i.nodeTimings.get(s);if(!a||!t)throw new Error("Missing preload node");const n=Math.round(a.endTime-t.endTime);n<100||d.push({url:e.record.url,wastedMs:n})}return d.length?{wastedMs:Math.max(...d.map((e=>e.wastedMs))),results:d}:{wastedMs:0,results:d}}
static async audit_(e,s){const t=e.traces[UsesRelPreloadAudit.DEFAULT_PASS],i=e.devtoolsLogs[UsesRelPreloadAudit.DEFAULT_PASS],a=e.URL,u={devtoolsLog:i,settings:s.settings},[b,f,v]=await Promise.all([d.request({devtoolsLog:i,URL:a},s),m.request({trace:t,devtoolsLog:i},s),g.request(u,s)]),j=UsesRelPreloadAudit.getURLsToPreload(b,f),{results:k,wastedMs:y}=UsesRelPreloadAudit.computeWasteWithGraph(j,f,v);let w;k.sort(((e,s)=>s.wastedMs-e.wastedMs));const z=UsesRelPreloadAudit.getURLsFailedToPreload(f);z.size&&(w=Array.from(z).map((e=>p(h.crossoriginWarning,{preloadURL:e}))));const T=[{key:"url",valueType:"url",label:p(c.UIStrings.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:p(c.UIStrings.columnWastedMs)}],S=n.makeOpportunityDetails(T,k,y);return{score:l.scoreForWastedMs(y),numericValue:y,numericUnit:"millisecond",displayValue:y?p(c.UIStrings.displayValueMsSavings,{wastedMs:y}):"",details:S,warnings:w}}static async audit(){return{score:1,notApplicable:!0,
details:n.makeOpportunityDetails([],[],0)}}}s.exports=UsesRelPreloadAudit,s.exports.UIStrings=h}).call(this)}).call(this,"/lighthouse-core/audits/uses-rel-preload.js")},{"../computed/critical-request-chains.js":10,"../computed/load-simulator.js":13,"../computed/main-resource.js":14,"../computed/page-dependency-graph.js":41,"../lib/i18n/i18n.js":97,"../lib/network-request.js":158,"../lib/url-shim.js":"url","./audit.js":3,"./byte-efficiency/byte-efficiency-audit.js":4}],"../audits/valid-source-maps":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../lib/third-party-web.js"),a=e("./audit.js"),n=e("../lib/i18n/i18n.js"),l={title:"Page has valid source maps",failureTitle:"Missing source maps for large first-party JavaScript",
description:"Source maps translate minified code to the original source code. This helps developers debug in production. In addition, Lighthouse is able to provide further insights. Consider deploying source maps to take advantage of these benefits. [Learn more](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps).",columnMapURL:"Map URL",missingSourceMapErrorMessage:"Large JavaScript file is missing a source map",missingSourceMapItemsWarningMesssage:"{missingItems, plural,\n    =1 {Warning: missing 1 item in `.sourcesContent`}\n    other {Warning: missing # items in `.sourcesContent`}\n    }"},u=n.createMessageInstanceIdFn(t,l);s.exports=class ValidSourceMaps extends a{static get meta(){return{id:"valid-source-maps",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["ScriptElements","SourceMaps","URL"]}}static isLargeFirstPartyJS(e,s){if(null===e.content)return!1
;const t=e.content.length>=512e3,a=!!e.src&&i.isFirstParty(e.src,i.getEntity(s));return t&&a}static async audit(e){const{SourceMaps:s}=e,t=new Set;let i=!1;const c=[];for(const a of e.ScriptElements){if(!a.src)continue;const n=s.find((e=>e.scriptUrl===a.src)),d=[];if(!this.isLargeFirstPartyJS(a,e.URL.finalUrl)||n&&n.map||(i=!0,t.add(a.src),d.push({error:u(l.missingSourceMapErrorMessage)})),n&&!n.map&&d.push({error:n.errorMessage}),n&&n.map){const e=n.map.sourcesContent||[];let s=0;for(let t=0;t<n.map.sources.length;t++)(e.length<t||!e[t])&&(s+=1);s>0&&d.push({error:u(l.missingSourceMapItemsWarningMesssage,{missingItems:s})})}(n||d.length)&&c.push({scriptUrl:a.src,sourceMapUrl:n&&n.sourceMapUrl,subItems:{type:"subitems",items:d}})}const d=[{key:"scriptUrl",itemType:"url",subItemsHeading:{key:"error"},text:u(n.UIStrings.columnURL)},{key:"sourceMapUrl",itemType:"url",text:u(l.columnMapURL)}];return c.sort(((e,s)=>{const i=t.has(e.scriptUrl),a=t.has(s.scriptUrl)
;return i&&!a?-1:!i&&a?1:e.subItems.items.length&&!s.subItems.items.length?-1:!e.subItems.items.length&&s.subItems.items.length?1:s.scriptUrl.localeCompare(e.scriptUrl)})),{score:i?0:1,details:a.makeTableDetails(d,c)}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/valid-source-maps.js")},{"../lib/i18n/i18n.js":97,"../lib/third-party-web.js":166,"./audit.js":3}],"../audits/viewport":[function(e,s,t){(function(t){(function(){"use strict";const i=e("./audit.js"),a=e("../computed/viewport-meta.js"),n=e("../lib/i18n/i18n.js"),l={title:'Has a `<meta name="viewport">` tag with `width` or `initial-scale`',failureTitle:'Does not have a `<meta name="viewport">` tag with `width` or `initial-scale`',description:'Add a `<meta name="viewport">` tag to optimize your app for mobile screens. [Learn more](https://web.dev/viewport/).',explanationNoTag:'No `<meta name="viewport">` tag found'},u=n.createMessageInstanceIdFn(t,l);s.exports=class Viewport extends i{
static get meta(){return{id:"viewport",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),requiredArtifacts:["MetaElements"]}}static async audit(e,s){const t=await a.request(e.MetaElements,s);return t.hasViewportTag?{score:Number(t.isMobileOptimized),warnings:t.parserWarnings}:{score:0,explanation:u(l.explanationNoTag)}}},s.exports.UIStrings=l}).call(this)}).call(this,"/lighthouse-core/audits/viewport.js")},{"../computed/viewport-meta.js":51,"../lib/i18n/i18n.js":97,"./audit.js":3}],"../gather/gatherers/accessibility":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/axe.js").source,n=e("../../lib/page-functions.js");async function runA11yChecks(){const e=window.axe,s="lighthouse-"+Math.random();e.configure({branding:{application:s},noHtml:!0});const t=await e.run(document,{elementRef:!0,runOnly:{type:"tag",values:["wcag2a","wcag2aa"]},resultTypes:["violations","inapplicable"],rules:{tabindex:{enabled:!0},
accesskeys:{enabled:!0},"heading-order":{enabled:!0},"meta-viewport":{enabled:!0},"duplicate-id":{enabled:!1},"table-fake-caption":{enabled:!1},"td-has-header":{enabled:!1},marquee:{enabled:!1},"area-alt":{enabled:!1},"html-xml-lang-mismatch":{enabled:!1},blink:{enabled:!1},"server-side-image-map":{enabled:!1},"identical-links-same-purpose":{enabled:!1},"no-autoplay-audio":{enabled:!1},"svg-img-alt":{enabled:!1},"audio-caption":{enabled:!1},"aria-treeitem-name":{enabled:!0},"nested-interactive":{enabled:!1},"frame-focusable-content":{enabled:!1}}});return document.documentElement.scrollTop=0,{violations:t.violations.map(createAxeRuleResultArtifact),incomplete:t.incomplete.map(createAxeRuleResultArtifact),notApplicable:t.inapplicable.map((e=>({id:e.id}))),version:t.testEngine.version}}function createAxeRuleResultArtifact(e){const s=e.nodes.map((e=>{const{target:s,failureSummary:t,element:i}=e;return{target:s,failureSummary:t,node:getNodeDetails(i)}})),t=e.error;let i
;return t instanceof Error&&(i={name:t.name,message:t.message}),{id:e.id,impact:e.impact||void 0,tags:e.tags,nodes:s,error:i}}s.exports=class Accessibility extends i{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(runA11yChecks,{args:[],useIsolation:!0,deps:[a,n.getNodeDetailsString,createAxeRuleResultArtifact]})}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/axe.js":82,"../../lib/page-functions.js":159}],"../gather/gatherers/anchor-elements":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../driver/dom.js"),n=e("../../lib/page-functions.js");function collectAnchorElements(){const resolveURLOrEmpty=e=>{try{return new URL(e,window.location.href).href}catch(e){return""}};function getTruncatedOnclick(e){return(e.getAttribute("onclick")||"").slice(0,1024)}return getElementsInDocument("a").map((e=>e instanceof HTMLAnchorElement?{href:e.href,rawHref:e.getAttribute("href")||"",
onclick:getTruncatedOnclick(e),role:e.getAttribute("role")||"",name:e.name,text:e.innerText,rel:e.rel,target:e.target,node:getNodeDetails(e)}:{href:resolveURLOrEmpty(e.href.baseVal),rawHref:e.getAttribute("href")||"",onclick:getTruncatedOnclick(e),role:e.getAttribute("role")||"",text:e.textContent||"",rel:"",target:e.target.baseVal||"",node:getNodeDetails(e)}))}s.exports=class AnchorElements extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const s=e.driver.defaultSession,t=await e.driver.executionContext.evaluate(collectAnchorElements,{args:[],useIsolation:!0,deps:[n.getElementsInDocumentString,n.getNodeDetailsString]});await s.sendCommand("DOM.enable"),await s.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});const i=t.map((async e=>{const t=await async function getEventListeners(e,s){const t=await a.resolveDevtoolsNodePathToObjectId(e,s);return t?(await e.sendCommand("DOMDebugger.getEventListeners",{objectId:t})).listeners.map((({type:e})=>({type:e
}))):[]}(s,e.node.devtoolsNodePath);return{...e,listeners:t}})),l=await Promise.all(i);return await s.sendCommand("DOM.disable"),l}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/page-functions.js":159,"../driver/dom.js":66}],"../gather/gatherers/cache-contents":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");function getCacheContents(){return caches.keys().then((e=>Promise.all(e.map((e=>caches.open(e)))))).then((e=>{const s=[];return Promise.all(e.map((e=>e.keys().then((e=>{s.push(...e.map((e=>e.url)))}))))).then((e=>s))}))}s.exports=class CacheContents extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const s=e.driver;return await s.executionContext.evaluate(getCacheContents,{args:[]})}}},{"../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/console-messages":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");function remoteObjectToString(e){
if(void 0!==e.value||"undefined"===e.type)return String(e.value);if("string"==typeof e.description&&e.description!==e.className)return e.description;return`[${e.subtype||e.type} ${e.className||"Object"}]`}s.exports=class ConsoleMessages extends i{meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._logEntries=[],this._onConsoleAPICalled=this.onConsoleAPICalled.bind(this),this._onExceptionThrown=this.onExceptionThrown.bind(this),this._onLogEntryAdded=this.onLogEntry.bind(this)}onConsoleAPICalled(e){const{type:s}=e;if("warning"!==s&&"error"!==s)return;const t=(e.args||[]).map(remoteObjectToString).join(" ");if(!t&&!e.stackTrace)return;const{url:i,lineNumber:a,columnNumber:n}=e.stackTrace&&e.stackTrace.callFrames[0]||{},l={eventType:"consoleAPI",source:"warning"===s?"console.warn":"console.error",level:s,text:t,stackTrace:e.stackTrace,timestamp:e.timestamp,url:i,lineNumber:a,columnNumber:n};this._logEntries.push(l)}onExceptionThrown(e){
const s=e.exceptionDetails.exception?e.exceptionDetails.exception.description:e.exceptionDetails.text;if(!s)return;const t={eventType:"exception",source:"exception",level:"error",text:s,stackTrace:e.exceptionDetails.stackTrace,timestamp:e.timestamp,url:e.exceptionDetails.url,lineNumber:e.exceptionDetails.lineNumber,columnNumber:e.exceptionDetails.columnNumber};this._logEntries.push(t)}onLogEntry(e){const{source:s,level:t,text:i,stackTrace:a,timestamp:n,url:l,lineNumber:u}=e.entry,{columnNumber:c}=e.entry.stackTrace&&e.entry.stackTrace.callFrames[0]||{};this._logEntries.push({eventType:"protocolLog",source:s,level:t,text:i,stackTrace:a,timestamp:n,url:l,lineNumber:u,columnNumber:c})}async startInstrumentation(e){const s=e.driver.defaultSession;s.on("Log.entryAdded",this._onLogEntryAdded),await s.sendCommand("Log.enable"),await s.sendCommand("Log.startViolationsReport",{config:[{name:"discouragedAPIUse",threshold:-1}]}),s.on("Runtime.consoleAPICalled",this._onConsoleAPICalled),
s.on("Runtime.exceptionThrown",this._onExceptionThrown),await s.sendCommand("Runtime.enable")}async stopInstrumentation({driver:e}){await e.defaultSession.sendCommand("Log.stopViolationsReport"),await e.defaultSession.off("Log.entryAdded",this._onLogEntryAdded),await e.defaultSession.sendCommand("Log.disable"),await e.defaultSession.off("Runtime.consoleAPICalled",this._onConsoleAPICalled),await e.defaultSession.off("Runtime.exceptionThrown",this._onExceptionThrown),await e.defaultSession.sendCommand("Runtime.disable")}async getArtifact(){return this._logEntries}}},{"../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/css-usage":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");s.exports=class CSSUsage extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const s=e.driver.defaultSession,t=e.driver.executionContext,i=[],onStylesheetAdded=e=>i.push(e);s.on("CSS.styleSheetAdded",onStylesheetAdded),
await s.sendCommand("DOM.enable"),await s.sendCommand("CSS.enable"),await s.sendCommand("CSS.startRuleUsageTracking"),await t.evaluateAsync("getComputedStyle(document.body)"),s.off("CSS.styleSheetAdded",onStylesheetAdded);const a=i.map((e=>{const t=e.header.styleSheetId;return s.sendCommand("CSS.getStyleSheetText",{styleSheetId:t}).then((s=>({header:e.header,content:s.text})))})),n=await Promise.all(a),l=await s.sendCommand("CSS.stopRuleUsageTracking");await s.sendCommand("CSS.disable"),await s.sendCommand("DOM.disable");const u=new Map(n.map((e=>[e.content,e])));return{rules:l.ruleUsage,stylesheets:Array.from(u.values())}}}},{"../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/devtools-log-compat":[function(e,s,t){"use strict";const i=e("./devtools-log.js"),a=e("../../fraggle-rock/gather/base-gatherer.js");s.exports=class DevtoolsLogCompat extends a{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:i.symbol}};async getArtifact(e){return{
defaultPass:e.dependencies.DevtoolsLog}}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"./devtools-log.js":"../gather/gatherers/devtools-log"}],"../gather/gatherers/devtools-log":[function(e,s,t){"use strict";const i=e("../devtools-log.js"),a=e("../../fraggle-rock/gather/base-gatherer.js");class DevtoolsLog extends a{static symbol=Symbol("DevtoolsLog");meta={symbol:DevtoolsLog.symbol,supportedModes:["timespan","navigation"]};constructor(){super(),this._messageLog=new i(/^(Page|Network)\./),this._onProtocolMessage=e=>this._messageLog.record(e)}async startSensitiveInstrumentation({driver:e}){this._messageLog.reset(),this._messageLog.beginRecording(),e.defaultSession.addProtocolMessageListener(this._onProtocolMessage),await e.defaultSession.sendCommand("Page.enable"),await e.defaultSession.sendCommand("Network.enable")}async stopSensitiveInstrumentation({driver:e}){this._messageLog.endRecording(),e.defaultSession.removeProtocolMessageListener(this._onProtocolMessage)}
async getArtifact(){return this._messageLog.messages}}s.exports=DevtoolsLog},{"../../fraggle-rock/gather/base-gatherer.js":62,"../devtools-log.js":64}],"../gather/gatherers/dobetterweb/appcache":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js");s.exports=class AppCacheManifest extends i{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate((()=>document.documentElement&&document.documentElement.getAttribute("manifest")),{args:[],useIsolation:!0})}}},{"../../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/dobetterweb/doctype":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js");function getDoctype(){if(!document.doctype)return null;const{name:e,publicId:s,systemId:t}=document.doctype;return{name:e,publicId:s,systemId:t}}s.exports=class Doctype extends i{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){
return e.driver.executionContext.evaluate(getDoctype,{args:[],useIsolation:!0})}}},{"../../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/dobetterweb/domstats":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js"),a=e("../../../lib/page-functions.js");function getDOMStats(e=document.body,s=!0){let t=null,i=-1,a=-1,n=0,l=null;const _calcDOMWidthAndHeight=function(e,u=1){u>i&&(t=e,i=u),e.children.length>a&&(l=e,a=e.children.length);let c=e.firstElementChild;for(;c;)_calcDOMWidthAndHeight(c,u+1),s&&c.shadowRoot&&_calcDOMWidthAndHeight(c.shadowRoot,u+1),c=c.nextElementSibling,n++;return{maxDepth:i,maxWidth:a,numElements:n}},u=_calcDOMWidthAndHeight(e);return{depth:{max:u.maxDepth,...getNodeDetails(t)},width:{max:u.maxWidth,...getNodeDetails(l)},totalBodyElements:u.numElements}}s.exports=class DOMStats extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const s=e.driver
;await s.defaultSession.sendCommand("DOM.enable");const t=await s.executionContext.evaluate(getDOMStats,{args:[],useIsolation:!0,deps:[a.getNodeDetailsString]});return await s.defaultSession.sendCommand("DOM.disable"),t}}},{"../../../fraggle-rock/gather/base-gatherer.js":62,"../../../lib/page-functions.js":159}],"../gather/gatherers/dobetterweb/optimized-images":[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../../../fraggle-rock/gather/base-gatherer.js"),n=e("../../../lib/url-shim.js"),l=e("../../../lib/network-request.js"),u=e("../../../lib/sentry.js"),c=e("../../../computed/network-records.js"),d=e("../devtools-log.js"),m=/^image\/((x|ms|x-ms)-)?(png|bmp|jpeg)$/;class OptimizedImages extends a{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:d.symbol}};constructor(){super(),this._encodingStartAt=0}static filterImageRequests(e){const s=new Set;return e.reduce(((e,t)=>{if(s.has(t.url)||!t.finished||t.sessionId)return e;s.add(t.url)
;const i=t.resourceType===l.TYPES.Image&&m.test(t.mimeType),a=Math.min(t.resourceSize||0,t.transferSize||0);return i&&a>4096&&e.push({requestId:t.requestId,url:t.url,mimeType:t.mimeType,resourceSize:a}),e}),[])}_getEncodedResponse(e,s,t){const i={requestId:s=l.getRequestIdForBackend(s),encoding:t,quality:"jpeg"===t?.92:.85,sizeOnly:!0};return e.sendCommand("Audits.getEncodedResponse",i)}async calculateImageStats(e,s){const t=s.resourceSize;if(Date.now()-this._encodingStartAt>5e3||t>2048e3)return{originalSize:t,jpegSize:void 0,webpSize:void 0};const i=await this._getEncodedResponse(e,s.requestId,"jpeg"),a=await this._getEncodedResponse(e,s.requestId,"webp");return{originalSize:t,jpegSize:i.encodedSize,webpSize:a.encodedSize}}async computeOptimizedImages(e,s){this._encodingStartAt=Date.now();const t=[];for(const a of s)try{const s={failed:!1,...await this.calculateImageStats(e,a),...a};t.push(s)}catch(e){i.warn("optimized-images",e.message),u.captureException(e,{tags:{
gatherer:"OptimizedImages"},extra:{imageUrl:n.elideDataURI(a.url)},level:"warning"});const s={failed:!0,errMsg:e.message,...a};t.push(s)}return t}async _getArtifact(e,s){const t=OptimizedImages.filterImageRequests(s).sort(((e,s)=>s.resourceSize-e.resourceSize)),i=await this.computeOptimizedImages(e.driver.defaultSession,t),a=i.filter((e=>!e.failed));if(i.length&&!a.length)throw new Error("All image optimizations failed");return i}async getArtifact(e){const s=e.dependencies.DevtoolsLog,t=await c.request(s,e);return this._getArtifact(e,t)}async afterPass(e,s){return this._getArtifact({...e,dependencies:{}},s.networkRecords)}}s.exports=OptimizedImages},{"../../../computed/network-records.js":40,"../../../fraggle-rock/gather/base-gatherer.js":62,"../../../lib/network-request.js":158,"../../../lib/sentry.js":162,"../../../lib/url-shim.js":"url","../devtools-log.js":"../gather/gatherers/devtools-log","lighthouse-logger":237}],
"../gather/gatherers/dobetterweb/password-inputs-with-prevented-paste":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js"),a=e("../../../lib/page-functions.js");function findPasswordInputsWithPreventedPaste(){return Array.from(document.querySelectorAll('input[type="password"]')).filter((e=>!e.dispatchEvent(new ClipboardEvent("paste",{cancelable:!0})))).map((e=>({node:getNodeDetails(e)})))}s.exports=class PasswordInputsWithPreventedPaste extends i{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(findPasswordInputsWithPreventedPaste,{args:[],deps:[a.getNodeDetailsString]})}}},{"../../../fraggle-rock/gather/base-gatherer.js":62,"../../../lib/page-functions.js":159}],"../gather/gatherers/dobetterweb/response-compression":[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("../../../fraggle-rock/gather/base-gatherer.js"),a=e("../../../lib/url-shim.js"),n=e("../../../lib/sentry.js"),l=e("../../../lib/network-request.js"),u=e("zlib").gzip,c=e("../devtools-log.js"),{fetchResponseBodyFromCache:d}=e("../../driver/network.js"),m=e("../../../computed/network-records.js"),g=["content-encoding","x-original-content-encoding"],h=["gzip","br","deflate"],p=["image","audio","video"],b=[l.TYPES.Document,l.TYPES.Script,l.TYPES.Stylesheet,l.TYPES.XHR,l.TYPES.Fetch,l.TYPES.EventSource];class ResponseCompression extends i{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:c.symbol}};static filterUnoptimizedResponses(e){const s=[];return e.forEach((e=>{if(e.sessionId)return;const t=e.mimeType,i=e.resourceType||l.TYPES.Other,a=e.resourceSize,n=!(t&&p.some((e=>t.startsWith(e))))&&b.includes(i),u=e.url.startsWith("chrome-extension:");if(!n||!a||!e.finished||u||!e.transferSize||304===e.statusCode)return
;(e.responseHeaders||[]).find((e=>g.includes(e.name.toLowerCase())&&h.includes(e.value)))||s.push({requestId:e.requestId,url:e.url,mimeType:t,transferSize:e.transferSize,resourceSize:a,gzipSize:0})})),s}async _getArtifact(e,s){const i=e.driver.defaultSession,l=ResponseCompression.filterUnoptimizedResponses(s);return Promise.all(l.map((e=>d(i,e.requestId).then((s=>s?new Promise(((i,a)=>u(s,((s,n)=>{if(s)return a(s);e.gzipSize=t.byteLength(n,"utf8"),i(e)})))):e)).catch((s=>(n.captureException(s,{tags:{gatherer:"ResponseCompression"},extra:{url:a.elideDataURI(e.url)},level:"warning"}),e.gzipSize=void 0,e))))))}async getArtifact(e){const s=e.dependencies.DevtoolsLog,t=await m.request(s,e);return this._getArtifact(e,t)}async afterPass(e,s){return this._getArtifact({...e,dependencies:{}},s.networkRecords)}}s.exports=ResponseCompression}).call(this)}).call(this,e("buffer").Buffer)},{"../../../computed/network-records.js":40,"../../../fraggle-rock/gather/base-gatherer.js":62,
"../../../lib/network-request.js":158,"../../../lib/sentry.js":162,"../../../lib/url-shim.js":"url","../../driver/network.js":71,"../devtools-log.js":"../gather/gatherers/devtools-log",buffer:194,zlib:184}],"../gather/gatherers/dobetterweb/tags-blocking-first-paint":[function(e,s,t){"use strict";const i=e("../../../computed/network-records.js"),a=e("../devtools-log.js"),n=e("../../../fraggle-rock/gather/base-gatherer.js");function installMediaListener(){window.___linkMediaChanges=[],Object.defineProperty(HTMLLinkElement.prototype,"media",{set:function(e){const s={href:this.href,media:e,msSinceHTMLEnd:Date.now()-performance.timing.responseEnd,matches:window.matchMedia(e).matches};window.___linkMediaChanges.push(s),this.setAttribute("media",e)}})}async function collectTagsThatBlockFirstPaint(){const e=window.___linkMediaChanges;try{const s=[...document.querySelectorAll("link")].filter((e=>{
const s="stylesheet"===e.rel&&window.matchMedia(e.media).matches&&!e.disabled,t="import"===e.rel&&!e.hasAttribute("async");return s||t})).map((s=>({tagName:"LINK",url:s.href,href:s.href,rel:s.rel,media:s.media,disabled:s.disabled,mediaChanges:e.filter((e=>e.href===s.href))}))),t=[...document.querySelectorAll("head script[src]")].filter((e=>!(e instanceof SVGScriptElement)&&!(e.hasAttribute("async")||e.hasAttribute("defer")||/^data:/.test(e.src)||/^blob:/.test(e.src)||"module"===e.getAttribute("type")))).map((e=>({tagName:"SCRIPT",url:e.src,src:e.src})));return[...s,...t]}catch(e){throw new Error(`${"Unable to gather Scripts/Stylesheets/HTML Imports on the page"}: ${e.message}`)}}class TagsBlockingFirstPaint extends n{meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:a.symbol}};static _filteredAndIndexedByUrl(e){const s=new Map;for(const t of e){if(!t.finished)continue;const e="parser"===t.initiator.type,i=/(css|script)/.test(t.mimeType)&&e,a=t.failed
;(t.mimeType&&t.mimeType.includes("html")||i||a&&e)&&s.set(t.url,t)}return s}static async findBlockingTags(e,s){const t=s.reduce(((e,s)=>Math.min(e,s.endTime)),1/0),i=await e.executionContext.evaluate(collectTagsThatBlockFirstPaint,{args:[]}),a=TagsBlockingFirstPaint._filteredAndIndexedByUrl(s),n=[];for(const e of i){const s=a.get(e.url);if(!s||s.isLinkPreload)continue;let i,l=s.endTime;if("LINK"===e.tagName){const a=e.mediaChanges.filter((e=>!e.matches)).map((e=>e.msSinceHTMLEnd));if(a.length>0){const e=Math.min(...a),i=Math.max(s.startTime,t+e/1e3);l=Math.min(l,i)}i=e.mediaChanges}const{tagName:u,url:c}=e;n.push({tag:{tagName:u,url:c,mediaChanges:i},transferSize:s.transferSize,startTime:s.startTime,endTime:l}),a.delete(e.url)}return n}async startSensitiveInstrumentation(e){const{executionContext:s}=e.driver;await s.evaluateOnNewDocument(installMediaListener,{args:[]})}async getArtifact(e){const s=e.dependencies.DevtoolsLog,t=await i.request(s,e)
;return TagsBlockingFirstPaint.findBlockingTags(e.driver,t)}afterPass(e,s){return TagsBlockingFirstPaint.findBlockingTags(e.driver,s.networkRecords)}}s.exports=TagsBlockingFirstPaint},{"../../../computed/network-records.js":40,"../../../fraggle-rock/gather/base-gatherer.js":62,"../devtools-log.js":"../gather/gatherers/devtools-log"}],"../gather/gatherers/form-elements":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/page-functions.js");function collectFormElements(){const e=getElementsInDocument("textarea, input, label, select"),s=new Map,t={node:null,inputs:[],labels:[]};for(const i of e){if(i instanceof HTMLInputElement&&("submit"===i.type||"button"===i.type))continue;const e=i.form;if(!!e&&!s.has(e)){const t={attributes:{id:e.id,name:e.name,autocomplete:e.autocomplete},node:getNodeDetails(e),inputs:[],labels:[]};s.set(e,t)}const a=s.get(e)||t
;(i instanceof HTMLInputElement||i instanceof HTMLTextAreaElement||i instanceof HTMLSelectElement)&&a.inputs.push({id:i.id,name:i.name,placeholder:i instanceof HTMLSelectElement?void 0:i.placeholder,autocomplete:{property:i.autocomplete,attribute:i.getAttribute("autocomplete"),prediction:i.getAttribute("autofill-prediction")},node:getNodeDetails(i)}),i instanceof HTMLLabelElement&&a.labels.push({for:i.htmlFor,node:getNodeDetails(i)})}return(t.inputs.length>0||t.labels.length>0)&&s.set("formless",{node:t.node,inputs:t.inputs,labels:t.labels}),[...s.values()]}s.exports=class FormElements extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const s=e.driver;return await s.executionContext.evaluate(collectFormElements,{args:[],useIsolation:!0,deps:[a.getElementsInDocumentString,a.getNodeDetailsString]})}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/page-functions.js":159}],"../gather/gatherers/full-page-screenshot":[function(e,s,t){"use strict"
;const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/emulation.js"),n=e("../../lib/page-functions.js");function snakeCaseToCamelCase(e){return e.replace(/(-\w)/g,(e=>e[1].toUpperCase()))}s.exports=class FullPageScreenshot extends i{meta={supportedModes:["snapshot","timespan","navigation"]};async getMaxScreenshotHeight(e){return await e.driver.executionContext.evaluate(n.getMaxTextureSize,{args:[],useIsolation:!0,deps:[]})}async _takeScreenshot(e){const s=e.driver.defaultSession,t=await this.getMaxScreenshotHeight(e),i=await s.sendCommand("Page.getLayoutMetrics"),a=Math.min(i.layoutViewport.clientWidth,t),n=Math.min(i.contentSize.height,t);await s.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:e.settings.screenEmulation.mobile,height:n,width:a,deviceScaleFactor:1,scale:1,screenOrientation:{angle:0,type:"portraitPrimary"}});return{data:"data:image/jpeg;base64,"+(await s.sendCommand("Page.captureScreenshot",{format:"jpeg",quality:30})).data,width:a,height:n}}
async _resolveNodes(e){function resolveNodes(){const e={};if(!window.__lighthouseNodesDontTouchOrAllVarianceGoesAway)return e;const s=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway;for(const[t,i]of s.entries()){const s=getBoundingClientRect(t);e[i]=s}return e}function resolveNodesInPage({useIsolation:s}){return e.driver.executionContext.evaluate(resolveNodes,{args:[],useIsolation:s,deps:[n.getBoundingClientRectString]})}return{...await resolveNodesInPage({useIsolation:!1}),...await resolveNodesInPage({useIsolation:!0})}}async getArtifact(e){const s=e.driver.defaultSession,t=e.driver.executionContext,i=e.settings,n=!i.screenEmulation.disabled;try{return{screenshot:await this._takeScreenshot(e),nodes:await this._resolveNodes(e)}}finally{if(n)await a.emulate(s,i);else{const e=await t.evaluate((function getObservedDeviceMetrics(){const e=snakeCaseToCamelCase(window.screen.orientation.type);return{width:document.documentElement.clientWidth,
height:document.documentElement.clientHeight,screenOrientation:{type:e,angle:window.screen.orientation.angle},deviceScaleFactor:window.devicePixelRatio}}),{args:[],useIsolation:!0,deps:[snakeCaseToCamelCase]});await s.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:"mobile"===i.formFactor,...e})}}}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/emulation.js":96,"../../lib/page-functions.js":159}],"../gather/gatherers/gather-context":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");s.exports=class GatherContext extends i{meta={supportedModes:["snapshot","timespan","navigation"]};async getArtifact(e){return{gatherMode:e.gatherMode}}}},{"../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/global-listeners":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");class GlobalListeners extends i{meta={supportedModes:["snapshot","navigation"]};static _filterForAllowlistedTypes(e){
return"pagehide"===e.type||"unload"===e.type||"visibilitychange"===e.type}getListenerIndentifier(e){return`${e.type}:${e.scriptId}:${e.columnNumber}:${e.lineNumber}`}dedupeListeners(e){const s=new Set;return e.filter((e=>{const t=this.getListenerIndentifier(e);return!s.has(t)&&(s.add(t),!0)}))}async getArtifact(e){const s=e.driver.defaultSession,{result:{objectId:t}}=await s.sendCommand("Runtime.evaluate",{expression:"window",returnByValue:!1});if(!t)throw new Error("Error fetching information about the global object");const{listeners:i}=await s.sendCommand("DOMDebugger.getEventListeners",{objectId:t}),a=i.filter(GlobalListeners._filterForAllowlistedTypes).map((e=>{const{type:s,scriptId:t,lineNumber:i,columnNumber:a}=e;return{type:s,scriptId:t,lineNumber:i,columnNumber:a}}));return this.dedupeListeners(a)}}s.exports=GlobalListeners},{"../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/host-form-factor":[function(e,s,t){"use strict"
;const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("./host-user-agent.js");class HostFormFactor extends i{static symbol=Symbol("HostFormFactor");meta={symbol:HostFormFactor.symbol,supportedModes:["snapshot","timespan","navigation"],dependencies:{HostUserAgent:a.symbol}};async getArtifact(e){const s=e.dependencies.HostUserAgent;return s.includes("Android")||s.includes("Mobile")?"mobile":"desktop"}}s.exports=HostFormFactor},{"../../fraggle-rock/gather/base-gatherer.js":62,"./host-user-agent.js":"../gather/gatherers/host-user-agent"}],"../gather/gatherers/host-user-agent":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),{getBrowserVersion:a}=e("../driver/environment.js");class HostUserAgent extends i{static symbol=Symbol("HostUserAgent");meta={symbol:HostUserAgent.symbol,supportedModes:["snapshot","timespan","navigation"]};getArtifact(e){return a(e.driver.defaultSession).then((e=>e.userAgent))}}s.exports=HostUserAgent},{
"../../fraggle-rock/gather/base-gatherer.js":62,"../driver/environment.js":67}],"../gather/gatherers/http-redirect":[function(e,s,t){"use strict";const i=e("./gatherer.js");s.exports=class HTTPRedirect extends i{constructor(){super(),this._preRedirectURL=""}beforePass(e){this._preRedirectURL=e.url,e.url=this._preRedirectURL.replace(/^https/,"http")}async afterPass(e){e.url=this._preRedirectURL;const s=e.driver.executionContext;return{value:await s.evaluateAsync("new URL(window.location).protocol === 'https:'",{useIsolation:!0})}}}},{"./gatherer.js":78}],"../gather/gatherers/iframe-elements":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/page-functions.js");function collectIFrameElements(){return getElementsInDocument("iframe").map((e=>{const s=e.getBoundingClientRect(),{top:t,bottom:i,left:a,right:n,width:l,height:u}=s;return{id:e.id,src:e.src,clientRect:{top:t,bottom:i,left:a,right:n,width:l,height:u},
isPositionFixed:isPositionFixed(e),node:getNodeDetails(e)}}))}s.exports=class IFrameElements extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const s=e.driver;return await s.executionContext.evaluate(collectIFrameElements,{args:[],useIsolation:!0,deps:[a.getElementsInDocumentString,a.isPositionFixedString,a.getNodeDetailsString]})}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/page-functions.js":159}],"../gather/gatherers/image-elements":[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../../fraggle-rock/gather/base-gatherer.js"),n=e("../../lib/page-functions.js"),l=e("../../lib/url-shim.js"),u=e("./seo/font-size.js");function getClientRect(e){const s=e.getBoundingClientRect();return{top:s.top,bottom:s.bottom,left:s.left,right:s.right}}function getPosition(e,s){if(e.parentElement&&"PICTURE"===e.parentElement.tagName){return window.getComputedStyle(e.parentElement).getPropertyValue("position")}
return s.getPropertyValue("position")}function getHTMLImages(e){return e.filter((e=>"img"===e.localName)).map((e=>{const s=window.getComputedStyle(e),t=!!e.parentElement&&"PICTURE"===e.parentElement.tagName,i=!t&&!e.srcset;return{src:e.currentSrc,srcset:e.srcset,displayedWidth:e.width,displayedHeight:e.height,clientRect:getClientRect(e),attributeWidth:e.getAttribute("width"),attributeHeight:e.getAttribute("height"),naturalDimensions:i?{width:e.naturalWidth,height:e.naturalHeight}:void 0,cssRules:void 0,computedStyles:{position:getPosition(e,s),objectFit:s.getPropertyValue("object-fit"),imageRendering:s.getPropertyValue("image-rendering")},isCss:!1,isPicture:t,loading:e.loading,isInShadowDOM:e.getRootNode()instanceof ShadowRoot,node:getNodeDetails(e)}}))}function getCSSImages(e){const s=/^url\("([^"]+)"\)$/,t=[];for(const i of e){const e=window.getComputedStyle(i);if(!e.backgroundImage||!s.test(e.backgroundImage))continue;const a=e.backgroundImage.match(s)[1];t.push({src:a,srcset:"",
displayedWidth:i.clientWidth,displayedHeight:i.clientHeight,clientRect:getClientRect(i),attributeWidth:null,attributeHeight:null,naturalDimensions:void 0,cssEffectiveRules:void 0,computedStyles:{position:getPosition(i,e),objectFit:"",imageRendering:e.getPropertyValue("image-rendering")},isCss:!0,isPicture:!1,isInShadowDOM:i.getRootNode()instanceof ShadowRoot,node:getNodeDetails(i)})}return t}function collectImageElementInfo(){const e=getElementsInDocument();return getHTMLImages(e).concat(getCSSImages(e))}function determineNaturalSize(e){return new Promise(((s,t)=>{const i=new Image;i.addEventListener("error",(e=>t(new Error("determineNaturalSize failed img load")))),i.addEventListener("load",(()=>{s({naturalWidth:i.naturalWidth,naturalHeight:i.naturalHeight})})),i.src=e}))}function findSizeDeclaration(e,s){if(!e||!e.cssProperties)return;const t=e.cssProperties.find((({name:e})=>e===s));return t?t.value:void 0}
function getEffectiveSizingRule({attributesStyle:e,inlineStyle:s,matchedCSSRules:t},i){const a=findSizeDeclaration(s,i);if(a)return a;const n=findSizeDeclaration(e,i);if(n)return n;const l=function findMostSpecificCSSRule(e,s){const t=u.findMostSpecificMatchedCSSRule(e,(e=>findSizeDeclaration(e,s)));if(t)return findSizeDeclaration(t,s)}(t,i);return l||null}function getPixelArea(e){return e.naturalDimensions?e.naturalDimensions.height*e.naturalDimensions.width:e.displayedHeight*e.displayedWidth}s.exports=class ImageElements extends a{meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._naturalSizeCache=new Map}async fetchElementWithSizeInformation(e,s){const t=s.src;let i=this._naturalSizeCache.get(t);if(!i)try{e.defaultSession.setNextProtocolTimeout(250),i=await e.executionContext.evaluate(determineNaturalSize,{args:[t]}),this._naturalSizeCache.set(t,i)}catch(e){}i&&(s.naturalDimensions={width:i.naturalWidth,height:i.naturalHeight})}
async fetchSourceRules(e,s,t){try{const{nodeId:i}=await e.sendCommand("DOM.pushNodeByPathToFrontend",{path:s});if(!i)return;const a=await e.sendCommand("CSS.getMatchedStylesForNode",{nodeId:i}),n=getEffectiveSizingRule(a,"width"),l=getEffectiveSizingRule(a,"height"),u=getEffectiveSizingRule(a,"aspect-ratio");t.cssEffectiveRules={width:n,height:l,aspectRatio:u}}catch(e){if(/No node.*found/.test(e.message))return;throw e}}async collectExtraDetails(e,s){let t=!1;setTimeout((e=>t=!0),5e3);let a=0;for(const i of s)i.mimeType=l.guessMimeType(i.src),t?a++:(i.isInShadowDOM||i.isCss||await this.fetchSourceRules(e.defaultSession,i.node.devtoolsNodePath,i),(i.isPicture||i.isCss||i.srcset)&&await this.fetchElementWithSizeInformation(e,i));t&&i.warn("ImageElements",`Reached gathering budget of 5s. Skipped extra details for ${a}/${s.length}`)}async getArtifact(e){const s=e.driver.defaultSession,t=e.driver.executionContext,i=await t.evaluate(collectImageElementInfo,{args:[],
deps:[n.getElementsInDocumentString,n.getBoundingClientRectString,n.getNodeDetailsString,getClientRect,getPosition,getHTMLImages,getCSSImages]});return await Promise.all([s.sendCommand("DOM.enable"),s.sendCommand("CSS.enable"),s.sendCommand("DOM.getDocument",{depth:-1,pierce:!0})]),i.sort(((e,s)=>getPixelArea(s)-getPixelArea(e))),await this.collectExtraDetails(e.driver,i),await Promise.all([s.sendCommand("DOM.disable"),s.sendCommand("CSS.disable")]),i}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/page-functions.js":159,"../../lib/url-shim.js":"url","./seo/font-size.js":"../gather/gatherers/seo/font-size","lighthouse-logger":237}],"../gather/gatherers/inspector-issues":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../computed/network-records.js"),n=e("./devtools-log.js");s.exports=class InspectorIssues extends i{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:n.symbol}};constructor(){super(),
this._issues=[],this._onIssueAdded=this.onIssueAdded.bind(this)}onIssueAdded(e){this._issues.push(e.issue)}async startInstrumentation(e){const s=e.driver.defaultSession;s.on("Audits.issueAdded",this._onIssueAdded),await s.sendCommand("Audits.enable")}async stopInstrumentation(e){const s=e.driver.defaultSession;s.off("Audits.issueAdded",this._onIssueAdded),await s.sendCommand("Audits.disable")}async _getArtifact(e){const s={mixedContent:[],sameSiteCookies:[],blockedByResponse:[],heavyAds:[],contentSecurityPolicy:[]};for(const t of this._issues){if(t.details.mixedContentIssueDetails){const i=t.details.mixedContentIssueDetails,a=i.request&&i.request.requestId;a&&e.find((e=>e.requestId===a))&&s.mixedContent.push(i)}if(t.details.sameSiteCookieIssueDetails){const i=t.details.sameSiteCookieIssueDetails,a=i.request&&i.request.requestId;a&&e.find((e=>e.requestId===a))&&s.sameSiteCookies.push(i)}if(t.details.blockedByResponseIssueDetails){
const i=t.details.blockedByResponseIssueDetails,a=i.request&&i.request.requestId;a&&e.find((e=>e.requestId===a))&&s.blockedByResponse.push(i)}t.details.heavyAdIssueDetails&&s.heavyAds.push(t.details.heavyAdIssueDetails),t.details.contentSecurityPolicyIssueDetails&&s.contentSecurityPolicy.push(t.details.contentSecurityPolicyIssueDetails)}return s}async getArtifact(e){const s=e.dependencies.DevtoolsLog,t=await a.request(s,e);return this._getArtifact(t)}async afterPass(e,s){return await this.stopInstrumentation({...e,dependencies:{}}),this._getArtifact(s.networkRecords)}}},{"../../computed/network-records.js":40,"../../fraggle-rock/gather/base-gatherer.js":62,"./devtools-log.js":"../gather/gatherers/devtools-log"}],"../gather/gatherers/installability-errors":[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../../fraggle-rock/gather/base-gatherer.js");class InstallabilityErrors extends a{meta={supportedModes:["snapshot","navigation"]}
;static async getInstallabilityErrors(e){const s={msg:"Get webapp installability errors",id:"lh:gather:getInstallabilityErrors"};i.time(s);const t=(await e.sendCommand("Page.getInstallabilityErrors")).installabilityErrors;return i.timeEnd(s),{errors:t}}getArtifact(e){const s=e.driver;return InstallabilityErrors.getInstallabilityErrors(s.defaultSession)}}s.exports=InstallabilityErrors},{"../../fraggle-rock/gather/base-gatherer.js":62,"lighthouse-logger":237}],"../gather/gatherers/js-usage":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");s.exports=class JsUsage extends i{meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._scriptParsedEvents=[],this._scriptUsages=[],this.onScriptParsed=this.onScriptParsed.bind(this)}onScriptParsed(e){e.embedderName&&this._scriptParsedEvents.push(e)}async startInstrumentation(e){const s=e.driver.defaultSession;await s.sendCommand("Profiler.enable"),
await s.sendCommand("Profiler.startPreciseCoverage",{detailed:!1})}async stopInstrumentation(e){const s=e.driver.defaultSession,t=await s.sendCommand("Profiler.takePreciseCoverage");this._scriptUsages=t.result,await s.sendCommand("Profiler.stopPreciseCoverage"),await s.sendCommand("Profiler.disable")}async startSensitiveInstrumentation(e){const s=e.driver.defaultSession;await s.sendCommand("Debugger.enable"),await s.on("Debugger.scriptParsed",this.onScriptParsed)}async stopSensitiveInstrumentation(e){const s=e.driver.defaultSession;await s.off("Debugger.scriptParsed",this.onScriptParsed),await s.sendCommand("Debugger.disable")}async getArtifact(){const e={};for(const s of this._scriptUsages){let t=s.url;const i=this._scriptParsedEvents.find((e=>e.scriptId===s.scriptId));if(i&&i.embedderName&&(t=i.embedderName),""===s.url||i&&""===i.embedderName)continue;const a=e[t]||[];a.push(s),e[t]=a}return e}}},{"../../fraggle-rock/gather/base-gatherer.js":62}],
"../gather/gatherers/link-elements":[function(e,s,t){"use strict";const i=e("http-link-header"),a=e("../../fraggle-rock/gather/base-gatherer.js"),{URL:n}=e("../../lib/url-shim.js"),l=e("../../computed/network-records.js"),u=e("../../lib/dependency-graph/simulator/network-analyzer.js"),c=e("../../lib/page-functions.js"),d=e("./devtools-log.js");function normalizeUrlOrNull(e,s){try{return new n(e,s).href}catch(e){return null}}function getLinkElementsInDOM(){const e=getElementsInDocument("link"),s=[];for(const t of e){if(!(t instanceof HTMLLinkElement))continue;const e=t.getAttribute("href")||"",i=t.closest("head")?"head":"body";s.push({rel:t.rel,href:t.href,hreflang:t.hreflang,as:t.as,crossOrigin:t.crossOrigin,hrefRaw:e,source:i,node:getNodeDetails(t)})}return s}class LinkElements extends a{constructor(){super(),this.meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:d.symbol}}}static getLinkElementsInDOM(e){
return e.driver.executionContext.evaluate(getLinkElementsInDOM,{args:[],useIsolation:!0,deps:[c.getNodeDetailsString,c.getElementsInDocument]})}static getLinkElementsInHeaders(e,s){const t=e.url,a=u.findMainDocument(s,t),n=[];for(const e of a.responseHeaders)if("link"===e.name.toLowerCase())for(const s of i.parse(e.value).refs)n.push({rel:s.rel||"",href:normalizeUrlOrNull(s.uri,t),hrefRaw:s.uri||"",hreflang:s.hreflang||"",as:s.as||"",crossOrigin:(l=s.crossorigin,"anonymous"===l?"anonymous":"use-credentials"===l?"use-credentials":null),source:"headers",node:null});var l;return n}async _getArtifact(e,s){const t=await LinkElements.getLinkElementsInDOM(e),i=LinkElements.getLinkElementsInHeaders(e,s),a=t.concat(i);for(const e of a)e.rel=e.rel.toLowerCase();return a}async afterPass(e,s){return this._getArtifact({...e,dependencies:{}},s.networkRecords)}async getArtifact(e){const s=await l.request(e.dependencies.DevtoolsLog,e);return this._getArtifact(e,s)}}s.exports=LinkElements},{
"../../computed/network-records.js":40,"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/dependency-graph/simulator/network-analyzer.js":92,"../../lib/page-functions.js":159,"../../lib/url-shim.js":"url","./devtools-log.js":"../gather/gatherers/devtools-log","http-link-header":219}],"../gather/gatherers/main-document-content":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/dependency-graph/simulator/network-analyzer.js"),n=e("../../computed/network-records.js"),l=e("./devtools-log.js"),{fetchResponseBodyFromCache:u}=e("../driver/network.js");s.exports=class MainDocumentContent extends i{meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:l.symbol}};async _getArtifact(e,s){const t=a.findMainDocument(s,e.url),i=e.driver.defaultSession;return u(i,t.requestId)}async getArtifact(e){const s=e.dependencies.DevtoolsLog,t=await n.request(s,e);return this._getArtifact(e,t)}async afterPass(e,s){return this._getArtifact({...e,
dependencies:{}},s.networkRecords)}}},{"../../computed/network-records.js":40,"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/dependency-graph/simulator/network-analyzer.js":92,"../driver/network.js":71,"./devtools-log.js":"../gather/gatherers/devtools-log"}],"../gather/gatherers/meta-elements":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/page-functions.js");function collectMetaElements(){const e={getElementsInDocument,getNodeDetails};return e.getElementsInDocument("head meta").map((s=>{const getAttribute=e=>{const t=s.attributes.getNamedItem(e);if(t)return t.value};return{name:s.name.toLowerCase(),content:s.content,property:getAttribute("property"),httpEquiv:s.httpEquiv?s.httpEquiv.toLowerCase():void 0,charset:getAttribute("charset"),node:e.getNodeDetails(s)}}))}s.exports=class MetaElements extends i{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){
return e.driver.executionContext.evaluate(collectMetaElements,{args:[],useIsolation:!0,deps:[a.getElementsInDocument,a.getNodeDetailsString]})}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/page-functions.js":159}],"../gather/gatherers/network-user-agent":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("./devtools-log.js");class NetworkUserAgent extends i{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:a.symbol}};static getNetworkUserAgent(e){for(const s of e){if("Network.requestWillBeSent"!==s.method)continue;const e=s.params.request.headers["User-Agent"];if(e)return e}return""}async getArtifact(e){return NetworkUserAgent.getNetworkUserAgent(e.dependencies.DevtoolsLog)}}s.exports=NetworkUserAgent},{"../../fraggle-rock/gather/base-gatherer.js":62,"./devtools-log.js":"../gather/gatherers/devtools-log"}],"../gather/gatherers/script-elements":[function(e,s,t){"use strict"
;const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../computed/network-records.js"),n=e("../../lib/dependency-graph/simulator/network-analyzer.js"),l=e("../../lib/network-request.js"),u=e("../../lib/page-functions.js"),{fetchResponseBodyFromCache:c}=e("../driver/network.js"),d=e("./devtools-log.js"),m=e("./host-form-factor.js");function collectAllScriptElements(){return getElementsInDocument("script").map((e=>({type:e.type||null,src:e.src||null,id:e.id||null,async:e.async,defer:e.defer,source:e.closest("head")?"head":"body",content:e.src?null:e.text,requestId:null,node:getNodeDetails(e)})))}s.exports=class ScriptElements extends i{meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:d.symbol,HostFormFactor:m.symbol}};async _getArtifact(e,s,t){const i=e.driver.defaultSession,a=e.driver.executionContext,d=n.findOptionalMainDocument(s,e.url),m=await a.evaluate(collectAllScriptElements,{args:[],useIsolation:!0,
deps:[u.getNodeDetailsString,u.getElementsInDocument]});for(const e of m)d&&e.content&&(e.requestId=d.requestId);const g=s.filter((e=>!e.sessionId)).filter((e=>e.resourceType===l.TYPES.Script)),h=await async function runInSeriesOrParallel(e,s,t){if(t){const t=[];for(const i of e){const e=await s(i);t.push(e)}return t}{const t=e.map(s);return await Promise.all(t)}}(g,(e=>c(i,e.requestId).catch((()=>""))),"mobile"===t);for(let e=0;e<g.length;e++){const s=g[e],t=h[e];if(!t)continue;const i=m.find((e=>e.src===s.url));i?(i.requestId=s.requestId,i.content=t):m.push({type:null,src:s.url,id:null,async:!1,defer:!1,source:"network",requestId:s.requestId,content:t,node:null})}return m}async getArtifact(e){const s=e.dependencies.DevtoolsLog,t=e.dependencies.HostFormFactor,i=await a.request(s,e);return this._getArtifact(e,i,t)}async afterPass(e,s){const t=s.networkRecords,i=e.baseArtifacts.HostFormFactor;return this._getArtifact({...e,dependencies:{}},t,i)}}},{
"../../computed/network-records.js":40,"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/dependency-graph/simulator/network-analyzer.js":92,"../../lib/network-request.js":158,"../../lib/page-functions.js":159,"../driver/network.js":71,"./devtools-log.js":"../gather/gatherers/devtools-log","./host-form-factor.js":"../gather/gatherers/host-form-factor"}],"../gather/gatherers/seo/embedded-content":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js"),a=e("../../../lib/page-functions.js");function getEmbeddedContent(){const e={getElementsInDocument,getNodeDetails};return e.getElementsInDocument("object, embed, applet").map((s=>({tagName:s.tagName,type:s.getAttribute("type"),src:s.getAttribute("src"),data:s.getAttribute("data"),code:s.getAttribute("code"),params:Array.from(s.children).filter((e=>"PARAM"===e.tagName)).map((e=>({name:e.getAttribute("name")||"",value:e.getAttribute("value")||""}))),node:e.getNodeDetails(s)})))}
s.exports=class EmbeddedContent extends i{meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(getEmbeddedContent,{args:[],deps:[a.getElementsInDocument,a.getNodeDetailsString]})}}},{"../../../fraggle-rock/gather/base-gatherer.js":62,"../../../lib/page-functions.js":159}],"../gather/gatherers/seo/font-size":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js");function hasFontSizeDeclaration(e){return!!e&&!!e.cssProperties.find((({name:e})=>"font-size"===e))}function computeSelectorSpecificity(e){const s=e.split(" ");let t=0,i=0,a=0;for(const e of s){const s=e.match(/\b#[a-z0-9]+/g)||[],n=e.match(/\b\.[a-z0-9]+/g)||[],l=e.match(/^[a-z]+/)?[1]:[];t+=s.length,i+=n.length,a+=l.length}return 100*Math.min(9,t)+10*Math.min(9,i)+Math.min(9,a)}function findMostSpecificMatchedCSSRule(e=[],s){let t,i=-1/0;for(const{rule:a,matchingSelectors:n}of e)if(s(a.style)){
const e=n.map((e=>computeSelectorSpecificity(a.selectorList.selectors[e].text))),s=Math.max(...e);s>=i&&(i=s,t=a)}if(t)return{type:"Regular",...t.style,parentRule:{origin:t.origin,selectors:t.selectorList.selectors}}}function getEffectiveFontRule({attributesStyle:e,inlineStyle:s,matchedCSSRules:t,inherited:i}){if(hasFontSizeDeclaration(s))return{type:"Inline",...s};const a=findMostSpecificMatchedCSSRule(t,hasFontSizeDeclaration);if(a)return a;if(hasFontSizeDeclaration(e))return{type:"Attributes",...e};const n=function findInheritedCSSRule(e=[]){for(const{inlineStyle:s,matchedCSSRules:t}of e){if(hasFontSizeDeclaration(s))return{type:"Inline",...s};const e=findMostSpecificMatchedCSSRule(t,hasFontSizeDeclaration);if(e)return e}}(i);return n||void 0}function getTextLength(e){return e?Array.from(e.trim()).length:0}class FontSize extends i{meta={supportedModes:["snapshot","navigation"]};static async fetchFailingNodeSourceRules(e,s){
const t=s.sort(((e,s)=>s.textLength-e.textLength)).slice(0,50);await e.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});const{nodeIds:i}=await e.sendCommand("DOM.pushNodesByBackendIdsToFrontend",{backendNodeIds:t.map((e=>e.parentNode.backendNodeId))}),a=t.map((async(s,t)=>{s.nodeId=i[t];try{const a=await async function fetchSourceRule(e,s){const t=getEffectiveFontRule(await e.sendCommand("CSS.getMatchedStylesForNode",{nodeId:s}));if(t)return{type:t.type,range:t.range,styleSheetId:t.styleSheetId,parentRule:t.parentRule&&{origin:t.parentRule.origin,selectors:t.parentRule.selectors}}}(e,i[t]);s.cssRule=a}catch(e){s.cssRule=void 0}return s})),n=await Promise.all(a),l=n.reduce(((e,{textLength:s})=>e+s),0);return{analyzedFailingNodesData:n,analyzedFailingTextLength:l}}getTextNodesInLayoutFromSnapshot(e){const s=e.strings,getString=e=>s[e],t=[];for(let i=0;i<e.documents.length;i++){const a=e.documents[i]
;if(!(a.nodes.backendNodeId&&a.nodes.parentIndex&&a.nodes.attributes&&a.nodes.nodeName))throw new Error("Unexpected response from DOMSnapshot.captureSnapshot.");const n=a.nodes,getParentData=e=>({backendNodeId:n.backendNodeId[e],attributes:n.attributes[e].map(getString),nodeName:getString(n.nodeName[e])});for(const e of a.textBoxes.layoutIndex){const i=s[a.layout.text[e]];if(!i)continue;const l=a.layout.nodeIndex[e],u=a.layout.styles[e],[c]=u,d=parseFloat(s[c]),m=n.parentIndex[l],g=n.parentIndex[m],h=getParentData(m),p=void 0!==g?getParentData(g):void 0;t.push({nodeIndex:l,backendNodeId:n.backendNodeId[l],fontSize:d,textLength:getTextLength(i),parentNode:{...h,parentNode:p}})}}return t}findFailingNodes(e){const s=[];let t=0,i=0;for(const a of this.getTextNodesInLayoutFromSnapshot(e))t+=a.textLength,a.fontSize<12&&(i+=a.textLength,s.push({nodeId:0,parentNode:a.parentNode,textLength:a.textLength,fontSize:a.fontSize}));return{totalTextLength:t,failingTextLength:i,failingNodes:s}}
async getArtifact(e){const s=e.driver.defaultSession,t=new Map,onStylesheetAdded=e=>t.set(e.header.styleSheetId,e.header);s.on("CSS.styleSheetAdded",onStylesheetAdded),await Promise.all([s.sendCommand("DOMSnapshot.enable"),s.sendCommand("DOM.enable"),s.sendCommand("CSS.enable")]);const i=await s.sendCommand("DOMSnapshot.captureSnapshot",{computedStyles:["font-size"]}),{totalTextLength:a,failingTextLength:n,failingNodes:l}=this.findFailingNodes(i),{analyzedFailingNodesData:u,analyzedFailingTextLength:c}=await FontSize.fetchFailingNodeSourceRules(s,l);return s.off("CSS.styleSheetAdded",onStylesheetAdded),u.filter((e=>e.cssRule&&e.cssRule.styleSheetId)).forEach((e=>e.cssRule.stylesheet=t.get(e.cssRule.styleSheetId))),await Promise.all([s.sendCommand("DOMSnapshot.disable"),s.sendCommand("DOM.disable"),s.sendCommand("CSS.disable")]),{analyzedFailingNodesData:u,analyzedFailingTextLength:c,failingTextLength:n,totalTextLength:a}}}s.exports=FontSize,
s.exports.computeSelectorSpecificity=computeSelectorSpecificity,s.exports.getEffectiveFontRule=getEffectiveFontRule,s.exports.findMostSpecificMatchedCSSRule=findMostSpecificMatchedCSSRule},{"../../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/seo/robots-txt":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js"),{getBrowserVersion:a}=e("../../driver/environment.js");async function getRobotsTxtContent(){try{const e=await fetch(new URL("/robots.txt",location.href).href);if(!e.ok)return{status:e.status,content:null};const s=await e.text();return{status:e.status,content:s}}catch(e){return{status:null,content:null}}}s.exports=class RobotsTxt extends i{meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){const{milestone:s}=await a(e.driver.defaultSession);if(s<92)return e.driver.executionContext.evaluate(getRobotsTxtContent,{args:[],useIsolation:!0});const t=new URL("/robots.txt",e.url).href
;return await e.driver.fetcher.enable(),e.driver.fetcher.fetchResource(t).catch((()=>({status:null,content:null})))}}},{"../../../fraggle-rock/gather/base-gatherer.js":62,"../../driver/environment.js":67}],"../gather/gatherers/seo/tap-targets":[function(e,s,t){"use strict";const i=e("../../../fraggle-rock/gather/base-gatherer.js"),a=e("../../../lib/page-functions.js"),n=e("../../../lib/rect-helpers.js"),l=["button","a","input","textarea","select","option","[role=button]","[role=checkbox]","[role=link]","[role=menuitem]","[role=menuitemcheckbox]","[role=menuitemradio]","[role=option]","[role=scrollbar]","[role=slider]","[role=spinbutton]"].join(",");function elementIsVisible(e){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)}function getClientRects(e){const s=Array.from(e.getClientRects()).map((e=>{const{width:s,height:t,left:i,top:a,right:n,bottom:l}=e;return{width:s,height:t,left:i,top:a,right:n,bottom:l}}));for(const t of e.children)s.push(...getClientRects(t))
;return s}function elementHasAncestorTapTarget(e,s){return!!e.parentElement&&(!!e.parentElement.matches(s)||elementHasAncestorTapTarget(e.parentElement,s))}function hasTextNodeSiblingsFormingTextBlock(e){if(!e.parentElement)return!1;const s=e.parentElement,t=e.textContent||"";if((s.textContent||"").length-t.length<5)return!1;for(const s of e.parentElement.childNodes){if(s===e)continue;const t=(s.textContent||"").trim();if(s.nodeType===Node.TEXT_NODE&&t.length>0)return!0}return!1}function elementIsInTextBlock(e){const{display:s}=getComputedStyle(e);return("inline"===s||"inline-block"===s)&&(!!hasTextNodeSiblingsFormingTextBlock(e)||!!e.parentElement&&elementIsInTextBlock(e.parentElement))}function elementCenterIsAtZAxisTop(e,s){const t=window.innerHeight,i=Math.floor(s.y/t)*t;window.scrollY!==i&&window.scrollTo(0,i);const a=document.elementFromPoint(s.x,s.y-window.scrollY);return a===e||e.contains(a)}function disableFixedAndStickyElementPointerEvents(e){
return document.querySelectorAll("*").forEach((s=>{const t=getComputedStyle(s).position;"fixed"!==t&&"sticky"!==t||s.classList.add(e)})),function undo(){Array.from(document.getElementsByClassName(e)).forEach((s=>{s.classList.remove(e)}))}}function gatherTapTargets(e,s){const t=[];window.scrollTo(0,0);const i=getElementsInDocument(e),a=[];i.forEach((s=>{elementHasAncestorTapTarget(s,e)||elementIsInTextBlock(s)||elementIsVisible(s)&&a.push({tapTargetElement:s,clientRects:getClientRects(s)})}));const n=disableFixedAndStickyElementPointerEvents(s),l=[];a.forEach((({tapTargetElement:e,clientRects:s})=>{let t=s.filter((e=>0!==e.width&&0!==e.height));t=t.filter((s=>{const t=getRectCenterPoint(s);return elementCenterIsAtZAxisTop(e,t)})),t.length>0&&l.push({tapTargetElement:e,visibleClientRects:t})}));for(const{tapTargetElement:e,visibleClientRects:s}of l)t.push({clientRects:s,href:e.href||"",node:getNodeDetails(e)});return n(),t}s.exports=class TapTargets extends i{constructor(){super(),
this.meta={supportedModes:["snapshot","navigation"]}}async addStyleRule(e,s){const t=await e.sendCommand("Page.getFrameTree"),{styleSheetId:i}=await e.sendCommand("CSS.createStyleSheet",{frameId:t.frameTree.frame.id}),a=`.${s} { pointer-events: none !important }`;return await e.sendCommand("CSS.setStyleSheetText",{styleSheetId:i,text:a}),i}async removeStyleRule(e,s){await e.sendCommand("CSS.setStyleSheetText",{styleSheetId:s,text:""})}async getArtifact(e){const s=e.driver.defaultSession;await s.sendCommand("DOM.enable"),await s.sendCommand("CSS.enable");const t="lighthouse-disable-pointer-events",i=await this.addStyleRule(s,t),u=await e.driver.executionContext.evaluate(gatherTapTargets,{args:[l,t],useIsolation:!0,
deps:[a.getNodeDetailsString,a.getElementsInDocument,disableFixedAndStickyElementPointerEvents,elementIsVisible,elementHasAncestorTapTarget,elementCenterIsAtZAxisTop,getClientRects,hasTextNodeSiblingsFormingTextBlock,elementIsInTextBlock,n.getRectCenterPoint,a.getNodePath,a.getNodeSelector,a.getNodeLabel]});return await this.removeStyleRule(s,i),await s.sendCommand("CSS.disable"),await s.sendCommand("DOM.disable"),u}}},{"../../../fraggle-rock/gather/base-gatherer.js":62,"../../../lib/page-functions.js":159,"../../../lib/rect-helpers.js":161}],"../gather/gatherers/service-worker":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../driver/service-workers.js");s.exports=class ServiceWorker extends i{meta={supportedModes:["navigation"]};async beforePass(e){return this.getArtifact({...e,dependencies:{}})}async afterPass(){}async getArtifact(e){
const s=e.driver.defaultSession,{versions:t}=await a.getServiceWorkerVersions(s),{registrations:i}=await a.getServiceWorkerRegistrations(s);return{versions:t,registrations:i}}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"../driver/service-workers.js":73}],"../gather/gatherers/source-maps":[function(e,s,t){(function(t){(function(){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/url-shim.js");s.exports=class SourceMaps extends i{meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._scriptParsedEvents=[],this.onScriptParsed=this.onScriptParsed.bind(this)}async fetchSourceMap(e,s){const t=await e.fetcher.fetchResource(s,{timeout:1500});if(null===t.content)throw new Error(`Failed fetching source map (${t.status})`);return JSON.parse(t.content)}parseSourceMapFromDataUrl(e){const s=t.from(e.split(",")[1],"base64");return JSON.parse(s.toString())}onScriptParsed(e){e.sourceMapURL&&this._scriptParsedEvents.push(e)}_resolveUrl(e,s){
try{return new a(e,s).href}catch(e){return}}async _retrieveMapFromScriptParsedEvent(e,s){if(!s.sourceMapURL)throw new Error("precondition failed: event.sourceMapURL should exist");const t=s.sourceMapURL.startsWith("data:"),i=s.url,a=t?s.sourceMapURL:this._resolveUrl(s.sourceMapURL,s.url);if(!a)return{scriptUrl:i,errorMessage:"Could not resolve map url: "+s.sourceMapURL};const n=t?void 0:a;try{const s=t?this.parseSourceMapFromDataUrl(a):await this.fetchSourceMap(e,a);return s.sections&&(s.sections=s.sections.filter((e=>e.map))),{scriptUrl:i,sourceMapUrl:n,map:s}}catch(e){return{scriptUrl:i,sourceMapUrl:n,errorMessage:e.toString()}}}async startSensitiveInstrumentation(e){const s=e.driver.defaultSession;s.on("Debugger.scriptParsed",this.onScriptParsed),await s.sendCommand("Debugger.enable")}async stopSensitiveInstrumentation(e){const s=e.driver.defaultSession;await s.sendCommand("Debugger.disable"),s.off("Debugger.scriptParsed",this.onScriptParsed)}async getArtifact(e){
await e.driver.fetcher.enable();const s=this._scriptParsedEvents.map((s=>this._retrieveMapFromScriptParsedEvent(e.driver,s)));return Promise.all(s)}}}).call(this)}).call(this,e("buffer").Buffer)},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/url-shim.js":"url",buffer:194}],"../gather/gatherers/stacks":[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../../fraggle-rock/gather/base-gatherer.js");async function detectLibraries(){const e=[],s=d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests;for(const[t,i]of Object.entries(s))try{let s;const a=new Promise((e=>s=setTimeout((()=>e(!1)),1e3))),n=await Promise.race([i.test(window),a]);s&&clearTimeout(s),n&&e.push({id:i.id,name:t,version:n.version,npm:i.npm})}catch(e){}return e}class Stacks extends a{constructor(){super(),this.meta={supportedModes:["snapshot","navigation"]}}static async collectStacks(e){const s={msg:"Collect stacks",id:"lh:gather:collectStacks"};i.time(s)
;const t=(await e.evaluate(detectLibraries,{args:[],
deps:["function _createTimeoutHelper() {\n    let timeout;\n    const timeoutPromise = new Promise((_, reject) => {\n        timeout = setTimeout(() => reject(new Error('Timed out')), 5000);\n    });\n\n    return {timeoutPromise, clearTimeout: () => clearTimeout(timeout)};\n}\n\nvar UNKNOWN_VERSION = null;\nvar d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests = {\n\n    'GWT': {\n        id: 'gwt',\n        icon: 'gwt',\n        url: 'http://www.gwtproject.org/',\n        test: function(win) {\n            // pretty complicated, many possible tell tales\n            var doc = win.document,\n                hasHistFrame = doc.getElementById('__gwt_historyFrame'),\n                hasGwtUid = doc.gwt_uid,\n                hasBodyListener = doc.body.__listener,\n                hasBodyEventBits = doc.body.__eventBits,\n                hasModules = win.__gwt_activeModules,\n                hasJsonP = win.__gwt_jsonp__,\n                hasRootWinApp = win.__gwt_scriptsLoaded || win.__gwt_stylesLoaded || win.__gwt_activeModules;\n\n            // use the many possible indicators\n            if(hasHistFrame || hasGwtUid || hasBodyListener || hasBodyEventBits || hasModules || hasJsonP || hasRootWinApp) {\n\n                // carefully look at frames, but only if certain is GWT frame\n                var frames = doc.getElementsByTagName('iframe'),\n                    gwtVersion = UNKNOWN_VERSION;\n                for(var n=0; n<frames.length; n++) {\n                    // catch security access errors\n                    try {\n                        var hasNegativeTabIndex = frames[n].tabIndex < 0; // on for GWT\n                        if(hasNegativeTabIndex && frames[n].contentWindow && frames[n].contentWindow.$gwt_version) {\n                            gwtVersion = frames[n].contentWindow.$gwt_version;\n                            break;\n                        }\n                    }\n                    catch(e) {}\n                }\n\n                if(gwtVersion=='0.0.999') {\n                  gwtVersion = 'Google Internal';\n                }\n\n                return { version: gwtVersion };\n            }\n            return false;\n        }\n    },\n\n    'Ink': {\n        id: 'ink',\n        icon: 'ink',\n        url: 'http://ink.sapo.pt/',\n        test: function(win) {\n            if (win.Ink && win.Ink.createModule) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Vaadin': {\n        id: 'vaadin',\n        icon: 'vaadin',\n        url: 'https://vaadin.com/',\n        test: function(win) {\n            if (win.vaadin && win.vaadin.registerWidgetset) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Bootstrap': {\n        id: 'bootstrap',\n        icon: 'bootstrap',\n        url: 'http://getbootstrap.com/',\n        npm: 'bootstrap',\n        // look for a function Boostrap has added to jQuery - regex for BS 2 & 3\n        test: function(win) {\n            var jQueryAvailable = win.$ && win.$.fn,\n                RE_PREFIX_V2 = '\\\\$this\\\\.data\\\\((?:\\'|\")',\n                RE_PREFIX_V3 = '\\\\$this\\\\.data\\\\((?:\\'|\")(?:bs\\\\.){1}',\n                bootstrapComponents = [\n                    'affix', 'alert', 'button', 'carousel', 'collapse', 'dropdown',\n                    'modal', 'popover', 'scrollspy', 'tab', 'tooltip'\n                ];\n\n            if(jQueryAvailable) {\n                var bootstrapVersion;\n\n                bootstrapComponents.some(function(component) {\n                    if(win.$.fn[component]) {\n                        // Bootstrap >= 3.2.0 detection\n                        if(win.$.fn[component].Constructor && win.$.fn[component].Constructor.VERSION) {\n                            bootstrapVersion = win.$.fn[component].Constructor.VERSION;\n                            return true;\n                        // Bootstrap >= 2.0.0 and <= 3.1.0 detection\n                        } else if(new RegExp(RE_PREFIX_V3 + component).test(win.$.fn[component].toString())) {\n                            bootstrapVersion = '>= 3.0.0 & <= 3.1.1';\n                            return true;\n                        // Bootstrap < 3.1.0 detection\n                        } else if(new RegExp(RE_PREFIX_V2 + component).test(win.$.fn[component].toString())) {\n                            bootstrapVersion = '>= 2.0.0 & <= 2.3.2';\n                            return true;\n                        }\n                    }\n\n                    return false;\n                });\n\n                if (bootstrapVersion) {\n                    return { version: bootstrapVersion };\n                }\n            }\n\n            return false;\n        }\n    },\n\n    'Zurb': {\n        id: 'zurb',\n        icon: 'zurb',\n        url: 'https://foundation.zurb.com/',\n        npm: 'foundation-sites',\n        test: function(win) {\n            if(win.Foundation && win.Foundation.Toggler) {\n                return { version: win.Foundation.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Polymer': {\n        id: 'polymer',\n        icon: 'polymer',\n        url: 'https://www.polymer-project.org/',\n        npm: '@polymer/polymer',\n        test: function(win) {\n            if(win.Polymer && win.Polymer.dom) {\n                return { version: win.Polymer.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'LitElement': {\n        id: 'litelement',\n        icon: 'polymer',\n        url: 'https://lit-element.polymer-project.org/',\n        npm: 'lit-element',\n        test: function(win) {\n            if(win.litElementVersions && win.litElementVersions.length) {\n                // Get latest version if multiple versions are used\n                var versions = [...win.litElementVersions].sort( (a, b) => a.localeCompare(b, undefined, { numeric:true }) );\n                return { version: versions[versions.length - 1] };\n            }\n            return false;\n        }\n    },\n\n    'Highcharts': {\n        id: 'highcharts',\n        icon: 'highcharts',\n        url: 'http://www.highcharts.com',\n        npm: 'highcharts',\n        test: function(win) {\n            if(win.Highcharts && win.Highcharts.Point) {\n                return { version: win.Highcharts.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'InfoVis': {\n        id: 'jit',\n        icon: 'jit',\n        url: 'http://philogb.github.com/jit/',\n        test: function test(win) {\n            if(win.$jit && win.$jit.PieChart) {\n                return { version: win.$jit.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'FlotCharts': {\n        id: 'flotcharts',\n        icon: 'flotcharts',\n        url: 'http://www.flotcharts.org/',\n        npm: 'flot',\n        test: function(win) {\n            if(win.$ && win.$.plot) {\n                return { version: win.$.plot.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'CreateJS': {\n        id: 'createjs',\n        icon: 'createjs',\n        url: 'https://createjs.com/',\n        npm: 'createjs',\n        test: function(win) {\n            if(win.createjs && win.createjs.promote) {\n                return { version: UNKNOWN_VERSION}; // no version info available\n            }\n            return false;\n        }\n    },\n\n    'Google Maps': {\n        id: 'gmaps',\n        icon: 'gmaps',\n        url: 'https://developers.google.com/maps/',\n        test: function(win) {\n            if (win.google && win.google.maps) {\n                return { version: win.google.maps.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'jQuery': {\n        id: 'jquery',\n        icon: 'jquery',\n        url: 'http://jquery.com',\n        npm: 'jquery',\n        test: function(win) {\n            var jq = win.jQuery || win.$;\n            if (jq && jq.fn && jq.fn.jquery) {\n                return { version: jq.fn.jquery.replace(/[^\\d+\\.+]/g, '') || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'jQuery (Fast path)': {\n        id: 'jquery-fast',\n        icon: 'jquery',\n        url: 'http://jquery.com',\n        npm: 'jquery',\n        test: function (win) {\n            var jq = win.jQuery || win.$;\n            if (jq && jq.fn) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'jQuery UI': {\n        id: 'jquery_ui',\n        icon: 'jquery_ui',\n        url: 'http://jqueryui.com',\n        npm: 'jquery-ui',\n        test: function(win) {\n            var jq = win.jQuery || win.$ || win.$jq || win.$j;\n            if(jq && jq.fn && jq.fn.jquery && jq.ui) {\n                var plugins = 'accordion,datepicker,dialog,draggable,droppable,progressbar,resizable,selectable,slider,menu,grid,tabs'.split(','), concat = [];\n                for (var i=0; i < plugins.length; i++) { if(jq.ui[plugins[i]]) concat.push(plugins[i].substr(0,1).toUpperCase() + plugins[i].substr(1)); }\n                return { version: jq.ui.version || UNKNOWN_VERSION, details: concat.length ? 'Plugins used: '+concat.join(',') : '' };\n            }\n            return false;\n        }\n    },\n\n    'Dojo': {\n        id: 'dojo',\n        icon: 'dojo',\n        url: 'http://dojotoolkit.org',\n        npm: 'dojo',\n        test: function(win) {\n            if(win.dojo && win.dojo.delegate) {\n                var version = win.dojo.version ? win.dojo.version.toString() : UNKNOWN_VERSION;\n                return { version: version, details: 'Details: '+(win.dijit ? 'Uses Dijit' : 'none') };\n            }\n            return false;\n        }\n    },\n\n    'Prototype': {\n        id: 'prototype',\n        icon: 'prototype',\n        url: 'http://prototypejs.org',\n        test: function(win) {\n            if(win.Prototype && win.Prototype.BrowserFeatures) {\n                return { version: win.Prototype.Version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Scriptaculous': {\n        id: 'scriptaculous',\n        icon: 'scriptaculous',\n        url: 'http://script.aculo.us',\n        test: function(win) {\n            if(win.Scriptaculous && win.Scriptaculous.load) {\n                return { version: win.Scriptaculous.Version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'MooTools': {\n        id: 'mootools',\n        icon: 'mootools',\n        url: 'https://mootools.net/',\n        test: function(win) {\n            if(win.MooTools && win.MooTools.build) {\n                return { version: win.MooTools.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Spry': {\n        id: 'spry',\n        icon: 'spry',\n        url: 'http://labs.adobe.com/technologies/spry',\n        test: function(win) {\n            if (win.Spry && win.Spry.Data) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'YUI 2': {\n        id: 'yui',\n        icon: 'yui',\n        url: 'http://developer.yahoo.com/yui/2/',\n        test: function(win) {\n            if (win.YAHOO && win.YAHOO.util) {\n                return { version: win.YAHOO.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'YUI 3': {\n        id: 'yui3',\n        icon: 'yui3',\n        url: 'https://yuilibrary.com/',\n        npm: 'yui',\n        test: function(win) {\n            if (win.YUI && win.YUI.Env) {\n                return { version: win.YUI.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Qooxdoo': {\n        id: 'qooxdoo',\n        icon: 'qooxdoo',\n        url: 'http://www.qooxdoo.org/',\n        npm: 'qooxdoo',\n        test: function(win) {\n            if(win.qx && win.qx.Bootstrap) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Ext JS': {\n        id: 'extjs',\n        icon: 'extjs',\n        url: 'https://www.sencha.com/products/extjs/',\n        test: function(win) {\n            if (win.Ext && win.Ext.versions) {\n                return { version: win.Ext.versions.core.version };\n            }\n            else if(win.Ext) {\n                return { version: win.Ext.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'base2': {\n        id: 'base2',\n        icon: 'base2',\n        url: 'http://code.google.com/p/base2',\n        test: function(win) {\n            if(win.base2 && win.base2.dom) {\n                return { version: win.base2.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Closure Library': {\n        id: 'closure',\n        icon: 'closure',\n        url: 'https://developers.google.com/closure/library/',\n        npm: 'google-closure-library',\n        test: function(win) {\n            if(win.goog && win.goog.provide) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Rapha&euml;l': {\n        id: 'raphael',\n        icon: 'raphael',\n        url: 'http://dmitrybaranovskiy.github.io/raphael/',\n        test: function(win) {\n            if (win.Raphael && win.Raphael.circle) {\n                return { version: win.Raphael.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'React': {\n        id: 'react',\n        icon: 'react',\n        url: 'https://reactjs.org/',\n        npm: 'react',\n        test: function(win) {\n            function isMatch(node) {\n                return node!=null && node._reactRootContainer!=null;\n            }\n            function nodeFilter(node) {\n                return isMatch(node) ? NodeFilter.FILTER_ACCEPT : NodeFilter.FILTER_SKIP;\n            }\n            var reactRoot = document.getElementById('react-root');\n            var altHasReact = document.querySelector('*[data-reactroot]');\n            var bodyReactRoot = isMatch(document.body) || isMatch(document.body.firstElementChild);\n            var hasReactRoot = bodyReactRoot|| document.createTreeWalker(document.body, NodeFilter.SHOW_ELEMENT, nodeFilter).nextNode() != null;\n            if (hasReactRoot || reactRoot && reactRoot.innerText.length > 0 || altHasReact || win.React && win.React.Component) {\n                return { version: win.React && win.React.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'React (Fast path)': {\n        id: 'react-fast',\n        icon: 'react',\n        url: 'https://reactjs.org/',\n        npm: 'react',\n        test: function (win) {\n            function isMatch(node) {\n                return node != null && node._reactRootContainer != null;\n            }\n            var reactRoot = document.getElementById('react-root');\n            var altHasReact = document.querySelector('*[data-reactroot]');\n            var hasReactRoot = isMatch(document.body) || isMatch(document.body.firstElementChild);\n            if (hasReactRoot || reactRoot || altHasReact || win.React) {\n                return { version: win.React && win.React.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Next.js': {\n        id: 'next',\n        icon: 'next',\n        url: 'https://nextjs.org/',\n        npm: 'next',\n        test: function(win) {\n            if (win.__NEXT_DATA__ && win.__NEXT_DATA__.buildId) {\n                return { version: window.next && window.next.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Next.js (Fast path)': {\n        id: 'next-fast',\n        icon: 'next',\n        url: 'https://nextjs.org/',\n        npm: 'next',\n        test: function (win) {\n            if (win.__NEXT_DATA__) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Preact': {\n        id: 'preact',\n        icon: 'preact',\n        url: 'https://preactjs.com/',\n        npm: 'preact',\n        test: function(win) {\n            var expando = typeof Symbol!='undefined' && Symbol.for && Symbol.for('preactattr');\n            function isMatch(node) {\n                if ('__k' in node && 'props' in node.__k && 'type' in node.__k) {\n                    return true;\n                }\n                return '_component' in node || '__preactattr_' in node || expando && node[expando]!=null;\n            }\n            function getMatch(node) {\n                return node!=null && isMatch(node) && node;\n            }\n            function nodeFilter(node) {\n                return isMatch(node) ? NodeFilter.FILTER_ACCEPT : NodeFilter.FILTER_SKIP;\n            }\n            var preactRoot = getMatch(document.body) || getMatch(document.body.firstElementChild);\n            if (!preactRoot) {\n                preactRoot = document.createTreeWalker(document.body, NodeFilter.SHOW_ELEMENT, nodeFilter).nextNode();\n            }\n            if (preactRoot || win.preact) {\n                var version = UNKNOWN_VERSION;\n                if (preactRoot) {\n                    if ('__k' in preactRoot) {\n                        version = '10';\n                    }\n                    if ('__preactattr_' in preactRoot) {\n                        version = '8';\n                    }\n                    if (expando && preactRoot[expando]!=null) {\n                        version = '7';\n                    }\n                }\n                return { version: version };\n            }\n            return false;\n        }\n    },\n\n    'Preact (Fast path)': {\n        id: 'preact-fast',\n        icon: 'preact',\n        url: 'https://preactjs.com/',\n        npm: 'preact',\n        test: function (win) {\n            var version = UNKNOWN_VERSION;\n            function isMatch(node) {\n                if (node.__k != null) { version = '10'; return true; }\n                return node._component != null || node.__preactattr_ != null;\n            }\n            function getMatch(node) {\n                return node != null && isMatch(node);\n            }\n            var preactRoot = getMatch(document.body) || getMatch(document.body.firstElementChild);\n            if (preactRoot || win.preact) {\n                return { version: version };\n            }\n            return false;\n        }\n    },\n\n    'Modernizr': {\n        id: 'modernizr',\n        icon: 'modernizr',\n        url: 'https://modernizr.com/',\n        npm: 'modernizr',\n        test: function(win) {\n            if (win.Modernizr && win.Modernizr.addTest) {\n                return { version: win.Modernizr._version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Processing.js': {\n        id: 'processingjs',\n        icon: 'processingjs',\n        url: 'http://processingjs.org',\n        npm: 'processing-js',\n        test: function(win) {\n            if(win.Processing && win.Processing.box) {\n                return { version: Processing.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Backbone': {\n        id: 'backbone',\n        icon: 'backbone',\n        url: 'http://backbonejs.org/',\n        npm: 'backbone',\n        test: function(win) {\n            if (win.Backbone && win.Backbone.Model.extend) {\n                return {version: win.Backbone.VERSION || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Leaflet': {\n        id: 'leaflet',\n        icon: 'leaflet',\n        url: 'http://leafletjs.com',\n        npm: 'leaflet',\n        test: function(win) {\n            // Leaflet 3.1 uses L.Marker and L.VERSION; later versions use L.marker and L.version\n            if (win.L && win.L.GeoJSON && (win.L.marker || win.L.Marker)) {\n                return { version: win.L.version || win.L.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Mapbox': {\n        id: 'mapbox',\n        icon: 'mapbox',\n        url: 'https://www.mapbox.com/',\n        npm: 'mapbox-gl',\n        test: function(win) {\n            if (win.L && win.L.mapbox && win.L.mapbox.geocoder) {\n                return { version: win.L.mapbox.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Lo-Dash': {\n        id: 'lodash',\n        icon: 'lodash',\n        url: 'https://lodash.com/',\n        npm: 'lodash',\n        test: function(win) {\n            var _ = typeof (_ = win._) == 'function' && _,\n                chain = typeof (chain = _ && _.chain) == 'function' && chain,\n                wrapper = (chain || _ || function() { return {}; })(1);\n\n            if (_ && wrapper.__wrapped__) {\n                return { version: _.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Underscore': {\n        id: 'underscore',\n        icon: 'underscore',\n        url: 'http://underscorejs.org/',\n        npm: 'underscore',\n        test: function(win) {\n            if (win._ && typeof win._.tap === 'function' &&\n                !d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests['Lo-Dash'].test(win)) {\n                return {version: win._.VERSION || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Sammy': {\n        id: 'sammy',\n        icon: 'sammy',\n        url: 'http://sammyjs.org',\n        test: function(win) {\n            if (win.Sammy && win.Sammy.Application.curry) {\n                return {version: win.Sammy.VERSION || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Rico': {\n        id: 'rico',\n        icon: 'rico',\n        url: 'http://openrico.sourceforge.net/examples/index.html',\n        test:  function(win) {\n            if (win.Rico && window.Rico.checkIfComplete) {\n                return {version: win.Rico.Version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'MochiKit': {\n        id: 'mochikit',\n        icon: 'mochikit',\n        url: 'https://mochi.github.io/mochikit/',\n        test: function(win) {\n            if (win.MochiKit && win.MochiKit.Base.module) {\n                return {version: MochiKit.VERSION || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'gRapha&euml;l': {\n        id: 'graphael',\n        icon: 'graphael',\n        url: 'https://github.com/DmitryBaranovskiy/g.raphael',\n        test: function(win) {\n            if (win.Raphael && win.Raphael.fn.g) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Glow': {\n        id: 'glow',\n        icon: 'glow',\n        url: 'http://www.bbc.co.uk/glow/',\n        test: function(win) {\n            if (win.gloader && win.gloader.getRequests) {\n                return {version: UNKNOWN_VERSION};\n            }\n            else if (win.glow && win.glow.dom) {\n                return {version: win.glow.VERSION || UNKNOWN_VERSION};\n            }\n            else if (win.Glow) {\n                return {version: win.Glow.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Socket.IO': {\n        id: 'socketio',\n        icon: 'socketio', // currently has no icon\n        url: 'https://socket.io/',\n        npm: 'socket.io',\n        test: function(win) {\n            // version 0.6.2 uses only io.Socket; more recent versions also have io.sockets\n            if (win.io && (win.io.sockets || win.io.Socket)) {\n                return {version: win.io.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Mustache': {\n        id: 'mustache',\n        icon: 'mustache',\n        url: 'http://mustache.github.io/',\n        npm: 'mustache',\n        test: function(win) {\n            if (win.Mustache && win.Mustache.to_html) {\n                return {version: win.Mustache.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Fabric.js': {\n        id: 'fabricjs',\n        icon: 'icon38', // currently has no icon\n        url: 'http://fabricjs.com/',\n        npm: 'fabric',\n        test: function(win) {\n            if (win.fabric && win.fabric.util) {\n                return {version: win.fabric.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'FuseJS': {\n        id: 'fusejs',\n        icon: 'fusejs',\n        url: 'http://fusejs.io/',\n        npm: 'fuse.js',\n        test: function(win) {\n            if (win.Fuse) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Tween.js': {\n        id: 'tweenjs',\n        icon: 'icon38', // currently has no icon\n        url: 'https://github.com/tweenjs/tween.js',\n        npm: 'tween.js',\n        test: function(win) {\n            if (win.TWEEN && win.TWEEN.Easing) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'SproutCore': {\n       id: 'sproutcore',\n       icon: 'sproutcore',\n       url: 'http://sproutcore.com/',\n       test: function(win) {\n           if (win.SC && win.SC.Application) {\n               return {version: UNKNOWN_VERSION};\n           }\n           return false;\n       }\n    },\n\n    'Zepto.js': {\n       id: 'zepto',\n       icon: 'zepto',\n       url: 'http://zeptojs.com',\n       npm: 'zepto',\n       test: function(win) {\n           if (win.Zepto && win.Zepto.fn) {\n               return {version: UNKNOWN_VERSION};\n           }\n           return false;\n       }\n    },\n\n    'three.js': {\n       id: 'threejs',\n       icon: 'icon38', // currently has no icon\n       url: 'https://threejs.org/',\n       npm: 'three',\n       test: function(win) {\n           if (win.THREE && win.THREE.REVISION) {\n               return {version: 'r' + win.THREE.REVISION};\n           }\n           else if (win.THREE) {\n               return {version: UNKNOWN_VERSION};\n           }\n           return false;\n       }\n    },\n\n    'PhiloGL': {\n       id: 'philogl',\n       icon: 'philogl',\n       url: 'http://www.senchalabs.org/philogl/',\n       npm: 'philogl',\n       test: function(win) {\n           if (win.PhiloGL && win.PhiloGL.Camera) {\n               return {version: win.PhiloGL.version || UNKNOWN_VERSION};\n           }\n           return false;\n       }\n    },\n\n    'CamanJS': {\n        id: 'camanjs',\n        icon: 'camanjs',\n        url: 'http://camanjs.com/',\n        npm: 'caman',\n        test: function(win) {\n            if (win.Caman && win.Caman.version) {\n                return {version: win.Caman.version.release};\n            }\n            else if (win.Caman) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'yepnope': {\n        id: 'yepnope',\n        icon: 'yepnope',\n        url: 'http://yepnopejs.com/',\n        test: function(win) {\n            if (win.yepnope && win.yepnope.injectJs) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'LABjs': {\n        id: 'labjs',\n        icon: 'icon38',\n        url: 'https://github.com/getify/LABjs',\n        test: function(win) {\n            if (win.$LAB && win.$LAB.setOptions) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'Head JS': {\n        id: 'headjs',\n        icon: 'headjs',\n        url: 'http://headjs.com/',\n        npm: 'headjs',\n        test: function(win) {\n            if (win.head && win.head.js) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'ControlJS': {\n        id: 'controljs',\n        icon: 'icon38',\n        url: 'http://stevesouders.com/controljs/',\n        test: function(win) {\n            if (win.CJS && win.CJS.start) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'RequireJS': {\n        id: 'requirejs',\n        icon: 'requirejs',\n        url: 'http://requirejs.org/',\n        npm: 'requirejs',\n        test: function(win) {\n            var req = win.require || win.requirejs;\n            if (req && (req.load || (req.s && req.s.contexts && req.s.contexts._ && (req.s.contexts._.loaded || req.s.contexts._.load)))) {\n                return { version: req.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'RightJS': {\n        id: 'rightjs',\n        icon: 'rightjs',\n        url: 'http://rightjs.org/',\n        test: function(win) {\n            if (win.RightJS && win.RightJS.isNode) {\n                return { version: win.RightJS.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'jQuery Tools': {\n       id: 'jquerytools',\n       icon: 'jquerytools',\n       url: 'http://jquerytools.github.io/',\n       test: function(win) {\n            var jq = win.jQuery || win.$;\n            if(jq && jq.tools) {\n               return { version: jq.tools.version || UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'Pusher': {\n       id: 'pusher',\n       icon: 'pusher',\n       url: 'https://pusher.com/docs/',\n       npm: 'pusher-js',\n       test: function(win) {\n            if(win.Pusher && win.Pusher.Channel) {\n               return { version: win.Pusher.VERSION || UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'Paper.js': {\n       id: 'paperjs',\n       icon: 'paperjs',\n       url: 'http://paperjs.org/',\n       npm: 'paper',\n       test: function(win) {\n            if(win.paper && win.paper.Point) {\n               return { version: win.paper.version || UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'Swiffy': {\n       id: 'swiffy',\n       icon: 'icon38',\n       url: 'https://developers.google.com/swiffy/',\n       test: function(win) {\n            if(win.swiffy && win.swiffy.Stage) {\n               return { version: UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'Move': {\n       id: 'move',\n       icon: 'move',\n       url: 'https://github.com/rsms/move',\n       npm: 'move',\n       test: function(win) {\n            if(win.move && win.move.compile) {\n               return { version: win.move.version() || UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'AmplifyJS': {\n       id: 'amplifyjs',\n       icon: 'amplifyjs',\n       url: 'http://amplifyjs.com/',\n       npm: 'amplifyjs',\n       test: function(win) {\n            if(win.amplify && win.amplify.publish) {\n               return { version: UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'Popcorn.js': {\n       id: 'popcornjs',\n       icon: 'popcornjs',\n       url: 'https://github.com/mozilla/popcorn-js/',\n       test: function(win) {\n            if (win.Popcorn && win.Popcorn.Events) {\n               return { version: win.Popcorn.version || UNKNOWN_VERSION };\n           }\n           return false;\n       }\n    },\n\n    'D3': {\n        id: 'd3',\n        icon: 'd3',\n        url: 'https://d3js.org/',\n        npm: 'd3',\n        test: function(win) {\n            if (win.d3 && win.d3.select) {\n                return { version: win.d3.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Handlebars': {\n        id: 'handlebars',\n        icon: 'handlebars',\n        url: 'http://handlebarsjs.com/',\n        npm: 'handlebars',\n        test: function(win) {\n            if(win.Handlebars && win.Handlebars.compile) {\n                return { version: win.Handlebars.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Knockout': {\n        id: 'knockout',\n        icon: 'knockout',\n        url: 'http://knockoutjs.com/',\n        npm: 'knockout',\n        test: function(win) {\n            if (win.ko && win.ko.applyBindings) {\n                return { version: win.ko.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Spine': {\n        id: 'spine',\n        icon: 'icon38',\n        url: 'http://spine.github.io/',\n        test: function(win) {\n            if (win.Spine && win.Spine.Controller) {\n                return {version: win.Spine.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n\n    'jQuery Mobile': {\n        id: 'jquery-mobile',\n        icon: 'jquery_mobile',\n        url: 'http://jquerymobile.com/',\n        npm: 'jquery-mobile',\n        test: function(win) {\n            var jq = win.jQuery || win.$ || win.$jq || win.$j;\n            if(jq && jq.fn && jq.fn.jquery && jq.mobile) {\n                return { version: jq.mobile.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'WebFont Loader': {\n        id: 'webfontloader',\n        icon: 'icon38',\n        url: 'https://github.com/typekit/webfontloader',\n        npm: 'webfontloader',\n        test: function(win) {\n            if(win.WebFont && win.WebFont.load) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Angular': {\n        id: 'angular',\n        icon: 'angular',\n        url: 'https://angular.io/',\n        npm: '@angular/core',\n        test: function(win) {\n            var ngVersion = win.document.querySelector('[ng-version]');\n            if (ngVersion) {\n                return { version: ngVersion.getAttribute('ng-version') || UNKNOWN_VERSION };\n            }\n            else if (win.ng && win.ng.probe instanceof Function) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'AngularJS': {\n        id: 'angularjs',\n        icon: 'angularjs',\n        url: 'https://angularjs.org/',\n        npm: 'angular',\n        test: function(win) {\n            var ng = win.angular;\n            if(ng && ng.version && ng.version.full) {\n                return { version: ng.version.full };\n            }\n            else if (ng) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Ember.js': {\n        id: 'emberjs',\n        icon: 'emberjs',\n        url: 'https://emberjs.com/',\n        npm: 'ember-source',\n        test: function(win) {\n            var ember = win.Ember || win.Em;\n            if (ember && ember.GUID_KEY) {\n                return { version: ember.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Hammer.js': {\n        id: 'hammerjs',\n        icon: 'hammerjs',\n        url: 'http://eightmedia.github.io/hammer.js/',\n        npm: 'hammerjs',\n        test: function(win) {\n            if(win.Hammer && win.Hammer.Pinch) {\n                // Hammer.VERSION available in 1.0.10+\n                return { version: win.Hammer.VERSION || \"&lt; 1.0.10\" };\n            }\n            return false;\n        }\n    },\n\n    'Visibility.js': {\n        id: 'visibilityjs',\n        icon: 'icon38',\n        url: 'https://github.com/ai/visibilityjs',\n        npm: 'visibilityjs',\n        test: function(win) {\n            if(win.Visibility && win.Visibility.every) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'Velocity.js': {\n        id: 'velocityjs',\n        icon: 'icon38',\n        url: 'http://velocityjs.org/',\n        npm: 'velocity-animate',\n        test: function(win) {\n            var jq = win.jQuery || win.$,\n                velocity = jq ? jq.Velocity : win.Velocity;\n\n            if(velocity && velocity.RegisterEffect && velocity.version) {\n                return {\n                    version:\n                        velocity.version.major + \".\" +\n                        velocity.version.minor + \".\" +\n                        velocity.version.patch\n                };\n            }\n            else if (velocity && velocity.RegisterEffect) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n\n    'IfVisible.js': {\n        id: 'ifvisiblejs',\n        icon: 'icon38',\n        url: 'http://serkanyersen.github.io/ifvisible.js/',\n        npm: 'ifvisible.js',\n        test: function(win) {\n            var iv = win.ifvisible;\n            if(iv && iv.__ceGUID === \"ifvisible.object.event.identifier\") {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Pixi.js': {\n        id: 'pixi',\n        icon: 'pixi',\n        url: 'http://www.pixijs.com/',\n        npm: 'pixi.js',\n        test: function(win) {\n            var px = win.PIXI;\n            if(px && px.WebGLRenderer && px.VERSION) {\n                // version 4.4.3 returns simply \"4.4.3\"; version 1.5.2 returns \"v1.5.2\"\n                return { version: px.VERSION.replace('v', '') || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'DC.js': {\n        id: 'dcjs',\n        icon: 'dcjs',\n        url: 'http://dc-js.github.io/dc.js/',\n        npm: 'dc',\n        test: function(win) {\n            var dc = win.dc;\n            if(dc && dc.registerChart) {\n                return { version: dc.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'GreenSock JS': {\n        id: 'greensock',\n        icon: 'greensock',\n        url: 'https://greensock.com/gsap',\n        npm: 'gsap',\n        test: function(win) {\n            if (win.TweenMax && win.TweenMax.pauseAll) {\n                return { version: win.TweenMax.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'FastClick': {\n        id: 'fastclick',\n        icon: 'fastclick',\n        url: 'https://github.com/ftlabs/fastclick',\n        npm: 'fastclick',\n        test: function(win) {\n            if(win.FastClick && win.FastClick.notNeeded) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Isotope': {\n        id: 'isotope',\n        icon: 'isotope',\n        url: 'https://isotope.metafizzy.co/',\n        npm: 'isotope-layout',\n        test: function(win) {\n            if(win.Isotope || (win.$ != null && win.$.Isotope)) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Marionette': {\n        id: 'marionette',\n        icon: 'marionette',\n        url: 'https://marionettejs.com/',\n        npm: 'backbone.marionette',\n        test: function(win) {\n            if(win.Marionette && win.Marionette.Application) {\n                return { version: win.Marionette.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Can': {\n        id: 'canjs',\n        icon: 'canjs',\n        url: 'https://canjs.com/',\n        npm: 'can',\n        test: function (win) {\n            if (win.can && win.can.Construct) {\n                return { version: win.can.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Vue': {\n        id: 'vue',\n        icon: 'vue',\n        url: 'https://vuejs.org/',\n        npm: 'vue',\n        test: function(win) {\n            function isVueNode(node) {\n                return node.__vue__ != null ? NodeFilter.FILTER_ACCEPT : NodeFilter.FILTER_SKIP;\n            }\n            var hasVueNode = document.createTreeWalker(document.body, NodeFilter.SHOW_ELEMENT, isVueNode).nextNode() !== null;\n            if (hasVueNode || win.Vue) {\n                return { version: win.Vue && win.Vue.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Vue (Fast path)': {\n        id: 'vue-fast',\n        icon: 'vue',\n        url: 'https://vuejs.org/',\n        npm: 'vue',\n        test: function (win) {\n            if (win.Vue) {\n                return { version: win.Vue && win.Vue.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Nuxt.js': {\n        id: 'nuxt',\n        icon: 'nuxt',\n        url: 'https://nuxtjs.org/',\n        npm: 'nuxt',\n        test: function(win) {\n            if ((win.__NUXT__ && win.__NUXT__.data != null) || win.$nuxt) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Nuxt.js (Fast path)': {\n        id: 'nuxt-fast',\n        icon: 'nuxt',\n        url: 'https://nuxtjs.org/',\n        npm: 'nuxt',\n        test: function (win) {\n            if (win.__NUXT__  || win.$nuxt) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Two': {\n        id: 'two',\n        icon: 'two',\n        url: 'https://two.js.org/',\n        npm: 'two.js',\n        test: function(win) {\n            if (win.Two && win.Two.Utils) {\n                return { version: win.Two.Version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Brewser': {\n        id: 'brewser',\n        icon: 'brewser',\n        url: 'https://robertpataki.github.io/brewser/',\n        npm: 'brewser',\n        test: function(win) {\n            if(win.BREWSER && win.BREWSER.ua) {\n                return { version: BREWSER.VERSION || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Material Design Lite': {\n        id: 'materialdesignlite',\n        icon: 'mdl',\n        url: 'https://getmdl.io/',\n        npm: 'material-design-lite',\n        test: function(win) {\n            if(win.componentHandler && win.componentHandler.upgradeElement) {\n                return { version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n    'Kendo UI': {\n        id: 'kendoui',\n        icon: 'kendoui',\n        url: 'https://github.com/telerik/kendo-ui-core',\n        npm: 'kendo-ui-core',\n        test: function(win) {\n            if (win.kendo && win.kendo.View && win.kendo.View.extend) {\n                return {version: win.kendo.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n    'Matter.js': {\n        id: 'matterjs',\n        icon: 'matter-js',\n        url: 'http://brm.io/matter-js/',\n        npm: 'matter-js',\n        test: function(win) {\n            if (win.Matter && win.Matter.Engine) {\n                return {version: UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n    'Riot': {\n        id: 'riot',\n        icon: 'riot',\n        url: 'http://riotjs.com/',\n        npm: 'riot',\n        test: function(win) {\n            if (win.riot && win.riot.mixin) {\n                return { version: win.riot.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Sea.js': {\n        id: 'seajs',\n        icon: 'icon38',\n        url: 'https://seajs.github.io/seajs/docs/',\n        npm: 'seajs',\n        test: function(win) {\n            if(win.seajs && win.seajs.use) {\n                return { version: win.seajs.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Moment.js': {\n        id: 'momentjs',\n        icon: 'momentjs',\n        url: 'http://momentjs.com/',\n        npm: 'moment',\n        test: function(win) {\n            if(win.moment && (win.moment.isMoment || win.moment.lang)) {\n                // version 1.0.0 has neither \"isMoment\" nor \"version\"\n                return { version: win.moment.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Moment Timezone': {\n        id: 'moment-timezone',\n        icon: 'momentjs',\n        url: 'http://momentjs.com/timezone/',\n        npm: 'moment-timezone',\n        test: function(win) {\n            if (win.moment && win.moment.tz) {\n                return { version: win.moment.tz.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'ScrollMagic': {\n        id: 'scrollmagic',\n        icon: 'scrollmagic',\n        url: 'http://scrollmagic.io/',\n        npm: 'scrollmagic',\n        test: function(win) {\n            if (win.ScrollMagic && win.ScrollMagic.Controller) {\n                return {version: ScrollMagic.version || UNKNOWN_VERSION};\n            }\n            return false;\n        }\n    },\n    'SWFObject': {\n        id: 'swfobject',\n        icon: 'icon38', // currently has no icon\n        url: 'https://github.com/swfobject/swfobject',\n        test: function(win) {\n            if (win.swfobject && win.swfobject.embedSWF) {\n                // 2.x - exact version only for 2.3\n                return { version: win.swfobject.version || UNKNOWN_VERSION };\n            } else if(win.deconcept && win.deconcept.SWFObject) {\n                // 1.x\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'FlexSlider': {\n        id: 'flexslider',\n        icon: 'icon38', // currently has no icon\n        url: 'https://woocommerce.com/flexslider/',\n        npm: 'flexslider',\n        test: function(win) {\n            var jq = win.jQuery || win.$ || win.$jq || win.$j;\n            if (jq && jq.fn && jq.fn.jquery && jq.flexslider){\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'SPF': {\n        id: 'spf',\n        icon: 'icon38', // currently has no icon\n        url: 'https://youtube.github.io/spfjs/',\n        npm: 'spf',\n        test: function(win) {\n            if (win.spf && win.spf.init) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Numeral.js': {\n        id: 'numeraljs',\n        icon: 'icon38', // currently has no icon\n        url: 'http://numeraljs.com/',\n        npm: 'numeraljs',\n        test: function(win) {\n            if (win.numeral && win.isNumeral) {\n                return { version: win.numeral.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'boomerang.js': {\n        id: 'boomerangjs',\n        icon: 'icon38', // currently has no icon\n        url: 'https://soasta.github.io/boomerang/',\n        npm: 'boomerangjs',\n        test: function(win) {\n            if (win.BOOMR && win.BOOMR.utils && win.BOOMR.init) {\n                return { version: win.BOOMR.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Framer': {\n        id: 'framer',\n        icon: 'framer',\n        url: 'https://framer.com/',\n        npm: 'framerjs',\n        test: function(win) {\n            if (win.Framer && win.Framer.Layer) {\n                return { version: win.Framer.Version.build || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Marko': {\n        id: 'marko',\n        icon: 'marko',\n        url: 'https://markojs.com/',\n        npm: 'marko',\n        test: function (win) {\n            var selector = '[data-marko-key], [data-marko]';\n            var markoElement = document.querySelector(selector);\n            if (markoElement) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'AMP': {\n        id: 'amp',\n        icon: 'amp',\n        url: 'https://amp.dev/',\n        npm: 'https://www.npmjs.com/org/ampproject',\n        test: function (win) {\n            var version = win.document.documentElement.getAttribute(\"amp-version\");\n            return version ? { version: version } : false;\n        }\n    },\n    'Gatsby': {\n        id: 'gatsby',\n        icon: 'gatsby',\n        url: 'https://www.gatsbyjs.org/',\n        npm: 'gatsby',\n        test: function (win) {\n            if (document.getElementById('___gatsby')) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Shopify': {\n        id: 'shopify',\n        icon: 'shopify',\n        url: 'https://www.shopify.com/',\n        npm: null,\n        test: function (win) {\n            if (win.Shopify && win.Shopify.shop) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Magento': {\n        id: 'magento',\n        icon: 'magento',\n        url: 'https://magento.com/',\n        npm: null,\n        test: function (win) {\n            // Same detecton used in Magento 2 DevTools: https://github.com/magento/m2-devtools\n            const reRequireScript = /\\/static(?:\\/version\\d+)?\\/frontend\\/.+\\/.+\\/requirejs\\/require(?:\\.min)?\\.js/;\n            const scripts = Array.from(document.querySelectorAll('script[src]') || []);\n            if (scripts.some(s => reRequireScript.test(s.src))) {\n                return { version: 2 }; // Magento 1 is no longer supported and this only verifies version 2\n            }\n            \n            return false;\n        }\n    },\n    'WordPress': {\n        id: 'wordpress',\n        icon: 'wordpress',\n        url: 'https://wordpress.org/',\n        npm: null,\n        test: function (win) {\n            const hasAPILinkElem = !!document.querySelector('link[rel=\"https://api.w.org/\"]');\n            const hasWPIncludes = !!document.querySelectorAll('link[href*=\"wp-includes\"], script[src*=\"wp-includes\"]').length;\n\n            if (!hasAPILinkElem && !hasWPIncludes) return false;\n\n            const generatorMeta = document.querySelector('meta[name=generator][content^=\"WordPress\"]');\n            const version = generatorMeta ? generatorMeta.getAttribute(\"content\").replace(/^\\w+\\s/,'') : UNKNOWN_VERSION;\n            return { version };\n        }\n    },\n    'Wix': {\n        id: 'wix',\n        icon: 'wix',\n        url: 'https://www.wix.com/',\n        npm: null,\n        test: function (win) {\n            if (win.wixBiSession) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Workbox': {\n      id: 'workbox',\n      icon: 'workbox',\n      url: 'https://developers.google.com/web/tools/workbox/',\n      npm: 'workbox-sw',\n      test: async function (win) {\n        var nav = win.navigator;\n        // Service Workers not supported\n        if (!('serviceWorker' in nav)) {\n          return false;\n        }\n\n        const {timeoutPromise, clearTimeout} = _createTimeoutHelper();\n\n        const workerPromise = nav.serviceWorker.getRegistration()\n        .then(function(registration) {\n          var scriptURL = nav.serviceWorker.controller ? nav.serviceWorker.controller.scriptURL :\n            registration.active.scriptURL;\n          return fetch(scriptURL, { credentials: 'include',\n            headers: { 'service-worker': 'script' }\n          })\n          .then(function(response) {\n            return response.text();\n          })\n          .then(function(scriptContent) {\n            var workboxRegExp = /new Workbox|new workbox|workbox\\.precaching\\.|workbox\\.strategies/gm;\n            if (workboxRegExp.test(scriptContent)) {\n              // Adapted from\n              // https://github.com/semver/semver/issues/232#issue-48635632\n              var semVerRegExp = /workbox.*?\\b((0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(-(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(\\.(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*)?(\\+[0-9a-zA-Z-]+(\\.[0-9a-zA-Z-]+)*)?)\\b/gim;\n              var matches = semVerRegExp.exec(scriptContent);\n              var version = UNKNOWN_VERSION;\n              if (Array.isArray(matches) && matches.length > 1 && matches[1]) {\n                version = matches[1];\n              }\n              return { version: version };\n            }\n            return false;\n          });\n        });\n        \n        return Promise.race([workerPromise, timeoutPromise]).catch(function(exception) {\n          return false;\n        }).finally(result => {\n          clearTimeout();\n          return result;\n        });\n      }\n    },\n    'Boq': {\n        id: 'boq',\n        icon: 'icon38',\n        url: 'https://github.com/johnmichel/Library-Detector-for-Chrome/pull/143',\n        npm: null,\n        test: function (win) {\n            if (win.WIZ_global_data) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Wiz': {\n        id: 'wiz',\n        icon: 'icon38',\n        url: 'https://github.com/johnmichel/Library-Detector-for-Chrome/pull/147',\n        npm: null,\n        test: function (win) {\n            if (document.__wizdispatcher) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'core-js': {\n        id: 'corejs',\n        icon: 'icon38',\n        url: 'https://github.com/zloirock/core-js',\n        npm: 'core-js',\n        test: function (win) {\n            const shared = win['__core-js_shared__'];\n            const core = win.core;\n            if (shared) {\n                const versions = shared.versions;\n                return { version: Array.isArray(versions) ? versions.map(it => `core-js-${ it.mode }@${ it.version }`).join('; ') : UNKNOWN_VERSION };\n            } else if (core) {\n                return { version: core.version || UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'Drupal': {\n        id: 'drupal',\n        icon: 'drupal',\n        url: 'https://www.drupal.org/',\n        npm: null,\n        test: function (win) {\n            const generatorMeta = document.querySelector('meta[name=\"generator\"][content^=\"Drupal\"]');\n            const version = generatorMeta ? generatorMeta.getAttribute(\"content\").replace(/\\D+/gi,'') : UNKNOWN_VERSION;\n\n            // Detect Drupal resources patterns\n            const resDrupal = /\\/sites\\/(?:default|all)\\/(?:themes|modules|files)/;\n            const res = Array.from(document.querySelectorAll('link,style,script') || []);\n\n            if (res.some(s => resDrupal.test(s.src)) || res.some(s => resDrupal.test(s.href)) ||\n                generatorMeta || (win.Drupal && win.Drupal.behaviors)) {\n                return { version };\n            }\n\n            return false;\n        }\n    },\n    'TYPO3': {\n        id: 'typo3',\n        icon: 'typo3',\n        url: 'https://typo3.org/',\n        npm: null,\n        test: function (win) {\n            const generatorMeta = document.querySelector('meta[name=\"generator\"][content^=\"TYPO3\"]');\n\n            // TYPO3 resource patterns / paths - search in link, style or script tags\n            const resourcesTYPO3 = /\\/(typo3conf|typo3temp|fileadmin)/;\n            const res = Array.from(document.querySelectorAll('link,style,script') || []);\n\n            if (generatorMeta || res.some(s => resourcesTYPO3.test(s.src)) || res.some(s => resourcesTYPO3.test(s.href))) {\n\t\t        // No version exposure available in TYPO3 due to information disclosure\n                return { version: UNKNOWN_VERSION };\n            }\n\n            return false;\n        }\n    },\n    'Create React App': {\n        id: 'create-react-app',\n        icon: 'cra',\n        url: 'https://create-react-app.dev/',\n        npm: 'react-scripts',\n        test: function (win) {\n            let child = win.document.body.firstElementChild;\n            let noscript, root;\n            \n            do {\n                if (child.localName === 'noscript') noscript = child;\n                else if (child.id === 'root') root = child;\n            } while (child = child.nextElementSibling);\n            \n            if (root && noscript && /You need to enable JavaScript to run this app/.test(noscript.textContent)) {\n                return { version: UNKNOWN_VERSION };\n            }\n\n            return false;\n        }\n    },\n    'Guess.js': {\n        id: 'guessjs',\n        icon: 'guessjs',\n        url: 'https://guess-js.github.io/',\n        test: function (win) {\n            if (win.__GUESS__ && win.__GUESS__.guess) {\n                return { version: UNKNOWN_VERSION };\n            }\n            return false;\n        }\n    },\n    'October CMS': {\n        id: 'octobercms',\n        icon: 'octobercms',\n        url: 'https://octobercms.com/',\n        npm: null,\n        test: function (win) {\n            const generatorMeta1 = document.querySelector('meta[name=\"generator\"][content^=\"OctoberCMS\"]');\n            const generatorMeta2 = document.querySelector('meta[name=\"generator\"][content^=\"October CMS\"]');\n            \n            // October CMS resource patterns / paths - search in link, style or script tags\n            const resourcesOctober = /\\/modules\\/system\\/assets\\/(css|js)\\/framework(\\.extras|\\.combined)?(-min)?/;\n            const res = Array.from(document.querySelectorAll('link,style,script') || []);\n\n            if (generatorMeta1 || generatorMeta2 || res.some(s => resourcesOctober.test(s.src || s.href))) {\n                // No version exposure available in October CMS due to information disclosure\n                return { version: UNKNOWN_VERSION };\n            }\n\n            return false;\n        }\n    },\n    'Joomla': {\n        id: 'joomla',\n        icon: 'joomla',\n        url: 'https://www.joomla.org/',\n        npm: null,\n        test: function (win) {\n            // You can disable the generator tag as well as the version from the backend\n            const generatorMeta = document.querySelector('meta[name=generator][content^=\"Joomla\"]');\n            // This is the path to the joomla core bootstrap but sites are not required to load that file but could also load a different version\n            const hasJoomlaBootstrap = !!document.querySelectorAll('script[src*=\"/media/jui/js/bootstrap.min.js\"]').length;\n            \n            if (generatorMeta) {\n                return { version: generatorMeta.getAttribute(\"content\").replace(/^\\w+\\s/,'') };\n            } else if (win.Joomla || hasJoomlaBootstrap) {\n                return { version: UNKNOWN_VERSION };\n            }\n            \n            return false;\n        }\n    }\n};\n"]
})).map((e=>({detector:"js",id:e.id,name:e.name,version:"number"==typeof e.version?String(e.version):e.version||void 0,npm:e.npm||void 0})));return i.timeEnd(s),t}async snapshot(e){return Stacks.collectStacks(e.driver.executionContext)}}s.exports=Stacks},{"../../fraggle-rock/gather/base-gatherer.js":62,"lighthouse-logger":237}],"../gather/gatherers/trace-compat":[function(e,s,t){"use strict";const i=e("./trace.js"),a=e("../../fraggle-rock/gather/base-gatherer.js");s.exports=class TraceCompat extends a{meta={supportedModes:["timespan","navigation"],dependencies:{Trace:i.symbol}};async getArtifact(e){return{defaultPass:e.dependencies.Trace}}}},{"../../fraggle-rock/gather/base-gatherer.js":62,"./trace.js":"../gather/gatherers/trace"}],"../gather/gatherers/trace-elements":[function(e,s,t){"use strict"
;const i=e("../../fraggle-rock/gather/base-gatherer.js"),{resolveNodeIdToObjectId:a}=e("../driver/dom.js"),n=e("../../lib/page-functions.js"),l=e("../../lib/rect-helpers.js"),u=e("../../lib/sentry.js"),c=e("./trace.js"),d=e("../../computed/processed-trace.js"),m=e("../../computed/processed-navigation.js"),g=e("../../lib/lh-error.js");function getNodeDetailsData(){const e=this.nodeType===document.ELEMENT_NODE?this:this.parentElement;let s;return e&&(s={node:getNodeDetails(e)}),s}class TraceElements extends i{meta={supportedModes:["timespan","navigation"],dependencies:{Trace:c.symbol}};animationIdToName=new Map;constructor(){super(),this._onAnimationStarted=this._onAnimationStarted.bind(this)}_onAnimationStarted({animation:{id:e,name:s}}){s&&this.animationIdToName.set(e,s)}static getNodeIDFromTraceEvent(e){return e&&e.args&&e.args.data&&e.args.data.nodeId}static getAnimationIDFromTraceEvent(e){return e&&e.args&&e.args.data&&e.args.data.id}static getFailureReasonsFromTraceEvent(e){
return e&&e.args&&e.args.data&&e.args.data.compositeFailed}static getUnsupportedPropertiesFromTraceEvent(e){return e&&e.args&&e.args.data&&e.args.data.unsupportedProperties}static traceRectToLHRect(e){const s={x:e[0],y:e[1],width:e[2],height:e[3]};return l.addRectTopAndBottom(s)}static getTopLayoutShiftElements(e){const s=new Map,t=e.filter((e=>"LayoutShift"===e.name)).map((e=>e.args&&e.args.data)),i=t.findIndex((e=>e&&!e.had_recent_input));t.forEach(((e,t)=>{if(!e||!e.impacted_nodes||!e.score)return;if(-1!==i&&t>=i&&e.had_recent_input)return;let a=0;const n=new Map;e.impacted_nodes.forEach((e=>{if(!e.node_id||!e.old_rect||!e.new_rect)return;const s=TraceElements.traceRectToLHRect(e.old_rect),t=TraceElements.traceRectToLHRect(e.new_rect),i=l.getRectArea(s)+l.getRectArea(t)-l.getRectOverlapArea(s,t);n.set(e.node_id,i),a+=i}));for(const[t,i]of n.entries()){let n=s.get(t)||0;n+=i/a*e.score,s.set(t,n)}}));return[...s.entries()].sort(((e,s)=>s[1]-e[1])).slice(0,5).map((([e,s])=>({nodeId:e,
score:s})))}async getAnimatedElements(e){const s=new Map;for(const t of e){if("Animation"!==t.name)continue;if(!t.id2||!t.id2.local)continue;const e=t.id2.local,i=s.get(e)||{begin:void 0,status:void 0};"b"===t.ph?i.begin=t:"n"===t.ph&&t.args.data&&void 0!==t.args.data.compositeFailed&&(i.status=t),s.set(e,i)}const t=new Map;for(const{begin:e,status:i}of s.values()){const s=TraceElements.getNodeIDFromTraceEvent(e),a=TraceElements.getAnimationIDFromTraceEvent(e),n=TraceElements.getFailureReasonsFromTraceEvent(i),l=TraceElements.getUnsupportedPropertiesFromTraceEvent(i);if(!s||!a)continue;const u=t.get(s)||new Set;u.add({animationId:a,failureReasonsMask:n,unsupportedProperties:l}),t.set(s,u)}const i=[];for(const[e,s]of t){const t=[];for(const{animationId:e,failureReasonsMask:i,unsupportedProperties:a}of s){const s=this.animationIdToName.get(e);t.push({name:s,failureReasonsMask:i,unsupportedProperties:a})}i.push({nodeId:e,animations:t})}return i}async startInstrumentation(e){
await e.driver.defaultSession.sendCommand("Animation.enable"),e.driver.defaultSession.on("Animation.animationStarted",this._onAnimationStarted)}async stopInstrumentation(e){e.driver.defaultSession.off("Animation.animationStarted",this._onAnimationStarted),await e.driver.defaultSession.sendCommand("Animation.disable")}async _getArtifact(e,s){const t=e.driver.defaultSession;if(!s)throw new Error("Trace is missing!");const i=await d.request(s,e),{largestContentfulPaintEvt:l}=await m.request(i,e).catch((s=>{if("timespan"===e.gatherMode&&s.code===g.errors.NO_FCP.code)return{largestContentfulPaintEvt:void 0};throw s})),{mainThreadEvents:c}=i,h=TraceElements.getNodeIDFromTraceEvent(l),p=TraceElements.getTopLayoutShiftElements(c),b=await this.getAnimatedElements(c),f=new Map([["largest-contentful-paint",h?[{nodeId:h}]:[]],["layout-shift",p],["animation",b]]),v=[];for(const[e,s]of f)for(let i=0;i<s.length;i++){const l=s[i].nodeId;let c;try{const e=await a(t,l);if(!e)continue
;c=await t.sendCommand("Runtime.callFunctionOn",{objectId:e,functionDeclaration:`function () {\n              ${getNodeDetailsData.toString()};\n              ${n.getNodeDetailsString};\n              return getNodeDetailsData.call(this);\n            }`,returnByValue:!0,awaitPromise:!0})}catch(e){u.captureException(e,{tags:{gatherer:this.name},level:"error"});continue}c&&c.result&&c.result.value&&v.push({traceEventType:e,...c.result.value,score:s[i].score,animations:s[i].animations,nodeId:l})}return v}async getArtifact(e){return this._getArtifact(e,e.dependencies.Trace)}async afterPass(e,s){const t={...e,dependencies:{}};return await this.stopInstrumentation(t),this._getArtifact(t,s.trace)}}s.exports=TraceElements},{"../../computed/processed-navigation.js":42,"../../computed/processed-trace.js":43,"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/lh-error.js":152,"../../lib/page-functions.js":159,"../../lib/rect-helpers.js":161,"../../lib/sentry.js":162,"../driver/dom.js":66,
"./trace.js":"../gather/gatherers/trace"}],"../gather/gatherers/trace":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js"),a=e("../../lib/tracehouse/trace-processor.js");class Trace extends i{_trace={traceEvents:[]};static getDefaultTraceCategories(){return["-*","disabled-by-default-lighthouse","loading","v8","v8.execute","blink.user_timing","blink.console","devtools.timeline","disabled-by-default-devtools.timeline","disabled-by-default-devtools.screenshot","disabled-by-default-devtools.timeline.stack","disabled-by-default-devtools.timeline.frame","disabled-by-default-v8.cpu_profiler","disabled-by-default-v8.cpu_profiler.hires","latencyInfo"]}static async endTraceAndCollectEvents(e){const s=[],dataListener=function(e){s.push(...e.value)};return e.on("Tracing.dataCollected",dataListener),new Promise(((t,i)=>{e.once("Tracing.tracingComplete",(i=>{e.off("Tracing.dataCollected",dataListener),t({traceEvents:s})})),e.sendCommand("Tracing.end").catch(i)}))}
static symbol=Symbol("Trace");meta={symbol:Trace.symbol,supportedModes:["timespan","navigation"]};async startSensitiveInstrumentation({driver:e,gatherMode:s}){await e.defaultSession.sendCommand("Page.enable"),await e.defaultSession.sendCommand("Tracing.start",{categories:Trace.getDefaultTraceCategories().join(","),options:"sampling-frequency=10000"}),"timespan"===s&&await e.defaultSession.sendCommand("Tracing.recordClockSyncMarker",{syncId:a.TIMESPAN_MARKER_ID})}async stopSensitiveInstrumentation({driver:e}){this._trace=await Trace.endTraceAndCollectEvents(e.defaultSession)}getArtifact(){return this._trace}}s.exports=Trace},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/tracehouse/trace-processor.js":169}],"../gather/gatherers/viewport-dimensions":[function(e,s,t){"use strict";const i=e("../../fraggle-rock/gather/base-gatherer.js");function getViewportDimensions(){return{innerWidth:window.innerWidth,innerHeight:window.innerHeight,outerWidth:window.outerWidth,
outerHeight:window.outerHeight,devicePixelRatio:window.devicePixelRatio}}s.exports=class ViewportDimensions extends i{meta={supportedModes:["snapshot","timespan","navigation"]};async getArtifact(e){const s=e.driver,t=await s.executionContext.evaluate(getViewportDimensions,{args:[],useIsolation:!0});if(!Object.values(t).every(Number.isFinite)){const e=JSON.stringify(t);throw new Error("ViewportDimensions results were not numeric: "+e)}return t}}},{"../../fraggle-rock/gather/base-gatherer.js":62}],"../gather/gatherers/web-app-manifest":[function(e,s,t){(function(t){(function(){"use strict";const i=e("lighthouse-logger"),a=e("../../lib/manifest-parser.js"),n=e("../../fraggle-rock/gather/base-gatherer.js");class WebAppManifest extends n{meta={supportedModes:["snapshot","navigation"]};static async fetchAppManifest(e){let s;e.setNextProtocolTimeout(1e4);try{s=await e.sendCommand("Page.getAppManifest")}catch(e){
if("PROTOCOL_TIMEOUT"===e.code)return i.error("WebAppManifest","Failed fetching manifest",e),null;throw e}let a=s.data;if(!a)return null;return 65279===a.charCodeAt(0)&&(a=t.from(a).slice(3).toString()),{...s,data:a}}static async getWebAppManifest(e,s){const t={msg:"Get webapp manifest",id:"lh:gather:getWebAppManifest"};i.time(t);const n=await WebAppManifest.fetchAppManifest(e);if(!n)return null;const l=a(n.data,n.url,s);return i.timeEnd(t),l}getArtifact(e){const s=e.driver;return WebAppManifest.getWebAppManifest(s.defaultSession,e.url)}}s.exports=WebAppManifest}).call(this)}).call(this,e("buffer").Buffer)},{"../../fraggle-rock/gather/base-gatherer.js":62,"../../lib/manifest-parser.js":154,buffer:194,"lighthouse-logger":237}],1:[function(e,s,t){(function(t){(function(){"use strict";const i=e("../../lighthouse-core/index.js"),a=e("../../lighthouse-core/lib/lh-error.js"),n=e("../../lighthouse-core/lib/proto-preprocessor.js"),l=e("../../lighthouse-core/lib/asset-saver.js"),u={
mobile:e("../../lighthouse-core/config/lr-mobile-config.js"),desktop:e("../../lighthouse-core/config/lr-desktop-config.js")};async function runLighthouseInLR(e,s,c,d){const{lrDevice:m,categoryIDs:g,logAssets:h,configOverride:p}=d;let b;t.isLightrider=!0,c.disableStorageReset=!0,c.logLevel=c.logLevel||"info",c.channel="lr",p?b=p:(b="desktop"===m?u.desktop:u.mobile,g&&(b.settings=b.settings||{},b.settings.onlyCategories=g));try{const t=await i(s,c,b,e);if(!t)throw new Error("Lighthouse finished without a runnerResult");const a=n.processForProto(t.lhr);if(h){const e=JSON.stringify(t.artifacts,l.stringifyReplacer);return JSON.stringify({...a,artifacts:JSON.parse(e)})}return JSON.stringify(a)}catch(e){let s;return s=e instanceof a&&e.lhrRuntimeError?{code:e.code,message:e.friendlyMessage?`${e.friendlyMessage} (${e.message})`:e.message}:{code:a.UNKNOWN_ERROR,message:`Unknown error encountered with message '${e.message}'`},JSON.stringify({runtimeError:s},null,2)}}
void 0!==s&&s.exports&&(s.exports={runLighthouseInLR}),"undefined"!=typeof window&&(window.runLighthouseInLR=runLighthouseInLR)}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"../../lighthouse-core/config/lr-desktop-config.js":58,"../../lighthouse-core/config/lr-mobile-config.js":59,"../../lighthouse-core/index.js":79,"../../lighthouse-core/lib/asset-saver.js":81,"../../lighthouse-core/lib/lh-error.js":152,"../../lighthouse-core/lib/proto-preprocessor.js":160}],2:[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/i18n/i18n.js"),n={failingElementsHeader:"Failing Elements"},l=a.createMessageInstanceIdFn(t,n);s.exports=class AxeAudit extends i{static audit(e){if((e.Accessibility.notApplicable||[]).find((e=>e.id===this.meta.id)))return{score:null,notApplicable:!0};const s=e.Accessibility.incomplete||[],t=s.find((e=>e.id===this.meta.id));if(t&&t.error)return{
score:null,errorMessage:"axe-core Error: "+(t.error.message||"Unknown error")};const a=this.meta.scoreDisplayMode===i.SCORING_MODES.INFORMATIVE,u=e.Accessibility.violations||[],c=(a?u.concat(s):u).find((e=>e.id===this.meta.id)),d=c&&c.impact,m=c&&c.tags;if(a&&!c)return{score:null,notApplicable:!0};let g=[];c&&c.nodes&&(g=c.nodes.map((e=>({node:{...i.makeNodeItem(e.node),explanation:e.failureSummary}}))));const h=[{key:"node",itemType:"node",text:l(n.failingElementsHeader)}];let p;return(d||m)&&(p={type:"debugdata",impact:d,tags:m}),{score:Number(void 0===c),details:{...i.makeTableDetails(h,g),debugData:p}}}},s.exports.UIStrings=n}).call(this)}).call(this,"/lighthouse-core/audits/accessibility/axe-audit.js")},{"../../lib/i18n/i18n.js":97,"../audit.js":3}],3:[function(e,s,t){"use strict";const{isUnderTest:i}=e("../lib/lh-env.js"),a=e("../lib/statistics.js"),n=e("../../report/renderer/util.js"),clampTo2Decimals=e=>Math.round(100*e)/100;class Audit{static get DEFAULT_PASS(){
return"defaultPass"}static get SCORING_MODES(){return{NUMERIC:"numeric",BINARY:"binary",MANUAL:"manual",INFORMATIVE:"informative",NOT_APPLICABLE:"notApplicable",ERROR:"error"}}static get meta(){throw new Error("Audit meta information must be overridden.")}static get defaultOptions(){return{}}static audit(e,s){throw new Error("audit() method must be overriden")}static computeLogNormalScore(e,s){const t=a.getLogNormalScore(e,s);return clampTo2Decimals(t)}static assertHeadingKeysExist(e,s){if(s.length&&i)for(const t of e){if(null===t.key)continue;const e=t.key;if(!s.some((s=>e in s)))throw new Error(`"${t.key}" is missing from items`)}}static makeTableDetails(e,s,t){return 0===s.length?{type:"table",headings:[],items:[],summary:t}:(Audit.assertHeadingKeysExist(e,s),{type:"table",headings:e,items:s,summary:t})}static makeListDetails(e){return{type:"list",items:e}}
static makeSnippetDetails({content:e,title:s,lineMessages:t,generalMessages:i,node:a,maxLineLength:l=200,maxLinesAroundMessage:u=20}){const c=Audit._makeSnippetLinesArray(e,l);return{type:"snippet",lines:n.filterRelevantLines(c,t,u),title:s,lineMessages:t,generalMessages:i,lineCount:c.length,node:a}}static _makeSnippetLinesArray(e,s){return e.split("\n").map(((e,t)=>{const i=t+1,a={content:e.slice(0,s),lineNumber:i};return e.length>s&&(a.truncated=!0),a}))}static makeOpportunityDetails(e,s,t,i){return Audit.assertHeadingKeysExist(e,s),{type:"opportunity",headings:0===s.length?[]:e,items:s,overallSavingsMs:t,overallSavingsBytes:i}}static makeNodeItem(e){return{type:"node",lhId:e.lhId,path:e.devtoolsNodePath,selector:e.selector,boundingRect:e.boundingRect,snippet:e.snippet,nodeLabel:e.nodeLabel}}static makeSourceLocationFromConsoleMessage(e){if(e.url)return{type:"source-location",url:e.url,urlProvider:"network",line:e.lineNumber||0,column:e.columnNumber||0}}
static _normalizeAuditScore(e,s,t){if(s!==Audit.SCORING_MODES.BINARY&&s!==Audit.SCORING_MODES.NUMERIC)return null;if(null===e||!Number.isFinite(e))throw new Error(`Invalid score for ${t}: ${e}`);if(e>1)throw new Error(`Audit score for ${t} is > 1`);if(e<0)throw new Error(`Audit score for ${t} is < 0`);return e=clampTo2Decimals(e)}static generateErrorAuditResult(e,s){return Audit.generateAuditResult(e,{score:null,errorMessage:s})}static generateAuditResult(e,s){if(void 0===s.score)throw new Error("generateAuditResult requires a score");let t=e.meta.scoreDisplayMode||Audit.SCORING_MODES.BINARY;s.errorMessage?t=Audit.SCORING_MODES.ERROR:s.notApplicable&&(t=Audit.SCORING_MODES.NOT_APPLICABLE);const i=Audit._normalizeAuditScore(s.score,t,e.meta.id);let a=e.meta.title;e.meta.failureTitle&&null!==i&&i<n.PASS_THRESHOLD&&(a=e.meta.failureTitle);const l="numericUnit"in s?s:void 0;return{id:e.meta.id,title:a,description:e.meta.description,score:i,scoreDisplayMode:t,numericValue:l&&l.numericValue,
numericUnit:l&&l.numericUnit,displayValue:s.displayValue,explanation:s.explanation,errorMessage:s.errorMessage,warnings:s.warnings,details:s.details}}}s.exports=Audit},{"../../report/renderer/util.js":309,"../lib/lh-env.js":151,"../lib/statistics.js":164}],4:[function(e,s,t){(function(t){(function(){"use strict";const i=e("../audit.js"),a=e("../../lib/statistics.js").linearInterpolation,n=e("../../computed/metrics/lantern-interactive.js"),l=e("../../lib/i18n/i18n.js"),u=e("../../computed/network-records.js"),c=e("../../computed/load-simulator.js"),d=e("../../computed/page-dependency-graph.js"),m=l.createMessageInstanceIdFn(t,{});class UnusedBytes extends i{static scoreForWastedMs(e){return 0===e?1:e<300?a(0,1,300,.75,e):e<750?a(300,.75,750,.5,e):Math.max(0,a(750,.5,5e3,0,e))}static estimateTransferSize(e,s,t){if(e){if(e.resourceType===t)return e.transferSize||0;{const t=e.transferSize||0,i=e.resourceSize||0,a=Number.isFinite(i)&&i>0?t/i:1;return Math.round(s*a)}}switch(t){
case"Stylesheet":return Math.round(.2*s);case"Script":case"Document":return Math.round(.33*s);default:return Math.round(.5*s)}}static async audit(e,s){const t=e.GatherContext,a=e.traces[i.DEFAULT_PASS],n=e.devtoolsLogs[i.DEFAULT_PASS],l={devtoolsLog:n,settings:s&&s.settings||{}},m=await u.request(n,s),[g,h,p]=await Promise.all([this.audit_(e,m,s),d.request({trace:a,devtoolsLog:n},s),c.request(l,s)]);return this.createAuditProduct(g,h,p,t)}static computeWasteWithTTIGraph(e,s,t,i){const a=(i=Object.assign({includeLoad:!0,label:this.meta.id},i)).label+"-before",l=i.label+"-after",u=t.simulate(s,{label:a}),c=i.providedWastedBytesByUrl||new Map;if(!i.providedWastedBytesByUrl)for(const{url:s,wastedBytes:t}of e)c.set(s,(c.get(s)||0)+t);const d=new Map;s.traverse((e=>{if("network"!==e.type)return;const s=c.get(e.record.url);if(!s)return;const t=e.record.transferSize;d.set(e.record.requestId,t),e.record.transferSize=Math.max(t-s,0)}));const m=t.simulate(s,{label:l});s.traverse((e=>{
if("network"!==e.type)return;const s=d.get(e.record.requestId);void 0!==s&&(e.record.transferSize=s)}));const g=u.timeInMs-m.timeInMs;let h=n.getLastLongTaskEndTime(u.nodeTimings)-n.getLastLongTaskEndTime(m.nodeTimings);return i.includeLoad&&(h=Math.max(h,g)),10*Math.round(Math.max(h,0)/10)}static computeWastedMsWithThroughput(e,s){return 8*e/s.getOptions().throughput*1e3}static createAuditProduct(e,s,t,a){const n=e.items.sort(((e,s)=>s.wastedBytes-e.wastedBytes)),u=n.reduce(((e,s)=>e+s.wastedBytes),0),c="navigation"===a.gatherMode?this.computeWasteWithTTIGraph(n,s,t,{providedWastedBytesByUrl:e.wastedBytesByUrl}):this.computeWastedMsWithThroughput(u,t);let d=e.displayValue||"";void 0===e.displayValue&&u&&(d=m(l.UIStrings.displayValueByteSavings,{wastedBytes:u}));const g=i.makeOpportunityDetails(e.headings,n,c,u);return{explanation:e.explanation,warnings:e.warnings,displayValue:d,numericValue:c,numericUnit:"millisecond",score:UnusedBytes.scoreForWastedMs(c),details:g}}
static audit_(e,s,t){throw new Error("audit_ unimplemented")}}s.exports=UnusedBytes}).call(this)}).call(this,"/lighthouse-core/audits/byte-efficiency/byte-efficiency-audit.js")},{"../../computed/load-simulator.js":13,"../../computed/metrics/lantern-interactive.js":24,"../../computed/network-records.js":40,"../../computed/page-dependency-graph.js":41,"../../lib/i18n/i18n.js":97,"../../lib/statistics.js":164,"../audit.js":3}],5:[function(e,s,t){s.exports={
moduleSizes:[498,155,242,615,220,657,651,1664,790,1534,558,279,868,974,618,356,720,133,826,732,235,552,170,585,1030,210,349,179,546,167,1634,118,199,478,849,470,452,417,147,60,180,433,360,303,1325,1518,397,201,550,226,132,156,198,312,544,2125,658,778,1084,701,401,81,716,632,321,428,648,804,718,130,1443,142,374,259,286,403,821,938,514,654,280,328,186,233,243,553,267,187,206,879,105,343,779,833,773,275,477,696,224,759,671,772,746,716,182,304,658,473,592,235,334,277,404,420,280,675,1034,508,725,526,498,498,499,752,661,276,275,843,1698,962,562,609,573,1048,205,374,226,625,632,308,772,641,233],dependencies:{"Array.prototype.fill":[3,5,8,17,19,21,22,29,30,35,38,39,40,42,43,45,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,91],"Array.prototype.filter":[1,8,9,10,12,14,17,19,21,22,27,28,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,92],
"Array.prototype.find":[1,3,8,9,12,14,17,19,21,22,29,30,33,35,38,39,40,42,43,45,47,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,94],"Array.prototype.findIndex":[1,3,8,9,12,14,17,19,21,22,29,30,33,35,38,39,40,42,43,45,47,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,93],"Array.prototype.forEach":[1,6,8,9,11,12,14,17,19,21,22,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,95],"Array.from":[1,7,8,15,16,17,18,19,21,22,23,29,30,33,35,36,38,39,42,43,45,46,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,86,87,88,89,96],"Array.isArray":[8,17,19,21,22,29,30,35,38,39,42,43,45,47,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,98],"Array.prototype.map":[1,8,9,10,12,14,17,19,21,22,27,28,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,99],
"Array.of":[8,17,19,21,22,23,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,100],"Array.prototype.reduce":[1,8,11,12,13,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,102],"Array.prototype.reduceRight":[1,8,11,12,13,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,101],"Array.prototype.some":[1,8,9,11,12,14,17,19,21,22,29,30,33,35,38,39,42,43,45,47,48,51,52,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,88,89,103],"Date.now":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,104],"Date.prototype.toISOString":[8,17,19,21,22,24,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,77,78,80,81,82,83,87,105],"Date.prototype.toJSON":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,106],
"Date.prototype.toString":[21,22,38,39,43,45,51,53,70,72,73,74,75,87,107],"Function.prototype.name":[108],"Number.isInteger":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,49,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,109],"Number.isSafeInteger":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,49,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,110],"Number.parseInt":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,54,58,60,61,63,65,68,69,70,71,72,73,74,75,79,80,81,82,83,87,90,111],"Object.defineProperties":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,87,112],"Object.defineProperty":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,113],"Object.freeze":[8,17,19,21,22,29,30,32,35,38,39,42,43,44,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,115],
"Object.getOwnPropertyNames":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,59,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,117],"Object.getPrototypeOf":[8,17,19,20,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,62,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,118],"Object.isExtensible":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,119],"Object.isFrozen":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,120],"Object.isSealed":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,121],"Object.keys":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,122],"Object.preventExtensions":[8,17,19,21,22,29,30,32,35,38,39,42,43,44,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,123],
"Object.seal":[8,17,19,21,22,29,30,32,35,38,39,42,43,44,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,124],"Object.setPrototypeOf":[2,8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,66,68,69,70,71,72,73,74,75,80,81,82,83,87,125],"Reflect.apply":[1,8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,127],"Reflect.construct":[1,8,17,19,21,22,29,30,34,35,38,39,40,42,43,45,48,51,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,87,128],"Reflect.defineProperty":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,129],"Reflect.deleteProperty":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,130],"Reflect.get":[8,17,19,20,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,62,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,133],
"Reflect.getOwnPropertyDescriptor":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,131],"Reflect.getPrototypeOf":[8,17,19,20,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,62,63,65,68,69,70,71,72,73,74,75,80,81,82,83,84,87,132],"Reflect.has":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,134],"Reflect.isExtensible":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,135],"Reflect.ownKeys":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,136],"Reflect.preventExtensions":[8,17,19,21,22,29,30,32,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,137],"Reflect.setPrototypeOf":[2,8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,66,68,69,70,71,72,73,74,75,80,81,82,83,87,138],
"String.prototype.codePointAt":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,76,80,81,82,83,87,139],"String.fromCodePoint":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,140],"String.raw":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,141],"String.prototype.repeat":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,78,80,81,82,83,87,142],"Array.prototype.includes":[3,8,12,17,19,21,22,29,30,35,38,39,40,42,43,45,48,51,52,53,55,56,58,60,61,63,64,65,68,69,70,71,72,73,74,75,80,81,82,83,87,88,89,97],"Object.entries":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,64,65,67,68,69,70,71,72,73,74,75,80,81,82,83,87,114],"Object.getOwnPropertyDescriptors":[8,17,19,21,22,23,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,65,68,69,70,71,72,73,74,75,80,81,82,83,87,116],
"Object.values":[8,17,19,21,22,29,30,35,38,39,42,43,45,48,51,53,58,60,61,63,64,65,67,68,69,70,71,72,73,74,75,80,81,82,83,87,126]},maxSize:77759,baseSize:3708}},{}],6:[function(e,s,t){"use strict";const i=e("../audit.js");s.exports=class ManualAudit extends i{static get partialMeta(){return{scoreDisplayMode:i.SCORING_MODES.MANUAL,requiredArtifacts:[]}}static audit(){return{score:0}}}},{"../audit.js":3}],7:[function(e,s,t){"use strict";const i=e("./audit.js");s.exports=class MultiCheckAudit extends i{static async audit(e,s){const t=await this.audit_(e,s);return this.createAuditProduct(t)}static createAuditProduct(e){const s={...e,...e.manifestValues,manifestValues:void 0,allChecks:void 0};e.manifestValues&&e.manifestValues.allChecks&&e.manifestValues.allChecks.forEach((e=>{s[e.id]=e.passing}));const t={type:"debugdata",items:[s]};return e.failures.length>0?{score:0,explanation:`Failures: ${e.failures.join(",\n")}.`,details:t}:{score:1,details:t}}static audit_(e,s){
throw new Error("audit_ unimplemented")}}},{"./audit.js":3}],8:[function(e,s,t){"use strict";const i=e("./audit.js");s.exports=class ViolationAudit extends i{static getViolationResults(e,s){const t=new Set;return e.ConsoleMessages.filter((e=>e.url&&"violation"===e.source&&s.test(e.text))).map(i.makeSourceLocationFromConsoleMessage).filter((function filterUndefined(e){return void 0!==e})).filter((e=>{const s=`${e.url}!${e.line}!${e.column}`;return!t.has(s)&&(t.add(s),!0)})).map((e=>({source:e})))}}},{"./audit.js":3}],9:[function(e,s,t){"use strict";const i=e("../lib/arbitrary-equality-map.js"),a=e("lighthouse-logger");s.exports=function makeComputedArtifact(e){return Object.assign(e,{request:(s,t)=>{const n=t.computedCache,l=e.name,u=n.get(l)||new i;n.set(l,u);const c=u.get(s);if(c)return c;const d={msg:"Computing artifact: "+l,id:"lh:computed:"+l};a.time(d,"verbose");const m=e.compute_(s,t);return u.set(s,m),m.then((()=>a.timeEnd(d))).catch((()=>a.timeEnd(d))),m}})}},{
"../lib/arbitrary-equality-map.js":80,"lighthouse-logger":237}],10:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/network-request.js"),n=e("./main-resource.js"),l=e("./page-dependency-graph.js");class CriticalRequestChains{static isCritical(e,s){if(!s)throw new Error("mainResource not provided");if(e.requestId===s.requestId)return!0;if(e.isLinkPreload)return!1;for(;e.redirectDestination;)e=e.redirectDestination;const t=e.resourceType===a.TYPES.Document&&e.frameId!==s.frameId;return!([a.TYPES.Image,a.TYPES.XHR,a.TYPES.Fetch,a.TYPES.EventSource].includes(e.resourceType||"Other")||t||e.mimeType&&e.mimeType.startsWith("image/"))&&(!!e.initiatorRequest&&["VeryHigh","High","Medium"].includes(e.priority))}static extractChainsFromGraph(e,s){const t={};const i=new Set;return s.traverse(((s,a)=>{if(i.add(s),"network"!==s.type)return;if(!CriticalRequestChains.isCritical(s.record,e))return;const n=a.filter((e=>"network"===e.type)).reverse().map((e=>e.record))
;n.some((s=>!CriticalRequestChains.isCritical(s,e)))||function addChain(e){let s=t;for(const t of e)s[t.requestId]||(s[t.requestId]={request:t,children:{}}),s=s[t.requestId].children}(n)}),(function getNextNodes(e){return e.getDependents().filter((e=>e.getDependencies().every((e=>i.has(e)))))})),t}static async compute_(e,s){const t=await n.request({URL:e.URL,devtoolsLog:e.devtoolsLog},s),i=await l.request({trace:e.trace,devtoolsLog:e.devtoolsLog},s);return CriticalRequestChains.extractChainsFromGraph(t,i)}}s.exports=i(CriticalRequestChains)},{"../lib/network-request.js":158,"./computed-artifact.js":9,"./main-resource.js":14,"./page-dependency-graph.js":41}],11:[function(e,s,t){"use strict";const i=e("./computed-artifact.js");class ImageRecords{static indexNetworkRecords(e){return e.reduce(((e,s)=>((/^image/.test(s.mimeType)||/\.(avif|webp)$/i.test(s.url))&&s.finished&&200===s.statusCode&&(e[s.url]=s),e)),{})}static async compute_(e){
const s=ImageRecords.indexNetworkRecords(e.networkRecords),t=[];for(const i of e.ImageElements){const e=s[i.src],a=e&&e.mimeType;t.push({...i,mimeType:a||i.mimeType})}return t.sort(((e,t)=>{const i=s[e.src]||{};return(s[t.src]||{}).resourceSize-i.resourceSize})),t}}s.exports=i(ImageRecords)},{"./computed-artifact.js":9}],12:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("./computed-artifact.js"),n=e("../lib/cdt/SDK.js");function computeGeneratedFileSizes(e,s){const t=s.split("\n"),a={},n=s.length;let l=n;e.computeLastGeneratedColumns();for(const s of e.mappings()){const n=s.sourceURL,u=s.lineNumber,c=s.columnNumber,d=s.lastColumnNumber;if(!n)continue;const m=t[u];if(null==m){const s=`${e.url()} mapping for line out of bounds: ${u+1}`;return i.error("JSBundles",s),{errorMessage:s}}if(c>m.length){const s=`${e.url()} mapping for column out of bounds: ${u+1}:${c}`;return i.error("JSBundles",s),{errorMessage:s}}let g=0;if(void 0!==d){if(d>m.length){
const s=`${e.url()} mapping for last column out of bounds: ${u+1}:${d}`;return i.error("JSBundles",s),{errorMessage:s}}g=d-c}else g=m.length-c+1;a[n]=(a[n]||0)+g,l-=g}return{files:a,unmappedBytes:l,totalBytes:n}}s.exports=a(class JSBundles{static async compute_(e){const{SourceMaps:s,ScriptElements:t}=e,i=[];for(const e of s){if(!e.map)continue;const{scriptUrl:s,map:a}=e;if(!a.mappings)continue;const l=t.find((e=>e.src===s));if(!l)continue;const u=e.scriptUrl||"compiled.js",c=e.sourceMapUrl||"compiled.js.map",d=a,m=new n.TextSourceMap(u,c,d),g={rawMap:a,script:l,map:m,sizes:computeGeneratedFileSizes(m,l&&l.content?l.content:"")};i.push(g)}return i}})},{"../lib/cdt/SDK.js":84,"./computed-artifact.js":9,"lighthouse-logger":237}],13:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../config/constants.js"),n=e("../lib/dependency-graph/simulator/simulator.js"),l=e("./network-analysis.js");s.exports=i(class LoadSimulator{static async compute_(e,s){
const{throttlingMethod:t,throttling:i,precomputedLanternData:u}=e.settings,c=await l.request(e.devtoolsLog,s),d={additionalRttByOrigin:c.additionalRttByOrigin,serverResponseTimeByOrigin:c.serverResponseTimeByOrigin};switch(u&&(d.additionalRttByOrigin=new Map(Object.entries(u.additionalRttByOrigin)),d.serverResponseTimeByOrigin=new Map(Object.entries(u.serverResponseTimeByOrigin))),t){case"provided":d.rtt=c.rtt,d.throughput=c.throughput,d.cpuSlowdownMultiplier=1,d.layoutTaskMultiplier=1;break;case"devtools":i&&(d.rtt=i.requestLatencyMs/a.throttling.DEVTOOLS_RTT_ADJUSTMENT_FACTOR,d.throughput=1024*i.downloadThroughputKbps/a.throttling.DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR),d.cpuSlowdownMultiplier=1,d.layoutTaskMultiplier=1;break;case"simulate":i&&(d.rtt=i.rttMs,d.throughput=1024*i.throughputKbps,d.cpuSlowdownMultiplier=i.cpuSlowdownMultiplier)}return new n(d)}static convertAnalysisToSaveableLanternData(e){const s={additionalRttByOrigin:{},serverResponseTimeByOrigin:{}}
;for(const[t,i]of e.additionalRttByOrigin.entries())t.startsWith("http")&&(s.additionalRttByOrigin[t]=i);for(const[t,i]of e.serverResponseTimeByOrigin.entries())t.startsWith("http")&&(s.serverResponseTimeByOrigin[t]=i);return s}})},{"../config/constants.js":56,"../lib/dependency-graph/simulator/simulator.js":94,"./computed-artifact.js":9,"./network-analysis.js":39}],14:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/dependency-graph/simulator/network-analyzer.js"),n=e("./network-records.js");s.exports=i(class MainResource{static async compute_(e,s){const t=e.URL.finalUrl,i=await n.request(e.devtoolsLog,s),l=a.findMainDocument(i,t);if(!l)throw new Error("Unable to identify the main resource");return l}})},{"../lib/dependency-graph/simulator/network-analyzer.js":92,"./computed-artifact.js":9,"./network-records.js":40}],15:[function(e,s,t){"use strict"
;const i=e("./computed-artifact.js"),a=e("../lib/tracehouse/main-thread-tasks.js"),n=e("./processed-trace.js");s.exports=i(class MainThreadTasks{static async compute_(e,s){const{mainThreadEvents:t,frames:i,timestamps:l}=await n.request(e,s);return a.getMainThreadTasks(t,i,l.traceEnd)}})},{"../lib/tracehouse/main-thread-tasks.js":167,"./computed-artifact.js":9,"./processed-trace.js":43}],16:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/icons.js"),n=["minimal-ui","fullscreen","standalone"];class ManifestValues{static get manifestChecks(){return[{id:"hasStartUrl",failureText:"Manifest does not contain a `start_url`",validate:e=>!!e.start_url.value},{id:"hasIconsAtLeast144px",failureText:"Manifest does not have a PNG icon of at least 144px",validate:e=>a.doExist(e)&&a.pngSizedAtLeast(144,e).length>0},{id:"hasIconsAtLeast512px",failureText:"Manifest does not have a PNG icon of at least 512px",validate:e=>a.doExist(e)&&a.pngSizedAtLeast(512,e).length>0},{
id:"fetchesIcon",failureText:"Manifest icon failed to be fetched",validate:(e,s)=>{const t=["cannot-download-icon","no-icon-available"];return a.doExist(e)&&!s.some((e=>t.includes(e.errorId)))}},{id:"hasPWADisplayValue",failureText:"Manifest's `display` value is not one of: "+n.join(" | "),validate:e=>n.includes(e.display.value)},{id:"hasBackgroundColor",failureText:"Manifest does not have `background_color`",validate:e=>!!e.background_color.value},{id:"hasThemeColor",failureText:"Manifest does not have `theme_color`",validate:e=>!!e.theme_color.value},{id:"hasShortName",failureText:"Manifest does not have `short_name`",validate:e=>!!e.short_name.value},{id:"shortNameLength",failureText:"Manifest's `short_name` is too long (>12 characters) to be displayed on a homescreen without truncation",validate:e=>!!e.short_name.value&&e.short_name.value.length<=12},{id:"hasName",failureText:"Manifest does not have `name`",validate:e=>!!e.name.value},{id:"hasMaskableIcon",
failureText:"Manifest does not have at least one icon that is maskable",validate:e=>a.doExist(e)&&a.containsMaskableIcon(e)}]}static async compute_({WebAppManifest:e,InstallabilityErrors:s}){if(null===e)return{isParseFailure:!0,parseFailureReason:"No manifest was fetched",allChecks:[]};const t=e.value;if(void 0===t)return{isParseFailure:!0,parseFailureReason:"Manifest failed to parse as valid JSON",allChecks:[]};return{isParseFailure:!1,allChecks:ManifestValues.manifestChecks.map((e=>({id:e.id,failureText:e.failureText,passing:e.validate(t,s.errors)})))}}}s.exports=i(ManifestValues)},{"../lib/icons.js":147,"./computed-artifact.js":9}],17:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("../processed-trace.js"),n=e("../../lib/lh-error.js");class CumulativeLayoutShift{static getLayoutShiftEvents(e){const s=[];let t=!0;for(const i of e)if("LayoutShift"===i.name&&i.args.data&&void 0!==i.args.data.is_main_frame){
if(void 0===i.args.data.weighted_score_delta)throw new n(n.errors.UNSUPPORTED_OLD_CHROME,{featureName:"Cumulative Layout Shift"});if(i.args.data.had_recent_input){if(!t)continue}else t=!1;s.push({ts:i.ts,isMainFrame:i.args.data.is_main_frame,weightedScore:i.args.data.weighted_score_delta})}return s}static calculate(e){let s=0,t=0,i=Number.NEGATIVE_INFINITY,a=Number.NEGATIVE_INFINITY;for(const n of e)(n.ts-i>5e6||n.ts-a>1e6)&&(i=n.ts,t=0),a=n.ts,t+=n.weightedScore,s=Math.max(s,t);return s}static calculateTotalCumulativeLayoutShift(e){return e.reduce(((e,s)=>e+s.weightedScore),0)}static async compute_(e,s){const t=await a.request(e,s),i=CumulativeLayoutShift.getLayoutShiftEvents(t.frameTreeEvents),n=i.filter((e=>e.isMainFrame)),l=CumulativeLayoutShift.calculateTotalCumulativeLayoutShift(n);return{cumulativeLayoutShift:CumulativeLayoutShift.calculate(i),cumulativeLayoutShiftMainFrame:CumulativeLayoutShift.calculate(n),totalCumulativeLayoutShift:l}}}s.exports=i(CumulativeLayoutShift)},{
"../../lib/lh-error.js":152,"../computed-artifact.js":9,"../processed-trace.js":43}],18:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js");s.exports=i(class FirstContentfulPaintAllFrames extends a{static computeSimulatedMetric(){throw new Error("FCP All Frames not implemented in lantern")}static async computeObservedMetric(e){const{processedNavigation:s}=e;return{timing:s.timings.firstContentfulPaintAllFrames,timestamp:s.timestamps.firstContentfulPaintAllFrames}}})},{"../computed-artifact.js":9,"./navigation-metric.js":34}],19:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("./lantern-first-contentful-paint.js");s.exports=i(class FirstContentfulPaint extends a{static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return n.request(t,s)}static async computeObservedMetric(e){const{processedNavigation:s}=e;return{timing:s.timings.firstContentfulPaint,
timestamp:s.timestamps.firstContentfulPaint}}})},{"../computed-artifact.js":9,"./lantern-first-contentful-paint.js":22,"./navigation-metric.js":34}],20:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("../../lib/lh-error.js"),l=e("./lantern-first-meaningful-paint.js");s.exports=i(class FirstMeaningfulPaint extends a{static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return l.request(t,s)}static async computeObservedMetric(e){const{processedNavigation:s}=e;if(void 0===s.timings.firstMeaningfulPaint)throw new n(n.errors.NO_FMP);return{timing:s.timings.firstMeaningfulPaint,timestamp:s.timestamps.firstMeaningfulPaint}}})},{"../../lib/lh-error.js":152,"../computed-artifact.js":9,"./lantern-first-meaningful-paint.js":23,"./navigation-metric.js":34}],21:[function(e,s,t){"use strict"
;const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("./lantern-interactive.js"),l=e("../../gather/driver/network-monitor.js"),u=e("../../lib/tracehouse/trace-processor.js"),c=e("../../lib/lh-error.js"),d=5e3;class Interactive extends a{static _findNetworkQuietPeriods(e,s){const t=s.timestamps.traceEnd/1e3,i=e.filter((e=>e.finished&&"GET"===e.requestMethod&&!e.failed&&e.statusCode<400));return l.findNetworkQuietPeriods(i,2,t)}static _findCPUQuietPeriods(e,s){const t=s.timestamps.timeOrigin/1e3,i=s.timestamps.traceEnd/1e3;if(0===e.length)return[{start:0,end:i}];const a=[];return e.forEach(((s,n)=>{0===n&&a.push({start:0,end:s.start+t}),n===e.length-1?a.push({start:s.end+t,end:i}):a.push({start:s.end+t,end:e[n+1].start+t})})),a}static findOverlappingQuietPeriods(e,s,t){
const i=t.timestamps.firstContentfulPaint/1e3,isLongEnoughQuietPeriod=e=>e.end>i+d&&e.end-e.start>=d,a=this._findNetworkQuietPeriods(s,t).filter(isLongEnoughQuietPeriod),n=this._findCPUQuietPeriods(e,t).filter(isLongEnoughQuietPeriod),l=n.slice(),u=a.slice();let m=l.shift(),g=u.shift();for(;m&&g;)if(m.start>=g.start){if(g.end>=m.start+d)return{cpuQuietPeriod:m,networkQuietPeriod:g,cpuQuietPeriods:n,networkQuietPeriods:a};g=u.shift()}else{if(m.end>=g.start+d)return{cpuQuietPeriod:m,networkQuietPeriod:g,cpuQuietPeriods:n,networkQuietPeriods:a};m=l.shift()}throw new c(m?c.errors.NO_TTI_NETWORK_IDLE_PERIOD:c.errors.NO_TTI_CPU_IDLE_PERIOD)}static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return n.request(t,s)}static computeObservedMetric(e){const{processedTrace:s,processedNavigation:t,networkRecords:i}=e;if(!t.timestamps.domContentLoaded)throw new c(c.errors.NO_DCL)
;const a=u.getMainThreadTopLevelEvents(s).filter((e=>e.duration>=50)),n=Interactive.findOverlappingQuietPeriods(a,i,t).cpuQuietPeriod,l=1e3*Math.max(n.start,t.timestamps.firstContentfulPaint/1e3,t.timestamps.domContentLoaded/1e3),d=(l-t.timestamps.timeOrigin)/1e3;return Promise.resolve({timing:d,timestamp:l})}}s.exports=i(Interactive)},{"../../gather/driver/network-monitor.js":70,"../../lib/lh-error.js":152,"../../lib/tracehouse/trace-processor.js":169,"../computed-artifact.js":9,"./lantern-interactive.js":24,"./navigation-metric.js":34}],22:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/dependency-graph/base-node.js");s.exports=i(class LanternFirstContentfulPaint extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getBlockingNodeData(e,s,t,i){const l=new Map,u=[];e.traverse((e=>{if(e.type===n.TYPES.CPU){e.startTime<=s&&u.push(e);const t=e.getEvaluateScriptURLs();for(const s of t){
const t=l.get(s)||e;l.set(s,e.startTime<t.startTime?e:t)}}})),u.sort(((e,s)=>e.startTime-s.startTime));const c=a.getScriptUrls(e,(e=>e.endTime<=s&&t(e))),d=new Set,m=new Set;for(const e of c){const s=l.get(e);s&&(u.includes(s)?m.add(s.id):d.add(e))}const g=u.find((e=>e.didPerformLayout()));g&&m.add(g.id);const h=u.find((e=>e.childEvents.some((e=>"Paint"===e.name))));h&&m.add(h.id);const p=u.find((e=>e.childEvents.some((e=>"ParseHTML"===e.name))));return p&&m.add(p.id),i&&u.filter(i).forEach((e=>m.add(e.id))),{definitelyNotRenderBlockingScriptUrls:d,blockingCpuNodeIds:m}}static getFirstPaintBasedGraph(e,s,t,i){const{definitelyNotRenderBlockingScriptUrls:a,blockingCpuNodeIds:l}=this.getBlockingNodeData(e,s,t,i);return e.cloneWithRelationships((e=>{if(e.type===n.TYPES.NETWORK){if(e.endTime>s&&!e.isMainDocument())return!1;const i=e.record.url;return!a.has(i)&&t(e)}return l.has(e.id)}))}static getOptimisticGraph(e,s){
return this.getFirstPaintBasedGraph(e,s.timestamps.firstContentfulPaint,(e=>e.hasRenderBlockingPriority()&&"script"!==e.initiatorType))}static getPessimisticGraph(e,s){return this.getFirstPaintBasedGraph(e,s.timestamps.firstContentfulPaint,(e=>e.hasRenderBlockingPriority()))}})},{"../../lib/dependency-graph/base-node.js":87,"../computed-artifact.js":9,"./lantern-metric.js":27}],23:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/lh-error.js"),l=e("./lantern-first-contentful-paint.js");s.exports=i(class LanternFirstMeaningfulPaint extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e,s){const t=s.timestamps.firstMeaningfulPaint;if(!t)throw new n(n.errors.NO_FMP);return l.getFirstPaintBasedGraph(e,t,(e=>e.hasRenderBlockingPriority()&&"script"!==e.initiatorType))}static getPessimisticGraph(e,s){const t=s.timestamps.firstMeaningfulPaint;if(!t)throw new n(n.errors.NO_FMP)
;return l.getFirstPaintBasedGraph(e,t,(e=>e.hasRenderBlockingPriority()),(e=>e.didPerformLayout()))}static async compute_(e,s){const t=await l.request(e,s),i=await this.computeMetricWithGraphs(e,s);return i.timing=Math.max(i.timing,t.timing),i}})},{"../../lib/lh-error.js":152,"../computed-artifact.js":9,"./lantern-first-contentful-paint.js":22,"./lantern-metric.js":27}],24:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/dependency-graph/base-node.js"),l=e("../../lib/network-request.js"),u=e("./lantern-first-meaningful-paint.js");class LanternInteractive extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e.cloneWithRelationships((e=>{if(e.type===n.TYPES.CPU)return e.event.dur>2e4;const s=e.record.resourceType===l.TYPES.Image,t=e.record.resourceType===l.TYPES.Script;return!s&&(t||"High"===e.record.priority||"VeryHigh"===e.record.priority)}))}
static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,s){if(!s.fmpResult)throw new Error("missing fmpResult");const t=LanternInteractive.getLastLongTaskEndTime(e.nodeTimings),i=s.optimistic?s.fmpResult.optimisticEstimate.timeInMs:s.fmpResult.pessimisticEstimate.timeInMs;return{timeInMs:Math.max(i,t),nodeTimings:e.nodeTimings}}static async compute_(e,s){const t=await u.request(e,s),i=await this.computeMetricWithGraphs(e,s,{fmpResult:t});return i.timing=Math.max(i.timing,t.timing),i}static getLastLongTaskEndTime(e,s=50){return Array.from(e.entries()).filter((([e,t])=>e.type===n.TYPES.CPU&&t.duration>s)).map((([e,s])=>s.endTime)).reduce(((e,s)=>Math.max(e||0,s||0)),0)}}s.exports=i(LanternInteractive)},{"../../lib/dependency-graph/base-node.js":87,"../../lib/network-request.js":158,"../computed-artifact.js":9,"./lantern-first-meaningful-paint.js":23,"./lantern-metric.js":27}],25:[function(e,s,t){"use strict"
;const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/lh-error.js"),l=e("./lantern-first-contentful-paint.js");class LanternLargestContentfulPaint extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static isNotLowPriorityImageNode(e){if("network"!==e.type)return!0;const s="Image"===e.record.resourceType,t="Low"===e.record.priority||"VeryLow"===e.record.priority;return!s||!t}static getOptimisticGraph(e,s){const t=s.timestamps.largestContentfulPaint;if(!t)throw new n(n.errors.NO_LCP);return l.getFirstPaintBasedGraph(e,t,LanternLargestContentfulPaint.isNotLowPriorityImageNode)}static getPessimisticGraph(e,s){const t=s.timestamps.largestContentfulPaint;if(!t)throw new n(n.errors.NO_LCP);return l.getFirstPaintBasedGraph(e,t,(e=>!0),(e=>e.didPerformLayout()))}static getEstimateFromSimulation(e){
const s=Array.from(e.nodeTimings.entries()).filter((e=>LanternLargestContentfulPaint.isNotLowPriorityImageNode(e[0]))).map((e=>e[1].endTime));return{timeInMs:Math.max(...s),nodeTimings:e.nodeTimings}}static async compute_(e,s){const t=await l.request(e,s),i=await this.computeMetricWithGraphs(e,s);return i.timing=Math.max(i.timing,t.timing),i}}s.exports=i(LanternLargestContentfulPaint)},{"../../lib/lh-error.js":152,"../computed-artifact.js":9,"./lantern-first-contentful-paint.js":22,"./lantern-metric.js":27}],26:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/dependency-graph/base-node.js"),l=e("./lantern-first-contentful-paint.js");class LanternMaxPotentialFID extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,s){if(!s.fcpResult)throw new Error("missing fcpResult")
;const t=s.optimistic?s.fcpResult.pessimisticEstimate.timeInMs:s.fcpResult.optimisticEstimate.timeInMs,i=LanternMaxPotentialFID.getTimingsAfterFCP(e.nodeTimings,t);return{timeInMs:Math.max(...i.map((e=>e.duration)),16),nodeTimings:e.nodeTimings}}static async compute_(e,s){const t=await l.request(e,s);return super.computeMetricWithGraphs(e,s,{fcpResult:t})}static getTimingsAfterFCP(e,s){return Array.from(e.entries()).filter((([e,t])=>e.type===n.TYPES.CPU&&t.endTime>s)).map((([e,s])=>s))}}s.exports=i(LanternMaxPotentialFID)},{"../../lib/dependency-graph/base-node.js":87,"../computed-artifact.js":9,"./lantern-first-contentful-paint.js":22,"./lantern-metric.js":27}],27:[function(e,s,t){"use strict";const i=e("../../lib/dependency-graph/base-node.js"),a=e("../../lib/network-request.js"),n=e("../processed-trace.js"),l=e("../processed-navigation.js"),u=e("../page-dependency-graph.js"),c=e("../load-simulator.js");s.exports=class LanternMetricArtifact{static getScriptUrls(e,s){const t=new Set
;return e.traverse((e=>{e.type!==i.TYPES.CPU&&e.record.resourceType===a.TYPES.Script&&(s&&!s(e)||t.add(e.record.url))})),t}static get COEFFICIENTS(){throw new Error("COEFFICIENTS unimplemented!")}static getScaledCoefficients(e){return this.COEFFICIENTS}static getOptimisticGraph(e,s){throw new Error("Optimistic graph unimplemented!")}static getPessimisticGraph(e,s){throw new Error("Pessmistic graph unimplemented!")}static getEstimateFromSimulation(e,s){return e}static async computeMetricWithGraphs(e,s,t){const i=e.gatherContext||{gatherMode:"navigation"},{trace:a,devtoolsLog:d,settings:m}=e;if("navigation"!==i.gatherMode)throw new Error("Lantern metrics can only be computed on navigations");const g=this.name.replace("Lantern",""),h=await u.request({trace:a,devtoolsLog:d},s),p=await n.request(a,s),b=await l.request(p,s),f=e.simulator||await c.request({devtoolsLog:d,settings:m},s),v=this.getOptimisticGraph(h,b),j=this.getPessimisticGraph(h,b);let k={label:"optimistic"+g}
;const y=f.simulate(v,k);k={label:"optimisticFlex"+g,flexibleOrdering:!0};const w=f.simulate(v,k);k={label:"pessimistic"+g};const z=f.simulate(j,k),T=this.getEstimateFromSimulation(y.timeInMs<w.timeInMs?y:w,{...t,optimistic:!0}),S=this.getEstimateFromSimulation(z,{...t,optimistic:!1}),x=this.getScaledCoefficients(f.rtt),D=x.intercept>0?Math.min(1,T.timeInMs/1e3):1;return{timing:x.intercept*D+x.optimistic*T.timeInMs+x.pessimistic*S.timeInMs,optimisticEstimate:T,pessimisticEstimate:S,optimisticGraph:v,pessimisticGraph:j}}static async compute_(e,s){return this.computeMetricWithGraphs(e,s)}}},{"../../lib/dependency-graph/base-node.js":87,"../../lib/network-request.js":158,"../load-simulator.js":13,"../page-dependency-graph.js":41,"../processed-navigation.js":42,"../processed-trace.js":43}],28:[function(e,s,t){"use strict"
;const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/dependency-graph/base-node.js"),l=e("../speedline.js"),u=e("./lantern-first-contentful-paint.js"),c=e("../../config/constants.js").throttling;class LanternSpeedIndex extends a{static get COEFFICIENTS(){return{intercept:-250,optimistic:1.4,pessimistic:.65}}static getScaledCoefficients(e){const s=this.COEFFICIENTS,t=c.mobileSlow4G.rttMs-30,i=Math.max((e-30)/t,0);return{intercept:s.intercept*i,optimistic:.5+(s.optimistic-.5)*i,pessimistic:.5+(s.pessimistic-.5)*i}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,s){if(!s.fcpResult)throw new Error("missing fcpResult");if(!s.speedline)throw new Error("missing speedline");const t=s.fcpResult.pessimisticEstimate.timeInMs;return{timeInMs:s.optimistic?s.speedline.speedIndex:LanternSpeedIndex.computeLayoutBasedSpeedIndex(e.nodeTimings,t),nodeTimings:e.nodeTimings}}static async compute_(e,s){
const t=await l.request(e.trace,s),i=await u.request(e,s),a=await this.computeMetricWithGraphs(e,s,{speedline:t,fcpResult:i});return a.timing=Math.max(a.timing,i.timing),a}static computeLayoutBasedSpeedIndex(e,s){const t=[];for(const[s,i]of e.entries())if(s.type===n.TYPES.CPU&&s.childEvents.some((e=>"Layout"===e.name))){const e=Math.max(Math.log2(i.endTime-i.startTime),0);t.push({time:i.endTime,weight:e})}const i=t.map((e=>e.weight*Math.max(e.time,s))).reduce(((e,s)=>e+s),0),a=t.map((e=>e.weight)).reduce(((e,s)=>e+s),0);return a?i/a:s}}s.exports=i(LanternSpeedIndex)},{"../../config/constants.js":56,"../../lib/dependency-graph/base-node.js":87,"../computed-artifact.js":9,"../speedline.js":46,"./lantern-first-contentful-paint.js":22,"./lantern-metric.js":27}],29:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./lantern-metric.js"),n=e("../../lib/dependency-graph/base-node.js"),l=e("./lantern-first-contentful-paint.js"),u=e("./lantern-interactive.js")
;class LanternTotalBlockingTime extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(s,t){if(!t.fcpResult)throw new Error("missing fcpResult");if(!t.interactiveResult)throw new Error("missing interactiveResult");const i=t.optimistic?t.fcpResult.pessimisticEstimate.timeInMs:t.fcpResult.optimisticEstimate.timeInMs,a=t.optimistic?t.interactiveResult.optimisticEstimate.timeInMs:t.interactiveResult.pessimisticEstimate.timeInMs,n=e("./total-blocking-time.js"),l=n.BLOCKING_TIME_THRESHOLD,u=LanternTotalBlockingTime.getTopLevelEvents(s.nodeTimings,l);return{timeInMs:n.calculateSumOfBlockingTime(u,i,a),nodeTimings:s.nodeTimings}}static async compute_(e,s){const t=await l.request(e,s),i=await u.request(e,s);return this.computeMetricWithGraphs(e,s,{fcpResult:t,interactiveResult:i})}static getTopLevelEvents(e,s){const t=[]
;for(const[i,a]of e.entries())i.type===n.TYPES.CPU&&(a.duration<s||t.push({start:a.startTime,end:a.endTime,duration:a.duration}));return t}}s.exports=i(LanternTotalBlockingTime)},{"../../lib/dependency-graph/base-node.js":87,"../computed-artifact.js":9,"./lantern-first-contentful-paint.js":22,"./lantern-interactive.js":24,"./lantern-metric.js":27,"./total-blocking-time.js":37}],30:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("../../lib/lh-error.js");s.exports=i(class LargestContentfulPaintAllFrames extends a{static async computeSimulatedMetric(){throw new Error("LCP All Frames not implemented in lantern")}static async computeObservedMetric(e){const{processedNavigation:s}=e;if(void 0===s.timings.largestContentfulPaintAllFrames)throw new n(n.errors.NO_LCP_ALL_FRAMES);return{timing:s.timings.largestContentfulPaintAllFrames,timestamp:s.timestamps.largestContentfulPaintAllFrames}}})},{"../../lib/lh-error.js":152,
"../computed-artifact.js":9,"./navigation-metric.js":34}],31:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("../../lib/lh-error.js"),l=e("./lantern-largest-contentful-paint.js");s.exports=i(class LargestContentfulPaint extends a{static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return l.request(t,s)}static async computeObservedMetric(e){const{processedNavigation:s}=e;if(void 0===s.timings.largestContentfulPaint)throw new n(n.errors.NO_LCP);return{timing:s.timings.largestContentfulPaint,timestamp:s.timestamps.largestContentfulPaint}}})},{"../../lib/lh-error.js":152,"../computed-artifact.js":9,"./lantern-largest-contentful-paint.js":25,"./navigation-metric.js":34}],32:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("./lantern-max-potential-fid.js"),l=e("../../lib/tracehouse/trace-processor.js");s.exports=i(class MaxPotentialFID extends a{
static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return n.request(t,s)}static computeObservedMetric(e){const{firstContentfulPaint:s}=e.processedNavigation.timings,t=l.getMainThreadTopLevelEvents(e.processedTrace,s).filter((e=>e.duration>=1));return Promise.resolve({timing:Math.max(...t.map((e=>e.duration)),16)})}})},{"../../lib/tracehouse/trace-processor.js":169,"../computed-artifact.js":9,"./lantern-max-potential-fid.js":26,"./navigation-metric.js":34}],33:[function(e,s,t){"use strict";const i=e("../../lib/tracehouse/trace-processor.js"),a=e("../processed-trace.js"),n=e("../processed-navigation.js"),l=e("../network-records.js");s.exports=class Metric{constructor(){}static getMetricComputationInput(e){return{trace:e.trace,devtoolsLog:e.devtoolsLog,gatherContext:e.gatherContext,settings:e.settings}}static computeSimulatedMetric(e,s){throw new Error("Unimplemented")}static computeObservedMetric(e,s){throw new Error("Unimplemented")}static async compute_(e,s){
const t=e.gatherContext||{gatherMode:"navigation"},{trace:u,devtoolsLog:c,settings:d}=e;if(!u||!c||!d)throw new Error("Did not provide necessary metric computation data");const m=await a.request(u,s),g=await n.request(m,s),h=Object.assign({networkRecords:await l.request(c,s),gatherContext:t,processedTrace:m,processedNavigation:g},e);switch(i.assertHasToplevelEvents(h.processedTrace.mainThreadEvents),d.throttlingMethod){case"simulate":if("navigation"!==t.gatherMode)throw new Error(t.gatherMode+" does not support throttlingMethod simulate");return this.computeSimulatedMetric(h,s);case"provided":case"devtools":return this.computeObservedMetric(h,s);default:throw new TypeError("Unrecognized throttling method: "+d.throttlingMethod)}}}},{"../../lib/tracehouse/trace-processor.js":169,"../network-records.js":40,"../processed-navigation.js":42,"../processed-trace.js":43}],34:[function(e,s,t){"use strict";const i=e("./metric.js");s.exports=class NavigationMetric extends i{
static computeSimulatedMetric(e,s){throw new Error("Unimplemented")}static computeObservedMetric(e,s){throw new Error("Unimplemented")}static async compute_(e,s){if("navigation"!==e.gatherContext.gatherMode)throw new Error(this.name+" can only be computed on navigations");return super.compute_(e,s)}}},{"./metric.js":33}],35:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./navigation-metric.js"),n=e("./lantern-speed-index.js"),l=e("../speedline.js");s.exports=i(class SpeedIndex extends a{static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return n.request(t,s)}static async computeObservedMetric(e,s){const t=await l.request(e.trace,s),i=Math.round(t.speedIndex),a=1e3*(i+t.beginning);return Promise.resolve({timing:i,timestamp:a})}})},{"../computed-artifact.js":9,"../speedline.js":46,"./lantern-speed-index.js":28,"./navigation-metric.js":34}],36:[function(e,s,t){"use strict"
;const i=e("../processed-trace.js"),a=e("../processed-navigation.js"),n=e("../speedline.js"),l=e("./first-contentful-paint.js"),u=e("./first-contentful-paint-all-frames.js"),c=e("./first-meaningful-paint.js"),d=e("./largest-contentful-paint.js"),m=e("./largest-contentful-paint-all-frames.js"),g=e("./interactive.js"),h=e("./cumulative-layout-shift.js"),p=e("./speed-index.js"),b=e("./max-potential-fid.js"),f=e("./total-blocking-time.js"),v=e("../computed-artifact.js");class TimingSummary{static async summarize(e,s,t,v,j){const k={trace:e,devtoolsLog:s,gatherContext:t,settings:v
},requestOrUndefined=(e,s)=>e.request(s,j).catch((e=>{})),y=await i.request(e,j),w=await requestOrUndefined(a,y),z=await n.request(e,j),T=await requestOrUndefined(l,k),S=await requestOrUndefined(u,k),x=await requestOrUndefined(c,k),D=await requestOrUndefined(d,k),C=await requestOrUndefined(m,k),_=await requestOrUndefined(g,k),P=await requestOrUndefined(h,e),A=await requestOrUndefined(b,k),L=await requestOrUndefined(p,k),R=await requestOrUndefined(f,k),{cumulativeLayoutShift:M,cumulativeLayoutShiftMainFrame:I,totalCumulativeLayoutShift:E}=P||{};return{metrics:{firstContentfulPaint:T&&T.timing,firstContentfulPaintTs:T&&T.timestamp,firstContentfulPaintAllFrames:S&&S.timing,firstContentfulPaintAllFramesTs:S&&S.timestamp,firstMeaningfulPaint:x&&x.timing,firstMeaningfulPaintTs:x&&x.timestamp,largestContentfulPaint:D&&D.timing,largestContentfulPaintTs:D&&D.timestamp,largestContentfulPaintAllFrames:C&&C.timing,largestContentfulPaintAllFramesTs:C&&C.timestamp,interactive:_&&_.timing,
interactiveTs:_&&_.timestamp,speedIndex:L&&L.timing,speedIndexTs:L&&L.timestamp,totalBlockingTime:R&&R.timing,maxPotentialFID:A&&A.timing,cumulativeLayoutShift:M,cumulativeLayoutShiftMainFrame:I,totalCumulativeLayoutShift:E,observedTimeOrigin:y.timings.timeOrigin,observedTimeOriginTs:y.timestamps.timeOrigin,observedNavigationStart:w&&w.timings.timeOrigin,observedNavigationStartTs:w&&w.timestamps.timeOrigin,observedFirstPaint:w&&w.timings.firstPaint,observedFirstPaintTs:w&&w.timestamps.firstPaint,observedFirstContentfulPaint:w&&w.timings.firstContentfulPaint,observedFirstContentfulPaintTs:w&&w.timestamps.firstContentfulPaint,observedFirstContentfulPaintAllFrames:w&&w.timings.firstContentfulPaintAllFrames,observedFirstContentfulPaintAllFramesTs:w&&w.timestamps.firstContentfulPaintAllFrames,observedFirstMeaningfulPaint:w&&w.timings.firstMeaningfulPaint,observedFirstMeaningfulPaintTs:w&&w.timestamps.firstMeaningfulPaint,observedLargestContentfulPaint:w&&w.timings.largestContentfulPaint,
observedLargestContentfulPaintTs:w&&w.timestamps.largestContentfulPaint,observedLargestContentfulPaintAllFrames:w&&w.timings.largestContentfulPaintAllFrames,observedLargestContentfulPaintAllFramesTs:w&&w.timestamps.largestContentfulPaintAllFrames,observedTraceEnd:y.timings.traceEnd,observedTraceEndTs:y.timestamps.traceEnd,observedLoad:w&&w.timings.load,observedLoadTs:w&&w.timestamps.load,observedDomContentLoaded:w&&w.timings.domContentLoaded,observedDomContentLoadedTs:w&&w.timestamps.domContentLoaded,observedCumulativeLayoutShift:M,observedCumulativeLayoutShiftMainFrame:I,observedTotalCumulativeLayoutShift:E,observedFirstVisualChange:z.first,observedFirstVisualChangeTs:1e3*(z.first+z.beginning),observedLastVisualChange:z.complete,observedLastVisualChangeTs:1e3*(z.complete+z.beginning),observedSpeedIndex:z.speedIndex,observedSpeedIndexTs:1e3*(z.speedIndex+z.beginning)},debugInfo:{lcpInvalidated:!(!w||!w.lcpInvalidated)}}}static async compute_(e,s){
return TimingSummary.summarize(e.trace,e.devtoolsLog,e.gatherContext,e.settings,s)}}s.exports=v(TimingSummary)},{"../computed-artifact.js":9,"../processed-navigation.js":42,"../processed-trace.js":43,"../speedline.js":46,"./cumulative-layout-shift.js":17,"./first-contentful-paint-all-frames.js":18,"./first-contentful-paint.js":19,"./first-meaningful-paint.js":20,"./interactive.js":21,"./largest-contentful-paint-all-frames.js":30,"./largest-contentful-paint.js":31,"./max-potential-fid.js":32,"./speed-index.js":35,"./total-blocking-time.js":37}],37:[function(e,s,t){"use strict";const i=e("../computed-artifact.js"),a=e("./metric.js"),n=e("../../lib/tracehouse/trace-processor.js"),l=e("./lantern-total-blocking-time.js"),u=e("./interactive.js");class TotalBlockingTime extends a{static get BLOCKING_TIME_THRESHOLD(){return 50}static calculateSumOfBlockingTime(e,s,t){if(t<=s)return 0;const i=TotalBlockingTime.BLOCKING_TIME_THRESHOLD;let a=0;for(const n of e){if(n.duration<i)continue
;if(n.end<s)continue;if(n.start>t)continue;const e=Math.max(n.start,s),l=Math.min(n.end,t)-e;l<i||(a+=l-i)}return a}static computeSimulatedMetric(e,s){const t=a.getMetricComputationInput(e);return l.request(t,s)}static async computeObservedMetric(e,s){const t=n.getMainThreadTopLevelEvents(e.processedTrace);if(e.processedNavigation){const{firstContentfulPaint:i}=e.processedNavigation.timings,n=a.getMetricComputationInput(e),l=(await u.request(n,s)).timing;return{timing:TotalBlockingTime.calculateSumOfBlockingTime(t,i,l)}}return{timing:TotalBlockingTime.calculateSumOfBlockingTime(t,0,e.processedTrace.timestamps.traceEnd)}}}s.exports=i(TotalBlockingTime)},{"../../lib/tracehouse/trace-processor.js":169,"../computed-artifact.js":9,"./interactive.js":21,"./lantern-total-blocking-time.js":29,"./metric.js":33}],38:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("./js-bundles.js");class ModuleDuplication{static normalizeSource(e){
const s=(e=e.replace(/\?$/,"")).lastIndexOf("node_modules");return-1!==s&&(e=e.substring(s)),e}static _shouldIgnoreSource(e){return!!e.includes("webpack/bootstrap")||(!!e.includes("(webpack)/buildin")||!!e.includes("external "))}static _normalizeAggregatedData(e){for(const[s,t]of e.entries()){let i=t;if(i.sort(((e,s)=>s.resourceSize-e.resourceSize)),i.length>1){const e=i[0].resourceSize;i=i.filter((s=>s.resourceSize/e>=.1))}i=i.filter((e=>e.resourceSize>=512)),i.length>1?e.set(s,i):e.delete(s)}}static async compute_(e,s){const t=await a.request(e,s),i=new Map;for(const{rawMap:e,sizes:s}of t){if("errorMessage"in s)continue;const t=[];i.set(e,t);for(let i=0;i<e.sources.length;i++){if(this._shouldIgnoreSource(e.sources[i]))continue;const a=(e.sourceRoot||"")+e.sources[i],n=s.files[a];t.push({source:ModuleDuplication.normalizeSource(e.sources[i]),resourceSize:n})}}const n=new Map;for(const{rawMap:e,script:s}of t){const t=i.get(e);if(t)for(const e of t){let t=n.get(e.source);t||(t=[],
n.set(e.source,t)),t.push({scriptUrl:s.src||"",resourceSize:e.resourceSize})}}return this._normalizeAggregatedData(n),n}}s.exports=i(ModuleDuplication)},{"./computed-artifact.js":9,"./js-bundles.js":12}],39:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/dependency-graph/simulator/network-analyzer.js"),n=e("./network-records.js");class NetworkAnalysis{static computeRTTAndServerResponseTime(e){const s=new Map;for(const[t,i]of a.estimateRTTByOrigin(e).entries())s.set(t,i.min);const t=Math.min(...Array.from(s.values())),i=a.estimateServerResponseTimeByOrigin(e,{rttByOrigin:s}),n=new Map,l=new Map;for(const[e,a]of i.entries()){const i=s.get(e)||t;n.set(e,i-t),l.set(e,a.median)}return{rtt:t,additionalRttByOrigin:n,serverResponseTimeByOrigin:l}}static async compute_(e,s){const t=await n.request(e,s);return{throughput:a.estimateThroughput(t),...NetworkAnalysis.computeRTTAndServerResponseTime(t)}}}s.exports=i(NetworkAnalysis)},{
"../lib/dependency-graph/simulator/network-analyzer.js":92,"./computed-artifact.js":9,"./network-records.js":40}],40:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/network-recorder.js");s.exports=i(class NetworkRecords{static async compute_(e){return a.recordsFromLogs(e)}})},{"../lib/network-recorder.js":157,"./computed-artifact.js":9}],41:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/dependency-graph/network-node.js"),n=e("../lib/dependency-graph/cpu-node.js"),l=e("../lib/dependency-graph/simulator/network-analyzer.js"),u=e("../lib/tracehouse/trace-processor.js"),c=e("../lib/network-request.js"),d=e("./processed-trace.js"),m=e("./network-records.js"),g=/^video/;class PageDependencyGraph{static getNetworkInitiators(e){if(!e.initiator)return[];if(e.initiator.url)return[e.initiator.url];if("script"===e.initiator.type){const s=new Set;let t=e.initiator.stack;for(;t;){const e=t.callFrames||[]
;for(const t of e)t.url&&s.add(t.url);t=t.parent}return Array.from(s)}return[]}static getNetworkNodeOutput(e){const s=[],t=new Map,i=new Map,n=new Map;return e.forEach((e=>{if(g.test(e.mimeType))return;for(;t.has(e.requestId);)e.requestId+=":duplicate";const l=new a(e);s.push(l);const u=i.get(e.url)||[];if(u.push(l),t.set(e.requestId,l),i.set(e.url,u),e.frameId&&e.resourceType===c.TYPES.Document&&e.documentURL===e.url){const s=n.has(e.frameId)?null:l;n.set(e.frameId,s)}})),{nodes:s,idToNodeMap:t,urlToNodeMap:i,frameIdToNodeMap:n}}static getCPUNodes({mainThreadEvents:e}){const s=[];let t=0;for(u.assertHasToplevelEvents(e);t<e.length;){const i=e[t];if(t++,!u.isScheduleableTask(i)||!i.dur)continue;const a=[];for(const s=i.ts+i.dur;t<e.length&&e[t].ts<s;t++)a.push(e[t]);s.push(new n(i,a))}return s}static linkNetworkNodes(e,s){s.nodes.forEach((t=>{const i=t.record.initiatorRequest||e.record,a=s.idToNodeMap.get(i.requestId)||e,n=PageDependencyGraph.getNetworkInitiators(t.record)
;if(n.length?n.forEach((e=>{const i=s.urlToNodeMap.get(e)||[];1===i.length&&i[0].startTime<=t.startTime&&!i[0].isDependentOn(t)?t.addDependency(i[0]):a.isDependentOn(t)||a.addDependent(t)})):a.isDependentOn(t)||a.addDependent(t),t!==e&&0===t.getDependencies().length&&t.addDependency(e),!t.record.redirects)return;const l=[...t.record.redirects,t.record];for(let e=1;e<l.length;e++){const t=s.idToNodeMap.get(l[e-1].requestId),i=s.idToNodeMap.get(l[e].requestId);i&&t&&i.addDependency(t)}}))}static linkCPUNodes(e,s,t){const i=new Set([c.TYPES.XHR,c.TYPES.Fetch,c.TYPES.Script]);function addDependentNetworkRequest(e,t){const a=s.idToNodeMap.get(t);if(!a||a.startTime<=e.startTime)return;const{record:n}=a,l=n.resourceType||n.redirectDestination&&n.redirectDestination.resourceType;i.has(l)&&e.addDependent(a)}function addDependencyOnFrame(e,t){if(!t)return;const i=s.frameIdToNodeMap.get(t);i&&(i.startTime>=e.startTime||e.addDependency(i))}function addDependencyOnUrl(e,t){if(!t)return
;const i=s.urlToNodeMap.get(t)||[];let a=null,n=1/0;for(const s of i){if(e.startTime<=s.startTime)return;const t=e.startTime-s.endTime;t>=-1e5&&t<n&&(a=s,n=t)}a&&e.addDependency(a)}const a=new Map;for(const s of t){for(const e of s.childEvents){if(!e.args.data)continue;const t=e.args.data.url,i=(e.args.data.stackTrace||[]).map((e=>e.url)).filter(Boolean);switch(e.name){case"TimerInstall":a.set(e.args.data.timerId,s),i.forEach((e=>addDependencyOnUrl(s,e)));break;case"TimerFire":{const t=a.get(e.args.data.timerId);if(!t||t.endTime>s.startTime)break;t.addDependent(s);break}case"InvalidateLayout":case"ScheduleStyleRecalculation":addDependencyOnFrame(s,e.args.data.frame),i.forEach((e=>addDependencyOnUrl(s,e)));break;case"EvaluateScript":addDependencyOnFrame(s,e.args.data.frame),addDependencyOnUrl(s,t),i.forEach((e=>addDependencyOnUrl(s,e)));break;case"XHRReadyStateChange":if(4!==e.args.data.readyState)break;addDependencyOnUrl(s,t),i.forEach((e=>addDependencyOnUrl(s,e)));break
;case"FunctionCall":case"v8.compile":addDependencyOnFrame(s,e.args.data.frame),addDependencyOnUrl(s,t);break;case"ParseAuthorStyleSheet":addDependencyOnFrame(s,e.args.data.frame),addDependencyOnUrl(s,e.args.data.styleSheetUrl);break;case"ResourceSendRequest":addDependencyOnFrame(s,e.args.data.frame),addDependentNetworkRequest(s,e.args.data.requestId),i.forEach((e=>addDependencyOnUrl(s,e)))}}0===s.getNumberOfDependencies()&&s.addDependency(e)}let n=!1,l=!1,u=!1;for(const e of t){let s=!1;!n&&e.childEvents.some((e=>"Layout"===e.name))&&(s=n=!0),!l&&e.childEvents.some((e=>"Paint"===e.name))&&(s=l=!0),!u&&e.childEvents.some((e=>"ParseHTML"===e.name))&&(s=u=!0),s||e.event.dur>=1e4||(1===e.getNumberOfDependencies()||e.getNumberOfDependents()<=1)&&PageDependencyGraph._pruneNode(e)}}static _pruneNode(e){const s=e.getDependencies(),t=e.getDependents();for(const i of s){e.removeDependency(i);for(const e of t)i.addDependent(e)}for(const s of t)e.removeDependent(s)}static createGraph(e,s){
const t=PageDependencyGraph.getNetworkNodeOutput(s),i=PageDependencyGraph.getCPUNodes(e),n=s.reduce(((e,s)=>s.startTime<e.startTime?s:e)),u=t.idToNodeMap.get(n.requestId),c=l.findMainDocument(s),d=t.idToNodeMap.get(c.requestId);if(!u||!d)throw new Error((u?"mainDocument":"root")+"Node not found.");if(!(d===u||d.record.redirects&&d.record.redirects.includes(u.record)))throw new Error("Root node was not in redirect chain of mainDocument");if(PageDependencyGraph.linkNetworkNodes(u,t),PageDependencyGraph.linkCPUNodes(u,t,i),d.setIsMainDocument(!0),a.hasCycle(u))throw new Error("Invalid dependency graph created, cycle detected");return u}static printGraph(e,s=100){function padRight(e,s,t=" "){return e+t.repeat(Math.max(s-e.length,0))}const t=[];e.traverse((e=>t.push(e))),t.sort(((e,s)=>e.startTime-s.startTime));const i=t[0].startTime,a=(t.reduce(((e,s)=>Math.max(e,s.endTime)),0)-i)/s;t.forEach((e=>{
const t=Math.round((e.startTime-i)/a),n=Math.ceil((e.endTime-e.startTime)/a),l=padRight("",t)+padRight("",n,"="),u=e.record?e.record.url:e.type;console.log(padRight(l,s),"| "+u.slice(0,30))}))}static async compute_(e,s){const t=e.trace,i=e.devtoolsLog,[a,n]=await Promise.all([d.request(t,s),m.request(i,s)]);return PageDependencyGraph.createGraph(a,n)}}s.exports=i(PageDependencyGraph)},{"../lib/dependency-graph/cpu-node.js":88,"../lib/dependency-graph/network-node.js":89,"../lib/dependency-graph/simulator/network-analyzer.js":92,"../lib/network-request.js":158,"../lib/tracehouse/trace-processor.js":169,"./computed-artifact.js":9,"./network-records.js":40,"./processed-trace.js":43}],42:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../lib/lh-trace-processor.js");s.exports=i(class ProcessedNavigation{static async compute_(e){return a.processNavigation(e)}})},{"../lib/lh-trace-processor.js":153,"./computed-artifact.js":9}],43:[function(e,s,t){"use strict"
;const i=e("./computed-artifact.js"),a=e("../lib/lh-trace-processor.js");s.exports=i(class ProcessedTrace{static async compute_(e){return a.processTrace(e)}})},{"../lib/lh-trace-processor.js":153,"./computed-artifact.js":9}],44:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("./network-records.js"),n=e("../lib/url-shim.js"),l=e("../lib/network-request.js"),u=e("../config/budget.js"),c=e("../../report/renderer/util.js");class ResourceSummary{static determineResourceType(e){if(!e.resourceType)return"other";return{Stylesheet:"stylesheet",Image:"image",Media:"media",Font:"font",Script:"script",Document:"document"}[e.resourceType]||"other"}static summarize(e,s,t){const i={stylesheet:{count:0,resourceSize:0,transferSize:0},image:{count:0,resourceSize:0,transferSize:0},media:{count:0,resourceSize:0,transferSize:0},font:{count:0,resourceSize:0,transferSize:0},script:{count:0,resourceSize:0,transferSize:0},document:{count:0,resourceSize:0,transferSize:0},other:{count:0,
resourceSize:0,transferSize:0},total:{count:0,resourceSize:0,transferSize:0},"third-party":{count:0,resourceSize:0,transferSize:0}},a=u.getMatchingBudget(t,s);let d=[];if(a&&a.options&&a.options.firstPartyHostnames)d=a.options.firstPartyHostnames;else{const e=c.getRootDomain(s);d=["*."+e]}return e.filter((e=>("other"!==this.determineResourceType(e)||!e.url.endsWith("/favicon.ico"))&&!l.isNonNetworkRequest(e))).forEach((e=>{const s=this.determineResourceType(e);i[s].count++,i[s].resourceSize+=e.resourceSize,i[s].transferSize+=e.transferSize,i.total.count++,i.total.resourceSize+=e.resourceSize,i.total.transferSize+=e.transferSize;d.some((s=>{const t=new n(e.url);return s.startsWith("*.")?t.hostname.endsWith(s.slice(2)):t.hostname===s}))||(i["third-party"].count++,i["third-party"].resourceSize+=e.resourceSize,i["third-party"].transferSize+=e.transferSize)})),i}static async compute_(e,s){const t=await a.request(e.devtoolsLog,s);return ResourceSummary.summarize(t,e.URL.finalUrl,e.budgets)}}
s.exports=i(ResourceSummary)},{"../../report/renderer/util.js":309,"../config/budget.js":52,"../lib/network-request.js":158,"../lib/url-shim.js":"url","./computed-artifact.js":9,"./network-records.js":40}],45:[function(e,s,t){"use strict";const i=e("./computed-artifact.js");s.exports=i(class Screenshots{static async compute_(e){return e.traceEvents.filter((e=>"Screenshot"===e.name)).map((e=>({timestamp:e.ts,datauri:"data:image/jpeg;base64,"+e.args.snapshot})))}})},{"./computed-artifact.js":9}],46:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("speedline-core"),n=e("../lib/lh-error.js"),l=e("./processed-trace.js");s.exports=i(class Speedline{static async compute_(e,s){return l.request(e,s).then((s=>{const t=e.traceEvents.slice(),i=s.timestamps.timeOrigin;return a(t,{timeOrigin:i,fastMode:!0,include:"speedIndex"})})).catch((e=>{if(/No screenshots found in trace/.test(e.message))throw new n(n.errors.NO_SCREENSHOTS);throw e})).then((e=>{
if(0===e.frames.length)throw new n(n.errors.NO_SPEEDLINE_FRAMES);if(0===e.speedIndex)throw new n(n.errors.SPEEDINDEX_OF_ZERO);return e}))}})},{"../lib/lh-error.js":152,"./computed-artifact.js":9,"./processed-trace.js":43,"speedline-core":281}],47:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("./computed-artifact.js"),n=e("./processed-trace.js"),l=e("./processed-navigation.js");i.warn("trace-of-tab","trace-of-tab is deprecated, use processed-trace / processed-navigation instead"),s.exports=a(class TraceOfTab{static async compute_(e,s){const t=await n.request(e,s),i=await l.request(t,s);return{...t,...i}}})},{"./computed-artifact.js":9,"./processed-navigation.js":42,"./processed-trace.js":43,"lighthouse-logger":237}],48:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("../audits/byte-efficiency/byte-efficiency-audit.js"),n=e("./network-records.js"),l=100;class UnusedCSS{static indexStylesheetsById(e,s){
const t=s.filter((e=>e.resourceSize>0)).reduce(((e,s)=>(e[s.url]=s,e)),{});return e.reduce(((e,s)=>(e[s.header.styleSheetId]=Object.assign({usedRules:[],networkRecord:t[s.header.sourceURL]},s),e)),{})}static indexUsedRules(e,s){e.forEach((e=>{const t=s[e.styleSheetId];t&&e.used&&t.usedRules.push(e)}))}static computeUsage(e){let s=0;const t=e.content.length;for(const t of e.usedRules)s+=t.endOffset-t.startOffset;const i=a.estimateTransferSize(e.networkRecord,t,"Stylesheet"),n=(t-s)/t;return{wastedBytes:Math.round(n*i),wastedPercent:100*n,totalBytes:i}}static determineContentPreview(e){let s=(e||"").slice(0,500).replace(/( {2,}|\t)+/g,"  ").replace(/\n\s+}/g,"\n}").trim();if(s.length>l){const e=s.indexOf("{"),t=s.indexOf("}");if(-1===e||-1===t||e>t||e>l)s=s.slice(0,l)+"...";else if(t<l)s=s.slice(0,t+1)+" ...";else{const t=s.slice(0,l).lastIndexOf(";");s=t<e?s.slice(0,l)+"... } ...":s.slice(0,t+1)+" ... } ..."}}return s}static mapSheetToResult(e,s){let t=e.header.sourceURL;if(!t||t===s){
t=UnusedCSS.determineContentPreview(e.content)}return{url:t,...UnusedCSS.computeUsage(e)}}static async compute_(e,s){const{CSSUsage:t,URL:i,devtoolsLog:a}=e,l=await n.request(a,s),u=UnusedCSS.indexStylesheetsById(t.stylesheets,l);UnusedCSS.indexUsedRules(t.rules,u);return Object.keys(u).map((e=>UnusedCSS.mapSheetToResult(u[e],i.finalUrl)))}}s.exports=i(UnusedCSS)},{"../audits/byte-efficiency/byte-efficiency-audit.js":4,"./computed-artifact.js":9,"./network-records.js":40}],49:[function(e,s,t){"use strict";const i=e("./computed-artifact.js");class UnusedJavascriptSummary{static computeWaste(e){let s=0;for(const t of e.functions)s=Math.max(s,...t.ranges.map((e=>e.endOffset)));const t=new Uint8Array(s);for(const s of e.functions)for(const e of s.ranges)if(0===e.count)for(let s=e.startOffset;s<e.endOffset;s++)t[s]=1;let i=0;for(const e of t)i+=e;return{unusedByIndex:t,unusedLength:i,contentLength:s}}static createItem(e,s){const t=s.unused/s.content||0,i=Math.round(s.content*t);return{
url:e,totalBytes:s.content,wastedBytes:i,wastedPercent:100*t}}static determineLengths(e){let s=0,t=0;for(const i of e)s+=i.unusedLength,t+=i.contentLength;return{content:t,unused:s}}static createSourceWastedBytes(e,s){if(!s.script.content)return;const t={},i=s.script.content.split("\n").map((e=>e.length));let a=0;const n=i.map((e=>{const s=a;return a+=e+1,s}));s.map.computeLastGeneratedColumns();for(const a of s.map.mappings()){let s=n[a.lineNumber];s+=a.columnNumber;const l=a.lastColumnNumber-1||i[a.lineNumber];for(let i=a.columnNumber;i<=l;i++){if(e.every((e=>1===e.unusedByIndex[s]))){const e=a.sourceURL||"(unmapped)";t[e]=(t[e]||0)+1}s+=1}}const l=Object.entries(t).sort((([e,s],[t,i])=>i-s)),u={};for(const[e,s]of l)u[e]=s;return u}static async compute_(e){const{url:s,scriptCoverages:t,bundle:i}=e,a=t.map(UnusedJavascriptSummary.computeWaste),n=UnusedJavascriptSummary.determineLengths(a),l=UnusedJavascriptSummary.createItem(s,n);return i?{...l,
sourcesWastedBytes:UnusedJavascriptSummary.createSourceWastedBytes(a,i)}:l}}s.exports=i(UnusedJavascriptSummary)},{"./computed-artifact.js":9}],50:[function(e,s,t){"use strict";const i=e("./computed-artifact.js"),a=e("./processed-trace.js");s.exports=i(class UserTimings{static async compute_(e,s){const t=await a.request(e,s),i=[],n={};return t.processEvents.filter((e=>!!e.cat.includes("blink.user_timing")&&("requestStart"!==e.name&&"navigationStart"!==e.name&&"paintNonDefaultBackgroundColor"!==e.name&&void 0===e.args.frame))).forEach((e=>{"R"===e.ph||"I"===e.ph.toUpperCase()?i.push({name:e.name,isMark:!0,args:e.args,startTime:e.ts}):"b"===e.ph.toLowerCase()?n[e.name]=e.ts:"e"===e.ph.toLowerCase()&&i.push({name:e.name,isMark:!1,args:e.args,startTime:n[e.name],endTime:e.ts,duration:e.ts-n[e.name]})})),i.forEach((e=>{e.startTime=(e.startTime-t.timeOriginEvt.ts)/1e3,e.isMark||(e.endTime=(e.endTime-t.timeOriginEvt.ts)/1e3,e.duration=e.duration/1e3)})),i}})},{"./computed-artifact.js":9,
"./processed-trace.js":43}],51:[function(e,s,t){"use strict";const i=e("metaviewport-parser"),a=e("./computed-artifact.js");s.exports=a(class ViewportMeta{static async compute_(e){const s=e.find((e=>"viewport"===e.name));if(!s)return{hasViewportTag:!1,isMobileOptimized:!1,parserWarnings:[]};const t=[],a=i.parseMetaViewPortContent(s.content||"");Object.keys(a.unknownProperties).length&&t.push("Invalid properties found: "+JSON.stringify(a.unknownProperties)),Object.keys(a.invalidValues).length&&t.push("Invalid values found: "+JSON.stringify(a.invalidValues));const n=a.validProperties;return{hasViewportTag:!0,isMobileOptimized:Boolean(n.width||n["initial-scale"]),parserWarnings:t}}})},{"./computed-artifact.js":9,"metaviewport-parser":269}],52:[function(e,s,t){"use strict";function isArrayOfUnknownObjects(e){return Array.isArray(e)&&e.every(isObjectOfUnknownProperties)}function isObjectOfUnknownProperties(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)}function isNumber(e){
return"number"==typeof e&&!isNaN(e)}class Budget{static assertNoExcessProperties(e,s){const t=Object.keys(e);if(t.length>0){const e=t.join(", ");throw new Error(`${s} has unrecognized properties: [${e}]`)}}static assertNoDuplicateStrings(e,s){const t=new Set;for(const i of e){if(t.has(i))throw new Error(`${s} has duplicate entry of type '${i}'`);t.add(i)}}static validateResourceBudget(e){const{resourceType:s,budget:t,...i}=e;Budget.assertNoExcessProperties(i,"Resource Budget");const a=["total","document","script","stylesheet","image","media","font","other","third-party"];if(!a.includes(s))throw new Error(`Invalid resource type: ${s}. \nValid resource types are: `+a.join(", "));if(!isNumber(t))throw new Error("Invalid budget: "+t);return{resourceType:s,budget:t}}static throwInvalidPathError(e,s){
throw new Error(`Invalid path ${e}. ${s}\n'Path' should be specified using the 'robots.txt' format.\nLearn more about the 'robots.txt' format here:\nhttps://developers.google.com/search/reference/robots_txt#url-matching-based-on-path-values`)}static validatePath(e){if(void 0!==e){if("string"==typeof e)return e.startsWith("/")?(e.match(/\*/g)||[]).length>1?this.throwInvalidPathError(e,"Path should only contain one '*'."):(e.match(/\$/g)||[]).length>1?this.throwInvalidPathError(e,"Path should only contain one '$' character."):e.includes("$")&&!e.endsWith("$")&&this.throwInvalidPathError(e,"'$' character should only occur at end of path."):this.throwInvalidPathError(e,"Path should start with '/'."),e;this.throwInvalidPathError(e,"Path should be a string.")}}static getMatchingBudget(e,s){if(null!==e)for(let t=e.length-1;t>=0;t--){const i=e[t];if(this.urlMatchesPattern(s,i.path))return i}}static urlMatchesPattern(e,s="/"){
const t=new URL(e),i=t.pathname+t.search,a=s.includes("*"),n=s.includes("$");if(!a&&!n)return i.startsWith(s);if(!a&&n)return i===s.slice(0,-1);if(a&&!n){const[e,t]=s.split("*"),a=i.slice(e.length);return i.startsWith(e)&&a.includes(t)}if(a&&n){const[e,t]=s.split("*"),a=i.slice(e.length);return i.startsWith(e)&&a.endsWith(t.slice(0,-1))}return!1}static validateTimingBudget(e){const{metric:s,budget:t,...i}=e;Budget.assertNoExcessProperties(i,"Timing Budget");const a=["first-contentful-paint","interactive","first-meaningful-paint","max-potential-fid","total-blocking-time","speed-index","largest-contentful-paint","cumulative-layout-shift"];if(!a.includes(s))throw new Error(`Invalid timing metric: ${s}. \nValid timing metrics are: `+a.join(", "));if(!isNumber(t))throw new Error("Invalid budget: "+t);return{metric:s,budget:t}}static validateHostname(e){const s=e+" is not a valid hostname.";if(0===e.length)throw new Error(s);if(e.includes("/"))throw new Error(s)
;if(e.includes(":"))throw new Error(s);if(e.includes("*")&&(!e.startsWith("*.")||e.lastIndexOf("*")>0))throw new Error(s);return e}static validateHostnames(e){if(Array.isArray(e)&&e.every((e=>"string"==typeof e)))return e.map(Budget.validateHostname);if(void 0!==e)throw new Error("firstPartyHostnames should be defined as an array of strings.")}static initializeBudget(e){if(!isArrayOfUnknownObjects(e=JSON.parse(JSON.stringify(e))))throw new Error("Budget file is not defined as an array of budgets.");return e.map(((e,s)=>{const t={},{path:i,options:a,resourceSizes:n,resourceCounts:l,timings:u,...c}=e;if(Budget.assertNoExcessProperties(c,"Budget"),t.path=Budget.validatePath(i),isObjectOfUnknownProperties(a)){const{firstPartyHostnames:e,...s}=a;Budget.assertNoExcessProperties(s,"Options property"),t.options={},t.options.firstPartyHostnames=Budget.validateHostnames(e)}else if(void 0!==a)throw new Error("Invalid options property in budget at index "+s)
;if(isArrayOfUnknownObjects(n))t.resourceSizes=n.map(Budget.validateResourceBudget),Budget.assertNoDuplicateStrings(t.resourceSizes.map((e=>e.resourceType)),`budgets[${s}].resourceSizes`);else if(void 0!==n)throw new Error("Invalid resourceSizes entry in budget at index "+s);if(isArrayOfUnknownObjects(l))t.resourceCounts=l.map(Budget.validateResourceBudget),Budget.assertNoDuplicateStrings(t.resourceCounts.map((e=>e.resourceType)),`budgets[${s}].resourceCounts`);else if(void 0!==l)throw new Error("Invalid resourceCounts entry in budget at index "+s);if(isArrayOfUnknownObjects(u))t.timings=u.map(Budget.validateTimingBudget),Budget.assertNoDuplicateStrings(t.timings.map((e=>e.metric)),`budgets[${s}].timings`);else if(void 0!==u)throw new Error("Invalid timings entry in budget at index "+s);return t}))}}s.exports=Budget},{}],53:[function(e,s,t){(function(t,i,a){(function(){"use strict"
;const n=e("path"),l=e("lodash.isequal"),u=e("./constants.js"),c=e("./budget.js"),d=e("../audits/audit.js"),m=e("../runner.js"),g=e("../lib/i18n/i18n.js"),mergeOptionsOfItems=function(e){const s=[];for(const t of e){const e=t.path&&s.find((e=>e.path===t.path));e?e.options=Object.assign({},e.options,t.options):s.push(t)}return s};const h=function _mergeConfigFragment(e,s,t=!1){if(null==e)return s;if(void 0===s)return e;if(Array.isArray(s)){if(t)return s;if(!Array.isArray(e))throw new TypeError("Expected array but got "+typeof e);const i=e.slice();return s.forEach((e=>{i.some((s=>l(s,e)))||i.push(e)})),i}if("object"==typeof s){if("object"!=typeof e)throw new TypeError("Expected object but got "+typeof e);if(Array.isArray(e))throw new TypeError("Expected object but got Array");return Object.keys(s).forEach((i=>{const a=t||"settings"===i&&"object"==typeof e[i];e[i]=_mergeConfigFragment(e[i],s[i],a)})),e}return s};function resolveModulePath(s,i,l){try{return e.resolve(s)}catch(e){}try{
return e.resolve(s,{paths:[t.cwd()]})}catch(e){}const u=n.resolve(t.cwd(),s);try{return e.resolve(u)}catch(e){}const c="Unable to locate "+(l?l+": ":"")+`\`${s}\`.\n     Tried to require() from these locations:\n       ${a}\n       ${u}`;if(!i)throw new Error(c);const d=n.resolve(i,s);try{return e.resolve(d)}catch(e){}try{return e.resolve(s,{paths:[i]})}catch(e){}throw new Error(c+"\n       "+d)}function shallowClone(e){return"object"==typeof e?Object.assign(Object.create(Object.getPrototypeOf(e)),e):e}function deepClone(e){return JSON.parse(JSON.stringify(e))}s.exports={deepClone,deepCloneConfigJson:function deepCloneConfigJson(e){const s=deepClone(e);if(Array.isArray(s.passes)&&Array.isArray(e.passes))for(let t=0;t<s.passes.length;t++){s.passes[t].gatherers=(e.passes[t].gatherers||[]).map((e=>shallowClone(e)))}return Array.isArray(e.audits)&&(s.audits=e.audits.map((e=>shallowClone(e)))),Array.isArray(e.artifacts)&&(s.artifacts=e.artifacts.map((e=>({...e,
gatherer:shallowClone(e.gatherer)})))),s},mergeOptionsOfItems,mergeConfigFragment:h,resolveSettings:function resolveSettings(e={},s){const t=g.lookupLocale(s&&s.locale||e.locale),{defaultSettings:i}=u,a=h(deepClone(i),e,!0),n=h(a,function cleanFlagsForSettings(e={}){const s={};for(const t of Object.keys(e))t in u.defaultSettings&&(s[t]=e[t]);return s}(s),!0);return n.budgets&&(n.budgets=c.initializeBudget(n.budgets)),n.locale=t,!0===n.emulatedUserAgent&&(n.emulatedUserAgent=u.userAgents[n.formFactor]),function assertValidSettings(e){if(!e.formFactor)throw new Error("`settings.formFactor` must be defined as 'mobile' or 'desktop'. See https://github.com/GoogleChrome/lighthouse/blob/master/docs/emulation.md")
;if(!e.screenEmulation.disabled&&e.screenEmulation.mobile!==("mobile"===e.formFactor))throw new Error(`Screen emulation mobile setting (${e.screenEmulation.mobile}) does not match formFactor setting (${e.formFactor}). See https://github.com/GoogleChrome/lighthouse/blob/master/docs/emulation.md`)}(n),n},resolveGathererToDefn:function resolveGathererToDefn(s,t,i){const a=function expandGathererShorthand(e){if("string"==typeof e)return{path:e};if("implementation"in e||"instance"in e)return e;if("path"in e){if("string"!=typeof e.path)throw new Error("Invalid Gatherer type "+JSON.stringify(e));return e}if("function"==typeof e)return{implementation:e};if(e&&"function"==typeof e.beforePass)return{instance:e};throw new Error("Invalid Gatherer type "+JSON.stringify(e))}(s);if(a.instance)return{instance:a.instance,implementation:a.implementation,path:a.path};if(a.implementation){return{instance:new(0,a.implementation),implementation:a.implementation,path:a.path}}if(a.path){
return function requireGatherer(s,t,i){const a=t.find((e=>e===s+".js"));let n="../gather/gatherers/"+s;a||(n=resolveModulePath(s,i,"gatherer"));const l=e(n);return{instance:new l,implementation:l,path:s}}(a.path,t,i)}throw new Error("Invalid expanded Gatherer: "+JSON.stringify(a))},resolveAuditsToDefns:function resolveAuditsToDefns(s,t){if(!s)return null;const l=m.getAuditList(),u=s.map((s=>{const u=function expandAuditShorthand(e){if("string"==typeof e)return{path:e,options:{}};if("implementation"in e&&"function"==typeof e.implementation.audit)return e;if("path"in e&&"string"==typeof e.path)return e;if("audit"in e&&"function"==typeof e.audit)return{implementation:e,options:{}};throw new Error("Invalid Audit type "+JSON.stringify(e))}(s);let c;return c="implementation"in u?u.implementation:function requireAudit(s,t,l){const u=s+".js";let c="../audits/"+s;if(!t.find((e=>e===u)))if(i.isDevtools||i.isLightrider)c=s;else{const e=resolveModulePath(s,l,"audit");c=n.relative(a,e)}return e(c)
}(u.path,l,t),{implementation:c,path:u.path,options:u.options||{}}})),c=mergeOptionsOfItems(u);return c.forEach((e=>function assertValidAudit(e){const{implementation:s,path:t}=e,i=t||s&&s.meta&&s.meta.id||"Unknown audit";if("function"!=typeof s.audit||s.audit===d.audit)throw new Error(i+" has no audit() method.");if("string"!=typeof s.meta.id)throw new Error(i+" has no meta.id property, or the property is not a string.");if(!g.isStringOrIcuMessage(s.meta.title))throw new Error(i+" has no meta.title property, or the property is not a string.");if(!g.isStringOrIcuMessage(s.meta.failureTitle)&&s.meta.scoreDisplayMode===d.SCORING_MODES.BINARY)throw new Error(i+" has no failureTitle and should.");if(!g.isStringOrIcuMessage(s.meta.description))throw new Error(i+" has no meta.description property, or the property is not a string.");if(""===s.meta.description)throw new Error(i+" has an empty meta.description string. Please add a description for the UI.")
;if(!Array.isArray(s.meta.requiredArtifacts))throw new Error(i+" has no meta.requiredArtifacts property, or the property is not an array.")}(e))),c},resolveModulePath}}).call(this)}).call(this,e("_process"),"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{},"/lighthouse-core/config")},{"../audits/audit.js":3,"../lib/i18n/i18n.js":97,"../runner.js":172,"./budget.js":52,"./constants.js":56,_process:272,"lodash.isequal":266,path:271}],54:[function(e,s,t){"use strict";const i=e("../lib/i18n/i18n.js");function isArrayOfUnknownObjects(e){return Array.isArray(e)&&e.every(isObjectOfUnknownProperties)}function isObjectOfUnknownProperties(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)}function assertNoExcessProperties(e,s,t=""){t&&(t+=" ");const i=Object.keys(e);if(i.length>0){const e=i.join(", ");throw new Error(`${s} has unrecognized ${t}properties: [${e}]`)}}class ConfigPlugin{static _parseAuditsList(e,s){if(void 0!==e){
if(!isArrayOfUnknownObjects(e))throw new Error(s+" has an invalid audits array.");return e.map((e=>{const{path:t,...i}=e;if(assertNoExcessProperties(i,s,"audit"),"string"!=typeof t)throw new Error(s+" has a missing audit path.");return{path:t}}))}}static _parseAuditRefsList(e,s){if(!isArrayOfUnknownObjects(e))throw new Error(s+" has no valid auditsRefs.");return e.map((e=>{const{id:t,weight:i,group:a,...n}=e;if(assertNoExcessProperties(n,s,"auditRef"),"string"!=typeof t)throw new Error(s+" has an invalid auditRef id.");if("number"!=typeof i)throw new Error(s+" has an invalid auditRef weight.");if("string"!=typeof a&&void 0!==a)throw new Error(s+" has an invalid auditRef group.");return{id:t,weight:i,group:a?`${s}-${a}`:a}}))}static _parseCategory(e,s){if(!isObjectOfUnknownProperties(e))throw new Error(s+" has no valid category.");const{title:t,description:a,manualDescription:n,auditRefs:l,...u}=e;if(assertNoExcessProperties(u,s,"category"),
!i.isStringOrIcuMessage(t))throw new Error(s+" has an invalid category tile.");if(!i.isStringOrIcuMessage(a)&&void 0!==a)throw new Error(s+" has an invalid category description.");if(!i.isStringOrIcuMessage(n)&&void 0!==n)throw new Error(s+" has an invalid category manualDescription.");return{title:t,auditRefs:ConfigPlugin._parseAuditRefsList(l,s),description:a,manualDescription:n}}static _parseGroups(e,s){if(void 0===e)return;if(!isObjectOfUnknownProperties(e))throw new Error(s+" groups json is not defined as an object.");const t=Object.entries(e),a={};return t.forEach((([e,t])=>{if(!isObjectOfUnknownProperties(t))throw new Error(s+" has a group not defined as an object.");const{title:n,description:l,...u}=t;if(assertNoExcessProperties(u,s,"group"),!i.isStringOrIcuMessage(n))throw new Error(s+" has an invalid group title.");if(!i.isStringOrIcuMessage(l)&&void 0!==l)throw new Error(s+" has an invalid group description.");a[`${s}-${e}`]={title:n,description:l}})),a}
static parsePlugin(e,s){if(!isObjectOfUnknownProperties(e=JSON.parse(JSON.stringify(e))))throw new Error(s+" is not defined as an object.");const{audits:t,category:i,groups:a,...n}=e;return assertNoExcessProperties(n,s),{audits:ConfigPlugin._parseAuditsList(t,s),categories:{[s]:ConfigPlugin._parseCategory(i,s)},groups:ConfigPlugin._parseGroups(a,s)}}}s.exports=ConfigPlugin},{"../lib/i18n/i18n.js":97}],55:[function(e,s,t){(function(t,i){(function(){"use strict";const a=e("./default-config.js"),n=e("./constants.js"),l=e("./../lib/i18n/i18n.js"),u=e("lighthouse-logger"),c=e("path"),d=e("../runner.js"),m=e("./config-plugin.js"),{mergeConfigFragment:g,resolveSettings:h,resolveAuditsToDefns:p,resolveGathererToDefn:b,resolveModulePath:f,deepClone:v,deepCloneConfigJson:j}=e("./config-helpers.js"),k=Object.keys({fetchTime:"",LighthouseRunWarnings:"",HostFormFactor:"",HostUserAgent:"",NetworkUserAgent:"",BenchmarkIndex:"",WebAppManifest:"",InstallabilityErrors:"",Stacks:"",traces:"",
devtoolsLogs:"",settings:"",URL:"",Timing:"",PageLoadError:""});function assertValidPluginName(e,s){if(!s.startsWith("lighthouse-plugin-"))throw new Error(`plugin name '${s}' does not start with 'lighthouse-plugin-'`);if(e.categories&&e.categories[s])throw new Error(`plugin name '${s}' not allowed because it is the id of a category already found in config`)}class Config{constructor(e,s){const t={msg:"Create config",id:"lh:init:config"};u.time(t,"verbose");let n=s&&s.configPath;if(e||(e=a,n=c.resolve(i,"./default-config.js")),n&&!c.isAbsolute(n))throw new Error("configPath must be an absolute path.");if((e=j(e)).extends){if("lighthouse:default"!==e.extends)throw new Error("`lighthouse:default` is the only valid extension method.");e=Config.extendConfigJSON(j(a),e)}const l=n?c.dirname(n):void 0;e=Config.mergePlugins(e,s,l),s&&function assertValidFlags(e){if("devtools"===e.channel&&e.internalDisableDeviceScreenEmulation&&(e.formFactor=e.emulatedFormFactor,
e.emulatedFormFactor=e.internalDisableDeviceScreenEmulation=void 0),e.emulatedFormFactor||e.internalDisableDeviceScreenEmulation)throw new Error("Invalid emulation flag. Emulation configuration changed in LH 7.0. See https://github.com/GoogleChrome/lighthouse/blob/master/docs/emulation.md")}(s);const d=h(e.settings||{},s),m=Config.augmentPassesWithDefaults(e.passes);Config.adjustDefaultPassForThrottling(d,m);const g=Config.requireGatherers(m,l);this.settings=d,this.passes=g,this.audits=Config.requireAudits(e.audits,l),this.categories=e.categories||null,this.groups=e.groups||null,Config.filterConfigIfNeeded(this),function assertValidPasses(e,s){if(!Array.isArray(e))return;const t=Config.getGatherersRequestedByAudits(s),i=new Set(k);e.forEach(((e,s)=>{0===s&&"fatal"!==e.loadFailureMode&&(u.warn(`"${e.passName}" is the first pass but was marked as non-fatal. The first pass will always be treated as loadFailureMode=fatal.`),e.loadFailureMode="fatal"),e.gatherers.forEach((e=>{
const s=e.instance;if(i.add(s.name),!t.has(s.name)){const e=s.name+" gatherer requested, however no audit requires it.";u.warn("config",e)}}))}));for(const e of s||[]){const s=e.implementation.meta;for(const e of s.requiredArtifacts)if(!i.has(e))throw new Error(`${e} gatherer, required by audit ${s.id}, was not found in config.`)}const a=new Set;e.forEach((e=>{const s=e.passName;if(a.has(s))throw new Error(`Passes must have unique names (repeated passName: ${s}.`);a.add(s)}))}(this.passes,this.audits),function assertValidCategories(e,s,t){if(!e)return;const i=new Map((s||[]).map((e=>[e.implementation.meta.id,e])));Object.keys(e).forEach((s=>{e[s].auditRefs.forEach(((e,a)=>{if(!e.id)throw new Error(`missing an audit id at ${s}[${a}]`);const n=i.get(e.id);if(!n)throw new Error(`could not find ${e.id} audit for category ${s}`);const l="manual"===n.implementation.meta.scoreDisplayMode;if("accessibility"===s&&!e.group&&!l)throw new Error(e.id+" accessibility audit does not have a group")
;if(e.weight>0&&l)throw new Error(e.id+" is manual but has a positive weight");if(e.group&&(!t||!t[e.group]))throw new Error(`${e.id} references unknown group ${e.group}`)}))}))}(this.categories,this.audits,this.groups),u.timeEnd(t)}getPrintString(){const e=v(this);if(e.passes)for(const s of e.passes)for(const e of s.gatherers)e.implementation=void 0,e.instance=void 0;if(e.audits)for(const s of e.audits)s.implementation=void 0,0===Object.keys(s.options).length&&(s.options=void 0);return l.replaceIcuMessages(e,e.settings.locale),JSON.stringify(e,null,2)}static extendConfigJSON(e,s){if(s.passes&&e.passes){for(const t of s.passes){const s=t.passName||n.defaultPassConfig.passName,i=e.passes.find((e=>e.passName===s));i?g(i,t):e.passes.push(t)}delete s.passes}return g(e,s)}static mergePlugins(s,i,a){const n=s.plugins||[],l=i&&i.plugins||[],u=new Set([...n,...l]);for(const i of u){assertValidPluginName(s,i);const n=t.isDevtools||t.isLightrider?i:f(i,a,"plugin"),l=e(n),u=m.parsePlugin(l,i)
;s=Config.extendConfigJSON(s,u)}return s}static augmentPassesWithDefaults(e){if(!e)return null;const{defaultPassConfig:s}=n;return e.map((e=>g(v(s),e)))}static adjustDefaultPassForThrottling(e,s){if(!s||"devtools"!==e.throttlingMethod&&"provided"!==e.throttlingMethod)return;const t=s.find((e=>"defaultPass"===e.passName));if(!t)return;const i=n.nonSimulatedPassConfigOverrides;t.pauseAfterFcpMs=Math.max(i.pauseAfterFcpMs,t.pauseAfterFcpMs),t.pauseAfterLoadMs=Math.max(i.pauseAfterLoadMs,t.pauseAfterLoadMs),t.cpuQuietThresholdMs=Math.max(i.cpuQuietThresholdMs,t.cpuQuietThresholdMs),t.networkQuietThresholdMs=Math.max(i.networkQuietThresholdMs,t.networkQuietThresholdMs)}static filterConfigIfNeeded(e){const s=e.settings;if(!s.onlyCategories&&!s.onlyAudits&&!s.skipAudits)return
;const{categories:t,requestedAuditNames:i}=Config.filterCategoriesAndAudits(e.categories,s),a=e.audits&&e.audits.filter((e=>i.has(e.implementation.meta.id))),n=Config.getGatherersRequestedByAudits(a),l=Config.generatePassesNeededByGatherers(e.passes,n);e.categories=t,e.audits=a,e.passes=l}static filterCategoriesAndAudits(e,s){if(!e)return{categories:null,requestedAuditNames:new Set};if(s.onlyAudits&&s.skipAudits)throw new Error("Cannot set both skipAudits and onlyAudits");const t={},i=!!s.onlyCategories,a=!!s.onlyAudits,n=s.onlyCategories||[],l=s.onlyAudits||[],c=s.skipAudits||[];n.forEach((s=>{e[s]||u.warn("config","unrecognized category in 'onlyCategories': "+s)}));const d=new Set(l.concat(c));for(const s of d){const t=Object.keys(e).find((t=>!!e[t].auditRefs.find((e=>e.id===s))));if(t)l.includes(s)&&n.includes(t)&&u.warn("config",s+" in 'onlyAudits' is already included by "+t+" in 'onlyCategories'");else{const e=c.includes(s)?"skipAudits":"onlyAudits"
;u.warn("config",`unrecognized audit in '${e}': ${s}`)}}const m=new Set(l);if(c.forEach((e=>m.delete(e))),Object.keys(e).forEach((s=>{const u=v(e[s]);if(i&&a)n.includes(s)||(u.auditRefs=u.auditRefs.filter((e=>l.includes(e.id))));else if(i){if(!n.includes(s))return}else a&&(u.auditRefs=u.auditRefs.filter((e=>l.includes(e.id))));u.auditRefs=u.auditRefs.filter((e=>!c.includes(e.id))),u.auditRefs.length&&(t[s]=u,u.auditRefs.forEach((e=>m.add(e.id))))})),s.onlyCategories){s.skipAudits&&s.skipAudits.includes("full-page-screenshot")||m.add("full-page-screenshot")}return{categories:t,requestedAuditNames:m}}static getGatherersRequestedByAudits(e){if(!e)return new Set;const s=new Set;for(const t of e){const{requiredArtifacts:e,__internalOptionalArtifacts:i}=t.implementation.meta;e.forEach((e=>s.add(e))),i&&i.forEach((e=>s.add(e)))}return s}static generatePassesNeededByGatherers(e,s){if(!e)return null;const t=s.has("traces");return e.map((e=>{if(e.gatherers=e.gatherers.filter((e=>{
const t=e.instance;return s.has(t.name)})),e.recordTrace&&!t){const s=e.passName||"unknown pass";u.warn("config","Trace not requested by an audit, dropping trace in "+s),e.recordTrace=!1}return e})).filter((e=>!!e.recordTrace||("defaultPass"===e.passName||e.gatherers.length>0)))}static requireAudits(e,s){const t={msg:"Requiring audits",id:"lh:config:requireAudits"};u.time(t,"verbose");const i=p(e,s);return u.timeEnd(t),i}static requireGatherers(e,s){if(!e)return null;const t={msg:"Requiring gatherers",id:"lh:config:requireGatherers"};u.time(t,"verbose");const i=d.getGathererList(),a=e.map((e=>{const t=e.gatherers.map((e=>b(e,i,s))),a=Array.from(new Map(t.map((e=>[e.instance.name,e]))).values());return a.forEach((e=>function assertValidGatherer(e,s){if(s=s||e.name||"gatherer","function"!=typeof e.beforePass)throw new Error(s+" has no beforePass() method.");if("function"!=typeof e.pass)throw new Error(s+" has no pass() method.")
;if("function"!=typeof e.afterPass)throw new Error(s+" has no afterPass() method.")}(e.instance,e.path))),Object.assign(e,{gatherers:a})}));return u.timeEnd(t),a}}s.exports=Config}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{},"/lighthouse-core/config")},{"../runner.js":172,"./../lib/i18n/i18n.js":97,"./config-helpers.js":53,"./config-plugin.js":54,"./constants.js":56,"./default-config.js":57,"lighthouse-logger":237,path:271}],56:[function(e,s,t){"use strict";const i=3.75,a=.9,n={DEVTOOLS_RTT_ADJUSTMENT_FACTOR:i,DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR:a,mobileSlow4G:{rttMs:150,throughputKbps:1638.4,requestLatencyMs:562.5,downloadThroughputKbps:1474.5600000000002,uploadThroughputKbps:675,cpuSlowdownMultiplier:4},mobileRegular3G:{rttMs:300,throughputKbps:700,requestLatencyMs:1125,downloadThroughputKbps:630,uploadThroughputKbps:630,cpuSlowdownMultiplier:4},desktopDense4G:{rttMs:40,throughputKbps:10240,
cpuSlowdownMultiplier:1,requestLatencyMs:0,downloadThroughputKbps:0,uploadThroughputKbps:0}},l={mobile:{mobile:!0,width:360,height:640,deviceScaleFactor:2.625,disabled:!1},desktop:{mobile:!1,width:1350,height:940,deviceScaleFactor:1,disabled:!1}},u={mobile:"Mozilla/5.0 (Linux; Android 7.0; Moto G (4)) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4420.0 Mobile Safari/537.36 Chrome-Lighthouse",desktop:"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4420.0 Safari/537.36 Chrome-Lighthouse"},c={output:"json",maxWaitForFcp:3e4,maxWaitForLoad:45e3,formFactor:"mobile",throttling:n.mobileSlow4G,throttlingMethod:"simulate",screenEmulation:l.mobile,emulatedUserAgent:u.mobile,auditMode:!1,gatherMode:!1,disableStorageReset:!1,channel:"node",budgets:null,locale:"en-US",blockedUrlPatterns:null,additionalTraceCategories:null,extraHeaders:null,precomputedLanternData:null,onlyAudits:null,onlyCategories:null,skipAudits:null};s.exports={
throttling:n,screenEmulationMetrics:l,userAgents:u,defaultSettings:c,defaultPassConfig:{passName:"defaultPass",loadFailureMode:"fatal",recordTrace:!1,useThrottling:!1,pauseAfterFcpMs:0,pauseAfterLoadMs:0,networkQuietThresholdMs:0,cpuQuietThresholdMs:0,blockedUrlPatterns:[],blankPage:"about:blank",gatherers:[]},defaultNavigationConfig:{id:"default",loadFailureMode:"fatal",disableThrottling:!1,disableStorageReset:!1,pauseAfterFcpMs:0,pauseAfterLoadMs:0,networkQuietThresholdMs:0,cpuQuietThresholdMs:0,blockedUrlPatterns:[],blankPage:"about:blank",artifacts:[]},nonSimulatedPassConfigOverrides:{pauseAfterFcpMs:5250,pauseAfterLoadMs:5250,networkQuietThresholdMs:5250,cpuQuietThresholdMs:5250}}},{}],57:[function(e,s,t){(function(t){(function(){"use strict";const i=e("./constants.js"),a=e("../lib/i18n/i18n.js"),n=e("./metrics-to-audits.js"),l={performanceCategoryTitle:"Performance",budgetsGroupTitle:"Budgets",
budgetsGroupDescription:"Performance budgets set standards for the performance of your site.",metricGroupTitle:"Metrics",loadOpportunitiesGroupTitle:"Opportunities",loadOpportunitiesGroupDescription:"These suggestions can help your page load faster. They don't [directly affect](https://web.dev/performance-scoring/) the Performance score.",firstPaintImprovementsGroupTitle:"First Paint Improvements",firstPaintImprovementsGroupDescription:"The most critical aspect of performance is how quickly pixels are rendered onscreen. Key metrics: First Contentful Paint, First Meaningful Paint",overallImprovementsGroupTitle:"Overall Improvements",overallImprovementsGroupDescription:"Enhance the overall loading experience, so the page is responsive and ready to use as soon as possible. Key metrics: Time to Interactive, Speed Index",diagnosticsGroupTitle:"Diagnostics",
diagnosticsGroupDescription:"More information about the performance of your application. These numbers don't [directly affect](https://web.dev/performance-scoring/) the Performance score.",a11yCategoryTitle:"Accessibility",a11yCategoryDescription:"These checks highlight opportunities to [improve the accessibility of your web app](https://developers.google.com/web/fundamentals/accessibility). Only a subset of accessibility issues can be automatically detected so manual testing is also encouraged.",a11yCategoryManualDescription:"These items address areas which an automated testing tool cannot cover. Learn more in our guide on [conducting an accessibility review](https://developers.google.com/web/fundamentals/accessibility/how-to-review).",a11yBestPracticesGroupTitle:"Best practices",a11yBestPracticesGroupDescription:"These items highlight common accessibility best practices.",a11yColorContrastGroupTitle:"Contrast",
a11yColorContrastGroupDescription:"These are opportunities to improve the legibility of your content.",a11yNamesLabelsGroupTitle:"Names and labels",a11yNamesLabelsGroupDescription:"These are opportunities to improve the semantics of the controls in your application. This may enhance the experience for users of assistive technology, like a screen reader.",a11yNavigationGroupTitle:"Navigation",a11yNavigationGroupDescription:"These are opportunities to improve keyboard navigation in your application.",a11yAriaGroupTitle:"ARIA",a11yAriaGroupDescription:"These are opportunities to improve the usage of ARIA in your application which may enhance the experience for users of assistive technology, like a screen reader.",a11yLanguageGroupTitle:"Internationalization and localization",a11yLanguageGroupDescription:"These are opportunities to improve the interpretation of your content by users in different locales.",a11yAudioVideoGroupTitle:"Audio and video",
a11yAudioVideoGroupDescription:"These are opportunities to provide alternative content for audio and video. This may improve the experience for users with hearing or vision impairments.",a11yTablesListsVideoGroupTitle:"Tables and lists",a11yTablesListsVideoGroupDescription:"These are opportunities to improve the experience of reading tabular or list data using assistive technology, like a screen reader.",seoCategoryTitle:"SEO",seoCategoryDescription:"These checks ensure that your page is optimized for search engine results ranking. There are additional factors Lighthouse does not check that may affect your search ranking. [Learn more](https://support.google.com/webmasters/answer/35769).",seoCategoryManualDescription:"Run these additional validators on your site to check additional SEO best practices.",seoMobileGroupTitle:"Mobile Friendly",
seoMobileGroupDescription:"Make sure your pages are mobile friendly so users don’t have to pinch or zoom in order to read the content pages. [Learn more](https://developers.google.com/search/mobile-sites/).",seoContentGroupTitle:"Content Best Practices",seoContentGroupDescription:"Format your HTML in a way that enables crawlers to better understand your app’s content.",seoCrawlingGroupTitle:"Crawling and Indexing",seoCrawlingGroupDescription:"To appear in search results, crawlers need access to your app.",pwaCategoryTitle:"Progressive Web App",pwaCategoryDescription:"These checks validate the aspects of a Progressive Web App. [Learn more](https://developers.google.com/web/progressive-web-apps/checklist).",pwaCategoryManualDescription:"These checks are required by the baseline [PWA Checklist](https://developers.google.com/web/progressive-web-apps/checklist) but are not automatically checked by Lighthouse. They do not affect your score but it's important that you verify them manually.",
bestPracticesCategoryTitle:"Best Practices",bestPracticesTrustSafetyGroupTitle:"Trust and Safety",bestPracticesUXGroupTitle:"User Experience",bestPracticesBrowserCompatGroupTitle:"Browser Compatibility",bestPracticesGeneralGroupTitle:"General",pwaInstallableGroupTitle:"Installable",pwaOptimizedGroupTitle:"PWA Optimized"},u=a.createMessageInstanceIdFn(t,l),c={settings:i.defaultSettings,passes:[{passName:"defaultPass",recordTrace:!0,useThrottling:!0,pauseAfterFcpMs:1e3,pauseAfterLoadMs:1e3,networkQuietThresholdMs:1e3,cpuQuietThresholdMs:1e3,
gatherers:["css-usage","js-usage","viewport-dimensions","console-messages","anchor-elements","image-elements","link-elements","meta-elements","script-elements","iframe-elements","form-elements","main-document-content","gather-context","global-listeners","dobetterweb/appcache","dobetterweb/doctype","dobetterweb/domstats","dobetterweb/optimized-images","dobetterweb/password-inputs-with-prevented-paste","dobetterweb/response-compression","dobetterweb/tags-blocking-first-paint","seo/font-size","seo/embedded-content","seo/robots-txt","seo/tap-targets","accessibility","trace-elements","inspector-issues","source-maps","full-page-screenshot"]},{passName:"offlinePass",loadFailureMode:"ignore",gatherers:["service-worker"]},{passName:"redirectPass",loadFailureMode:"warn",blockedUrlPatterns:["*.css","*.jpg","*.jpeg","*.png","*.gif","*.svg","*.ttf","*.woff","*.woff2"],gatherers:["http-redirect"]}],
audits:["is-on-https","redirects-http","service-worker","viewport","metrics/first-contentful-paint","metrics/largest-contentful-paint","metrics/first-meaningful-paint","metrics/speed-index","screenshot-thumbnails","final-screenshot","metrics/total-blocking-time","metrics/max-potential-fid","metrics/cumulative-layout-shift","errors-in-console","server-response-time","metrics/interactive","user-timings","critical-request-chains","redirects","installable-manifest","apple-touch-icon","splash-screen","themed-omnibox","maskable-icon","content-width","image-aspect-ratio","image-size-responsive","preload-fonts","deprecations","mainthread-work-breakdown","bootup-time","uses-rel-preload","uses-rel-preconnect","font-display","diagnostics","network-requests","network-rtt","network-server-latency","main-thread-tasks","metrics","performance-budget","timing-budget","resource-summary","third-party-summary","third-party-facades","largest-contentful-paint-element","layout-shift-elements","long-tasks","no-unload-listeners","non-composited-animations","unsized-images","valid-source-maps","preload-lcp-image","csp-xss","full-page-screenshot","script-treemap-data","manual/pwa-cross-browser","manual/pwa-page-transitions","manual/pwa-each-page-has-url","accessibility/accesskeys","accessibility/aria-allowed-attr","accessibility/aria-command-name","accessibility/aria-hidden-body","accessibility/aria-hidden-focus","accessibility/aria-input-field-name","accessibility/aria-meter-name","accessibility/aria-progressbar-name","accessibility/aria-required-attr","accessibility/aria-required-children","accessibility/aria-required-parent","accessibility/aria-roles","accessibility/aria-toggle-field-name","accessibility/aria-tooltip-name","accessibility/aria-treeitem-name","accessibility/aria-valid-attr-value","accessibility/aria-valid-attr","accessibility/button-name","accessibility/bypass","accessibility/color-contrast","accessibility/definition-list","accessibility/dlitem","accessibility/document-title","accessibility/duplicate-id-active","accessibility/duplicate-id-aria","accessibility/form-field-multiple-labels","accessibility/frame-title","accessibility/heading-order","accessibility/html-has-lang","accessibility/html-lang-valid","accessibility/image-alt","accessibility/input-image-alt","accessibility/label","accessibility/link-name","accessibility/list","accessibility/listitem","accessibility/meta-refresh","accessibility/meta-viewport","accessibility/object-alt","accessibility/tabindex","accessibility/td-headers-attr","accessibility/th-has-data-cells","accessibility/valid-lang","accessibility/video-caption","accessibility/manual/custom-controls-labels","accessibility/manual/custom-controls-roles","accessibility/manual/focus-traps","accessibility/manual/focusable-controls","accessibility/manual/interactive-element-affordance","accessibility/manual/logical-tab-order","accessibility/manual/managed-focus","accessibility/manual/offscreen-content-hidden","accessibility/manual/use-landmarks","accessibility/manual/visual-order-follows-dom","byte-efficiency/uses-long-cache-ttl","byte-efficiency/total-byte-weight","byte-efficiency/offscreen-images","byte-efficiency/render-blocking-resources","byte-efficiency/unminified-css","byte-efficiency/unminified-javascript","byte-efficiency/unused-css-rules","byte-efficiency/unused-javascript","byte-efficiency/modern-image-formats","byte-efficiency/uses-optimized-images","byte-efficiency/uses-text-compression","byte-efficiency/uses-responsive-images","byte-efficiency/efficient-animated-content","byte-efficiency/duplicated-javascript","byte-efficiency/legacy-javascript","dobetterweb/appcache-manifest","dobetterweb/doctype","dobetterweb/charset","dobetterweb/dom-size","dobetterweb/external-anchors-use-rel-noopener","dobetterweb/geolocation-on-start","dobetterweb/inspector-issues","dobetterweb/no-document-write","dobetterweb/no-vulnerable-libraries","dobetterweb/js-libraries","dobetterweb/notification-on-start","dobetterweb/password-inputs-can-be-pasted-into","dobetterweb/uses-http2","dobetterweb/uses-passive-event-listeners","seo/meta-description","seo/http-status-code","seo/font-size","seo/link-text","seo/crawlable-anchors","seo/is-crawlable","seo/robots-txt","seo/tap-targets","seo/hreflang","seo/plugins","seo/canonical","seo/manual/structured-data"],
groups:{metrics:{title:u(l.metricGroupTitle)},"load-opportunities":{title:u(l.loadOpportunitiesGroupTitle),description:u(l.loadOpportunitiesGroupDescription)},budgets:{title:u(l.budgetsGroupTitle),description:u(l.budgetsGroupDescription)},diagnostics:{title:u(l.diagnosticsGroupTitle),description:u(l.diagnosticsGroupDescription)},"pwa-installable":{title:u(l.pwaInstallableGroupTitle)},"pwa-optimized":{title:u(l.pwaOptimizedGroupTitle)},"a11y-best-practices":{title:u(l.a11yBestPracticesGroupTitle),description:u(l.a11yBestPracticesGroupDescription)},"a11y-color-contrast":{title:u(l.a11yColorContrastGroupTitle),description:u(l.a11yColorContrastGroupDescription)},"a11y-names-labels":{title:u(l.a11yNamesLabelsGroupTitle),description:u(l.a11yNamesLabelsGroupDescription)},"a11y-navigation":{title:u(l.a11yNavigationGroupTitle),description:u(l.a11yNavigationGroupDescription)},"a11y-aria":{title:u(l.a11yAriaGroupTitle),description:u(l.a11yAriaGroupDescription)},"a11y-language":{
title:u(l.a11yLanguageGroupTitle),description:u(l.a11yLanguageGroupDescription)},"a11y-audio-video":{title:u(l.a11yAudioVideoGroupTitle),description:u(l.a11yAudioVideoGroupDescription)},"a11y-tables-lists":{title:u(l.a11yTablesListsVideoGroupTitle),description:u(l.a11yTablesListsVideoGroupDescription)},"seo-mobile":{title:u(l.seoMobileGroupTitle),description:u(l.seoMobileGroupDescription)},"seo-content":{title:u(l.seoContentGroupTitle),description:u(l.seoContentGroupDescription)},"seo-crawl":{title:u(l.seoCrawlingGroupTitle),description:u(l.seoCrawlingGroupDescription)},"best-practices-trust-safety":{title:u(l.bestPracticesTrustSafetyGroupTitle)},"best-practices-ux":{title:u(l.bestPracticesUXGroupTitle)},"best-practices-browser-compat":{title:u(l.bestPracticesBrowserCompatGroupTitle)},"best-practices-general":{title:u(l.bestPracticesGeneralGroupTitle)}},categories:{performance:{title:u(l.performanceCategoryTitle),auditRefs:[{id:"first-contentful-paint",weight:10,group:"metrics",
acronym:"FCP",relevantAudits:n.fcpRelevantAudits},{id:"speed-index",weight:10,group:"metrics",acronym:"SI"},{id:"largest-contentful-paint",weight:25,group:"metrics",acronym:"LCP",relevantAudits:n.lcpRelevantAudits},{id:"interactive",weight:10,group:"metrics",acronym:"TTI"},{id:"total-blocking-time",weight:30,group:"metrics",acronym:"TBT",relevantAudits:n.tbtRelevantAudits},{id:"cumulative-layout-shift",weight:15,group:"metrics",acronym:"CLS",relevantAudits:n.clsRelevantAudits},{id:"max-potential-fid",weight:0},{id:"first-meaningful-paint",weight:0,acronym:"FMP"},{id:"render-blocking-resources",weight:0,group:"load-opportunities"},{id:"uses-responsive-images",weight:0,group:"load-opportunities"},{id:"offscreen-images",weight:0,group:"load-opportunities"},{id:"unminified-css",weight:0,group:"load-opportunities"},{id:"unminified-javascript",weight:0,group:"load-opportunities"},{id:"unused-css-rules",weight:0,group:"load-opportunities"},{id:"unused-javascript",weight:0,
group:"load-opportunities"},{id:"uses-optimized-images",weight:0,group:"load-opportunities"},{id:"modern-image-formats",weight:0,group:"load-opportunities"},{id:"uses-text-compression",weight:0,group:"load-opportunities"},{id:"uses-rel-preconnect",weight:0,group:"load-opportunities"},{id:"server-response-time",weight:0,group:"load-opportunities"},{id:"redirects",weight:0,group:"load-opportunities"},{id:"uses-rel-preload",weight:0,group:"load-opportunities"},{id:"uses-http2",weight:0,group:"load-opportunities"},{id:"efficient-animated-content",weight:0,group:"load-opportunities"},{id:"duplicated-javascript",weight:0,group:"load-opportunities"},{id:"legacy-javascript",weight:0,group:"load-opportunities"},{id:"preload-lcp-image",weight:0,group:"load-opportunities"},{id:"total-byte-weight",weight:0,group:"diagnostics"},{id:"uses-long-cache-ttl",weight:0,group:"diagnostics"},{id:"dom-size",weight:0,group:"diagnostics"},{id:"critical-request-chains",weight:0,group:"diagnostics"},{
id:"user-timings",weight:0,group:"diagnostics"},{id:"bootup-time",weight:0,group:"diagnostics"},{id:"mainthread-work-breakdown",weight:0,group:"diagnostics"},{id:"font-display",weight:0,group:"diagnostics"},{id:"performance-budget",weight:0,group:"budgets"},{id:"timing-budget",weight:0,group:"budgets"},{id:"resource-summary",weight:0,group:"diagnostics"},{id:"third-party-summary",weight:0,group:"diagnostics"},{id:"third-party-facades",weight:0,group:"diagnostics"},{id:"largest-contentful-paint-element",weight:0,group:"diagnostics"},{id:"layout-shift-elements",weight:0,group:"diagnostics"},{id:"uses-passive-event-listeners",weight:0,group:"diagnostics"},{id:"no-document-write",weight:0,group:"diagnostics"},{id:"long-tasks",weight:0,group:"diagnostics"},{id:"non-composited-animations",weight:0,group:"diagnostics"},{id:"unsized-images",weight:0,group:"diagnostics"},{id:"network-requests",weight:0},{id:"network-rtt",weight:0},{id:"network-server-latency",weight:0},{id:"main-thread-tasks",
weight:0},{id:"diagnostics",weight:0},{id:"metrics",weight:0},{id:"screenshot-thumbnails",weight:0},{id:"final-screenshot",weight:0},{id:"script-treemap-data",weight:0}]},accessibility:{title:u(l.a11yCategoryTitle),description:u(l.a11yCategoryDescription),manualDescription:u(l.a11yCategoryManualDescription),auditRefs:[{id:"accesskeys",weight:3,group:"a11y-navigation"},{id:"aria-allowed-attr",weight:10,group:"a11y-aria"},{id:"aria-command-name",weight:3,group:"a11y-aria"},{id:"aria-hidden-body",weight:10,group:"a11y-aria"},{id:"aria-hidden-focus",weight:3,group:"a11y-aria"},{id:"aria-input-field-name",weight:3,group:"a11y-aria"},{id:"aria-meter-name",weight:3,group:"a11y-aria"},{id:"aria-progressbar-name",weight:3,group:"a11y-aria"},{id:"aria-required-attr",weight:10,group:"a11y-aria"},{id:"aria-required-children",weight:10,group:"a11y-aria"},{id:"aria-required-parent",weight:10,group:"a11y-aria"},{id:"aria-roles",weight:10,group:"a11y-aria"},{id:"aria-toggle-field-name",weight:3,
group:"a11y-aria"},{id:"aria-tooltip-name",weight:3,group:"a11y-aria"},{id:"aria-treeitem-name",weight:3,group:"a11y-aria"},{id:"aria-valid-attr-value",weight:10,group:"a11y-aria"},{id:"aria-valid-attr",weight:10,group:"a11y-aria"},{id:"button-name",weight:10,group:"a11y-names-labels"},{id:"bypass",weight:3,group:"a11y-navigation"},{id:"color-contrast",weight:3,group:"a11y-color-contrast"},{id:"definition-list",weight:3,group:"a11y-tables-lists"},{id:"dlitem",weight:3,group:"a11y-tables-lists"},{id:"document-title",weight:3,group:"a11y-names-labels"},{id:"duplicate-id-active",weight:3,group:"a11y-navigation"},{id:"duplicate-id-aria",weight:10,group:"a11y-aria"},{id:"form-field-multiple-labels",weight:2,group:"a11y-names-labels"},{id:"frame-title",weight:3,group:"a11y-names-labels"},{id:"heading-order",weight:2,group:"a11y-navigation"},{id:"html-has-lang",weight:3,group:"a11y-language"},{id:"html-lang-valid",weight:3,group:"a11y-language"},{id:"image-alt",weight:10,
group:"a11y-names-labels"},{id:"input-image-alt",weight:10,group:"a11y-names-labels"},{id:"label",weight:10,group:"a11y-names-labels"},{id:"link-name",weight:3,group:"a11y-names-labels"},{id:"list",weight:3,group:"a11y-tables-lists"},{id:"listitem",weight:3,group:"a11y-tables-lists"},{id:"meta-refresh",weight:10,group:"a11y-best-practices"},{id:"meta-viewport",weight:10,group:"a11y-best-practices"},{id:"object-alt",weight:3,group:"a11y-names-labels"},{id:"tabindex",weight:3,group:"a11y-navigation"},{id:"td-headers-attr",weight:3,group:"a11y-tables-lists"},{id:"th-has-data-cells",weight:3,group:"a11y-tables-lists"},{id:"valid-lang",weight:3,group:"a11y-language"},{id:"video-caption",weight:10,group:"a11y-audio-video"},{id:"logical-tab-order",weight:0},{id:"focusable-controls",weight:0},{id:"interactive-element-affordance",weight:0},{id:"managed-focus",weight:0},{id:"focus-traps",weight:0},{id:"custom-controls-labels",weight:0},{id:"custom-controls-roles",weight:0},{
id:"visual-order-follows-dom",weight:0},{id:"offscreen-content-hidden",weight:0},{id:"use-landmarks",weight:0}]},"best-practices":{title:u(l.bestPracticesCategoryTitle),auditRefs:[{id:"is-on-https",weight:1,group:"best-practices-trust-safety"},{id:"external-anchors-use-rel-noopener",weight:1,group:"best-practices-trust-safety"},{id:"geolocation-on-start",weight:1,group:"best-practices-trust-safety"},{id:"notification-on-start",weight:1,group:"best-practices-trust-safety"},{id:"no-vulnerable-libraries",weight:1,group:"best-practices-trust-safety"},{id:"csp-xss",weight:0,group:"best-practices-trust-safety"},{id:"password-inputs-can-be-pasted-into",weight:1,group:"best-practices-ux"},{id:"image-aspect-ratio",weight:1,group:"best-practices-ux"},{id:"image-size-responsive",weight:1,group:"best-practices-ux"},{id:"preload-fonts",weight:1,group:"best-practices-ux"},{id:"doctype",weight:1,group:"best-practices-browser-compat"},{id:"charset",weight:1,group:"best-practices-browser-compat"},{
id:"no-unload-listeners",weight:1,group:"best-practices-general"},{id:"appcache-manifest",weight:1,group:"best-practices-general"},{id:"js-libraries",weight:0,group:"best-practices-general"},{id:"deprecations",weight:1,group:"best-practices-general"},{id:"errors-in-console",weight:1,group:"best-practices-general"},{id:"valid-source-maps",weight:0,group:"best-practices-general"},{id:"inspector-issues",weight:1,group:"best-practices-general"}]},seo:{title:u(l.seoCategoryTitle),description:u(l.seoCategoryDescription),manualDescription:u(l.seoCategoryManualDescription),auditRefs:[{id:"viewport",weight:1,group:"seo-mobile"},{id:"document-title",weight:1,group:"seo-content"},{id:"meta-description",weight:1,group:"seo-content"},{id:"http-status-code",weight:1,group:"seo-crawl"},{id:"link-text",weight:1,group:"seo-content"},{id:"crawlable-anchors",weight:1,group:"seo-crawl"},{id:"is-crawlable",weight:1,group:"seo-crawl"},{id:"robots-txt",weight:1,group:"seo-crawl"},{id:"image-alt",weight:1,
group:"seo-content"},{id:"hreflang",weight:1,group:"seo-content"},{id:"canonical",weight:1,group:"seo-content"},{id:"font-size",weight:1,group:"seo-mobile"},{id:"plugins",weight:1,group:"seo-content"},{id:"tap-targets",weight:1,group:"seo-mobile"},{id:"structured-data",weight:0}]},pwa:{title:u(l.pwaCategoryTitle),description:u(l.pwaCategoryDescription),manualDescription:u(l.pwaCategoryManualDescription),auditRefs:[{id:"installable-manifest",weight:2,group:"pwa-installable"},{id:"service-worker",weight:1,group:"pwa-optimized"},{id:"redirects-http",weight:2,group:"pwa-optimized"},{id:"splash-screen",weight:1,group:"pwa-optimized"},{id:"themed-omnibox",weight:1,group:"pwa-optimized"},{id:"content-width",weight:1,group:"pwa-optimized"},{id:"viewport",weight:2,group:"pwa-optimized"},{id:"apple-touch-icon",weight:1,group:"pwa-optimized"},{id:"maskable-icon",weight:1,group:"pwa-optimized"},{id:"pwa-cross-browser",weight:0},{id:"pwa-page-transitions",weight:0},{id:"pwa-each-page-has-url",
weight:0}]}}};s.exports=c,Object.defineProperty(s.exports,"UIStrings",{enumerable:!1,get:()=>l})}).call(this)}).call(this,"/lighthouse-core/config/default-config.js")},{"../lib/i18n/i18n.js":97,"./constants.js":56,"./metrics-to-audits.js":60}],58:[function(e,s,t){"use strict";const i=e("./constants.js"),a={extends:"lighthouse:default",settings:{maxWaitForFcp:15e3,maxWaitForLoad:35e3,formFactor:"desktop",throttling:i.throttling.desktopDense4G,screenEmulation:i.screenEmulationMetrics.desktop,emulatedUserAgent:i.userAgents.desktop,skipAudits:["uses-http2"]}};s.exports=a},{"./constants.js":56}],59:[function(e,s,t){"use strict";s.exports={extends:"lighthouse:default",settings:{maxWaitForFcp:15e3,maxWaitForLoad:35e3,skipAudits:["uses-http2"]},audits:["metrics/first-contentful-paint-3g"],categories:{performance:{auditRefs:[{id:"first-contentful-paint-3g",weight:0}]}}}},{}],60:[function(e,s,t){"use strict"
;const i=["server-response-time","render-blocking-resources","redirects","critical-request-chains","uses-text-compression","uses-rel-preconnect","uses-rel-preload","font-display","unminified-javascript","unminified-css","unused-css-rules"],a=[...i,"largest-contentful-paint-element","preload-lcp-image","unused-javascript","efficient-animated-content","total-byte-weight"];s.exports={fcpRelevantAudits:i,lcpRelevantAudits:a,tbtRelevantAudits:["long-tasks","third-party-summary","third-party-facades","bootup-time","mainthread-work-breakdown","dom-size","duplicated-javascript","legacy-javascript"],clsRelevantAudits:["layout-shift-elements","non-composited-animations","unsized-images"]}},{}],61:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("lodash.isequal"),{getBenchmarkIndex:n,getEnvironmentWarnings:l}=e("../../gather/driver/environment.js");s.exports={getBaseArtifacts:async function getBaseArtifacts(e,s){const t=await n(s.executionContext);return{
fetchTime:(new Date).toJSON(),Timing:[],LighthouseRunWarnings:[],settings:e.settings,BenchmarkIndex:t,URL:{requestedUrl:"",finalUrl:""},PageLoadError:null,HostFormFactor:"mobile",HostUserAgent:"",Stacks:[],NetworkUserAgent:"",WebAppManifest:null,InstallabilityErrors:{errors:[]},traces:{},devtoolsLogs:{}}},finalizeArtifacts:function finalizeArtifacts(e,s){const t=e.LighthouseRunWarnings.concat(s.LighthouseRunWarnings||[]).concat(l({settings:e.settings,baseArtifacts:e})),n={...e,...s};if(n.Timing=i.getTimeEntries(),n.LighthouseRunWarnings=function deduplicateWarnings(e){const s=[];for(const t of e)s.some((e=>a(t,e)))||s.push(t);return s}(t),!n.URL.requestedUrl)throw new Error("Runner did not set requestedUrl");if(!n.URL.finalUrl)throw new Error("Runner did not set finalUrl");return n}}},{"../../gather/driver/environment.js":67,"lighthouse-logger":237,"lodash.isequal":266}],62:[function(e,s,t){"use strict";s.exports=class FRGatherer{meta={supportedModes:[]};startInstrumentation(e){}
startSensitiveInstrumentation(e){}stopSensitiveInstrumentation(e){}stopInstrumentation(e){}getArtifact(e){}get name(){return this.constructor.name}async beforePass(e){await this.startInstrumentation({...e,dependencies:{}}),await this.startSensitiveInstrumentation({...e,dependencies:{}})}pass(e){}async afterPass(e,s){if("dependencies"in this.meta)throw Error("Gatherer with dependencies should override afterPass");return await this.stopSensitiveInstrumentation({...e,dependencies:{}}),await this.stopInstrumentation({...e,dependencies:{}}),this.getArtifact({...e,dependencies:{}})}}},{}],63:[function(e,s,t){"use strict";const i=e("events").EventEmitter,a=e("lighthouse-logger"),n=e("../../lib/lh-error.js");s.exports=class Connection{constructor(){this._lastCommandId=0,this._callbacks=new Map,this._eventEmitter=new i}connect(){return Promise.reject(new Error("Not implemented"))}disconnect(){return Promise.reject(new Error("Not implemented"))}wsEndpoint(){
return Promise.reject(new Error("Not implemented"))}sendCommand(e,s,...t){const i=t.length?t[0]:void 0;a.formatProtocol("method => browser",{method:e,params:i},"verbose");const n=++this._lastCommandId,l=JSON.stringify({id:n,sessionId:s,method:e,params:i});return this.sendRawMessage(l),new Promise((s=>{this._callbacks.set(n,{method:e,resolve:s})}))}on(e,s){if("protocolevent"!==e)throw new Error('Only supports "protocolevent" events');if(!this._eventEmitter)throw new Error("Attempted to add event listener after connection disposed.");this._eventEmitter.on(e,s)}off(e,s){if("protocolevent"!==e)throw new Error('Only supports "protocolevent" events');if(!this._eventEmitter)throw new Error("Attempted to remove event listener after connection disposed.");this._eventEmitter.removeListener(e,s)}sendRawMessage(e){throw new Error("Not implemented")}handleRawMessage(e){const s=JSON.parse(e);if(!("id"in s))return a.formatProtocol("<= event",{method:s.method,params:s.params},"verbose"),
void this.emitProtocolEvent(s);const t=this._callbacks.get(s.id);if(t)this._callbacks.delete(s.id),t.resolve(Promise.resolve().then((e=>{if(s.error)throw a.formatProtocol("method <= browser ERR",{method:t.method},"error"),n.fromProtocolMessage(t.method,s.error);return a.formatProtocol("method <= browser OK",{method:t.method,params:s.result},"verbose"),s.result})));else{const e=s.error&&s.error.message;a.formatProtocol("disowned method <= browser "+(e?"ERR":"OK"),{method:"UNKNOWN",params:e||s.result},"verbose")}}emitProtocolEvent(e){if(!this._eventEmitter)throw new Error("Attempted to emit event after connection disposed.");this._eventEmitter.emit("protocolevent",e)}dispose(){this._eventEmitter&&(this._eventEmitter.removeAllListeners(),this._eventEmitter=null)}}},{"../../lib/lh-error.js":152,events:211,"lighthouse-logger":237}],64:[function(e,s,t){"use strict";s.exports=class DevtoolsLog{constructor(e){this._filter=e,this._messages=[],this._isRecording=!1}get messages(){
return this._messages}reset(){this._messages=[]}beginRecording(){this._isRecording=!0}endRecording(){this._isRecording=!1}record(e){!this._isRecording||this._filter&&!this._filter.test(e.method)||this._messages.push(e)}}},{}],65:[function(e,s,t){"use strict";const i=e("./fetcher.js"),a=e("./driver/execution-context.js"),n=e("../lib/lh-error.js"),{fetchResponseBodyFromCache:l}=e("../gather/driver/network.js"),u=e("events").EventEmitter,c=e("lighthouse-logger"),d=e("./devtools-log.js"),m=e("./gatherers/trace.js"),{getBrowserVersion:g}=(e("./connections/connection.js"),e("./driver/environment.js")),h=3e4;s.exports=class Driver{_eventEmitter=new u;_devtoolsLog=new d(/^(Page|Network)\./);_domainEnabledCounts=new Map;_nextProtocolTimeout=h;online=!0;executionContext=new a(this);defaultSession=this;fetcher=new i(this.defaultSession,this.executionContext);constructor(e){this._connection=e,this.on("Target.attachedToTarget",(e=>{this._handleTargetAttached(e).catch(this._handleEventError)})),
this.on("Page.frameNavigated",(e=>{e.frame.parentId||this.sendCommand("Target.setAutoAttach",{flatten:!0,autoAttach:!0,waitForDebuggerOnStart:!0}).catch(this._handleEventError)})),e.on("protocolevent",this._handleProtocolEvent.bind(this)),this.evaluate=this.executionContext.evaluate.bind(this.executionContext),this.evaluateAsync=this.executionContext.evaluateAsync.bind(this.executionContext)}static get traceCategories(){return m.getDefaultTraceCategories()}async getBrowserVersion(){return g(this)}async connect(){const e={msg:"Connecting to browser",id:"lh:init:connect"};c.time(e),await this._connection.connect(),c.timeEnd(e)}disconnect(){return this._connection.disconnect()}wsEndpoint(){return this._connection.wsEndpoint()}on(e,s){if(null===this._eventEmitter)throw new Error("connect() must be called before attempting to listen to events.");c.formatProtocol("listen for event =>",{method:e},"verbose"),this._eventEmitter.on(e,s)}once(e,s){
if(null===this._eventEmitter)throw new Error("connect() must be called before attempting to listen to events.");c.formatProtocol("listen once for event =>",{method:e},"verbose"),this._eventEmitter.once(e,s)}off(e,s){if(null===this._eventEmitter)throw new Error("connect() must be called before attempting to remove an event listener.");this._eventEmitter.removeListener(e,s)}addProtocolMessageListener(e){this._connection.on("protocolevent",e)}removeProtocolMessageListener(e){this._connection.off("protocolevent",e)}_shouldToggleDomain(e,s,t){const i=e+(s||""),a=(this._domainEnabledCounts.get(i)||0)+(t?1:-1);return this._domainEnabledCounts.set(i,Math.max(0,a)),t&&1===a||!t&&0===a?(c.verbose("Driver",`${e}.${t?"enable":"disable"}`),!0):(a<0&&c.error("Driver",`Attempted to disable domain '${e}' when already disabled.`),!1)}hasNextProtocolTimeout(){return this._nextProtocolTimeout!==h}getNextProtocolTimeout(){return this._nextProtocolTimeout}setNextProtocolTimeout(e){
this._nextProtocolTimeout=e}_handleProtocolEvent(e){this._devtoolsLog.record(e),this._eventEmitter.emit(e.method,e.params)}_handleEventError(e){c.error("Driver","Unhandled event error",e.message)}async _handleTargetAttached(e){"iframe"===e.targetInfo.type?(await this.sendCommandToSession("Network.enable",e.sessionId),await this.sendCommandToSession("Target.setAutoAttach",e.sessionId,{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0}),await this.sendCommandToSession("Runtime.runIfWaitingForDebugger",e.sessionId)):await this.sendCommandToSession("Runtime.runIfWaitingForDebugger",e.sessionId)}sendCommandToSession(e,s,...t){const i=this._nextProtocolTimeout;let a;this._nextProtocolTimeout=h;const l=new Promise(((s,t)=>{i!==1/0&&(a=setTimeout((()=>{const s=new n(n.errors.PROTOCOL_TIMEOUT,{protocolMethod:e});t(s)}),i))}));return Promise.race([this._innerSendCommand(e,s,...t),l]).finally((()=>{a&&clearTimeout(a)}))}sendCommand(e,...s){return this.sendCommandToSession(e,void 0,...s)}
_innerSendCommand(e,s,...t){const i=/^(\w+)\.(enable|disable)$/.exec(e);if(i){const e="enable"===i[2];if(!this._shouldToggleDomain(i[1],s,e))return Promise.resolve()}return this._connection.sendCommand(e,s,...t)}isDomainEnabled(e){return!!this._domainEnabledCounts.get(e)}async getRequestContent(e,s=1e3){return l(this.defaultSession,e,s)}scrollTo(e){const s=`window.scrollTo(${e.x}, ${e.y})`;return this.executionContext.evaluateAsync(s,{useIsolation:!0})}getScrollPosition(){return this.executionContext.evaluateAsync("({x: window.scrollX, y: window.scrollY})",{useIsolation:!0})}async beginTrace(e){const s=e&&e.additionalTraceCategories&&e.additionalTraceCategories.split(",")||[],t=m.getDefaultTraceCategories().concat(s),i=Array.from(new Set(t));if(this.isDomainEnabled("CSS"))throw new Error("CSS domain enabled when starting trace");if(this.isDomainEnabled("DOM"))throw new Error("DOM domain enabled when starting trace")
;return this.sendCommand("Page.enable").then((e=>this.sendCommand("Tracing.start",{categories:i.join(","),options:"sampling-frequency=10000"})))}endTrace(){return m.endTraceAndCollectEvents(this.defaultSession)}beginDevtoolsLog(){this._devtoolsLog.reset(),this._devtoolsLog.beginRecording()}endDevtoolsLog(){return this._devtoolsLog.endRecording(),this._devtoolsLog.messages}}},{"../gather/driver/network.js":71,"../lib/lh-error.js":152,"./connections/connection.js":63,"./devtools-log.js":64,"./driver/environment.js":67,"./driver/execution-context.js":68,"./fetcher.js":76,"./gatherers/trace.js":"../gather/gatherers/trace",events:211,"lighthouse-logger":237}],66:[function(e,s,t){"use strict";function handlePotentialMissingNodeError(e){if(!/No node.*found/.test(e.message)&&!/Node.*does not belong to the document/.test(e.message))throw e}s.exports={resolveNodeIdToObjectId:async function resolveNodeIdToObjectId(e,s){try{return(await e.sendCommand("DOM.resolveNode",{backendNodeId:s
})).object.objectId}catch(e){return handlePotentialMissingNodeError(e)}},resolveDevtoolsNodePathToObjectId:async function resolveDevtoolsNodePathToObjectId(e,s){try{const{nodeId:t}=await e.sendCommand("DOM.pushNodeByPathToFrontend",{path:s}),{object:{objectId:i}}=await e.sendCommand("DOM.resolveNode",{nodeId:t});return i}catch(e){return handlePotentialMissingNodeError(e)}}}},{}],67:[function(e,s,t){(function(t){(function(){"use strict";const i=e("lighthouse-logger"),a=e("../../config/constants.js"),n=e("../../lib/page-functions.js"),l=e("../../lib/i18n/i18n.js"),u={warningSlowHostCpu:"The tested device appears to have a slower CPU than  Lighthouse expects. This can negatively affect your performance score. Learn more about [calibrating an appropriate CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},c=l.createMessageInstanceIdFn(t,u);function getSlowHostCpuWarning(e){
const{settings:s,baseArtifacts:t}=e,{throttling:i,throttlingMethod:n}=s,l=a.defaultSettings.throttling;if("cli"!==s.channel)return;const d="simulate"===n||"devtools"===n,m=i.cpuSlowdownMultiplier===l.cpuSlowdownMultiplier;return!d||!m||t.BenchmarkIndex>1e3?void 0:c(u.warningSlowHostCpu)}s.exports={UIStrings:u,getBrowserVersion:async function getBrowserVersion(e){const s={msg:"Getting browser version",id:"lh:gather:getVersion"};i.time(s,"verbose");const t=await e.sendCommand("Browser.getVersion"),a=t.product.match(/\/(\d+)/),n=a?parseInt(a[1]):0;return i.timeEnd(s),Object.assign(t,{milestone:n})},getBenchmarkIndex:async function getBenchmarkIndex(e){const s={msg:"Benchmarking machine",id:"lh:gather:getBenchmarkIndex"};i.time(s);const t=await e.evaluate(n.computeBenchmarkIndex,{args:[]});return i.timeEnd(s),t},getSlowHostCpuWarning,getEnvironmentWarnings:function getEnvironmentWarnings(e){return[getSlowHostCpuWarning(e)].filter((e=>!!e))}}}).call(this)
}).call(this,"/lighthouse-core/gather/driver/environment.js")},{"../../config/constants.js":56,"../../lib/i18n/i18n.js":97,"../../lib/page-functions.js":159,"lighthouse-logger":237}],68:[function(e,s,t){"use strict";const i=e("../../lib/page-functions.js");class ExecutionContext{constructor(e){this._session=e,this._executionContextId=void 0,e.on("Page.frameNavigated",(()=>this.clearContextId())),e.on("Runtime.executionContextDestroyed",(e=>{e.executionContextId===this._executionContextId&&this.clearContextId()}))}getContextId(){return this._executionContextId}clearContextId(){this._executionContextId=void 0}async _getOrCreateIsolatedContextId(){if("number"==typeof this._executionContextId)return this._executionContextId;await this._session.sendCommand("Page.enable"),await this._session.sendCommand("Runtime.enable");const e=(await this._session.sendCommand("Page.getResourceTree")).frameTree.frame.id,s=await this._session.sendCommand("Page.createIsolatedWorld",{frameId:e,
worldName:"lighthouse_isolated_context"});return this._executionContextId=s.executionContextId,s.executionContextId}async _evaluateInContext(e,s){const t=this._session.hasNextProtocolTimeout()?this._session.getNextProtocolTimeout():6e4,a={expression:`(function wrapInNativePromise() {\n        ${ExecutionContext._cachedNativesPreamble};\n        globalThis.__lighthouseExecutionContextId = ${s};\n        return new Promise(function (resolve) {\n          return Promise.resolve()\n            .then(_ => ${e})\n            .catch(${i.wrapRuntimeEvalErrorInBrowserString})\n            .then(resolve);\n        });\n      }())`,includeCommandLineAPI:!0,awaitPromise:!0,returnByValue:!0,timeout:t,contextId:s};this._session.setNextProtocolTimeout(t);const n=await this._session.sendCommand("Runtime.evaluate",a);if(n.exceptionDetails){const e=n.exceptionDetails.exception?n.exceptionDetails.exception.description:n.exceptionDetails.text;return Promise.reject(new Error("Evaluation exception: "+e))}
if(void 0===n.result)return Promise.reject(new Error('Runtime.evaluate response did not contain a "result" object'));const l=n.result.value;return l&&l.__failedInBrowser?Promise.reject(Object.assign(new Error,l)):l}async evaluateAsync(e,s={}){const t=s.useIsolation?await this._getOrCreateIsolatedContextId():void 0;try{return await this._evaluateInContext(e,t)}catch(s){if(t&&s.message.includes("Cannot find context")){this.clearContextId();const s=await this._getOrCreateIsolatedContextId();return this._evaluateInContext(e,s)}throw s}}evaluate(e,s){const t=ExecutionContext.serializeArguments(s.args),i=`(() => {\n      ${s.deps?s.deps.join("\n"):""}\n      return (${e})(${t});\n    })()`;return this.evaluateAsync(i,s)}async evaluateOnNewDocument(e,s){const t=ExecutionContext.serializeArguments(s.args),i=s.deps?s.deps.join("\n"):"",a=`(() => {\n      ${ExecutionContext._cachedNativesPreamble};\n      ${i};\n      (${e})(${t});\n    })()`
;await this._session.sendCommand("Page.addScriptToEvaluateOnNewDocument",{source:a})}async cacheNativesOnNewDocument(){await this.evaluateOnNewDocument((()=>{window.__nativePromise=window.Promise,window.__nativeURL=window.URL,window.__nativePerformance=window.performance,window.__ElementMatches=window.Element.prototype.matches;const e=window.performance,s=window.performance.now;Object.defineProperty(e,"now",{value:()=>s.call(e),writable:!1})}),{args:[]})}static _cachedNativesPreamble=["const Promise = globalThis.__nativePromise || globalThis.Promise","const URL = globalThis.__nativeURL || globalThis.URL","const performance = globalThis.__nativePerformance || globalThis.performance"].join(";\n");static serializeArguments(e){return e.map((e=>void 0===e?"undefined":JSON.stringify(e))).join(",")}}s.exports=ExecutionContext},{"../../lib/page-functions.js":159}],69:[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./network-monitor.js"),{waitForFullyLoaded:a,waitForFrameNavigated:n}=e("./wait-for-condition.js"),l=e("../../config/constants.js"),u=e("../../lib/i18n/i18n.js"),c=e("../../lib/url-shim.js"),d={warningRedirected:"The page may not be loading as expected because your test URL ({requested}) was redirected to {final}. Try testing the second URL directly.",warningTimeout:"The page loaded too slowly to finish within the time limit. Results may be incomplete."},m=u.createMessageInstanceIdFn(t,d);function getNavigationWarnings(e){const{requestedUrl:s,finalUrl:t}=e,i=[];return e.timedOut&&i.push(m(d.warningTimeout)),c.equalWithExcludedFragments(s,t)||t.startsWith("chrome-error://")||i.push(m(d.warningRedirected,{requested:s,final:t})),i}s.exports={gotoURL:async function gotoURL(e,s,t){const u=e.defaultSession,c=new i(e.defaultSession);await c.enable(),await u.sendCommand("Page.enable"),await u.sendCommand("Page.setLifecycleEventsEnabled",{enabled:!0}),u.setNextProtocolTimeout(1/0)
;const d=u.sendCommand("Page.navigate",{url:s}),m=t.waitUntil.includes("navigated"),g=t.waitUntil.includes("load"),h=t.waitUntil.includes("fcp"),p=[];if(m){const e=n(u).promise;p.push(e.then((()=>({timedOut:!1}))))}if(g){const e=function resolveWaitForFullyLoadedOptions(e){let{pauseAfterFcpMs:s,pauseAfterLoadMs:t,networkQuietThresholdMs:i,cpuQuietThresholdMs:a}=e,n=e.maxWaitForLoad,u=e.maxWaitForFcp;return"number"!=typeof s&&(s=0),"number"!=typeof t&&(t=0),"number"!=typeof i&&(i=5e3),"number"!=typeof a&&(a=0),"number"!=typeof n&&(n=l.defaultSettings.maxWaitForLoad),"number"!=typeof u&&(u=l.defaultSettings.maxWaitForFcp),e.waitUntil.includes("fcp")||(u=void 0),{pauseAfterFcpMs:s,pauseAfterLoadMs:t,networkQuietThresholdMs:i,cpuQuietThresholdMs:a,maxWaitForLoadedMs:n,maxWaitForFcpMs:u}}(t);p.push(a(u,c,e))}else if(h)throw new Error("Cannot wait for FCP without waiting for page load");const b=(await Promise.all(p)).some((e=>e.timedOut)),f=await c.getFinalNavigationUrl()||s;return await d,
await c.disable(),{finalUrl:f,warnings:getNavigationWarnings({timedOut:b,finalUrl:f,requestedUrl:s})}},getNavigationWarnings,UIStrings:d}}).call(this)}).call(this,"/lighthouse-core/gather/driver/navigation.js")},{"../../config/constants.js":56,"../../lib/i18n/i18n.js":97,"../../lib/url-shim.js":"url","./network-monitor.js":70,"./wait-for-condition.js":75}],70:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),{EventEmitter:a}=e("events"),n=e("../../lib/network-recorder.js"),l=e("../../lib/network-request.js"),u=e("../../lib/url-shim.js");s.exports=class NetworkMonitor extends a{_networkRecorder=void 0;_frameNavigations=[];constructor(e){super(),this._session=e,this._onFrameNavigated=e=>this._frameNavigations.push(e.frame),this._onProtocolMessage=e=>{this._networkRecorder&&this._networkRecorder.dispatch(e)},this.on=(e,s)=>super.on(e,s),this.once=(e,s)=>super.once(e,s),this.off=(e,s)=>super.off(e,s)}async enable(){if(this._networkRecorder)return;this._frameNavigations=[],
this._networkRecorder=new n;const reEmit=e=>s=>{this.emit(e,s),this._emitNetworkStatus()};this._networkRecorder.on("requeststarted",reEmit("requeststarted")),this._networkRecorder.on("requestloaded",reEmit("requestloaded")),this._session.on("Page.frameNavigated",this._onFrameNavigated),this._session.addProtocolMessageListener(this._onProtocolMessage),await this._session.sendCommand("Page.enable"),await this._session.sendCommand("Network.enable")}async disable(){this._session.off("Page.frameNavigated",this._onFrameNavigated),this._session.removeProtocolMessageListener(this._onProtocolMessage),this._frameNavigations=[],this._networkRecorder=void 0}async getFinalNavigationUrl(){const e=this._frameNavigations;if(!e.length)return;const s=(await this._session.sendCommand("Page.getResourceTree")).frameTree.frame.id,t=e.filter((e=>e.id===s)),a=t[t.length-1];return a||i.warn("NetworkMonitor","No detected navigations"),a&&a.url}getInflightRequests(){
return this._networkRecorder?this._networkRecorder.getRawRecords().filter((e=>!e.finished)):[]}isIdle(){return this._isActiveIdlePeriod(0)}isCriticalIdle(){if(!this._networkRecorder)return!1;const e=this._networkRecorder.getRawRecords().find((e=>"Document"===e.resourceType)),s=e&&e.frameId;return this._isActiveIdlePeriod(0,(e=>e.frameId===s&&("VeryHigh"===e.priority||"High"===e.priority)))}is2Idle(){return this._isActiveIdlePeriod(2)}_isActiveIdlePeriod(e,s){if(!this._networkRecorder)return!1;const t=this._networkRecorder.getRawRecords();let i=0;for(let e=0;e<t.length;e++){const a=t[e];a.finished||(s&&!s(a)||l.isNonNetworkRequest(a)||i++)}return i<=e}_emitNetworkStatus(){const e=this.isIdle(),s=this.is2Idle(),t=this.isCriticalIdle();this.emit(e?"networkidle":"networkbusy"),this.emit(s?"network-2-idle":"network-2-busy"),this.emit(t?"network-critical-idle":"network-critical-busy"),
s&&e?i.verbose("NetworkRecorder","network fully-quiet"):s&&!e?i.verbose("NetworkRecorder","network semi-quiet"):i.verbose("NetworkRecorder","network busy")}static findNetworkQuietPeriods(e,s,t=1/0){let i=[];e.forEach((e=>{u.isNonNetworkProtocol(e.protocol)||"ws"!==e.protocol&&"wss"!==e.protocol&&(i.push({time:1e3*e.startTime,isStart:!0}),e.finished&&i.push({time:1e3*e.endTime,isStart:!1}))})),i=i.filter((e=>e.time<=t)).sort(((e,s)=>e.time-s.time));let a=0,n=0;const l=[];return i.forEach((e=>{e.isStart?(a===s&&l.push({start:n,end:e.time}),a++):(a--,a===s&&(n=e.time))})),a<=s&&l.push({start:n,end:t}),l.filter((e=>e.start!==e.end))}}},{"../../lib/network-recorder.js":157,"../../lib/network-request.js":158,"../../lib/url-shim.js":"url",events:211,"lighthouse-logger":237}],71:[function(e,s,t){"use strict";const i=e("../../lib/network-request.js");s.exports={fetchResponseBodyFromCache:async function fetchResponseBodyFromCache(e,s,t=1e3){return s=i.getRequestIdForBackend(s),
e.setNextProtocolTimeout(t),(await e.sendCommand("Network.getResponseBody",{requestId:s})).body}}},{"../../lib/network-request.js":158}],72:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("./storage.js"),n=e("../../lib/emulation.js"),l=e("../../lib/page-functions.js");async function prepareNetworkForNavigation(e,s,t){const a={msg:"Preparing network conditions",id:"lh:gather:prepareNetworkForNavigation"};i.time(a),t.disableThrottling?await n.clearThrottling(e):await n.throttle(e,s);const l=(t.blockedUrlPatterns||[]).concat(s.blockedUrlPatterns||[]);await e.sendCommand("Network.setBlockedURLs",{urls:l});const u=s.extraHeaders;u&&await e.sendCommand("Network.setExtraHTTPHeaders",{headers:u}),i.timeEnd(a)}s.exports={prepareNetworkForNavigation,prepareTargetForNavigationMode:async function prepareTargetForNavigationMode(e,s){await e.defaultSession.sendCommand("Network.enable"),await n.emulate(e.defaultSession,s),await async function enableAsyncStacks(e){
const enable=async()=>{await e.sendCommand("Debugger.enable"),await e.sendCommand("Debugger.setSkipAllPauses",{skip:!0}),await e.sendCommand("Debugger.setAsyncCallStackDepth",{maxDepth:8})};e.on("Debugger.paused",(()=>e.sendCommand("Debugger.resume"))),e.on("Page.frameNavigated",(e=>{e.frame.parentId||enable().catch((e=>i.error("Driver",e)))})),await enable()}(e.defaultSession),await async function dismissJavaScriptDialogs(e){e.on("Page.javascriptDialogOpening",(s=>{i.warn("Driver",s.type+" dialog opened by the page automatically suppressed."),e.sendCommand("Page.handleJavaScriptDialog",{accept:!0,promptText:"Lighthouse prompt response"}).catch((e=>i.warn("Driver",e)))})),await e.sendCommand("Page.enable")}(e.defaultSession),await e.executionContext.cacheNativesOnNewDocument(),"simulate"===s.throttlingMethod&&await async function shimRequestIdleCallbackOnNewDocument(e,s){await e.executionContext.evaluateOnNewDocument(l.wrapRequestIdleCallback,{args:[s.throttling.cpuSlowdownMultiplier]
})}(e,s)},prepareTargetForIndividualNavigation:async function prepareTargetForIndividualNavigation(e,s,t){const i=[];if(!s.disableStorageReset&&!t.disableStorageReset){const{warnings:s}=await async function resetStorageForNavigation(e,s){const t=[],i=await a.getImportantStorageWarning(e,s.url);return i&&t.push(i),await a.clearDataForOrigin(e,s.url),await a.clearBrowserCaches(e),{warnings:t}}(e,t);i.push(...s)}return await prepareNetworkForNavigation(e,s,t),{warnings:i}}}},{"../../lib/emulation.js":96,"../../lib/page-functions.js":159,"./storage.js":74,"lighthouse-logger":237}],73:[function(e,s,t){"use strict";s.exports={getServiceWorkerVersions:function getServiceWorkerVersions(e){return new Promise(((s,t)=>{const versionUpdatedListener=i=>{const a=i.versions.filter((e=>"redundant"!==e.status)),n=a.find((e=>"activated"===e.status));a.length&&!n||(e.off("ServiceWorker.workerVersionUpdated",versionUpdatedListener),e.sendCommand("ServiceWorker.disable").then((e=>s(i)),t))}
;e.on("ServiceWorker.workerVersionUpdated",versionUpdatedListener),e.sendCommand("ServiceWorker.enable").catch(t)}))},getServiceWorkerRegistrations:function getServiceWorkerRegistrations(e){return new Promise(((s,t)=>{e.once("ServiceWorker.workerRegistrationUpdated",(i=>{e.sendCommand("ServiceWorker.disable").then((e=>s(i)),t)})),e.sendCommand("ServiceWorker.enable").catch(t)}))}}},{}],74:[function(e,s,t){(function(t){(function(){"use strict";const i=e("lighthouse-logger"),a=e("../../lib/i18n/i18n.js"),n={warningData:"{locationCount, plural,\n    =1 {There may be stored data affecting loading performance in this location: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}\n    other {There may be stored data affecting loading performance in these locations: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}\n  }"},l=a.createMessageInstanceIdFn(t,n);s.exports={
clearDataForOrigin:async function clearDataForOrigin(e,s){const t=new URL(s).origin,a=["appcache","file_systems","shader_cache","service_workers","cache_storage"].join(",");e.setNextProtocolTimeout(5e3);try{await e.sendCommand("Storage.clearDataForOrigin",{origin:t,storageTypes:a})}catch(e){if("PROTOCOL_TIMEOUT"!==e.code)throw e;i.warn("Driver","clearDataForOrigin timed out")}},clearBrowserCaches:async function clearBrowserCaches(e){const s={msg:"Cleaning browser cache",id:"lh:storage:clearBrowserCaches"};i.time(s),await e.sendCommand("Network.clearBrowserCache"),await e.sendCommand("Network.setCacheDisabled",{cacheDisabled:!0}),await e.sendCommand("Network.setCacheDisabled",{cacheDisabled:!1}),i.timeEnd(s)},getImportantStorageWarning:async function getImportantStorageWarning(e,s){const t=await e.sendCommand("Storage.getUsageAndQuota",{origin:s}),i={local_storage:"Local Storage",indexeddb:"IndexedDB",websql:"Web SQL"
},a=t.usageBreakdown.filter((e=>e.usage)).map((e=>i[e.storageType]||"")).filter(Boolean);if(a.length)return l(n.warningData,{locations:a.join(", "),locationCount:a.length})},UIStrings:n}}).call(this)}).call(this,"/lighthouse-core/gather/driver/storage.js")},{"../../lib/i18n/i18n.js":97,"lighthouse-logger":237}],75:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../../lib/lh-error.js"),n=e("./execution-context.js");function waitForNothing(){return{promise:Promise.resolve(),cancel(){}}}function waitForFcp(e,s,t){let cancel=()=>{throw new Error("waitForFcp.cancel() called before it was defined")};return{promise:new Promise(((i,n)=>{const l=setTimeout((()=>{n(new a(a.errors.NO_FCP))}),t);let u;const lifecycleListener=e=>{"firstContentfulPaint"===e.name&&(u=setTimeout((()=>{i(),cancel()}),s))};e.on("Page.lifecycleEvent",lifecycleListener);let c=!1;cancel=()=>{c||(c=!0,e.off("Page.lifecycleEvent",lifecycleListener),l&&clearTimeout(l),u&&clearTimeout(u),
n(new Error("Wait for FCP canceled")))}})),cancel}}function waitForNetworkIdle(e,s,t){let a,n=!1,cancel=()=>{throw new Error("waitForNetworkIdle.cancel() called before it was defined")};const{networkQuietThresholdMs:l,busyEvent:u,idleEvent:c,isIdle:d}=t;return{promise:new Promise(((t,m)=>{const onIdle=()=>{s.once(u,onBusy),a=setTimeout((()=>{cancel(),t()}),l)},onBusy=()=>{s.once(c,onIdle),a&&clearTimeout(a)},domContentLoadedListener=()=>{n=!0,d(s)?onIdle():onBusy()},logStatus=()=>{if(!n)return void i.verbose("waitFor","Waiting on DomContentLoaded");const e=s.getInflightRequests();if(e.length<20)for(const s of e)i.verbose("waitFor",`Waiting on ${s.url.slice(0,120)} to finish`)};s.on("requeststarted",logStatus),s.on("requestloaded",logStatus),s.on(u,logStatus),e.once("Page.domContentEventFired",domContentLoadedListener);let g=!1;cancel=()=>{g||(g=!0,a&&clearTimeout(a),e.off("Page.domContentEventFired",domContentLoadedListener),s.removeListener(u,onBusy),s.removeListener(c,onIdle),
s.removeListener("requeststarted",logStatus),s.removeListener("requestloaded",logStatus),s.removeListener(u,logStatus))}})),cancel}}function waitForCPUIdle(e,s){if(!s)return{promise:Promise.resolve(),cancel:()=>{}};let t,a=!1;async function checkForQuiet(e,n){if(a)return;const l=await e.evaluate(checkTimeSinceLastLongTaskInPage,{args:[]});if(!a&&"number"==typeof l)if(l>=s)i.verbose("waitFor",`CPU has been idle for ${l} ms`),n();else{i.verbose("waitFor",`CPU has been idle for ${l} ms`);t=setTimeout((()=>checkForQuiet(e,n)),s-l)}}let cancel=()=>{throw new Error("waitForCPUIdle.cancel() called before it was defined")};const l=new n(e);return{promise:new Promise(((e,s)=>{l.evaluate(registerPerformanceObserverInPage,{args:[]}).then((()=>checkForQuiet(l,e))).catch(s),cancel=()=>{a||(a=!0,t&&clearTimeout(t),s(new Error("Wait for CPU idle canceled")))}})),cancel}}function registerPerformanceObserverInPage(){if(void 0!==window.____lastLongTask)return;window.____lastLongTask=performance.now()
;new window.PerformanceObserver((e=>{const s=e.getEntries();for(const e of s)if("longtask"===e.entryType){const s=e.startTime+e.duration;window.____lastLongTask=Math.max(window.____lastLongTask||0,s)}})).observe({type:"longtask",buffered:!0})}function checkTimeSinceLastLongTaskInPage(){return new Promise((e=>{const s=performance.now(),t=window.____lastLongTask||0;setTimeout((()=>{const i=window.____lastLongTask||0;e(t===i?s-t:0)}),150)}))}function waitForLoadEvent(e,s){let cancel=()=>{throw new Error("waitForLoadEvent.cancel() called before it was defined")};return{promise:new Promise(((t,i)=>{let a;const loadListener=function(){a=setTimeout(t,s)};e.once("Page.loadEventFired",loadListener);let n=!1;cancel=()=>{n||(n=!0,e.off("Page.loadEventFired",loadListener),a&&clearTimeout(a))}})),cancel}}const l={waitForFcp,waitForLoadEvent,waitForCPUIdle,waitForNetworkIdle};s.exports={waitForNothing,waitForFrameNavigated:function waitForFrameNavigated(e){let cancel=()=>{
throw new Error("waitForFrameNavigated.cancel() called before it was defined")};return{promise:new Promise(((s,t)=>{e.once("Page.frameNavigated",s),cancel=()=>{e.off("Page.frameNavigated",s),t(new Error("Wait for navigated cancelled"))}})),cancel}},waitForFcp,waitForLoadEvent,waitForNetworkIdle,waitForCPUIdle,waitForFullyLoaded:async function waitForFullyLoaded(e,s,t){const{pauseAfterFcpMs:n,pauseAfterLoadMs:u,networkQuietThresholdMs:c,cpuQuietThresholdMs:d,maxWaitForLoadedMs:m,maxWaitForFcpMs:g}=t,{waitForFcp:h,waitForLoadEvent:p,waitForNetworkIdle:b,waitForCPUIdle:f}=t._waitForTestOverrides||l;let v;const j=g?h(e,n,g):waitForNothing(),k=p(e,u),y=b(e,s,{networkQuietThresholdMs:c,busyEvent:"network-2-busy",idleEvent:"network-2-idle",isIdle:e=>e.is2Idle()}),w=b(e,s,{networkQuietThresholdMs:c,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:e=>e.isCriticalIdle()});let z=waitForNothing()
;const T=Promise.all([j.promise,k.promise,y.promise,w.promise]).then((()=>(z=f(e,d),z.promise))).then((()=>async function(){return i.verbose("waitFor","loadEventFired and network considered idle"),{timedOut:!1}})).catch((e=>function(){throw e})),S=new Promise(((e,s)=>{v=setTimeout(e,m)})).then((s=>async()=>{if(i.warn("waitFor","Timed out waiting for page load. Checking if page is hung..."),await async function isPageHung(e){try{return e.setNextProtocolTimeout(1e3),await e.sendCommand("Runtime.evaluate",{expression:'"ping"',returnByValue:!0,timeout:1e3}),!1}catch(e){return!0}}(e))throw i.warn("waitFor","Page appears to be hung, killing JavaScript..."),await e.sendCommand("Emulation.setScriptExecutionDisabled",{value:!0}),await e.sendCommand("Runtime.terminateExecution"),new a(a.errors.PAGE_HUNG);return{timedOut:!0}})),x=await Promise.race([T,S]);return v&&clearTimeout(v),j.cancel(),k.cancel(),y.cancel(),z.cancel(),x()}}},{"../../lib/lh-error.js":152,"./execution-context.js":68,
"lighthouse-logger":237}],76:[function(e,s,t){(function(t){(function(){"use strict";const i=e("lighthouse-logger"),{getBrowserVersion:a}=e("./driver/environment.js");s.exports=class Fetcher{constructor(e,s){this.session=e,this.executionContext=s,this._onRequestPausedHandlers=new Map,this._onRequestPaused=this._onRequestPaused.bind(this),this._enabled=!1}async enable(){this._enabled||(this._enabled=!0,await this.session.sendCommand("Fetch.enable",{patterns:[{requestStage:"Request"},{requestStage:"Response"}]}),await this.session.on("Fetch.requestPaused",this._onRequestPaused))}async disable(){this._enabled&&(this._enabled=!1,await this.session.off("Fetch.requestPaused",this._onRequestPaused),await this.session.sendCommand("Fetch.disable"),this._onRequestPausedHandlers.clear())}async _setOnRequestPausedHandler(e,s){this._onRequestPausedHandlers.set(e,s)}_onRequestPaused(e){const s=this._onRequestPausedHandlers.get(e.request.url);s?s(e):this.session.sendCommand("Fetch.continueRequest",{
requestId:e.requestId}).catch((e=>{i.error("Fetcher","Failed to continueRequest: "+e.message)}))}async fetchResource(e,s={timeout:500}){if(!this._enabled)throw new Error("Must call `enable` before using fetchResource");const{milestone:t}=await a(this.session);return t>=92?await this._fetchResourceOverProtocol(e,s):await this._fetchResourceIframe(e,s)}async _readIOStream(e,s={timeout:500}){const i=Date.now();let a,n="";for(;!a||!a.eof;){if(Date.now()-i>s.timeout)throw new Error("Waiting for the end of the IO stream exceeded the allotted time.");a=await this.session.sendCommand("IO.read",{handle:e});const l=a.base64Encoded?t.from(a.data,"base64").toString("utf-8"):a.data;n=n.concat(l)}return n}async _loadNetworkResource(e){const s=await this.session.sendCommand("Page.getFrameTree"),t=await this.session.sendCommand("Network.loadNetworkResource",{frameId:s.frameTree.frame.id,url:e,options:{disableCache:!0,includeCredentials:!0}});return{stream:t.resource.success&&t.resource.stream||null,
status:t.resource.httpStatusCode||null}}async _resolveResponseBody(e){const s=await this.session.sendCommand("Fetch.getResponseBody",{requestId:e});return s.base64Encoded?t.from(s.body,"base64").toString():s.body}async _fetchResourceOverProtocol(e,s){const t=Date.now();let i;const a=new Promise(((e,t)=>{i=setTimeout((()=>{t(new Error("Timed out fetching resource"))}),s.timeout)})),n=this._loadNetworkResource(e),l=await Promise.race([n,a]).finally((()=>clearTimeout(i))),u=l.status&&l.status>=200&&l.status<=299;if(!l.stream||!u)return{status:l.status,content:null};const c=s.timeout-(Date.now()-t),d=await this._readIOStream(l.stream,{timeout:c});return{status:l.status,content:d}}async _fetchResourceIframe(e,s){const t=new Promise(((s,t)=>{const handlerAsync=async e=>{const{requestId:t,responseStatusCode:i}=e;if(i)s(i>=200&&i<=299?{status:i,content:await this._resolveResponseBody(t)}:{status:i,content:null}),await this.session.sendCommand("Fetch.failRequest",{requestId:t,
errorReason:"Aborted"});else{const s=Object.entries(e.request.headers).filter((([e])=>"Cookie"!==e)).map((([e,s])=>({name:e,value:s})));await this.session.sendCommand("Fetch.continueRequest",{requestId:t,headers:s})}};this._setOnRequestPausedHandler(e,(e=>handlerAsync(e).catch(t)))}));let i;const a=new Promise(((e,t)=>{i=setTimeout((()=>t(new Error("Timed out fetching resource."))),s.timeout)})),n=Promise.race([a,t]).finally((()=>clearTimeout(i)));await this.session.sendCommand("Target.setAutoAttach",{autoAttach:!1,waitForDebuggerOnStart:!1});const l=this.executionContext.evaluate((function injectIframe(e){const s=document.createElement("iframe");s.style.display="none",s.style.visibility="hidden",s.style.position="absolute",s.style.top="-1000px",s.style.left="-1000px",s.style.width="1px",s.style.height="1px",s.src=e,s.onload=s.onerror=()=>{s.remove(),s.onload=null,s.onerror=null},document.body.appendChild(s)}),{args:[e],useIsolation:!0}),[u]=await Promise.all([n,l])
;return await this.session.sendCommand("Target.setAutoAttach",{flatten:!0,autoAttach:!0,waitForDebuggerOnStart:!0}),u}}}).call(this)}).call(this,e("buffer").Buffer)},{"./driver/environment.js":67,buffer:194,"lighthouse-logger":237}],77:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../computed/network-records.js"),{getPageLoadError:n}=e("../lib/navigation-error.js"),l=e("../lib/emulation.js"),u=e("../config/constants.js"),c=e("../lib/i18n/i18n.js"),{getBenchmarkIndex:d,getEnvironmentWarnings:m}=e("./driver/environment.js"),g=e("./driver/prepare.js"),h=e("./driver/storage.js"),p=e("./driver/navigation.js"),b=e("./driver/service-workers.js"),f=e("./gatherers/web-app-manifest.js"),v=e("./gatherers/installability-errors.js"),j=e("./gatherers/network-user-agent.js"),k=e("./gatherers/stacks.js"),{finalizeArtifacts:y}=e("../fraggle-rock/gather/base-artifacts.js");class GatherRunner{static async loadBlank(e,s=u.defaultPassConfig.blankPage){const t={
msg:"Resetting state with about:blank",id:"lh:gather:loadBlank"};i.time(t),await p.gotoURL(e,s,{waitUntil:["navigated"]}),i.timeEnd(t)}static async loadPage(e,s){const t={msg:"Loading page & waiting for onload",id:"lh:gather:loadPage-"+s.passConfig.passName};i.time(t);try{const a=s.url,{finalUrl:n,warnings:l}=await p.gotoURL(e,a,{waitUntil:s.passConfig.recordTrace?["load","fcp"]:["load"],maxWaitForFcp:s.settings.maxWaitForFcp,maxWaitForLoad:s.settings.maxWaitForLoad,...s.passConfig});s.url=n,"fatal"===s.passConfig.loadFailureMode&&s.LighthouseRunWarnings.push(...l)}catch(e){if("NO_FCP"===e.code||"PAGE_HUNG"===e.code)return{navigationError:e};throw e}finally{i.timeEnd(t)}return{}}static assertNoSameOriginServiceWorkerClients(e,s){let t,i;return b.getServiceWorkerRegistrations(e).then((e=>{t=e.registrations})).then((s=>b.getServiceWorkerVersions(e))).then((e=>{i=e.versions})).then((e=>{const a=new URL(s).origin;t.filter((e=>{const s=new URL(e.scopeURL).origin;return a===s
})).forEach((e=>{i.forEach((s=>{if(s.registrationId===e.registrationId&&s.controlledClients&&s.controlledClients.length>0)throw new Error("You probably have multiple tabs open to the same origin.")}))}))}))}static async setupDriver(e,s){const t={msg:"Initializing…",id:"lh:gather:setupDriver"};i.time(t);const a=e.defaultSession;await GatherRunner.assertNoSameOriginServiceWorkerClients(a,s.requestedUrl),await g.prepareTargetForNavigationMode(e,s.settings),i.timeEnd(t)}static async disposeDriver(e,s){const t={msg:"Disconnecting from browser...",id:"lh:gather:disconnect"};i.time(t);try{const t=e.defaultSession;!s.settings.disableStorageReset&&await h.clearDataForOrigin(t,s.requestedUrl),await e.fetcher.disable(),await e.disconnect()}catch(e){/close\/.*status: (500|404)$/.test(e.message)||i.error("GatherRunner disconnect",e.message)}i.timeEnd(t)}static async beginRecording(e){const s={msg:"Beginning devtoolsLog and trace",id:"lh:gather:beginRecording"};i.time(s)
;const{driver:t,passConfig:a,settings:n}=e;await t.beginDevtoolsLog(),a.recordTrace&&await t.beginTrace(n),i.timeEnd(s)}static async endRecording(e){const{driver:s,passConfig:t}=e;let n;if(t.recordTrace){const e={msg:"Gathering trace",id:"lh:gather:getTrace"};i.time(e),n=await s.endTrace(),i.timeEnd(e)}const l={msg:"Gathering devtoolsLog & network records",id:"lh:gather:getDevtoolsLog"};i.time(l);const u=s.endDevtoolsLog(),c=await a.request(u,e);return i.timeEnd(l),{networkRecords:c,devtoolsLog:u,trace:n}}static async beforePass(e,s){const t={msg:"Running beforePass methods",id:"lh:gather:beforePass"};i.time(t,"verbose");for(const t of e.passConfig.gatherers){const a=t.instance,n={msg:"Gathering setup: "+a.name,id:"lh:gather:beforePass:"+a.name};i.time(n,"verbose");const l=Promise.resolve().then((s=>a.beforePass(e)));s[a.name]=[l],await l.catch((()=>{})),i.timeEnd(n)}i.timeEnd(t)}static async pass(e,s){const t=e.passConfig.gatherers,a={msg:"Running pass methods",id:"lh:gather:pass"}
;i.time(a,"verbose");for(const a of t){const t=a.instance,n={msg:"Gathering in-page: "+t.name,id:"lh:gather:pass:"+t.name};i.time(n);const l=Promise.resolve().then((s=>t.pass(e))),u=s[t.name]||[];u.push(l),s[t.name]=u,await l.catch((()=>{}))}i.timeEnd(a)}static async afterPass(e,s,t){const a=e.driver,n=e.passConfig.gatherers,l={msg:"Running afterPass methods",id:"lh:gather:afterPass"};i.time(l,"verbose");const u=await a.getScrollPosition();for(const l of n){const n=l.instance,c={msg:"Gathering: "+n.name,id:"lh:gather:afterPass:"+n.name};i.time(c);const d=Promise.resolve().then((t=>n.afterPass(e,s))),m=t[n.name]||[];m.push(d),t[n.name]=m,await d.catch((()=>{})),await a.scrollTo(u),i.timeEnd(c)}i.timeEnd(l)}static async collectArtifacts(e){const s={},t=Object.entries(e);for(const[e,i]of t){try{const t=(await Promise.all(i)).filter((e=>void 0!==e)),a=t[t.length-1];s[e]=a}catch(t){s[e]=t}if(void 0===s[e])throw new Error(e+" failed to provide an artifact.")}return{artifacts:s}}
static async initializeBaseArtifacts(e){const s=(await e.driver.getBrowserVersion()).userAgent,t=s.includes("Android")||s.includes("Mobile")?"mobile":"desktop";return{fetchTime:(new Date).toJSON(),LighthouseRunWarnings:[],HostFormFactor:t,HostUserAgent:s,NetworkUserAgent:"",BenchmarkIndex:0,WebAppManifest:null,InstallabilityErrors:{errors:[]},Stacks:[],traces:{},devtoolsLogs:{},settings:e.settings,URL:{requestedUrl:e.requestedUrl,finalUrl:e.requestedUrl},Timing:[],PageLoadError:null}}static async populateBaseArtifacts(e){const s={msg:"Populate base artifacts",id:"lh:gather:populateBaseArtifacts"};i.time(s);const t=e.baseArtifacts;t.URL.finalUrl=e.url,t.WebAppManifest=await f.getWebAppManifest(e.driver.defaultSession,e.url),t.WebAppManifest&&(t.InstallabilityErrors=await v.getInstallabilityErrors(e.driver.defaultSession)),t.Stacks=await k.collectStacks(e.driver.executionContext);const a=t.devtoolsLogs[e.passConfig.passName];t.NetworkUserAgent=j.getNetworkUserAgent(a);const n=m(e)
;t.LighthouseRunWarnings.push(...n),i.timeEnd(s)}static async run(e,s){const t=s.driver,i={};try{await t.connect(),await GatherRunner.loadBlank(t);const a=await GatherRunner.initializeBaseArtifacts(s);a.BenchmarkIndex=await d(t.executionContext),await GatherRunner.setupDriver(t,s);let n=!0;for(const l of e){const e={gatherMode:"navigation",driver:t,url:s.requestedUrl,settings:s.settings,passConfig:l,baseArtifacts:a,computedCache:s.computedCache,LighthouseRunWarnings:a.LighthouseRunWarnings},u=await GatherRunner.runPass(e);if(Object.assign(i,u.artifacts),u.pageLoadError&&"fatal"===l.loadFailureMode){a.PageLoadError=u.pageLoadError;break}n&&(await GatherRunner.populateBaseArtifacts(e),n=!1),await t.fetcher.disable()}return await GatherRunner.disposeDriver(t,s),y(a,i)}catch(e){throw GatherRunner.disposeDriver(t,s),e}}static _addLoadDataToBaseArtifacts(e,s,t){const i=e.baseArtifacts;i.devtoolsLogs[t]=s.devtoolsLog,s.trace&&(i.traces[t]=s.trace)}static async runPass(e){const s={
msg:`Running ${e.passConfig.passName} pass`,id:"lh:gather:runPass-"+e.passConfig.passName,args:[e.passConfig.gatherers.map((e=>e.instance.name)).join(", ")]};i.time(s);const t={},{driver:a,passConfig:u}=e;await GatherRunner.loadBlank(a,u.blankPage);const{warnings:d}=await g.prepareTargetForIndividualNavigation(a.defaultSession,e.settings,{url:e.url,disableStorageReset:!u.useThrottling,disableThrottling:!u.useThrottling,blockedUrlPatterns:u.blockedUrlPatterns});e.LighthouseRunWarnings.push(...d),await GatherRunner.beforePass(e,t),await GatherRunner.beginRecording(e);const{navigationError:m}=await GatherRunner.loadPage(a,e);await GatherRunner.pass(e,t);const h=await GatherRunner.endRecording(e);await l.clearThrottling(a.defaultSession);const p=n(m,{url:e.url,loadFailureMode:u.loadFailureMode,networkRecords:h.networkRecords});if(p){const t=c.getFormatted(p.friendlyMessage,e.settings.locale);return i.error("GatherRunner",t,e.url),e.LighthouseRunWarnings.push(p.friendlyMessage),
GatherRunner._addLoadDataToBaseArtifacts(e,h,"pageLoadError-"+u.passName),i.timeEnd(s),{artifacts:{},pageLoadError:p}}GatherRunner._addLoadDataToBaseArtifacts(e,h,u.passName),await GatherRunner.afterPass(e,h,t);const b=GatherRunner.collectArtifacts(t);return i.timeEnd(s),b}}s.exports=GatherRunner},{"../computed/network-records.js":40,"../config/constants.js":56,"../fraggle-rock/gather/base-artifacts.js":61,"../lib/emulation.js":96,"../lib/i18n/i18n.js":97,"../lib/navigation-error.js":156,"./driver/environment.js":67,"./driver/navigation.js":69,"./driver/prepare.js":72,"./driver/service-workers.js":73,"./driver/storage.js":74,"./gatherers/installability-errors.js":"../gather/gatherers/installability-errors","./gatherers/network-user-agent.js":"../gather/gatherers/network-user-agent","./gatherers/stacks.js":"../gather/gatherers/stacks","./gatherers/web-app-manifest.js":"../gather/gatherers/web-app-manifest","lighthouse-logger":237}],78:[function(e,s,t){"use strict"
;s.exports=class Gatherer{get name(){return this.constructor.name}beforePass(e){}pass(e){}afterPass(e,s){}}},{}],79:[function(e,s,t){"use strict";const i=e("./runner.js"),a=e("lighthouse-logger"),n=e("./gather/connections/cri.js"),l=e("./config/config.js");async function lighthouse(e,s={},t,l){s.logLevel=s.logLevel||"error",a.setLevel(s.logLevel);const u={url:e,config:generateConfig(t,s),computedCache:new Map},c=l||new n(s.port,s.hostname);return i.run((({requestedUrl:e})=>i._gatherArtifactsFromBrowser(e,u,c)),u)}function generateConfig(e,s){return new l(e,s)}lighthouse.generateConfig=generateConfig,lighthouse.getAuditList=i.getAuditList,lighthouse.traceCategories=e("./gather/driver.js").traceCategories,lighthouse.Audit=e("./audits/audit.js"),lighthouse.Gatherer=e("./gather/gatherers/gatherer.js"),lighthouse.NetworkRecords=e("./computed/network-records.js"),s.exports=lighthouse},{"./audits/audit.js":3,"./computed/network-records.js":40,"./config/config.js":55,
"./gather/connections/cri.js":193,"./gather/driver.js":65,"./gather/gatherers/gatherer.js":78,"./runner.js":172,"lighthouse-logger":237}],80:[function(e,s,t){"use strict";const i=e("lodash.isequal");class ArbitraryEqualityMap{constructor(){this._equalsFn=ArbitraryEqualityMap.deepEquals,this._entries=[]}setEqualityFn(e){this._equalsFn=e}has(e){return-1!==this._findIndexOf(e)}get(e){const s=this._entries[this._findIndexOf(e)];return s&&s.value}set(e,s){let t=this._findIndexOf(e);-1===t&&(t=this._entries.length),this._entries[t]={key:e,value:s}}_findIndexOf(e){for(let s=0;s<this._entries.length;s++)if(this._equalsFn(e,this._entries[s].key))return s;return-1}static deepEquals(e,s){return i(e,s)}}s.exports=ArbitraryEqualityMap},{"lodash.isequal":266}],81:[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("fs"),a=e("path"),n=e("lighthouse-logger"),l=e("stream"),{promisify:u}=e("util"),c=e("./dependency-graph/simulator/simulator.js"),d=e("./lantern-trace-saver.js"),m=e("./traces/pwmetrics-events.js"),g=e("../computed/network-analysis.js"),h=e("../computed/load-simulator.js"),p=e("../lib/lh-error.js"),b=u(l.pipeline),f="artifacts.json",v=".trace.json",j=".devtoolslog.json";function stringifyReplacer(e,s){return s instanceof Error?p.stringifyReplacer(s):s}async function prepareAssets(e,s){const t=Object.keys(e.traces),i=[];for(const a of t){const t=e.traces[a],n=e.devtoolsLogs[a],l=Object.assign({},t);if(s){const e=new m(l.traceEvents,s).generateFakeEvents();l.traceEvents=l.traceEvents.concat(e)}i.push({passName:a,traceData:l,devtoolsLog:n})}return i}function*arrayOfObjectsJsonGenerator(e){if(yield"[\n",e.length>0){const s=e[Symbol.iterator](),t=s.next().value;yield"  "+JSON.stringify(t);let i=500,a="";for(const e of s)a+=",\n  "+JSON.stringify(e),i--,0===i&&(yield a,i=500,a="")
;yield a}yield"\n]"}async function saveTrace(e,s){const t=function*traceJsonGenerator(e){const{traceEvents:s,...t}=e;yield"{\n",yield'"traceEvents": ',yield*arrayOfObjectsJsonGenerator(s);for(const[e,s]of Object.entries(t))yield`,\n"${e}": ${JSON.stringify(s,null,2)}`;yield"}\n"}(e),a=i.createWriteStream(s);return b(l.Readable.from(t),a)}function saveDevtoolsLog(e,s){const t=arrayOfObjectsJsonGenerator(e),a=i.createWriteStream(s);return b(l.Readable.from(t),a)}s.exports={saveArtifacts:async function saveArtifacts(e,s){const t={msg:"Saving artifacts",id:"lh:assetSaver:saveArtifacts"};n.time(t),i.mkdirSync(s,{recursive:!0});const a=i.readdirSync(s);for(const e of a)(e.endsWith(v)||e.endsWith(j)||e===f)&&i.unlinkSync(`${s}/${e}`);const{traces:l,devtoolsLogs:u,...c}=e;for(const[e,t]of Object.entries(l))await saveTrace(t,`${s}/${e}.trace.json`);for(const[e,t]of Object.entries(u))await saveDevtoolsLog(t,`${s}/${e}.devtoolslog.json`);const d=JSON.stringify(c,stringifyReplacer,2)+"\n"
;i.writeFileSync(s+"/artifacts.json",d,"utf8"),n.log("Artifacts saved to disk in folder:",s),n.timeEnd(t)},saveLhr:function saveLhr(e,s){i.writeFileSync(s+"/lhr.report.json",JSON.stringify(e,null,2))},loadArtifacts:function loadArtifacts(e){if(n.log("Reading artifacts from disk:",e),!i.existsSync(e))throw new Error("No saved artifacts found at "+e);const s=i.readFileSync(a.join(e,f),"utf8"),t=JSON.parse(s,p.parseReviver),l=i.readdirSync(e);return t.devtoolsLogs={},l.filter((e=>e.endsWith(j))).forEach((s=>{const n=s.replace(j,""),l=JSON.parse(i.readFileSync(a.join(e,s),"utf8"));t.devtoolsLogs[n]=l})),t.traces={},l.filter((e=>e.endsWith(v))).forEach((s=>{const n=i.readFileSync(a.join(e,s),{encoding:"utf-8"}),l=JSON.parse(n),u=s.replace(v,"");t.traces[u]=Array.isArray(l)?{traceEvents:l}:l})),Array.isArray(t.Timing)&&t.Timing.forEach((e=>e.gather=!0)),t},saveAssets:async function saveAssets(e,s,a){const l=(await prepareAssets(e,s)).map((async(e,s)=>{const t=`${a}-${s}.devtoolslog.json`
;i.writeFileSync(t,JSON.stringify(e.devtoolsLog,null,2)),n.log("saveAssets","devtools log saved to disk: "+t);const l=`${a}-${s}.trace.json`;n.log("saveAssets","streaming trace file to disk: "+l),await saveTrace(e.traceData,l),n.log("saveAssets","trace file streamed to disk: "+l)}));await Promise.all(l),await async function saveLanternDebugTraces(e){if(t.env.LANTERN_DEBUG)for(const[s,t]of c.ALL_NODE_TIMINGS){if(d.simulationNamesToIgnore.includes(s))continue;const i=`${e}-${s}.trace.json`;await saveTrace(d.convertNodeTimingsToTrace(t),i),n.log("saveAssets",`${s} lantern trace file streamed to disk: ${i}`)}}(a)},prepareAssets,saveTrace,saveDevtoolsLog,saveLanternNetworkData:async function saveLanternNetworkData(e,s){const t={computedCache:new Map},a=await g.request(e,t),n=h.convertAnalysisToSaveableLanternData(a);i.writeFileSync(s,JSON.stringify(n))},stringifyReplacer}}).call(this)}).call(this,e("_process"))},{"../computed/load-simulator.js":13,"../computed/network-analysis.js":39,
"../lib/lh-error.js":152,"./dependency-graph/simulator/simulator.js":94,"./lantern-trace-saver.js":148,"./traces/pwmetrics-events.js":170,_process:272,fs:193,"lighthouse-logger":237,path:271,stream:283,util:306}],82:[function(e,s,t){"use strict";s.exports={
source:'/*! axe v4.2.3\n * Copyright (c) 2021 Deque Systems, Inc.\n *\n * Your use of this Source Code Form is subject to the terms of the Mozilla Public\n * License, v. 2.0. If a copy of the MPL was not distributed with this\n * file, You can obtain one at http://mozilla.org/MPL/2.0/.\n *\n * This entire copyright notice must appear in every copy of this file you\n * distribute or in any file that contains substantial portions of this source\n * code.\n */\n!function e(window){var Bu=window,document=window.document;function Lu(e){return(Lu="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}var axe=axe||{};function qu(e){this.name="SupportError",this.cause=e.cause,this.message="`".concat(e.cause,"` - feature unsupported in your environment."),e.ruleId&&(this.ruleId=e.ruleId,this.message+=" Skipping ".concat(this.ruleId," rule.")),this.stack=(new Error).stack}axe.version="4.2.3","function"==typeof define&&define.amd&&define("axe-core",[],function(){return axe}),"object"===("undefined"==typeof module?"undefined":Lu(module))&&module.exports&&"function"==typeof e.toString&&(axe.source="("+e.toString()+\')(typeof window === "object" ? window : this);\',module.exports=axe),"function"==typeof window.getComputedStyle&&(window.axe=axe),(qu.prototype=Object.create(Error.prototype)).constructor=qu;var Mu=["variant"],ju=["matches"],Uu=["chromium"],Vu=["noImplicit"],Hu=["noPresentational"];function zu(e,t){if(null==e)return{};var r,a=function(e,t){if(null==e)return{};var r,a,n={},o=Object.keys(e);for(a=0;a<o.length;a++)r=o[a],0<=t.indexOf(r)||(n[r]=e[r]);return n}(e,t);if(Object.getOwnPropertySymbols)for(var n=Object.getOwnPropertySymbols(e),o=0;o<n.length;o++)r=n[o],0<=t.indexOf(r)||Object.prototype.propertyIsEnumerable.call(e,r)&&(a[r]=e[r]);return a}function $u(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),t&&r(e,t)}function r(e,t){return(r=Object.setPrototypeOf||function(e,t){return e.__proto__=t,e})(e,t)}function Wu(r){var a=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],function(){})),!0}catch(e){return!1}}();return function(){var e,t=n(r);return e=a?(e=n(this).constructor,Reflect.construct(t,arguments,e)):t.apply(this,arguments),t=this,!(e=e)||"object"!==Lu(e)&&"function"!=typeof e?Gu(t):e}}function Gu(e){if(void 0===e)throw new ReferenceError("this hasn\'t been initialised - super() hasn\'t been called");return e}function n(e){return(n=Object.setPrototypeOf?Object.getPrototypeOf:function(e){return e.__proto__||Object.getPrototypeOf(e)})(e)}function Yu(e){return function(e){if(Array.isArray(e))return o(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||l(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function Ku(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=r){var a,n,o=[],i=!0,l=!1;try{for(r=r.call(e);!(i=(a=r.next()).done)&&(o.push(a.value),!t||o.length!==t);i=!0);}catch(e){l=!0,n=e}finally{try{i||null==r.return||r.return()}finally{if(l)throw n}}return o}}(e,t)||l(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function Xu(){return(Xu=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r,a=arguments[t];for(r in a)Object.prototype.hasOwnProperty.call(a,r)&&(e[r]=a[r])}return e}).apply(this,arguments)}function Ju(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function a(e,t){for(var r=0;r<t.length;r++){var a=t[r];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(e,a.key,a)}}function Qu(e,t,r){return t&&a(e.prototype,t),r&&a(e,r),e}function Zu(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=l(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var a=0,t=function(){};return{s:t,n:function(){return a>=e.length?{done:!0}:{done:!1,value:e[a++]}},e:function(e){throw e},f:t}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var n,o=!0,i=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return o=e.done,e},e:function(e){i=!0,n=e},f:function(){try{o||null==r.return||r.return()}finally{if(i)throw n}}}}function l(e,t){if(e){if("string"==typeof e)return o(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Map"===(r="Object"===r&&e.constructor?e.constructor.name:r)||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?o(e,t):void 0}}function o(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,a=new Array(t);r<t;r++)a[r]=e[r];return a}function Lu(e){return(Lu="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}!function(){function i(e){return l(e,"__esModule",{value:!0})}function t(t,r,a){if(i(t),"object"===Lu(r)||"function"==typeof r){var n,o=Zu(e(r));try{for(o.s();!(n=o.n()).done;)!function(){var e=n.value;s.call(t,e)||"default"===e||l(t,e,{get:function(){return r[e]},enumerable:!(a=u(r,e))||a.enumerable})}()}catch(e){o.e(e)}finally{o.f()}}return t}var r=Object.create,l=Object.defineProperty,a=Object.getPrototypeOf,s=Object.prototype.hasOwnProperty,e=Object.getOwnPropertyNames,u=Object.getOwnPropertyDescriptor,n=function(e,t){return function(){return t||e((t={exports:{}}).exports,t),t.exports}},o=function(e,t){for(var r in i(e),t)l(e,r,{get:t[r],enumerable:!0})},c=function(e){return e&&e.__esModule?e:t(l(r(a(e)),"default",{value:e,enumerable:!0}),e)},d=n(function(i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.isIdentStart=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"-"===e||"_"===e},i.isIdent=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"0"<=e&&e<="9"||"-"===e||"_"===e},i.isHex=function(e){return"a"<=e&&e<="f"||"A"<=e&&e<="F"||"0"<=e&&e<="9"},i.escapeIdentifier=function(e){for(var t=e.length,r="",a=0;a<t;){var n=e.charAt(a);if(i.identSpecialChars[n])r+="\\\\"+n;else if("_"===n||"-"===n||"A"<=n&&n<="Z"||"a"<=n&&n<="z"||0!==a&&"0"<=n&&n<="9")r+=n;else{var o=n.charCodeAt(0);if(55296==(63488&o)){n=e.charCodeAt(a++);if(55296!=(64512&o)||56320!=(64512&n))throw Error("UCS-2(decode): illegal sequence");o=((1023&o)<<10)+(1023&n)+65536}r+="\\\\"+o.toString(16)+" "}a++}return r},i.escapeStr=function(e){for(var t,r=e.length,a="",n=0;n<r;){var o=e.charAt(n);\'"\'===o?o=\'\\\\"\':"\\\\"===o?o="\\\\\\\\":void 0!==(t=i.strReplacementsRev[o])&&(o=t),a+=o,n++}return\'"\'+a+\'"\'},i.identSpecialChars={"!":!0,\'"\':!0,"#":!0,$:!0,"%":!0,"&":!0,"\'":!0,"(":!0,")":!0,"*":!0,"+":!0,",":!0,".":!0,"/":!0,";":!0,"<":!0,"=":!0,">":!0,"?":!0,"@":!0,"[":!0,"\\\\":!0,"]":!0,"^":!0,"`":!0,"{":!0,"|":!0,"}":!0,"~":!0},i.strReplacementsRev={"\\n":"\\\\n","\\r":"\\\\r","\\t":"\\\\t","\\f":"\\\\f","\\v":"\\\\v"},i.singleQuoteEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\","\'":"\'"},i.doubleQuotesEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\",\'"\':\'"\'}}),p=n(function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var b=d();e.parseCssSelector=function(o,i,l,s,n,u){var c=o.length,d="";function p(e,t){var r="";for(i++,d=o.charAt(i);i<c;){if(d===e)return i++,r;if("\\\\"===d){i++;var a;if((d=o.charAt(i))===e)r+=e;else if(void 0!==(a=t[d]))r+=a;else{if(b.isHex(d)){var n=d;for(i++,d=o.charAt(i);b.isHex(d);)n+=d,i++,d=o.charAt(i);" "===d&&(i++,d=o.charAt(i)),r+=String.fromCharCode(parseInt(n,16));continue}r+=d}}else r+=d;i++,d=o.charAt(i)}return r}function f(){var e="";for(d=o.charAt(i);i<c;){if(b.isIdent(d))e+=d;else{if("\\\\"!==d)return e;if(c<=++i)throw Error("Expected symbol but end of file reached.");if(d=o.charAt(i),b.identSpecialChars[d])e+=d;else{if(b.isHex(d)){var t=d;for(i++,d=o.charAt(i);b.isHex(d);)t+=d,i++,d=o.charAt(i);" "===d&&(i++,d=o.charAt(i)),e+=String.fromCharCode(parseInt(t,16));continue}e+=d}}i++,d=o.charAt(i)}return e}function m(){d=o.charAt(i);for(var e=!1;" "===d||"\\t"===d||"\\n"===d||"\\r"===d||"\\f"===d;)e=!0,i++,d=o.charAt(i);return e}function h(){var e=r();if(!e)return null;var t=e;for(d=o.charAt(i);","===d;){if(i++,m(),"selectors"!==t.type&&(t={type:"selectors",selectors:[e]}),!(e=r()))throw Error(\'Rule expected after ",".\');t.selectors.push(e)}return t}function r(){m();var e={type:"ruleSet"},t=g();if(!t)return null;for(var r=e;t&&(t.type="rule",r.rule=t,r=t,m(),d=o.charAt(i),!(c<=i||","===d||")"===d));)if(n[d]){var a=d;if(i++,m(),!(t=g()))throw Error(\'Rule expected after "\'+a+\'".\');t.nestingOperator=a}else(t=g())&&(t.nestingOperator=null);return e}function g(){for(var e=null;i<c;)if("*"===(d=o.charAt(i)))i++,(e=e||{}).tagName="*";else if(b.isIdentStart(d)||"\\\\"===d)(e=e||{}).tagName=f();else if("."===d)i++,((e=e||{}).classNames=e.classNames||[]).push(f());else if("#"===d)i++,(e=e||{}).id=f();else if("["===d){i++,m();var t={name:f()};if(m(),"]"===d)i++;else{var r="";if(s[d]&&(r=d,i++,d=o.charAt(i)),c<=i)throw Error(\'Expected "=" but end of file reached.\');if("="!==d)throw Error(\'Expected "=" but "\'+d+\'" found.\');t.operator=r+"=",i++,m();var a="";if(t.valueType="string",\'"\'===d)a=p(\'"\',b.doubleQuotesEscapeChars);else if("\'"===d)a=p("\'",b.singleQuoteEscapeChars);else if(u&&"$"===d)i++,a=f(),t.valueType="substitute";else{for(;i<c&&"]"!==d;)a+=d,i++,d=o.charAt(i);a=a.trim()}if(m(),c<=i)throw Error(\'Expected "]" but end of file reached.\');if("]"!==d)throw Error(\'Expected "]" but "\'+d+\'" found.\');i++,t.value=a}((e=e||{}).attrs=e.attrs||[]).push(t)}else{if(":"!==d)break;i++;r=f(),t={name:r};if("("===d){i++;var n="";if(m(),"selector"===l[r])t.valueType="selector",n=h();else{if(t.valueType=l[r]||"string",\'"\'===d)n=p(\'"\',b.doubleQuotesEscapeChars);else if("\'"===d)n=p("\'",b.singleQuoteEscapeChars);else if(u&&"$"===d)i++,n=f(),t.valueType="substitute";else{for(;i<c&&")"!==d;)n+=d,i++,d=o.charAt(i);n=n.trim()}m()}if(c<=i)throw Error(\'Expected ")" but end of file reached.\');if(")"!==d)throw Error(\'Expected ")" but "\'+d+\'" found.\');i++,t.value=n}((e=e||{}).pseudos=e.pseudos||[]).push(t)}return e}return function(){var e=h();if(i<c)throw Error(\'Rule expected but "\'+o.charAt(i)+\'" found.\');return e}()}}),f=n(function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var o=d();e.renderEntity=function t(e){var r="";switch(e.type){case"ruleSet":for(var a=e.rule,n=[];a;)a.nestingOperator&&n.push(a.nestingOperator),n.push(t(a)),a=a.rule;r=n.join(" ");break;case"selectors":r=e.selectors.map(t).join(", ");break;case"rule":e.tagName&&(r="*"===e.tagName?"*":o.escapeIdentifier(e.tagName)),e.id&&(r+="#"+o.escapeIdentifier(e.id)),e.classNames&&(r+=e.classNames.map(function(e){return"."+o.escapeIdentifier(e)}).join("")),e.attrs&&(r+=e.attrs.map(function(e){return"operator"in e?"substitute"===e.valueType?"["+o.escapeIdentifier(e.name)+e.operator+"$"+e.value+"]":"["+o.escapeIdentifier(e.name)+e.operator+o.escapeStr(e.value)+"]":"["+o.escapeIdentifier(e.name)+"]"}).join("")),e.pseudos&&(r+=e.pseudos.map(function(e){return e.valueType?"selector"===e.valueType?":"+o.escapeIdentifier(e.name)+"("+t(e.value)+")":"substitute"===e.valueType?":"+o.escapeIdentifier(e.name)+"($"+e.value+")":"numeric"===e.valueType?":"+o.escapeIdentifier(e.name)+"("+e.value+")":":"+o.escapeIdentifier(e.name)+"("+o.escapeIdentifier(e.value)+")":":"+o.escapeIdentifier(e.name)}).join(""));break;default:throw Error(\'Unknown entity type: "\'+e.type+\'".\')}return r}}),m=n(function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=p(),r=f(),a=(n.prototype.registerSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];this.pseudos[n]="selector"}return this},n.prototype.unregisterSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];delete this.pseudos[n]}return this},n.prototype.registerNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];this.pseudos[n]="numeric"}return this},n.prototype.unregisterNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];delete this.pseudos[n]}return this},n.prototype.registerNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];this.ruleNestingOperators[n]=!0}return this},n.prototype.unregisterNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];delete this.ruleNestingOperators[n]}return this},n.prototype.registerAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];this.attrEqualityMods[n]=!0}return this},n.prototype.unregisterAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var r=0,a=e;r<a.length;r++){var n=a[r];delete this.attrEqualityMods[n]}return this},n.prototype.enableSubstitutes=function(){return this.substitutesEnabled=!0,this},n.prototype.disableSubstitutes=function(){return this.substitutesEnabled=!1,this},n.prototype.parse=function(e){return t.parseCssSelector(e,0,this.pseudos,this.attrEqualityMods,this.ruleNestingOperators,this.substitutesEnabled)},n.prototype.render=function(e){return r.renderEntity(e).trim()},n);function n(){this.pseudos={},this.attrEqualityMods={},this.ruleNestingOperators={},this.substitutesEnabled=!1}e.CssSelectorParser=a}),h=n(function(e,t){"use strict";t.exports=function(){}}),C=n(function(e,t){"use strict";var r=h()();t.exports=function(e){return e!==r&&null!==e}}),g=n(function(e,t){"use strict";var r=C(),a=Array.prototype.forEach,n=Object.create;t.exports=function(e){var t=n(null);return a.call(arguments,function(e){r(e)&&function(e,t){for(var r in e)t[r]=e[r]}(Object(e),t)}),t}}),b=n(function(e,t){"use strict";t.exports=function(){var e=Math.sign;return"function"==typeof e&&(1===e(10)&&-1===e(-20))}}),y=n(function(e,t){"use strict";t.exports=function(e){return e=Number(e),isNaN(e)||0===e?e:0<e?1:-1}}),v=n(function(e,t){"use strict";t.exports=b()()?Math.sign:y()}),D=n(function(e,t){"use strict";var r=v(),a=Math.abs,n=Math.floor;t.exports=function(e){return isNaN(e)?0:0!==(e=Number(e))&&isFinite(e)?r(e)*n(a(e)):e}}),F=n(function(e,t){"use strict";var r=D(),a=Math.max;t.exports=function(e){return a(0,r(e))}}),w=n(function(e,t){"use strict";var a=F();t.exports=function(e,t,r){return isNaN(e)?0<=t?r&&t?t-1:t:1:!1!==e&&a(e)}}),k=n(function(e,t){"use strict";t.exports=function(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}}),R=n(function(e,t){"use strict";var r=C();t.exports=function(e){if(!r(e))throw new TypeError("Cannot use null or undefined");return e}}),x=n(function(e,t){"use strict";var l=k(),s=R(),u=Function.prototype.bind,c=Function.prototype.call,d=Object.keys,p=Object.prototype.propertyIsEnumerable;t.exports=function(o,i){return function(r,a){var e,n=arguments[2],t=arguments[3];return r=Object(s(r)),l(a),e=d(r),t&&e.sort("function"==typeof t?u.call(t,r):void 0),"function"!=typeof o&&(o=e[o]),c.call(o,e,function(e,t){return p.call(r,e)?c.call(a,n,r[e],e,r,t):i})}}}),E=n(function(e,t){"use strict";t.exports=x()("forEach")}),A=n(function(){}),T=n(function(e,t){"use strict";t.exports=function(){var e=Object.assign;return"function"==typeof e&&(e(e={foo:"raz"},{bar:"dwa"},{trzy:"trzy"}),e.foo+e.bar+e.trzy==="razdwatrzy")}}),N=n(function(e,t){"use strict";t.exports=function(){try{return Object.keys("primitive"),!0}catch(e){return!1}}}),_=n(function(e,t){"use strict";var r=C(),a=Object.keys;t.exports=function(e){return a(r(e)?Object(e):e)}}),O=n(function(e,t){"use strict";t.exports=N()()?Object.keys:_()}),S=n(function(e,t){"use strict";var i=O(),l=R(),s=Math.max;t.exports=function(t,r){var a,e,n,o=s(arguments.length,2);for(t=Object(l(t)),n=function(e){try{t[e]=r[e]}catch(e){a=a||e}},e=1;e<o;++e)i(r=arguments[e]).forEach(n);if(void 0!==a)throw a;return t}}),P=n(function(e,t){"use strict";t.exports=T()()?Object.assign:S()}),I=n(function(e,t){"use strict";var r=C(),a={function:!0,object:!0};t.exports=function(e){return r(e)&&a[Lu(e)]||!1}}),B=n(function(e,a){"use strict";var n=P(),o=I(),i=C(),l=Error.captureStackTrace;a.exports=function(e){var t=new Error(e),r=arguments[1],e=arguments[2];return i(e)||o(r)&&(e=r,r=null),i(e)&&n(t,e),i(r)&&(t.code=r),l&&l(t,a.exports),t}}),L=n(function(e,t){"use strict";var n=R(),o=Object.defineProperty,i=Object.getOwnPropertyDescriptor,l=Object.getOwnPropertyNames,s=Object.getOwnPropertySymbols;t.exports=function(t,r){var a,e=Object(n(r));if(t=Object(n(t)),l(e).forEach(function(e){try{o(t,e,i(r,e))}catch(e){a=e}}),"function"==typeof s&&s(e).forEach(function(e){try{o(t,e,i(r,e))}catch(e){a=e}}),void 0!==a)throw a;return t}}),q=n(function(e,t){"use strict";function r(e,t){return t}var a,n,o,i,l,s=F();try{Object.defineProperty(r,"length",{configurable:!0,writable:!1,enumerable:!1,value:1})}catch(e){}1===r.length?(a={configurable:!0,writable:!1,enumerable:!1},n=Object.defineProperty,t.exports=function(e,t){return t=s(t),e.length===t?e:(a.value=t,n(e,"length",a))}):(i=L(),l=[],o=function(e){var t,r=0;if(l[e])return l[e];for(t=[];e--;)t.push("a"+(++r).toString(36));return new Function("fn","return function ("+t.join(", ")+") { return fn.apply(this, arguments); };")},t.exports=function(e,t){if(t=s(t),e.length===t)return e;t=o(t)(e);try{i(t,e)}catch(e){}return t})}),M=n(function(e,t){"use strict";t.exports=function(e){return null!=e}}),j=n(function(e,t){"use strict";var r=M(),a={object:!0,function:!0,undefined:!0};t.exports=function(e){return!!r(e)&&hasOwnProperty.call(a,Lu(e))}}),U=n(function(e,t){"use strict";var r=j();t.exports=function(e){if(!r(e))return!1;try{return e.constructor?e.constructor.prototype===e:!1}catch(e){return!1}}}),V=n(function(e,t){"use strict";var r=U();t.exports=function(e){if("function"!=typeof e)return!1;if(!hasOwnProperty.call(e,"length"))return!1;try{if("number"!=typeof e.length)return!1;if("function"!=typeof e.call)return!1;if("function"!=typeof e.apply)return!1}catch(e){return!1}return!r(e)}}),H=n(function(e,t){"use strict";var r=V(),a=/^\\s*class[\\s{/}]/,n=Function.prototype.toString;t.exports=function(e){return!!r(e)&&!a.test(n.call(e))}}),z=n(function(e,t){"use strict";var r="razdwatrzy";t.exports=function(){return"function"==typeof r.contains&&(!0===r.contains("dwa")&&!1===r.contains("foo"))}}),$=n(function(e,t){"use strict";var r=String.prototype.indexOf;t.exports=function(e){return-1<r.call(this,e,arguments[1])}}),W=n(function(e,t){"use strict";t.exports=z()()?String.prototype.contains:$()}),G=n(function(e,t){"use strict";var i=M(),o=H(),l=P(),s=g(),u=W();(t.exports=function(e,t){var r,a,n,o;return arguments.length<2||"string"!=typeof e?(n=t,t=e,e=null):n=arguments[2],i(e)?(r=u.call(e,"c"),a=u.call(e,"e"),o=u.call(e,"w")):a=!(r=o=!0),o={value:t,configurable:r,enumerable:a,writable:o},n?l(s(n),o):o}).gs=function(e,t,r){var a,n;return"string"!=typeof e?(n=r,r=t,t=e,e=null):n=arguments[3],i(t)?o(t)?i(r)?o(r)||(n=r,r=void 0):r=void 0:(n=t,t=r=void 0):t=void 0,e=i(e)?(a=u.call(e,"c"),u.call(e,"e")):!(a=!0),e={get:t,set:r,configurable:a,enumerable:e},n?l(s(n),e):e}}),Y=n(function(e,t){"use strict";var r=G(),i=k(),l=Function.prototype.apply,s=Function.prototype.call,a=Object.create,n=Object.defineProperty,o=Object.defineProperties,u=Object.prototype.hasOwnProperty,c={configurable:!0,enumerable:!1,writable:!0},d=function(e,t){var r;return i(t),u.call(this,"__ee__")?r=this.__ee__:(r=c.value=a(null),n(this,"__ee__",c),c.value=null),r[e]?"object"===Lu(r[e])?r[e].push(t):r[e]=[r[e],t]:r[e]=t,this},p=function(e,t){var r,a;return i(t),d.call(a=this,e,r=function(){f.call(a,e,r),l.call(t,this,arguments)}),r.__eeOnceListener__=t,this},f=function(e,t){var r,a,n,o;if(i(t),!u.call(this,"__ee__"))return this;if(!(r=this.__ee__)[e])return this;if(a=r[e],"object"===Lu(a))for(o=0;n=a[o];++o)n!==t&&n.__eeOnceListener__!==t||(2===a.length?r[e]=a[o?0:1]:a.splice(o,1));else a!==t&&a.__eeOnceListener__!==t||delete r[e];return this},m=function(e){var t,r,a,n,o;if(u.call(this,"__ee__")&&(n=this.__ee__[e]))if("object"===Lu(n)){for(r=arguments.length,o=new Array(r-1),t=1;t<r;++t)o[t-1]=arguments[t];for(n=n.slice(),t=0;a=n[t];++t)l.call(a,this,o)}else switch(arguments.length){case 1:s.call(n,this);break;case 2:s.call(n,this,arguments[1]);break;case 3:s.call(n,this,arguments[1],arguments[2]);break;default:for(r=arguments.length,o=new Array(r-1),t=1;t<r;++t)o[t-1]=arguments[t];l.call(n,this,o)}},h={on:d,once:p,off:f,emit:m},g={on:r(d),once:r(p),off:r(f),emit:r(m)},b=o({},g);t.exports=e=function(e){return null==e?a(b):o(Object(e),g)},e.methods=h}),K=n(function(e,t){"use strict";t.exports=function(){var e,t=Array.from;return"function"==typeof t&&(t=t(e=["raz","dwa"]),Boolean(t&&t!==e&&"dwa"===t[1]))}}),X=n(function(e,t){"use strict";t.exports=function(){return"object"===("undefined"==typeof globalThis?"undefined":Lu(globalThis))&&(!!globalThis&&globalThis.Array===Array)}}),J=n(function(e,t){function r(){if("object"===("undefined"==typeof self?"undefined":Lu(self))&&self)return self;if("object"===(void 0===window?"undefined":Lu(window))&&window)return window;throw new Error("Unable to resolve global `this`")}t.exports=function(){if(this)return this;try{Object.defineProperty(Object.prototype,"__global__",{get:function(){return this},configurable:!0})}catch(e){return r()}try{return __global__?__global__:r()}finally{delete Object.prototype.__global__}}()}),Q=n(function(e,t){"use strict";t.exports=X()()?globalThis:J()}),Z=n(function(e,t){"use strict";var r=Q(),a={object:!0,symbol:!0};t.exports=function(){var e,t=r.Symbol;if("function"!=typeof t)return!1;e=t("test symbol");try{String(e)}catch(e){return!1}return!!a[Lu(t.iterator)]&&(!!a[Lu(t.toPrimitive)]&&!!a[Lu(t.toStringTag)])}}),ee=n(function(e,t){"use strict";t.exports=function(e){return!!e&&("symbol"===Lu(e)||!!e.constructor&&("Symbol"===e.constructor.name&&"Symbol"===e[e.constructor.toStringTag]))}}),te=n(function(e,t){"use strict";var r=ee();t.exports=function(e){if(!r(e))throw new TypeError(e+" is not a symbol");return e}}),re=n(function(e,t){"use strict";var n=G(),r=Object.create,o=Object.defineProperty,i=Object.prototype,l=r(null);t.exports=function(e){for(var t,r,a=0;l[e+(a||"")];)++a;return l[e+=a||""]=!0,o(i,t="@@"+e,n.gs(null,function(e){r||(r=!0,o(this,t,n(e)),r=!1)})),t}}),ae=n(function(e,t){"use strict";var r=G(),a=Q().Symbol;t.exports=function(e){return Object.defineProperties(e,{hasInstance:r("",a&&a.hasInstance||e("hasInstance")),isConcatSpreadable:r("",a&&a.isConcatSpreadable||e("isConcatSpreadable")),iterator:r("",a&&a.iterator||e("iterator")),match:r("",a&&a.match||e("match")),replace:r("",a&&a.replace||e("replace")),search:r("",a&&a.search||e("search")),species:r("",a&&a.species||e("species")),split:r("",a&&a.split||e("split")),toPrimitive:r("",a&&a.toPrimitive||e("toPrimitive")),toStringTag:r("",a&&a.toStringTag||e("toStringTag")),unscopables:r("",a&&a.unscopables||e("unscopables"))})}}),ne=n(function(e,t){"use strict";var r=G(),a=te(),n=Object.create(null);t.exports=function(t){return Object.defineProperties(t,{for:r(function(e){return n[e]||(n[e]=t(String(e)))}),keyFor:r(function(e){for(var t in a(e),n)if(n[t]===e)return t})})}}),oe=n(function(e,t){"use strict";var r,a,n,o=G(),i=te(),l=Q().Symbol,s=re(),u=ae(),c=ne(),d=Object.create,p=Object.defineProperties,f=Object.defineProperty;if("function"==typeof l)try{String(l()),n=!0}catch(e){}else l=null;a=function(e){if(this instanceof a)throw new TypeError("Symbol is not a constructor");return r(e)},t.exports=r=function e(t){var r;if(this instanceof e)throw new TypeError("Symbol is not a constructor");return n?l(t):(r=d(a.prototype),t=void 0===t?"":String(t),p(r,{__description__:o("",t),__name__:o("",s(t))}))},u(r),c(r),p(a.prototype,{constructor:o(r),toString:o("",function(){return this.__name__})}),p(r.prototype,{toString:o(function(){return"Symbol ("+i(this).__description__+")"}),valueOf:o(function(){return i(this)})}),f(r.prototype,r.toPrimitive,o("",function(){var e=i(this);return"symbol"===Lu(e)?e:e.toString()})),f(r.prototype,r.toStringTag,o("c","Symbol")),f(a.prototype,r.toStringTag,o("c",r.prototype[r.toStringTag])),f(a.prototype,r.toPrimitive,o("c",r.prototype[r.toPrimitive]))}),ie=n(function(e,t){"use strict";t.exports=Z()()?Q().Symbol:oe()}),le=n(function(e,t){"use strict";var r=Object.prototype.toString,a=r.call(function(){return arguments}());t.exports=function(e){return r.call(e)===a}}),se=n(function(e,t){"use strict";var r=Object.prototype.toString,a=RegExp.prototype.test.bind(/^[object [A-Za-z0-9]*Function]$/);t.exports=function(e){return"function"==typeof e&&a(r.call(e))}}),ue=n(function(e,t){"use strict";var r=Object.prototype.toString,a=r.call("");t.exports=function(e){return"string"==typeof e||e&&"object"===Lu(e)&&(e instanceof String||r.call(e)===a)||!1}}),ce=n(function(e,t){"use strict";var f=ie().iterator,m=le(),h=se(),g=F(),b=k(),y=R(),v=C(),D=ue(),w=Array.isArray,x=Function.prototype.call,E={configurable:!0,enumerable:!0,writable:!0,value:null},A=Object.defineProperty;t.exports=function(e){var t,r,a,n,o,i,l,s,u,c,d=arguments[1],p=arguments[2];if(e=Object(y(e)),v(d)&&b(d),this&&this!==Array&&h(this))t=this;else{if(!d){if(m(e))return 1!==(o=e.length)?Array.apply(null,e):((n=new Array(1))[0]=e[0],n);if(w(e)){for(n=new Array(o=e.length),r=0;r<o;++r)n[r]=e[r];return n}}n=[]}if(!w(e))if(void 0!==(u=e[f])){for(l=b(u).call(e),t&&(n=new t),s=l.next(),r=0;!s.done;)c=d?x.call(d,p,s.value,r):s.value,t?(E.value=c,A(n,r,E)):n[r]=c,s=l.next(),++r;o=r}else if(D(e)){for(o=e.length,t&&(n=new t),a=r=0;r<o;++r)c=e[r],r+1<o&&55296<=(i=c.charCodeAt(0))&&i<=56319&&(c+=e[++r]),c=d?x.call(d,p,c,a):c,t?(E.value=c,A(n,a,E)):n[a]=c,++a;o=a}if(void 0===o)for(o=g(e.length),t&&(n=new t(o)),r=0;r<o;++r)c=d?x.call(d,p,e[r],r):e[r],t?(E.value=c,A(n,r,E)):n[r]=c;return t&&(E.value=null,n.length=o),n}}),de=n(function(e,t){"use strict";t.exports=K()()?Array.from:ce()}),pe=n(function(e,t){"use strict";var r=de(),a=Array.isArray;t.exports=function(e){return a(e)?e:r(e)}}),fe=n(function(e,t){"use strict";var r=pe(),a=C(),n=k(),o=Array.prototype.slice,i=function(r){return this.map(function(e,t){return e?e(r[t]):r[t]}).concat(o.call(r,this.length))};t.exports=function(e){return(e=r(e)).forEach(function(e){a(e)&&n(e)}),i.bind(e)}}),me=n(function(e,t){"use strict";var r=k();t.exports=function(e){var t;return"function"==typeof e?{set:e,get:e}:(t={get:r(e.get)},void 0!==e.set?(t.set=r(e.set),e.delete&&(t.delete=r(e.delete)),e.clear&&(t.clear=r(e.clear))):t.set=t.get,t)}}),he=n(function(e,t){"use strict";var g=B(),b=q(),y=G(),r=Y().methods,v=fe(),D=me(),w=Function.prototype.apply,x=Function.prototype.call,E=Object.create,A=Object.defineProperties,C=r.on,F=r.emit;t.exports=function(n,t,e){var o,i,l,r,a,s,u,c,d,p,f,m=E(null),h=!1!==t?t:isNaN(n.length)?1:n.length;return e.normalizer&&(s=D(e.normalizer),i=s.get,l=s.set,r=s.delete,a=s.clear),null!=e.resolvers&&(f=v(e.resolvers)),p=i?b(function(e){var t,r,a=arguments;if(f&&(a=f(a)),null!==(t=i(a))&&hasOwnProperty.call(m,t))return u&&o.emit("get",t,a,this),m[t];if(r=1===a.length?x.call(n,this,a[0]):w.call(n,this,a),null===t){if(null!==(t=i(a)))throw g("Circular invocation","CIRCULAR_INVOCATION");t=l(a)}else if(hasOwnProperty.call(m,t))throw g("Circular invocation","CIRCULAR_INVOCATION");return m[t]=r,c&&o.emit("set",t,null,r),r},h):0===t?function(){var e;if(hasOwnProperty.call(m,"data"))return u&&o.emit("get","data",arguments,this),m.data;if(e=arguments.length?w.call(n,this,arguments):x.call(n,this),hasOwnProperty.call(m,"data"))throw g("Circular invocation","CIRCULAR_INVOCATION");return m.data=e,c&&o.emit("set","data",null,e),e}:function(e){var t,r=arguments;if(f&&(r=f(arguments)),t=String(r[0]),hasOwnProperty.call(m,t))return u&&o.emit("get",t,r,this),m[t];if(r=1===r.length?x.call(n,this,r[0]):w.call(n,this,r),hasOwnProperty.call(m,t))throw g("Circular invocation","CIRCULAR_INVOCATION");return m[t]=r,c&&o.emit("set",t,null,r),r},o={original:n,memoized:p,profileName:e.profileName,get:function(e){return f&&(e=f(e)),i?i(e):String(e[0])},has:function(e){return hasOwnProperty.call(m,e)},delete:function(e){var t;hasOwnProperty.call(m,e)&&(r&&r(e),t=m[e],delete m[e],d&&o.emit("delete",e,t))},clear:function(){var e=m;a&&a(),m=E(null),o.emit("clear",e)},on:function(e,t){return"get"===e?u=!0:"set"===e?c=!0:"delete"===e&&(d=!0),C.call(this,e,t)},emit:F,updateEnv:function(){n=o.original}},s=i?b(function(e){var t=arguments;f&&(t=f(t)),null!==(t=i(t))&&o.delete(t)},h):0===t?function(){return o.delete("data")}:function(e){return f&&(e=f(arguments)[0]),o.delete(e)},e=b(function(){var e=arguments;return 0===t?m.data:(f&&(e=f(e)),e=i?i(e):String(e[0]),m[e])}),h=b(function(){var e=arguments;return 0===t?o.has("data"):(f&&(e=f(e)),null!==(e=i?i(e):String(e[0]))&&o.has(e))}),A(p,{__memoized__:y(!0),delete:y(s),clear:y(o.clear),_get:y(e),_has:y(h)}),o}}),ge=n(function(e,t){"use strict";var o=k(),i=E(),l=A(),s=he(),u=w();t.exports=function e(t){var r,a,n;if(o(t),(r=Object(arguments[1])).async&&r.promise)throw new Error("Options \'async\' and \'promise\' cannot be used together");return hasOwnProperty.call(t,"__memoized__")&&!r.force?t:(a=u(r.length,t.length,r.async&&l.async),n=s(t,a,r),i(l,function(e,t){r[t]&&e(r[t],n,r)}),e.__profiler__&&e.__profiler__(n),n.updateEnv(),n.memoized)}}),be=n(function(e,t){"use strict";t.exports=function(e){var t,r,a=e.length;if(!a)return"";for(t=String(e[r=0]);--a;)t+=""+e[++r];return t}}),ye=n(function(e,t){"use strict";t.exports=function(n){return n?function(e){for(var t=String(e[0]),r=0,a=n;--a;)t+=""+e[++r];return t}:function(){return""}}}),ve=n(function(e,t){"use strict";t.exports=function(){var e=Number.isNaN;return"function"==typeof e&&(!e({})&&e(NaN)&&!e(34))}}),De=n(function(e,t){"use strict";t.exports=function(e){return e!=e}}),we=n(function(e,t){"use strict";t.exports=ve()()?Number.isNaN:De()}),xe=n(function(e,t){"use strict";var n=we(),o=F(),i=R(),l=Array.prototype.indexOf,s=Object.prototype.hasOwnProperty,u=Math.abs,c=Math.floor;t.exports=function(e){var t,r,a;if(!n(e))return l.apply(this,arguments);for(r=o(i(this).length),e=arguments[1],t=e=isNaN(e)?0:0<=e?c(e):o(this.length)-c(u(e));t<r;++t)if(s.call(this,t)&&(a=this[t],n(a)))return t;return-1}}),Ee=n(function(e,t){"use strict";var u=xe(),r=Object.create;t.exports=function(){var o=0,l=[],s=r(null);return{get:function(e){var t,r=0,a=l,n=e.length;if(0===n)return a[n]||null;if(a=a[n]){for(;r<n-1;){if(-1===(t=u.call(a[0],e[r])))return null;a=a[1][t],++r}return-1===(t=u.call(a[0],e[r]))?null:a[1][t]||null}return null},set:function(e){var t,r=0,a=l,n=e.length;if(0===n)a[n]=++o;else{for(a[n]||(a[n]=[[],[]]),a=a[n];r<n-1;)-1===(t=u.call(a[0],e[r]))&&(t=a[0].push(e[r])-1,a[1].push([[],[]])),a=a[1][t],++r;-1===(t=u.call(a[0],e[r]))&&(t=a[0].push(e[r])-1),a[1][t]=++o}return s[o]=e,o},delete:function(e){var t,r=0,a=l,n=s[e],o=n.length,i=[];if(0===o)delete a[o];else if(a=a[o]){for(;r<o-1;){if(-1===(t=u.call(a[0],n[r])))return;i.push(a,t),a=a[1][t],++r}if(-1===(t=u.call(a[0],n[r])))return;for(e=a[1][t],a[0].splice(t,1),a[1].splice(t,1);!a[0].length&&i.length;)t=i.pop(),(a=i.pop())[0].splice(t,1),a[1].splice(t,1)}delete s[e]},clear:function(){l=[],s=r(null)}}}}),Ae=n(function(e,t){"use strict";var n=xe();t.exports=function(){var t=0,r=[],a=[];return{get:function(e){e=n.call(r,e[0]);return-1===e?null:a[e]},set:function(e){return r.push(e[0]),a.push(++t),t},delete:function(e){e=n.call(a,e);-1!==e&&(r.splice(e,1),a.splice(e,1))},clear:function(){r=[],a=[]}}}}),Ce=n(function(e,t){"use strict";var u=xe(),r=Object.create;t.exports=function(i){var n=0,l=[[],[]],s=r(null);return{get:function(e){for(var t,r=0,a=l;r<i-1;){if(-1===(t=u.call(a[0],e[r])))return null;a=a[1][t],++r}return-1!==(t=u.call(a[0],e[r]))&&a[1][t]||null},set:function(e){for(var t,r=0,a=l;r<i-1;)-1===(t=u.call(a[0],e[r]))&&(t=a[0].push(e[r])-1,a[1].push([[],[]])),a=a[1][t],++r;return-1===(t=u.call(a[0],e[r]))&&(t=a[0].push(e[r])-1),a[1][t]=++n,s[n]=e,n},delete:function(e){for(var t,r=0,a=l,n=[],o=s[e];r<i-1;){if(-1===(t=u.call(a[0],o[r])))return;n.push(a,t),a=a[1][t],++r}if(-1!==(t=u.call(a[0],o[r]))){for(e=a[1][t],a[0].splice(t,1),a[1].splice(t,1);!a[0].length&&n.length;)t=n.pop(),(a=n.pop())[0].splice(t,1),a[1].splice(t,1);delete s[e]}},clear:function(){l=[[],[]],s=r(null)}}}}),Fe=n(function(e,t){"use strict";var r=k(),a=E(),l=Function.prototype.call;t.exports=function(e,n){var o={},i=arguments[2];return r(n),a(e,function(e,t,r,a){o[t]=l.call(n,i,e,t,r,a)}),o}}),ke=n(function(e,t){"use strict";function o(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}function r(e){var t,r,a=document.createTextNode(""),n=0;return new e(function(){var e;if(t)r&&(t=r.concat(t));else{if(!r)return;t=r}if(r=t,t=null,"function"==typeof r)return e=r,r=null,void e();for(a.data=n=++n%2;r;)e=r.shift(),r.length||(r=null),e()}).observe(a,{characterData:!0}),function(e){o(e),t?"function"==typeof t?t=[t,e]:t.push(e):(t=e,a.data=n=++n%2)}}t.exports=function(){if("object"===("undefined"==typeof process?"undefined":Lu(process))&&process&&"function"==typeof process.nextTick)return process.nextTick;if("function"==typeof queueMicrotask)return function(e){queueMicrotask(o(e))};if("object"===(void 0===document?"undefined":Lu(document))&&document){if("function"==typeof MutationObserver)return r(MutationObserver);if("function"==typeof WebKitMutationObserver)return r(WebKitMutationObserver)}return"function"==typeof setImmediate?function(e){setImmediate(o(e))}:"function"==typeof setTimeout||"object"===("undefined"==typeof setTimeout?"undefined":Lu(setTimeout))?function(e){setTimeout(o(e),0)}:null}()}),Re=n(function(){"use strict";var p=de(),t=Fe(),r=L(),n=q(),f=ke(),m=Array.prototype.slice,h=Function.prototype.apply,g=Object.create;A().async=function(e,i){var l,s,u,c=g(null),d=g(null),o=i.memoized,a=i.original;i.memoized=n(function(e){var t=arguments,r=t[t.length-1];return"function"==typeof r&&(l=r,t=m.call(t,0,-1)),o.apply(s=this,u=t)},o);try{r(i.memoized,o)}catch(e){}i.on("get",function(t){var r,a,n;if(l){if(c[t])return"function"==typeof c[t]?c[t]=[c[t],l]:c[t].push(l),void(l=null);r=l,a=s,n=u,l=s=u=null,f(function(){var e;hasOwnProperty.call(d,t)?(e=d[t],i.emit("getasync",t,n,a),h.call(r,e.context,e.args)):(l=r,s=a,u=n,o.apply(a,n))})}}),i.original=function(){var e,t,r,o;return l?(e=p(arguments),t=function e(t){var r,a,n=e.id;if(null!=n){if(delete e.id,r=c[n],delete c[n],r)return a=p(arguments),i.has(n)&&(t?i.delete(n):(d[n]={context:this,args:a},i.emit("setasync",n,"function"==typeof r?1:r.length))),"function"==typeof r?o=h.call(r,this,a):r.forEach(function(e){o=h.call(e,this,a)},this),o}else f(h.bind(e,this,arguments))},r=l,l=s=u=null,e.push(t),o=h.call(a,this,e),t.cb=r,l=t,o):h.call(a,this,arguments)},i.on("set",function(e){l?(c[e]?"function"==typeof c[e]?c[e]=[c[e],l.cb]:c[e].push(l.cb):c[e]=l.cb,delete l.cb,l.id=e,l=null):i.delete(e)}),i.on("delete",function(e){var t;hasOwnProperty.call(c,e)||d[e]&&(t=d[e],delete d[e],i.emit("deleteasync",e,m.call(t.args,1)))}),i.on("clear",function(){var e=d;d=g(null),i.emit("clearasync",t(e,function(e){return m.call(e.args,1)}))})}}),Te=n(function(e,t){"use strict";var r=Array.prototype.forEach,a=Object.create;t.exports=function(e){var t=a(null);return r.call(arguments,function(e){t[e]=!0}),t}}),Ne=n(function(e,t){"use strict";t.exports=function(e){return"function"==typeof e}}),_e=n(function(e,t){"use strict";var r=Ne();t.exports=function(e){try{return e&&r(e.toString)?e.toString():String(e)}catch(e){throw new TypeError("Passed argument cannot be stringifed")}}}),Oe=n(function(e,t){"use strict";var r=R(),a=_e();t.exports=function(e){return a(r(e))}}),Se=n(function(e,t){"use strict";var r=Ne();t.exports=function(e){try{return e&&r(e.toString)?e.toString():String(e)}catch(e){return"<Non-coercible to string value>"}}}),Pe=n(function(e,t){"use strict";var r=Se(),a=/[\\n\\r\\u2028\\u2029]/g;t.exports=function(e){e=r(e);return e=(e=100<e.length?e.slice(0,99)+"…":e).replace(a,function(e){return JSON.stringify(e).slice(1,-1)})}}),Ie=n(function(e,t){function r(e){return!!e&&("object"===Lu(e)||"function"==typeof e)&&"function"==typeof e.then}t.exports=r,t.exports.default=r}),Be=n(function(){"use strict";var t=Fe(),e=Te(),r=Oe(),a=Pe(),f=Ie(),m=ke(),n=Object.create,o=e("then","then:finally","done","done:finally");A().promise=function(s,u){var c=n(null),d=n(null),p=n(null);if(!0===s)s=null;else if(s=r(s),!o[s])throw new TypeError("\'"+a(s)+"\' is not valid promise mode");u.on("set",function(r,e,t){var a=!1;if(!f(t))return d[r]=t,void u.emit("setasync",r,1);c[r]=1,p[r]=t;function n(e){var t=c[r];if(a)throw new Error("Memoizee error: Detected unordered then|done & finally resolution, which in turn makes proper detection of success/failure impossible (when in \'done:finally\' mode)\\nConsider to rely on \'then\' or \'done\' mode instead.");t&&(delete c[r],d[r]=e,u.emit("setasync",r,t))}function o(){a=!0,c[r]&&(delete c[r],delete p[r],u.delete(r))}var i=s;if("then"===(i=i||"then")){var l=function(){m(o)};"function"==typeof(t=t.then(function(e){m(n.bind(this,e))},l)).finally&&t.finally(l)}else if("done"===i){if("function"!=typeof t.done)throw new Error("Memoizee error: Retrieved promise does not implement \'done\' in \'done\' mode");t.done(n,o)}else if("done:finally"===i){if("function"!=typeof t.done)throw new Error("Memoizee error: Retrieved promise does not implement \'done\' in \'done:finally\' mode");if("function"!=typeof t.finally)throw new Error("Memoizee error: Retrieved promise does not implement \'finally\' in \'done:finally\' mode");t.done(n),t.finally(o)}}),u.on("get",function(e,t,r){var a,n;c[e]?++c[e]:(a=p[e],n=function(){u.emit("getasync",e,t,r)},f(a)?"function"==typeof a.done?a.done(n):a.then(function(){m(n)}):n())}),u.on("delete",function(e){var t;delete p[e],c[e]?delete c[e]:hasOwnProperty.call(d,e)&&(t=d[e],delete d[e],u.emit("deleteasync",e,[t]))}),u.on("clear",function(){var e=d;d=n(null),c=n(null),p=n(null),u.emit("clearasync",t(e,function(e){return[e]}))})}}),Le=n(function(){"use strict";var n=k(),o=E(),i=A(),l=Function.prototype.apply;i.dispose=function(r,e,t){var a;if(n(r),t.async&&i.async||t.promise&&i.promise)return e.on("deleteasync",a=function(e,t){l.call(r,null,t)}),void e.on("clearasync",function(e){o(e,function(e,t){a(t,e)})});e.on("delete",a=function(e,t){r(t)}),e.on("clear",function(e){o(e,function(e,t){a(t,e)})})}}),qe=n(function(e,t){"use strict";t.exports=2147483647}),Me=n(function(e,t){"use strict";var r=F(),a=qe();t.exports=function(e){if(e=r(e),a<e)throw new TypeError(e+" exceeds maximum possible timeout");return e}}),je=n(function(){"use strict";var l=de(),s=E(),u=ke(),c=Ie(),d=Me(),p=A(),f=Function.prototype,m=Math.max,h=Math.min,g=Object.create;p.maxAge=function(t,n,o){var r,e,a,i;(t=d(t))&&(r=g(null),e=o.async&&p.async||o.promise&&p.promise?"async":"",n.on("set"+e,function(e){r[e]=setTimeout(function(){n.delete(e)},t),"function"==typeof r[e].unref&&r[e].unref(),i&&(i[e]&&"nextTick"!==i[e]&&clearTimeout(i[e]),i[e]=setTimeout(function(){delete i[e]},a),"function"==typeof i[e].unref&&i[e].unref())}),n.on("delete"+e,function(e){clearTimeout(r[e]),delete r[e],i&&("nextTick"!==i[e]&&clearTimeout(i[e]),delete i[e])}),o.preFetch&&(a=!0===o.preFetch||isNaN(o.preFetch)?.333:m(h(Number(o.preFetch),1),0))&&(i={},a=(1-a)*t,n.on("get"+e,function(t,r,a){i[t]||(i[t]="nextTick",u(function(){var e;"nextTick"===i[t]&&(delete i[t],n.delete(t),o.async&&(r=l(r)).push(f),e=n.memoized.apply(a,r),o.promise&&c(e)&&("function"==typeof e.done?e.done(f,f):e.then(f,f)))}))})),n.on("clear"+e,function(){s(r,function(e){clearTimeout(e)}),r={},i&&(s(i,function(e){"nextTick"!==e&&clearTimeout(e)}),i={})}))}}),Ue=n(function(e,t){"use strict";var r=F(),c=Object.create,d=Object.prototype.hasOwnProperty;t.exports=function(a){var n,o=0,i=1,l=c(null),s=c(null),u=0;return a=r(a),{hit:function(e){var t=s[e],r=++u;if(l[r]=e,s[e]=r,!t)return++o<=a?void 0:(e=l[i],n(e),e);if(delete l[t],i===t)for(;!d.call(l,++i););},delete:n=function(e){var t=s[e];if(t&&(delete l[t],delete s[e],--o,i===t)){if(!o)return u=0,void(i=1);for(;!d.call(l,++i););}},clear:function(){o=0,i=1,l=c(null),s=c(null),u=0}}}}),Ve=n(function(){"use strict";var n=F(),o=Ue(),i=A();i.max=function(e,t,r){var a;(e=n(e))&&(a=o(e),e=r.async&&i.async||r.promise&&i.promise?"async":"",t.on("set"+e,r=function(e){void 0!==(e=a.hit(e))&&t.delete(e)}),t.on("get"+e,r),t.on("delete"+e,a.delete),t.on("clear"+e,a.clear))}}),He=n(function(){"use strict";var n=G(),o=A(),i=Object.create,l=Object.defineProperties;o.refCounter=function(e,t,r){var a=i(null),r=r.async&&o.async||r.promise&&o.promise?"async":"";t.on("set"+r,function(e,t){a[e]=t||1}),t.on("get"+r,function(e){++a[e]}),t.on("delete"+r,function(e){delete a[e]}),t.on("clear"+r,function(){a={}}),l(t.memoized,{deleteRef:n(function(){var e=t.get(arguments);return null!==e&&a[e]?!--a[e]&&(t.delete(e),!0):null}),getRefCount:n(function(){var e=t.get(arguments);return null!==e&&a[e]||0})})}}),ze=n(function(e,t){"use strict";var a=g(),n=w(),o=ge();t.exports=function(e){var t,r=a(arguments[1]);return r.normalizer||0!==(t=r.length=n(r.length,e.length,r.async))&&(r.primitive?!1===t?r.normalizer=be():1<t&&(r.normalizer=ye()(t)):r.normalizer=!1===t?Ee()():1===t?Ae()():Ce()(t)),r.async&&Re(),r.promise&&Be(),r.dispose&&Le(),r.maxAge&&je(),r.max&&Ve(),r.refCounter&&He(),o(e,r)}}),$e=n(function(e,t){"use strict";t.exports=function(){return/\\uD83C\\uDFF4\\uDB40\\uDC67\\uDB40\\uDC62(?:\\uDB40\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDB40\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDB40\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F|\\uD83D\\uDC68(?:\\uD83C\\uDFFC\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C\\uDFFB|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFF\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB-\\uDFFE])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFE\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB-\\uDFFD])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFD\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB\\uDFFC])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\u200D(?:\\u2764\\uFE0F\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83D\\uDC68|(?:\\uD83D[\\uDC68\\uDC69])\\u200D(?:\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67]))|\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67])|(?:\\uD83D[\\uDC68\\uDC69])\\u200D(?:\\uD83D[\\uDC66\\uDC67])|[\\u2695\\u2696\\u2708]\\uFE0F|\\uD83D[\\uDC66\\uDC67]|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|(?:\\uD83C\\uDFFB\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFF\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFE\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFD\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFC\\u200D[\\u2695\\u2696\\u2708])\\uFE0F|\\uD83C\\uDFFB\\u200D(?:\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C[\\uDFFB-\\uDFFF])|(?:\\uD83E\\uDDD1\\uD83C\\uDFFB\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFC\\u200D\\uD83E\\uDD1D\\u200D\\uD83D\\uDC69)\\uD83C\\uDFFB|\\uD83E\\uDDD1(?:\\uD83C\\uDFFF\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1(?:\\uD83C[\\uDFFB-\\uDFFF])|\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1)|(?:\\uD83E\\uDDD1\\uD83C\\uDFFE\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFF\\u200D\\uD83E\\uDD1D\\u200D(?:\\uD83D[\\uDC68\\uDC69]))(?:\\uD83C[\\uDFFB-\\uDFFE])|(?:\\uD83E\\uDDD1\\uD83C\\uDFFC\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFD\\u200D\\uD83E\\uDD1D\\u200D\\uD83D\\uDC69)(?:\\uD83C[\\uDFFB\\uDFFC])|\\uD83D\\uDC69(?:\\uD83C\\uDFFE\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFC\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFB\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFC-\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFD\\u200D(?:\\uD83E\\uDD1D\\u200D\\uD83D\\uDC68(?:\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\u200D(?:\\u2764\\uFE0F\\u200D(?:\\uD83D\\uDC8B\\u200D(?:\\uD83D[\\uDC68\\uDC69])|\\uD83D[\\uDC68\\uDC69])|\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C\\uDFFF\\u200D(?:\\uD83C[\\uDF3E\\uDF73\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]))|\\uD83D\\uDC69\\u200D\\uD83D\\uDC69\\u200D(?:\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67]))|(?:\\uD83E\\uDDD1\\uD83C\\uDFFD\\u200D\\uD83E\\uDD1D\\u200D\\uD83E\\uDDD1|\\uD83D\\uDC69\\uD83C\\uDFFE\\u200D\\uD83E\\uDD1D\\u200D\\uD83D\\uDC69)(?:\\uD83C[\\uDFFB-\\uDFFD])|\\uD83D\\uDC69\\u200D\\uD83D\\uDC66\\u200D\\uD83D\\uDC66|\\uD83D\\uDC69\\u200D\\uD83D\\uDC69\\u200D(?:\\uD83D[\\uDC66\\uDC67])|(?:\\uD83D\\uDC41\\uFE0F\\u200D\\uD83D\\uDDE8|\\uD83D\\uDC69(?:\\uD83C\\uDFFF\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFE\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFC\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFB\\u200D[\\u2695\\u2696\\u2708]|\\uD83C\\uDFFD\\u200D[\\u2695\\u2696\\u2708]|\\u200D[\\u2695\\u2696\\u2708])|(?:(?:\\u26F9|\\uD83C[\\uDFCB\\uDFCC]|\\uD83D\\uDD75)\\uFE0F|\\uD83D\\uDC6F|\\uD83E[\\uDD3C\\uDDDE\\uDDDF])\\u200D[\\u2640\\u2642]|(?:\\u26F9|\\uD83C[\\uDFCB\\uDFCC]|\\uD83D\\uDD75)(?:\\uD83C[\\uDFFB-\\uDFFF])\\u200D[\\u2640\\u2642]|(?:\\uD83C[\\uDFC3\\uDFC4\\uDFCA]|\\uD83D[\\uDC6E\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6]|\\uD83E[\\uDD26\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD6-\\uDDDD])(?:(?:\\uD83C[\\uDFFB-\\uDFFF])\\u200D[\\u2640\\u2642]|\\u200D[\\u2640\\u2642])|\\uD83C\\uDFF4\\u200D\\u2620)\\uFE0F|\\uD83D\\uDC69\\u200D\\uD83D\\uDC67\\u200D(?:\\uD83D[\\uDC66\\uDC67])|\\uD83C\\uDFF3\\uFE0F\\u200D\\uD83C\\uDF08|\\uD83D\\uDC15\\u200D\\uD83E\\uDDBA|\\uD83D\\uDC69\\u200D\\uD83D\\uDC66|\\uD83D\\uDC69\\u200D\\uD83D\\uDC67|\\uD83C\\uDDFD\\uD83C\\uDDF0|\\uD83C\\uDDF4\\uD83C\\uDDF2|\\uD83C\\uDDF6\\uD83C\\uDDE6|[#\\*0-9]\\uFE0F\\u20E3|\\uD83C\\uDDE7(?:\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF])|\\uD83C\\uDDF9(?:\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF])|\\uD83C\\uDDEA(?:\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA])|\\uD83E\\uDDD1(?:\\uD83C[\\uDFFB-\\uDFFF])|\\uD83C\\uDDF7(?:\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC])|\\uD83D\\uDC69(?:\\uD83C[\\uDFFB-\\uDFFF])|\\uD83C\\uDDF2(?:\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF])|\\uD83C\\uDDE6(?:\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF])|\\uD83C\\uDDF0(?:\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF])|\\uD83C\\uDDED(?:\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA])|\\uD83C\\uDDE9(?:\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF])|\\uD83C\\uDDFE(?:\\uD83C[\\uDDEA\\uDDF9])|\\uD83C\\uDDEC(?:\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE])|\\uD83C\\uDDF8(?:\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF])|\\uD83C\\uDDEB(?:\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7])|\\uD83C\\uDDF5(?:\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE])|\\uD83C\\uDDFB(?:\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA])|\\uD83C\\uDDF3(?:\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF])|\\uD83C\\uDDE8(?:\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF])|\\uD83C\\uDDF1(?:\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE])|\\uD83C\\uDDFF(?:\\uD83C[\\uDDE6\\uDDF2\\uDDFC])|\\uD83C\\uDDFC(?:\\uD83C[\\uDDEB\\uDDF8])|\\uD83C\\uDDFA(?:\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF])|\\uD83C\\uDDEE(?:\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9])|\\uD83C\\uDDEF(?:\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5])|(?:\\uD83C[\\uDFC3\\uDFC4\\uDFCA]|\\uD83D[\\uDC6E\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6]|\\uD83E[\\uDD26\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD6-\\uDDDD])(?:\\uD83C[\\uDFFB-\\uDFFF])|(?:\\u26F9|\\uD83C[\\uDFCB\\uDFCC]|\\uD83D\\uDD75)(?:\\uD83C[\\uDFFB-\\uDFFF])|(?:[\\u261D\\u270A-\\u270D]|\\uD83C[\\uDF85\\uDFC2\\uDFC7]|\\uD83D[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC70\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDCAA\\uDD74\\uDD7A\\uDD90\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC]|\\uD83E[\\uDD0F\\uDD18-\\uDD1C\\uDD1E\\uDD1F\\uDD30-\\uDD36\\uDDB5\\uDDB6\\uDDBB\\uDDD2-\\uDDD5])(?:\\uD83C[\\uDFFB-\\uDFFF])|(?:[\\u231A\\u231B\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u25FE\\u2614\\u2615\\u2648-\\u2653\\u267F\\u2693\\u26A1\\u26AA\\u26AB\\u26BD\\u26BE\\u26C4\\u26C5\\u26CE\\u26D4\\u26EA\\u26F2\\u26F3\\u26F5\\u26FA\\u26FD\\u2705\\u270A\\u270B\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2757\\u2795-\\u2797\\u27B0\\u27BF\\u2B1B\\u2B1C\\u2B50\\u2B55]|\\uD83C[\\uDC04\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDDE6-\\uDDFF\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF7C\\uDF7E-\\uDF93\\uDFA0-\\uDFCA\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF4\\uDFF8-\\uDFFF]|\\uD83D[\\uDC00-\\uDC3E\\uDC40\\uDC42-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDD7A\\uDD95\\uDD96\\uDDA4\\uDDFB-\\uDE4F\\uDE80-\\uDEC5\\uDECC\\uDED0-\\uDED2\\uDED5\\uDEEB\\uDEEC\\uDEF4-\\uDEFA\\uDFE0-\\uDFEB]|\\uD83E[\\uDD0D-\\uDD3A\\uDD3C-\\uDD45\\uDD47-\\uDD71\\uDD73-\\uDD76\\uDD7A-\\uDDA2\\uDDA5-\\uDDAA\\uDDAE-\\uDDCA\\uDDCD-\\uDDFF\\uDE70-\\uDE73\\uDE78-\\uDE7A\\uDE80-\\uDE82\\uDE90-\\uDE95])|(?:[#\\*0-9\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23E9-\\u23F3\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB-\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u261D\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A1\\u26AA\\u26AB\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C5\\u26C8\\u26CE\\u26CF\\u26D1\\u26D3\\u26D4\\u26E9\\u26EA\\u26F0-\\u26F5\\u26F7-\\u26FA\\u26FD\\u2702\\u2705\\u2708-\\u270D\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2728\\u2733\\u2734\\u2744\\u2747\\u274C\\u274E\\u2753-\\u2755\\u2757\\u2763\\u2764\\u2795-\\u2797\\u27A1\\u27B0\\u27BF\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B50\\u2B55\\u3030\\u303D\\u3297\\u3299]|\\uD83C[\\uDC04\\uDCCF\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDD8E\\uDD91-\\uDD9A\\uDDE6-\\uDDFF\\uDE01\\uDE02\\uDE1A\\uDE2F\\uDE32-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF21\\uDF24-\\uDF93\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E-\\uDFF0\\uDFF3-\\uDFF5\\uDFF7-\\uDFFF]|\\uD83D[\\uDC00-\\uDCFD\\uDCFF-\\uDD3D\\uDD49-\\uDD4E\\uDD50-\\uDD67\\uDD6F\\uDD70\\uDD73-\\uDD7A\\uDD87\\uDD8A-\\uDD8D\\uDD90\\uDD95\\uDD96\\uDDA4\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA-\\uDE4F\\uDE80-\\uDEC5\\uDECB-\\uDED2\\uDED5\\uDEE0-\\uDEE5\\uDEE9\\uDEEB\\uDEEC\\uDEF0\\uDEF3-\\uDEFA\\uDFE0-\\uDFEB]|\\uD83E[\\uDD0D-\\uDD3A\\uDD3C-\\uDD45\\uDD47-\\uDD71\\uDD73-\\uDD76\\uDD7A-\\uDDA2\\uDDA5-\\uDDAA\\uDDAE-\\uDDCA\\uDDCD-\\uDDFF\\uDE70-\\uDE73\\uDE78-\\uDE7A\\uDE80-\\uDE82\\uDE90-\\uDE95])\\uFE0F|(?:[\\u261D\\u26F9\\u270A-\\u270D]|\\uD83C[\\uDF85\\uDFC2-\\uDFC4\\uDFC7\\uDFCA-\\uDFCC]|\\uD83D[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66-\\uDC78\\uDC7C\\uDC81-\\uDC83\\uDC85-\\uDC87\\uDC8F\\uDC91\\uDCAA\\uDD74\\uDD75\\uDD7A\\uDD90\\uDD95\\uDD96\\uDE45-\\uDE47\\uDE4B-\\uDE4F\\uDEA3\\uDEB4-\\uDEB6\\uDEC0\\uDECC]|\\uD83E[\\uDD0F\\uDD18-\\uDD1F\\uDD26\\uDD30-\\uDD39\\uDD3C-\\uDD3E\\uDDB5\\uDDB6\\uDDB8\\uDDB9\\uDDBB\\uDDCD-\\uDDCF\\uDDD1-\\uDDDD])/g}}),We=n(function(e,t){!function(){"use strict";var l={name:"doT",version:"1.1.1",templateSettings:{evaluate:/\\{\\{([\\s\\S]+?(\\}?)+)\\}\\}/g,interpolate:/\\{\\{=([\\s\\S]+?)\\}\\}/g,encode:/\\{\\{!([\\s\\S]+?)\\}\\}/g,use:/\\{\\{#([\\s\\S]+?)\\}\\}/g,useParams:/(^|[^\\w$])def(?:\\.|\\[[\\\'\\"])([\\w$\\.]+)(?:[\\\'\\"]\\])?\\s*\\:\\s*([\\w$\\.]+|\\"[^\\"]+\\"|\\\'[^\\\']+\\\'|\\{[^\\}]+\\})/g,define:/\\{\\{##\\s*([\\w\\.$]+)\\s*(\\:|=)([\\s\\S]+?)#\\}\\}/g,defineParams:/^\\s*([\\w$]+):([\\s\\S]+)/,conditional:/\\{\\{\\?(\\?)?\\s*([\\s\\S]*?)\\s*\\}\\}/g,iterate:/\\{\\{~\\s*(?:\\}\\}|([\\s\\S]+?)\\s*\\:\\s*([\\w$]+)\\s*(?:\\:\\s*([\\w$]+))?\\s*\\}\\})/g,varname:"it",strip:!0,append:!0,selfcontained:!1,doNotSkipEncoded:!1},template:void 0,compile:void 0,log:!0};!function(){if("object"!==("undefined"==typeof globalThis?"undefined":Lu(globalThis)))try{Object.defineProperty(Object.prototype,"__magic__",{get:function(){return this},configurable:!0}),__magic__.globalThis=__magic__,delete Object.prototype.__magic__}catch(e){window.globalThis=function(){if("undefined"!=typeof self)return self;if(void 0!==window)return window;if(void 0!==Bu)return Bu;if(void 0!==this)return this;throw new Error("Unable to locate global `this`")}()}}(),l.encodeHTMLSource=function(e){var t={"&":"&#38;","<":"&#60;",">":"&#62;",\'"\':"&#34;","\'":"&#39;","/":"&#47;"},r=e?/[&<>"\'\\/]/g:/&(?!#?\\w+;)|<|>|"|\'|\\//g;return function(e){return e?e.toString().replace(r,function(e){return t[e]||e}):""}},void 0!==t&&t.exports?t.exports=l:"function"==typeof define&&define.amd?define(function(){return l}):globalThis.doT=l;var s={append:{start:"\'+(",end:")+\'",startencode:"\'+encodeHTML("},split:{start:"\';out+=(",end:");out+=\'",startencode:"\';out+=encodeHTML("}},u=/$^/;function c(e){return e.replace(/\\\\(\'|\\\\)/g,"$1").replace(/[\\r\\t\\n]/g," ")}l.template=function(t,e,r){var a,n,o=(e=e||l.templateSettings).append?s.append:s.split,i=0,t=e.use||e.define?function r(n,e,o){return("string"==typeof e?e:e.toString()).replace(n.define||u,function(e,a,t,r){return(a=0===a.indexOf("def.")?a.substring(4):a)in o||(":"===t?(n.defineParams&&r.replace(n.defineParams,function(e,t,r){o[a]={arg:t,text:r}}),a in o||(o[a]=r)):new Function("def","def[\'"+a+"\']="+r)(o)),""}).replace(n.use||u,function(e,t){return n.useParams&&(t=t.replace(n.useParams,function(e,t,r,a){if(o[r]&&o[r].arg&&a){var n=(r+":"+a).replace(/\'|\\\\/g,"_");return o.__exp=o.__exp||{},o.__exp[n]=o[r].text.replace(new RegExp("(^|[^\\\\w$])"+o[r].arg+"([^\\\\w$])","g"),"$1"+a+"$2"),t+"def.__exp[\'"+n+"\']"}})),(t=new Function("def","return "+t)(o))&&r(n,t,o)})}(e,t,r||{}):t,t=("var out=\'"+(e.strip?t.replace(/(^|\\r|\\n)\\t* +| +\\t*(\\r|\\n|$)/g," ").replace(/\\r|\\n|\\t|\\/\\*[\\s\\S]*?\\*\\//g,""):t).replace(/\'|\\\\/g,"\\\\$&").replace(e.interpolate||u,function(e,t){return o.start+c(t)+o.end}).replace(e.encode||u,function(e,t){return a=!0,o.startencode+c(t)+o.end}).replace(e.conditional||u,function(e,t,r){return t?r?"\';}else if("+c(r)+"){out+=\'":"\';}else{out+=\'":r?"\';if("+c(r)+"){out+=\'":"\';}out+=\'"}).replace(e.iterate||u,function(e,t,r,a){return t?(i+=1,n=a||"i"+i,t=c(t),"\';var arr"+i+"="+t+";if(arr"+i+"){var "+r+","+n+"=-1,l"+i+"=arr"+i+".length-1;while("+n+"<l"+i+"){"+r+"=arr"+i+"["+n+"+=1];out+=\'"):"\';} } out+=\'"}).replace(e.evaluate||u,function(e,t){return"\';"+c(t)+"out+=\'"})+"\';return out;").replace(/\\n/g,"\\\\n").replace(/\\t/g,"\\\\t").replace(/\\r/g,"\\\\r").replace(/(\\s|;|\\}|^|\\{)out\\+=\'\';/g,"$1").replace(/\\+\'\'/g,"");a&&(e.selfcontained||!globalThis||globalThis._encodeHTML||(globalThis._encodeHTML=l.encodeHTMLSource(e.doNotSkipEncoded)),t="var encodeHTML = typeof _encodeHTML !== \'undefined\' ? _encodeHTML : ("+l.encodeHTMLSource.toString()+"("+(e.doNotSkipEncoded||"")+"));"+t);try{return new Function(e.varname,t)}catch(e){throw"undefined"!=typeof console&&console.log("Could not create a template function: "+t),e}},l.compile=function(e,t){return l.template(e,null,t)}}()}),Ge=n(function(e,t){var r;r=function(){"use strict";function s(e){return"function"==typeof e}var r=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)},a=0,t=void 0,n=void 0,i=function(e,t){d[a]=e,d[a+1]=t,2===(a+=2)&&(n?n(p):y())};var e=void 0!==window?window:void 0,o=e||{},l=o.MutationObserver||o.WebKitMutationObserver,u="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),o="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel;function c(){var e=setTimeout;return function(){return e(p,1)}}var d=new Array(1e3);function p(){for(var e=0;e<a;e+=2)(0,d[e])(d[e+1]),d[e]=void 0,d[e+1]=void 0;a=0}function f(){try{var e=Function("return this")().require("vertx");return void 0!==(t=e.runOnLoop||e.runOnContext)?function(){t(p)}:c()}catch(e){return c()}}var m,h,g,b,y=void 0;function v(e,t){var r=this,a=new this.constructor(x);void 0===a[w]&&B(a);var n,o=r._state;return o?(n=arguments[o-1],i(function(){return P(o,a,n,r._result)})):O(r,a,e,t),a}function D(e){if(e&&"object"===Lu(e)&&e.constructor===this)return e;var t=new this(x);return R(t,e),t}var y=u?function(){return process.nextTick(p)}:l?(h=0,g=new l(p),b=document.createTextNode(""),g.observe(b,{characterData:!0}),function(){b.data=h=++h%2}):o?((m=new MessageChannel).port1.onmessage=p,function(){return m.port2.postMessage(0)}):(void 0===e?f:c)(),w=Math.random().toString(36).substring(2);function x(){}var E=void 0,A=1,C=2;function F(e,a,n){i(function(t){var r=!1,e=function(e,t,r,a){try{e.call(t,r,a)}catch(e){return e}}(n,a,function(e){r||(r=!0,(a!==e?R:N)(t,e))},function(e){r||(r=!0,_(t,e))},t._label);!r&&e&&(r=!0,_(t,e))},e)}function k(e,t,r){var a,n;t.constructor===e.constructor&&r===v&&t.constructor.resolve===D?(a=e,(n=t)._state===A?N(a,n._result):n._state===C?_(a,n._result):O(n,void 0,function(e){return R(a,e)},function(e){return _(a,e)})):void 0!==r&&s(r)?F(e,t,r):N(e,t)}function R(t,e){if(t===e)_(t,new TypeError("You cannot resolve a promise with itself"));else if(a=Lu(r=e),null===r||"object"!==a&&"function"!==a)N(t,e);else{a=void 0;try{a=e.then}catch(e){return void _(t,e)}k(t,e,a)}var r,a}function T(e){e._onerror&&e._onerror(e._result),S(e)}function N(e,t){e._state===E&&(e._result=t,e._state=A,0!==e._subscribers.length&&i(S,e))}function _(e,t){e._state===E&&(e._state=C,e._result=t,i(T,e))}function O(e,t,r,a){var n=e._subscribers,o=n.length;e._onerror=null,n[o]=t,n[o+A]=r,n[o+C]=a,0===o&&e._state&&i(S,e)}function S(e){var t=e._subscribers,r=e._state;if(0!==t.length){for(var a,n=void 0,o=e._result,i=0;i<t.length;i+=3)a=t[i],n=t[i+r],a?P(r,a,n,o):n(o);e._subscribers.length=0}}function P(e,t,r,a){var n=s(r),o=void 0,i=void 0,l=!0;if(n){try{o=r(a)}catch(e){l=!1,i=e}if(t===o)return void _(t,new TypeError("A promises callback cannot return that same promise."))}else o=a;t._state!==E||(n&&l?R(t,o):!1===l?_(t,i):e===A?N(t,o):e===C&&_(t,o))}var I=0;function B(e){e[w]=I++,e._state=void 0,e._result=void 0,e._subscribers=[]}var L=(q.prototype._enumerate=function(e){for(var t=0;this._state===E&&t<e.length;t++)this._eachEntry(e[t],t)},q.prototype._eachEntry=function(t,e){var r=this._instanceConstructor,a=r.resolve;if(a===D){var n,o=void 0,i=void 0,l=!1;try{o=t.then}catch(e){l=!0,i=e}o===v&&t._state!==E?this._settledAt(t._state,e,t._result):"function"!=typeof o?(this._remaining--,this._result[e]=t):r===M?(n=new r(x),l?_(n,i):k(n,t,o),this._willSettleAt(n,e)):this._willSettleAt(new r(function(e){return e(t)}),e)}else this._willSettleAt(a(t),e)},q.prototype._settledAt=function(e,t,r){var a=this.promise;a._state===E&&(this._remaining--,e===C?_(a,r):this._result[t]=r),0===this._remaining&&N(a,this._result)},q.prototype._willSettleAt=function(e,t){var r=this;O(e,void 0,function(e){return r._settledAt(A,t,e)},function(e){return r._settledAt(C,t,e)})},q);function q(e,t){this._instanceConstructor=e,this.promise=new e(x),this.promise[w]||B(this.promise),r(t)?(this.length=t.length,this._remaining=t.length,this._result=new Array(this.length),0===this.length?N(this.promise,this._result):(this.length=this.length||0,this._enumerate(t),0===this._remaining&&N(this.promise,this._result))):_(this.promise,new Error("Array Methods must be provided an Array"))}var M=(j.prototype.catch=function(e){return this.then(null,e)},j.prototype.finally=function(t){var r=this.constructor;return s(t)?this.then(function(e){return r.resolve(t()).then(function(){return e})},function(e){return r.resolve(t()).then(function(){throw e})}):this.then(t,t)},j);function j(e){this[w]=I++,this._result=this._state=void 0,this._subscribers=[],x!==e&&("function"!=typeof e&&function(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}(),this instanceof j?function(t,e){try{e(function(e){R(t,e)},function(e){_(t,e)})}catch(e){_(t,e)}}(this,e):function(){throw new TypeError("Failed to construct \'Promise\': Please use the \'new\' operator, this object constructor cannot be called as a function.")}())}return M.prototype.then=v,M.all=function(e){return new L(this,e).promise},M.race=function(n){var o=this;return r(n)?new o(function(e,t){for(var r=n.length,a=0;a<r;a++)o.resolve(n[a]).then(e,t)}):new o(function(e,t){return t(new TypeError("You must pass an array to race."))})},M.resolve=D,M.reject=function(e){var t=new this(x);return _(t,e),t},M._setScheduler=function(e){n=e},M._setAsap=function(e){i=e},M._asap=i,M.polyfill=function(){var e=void 0;if(void 0!==Bu)e=Bu;else if("undefined"!=typeof self)e=self;else try{e=Function("return this")()}catch(e){throw new Error("polyfill failed because global object is unavailable in this environment")}var t=e.Promise;if(t){var r=null;try{r=Object.prototype.toString.call(t.resolve())}catch(e){}if("[object Promise]"===r&&!t.cast)return}e.Promise=M},M.Promise=M},"object"===Lu(e=e)&&void 0!==t?t.exports=r():"function"==typeof define&&define.amd?define(r):e.ES6Promise=r()}),Ye=n(function(p){var t,r,a=1e5,f=(t=Object.prototype.toString,r=Object.prototype.hasOwnProperty,{Class:function(e){return t.call(e).replace(/^\\[object *|\\]$/g,"")},HasProperty:function(e,t){return t in e},HasOwnProperty:function(e,t){return r.call(e,t)},IsCallable:function(e){return"function"==typeof e},ToInt32:function(e){return e>>0},ToUint32:function(e){return e>>>0}}),m=Math.LN2,h=Math.abs,g=Math.floor,b=Math.log,y=Math.min,v=Math.pow,n=Math.round;function D(e){if(i&&o)for(var t=i(e),r=0;r<t.length;r+=1)o(e,t[r],{value:e[t[r]],writable:!1,enumerable:!1,configurable:!1})}var l,e,o=Object.defineProperty&&function(){try{return Object.defineProperty({},"x",{}),1}catch(e){return}}()?Object.defineProperty:function(e,t,r){if(!e===Object(e))throw new TypeError("Object.defineProperty called on non-object");return f.HasProperty(r,"get")&&Object.prototype.__defineGetter__&&Object.prototype.__defineGetter__.call(e,t,r.get),f.HasProperty(r,"set")&&Object.prototype.__defineSetter__&&Object.prototype.__defineSetter__.call(e,t,r.set),f.HasProperty(r,"value")&&(e[t]=r.value),e},i=Object.getOwnPropertyNames||function(e){if(e!==Object(e))throw new TypeError("Object.getOwnPropertyNames called on non-object");var t,r=[];for(t in e)f.HasOwnProperty(e,t)&&r.push(t);return r};function w(r){if(o){if(r.length>a)throw new RangeError("Array too large for polyfill");for(var e=0;e<r.length;e+=1)!function(t){o(r,t,{get:function(){return r._getter(t)},set:function(e){r._setter(t,e)},enumerable:!0,configurable:!1})}(e)}}function s(e,t){t=32-t;return e<<t>>t}function u(e,t){t=32-t;return e<<t>>>t}function x(e){return[255&e]}function E(e){return s(e[0],8)}function A(e){return[255&e]}function C(e){return u(e[0],8)}function F(e){return[(e=n(Number(e)))<0?0:255<e?255:255&e]}function k(e){return[e>>8&255,255&e]}function R(e){return s(e[0]<<8|e[1],16)}function T(e){return[e>>8&255,255&e]}function N(e){return u(e[0]<<8|e[1],16)}function _(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}function O(e){return s(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)}function S(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}function P(e){return u(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)}function c(e,t,r){var a,n,o,i,l,s,u,c=(1<<t-1)-1;function d(e){var t=g(e),e=e-t;return!(e<.5)&&(.5<e||t%2)?t+1:t}for(e!=e?(n=(1<<t)-1,o=v(2,r-1),a=0):e===1/0||e===-1/0?(n=(1<<t)-1,a=e<(o=0)?1:0):0===e?a=1/e==-1/(o=n=0)?1:0:(a=e<0,(e=h(e))>=v(2,1-c)?(n=y(g(b(e)/m),1023),2<=(o=d(e/v(2,n)*v(2,r)))/v(2,r)&&(n+=1,o=1),c<n?(n=(1<<t)-1,o=0):(n+=c,o-=v(2,r))):(n=0,o=d(e/v(2,1-c-r)))),l=[],i=r;i;--i)l.push(o%2?1:0),o=g(o/2);for(i=t;i;--i)l.push(n%2?1:0),n=g(n/2);for(l.push(a?1:0),l.reverse(),s=l.join(""),u=[];s.length;)u.push(parseInt(s.substring(0,8),2)),s=s.substring(8);return u}function d(e,t,r){for(var a,n,o,i,l,s,u=[],c=e.length;c;--c)for(n=e[c-1],a=8;a;--a)u.push(n%2?1:0),n>>=1;return u.reverse(),s=u.join(""),o=(1<<t-1)-1,i=parseInt(s.substring(0,1),2)?-1:1,l=parseInt(s.substring(1,1+t),2),s=parseInt(s.substring(1+t),2),l===(1<<t)-1?0!==s?NaN:1/0*i:0<l?i*v(2,l-o)*(1+s/v(2,r)):0!==s?i*v(2,-(o-1))*(s/v(2,r)):i<0?-0:0}function I(e){return d(e,11,52)}function B(e){return c(e,11,52)}function L(e){return d(e,8,23)}function q(e){return c(e,8,23)}function M(e,t){return f.IsCallable(e.get)?e.get(t):e[t]}function j(o){return function(e,t){if((e=f.ToUint32(e))+o.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");e+=this.byteOffset;for(var r=new p.Uint8Array(this.buffer,e,o.BYTES_PER_ELEMENT),a=[],n=0;n<o.BYTES_PER_ELEMENT;n+=1)a.push(M(r,n));return Boolean(t)===Boolean(l)&&a.reverse(),M(new o(new p.Uint8Array(a).buffer),0)}}function U(i){return function(e,t,r){if((e=f.ToUint32(e))+i.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");for(var t=new i([t]),a=new p.Uint8Array(t.buffer),n=[],o=0;o<i.BYTES_PER_ELEMENT;o+=1)n.push(M(a,o));Boolean(r)===Boolean(l)&&n.reverse(),new p.Uint8Array(this.buffer,e,i.BYTES_PER_ELEMENT).set(n)}}!function(){function s(e){if((e=f.ToInt32(e))<0)throw new RangeError("ArrayBuffer size is not a small enough positive integer");var t;for(this.byteLength=e,this._bytes=[],this._bytes.length=e,t=0;t<this.byteLength;t+=1)this._bytes[t]=0;D(this)}p.ArrayBuffer=p.ArrayBuffer||s;function a(){}function e(e,t,r){var l=function(e,t,r){var a,n,o,i;if(arguments.length&&"number"!=typeof e)if("object"===Lu(e)&&e.constructor===l)for(this.length=(a=e).length,this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new s(this.byteLength),o=this.byteOffset=0;o<this.length;o+=1)this._setter(o,a._getter(o));else if("object"!==Lu(e)||(e instanceof s||"ArrayBuffer"===f.Class(e))){if("object"!==Lu(e)||!(e instanceof s||"ArrayBuffer"===f.Class(e)))throw new TypeError("Unexpected argument type(s)");if(this.buffer=e,this.byteOffset=f.ToUint32(t),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteOffset%this.BYTES_PER_ELEMENT)throw new RangeError("ArrayBuffer length minus the byteOffset is not a multiple of the element size.");if(arguments.length<3){if(this.byteLength=this.buffer.byteLength-this.byteOffset,this.byteLength%this.BYTES_PER_ELEMENT)throw new RangeError("length of buffer minus byteOffset not a multiple of the element size");this.length=this.byteLength/this.BYTES_PER_ELEMENT}else this.length=f.ToUint32(r),this.byteLength=this.length*this.BYTES_PER_ELEMENT;if(this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the buffer")}else for(this.length=f.ToUint32((n=e).length),this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new s(this.byteLength),o=this.byteOffset=0;o<this.length;o+=1)i=n[o],this._setter(o,Number(i));else{if(this.length=f.ToInt32(e),r<0)throw new RangeError("ArrayBufferView size is not a small enough positive integer");this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new s(this.byteLength),this.byteOffset=0}this.constructor=l,D(this),w(this)};return l.prototype=new a,l.prototype.BYTES_PER_ELEMENT=e,l.prototype._pack=t,l.prototype._unpack=r,l.BYTES_PER_ELEMENT=e,l.prototype._getter=function(e){if(arguments.length<1)throw new SyntaxError("Not enough arguments");if(!((e=f.ToUint32(e))>=this.length)){for(var t=[],r=0,a=this.byteOffset+e*this.BYTES_PER_ELEMENT;r<this.BYTES_PER_ELEMENT;r+=1,a+=1)t.push(this.buffer._bytes[a]);return this._unpack(t)}},l.prototype.get=l.prototype._getter,l.prototype._setter=function(e,t){if(arguments.length<2)throw new SyntaxError("Not enough arguments");if(!((e=f.ToUint32(e))>=this.length))for(var r=this._pack(t),a=0,n=this.byteOffset+e*this.BYTES_PER_ELEMENT;a<this.BYTES_PER_ELEMENT;a+=1,n+=1)this.buffer._bytes[n]=r[a]},l.prototype.set=function(e,t){if(arguments.length<1)throw new SyntaxError("Not enough arguments");var r,a,n,o,i,l,s,u,c,d;if("object"===Lu(e)&&e.constructor===this.constructor){if(r=e,(n=f.ToUint32(t))+r.length>this.length)throw new RangeError("Offset plus length of array is out of range");if(u=this.byteOffset+n*this.BYTES_PER_ELEMENT,c=r.length*this.BYTES_PER_ELEMENT,r.buffer===this.buffer){for(d=[],i=0,l=r.byteOffset;i<c;i+=1,l+=1)d[i]=r.buffer._bytes[l];for(i=0,s=u;i<c;i+=1,s+=1)this.buffer._bytes[s]=d[i]}else for(i=0,l=r.byteOffset,s=u;i<c;i+=1,l+=1,s+=1)this.buffer._bytes[s]=r.buffer._bytes[l]}else{if("object"!==Lu(e)||void 0===e.length)throw new TypeError("Unexpected argument type(s)");if(o=f.ToUint32((a=e).length),(n=f.ToUint32(t))+o>this.length)throw new RangeError("Offset plus length of array is out of range");for(i=0;i<o;i+=1)l=a[i],this._setter(n+i,Number(l))}},l.prototype.subarray=function(e,t){function r(e,t,r){return e<t?t:r<e?r:e}e=f.ToInt32(e),t=f.ToInt32(t),arguments.length<1&&(e=0),arguments.length<2&&(t=this.length),e<0&&(e=this.length+e),t<0&&(t=this.length+t),e=r(e,0,this.length);var a=(t=r(t,0,this.length))-e;return new this.constructor(this.buffer,this.byteOffset+e*this.BYTES_PER_ELEMENT,a=a<0?0:a)},l}var t=e(1,x,E),r=e(1,A,C),n=e(1,F,C),o=e(2,k,R),i=e(2,T,N),l=e(4,_,O),u=e(4,S,P),c=e(4,q,L),d=e(8,B,I);p.Int8Array=p.Int8Array||t,p.Uint8Array=p.Uint8Array||r,p.Uint8ClampedArray=p.Uint8ClampedArray||n,p.Int16Array=p.Int16Array||o,p.Uint16Array=p.Uint16Array||i,p.Int32Array=p.Int32Array||l,p.Uint32Array=p.Uint32Array||u,p.Float32Array=p.Float32Array||c,p.Float64Array=p.Float64Array||d}(),e=new p.Uint16Array([4660]),l=18===M(new p.Uint8Array(e.buffer),0),(e=function(e,t,r){if(0===arguments.length)e=new p.ArrayBuffer(0);else if(!(e instanceof p.ArrayBuffer||"ArrayBuffer"===f.Class(e)))throw new TypeError("TypeError");if(this.buffer=e||new p.ArrayBuffer(0),this.byteOffset=f.ToUint32(t),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteLength=arguments.length<3?this.buffer.byteLength-this.byteOffset:f.ToUint32(r),this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the buffer");D(this)}).prototype.getUint8=j(p.Uint8Array),e.prototype.getInt8=j(p.Int8Array),e.prototype.getUint16=j(p.Uint16Array),e.prototype.getInt16=j(p.Int16Array),e.prototype.getUint32=j(p.Uint32Array),e.prototype.getInt32=j(p.Int32Array),e.prototype.getFloat32=j(p.Float32Array),e.prototype.getFloat64=j(p.Float64Array),e.prototype.setUint8=U(p.Uint8Array),e.prototype.setInt8=U(p.Int8Array),e.prototype.setUint16=U(p.Uint16Array),e.prototype.setInt16=U(p.Int16Array),e.prototype.setUint32=U(p.Uint32Array),e.prototype.setInt32=U(p.Int32Array),e.prototype.setFloat32=U(p.Float32Array),e.prototype.setFloat64=U(p.Float64Array),p.DataView=p.DataView||e}),Ke=n(function(e){!function(e){"use strict";var r,a,n;function t(){if(void 0===this)throw new TypeError("Constructor WeakMap requires \'new\'");if(n(this,"_id","_WeakMap_"+i()+"."+i()),0<arguments.length)throw new TypeError("WeakMap iterable is not supported")}function o(e,t){if(!l(e)||!r.call(e,"_id"))throw new TypeError(t+" method called on incompatible receiver "+Lu(e))}function i(){return Math.random().toString().substring(2)}function l(e){return Object(e)===e}e.WeakMap||(r=Object.prototype.hasOwnProperty,a=Object.defineProperty&&function(){try{return 1===Object.defineProperty({},"x",{value:1}).x}catch(e){}}(),e.WeakMap=((n=function(e,t,r){a?Object.defineProperty(e,t,{configurable:!0,writable:!0,value:r}):e[t]=r})(t.prototype,"delete",function(e){if(o(this,"delete"),!l(e))return!1;var t=e[this._id];return!(!t||t[0]!==e)&&(delete e[this._id],!0)}),n(t.prototype,"get",function(e){if(o(this,"get"),l(e)){var t=e[this._id];return t&&t[0]===e?t[1]:void 0}}),n(t.prototype,"has",function(e){if(o(this,"has"),!l(e))return!1;var t=e[this._id];return!(!t||t[0]!==e)}),n(t.prototype,"set",function(e,t){if(o(this,"set"),!l(e))throw new TypeError("Invalid value used as weak map key");var r=e[this._id];return r&&r[0]===e?r[1]=t:n(e,this._id,[e,t]),this}),n(t,"_polyfill",!0),t))}("undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:void 0!==window?window:void 0!==Bu?Bu:e)}),Xe={helpUrlBase:"https://dequeuniversity.com/rules/",results:[],resultGroups:[],resultGroupMap:{},impact:Object.freeze(["minor","moderate","serious","critical"]),preload:Object.freeze({assets:["cssom","media"],timeout:1e4}),allOrigins:"<unsafe_all_origins>",sameOrigin:"<same_origin>"};[{name:"NA",value:"inapplicable",priority:0,group:"inapplicable"},{name:"PASS",value:"passed",priority:1,group:"passes"},{name:"CANTTELL",value:"cantTell",priority:2,group:"incomplete"},{name:"FAIL",value:"failed",priority:3,group:"violations"}].forEach(function(e){var t=e.name,r=e.value,a=e.priority,e=e.group;Xe[t]=r,Xe[t+"_PRIO"]=a,Xe[t+"_GROUP"]=e,Xe.results[a]=r,Xe.resultGroups[a]=e,Xe.resultGroupMap[r]=e}),Object.freeze(Xe.results),Object.freeze(Xe.resultGroups),Object.freeze(Xe.resultGroupMap),Object.freeze(Xe);var Je=Xe;var Qe=function(){"object"===("undefined"==typeof console?"undefined":Lu(console))&&console.log&&Function.prototype.apply.call(console.log,console,arguments)},Ze=/[\\t\\r\\n\\f]/g;function et(){Ju(this,et),this.parent=void 0}var tt=(Qu(et,[{key:"props",get:function(){throw new Error(\'VirtualNode class must have a "props" object consisting of "nodeType" and "nodeName" properties\')}},{key:"attrNames",get:function(){throw new Error(\'VirtualNode class must have an "attrNames" property\')}},{key:"attr",value:function(){throw new Error(\'VirtualNode class must have an "attr" function\')}},{key:"hasAttr",value:function(){throw new Error(\'VirtualNode class must have a "hasAttr" function\')}},{key:"hasClass",value:function(e){var t=this.attr("class");if(!t)return!1;e=" "+e+" ";return 0<=(" "+t+" ").replace(Ze," ").indexOf(e)}}]),et),rt={};o(rt,{DqElement:function(){return xr},aggregate:function(){return Bt},aggregateChecks:function(){return Vt},aggregateNodeResults:function(){return zt},aggregateResult:function(){return Wt},areStylesSet:function(){return Gt},assert:function(){return it},checkHelper:function(){return Er},clone:function(){return Ar},closest:function(){return Ir},collectResultsFromFrames:function(){return Xr},contains:function(){return Jr},convertSelector:function(){return Or},cssParser:function(){return Fr},deepMerge:function(){return Qr},escapeSelector:function(){return Kt},extendMetaData:function(){return Zr},filterHtmlAttrs:function(){return xo},finalizeRuleResult:function(){return Ht},findBy:function(){return Gr},getAllChecks:function(){return Wr},getAncestry:function(){return gr},getBaseLang:function(){return xn},getCheckMessage:function(){return _n},getCheckOption:function(){return On},getFlattenedTree:function(){return wn},getFriendlyUriEnd:function(){return Qt},getNodeAttributes:function(){return er},getNodeFromTree:function(){return Dr},getPreloadConfig:function(){return ho},getRootNode:function(){return aa},getRule:function(){return Sn},getScroll:function(){return Pn},getScrollState:function(){return In},getSelector:function(){return mr},getSelectorData:function(){return cr},getShadowSelector:function(){return nr},getStandards:function(){return Bn},getStyleSheetFactory:function(){return qn},getXpath:function(){return br},injectStyle:function(){return Mn},isHidden:function(){return jn},isHtmlElement:function(){return Vn},isNodeInContext:function(){return zn},isShadowRoot:function(){return ta},isValidLang:function(){return To},isXHTML:function(){return rr},matches:function(){return Pr},matchesExpression:function(){return Sr},matchesSelector:function(){return tr},memoize:function(){return Wn},mergeResults:function(){return Kr},nodeSorter:function(){return Gn},parseCrossOriginStylesheet:function(){return Qn},parseSameOriginStylesheet:function(){return Yn},parseStylesheet:function(){return Kn},performanceTimer:function(){return ro},pollyfillElementsFromPoint:function(){return ao},preload:function(){return go},preloadCssom:function(){return uo},preloadMedia:function(){return fo},processMessage:function(){return Nn},publishMetaData:function(){return yo},querySelectorAll:function(){return vo},querySelectorAllFilter:function(){return so},queue:function(){return jr},respondable:function(){return Vr},ruleShouldRun:function(){return wo},select:function(){return Eo},sendCommandToFrame:function(){return $r},setScrollState:function(){return Ao},shouldPreload:function(){return mo},toArray:function(){return Yt},tokenList:function(){return Co},uniqueArray:function(){return io},uuid:function(){return Rt},validInputTypes:function(){return Fo},validLangs:function(){return Ro}});var at=Object.freeze(["EvalError","RangeError","ReferenceError","SyntaxError","TypeError","URIError"]);function nt(e){var t;try{t=JSON.parse(e)}catch(e){return}if("object"===Lu(n=t)&&"string"==typeof n.channelId&&n.source===ot()){var r=t,a=r.topic,e=r.channelId,n=r.messageId,r=r.keepalive;return{topic:a,message:"object"===Lu(t.error)?function(e){var t=e.message||"Unknown error occurred",r=at.includes(e.name)?e.name:"Error",r=window[r]||Error;e.stack&&(t+="\\n"+e.stack.replace(e.message,""));return new r(t)}(t.error):t.payload,messageId:n,channelId:e,keepalive:!!r}}}function ot(){var e="axeAPI",t="";return(e=void 0!==axe&&axe._audit&&axe._audit.application?axe._audit.application:e)+"."+(t=void 0!==axe?axe.version:t)}var it=function(e,t){if(!e)throw new Error(t)};function lt(e){ut(e),it(window.parent===e,"Source of the response must be the parent window.")}function st(e){ut(e),it(e.parent===window,"Respondable target must be a frame in the current window")}function ut(e){it(window!==e,"Messages can not be sent to the same window.")}var ct={};var dt,pt,ft,mt,ht=window.crypto||window.msCrypto;!pt&&ht&&ht.getRandomValues&&(dt=new Uint8Array(16),pt=function(){return ht.getRandomValues(dt),dt});try{pt||(ft=require("crypto"),pt=function(){return ft.randomBytes(16)})}catch(e){}pt||(mt=new Array(16),pt=function(){for(var e,t=0;t<16;t++)0==(3&t)&&(e=4294967296*Math.random()),mt[t]=e>>>((3&t)<<3)&255;return mt});for(var gt="function"==typeof window.Buffer?window.Buffer:Array,bt=[],yt={},vt=0;vt<256;vt++)bt[vt]=(vt+256).toString(16).substr(1),yt[bt[vt]]=vt;function Dt(e,t){t=t||0;return bt[e[t++]]+bt[e[t++]]+bt[e[t++]]+bt[e[t++]]+"-"+bt[e[t++]]+bt[e[t++]]+"-"+bt[e[t++]]+bt[e[t++]]+"-"+bt[e[t++]]+bt[e[t++]]+"-"+bt[e[t++]]+bt[e[t++]]+bt[e[t++]]+bt[e[t++]]+bt[e[t++]]+bt[e[t++]]}var wt=pt(),xt=[1|wt[0],wt[1],wt[2],wt[3],wt[4],wt[5]],Et=16383&(wt[6]<<8|wt[7]),At=0,Ct=0;function Ft(e,t,r){var a=t&&r||0,n=t||[],o=null!=(e=e||{}).clockseq?e.clockseq:Et,i=null!=e.msecs?e.msecs:(new Date).getTime(),l=null!=e.nsecs?e.nsecs:Ct+1,r=i-At+(l-Ct)/1e4;if(r<0&&null==e.clockseq&&(o=o+1&16383),1e4<=(l=(r<0||At<i)&&null==e.nsecs?0:l))throw new Error("uuid.v1(): Can\'t create more than 10M uuids/sec");At=i,Et=o;l=(1e4*(268435455&(i+=122192928e5))+(Ct=l))%4294967296;n[a++]=l>>>24&255,n[a++]=l>>>16&255,n[a++]=l>>>8&255,n[a++]=255&l;i=i/4294967296*1e4&268435455;n[a++]=i>>>8&255,n[a++]=255&i,n[a++]=i>>>24&15|16,n[a++]=i>>>16&255,n[a++]=o>>>8|128,n[a++]=255&o;for(var s=e.node||xt,u=0;u<6;u++)n[a+u]=s[u];return t||Dt(n)}function kt(e,t,r){var a=t&&r||0;"string"==typeof e&&(t="binary"==e?new gt(16):null,e=null);var n=(e=e||{}).random||(e.rng||pt)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t)for(var o=0;o<16;o++)t[a+o]=n[o];return t||Dt(n)}(Ls=kt).v1=Ft,Ls.v4=kt,Ls.parse=function(e,t,r){var a=t&&r||0,n=0;for(t=t||[],e.toLowerCase().replace(/[0-9a-f]{2}/g,function(e){n<16&&(t[a+n++]=yt[e])});n<16;)t[a+n++]=0;return t},Ls.unparse=Dt,Ls.BufferClass=gt,axe._uuid=Ft();var Rt=kt,Tt=[];function Nt(){var e="".concat(kt(),":").concat(kt());return Tt.includes(e)?Nt():(Tt.push(e),e)}function _t(r,e,t,a){if("function"==typeof a&&function(e,t,r){var a=!(2<arguments.length&&void 0!==r)||r;it(!ct[e],"A replyHandler already exists for this message channel."),ct[e]={replyHandler:t,sendToParent:a}}(e.channelId,a,t),(t?lt:st)(r),e.message instanceof Error&&!t)return axe.log(e.message),!1;var n=(o=Xu({messageId:Nt()},e),a=o.topic,t=o.channelId,e=o.message,o={channelId:t,topic:a,messageId:o.messageId,keepalive:!!o.keepalive,source:ot()},e instanceof Error?o.error={name:e.name,message:e.message,stack:e.stack}:o.payload=e,JSON.stringify(o)),o=axe._audit.allowedOrigins;return!(!o||!o.length)&&(o.forEach(function(t){try{r.postMessage(n,t)}catch(e){if(e instanceof r.DOMException)throw new Error(\'allowedOrigins value "\'.concat(t,\'" is not a valid origin\'));throw e}}),!0)}function Ot(a,n,e){var o=!(2<arguments.length&&void 0!==e)||e;return function(e,t,r){_t(a,{channelId:n,message:e,keepalive:t},o,r)}}function St(e,t){var r,a=e.origin,n=e.data,o=e.source,i=nt(n)||{},l=i.channelId,s=i.message,e=i.messageId;if(n=a,((a=axe._audit.allowedOrigins)&&a.includes("*")||a.includes(n))&&(e=e,!Tt.includes(e)&&(Tt.push(e),1)))if(s instanceof Error&&o.parent!==window)axe.log(s);else try{i.topic?(r=Ot(o,l),lt(o),t(i,r)):function(e,t){var r=t.channelId,a=t.message,n=t.keepalive,o=function(e){return ct[e]}(r)||{},t=o.replyHandler,o=o.sendToParent;if(t){(o?lt:st)(e);o=Ot(e,r,o);!n&&r&&function(e){delete ct[e]}(r);try{t(a,n,o)}catch(e){axe.log(e),o(e,n)}}}(o,i)}catch(e){!function(e,t,r){if(!e.parent!==window)return axe.log(t);try{_t(e,{topic:null,channelId:r,message:t,messageId:Nt(),keepalive:!0},!0)}catch(e){return axe.log(e)}}(o,e,l)}}var Pt={open:function(t){if("function"==typeof window.addEventListener){function e(e){St(e,t)}return window.addEventListener("message",e,!1),function(){window.removeEventListener("message",e,!1)}}},post:function(e,t,r){return"function"==typeof window.addEventListener&&_t(e,t,!1,r)}};function It(e){e.updateMessenger(Pt)}var Bt=function(t,e,r){return e=e.slice(),r&&e.push(r),e=e.map(function(e){return t.indexOf(e)}).sort(),t[e.pop()]},Lt=Je.CANTTELL_PRIO,qt=Je.FAIL_PRIO,Mt=[];Mt[Je.PASS_PRIO]=!0,Mt[Je.CANTTELL_PRIO]=null,Mt[Je.FAIL_PRIO]=!1;var jt=["any","all","none"];function Ut(r,a){return jt.reduce(function(e,t){return e[t]=(r[t]||[]).map(function(e){return a(e,t)}),e},{})}var Vt=function(e){var r=Object.assign({},e);Ut(r,function(e,t){var r=void 0===e.result?-1:Mt.indexOf(e.result);e.priority=-1!==r?r:Je.CANTTELL_PRIO,"none"===t&&(e.priority===Je.PASS_PRIO?e.priority=Je.FAIL_PRIO:e.priority===Je.FAIL_PRIO&&(e.priority=Je.PASS_PRIO))});var a={all:r.all.reduce(function(e,t){return Math.max(e,t.priority)},0),none:r.none.reduce(function(e,t){return Math.max(e,t.priority)},0),any:r.any.reduce(function(e,t){return Math.min(e,t.priority)},4)%4};r.priority=Math.max(a.all,a.none,a.any);var n=[];return jt.forEach(function(t){r[t]=r[t].filter(function(e){return e.priority===r.priority&&e.priority===a[t]}),r[t].forEach(function(e){return n.push(e.impact)})}),[Lt,qt].includes(r.priority)?r.impact=Bt(Je.impact,n):r.impact=null,Ut(r,function(e){delete e.result,delete e.priority}),r.result=Je.results[r.priority],delete r.priority,r};var Ht=function(t){var r=axe._audit.rules.find(function(e){return e.id===t.id});return r&&r.impact&&t.nodes.forEach(function(t){["any","all","none"].forEach(function(e){(t[e]||[]).forEach(function(e){e.impact=r.impact})})}),Object.assign(t,zt(t.nodes)),delete t.nodes,t};var zt=function(e){var t,r={};return(e=e.map(function(e){if(e.any&&e.all&&e.none)return Vt(e);if(Array.isArray(e.node))return Ht(e);throw new TypeError("Invalid Result type")}))&&e.length?(t=e.map(function(e){return e.result}),r.result=Bt(Je.results,t,r.result)):r.result="inapplicable",Je.resultGroups.forEach(function(e){return r[e]=[]}),e.forEach(function(e){var t=Je.resultGroupMap[e.result];r[t].push(e)}),e=Je.FAIL_GROUP,0===r[e].length&&(e=Je.CANTTELL_GROUP),0<r[e].length?(e=r[e].map(function(e){return e.impact}),r.impact=Bt(Je.impact,e)||null):r.impact=null,r};function $t(e,t,r){var a=Object.assign({},t);a.nodes=(a[r]||[]).concat(),Je.resultGroups.forEach(function(e){delete a[e]}),e[r].push(a)}var Wt=function(e){var r={};return Je.resultGroups.forEach(function(e){return r[e]=[]}),e.forEach(function(t){t.error?$t(r,t,Je.CANTTELL_GROUP):t.result===Je.NA?$t(r,t,Je.NA_GROUP):Je.resultGroups.forEach(function(e){Array.isArray(t[e])&&0<t[e].length&&$t(r,t,e)})}),r};var Gt=function e(t,r,a){var n=window.getComputedStyle(t,null);if(!n)return!1;for(var o=0;o<r.length;++o){var i=r[o];if(n.getPropertyValue(i.property)===i.value)return!0}return!(!t.parentNode||t.nodeName.toUpperCase()===a.toUpperCase())&&e(t.parentNode,r,a)};var Yt=function(e){return Array.prototype.slice.call(e)};var Kt=function(e){for(var t,r=String(e),a=r.length,n=-1,o="",i=r.charCodeAt(0);++n<a;)0!=(t=r.charCodeAt(n))?o+=1<=t&&t<=31||127==t||0==n&&48<=t&&t<=57||1==n&&48<=t&&t<=57&&45==i?"\\\\"+t.toString(16)+" ":(0!=n||1!=a||45!=t)&&(128<=t||45==t||95==t||48<=t&&t<=57||65<=t&&t<=90||97<=t&&t<=122)?r.charAt(n):"\\\\"+r.charAt(n):o+="�";return o};function Xt(e,t){return[e.substring(0,t),e.substring(t)]}function Jt(e){return e.replace(/\\s+$/,"")}var Qt=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:"",t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};if(!(e.length<=1||"data:"===e.substr(0,5)||"javascript:"===e.substr(0,11)||e.includes("?"))){var r,a,n,o,i=t.currentDomain,l=t.maxLength,s=void 0===l?25:l,u=(d=c=u=o=n="",(l=t=e).includes("#")&&(t=(e=Ku(Xt(t,t.indexOf("#")),2))[0],d=e[1]),t.includes("?")&&(t=(r=Ku(Xt(t,t.indexOf("?")),2))[0],c=r[1]),t.includes("://")?(n=(r=Ku(t.split("://"),2))[0],o=(r=Ku(Xt(t=r[1],t.indexOf("/")),2))[0],t=r[1]):"//"===t.substr(0,2)&&(o=(a=Ku(Xt(t=t.substr(2),t.indexOf("/")),2))[0],t=a[1]),(o="www."===o.substr(0,4)?o.substr(4):o)&&o.includes(":")&&(o=(a=Ku(Xt(o,o.indexOf(":")),2))[0],u=a[1]),{original:l,protocol:n,domain:o,port:u,path:t,query:c,hash:d}),t=u.path,c=u.domain,d=u.hash,u=t.substr(t.substr(0,t.length-2).lastIndexOf("/")+1);if(d)return u&&(u+d).length<=s?Jt(u+d):u.length<2&&2<d.length&&d.length<=s?Jt(d):void 0;if(c&&c.length<s&&t.length<=1)return Jt(c+t);if(t==="/"+u&&c&&i&&c!==i&&(c+t).length<=s)return Jt(c+t);t=u.lastIndexOf(".");return(-1===t||1<t)&&(-1!==t||2<u.length)&&u.length<=s&&!u.match(/index(\\.[a-zA-Z]{2-4})?/)&&!function(e){var t=0<arguments.length&&void 0!==e?e:"";return 0!==t.length&&(t.match(/[0-9]/g)||"").length>=t.length/2}(u)?Jt(u):void 0}};var Zt,er=function(e){return(e.attributes instanceof window.NamedNodeMap?e:e.cloneNode(!1)).attributes},tr=function(e,t){return!!e[Zt=!Zt||!e[Zt]?function(e){for(var t,r=["matches","matchesSelector","mozMatchesSelector","webkitMatchesSelector","msMatchesSelector"],a=r.length,n=0;n<a;n++)if(e[t=r[n]])return t}(e):Zt]&&e[Zt](t)};var rr=function(e){return!!e.createElement&&"A"===e.createElement("A").localName};var ar,nr=function(r,e){var a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};if(!e)return"";var t=e.getRootNode&&e.getRootNode()||document;if(11!==t.nodeType)return r(e,a,t);for(var n=[];11===t.nodeType;){if(!t.host)return"";n.unshift({elm:e,doc:t}),t=(e=t.host).getRootNode()}return n.unshift({elm:e,doc:t}),n.map(function(e){var t=e.elm,e=e.doc;return r(t,a,e)})},or=["class","style","id","selected","checked","disabled","tabindex","aria-checked","aria-selected","aria-invalid","aria-activedescendant","aria-busy","aria-disabled","aria-expanded","aria-grabbed","aria-pressed","aria-valuenow"],ir=31;function lr(e,t){var r=t.name;if(-1!==r.indexOf("href")||-1!==r.indexOf("src")){var a=Qt(e.getAttribute(r));if(a){var n=encodeURI(a);if(!n)return;n=Kt(t.name)+\'$="\'+Kt(n)+\'"\'}else n=Kt(t.name)+\'="\'+Kt(e.getAttribute(r))+\'"\'}else n=Kt(r)+\'="\'+Kt(t.value)+\'"\';return n}function sr(e,t){return e.count<t.count?-1:e.count===t.count?0:1}function ur(e){return!or.includes(e.name)&&-1===e.name.indexOf(":")&&(!e.value||e.value.length<ir)}function cr(e){for(var a={classes:{},tags:{},attributes:{}},n=(e=Array.isArray(e)?e:[e]).slice(),o=[];n.length;)!function(){var e,t=n.pop(),r=t.actualNode;for(r.querySelectorAll&&(e=r.nodeName,a.tags[e]?a.tags[e]++:a.tags[e]=1,r.classList&&Array.from(r.classList).forEach(function(e){e=Kt(e);a.classes[e]?a.classes[e]++:a.classes[e]=1}),r.hasAttributes()&&Array.from(er(r)).filter(ur).forEach(function(e){e=lr(r,e);e&&(a.attributes[e]?a.attributes[e]++:a.attributes[e]=1)})),t.children.length&&(o.push(n),n=t.children.slice());!n.length&&o.length;)n=o.pop()}();return a}function dr(e){return void 0===ar&&(ar=rr(document)),Kt(ar?e.localName:e.nodeName.toLowerCase())}function pr(e,t){var r,a,n,o,i,l,s,u,c,d="",p=(a=e,n=[],o=t.classes,i=t.tags,a.classList&&Array.from(a.classList).forEach(function(e){e=Kt(e);o[e]<i[a.nodeName]&&n.push({name:e,count:o[e],species:"class"})}),n.sort(sr)),t=(l=e,s=[],u=t.attributes,c=t.tags,l.hasAttributes()&&Array.from(er(l)).filter(ur).forEach(function(e){e=lr(l,e);e&&u[e]<c[l.nodeName]&&s.push({name:e,count:u[e],species:"attribute"})}),s.sort(sr));return p.length&&1===p[0].count?r=[p[0]]:t.length&&1===t[0].count?(r=[t[0]],d=dr(e)):((r=p.concat(t)).sort(sr),(r=r.slice(0,3)).some(function(e){return"class"===e.species})?r.sort(function(e,t){return e.species!==t.species&&"class"===e.species?-1:e.species===t.species?0:1}):d=dr(e)),d+r.reduce(function(e,t){switch(t.species){case"class":return e+"."+t.name;case"attribute":return e+"["+t.name+"]"}return e},"")}function fr(e,t,r){if(!axe._selectorData)throw new Error("Expect axe._selectorData to be set up");var a,n,t=t.toRoot,o=void 0!==t&&t;do{var i=function(e){if(e.getAttribute("id")){var t=e.getRootNode&&e.getRootNode()||document,e="#"+Kt(e.getAttribute("id")||"");return e.match(/player_uid_/)||1!==t.querySelectorAll(e).length?void 0:e}}(e);i||(i=pr(e,axe._selectorData),i+=function(t,r){var e=t.parentNode&&Array.from(t.parentNode.children||"")||[];return e.find(function(e){return e!==t&&tr(e,r)})?":nth-child("+(1+e.indexOf(t))+")":""}(e,i)),a=a?i+" > "+a:i,n=n?n.filter(function(e){return tr(e,a)}):Array.from(r.querySelectorAll(a)),e=e.parentElement}while((1<n.length||o)&&e&&11!==e.nodeType);return 1===n.length?a:-1!==a.indexOf(" > ")?":root"+a.substring(a.indexOf(" > ")):":root"}function mr(e,t){return nr(fr,e,t)}function hr(e){var t=e.nodeName.toLowerCase(),r=e.parentElement;if(!r)return t;var a="";return"head"!==t&&"body"!==t&&1<r.children.length&&(e=Array.prototype.indexOf.call(r.children,e)+1,a=":nth-child(".concat(e,")")),hr(r)+" > "+t+a}function gr(e,t){return nr(hr,e,t)}var br=function(e){return function e(t,r){var a,n,o,i;if(!t)return[];if(!r&&9===t.nodeType)return r=[{str:"html"}];if(r=r||[],t.parentNode&&t.parentNode!==t&&(r=e(t.parentNode,r)),t.previousSibling){for(n=1,a=t.previousSibling;1===a.nodeType&&a.nodeName===t.nodeName&&n++,a=a.previousSibling;);1===n&&(n=null)}else if(t.nextSibling)for(a=t.nextSibling;a=1===a.nodeType&&a.nodeName===t.nodeName?(n=1,null):(n=null,a.previousSibling););return 1===t.nodeType&&((o={}).str=t.nodeName.toLowerCase(),(i=t.getAttribute&&Kt(t.getAttribute("id")))&&1===t.ownerDocument.querySelectorAll("#"+i).length&&(o.id=t.getAttribute("id")),1<n&&(o.count=n),r.push(o)),r}(e).reduce(function(e,t){return t.id?"/".concat(t.str,"[@id=\'").concat(t.id,"\']"):e+"/".concat(t.str)+(0<t.count?"[".concat(t.count,"]"):"")},"")},yr={},vr={set:function(e,t){yr[e]=t},get:function(e){return yr[e]},clear:function(){yr={}}};var Dr=function(e,t){return e=t||e,vr.get("nodeMap")?vr.get("nodeMap").get(e):null};function wr(e){var t,r,a,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};this.spec=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},e instanceof tt?(this._virtualNode=e,this._element=e.actualNode):(this._element=e,this._virtualNode=Dr(e)),this.fromFrame=1<(null===(t=this.spec.selector)||void 0===t?void 0:t.length),n.absolutePaths&&(this._options={toRoot:!0}),this.nodeIndexes=[],Array.isArray(this.spec.nodeIndexes)?this.nodeIndexes=this.spec.nodeIndexes:"number"==typeof(null===(r=this._virtualNode)||void 0===r?void 0:r.nodeIndex)&&(this.nodeIndexes=[this._virtualNode.nodeIndex]),this.source=null,axe._audit.noHtml||(this.source=null!==(n=this.spec.source)&&void 0!==n?n:null!=(r=this._element)&&r.outerHTML?((n=(n=!(n=r.outerHTML)&&"function"==typeof XMLSerializer?(new XMLSerializer).serializeToString(r):n)||"").length>(a=a||300)&&(a=n.indexOf(">"),n=n.substring(0,a+1)),n):"")}wr.prototype={get selector(){return this.spec.selector||[mr(this.element,this._options)]},get ancestry(){return this.spec.ancestry||[gr(this.element)]},get xpath(){return this.spec.xpath||[br(this.element)]},get element(){return this._element},toJSON:function(){return{selector:this.selector,source:this.source,xpath:this.xpath,ancestry:this.ancestry,nodeIndexes:this.nodeIndexes}}},wr.fromFrame=function(e,t,r){e=Xu({},e,{selector:[].concat(Yu(r.selector),Yu(e.selector)),ancestry:[].concat(Yu(r.ancestry),Yu(e.ancestry)),xpath:[].concat(Yu(r.xpath),Yu(e.xpath)),nodeIndexes:[].concat(Yu(r.nodeIndexes),Yu(e.nodeIndexes))});return new wr(r.element,t,e)};var xr=wr;var Er=function(t,r,a,n){return{isAsync:!1,async:function(){return this.isAsync=!0,function(e){e instanceof Error==!1?(t.result=e,a(t)):n(e)}},data:function(e){t.data=e},relatedNodes:function(e){e=e instanceof window.Node?[e]:Yt(e),t.relatedNodes=e.map(function(e){return new xr(e,r)})}}};var Ar=function e(t){var r,a,n=t;if(null!==t&&"object"===Lu(t))if(Array.isArray(t))for(n=[],r=0,a=t.length;r<a;r++)n[r]=e(t[r]);else for(r in n={},t)n[r]=e(t[r]);return n},Cr=new(c(m()).CssSelectorParser);Cr.registerSelectorPseudos("not"),Cr.registerSelectorPseudos("is"),Cr.registerNestingOperators(">"),Cr.registerAttrEqualityMods("^","$","*","~");var Fr=Cr;function kr(e,t){return s=t,1===(l=e).props.nodeType&&("*"===s.tag||l.props.nodeName===s.tag)&&(o=e,!(i=t).classes||i.classes.every(function(e){return o.hasClass(e.value)}))&&(a=e,!(n=t).attributes||n.attributes.every(function(e){var t=a.attr(e.key);return null!==t&&(!e.value||e.test(t))}))&&(i=e,!(n=t).id||i.props.id===n.id)&&(r=e,!((t=t).pseudos&&!t.pseudos.every(function(e){if("not"===e.name)return!e.expressions.some(function(e){return Sr(r,e)});if("is"===e.name)return e.expressions.some(function(e){return Sr(r,e)});throw new Error("the pseudo selector "+e.name+" has not yet been implemented")})));var r,a,n,o,i,l,s}var Rr,Tr=(Rr=/(?=[\\-\\[\\]{}()*+?.\\\\\\^$|,#\\s])/g,function(e){return e.replace(Rr,"\\\\")}),Nr=/\\\\/g;function _r(e){return e.map(function(e){for(var t=[],r=e.rule;r;)t.push({tag:r.tagName?r.tagName.toLowerCase():"*",combinator:r.nestingOperator||" ",id:r.id,attributes:function(e){if(e)return e.map(function(e){var t,r,a=e.name.replace(Nr,""),n=(e.value||"").replace(Nr,"");switch(e.operator){case"^=":r=new RegExp("^"+Tr(n));break;case"$=":r=new RegExp(Tr(n)+"$");break;case"~=":r=new RegExp("(^|\\\\s)"+Tr(n)+"(\\\\s|$)");break;case"|=":r=new RegExp("^"+Tr(n)+"(-|$)");break;case"=":t=function(e){return n===e};break;case"*=":t=function(e){return e&&e.includes(n)};break;case"!=":t=function(e){return n!==e};break;default:t=function(e){return!!e}}return""===n&&/^[*$^]=$/.test(e.operator)&&(t=function(){return!1}),{key:a,value:n,test:t=t||function(e){return e&&r.test(e)}}})}(r.attrs),classes:function(e){if(e)return e.map(function(e){return{value:e=e.replace(Nr,""),regexp:new RegExp("(^|\\\\s)"+Tr(e)+"(\\\\s|$)")}})}(r.classNames),pseudos:function(e){if(e)return e.map(function(e){var t;return["is","not"].includes(e.name)&&(t=_r(t=(t=e.value).selectors||[t])),{name:e.name,expressions:t,value:e.value}})}(r.pseudos)}),r=r.rule;return t})}function Or(e){e=Fr.parse(e);return _r(e=e.selectors||[e])}function Sr(e,t,r){for(var t=[].concat(t),a=t.pop(),n=kr(e,a);!n&&r&&e.parent;)n=kr(e=e.parent,a);if(t.length){if(!1===[" ",">"].includes(a.combinator))throw new Error("axe.utils.matchesExpression does not support the combinator: "+a.combinator);n=n&&Sr(e.parent,t," "===a.combinator)}return n}var Pr=function(t,e){return Or(e).some(function(e){return Sr(t,e)})};var Ir=function(e,t){for(;e;){if(Pr(e,t))return e;if(void 0===e.parent)throw new TypeError("Cannot resolve parent for non-DOM nodes");e=e.parent}return null};function Br(){}function Lr(e){if("function"!=typeof e)throw new TypeError("Queue methods require functions as arguments")}var qr,Mr,jr=function(){function t(e){a=e,setTimeout(function(){null!=a&&Qe("Uncaught error (of queue)",a)},1)}var a,n=[],r=0,o=0,i=Br,l=!1,s=t;function u(e){return i=Br,s(e),n}function c(){for(var e=n.length;r<e;r++){var t=n[r];try{t.call(null,function(t){return function(e){n[t]=e,--o||i===Br||(l=!0,i(n))}}(r),u)}catch(e){u(e)}}}var d={defer:function(e){var r;if("object"===Lu(e)&&e.then&&e.catch&&(r=e,e=function(e,t){r.then(e).catch(t)}),Lr(e),void 0===a){if(l)throw new Error("Queue already completed");return n.push(e),++o,c(),d}},then:function(e){if(Lr(e),i!==Br)throw new Error("queue `then` already set");return a||(i=e,o||(l=!0,i(n))),d},catch:function(e){if(Lr(e),s!==t)throw new Error("queue `catch` already set");return a?(e(a),a=null):s=e,d},abort:u};return d},Ur={};function Vr(e,t,r,a,n){a={topic:t,message:r,channelId:"".concat(kt(),":").concat(kt()),keepalive:a};return Mr(e,a,n)}function Hr(t,r){var e=t.topic,a=t.message,t=t.keepalive,e=Ur[e];if(e)try{e(a,t,r)}catch(e){axe.log(e),r(e,t)}}function zr(e,t){var r;return axe._tree&&(r=mr(t)),new Error(e+": "+(r||t))}Vr.updateMessenger=function(e){var t=e.open,e=e.post;it("function"==typeof t,"open callback must be a function"),it("function"==typeof e,"post callback must be a function"),qr&&qr();t=t(Hr);qr=t?(it("function"==typeof t,"open callback must return a cleanup function"),t):null,Mr=e},Vr.subscribe=function(e,t){it("function"==typeof t,"Subscriber callback must be a function"),it(!Ur[e],"Topic ".concat(e," is already registered to.")),Ur[e]=t},Vr.isInFrame=function(){return!!(0<arguments.length&&void 0!==arguments[0]?arguments[0]:window).frameElement},It(Vr);var $r=function(t,r,a,n){var o=t.contentWindow;if(!o)return Qe("Frame does not have a content window",t),void a(null);var i=setTimeout(function(){i=setTimeout(function(){r.debug?n(zr("No response from frame",t)):a(null)},0)},500);Vr(o,"axe.ping",null,void 0,function(){clearTimeout(i);var e=r.options&&r.options.frameWaitTime||6e4;i=setTimeout(function(){n(zr("Axe in frame timed out",t))},e),Vr(o,"axe.start",r,void 0,function(e){clearTimeout(i),(e instanceof Error==!1?a:n)(e)})})};var Wr=function(e){return[].concat(e.any||[]).concat(e.all||[]).concat(e.none||[])};var Gr=function(e,t,r){if(Array.isArray(e))return e.find(function(e){return"object"===Lu(e)&&e[t]===r})};function Yr(e,t){for(var r=0<arguments.length&&void 0!==e?e:[],a=1<arguments.length&&void 0!==t?t:[],n=Math.max(null==r?void 0:r.length,null==a?void 0:a.length),o=0;o<n;o++){var i=null==r?void 0:r[o],l=null==a?void 0:a[o];if("number"!=typeof i||isNaN(i))return 0===o?1:-1;if("number"!=typeof l||isNaN(l))return 0===o?-1:1;if(i!==l)return i-l}return 0}var Kr=function(e,o){var i=[];return e.forEach(function(e){var t,n,r=(t=e)&&t.results?Array.isArray(t.results)?t.results.length?t.results:null:[t.results]:null;r&&r.length&&(e.frameElement&&(t={selector:[e.frame]},n=new xr(e.frameElement,o,t)),r.forEach(function(e){var t,r;e.nodes&&n&&(a=e.nodes,t=n,r=o,a.forEach(function(e){e.node=xr.fromFrame(e.node,r,t),Wr(e).forEach(function(e){e.relatedNodes=e.relatedNodes.map(function(e){return xr.fromFrame(e,r,t)})})}));var a=Gr(i,"id",e.id);a?e.nodes.length&&function(e,t){for(var r=t[0].node,a=0;a<e.length;a++){var n=e[a].node,o=Yr(n.nodeIndexes,r.nodeIndexes);if(0<o||0===o&&r.selector.length<n.selector.length)return e.splice.apply(e,[a,0].concat(Yu(t)))}e.push.apply(e,Yu(t))}(a.nodes,e.nodes):i.push(e)}))}),i.forEach(function(e){e.nodes&&e.nodes.sort(function(e,t){return Yr(e.node.nodeIndexes,t.node.nodeIndexes)})}),i};var Xr=function(i,l,s,u,t,e){var c=jr();i.frames.forEach(function(a){var e=parseInt(a.node.getAttribute("tabindex"),10),t=isNaN(e)||0<=e,r=a.node.getBoundingClientRect(),n=parseInt(a.node.getAttribute("width"),10),e=parseInt(a.node.getAttribute("height"),10),n=isNaN(n)?r.width:n,e=isNaN(e)?r.height:e,o={options:l,command:s,parameter:u,context:{initiator:!1,focusable:!1!==i.focusable&&t,boundingClientRect:{width:n,height:e},page:i.page,include:a.include||[],exclude:a.exclude||[]}};c.defer(function(t,e){var r=a.node;$r(r,o,function(e){return e?t({results:e,frameElement:r,frame:mr(r)}):void t(null)},e)})}),c.then(function(e){t(Kr(e,l))}).catch(e)};var Jr=function(e,t){if(e.shadowId||t.shadowId)return function t(e,r){return e.shadowId===r.shadowId||!!e.children.find(function(e){return t(e,r)})}(e,t);if(e.actualNode)return"function"==typeof e.actualNode.contains?e.actualNode.contains(t.actualNode):!!(16&e.actualNode.compareDocumentPosition(t.actualNode));do{if(t===e)return!0}while(t=t&&t.parent);return!1};var Qr=function n(){for(var o={},e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return t.forEach(function(e){if(e&&"object"===Lu(e)&&!Array.isArray(e))for(var t=0,r=Object.keys(e);t<r.length;t++){var a=r[t];!o.hasOwnProperty(a)||"object"!==Lu(e[a])||Array.isArray(o[a])?o[a]=e[a]:o[a]=n(o[a],e[a])}}),o};var Zr=function(t,r){Object.assign(t,r),Object.keys(r).filter(function(e){return"function"==typeof r[e]}).forEach(function(e){t[e]=null;try{t[e]=r[e](t)}catch(e){}})},ea=["article","aside","blockquote","body","div","footer","h1","h2","h3","h4","h5","h6","header","main","nav","p","section","span"];var ta=function(e){if(e.shadowRoot){e=e.nodeName.toLowerCase();if(ea.includes(e)||/^[a-z][a-z0-9_.-]*-[a-z0-9_.-]*$/.test(e))return!0}return!1},ra={};o(ra,{findElmsInContext:function(){return oa},findUp:function(){return la},findUpVirtual:function(){return ia},getComposedParent:function(){return sa},getElementByReference:function(){return ua},getElementCoordinates:function(){return da},getElementStack:function(){return Ca},getRootNode:function(){return na},getScrollOffset:function(){return ca},getTabbableElements:function(){return Fa},getTextElementStack:function(){return Ra},getViewportSize:function(){return pa},hasContent:function(){return Ba},hasContentVirtual:function(){return Ia},idrefs:function(){return _a},insertedIntoFocusOrder:function(){return Ha},isFocusable:function(){return Va},isHTML5:function(){return za},isHiddenWithCSS:function(){return Ma},isInTextBlock:function(){return Ga},isModalOpen:function(){return Ya},isNativelyFocusable:function(){return Ua},isNode:function(){return Ka},isOffscreen:function(){return fa},isOpaque:function(){return sn},isSkipLink:function(){return cn},isVisible:function(){return ba},isVisualContent:function(){return Na},reduceToElementsBelowFloating:function(){return dn},shadowElementsFromPoint:function(){return mn},urlPropsFromAttribute:function(){return hn},visuallyContains:function(){return fn},visuallyOverlaps:function(){return bn}});var aa=function(e){var t=e.getRootNode&&e.getRootNode()||document;return t=t===e?document:t},na=aa;var oa=function(e){var t=e.context,r=e.value,a=e.attr,e=void 0===(e=e.elm)?"":e,r=Kt(r),t=9===t.nodeType||11===t.nodeType?t:na(t);return Array.from(t.querySelectorAll(e+"["+a+"="+r+"]"))};var ia=function(e,t){var r=e.actualNode;if(!e.shadowId&&"function"==typeof e.actualNode.closest){e=e.actualNode.closest(t);return e?e:null}for(;(r=(r=r.assignedSlot||r.parentNode)&&11===r.nodeType?r.host:r)&&!tr(r,t)&&r!==document.documentElement;);return r&&tr(r,t)?r:null};var la=function(e,t){return ia(Dr(e),t)};var sa=function e(t){if(t.assignedSlot)return e(t.assignedSlot);if(t.parentNode){if(1===(t=t.parentNode).nodeType)return t;if(t.host)return t.host}return null};var ua=function(e,t){return(e=e.getAttribute(t))?("#"===e.charAt(0)?e=decodeURIComponent(e.substring(1)):"/#"===e.substr(0,2)&&(e=decodeURIComponent(e.substring(2))),(t=document.getElementById(e))||((t=document.getElementsByName(e)).length?t[0]:null)):null};var ca=function(e){if(9!==(e=!e.nodeType&&e.document?e.document:e).nodeType)return{left:e.scrollLeft,top:e.scrollTop};var t=e.documentElement,e=e.body;return{left:t&&t.scrollLeft||e&&e.scrollLeft||0,top:t&&t.scrollTop||e&&e.scrollTop||0}};var da=function(e){var t=(r=ca(document)).left,r=r.top;return{top:(e=e.getBoundingClientRect()).top+r,right:e.right+t,bottom:e.bottom+r,left:e.left+t,width:e.right-e.left,height:e.bottom-e.top}};var pa=function(e){var t=e.document,r=t.documentElement;return e.innerWidth?{width:e.innerWidth,height:e.innerHeight}:r?{width:r.clientWidth,height:r.clientHeight}:{width:(t=t.body).clientWidth,height:t.clientHeight}};var fa=function(e){var t=document.documentElement,r=window.getComputedStyle(e),a=window.getComputedStyle(document.body||t).getPropertyValue("direction"),n=da(e);if(n.bottom<0&&(function(e,t){for(e=sa(e);e&&"html"!==e.nodeName.toLowerCase();){if(e.scrollTop&&0<=(t+=e.scrollTop))return;e=sa(e)}return 1}(e,n.bottom)||"absolute"===r.position))return!0;if(0===n.left&&0===n.right)return!1;if("ltr"===a){if(n.right<=0)return!0}else if(t=Math.max(t.scrollWidth,pa(window).width),n.left>=t)return!0;return!1},ma=/rect\\s*\\(([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px\\s*\\)/,ha=/(\\w+)\\((\\d+)/;function ga(e,t,r){if(!e)throw new TypeError("Cannot determine if element is visible for non-DOM nodes");var a=Dr(e),n="_isVisible"+(t?"ScreenReader":"");if(9===e.nodeType)return!0;if(11===e.nodeType&&(e=e.host),a&&void 0!==a[n])return a[n];var o=window.getComputedStyle(e,null);if(null===o)return!1;var i,l,s,u=e.nodeName.toUpperCase();if("AREA"===u)return l=t,s=r,!!(c=la(i=e,"map"))&&(!!(c=c.getAttribute("name"))&&(!(!(i=na(i))||9!==i.nodeType)&&(!(!(c=vo(axe._tree,\'img[usemap="#\'.concat(Kt(c),\'"]\')))||!c.length)&&c.some(function(e){return ga(e.actualNode,l,s)}))));if("none"===o.getPropertyValue("display")||["STYLE","SCRIPT","NOSCRIPT","TEMPLATE"].includes(u))return!1;if(t&&"true"===e.getAttribute("aria-hidden"))return!1;var c=parseInt(o.getPropertyValue("height")),u=Pn(e)&&0===c,c="absolute"===o.getPropertyValue("position")&&c<2&&"hidden"===o.getPropertyValue("overflow");if(!t&&(function(e){var t=e.getPropertyValue("clip").match(ma),e=e.getPropertyValue("clip-path").match(ha);if(t&&5===t.length)return t[3]-t[1]<=0&&t[2]-t[4]<=0;if(e){var t=e[1],r=parseInt(e[2],10);switch(t){case"inset":return 50<=r;case"circle":return 0===r}}}(o)||"0"===o.getPropertyValue("opacity")||u||c))return!1;if(!r&&("hidden"===o.getPropertyValue("visibility")||!t&&fa(e)))return!1;o=e.assignedSlot||e.parentNode,e=!1;return o&&(e=ga(o,t,!0)),a&&(a[n]=e),e}var ba=ga,ya=200;function va(e){return"static"===e.getComputedStylePropertyValue("position")?-1!==e.getComputedStylePropertyValue("display").indexOf("inline")?2:function e(t){if(!t)return!1;if(void 0!==t._isFloated)return t._isFloated;if("none"!==t.getComputedStylePropertyValue("float"))return t._isFloated=!0;var r=e(t.parent);return t._isFloated=r}(e)?1:0:3}function Da(e,t){for(var r=0;r<e._stackingOrder.length;r++){if(void 0===t._stackingOrder[r])return-1;if(t._stackingOrder[r]>e._stackingOrder[r])return 1;if(t._stackingOrder[r]<e._stackingOrder[r])return-1}var a=e.actualNode,n=t.actualNode;if(a.getRootNode&&a.getRootNode()!==n.getRootNode()){for(var o=[];a;)o.push({root:a.getRootNode(),node:a}),a=a.getRootNode().host;for(;n&&!o.find(function(e){return e.root===n.getRootNode()});)n=n.getRootNode().host;if((a=o.find(function(e){return e.root===n.getRootNode()}).node)===n)return e.actualNode.getRootNode()!==a.getRootNode()?-1:1}var i=window.Node,l=i.DOCUMENT_POSITION_FOLLOWING,s=i.DOCUMENT_POSITION_CONTAINS,u=i.DOCUMENT_POSITION_CONTAINED_BY,i=a.compareDocumentPosition(n),l=i&l?1:-1,s=i&s||i&u,i=va(e),u=va(t);return i===u||s?l:u-i}function wa(e,t){var r=t._stackingOrder.slice(),a=e.getComputedStylePropertyValue("z-index");return"auto"!==a&&(r[r.length-1]=parseInt(a)),function(e,t){var r=e.getComputedStylePropertyValue("position"),a=e.getComputedStylePropertyValue("z-index");if("fixed"===r||"sticky"===r)return 1;if("auto"!==a&&"static"!==r)return 1;if("1"!==e.getComputedStylePropertyValue("opacity"))return 1;if("none"!==(e.getComputedStylePropertyValue("-webkit-transform")||e.getComputedStylePropertyValue("-ms-transform")||e.getComputedStylePropertyValue("transform")||"none"))return 1;if((r=e.getComputedStylePropertyValue("mix-blend-mode"))&&"normal"!==r)return 1;if((r=e.getComputedStylePropertyValue("filter"))&&"none"!==r)return 1;if((r=e.getComputedStylePropertyValue("perspective"))&&"none"!==r)return 1;if((r=e.getComputedStylePropertyValue("clip-path"))&&"none"!==r)return 1;if("none"!==(e.getComputedStylePropertyValue("-webkit-mask")||e.getComputedStylePropertyValue("mask")||"none"))return 1;if("none"!==(e.getComputedStylePropertyValue("-webkit-mask-image")||e.getComputedStylePropertyValue("mask-image")||"none"))return 1;if("none"!==(e.getComputedStylePropertyValue("-webkit-mask-border")||e.getComputedStylePropertyValue("mask-border")||"none"))return 1;if("isolate"===e.getComputedStylePropertyValue("isolation"))return 1;if("transform"===(r=e.getComputedStylePropertyValue("will-change"))||"opacity"===r)return 1;if("touch"===e.getComputedStylePropertyValue("-webkit-overflow-scrolling"))return 1;if(e=e.getComputedStylePropertyValue("contain"),["layout","paint","strict","content"].includes(e))return 1;if("auto"!==a&&t){t=t.getComputedStylePropertyValue("display");if(["flex","inline-flex","inline flex","grid","inline-grid","inline grid"].includes(t))return 1}}(e,t)&&r.push(0),r}function xa(s,u){u._grid=s,u.clientRects.forEach(function(e){for(var t=e.left,r=e.top,a=t/ya|0,n=(r+e.height)/ya|0,o=(t+e.width)/ya|0,i=r/ya|0;i<=n;i++){s.cells[i]=s.cells[i]||[];for(var l=a;l<=o;l++)s.cells[i][l]=s.cells[i][l]||[],s.cells[i][l].includes(u)||s.cells[i][l].push(u)}})}function Ea(e,t,r){var a,n=0<arguments.length&&void 0!==e?e:document.body,o=1<arguments.length&&void 0!==t?t:{container:null,cells:[]},i=2<arguments.length&&void 0!==r?r:null;i||((a=(a=Dr(document.documentElement))||new vn(document.documentElement))._stackingOrder=[0],xa(o,a),Pn(a.actualNode)&&(a._subGrid={container:a,cells:[]}));for(var l=document.createTreeWalker(n,window.NodeFilter.SHOW_ELEMENT,null,!1),s=i?l.nextNode():l.currentNode;s;){var u=Dr(s);s.parentElement?i=Dr(s.parentElement):s.parentNode&&Dr(s.parentNode)&&(i=Dr(s.parentNode)),(u=u||new axe.VirtualNode(s,i))._stackingOrder=wa(u,i);var c=function(e,t){for(var r=null,a=[e];t;){if(t._scrollRegionParent){r=t._scrollRegionParent;break}if(Pn(t.actualNode)){r=t;break}a.push(t),t=Dr(t.actualNode.parentElement||t.actualNode.parentNode)}return a.forEach(function(e){return e._scrollRegionParent=r}),r}(u,i),d=c?c._subGrid:o;Pn(u.actualNode)&&(u._subGrid={container:u,cells:[]});c=u.boundingClientRect;0!==c.width&&0!==c.height&&ba(s)&&xa(d,u),ta(s)&&Ea(s.shadowRoot,d,u),s=l.nextNode()}}function Aa(e,t,r){var a=2<arguments.length&&void 0!==r&&r,n=t.left+t.width/2,o=t.top+t.height/2,i=e.cells[o/ya|0][n/ya|0].filter(function(e){return e.clientRects.find(function(e){var t=e.left,r=e.top;return n<=t+e.width&&t<=n&&o<=r+e.height&&r<=o})}),l=e.container;return l&&(i=Aa(l._grid,l.boundingClientRect,!0).concat(i)),i=!a?i.sort(Da).map(function(e){return e.actualNode}).concat(document.documentElement).filter(function(e,t,r){return r.indexOf(e)===t}):i}var Ca=function(e){vr.get("gridCreated")||(Ea(),vr.set("gridCreated",!0));var t=Dr(e);return(e=t._grid)?Aa(e,t.boundingClientRect):[]};var Fa=function(e){return vo(e,"*").filter(function(e){var t=e.isFocusable,e=e.actualNode.getAttribute("tabindex");return(e=e&&!isNaN(parseInt(e,10))?parseInt(e):null)?t&&0<=e:t})};var ka=function(e){return e?e.replace(/\\r\\n/g,"\\n").replace(/\\u00A0/g," ").replace(/[\\s]{2,}/g," ").trim():""};var Ra=function(e){vr.get("gridCreated")||(Ea(),vr.set("gridCreated",!0));var t=Dr(e),r=t._grid;if(!r)return[];var o=t.boundingClientRect,i=[];return Array.from(e.childNodes).forEach(function(e){if(3===e.nodeType&&""!==ka(e.textContent)){var t=document.createRange();t.selectNodeContents(e);var r=t.getClientRects();if(!Array.from(r).some(function(e){var t=e.left+e.width/2,e=e.top+e.height/2;return t<o.left||t>o.right||e<o.top||e>o.bottom}))for(var a=0;a<r.length;a++){var n=r[a];1<=n.width&&1<=n.height&&i.push(n)}}}),i.length?i.map(function(e){return Aa(r,e)}):[Ca(e)]},Ta=["checkbox","img","radio","range","slider","spinbutton","textbox"];var Na=function(e){var t=e.getAttribute("role");if(t)return-1!==Ta.indexOf(t);switch(e.nodeName.toUpperCase()){case"IMG":case"IFRAME":case"OBJECT":case"VIDEO":case"AUDIO":case"CANVAS":case"SVG":case"MATH":case"BUTTON":case"SELECT":case"TEXTAREA":case"KEYGEN":case"PROGRESS":case"METER":return!0;case"INPUT":return"hidden"!==e.type;default:return!1}};var _a=function(e,t){e=e.actualNode||e;try{var r=na(e),a=[];if(n=e.getAttribute(t))for(var n=Co(n),o=0;o<n.length;o++)a.push(r.getElementById(n[o]));return a}catch(e){throw new TypeError("Cannot resolve id references for non-DOM nodes")}};var Oa=function a(e,n,o){var t=e instanceof tt?e:Dr(e),i=!e.actualNode||e.actualNode&&ba(e.actualNode,n),t=t.children.map(function(e){var t=(r=e.props).nodeType,r=r.nodeValue;if(3===t){if(r&&i)return r}else if(!o)return a(e,n)}).join("");return ka(t)};var Sa=function(e){var t;return e.attr("aria-labelledby")&&(t=_a(e.actualNode,"aria-labelledby").map(function(e){e=Dr(e);return e?Oa(e,!0):""}).join(" ").trim())||(t=(t=e.attr("aria-label"))&&ka(t))?t:null},Pa=["HEAD","TITLE","TEMPLATE","SCRIPT","STYLE","IFRAME","OBJECT","VIDEO","AUDIO","NOSCRIPT"];var Ia=function t(e,r,a){return function(e){if(!Pa.includes(e.actualNode.nodeName.toUpperCase()))return e.children.some(function(e){return 3===(e=e.actualNode).nodeType&&e.nodeValue.trim()})}(e)||Na(e.actualNode)||!a&&!!Sa(e)||!r&&e.children.some(function(e){return 1===e.actualNode.nodeType&&t(e)})};var Ba=function(e,t,r){return e=Dr(e),Ia(e,t,r)};function La(e,t){var r=Dr(e);return r?(void 0===r._isHiddenWithCSS&&(r._isHiddenWithCSS=qa(e,t)),r._isHiddenWithCSS):qa(e,t)}function qa(e,t){if(9===e.nodeType)return!1;if(11===e.nodeType&&(e=e.host),["STYLE","SCRIPT"].includes(e.nodeName.toUpperCase()))return!1;var r=window.getComputedStyle(e,null);if(!r)throw new Error("Style does not exist for the given element.");if("none"===r.getPropertyValue("display"))return!0;var a=["hidden","collapse"],r=r.getPropertyValue("visibility");if(a.includes(r)&&!t)return!0;if(a.includes(r)&&t&&a.includes(t))return!0;e=sa(e);return!(!e||a.includes(r))&&La(e,r)}var Ma=La;var ja=function(e){return!!(e=e instanceof tt?e:Dr(e)).hasAttr("disabled")||"area"!==e.props.nodeName&&(!!e.actualNode&&Ma(e.actualNode))};var Ua=function(e){var t=e instanceof tt?e:Dr(e);if(!t||ja(t))return!1;switch(t.props.nodeName){case"a":case"area":if(t.hasAttr("href"))return!0;break;case"input":return"hidden"!==t.props.type;case"textarea":case"select":case"summary":case"button":return!0;case"details":return!vo(t,"summary").length}return!1};var Va=function(e){return 1===(e=e instanceof tt?e:Dr(e)).props.nodeType&&(!ja(e)&&(!!Ua(e)||!(!(e=e.attr("tabindex"))||isNaN(parseInt(e,10)))))};var Ha=function(e){return-1<parseInt(e.getAttribute("tabindex"),10)&&Va(e)&&!Ua(e)};var za=function(e){return null!==(e=e.doctype)&&("html"===e.name&&!e.publicId&&!e.systemId)};var $a=["block","list-item","table","flex","grid","inline-block"];function Wa(e){e=window.getComputedStyle(e).getPropertyValue("display");return $a.includes(e)||"table-"===e.substr(0,6)}var Ga=function(r){if(Wa(r))return!1;var e=function(e){for(var t=sa(e);t&&!Wa(t);)t=sa(t);return Dr(t)}(r),a="",n="",o=0;return function t(e,r){!1!==r(e.actualNode)&&e.children.forEach(function(e){return t(e,r)})}(e,function(e){if(2===o)return!1;if(3===e.nodeType&&(a+=e.nodeValue),1===e.nodeType){var t=(e.nodeName||"").toUpperCase();if(!["BR","HR"].includes(t))return!("none"===e.style.display||"hidden"===e.style.overflow||!["",null,"none"].includes(e.style.float)||!["",null,"relative"].includes(e.style.position))&&("A"===t&&e.href||"link"===(e.getAttribute("role")||"").toLowerCase()?(e===r&&(o=1),n+=e.textContent,!1):void 0);0===o?n=a="":o=2}}),a=ka(a),n=ka(n),a.length>n.length};var Ya=function(e){var t=(e=e||{}).modalPercent||.75;if(vr.get("isModalOpen"))return vr.get("isModalOpen");if(so(axe._tree[0],"dialog, [role=dialog], [aria-modal=true]",function(e){return ba(e.actualNode)}).length)return vr.set("isModalOpen",!0),!0;for(var r=pa(window),a=r.width*t,n=r.height*t,e=(r.width-a)/2,t=(r.height-n)/2,o=[{x:e,y:t},{x:r.width-e,y:t},{x:r.width/2,y:r.height/2},{x:e,y:r.height-t},{x:r.width-e,y:r.height-t}].map(function(e){return Array.from(document.elementsFromPoint(e.x,e.y))}),i=0;i<o.length;i++){var l=function(e){var t=o[e].find(function(e){e=window.getComputedStyle(e);return parseInt(e.width,10)>=a&&parseInt(e.height,10)>=n&&"none"!==e.getPropertyValue("pointer-events")&&("absolute"===e.position||"fixed"===e.position)});if(t&&o.every(function(e){return e.includes(t)}))return vr.set("isModalOpen",!0),{v:!0}}(i);if("object"===Lu(l))return l.v}vr.set("isModalOpen",void 0)};var Ka=function(e){return e instanceof window.Node},Xa={},Ja={set:function(e,t){if("string"!=typeof e)throw new Error("Incomplete data: key must be a string");return t&&(Xa[e]=t),Xa[e]},get:function(e){return Xa[e]},clear:function(){Xa={}}};var Qa=function(e,t){var r=e.nodeName.toUpperCase();return["IMG","CANVAS","OBJECT","IFRAME","VIDEO","SVG"].includes(r)?(Ja.set("bgColor","imgNode"),!0):((t="none"!==(e=(t=t||window.getComputedStyle(e)).getPropertyValue("background-image")))&&(e=/gradient/.test(e),Ja.set("bgColor",e?"bgGradient":"bgImage")),t)},Za={alert:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},alertdialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["alert","dialog"],accessibleNameRequired:!0},application:{type:"landmark",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["structure"],accessibleNameRequired:!0},article:{type:"structure",allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["document"]},banner:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},blockquote:{type:"structure",superclassRole:["section"]},button:{type:"widget",allowedAttrs:["aria-expanded","aria-pressed"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},caption:{type:"structure",requiredContext:["figure","table","grid","treegrid"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},cell:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-expanded"],superclassRole:["section"],nameFromContent:!0},checkbox:{type:"widget",allowedAttrs:["aria-checked","aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},code:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},columnheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},combobox:{type:"composite",requiredOwned:["listbox","tree","grid","dialog","textbox"],requiredAttrs:["aria-expanded"],allowedAttrs:["aria-controls","aria-autocomplete","aria-readonly","aria-required","aria-activedescendant","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},command:{type:"abstract",superclassRole:["widget"]},complementary:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},composite:{type:"abstract",superclassRole:["widget"]},contentinfo:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},definition:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},deletion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},dialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["window"],accessibleNameRequired:!0},directory:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["list"],nameFromContent:!0},document:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["structure"]},emphasis:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},feed:{type:"structure",requiredOwned:["article"],allowedAttrs:["aria-expanded"],superclassRole:["list"]},figure:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},form:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},grid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-level","aria-multiselectable","aria-readonly","aria-activedescendant","aria-colcount","aria-expanded","aria-rowcount"],superclassRole:["composite","table"],accessibleNameRequired:!1},gridcell:{type:"widget",requiredContext:["row"],allowedAttrs:["aria-readonly","aria-required","aria-selected","aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan"],superclassRole:["cell","widget"],nameFromContent:!0},group:{type:"structure",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["section"]},heading:{type:"structure",requiredAttrs:["aria-level"],allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},img:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!0,childrenPresentational:!0},input:{type:"abstract",superclassRole:["widget"]},insertion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},landmark:{type:"abstract",superclassRole:["section"]},link:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},list:{type:"structure",requiredOwned:["group","listitem"],allowedAttrs:["aria-expanded"],superclassRole:["section"]},listbox:{type:"composite",requiredOwned:["option"],allowedAttrs:["aria-multiselectable","aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},listitem:{type:"structure",requiredContext:["list","group"],allowedAttrs:["aria-level","aria-posinset","aria-setsize","aria-expanded"],superclassRole:["section"],nameFromContent:!0},log:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},main:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},marquee:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},math:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],childrenPresentational:!0},menu:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"]},menubar:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["menu"]},menuitem:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},menuitemcheckbox:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-checked","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["checkbox","menuitem"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},menuitemradio:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-checked","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["menuitemcheckbox","radio"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},meter:{type:"structure",allowedAttrs:["aria-valuetext"],requiredAttrs:["aria-valuemax","aria-valuemin","aria-valuenow"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},navigation:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},none:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},note:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},option:{type:"widget",requiredContext:["listbox"],allowedAttrs:["aria-selected","aria-checked","aria-posinset","aria-setsize"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},paragraph:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},presentation:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},progressbar:{type:"widget",allowedAttrs:["aria-expanded","aria-valuemax","aria-valuemin","aria-valuenow","aria-valuetext"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},radio:{type:"widget",allowedAttrs:["aria-checked","aria-posinset","aria-setsize","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},radiogroup:{type:"composite",requiredOwned:["radio"],allowedAttrs:["aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},range:{type:"abstract",superclassRole:["widget"]},region:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"],accessibleNameRequired:!1},roletype:{type:"abstract",superclassRole:[]},row:{type:"structure",requiredContext:["grid","rowgroup","table","treegrid"],requiredOwned:["cell","columnheader","gridcell","rowheader"],allowedAttrs:["aria-colindex","aria-level","aria-rowindex","aria-selected","aria-activedescendant","aria-expanded","aria-posinset","aria-setsize"],superclassRole:["group","widget"],nameFromContent:!0},rowgroup:{type:"structure",requiredContext:["grid","table","treegrid"],requiredOwned:["row"],superclassRole:["structure"],nameFromContent:!0},rowheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},scrollbar:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-controls","aria-orientation","aria-valuemax","aria-valuemin","aria-valuetext"],superclassRole:["range"],childrenPresentational:!0},search:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},searchbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["textbox"],accessibleNameRequired:!0},section:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},sectionhead:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},select:{type:"abstract",superclassRole:["composite","group"]},separator:{type:"structure",allowedAttrs:["aria-valuemax","aria-valuemin","aria-valuenow","aria-orientation","aria-valuetext"],superclassRole:["structure","widget"],childrenPresentational:!0},slider:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-orientation","aria-readonly","aria-valuetext"],superclassRole:["input","range"],accessibleNameRequired:!0,childrenPresentational:!0},spinbutton:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-readonly","aria-required","aria-activedescendant","aria-valuetext"],superclassRole:["composite","input","range"],accessibleNameRequired:!0},status:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},strong:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},structure:{type:"abstract",superclassRole:["roletype"]},subscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},superscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},switch:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-readonly"],superclassRole:["checkbox"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},tab:{type:"widget",requiredContext:["tablist"],allowedAttrs:["aria-posinset","aria-selected","aria-setsize","aria-expanded"],superclassRole:["sectionhead","widget"],nameFromContent:!0,childrenPresentational:!0},table:{type:"structure",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-colcount","aria-rowcount","aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1,nameFromContent:!0},tablist:{type:"composite",requiredOwned:["tab"],allowedAttrs:["aria-level","aria-multiselectable","aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["composite"]},tabpanel:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1},term:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},text:{type:"structure",superclassRole:["section"],nameFromContent:!0},textbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0},time:{type:"structure",superclassRole:["section"]},timer:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["status"]},toolbar:{type:"structure",allowedAttrs:["aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["group"],accessibleNameRequired:!0},tooltip:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},tree:{type:"composite",requiredOwned:["group","treeitem"],allowedAttrs:["aria-multiselectable","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},treegrid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-readonly","aria-required","aria-rowcount"],superclassRole:["grid","tree"],accessibleNameRequired:!1},treeitem:{type:"widget",requiredContext:["group","tree"],allowedAttrs:["aria-checked","aria-expanded","aria-level","aria-posinset","aria-selected","aria-setsize"],superclassRole:["listitem","option"],accessibleNameRequired:!0,nameFromContent:!0},widget:{type:"abstract",superclassRole:["roletype"]},window:{type:"abstract",superclassRole:["roletype"]}},en={a:{variant:{href:{matches:"[href]",contentTypes:["interactive","phrasing","flow"],allowedRoles:["button","checkbox","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab","treeitem","doc-backlink","doc-biblioref","doc-glossref","doc-noteref"],namingMethods:["subtreeText"]},default:{contentTypes:["phrasing","flow"],allowedRoles:!0}}},abbr:{contentTypes:["phrasing","flow"],allowedRoles:!0},addres:{contentTypes:["flow"],allowedRoles:!0},area:{contentTypes:["phrasing","flow"],allowedRoles:!1,namingMethods:["altText"]},article:{contentTypes:["sectioning","flow"],allowedRoles:["feed","presentation","none","document","application","main","region"],shadowRoot:!0},aside:{contentTypes:["sectioning","flow"],allowedRoles:["feed","note","presentation","none","region","search","doc-dedication","doc-example","doc-footnote","doc-pullquote","doc-tip"]},audio:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"Audio"},b:{contentTypes:["phrasing","flow"],allowedRoles:!1},base:{allowedRoles:!1,noAriaAttrs:!0},bdi:{contentTypes:["phrasing","flow"],allowedRoles:!0},bdo:{contentTypes:["phrasing","flow"],allowedRoles:!0},blockquote:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},body:{allowedRoles:!1,shadowRoot:!0},br:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"],namingMethods:["titleText","singleSpace"]},button:{contentTypes:["interactive","phrasing","flow"],allowedRoles:["checkbox","link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"],namingMethods:["subtreeText"]},canvas:{allowedRoles:!0,contentTypes:["embedded","phrasing","flow"],chromiumRole:"Canvas"},caption:{allowedRoles:!1},cite:{contentTypes:["phrasing","flow"],allowedRoles:!0},code:{contentTypes:["phrasing","flow"],allowedRoles:!0},col:{allowedRoles:!1,noAriaAttrs:!0},colgroup:{allowedRoles:!1,noAriaAttrs:!0},data:{contentTypes:["phrasing","flow"],allowedRoles:!0},datalist:{contentTypes:["phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-multiselectable":"false"}},dd:{allowedRoles:!1},del:{contentTypes:["phrasing","flow"],allowedRoles:!0},dfn:{contentTypes:["phrasing","flow"],allowedRoles:!0},details:{contentTypes:["interactive","flow"],allowedRoles:!1},dialog:{contentTypes:["flow"],allowedRoles:["alertdialog"]},div:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},dl:{contentTypes:["flow"],allowedRoles:["group","list","presentation","none"],chromiumRole:"DescriptionList"},dt:{allowedRoles:["listitem"]},em:{contentTypes:["phrasing","flow"],allowedRoles:!0},embed:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","presentation","none"],chromiumRole:"EmbeddedObject"},fieldset:{contentTypes:["flow"],allowedRoles:["none","presentation","radiogroup"],namingMethods:["fieldsetLegendText"]},figcaption:{allowedRoles:["group","none","presentation"]},figure:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["figureText","titleText"]},footer:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},form:{contentTypes:["flow"],allowedRoles:["search","none","presentation"]},h1:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"1"}},h2:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"2"}},h3:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"3"}},h4:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"4"}},h5:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"5"}},h6:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"6"}},head:{allowedRoles:!1,noAriaAttrs:!0},header:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},hgroup:{contentTypes:["heading","flow"],allowedRoles:!0},hr:{contentTypes:["flow"],allowedRoles:["none","presentation","doc-pagebreak"],namingMethods:["titleText","singleSpace"]},html:{allowedRoles:!1,noAriaAttrs:!0},i:{contentTypes:["phrasing","flow"],allowedRoles:!0},iframe:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","none","presentation"],chromiumRole:"Iframe"},img:{variant:{nonEmptyAlt:{matches:{attributes:{alt:"/.+/"}},allowedRoles:["button","checkbox","link","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","scrollbar","separator","slider","switch","tab","treeitem","doc-cover"]},usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{allowedRoles:["presentation","none"],contentTypes:["embedded","phrasing","flow"]}},namingMethods:["altText"]},input:{variant:{button:{matches:{properties:{type:"button"}},allowedRoles:["link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"]},buttonType:{matches:{properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},checkboxPressed:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":"/.*/"}},allowedRoles:["button","menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},checkbox:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":null}},allowedRoles:["menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},noRoles:{matches:{properties:{type:["color","date","datetime-local","file","month","number","password","range","reset","submit","time","week"]}},allowedRoles:!1},hidden:{matches:{properties:{type:"hidden"}},contentTypes:["flow"],allowedRoles:!1,noAriaAttrs:!0},image:{matches:{properties:{type:"image"}},allowedRoles:["link","menuitem","menuitemcheckbox","menuitemradio","radio","switch"],namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},radio:{matches:{properties:{type:"radio"}},allowedRoles:["menuitemradio"],implicitAttrs:{"aria-checked":"false"}},textWithList:{matches:{properties:{type:"text"},attributes:{list:"/.*/"}},allowedRoles:!1},default:{contentTypes:["interactive","flow"],allowedRoles:["combobox","searchbox","spinbutton"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText","placeholderText"]}}},ins:{contentTypes:["phrasing","flow"],allowedRoles:!0},kbd:{contentTypes:["phrasing","flow"],allowedRoles:!0},label:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,chromiumRole:"Label"},legend:{allowedRoles:!1},li:{allowedRoles:["menuitem","menuitemcheckbox","menuitemradio","option","none","presentation","radio","separator","tab","treeitem","doc-biblioentry","doc-endnote"],implicitAttrs:{"aria-setsize":"1","aria-posinset":"1"}},link:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},main:{contentTypes:["flow"],allowedRoles:!1,shadowRoot:!0},map:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},math:{contentTypes:["embedded","phrasing","flow"],allowedRoles:!1},mark:{contentTypes:["phrasing","flow"],allowedRoles:!0},menu:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},meta:{variant:{itemprop:{matches:"[itemprop]",contentTypes:["phrasing","flow"]}},allowedRoles:!1,noAriaAttrs:!0},meter:{contentTypes:["phrasing","flow"],allowedRoles:!1,chromiumRole:"progressbar"},nav:{contentTypes:["sectioning","flow"],allowedRoles:["doc-index","doc-pagelist","doc-toc"],shadowRoot:!0},noscript:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},object:{variant:{usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application","document","img"],chromiumRole:"PluginObject"},ol:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},optgroup:{allowedRoles:!1},option:{allowedRoles:!1,implicitAttrs:{"aria-selected":"false"}},output:{contentTypes:["phrasing","flow"],allowedRoles:!0,namingMethods:["subtreeText"]},p:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},param:{allowedRoles:!1,noAriaAttrs:!0},picture:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},pre:{contentTypes:["flow"],allowedRoles:!0},progress:{contentTypes:["phrasing","flow"],allowedRoles:!0,implicitAttrs:{"aria-valuemax":"100","aria-valuemin":"0","aria-valuenow":"0"}},q:{contentTypes:["phrasing","flow"],allowedRoles:!0},rp:{allowedRoles:!0},rt:{allowedRoles:!0},ruby:{contentTypes:["phrasing","flow"],allowedRoles:!0},s:{contentTypes:["phrasing","flow"],allowedRoles:!0},samp:{contentTypes:["phrasing","flow"],allowedRoles:!0},script:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},section:{contentTypes:["sectioning","flow"],allowedRoles:["alert","alertdialog","application","banner","complementary","contentinfo","dialog","document","feed","log","main","marquee","navigation","none","note","presentation","search","status","tabpanel","doc-abstract","doc-acknowledgments","doc-afterword","doc-appendix","doc-bibliography","doc-chapter","doc-colophon","doc-conclusion","doc-credit","doc-credits","doc-dedication","doc-endnotes","doc-epigraph","doc-epilogue","doc-errata","doc-example","doc-foreword","doc-glossary","doc-index","doc-introduction","doc-notice","doc-pagelist","doc-part","doc-preface","doc-prologue","doc-pullquote","doc-qna","doc-toc"],shadowRoot:!0},select:{variant:{combobox:{matches:{attributes:{multiple:null,size:[null,"1"]}},allowedRoles:["menu"]},default:{allowedRoles:!1}},contentTypes:["interactive","phrasing","flow"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText"]},slot:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},small:{contentTypes:["phrasing","flow"],allowedRoles:!0},source:{allowedRoles:!1,noAriaAttrs:!0},span:{contentTypes:["phrasing","flow"],allowedRoles:!0,shadowRoot:!0},strong:{contentTypes:["phrasing","flow"],allowedRoles:!0},style:{allowedRoles:!1,noAriaAttrs:!0},svg:{contentTypes:["embedded","phrasing","flow"],allowedRoles:["application","document","img"],chromiumRole:"SVGRoot",namingMethods:["svgTitleText"]},sub:{contentTypes:["phrasing","flow"],allowedRoles:!0},summary:{allowedRoles:!1,namingMethods:["subtreeText"]},sup:{contentTypes:["phrasing","flow"],allowedRoles:!0},table:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["tableCaptionText","tableSummaryText"]},tbody:{allowedRoles:!0},template:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},textarea:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuenow":"","aria-multiline":"true"},namingMethods:["labelText","placeholderText"]},tfoot:{allowedRoles:!0},thead:{allowedRoles:!0},time:{contentTypes:["phrasing","flow"],allowedRoles:!0},title:{allowedRoles:!1,noAriaAttrs:!0},td:{allowedRoles:!0},th:{allowedRoles:!0},tr:{allowedRoles:!0},track:{allowedRoles:!1,noAriaAttrs:!0},u:{contentTypes:["phrasing","flow"],allowedRoles:!0},ul:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},var:{contentTypes:["phrasing","flow"],allowedRoles:!0},video:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"video"},wbr:{contentTypes:["phrasing","flow"],allowedRoles:!0}},tn={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},rn={ariaAttrs:{"aria-activedescendant":{type:"idref",allowEmpty:!0},"aria-atomic":{type:"boolean",global:!0},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"]},"aria-busy":{type:"boolean",global:!0},"aria-checked":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-colcount":{type:"int",minValue:-1},"aria-colindex":{type:"int",minValue:1},"aria-colspan":{type:"int",minValue:1},"aria-controls":{type:"idrefs",allowEmpty:!0,global:!0},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],global:!0},"aria-describedby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-details":{type:"idref",allowEmpty:!0,global:!0},"aria-disabled":{type:"boolean",global:!0},"aria-dropeffect":{type:"nmtokens",values:["copy","execute","link","move","none","popup"],global:!0},"aria-errormessage":{type:"idref",allowEmpty:!0,global:!0},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"]},"aria-flowto":{type:"idrefs",allowEmpty:!0,global:!0},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],global:!0},"aria-hidden":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-invalid":{type:"nmtoken",allowEmpty:!0,values:["grammar","false","spelling","true"],global:!0},"aria-keyshortcuts":{type:"string",allowEmpty:!0,global:!0},"aria-label":{type:"string",allowEmpty:!0,global:!0},"aria-labelledby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-level":{type:"int",minValue:1},"aria-live":{type:"nmtoken",values:["assertive","off","polite"],global:!0},"aria-modal":{type:"boolean"},"aria-multiline":{type:"boolean"},"aria-multiselectable":{type:"boolean"},"aria-orientation":{type:"nmtoken",values:["horizontal","undefined","vertical"]},"aria-owns":{type:"idrefs",allowEmpty:!0,global:!0},"aria-placeholder":{type:"string",allowEmpty:!0},"aria-posinset":{type:"int",minValue:1},"aria-pressed":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-readonly":{type:"boolean"},"aria-relevant":{type:"nmtokens",values:["additions","all","removals","text"],global:!0},"aria-required":{type:"boolean"},"aria-roledescription":{type:"string",allowEmpty:!0,global:!0},"aria-rowcount":{type:"int",minValue:-1},"aria-rowindex":{type:"int",minValue:1},"aria-rowspan":{type:"int",minValue:0},"aria-selected":{type:"nmtoken",values:["false","true","undefined"]},"aria-setsize":{type:"int",minValue:-1},"aria-sort":{type:"nmtoken",values:["ascending","descending","none","other"]},"aria-valuemax":{type:"decimal"},"aria-valuemin":{type:"decimal"},"aria-valuenow":{type:"decimal"},"aria-valuetext":{type:"string"}},ariaRoles:Xu({},Za,{"doc-abstract":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-acknowledgments":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-afterword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-appendix":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-backlink":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-biblioentry":{type:"listitem",requiredContext:["doc-bibliography"],allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"]},"doc-bibliography":{type:"landmark",requiredOwned:["doc-biblioentry"],allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-biblioref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-chapter":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-colophon":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-conclusion":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-cover":{type:"img",allowedAttrs:["aria-expanded"],superclassRole:["img"]},"doc-credit":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-credits":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-dedication":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-endnote":{type:"listitem",requiredContext:["doc-endnotes"],allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"]},"doc-endnotes":{type:"landmark",requiredOwned:["doc-endnote"],allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-epigraph":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-epilogue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-errata":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-example":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-footnote":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-foreword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossary":{type:"landmark",requiredOwned:["definition","term"],allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-index":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-introduction":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-noteref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-notice":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-pagebreak":{type:"separator",allowedAttrs:["aria-expanded","aria-orientation"],superclassRole:["separator"],childrenPresentational:!0},"doc-pagelist":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-part":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-preface":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-prologue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-pullquote":{type:"none",superclassRole:["none"]},"doc-qna":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-subtitle":{type:"sectionhead",allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"]},"doc-tip":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-toc":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]}},{"graphics-document":{type:"structure",superclassRole:["document"],accessibleNameRequired:!0},"graphics-object":{type:"structure",superclassRole:["group"],nameFromContent:!0},"graphics-symbol":{type:"structure",superclassRole:["img"],accessibleNameRequired:!0,childrenPresentational:!0}}),htmlElms:en,cssColors:tn},an=Xu({},rn);var nn=an;var on=function(e,t,r,a){this.red=e,this.green=t,this.blue=r,this.alpha=a,this.toHexString=function(){var e=Math.round(this.red).toString(16),t=Math.round(this.green).toString(16),r=Math.round(this.blue).toString(16);return"#"+(15.5<this.red?e:"0"+e)+(15.5<this.green?t:"0"+t)+(15.5<this.blue?r:"0"+r)};var n=/^#[0-9a-f]{3,8}$/i,o=/^((?:rgb|hsl)a?)\\s*\\(([^\\)]*)\\)/i;this.parseString=function(e){if(nn.cssColors[e]||"transparent"===e){var t=Ku(nn.cssColors[e]||[0,0,0],3),r=t[0],a=t[1],t=t[2];return this.red=r,this.green=a,this.blue=t,void(this.alpha="transparent"===e?0:1)}if(e.match(o))this.parseColorFnString(e);else{if(!e.match(n))throw new Error(\'Unable to parse color "\'.concat(e,\'"\'));this.parseHexString(e)}},this.parseRgbString=function(e){if("transparent"===e)return this.red=0,this.green=0,this.blue=0,void(this.alpha=0);this.parseColorFnString(e)},this.parseHexString=function(e){var t,r;e.match(n)&&![6,8].includes(e.length)&&((e=e.replace("#","")).length<6&&(e=(t=(r=Ku(e,4))[0])+t+(t=r[1])+t+(t=r[2])+t,(r=r[3])&&(e+=r+r)),e=e.match(/.{1,2}/g),this.red=parseInt(e[0],16),this.green=parseInt(e[1],16),this.blue=parseInt(e[2],16),e[3]?this.alpha=parseInt(e[3],16)/255:this.alpha=1)},this.parseColorFnString=function(e){var e=Ku(e.match(o)||[],3),r=e[1],e=e[2];r&&e&&(e=e.split(/\\s*[,\\/\\s]\\s*/).map(function(e){return e.replace(",","").trim()}).filter(function(e){return""!==e}).map(function(e,t){return function(e,t,r){if(/%$/.test(t))return 3===r?parseFloat(t)/100:255*parseFloat(t)/100;if("h"===e[r]){if(/turn$/.test(t))return 360*parseFloat(t);if(/rad$/.test(t))return 57.3*parseFloat(t)}return parseFloat(t)}(r,e,t)}),"hsl"===r.substr(0,3)&&(e=function(e){var t=Ku(e,4),r=t[0],a=t[1],n=t[2],e=t[3];a/=255,n/=255;var a=(t=(1-Math.abs(2*n-1))*a)*(1-Math.abs(r/60%2-1)),o=n-t/2;return(a=r<60?[t,a,0]:r<120?[a,t,0]:r<180?[0,t,a]:r<240?[0,a,t]:r<300?[a,0,t]:[t,0,a]).map(function(e){return Math.round(255*(e+o))}).concat(e)}(e)),this.red=e[0],this.green=e[1],this.blue=e[2],this.alpha="number"==typeof e[3]?e[3]:1)},this.getRelativeLuminance=function(){var e=this.red/255,t=this.green/255,r=this.blue/255;return.2126*(e<=.03928?e/12.92:Math.pow((.055+e)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((.055+t)/1.055,2.4))+.0722*(r<=.03928?r/12.92:Math.pow((.055+r)/1.055,2.4))}};var ln=function(e){var t=new on;return t.parseString(e.getPropertyValue("background-color")),0!==t.alpha&&(e=e.getPropertyValue("opacity"),t.alpha=t.alpha*e),t};var sn=function(e){var t=window.getComputedStyle(e);return Qa(e,t)||1===ln(t).alpha},un=/^\\/?#[^/!]/;var cn=function(e){return!!un.test(e.getAttribute("href"))&&(void 0!==vr.get("firstPageLink")?t=vr.get("firstPageLink"):(t=vo(axe._tree,\'a:not([href^="#"]):not([href^="/#"]):not([href^="javascript"])\')[0],vr.set("firstPageLink",t||null)),!t||e.compareDocumentPosition(t.actualNode)===e.DOCUMENT_POSITION_FOLLOWING);var t};var dn=function(e,t){for(var r=["fixed","sticky"],a=[],n=!1,o=0;o<e.length;++o){var i=e[o];i===t&&(n=!0);var l=window.getComputedStyle(i);n||-1===r.indexOf(l.position)?a.push(i):a=[]}return a};function pn(e){for(var t=Dr(e).parent;t;){if(Pn(t.actualNode))return t.actualNode;t=t.parent}}var fn=function(e,t){var r,a,n,o,i,l,s,u,c,d,p,f=pn(t);do{var m=pn(e);if(m===f||m===t)return a=t,u=p=d=c=u=s=l=i=o=n=void 0,n=(p=(r=e).getBoundingClientRect()).top+.01,o=p.bottom-.01,i=p.left+.01,l=p.right-.01,s=a.getBoundingClientRect(),u=s.top,c=s.left,d=u-a.scrollTop,r=u-a.scrollTop+a.scrollHeight,p=c-a.scrollLeft,u=c-a.scrollLeft+a.scrollWidth,"inline"===(c=window.getComputedStyle(a)).getPropertyValue("display")||!(i<p&&i<s.left||n<d&&n<s.top||u<l&&l>s.right||r<o&&o>s.bottom)&&(!(l>s.right||o>s.bottom)||("scroll"===c.overflow||"auto"===c.overflow||"hidden"===c.overflow||a instanceof window.HTMLBodyElement||a instanceof window.HTMLHtmlElement))}while(e=m);return!1};var mn=function a(n,o){var t=2<arguments.length&&void 0!==arguments[2]?arguments[2]:document,i=3<arguments.length&&void 0!==arguments[3]?arguments[3]:0;if(999<i)throw new Error("Infinite loop detected");return Array.from(t.elementsFromPoint(n,o)||[]).filter(function(e){return na(e)===t}).reduce(function(e,t){var r;return ta(t)?(r=a(n,o,t.shadowRoot,i+1),(e=e.concat(r)).length&&fn(e[0],t)&&e.push(t)):e.push(t),e},[])};var hn=function(e,t){if(e.hasAttribute(t)){var r=e.nodeName.toUpperCase(),a=e;["A","AREA"].includes(r)&&!e.ownerSVGElement||((a=document.createElement("a")).href=e.getAttribute(t));r=["https:","ftps:"].includes(a.protocol)?a.protocol.replace(/s:$/,":"):a.protocol,e=/^\\//.test(a.pathname)?a.pathname:"/".concat(a.pathname),e=(e=(t=e).split("/").pop())&&-1!==e.indexOf(".")?{pathname:t.replace(e,""),filename:/index./.test(e)?"":e}:{pathname:t,filename:""},t=e.pathname,e=e.filename;return{protocol:r,hostname:a.hostname,port:(r=a.port,["443","80"].includes(r)?"":r),pathname:/\\/$/.test(t)?t:"".concat(t,"/"),search:function(e){var t={};if(!e||!e.length)return t;var r=e.substring(1).split("&");if(!r||!r.length)return t;for(var a=0;a<r.length;a++){var n=Ku(r[a].split("="),2),o=n[0],n=n[1],n=void 0===n?"":n;t[decodeURIComponent(o)]=decodeURIComponent(n)}return t}(a.search),hash:function(e){if(!e)return"";var t=e.match(/#!?\\/?/g);return t&&"#"!==Ku(t,1)[0]?e:""}(a.hash),filename:e}}};var gn,bn=function(e,t){var r=t.getBoundingClientRect(),a=r.top,n=r.left,o=a-t.scrollTop,i=a-t.scrollTop+t.scrollHeight,a=n-t.scrollLeft,n=n-t.scrollLeft+t.scrollWidth;return!(e.left>n&&e.left>r.right||e.top>i&&e.top>r.bottom||e.right<a&&e.right<r.left||e.bottom<o&&e.bottom<r.top)&&(o=window.getComputedStyle(t),!(e.left>r.right||e.top>r.bottom)||("scroll"===o.overflow||"auto"===o.overflow||t instanceof window.HTMLBodyElement||t instanceof window.HTMLHtmlElement))},yn=0,vn=function(){$u(o,tt);var n=Wu(o);function o(e,t,r){var a;return Ju(this,o),(a=n.call(this)).shadowId=r,a.children=[],a.actualNode=e,(a.parent=t)||(yn=0),a.nodeIndex=yn++,a._isHidden=null,a._cache={},void 0===gn&&(gn=rr(e.ownerDocument)),a._isXHTML=gn,"input"===e.nodeName.toLowerCase()&&(t=e.getAttribute("type"),t=a._isXHTML?t:(t||"").toLowerCase(),Fo().includes(t)||(t="text"),a._type=t),vr.get("nodeMap")&&vr.get("nodeMap").set(e,Gu(a)),a}return Qu(o,[{key:"props",get:function(){var e=this.actualNode,t=e.nodeType,r=e.nodeName,a=e.id,n=e.multiple,o=e.nodeValue,e=e.value;return{nodeType:t,nodeName:this._isXHTML?r:r.toLowerCase(),id:a,type:this._type,multiple:n,nodeValue:o,value:e}}},{key:"attr",value:function(e){return"function"!=typeof this.actualNode.getAttribute?null:this.actualNode.getAttribute(e)}},{key:"hasAttr",value:function(e){return"function"==typeof this.actualNode.hasAttribute&&this.actualNode.hasAttribute(e)}},{key:"attrNames",get:function(){var e;return this._cache.hasOwnProperty("attrNames")||(e=(this.actualNode.attributes instanceof window.NamedNodeMap?this.actualNode:this.actualNode.cloneNode(!1)).attributes,this._cache.attrNames=Array.from(e).map(function(e){return e.name})),this._cache.attrNames}},{key:"getComputedStylePropertyValue",value:function(e){var t="computedStyle_"+e;return this._cache.hasOwnProperty(t)||(this._cache.hasOwnProperty("computedStyle")||(this._cache.computedStyle=window.getComputedStyle(this.actualNode)),this._cache[t]=this._cache.computedStyle.getPropertyValue(e)),this._cache[t]}},{key:"isFocusable",get:function(){return this._cache.hasOwnProperty("isFocusable")||(this._cache.isFocusable=Va(this.actualNode)),this._cache.isFocusable}},{key:"tabbableElements",get:function(){return this._cache.hasOwnProperty("tabbableElements")||(this._cache.tabbableElements=Fa(this)),this._cache.tabbableElements}},{key:"clientRects",get:function(){return this._cache.hasOwnProperty("clientRects")||(this._cache.clientRects=Array.from(this.actualNode.getClientRects()).filter(function(e){return 0<e.width})),this._cache.clientRects}},{key:"boundingClientRect",get:function(){return this._cache.hasOwnProperty("boundingClientRect")||(this._cache.boundingClientRect=this.actualNode.getBoundingClientRect()),this._cache.boundingClientRect}}]),o}();function Dn(e,a,r){var n,t,o;function i(e,t,r){r=Dn(t,a,r);return e=r?e.concat(r):e}if(o=(e=e.documentElement?e.documentElement:e).nodeName.toLowerCase(),ta(e))return n=new vn(e,r,a),a="a"+Math.random().toString().substring(2),t=Array.from(e.shadowRoot.childNodes),n.children=t.reduce(function(e,t){return i(e,t,n)},[]),[n];if("content"===o&&"function"==typeof e.getDistributedNodes)return(t=Array.from(e.getDistributedNodes())).reduce(function(e,t){return i(e,t,r)},[]);if("slot"!==o||"function"!=typeof e.assignedNodes)return 1===e.nodeType?(n=new vn(e,r,a),t=Array.from(e.childNodes),n.children=t.reduce(function(e,t){return i(e,t,n)},[]),[n]):3===e.nodeType?[new vn(e,r)]:void 0;(t=Array.from(e.assignedNodes())).length||(t=function(e){var t=[];for(e=e.firstChild;e;)t.push(e),e=e.nextSibling;return t}(e));window.getComputedStyle(e);return t.reduce(function(e,t){return i(e,t,r)},[])}var wn=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:document.documentElement,t=1<arguments.length?arguments[1]:void 0;return vr.set("nodeMap",new WeakMap),Dn(e,t,null)};var xn=function(e){return e?e.trim().split("-")[0].toLowerCase():""};var En=function(e){var r={};return r.none=e.none.concat(e.all),r.any=e.any,Object.keys(r).map(function(e){if(r[e].length){var t=axe._audit.data.failureSummaries[e];return t&&"function"==typeof t.failureMessage?t.failureMessage(r[e].map(function(e){return e.message||""})):void 0}}).filter(function(e){return void 0!==e}).join("\\n\\n")};var An=function(){var e=void 0===(r=(n=0<arguments.length&&void 0!==arguments[0]?arguments[0]:window).screen)?{}:r,t=n.navigator,r=void 0===(a=n.location)?{}:a,a=n.innerHeight,n=n.innerWidth,e=e.msOrientation||e.orientation||e.mozOrientation||{};return{testEngine:{name:"axe-core",version:axe.version},testRunner:{name:axe._audit.brand},testEnvironment:{userAgent:(void 0===t?{}:t).userAgent,windowWidth:n,windowHeight:a,orientationAngle:e.angle,orientationType:e.type},timestamp:(new Date).toISOString(),url:r.href}};var Cn=function(){return"function"==typeof axe._audit.data.incompleteFallbackMessage?axe._audit.data.incompleteFallbackMessage():axe._audit.data.incompleteFallbackMessage};var Fn=Je.resultGroups;var kn=function(e,a){var t=axe.utils.aggregateResult(e);return Fn.forEach(function(e){a.resultTypes&&!a.resultTypes.includes(e)&&(t[e]||[]).forEach(function(e){Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=[e.nodes[0]])}),t[e]=(t[e]||[]).map(function(t){return t=Object.assign({},t),Array.isArray(t.nodes)&&0<t.nodes.length&&(t.nodes=t.nodes.map(function(e){var t,r;return"object"===Lu(e.node)&&(e.html=e.node.source,a.elementRef&&!e.node.fromFrame&&(e.element=e.node.element),!1===a.selectors&&!e.node.fromFrame||(e.target=e.node.selector),a.ancestry&&(e.ancestry=e.node.ancestry),a.xpath&&(e.xpath=e.node.xpath)),delete e.result,delete e.node,t=e,r=a,["any","all","none"].forEach(function(e){Array.isArray(t[e])&&t[e].filter(function(e){return Array.isArray(e.relatedNodes)}).forEach(function(e){e.relatedNodes=e.relatedNodes.map(function(e){var t={html:e.source};return r.elementRef&&!e.fromFrame&&(t.element=e.element),!1===r.selectors&&!e.fromFrame||(t.target=e.selector),r.ancestry&&(t.ancestry=e.ancestry),r.xpath&&(t.xpath=e.xpath),t})})}),e})),Fn.forEach(function(e){return delete t[e]}),delete t.pageLevel,delete t.result,t})}),t};axe._thisWillBeDeletedDoNotUse=axe._thisWillBeDeletedDoNotUse||{},axe._thisWillBeDeletedDoNotUse.helpers={failureSummary:En,getEnvironmentData:An,incompleteFallbackMessage:Cn,processAggregate:kn};var Rn=/\\$\\{\\s?data\\s?\\}/g;function Tn(e,t){if("string"==typeof t)return e.replace(Rn,t);for(var r in t){var a;t.hasOwnProperty(r)&&(a=new RegExp("\\\\${\\\\s?data\\\\."+r+"\\\\s?}","g"),r=void 0===t[r]?"":String(t[r]),e=e.replace(a,r))}return e}var Nn=function e(t,r){if(t){if(Array.isArray(r))return r.values=r.join(", "),"string"!=typeof t.singular||"string"!=typeof t.plural?Tn(t,r):Tn(1===r.length?t.singular:t.plural,r);if("string"==typeof t)return Tn(t,r);if("string"==typeof r)return Tn(t[r],r);var a=t.default||Cn();return e(a=r&&r.messageKey&&t[r.messageKey]?t[r.messageKey]:a,r)}};var _n=function(e,t,r){var a=axe._audit.data.checks[e];if(!a)throw new Error("Cannot get message for unknown check: ".concat(e,"."));if(!a.messages[t])throw new Error(\'Check "\'.concat(e,\'"" does not have a "\').concat(t,\'" message.\'));return Nn(a.messages[t],r)};var On=function(e,t,r){var a=((r.rules&&r.rules[t]||{}).checks||{})[e.id],n=(r.checks||{})[e.id],t=e.enabled,e=e.options;return n&&(n.hasOwnProperty("enabled")&&(t=n.enabled),n.hasOwnProperty("options")&&(e=n.options)),a&&(a.hasOwnProperty("enabled")&&(t=a.enabled),a.hasOwnProperty("options")&&(e=a.options)),{enabled:t,options:e,absolutePaths:r.absolutePaths}};var Sn=function(t){var e=axe._audit.rules.find(function(e){return e.id===t});if(!e)throw new Error("Cannot find rule by id: ".concat(t));return e};var Pn=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0,r=e.scrollWidth>e.clientWidth+t,a=e.scrollHeight>e.clientHeight+t;if(r||a){var n=window.getComputedStyle(e),t=n.getPropertyValue("overflow-x"),n=n.getPropertyValue("overflow-y");return r&&("visible"!==t&&"hidden"!==t)||a&&("visible"!==n&&"hidden"!==n)?{elm:e,top:e.scrollTop,left:e.scrollLeft}:void 0}};var In=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:window,t=e.document.documentElement;return[void 0!==e.pageXOffset?{elm:e,top:e.pageYOffset,left:e.pageXOffset}:{elm:t,top:t.scrollTop,left:t.scrollLeft}].concat(function a(e){return Array.from(e.children||e.childNodes||[]).reduce(function(e,t){var r=Pn(t);return r&&e.push(r),e.concat(a(t))},[])}(document.body))};function Bn(){return Ar(nn)}var Ln,qn=function(l){if(!l)throw new Error("axe.utils.getStyleSheetFactory should be invoked with an argument");return function(e){var t=e.data,r=e.isCrossOrigin,a=void 0!==r&&r,n=e.shadowId,o=e.root,i=e.priority,r=e.isLink,e=void 0!==r&&r,r=l.createElement("style");return e?(e=l.createTextNode(\'@import "\'.concat(t.href,\'"\')),r.appendChild(e)):r.appendChild(l.createTextNode(t)),l.head.appendChild(r),{sheet:r.sheet,isCrossOrigin:a,shadowId:n,root:o,priority:i}}};var Mn=function(e){if(Ln&&Ln.parentNode)return void 0===Ln.styleSheet?Ln.appendChild(document.createTextNode(e)):Ln.styleSheet.cssText+=e,Ln;if(e){var t=document.head||document.getElementsByTagName("head")[0];return(Ln=document.createElement("style")).type="text/css",void 0===Ln.styleSheet?Ln.appendChild(document.createTextNode(e)):Ln.styleSheet.cssText=e,t.appendChild(Ln),Ln}};var jn=function e(t,r){var a=Dr(t);if(9===t.nodeType)return!1;if(11===t.nodeType&&(t=t.host),a&&null!==a._isHidden)return a._isHidden;var n=window.getComputedStyle(t,null);if(!n||!t.parentNode||"none"===n.getPropertyValue("display")||!r&&"hidden"===n.getPropertyValue("visibility")||"true"===t.getAttribute("aria-hidden"))return!0;t=e(t.assignedSlot||t.parentNode,!0);return a&&(a._isHidden=t),t},Un=["a","abbr","address","area","article","aside","audio","b","base","bdi","bdo","blockquote","body","br","button","canvas","caption","cite","code","col","colgroup","data","datalist","dd","del","details","dfn","dialog","div","dl","dt","em","embed","fieldset","figcaption","figure","footer","form","h1","h2","h3","h4","h5","h6","head","header","hgroup","hr","html","i","iframe","img","input","ins","kbd","keygen","label","legend","li","link","main","map","mark","math","menu","menuitem","meta","meter","nav","noscript","object","ol","optgroup","option","output","p","param","picture","pre","progress","q","rb","rp","rt","rtc","ruby","s","samp","script","section","select","slot","small","source","span","strong","style","sub","summary","sup","svg","table","tbody","td","template","textarea","tfoot","th","thead","time","title","tr","track","u","ul","var","video","wbr"];var Vn=function(e){return"http://www.w3.org/2000/svg"!==e.namespaceURI&&Un.includes(e.nodeName.toLowerCase())};function Hn(e){return e.sort(function(e,t){return Jr(e,t)?1:-1})[0]}var zn=function(t,e){var r=e.include&&Hn(e.include.filter(function(e){return Jr(e,t)}));return!!(!(e=e.exclude&&Hn(e.exclude.filter(function(e){return Jr(e,t)})))&&r||e&&Jr(e,r))},$n=c(ze());axe._memoizedFns=[];var Wn=function(e){return e=$n.default(e),axe._memoizedFns.push(e),e};var Gn=function(e,t){return(e=e.actualNode||e)===(t=t.actualNode||t)?0:4&e.compareDocumentPosition(t)?-1:1};var Yn=function(e,a,n,o){var t=4<arguments.length&&void 0!==arguments[4]&&arguments[4],r=Array.from(e.cssRules);if(!r)return Promise.resolve();var i=r.filter(function(e){return 3===e.type});return i.length?(i=i.filter(function(e){return e.href}).map(function(e){return e.href}).filter(function(e){return!o.includes(e)}).map(function(e,t){var r=[].concat(Yu(n),[t]),t=/^https?:\\/\\/|^\\/\\//i.test(e);return Qn(e,a,r,o,t)}),(r=r.filter(function(e){return 3!==e.type})).length&&i.push(Promise.resolve(a.convertDataToStylesheet({data:r.map(function(e){return e.cssText}).join(),isCrossOrigin:t,priority:n,root:a.rootNode,shadowId:a.shadowId}))),Promise.all(i)):Promise.resolve({isCrossOrigin:t,priority:n,root:a.rootNode,shadowId:a.shadowId,sheet:e})};var Kn=function(e,t,r,a){var n=4<arguments.length&&void 0!==arguments[4]&&arguments[4];return function(e){try{return!e.cssRules&&e.href?!1:!0}catch(e){return!1}}(e)?Yn(e,t,r,a,n):Qn(e.href,t,r,a,!0)};var Xn,Jn,Qn=function(e,t,r,a,n){return a.push(e),new Promise(function(t,r){var a=new XMLHttpRequest;a.open("GET",e),a.timeout=Je.preload.timeout,a.addEventListener("error",r),a.addEventListener("timeout",r),a.addEventListener("loadend",function(e){return e.loaded&&a.responseText?t(a.responseText):void r(a.responseText)}),a.send()}).then(function(e){e=t.convertDataToStylesheet({data:e,isCrossOrigin:n,priority:r,root:t.rootNode,shadowId:t.shadowId});return Kn(e.sheet,t,r,a,e.isCrossOrigin)})};function Zn(){if(window.performance&&window.performance)return window.performance.now()}var eo,to,ro=(Xn=null,Jn=Zn(),{start:function(){this.mark("mark_axe_start")},end:function(){this.mark("mark_axe_end"),this.measure("axe","mark_axe_start","mark_axe_end"),this.logMeasures("axe")},auditStart:function(){this.mark("mark_audit_start")},auditEnd:function(){this.mark("mark_audit_end"),this.measure("audit_start_to_end","mark_audit_start","mark_audit_end"),this.logMeasures()},mark:function(e){window.performance&&void 0!==window.performance.mark&&window.performance.mark(e)},measure:function(e,t,r){window.performance&&void 0!==window.performance.measure&&window.performance.measure(e,t,r)},logMeasures:function(e){function t(e){Qe("Measure "+e.name+" took "+e.duration+"ms")}if(window.performance&&void 0!==window.performance.getEntriesByType)for(var r=window.performance.getEntriesByName("mark_axe_start")[0],a=window.performance.getEntriesByType("measure").filter(function(e){return e.startTime>=r.startTime}),n=0;n<a.length;++n){var o=a[n];if(o.name===e)return void t(o);t(o)}},timeElapsed:function(){return Zn()-Jn},reset:function(){Xn=Xn||Zn(),Jn=Zn()}});function ao(){if(document.elementsFromPoint)return document.elementsFromPoint;if(document.msElementsFromPoint)return document.msElementsFromPoint;var e,e=((e=document.createElement("x")).style.cssText="pointer-events:auto","auto"===e.style.pointerEvents),l=e?"pointer-events":"visibility",s=e?"none":"hidden",u=document.createElement("style");return u.innerHTML=e?"* { pointer-events: all }":"* { visibility: visible }",function(e,t){var r,a,n,o=[],i=[];for(document.head.appendChild(u);(r=document.elementFromPoint(e,t))&&-1===o.indexOf(r);)o.push(r),i.push({value:r.style.getPropertyValue(l),priority:r.style.getPropertyPriority(l)}),r.style.setProperty(l,s,"important");for(o.indexOf(document.documentElement)<o.length-1&&(o.splice(o.indexOf(document.documentElement),1),o.push(document.documentElement)),a=i.length;n=i[--a];)o[a].style.setProperty(l,n.value||"",n.priority);return document.head.removeChild(u),o}}function no(e){return"function"==typeof e||"[object Function]"===eo.call(e)}function oo(e){return e=function(e){e=Number(e);return isNaN(e)?0:0!==e&&isFinite(e)?(0<e?1:-1)*Math.floor(Math.abs(e)):e}(e),Math.min(Math.max(e,0),to)}"function"!=typeof Object.assign&&(Object.assign=function(e){if(null==e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),r=1;r<arguments.length;r++){var a=arguments[r];if(null!=a)for(var n in a)a.hasOwnProperty(n)&&(t[n]=a[n])}return t}),Array.prototype.find||Object.defineProperty(Array.prototype,"find",{value:function(e){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var t,r=Object(this),a=r.length>>>0,n=arguments[1],o=0;o<a;o++)if(t=r[o],e.call(n,t,o,r))return t}}),Array.prototype.findIndex||Object.defineProperty(Array.prototype,"findIndex",{value:function(e,t){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var r,a=Object(this),n=a.length>>>0,o=0;o<n;o++)if(r=a[o],e.call(t,r,o,a))return o;return-1}}),"function"==typeof window.addEventListener&&(document.elementsFromPoint=ao()),Array.prototype.includes||Object.defineProperty(Array.prototype,"includes",{value:function(e){var t=Object(this),r=parseInt(t.length,10)||0;if(0===r)return!1;var a,n,o=parseInt(arguments[1],10)||0;for(0<=o?a=o:(a=r+o)<0&&(a=0);a<r;){if(e===(n=t[a])||e!=e&&n!=n)return!0;a++}return!1}}),Array.prototype.some||Object.defineProperty(Array.prototype,"some",{value:function(e){if(null==this)throw new TypeError("Array.prototype.some called on null or undefined");if("function"!=typeof e)throw new TypeError;for(var t=Object(this),r=t.length>>>0,a=2<=arguments.length?arguments[1]:void 0,n=0;n<r;n++)if(n in t&&e.call(a,t[n],n,t))return!0;return!1}}),Array.from||Object.defineProperty(Array,"from",{value:(eo=Object.prototype.toString,to=Math.pow(2,53)-1,function(e){var t=Object(e);if(null==e)throw new TypeError("Array.from requires an array-like object - not null or undefined");var r,a=1<arguments.length?arguments[1]:void 0;if(void 0!==a){if(!no(a))throw new TypeError("Array.from: when provided, the second argument must be a function");2<arguments.length&&(r=arguments[2])}for(var n,o=oo(t.length),i=no(this)?Object(new this(o)):new Array(o),l=0;l<o;)n=t[l],i[l]=a?void 0===r?a(n,l):a.call(r,n,l):n,l+=1;return i.length=o,i})}),String.prototype.includes||(String.prototype.includes=function(e,t){return!((t="number"!=typeof t?0:t)+e.length>this.length)&&-1!==this.indexOf(e,t)}),Array.prototype.flat||Object.defineProperty(Array.prototype,"flat",{configurable:!0,value:function r(){var a=isNaN(arguments[0])?1:Number(arguments[0]);return a?Array.prototype.reduce.call(this,function(e,t){return Array.isArray(t)?e.push.apply(e,r.call(t,a-1)):e.push(t),e},[]):Array.prototype.slice.call(this)},writable:!0});var io=function(e,t){return e.concat(t).filter(function(e,t,r){return r.indexOf(e)===t})};function lo(e,t,r,a){a={vNodes:e.slice(),anyLevel:t,thisLevel:r,parentShadowId:a};return a.vNodes.reverse(),a}var so=function(e,t,r){return function(e,t,r){for(var a=[],n=lo(Array.isArray(e)?e:[e],t,[],e[0].shadowId),o=[];n.vNodes.length;){for(var i=n.vNodes.pop(),l=[],s=[],u=n.anyLevel.slice().concat(n.thisLevel),c=!1,d=0;d<u.length;d++){var p=u[d];if((!p[0].id||i.shadowId===n.parentShadowId)&&Sr(i,p[0]))if(1===p.length)c||r&&!r(i)||(o.push(i),c=!0);else{var f=p.slice(1);if(!1===[" ",">"].includes(f[0].combinator))throw new Error("axe.utils.querySelectorAll does not support the combinator: "+p[1].combinator);(">"===f[0].combinator?l:s).push(f)}p[0].id&&i.shadowId!==n.parentShadowId||!n.anyLevel.includes(p)||s.push(p)}for(i.children&&i.children.length&&(a.push(n),n=lo(i.children,s,l,i.shadowId));!n.vNodes.length&&a.length;)n=a.pop()}return o}(e=Array.isArray(e)?e:[e],Or(t),r)};var uo=function(e){var t,e=void 0===(r=e.treeRoot)?axe._tree[0]:r;if(!(e=(t=[],r=so(r=e,"*",function(e){return!t.includes(e.shadowId)&&(t.push(e.shadowId),!0)}).map(function(e){return{shadowId:e.shadowId,rootNode:aa(e.actualNode)}}),io(r,[]))).length)return Promise.resolve();var l,s,r=document.implementation.createHTMLDocument("Dynamic document for loading cssom"),r=qn(r);return l=r,s=[],e.forEach(function(e,t){var r=e.rootNode,a=e.shadowId,e=function(e,t,r){e=11===e.nodeType&&t?function(a,n){return Array.from(a.children).filter(co).reduce(function(e,t){var r=t.nodeName.toUpperCase(),t="STYLE"===r?t.textContent:t,r=n({data:t,isLink:"LINK"===r,root:a});return e.push(r.sheet),e},[])}(e,r):function(e){return Array.from(e.styleSheets).filter(function(e){return po(e.media.mediaText)})}(e);return function(e){var t=[];return e.filter(function(e){return!e.href||!t.includes(e.href)&&(t.push(e.href),!0)})}(e)}(r,a,l);if(!e)return Promise.all(s);var n=t+1,o={rootNode:r,shadowId:a,convertDataToStylesheet:l,rootIndex:n},i=[],e=Promise.all(e.map(function(e,t){return Kn(e,o,[n,t],i)}));s.push(e)}),Promise.all(s).then(function r(e){return e.reduce(function(e,t){return Array.isArray(t)?e.concat(r(t)):e.concat(t)},[])})};function co(e){var t=e.nodeName.toUpperCase(),r=e.getAttribute("href"),a=e.getAttribute("rel"),a="LINK"===t&&r&&a&&e.rel.toUpperCase().includes("STYLESHEET");return"STYLE"===t||a&&po(e.media)}function po(e){return!e||!e.toUpperCase().includes("PRINT")}var fo=function(e){return e=void 0===(e=e.treeRoot)?axe._tree[0]:e,e=so(e,"video, audio",function(e){e=e.actualNode;return e.hasAttribute("src")?!!e.getAttribute("src"):!(Array.from(e.getElementsByTagName("source")).filter(function(e){return!!e.getAttribute("src")}).length<=0)}),Promise.all(e.map(function(e){var r,e=e.actualNode;return r=e,new Promise(function(t){0<r.readyState&&t(r),r.addEventListener("loadedmetadata",function e(){r.removeEventListener("loadedmetadata",e),t(r)})})}))};function mo(e){return!e||void 0===e.preload||null===e.preload||("boolean"==typeof e.preload?e.preload:(e=e.preload,"object"===Lu(e)&&Array.isArray(e.assets)))}function ho(e){var t=Je.preload,r=t.assets,t=t.timeout,t={assets:r,timeout:t};if(!e.preload)return t;if("boolean"==typeof e.preload)return t;if(!e.preload.assets.every(function(e){return r.includes(e.toLowerCase())}))throw new Error("Requested assets, not supported. Supported assets are: ".concat(r.join(", "),"."));return t.assets=io(e.preload.assets.map(function(e){return e.toLowerCase()}),[]),e.preload.timeout&&"number"==typeof e.preload.timeout&&!isNaN(e.preload.timeout)&&(t.timeout=e.preload.timeout),t}var go=function(o){var i={cssom:uo,media:fo};return mo(o)?new Promise(function(t,r){var e=ho(o),a=e.assets,e=e.timeout,n=setTimeout(function(){return r(new Error("Preload assets timed out."))},e);Promise.all(a.map(function(a){return i[a](o).then(function(e){return r=e,(t=a)in(e={})?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e;var t,r})})).then(function(e){e=e.reduce(function(e,t){return Xu({},e,t)},{});clearTimeout(n),t(e)}).catch(function(e){clearTimeout(n),r(e)})}):Promise.resolve()};function bo(a,n,o){return function(e){var t=a[e.id]||{},r=t.messages||{},t=Object.assign({},t);delete t.messages,o.reviewOnFail||void 0!==e.result?t.message=e.result===n?r.pass:r.fail:("object"!==Lu(r.incomplete)||Array.isArray(e.data)||(t.message=function(t,r){function a(e){return e.incomplete&&e.incomplete.default?e.incomplete.default:Cn()}if(!t||!t.missingData)return t&&t.messageKey?r.incomplete[t.messageKey]:a(r);try{var e=r.incomplete[t.missingData[0].reason];if(!e)throw new Error;return e}catch(e){return"string"==typeof t.missingData?r.incomplete[t.missingData]:a(r)}}(e.data,r)),t.message||(t.message=r.incomplete)),"function"!=typeof t.message&&(t.message=Nn(t.message,e.data)),Zr(e,t)}}var yo=function(e){var t=axe._audit.data.checks||{},r=axe._audit.data.rules||{},a=Gr(axe._audit.rules,"id",e.id)||{};e.tags=Ar(a.tags||[]);var n=bo(t,!0,a),o=bo(t,!1,a);e.nodes.forEach(function(e){e.any.forEach(n),e.all.forEach(n),e.none.forEach(o)}),Zr(e,Ar(r[e.id]||{}))};var vo=function(e,t){return so(e,t)};function Do(t,e){var r,a=axe._audit&&axe._audit.tagExclude?axe._audit.tagExclude:[],n=e.hasOwnProperty("include")||e.hasOwnProperty("exclude")?(r=e.include||[],r=Array.isArray(r)?r:[r],n=e.exclude||[],(n=Array.isArray(n)?n:[n]).concat(a.filter(function(e){return-1===r.indexOf(e)}))):(r=Array.isArray(e)?e:[e],a.filter(function(e){return-1===r.indexOf(e)}));return!!(r.some(function(e){return-1!==t.tags.indexOf(e)})||0===r.length&&!1!==t.enabled)&&n.every(function(e){return-1===t.tags.indexOf(e)})}var wo=function(e,t,r){var a=r.runOnly||{},r=(r.rules||{})[e.id];return!(e.pageLevel&&!t.page)&&("rule"===a.type?-1!==a.values.indexOf(e.id):r&&"boolean"==typeof r.enabled?r.enabled:"tag"===a.type&&a.values?Do(e,a.values):Do(e,[]))};var xo=function t(n,o){if(!o)return n;var i=n.cloneNode(!1),e=i.outerHTML,r=er(i);return vr.get(e)?i=vr.get(e):r&&(i=document.createElement(i.nodeName),Array.from(r).forEach(function(e){var t,r,a;t=n,r=e.name,void 0!==(a=o)[r]&&(!0===a[r]||tr(t,a[r]))||i.setAttribute(e.name,e.value)}),vr.set(e,i)),Array.from(n.childNodes).forEach(function(e){i.appendChild(t(e,o))}),i};var Eo=function(e,t){var r,a=[];if(axe._selectCache)for(var n=0,o=axe._selectCache.length;n<o;n++){var i=axe._selectCache[n];if(i.selector===e)return i.result}function l(e){return zn(e,s)}for(var s,u=(s=t).include.reduce(function(e,t){return e.length&&Jr(e[e.length-1],t)||e.push(t),e},[]),c=0;c<u.length;c++)r=u[c],a=function(e,t){var r;if(0===e.length)return t;e.length<t.length&&(r=e,e=t,t=r);for(var a=0,n=t.length;a<n;a++)e.includes(t[a])||e.push(t[a]);return e}(a,so(r,e,l));return axe._selectCache&&axe._selectCache.push({selector:e,result:a}),a};var Ao=function(e){e.forEach(function(e){return function(e,t,r){if(e===window)return e.scroll(r,t);e.scrollTop=t,e.scrollLeft=r}(e.elm,e.top,e.left)})};var Co=function(e){return(e||"").trim().replace(/\\s{2,}/g," ").split(" ")};var Fo=function(){return["hidden","text","search","tel","url","email","password","date","month","week","time","datetime-local","number","range","color","checkbox","radio","file","submit","image","reset","button"]},ko=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1],[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]];function Ro(e){e=Array.isArray(e)?e:ko;var a=[];return e.forEach(function(e,t){var r=String.fromCharCode(t+96).replace("`","");Array.isArray(e)?a=a.concat(Ro(e).map(function(e){return r+e})):a.push(r)}),a}var To=function(e){for(var t=ko;e.length<3;)e+="`";for(var r=0;r<=e.length-1;r++)if(!(t=t[e.charCodeAt(r)-96]))return!1;return!0};axe._thisWillBeDeletedDoNotUse=axe._thisWillBeDeletedDoNotUse||{},axe._thisWillBeDeletedDoNotUse.utils={setDefaultFrameMessenger:It};var No=function(){$u(o,tt);var r=Wu(o);function o(e){var t,a,n;return Ju(this,o),(t=r.call(this))._props=function(e){var t=e.nodeName,r=e.nodeType,a=void 0===r?1:r;it("number"==typeof a,"nodeType has to be a number, got \'".concat(a,"\'")),it("string"==typeof t,"nodeName has to be a string, got \'".concat(t,"\'")),t=t.toLowerCase();r=null;"input"===t&&(r=(e.type||e.attributes&&e.attributes.type||"").toLowerCase(),Fo().includes(r)||(r="text"));t=Xu({},e,{nodeType:a,nodeName:t});r&&(t.type=r);return delete t.attributes,Object.freeze(t)}(e),t._attrs=(e=(e=e).attributes,a=void 0===e?{}:e,n={htmlFor:"for",className:"class"},Object.keys(a).reduce(function(e,t){var r=a[t];return it("object"!==Lu(r)||null===r,"expects attributes not to be an object, \'".concat(t,"\' was")),void 0!==r&&(e[n[t]||t]=null!==r?String(r):null),e},{})),t}return Qu(o,[{key:"props",get:function(){return this._props}},{key:"attr",value:function(e){return this._attrs[e]||null}},{key:"hasAttr",value:function(e){return void 0!==this._attrs[e]}},{key:"attrNames",get:function(){return Object.keys(this._attrs)}}]),o}(),_o={};o(_o,{allowedAttr:function(){return So},arialabelText:function(){return Po},arialabelledbyText:function(){return Ui},getAccessibleRefs:function(){return il},getElementUnallowedRoles:function(){return cl},getExplicitRole:function(){return Lo},getImplicitRole:function(){return li},getOwnedVirtual:function(){return hi},getRole:function(){return di},getRoleType:function(){return ll},getRolesByType:function(){return pl},getRolesWithNameFromContents:function(){return ml},implicitNodes:function(){return vl},implicitRole:function(){return li},isAccessibleRef:function(){return Dl},isAriaRoleAllowedOnElement:function(){return sl},isUnsupportedRole:function(){return Io},isValidRole:function(){return Bo},label:function(){return wl},labelVirtual:function(){return Sa},lookupTable:function(){return yl},namedFromContents:function(){return mi},requiredAttr:function(){return xl},requiredContext:function(){return El},requiredOwned:function(){return Al},validateAttr:function(){return Fl},validateAttrValue:function(){return Cl}});var Oo=function(){if(vr.get("globalAriaAttrs"))return vr.get("globalAriaAttrs");var e=Object.keys(nn.ariaAttrs).filter(function(e){return nn.ariaAttrs[e].global});return vr.set("globalAriaAttrs",e),e};var So=function(e){var t=nn.ariaRoles[e],e=Yu(Oo());return t&&(t.allowedAttrs&&e.push.apply(e,Yu(t.allowedAttrs)),t.requiredAttrs&&e.push.apply(e,Yu(t.requiredAttrs))),e};var Po=function(e){if(!(e instanceof tt)){if(1!==e.nodeType)return"";e=Dr(e)}return e.attr("aria-label")||""};var Io=function(e){return!!(e=nn.ariaRoles[e])&&!!e.unsupported};var Bo=function(e){var t=(a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowAbstract,r=void 0!==(n=a.flagUnsupported)&&n,a=nn.ariaRoles[e],n=Io(e);return!(!a||r&&n)&&(!!t||"abstract"!==a.type)};var Lo=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=t.fallback,a=t.abstracts,n=t.dpub;return 1!==(e=e instanceof tt?e:Dr(e)).props.nodeType?null:(t=(e.attr("role")||"").trim().toLowerCase(),(r?Co(t):[t]).find(function(e){return!(!n&&"doc-"===e.substr(0,4))&&Bo(e,{allowAbstract:a})})||null)};var qo=function(t){return Object.keys(nn.htmlElms).filter(function(e){e=nn.htmlElms[e];return e.contentTypes?e.contentTypes.includes(t):!!e.variant&&(!(!e.variant.default||!e.variant.default.contentTypes)&&e.variant.default.contentTypes.includes(t))})};var Mo=Wn(function(e){for(var t=[],r=e.rows,a=0,n=r.length;a<n;a++){var o=r[a].cells;t[a]=t[a]||[];for(var i=0,l=0,s=o.length;l<s;l++)for(var u=0;u<o[l].colSpan;u++){for(var c=o[l].getAttribute("rowspan"),d=0===parseInt(c)||0===o[l].rowspan?r.length:o[l].rowSpan,p=0;p<d;p++){for(t[a+p]=t[a+p]||[];t[a+p][i];)i++;t[a+p][i]=o[l]}i++}}return t});var jo=Wn(function(e,t){var r,a;for(t=t||Mo(la(e,"table")),r=0;r<t.length;r++)if(t[r]&&-1!==(a=t[r].indexOf(e)))return{x:a,y:r}});var Uo=function(e){var t=e.getAttribute("scope"),r=e.getAttribute("role");if(e instanceof window.Element==!1||-1===["TD","TH"].indexOf(e.nodeName.toUpperCase()))throw new TypeError("Expected TD or TH element");if("columnheader"===r)return"col";if("rowheader"===r)return"row";if("col"===t||"row"===t)return t;if("TH"!==e.nodeName.toUpperCase())return!1;var t=Mo(la(e,"table")),a=jo(e,t);return t[a.y].reduce(function(e,t){return e&&"TH"===t.nodeName.toUpperCase()},!0)?"col":t.map(function(e){return e[a.x]}).reduce(function(e,t){return e&&t&&"TH"===t.nodeName.toUpperCase()},!0)?"row":"auto"};var Vo=function(e){return-1!==["col","auto"].indexOf(Uo(e))};var Ho=function(e){return["row","auto"].includes(Uo(e))},zo=qo("sectioning").map(function(e){return"".concat(e,":not([role])")}).join(", ")+" , main:not([role]), [role=article], [role=complementary], [role=main], [role=navigation], [role=region]";function $o(e){var t=ka(Ui(e)),e=ka(Po(e));return t||e}var Wo={a:function(e){return e.hasAttr("href")?"link":null},area:function(e){return e.hasAttr("href")?"link":null},article:"article",aside:"complementary",body:"document",button:"button",datalist:"listbox",dd:"definition",dfn:"term",details:"group",dialog:"dialog",dt:"term",fieldset:"group",figure:"figure",footer:function(e){return Ir(e,zo)?null:"contentinfo"},form:function(e){return $o(e)?"form":null},h1:"heading",h2:"heading",h3:"heading",h4:"heading",h5:"heading",h6:"heading",header:function(e){return Ir(e,zo)?null:"banner"},hr:"separator",img:function(t){var e=t.hasAttr("alt")&&!t.attr("alt"),r=Oo().find(function(e){return t.hasAttr(e)});return!e||r||Va(t)?"img":"presentation"},input:function(e){var t,r;switch(e.hasAttr("list")&&(r=(t=_a(e.actualNode,"list").filter(function(e){return!!e})[0])&&"datalist"===t.nodeName.toLowerCase()),e.props.type){case"checkbox":return"checkbox";case"number":return"spinbutton";case"radio":return"radio";case"range":return"slider";case"search":return r?"combobox":"searchbox";case"button":case"image":case"reset":case"submit":return"button";case"text":case"tel":case"url":case"email":case"":return r?"combobox":"textbox";default:return"textbox"}},li:"listitem",main:"main",math:"math",menu:"list",nav:"navigation",ol:"list",optgroup:"group",option:"option",output:"status",progress:"progressbar",section:function(e){return $o(e)?"region":null},select:function(e){return e.hasAttr("multiple")||1<parseInt(e.attr("size"))?"listbox":"combobox"},summary:"button",table:"table",tbody:"rowgroup",td:function(e){e=Ir(e,"table"),e=Lo(e);return["grid","treegrid"].includes(e)?"gridcell":"cell"},textarea:"textbox",tfoot:"rowgroup",th:function(e){return Vo(e.actualNode)?"columnheader":Ho(e.actualNode)?"rowheader":void 0},thead:"rowgroup",tr:"row",ul:"list"};var Go=function(e,t){var r=Lu(t);if(Array.isArray(t)&&void 0!==e)return t.includes(e);if("function"===r)return!!t(e);if(null!=e){if(t instanceof RegExp)return t.test(e);if(/^\\/.*\\/$/.test(t)){r=t.substring(1,t.length-1);return new RegExp(r).test(e)}}return t===e};var Yo=function(t,r){if("object"!==Lu(r)||Array.isArray(r)||r instanceof RegExp)throw new Error("Expect matcher to be an object");return Object.keys(r).every(function(e){return Go(t(e),r[e])})};var Ko=function(t,e){return t instanceof tt||(t=Dr(t)),Yo(function(e){return t.attr(e)},e)};var Xo=function(e,t){return!!t(e)};var Jo=function(e,t){return Go(Lo(e),t)};var Qo=function(e,t){return Go(li(e),t)};var Zo=function(e,t){return e instanceof tt||(e=Dr(e)),Go(e.props.nodeName,t)};var ei=function(t,e){return t instanceof tt||(t=Dr(t)),Yo(function(e){return t.props[e]},e)};var ti=function(e,t){return Go(di(e),t)},ri={attributes:Ko,condition:Xo,explicitRole:Jo,implicitRole:Qo,nodeName:Zo,properties:ei,semanticRole:ti};var ai=function t(r,a){return r instanceof tt||(r=Dr(r)),Array.isArray(a)?a.some(function(e){return t(r,e)}):"string"==typeof a?Pr(r,a):Object.keys(a).every(function(e){if(!ri[e])throw new Error(\'Unknown matcher type "\'.concat(e,\'"\'));var t=ri[e],e=a[e];return t(r,e)})};var ni=function(e,t){return ai(e,t)};ni.attributes=Ko,ni.condition=Xo,ni.explicitRole=Jo,ni.fromDefinition=ai,ni.fromFunction=Yo,ni.fromPrimative=Go,ni.implicitRole=Qo,ni.nodeName=Zo,ni.properties=ei,ni.semanticRole=ti;var oi=ni;var ii=function(e){var t=nn.htmlElms[e.props.nodeName];if(!t)return{};if(!t.variant)return t;var r,a,n=t.variant,o=zu(t,Mu);for(r in n)if(n.hasOwnProperty(r)&&"default"!==r){var i=n[r],l=i.matches,s=zu(i,ju);if(oi(e,l))for(var u in s)s.hasOwnProperty(u)&&(o[u]=s[u])}for(a in n.default)n.default.hasOwnProperty(a)&&void 0===o[a]&&(o[a]=n.default[a]);return o};var li=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).chromium,r=e instanceof tt?e:Dr(e);if(e=r.actualNode,!r)throw new ReferenceError("Cannot get implicit role of a node outside the current scope.");var a=r.props.nodeName;return(a=Wo[a])||!t?"function"==typeof a?a(r):a||null:ii(r).chromiumRole||null},si={td:["tr"],th:["tr"],tr:["thead","tbody","tfoot","table"],thead:["table"],tbody:["table"],tfoot:["table"],li:["ol","ul"],dt:["dl","div"],dd:["dl","div"],div:["dl"]};function ui(e,t){var r=t.chromium,t=zu(t,Uu),r=li(e,{chromium:r});if(!r)return null;t=function e(t,r){var a=si[t.props.nodeName];if(!a)return null;if(!t.parent)throw new ReferenceError("Cannot determine role presentational inheritance of a required parent outside the current scope.");if(!a.includes(t.parent.props.nodeName))return null;a=Lo(t.parent,r);return["none","presentation"].includes(a)&&!ci(t.parent)?a:a?null:e(t.parent,r)}(e,t);return t||r}function ci(t){return Oo().some(function(e){return t.hasAttr(e)})||Va(t)}var di=function(e){var t=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noPresentational,r=function(e,t){var r=1<arguments.length&&void 0!==t?t:{},a=r.noImplicit,n=zu(r,Vu),o=e instanceof tt?e:Dr(e);return 1!==o.props.nodeType?null:!(r=Lo(o,n))||["presentation","none"].includes(r)&&ci(o)?a?null:ui(o,n):r}(e,zu(r,Hu));return t&&["presentation","none"].includes(r)?null:r},pi=["iframe"];var fi=function(e){var t=e instanceof tt?e:Dr(e);return 1!==t.props.nodeType||!e.hasAttr("title")||!ni(t,pi)&&["none","presentation"].includes(di(t))?"":t.attr("title")};var mi=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).strict;if(1!==(e=e instanceof tt?e:Dr(e)).props.nodeType)return!1;var r=di(e),a=nn.ariaRoles[r];return!(!a||!a.nameFromContent)||!t&&(!a||["presentation","none"].includes(r))};var hi=function(e){var t=e.actualNode,r=e.children;if(!r)throw new Error("getOwnedVirtual requires a virtual node");if(e.hasAttr("aria-owns")){t=_a(t,"aria-owns").filter(function(e){return!!e}).map(function(e){return axe.utils.getNodeFromTree(e)});return[].concat(Yu(r),Yu(t))}return Yu(r)};var gi=qo("phrasing").concat(["#text"]);var bi=function(e){var r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},t=Mi.alreadyProcessed;r.startNode=r.startNode||e;var a=(i=r).strict,n=i.inControlContext,o=i.inLabelledByContext,i=ii(e).contentTypes;return!(t(e,r)||1!==e.props.nodeType||null!=i&&i.includes("embedded"))&&(mi(e,{strict:a})||r.subtreeDescendant)?(a||(r=Xu({subtreeDescendant:!n&&!o},r)),hi(e).reduce(function(e,t){return function(e,t,r){var a=t.props.nodeName,r=Mi(t,r);if(!r)return e;gi.includes(a)||(" "!==r[0]&&(r+=" "),e&&" "!==e[e.length-1]&&(r=" "+r));return e+r}(e,t,r)},"")):""};var yi=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=Mi.alreadyProcessed;if(t.inControlContext||t.inLabelledByContext||r(e,t))return"";t.startNode||(t.startNode=e);var a,n=Xu({inControlContext:!0},t),r=function(e){if(!e.attr("id"))return[];if(e.actualNode)return oa({elm:"label",attr:"for",value:e.attr("id"),context:e.actualNode});throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes")}(e);return(t=Ir(e,"label"))?(a=[].concat(Yu(r),[t.actualNode])).sort(Gn):a=r,a.map(function(e){return ji(e,n)}).filter(function(e){return""!==e}).join(" ")},vi={submit:"Submit",image:"Submit",reset:"Reset",button:""};function Di(e,t){return t.attr(e)||""}function wi(e,t,r){var a=t.actualNode,t=[e=e.toLowerCase(),a.nodeName.toLowerCase()].join(","),t=a.querySelector(t);return t&&t.nodeName.toLowerCase()===e?ji(t,r):""}var xi={valueText:function(e){return e.actualNode.value||""},buttonDefaultText:function(e){e=e.actualNode;return vi[e.type]||""},tableCaptionText:wi.bind(null,"caption"),figureText:wi.bind(null,"figcaption"),svgTitleText:wi.bind(null,"title"),fieldsetLegendText:wi.bind(null,"legend"),altText:Di.bind(null,"alt"),tableSummaryText:Di.bind(null,"summary"),titleText:fi,subtreeText:bi,labelText:yi,singleSpace:function(){return" "},placeholderText:Di.bind(null,"placeholder")};function Ei(r){var a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},e=r.actualNode;if(1!==r.props.nodeType||["presentation","none"].includes(di(r)))return"";var t=(ii(r).namingMethods||[]).map(function(e){return xi[e]}).reduce(function(e,t){return e||t(r,a)},"");return a.debug&&axe.log(t||"{empty-value}",e,a),t}var Ai={accessibleNameFromFieldValue:["combobox","listbox","progressbar"]},Ci=["button","checkbox","color","file","hidden","image","password","radio","reset","submit"];var Fi=function(e){var t=(e=e instanceof tt?e:Dr(e)).props.nodeName;return"textarea"===t||"input"===t&&!Ci.includes((e.attr("type")||"").toLowerCase())};var ki=function(e){return"select"===(e=e instanceof tt?e:Dr(e)).props.nodeName};var Ri=function(e){return"textbox"===Lo(e)};var Ti=function(e){return"listbox"===Lo(e)};var Ni=function(e){return"combobox"===Lo(e)},_i=["progressbar","scrollbar","slider","spinbutton"];var Oi=function(e){return e=Lo(e),_i.includes(e)},Si=["textbox","progressbar","scrollbar","slider","spinbutton","combobox","listbox"],Pi={nativeTextboxValue:function(e){e=e instanceof tt?e:Dr(e);if(Fi(e))return e.props.value||"";return""},nativeSelectValue:function(e){var t=e instanceof tt?e:Dr(e);if(!ki(t))return"";e=vo(t,"option"),t=e.filter(function(e){return e.hasAttr("selected")});t.length||t.push(e[0]);return t.map(function(e){return Oa(e)}).join(" ")||""},ariaTextboxValue:function(e){var t=e instanceof tt?e:Dr(e),e=t.actualNode;if(!Ri(t))return"";return!e||e&&!Ma(e)?Oa(t,!0):e.textContent},ariaListboxValue:Ii,ariaComboboxValue:function(e,t){e=e instanceof tt?e:Dr(e);if(!Ni(e))return"";e=hi(e).filter(function(e){return"listbox"===di(e)})[0];return e?Ii(e,t):""},ariaRangeValue:function(e){e=e instanceof tt?e:Dr(e);if(!Oi(e)||!e.hasAttr("aria-valuenow"))return"";e=+e.attr("aria-valuenow");return isNaN(e)?"0":String(e)}};function Ii(e,t){e=e instanceof tt?e:Dr(e);if(!Ti(e))return"";e=hi(e).filter(function(e){return"option"===di(e)&&"true"===e.attr("aria-selected")});return 0===e.length?"":Mi(e[0],t)}function Bi(r){var a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},e=r.actualNode,t=Ai.accessibleNameFromFieldValue||[],n=di(r);return a.startNode===r||!Si.includes(n)||t.includes(n)?"":(n=Object.keys(Pi).map(function(e){return Pi[e]}).reduce(function(e,t){return e||t(r,a)},""),a.debug&&Qe(n||"{empty-value}",e,a),n)}function Li(r){var e=r.actualNode,a=function(e,t){var r=e.actualNode;t.startNode||(t=Xu({startNode:e},t));if(!r)return t;1===r.nodeType&&t.inLabelledByContext&&void 0===t.includeHidden&&(t=Xu({includeHidden:!ba(r,!0)},t));return t}(r,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{});if(function(e,t){e=e.actualNode;if(!e)return!1;if(1!==e.nodeType||t.includeHidden)return!1;return!ba(e,!0)}(r,a))return"";var t=[Ui,Po,Ei,Bi,bi,qi,fi].reduce(function(e,t){return""!==(e=a.startNode===r?ka(e):e)?e:t(r,a)},"");return a.debug&&axe.log(t||"{empty-value}",e,a),t}function qi(e){return 3!==e.props.nodeType?"":e.props.nodeValue}Li.alreadyProcessed=function(e,t){return t.processed=t.processed||[],!!t.processed.includes(e)||(t.processed.push(e),!1)};var Mi=Li;var ji=function(e,t){return e=Dr(e),Mi(e,t)};var Ui=function(r){var a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};if(!(r instanceof tt)){if(1!==r.nodeType)return"";r=Dr(r)}return 1!==r.props.nodeType||a.inLabelledByContext||a.inControlContext||!r.attr("aria-labelledby")?"":_a(r,"aria-labelledby").filter(function(e){return e}).reduce(function(e,t){t=ji(t,Xu({inLabelledByContext:!0,startNode:a.startNode||r},a));return e?"".concat(e," ").concat(t):t},"")},Vi={};function Hi(){return/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u259F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g}function zi(){return/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_`{|}~\\xb1]/g}function $i(){return/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g}o(Vi,{accessibleText:function(){return ji},accessibleTextVirtual:function(){return Mi},autocomplete:function(){return Qi},formControlValue:function(){return Bi},formControlValueMethods:function(){return Pi},hasUnicode:function(){return Gi},isHumanInterpretable:function(){return Xi},isIconLigature:function(){return Ji},isValidAutocomplete:function(){return Zi},label:function(){return rl},labelText:function(){return yi},labelVirtual:function(){return tl},nativeElementType:function(){return al},nativeTextAlternative:function(){return Ei},nativeTextMethods:function(){return xi},removeUnicode:function(){return Ki},sanitize:function(){return ka},subtreeText:function(){return bi},titleText:function(){return fi},unsupported:function(){return Ai},visible:function(){return el},visibleTextNodes:function(){return nl},visibleVirtual:function(){return Oa}});var Wi=c($e());var Gi=function(e,t){var r=t.emoji,a=t.nonBmp,t=t.punctuations;return r?Wi.default().test(e):a?Hi().test(e)||$i().test(e):!!t&&zi().test(e)},Yi=c($e());var Ki=function(e,t){var r=t.emoji,a=t.nonBmp,t=t.punctuations;return r&&(e=e.replace(Yi.default(),"")),a&&(e=(e=e.replace(Hi(),"")).replace($i(),"")),e=t?e.replace(zi(),""):e};var Xi=function(e){return!e.length||["x","i"].includes(e)?0:(e=Ki(e,{emoji:!0,nonBmp:!0,punctuations:!0}),ka(e)?1:0)};var Ji=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.15,r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:3,a=e.actualNode.nodeValue.trim();if(!ka(a)||Gi(a,{emoji:!0,nonBmp:!0}))return!1;vr.get("canvasContext")||vr.set("canvasContext",document.createElement("canvas").getContext("2d"));var n=vr.get("canvasContext"),o=n.canvas;vr.get("fonts")||vr.set("fonts",{});var i=vr.get("fonts"),l=window.getComputedStyle(e.parent.actualNode).getPropertyValue("font-family");i[l]||(i[l]={occurances:0,numLigatures:0});var s=i[l];if(s.occurances>=r){if(s.numLigatures/s.occurances==1)return!0;if(0===s.numLigatures)return!1}s.occurances++;var u=30,c="".concat(u,"px ").concat(l);n.font=c;var d=a.charAt(0);if((i=n.measureText(d).width)<30&&(i*=r=30/i,c="".concat(u*=r,"px ").concat(l)),o.width=i,o.height=u,n.font=c,n.textAlign="left",n.textBaseline="top",n.fillText(d,0,0),!(d=new Uint32Array(n.getImageData(0,0,i,u).data.buffer)).some(function(e){return e}))return s.numLigatures++,!0;n.clearRect(0,0,i,u),n.fillText(a,0,0);var p=new Uint32Array(n.getImageData(0,0,i,u).data.buffer),i=d.reduce(function(e,t,r){return 0===t&&0===p[r]||0!==t&&0!==p[r]?e:++e},0),u=a.split("").reduce(function(e,t){return e+n.measureText(t).width},0),a=n.measureText(a).width;return t<=i/d.length&&t<=1-a/u&&(s.numLigatures++,!0)},Qi={stateTerms:["on","off"],standaloneTerms:["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","one-time-code"],qualifiers:["home","work","mobile","fax","pager"],qualifiedTerms:["tel","tel-country-code","tel-national","tel-area-code","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp"],locations:["billing","shipping"]};var Zi=function(e){var t=void 0!==(a=(i=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).looseTyped)&&a,r=void 0===(o=i.stateTerms)?[]:o,a=void 0===(n=i.locations)?[]:n,n=void 0===(o=i.qualifiers)?[]:o,o=void 0===(o=i.standaloneTerms)?[]:o,i=void 0===(i=i.qualifiedTerms)?[]:i;return e=e.toLowerCase().trim(),!(!(r=r.concat(Qi.stateTerms)).includes(e)&&""!==e)||(n=n.concat(Qi.qualifiers),a=a.concat(Qi.locations),o=o.concat(Qi.standaloneTerms),i=i.concat(Qi.qualifiedTerms),r=e.split(/\\s+/g),!(!t&&(8<r[0].length&&"section-"===r[0].substr(0,8)&&r.shift(),a.includes(r[0])&&r.shift(),n.includes(r[0])&&(r.shift(),o=[]),1!==r.length))&&(r=r[r.length-1],o.includes(r)||i.includes(r)))};var el=function(e,t,r){return e=Dr(e),Oa(e,t,r)};var tl=function(e){if(t=Sa(e))return t;if(e.attr("id")){if(!e.actualNode)throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes");var t,r=Kt(e.attr("id"));if(t=(r=na(e.actualNode).querySelector(\'label[for="\'+r+\'"]\'))&&el(r,!0))return t}return(t=(r=Ir(e,"label"))&&Oa(r,!0))?t:null};var rl=function(e){return e=Dr(e),tl(e)},al=[{matches:[{nodeName:"textarea"},{nodeName:"input",properties:{type:["text","password","search","tel","email","url"]}}],namingMethods:"labelText"},{matches:{nodeName:"input",properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},{matches:{nodeName:"input",properties:{type:"image"}},namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},{matches:"button",namingMethods:"subtreeText"},{matches:"fieldset",namingMethods:"fieldsetLegendText"},{matches:"OUTPUT",namingMethods:"subtreeText"},{matches:[{nodeName:"select"},{nodeName:"input",properties:{type:/^(?!text|password|search|tel|email|url|button|submit|reset)/}}],namingMethods:"labelText"},{matches:"summary",namingMethods:"subtreeText"},{matches:"figure",namingMethods:["figureText","titleText"]},{matches:"img",namingMethods:"altText"},{matches:"table",namingMethods:["tableCaptionText","tableSummaryText"]},{matches:["hr","br"],namingMethods:["titleText","singleSpace"]}];var nl=function t(e){var r=ba(e.actualNode),a=[];return e.children.forEach(function(e){3===e.actualNode.nodeType?r&&a.push(e):a=a.concat(t(e))}),a},ol=/^idrefs?$/;var il=function(e){e=e.actualNode||e;var t=(t=na(e)).documentElement||t,r=vr.get("idRefsByRoot");r||(r=new WeakMap,vr.set("idRefsByRoot",r));var a=r.get(t);return a||(r.set(t,a={}),function e(t,r,a){if(t.hasAttribute){var n;"LABEL"===t.nodeName.toUpperCase()&&t.hasAttribute("for")&&(r[n=t.getAttribute("for")]=r[n]||[],r[n].push(t));for(var o=0;o<a.length;++o){var i=a[o];if(i=ka(t.getAttribute(i)||""))for(var l=Co(i),s=0;s<l.length;++s)r[l[s]]=r[l[s]]||[],r[l[s]].push(t)}}for(var u=0;u<t.children.length;u++)e(t.children[u],r,a)}(t,a,Object.keys(nn.ariaAttrs).filter(function(e){e=nn.ariaAttrs[e].type;return ol.test(e)}))),a[e.id]||[]};var ll=function(e){return(e=nn.ariaRoles[e])?e.type:null};var sl=function(e,t){return e=e instanceof tt?e:Dr(e),t===li(e)||(e=ii(e),Array.isArray(e.allowedRoles)?e.allowedRoles.includes(t):!!e.allowedRoles)},ul=["doc-backlink","doc-biblioentry","doc-biblioref","doc-cover","doc-endnote","doc-glossref","doc-noteref"];var cl=function(r){var a=!(1<arguments.length&&void 0!==arguments[1])||arguments[1],n=r.nodeName.toUpperCase();if(!Vn(r))return[];var e,t,o=(o=[],(e=r)?(e.hasAttribute("role")&&(t=Co(e.getAttribute("role").toLowerCase()),o=o.concat(t)),e.hasAttributeNS("http://www.idpf.org/2007/ops","type")&&(e=Co(e.getAttributeNS("http://www.idpf.org/2007/ops","type").toLowerCase()).map(function(e){return"doc-".concat(e)}),o=o.concat(e)),o=o.filter(function(e){return Bo(e)})):o),i=li(r);return o.filter(function(e){if(a&&e===i)return!1;if(a&&ul.includes(e)){var t=ll(e);if(i!==t)return!0}return!(a||"row"===e&&"TR"===n&&tr(r,\'table[role="grid"] > tr\'))||!sl(r,e)})};var dl=function(t){return Object.keys(nn.ariaRoles).filter(function(e){return nn.ariaRoles[e].type===t})};var pl=function(e){return dl(e)};var fl=function(){if(vr.get("ariaRolesNameFromContent"))return vr.get("ariaRolesNameFromContent");var e=Object.keys(nn.ariaRoles).filter(function(e){return nn.ariaRoles[e].nameFromContent});return vr.set("ariaRolesNameFromContent",e),e};var ml=function(){return fl()},hl=function(e){return null===e},gl=function(e){return null!==e},bl={attributes:{"aria-activedescendant":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-atomic":{type:"boolean",values:["true","false"],unsupported:!1},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"],unsupported:!1},"aria-busy":{type:"boolean",values:["true","false"],unsupported:!1},"aria-checked":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-colcount":{type:"int",unsupported:!1},"aria-colindex":{type:"int",unsupported:!1},"aria-colspan":{type:"int",unsupported:!1},"aria-controls":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],unsupported:!1},"aria-describedby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-describedat":{unsupported:!0,unstandardized:!0},"aria-details":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-disabled":{type:"boolean",values:["true","false"],unsupported:!1},"aria-dropeffect":{type:"nmtokens",values:["copy","move","reference","execute","popup","none"],unsupported:!1},"aria-errormessage":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-flowto":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],unsupported:!1},"aria-hidden":{type:"boolean",values:["true","false"],unsupported:!1},"aria-invalid":{type:"nmtoken",allowEmpty:!0,values:["true","false","spelling","grammar"],unsupported:!1},"aria-keyshortcuts":{type:"string",allowEmpty:!0,unsupported:!1},"aria-label":{type:"string",allowEmpty:!0,unsupported:!1},"aria-labelledby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-level":{type:"int",unsupported:!1},"aria-live":{type:"nmtoken",values:["off","polite","assertive"],unsupported:!1},"aria-modal":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiline":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiselectable":{type:"boolean",values:["true","false"],unsupported:!1},"aria-orientation":{type:"nmtoken",values:["horizontal","vertical"],unsupported:!1},"aria-owns":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-placeholder":{type:"string",allowEmpty:!0,unsupported:!1},"aria-posinset":{type:"int",unsupported:!1},"aria-pressed":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-readonly":{type:"boolean",values:["true","false"],unsupported:!1},"aria-relevant":{type:"nmtokens",values:["additions","removals","text","all"],unsupported:!1},"aria-required":{type:"boolean",values:["true","false"],unsupported:!1},"aria-roledescription":{type:"string",allowEmpty:!0,unsupported:!1},"aria-rowcount":{type:"int",unsupported:!1},"aria-rowindex":{type:"int",unsupported:!1},"aria-rowspan":{type:"int",unsupported:!1},"aria-selected":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-setsize":{type:"int",unsupported:!1},"aria-sort":{type:"nmtoken",values:["ascending","descending","other","none"],unsupported:!1},"aria-valuemax":{type:"decimal",unsupported:!1},"aria-valuemin":{type:"decimal",unsupported:!1},"aria-valuenow":{type:"decimal",unsupported:!1},"aria-valuetext":{type:"string",unsupported:!1}},globalAttributes:["aria-atomic","aria-busy","aria-controls","aria-current","aria-describedby","aria-details","aria-disabled","aria-dropeffect","aria-flowto","aria-grabbed","aria-haspopup","aria-hidden","aria-invalid","aria-keyshortcuts","aria-label","aria-labelledby","aria-live","aria-owns","aria-relevant","aria-roledescription"]};bl.role={alert:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},alertdialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["dialog","section"]},application:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage","aria-activedescendant"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","audio","embed","iframe","object","section","svg","video"]},article:{type:"structure",attributes:{allowed:["aria-expanded","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["article"],unsupported:!1},banner:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["header"],unsupported:!1,allowedElements:["section"]},button:{type:"widget",attributes:{allowed:["aria-expanded","aria-pressed","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["button",\'input[type="button"]\',\'input[type="image"]\',\'input[type="reset"]\',\'input[type="submit"]\',"summary"],unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:gl}}]},cell:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},checkbox:{type:"widget",attributes:{allowed:["aria-checked","aria-required","aria-readonly","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:[\'input[type="checkbox"]\'],unsupported:!1,allowedElements:["button"]},columnheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},combobox:{type:"composite",attributes:{allowed:["aria-autocomplete","aria-required","aria-activedescendant","aria-orientation","aria-errormessage"],required:["aria-expanded"]},owned:{all:["listbox","tree","grid","dialog","textbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:"input",properties:{type:["text","search","tel","url","email"]}}]},command:{nameFrom:["author"],type:"abstract",unsupported:!1},complementary:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["aside"],unsupported:!1,allowedElements:["section"]},composite:{nameFrom:["author"],type:"abstract",unsupported:!1},contentinfo:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["footer"],unsupported:!1,allowedElements:["section"]},definition:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dd","dfn"],unsupported:!1},dialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dialog"],unsupported:!1,allowedElements:["section"]},directory:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["ol","ul"]},document:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["body"],unsupported:!1,allowedElements:["article","embed","iframe","object","section","svg"]},"doc-abstract":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-acknowledgments":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-afterword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-appendix":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-backlink":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:gl}}]},"doc-biblioentry":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:["doc-bibliography"],unsupported:!1,allowedElements:["li"]},"doc-bibliography":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-biblioentry"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-biblioref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:gl}}]},"doc-chapter":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-colophon":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-conclusion":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-cover":{type:"img",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-credit":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-credits":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-dedication":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-endnote":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,namefrom:["author"],context:["doc-endnotes"],unsupported:!1,allowedElements:["li"]},"doc-endnotes":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-endnote"]},namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-epigraph":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-epilogue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-errata":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-example":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-footnote":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","footer","header"]},"doc-foreword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-glossary":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:["term","definition"],namefrom:["author"],context:null,unsupported:!1,allowedElements:["dl"]},"doc-glossref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:gl}}]},"doc-index":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-introduction":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-noteref":{type:"link",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:gl}}]},"doc-notice":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pagebreak":{type:"separator",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["hr"]},"doc-pagelist":{type:"navigation",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-part":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-preface":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-prologue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pullquote":{type:"none",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-qna":{type:"section",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-subtitle":{type:"sectionhead",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["h1","h2","h3","h4","h5","h6"]}},"doc-tip":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},"doc-toc":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},feed:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["article"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","aside","section"]},figure:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["figure"],unsupported:!1},form:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["form"],unsupported:!1},grid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-colcount","aria-level","aria-multiselectable","aria-readonly","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,implicit:["table"],unsupported:!1},gridcell:{type:"widget",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-selected","aria-readonly","aria-required","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},group:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["details","optgroup"],unsupported:!1,allowedElements:["dl","figcaption","fieldset","figure","footer","header","ol","ul"]},heading:{type:"structure",attributes:{required:["aria-level"],allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["h1","h2","h3","h4","h5","h6"],unsupported:!1},img:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["img"],unsupported:!1,allowedElements:["embed","iframe","object","svg"]},input:{nameFrom:["author"],type:"abstract",unsupported:!1},landmark:{nameFrom:["author"],type:"abstract",unsupported:!1},link:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["a[href]","area[href]"],unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["image","button"]}}]},list:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{all:["listitem"]},nameFrom:["author"],context:null,implicit:["ol","ul","dl"],unsupported:!1},listbox:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-readonly","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["option"]},nameFrom:["author"],context:null,implicit:["select"],unsupported:!1,allowedElements:["ol","ul"]},listitem:{type:"structure",attributes:{allowed:["aria-level","aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["list"],implicit:["li","dt"],unsupported:!1},log:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},main:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["main"],unsupported:!1,allowedElements:["article","section"]},marquee:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},math:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["math"],unsupported:!1},menu:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,implicit:[\'menu[type="context"]\'],unsupported:!1,allowedElements:["ol","ul"]},menubar:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},menuitem:{type:"widget",attributes:{allowed:["aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:[\'menuitem[type="command"]\'],unsupported:!1,allowedElements:["button","li",{nodeName:"iput",properties:{type:["image","button"]}},{nodeName:"a",attributes:{href:gl}}]},menuitemcheckbox:{type:"widget",attributes:{allowed:["aria-checked","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:[\'menuitem[type="checkbox"]\'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:gl}}]},menuitemradio:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:[\'menuitem[type="radio"]\'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button","radio"]}},{nodeName:"a",attributes:{href:gl}}]},navigation:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["nav"],unsupported:!1,allowedElements:["section"]},none:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:gl}}]},note:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},option:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-checked","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["listbox"],implicit:["option"],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","button"]}},{nodeName:"a",attributes:{href:gl}}]},presentation:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:gl}}]},progressbar:{type:"widget",attributes:{allowed:["aria-valuetext","aria-valuenow","aria-valuemax","aria-valuemin","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["progress"],unsupported:!1},radio:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-required","aria-errormessage","aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,implicit:[\'input[type="radio"]\'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button"]}}]},radiogroup:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-required","aria-expanded","aria-readonly","aria-errormessage","aria-orientation"]},owned:{all:["radio"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["ol","ul","fieldset"]}},range:{nameFrom:["author"],type:"abstract",unsupported:!1},region:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["section[aria-label]","section[aria-labelledby]","section[title]"],unsupported:!1,allowedElements:{nodeName:["article","aside"]}},roletype:{type:"abstract",unsupported:!1},row:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-colindex","aria-expanded","aria-level","aria-selected","aria-rowindex","aria-errormessage"]},owned:{one:["cell","columnheader","rowheader","gridcell"]},nameFrom:["author","contents"],context:["rowgroup","grid","treegrid","table"],implicit:["tr"],unsupported:!1},rowgroup:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:{all:["row"]},nameFrom:["author","contents"],context:["grid","table","treegrid"],implicit:["tbody","thead","tfoot"],unsupported:!1},rowheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},scrollbar:{type:"widget",attributes:{required:["aria-controls","aria-valuenow"],allowed:["aria-valuetext","aria-orientation","aria-errormessage","aria-valuemax","aria-valuemin"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},search:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["aside","form","section"]}},searchbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="search"]\'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:"text"}}},section:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},sectionhead:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},select:{nameFrom:["author"],type:"abstract",unsupported:!1},separator:{type:"structure",attributes:{allowed:["aria-expanded","aria-orientation","aria-valuenow","aria-valuemax","aria-valuemin","aria-valuetext","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["hr"],unsupported:!1,allowedElements:["li"]},slider:{type:"widget",attributes:{allowed:["aria-valuetext","aria-orientation","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="range"]\'],unsupported:!1},spinbutton:{type:"widget",attributes:{allowed:["aria-valuetext","aria-required","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="number"]\'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:["text","tel"]}}},status:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["output"],unsupported:!1,allowedElements:["section"]},structure:{type:"abstract",unsupported:!1},switch:{type:"widget",attributes:{allowed:["aria-errormessage"],required:["aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:gl}}]},tab:{type:"widget",attributes:{allowed:["aria-selected","aria-expanded","aria-setsize","aria-posinset","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["tablist"],unsupported:!1,allowedElements:[{nodeName:["button","h1","h2","h3","h4","h5","h6","li"]},{nodeName:"input",properties:{type:"button"}},{nodeName:"a",attributes:{href:gl}}]},table:{type:"structure",attributes:{allowed:["aria-colcount","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author","contents"],context:null,implicit:["table"],unsupported:!1},tablist:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-errormessage"]},owned:{all:["tab"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},tabpanel:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},term:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["dt"],unsupported:!1},textbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:[\'input[type="text"]\',\'input[type="email"]\',\'input[type="password"]\',\'input[type="tel"]\',\'input[type="url"]\',"input:not([type])","textarea"],unsupported:!1},timer:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},toolbar:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:[\'menu[type="toolbar"]\'],unsupported:!1,allowedElements:["ol","ul"]},tooltip:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1},tree:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["treeitem"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},treegrid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-readonly","aria-required","aria-rowcount","aria-orientation","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,unsupported:!1},treeitem:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["group","tree"],unsupported:!1,allowedElements:["li",{nodeName:"a",attributes:{href:gl}}]},widget:{type:"abstract",unsupported:!1},window:{nameFrom:["author"],type:"abstract",unsupported:!1}},bl.implicitHtmlRole=Wo,bl.elementsAllowedNoRole=[{nodeName:["base","body","caption","col","colgroup","datalist","dd","details","dt","head","html","keygen","label","legend","main","map","math","meta","meter","noscript","optgroup","param","picture","progress","script","source","style","template","textarea","title","track"]},{nodeName:"area",attributes:{href:gl}},{nodeName:"input",properties:{type:["color","data","datatime","file","hidden","month","number","password","range","reset","submit","time","week"]}},{nodeName:"link",attributes:{href:gl}},{nodeName:"menu",attributes:{type:"context"}},{nodeName:"menuitem",attributes:{type:["command","checkbox","radio"]}},{nodeName:"select",condition:function(e){return e instanceof axe.AbstractVirtualNode||(e=axe.utils.getNodeFromTree(e)),1<Number(e.attr("size"))},properties:{multiple:!0}},{nodeName:["clippath","cursor","defs","desc","feblend","fecolormatrix","fecomponenttransfer","fecomposite","feconvolvematrix","fediffuselighting","fedisplacementmap","fedistantlight","fedropshadow","feflood","fefunca","fefuncb","fefuncg","fefuncr","fegaussianblur","feimage","femerge","femergenode","femorphology","feoffset","fepointlight","fespecularlighting","fespotlight","fetile","feturbulence","filter","hatch","hatchpath","lineargradient","marker","mask","meshgradient","meshpatch","meshrow","metadata","mpath","pattern","radialgradient","solidcolor","stop","switch","view"]}],bl.elementsAllowedAnyRole=[{nodeName:"a",attributes:{href:hl}},{nodeName:"img",attributes:{alt:hl}},{nodeName:["abbr","address","canvas","div","p","pre","blockquote","ins","del","output","span","table","tbody","thead","tfoot","td","em","strong","small","s","cite","q","dfn","abbr","time","code","var","samp","kbd","sub","sup","i","b","u","mark","ruby","rt","rp","bdi","bdo","br","wbr","th","tr"]}],bl.evaluateRoleForElement={A:function(e){var t=e.node,e=e.out;return"http://www.w3.org/2000/svg"===t.namespaceURI||(!t.href.length||e)},AREA:function(e){return!e.node.href},BUTTON:function(e){var t=e.node,r=e.role,e=e.out;return"menu"===t.getAttribute("type")?"menuitem"===r:e},IMG:function(e){var t=e.node,r=e.role,a=e.out;switch(t.alt){case null:return a;case"":return"presentation"===r||"none"===r;default:return"presentation"!==r&&"none"!==r}},INPUT:function(e){var t=e.node,r=e.role,a=e.out;switch(t.type){case"button":case"image":return a;case"checkbox":return"button"===r&&t.hasAttribute("aria-pressed")?!0:a;case"radio":return"menuitemradio"===r;case"text":return"combobox"===r||"searchbox"===r||"spinbutton"===r;case"tel":return"combobox"===r||"spinbutton"===r;case"url":case"search":case"email":return"combobox"===r;default:return!1}},LI:function(e){var t=e.node,e=e.out;return!axe.utils.matchesSelector(t,"ol li, ul li")||e},MENU:function(e){return"context"!==e.node.getAttribute("type")},OPTION:function(e){e=e.node;return!axe.utils.matchesSelector(e,"select > option, datalist > option, optgroup > option")},SELECT:function(e){var t=e.node,e=e.role;return!t.multiple&&t.size<=1&&"menu"===e},SVG:function(e){var t=e.node,e=e.out;return!(!t.parentNode||"http://www.w3.org/2000/svg"!==t.parentNode.namespaceURI)||e}},bl.rolesOfType={widget:["button","checkbox","dialog","gridcell","link","log","marquee","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","searchbox","slider","spinbutton","status","switch","tab","tabpanel","textbox","timer","tooltip","tree","treeitem"]};var yl=bl;var vl=function(e){var t=null,e=yl.role[e];return t=e&&e.implicit?Ar(e.implicit):t};var Dl=function(e){return!!il(e).length};var wl=function(e){return e=Dr(e),Sa(e)};var xl=function(e){return(e=nn.ariaRoles[e])&&Array.isArray(e.requiredAttrs)?Yu(e.requiredAttrs):[]};var El=function(e){return(e=nn.ariaRoles[e])&&Array.isArray(e.requiredContext)?Yu(e.requiredContext):null};var Al=function(e){return(e=nn.ariaRoles[e])&&Array.isArray(e.requiredOwned)?Yu(e.requiredOwned):null};var Cl=function(e,t){var r,a=e.getAttribute(t),n=nn.ariaAttrs[t],o=na(e);if(!n)return!0;if(n.allowEmpty&&(!a||""===a.trim()))return!0;switch(n.type){case"boolean":return["true","false"].includes(a.toLowerCase());case"nmtoken":return"string"==typeof a&&n.values.includes(a.toLowerCase());case"nmtokens":return(r=Co(a)).reduce(function(e,t){return e&&n.values.includes(t)},0!==r.length);case"idref":return!(!a||!o.getElementById(a));case"idrefs":return(r=Co(a)).some(function(e){return o.getElementById(e)});case"string":return""!==a.trim();case"decimal":return!(!(i=a.match(/^[-+]?([0-9]*)\\.?([0-9]*)$/))||!i[1]&&!i[2]);case"int":var i=void 0!==n.minValue?n.minValue:-1/0;return/^[-+]?[0-9]+$/.test(a)&&parseInt(a)>=i}};var Fl=function(e){return!!nn.ariaAttrs[e]};function kl(e,t,r){return 0<(r=Co(r.attr("role")).filter(function(e){return"abstract"===ll(e)})).length&&(this.data(r),!0)}function Rl(e,t,r){var a=[],n=di(r),o=r.attrNames,i=So(n);if(Array.isArray(t[n])&&(i=io(t[n].concat(i))),n&&i)for(var l=0;l<o.length;l++){var s=o[l];Fl(s)&&!i.includes(s)&&a.push(s+\'="\'+r.attr(s)+\'"\')}return!a.length||(this.data(a),!1)}function Tl(e){var t=void 0===(a=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowImplicit)||a,r=void 0===(a=r.ignoredTags)?[]:a,a=e.nodeName.toUpperCase();return!!r.map(function(e){return e.toUpperCase()}).includes(a)||(!(t=cl(e,t)).length||(this.data(t),!ba(e,!0)&&void 0))}function Nl(r,e){e=Array.isArray(e)?e:[];var t=r.getAttribute("aria-errormessage"),a=r.hasAttribute("aria-errormessage"),n=r.getAttribute("aria-invalid");if(!r.hasAttribute("aria-invalid")||"false"===n)return!0;var o=na(r);return-1!==e.indexOf(t)||!a||(this.data(Co(t)),function(e){if(""===e.trim())return nn.ariaAttrs["aria-errormessage"].allowEmpty;var t=e&&o.getElementById(e);return t?"alert"===t.getAttribute("role")||"assertive"===t.getAttribute("aria-live")||"polite"===t.getAttribute("aria-live")||-1<Co(r.getAttribute("aria-describedby")).indexOf(e):void 0}(t))}function _l(e,t,r){return"true"!==r.attr("aria-hidden")}function Ol(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=2<arguments.length?arguments[2]:void 0,t=t.elementsAllowedAriaLabel||[];return 0!==(t=function(e,t){var r=di(e,{chromium:!0}),a=nn.ariaRoles[r];if(a)return a.prohibitedAttrs||[];e=e.props.nodeName;return r||t.includes(e)?[]:["aria-label","aria-labelledby"]}(r,t).filter(function(e){return!!r.attrNames.includes(e)&&""!==ka(r.attr(e))})).length&&(this.data(t),!(""!==ka(bi(r)))||void 0)}var Sl={};o(Sl,{getAriaRolesByType:function(){return dl},getAriaRolesSupportingNameFromContent:function(){return fl},getElementSpec:function(){return ii},getElementsByContentType:function(){return qo},getGlobalAriaAttrs:function(){return Oo},implicitHtmlRoles:function(){return Wo}});function Pl(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=2<arguments.length?arguments[2]:void 0,a=[];if(r.attrNames.length){var n=Lo(r),o=xl(n),i=ii(r);if(Array.isArray(t[n])&&(o=io(t[n],o)),n&&o)for(var l=0,s=o.length;l<s;l++){var u=o[l];r.attr(u)||i.implicitAttrs&&void 0!==i.implicitAttrs[u]||a.push(u)}}return!a.length||(this.data(a),!1)}function Il(e,r){for(var a=[],n=hi(e),t=0;t<n.length;t++)!function(e){var e=n[e],t=di(e,{noPresentational:!0});!t||["group","rowgroup"].includes(t)&&r.some(function(e){return e===t})?n.push.apply(n,Yu(e.children)):t&&a.push(t)}(t);return a}function Bl(e,t,r){var a=t&&Array.isArray(t.reviewEmpty)?t.reviewEmpty:[],n=Lo(r,{dpub:!0}),o=Al(n);return null===o||(t=Il(r,o),!(o=function(e,t,r,a){var n,o,i,l="combobox"===t;l&&(("input"===e.props.nodeName&&["text","search","email","url","tel"].includes(e.props.type)||a.includes("searchbox"))&&(r=r.filter(function(e){return"textbox"!==e})),n=["listbox","tree","grid","dialog"],t=e.attr("aria-expanded"),o=t&&"false"!==t.toLowerCase(),i=(e.attr("aria-haspopup")||"listbox").toLowerCase(),r=r.filter(function(e){return!n.includes(e)||o&&e===i}));for(var s=0;s<a.length;s++){var u=a[s];if(r.includes(u)&&(r=r.filter(function(e){return e!==u}),!l))return null}return r.length?r:null}(r,n,o,t))||(this.data(o),!(!a.includes(n)||Ia(r,!1,!0)||t.length||r.hasAttr("aria-owns")&&_a(e,"aria-owns").length)&&void 0))}function Ll(e,t,r,a){var n=Lo(e);if(!(r=r||El(n)))return null;for(var o=a?e:e.parent;o;){var i=di(o);if(r.includes("group")&&"group"===i)t.includes(n)&&r.push(n),o=o.parent;else{if(r.includes(i))return null;if(i&&!["presentation","none"].includes(i))return r;o=o.parent}}return r}function ql(e,t,r){var a=t&&Array.isArray(t.ownGroupRoles)?t.ownGroupRoles:[],n=Ll(r,a);if(!n)return!0;var o=function(e){for(var t,r=[],a=null;e;)e.getAttribute("id")&&(t=Kt(e.getAttribute("id")),(a=na(e).querySelector("[aria-owns~=".concat(t,"]")))&&r.push(a)),e=e.parentElement;return r.length?r:null}(e);if(o)for(var i=0,l=o.length;i<l;i++)if(!(n=Ll(Dr(o[i]),a,n,!0)))return!0;return this.data(n),!1}function Ml(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=di(e);return!!(t.supportedRoles||[]).includes(r)||!(!r||"presentation"===r||"none"===r)&&void 0}function jl(r,e,t){return!!(t=t.attrNames.filter(function(e){var t=nn.ariaAttrs[e];if(!Fl(e))return!1;t=t.unsupported;return"object"!==Lu(t)?!!t:!oi(r,t.exceptions)})).length&&(this.data(t),!0)}function Ul(e,t,r){t=Array.isArray(t.value)?t.value:[];var a=[],n=/^aria-/;return r.attrNames.forEach(function(e){-1===t.indexOf(e)&&n.test(e)&&!Fl(e)&&a.push(e)}),!a.length||(this.data(a),!1)}function Vl(e,t){t=Array.isArray(t.value)?t.value:[];for(var r="",a="",n=[],o=/^aria-/,i=er(e),l=["aria-errormessage"],s={"aria-controls":function(){return"false"!==e.getAttribute("aria-expanded")&&"false"!==e.getAttribute("aria-selected")},"aria-current":function(){Cl(e,"aria-current")||(r=\'aria-current="\'.concat(e.getAttribute("aria-current"),\'"\'),a="ariaCurrent")},"aria-owns":function(){return"false"!==e.getAttribute("aria-expanded")},"aria-describedby":function(){Cl(e,"aria-describedby")||(r=\'aria-describedby="\'.concat(e.getAttribute("aria-describedby"),\'"\'),a="noId")},"aria-labelledby":function(){Cl(e,"aria-labelledby")||(r=\'aria-labelledby="\'.concat(e.getAttribute("aria-labelledby"),\'"\'),a="noId")}},u=0,c=i.length;u<c;u++){var d=i[u],p=d.name;l.includes(p)||-1!==t.indexOf(p)||!o.test(p)||s[p]&&!s[p]()||Cl(e,p)||n.push("".concat(p,\'="\').concat(d.nodeValue,\'"\'))}if(!r)return!n.length||(this.data(n),!1);this.data({messageKey:a,needsReview:r})}function Hl(e,t,r){return 1<Co(r.attr("role")).length}function zl(e,t,r){var a=Oo().filter(function(e){return r.hasAttr(e)});return this.data(a),0<a.length}function $l(e,t){return null!==li(t,{chromium:!0})}function Wl(e){return null!==(e=e.getAttribute("role"))&&("widget"===(e=ll(e))||"composite"===e)}function Gl(e,t,r){return!!(r=Co(r.attr("role"))).every(function(e){return!Bo(e,{allowAbstract:!0})})&&(this.data(r),!0)}function Yl(e,t,r){return Va(r)}function Kl(e,t,r){var a,n,o=di(r,{noImplicit:!0});this.data(o);try{a=ka(yi(r)).toLowerCase(),n=ka(Mi(r)).toLowerCase()}catch(e){return}return!(!n&&!a)&&(!((n||!a)&&n.includes(a))&&void 0)}function Xl(e,t,r){return Io(di(r))}var Jl={ARTICLE:!0,ASIDE:!0,NAV:!0,SECTION:!0},Ql={application:!0,banner:!1,complementary:!0,contentinfo:!0,form:!0,main:!0,navigation:!0,region:!0,search:!1};function Zl(e,t){return r=t,(t=Lo(t=e))&&(Ql[t]||r.roles.includes(t))||!1||(t=(t=e).nodeName.toUpperCase(),Jl[t]||!1);var r}var es={};o(es,{getAllCells:function(){return ts},getCellPosition:function(){return jo},getHeaders:function(){return as},getScope:function(){return Uo},isColumnHeader:function(){return Vo},isDataCell:function(){return ns},isDataTable:function(){return os},isHeader:function(){return is},isRowHeader:function(){return Ho},toArray:function(){return Mo},toGrid:function(){return Mo},traverse:function(){return ls}});var ts=function(e){for(var t,r,a=[],n=0,o=e.rows.length;n<o;n++)for(t=0,r=e.rows[n].cells.length;t<r;t++)a.push(e.rows[n].cells[t]);return a};function rs(e,t,r){for(var a,n="row"===e?"_rowHeaders":"_colHeaders",o="row"===e?Ho:Vo,i=r[t.y][t.x],l=i.colSpan-1,s=i.getAttribute("rowspan"),i=0===parseInt(s)||0===i.rowspan?r.length:i.rowSpan,i=t.y+(i-1),u=t.x+l,c="row"===e?t.y:0,d="row"===e?0:t.x,p=[],f=i;c<=f&&!a;f--)for(var m=u;d<=m;m--){var h=r[f]?r[f][m]:void 0;if(h){var g=axe.utils.getNodeFromTree(h);if(g[n]){a=g[n];break}p.push(h)}}return a=(a||[]).concat(p.filter(o)),p.forEach(function(e){axe.utils.getNodeFromTree(e)[n]=a}),a}var as=function(e,t){if(e.getAttribute("headers")){var r=_a(e,"headers");if(r.filter(function(e){return e}).length)return r}return t=t||Mo(la(e,"table")),r=jo(e,t),e=rs("row",r,t),t=rs("col",r,t),[].concat(e,t).reverse()};var ns=function(e){if(!e.children.length&&!e.textContent.trim())return!1;var t=e.getAttribute("role");return Bo(t)?["cell","gridcell"].includes(t):"TD"===e.nodeName.toUpperCase()};var os=function(e){var t=(e.getAttribute("role")||"").toLowerCase();if(("presentation"===t||"none"===t)&&!Va(e))return!1;if("true"===e.getAttribute("contenteditable")||la(e,\'[contenteditable="true"]\'))return!0;if("grid"===t||"treegrid"===t||"table"===t)return!0;if("landmark"===ll(t))return!0;if("0"===e.getAttribute("datatable"))return!1;if(e.getAttribute("summary"))return!0;if(e.tHead||e.tFoot||e.caption)return!0;for(var r=0,a=e.children.length;r<a;r++)if("COLGROUP"===e.children[r].nodeName.toUpperCase())return!0;for(var n,o,i,l=0,s=e.rows.length,u=!1,c=0;c<s;c++)for(var d,p=0,f=(d=e.rows[c]).cells.length;p<f;p++){if("TH"===(n=d.cells[p]).nodeName.toUpperCase())return!0;if(u||n.offsetWidth===n.clientWidth&&n.offsetHeight===n.clientHeight||(u=!0),n.getAttribute("scope")||n.getAttribute("headers")||n.getAttribute("abbr"))return!0;if(["columnheader","rowheader"].includes((n.getAttribute("role")||"").toLowerCase()))return!0;if(1===n.children.length&&"ABBR"===n.children[0].nodeName.toUpperCase())return!0;l++}if(e.getElementsByTagName("table").length)return!1;if(s<2)return!1;if(1===(t=e.rows[Math.ceil(s/2)]).cells.length&&1===t.cells[0].colSpan)return!1;if(5<=t.cells.length)return!0;if(u)return!0;for(c=0;c<s;c++){if(d=e.rows[c],o&&o!==window.getComputedStyle(d).getPropertyValue("background-color"))return!0;if(o=window.getComputedStyle(d).getPropertyValue("background-color"),i&&i!==window.getComputedStyle(d).getPropertyValue("background-image"))return!0;i=window.getComputedStyle(d).getPropertyValue("background-image")}return 20<=s||!(da(e).width>.95*pa(window).width)&&(!(l<10)&&!e.querySelector("object, embed, iframe, applet"))};var is=function(e){if(Vo(e)||Ho(e))return!0;if(e.getAttribute("id")){e=Kt(e.getAttribute("id"));return!!document.querySelector(\'[headers~="\'.concat(e,\'"]\'))}return!1};var ls=function(e,t,r,a){if(Array.isArray(t)&&(a=r,r=t,t={x:0,y:0}),"string"==typeof e)switch(e){case"left":e={x:-1,y:0};break;case"up":e={x:0,y:-1};break;case"right":e={x:1,y:0};break;case"down":e={x:0,y:1}}return function e(t,r,a,n){var o,i=a[r.y]?a[r.y][r.x]:void 0;return i?"function"==typeof n&&!0===(o=n(i,r,a))?[i]:((o=e(t,{x:r.x+t.x,y:r.y+t.y},a,n)).unshift(i),o):[]}(e,{x:t.x+e.x,y:t.y+e.y},r,a)};function ss(e){var t=Mo(e),a=t[0];return t.length<=1||a.length<=1||e.rows.length<=1||a.reduce(function(e,t,r){return e||t!==a[r+1]&&void 0!==a[r+1]},!1)}function us(e){return!za(document)||"TH"===e.nodeName.toUpperCase()}function cs(e){return!(!e.summary||!e.caption)&&e.summary.toLowerCase()===ji(e.caption).toLowerCase()}function ds(e,t){return e=e.getAttribute("scope").toLowerCase(),-1!==t.values.indexOf(e)}function ps(e){var t=[],r=ts(e),a=Mo(e);return r.forEach(function(e){Ba(e)&&ns(e)&&!wl(e)&&(as(e,a).some(function(e){return null!==e&&!!Ba(e)})||t.push(e))}),!t.length||(this.relatedNodes(t),!1)}function fs(e){for(var t=[],n=[],o=[],r=0;r<e.rows.length;r++)for(var a=e.rows[r],i=0;i<a.cells.length;i++)t.push(a.cells[i]);var l=t.reduce(function(e,t){return t.getAttribute("id")&&e.push(t.getAttribute("id")),e},[]);return t.forEach(function(e){var t,r=!1;if(e.hasAttribute("headers")){var a=e.getAttribute("headers").trim();if(!a)return n.push(e);a=Co(a);0!==a.length&&(e.getAttribute("id")&&(r=-1!==a.indexOf(e.getAttribute("id").trim())),t=a.some(function(e){return!l.includes(e)}),(r||t)&&o.push(e))}}),0<o.length?(this.relatedNodes(o),!1):!n.length||void this.relatedNodes(n)}function ms(e){var t=ts(e),a=this,n=[];t.forEach(function(e){var t=e.getAttribute("headers");t&&(n=n.concat(t.split(/\\s+/)));e=e.getAttribute("aria-labelledby");e&&(n=n.concat(e.split(/\\s+/)))});var t=t.filter(function(e){return""!==ka(e.textContent)&&("TH"===e.nodeName.toUpperCase()||-1!==["rowheader","columnheader"].indexOf(e.getAttribute("role")))}),o=Mo(e),i=!0;return t.forEach(function(t){var e,r;t.getAttribute("id")&&n.includes(t.getAttribute("id"))||(e=jo(t,o),r=!1,(r=!(r=Vo(t)?ls("down",e,o).find(function(e){return!Vo(e)&&as(e,o).includes(t)}):r)&&Ho(t)?ls("right",e,o).find(function(e){return!Ho(e)&&as(e,o).includes(t)}):r)||a.relatedNodes(t),i=i&&r)}),!!i||void 0}function hs(e,t,r){if(!["SCRIPT","HEAD","TITLE","NOSCRIPT","STYLE","TEMPLATE"].includes(e.nodeName.toUpperCase())&&Ia(r)){r=window.getComputedStyle(e);if("none"===r.getPropertyValue("display"))return;if("hidden"===r.getPropertyValue("visibility")){e=sa(e),e=e&&window.getComputedStyle(e);if(!e||"hidden"!==e.getPropertyValue("visibility"))return}}return!0}var gs={};o(gs,{Color:function(){return on},centerPointOfRect:function(){return bs},elementHasImage:function(){return Qa},elementIsDistinct:function(){return vs},filteredRectStack:function(){return ws},flattenColors:function(){return xs},getBackgroundColor:function(){return Fs},getBackgroundStack:function(){return As},getContrast:function(){return ks},getForegroundColor:function(){return Rs},getOwnBackgroundColor:function(){return ln},getRectStack:function(){return Ds},getTextShadowColors:function(){return Cs},hasValidContrastRatio:function(){return Ts},incompleteData:function(){return Ja}});var bs=function(e){if(!(e.left>window.innerWidth||e.top>window.innerHeight))return{x:Math.min(Math.ceil(e.left+e.width/2),window.innerWidth-1),y:Math.min(Math.ceil(e.top+e.height/2),window.innerHeight-1)}};function ys(e){return e.getPropertyValue("font-family").split(/[,;]/g).map(function(e){return e.trim().toLowerCase()})}var vs=function(e,t){var a=window.getComputedStyle(e);if("none"!==a.getPropertyValue("background-image"))return!0;if(["border-bottom","border-top","outline"].reduce(function(e,t){var r=new on;return r.parseString(a.getPropertyValue(t+"-color")),e||"none"!==a.getPropertyValue(t+"-style")&&0<parseFloat(a.getPropertyValue(t+"-width"))&&0!==r.alpha},!1))return!0;var r=window.getComputedStyle(t);return ys(a)[0]!==ys(r)[0]||(e=["text-decoration-line","text-decoration-style","font-weight","font-style","font-size"].reduce(function(e,t){return e||a.getPropertyValue(t)!==r.getPropertyValue(t)},!1),t=a.getPropertyValue("text-decoration"),e=t.split(" ").length<3?e||t!==r.getPropertyValue("text-decoration"):e)};var Ds=function(e){var t=Ca(e);return!(e=Ra(e))||e.length<=1?[t]:e.some(function(e){return void 0===e})?null:(e.splice(0,0,t),e)};var ws=function(n){var o=Ds(n);if(o&&1===o.length)return o[0];if(o&&1<o.length){var i,l=o.shift();return o.forEach(function(e,t){var r,a;0!==t&&(r=o[t-1],a=o[t],i=r.every(function(e,t){return e===a[t]})||l.includes(n))}),i?o[0]:(Ja.set("bgColor","elmPartiallyObscuring"),null)}return Ja.set("bgColor","outsideViewport"),null};var xs=function(e,t){var r=(1-(n=e.alpha))*t.red+n*e.red,a=(1-n)*t.green+n*e.green,n=(1-n)*t.blue+n*e.blue,e=e.alpha+t.alpha*(1-e.alpha);return new on(r,a,n,e)};function Es(e,t,r){if(0<e)for(var a=e-1;0<=a;a--){if(function(e,t){var r=e.getClientRects()[0],a=mn(r.left,r.top);if(a)for(var n=0;n<a.length;n++)if(a[n]!==e&&a[n]===t)return 1}(r,t[a]))return 1;t.splice(a,1)}}var As=function(e){var t,r,a=ws(e);if(null===a)return null;a=dn(a,e),r=(t=a).indexOf(document.body),n=t,(1<r||-1===r)&&!Qa(document.documentElement)&&0===ln(window.getComputedStyle(document.documentElement)).alpha&&(1<r&&n.splice(r,1),n.splice(t.indexOf(document.documentElement),1),n.push(document.body));var n=(a=n).indexOf(e);return Es(n,a,e)?(Ja.set("bgColor","bgOverlap"),null):-1!==n?a:null};var Cs=function(e){var n=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).minRatio,o=r.maxRatio,i=window.getComputedStyle(e),t=i.getPropertyValue("text-shadow");if("none"===t)return[];var r=i.getPropertyValue("font-size"),l=parseInt(r);it(!1===isNaN(l),"Unable to determine font-size value ".concat(r));var s=[];return function(e){var t={pixels:[]},r=e.trim(),a=[t];if(!r)return[];for(;r;){var n=r.match(/^rgba?\\([0-9,.\\s]+\\)/i)||r.match(/^[a-z]+/i)||r.match(/^#[0-9a-f]+/i),o=r.match(/^([0-9.-]+)px/i)||r.match(/^(0)/);if(n)it(!t.colorStr,"Multiple colors identified in text-shadow: ".concat(e)),r=r.replace(n[0],"").trim(),t.colorStr=n[0];else if(o){it(t.pixels.length<3,"Too many pixel units in text-shadow: ".concat(e)),r=r.replace(o[0],"").trim();o=parseFloat(("."===o[1][0]?"0":"")+o[1]);t.pixels.push(o)}else{if(","!==r[0])throw new Error("Unable to process text-shadows: ".concat(e));it(2<=t.pixels.length,"Missing pixel value in text-shadow: ".concat(e)),t={pixels:[]},a.push(t),r=r.substr(1).trim()}}return a}(t).forEach(function(e){var t=e.colorStr,r=e.pixels,t=t||i.getPropertyValue("color"),a=Ku(r,3),e=a[0],r=a[1],a=a[2],a=void 0===a?0:a;(!n||l*n<=a)&&(!o||a<l*o)&&(a=function(e){var t=e.colorStr,r=e.offsetX,a=e.offsetY,n=e.blurRadius,e=e.fontSize;if(n<r||n<a)return new on(0,0,0,0);a=new on;return a.parseString(t),a.alpha*=function(e,t){return.185/(e/t+.4)}(n,e),a}({colorStr:t,offsetY:e,offsetX:r,blurRadius:a,fontSize:l}),s.push(a))}),s};var Fs=function(i){var l=1<arguments.length&&void 0!==arguments[1]?arguments[1]:[],s=Cs(i,{minRatio:2<arguments.length&&void 0!==arguments[2]?arguments[2]:.1}),e=As(i);return(e||[]).some(function(e){var t,r,a,n=window.getComputedStyle(e),o=ln(n);return a=o,(a=(t=i)!==(r=e)&&!fn(t,r)&&0!==a.alpha)&&Ja.set("bgColor","elmPartiallyObscured"),a||Qa(e,n)?(s=null,l.push(e),!0):0!==o.alpha&&(l.push(e),s.push(o),1===o.alpha)}),null===s||null===e?null:(s.push(new on(255,255,255,1)),s.reduce(xs))};var ks=function(e,t){return t&&e?(t.alpha<1&&(t=xs(t,e)),e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(t,e)+.05)/(Math.min(t,e)+.05)):null};var Rs=function(e,t,r){var a=window.getComputedStyle(e),n=new on;return n.parseString(a.getPropertyValue("color")),a=function e(t){if(!t)return 1;var r=Dr(t);if(r&&void 0!==r._opacity&&null!==r._opacity)return r._opacity;t=window.getComputedStyle(t).getPropertyValue("opacity")*e(t.parentElement);return r&&(r._opacity=t),t}(e),n.alpha=n.alpha*a,1===n.alpha?n:null!==(r=r||Fs(e,[]))?xs(n,r):(r=Ja.get("bgColor"),Ja.set("fgColor",r),null)};var Ts=function(e,t,r,a){return t=ks(e,t),{isValid:(r=a&&Math.ceil(72*r)/96<14||!a&&Math.ceil(72*r)/96<18?4.5:3)<t,contrastRatio:t,expectedContrastRatio:r}},Ns=Wn(function(e,t){e=window.getComputedStyle(e,t),t=ln(e);return"none"!==e.getPropertyValue("content")&&"absolute"===e.getPropertyValue("position")&&0!==parseInt(e.getPropertyValue("width"))&&0!==parseInt(e.getPropertyValue("height"))&&(0!==t.alpha||"none"!==e.getPropertyValue("background-image"))});function _s(e,t,r){if(!ba(e,!1))return!0;var a=t.ignoreUnicode,n=t.ignoreLength,o=t.boldValue,i=t.boldTextPt,l=t.largeTextPt,s=t.contrastRatio,u=t.shadowOutlineEmMax,c=Oa(r,!1,!0);if(!Gi(c,{nonBmp:!0})||""!==ka(Ki(c,{nonBmp:!0}))||!a){var d=[],p=Fs(e,d,u),t=Rs(e,!1,p),r=Cs(e,{maxRatio:u}),a=window.getComputedStyle(e),u=parseFloat(a.getPropertyValue("font-size")),a=a.getPropertyValue("font-weight"),o=parseFloat(a)>=o||"bold"===a,a=null;0===r.length?a=ks(p,t):t&&p&&(f=[].concat(Yu(r),[p]).reduce(xs),r=ks(p,f),f=ks(f,t),a=Math.max(r,f));for(var f=Math.ceil(72*u)/96,i=o&&f<i||!o&&f<l?s.normal:s.large,f=i.expected,l=i.minThreshold,s=i.maxThreshold,i=f<a,m=e;m;){if(Ns(m,":before")||Ns(m,":after"))return this.data({messageKey:"pseudoContent"}),void this.relatedNodes(m);m=m.parentElement}if("number"==typeof l&&a<l||"number"==typeof s&&s<a)return!0;var h,s=Math.floor(100*a)/100;null===p&&(h=Ja.get("bgColor"));a=1==s,c=1===c.length;a?h=Ja.set("bgColor","equalRatio"):c&&!n&&(h="shortTextContent");f={fgColor:t?t.toHexString():void 0,bgColor:p?p.toHexString():void 0,contrastRatio:s,fontSize:"".concat((72*u/96).toFixed(1),"pt (").concat(u,"px)"),fontWeight:o?"bold":"normal",messageKey:h,expectedContrastRatio:f+":1"};return(this.data(f),null===t||null===p||a||c&&!n&&!i)?(h=null,Ja.clear(),void this.relatedNodes(d)):(i||this.relatedNodes(d),i)}this.data({messageKey:"nonBmp"})}function Os(e,t){e=e.getRelativeLuminance(),t=t.getRelativeLuminance();return(Math.max(e,t)+.05)/(Math.min(e,t)+.05)}var Ss=["block","list-item","table","flex","grid","inline-block"];function Ps(e){e=window.getComputedStyle(e).getPropertyValue("display");return-1!==Ss.indexOf(e)||"table-"===e.substr(0,6)}function Is(e){if(Ps(e))return!1;for(var t=sa(e);1===t.nodeType&&!Ps(t);)t=sa(t);if(this.relatedNodes([t]),vs(e,t))return!0;var r=Rs(e),a=Rs(t);if(r&&a){var n=Os(r,a);if(1===n)return!0;if(3<=n)return Ja.set("fgColor","bgContrast"),this.data({messageKey:Ja.get("fgColor")}),void Ja.clear();if(r=Fs(e),a=Fs(t),!r||!a||3<=Os(r,a)){a=r&&a?"bgContrast":Ja.get("bgColor");return Ja.set("fgColor",a),this.data({messageKey:Ja.get("fgColor")}),void Ja.clear()}return!1}}function Bs(e,t,r){if("input"!==r.props.nodeName)return!0;var a=["text","search","number","tel"],n=["text","search","url"],o={bday:["text","search","date"],email:["text","search","email"],username:["text","search","email"],"street-address":["text"],tel:["text","search","tel"],"tel-country-code":["text","search","tel"],"tel-national":["text","search","tel"],"tel-area-code":["text","search","tel"],"tel-local":["text","search","tel"],"tel-local-prefix":["text","search","tel"],"tel-local-suffix":["text","search","tel"],"tel-extension":["text","search","tel"],"cc-number":a,"cc-exp":["text","search","month","tel"],"cc-exp-month":a,"cc-exp-year":a,"cc-csc":a,"transaction-amount":a,"bday-day":a,"bday-month":a,"bday-year":a,"new-password":["text","search","password"],"current-password":["text","search","password"],url:n,photo:n,impp:n};return"object"===Lu(t)&&Object.keys(t).forEach(function(e){o[e]||(o[e]=[]),o[e]=o[e].concat(t[e])}),n=(n=r.attr("autocomplete").split(/\\s+/g).map(function(e){return e.toLowerCase()}))[n.length-1],!!Qi.stateTerms.includes(n)||(n=o[n],r=r.hasAttr("type")?ka(r.attr("type")).toLowerCase():"text",r=Fo().includes(r)?r:"text",void 0===n?"text"===r:n.includes(r))}n=function(e,t,r){return r=r.attr("autocomplete")||"",Zi(r,t)};wt=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=2<arguments.length?arguments[2]:void 0;if(!t.attribute||"string"!=typeof t.attribute)throw new TypeError("attr-non-space-content requires options.attribute to be a string");return r.hasAttr(t.attribute)?(t=r.attr(t.attribute),!!ka(t)||(this.data({messageKey:"emptyAttr"}),!1)):(this.data({messageKey:"noAttr"}),!1)};var Ls=function(e){return e.some(function(e){return!0===e.result})&&e.forEach(function(e){e.result=!0}),e};Cr=function(e,t,r){if(!t||!t.selector||"string"!=typeof t.selector)throw new TypeError("has-descendant requires options.selector to be a string");return t=so(r,t.selector,function(e){return ba(e.actualNode,!0)}),this.relatedNodes(t.map(function(e){return e.actualNode})),0<t.length};en=function(e,t,r){try{return""!==ka(bi(r))}catch(e){return}};tn=function(e,t,r){return oi(r,t.matcher)};Ko=function(e){return e.filter(function(e){return"ignored"!==e.data})};Xo=function(e,t,r){if(!t||!t.selector||"string"!=typeof t.selector)throw new TypeError("page-no-duplicate requires options.selector to be a string");var a="page-no-duplicate;"+t.selector;if(!vr.get(a)){vr.set(a,!0);a=so(axe._tree[0],t.selector,function(e){return ba(e.actualNode)});return"string"==typeof t.nativeScopeFilter&&(a=a.filter(function(e){return e.actualNode.hasAttribute("role")||!ia(e,t.nativeScopeFilter)})),this.relatedNodes(a.filter(function(e){return e!==r}).map(function(e){return e.actualNode})),a.length<=1}this.data("ignored")};function qs(e,t){var r=null===(r=t.data)||void 0===r?void 0:r.headingOrder,a=js(t.node.ancestry,1);if(!r)return e;t=r.map(function(e){return function(e,t){t=t.concat(e.ancestry);return Xu({},e,{ancestry:t})}(e,a)}),r=function(e,t){for(;t.length;){var r=Ms(e,t);if(-1!==r)return r;t=js(t,1)}return-1}(e,a);return-1===r?e.push.apply(e,Yu(t)):e.splice.apply(e,[r,0].concat(Yu(t))),e}function Ms(e,t){return e.findIndex(function(e){return e=e.ancestry,a=t,e.length===a.length&&e.every(function(e,t){var r=a[t];return Array.isArray(e)?e.length===r.length&&e.every(function(e,t){return r[t]===e}):e===r});var a})}function js(e,t){return e.slice(0,e.length-t)}Jo=function(){if(t=vr.get("headingOrder"))return!0;var e=so(axe._tree[0],"h1, h2, h3, h4, h5, h6, [role=heading], iframe, frame",function(e){return ba(e.actualNode,!0)}),t=e.map(function(e){return{ancestry:[gr(e.actualNode)],level:function(e){var t=e.attr("role");if(t&&t.includes("heading")){t=e.attr("aria-level"),t=parseInt(t,10);return isNaN(t)||t<1||6<t?2:t}return(e=e.props.nodeName.match(/h(\\d)/))?parseInt(e[1],10):-1}(e)}});return this.data({headingOrder:t}),vr.set("headingOrder",e),!0};Qo=function(e){if(e.length<2)return e;function t(r){var e=i[r],a=(o=e.data).name,t=o.urlProps;if(s[a])return"continue";var n=i.filter(function(e,t){return e.data.name===a&&t!==r}),o=n.every(function(e){return function r(a,n){if(!a||!n)return!1;var e=Object.getOwnPropertyNames(a),t=Object.getOwnPropertyNames(n);return e.length===t.length&&e.every(function(e){var t=a[e],e=n[e];return Lu(t)===Lu(e)&&("object"==typeof t||"object"==typeof e?r(t,e):t===e)})}(e.data.urlProps,t)});n.length&&!o&&(e.result=void 0),e.relatedNodes=[],(o=e.relatedNodes).push.apply(o,Yu(n.map(function(e){return e.relatedNodes[0]}))),s[a]=n,l.push(e)}for(var i=e.filter(function(e){return void 0!==e.result}),l=[],s={},r=0;r<i.length;r++)t(r);return l},Zo={};o(Zo,{aria:function(){return _o},color:function(){return gs},dom:function(){return ra},forms:function(){return Us},matches:function(){return oi},standards:function(){return Sl},table:function(){return es},text:function(){return Vi},utils:function(){return rt}});var Us={};o(Us,{isAriaCombobox:function(){return Ni},isAriaListbox:function(){return Ti},isAriaRange:function(){return Oi},isAriaTextbox:function(){return Ri},isDisabled:function(){return Hs},isNativeSelect:function(){return ki},isNativeTextbox:function(){return Fi}});var Vs=["fieldset","button","select","input","textarea"];var Hs=function e(t){if("boolean"==typeof(n=t._isDisabled))return n;var r=t.props.nodeName,a=t.attr("aria-disabled"),n=!(!Vs.includes(r)||!t.hasAttr("disabled"))||(a?"true"===a.toLowerCase():!!t.parent&&e(t.parent));return t._isDisabled=n};ei=function(e,t,r){if(r=Vi.accessibleTextVirtual(r),r=Vi.sanitize(Vi.removeUnicode(r,{emoji:!0,nonBmp:!0,punctuations:!0})).toLowerCase()){r={name:r,urlProps:ra.urlPropsFromAttribute(e,"href")};return this.data(r),this.relatedNodes([e]),!0}};ti=function(e,t,r){return vo(r,"a[href]").some(function(e){return/^#[^/!]/.test(e.actualNode.getAttribute("href"))})};gl=function(e,t,r){var a=r.attr("content")||"",r=a.split(/[;,]/);return""===a||"0"===r[0]};function zs(e){e=window.getComputedStyle(function(e){for(var t=e,r=e.textContent.trim(),a=r;a===r&&void 0!==t;){var n=-1;if(0===(e=t).children.length)return e;for(;n++,""===(a=e.children[n].textContent.trim())&&n+1<e.children.length;);t=e.children[n]}return e}(e));return{fontWeight:function(e){switch(e){case"lighter":return 100;case"normal":return 400;case"bold":return 700;case"bolder":return 900}return e=parseInt(e),isNaN(e)?400:e}(e.getPropertyValue("font-weight")),fontSize:parseInt(e.getPropertyValue("font-size")),isItalic:"italic"===e.getPropertyValue("font-style")}}function $s(r,a,e){return e.reduce(function(e,t){return e||(!t.size||r.fontSize/t.size>a.fontSize)&&(!t.weight||r.fontWeight-t.weight>a.fontWeight)&&(!t.italic||r.isItalic&&!a.isItalic)},!1)}var hl=function(e,t,r){var a=Array.from(e.parentNode.children),n=a.indexOf(e),o=(t=t||{}).margins||[],t=a.slice(n+1).find(function(e){return"P"===e.nodeName.toUpperCase()}),n=a.slice(0,n).reverse().find(function(e){return"P"===e.nodeName.toUpperCase()}),e=zs(e),t=t?zs(t):null,n=n?zs(n):null;return!t||!$s(e,t,o)||!!((r=ia(r,"blockquote"))&&"BLOCKQUOTE"===r.nodeName.toUpperCase()||n&&!$s(e,n,o))&&void 0},Ws=dl("landmark"),Gs=["alert","log","status"];function Ys(e,t){var r,a,n,o,i=e.actualNode;if(a=t,n=(r=e).actualNode,o=di(r),n=(n.getAttribute("aria-live")||"").toLowerCase().trim(),["assertive","polite"].includes(n)||Gs.includes(o)||(Ws.includes(o)||!(!a.regionMatcher||!oi(r,a.regionMatcher)))||cn(e.actualNode)&&ua(e.actualNode,"href")||!ba(i,!0)){for(var l=e;l;)l._hasRegionDescendant=!0,l=l.parent;return[]}return i!==document.body&&Ba(i,!0)?[e]:e.children.filter(function(e){return 1===e.actualNode.nodeType}).map(function(e){return Ys(e,t)}).reduce(function(e,t){return e.concat(t)},[])}function Ks(e,t){t=Xs(t),e=Xs(e);return!(!t||!e)&&t.includes(e)}function Xs(e){e=Ki(e,{emoji:!0,nonBmp:!0,punctuations:!0});return ka(e)}function Js(e){return""!==(e||"").trim()}var Qs=function(e,t,r){return r.initiator};var Zs=function(e,t){try{return"svg"===t.props.nodeName?!0:!!Ir(t,"svg")}catch(e){return!1}};bl=function(e,t){var r=ii(t).namingMethods;return(!r||0===r.length)&&("combobox"!==Lo(t)||!vo(t,\'input:not([type="hidden"])\').length)};var eu={"abstractrole-evaluate":kl,"aria-allowed-attr-evaluate":Rl,"aria-allowed-role-evaluate":Tl,"aria-errormessage-evaluate":Nl,"aria-hidden-body-evaluate":_l,"aria-prohibited-attr-evaluate":Ol,"aria-required-attr-evaluate":Pl,"aria-required-children-evaluate":Bl,"aria-required-parent-evaluate":ql,"aria-roledescription-evaluate":Ml,"aria-unsupported-attr-evaluate":jl,"aria-valid-attr-evaluate":Ul,"aria-valid-attr-value-evaluate":Vl,"fallbackrole-evaluate":Hl,"has-global-aria-attribute-evaluate":zl,"has-implicit-chromium-role-matches":$l,"has-widget-role-evaluate":Wl,"invalidrole-evaluate":Gl,"is-element-focusable-evaluate":Yl,"no-implicit-explicit-label-evaluate":Kl,"unsupportedrole-evaluate":Xl,"valid-scrollable-semantics-evaluate":Zl,"caption-faked-evaluate":ss,"html5-scope-evaluate":us,"same-caption-summary-evaluate":cs,"scope-value-evaluate":ds,"td-has-header-evaluate":ps,"td-headers-attr-evaluate":fs,"th-has-data-cells-evaluate":ms,"hidden-content-evaluate":hs,"color-contrast-evaluate":_s,"link-in-text-block-evaluate":Is,"autocomplete-appropriate-evaluate":Bs,"autocomplete-valid-evaluate":n,"attr-non-space-content-evaluate":wt,"has-descendant-after":Ls,"has-descendant-evaluate":Cr,"has-text-content-evaluate":en,"matches-definition-evaluate":tn,"page-no-duplicate-after":Ko,"page-no-duplicate-evaluate":Xo,"heading-order-after":function(e){var t,r=((t=Yu(t=e)).sort(function(e,t){e=e.node,t=t.node;return e.ancestry.length-t.ancestry.length}),t.reduce(qs,[]).filter(function(e){return-1!==e.level}));return e.forEach(function(e){e.result=function(e,t){var r=Ms(t,e.node.ancestry),e=null!==(e=null===(e=t[r])||void 0===e?void 0:e.level)&&void 0!==e?e:-1,t=null!==(t=null===(t=t[r-1])||void 0===t?void 0:t.level)&&void 0!==t?t:-1;if(0===r)return!0;if(-1!==e)return e-t<=1}(e,r)}),e},"heading-order-evaluate":Jo,"identical-links-same-purpose-after":Qo,"identical-links-same-purpose-evaluate":ei,"internal-link-present-evaluate":ti,"meta-refresh-evaluate":gl,"p-as-heading-evaluate":hl,"region-evaluate":function(e,t,r){if(a=vr.get("regionlessNodes"))return!a.includes(r);var a=Ys(axe._tree[0],t).map(function(e){for(;e.parent&&!e.parent._hasRegionDescendant&&e.parent.actualNode!==document.body;)e=e.parent;return e}).filter(function(e,t,r){return r.indexOf(e)===t});return vr.set("regionlessNodes",a),!a.includes(r)},"skip-link-evaluate":function(e){return!!(e=ua(e,"href"))&&(ba(e,!0)||void 0)},"unique-frame-title-after":function(e){var t={};return e.forEach(function(e){t[e.data]=void 0!==t[e.data]?++t[e.data]:0}),e.forEach(function(e){e.result=!!t[e.data]}),e},"unique-frame-title-evaluate":function(e,t,r){return r=ka(r.attr("title")).toLowerCase(),this.data(r),!0},"aria-label-evaluate":function(e,t,r){return!!ka(Po(r))},"aria-labelledby-evaluate":function(e,t,r){try{return!!ka(Ui(r))}catch(e){return}},"avoid-inline-spacing-evaluate":function(t,e){return!(0<(e=e.cssProperties.filter(function(e){if("important"===t.style.getPropertyPriority(e))return e})).length)||(this.data(e),!1)},"doc-has-title-evaluate":function(){var e=document.title;return!!ka(e)},"exists-evaluate":function(){},"has-alt-evaluate":function(e,t,r){var a=r.props.nodeName;return!!["img","input","area"].includes(a)&&r.hasAttr("alt")},"is-on-screen-evaluate":function(e){return ba(e,!1)&&!fa(e)},"non-empty-if-present-evaluate":function(e,t,r){var a=r.props.nodeName,n=(r.attr("type")||"").toLowerCase();return(r=r.attr("value"))&&this.data({messageKey:"has-label"}),!("input"!==a||!["submit","reset"].includes(n))&&null===r},"presentational-role-evaluate":function(e,t,r){var a=di(r),n=Lo(r);if(["presentation","none"].includes(a))return this.data({role:a}),!0;if(!["presentation","none"].includes(n))return!1;var o=Oo().some(function(e){return r.hasAttr(e)}),n=Va(r),n=o&&!n?"globalAria":!o&&n?"focusable":"both";return this.data({messageKey:n,role:a}),!1},"svg-non-empty-title-evaluate":function(e,t,r){if(r.children){r=r.children.find(function(e){return"title"===e.props.nodeName});if(!r)return this.data({messageKey:"noTitle"}),!1;try{if(""===Oa(r))return this.data({messageKey:"emptyTitle"}),!1}catch(e){return}return!0}},"css-orientation-lock-evaluate":function(e,t,r,a){var a=void 0===(a=(a||{}).cssom)?void 0:a,n=void 0===(t=(t||{}).degreeThreshold)?0:t;if(a&&a.length){function o(){var e=c[u],e=s[e],r=e.root,e=e.rules.filter(d);if(!e.length)return"continue";e.forEach(function(e){e=e.cssRules;Array.from(e).forEach(function(e){var t=function(e){var t=e.selectorText,e=e.style;if(!t||e.length<=0)return!1;t=e.transform||e.webkitTransform||e.msTransform||!1;if(!t)return!1;e=t.match(/(rotate|rotateZ|rotate3d|matrix|matrix3d)\\(([^)]+)\\)(?!.*(rotate|rotateZ|rotate3d|matrix|matrix3d))/);if(!e)return!1;t=Ku(e,3),e=t[1],t=t[2],t=function(e,t){switch(e){case"rotate":case"rotateZ":return p(t);case"rotate3d":var r=Ku(t.split(",").map(function(e){return e.trim()}),4),a=r[2],r=r[3];return 0===parseInt(a)?void 0:p(r);case"matrix":case"matrix3d":return function(e){var t=e.split(",");if(t.length<=6){var e=Ku(t,2),r=e[0],e=e[1];return f(Math.atan2(parseFloat(e),parseFloat(r)))}r=parseFloat(t[8]),r=Math.asin(r),r=Math.cos(r);return f(Math.acos(parseFloat(t[0])/r))}(t);default:return}}(e,t);if(!t)return!1;if(t=Math.abs(t),Math.abs(t-180)%180<=n)return!1;return Math.abs(t-90)%90<=n}(e);t&&"HTML"!==e.selectorText.toUpperCase()&&(e=Array.from(r.querySelectorAll(e.selectorText))||[],l=l.concat(e)),i=i||t})})}for(var i=!1,l=[],s=a.reduce(function(e,t){var r=t.sheet,a=t.root,t=t.shadowId,t=t||"topDocument";if(e[t]||(e[t]={root:a,rules:[]}),!r||!r.cssRules)return e;r=Array.from(r.cssRules);return e[t].rules=e[t].rules.concat(r),e},{}),u=0,c=Object.keys(s);u<c.length;u++)o();return i?(l.length&&this.relatedNodes(l),!1):!0}function d(e){var t=e.type,e=e.cssText;return 4===t&&(/orientation:\\s*landscape/i.test(e)||/orientation:\\s*portrait/i.test(e))}function p(e){var t=Ku(e.match(/(deg|grad|rad|turn)/)||[],1)[0];if(t){var r=parseFloat(e.replace(t,""));switch(t){case"rad":return f(r);case"grad":return function(e){(e%=400)<0&&(e+=400);return Math.round(e/400*360)}(r);case"turn":return Math.round(360/(1/r));case"deg":default:return parseInt(r)}}}function f(e){return Math.round(e*(180/Math.PI))}},"meta-viewport-scale-evaluate":function(e,t,r){var a=(n=t||{}).scaleMinimum,t=void 0===a?2:a,n=void 0!==(a=n.lowerBound)&&a;return!(a=r.attr("content")||"")||(r=a.split(/[;,]/).reduce(function(e,t){var r=t.trim();if(!r)return e;t=Ku(r.split("="),2),r=t[0],t=t[1];if(!r||!t)return e;r=r.toLowerCase().trim(),t=t.toLowerCase().trim();return"maximum-scale"===r&&"yes"===t&&(t=1),"maximum-scale"===r&&parseFloat(t)<0||(e[r]=t),e},{}),!!(n&&r["maximum-scale"]&&parseFloat(r["maximum-scale"])<n)||(n||"no"!==r["user-scalable"]?(a=parseFloat(r["user-scalable"]),!n&&r["user-scalable"]&&(a||0===a)&&-1<a&&a<1?(this.data("user-scalable"),!1):!(r["maximum-scale"]&&parseFloat(r["maximum-scale"])<t)||(this.data("maximum-scale"),!1)):(this.data("user-scalable=no"),!1)))},"duplicate-id-after":function(e){var t=[];return e.filter(function(e){return-1===t.indexOf(e.data)&&(t.push(e.data),!0)})},"duplicate-id-evaluate":function(t){var e=t.getAttribute("id").trim();if(!e)return!0;var r=na(t);return(r=Array.from(r.querySelectorAll(\'[id="\'.concat(Kt(e),\'"]\'))).filter(function(e){return e!==t})).length&&this.relatedNodes(r),this.data(e),0===r.length},"accesskeys-after":function(e){var r={};return e.filter(function(e){if(!e.data)return!1;var t=e.data.toUpperCase();return r[t]?(r[t].relatedNodes.push(e.relatedNodes[0]),!1):((r[t]=e).relatedNodes=[],!0)}).map(function(e){return e.result=!!e.relatedNodes.length,e})},"accesskeys-evaluate":function(e){return ba(e,!1)&&(this.data(e.getAttribute("accesskey")),this.relatedNodes([e])),!0},"focusable-content-evaluate":function(e,t,r){var a=r.tabbableElements;return!!a&&0<a.filter(function(e){return e!==r}).length},"focusable-disabled-evaluate":function(e,t,r){var a=["BUTTON","FIELDSET","INPUT","SELECT","TEXTAREA"];return!(r=r.tabbableElements)||!r.length||(r=r.reduce(function(e,t){var r=t.actualNode,t=r.nodeName.toUpperCase();return a.includes(t)&&e.push(r),e},[]),this.relatedNodes(r),!(!r.length||!Ya())||0===r.length)},"focusable-element-evaluate":function(e,t,r){if(r.hasAttr("contenteditable")&&function e(t){var t=t.attr("contenteditable");if("true"===t||""===t)return!0;if("false"===t)return!1;t=Ir(r.parent,"[contenteditable]");if(!t)return!1;return e(t)}(r))return!0;var a=r.isFocusable,n=parseInt(r.attr("tabindex"),10);return(n=isNaN(n)?null:n)?a&&0<=n:a},"focusable-modal-open-evaluate":function(e,t,r){return!(r=r.tabbableElements.map(function(e){return e.actualNode}))||!r.length||(!Ya()||void this.relatedNodes(r))},"focusable-no-name-evaluate":function(e,t,r){var a=r.attr("tabindex");if(!(Va(r)&&-1<a))return!1;try{return!Mi(r)}catch(e){return}},"focusable-not-tabbable-evaluate":function(e,t,r){var a=["BUTTON","FIELDSET","INPUT","SELECT","TEXTAREA"];return!(r=r.tabbableElements)||!r.length||(r=r.reduce(function(e,t){var r=t.actualNode,t=r.nodeName.toUpperCase();return a.includes(t)||e.push(r),e},[]),this.relatedNodes(r),!!(0<r.length&&Ya())||0===r.length)},"landmark-is-top-level-evaluate":function(e){var t=dl("landmark"),r=sa(e),a=di(e);for(this.data({role:a});r;){var n=r.getAttribute("role");if((n=!n&&"FORM"!==r.nodeName.toUpperCase()?li(r):n)&&t.includes(n)&&("main"!==n||"complementary"!==a))return!1;r=sa(r)}return!0},"no-focusable-content-evaluate":function(e,t,r){if(r.children)try{return!r.children.some(function e(t){if(Va(t))return!0;if(t.children)return t.children.some(e);if(1===t.props.nodeType)throw new Error("Cannot determine children");return!1})}catch(e){return}},"tabindex-evaluate":function(e,t,r){return r=parseInt(r.attr("tabindex"),10),!!isNaN(r)||r<=0},"alt-space-value-evaluate":function(e,t,r){return"string"==typeof(r=r.attr("alt"))&&/^\\s+$/.test(r)},"duplicate-img-label-evaluate":function(e,t,r){return!["none","presentation"].includes(di(r))&&(!!(t=Ir(r,t.parentSelector))&&(""!==(t=Oa(t,!0).toLowerCase())&&t===Mi(r).toLowerCase()))},"explicit-evaluate":function(e,t,r){if(r.attr("id")){if(!r.actualNode)return;var a=na(r.actualNode),r=Kt(r.attr("id")),r=Array.from(a.querySelectorAll(\'label[for="\'.concat(r,\'"]\')));if(r.length)try{return r.some(function(e){return!ba(e)||!!ji(e)})}catch(e){return}}return!1},"help-same-as-label-evaluate":function(e,t,r){var a=tl(r),r=e.getAttribute("title");return!!a&&(r||(r="",e.getAttribute("aria-describedby")&&(r=_a(e,"aria-describedby").map(function(e){return e?ji(e):""}).join(""))),ka(r)===ka(a))},"hidden-explicit-label-evaluate":function(e,t,r){if(r.hasAttr("id")){if(!r.actualNode)return;var a,n=na(e),e=Kt(e.getAttribute("id")),e=n.querySelector(\'label[for="\'.concat(e,\'"]\'));if(e&&!ba(e,!0)){try{a=Mi(r).trim()}catch(e){return}return""===a}}return!1},"implicit-evaluate":function(e,t,r){try{var a=Ir(r,"label");return a?!!Mi(a,{inControlContext:!0}):!1}catch(e){return}},"label-content-name-mismatch-evaluate":function(e,t,r){var a=(t=t||{}).pixelThreshold,n=t.occuranceThreshold,e=ji(e).toLowerCase();if(!(Xi(e)<1)){r=nl(r).filter(function(e){return!Ji(e,a,n)}).map(function(e){return e.actualNode.nodeValue}).join(""),r=ka(r).toLowerCase();return!r||(Xi(r)<1?!!Ks(r,e)||void 0:Ks(r,e))}},"multiple-label-evaluate":function(e){var t=Kt(e.getAttribute("id")),r=e.parentNode,a=(a=na(e)).documentElement||a,n=Array.from(a.querySelectorAll(\'label[for="\'.concat(t,\'"]\')));for(n.length&&(n=n.filter(function(e){return ba(e)}));r;)"LABEL"===r.nodeName.toUpperCase()&&-1===n.indexOf(r)&&n.push(r),r=r.parentNode;if(this.relatedNodes(n),1<n.length){t=n.filter(function(e){return ba(e,!0)});return 1<t.length?void 0:!_a(e,"aria-labelledby").includes(t[0])&&void 0}return!1},"title-only-evaluate":function(e,t,r){var a=tl(r),n=fi(r),r=r.attr("aria-describedby");return!(a||!n&&!r)},"landmark-is-unique-after":function(e){var r=[];return e.filter(function(t){var e=r.find(function(e){return t.data.role===e.data.role&&t.data.accessibleText===e.data.accessibleText});return e?(e.result=!1,e.relatedNodes.push(t.relatedNodes[0]),!1):(r.push(t),t.relatedNodes=[],!0)})},"landmark-is-unique-evaluate":function(e,t,r){var a=di(e),r=(r=Mi(r))?r.toLowerCase():null;return this.data({role:a,accessibleText:r}),this.relatedNodes([e]),!0},"has-lang-evaluate":function(e,t,r){var a=void 0!==document&&rr(document);return t.attributes.includes("xml:lang")&&t.attributes.includes("lang")&&Js(r.attr("xml:lang"))&&!Js(r.attr("lang"))&&!a?(this.data({messageKey:"noXHTML"}),!1):!!t.attributes.some(function(e){return Js(r.attr(e))})||(this.data({messageKey:"noLang"}),!1)},"valid-lang-evaluate":function(e,n,o){var i=[];return n.attributes.forEach(function(e){var t,r,a=o.attr(e);"string"==typeof a&&(t=xn(a),r=n.value?!n.value.map(xn).includes(t):!To(t),(""!==t&&r||""!==a&&!ka(a))&&i.push(e+\'="\'+o.attr(e)+\'"\'))}),!!i.length&&(this.data(i),!0)},"xml-lang-mismatch-evaluate":function(e,t,r){return xn(r.attr("lang"))===xn(r.attr("xml:lang"))},"dlitem-evaluate":function(e){var t=sa(e),r=t.nodeName.toUpperCase(),e=Lo(t);return"DIV"===r&&["presentation","none",null].includes(e)&&(r=(t=sa(t)).nodeName.toUpperCase(),e=Lo(t)),"DL"===r&&!(e&&!["presentation","none","list"].includes(e))},"listitem-evaluate":function(e){var t=sa(e);if(t){e=t.nodeName.toUpperCase(),t=(t.getAttribute("role")||"").toLowerCase();return!!["presentation","none","list"].includes(t)||(t&&Bo(t)?(this.data({messageKey:"roleNotValid"}),!1):["UL","OL"].includes(e))}},"only-dlitems-evaluate":function(e,t,r){var n=["definition","term","list"];return(r=r.children.reduce(function(e,t){var r=t.actualNode;return"DIV"===r.nodeName.toUpperCase()&&null===di(r)?e.concat(t.children):e.concat(t)},[]).reduce(function(e,t){var r=t.actualNode,a=r.nodeName.toUpperCase();return 1===r.nodeType&&ba(r,!0,!1)?(t=Lo(r),("DT"!==a&&"DD"!==a||t)&&(n.includes(t)||e.badNodes.push(r))):3===r.nodeType&&""!==r.nodeValue.trim()&&(e.hasNonEmptyTextNode=!0),e},{badNodes:[],hasNonEmptyTextNode:!1})).badNodes.length&&this.relatedNodes(r.badNodes),!!r.badNodes.length||r.hasNonEmptyTextNode},"only-listitems-evaluate":function(e,t,r){var n=!1,o=!1,i=!0,l=[],s=[],u=[];return r.children.forEach(function(e){var t,r,a=e.actualNode;3!==a.nodeType||""===a.nodeValue.trim()?1===a.nodeType&&ba(a,!0,!1)&&(i=!1,t="LI"===a.nodeName.toUpperCase(),e="listitem"===(r=di(e)),t||e||l.push(a),t&&!e&&(s.push(a),u.includes(r)||u.push(r)),e&&(o=!0)):n=!0}),n||l.length?(this.relatedNodes(l),!0):!i&&!o&&(this.relatedNodes(s),this.data({messageKey:"roleNotValid",roles:u.join(", ")}),!0)},"structured-dlitems-evaluate":function(e,t,r){var a=r.children;if(!a||!a.length)return!1;for(var n,o=!1,i=!1,l=0;l<a.length;l++){if((o="DT"===(n=a[l].props.nodeName.toUpperCase())?!0:o)&&"DD"===n)return!1;"DD"===n&&(i=!0)}return o||i},"caption-evaluate":function(e,t,r){return!vo(r,"track").some(function(e){return"captions"===(e.attr("kind")||"").toLowerCase()})&&void 0},"frame-tested-evaluate":function(e,t){return!t.isViolation&&void 0},"frame-tested-after":function(e){var r={};return e.filter(function(e){if("html"!==e.node.ancestry[e.node.ancestry.length-1]){var t=e.node.ancestry.flat(1/0).join(" > ");return r[t]=e,!0}e=e.node.ancestry.slice(0,e.node.ancestry.length-1).flat(1/0).join(" > ");return r[e]&&(r[e].result=!0),!1})},"no-autoplay-audio-evaluate":function(e,t){if(e.duration){t=t.allowedDuration,t=void 0===t?3:t;return function(e){if(!e.currentSrc)return 0;var t=function(e){e=e.match(/#t=(.*)/);if(e)return Ku(e,2)[1].split(",").map(function(e){return(/:/.test(e)?function(e){var t=e.split(":"),r=0,a=1;for(;0<t.length;)r+=a*parseInt(t.pop(),10),a*=60;return parseFloat(r)}:parseFloat)(e)})}(e.currentSrc);return t?1!==t.length?Math.abs(t[1]-t[0]):Math.abs(e.duration-t[0]):Math.abs(e.duration-(e.currentTime||0))}(e)<=t&&!e.hasAttribute("loop")||!!e.hasAttribute("controls")}console.warn("axe.utils.preloadMedia did not load metadata")},"aria-allowed-attr-matches":function(e,t){var r=/^aria-/,a=t.attrNames;if(a.length)for(var n=0,o=a.length;n<o;n++)if(r.test(a[n]))return!0;return!1},"aria-allowed-role-matches":function(e){return null!==Lo(e,{dpub:!0,fallback:!0})},"aria-form-field-name-matches":bl,"aria-has-attr-matches":function(e,t){var r=/^aria-/;return t.attrNames.some(function(e){return r.test(e)})},"aria-hidden-focus-matches":function(e){return function e(t){return!t||"true"!==t.getAttribute("aria-hidden")&&e(sa(t))}(sa(e))},"aria-required-children-matches":function(e,t){return t=Lo(t,{dpub:!0}),!!Al(t)},"aria-required-parent-matches":function(e,t){return t=Lo(t),!!El(t)},"autocomplete-matches":function(e,t){var r=t.attr("autocomplete");if(!r||""===ka(r))return!1;var a=t.props.nodeName;if(!1===["textarea","input","select"].includes(a))return!1;if("input"===a&&["submit","reset","button","hidden"].includes(t.props.type))return!1;if(r=t.attr("aria-disabled")||"false",t.hasAttr("disabled")||"true"===r.toLowerCase())return!1;if(a=t.attr("role"),"-1"===(r=t.attr("tabindex"))&&a){a=nn.ariaRoles[a];if(void 0===a||"widget"!==a.type)return!1}return!("-1"===r&&t.actualNode&&!ba(t.actualNode,!1)&&!ba(t.actualNode,!0))},"bypass-matches":function(e,t,r){return!Qs(e,t,r)||!!e.querySelector("a[href]")},"color-contrast-matches":function(e,t){var r=(a=t.props).nodeName,a=a.type;if("option"===r)return!1;if("select"===r&&!e.options.length)return!1;if("input"===r&&["hidden","range","color","checkbox","radio","image"].includes(a))return!1;if(Hs(t))return!1;if(["input","select","textarea"].includes(r)){a=window.getComputedStyle(e),a=parseInt(a.getPropertyValue("text-indent"),10);if(a){var n={top:(n=e.getBoundingClientRect()).top,bottom:n.bottom,left:n.left+a,right:n.right+a};if(!bn(n,e))return!1}return!0}if(n=ia(t,"label"),"label"===r||n){var r=n||e,o=n?Dr(n):t;if(r.htmlFor){r=na(r).getElementById(r.htmlFor),r=r&&Dr(r);if(r&&Hs(r))return!1}o=vo(o,\'input:not([type="hidden"],[type="image"],[type="button"],[type="submit"],[type="reset"]), select, textarea\')[0];if(o&&Hs(o))return!1}for(var i,l=[],s=t;s;)s.props.id&&(i=il(s).filter(function(e){return Co(e.getAttribute("aria-labelledby")||"").includes(s.props.id)}).map(function(e){return Dr(e)}),l.push.apply(l,Yu(i))),s=s.parent;if(0<l.length&&l.every(Hs))return!1;if(!(o=Oa(t,!1,!0))||!Ki(o,{emoji:!0,nonBmp:!1,punctuations:!0}))return!1;for(var u=document.createRange(),c=t.children,d=0;d<c.length;d++){var p=c[d];3===p.actualNode.nodeType&&""!==ka(p.actualNode.nodeValue)&&u.selectNodeContents(p.actualNode)}for(var f=u.getClientRects(),m=0;m<f.length;m++)if(bn(f[m],e))return!0;return!1},"data-table-large-matches":function(e){if(os(e)){e=Mo(e);return 3<=e.length&&3<=e[0].length&&3<=e[1].length&&3<=e[2].length}return!1},"data-table-matches":function(e){return os(e)},"duplicate-id-active-matches":function(e){var t=e.getAttribute("id").trim(),t=\'*[id="\'.concat(Kt(t),\'"]\'),t=Array.from(na(e).querySelectorAll(t));return!Dl(e)&&t.some(Va)},"duplicate-id-aria-matches":function(e){return Dl(e)},"duplicate-id-misc-matches":function(e){var t=e.getAttribute("id").trim(),t=\'*[id="\'.concat(Kt(t),\'"]\'),t=Array.from(na(e).querySelectorAll(t));return!Dl(e)&&t.every(function(e){return!Va(e)})},"frame-focusable-content-matches":function(e,t,r){return!r.initiator&&!r.focusable&&1<r.boundingClientRect.width*r.boundingClientRect.height},"frame-title-has-text-matches":function(e){return e=e.getAttribute("title"),!!ka(e)},"heading-matches":function(e){var t;return(t=e.hasAttribute("role")?e.getAttribute("role").split(/\\s+/i).filter(axe.commons.aria.isValidRole):t)&&0<t.length?t.includes("heading"):"heading"===axe.commons.aria.implicitRole(e)},"html-namespace-matches":function(e,t){return!Zs(e,t)},"identical-links-same-purpose-matches":function(e,t){return!!Mi(t)&&(!(e=di(e))||"link"===e)},"inserted-into-focus-order-matches":function(e){return Ha(e)},"is-initiator-matches":Qs,"label-content-name-mismatch-matches":function(e,t){var r=di(e);return!!r&&(!!dl("widget").includes(r)&&(!!fl().includes(r)&&(!(!ka(Po(t))&&!ka(Ui(e)))&&!!ka(Oa(t)))))},"label-matches":function(e,t){return"input"!==t.props.nodeName||!1===t.hasAttr("type")||(t=t.attr("type").toLowerCase(),!1===["hidden","image","button","submit","reset"].includes(t))},"landmark-has-body-context-matches":function(e,t){return e.hasAttribute("role")||!ia(t,"article, aside, main, nav, section")},"landmark-unique-matches":function(e,t){var r,a,n,o=["article","aside","main","nav","section"].join(",");return a=(r=t).actualNode,n=dl("landmark"),!!(t=di(a))&&("HEADER"===(a=a.nodeName.toUpperCase())||"FOOTER"===a?!ia(r,o):"SECTION"!==a&&"FORM"!==a?0<=n.indexOf(t)||"region"===t:!!Mi(r))&&ba(e,!0)},"layout-table-matches":function(e){return!os(e)&&!Va(e)},"link-in-text-block-matches":function(e){var t=ka(e.textContent),r=e.getAttribute("role");return(!r||"link"===r)&&(!!t&&(!!ba(e,!1)&&Ga(e)))},"nested-interactive-matches":function(e,t){return!!(t=di(t))&&!!nn.ariaRoles[t].childrenPresentational},"no-autoplay-audio-matches":function(e){return!!e.currentSrc&&(!e.hasAttribute("paused")&&!e.hasAttribute("muted"))},"no-empty-role-matches":function(e,t){return!!t.hasAttr("role")&&!!t.attr("role").trim()},"no-explicit-name-required-matches":function(e,t){var r=Lo(t);return!(r&&!["none","presentation"].includes(r))||!(!(Za[r]||{}).accessibleNameRequired&&!Va(t))},"no-naming-method-matches":bl,"no-role-matches":function(e){return!e.getAttribute("role")},"not-html-matches":function(e,t){return"html"!==t.props.nodeName},"p-as-heading-matches":function(e){var t=Array.from(e.parentNode.childNodes),r=e.textContent.trim();return!(0===r.length||2<=(r.match(/[.!?:;](?![.!?:;])/g)||[]).length)&&0!==t.slice(t.indexOf(e)+1).filter(function(e){return"P"===e.nodeName.toUpperCase()&&""!==e.textContent.trim()}).length},"scrollable-region-focusable-matches":function(e,t){if(!1==!!Pn(e,13))return!1;var r=Lo(t);if(nn.ariaRoles.combobox.requiredOwned.includes(r)){if(Ir(t,\'[role~="combobox"]\'))return!1;r=t.attr("id");if(r){e=aa(e);if(Array.from(e.querySelectorAll(\'[aria-owns~="\'.concat(r,\'"], [aria-controls~="\').concat(r,\'"]\'))).some(function(e){return Co(e.getAttribute("role")).includes("combobox")}))return!1}}return!!vo(t,"*").some(function(e){return Ia(e,!0,!0)})},"skip-link-matches":function(e){return cn(e)&&fa(e)},"svg-namespace-matches":Zs,"window-is-top-matches":function(e){return e.ownerDocument.defaultView.self===e.ownerDocument.defaultView.top},"xml-lang-mismatch-matches":function(e){var t=xn(e.getAttribute("lang")),e=xn(e.getAttribute("xml:lang"));return To(t)&&To(e)}};var tu=function(e){this.id=e.id,this.data=null,this.relatedNodes=[],this.result=null};function ru(e){if("string"!=typeof e)return e;if(eu[e])return eu[e];if(/^\\s*function[\\s\\w]*\\(/.test(e))return new Function("return "+e+";")();throw new ReferenceError("Function ID does not exist in the metadata-function-map: ".concat(e))}function au(e){var t=0<arguments.length&&void 0!==e?e:{};return t=Array.isArray(t)||"object"!==Lu(t)?{value:t}:t}function nu(e){e&&(this.id=e.id,this.configure(e))}nu.prototype.enabled=!0,nu.prototype.run=function(t,e,r,a,n){var o=((e=e||{}).hasOwnProperty("enabled")?e:this).enabled,i=this.getOptions(e.options);if(o){var l,o=new tu(this),e=Er(o,e,a,n);try{l=this.evaluate.call(e,t.actualNode,i,t,r)}catch(e){return t&&t.actualNode&&(e.errorNode=new xr(t).toJSON()),void n(e)}e.isAsync||(o.result=l,a(o))}else a(null)},nu.prototype.runSync=function(t,e,r){var a=(e=e||{}).enabled;if(!(void 0===a?this.enabled:a))return null;var n,o=this.getOptions(e.options),a=new tu(this),e=Er(a,e);e.async=function(){throw new Error("Cannot run async check while in a synchronous run")};try{n=this.evaluate.call(e,t.actualNode,o,t,r)}catch(e){throw t&&t.actualNode&&(e.errorNode=new xr(t).toJSON()),e}return a.result=n,a},nu.prototype.configure=function(t){var r=this;t.evaluate&&!eu[t.evaluate]||(this._internalCheck=!0),t.hasOwnProperty("enabled")&&(this.enabled=t.enabled),t.hasOwnProperty("options")&&(this._internalCheck?this.options=au(t.options):this.options=t.options),["evaluate","after"].filter(function(e){return t.hasOwnProperty(e)}).forEach(function(e){return r[e]=ru(t[e])})},nu.prototype.getOptions=function(e){return this._internalCheck?Qr(this.options,au(e||{})):e||this.options};var ou=nu;var iu=function(e){this.id=e.id,this.result=Je.NA,this.pageLevel=e.pageLevel,this.impact=null,this.nodes=[]};function lu(e,t){this._audit=t,this.id=e.id,this.selector=e.selector||"*",e.impact&&(it(Je.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact),this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden,this.enabled="boolean"!=typeof e.enabled||e.enabled,this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel,this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail,this.any=e.any||[],this.all=e.all||[],this.none=e.none||[],this.tags=e.tags||[],this.preload=!!e.preload,e.matches&&(this.matches=ru(e.matches))}function su(e){if(e.length){var r=!1,a={};return e.forEach(function(e){var t=e.results.filter(function(e){return e});(a[e.type]=t).length&&(r=!0)}),r?a:null}}lu.prototype.matches=function(){return!0},lu.prototype.gather=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r="mark_gather_start_"+this.id,a="mark_gather_end_"+this.id,n="mark_isHidden_start_"+this.id,o="mark_isHidden_end_"+this.id;t.performanceTimer&&ro.mark(r);var i=Eo(this.selector,e);return this.excludeHidden&&(t.performanceTimer&&ro.mark(n),i=i.filter(function(e){return!jn(e.actualNode)}),t.performanceTimer&&(ro.mark(o),ro.measure("rule_"+this.id+"#gather_axe.utils.isHidden",n,o))),t.performanceTimer&&(ro.mark(a),ro.measure("rule_"+this.id+"#gather",r,a)),i},lu.prototype.runChecks=function(t,n,o,i,r,e){var l=this,s=jr();this[t].forEach(function(e){var r=l._audit.checks[e.id||e],a=On(r,l.id,o);s.defer(function(e,t){r.run(n,a,i,e,t)})}),s.then(function(e){e=e.filter(function(e){return e}),r({type:t,results:e})}).catch(e)},lu.prototype.runChecksSync=function(e,r,a,n){var o=this,i=[];return this[e].forEach(function(e){var t=o._audit.checks[e.id||e],e=On(t,o.id,a);i.push(t.runSync(r,e,n))}),{type:e,results:i=i.filter(function(e){return e})}},lu.prototype.run=function(n){var o=this,i=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},e=2<arguments.length?arguments[2]:void 0,t=3<arguments.length?arguments[3]:void 0;i.performanceTimer&&this._trackPerformance();var r,l=jr(),s=new iu(this);try{r=this.gatherAndMatchNodes(n,i)}catch(e){return void t(new qu({cause:e,ruleId:this.id}))}i.performanceTimer&&this._logGatherPerformance(r),r.forEach(function(a){l.defer(function(r,t){var e=jr();["any","all","none"].forEach(function(r){e.defer(function(e,t){o.runChecks(r,a,i,n,e,t)})}),e.then(function(e){var t=su(e);t&&(t.node=new xr(a,i),s.nodes.push(t),o.reviewOnFail&&(["any","all"].forEach(function(e){t[e].forEach(function(e){!1===e.result&&(e.result=void 0)})}),t.none.forEach(function(e){!0===e.result&&(e.result=void 0)}))),r()}).catch(function(e){return t(e)})})}),l.defer(function(e){return setTimeout(e,0)}),i.performanceTimer&&this._logRulePerformance(),l.then(function(){return e(s)}).catch(function(e){return t(e)})},lu.prototype.runSync=function(n){var o=this,i=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};i.performanceTimer&&this._trackPerformance();var e,l=new iu(this);try{e=this.gatherAndMatchNodes(n,i)}catch(e){throw new qu({cause:e,ruleId:this.id})}return i.performanceTimer&&this._logGatherPerformance(e),e.forEach(function(t){var r=[];["any","all","none"].forEach(function(e){r.push(o.runChecksSync(e,t,i,n))});var a=su(r);a&&(a.node=t.actualNode?new xr(t,i):null,l.nodes.push(a),o.reviewOnFail&&(["any","all"].forEach(function(e){a[e].forEach(function(e){!1===e.result&&(e.result=void 0)})}),a.none.forEach(function(e){!0===e.result&&(e.result=void 0)})))}),i.performanceTimer&&this._logRulePerformance(),l},lu.prototype._trackPerformance=function(){this._markStart="mark_rule_start_"+this.id,this._markEnd="mark_rule_end_"+this.id,this._markChecksStart="mark_runchecks_start_"+this.id,this._markChecksEnd="mark_runchecks_end_"+this.id},lu.prototype._logGatherPerformance=function(e){Qe("gather (",e.length,"):",ro.timeElapsed()+"ms"),ro.mark(this._markChecksStart)},lu.prototype._logRulePerformance=function(){ro.mark(this._markChecksEnd),ro.mark(this._markEnd),ro.measure("runchecks_"+this.id,this._markChecksStart,this._markChecksEnd),ro.measure("rule_"+this.id,this._markStart,this._markEnd)},lu.prototype.gatherAndMatchNodes=function(t,e){var r=this,a="mark_matches_start_"+this.id,n="mark_matches_end_"+this.id,o=this.gather(t,e);return e.performanceTimer&&ro.mark(a),o=o.filter(function(e){return r.matches(e.actualNode,e,t)}),e.performanceTimer&&(ro.mark(n),ro.measure("rule_"+this.id+"#matches",a,n)),o},lu.prototype.after=function(i,l){var t,e,a,r=Wr(t=this).map(function(e){e=t._audit.checks[e.id||e];return e&&"function"==typeof e.after?e:null}).filter(Boolean),s=this.id;return r.forEach(function(e){var r,a,t=(n=i.nodes,r=e.id,a=[],n.forEach(function(t){Wr(t).forEach(function(e){e.id===r&&(e.node=t.node,a.push(e))})}),a),n=On(e,s,l),o=e.after(t,n);t.forEach(function(e){delete e.node,-1===o.indexOf(e)&&(e.filtered=!0)})}),i.nodes=(a=["any","all","none"],r=(e=i).nodes.filter(function(t){var r=0;return a.forEach(function(e){t[e]=t[e].filter(function(e){return!0!==e.filtered}),r+=t[e].length}),0<r}),r=e.pageLevel&&r.length?[r.reduce(function(t,r){if(t)return a.forEach(function(e){t[e].push.apply(t[e],r[e])}),t})]:r),i},lu.prototype.configure=function(e){e.hasOwnProperty("selector")&&(this.selector=e.selector),e.hasOwnProperty("excludeHidden")&&(this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden),e.hasOwnProperty("enabled")&&(this.enabled="boolean"!=typeof e.enabled||e.enabled),e.hasOwnProperty("pageLevel")&&(this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel),e.hasOwnProperty("reviewOnFail")&&(this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail),e.hasOwnProperty("any")&&(this.any=e.any),e.hasOwnProperty("all")&&(this.all=e.all),e.hasOwnProperty("none")&&(this.none=e.none),e.hasOwnProperty("tags")&&(this.tags=e.tags),e.hasOwnProperty("matches")&&(this.matches=ru(e.matches)),e.impact&&(it(Je.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact)};var uu=lu,cu=c(We()),du=/\\{\\{.+?\\}\\}/g;function pu(){return window.origin||(window.location&&window.location.origin?window.location.origin:void 0)}function fu(e,t,r){for(var a=0,n=e.length;a<n;a++)t[r](e[a])}function mu(e){Ju(this,mu),this.lang="en",this.defaultConfig=e,this.standards=nn,this._init(),this._defaultLocale=null}function hu(a,e,n){return n.performanceTimer&&ro.mark("mark_rule_start_"+a.id),function(t,r){a.run(e,n,function(e){t(e)},function(e){n.debug?r(e):(e=Object.assign(new iu(a),{result:Je.CANTTELL,description:"An error occured while running this rule",message:e.message,stack:e.stack,error:e,errorNode:e.errorNode}),t(e))})}}function gu(e,t,r){var a=e.brand,n=e.application,e=e.lang;return Je.helpUrlBase+a+"/"+(r||axe.version.substring(0,axe.version.lastIndexOf(".")))+"/"+t+"?application="+encodeURIComponent(n)+(e&&"en"!==e?"&lang="+encodeURIComponent(e):"")}var bu=(Qu(mu,[{key:"_setDefaultLocale",value:function(){if(!this._defaultLocale){for(var e={checks:{},rules:{},failureSummaries:{},incompleteFallbackMessage:"",lang:this.lang},t=Object.keys(this.data.checks),r=0;r<t.length;r++){var a=t[r],n=this.data.checks[a].messages,o=n.pass,i=n.fail,n=n.incomplete;e.checks[a]={pass:o,fail:i,incomplete:n}}for(var l=Object.keys(this.data.rules),s=0;s<l.length;s++){var u=l[s],c=this.data.rules[u],d=c.description,c=c.help;e.rules[u]={description:d,help:c}}for(var p=Object.keys(this.data.failureSummaries),f=0;f<p.length;f++){var m=p[f],h=this.data.failureSummaries[m].failureMessage;e.failureSummaries[m]={failureMessage:h}}e.incompleteFallbackMessage=this.data.incompleteFallbackMessage,this._defaultLocale=e}}},{key:"_resetLocale",value:function(){var e=this._defaultLocale;e&&this.applyLocale(e)}},{key:"_applyCheckLocale",value:function(e){for(var t,r,a,n=Object.keys(e),o=0;o<n.length;o++){var i=n[o];if(!this.data.checks[i])throw new Error(\'Locale provided for unknown check: "\'.concat(i,\'"\'));this.data.checks[i]=(t=this.data.checks[i],r=e[i],i=a=void 0,a=r.pass,i=r.fail,"string"==typeof a&&du.test(a)&&(a=cu.default.compile(a)),"string"==typeof i&&du.test(i)&&(i=cu.default.compile(i)),Xu({},t,{messages:{pass:a||t.messages.pass,fail:i||t.messages.fail,incomplete:"object"===Lu(t.messages.incomplete)?Xu({},t.messages.incomplete,r.incomplete):r.incomplete}}))}}},{key:"_applyRuleLocale",value:function(e){for(var t,r,a=Object.keys(e),n=0;n<a.length;n++){var o=a[n];if(!this.data.rules[o])throw new Error(\'Locale provided for unknown rule: "\'.concat(o,\'"\'));this.data.rules[o]=(t=this.data.rules[o],r=e[o],o=void 0,o=r.help,r=r.description,"string"==typeof o&&du.test(o)&&(o=cu.default.compile(o)),"string"==typeof r&&du.test(r)&&(r=cu.default.compile(r)),Xu({},t,{help:o||t.help,description:r||t.description}))}}},{key:"_applyFailureSummaries",value:function(e){for(var t=Object.keys(e),r=0;r<t.length;r++){var a=t[r];if(!this.data.failureSummaries[a])throw new Error(\'Locale provided for unknown failureMessage: "\'.concat(a,\'"\'));this.data.failureSummaries[a]=function(e,t){t=t.failureMessage;return Xu({},e,{failureMessage:(t="string"==typeof t&&du.test(t)?cu.default.compile(t):t)||e.failureMessage})}(this.data.failureSummaries[a],e[a])}}},{key:"applyLocale",value:function(e){var t,r;this._setDefaultLocale(),e.checks&&this._applyCheckLocale(e.checks),e.rules&&this._applyRuleLocale(e.rules),e.failureSummaries&&this._applyFailureSummaries(e.failureSummaries,"failureSummaries"),e.incompleteFallbackMessage&&(this.data.incompleteFallbackMessage=(t=this.data.incompleteFallbackMessage,(r="string"==typeof(r=e.incompleteFallbackMessage)&&du.test(r)?cu.default.compile(r):r)||t)),e.lang&&(this.lang=e.lang)}},{key:"setAllowedOrigins",value:function(e){var t=pu();this.allowedOrigins=[];var r,a=Zu(e);try{for(a.s();!(r=a.n()).done;){var n=r.value;if(n===Je.allOrigins)return void(this.allowedOrigins=["*"]);n!==Je.sameOrigin?this.allowedOrigins.push(n):t&&this.allowedOrigins.push(t)}}catch(e){a.e(e)}finally{a.f()}}},{key:"_init",value:function(){var e,t,t=((e=this.defaultConfig)?(t=Ar(e)).commons=e.commons:t={},t.reporter=t.reporter||null,t.noHtml=t.noHtml||!1,t.allowedOrigins||(e=pu(),t.allowedOrigins=e?[e]:[]),t.rules=t.rules||[],t.checks=t.checks||[],t.data=Xu({checks:{},rules:{}},t.data),t);this.lang=t.lang||"en",this.reporter=t.reporter,this.commands={},this.rules=[],this.checks={},this.brand="axe",this.application="axeAPI",this.tagExclude=["experimental"],this.noHtml=t.noHtml,this.allowedOrigins=t.allowedOrigins,fu(t.rules,this,"addRule"),fu(t.checks,this,"addCheck"),this.data={},this.data.checks=t.data&&t.data.checks||{},this.data.rules=t.data&&t.data.rules||{},this.data.failureSummaries=t.data&&t.data.failureSummaries||{},this.data.incompleteFallbackMessage=t.data&&t.data.incompleteFallbackMessage||"",this._constructHelpUrls()}},{key:"registerCommand",value:function(e){this.commands[e.id]=e.callback}},{key:"addRule",value:function(e){e.metadata&&(this.data.rules[e.id]=e.metadata);var t=this.getRule(e.id);t?t.configure(e):this.rules.push(new uu(e,this))}},{key:"addCheck",value:function(e){var t=e.metadata;"object"===Lu(t)&&(this.data.checks[e.id]=t,"object"===Lu(t.messages)&&Object.keys(t.messages).filter(function(e){return t.messages.hasOwnProperty(e)&&"string"==typeof t.messages[e]}).forEach(function(e){0===t.messages[e].indexOf("function")&&(t.messages[e]=new Function("return "+t.messages[e]+";")())})),this.checks[e.id]?this.checks[e.id].configure(e):this.checks[e.id]=new ou(e)}},{key:"run",value:function(n,o,i,l){this.normalizeOptions(o),axe._selectCache=[];var r,a,e=(t=this.rules,r=n,a=o,t.reduce(function(e,t){return wo(t,r,a)&&(t.preload?e.later:e.now).push(t),e},{now:[],later:[]})),t=e.now,s=e.later,u=jr();t.forEach(function(e){u.defer(hu(e,n,o))});e=jr();s.length&&e.defer(function(t){go(o).then(function(e){return t(e)}).catch(function(e){console.warn("Couldn\'t load preload assets: ",e),t(void 0)})});t=jr();t.defer(u),t.defer(e),t.then(function(e){var t=e.pop();t&&t.length&&((t=t[0])&&(n=Xu({},n,t)));var r=e[0];if(!s.length)return axe._selectCache=void 0,void i(r.filter(function(e){return!!e}));var a=jr();s.forEach(function(e){e=hu(e,n,o);a.defer(e)}),a.then(function(e){axe._selectCache=void 0,i(r.concat(e).filter(function(e){return!!e}))}).catch(l)}).catch(l)}},{key:"after",value:function(e,r){var a=this.rules;return e.map(function(e){var t=Gr(a,"id",e.id);if(!t)throw new Error("Result for unknown rule. You may be running mismatch axe-core versions");return t.after(e,r)})}},{key:"getRule",value:function(t){return this.rules.find(function(e){return e.id===t})}},{key:"normalizeOptions",value:function(e){var t=[],r=[];if(this.rules.forEach(function(e){r.push(e.id),e.tags.forEach(function(e){t.includes(e)||t.push(e)})}),"object"===Lu(e.runOnly)){if(Array.isArray(e.runOnly)){var a=e.runOnly.find(function(e){return t.includes(e)}),n=e.runOnly.find(function(e){return r.includes(e)});if(a&&n)throw new Error("runOnly cannot be both rules and tags");e.runOnly=n?{type:"rule",values:e.runOnly}:{type:"tag",values:e.runOnly}}n=e.runOnly;if(n.value&&!n.values&&(n.values=n.value,delete n.value),!Array.isArray(n.values)||0===n.values.length)throw new Error("runOnly.values must be a non-empty array");if(["rule","rules"].includes(n.type))n.type="rule",n.values.forEach(function(e){if(!r.includes(e))throw new Error("unknown rule `"+e+"` in options.runOnly")});else{if(!["tag","tags",void 0].includes(n.type))throw new Error("Unknown runOnly type \'".concat(n.type,"\'"));n.type="tag";n=n.values.filter(function(e){return!t.includes(e)});0!==n.length&&Qe("Could not find tags `"+n.join("`, `")+"`")}}return"object"===Lu(e.rules)&&Object.keys(e.rules).forEach(function(e){if(!r.includes(e))throw new Error("unknown rule `"+e+"` in options.rules")}),e}},{key:"setBranding",value:function(e){var t={brand:this.brand,application:this.application};e&&e.hasOwnProperty("brand")&&e.brand&&"string"==typeof e.brand&&(this.brand=e.brand),e&&e.hasOwnProperty("application")&&e.application&&"string"==typeof e.application&&(this.application=e.application),this._constructHelpUrls(t)}},{key:"_constructHelpUrls",value:function(){var r=this,a=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,n=(axe.version.match(/^[1-9][0-9]*\\.[0-9]+/)||["x.y"])[0];this.rules.forEach(function(e){r.data.rules[e.id]||(r.data.rules[e.id]={});var t=r.data.rules[e.id];("string"!=typeof t.helpUrl||a&&t.helpUrl===gu(a,e.id,n))&&(t.helpUrl=gu(r,e.id,n))})}},{key:"resetRulesAndChecks",value:function(){this._init(),this._resetLocale()}}]),mu);function yu(e,t){for(var r,a,n=[],o=0,i=e[t].length;o<i;o++){if("string"==typeof(r=e[t][o])){a=Array.from(document.querySelectorAll(r)),n=n.concat(a.map(function(e){return Dr(e)}));break}!r||!r.length||r instanceof window.Node?r instanceof window.Node&&(r.documentElement instanceof window.Node?n.push(e.flatTree[0]):n.push(Dr(r))):1<r.length?function(e,t,r){var a;e.frames=e.frames||[];var n=document.querySelectorAll(r.shift());e:for(var o=0,i=n.length;o<i;o++){for(var l=n[o],s=0,u=e.frames.length;s<u;s++)if(e.frames[s].node===l){e.frames[s][t].push(r);break e}a={node:l,include:[],exclude:[]},r&&a[t].push(r),e.frames.push(a)}}(e,t,r):(a=Array.from(document.querySelectorAll(r[0])),n=n.concat(a.map(function(e){return Dr(e)})))}return n.filter(function(e){return e})}var vu=function(e){var r=this;if(this.frames=[],this.initiator=!e||"boolean"!=typeof e.initiator||e.initiator,this.focusable=!e||"boolean"!=typeof e.focusable||e.focusable,this.boundingClientRect=e&&"object"===Lu(e.boundingClientRect)?e.boundingClientRect:{},this.page=!1,e=function(e){if(e&&"object"===Lu(e)||e instanceof window.NodeList){if(e instanceof window.Node)return{include:[e],exclude:[]};if(e.hasOwnProperty("include")||e.hasOwnProperty("exclude"))return{include:e.include&&+e.include.length?e.include:[document],exclude:e.exclude||[]};if(e.length===+e.length)return{include:e,exclude:[]}}return"string"==typeof e?{include:[e],exclude:[]}:{include:[document],exclude:[]}}(e),this.flatTree=wn(function(e){for(var t=e.include,e=e.exclude,r=Array.from(t).concat(Array.from(e)),a=0;a<r.length;++a){var n=r[a];if(n instanceof window.Element)return n.ownerDocument.documentElement;if(n instanceof window.Document)return n.documentElement}return document.documentElement}(e)),this.exclude=e.exclude,this.include=e.include,this.include=yu(this,"include"),this.exclude=yu(this,"exclude"),Eo("frame, iframe",this).forEach(function(e){var t;zn(e,r)&&(t=r.frames,e=e.actualNode,jn(e)||Gr(t,"node",e)||t.push({node:e,include:[],exclude:[]}))}),1===this.include.length&&this.include[0].actualNode===document.documentElement&&(this.page=!0),(e=function(e){if(0===e.include.length){if(0===e.frames.length){var t=Vr.isInFrame()?"frame":"page";return new Error("No elements found for include in "+t+" Context")}e.frames.forEach(function(e,t){if(0===e.include.length)return new Error("No elements found for include in Context of frame "+t)})}}(this))instanceof Error)throw e;Array.isArray(this.include)||(this.include=Array.from(this.include)),this.include.sort(Gn)},ei={};o(ei,{CssSelectorParser:function(){return Du.CssSelectorParser},doT:function(){return wu.default},emojiRegexText:function(){return xu.default},memoize:function(){return Eu.default}});var Du=c(m()),wu=c(We()),xu=c($e()),Eu=c(ze()),ti=c(Ge()),gl=c(Ye());c(Ke());"Promise"in window||ti.default.polyfill(),"Uint32Array"in window||(window.Uint32Array=gl.Uint32Array),window.Uint32Array&&("some"in window.Uint32Array.prototype||Object.defineProperty(window.Uint32Array.prototype,"some",{value:Array.prototype.some}),"reduce"in window.Uint32Array.prototype||Object.defineProperty(window.Uint32Array.prototype,"reduce",{value:Array.prototype.reduce}));var Au,Cu=function(t,r){if(t=t||function(){},r=r||axe.log,!axe._audit)throw new Error("No audit configured");var a=axe.utils.queue(),n=[];Object.keys(axe.plugins).forEach(function(e){a.defer(function(t){function r(e){n.push(e),t()}try{axe.plugins[e].cleanup(t,r)}catch(e){r(e)}})});var e=axe.utils.getFlattenedTree(document.body);axe.utils.querySelectorAll(e,"iframe, frame").forEach(function(r){a.defer(function(e,t){return axe.utils.sendCommandToFrame(r.actualNode,{command:"cleanup-plugin"},e,t)})}),a.then(function(e){0===n.length?t(e):r(n)}).catch(r)},Fu={};function ku(e){return Fu.hasOwnProperty(e)}function Ru(e){return"string"==typeof e&&Fu[e]?Fu[e]:"function"==typeof e?e:Au}hl=function(e){var t=axe._audit;if(!t)throw new Error("No audit configured");if(e.axeVersion||e.ver){var r=e.axeVersion||e.ver;if(!/^\\d+\\.\\d+\\.\\d+(-canary)?/.test(r))throw new Error("Invalid configured version ".concat(r));var a=Ku(r.split("-"),2),n=a[0],o=a[1],i=Ku(n.split(".").map(Number),3),l=i[0],s=i[1],u=i[2],c=Ku(axe.version.split("-"),2),a=c[0],n=c[1],i=Ku(a.split(".").map(Number),3),c=i[0],a=i[1],i=i[2];if(l!==c||a<s||a===s&&i<u||l===c&&s===a&&u===i&&o&&o!==n)throw new Error("Configured version ".concat(r," is not compatible with current axe version ").concat(axe.version))}if(e.reporter&&("function"==typeof e.reporter||ku(e.reporter))&&(t.reporter=e.reporter),e.checks){if(!Array.isArray(e.checks))throw new TypeError("Checks property must be an array");e.checks.forEach(function(e){if(!e.id)throw new TypeError("Configured check ".concat(JSON.stringify(e)," is invalid. Checks must be an object with at least an id property"));t.addCheck(e)})}var d,p=[];if(e.rules){if(!Array.isArray(e.rules))throw new TypeError("Rules property must be an array");e.rules.forEach(function(e){if(!e.id)throw new TypeError("Configured rule ".concat(JSON.stringify(e)," is invalid. Rules must be an object with at least an id property"));p.push(e.id),t.addRule(e)})}if(e.disableOtherRules&&t.rules.forEach(function(e){!1===p.includes(e.id)&&(e.enabled=!1)}),void 0!==e.branding?t.setBranding(e.branding):t._constructHelpUrls(),e.tagExclude&&(t.tagExclude=e.tagExclude),e.locale&&t.applyLocale(e.locale),e.standards&&(d=e.standards,Object.keys(an).forEach(function(e){d[e]&&(an[e]=Qr(an[e],d[e]))})),e.noHtml&&(t.noHtml=!0),e.allowedOrigins){if(!Array.isArray(e.allowedOrigins))throw new TypeError("Allowed origins property must be an array");if(e.allowedOrigins.includes("*"))throw new Error(\'"*" is not allowed. Use "\'.concat(Je.allOrigins,\'" instead\'));t.setAllowedOrigins(e.allowedOrigins)}};bl=function(e){var t=(e=e||[]).length?axe._audit.rules.filter(function(t){return!!e.filter(function(e){return-1!==t.tags.indexOf(e)}).length}):axe._audit.rules,r=axe._audit.data.rules||{};return t.map(function(e){var t=r[e.id]||{};return{ruleId:e.id,description:t.description,help:t.help,helpUrl:t.helpUrl,tags:e.tags}})};var Tu=function(){vr.get("globalDocumentSet")&&(document=null),vr.get("globalWindowSet")&&(window=null),axe._memoizedFns.forEach(function(e){return e.clear()}),vr.clear(),axe._tree=void 0,axe._selectorData=void 0,axe._selectCache=void 0};var Nu=function(r,a,n,o){try{r=new vu(r),axe._tree=r.flatTree,axe._selectorData=cr(r.flatTree)}catch(e){return Tu(),o(e)}var e=jr(),i=axe._audit;a.performanceTimer&&ro.auditStart(),r.frames.length&&!1!==a.iframes&&e.defer(function(e,t){Xr(r,a,"rules",null,e,t)}),e.defer(function(e,t){i.run(r,a,e,t)}),e.then(function(e){try{a.performanceTimer&&ro.auditEnd();var t=Kr(e.map(function(e){return{results:e}}));r.initiator&&((t=i.after(t,a)).forEach(yo),t=t.map(Ht));try{n(t,Tu)}catch(e){Tu(),Qe(e)}}catch(e){Tu(),o(e)}}).catch(function(e){Tu(),o(e)})};function _u(e,t,r){function a(e){e instanceof Error==!1&&(e=new Error(e)),r(e)}var n=r,o=e&&e.context||{};o.hasOwnProperty("include")&&!o.include.length&&(o.include=[document]);var i=e&&e.options||{};switch(e.command){case"rules":return Nu(o,i,function(e,t){n(e),t()},a);case"cleanup-plugin":return Cu(n,a);default:if(axe._audit&&axe._audit.commands&&axe._audit.commands[e.command])return axe._audit.commands[e.command](e,r)}}window.top!==window&&(Vr.subscribe("axe.start",_u),Vr.subscribe("axe.ping",function(e,t,r){r({axe:!0})}));o=function(e){axe._audit=new bu(e)};function Ou(e){this._run=e.run,this._collect=e.collect,this._registry={},e.commands.forEach(function(e){axe._audit.registerCommand(e)})}Ou.prototype.run=function(){return this._run.apply(this,arguments)},Ou.prototype.collect=function(){return this._collect.apply(this,arguments)},Ou.prototype.cleanup=function(e){var r=axe.utils.queue(),a=this;Object.keys(this._registry).forEach(function(t){r.defer(function(e){a._registry[t].cleanup(e)})}),r.then(e)},Ou.prototype.add=function(e){this._registry[e.id]=e};m=function(e){axe.plugins[e.id]=new Ou(e)};We=function(){var e=axe._audit;if(!e)throw new Error("No audit configured");e.resetRulesAndChecks(),Object.keys(an).forEach(function(e){an[e]=rn[e]})};$e=function(e,t){var r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};r.reporter=r.reporter||axe._audit.reporter||"v1",axe._selectorData={},t instanceof tt||(t=new No(t));var a=Sn(e);if(!a)throw new Error("unknown rule `"+e+"`");return a=(a=Object.create(a,{excludeHidden:{value:!1}})).runSync({initiator:!0,include:[t]},r),yo(a),Ht(a),(a=Wt([a])).violations.forEach(function(e){return e.nodes.forEach(function(e){e.failureSummary=En(e)})}),Xu({},An(),a,{toolOptions:r})};var Su=function(){};function Pu(e,t,r){var a=new TypeError("axe.run arguments are invalid");if(!function(e){switch(!0){case"string"==typeof e:case Array.isArray(e):case window.Node&&e instanceof window.Node:case window.NodeList&&e instanceof window.NodeList:return 1;case"object"!==Lu(e):return;case void 0!==e.include:case void 0!==e.exclude:case"number"==typeof e.length:return 1;default:return}}(e)){if(void 0!==r)throw a;r=t,t=e,e=document}if("object"!==Lu(t)){if(void 0!==r)throw a;r=t,t={}}if("function"!=typeof r&&void 0!==r)throw a;return{context:e,options:t,callback:r||Su}}ze=function(e,n,o){if(!axe._audit)throw new Error("No audit configured");var t=window&&"Node"in window&&"NodeList"in window,r=!!document;if(!t||!r){if(!e||!e.ownerDocument)throw new Error(\'Required "window" or "document" globals not defined and cannot be deduced from the context. Either set the globals before running or pass in a valid Element.\');r||(vr.set("globalDocumentSet",!0),document=e.ownerDocument),t||(vr.set("globalWindowSet",!0),window=document.defaultView)}var a,t=Pu(e,n,o);e=t.context,n=t.options,o=t.callback,n.reporter=n.reporter||axe._audit.reporter||"v1",n.performanceTimer&&axe.utils.performanceTimer.start();var i=Su,l=Su;if("function"==typeof Promise&&o===Su&&(a=new Promise(function(e,t){i=t,l=e})),axe._running){t="Axe is already running. Use `await axe.run()` to wait for the previous run to finish before starting a new run.";return o(t),i(t),a}return axe._running=!0,axe._runRules(e,n,function(e,t){function r(e){axe._running=!1,t();try{o(null,e)}catch(e){axe.log(e)}l(e)}n.performanceTimer&&axe.utils.performanceTimer.end();try{var a=Ru(n.reporter)(e,n,r);void 0!==a&&r(a)}catch(e){axe._running=!1,t(),o(e),i(e)}},function(e){axe._running=!1,o(e),i(e)}),a};var Ge=function(e){if(axe._tree)throw new Error("Axe is already setup. Call `axe.teardown()` before calling `axe.setup` again.");return axe._tree=wn(e),axe._selectorData=cr(axe._tree),axe._tree[0]},Ye=function(e,t,r){console.warn(\'"na" reporter will be deprecated in axe v4.0. Use the "v2" reporter instead.\'),"function"==typeof t&&(r=t,t={});e=kn(e,t);r(Xu({},An(),{toolOptions:t,violations:e.violations,passes:e.passes,incomplete:e.incomplete,inapplicable:e.inapplicable}))},c=function(e,t,r){"function"==typeof t&&(r=t,t={}),t.resultTypes=["violations"];e=kn(e,t);r(Xu({},An(),{toolOptions:t,violations:e.violations}))},Iu=function(e,t,r){if("function"==typeof t&&(r=t,t={}),!e||!Array.isArray(e))return r(e);r(e.map(function(e){for(var t=Xu({},e),r=0,a=["passes","violations","incomplete","inapplicable"];r<a.length;r++){var n=a[r];t[n]&&Array.isArray(t[n])&&(t[n]=t[n].map(function(e){return Xu({},e,{node:e.node.toJSON()})}))}return t}))},Ke=function(e,t,r){"function"==typeof t&&(r=t,t={}),Iu(e,t,function(e){var t=An();r({raw:e,env:t})})},ti=function(e,t,r){"function"==typeof t&&(r=t,t={});var a=kn(e,t),e=function(e){e.nodes.forEach(function(e){e.failureSummary=En(e)})};a.incomplete.forEach(e),a.violations.forEach(e),r(Xu({},An(),{toolOptions:t,violations:a.violations,passes:a.passes,incomplete:a.incomplete,inapplicable:a.inapplicable}))},gl=function(e,t,r){"function"==typeof t&&(r=t,t={});e=kn(e,t);r(Xu({},An(),{toolOptions:t,violations:e.violations,passes:e.passes,incomplete:e.incomplete,inapplicable:e.inapplicable}))};axe.constants=Je,axe.log=Qe,axe.AbstractVirtualNode=tt,axe.SerialVirtualNode=No,axe.VirtualNode=vn,axe._cache=vr,axe._thisWillBeDeletedDoNotUse=axe._thisWillBeDeletedDoNotUse||{},axe._thisWillBeDeletedDoNotUse.base={Audit:bu,CheckResult:tu,Check:ou,Context:vu,RuleResult:iu,Rule:uu,metadataFunctionMap:eu},axe.imports=ei,axe.cleanup=Cu,axe.configure=hl,axe.frameMessenger=function(e){Vr.updateMessenger(e)},axe.getRules=bl,axe._load=o,axe.plugins={},axe.registerPlugin=m,axe.hasReporter=ku,axe.getReporter=Ru,axe.addReporter=function(e,t,r){Fu[e]=t,r&&(Au=t)},axe.reset=We,axe._runRules=Nu,axe.runVirtualRule=$e,axe.run=ze,axe.setup=Ge,axe.teardown=Tu,axe.commons=Zo,axe.utils=rt,axe.addReporter("na",Ye),axe.addReporter("no-passes",c),axe.addReporter("rawEnv",Ke),axe.addReporter("raw",Iu),axe.addReporter("v1",ti),axe.addReporter("v2",gl,!0)}(),axe._load({lang:"en",data:{rules:{accesskeys:{description:"Ensures every accesskey attribute value is unique",help:"accesskey attribute value should be unique"},"area-alt":{description:"Ensures <area> elements of image maps have alternate text",help:"Active <area> elements must have alternate text"},"aria-allowed-attr":{description:"Ensures ARIA attributes are allowed for an element\'s role",help:"Elements must only use allowed ARIA attributes"},"aria-allowed-role":{description:"Ensures role attribute has an appropriate value for the element",help:"ARIA role should be appropriate for the element"},"aria-command-name":{description:"Ensures every ARIA button, link and menuitem has an accessible name",help:"ARIA commands must have an accessible name"},"aria-dialog-name":{description:"Ensures every ARIA dialog and alertdialog node has an accessible name",help:"ARIA dialog and alertdialog nodes should have an accessible name"},"aria-hidden-body":{description:"Ensures aria-hidden=\'true\' is not present on the document body.",help:"aria-hidden=\'true\' must not be present on the document body"},"aria-hidden-focus":{description:"Ensures aria-hidden elements do not contain focusable elements",help:"ARIA hidden element must not contain focusable elements"},"aria-input-field-name":{description:"Ensures every ARIA input field has an accessible name",help:"ARIA input fields must have an accessible name"},"aria-meter-name":{description:"Ensures every ARIA meter node has an accessible name",help:"ARIA meter nodes must have an accessible name"},"aria-progressbar-name":{description:"Ensures every ARIA progressbar node has an accessible name",help:"ARIA progressbar nodes must have an accessible name"},"aria-required-attr":{description:"Ensures elements with ARIA roles have all required ARIA attributes",help:"Required ARIA attributes must be provided"},"aria-required-children":{description:"Ensures elements with an ARIA role that require child roles contain them",help:"Certain ARIA roles must contain particular children"},"aria-required-parent":{description:"Ensures elements with an ARIA role that require parent roles are contained by them",help:"Certain ARIA roles must be contained by particular parents"},"aria-roledescription":{description:"Ensure aria-roledescription is only used on elements with an implicit or explicit role",help:"Use aria-roledescription on elements with a semantic role"},"aria-roles":{description:"Ensures all elements with a role attribute use a valid value",help:"ARIA roles used must conform to valid values"},"aria-text":{description:\'Ensures "role=text" is used on elements with no focusable descendants\',help:\'"role=text" should have no focusable descendants\'},"aria-toggle-field-name":{description:"Ensures every ARIA toggle field has an accessible name",help:"ARIA toggle fields have an accessible name"},"aria-tooltip-name":{description:"Ensures every ARIA tooltip node has an accessible name",help:"ARIA tooltip nodes must have an accessible name"},"aria-treeitem-name":{description:"Ensures every ARIA treeitem node has an accessible name",help:"ARIA treeitem nodes should have an accessible name"},"aria-valid-attr-value":{description:"Ensures all ARIA attributes have valid values",help:"ARIA attributes must conform to valid values"},"aria-valid-attr":{description:"Ensures attributes that begin with aria- are valid ARIA attributes",help:"ARIA attributes must conform to valid names"},"audio-caption":{description:"Ensures <audio> elements have captions",help:"<audio> elements must have a captions track"},"autocomplete-valid":{description:"Ensure the autocomplete attribute is correct and suitable for the form field",help:"autocomplete attribute must be used correctly"},"avoid-inline-spacing":{description:"Ensure that text spacing set through style attributes can be adjusted with custom stylesheets",help:"Inline text spacing must be adjustable with custom stylesheets"},blink:{description:"Ensures <blink> elements are not used",help:"<blink> elements are deprecated and must not be used"},"button-name":{description:"Ensures buttons have discernible text",help:"Buttons must have discernible text"},bypass:{description:"Ensures each page has at least one mechanism for a user to bypass navigation and jump straight to the content",help:"Page must have means to bypass repeated blocks"},"color-contrast":{description:"Ensures the contrast between foreground and background colors meets WCAG 2 AA contrast ratio thresholds",help:"Elements must have sufficient color contrast"},"css-orientation-lock":{description:"Ensures content is not locked to any specific display orientation, and the content is operable in all display orientations",help:"CSS Media queries are not used to lock display orientation"},"definition-list":{description:"Ensures <dl> elements are structured correctly",help:"<dl> elements must only directly contain properly-ordered <dt> and <dd> groups, <script>, <template> or <div> elements"},dlitem:{description:"Ensures <dt> and <dd> elements are contained by a <dl>",help:"<dt> and <dd> elements must be contained by a <dl>"},"document-title":{description:"Ensures each HTML document contains a non-empty <title> element",help:"Documents must have <title> element to aid in navigation"},"duplicate-id-active":{description:"Ensures every id attribute value of active elements is unique",help:"IDs of active elements must be unique"},"duplicate-id-aria":{description:"Ensures every id attribute value used in ARIA and in labels is unique",help:"IDs used in ARIA and labels must be unique"},"duplicate-id":{description:"Ensures every id attribute value is unique",help:"id attribute value must be unique"},"empty-heading":{description:"Ensures headings have discernible text",help:"Headings should not be empty"},"empty-table-header":{description:"Ensures table headers have discernible text",help:"Table header text must not be empty"},"focus-order-semantics":{description:"Ensures elements in the focus order have an appropriate role",help:"Elements in the focus order need a role appropriate for interactive content"},"form-field-multiple-labels":{description:"Ensures form field does not have multiple label elements",help:"Form field must not have multiple label elements"},"frame-focusable-content":{description:"Ensures <frame> and <iframe> elements with focusable content do not have tabindex=-1",help:"Frames with focusable content must not have tabindex=-1"},"frame-tested":{description:"Ensures <iframe> and <frame> elements contain the axe-core script",help:"Frames should be tested with axe-core"},"frame-title-unique":{description:"Ensures <iframe> and <frame> elements contain a unique title attribute",help:"Frames should have a unique title attribute"},"frame-title":{description:"Ensures <iframe> and <frame> elements have an accessible name",help:"Frames must have an accessible name"},"heading-order":{description:"Ensures the order of headings is semantically correct",help:"Heading levels should only increase by one"},"hidden-content":{description:"Informs users about hidden content.",help:"Hidden content on the page cannot be analyzed"},"html-has-lang":{description:"Ensures every HTML document has a lang attribute",help:"<html> element must have a lang attribute"},"html-lang-valid":{description:"Ensures the lang attribute of the <html> element has a valid value",help:"<html> element must have a valid value for the lang attribute"},"html-xml-lang-mismatch":{description:"Ensure that HTML elements with both valid lang and xml:lang attributes agree on the base language of the page",help:"HTML elements with lang and xml:lang must have the same base language"},"identical-links-same-purpose":{description:"Ensure that links with the same accessible name serve a similar purpose",help:"Links with the same name have a similar purpose"},"image-alt":{description:"Ensures <img> elements have alternate text or a role of none or presentation",help:"Images must have alternate text"},"image-redundant-alt":{description:"Ensure image alternative is not repeated as text",help:"Alternative text of images should not be repeated as text"},"input-button-name":{description:"Ensures input buttons have discernible text",help:"Input buttons must have discernible text"},"input-image-alt":{description:\'Ensures <input type="image"> elements have alternate text\',help:"Image buttons must have alternate text"},"label-content-name-mismatch":{description:"Ensures that elements labelled through their content must have their visible text as part of their accessible name",help:"Elements must have their visible text as part of their accessible name"},"label-title-only":{description:"Ensures that every form element is not solely labeled using the title or aria-describedby attributes",help:"Form elements should have a visible label"},label:{description:"Ensures every form element has a label",help:"Form elements must have labels"},"landmark-banner-is-top-level":{description:"Ensures the banner landmark is at top level",help:"Banner landmark should not be contained in another landmark"},"landmark-complementary-is-top-level":{description:"Ensures the complementary landmark or aside is at top level",help:"Aside should not be contained in another landmark"},"landmark-contentinfo-is-top-level":{description:"Ensures the contentinfo landmark is at top level",help:"Contentinfo landmark should not be contained in another landmark"},"landmark-main-is-top-level":{description:"Ensures the main landmark is at top level",help:"Main landmark should not be contained in another landmark"},"landmark-no-duplicate-banner":{description:"Ensures the document has at most one banner landmark",help:"Document should not have more than one banner landmark"},"landmark-no-duplicate-contentinfo":{description:"Ensures the document has at most one contentinfo landmark",help:"Document should not have more than one contentinfo landmark"},"landmark-no-duplicate-main":{description:"Ensures the document has at most one main landmark",help:"Document should not have more than one main landmark"},"landmark-one-main":{description:"Ensures the document has a main landmark",help:"Document should have one main landmark"},"landmark-unique":{help:"Ensures landmarks are unique",description:"Landmarks should have a unique role or role/label/title (i.e. accessible name) combination"},"link-in-text-block":{description:"Links can be distinguished without relying on color",help:"Links must be distinguished from surrounding text in a way that does not rely on color"},"link-name":{description:"Ensures links have discernible text",help:"Links must have discernible text"},list:{description:"Ensures that lists are structured correctly",help:"<ul> and <ol> must only directly contain <li>, <script> or <template> elements"},listitem:{description:"Ensures <li> elements are used semantically",help:"<li> elements must be contained in a <ul> or <ol>"},marquee:{description:"Ensures <marquee> elements are not used",help:"<marquee> elements are deprecated and must not be used"},"meta-refresh":{description:\'Ensures <meta http-equiv="refresh"> is not used\',help:"Timed refresh must not exist"},"meta-viewport-large":{description:\'Ensures <meta name="viewport"> can scale a significant amount\',help:"Users should be able to zoom and scale the text up to 500%"},"meta-viewport":{description:\'Ensures <meta name="viewport"> does not disable text scaling and zooming\',help:"Zooming and scaling should not be disabled"},"nested-interactive":{description:"Nested interactive controls are not announced by screen readers",help:"Ensure interactive controls are not nested"},"no-autoplay-audio":{description:"Ensures <video> or <audio> elements do not autoplay audio for more than 3 seconds without a control mechanism to stop or mute the audio",help:"<video> or <audio> elements do not autoplay audio"},"object-alt":{description:"Ensures <object> elements have alternate text",help:"<object> elements must have alternate text"},"p-as-heading":{description:"Ensure p elements are not used to style headings",help:"Bold, italic text and font-size are not used to style p elements as a heading"},"page-has-heading-one":{description:"Ensure that the page, or at least one of its frames contains a level-one heading",help:"Page should contain a level-one heading"},"presentation-role-conflict":{description:"Flags elements whose role is none or presentation and which cause the role conflict resolution to trigger.",help:"Elements of role none or presentation should be flagged"},region:{description:"Ensures all page content is contained by landmarks",help:"All page content should be contained by landmarks"},"role-img-alt":{description:"Ensures [role=\'img\'] elements have alternate text",help:"[role=\'img\'] elements have an alternative text"},"scope-attr-valid":{description:"Ensures the scope attribute is used correctly on tables",help:"scope attribute should be used correctly"},"scrollable-region-focusable":{description:"Elements that have scrollable content must be accessible by keyboard",help:"Ensure that scrollable region has keyboard access"},"select-name":{description:"Ensures select element has an accessible name",help:"Select element must have an accessible name"},"server-side-image-map":{description:"Ensures that server-side image maps are not used",help:"Server-side image maps must not be used"},"skip-link":{description:"Ensure all skip links have a focusable target",help:"The skip-link target should exist and be focusable"},"svg-img-alt":{description:"Ensures svg elements with an img, graphics-document or graphics-symbol role have an accessible text",help:"svg elements with an img role have an alternative text"},tabindex:{description:"Ensures tabindex attribute values are not greater than 0",help:"Elements should not have tabindex greater than zero"},"table-duplicate-name":{description:"Ensure that tables do not have the same summary and caption",help:"The <caption> element should not contain the same text as the summary attribute"},"table-fake-caption":{description:"Ensure that tables with a caption use the <caption> element.",help:"Data or header cells must not be used to give caption to a data table."},"td-has-header":{description:"Ensure that each non-empty data cell in a large table has one or more table headers",help:"All non-empty td element in table larger than 3 by 3 must have an associated table header"},"td-headers-attr":{description:"Ensure that each cell in a table using the headers refers to another cell in that table",help:"All cells in a table element that use the headers attribute must only refer to other cells of that same table"},"th-has-data-cells":{description:"Ensure that each table header in a data table refers to data cells",help:"All th elements and elements with role=columnheader/rowheader must have data cells they describe"},"valid-lang":{description:"Ensures lang attributes have valid values",help:"lang attribute must have a valid value"},"video-caption":{description:"Ensures <video> elements have captions",help:"<video> elements must have captions"}},checks:{abstractrole:{impact:"serious",messages:{pass:"Abstract roles are not used",fail:{singular:"Abstract role cannot be directly used: ${data.values}",plural:"Abstract roles cannot be directly used: ${data.values}"}}},"aria-allowed-attr":{impact:"critical",messages:{pass:"ARIA attributes are used correctly for the defined role",fail:{singular:"ARIA attribute is not allowed: ${data.values}",plural:"ARIA attributes are not allowed: ${data.values}"}}},"aria-allowed-role":{impact:"minor",messages:{pass:"ARIA role is allowed for given element",fail:{singular:"ARIA role ${data.values} is not allowed for given element",plural:"ARIA roles ${data.values} are not allowed for given element"},incomplete:{singular:"ARIA role ${data.values} must be removed when the element is made visible, as it is not allowed for the element",plural:"ARIA roles ${data.values} must be removed when the element is made visible, as they are not allowed for the element"}}},"aria-errormessage":{impact:"critical",messages:{pass:"aria-errormessage exists and references elements visible to screen readers that use a supported aria-errormessage technique",fail:{singular:"aria-errormessage value `${data.values}` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",plural:"aria-errormessage values `${data.values}` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)"},incomplete:{singular:"ensure aria-errormessage value `${data.values}` references an existing element",plural:"ensure aria-errormessage values `${data.values}` reference existing elements"}}},"aria-hidden-body":{impact:"critical",messages:{pass:"No aria-hidden attribute is present on document body",fail:"aria-hidden=true should not be present on the document body"}},"aria-prohibited-attr":{impact:"serious",messages:{pass:"ARIA attribute is allowed",fail:"ARIA attribute cannot be used, add a role attribute or use a different element: ${data.values}",incomplete:"ARIA attribute is not well supported on the element and the text content will be used instead: ${data.values}"}},"aria-required-attr":{impact:"critical",messages:{pass:"All required ARIA attributes are present",fail:{singular:"Required ARIA attribute not present: ${data.values}",plural:"Required ARIA attributes not present: ${data.values}"}}},"aria-required-children":{impact:"critical",messages:{pass:"Required ARIA children are present",fail:{singular:"Required ARIA child role not present: ${data.values}",plural:"Required ARIA children role not present: ${data.values}"},incomplete:{singular:"Expecting ARIA child role to be added: ${data.values}",plural:"Expecting ARIA children role to be added: ${data.values}"}}},"aria-required-parent":{impact:"critical",messages:{pass:"Required ARIA parent role present",fail:{singular:"Required ARIA parent role not present: ${data.values}",plural:"Required ARIA parents role not present: ${data.values}"}}},"aria-roledescription":{impact:"serious",messages:{pass:"aria-roledescription used on a supported semantic role",incomplete:"Check that the aria-roledescription is announced by supported screen readers",fail:"Give the element a role that supports aria-roledescription"}},"aria-unsupported-attr":{impact:"critical",messages:{pass:"ARIA attribute is supported",fail:"ARIA attribute is not widely supported in screen readers and assistive technologies: ${data.values}"}},"aria-valid-attr-value":{impact:"critical",messages:{pass:"ARIA attribute values are valid",fail:{singular:"Invalid ARIA attribute value: ${data.values}",plural:"Invalid ARIA attribute values: ${data.values}"},incomplete:{noId:"ARIA attribute element ID does not exist on the page: ${data.needsReview}",ariaCurrent:\'ARIA attribute value is invalid and will be treated as "aria-current=true": ${data.needsReview}\'}}},"aria-valid-attr":{impact:"critical",messages:{pass:"ARIA attribute name is valid",fail:{singular:"Invalid ARIA attribute name: ${data.values}",plural:"Invalid ARIA attribute names: ${data.values}"}}},fallbackrole:{impact:"serious",messages:{pass:"Only one role value used",fail:"Use only one role value, since fallback roles are not supported in older browsers"}},"has-global-aria-attribute":{impact:"minor",messages:{pass:{singular:"Element has global ARIA attribute: ${data.values}",plural:"Element has global ARIA attributes: ${data.values}"},fail:"Element does not have global ARIA attribute"}},"has-widget-role":{impact:"minor",messages:{pass:"Element has a widget role.",fail:"Element does not have a widget role."}},invalidrole:{impact:"critical",messages:{pass:"ARIA role is valid",fail:{singular:"Role must be one of the valid ARIA roles: ${data.values}",plural:"Roles must be one of the valid ARIA roles: ${data.values}"}}},"is-element-focusable":{impact:"minor",messages:{pass:"Element is focusable.",fail:"Element is not focusable."}},"no-implicit-explicit-label":{impact:"moderate",messages:{pass:"There is no mismatch between a <label> and accessible name",incomplete:"Check that the <label> does not need be part of the ARIA ${data} field\'s name"}},unsupportedrole:{impact:"critical",messages:{pass:"ARIA role is supported",fail:"The role used is not widely supported in screen readers and assistive technologies: ${data.values}"}},"valid-scrollable-semantics":{impact:"minor",messages:{pass:"Element has valid semantics for an element in the focus order.",fail:"Element has invalid semantics for an element in the focus order."}},"color-contrast":{impact:"serious",messages:{pass:"Element has sufficient color contrast of ${data.contrastRatio}",fail:"Element has insufficient color contrast of ${data.contrastRatio} (foreground color: ${data.fgColor}, background color: ${data.bgColor}, font size: ${data.fontSize}, font weight: ${data.fontWeight}). Expected contrast ratio of ${data.expectedContrastRatio}",incomplete:{default:"Unable to determine contrast ratio",bgImage:"Element\'s background color could not be determined due to a background image",bgGradient:"Element\'s background color could not be determined due to a background gradient",imgNode:"Element\'s background color could not be determined because element contains an image node",bgOverlap:"Element\'s background color could not be determined because it is overlapped by another element",fgAlpha:"Element\'s foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element\'s background color could not be determined because it\'s partially obscured by another element",elmPartiallyObscuring:"Element\'s background color could not be determined because it partially overlaps other elements",outsideViewport:"Element\'s background color could not be determined because it\'s outside the viewport",equalRatio:"Element has a 1:1 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element\'s background color could not be determined due to a pseudo element"}}},"link-in-text-block":{impact:"serious",messages:{pass:"Links can be distinguished from surrounding text in some way other than by color",fail:"Links need to be distinguished from surrounding text in some way other than by color",incomplete:{default:"Unable to determine contrast ratio",bgContrast:"Element\'s contrast ratio could not be determined. Check for a distinct hover/focus style",bgImage:"Element\'s contrast ratio could not be determined due to a background image",bgGradient:"Element\'s contrast ratio could not be determined due to a background gradient",imgNode:"Element\'s contrast ratio could not be determined because element contains an image node",bgOverlap:"Element\'s contrast ratio could not be determined because of element overlap"}}},"autocomplete-appropriate":{impact:"serious",messages:{pass:"the autocomplete value is on an appropriate element",fail:"the autocomplete value is inappropriate for this type of input"}},"autocomplete-valid":{impact:"serious",messages:{pass:"the autocomplete attribute is correctly formatted",fail:"the autocomplete attribute is incorrectly formatted"}},accesskeys:{impact:"serious",messages:{pass:"Accesskey attribute value is unique",fail:"Document has multiple elements with the same accesskey"}},"focusable-content":{impact:"moderate",messages:{pass:"Element contains focusable elements",fail:"Element should have focusable content"}},"focusable-disabled":{impact:"serious",messages:{pass:"No focusable elements contained within element",fail:"Focusable content should be disabled or be removed from the DOM"}},"focusable-element":{impact:"moderate",messages:{pass:"Element is focusable",fail:"Element should be focusable"}},"focusable-modal-open":{impact:"serious",messages:{pass:"No focusable elements while a modal is open",incomplete:"Check that focusable elements are not tabbable in the current state"}},"focusable-no-name":{impact:"serious",messages:{pass:"Element is not in tab order or has accessible text",fail:"Element is in tab order and does not have accessible text",incomplete:"Unable to determine if element has an accessible name"}},"focusable-not-tabbable":{impact:"serious",messages:{pass:"No focusable elements contained within element",fail:"Focusable content should have tabindex=\'-1\' or be removed from the DOM"}},"frame-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:"Element has focusable descendants",incomplete:"Could not determine if element has descendants"}},"landmark-is-top-level":{impact:"moderate",messages:{pass:"The ${data.role} landmark is at the top level.",fail:"The ${data.role} landmark is contained in another landmark."}},"no-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:"Element has focusable descendants",incomplete:"Could not determine if element has descendants"}},"page-has-heading-one":{impact:"moderate",messages:{pass:"Page has at least one level-one heading",fail:"Page must have a level-one heading"}},"page-has-main":{impact:"moderate",messages:{pass:"Document has at least one main landmark",fail:"Document does not have a main landmark"}},"page-no-duplicate-banner":{impact:"moderate",messages:{pass:"Document does not have more than one banner landmark",fail:"Document has more than one banner landmark"}},"page-no-duplicate-contentinfo":{impact:"moderate",messages:{pass:"Document does not have more than one contentinfo landmark",fail:"Document has more than one contentinfo landmark"}},"page-no-duplicate-main":{impact:"moderate",messages:{pass:"Document does not have more than one main landmark",fail:"Document has more than one main landmark"}},tabindex:{impact:"serious",messages:{pass:"Element does not have a tabindex greater than 0",fail:"Element has a tabindex greater than 0"}},"alt-space-value":{impact:"critical",messages:{pass:"Element has a valid alt attribute value",fail:"Element has an alt attribute containing only a space character, which is not ignored by all screen readers"}},"duplicate-img-label":{impact:"minor",messages:{pass:"Element does not duplicate existing text in <img> alt text",fail:"Element contains <img> element with alt text that duplicates existing text"}},"explicit-label":{impact:"critical",messages:{pass:"Form element has an explicit <label>",fail:"Form element does not have an explicit <label>",incomplete:"Unable to determine if form element has an explicit <label>"}},"help-same-as-label":{impact:"minor",messages:{pass:"Help text (title or aria-describedby) does not duplicate label text",fail:"Help text (title or aria-describedby) text is the same as the label text"}},"hidden-explicit-label":{impact:"critical",messages:{pass:"Form element has a visible explicit <label>",fail:"Form element has explicit <label> that is hidden",incomplete:"Unable to determine if form element has explicit <label> that is hidden"}},"implicit-label":{impact:"critical",messages:{pass:"Form element has an implicit (wrapped) <label>",fail:"Form element does not have an implicit (wrapped) <label>",incomplete:"Unable to determine if form element has an implicit (wrapped} <label>"}},"label-content-name-mismatch":{impact:"serious",messages:{pass:"Element contains visible text as part of it\'s accessible name",fail:"Text inside the element is not included in the accessible name"}},"multiple-label":{impact:"moderate",messages:{pass:"Form field does not have multiple label elements",incomplete:"Multiple label elements is not widely supported in assistive technologies. Ensure the first label contains all necessary information."}},"title-only":{impact:"serious",messages:{pass:"Form element does not solely use title attribute for its label",fail:"Only title used to generate label for form element"}},"landmark-is-unique":{impact:"moderate",messages:{pass:"Landmarks must have a unique role or role/label/title (i.e. accessible name) combination",fail:"The landmark must have a unique aria-label, aria-labelledby, or title to make landmarks distinguishable"}},"has-lang":{impact:"serious",messages:{pass:"The <html> element has a lang attribute",fail:{noXHTML:"The xml:lang attribute is not valid on HTML pages, use the lang attribute.",noLang:"The <html> element does not have a lang attribute"}}},"valid-lang":{impact:"serious",messages:{pass:"Value of lang attribute is included in the list of valid languages",fail:"Value of lang attribute not included in the list of valid languages"}},"xml-lang-mismatch":{impact:"moderate",messages:{pass:"Lang and xml:lang attributes have the same base language",fail:"Lang and xml:lang attributes do not have the same base language"}},dlitem:{impact:"serious",messages:{pass:"Description list item has a <dl> parent element",fail:"Description list item does not have a <dl> parent element"}},listitem:{impact:"serious",messages:{pass:\'List item has a <ul>, <ol> or role="list" parent element\',fail:{default:"List item does not have a <ul>, <ol> parent element",roleNotValid:\'List item does not have a <ul>, <ol> parent element without a role, or a role="list"\'}}},"only-dlitems":{impact:"serious",messages:{pass:"List element only has direct children that are allowed inside <dt> or <dd> elements",fail:"List element has direct children that are not allowed inside <dt> or <dd> elements"}},"only-listitems":{impact:"serious",messages:{pass:"List element only has direct children that are allowed inside <li> elements",fail:{default:"List element has direct children that are not allowed inside <li> elements",roleNotValid:"List element has direct children with a role that is not allowed: ${data.roles}"}}},"structured-dlitems":{impact:"serious",messages:{pass:"When not empty, element has both <dt> and <dd> elements",fail:"When not empty, element does not have at least one <dt> element followed by at least one <dd> element"}},caption:{impact:"critical",messages:{pass:"The multimedia element has a captions track",incomplete:"Check that captions is available for the element"}},"frame-tested":{impact:"critical",messages:{pass:"The iframe was tested with axe-core",fail:"The iframe could not be tested with axe-core",incomplete:"The iframe still has to be tested with axe-core"}},"no-autoplay-audio":{impact:"moderate",messages:{pass:"<video> or <audio> does not output audio for more than allowed duration or has controls mechanism",fail:"<video> or <audio> outputs audio for more than allowed duration and does not have a controls mechanism",incomplete:"Check that the <video> or <audio> does not output audio for more than allowed duration or provides a controls mechanism"}},"css-orientation-lock":{impact:"serious",messages:{pass:"Display is operable, and orientation lock does not exist",fail:"CSS Orientation lock is applied, and makes display inoperable",incomplete:"CSS Orientation lock cannot be determined"}},"meta-viewport-large":{impact:"minor",messages:{pass:"<meta> tag does not prevent significant zooming on mobile devices",fail:"<meta> tag limits zooming on mobile devices"}},"meta-viewport":{impact:"critical",messages:{pass:"<meta> tag does not disable zooming on mobile devices",fail:"${data} on <meta> tag disables zooming on mobile devices"}},"header-present":{impact:"serious",messages:{pass:"Page has a heading",fail:"Page does not have a heading"}},"heading-order":{impact:"moderate",messages:{pass:"Heading order valid",fail:"Heading order invalid",incomplete:"Unable to determine previous heading"}},"identical-links-same-purpose":{impact:"minor",messages:{pass:"There are no other links with the same name, that go to a different URL",incomplete:"Check that links have the same purpose, or are intentionally ambiguous."}},"internal-link-present":{impact:"serious",messages:{pass:"Valid skip link found",fail:"No valid skip link found"}},landmark:{impact:"serious",messages:{pass:"Page has a landmark region",fail:"Page does not have a landmark region"}},"meta-refresh":{impact:"critical",messages:{pass:"<meta> tag does not immediately refresh the page",fail:"<meta> tag forces timed refresh of page"}},"p-as-heading":{impact:"serious",messages:{pass:"<p> elements are not styled as headings",fail:"Heading elements should be used instead of styled p elements"}},region:{impact:"moderate",messages:{pass:"All page content is contained by landmarks",fail:"Some page content is not contained by landmarks"}},"skip-link":{impact:"moderate",messages:{pass:"Skip link target exists",incomplete:"Skip link target should become visible on activation",fail:"No skip link target"}},"unique-frame-title":{impact:"serious",messages:{pass:"Element\'s title attribute is unique",fail:"Element\'s title attribute is not unique"}},"duplicate-id-active":{impact:"serious",messages:{pass:"Document has no active elements that share the same id attribute",fail:"Document has active elements with the same id attribute: ${data}"}},"duplicate-id-aria":{impact:"critical",messages:{pass:"Document has no elements referenced with ARIA or labels that share the same id attribute",fail:"Document has multiple elements referenced with ARIA with the same id attribute: ${data}"}},"duplicate-id":{impact:"minor",messages:{pass:"Document has no static elements that share the same id attribute",fail:"Document has multiple static elements with the same id attribute: ${data}"}},"aria-label":{impact:"serious",messages:{pass:"aria-label attribute exists and is not empty",fail:"aria-label attribute does not exist or is empty"}},"aria-labelledby":{impact:"serious",messages:{pass:"aria-labelledby attribute exists and references elements that are visible to screen readers",fail:"aria-labelledby attribute does not exist, references elements that do not exist or references elements that are empty",incomplete:"ensure aria-labelledby references an existing element"}},"avoid-inline-spacing":{impact:"serious",messages:{pass:"No inline styles with \'!important\' that affect text spacing has been specified",fail:{singular:"Remove \'!important\' from inline style ${data.values}, as overriding this is not supported by most browsers",plural:"Remove \'!important\' from inline styles ${data.values}, as overriding this is not supported by most browsers"}}},"button-has-visible-text":{impact:"critical",messages:{pass:"Element has inner text that is visible to screen readers",fail:"Element does not have inner text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"doc-has-title":{impact:"serious",messages:{pass:"Document has a non-empty <title> element",fail:"Document does not have a non-empty <title> element"}},exists:{impact:"minor",messages:{pass:"Element does not exist",incomplete:"Element exists"}},"has-alt":{impact:"critical",messages:{pass:"Element has an alt attribute",fail:"Element does not have an alt attribute"}},"has-visible-text":{impact:"minor",messages:{pass:"Element has text that is visible to screen readers",fail:"Element does not have text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"is-on-screen":{impact:"serious",messages:{pass:"Element is not visible",fail:"Element is visible"}},"non-empty-alt":{impact:"critical",messages:{pass:"Element has a non-empty alt attribute",fail:{noAttr:"Element has no alt attribute",emptyAttr:"Element has an empty alt attribute"}}},"non-empty-if-present":{impact:"critical",messages:{pass:{default:"Element does not have a value attribute","has-label":"Element has a non-empty value attribute"},fail:"Element has a value attribute and the value attribute is empty"}},"non-empty-placeholder":{impact:"serious",messages:{pass:"Element has a placeholder attribute",fail:{noAttr:"Element has no placeholder attribute",emptyAttr:"Element has an empty placeholder attribute"}}},"non-empty-title":{impact:"serious",messages:{pass:"Element has a title attribute",fail:{noAttr:"Element has no title attribute",emptyAttr:"Element has an empty title attribute"}}},"non-empty-value":{impact:"critical",messages:{pass:"Element has a non-empty value attribute",fail:{noAttr:"Element has no value attribute",emptyAttr:"Element has an empty value attribute"}}},"presentational-role":{impact:"minor",messages:{pass:\'Element\\\'s default semantics were overriden with role="${data.role}"\',fail:{default:\'Element\\\'s default semantics were not overridden with role="none" or role="presentation"\',globalAria:"Element\'s role is not presentational because it has a global ARIA attribute",focusable:"Element\'s role is not presentational because it is focusable",both:"Element\'s role is not presentational because it has a global ARIA attribute and is focusable"}}},"role-none":{impact:"minor",messages:{pass:\'Element\\\'s default semantics were overriden with role="none"\',fail:\'Element\\\'s default semantics were not overridden with role="none"\'}},"role-presentation":{impact:"minor",messages:{pass:\'Element\\\'s default semantics were overriden with role="presentation"\',fail:\'Element\\\'s default semantics were not overridden with role="presentation"\'}},"svg-non-empty-title":{impact:"serious",messages:{pass:"Element has a child that is a title",fail:{noTitle:"Element has no child that is a title",emptyTitle:"Element child title is empty"},incomplete:"Unable to determine element has a child that is a title"}},"caption-faked":{impact:"serious",messages:{pass:"The first row of a table is not used as a caption",fail:"The first child of the table should be a caption instead of a table cell"}},"html5-scope":{impact:"moderate",messages:{pass:"Scope attribute is only used on table header elements (<th>)",fail:"In HTML 5, scope attributes may only be used on table header elements (<th>)"}},"same-caption-summary":{impact:"minor",messages:{pass:"Content of summary attribute and <caption> are not duplicated",fail:"Content of summary attribute and <caption> element are identical"}},"scope-value":{impact:"critical",messages:{pass:"Scope attribute is used correctly",fail:"The value of the scope attribute may only be \'row\' or \'col\'"}},"td-has-header":{impact:"critical",messages:{pass:"All non-empty data cells have table headers",fail:"Some non-empty data cells do not have table headers"}},"td-headers-attr":{impact:"serious",messages:{pass:"The headers attribute is exclusively used to refer to other cells in the table",incomplete:"The headers attribute is empty",fail:"The headers attribute is not exclusively used to refer to other cells in the table"}},"th-has-data-cells":{impact:"serious",messages:{pass:"All table header cells refer to data cells",fail:"Not all table header cells refer to data cells",incomplete:"Table data cells are missing or empty"}},"hidden-content":{impact:"minor",messages:{pass:"All content on the page has been analyzed.",fail:"There were problems analyzing the content on this page.",incomplete:"There is hidden content on the page that was not analyzed. You will need to trigger the display of this content in order to analyze it."}}},failureSummaries:{any:{failureMessage:function(e){var t="Fix any of the following:",r=e;if(r)for(var a=-1,n=r.length-1;a<n;)t+="\\n  "+r[a+=1].split("\\n").join("\\n  ");return t}},none:{failureMessage:function(e){var t="Fix all of the following:",r=e;if(r)for(var a=-1,n=r.length-1;a<n;)t+="\\n  "+r[a+=1].split("\\n").join("\\n  ");return t}}},incompleteFallbackMessage:{}},rules:[{id:"accesskeys",selector:"[accesskey]",excludeHidden:!1,tags:["cat.keyboard","best-practice"],all:[],any:[],none:["accesskeys"]},{id:"area-alt",selector:"map area[href]",excludeHidden:!1,tags:["cat.text-alternatives","wcag2a","wcag111","wcag244","wcag412","section508","section508.22.a","ACT"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-allowed-attr",matches:"aria-allowed-attr-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["aria-allowed-attr"],none:["aria-unsupported-attr",{options:{elementsAllowedAriaLabel:["applet","input"]},id:"aria-prohibited-attr"}]},{id:"aria-allowed-role",excludeHidden:!1,selector:"[role]",matches:"aria-allowed-role-matches",tags:["cat.aria","best-practice"],all:[],any:[{options:{allowImplicit:!0,ignoredTags:[]},id:"aria-allowed-role"}],none:[]},{id:"aria-command-name",selector:\'[role="link"], [role="button"], [role="menuitem"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-dialog-name",selector:\'[role="dialog"], [role="alertdialog"]\',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-hidden-body",selector:"body",excludeHidden:!1,matches:"is-initiator-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["aria-hidden-body"],none:[]},{id:"aria-hidden-focus",selector:\'[aria-hidden="true"]\',matches:"aria-hidden-focus-matches",excludeHidden:!1,tags:["cat.name-role-value","wcag2a","wcag412","wcag131"],all:["focusable-modal-open","focusable-disabled","focusable-not-tabbable"],any:[],none:[]},{id:"aria-input-field-name",selector:\'[role="combobox"], [role="listbox"], [role="searchbox"], [role="slider"], [role="spinbutton"], [role="textbox"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-meter-name",selector:\'[role="meter"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-progressbar-name",selector:\'[role="progressbar"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-required-attr",selector:"[role]",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["aria-required-attr"],none:[]},{id:"aria-required-children",selector:"[role]",matches:"aria-required-children-matches",tags:["cat.aria","wcag2a","wcag131"],all:[],any:[{options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","table","tablist","tree","treegrid","rowgroup"]},id:"aria-required-children"}],none:[]},{id:"aria-required-parent",selector:"[role]",matches:"aria-required-parent-matches",tags:["cat.aria","wcag2a","wcag131"],all:[],any:[{options:{ownGroupRoles:["listitem","treeitem"]},id:"aria-required-parent"}],none:[]},{id:"aria-roledescription",selector:"[aria-roledescription]",tags:["cat.aria","wcag2a","wcag412"],all:[],any:[{options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]},id:"aria-roledescription"}],none:[]},{id:"aria-roles",selector:"[role]",matches:"no-empty-role-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:[],none:["fallbackrole","invalidrole","abstractrole","unsupportedrole"]},{id:"aria-text",selector:"[role=text]",tags:["cat.aria","best-practice"],all:[],any:["no-focusable-content"],none:[]},{id:"aria-toggle-field-name",selector:\'[role="checkbox"], [role="menuitemcheckbox"], [role="menuitemradio"], [role="radio"], [role="switch"], [role="option"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-tooltip-name",selector:\'[role="tooltip"]\',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-treeitem-name",selector:\'[role="treeitem"]\',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-valid-attr-value",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412"],all:[{options:[],id:"aria-valid-attr-value"},"aria-errormessage"],any:[],none:[]},{id:"aria-valid-attr",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:[{options:[],id:"aria-valid-attr"}],none:[]},{id:"audio-caption",selector:"audio",enabled:!1,excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag121","section508","section508.22.a"],all:[],any:[],none:["caption"]},{id:"autocomplete-valid",matches:"autocomplete-matches",tags:["cat.forms","wcag21aa","wcag135"],all:["autocomplete-valid","autocomplete-appropriate"],any:[],none:[]},{id:"avoid-inline-spacing",selector:"[style]",tags:["cat.structure","wcag21aa","wcag1412"],all:[{options:{cssProperties:["line-height","letter-spacing","word-spacing"]},id:"avoid-inline-spacing"}],any:[],none:[]},{id:"blink",selector:"blink",excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag222","section508","section508.22.j"],all:[],any:[],none:["is-on-screen"]},{id:"button-name",selector:"button",matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a","ACT"],all:[],any:["button-has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"bypass",selector:"html",pageLevel:!0,matches:"bypass-matches",reviewOnFail:!0,tags:["cat.keyboard","wcag2a","wcag241","section508","section508.22.o"],all:[],any:["internal-link-present",{options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"},id:"header-present"},{options:{selector:"main, [role=main]"},id:"landmark"}],none:[]},{id:"color-contrast",matches:"color-contrast-matches",excludeHidden:!1,tags:["cat.color","wcag2aa","wcag143"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},shadowOutlineEmMax:.1},id:"color-contrast"}],none:[]},{id:"css-orientation-lock",selector:"html",tags:["cat.structure","wcag134","wcag21aa","experimental"],all:[{options:{degreeThreshold:2},id:"css-orientation-lock"}],any:[],none:[],preload:!0},{id:"definition-list",selector:"dl",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:[],none:["structured-dlitems","only-dlitems"]},{id:"dlitem",selector:"dd, dt",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:["dlitem"],none:[]},{id:"document-title",selector:"html",matches:"is-initiator-matches",tags:["cat.text-alternatives","wcag2a","wcag242","ACT"],all:[],any:["doc-has-title"],none:[]},{id:"duplicate-id-active",selector:"[id]",matches:"duplicate-id-active-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],all:[],any:["duplicate-id-active"],none:[]},{id:"duplicate-id-aria",selector:"[id]",matches:"duplicate-id-aria-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],all:[],any:["duplicate-id-aria"],none:[]},{id:"duplicate-id",selector:"[id]",matches:"duplicate-id-misc-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],all:[],any:["duplicate-id"],none:[]},{id:"empty-heading",selector:\'h1, h2, h3, h4, h5, h6, [role="heading"]\',matches:"heading-matches",tags:["cat.name-role-value","best-practice"],impact:"minor",all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"empty-table-header",selector:\'th, [role="rowheader"], [role="columnheader"]\',tags:["wcag131","cat.aria"],reviewOnFail:!0,all:[],any:["has-visible-text"],none:[]},{id:"focus-order-semantics",selector:"div, h1, h2, h3, h4, h5, h6, [role=heading], p, span",matches:"inserted-into-focus-order-matches",tags:["cat.keyboard","best-practice","experimental"],all:[],any:[{options:[],id:"has-widget-role"},{options:{roles:["tooltip"]},id:"valid-scrollable-semantics"}],none:[]},{id:"form-field-multiple-labels",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag332"],all:[],any:[],none:["multiple-label"]},{id:"frame-focusable-content",selector:"html",matches:"frame-focusable-content-matches",tags:["cat.keyboard","wcag2a","wcag211"],all:[],any:["frame-focusable-content"],none:[]},{id:"frame-tested",selector:"html, frame, iframe",tags:["cat.structure","review-item","best-practice"],all:[{options:{isViolation:!1},id:"frame-tested"}],any:[],none:[]},{id:"frame-title-unique",selector:"frame[title], iframe[title]",matches:"frame-title-has-text-matches",tags:["cat.text-alternatives","best-practice"],all:[],any:[],none:["unique-frame-title"]},{id:"frame-title",selector:"frame, iframe",tags:["cat.text-alternatives","wcag2a","wcag241","wcag412","section508","section508.22.i"],all:[],any:[{options:{attribute:"title"},id:"non-empty-title"},"aria-label","aria-labelledby","presentational-role"],none:[]},{id:"heading-order",selector:"h1, h2, h3, h4, h5, h6, [role=heading]",matches:"heading-matches",tags:["cat.semantics","best-practice"],all:[],any:["heading-order"],none:[]},{id:"hidden-content",selector:"*",excludeHidden:!1,tags:["cat.structure","experimental","review-item","best-practice"],all:[],any:["hidden-content"],none:[]},{id:"html-has-lang",selector:"html",matches:"is-initiator-matches",tags:["cat.language","wcag2a","wcag311","ACT"],all:[],any:[{options:{attributes:["lang","xml:lang"]},id:"has-lang"}],none:[]},{id:"html-lang-valid",selector:"html[lang], html[xml\\\\:lang]",tags:["cat.language","wcag2a","wcag311","ACT"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"html-xml-lang-mismatch",selector:"html[lang][xml\\\\:lang]",matches:"xml-lang-mismatch-matches",tags:["cat.language","wcag2a","wcag311","ACT"],all:["xml-lang-mismatch"],any:[],none:[]},{id:"identical-links-same-purpose",selector:\'a[href], area[href], [role="link"]\',excludeHidden:!1,matches:"identical-links-same-purpose-matches",tags:["cat.semantics","wcag2aaa","wcag249","best-practice"],all:["identical-links-same-purpose"],any:[],none:[]},{id:"image-alt",selector:"img",matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],all:[],any:["has-alt","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["alt-space-value"]},{id:"image-redundant-alt",selector:"img",tags:["cat.text-alternatives","best-practice"],all:[],any:[],none:[{options:{parentSelector:"button, [role=button], a[href], p, li, td, th"},id:"duplicate-img-label"}]},{id:"input-button-name",selector:\'input[type="button"], input[type="submit"], input[type="reset"]\',matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a"],all:[],any:["non-empty-if-present",{options:{attribute:"value"},id:"non-empty-value"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"input-image-alt",selector:\'input[type="image"]\',matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"label-content-name-mismatch",matches:"label-content-name-mismatch-matches",tags:["cat.semantics","wcag21a","wcag253","experimental"],all:[],any:[{options:{pixelThreshold:.1,occuranceThreshold:3},id:"label-content-name-mismatch"}],none:[]},{id:"label-title-only",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","best-practice"],all:[],any:[],none:["title-only"]},{id:"label",selector:"input, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag412","wcag131","section508","section508.22.n","ACT"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},{options:{attribute:"placeholder"},id:"non-empty-placeholder"},"presentational-role"],none:["help-same-as-label","hidden-explicit-label"]},{id:"landmark-banner-is-top-level",selector:"header:not([role]), [role=banner]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-complementary-is-top-level",selector:"aside:not([role]), [role=complementary]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-contentinfo-is-top-level",selector:"footer:not([role]), [role=contentinfo]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-main-is-top-level",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-no-duplicate-banner",selector:"header:not([role]), [role=banner]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"header:not([role]), [role=banner]",nativeScopeFilter:"article, aside, main, nav, section"},id:"page-no-duplicate-banner"}],none:[]},{id:"landmark-no-duplicate-contentinfo",selector:"footer:not([role]), [role=contentinfo]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"footer:not([role]), [role=contentinfo]",nativeScopeFilter:"article, aside, main, nav, section"},id:"page-no-duplicate-contentinfo"}],none:[]},{id:"landmark-no-duplicate-main",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"main:not([role]), [role=\'main\']"},id:"page-no-duplicate-main"}],none:[]},{id:"landmark-one-main",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"main:not([role]), [role=\'main\']"},id:"page-has-main"}],any:[],none:[]},{id:"landmark-unique",selector:"[role=banner], [role=complementary], [role=contentinfo], [role=main], [role=navigation], [role=region], [role=search], [role=form], form, footer, header, aside, main, nav, section",tags:["cat.semantics","best-practice"],matches:"landmark-unique-matches",all:[],any:["landmark-is-unique"],none:[]},{id:"link-in-text-block",selector:"a[href], [role=link]",matches:"link-in-text-block-matches",excludeHidden:!1,tags:["cat.color","experimental","wcag2a","wcag141"],all:["link-in-text-block"],any:[],none:[]},{id:"link-name",selector:"a[href]",tags:["cat.name-role-value","wcag2a","wcag412","wcag244","section508","section508.22.a","ACT"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["focusable-no-name"]},{id:"list",selector:"ul, ol",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:[],none:["only-listitems"]},{id:"listitem",selector:"li",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:["listitem"],none:[]},{id:"marquee",selector:"marquee",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag222"],all:[],any:[],none:["is-on-screen"]},{id:"meta-refresh",selector:\'meta[http-equiv="refresh"]\',excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag2aaa","wcag221","wcag224","wcag325"],all:[],any:["meta-refresh"],none:[]},{id:"meta-viewport-large",selector:\'meta[name="viewport"]\',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","best-practice"],all:[],any:[{options:{scaleMinimum:5,lowerBound:2},id:"meta-viewport-large"}],none:[]},{id:"meta-viewport",selector:\'meta[name="viewport"]\',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","best-practice","ACT"],all:[],any:[{options:{scaleMinimum:2},id:"meta-viewport"}],none:[]},{id:"nested-interactive",matches:"nested-interactive-matches",tags:["cat.keyboard","wcag2a","wcag412"],all:[],any:["no-focusable-content"],none:[]},{id:"no-autoplay-audio",excludeHidden:!1,selector:"audio[autoplay], video[autoplay]",matches:"no-autoplay-audio-matches",tags:["cat.time-and-media","wcag2a","wcag142","experimental"],preload:!0,all:[{options:{allowedDuration:3},id:"no-autoplay-audio"}],any:[],none:[]},{id:"object-alt",selector:"object",matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"p-as-heading",selector:"p",matches:"p-as-heading-matches",tags:["cat.semantics","wcag2a","wcag131","experimental"],all:[{options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}]},id:"p-as-heading"}],any:[],none:[]},{id:"page-has-heading-one",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]"},id:"page-has-heading-one"}],any:[],none:[]},{id:"presentation-role-conflict",matches:"has-implicit-chromium-role-matches",selector:\'[role="none"], [role="presentation"]\',tags:["cat.aria","best-practice"],all:[],any:[],none:["is-element-focusable","has-global-aria-attribute"]},{id:"region",selector:"body *",tags:["cat.keyboard","best-practice"],all:[],any:[{options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg, iframe"},id:"region"}],none:[]},{id:"role-img-alt",selector:"[role=\'img\']:not(img, area, input, object)",matches:"html-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"scope-attr-valid",selector:"td[scope], th[scope]",tags:["cat.tables","best-practice"],all:["html5-scope",{options:{values:["row","col","rowgroup","colgroup"]},id:"scope-value"}],any:[],none:[]},{id:"scrollable-region-focusable",matches:"scrollable-region-focusable-matches",tags:["cat.keyboard","wcag2a","wcag211"],all:[],any:["focusable-content","focusable-element"],none:[]},{id:"select-name",selector:"select",tags:["cat.forms","wcag2a","wcag412","wcag131","section508","section508.22.n","ACT"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["help-same-as-label","hidden-explicit-label"]},{id:"server-side-image-map",selector:"img[ismap]",tags:["cat.text-alternatives","wcag2a","wcag211","section508","section508.22.f"],all:[],any:[],none:["exists"]},{id:"skip-link",selector:\'a[href^="#"], a[href^="/#"]\',matches:"skip-link-matches",tags:["cat.keyboard","best-practice"],all:[],any:["skip-link"],none:[]},{id:"svg-img-alt",selector:\'[role="img"], [role="graphics-symbol"], svg[role="graphics-document"]\',matches:"svg-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT"],all:[],any:["svg-non-empty-title","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"tabindex",selector:"[tabindex]",tags:["cat.keyboard","best-practice"],all:[],any:["tabindex"],none:[]},{id:"table-duplicate-name",selector:"table",tags:["cat.tables","best-practice"],all:[],any:[],none:["same-caption-summary"]},{id:"table-fake-caption",selector:"table",matches:"data-table-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g"],all:["caption-faked"],any:[],none:[]},{id:"td-has-header",selector:"table",matches:"data-table-large-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g"],all:["td-has-header"],any:[],none:[]},{id:"td-headers-attr",selector:"table",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g"],all:["td-headers-attr"],any:[],none:[]},{id:"th-has-data-cells",selector:"table",matches:"data-table-matches",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g"],all:["th-has-data-cells"],any:[],none:[]},{id:"valid-lang",selector:"[lang], [xml\\\\:lang]",matches:"not-html-matches",tags:["cat.language","wcag2aa","wcag312"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"video-caption",selector:"video",excludeHidden:!1,tags:["cat.text-alternatives","wcag2a","wcag122","section508","section508.22.a"],all:[],any:[],none:["caption"]}],checks:[{id:"abstractrole",evaluate:"abstractrole-evaluate"},{id:"aria-allowed-attr",evaluate:"aria-allowed-attr-evaluate"},{id:"aria-allowed-role",evaluate:"aria-allowed-role-evaluate",options:{allowImplicit:!0,ignoredTags:[]}},{id:"aria-errormessage",evaluate:"aria-errormessage-evaluate"},{id:"aria-hidden-body",evaluate:"aria-hidden-body-evaluate"},{id:"aria-prohibited-attr",evaluate:"aria-prohibited-attr-evaluate",options:{elementsAllowedAriaLabel:["applet","input"]}},{id:"aria-required-attr",evaluate:"aria-required-attr-evaluate"},{id:"aria-required-children",evaluate:"aria-required-children-evaluate",options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","table","tablist","tree","treegrid","rowgroup"]}},{id:"aria-required-parent",evaluate:"aria-required-parent-evaluate",options:{ownGroupRoles:["listitem","treeitem"]}},{id:"aria-roledescription",evaluate:"aria-roledescription-evaluate",options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]}},{id:"aria-unsupported-attr",evaluate:"aria-unsupported-attr-evaluate"},{id:"aria-valid-attr-value",evaluate:"aria-valid-attr-value-evaluate",options:[]},{id:"aria-valid-attr",evaluate:"aria-valid-attr-evaluate",options:[]},{id:"fallbackrole",evaluate:"fallbackrole-evaluate"},{id:"has-global-aria-attribute",evaluate:"has-global-aria-attribute-evaluate"},{id:"has-widget-role",evaluate:"has-widget-role-evaluate",options:[]},{id:"invalidrole",evaluate:"invalidrole-evaluate"},{id:"is-element-focusable",evaluate:"is-element-focusable-evaluate"},{id:"no-implicit-explicit-label",evaluate:"no-implicit-explicit-label-evaluate"},{id:"unsupportedrole",evaluate:"unsupportedrole-evaluate"},{id:"valid-scrollable-semantics",evaluate:"valid-scrollable-semantics-evaluate",options:{roles:["tooltip"]}},{id:"color-contrast",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},shadowOutlineEmMax:.1}},{id:"link-in-text-block",evaluate:"link-in-text-block-evaluate"},{id:"autocomplete-appropriate",evaluate:"autocomplete-appropriate-evaluate"},{id:"autocomplete-valid",evaluate:"autocomplete-valid-evaluate"},{id:"accesskeys",evaluate:"accesskeys-evaluate",after:"accesskeys-after"},{id:"focusable-content",evaluate:"focusable-content-evaluate"},{id:"focusable-disabled",evaluate:"focusable-disabled-evaluate"},{id:"focusable-element",evaluate:"focusable-element-evaluate"},{id:"focusable-modal-open",evaluate:"focusable-modal-open-evaluate"},{id:"focusable-no-name",evaluate:"focusable-no-name-evaluate"},{id:"focusable-not-tabbable",evaluate:"focusable-not-tabbable-evaluate"},{id:"frame-focusable-content",evaluate:"no-focusable-content-evaluate"},{id:"landmark-is-top-level",evaluate:"landmark-is-top-level-evaluate"},{id:"no-focusable-content",evaluate:"no-focusable-content-evaluate"},{id:"page-has-heading-one",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]"}},{id:"page-has-main",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"main:not([role]), [role=\'main\']"}},{id:"page-no-duplicate-banner",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"header:not([role]), [role=banner]",nativeScopeFilter:"article, aside, main, nav, section"}},{id:"page-no-duplicate-contentinfo",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"footer:not([role]), [role=contentinfo]",nativeScopeFilter:"article, aside, main, nav, section"}},{id:"page-no-duplicate-main",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"main:not([role]), [role=\'main\']"}},{id:"tabindex",evaluate:"tabindex-evaluate"},{id:"alt-space-value",evaluate:"alt-space-value-evaluate"},{id:"duplicate-img-label",evaluate:"duplicate-img-label-evaluate",options:{parentSelector:"button, [role=button], a[href], p, li, td, th"}},{id:"explicit-label",evaluate:"explicit-evaluate"},{id:"help-same-as-label",evaluate:"help-same-as-label-evaluate",enabled:!1},{id:"hidden-explicit-label",evaluate:"hidden-explicit-label-evaluate"},{id:"implicit-label",evaluate:"implicit-evaluate"},{id:"label-content-name-mismatch",evaluate:"label-content-name-mismatch-evaluate",options:{pixelThreshold:.1,occuranceThreshold:3}},{id:"multiple-label",evaluate:"multiple-label-evaluate"},{id:"title-only",evaluate:"title-only-evaluate"},{id:"landmark-is-unique",evaluate:"landmark-is-unique-evaluate",after:"landmark-is-unique-after"},{id:"has-lang",evaluate:"has-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"valid-lang",evaluate:"valid-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"xml-lang-mismatch",evaluate:"xml-lang-mismatch-evaluate"},{id:"dlitem",evaluate:"dlitem-evaluate"},{id:"listitem",evaluate:"listitem-evaluate"},{id:"only-dlitems",evaluate:"only-dlitems-evaluate"},{id:"only-listitems",evaluate:"only-listitems-evaluate"},{id:"structured-dlitems",evaluate:"structured-dlitems-evaluate"},{id:"caption",evaluate:"caption-evaluate"},{id:"frame-tested",evaluate:"frame-tested-evaluate",after:"frame-tested-after",options:{isViolation:!1}},{id:"no-autoplay-audio",evaluate:"no-autoplay-audio-evaluate",options:{allowedDuration:3}},{id:"css-orientation-lock",evaluate:"css-orientation-lock-evaluate",options:{degreeThreshold:2}},{id:"meta-viewport-large",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:5,lowerBound:2}},{id:"meta-viewport",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:2}},{id:"header-present",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"}},{id:"heading-order",evaluate:"heading-order-evaluate",after:"heading-order-after"},{id:"identical-links-same-purpose",evaluate:"identical-links-same-purpose-evaluate",after:"identical-links-same-purpose-after"},{id:"internal-link-present",evaluate:"internal-link-present-evaluate"},{id:"landmark",evaluate:"has-descendant-evaluate",options:{selector:"main, [role=main]"}},{id:"meta-refresh",evaluate:"meta-refresh-evaluate"},{id:"p-as-heading",evaluate:"p-as-heading-evaluate",options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}]}},{id:"region",evaluate:"region-evaluate",options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg, iframe"}},{id:"skip-link",evaluate:"skip-link-evaluate"},{id:"unique-frame-title",evaluate:"unique-frame-title-evaluate",after:"unique-frame-title-after"},{id:"duplicate-id-active",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id-aria",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"aria-label",evaluate:"aria-label-evaluate"},{id:"aria-labelledby",evaluate:"aria-labelledby-evaluate"},{id:"avoid-inline-spacing",evaluate:"avoid-inline-spacing-evaluate",options:{cssProperties:["line-height","letter-spacing","word-spacing"]}},{id:"button-has-visible-text",evaluate:"has-text-content-evaluate"},{id:"doc-has-title",evaluate:"doc-has-title-evaluate"},{id:"exists",evaluate:"exists-evaluate"},{id:"has-alt",evaluate:"has-alt-evaluate"},{id:"has-visible-text",evaluate:"has-text-content-evaluate"},{id:"is-on-screen",evaluate:"is-on-screen-evaluate"},{id:"non-empty-alt",evaluate:"attr-non-space-content-evaluate",options:{attribute:"alt"}},{id:"non-empty-if-present",evaluate:"non-empty-if-present-evaluate"},{id:"non-empty-placeholder",evaluate:"attr-non-space-content-evaluate",options:{attribute:"placeholder"}},{id:"non-empty-title",evaluate:"attr-non-space-content-evaluate",options:{attribute:"title"}},{id:"non-empty-value",evaluate:"attr-non-space-content-evaluate",options:{attribute:"value"}},{id:"presentational-role",evaluate:"presentational-role-evaluate"},{id:"role-none",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"none"}}}},{id:"role-presentation",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"presentation"}}}},{id:"svg-non-empty-title",evaluate:"svg-non-empty-title-evaluate"},{id:"caption-faked",evaluate:"caption-faked-evaluate"},{id:"html5-scope",evaluate:"html5-scope-evaluate"},{id:"same-caption-summary",evaluate:"same-caption-summary-evaluate"},{id:"scope-value",evaluate:"scope-value-evaluate",options:{values:["row","col","rowgroup","colgroup"]}},{id:"td-has-header",evaluate:"td-has-header-evaluate"},{id:"td-headers-attr",evaluate:"td-headers-attr-evaluate"},{id:"th-has-data-cells",evaluate:"th-has-data-cells-evaluate"},{id:"hidden-content",evaluate:"hidden-content-evaluate"}]})}("object"==typeof window?window:this);'
}},{}],83:[function(e,s,t){"use strict";const i={console};s.exports=i},{}],84:[function(e,s,t){"use strict";const i={TextSourceMap:e("./generated/SourceMap.js")};function extendArray(e){e.lowerBound||(e.lowerBound=lowerBound.bind(e),e.upperBound=upperBound.bind(e),e.slice=function(s,t){const i=Array.prototype.slice.call(e,s,t);return extendArray(i),i},e.filter=function(s){const t=Array.prototype.filter.call(e,s);return extendArray(t),t})}const a=i.TextSourceMap.prototype.mappings;i.TextSourceMap.prototype.mappings=function(){const e=a.call(this);return extendArray(e),e};const n=i.TextSourceMap.prototype._reversedMappings;function upperBound(e,s,t,i){s=s||function defaultComparator(e,s){return e<s?-1:e>s?1:0};let a=t||0,n=void 0!==i?i:this.length;for(;a<n;){const t=a+n>>1;s(e,this[t])>=0?a=t+1:n=t}return n}function lowerBound(e,s,t,i){s=s||function defaultComparator(e,s){return e<s?-1:e>s?1:0};let a=t||0,n=void 0!==i?i:this.length;for(;a<n;){const t=a+n>>1;s(e,this[t])>0?a=t+1:n=t}
return n}i.TextSourceMap.prototype._reversedMappings=function(e){const s=n.call(this,e);return extendArray(s),s},i.TextSourceMap.prototype.computeLastGeneratedColumns=function(){const e=this.mappings();if(!e.length||void 0===e[0].lastColumnNumber)for(let s=0;s<e.length-1;s++){const t=e[s],i=e[s+1];t.lineNumber===i.lineNumber&&(t.lastColumnNumber=i.columnNumber)}},s.exports=i},{"./generated/SourceMap.js":85}],85:[function(e,s,t){const i=e("../Common.js");Object.defineProperty(t,"__esModule",{value:!0});class SourceMapV3{constructor(){this.version,this.file,this.sources,this.sections,this.mappings,this.sourceRoot,this.names}}SourceMapV3.Section=class{constructor(){this.map,this.offset}},SourceMapV3.Offset=class{constructor(){this.line,this.column}};class SourceMapEntry{constructor(e,s,t,i,a,n){this.lineNumber=e,this.columnNumber=s,this.sourceURL=t,this.sourceLineNumber=i,this.sourceColumnNumber=a,this.name=n}static compare(e,s){
return e.lineNumber!==s.lineNumber?e.lineNumber-s.lineNumber:e.columnNumber-s.columnNumber}}class TextSourceMap{constructor(e,s,t){if(!TextSourceMap._base64Map){const e="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";TextSourceMap._base64Map={};for(let s=0;s<e.length;++s)TextSourceMap._base64Map[e.charAt(s)]=s}if(this._json=t,this._compiledURL=e,this._sourceMappingURL=s,this._baseURL=s.startsWith("data:")?e:s,this._mappings=null,this._sourceInfos=new Map,this._json.sections){!!this._json.sections.find((e=>!!e.url))&&i.console.warn(`SourceMap "${s}" contains unsupported "URL" field in one of its sections.`)}this._eachSection(this._parseSources.bind(this))}compiledURL(){return this._compiledURL}url(){return this._sourceMappingURL}sourceURLs(){return this._sourceInfos.keysArray()}embeddedContentByURL(e){return this._sourceInfos.has(e)?this._sourceInfos.get(e).content:null}findEntry(e,s){
const t=this.mappings(),i=t.upperBound(void 0,((t,i)=>e-i.lineNumber||s-i.columnNumber));return i?t[i-1]:null}sourceLineMapping(e,s,t){const i=this._reversedMappings(e),a=i.lowerBound(s,lineComparator),n=i.upperBound(s,lineComparator);if(a>=i.length||i[a].sourceLineNumber!==s)return null;const l=i.slice(a,n);if(!l.length)return null;const u=l.lowerBound(t,((e,s)=>e-s.sourceColumnNumber));return u>=l.length?l[l.length-1]:l[u];function lineComparator(e,s){return e-s.sourceLineNumber}}findReverseEntries(e,s,t){const i=this._reversedMappings(e),a=i.upperBound(void 0,((e,i)=>s-i.sourceLineNumber||t-i.sourceColumnNumber));let n=a;for(;n>0&&i[n-1].sourceLineNumber===i[a-1].sourceLineNumber&&i[n-1].sourceColumnNumber===i[a-1].sourceColumnNumber;)--n;return i.slice(n,a)}mappings(){return null===this._mappings&&(this._mappings=[],this._eachSection(this._parseMap.bind(this)),this._json=null),this._mappings}_reversedMappings(e){if(!this._sourceInfos.has(e))return[]
;const s=this.mappings(),t=this._sourceInfos.get(e);return null===t.reverseMappings&&(t.reverseMappings=s.filter((s=>s.sourceURL===e)).sort((function sourceMappingComparator(e,s){if(e.sourceLineNumber!==s.sourceLineNumber)return e.sourceLineNumber-s.sourceLineNumber;if(e.sourceColumnNumber!==s.sourceColumnNumber)return e.sourceColumnNumber-s.sourceColumnNumber;if(e.lineNumber!==s.lineNumber)return e.lineNumber-s.lineNumber;return e.columnNumber-s.columnNumber}))),t.reverseMappings}_eachSection(e){if(this._json.sections)for(const s of this._json.sections)e(s.map,s.offset.line,s.offset.column);else e(this._json,0,0)}_parseSources(e){const s=[];let t=e.sourceRoot||"";t&&!t.endsWith("/")&&(t+="/");for(let i=0;i<e.sources.length;++i){let a=t+e.sources[i];const n=e.sourcesContent&&e.sourcesContent[i];this._compiledURL,this._sourceInfos.set(a,new TextSourceMap.SourceInfo(n,null)),s.push(a)}e[TextSourceMap._sourcesListSymbol]=s}_parseMap(e,s,t){let i=0,a=0,n=0,l=0
;const u=e[TextSourceMap._sourcesListSymbol],c=e.names||[],d=new TextSourceMap.StringCharIterator(e.mappings);let m=u[i];for(;;){if(","===d.peek())d.next();else{for(;";"===d.peek();)s+=1,t=0,d.next();if(!d.hasNext())break}if(t+=this._decodeVLQ(d),!d.hasNext()||this._isSeparator(d.peek())){this._mappings.push(new SourceMapEntry(s,t));continue}const e=this._decodeVLQ(d);e&&(i+=e,m=u[i]),a+=this._decodeVLQ(d),n+=this._decodeVLQ(d),d.hasNext()&&!this._isSeparator(d.peek())?(l+=this._decodeVLQ(d),this._mappings.push(new SourceMapEntry(s,t,m,a,n,c[l]))):this._mappings.push(new SourceMapEntry(s,t,m,a,n))}this._mappings.sort(SourceMapEntry.compare)}_isSeparator(e){return","===e||";"===e}_decodeVLQ(e){let s,t=0,i=0;do{s=TextSourceMap._base64Map[e.next()],t+=(s&TextSourceMap._VLQ_BASE_MASK)<<i,i+=TextSourceMap._VLQ_BASE_SHIFT}while(s&TextSourceMap._VLQ_CONTINUATION_MASK);const a=1&t;return t>>=1,a?-t:t}reverseMapTextRange(e,s){function comparator(e,s){
return e.lineNumber!==s.sourceLineNumber?e.lineNumber-s.sourceLineNumber:e.columnNumber-s.sourceColumnNumber}const t=this._reversedMappings(e),i=t.lowerBound({lineNumber:s.startLine,columnNumber:s.startColumn},comparator),a=t.upperBound({lineNumber:s.endLine,columnNumber:s.endColumn},comparator),n=t[i],l=t[a];return new TextUtils.TextRange(n.lineNumber,n.columnNumber,l.lineNumber,l.columnNumber)}dispose(){}}TextSourceMap._VLQ_BASE_SHIFT=5,TextSourceMap._VLQ_BASE_MASK=31,TextSourceMap._VLQ_CONTINUATION_MASK=32,TextSourceMap.StringCharIterator=class{constructor(e){this._string=e,this._position=0}next(){return this._string.charAt(this._position++)}peek(){return this._string.charAt(this._position)}hasNext(){return this._position<this._string.length}},TextSourceMap.SourceInfo=class{constructor(e,s){this.content=e,this.reverseMappings=s}},TextSourceMap._sourcesListSymbol=Symbol("sourcesList"),s.exports=TextSourceMap},{"../Common.js":83}],86:[function(e,s,t){(function(t){(function(){
"use strict";const{evaluateForFailure:i,evaluateForSyntaxErrors:a,evaluateForWarnings:n}=e("csp_evaluator/dist/lighthouse/lighthouse_checks.js"),{Type:l}=e("csp_evaluator/dist/finding.js"),{CspParser:u}=e("csp_evaluator/dist/parser.js"),{Directive:c}=e("csp_evaluator/dist/csp.js"),d=e("lighthouse-logger"),m=e("../lib/i18n/i18n.js"),g={missingBaseUri:"Missing base-uri allows injected <base> tags to set the base URL for all relative URLs (e.g. scripts) to an attacker controlled domain. Consider setting base-uri to 'none' or 'self'.",missingScriptSrc:"script-src directive is missing. This can allow the execution of unsafe scripts.",missingObjectSrc:"Elements controlled by object-src are considered legacy features. Consider setting object-src to 'none' to prevent the injection of plugins that execute unsafe scripts.",strictDynamic:"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes.",
unsafeInline:"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers. Consider using CSP nonces or hashes to allow scripts individually.",unsafeInlineFallback:"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",allowlistFallback:"Consider adding https: and http: URL schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",reportToOnly:"The reporting destination is only configured via the report-to directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a report-uri directive.",reportingDestinationMissing:"No CSP configures a reporting destination. This makes it difficult to maintain the CSP over time and monitor for any breakages.",nonceLength:"Nonces should be at least 8 characters long.",nonceCharset:"Nonces should use the base64 charset.",
missingSemicolon:"Did you forget the semicolon? {keyword} seems to be a directive, not a keyword.",unknownDirective:"Unknown CSP directive.",unknownKeyword:"{keyword} seems to be an invalid keyword.",deprecatedReflectedXSS:"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",deprecatedReferrer:"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",deprecatedDisownOpener:"disown-opener is deprecated since CSP3. Please, use the Cross-Origin-Opener-Policy header instead."},h=m.createMessageInstanceIdFn(t,g),p={[l.MISSING_SEMICOLON]:g.missingSemicolon,[l.UNKNOWN_DIRECTIVE]:h(g.unknownDirective),[l.INVALID_KEYWORD]:g.unknownKeyword,[l.MISSING_DIRECTIVES]:{[c.BASE_URI]:h(g.missingBaseUri),[c.SCRIPT_SRC]:h(g.missingScriptSrc),[c.OBJECT_SRC]:h(g.missingObjectSrc)},[l.SCRIPT_UNSAFE_INLINE]:h(g.unsafeInline),[l.NONCE_LENGTH]:h(g.nonceLength),[l.NONCE_CHARSET]:h(g.nonceCharset),[l.DEPRECATED_DIRECTIVE]:{
[c.REFLECTED_XSS]:h(g.deprecatedReflectedXSS),[c.REFERRER]:h(g.deprecatedReferrer),[c.DISOWN_OPENER]:h(g.deprecatedDisownOpener)},[l.STRICT_DYNAMIC]:h(g.strictDynamic),[l.UNSAFE_INLINE_FALLBACK]:h(g.unsafeInlineFallback),[l.ALLOWLIST_FALLBACK]:h(g.allowlistFallback),[l.REPORTING_DESTINATION_MISSING]:h(g.reportingDestinationMissing),[l.REPORT_TO_ONLY]:h(g.reportToOnly)};function parseCsp(e){return new u(e).csp}s.exports={getTranslatedDescription:function getTranslatedDescription(e){let s=p[e.type];return s?m.isIcuMessage(s)?s:"string"==typeof s?h(s,{keyword:e.value||""}):(s=s[e.directive],s||(d.warn("CSP Evaluator","No translation found for description: "+e.description),e.description)):(d.warn("CSP Evaluator","No translation found for description: "+e.description),e.description)},evaluateRawCspsForXss:function evaluateRawCspsForXss(e){const s=e.map(parseCsp);return{bypasses:i(s),warnings:n(s),syntax:a(s)}},parseCsp,UIStrings:g}}).call(this)
}).call(this,"/lighthouse-core/lib/csp-evaluator.js")},{"../lib/i18n/i18n.js":97,"csp_evaluator/dist/csp.js":203,"csp_evaluator/dist/finding.js":204,"csp_evaluator/dist/lighthouse/lighthouse_checks.js":205,"csp_evaluator/dist/parser.js":206,"lighthouse-logger":237}],87:[function(e,s,t){"use strict";class BaseNode{constructor(e){this._id=e,this._isMainDocument=!1,this._dependents=[],this._dependencies=[]}get id(){return this._id}get type(){throw new Error("Unimplemented")}get startTime(){throw new Error("Unimplemented")}get endTime(){throw new Error("Unimplemented")}setIsMainDocument(e){this._isMainDocument=e}isMainDocument(){return this._isMainDocument}getDependents(){return this._dependents.slice()}getNumberOfDependents(){return this._dependents.length}getDependencies(){return this._dependencies.slice()}getNumberOfDependencies(){return this._dependencies.length}getRootNode(){let e=this;for(;e._dependencies.length;)e=e._dependencies[0];return e}addDependent(e){e.addDependency(this)}
addDependency(e){if(e===this)throw new Error("Cannot add dependency on itself");this._dependencies.includes(e)||(e._dependents.push(this),this._dependencies.push(e))}removeDependent(e){e.removeDependency(this)}removeDependency(e){if(!this._dependencies.includes(e))return;const s=e._dependents.indexOf(this);e._dependents.splice(s,1),this._dependencies.splice(this._dependencies.indexOf(e),1)}removeAllDependencies(){for(const e of this._dependencies.slice())this.removeDependency(e)}isDependentOn(e){let s=!1;return this.traverse((t=>{s||(s=t===e)}),(e=>s?[]:e.getDependencies())),s}cloneWithoutRelationships(){const e=new BaseNode(this.id);return e.setIsMainDocument(this._isMainDocument),e}cloneWithRelationships(e){const s=this.getRootNode(),t=new Map;s.traverse((s=>{t.has(s.id)||(void 0!==e?e(s)&&s.traverse((e=>t.set(e.id,e.cloneWithoutRelationships())),(e=>e._dependencies.filter((e=>!t.has(e.id))))):t.set(s.id,s.cloneWithoutRelationships()))})),s.traverse((e=>{const s=t.get(e.id)
;if(s)for(const i of e._dependencies){const e=t.get(i.id);if(!e)throw new Error("Dependency somehow not cloned");s.addDependency(e)}}));const i=t.get(this.id);if(!i)throw new Error("Cloned graph missing node");return i}traverse(e,s){for(const{node:t,traversalPath:i}of this.traverseGenerator(s))e(t,i)}*traverseGenerator(e){e||(e=e=>e.getDependents());const s=[[this]],t=new Set([this.id]);for(;s.length;){const i=s.shift(),a=i[0];yield{node:a,traversalPath:i};for(const n of e(a))t.has(n.id)||(t.add(n.id),s.push([n,...i]))}}static hasCycle(e,s="both"){if("both"===s)return BaseNode.hasCycle(e,"dependents")||BaseNode.hasCycle(e,"dependencies");const t=new Set,i=[],a=[e],n=new Map([[e,0]]);for(;a.length;){const e=a.pop();if(i.includes(e))return!0;if(t.has(e))continue;for(;i.length>n.get(e);)i.pop();t.add(e),i.push(e);const l="dependents"===s?e._dependents:e._dependencies;for(const e of l)a.includes(e)||(a.push(e),n.set(e,i.length))}return!1}}BaseNode.TYPES={NETWORK:"network",CPU:"cpu"},
s.exports=BaseNode},{}],88:[function(e,s,t){"use strict";const i=e("./base-node.js");class CPUNode extends i{constructor(e,s=[]){super(`${e.tid}.${e.ts}`),this._event=e,this._childEvents=s}get type(){return i.TYPES.CPU}get startTime(){return this._event.ts}get endTime(){return this._event.ts+this._event.dur}get event(){return this._event}get childEvents(){return this._childEvents}didPerformLayout(){return this._childEvents.some((e=>"Layout"===e.name))}getEvaluateScriptURLs(){const e=new Set;for(const s of this._childEvents)"EvaluateScript"===s.name&&s.args.data&&s.args.data.url&&e.add(s.args.data.url);return e}cloneWithoutRelationships(){return new CPUNode(this._event,this._childEvents)}}s.exports=CPUNode},{"./base-node.js":87}],89:[function(e,s,t){"use strict";const i=e("./base-node.js"),a=e("../network-request.js");class NetworkNode extends i{constructor(e){super(e.requestId),this._record=e}get type(){return i.TYPES.NETWORK}get startTime(){return 1e3*this._record.startTime*1e3}
get endTime(){return 1e3*this._record.endTime*1e3}get record(){return this._record}get initiatorType(){return this._record.initiator&&this._record.initiator.type}get fromDiskCache(){return!!this._record.fromDiskCache}get isNonNetworkProtocol(){return a.isNonNetworkRequest(this._record)}get isConnectionless(){return this.fromDiskCache||this.isNonNetworkProtocol}hasRenderBlockingPriority(){const e=this._record.priority,s=this._record.resourceType===a.TYPES.Script,t=this._record.resourceType===a.TYPES.Document;return"VeryHigh"===e||"High"===e&&s||"High"===e&&t}cloneWithoutRelationships(){const e=new NetworkNode(this._record);return e.setIsMainDocument(this._isMainDocument),e}}s.exports=NetworkNode},{"../network-request.js":158,"./base-node.js":87}],90:[function(e,s,t){"use strict";const i=e("./network-analyzer.js"),a=e("./tcp-connection.js"),n=["https","wss"];s.exports=class ConnectionPool{constructor(e,s){this._options=s,this._records=e,this._connectionsByOrigin=new Map,
this._connectionsByRecord=new Map,this._connectionsInUse=new Set,this._connectionReusedByRequestId=i.estimateIfConnectionWasReused(e,{forceCoarseEstimates:!0}),this._initializeConnections()}connectionsInUse(){return Array.from(this._connectionsInUse)}_initializeConnections(){const e=this._connectionReusedByRequestId,s=this._options.additionalRttByOrigin,t=this._options.serverResponseTimeByOrigin,l=i.groupByOrigin(this._records);for(const[i,u]of l.entries()){const l=[],c=s.get(i)||0,d=t.get(i)||30;for(const s of u){if(e.get(s.requestId))continue;const t=n.includes(s.parsedURL.scheme),i="h2"===s.protocol,u=new a(this._options.rtt+c,this._options.throughput,d,t,i);l.push(u)}if(!l.length)throw new Error("Could not find a connection for origin: "+i);const m=l[0].isH2()?1:6;for(;l.length<m;)l.push(l[0].clone());this._connectionsByOrigin.set(i,l)}}_findAvailableConnectionWithLargestCongestionWindow(e,s){const{ignoreConnectionReused:t,observedConnectionWasReused:i}=s;let a=null
;for(let s=0;s<e.length;s++){const n=e[s];if(!t&&n._warmed!==i)continue;if(this._connectionsInUse.has(n))continue;const l=a&&a.congestionWindow||-1/0;n.congestionWindow>l&&(a=n)}return a}acquire(e,s={}){if(this._connectionsByRecord.has(e))throw new Error("Record already has a connection");const t=e.parsedURL.securityOrigin,i=!!this._connectionReusedByRequestId.get(e.requestId),a=this._connectionsByOrigin.get(t)||[],n=this._findAvailableConnectionWithLargestCongestionWindow(a,{ignoreConnectionReused:s.ignoreConnectionReused,observedConnectionWasReused:i});return n?(this._connectionsInUse.add(n),this._connectionsByRecord.set(e,n),n):null}acquireActiveConnectionFromRecord(e){const s=this._connectionsByRecord.get(e);if(!s)throw new Error("Could not find an active connection for record");return s}release(e){const s=this._connectionsByRecord.get(e);this._connectionsByRecord.delete(e),this._connectionsInUse.delete(s)}}},{"./network-analyzer.js":92,"./tcp-connection.js":95}],
91:[function(e,s,t){"use strict";class DNSCache{constructor({rtt:e}){this._rtt=e,this._resolvedDomainNames=new Map}getTimeUntilResolution(e,s){const{requestedAt:t=0,shouldUpdateCache:i=!1}=s||{},a=e.parsedURL.host,n=this._resolvedDomainNames.get(a);let l=this._rtt*DNSCache.RTT_MULTIPLIER;if(n){const e=Math.max(n.resolvedAt-t,0);l=Math.min(e,l)}const u=t+l;return i&&this._updateCacheResolvedAtIfNeeded(e,u),l}_updateCacheResolvedAtIfNeeded(e,s){const t=e.parsedURL.host,i=this._resolvedDomainNames.get(t)||{resolvedAt:s};i.resolvedAt=Math.min(i.resolvedAt,s),this._resolvedDomainNames.set(t,i)}setResolvedAt(e,s){this._resolvedDomainNames.set(e,{resolvedAt:s})}}DNSCache.RTT_MULTIPLIER=2,s.exports=DNSCache},{}],92:[function(e,s,t){"use strict";const i=e("../../network-request.js"),a=e("../../url-shim.js"),n={Document:.9,XHR:.9,Fetch:.9};class NetworkAnalyzer{static get SUMMARY(){return"__SUMMARY__"}static groupByOrigin(e){const s=new Map;return e.forEach((e=>{
const t=e.parsedURL.securityOrigin,i=s.get(t)||[];i.push(e),s.set(t,i)})),s}static getSummary(e){return e.sort(((e,s)=>e-s)),{min:e[0],max:e[e.length-1],avg:e.reduce(((e,s)=>e+s),0)/e.length,median:e[Math.floor((e.length-1)/2)]}}static summarize(e){const s=new Map,t=[];for(const[i,a]of e)s.set(i,NetworkAnalyzer.getSummary(a)),t.push(...a);return s.set(NetworkAnalyzer.SUMMARY,NetworkAnalyzer.getSummary(t)),s}static _estimateValueByOrigin(e,s){const t=NetworkAnalyzer.estimateIfConnectionWasReused(e),i=NetworkAnalyzer.groupByOrigin(e),a=new Map;for(const[e,n]of i.entries()){let i=[];for(const e of n){const a=e.timing;if(!a)continue;const n=s({record:e,timing:a,connectionReused:t.get(e.requestId)});void 0!==n&&(i=i.concat(n))}i.length&&a.set(e,i)}return a}static _estimateRTTByOriginViaTCPTiming(e){return NetworkAnalyzer._estimateValueByOrigin(e,(({timing:e,connectionReused:s})=>{
if(!s)return e.sslStart>0&&e.sslEnd>0?[e.connectEnd-e.sslStart,e.sslStart-e.connectStart]:e.connectStart>0&&e.connectEnd>0?e.connectEnd-e.connectStart:void 0}))}static _estimateRTTByOriginViaDownloadTiming(e){return NetworkAnalyzer._estimateValueByOrigin(e,(({record:e,timing:s,connectionReused:t})=>{if(t)return;if(e.transferSize<=14336)return;if(!Number.isFinite(s.receiveHeadersEnd)||s.receiveHeadersEnd<0)return;const i=1e3*(e.endTime-e.startTime)-s.receiveHeadersEnd,a=Math.log2(e.transferSize/14336);return a>5?void 0:i/a}))}static _estimateRTTByOriginViaSendStartTiming(e){return NetworkAnalyzer._estimateValueByOrigin(e,(({record:e,timing:s,connectionReused:t})=>{if(t)return;if(!Number.isFinite(s.sendStart)||s.sendStart<0)return;let i=2;return"https"===e.parsedURL.scheme&&(i+=1),s.sendStart/i}))}static _estimateRTTByOriginViaHeadersEndTiming(e){return NetworkAnalyzer._estimateValueByOrigin(e,(({record:e,timing:s,connectionReused:t})=>{
if(!Number.isFinite(s.receiveHeadersEnd)||s.receiveHeadersEnd<0)return;if(!e.resourceType)return;const i=n[e.resourceType]||.4,a=s.receiveHeadersEnd*i;let l=1;return t||(l+=1,"https"===e.parsedURL.scheme&&(l+=1),l+=1),Math.max((s.receiveHeadersEnd-a)/l,3)}))}static _estimateResponseTimeByOrigin(e,s){return NetworkAnalyzer._estimateValueByOrigin(e,(({record:e,timing:t})=>{if(!Number.isFinite(t.receiveHeadersEnd)||t.receiveHeadersEnd<0)return;if(!Number.isFinite(t.sendEnd)||t.sendEnd<0)return;const i=t.receiveHeadersEnd-t.sendEnd,a=e.parsedURL.securityOrigin,n=s.get(a)||s.get(NetworkAnalyzer.SUMMARY)||0;return Math.max(i-n,0)}))}static canTrustConnectionInformation(e){const s=new Map;for(const t of e){const e=s.get(t.connectionId)||!t.connectionReused;s.set(t.connectionId,e)}return!(s.size<=1)&&Array.from(s.values()).every((e=>e))}static estimateIfConnectionWasReused(e,s){const{forceCoarseEstimates:t=!1}=s||{}
;if(!t&&NetworkAnalyzer.canTrustConnectionInformation(e))return new Map(e.map((e=>[e.requestId,!!e.connectionReused])));const i=new Map,a=NetworkAnalyzer.groupByOrigin(e);for(const[e,s]of a.entries()){const e=s.map((e=>e.endTime)).reduce(((e,s)=>Math.min(e,s)),1/0);for(const t of s)i.set(t.requestId,t.startTime>=e||"h2"===t.protocol);const t=s.reduce(((e,s)=>e.startTime>s.startTime?s:e));i.set(t.requestId,!1)}return i}static estimateRTTByOrigin(e,s){const{forceCoarseEstimates:t=!1,coarseEstimateMultiplier:i=.3,useDownloadEstimates:a=!0,useSendStartEstimates:n=!0,useHeadersEndEstimates:l=!0}=s||{};let u=NetworkAnalyzer._estimateRTTByOriginViaTCPTiming(e);if(!u.size||t){u=new Map;const s=NetworkAnalyzer._estimateRTTByOriginViaDownloadTiming(e),t=NetworkAnalyzer._estimateRTTByOriginViaSendStartTiming(e),c=NetworkAnalyzer._estimateRTTByOriginViaHeadersEndTiming(e);for(const[e,t]of s.entries())a&&u.set(e,t);for(const[e,s]of t.entries()){if(!n)continue;const t=u.get(e)||[]
;u.set(e,t.concat(s))}for(const[e,s]of c.entries()){if(!l)continue;const t=u.get(e)||[];u.set(e,t.concat(s))}for(const e of u.values())e.forEach(((s,t)=>e[t]=s*i))}if(!u.size)throw new Error("No timing information available");return NetworkAnalyzer.summarize(u)}static estimateServerResponseTimeByOrigin(e,s){let t=(s||{}).rttByOrigin;if(!t){t=new Map;const i=NetworkAnalyzer.estimateRTTByOrigin(e,s);for(const[e,s]of i.entries())t.set(e,s.min)}const i=NetworkAnalyzer._estimateResponseTimeByOrigin(e,t);return NetworkAnalyzer.summarize(i)}static estimateThroughput(e){let s=0;const t=e.reduce(((e,t)=>("data"===(t.parsedURL&&t.parsedURL.scheme)||t.failed||!t.finished||t.statusCode>300||!t.transferSize||(s+=t.transferSize,e.push({time:t.responseReceivedTime,isStart:!0}),e.push({time:t.endTime,isStart:!1})),e)),[]).sort(((e,s)=>e.time-s.time));if(!t.length)return 1/0;let i=0,a=0,n=0;return t.forEach((e=>{e.isStart?(0===i&&(a=e.time),i++):(i--,0===i&&(n+=e.time-a))})),8*s/n}
static findMainDocument(e,s){const t=NetworkAnalyzer.findOptionalMainDocument(e,s);if(!t)throw new Error("Unable to identify the main resource");return t}static findOptionalMainDocument(e,s){if(s){const t=e.find((e=>s.startsWith(e.url)&&a.equalWithExcludedFragments(e.url,s)));if(t)return t}const t=e.filter((e=>e.resourceType===i.TYPES.Document));if(t.length)return t.reduce(((e,s)=>s.startTime<e.startTime?s:e))}static resolveRedirects(e){for(;e.redirectDestination;)e=e.redirectDestination;return e}}s.exports=NetworkAnalyzer},{"../../network-request.js":158,"../../url-shim.js":"url"}],93:[function(e,s,t){"use strict";const i=e("../base-node.js");s.exports=class SimulatorTimingMap{constructor(){this._nodeTimings=new Map}getNodes(){return Array.from(this._nodeTimings.keys())}setReadyToStart(e,s){this._nodeTimings.set(e,s)}setInProgress(e,s){const t={...this.getQueued(e),startTime:s.startTime,timeElapsed:0};this._nodeTimings.set(e,e.type===i.TYPES.NETWORK?{...t,timeElapsedOvershoot:0,
bytesDownloaded:0}:t)}setCompleted(e,s){const t={...this.getInProgress(e),endTime:s.endTime};this._nodeTimings.set(e,t)}setCpu(e,s){const t={...this.getCpuStarted(e),timeElapsed:s.timeElapsed};this._nodeTimings.set(e,t)}setCpuEstimated(e,s){const t={...this.getCpuStarted(e),estimatedTimeElapsed:s.estimatedTimeElapsed};this._nodeTimings.set(e,t)}setNetwork(e,s){const t={...this.getNetworkStarted(e),timeElapsed:s.timeElapsed,timeElapsedOvershoot:s.timeElapsedOvershoot,bytesDownloaded:s.bytesDownloaded};this._nodeTimings.set(e,t)}setNetworkEstimated(e,s){const t={...this.getNetworkStarted(e),estimatedTimeElapsed:s.estimatedTimeElapsed};this._nodeTimings.set(e,t)}getQueued(e){const s=this._nodeTimings.get(e);if(!s)throw new Error(`Node ${e.id} not yet queued`);return s}getCpuStarted(e){const s=this._nodeTimings.get(e);if(!s)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in s))throw new Error(`Node ${e.id} not yet started`)
;if("bytesDownloaded"in s)throw new Error(`Node ${e.id} timing not valid`);return s}getNetworkStarted(e){const s=this._nodeTimings.get(e);if(!s)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in s))throw new Error(`Node ${e.id} not yet started`);if(!("bytesDownloaded"in s))throw new Error(`Node ${e.id} timing not valid`);return s}getInProgress(e){const s=this._nodeTimings.get(e);if(!s)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in s))throw new Error(`Node ${e.id} not yet started`);if(!("estimatedTimeElapsed"in s))throw new Error(`Node ${e.id} not yet in progress`);return s}getCompleted(e){const s=this._nodeTimings.get(e);if(!s)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in s))throw new Error(`Node ${e.id} not yet started`);if(!("estimatedTimeElapsed"in s))throw new Error(`Node ${e.id} not yet in progress`);if(!("endTime"in s))throw new Error(`Node ${e.id} not yet completed`);return s}}},{"../base-node.js":87}],94:[function(e,s,t){
"use strict";const i=e("../base-node.js"),a=e("./tcp-connection.js"),n=e("./connection-pool.js"),l=e("./dns-cache.js"),u=e("../../../config/constants.js").throttling.mobileSlow4G,c=e("./simulator-timing-map.js"),d={NotReadyToStart:0,ReadyToStart:1,InProgress:2,Complete:3},m={VeryHigh:0,High:.25,Medium:.5,Low:1,VeryLow:2},g=new Map;class Simulator{constructor(e){if(this._options=Object.assign({rtt:u.rttMs,throughput:1024*u.throughputKbps,maximumConcurrentRequests:10,cpuSlowdownMultiplier:u.cpuSlowdownMultiplier,layoutTaskMultiplier:.5,additionalRttByOrigin:new Map,serverResponseTimeByOrigin:new Map},e),this._rtt=this._options.rtt,this._throughput=this._options.throughput,this._maximumConcurrentRequests=Math.max(Math.min(a.maximumSaturatedConnections(this._rtt,this._throughput),this._options.maximumConcurrentRequests),1),this._cpuSlowdownMultiplier=this._options.cpuSlowdownMultiplier,this._layoutTaskMultiplier=this._cpuSlowdownMultiplier*this._options.layoutTaskMultiplier,
this._cachedNodeListByStartPosition=[],this._flexibleOrdering=!1,this._nodeTimings=new c,this._numberInProgressByType=new Map,this._nodes={},this._dns=new l({rtt:this._rtt}),this._connectionPool=null,!Number.isFinite(this._rtt))throw new Error("Invalid rtt "+this._rtt);if(!Number.isFinite(this._throughput))throw new Error("Invalid rtt "+this._throughput)}get rtt(){return this._rtt}_initializeConnectionPool(e){const s=[];e.getRootNode().traverse((e=>{e.type===i.TYPES.NETWORK&&s.push(e.record)})),this._connectionPool=new n(s,this._options)}_initializeAuxiliaryData(){this._nodeTimings=new c,this._numberInProgressByType=new Map,this._nodes={},this._cachedNodeListByStartPosition=[];for(const e of Object.values(d))this._nodes[e]=new Set}_numberInProgress(e){return this._numberInProgressByType.get(e)||0}_markNodeAsReadyToStart(e,s){
const t=Simulator._computeNodeStartPosition(e),i=this._cachedNodeListByStartPosition.findIndex((e=>Simulator._computeNodeStartPosition(e)>t)),a=-1===i?this._cachedNodeListByStartPosition.length:i;this._cachedNodeListByStartPosition.splice(a,0,e),this._nodes[d.ReadyToStart].add(e),this._nodes[d.NotReadyToStart].delete(e),this._nodeTimings.setReadyToStart(e,{queuedTime:s})}_markNodeAsInProgress(e,s){const t=this._cachedNodeListByStartPosition.indexOf(e);this._cachedNodeListByStartPosition.splice(t,1),this._nodes[d.InProgress].add(e),this._nodes[d.ReadyToStart].delete(e),this._numberInProgressByType.set(e.type,this._numberInProgress(e.type)+1),this._nodeTimings.setInProgress(e,{startTime:s})}_markNodeAsComplete(e,s){this._nodes[d.Complete].add(e),this._nodes[d.InProgress].delete(e),this._numberInProgressByType.set(e.type,this._numberInProgress(e.type)-1),this._nodeTimings.setCompleted(e,{endTime:s});for(const t of e.getDependents()){
t.getDependencies().some((e=>!this._nodes[d.Complete].has(e)))||this._markNodeAsReadyToStart(t,s)}}_acquireConnection(e){return this._connectionPool.acquire(e,{ignoreConnectionReused:this._flexibleOrdering})}_getNodesSortedByStartPosition(){return Array.from(this._cachedNodeListByStartPosition)}_startNodeIfPossible(e,s){if(e.type!==i.TYPES.CPU){if(e.type!==i.TYPES.NETWORK)throw new Error("Unsupported");if(!e.isConnectionless){if(this._numberInProgress(e.type)>=this._maximumConcurrentRequests)return;if(!this._acquireConnection(e.record))return}this._markNodeAsInProgress(e,s)}else 0===this._numberInProgress(e.type)&&this._markNodeAsInProgress(e,s)}_updateNetworkCapacity(){for(const e of this._connectionPool.connectionsInUse())e.setThroughput(this._throughput/this._nodes[d.InProgress].size)}_estimateTimeRemaining(e){if(e.type===i.TYPES.CPU)return this._estimateCPUTimeRemaining(e);if(e.type===i.TYPES.NETWORK)return this._estimateNetworkTimeRemaining(e);throw new Error("Unsupported")}
_estimateCPUTimeRemaining(e){const s=this._nodeTimings.getCpuStarted(e),t=e.didPerformLayout()?this._layoutTaskMultiplier:this._cpuSlowdownMultiplier,i=Math.min(Math.round(e.event.dur/1e3*t),1e4)-s.timeElapsed;return this._nodeTimings.setCpuEstimated(e,{estimatedTimeElapsed:i}),i}_estimateNetworkTimeRemaining(e){const s=e.record,t=this._nodeTimings.getNetworkStarted(e);let i=0;if(e.fromDiskCache){i=8+20*((s.resourceSize||0)/1024/1024)-t.timeElapsed}else if(e.isNonNetworkProtocol){i=2+10*((s.resourceSize||0)/1024/1024)-t.timeElapsed}else{const e=this._connectionPool.acquireActiveConnectionFromRecord(s),a=this._dns.getTimeUntilResolution(s,{requestedAt:t.startTime,shouldUpdateCache:!0}),n=t.timeElapsed;i=e.simulateDownloadUntil(s.transferSize-t.bytesDownloaded,{timeAlreadyElapsed:n,dnsResolutionTime:a,maximumTimeToElapse:1/0}).timeElapsed}const a=i+t.timeElapsedOvershoot;return this._nodeTimings.setNetworkEstimated(e,{estimatedTimeElapsed:a}),a}_findNextNodeCompletionTime(){let e=1/0
;for(const s of this._nodes[d.InProgress])e=Math.min(e,this._estimateTimeRemaining(s));return e}_updateProgressMadeInTimePeriod(e,s,t){const a=this._nodeTimings.getInProgress(e),n=a.estimatedTimeElapsed===s;if(e.type===i.TYPES.CPU||e.isConnectionless)return n?this._markNodeAsComplete(e,t):a.timeElapsed+=s;if(e.type!==i.TYPES.NETWORK)throw new Error("Unsupported");if(!("bytesDownloaded"in a))throw new Error("Invalid timing data");const l=e.record,u=this._connectionPool.acquireActiveConnectionFromRecord(l),c=this._dns.getTimeUntilResolution(l,{requestedAt:a.startTime,shouldUpdateCache:!0}),d=u.simulateDownloadUntil(l.transferSize-a.bytesDownloaded,{dnsResolutionTime:c,timeAlreadyElapsed:a.timeElapsed,maximumTimeToElapse:s-a.timeElapsedOvershoot});u.setCongestionWindow(d.congestionWindow),u.setH2OverflowBytesDownloaded(d.extraBytesDownloaded),n?(u.setWarmed(!0),this._connectionPool.release(l),this._markNodeAsComplete(e,t)):(a.timeElapsed+=d.timeElapsed,
a.timeElapsedOvershoot+=d.timeElapsed-s,a.bytesDownloaded+=d.bytesDownloaded)}_computeFinalNodeTimings(){const e=[];for(const s of this._nodeTimings.getNodes()){const t=this._nodeTimings.getCompleted(s);e.push([s,{startTime:t.startTime,endTime:t.endTime,duration:t.endTime-t.startTime}])}return e.sort(((e,s)=>e[1].startTime-s[1].startTime)),new Map(e)}getOptions(){return this._options}simulate(e,s){if(i.hasCycle(e))throw new Error("Cannot simulate graph with cycle");s=Object.assign({label:void 0,flexibleOrdering:!1},s),this._flexibleOrdering=!!s.flexibleOrdering,this._dns=new l({rtt:this._rtt}),this._initializeConnectionPool(e),this._initializeAuxiliaryData();const t=this._nodes[d.NotReadyToStart],a=this._nodes[d.ReadyToStart],n=this._nodes[d.InProgress],u=e.getRootNode();u.traverse((e=>t.add(e)));let c=0,m=0;for(this._markNodeAsReadyToStart(u,c);a.size||n.size;){for(const e of this._getNodesSortedByStartPosition())this._startNodeIfPossible(e,c);if(!n.size){
if(this._flexibleOrdering)throw new Error("Failed to start a node");this._flexibleOrdering=!0;continue}this._updateNetworkCapacity();const e=this._findNextNodeCompletionTime();if(c+=e,!Number.isFinite(e)||m>1e5)throw new Error("Simulation failed, depth exceeded");m++;for(const s of n)this._updateProgressMadeInTimePeriod(s,e,c)}const h=this._computeFinalNodeTimings();return g.set(s.label||"unlabeled",h),{timeInMs:c,nodeTimings:h}}static get ALL_NODE_TIMINGS(){return g}static _computeNodeStartPosition(e){return"cpu"===e.type?e.startTime:e.startTime+(1e3*m[e.record.priority]*1e3||0)}}s.exports=Simulator},{"../../../config/constants.js":56,"../base-node.js":87,"./connection-pool.js":90,"./dns-cache.js":91,"./simulator-timing-map.js":93,"./tcp-connection.js":95}],95:[function(e,s,t){"use strict";const i=1460;class TcpConnection{constructor(e,s,t=0,i=!0,a=!1){this._warmed=!1,this._ssl=i,this._h2=a,this._rtt=e,this._throughput=s,this._serverLatency=t,this._congestionWindow=10,
this._h2OverflowBytesDownloaded=0}static maximumSaturatedConnections(e,s){const t=8*(1460*(1e3/e));return Math.floor(s/t)}_computeMaximumCongestionWindowInSegments(){const e=this._throughput/8*(this._rtt/1e3);return Math.floor(e/i)}setThroughput(e){this._throughput=e}setCongestionWindow(e){this._congestionWindow=e}setWarmed(e){this._warmed=e}isWarm(){return this._warmed}isH2(){return this._h2}get congestionWindow(){return this._congestionWindow}setH2OverflowBytesDownloaded(e){this._h2&&(this._h2OverflowBytesDownloaded=e)}clone(){return Object.assign(new TcpConnection(this._rtt,this._throughput),this)}simulateDownloadUntil(e,s){const{timeAlreadyElapsed:t=0,maximumTimeToElapse:a=1/0,dnsResolutionTime:n=0}=s||{};this._warmed&&this._h2&&(e-=this._h2OverflowBytesDownloaded);const l=this._rtt,u=l/2,c=this._computeMaximumCongestionWindowInSegments();let d=u;this._warmed||(d=n+u+u+u+(this._ssl?l:0));let m=Math.ceil(d/l),g=d+this._serverLatency+u;this._warmed&&this._h2&&(g=0)
;const h=Math.max(g-t,0),p=a-h;let b=Math.min(this._congestionWindow,c),f=0;h>0?f=b*i:m=0;let v=0,j=e-f;for(;j>0&&v<=p;){m++,v+=l,b=Math.max(Math.min(c,2*b),1);const e=b*i;f+=e,j-=e}const k=h+v,y=this._h2?Math.max(f-e,0):0;return{roundTrips:m,timeElapsed:k,bytesDownloaded:Math.max(Math.min(f,e),0),extraBytesDownloaded:y,congestionWindow:b}}}s.exports=TcpConnection},{}],96:[function(e,s,t){"use strict";const i={latency:0,downloadThroughput:0,uploadThroughput:0,offline:!1},a={rate:1};function enableNetworkThrottling(e,s){const t={offline:!1,latency:s.requestLatencyMs||0,downloadThroughput:s.downloadThroughputKbps||0,uploadThroughput:s.uploadThroughputKbps||0};return t.downloadThroughput=Math.floor(1024*t.downloadThroughput/8),t.uploadThroughput=Math.floor(1024*t.uploadThroughput/8),e.sendCommand("Network.emulateNetworkConditions",t)}function clearNetworkThrottling(e){return e.sendCommand("Network.emulateNetworkConditions",i)}function enableCPUThrottling(e,s){
const t=s.cpuSlowdownMultiplier;return e.sendCommand("Emulation.setCPUThrottlingRate",{rate:t})}function clearCPUThrottling(e){return e.sendCommand("Emulation.setCPUThrottlingRate",a)}s.exports={emulate:async function emulate(e,s){if(!1!==s.emulatedUserAgent&&await e.sendCommand("Network.setUserAgentOverride",{userAgent:s.emulatedUserAgent}),!0!==s.screenEmulation.disabled){const{width:t,height:i,deviceScaleFactor:a,mobile:n}=s.screenEmulation,l={width:t,height:i,deviceScaleFactor:a,mobile:n};await e.sendCommand("Emulation.setDeviceMetricsOverride",l),await e.sendCommand("Emulation.setTouchEmulationEnabled",{enabled:l.mobile})}},throttle:async function throttle(e,s){if("devtools"!==s.throttlingMethod)return clearNetworkThrottling(e);await Promise.all([enableNetworkThrottling(e,s.throttling),enableCPUThrottling(e,s.throttling)])},clearThrottling:async function clearThrottling(e){await Promise.all([clearNetworkThrottling(e),clearCPUThrottling(e)])},enableNetworkThrottling,
clearNetworkThrottling,enableCPUThrottling,clearCPUThrottling}},{}],97:[function(e,s,t){(function(t){(function(){"use strict";const i=e("path"),a=e("intl-messageformat").default,n=e("lookup-closest-locale"),l=e("./locales.js"),{isObjectOfUnknownValues:u,isObjectOrArrayOfUnknownValues:c}=e("../type-verifiers.js"),d=e("lighthouse-logger"),{LH_ROOT:m}=e("../../../root.js"),g="en",h=/ | [^\s]+$/,p={ms:"{timeInMs, number, milliseconds} ms",seconds:"{timeInMs, number, seconds} s",displayValueByteSavings:"Potential savings of {wastedBytes, number, bytes} KiB",displayValueMsSavings:"Potential savings of {wastedMs, number, milliseconds} ms",displayValueElementsFound:"{nodeCount, plural, =1 {1 element found} other {# elements found}}",columnURL:"URL",columnSize:"Size",columnResourceSize:"Resource Size",columnTransferSize:"Transfer Size",columnCacheTTL:"Cache TTL",columnWastedBytes:"Potential Savings",columnWastedMs:"Potential Savings",columnBlockingTime:"Main-Thread Blocking Time",
columnTimeSpent:"Time Spent",columnLocation:"Location",columnResourceType:"Resource Type",columnRequests:"Requests",columnName:"Name",columnSource:"Source",columnOverBudget:"Over Budget",columnElement:"Element",columnStartTime:"Start Time",columnDuration:"Duration",columnFailingElem:"Failing Elements",columnDescription:"Description",totalResourceType:"Total",documentResourceType:"Document",scriptResourceType:"Script",stylesheetResourceType:"Stylesheet",imageResourceType:"Image",mediaResourceType:"Media",fontResourceType:"Font",otherResourceType:"Other",thirdPartyResourceType:"Third-party",otherResourcesLabel:"Other resources",firstContentfulPaintMetric:"First Contentful Paint",interactiveMetric:"Time to Interactive",firstMeaningfulPaintMetric:"First Meaningful Paint",totalBlockingTimeMetric:"Total Blocking Time",maxPotentialFIDMetric:"Max Potential First Input Delay",speedIndexMetric:"Speed Index",largestContentfulPaintMetric:"Largest Contentful Paint",
cumulativeLayoutShiftMetric:"Cumulative Layout Shift",itemSeverityLow:"Low",itemSeverityMedium:"Medium",itemSeverityHigh:"High"},b={number:{bytes:{maximumFractionDigits:0},milliseconds:{maximumFractionDigits:0},seconds:{minimumFractionDigits:1,maximumFractionDigits:1},extendedPercent:{maximumFractionDigits:2,style:"percent"}}};function collectAllCustomElementsFromICU(e,s=new Map){for(const t of e)if("argumentElement"===t.type&&(s.set(t.id,t),t.format&&"pluralFormat"===t.format.type))for(const e of t.format.options)collectAllCustomElementsFromICU(e.value.elements,s);return s}function _formatMessage(e,s={},t){const i=new a(e,"en-XA"===t||"en-XL"===t?"de-DE":t,b),n=function _preformatValues(e,s,t){const i=[...collectAllCustomElementsFromICU(e.getAst().elements).values()],a={};for(const{id:e,format:n}of i){if(e&&e in s==0)throw new Error(`ICU Message "${t}" contains a value reference ("${e}") that wasn't provided`);const i=s[e];if(n&&"numberFormat"===n.type){
if("number"!=typeof i)throw new Error(`ICU Message "${t}" contains a numeric reference ("${e}") but provided value was not a number`);"milliseconds"===n.style?a[e]=10*Math.round(i/10):"seconds"===n.style&&"timeInMs"===e?a[e]=Math.round(i/100)/10:"bytes"===n.style?a[e]=i/1024:a[e]=i}else a[e]=i}for(const e of Object.keys(s))if(!(e in a)){if("errorCode"!==e)throw new Error(`Provided value "${e}" does not match any placeholder in ICU message "${t}"`);a.errorCode=s.errorCode}return a}(i,s,e);return i.format(n)}function _localizeIcuMessage(e,s){const t=l[s];if(!t)throw new Error(`Unsupported locale '${s}'`);const i=t[e.i18nId];return i?_formatMessage(i.message,e.values,s):e.formattedDefault}function _formatPathAsString(e){let s="";for(const t of e)if(/^[a-z]+$/i.test(t))s.length&&(s+="."),s+=t;else{if(/]|"|'|\s/.test(t))throw new Error(`Cannot handle "${t}" in i18n`);s+=`[${t}]`}return s}function createIcuMessageFn(e,s){const a={...p,...s};return(n,l)=>{
const u=Object.keys(a).find((e=>a[e]===n));if(!u)throw new Error("Could not locate: "+n);const c=u in s?e:t;return{i18nId:`${i.relative(m,c).replace(/\\/g,"/")} | ${u}`,values:l,formattedDefault:_formatMessage(n,l,g)}}}function isIcuMessage(e){if(!u(e))return!1;const{i18nId:s,values:t,formattedDefault:i}=e;if("string"!=typeof s)return!1;if("string"!=typeof i)return!1;if(void 0!==t){if(!u(t))return!1;for(const e of Object.values(t))if("string"!=typeof e&&"number"!=typeof e)return!1}return h.test(s)}s.exports={_formatPathAsString,UIStrings:p,lookupLocale:function lookupLocale(e){if("object"!=typeof Intl)throw new Error("Lighthouse must be run in Node with `Intl` support. See https://nodejs.org/api/intl.html for help");const s=Intl.getCanonicalLocales(e),t=Intl.NumberFormat.supportedLocalesOf(s),i=n(t,l)
;return i||(0===Intl.NumberFormat.supportedLocalesOf("es").length&&d.warn("i18n","Requested locale not available in this version of node. The `full-icu` npm module can provide additional locales. For help, see https://github.com/GoogleChrome/lighthouse/blob/master/readme.md#how-do-i-get-localized-lighthouse-results-via-the-cli"),d.warn("i18n",`locale(s) '${e}' not available. Falling back to default 'en'`)),i||g},getRendererFormattedStrings:function getRendererFormattedStrings(e){const s=l[e];if(!s)throw new Error(`Unsupported locale '${e}'`);const t=Object.keys(s).filter((e=>e.startsWith("report/"))),i={};for(const e of t){const[t,a]=e.split(" | ");if(!t.endsWith("util.js"))throw new Error("Unexpected message: "+e);i[a]=s[e].message}return i},createIcuMessageFn,getFormatted:function getFormatted(e,s){if(isIcuMessage(e))return _localizeIcuMessage(e,s);if("string"==typeof e)return e;throw new Error("Attempted to format invalid icuMessage type")},
replaceIcuMessages:function replaceIcuMessages(e,s){const t={};return function replaceInObject(e,t,i=[]){if(c(e))for(const[a,n]of Object.entries(e)){const l=i.concat([a]);if(isIcuMessage(n)){const i=_localizeIcuMessage(n,s),u=t[n.i18nId]||[],c=_formatPathAsString(l);u.push(n.values?{values:n.values,path:c}:c),e[a]=i,t[n.i18nId]=u}else replaceInObject(n,t,l)}}(e,t),t},isIcuMessage,collectAllCustomElementsFromICU,registerLocaleData:function registerLocaleData(e,s){l[e]=s},isStringOrIcuMessage:function isStringOrIcuMessage(e){return"string"==typeof e||isIcuMessage(e)},createMessageInstanceIdFn:createIcuMessageFn}}).call(this)}).call(this,"/lighthouse-core/lib/i18n/i18n.js")},{"../../../root.js":311,"../type-verifiers.js":171,"./locales.js":98,"intl-messageformat":229,"lighthouse-logger":237,"lookup-closest-locale":267,path:271}],98:[function(e,s,t){"use strict";const i={"en-US":e("./locales/en-US.json"),en:e("./locales/en-US.json"),"en-AU":e("./locales/en-GB.json"),
"en-GB":e("./locales/en-GB.json"),"en-IE":e("./locales/en-GB.json"),"en-SG":e("./locales/en-GB.json"),"en-ZA":e("./locales/en-GB.json"),"en-IN":e("./locales/en-GB.json"),"ar-XB":e("./locales/ar-XB.json"),ar:e("./locales/ar.json"),bg:e("./locales/bg.json"),ca:e("./locales/ca.json"),cs:e("./locales/cs.json"),da:e("./locales/da.json"),de:e("./locales/de.json"),el:e("./locales/el.json"),"en-XA":e("./locales/en-XA.json"),"en-XL":e("./locales/en-XL.json"),es:e("./locales/es.json"),"es-419":e("./locales/es-419.json"),"es-AR":e("./locales/es-419.json"),"es-BO":e("./locales/es-419.json"),"es-BR":e("./locales/es-419.json"),"es-BZ":e("./locales/es-419.json"),"es-CL":e("./locales/es-419.json"),"es-CO":e("./locales/es-419.json"),"es-CR":e("./locales/es-419.json"),"es-CU":e("./locales/es-419.json"),"es-DO":e("./locales/es-419.json"),"es-EC":e("./locales/es-419.json"),"es-GT":e("./locales/es-419.json"),"es-HN":e("./locales/es-419.json"),"es-MX":e("./locales/es-419.json"),
"es-NI":e("./locales/es-419.json"),"es-PA":e("./locales/es-419.json"),"es-PE":e("./locales/es-419.json"),"es-PR":e("./locales/es-419.json"),"es-PY":e("./locales/es-419.json"),"es-SV":e("./locales/es-419.json"),"es-US":e("./locales/es-419.json"),"es-UY":e("./locales/es-419.json"),"es-VE":e("./locales/es-419.json"),fi:e("./locales/fi.json"),fil:e("./locales/fil.json"),fr:e("./locales/fr.json"),he:e("./locales/he.json"),hi:e("./locales/hi.json"),hr:e("./locales/hr.json"),hu:e("./locales/hu.json"),gsw:e("./locales/de.json"),id:e("./locales/id.json"),in:e("./locales/id.json"),it:e("./locales/it.json"),iw:e("./locales/he.json"),ja:e("./locales/ja.json"),ko:e("./locales/ko.json"),lt:e("./locales/lt.json"),lv:e("./locales/lv.json"),mo:e("./locales/ro.json"),nl:e("./locales/nl.json"),nb:e("./locales/no.json"),no:e("./locales/no.json"),pl:e("./locales/pl.json"),pt:e("./locales/pt.json"),"pt-PT":e("./locales/pt-PT.json"),ro:e("./locales/ro.json"),ru:e("./locales/ru.json"),
sk:e("./locales/sk.json"),sl:e("./locales/sl.json"),sr:e("./locales/sr.json"),"sr-Latn":e("./locales/sr-Latn.json"),sv:e("./locales/sv.json"),ta:e("./locales/ta.json"),te:e("./locales/te.json"),th:e("./locales/th.json"),tl:e("./locales/fil.json"),tr:e("./locales/tr.json"),uk:e("./locales/uk.json"),vi:e("./locales/vi.json"),zh:e("./locales/zh.json"),"zh-HK":e("./locales/zh-HK.json"),"zh-TW":e("./locales/zh-TW.json")};s.exports=i},{"./locales/ar-XB.json":99,"./locales/ar.json":100,"./locales/bg.json":101,"./locales/ca.json":102,"./locales/cs.json":103,"./locales/da.json":104,"./locales/de.json":105,"./locales/el.json":106,"./locales/en-GB.json":107,"./locales/en-US.json":108,"./locales/en-XA.json":109,"./locales/en-XL.json":110,"./locales/es-419.json":111,"./locales/es.json":112,"./locales/fi.json":113,"./locales/fil.json":114,"./locales/fr.json":115,"./locales/he.json":116,"./locales/hi.json":117,"./locales/hr.json":118,"./locales/hu.json":119,"./locales/id.json":120,
"./locales/it.json":121,"./locales/ja.json":122,"./locales/ko.json":123,"./locales/lt.json":124,"./locales/lv.json":125,"./locales/nl.json":126,"./locales/no.json":127,"./locales/pl.json":128,"./locales/pt-PT.json":129,"./locales/pt.json":130,"./locales/ro.json":131,"./locales/ru.json":132,"./locales/sk.json":133,"./locales/sl.json":134,"./locales/sr-Latn.json":135,"./locales/sr.json":136,"./locales/sv.json":137,"./locales/ta.json":138,"./locales/te.json":139,"./locales/th.json":140,"./locales/tr.json":141,"./locales/uk.json":142,"./locales/vi.json":143,"./locales/zh-HK.json":144,"./locales/zh-TW.json":145,"./locales/zh.json":146}],99:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"‏‮Access‬‏ ‏‮keys‬‏ ‏‮let‬‏ ‏‮users‬‏ ‏‮quickly‬‏ ‏‮focus‬‏ ‏‮a‬‏ ‏‮part‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮page‬‏. ‏‮For‬‏ ‏‮proper‬‏ ‏‮navigation‬‏, ‏‮each‬‏ ‏‮access‬‏ ‏‮key‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮unique‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/accesskeys/)."},
"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` ‏‮values‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮unique‬‏"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` ‏‮values‬‏ ‏‮are‬‏ ‏‮unique‬‏"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"‏‮Each‬‏ ‏‮ARIA‬‏ `role` ‏‮supports‬‏ ‏‮a‬‏ ‏‮specific‬‏ ‏‮subset‬‏ ‏‮of‬‏ `aria-*` ‏‮attributes‬‏. ‏‮Mismatching‬‏ ‏‮these‬‏ ‏‮invalidates‬‏ ‏‮the‬‏ `aria-*` ‏‮attributes‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` ‏‮attributes‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮match‬‏ ‏‮their‬‏ ‏‮roles‬‏"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` ‏‮attributes‬‏ ‏‮match‬‏ ‏‮their‬‏ ‏‮roles‬‏"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{
message:"‏‮When‬‏ ‏‮an‬‏ ‏‮element‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link`, ‏‮and‬‏ `menuitem` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link`, ‏‮and‬‏ `menuitem` ‏‮elements‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'‏‮Assistive‬‏ ‏‮technologies‬‏, ‏‮like‬‏ ‏‮screen‬‏ ‏‮readers‬‏, ‏‮work‬‏ ‏‮inconsistently‬‏ ‏‮when‬‏ `aria-hidden="true"` ‏‮is‬‏ ‏‮set‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮document‬‏ `<body>`. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-hidden-body/).'},
"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` ‏‮is‬‏ ‏‮present‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮document‬‏ `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` ‏‮is‬‏ ‏‮not‬‏ ‏‮present‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮document‬‏ `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'‏‮Focusable‬‏ ‏‮descendents‬‏ ‏‮within‬‏ ‏‮an‬‏ `[aria-hidden="true"]` ‏‮element‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮interactive‬‏ ‏‮elements‬‏ ‏‮from‬‏ ‏‮being‬‏ ‏‮available‬‏ ‏‮to‬‏ ‏‮users‬‏ ‏‮of‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏ ‏‮like‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` ‏‮elements‬‏ ‏‮contain‬‏ ‏‮focusable‬‏ ‏‮descendents‬‏'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{
message:'`[aria-hidden="true"]` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮focusable‬‏ ‏‮descendents‬‏'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"‏‮When‬‏ ‏‮an‬‏ ‏‮input‬‏ ‏‮field‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"‏‮ARIA‬‏ ‏‮input‬‏ ‏‮fields‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"‏‮ARIA‬‏ ‏‮input‬‏ ‏‮fields‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"‏‮When‬‏ ‏‮an‬‏ ‏‮element‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"‏‮ARIA‬‏ `meter` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"‏‮ARIA‬‏ `meter` ‏‮elements‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"‏‮When‬‏ ‏‮a‬‏ `progressbar` ‏‮element‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"‏‮ARIA‬‏ `progressbar` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"‏‮ARIA‬‏ `progressbar` ‏‮elements‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"‏‮Some‬‏ ‏‮ARIA‬‏ ‏‮roles‬‏ ‏‮have‬‏ ‏‮required‬‏ ‏‮attributes‬‏ ‏‮that‬‏ ‏‮describe‬‏ ‏‮the‬‏ ‏‮state‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮element‬‏ ‏‮to‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-required-attr/)."},
"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`‏‮s‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮all‬‏ ‏‮required‬‏ `[aria-*]` ‏‮attributes‬‏"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`‏‮s‬‏ ‏‮have‬‏ ‏‮all‬‏ ‏‮required‬‏ `[aria-*]` ‏‮attributes‬‏"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"‏‮Some‬‏ ‏‮ARIA‬‏ ‏‮parent‬‏ ‏‮roles‬‏ ‏‮must‬‏ ‏‮contain‬‏ ‏‮specific‬‏ ‏‮child‬‏ ‏‮roles‬‏ ‏‮to‬‏ ‏‮perform‬‏ ‏‮their‬‏ ‏‮intended‬‏ ‏‮accessibility‬‏ ‏‮functions‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"‏‮Elements‬‏ ‏‮with‬‏ ‏‮an‬‏ ‏‮ARIA‬‏ `[role]` ‏‮that‬‏ ‏‮require‬‏ ‏‮children‬‏ ‏‮to‬‏ ‏‮contain‬‏ ‏‮a‬‏ ‏‮specific‬‏ `[role]` ‏‮are‬‏ ‏‮missing‬‏ ‏‮some‬‏ ‏‮or‬‏ ‏‮all‬‏ ‏‮of‬‏ ‏‮those‬‏ ‏‮required‬‏ ‏‮children‬‏."},
"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"‏‮Elements‬‏ ‏‮with‬‏ ‏‮an‬‏ ‏‮ARIA‬‏ `[role]` ‏‮that‬‏ ‏‮require‬‏ ‏‮children‬‏ ‏‮to‬‏ ‏‮contain‬‏ ‏‮a‬‏ ‏‮specific‬‏ `[role]` ‏‮have‬‏ ‏‮all‬‏ ‏‮required‬‏ ‏‮children‬‏."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"‏‮Some‬‏ ‏‮ARIA‬‏ ‏‮child‬‏ ‏‮roles‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮contained‬‏ ‏‮by‬‏ ‏‮specific‬‏ ‏‮parent‬‏ ‏‮roles‬‏ ‏‮to‬‏ ‏‮properly‬‏ ‏‮perform‬‏ ‏‮their‬‏ ‏‮intended‬‏ ‏‮accessibility‬‏ ‏‮functions‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`‏‮s‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮contained‬‏ ‏‮by‬‏ ‏‮their‬‏ ‏‮required‬‏ ‏‮parent‬‏ ‏‮element‬‏"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`‏‮s‬‏ ‏‮are‬‏ ‏‮contained‬‏ ‏‮by‬‏ ‏‮their‬‏ ‏‮required‬‏ ‏‮parent‬‏ ‏‮element‬‏"},
"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"‏‮ARIA‬‏ ‏‮roles‬‏ ‏‮must‬‏ ‏‮have‬‏ ‏‮valid‬‏ ‏‮values‬‏ ‏‮in‬‏ ‏‮order‬‏ ‏‮to‬‏ ‏‮perform‬‏ ‏‮their‬‏ ‏‮intended‬‏ ‏‮accessibility‬‏ ‏‮functions‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` ‏‮values‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮valid‬‏"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` ‏‮values‬‏ ‏‮are‬‏ ‏‮valid‬‏"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"‏‮When‬‏ ‏‮a‬‏ ‏‮toggle‬‏ ‏‮field‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"‏‮ARIA‬‏ ‏‮toggle‬‏ ‏‮fields‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"‏‮ARIA‬‏ ‏‮toggle‬‏ ‏‮fields‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"‏‮When‬‏ ‏‮an‬‏ ‏‮element‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"‏‮ARIA‬‏ `tooltip` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{
message:"‏‮ARIA‬‏ `tooltip` ‏‮elements‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"‏‮When‬‏ ‏‮an‬‏ ‏‮element‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮generic‬‏ ‏‮name‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"‏‮ARIA‬‏ `treeitem` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"‏‮ARIA‬‏ `treeitem` ‏‮elements‬‏ ‏‮have‬‏ ‏‮accessible‬‏ ‏‮names‬‏"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"‏‮Assistive‬‏ ‏‮technologies‬‏, ‏‮like‬‏ ‏‮screen‬‏ ‏‮readers‬‏, ‏‮can‬‏'‏‮t‬‏ ‏‮interpret‬‏ ‏‮ARIA‬‏ ‏‮attributes‬‏ ‏‮with‬‏ ‏‮invalid‬‏ ‏‮values‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` ‏‮attributes‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮valid‬‏ ‏‮values‬‏"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` ‏‮attributes‬‏ ‏‮have‬‏ ‏‮valid‬‏ ‏‮values‬‏"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"‏‮Assistive‬‏ ‏‮technologies‬‏, ‏‮like‬‏ ‏‮screen‬‏ ‏‮readers‬‏, ‏‮can‬‏'‏‮t‬‏ ‏‮interpret‬‏ ‏‮ARIA‬‏ ‏‮attributes‬‏ ‏‮with‬‏ ‏‮invalid‬‏ ‏‮names‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` ‏‮attributes‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮valid‬‏ ‏‮or‬‏ ‏‮misspelled‬‏"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` ‏‮attributes‬‏ ‏‮are‬‏ ‏‮valid‬‏ ‏‮and‬‏ ‏‮not‬‏ ‏‮misspelled‬‏"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"‏‮Failing‬‏ ‏‮Elements‬‏"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'‏‮When‬‏ ‏‮a‬‏ ‏‮button‬‏ ‏‮doesn‬‏\'‏‮t‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮it‬‏ ‏‮as‬‏ "‏‮button‬‏", ‏‮making‬‏ ‏‮it‬‏ ‏‮unusable‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"‏‮Buttons‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"‏‮Buttons‬‏ ‏‮have‬‏ ‏‮an‬‏ ‏‮accessible‬‏ ‏‮name‬‏"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"‏‮Adding‬‏ ‏‮ways‬‏ ‏‮to‬‏ ‏‮bypass‬‏ ‏‮repetitive‬‏ ‏‮content‬‏ ‏‮lets‬‏ ‏‮keyboard‬‏ ‏‮users‬‏ ‏‮navigate‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮more‬‏ ‏‮efficiently‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"‏‮The‬‏ ‏‮page‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮a‬‏ ‏‮heading‬‏, ‏‮skip‬‏ ‏‮link‬‏, ‏‮or‬‏ ‏‮landmark‬‏ ‏‮region‬‏"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"‏‮The‬‏ ‏‮page‬‏ ‏‮contains‬‏ ‏‮a‬‏ ‏‮heading‬‏, ‏‮skip‬‏ ‏‮link‬‏, ‏‮or‬‏ ‏‮landmark‬‏ ‏‮region‬‏"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"‏‮Low‬‏-‏‮contrast‬‏ ‏‮text‬‏ ‏‮is‬‏ ‏‮difficult‬‏ ‏‮or‬‏ ‏‮impossible‬‏ ‏‮for‬‏ ‏‮many‬‏ ‏‮users‬‏ ‏‮to‬‏ ‏‮read‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{
message:"‏‮Background‬‏ ‏‮and‬‏ ‏‮foreground‬‏ ‏‮colors‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮sufficient‬‏ ‏‮contrast‬‏ ‏‮ratio‬‏."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"‏‮Background‬‏ ‏‮and‬‏ ‏‮foreground‬‏ ‏‮colors‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮sufficient‬‏ ‏‮contrast‬‏ ‏‮ratio‬‏"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"‏‮When‬‏ ‏‮definition‬‏ ‏‮lists‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮properly‬‏ ‏‮marked‬‏ ‏‮up‬‏, ‏‮screen‬‏ ‏‮readers‬‏ ‏‮may‬‏ ‏‮produce‬‏ ‏‮confusing‬‏ ‏‮or‬‏ ‏‮inaccurate‬‏ ‏‮output‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`'‏‮s‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮only‬‏ ‏‮properly‬‏-‏‮ordered‬‏ `<dt>` ‏‮and‬‏ `<dd>` ‏‮groups‬‏, `<script>`, `<template>` ‏‮or‬‏ `<div>` ‏‮elements‬‏."},"lighthouse-core/audits/accessibility/definition-list.js | title":{
message:"`<dl>`'‏‮s‬‏ ‏‮contain‬‏ ‏‮only‬‏ ‏‮properly‬‏-‏‮ordered‬‏ `<dt>` ‏‮and‬‏ `<dd>` ‏‮groups‬‏, `<script>`, `<template>` ‏‮or‬‏ `<div>` ‏‮elements‬‏."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"‏‮Definition‬‏ ‏‮list‬‏ ‏‮items‬‏ (`<dt>` ‏‮and‬‏ `<dd>`) ‏‮must‬‏ ‏‮be‬‏ ‏‮wrapped‬‏ ‏‮in‬‏ ‏‮a‬‏ ‏‮parent‬‏ `<dl>` ‏‮element‬‏ ‏‮to‬‏ ‏‮ensure‬‏ ‏‮that‬‏ ‏‮screen‬‏ ‏‮readers‬‏ ‏‮can‬‏ ‏‮properly‬‏ ‏‮announce‬‏ ‏‮them‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"‏‮Definition‬‏ ‏‮list‬‏ ‏‮items‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮wrapped‬‏ ‏‮in‬‏ `<dl>` ‏‮elements‬‏"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"‏‮Definition‬‏ ‏‮list‬‏ ‏‮items‬‏ ‏‮are‬‏ ‏‮wrapped‬‏ ‏‮in‬‏ `<dl>` ‏‮elements‬‏"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"‏‮The‬‏ ‏‮title‬‏ ‏‮gives‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮users‬‏ ‏‮an‬‏ ‏‮overview‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮page‬‏, ‏‮and‬‏ ‏‮search‬‏ ‏‮engine‬‏ ‏‮users‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮it‬‏ ‏‮heavily‬‏ ‏‮to‬‏ ‏‮determine‬‏ ‏‮if‬‏ ‏‮a‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮relevant‬‏ ‏‮to‬‏ ‏‮their‬‏ ‏‮search‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"‏‮Document‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮a‬‏ `<title>` ‏‮element‬‏"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"‏‮Document‬‏ ‏‮has‬‏ ‏‮a‬‏ `<title>` ‏‮element‬‏"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"‏‮All‬‏ ‏‮focusable‬‏ ‏‮elements‬‏ ‏‮must‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮unique‬‏ `id` ‏‮to‬‏ ‏‮ensure‬‏ ‏‮that‬‏ ‏‮they‬‏'‏‮re‬‏ ‏‮visible‬‏ ‏‮to‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/duplicate-id-active/)."},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` ‏‮attributes‬‏ ‏‮on‬‏ ‏‮active‬‏, ‏‮focusable‬‏ ‏‮elements‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮unique‬‏"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` ‏‮attributes‬‏ ‏‮on‬‏ ‏‮active‬‏, ‏‮focusable‬‏ ‏‮elements‬‏ ‏‮are‬‏ ‏‮unique‬‏"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"‏‮The‬‏ ‏‮value‬‏ ‏‮of‬‏ ‏‮an‬‏ ‏‮ARIA‬‏ ‏‮ID‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮unique‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮other‬‏ ‏‮instances‬‏ ‏‮from‬‏ ‏‮being‬‏ ‏‮overlooked‬‏ ‏‮by‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"‏‮ARIA‬‏ ‏‮IDs‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮unique‬‏"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"‏‮ARIA‬‏ ‏‮IDs‬‏ ‏‮are‬‏ ‏‮unique‬‏"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"‏‮Form‬‏ ‏‮fields‬‏ ‏‮with‬‏ ‏‮multiple‬‏ ‏‮labels‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮confusingly‬‏ ‏‮announced‬‏ ‏‮by‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏ ‏‮like‬‏ ‏‮screen‬‏ ‏‮readers‬‏ ‏‮which‬‏ ‏‮use‬‏ ‏‮either‬‏ ‏‮the‬‏ ‏‮first‬‏, ‏‮the‬‏ ‏‮last‬‏, ‏‮or‬‏ ‏‮all‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮labels‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"‏‮Form‬‏ ‏‮fields‬‏ ‏‮have‬‏ ‏‮multiple‬‏ ‏‮labels‬‏"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"‏‮No‬‏ ‏‮form‬‏ ‏‮fields‬‏ ‏‮have‬‏ ‏‮multiple‬‏ ‏‮labels‬‏"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"‏‮Screen‬‏ ‏‮reader‬‏ ‏‮users‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮frame‬‏ ‏‮titles‬‏ ‏‮to‬‏ ‏‮describe‬‏ ‏‮the‬‏ ‏‮contents‬‏ ‏‮of‬‏ ‏‮frames‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/frame-title/)."},
"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` ‏‮or‬‏ `<iframe>` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮title‬‏"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` ‏‮or‬‏ `<iframe>` ‏‮elements‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮title‬‏"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"‏‮Properly‬‏ ‏‮ordered‬‏ ‏‮headings‬‏ ‏‮that‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮skip‬‏ ‏‮levels‬‏ ‏‮convey‬‏ ‏‮the‬‏ ‏‮semantic‬‏ ‏‮structure‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮page‬‏, ‏‮making‬‏ ‏‮it‬‏ ‏‮easier‬‏ ‏‮to‬‏ ‏‮navigate‬‏ ‏‮and‬‏ ‏‮understand‬‏ ‏‮when‬‏ ‏‮using‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"‏‮Heading‬‏ ‏‮elements‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮in‬‏ ‏‮a‬‏ ‏‮sequentially‬‏-‏‮descending‬‏ ‏‮order‬‏"},"lighthouse-core/audits/accessibility/heading-order.js | title":{
message:"‏‮Heading‬‏ ‏‮elements‬‏ ‏‮appear‬‏ ‏‮in‬‏ ‏‮a‬‏ ‏‮sequentially‬‏-‏‮descending‬‏ ‏‮order‬‏"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"‏‮If‬‏ ‏‮a‬‏ ‏‮page‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮specify‬‏ ‏‮a‬‏ ‏‮lang‬‏ ‏‮attribute‬‏, ‏‮a‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮assumes‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮default‬‏ ‏‮language‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮user‬‏ ‏‮chose‬‏ ‏‮when‬‏ ‏‮setting‬‏ ‏‮up‬‏ ‏‮the‬‏ ‏‮screen‬‏ ‏‮reader‬‏. ‏‮If‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮isn‬‏'‏‮t‬‏ ‏‮actually‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮default‬‏ ‏‮language‬‏, ‏‮then‬‏ ‏‮the‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮might‬‏ ‏‮not‬‏ ‏‮announce‬‏ ‏‮the‬‏ ‏‮page‬‏'‏‮s‬‏ ‏‮text‬‏ ‏‮correctly‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` ‏‮element‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ `[lang]` ‏‮attribute‬‏"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{
message:"`<html>` ‏‮element‬‏ ‏‮has‬‏ ‏‮a‬‏ `[lang]` ‏‮attribute‬‏"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"‏‮Specifying‬‏ ‏‮a‬‏ ‏‮valid‬‏ [‏‮BCP‬‏ 47 ‏‮language‬‏](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ‏‮helps‬‏ ‏‮screen‬‏ ‏‮readers‬‏ ‏‮announce‬‏ ‏‮text‬‏ ‏‮properly‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` ‏‮element‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮valid‬‏ ‏‮value‬‏ ‏‮for‬‏ ‏‮its‬‏ `[lang]` ‏‮attribute‬‏."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` ‏‮element‬‏ ‏‮has‬‏ ‏‮a‬‏ ‏‮valid‬‏ ‏‮value‬‏ ‏‮for‬‏ ‏‮its‬‏ `[lang]` ‏‮attribute‬‏"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"‏‮Informative‬‏ ‏‮elements‬‏ ‏‮should‬‏ ‏‮aim‬‏ ‏‮for‬‏ ‏‮short‬‏, ‏‮descriptive‬‏ ‏‮alternate‬‏ ‏‮text‬‏. ‏‮Decorative‬‏ ‏‮elements‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮ignored‬‏ ‏‮with‬‏ ‏‮an‬‏ ‏‮empty‬‏ ‏‮alt‬‏ ‏‮attribute‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"‏‮Image‬‏ ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ `[alt]` ‏‮attributes‬‏"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"‏‮Image‬‏ ‏‮elements‬‏ ‏‮have‬‏ `[alt]` ‏‮attributes‬‏"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"‏‮When‬‏ ‏‮an‬‏ ‏‮image‬‏ ‏‮is‬‏ ‏‮being‬‏ ‏‮used‬‏ ‏‮as‬‏ ‏‮an‬‏ `<input>` ‏‮button‬‏, ‏‮providing‬‏ ‏‮alternative‬‏ ‏‮text‬‏ ‏‮can‬‏ ‏‮help‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮users‬‏ ‏‮understand‬‏ ‏‮the‬‏ ‏‮purpose‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮button‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{
message:'`<input type="image">` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ `[alt]` ‏‮text‬‏'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` ‏‮elements‬‏ ‏‮have‬‏ `[alt]` ‏‮text‬‏'},"lighthouse-core/audits/accessibility/label.js | description":{message:"‏‮Labels‬‏ ‏‮ensure‬‏ ‏‮that‬‏ ‏‮form‬‏ ‏‮controls‬‏ ‏‮are‬‏ ‏‮announced‬‏ ‏‮properly‬‏ ‏‮by‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏, ‏‮like‬‏ ‏‮screen‬‏ ‏‮readers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"‏‮Form‬‏ ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮associated‬‏ ‏‮labels‬‏"},"lighthouse-core/audits/accessibility/label.js | title":{message:"‏‮Form‬‏ ‏‮elements‬‏ ‏‮have‬‏ ‏‮associated‬‏ ‏‮labels‬‏"},"lighthouse-core/audits/accessibility/link-name.js | description":{
message:"‏‮Link‬‏ ‏‮text‬‏ (‏‮and‬‏ ‏‮alternate‬‏ ‏‮text‬‏ ‏‮for‬‏ ‏‮images‬‏, ‏‮when‬‏ ‏‮used‬‏ ‏‮as‬‏ ‏‮links‬‏) ‏‮that‬‏ ‏‮is‬‏ ‏‮discernible‬‏, ‏‮unique‬‏, ‏‮and‬‏ ‏‮focusable‬‏ ‏‮improves‬‏ ‏‮the‬‏ ‏‮navigation‬‏ ‏‮experience‬‏ ‏‮for‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮users‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"‏‮Links‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮discernible‬‏ ‏‮name‬‏"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"‏‮Links‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮discernible‬‏ ‏‮name‬‏"},"lighthouse-core/audits/accessibility/list.js | description":{message:"‏‮Screen‬‏ ‏‮readers‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮specific‬‏ ‏‮way‬‏ ‏‮of‬‏ ‏‮announcing‬‏ ‏‮lists‬‏. ‏‮Ensuring‬‏ ‏‮proper‬‏ ‏‮list‬‏ ‏‮structure‬‏ ‏‮aids‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮output‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"‏‮Lists‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮only‬‏ `<li>` ‏‮elements‬‏ ‏‮and‬‏ ‏‮script‬‏ ‏‮supporting‬‏ ‏‮elements‬‏ (`<script>` ‏‮and‬‏ `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"‏‮Lists‬‏ ‏‮contain‬‏ ‏‮only‬‏ `<li>` ‏‮elements‬‏ ‏‮and‬‏ ‏‮script‬‏ ‏‮supporting‬‏ ‏‮elements‬‏ (`<script>` ‏‮and‬‏ `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"‏‮Screen‬‏ ‏‮readers‬‏ ‏‮require‬‏ ‏‮list‬‏ ‏‮items‬‏ (`<li>`) ‏‮to‬‏ ‏‮be‬‏ ‏‮contained‬‏ ‏‮within‬‏ ‏‮a‬‏ ‏‮parent‬‏ `<ul>` ‏‮or‬‏ `<ol>` ‏‮to‬‏ ‏‮be‬‏ ‏‮announced‬‏ ‏‮properly‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"‏‮List‬‏ ‏‮items‬‏ (`<li>`) ‏‮are‬‏ ‏‮not‬‏ ‏‮contained‬‏ ‏‮within‬‏ `<ul>` ‏‮or‬‏ `<ol>` ‏‮parent‬‏ ‏‮elements‬‏."},"lighthouse-core/audits/accessibility/listitem.js | title":{
message:"‏‮List‬‏ ‏‮items‬‏ (`<li>`) ‏‮are‬‏ ‏‮contained‬‏ ‏‮within‬‏ `<ul>` ‏‮or‬‏ `<ol>` ‏‮parent‬‏ ‏‮elements‬‏"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"‏‮Users‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮expect‬‏ ‏‮a‬‏ ‏‮page‬‏ ‏‮to‬‏ ‏‮refresh‬‏ ‏‮automatically‬‏, ‏‮and‬‏ ‏‮doing‬‏ ‏‮so‬‏ ‏‮will‬‏ ‏‮move‬‏ ‏‮focus‬‏ ‏‮back‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮top‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮page‬‏. ‏‮This‬‏ ‏‮may‬‏ ‏‮create‬‏ ‏‮a‬‏ ‏‮frustrating‬‏ ‏‮or‬‏ ‏‮confusing‬‏ ‏‮experience‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'‏‮The‬‏ ‏‮document‬‏ ‏‮uses‬‏ `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'‏‮The‬‏ ‏‮document‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮use‬‏ `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"‏‮Disabling‬‏ ‏‮zooming‬‏ ‏‮is‬‏ ‏‮problematic‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮with‬‏ ‏‮low‬‏ ‏‮vision‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮screen‬‏ ‏‮magnification‬‏ ‏‮to‬‏ ‏‮properly‬‏ ‏‮see‬‏ ‏‮the‬‏ ‏‮contents‬‏ ‏‮of‬‏ ‏‮a‬‏ ‏‮web‬‏ ‏‮page‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` ‏‮is‬‏ ‏‮used‬‏ ‏‮in‬‏ ‏‮the‬‏ `<meta name="viewport">` ‏‮element‬‏ ‏‮or‬‏ ‏‮the‬‏ `[maximum-scale]` ‏‮attribute‬‏ ‏‮is‬‏ ‏‮less‬‏ ‏‮than‬‏ 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` ‏‮is‬‏ ‏‮not‬‏ ‏‮used‬‏ ‏‮in‬‏ ‏‮the‬‏ `<meta name="viewport">` ‏‮element‬‏ ‏‮and‬‏ ‏‮the‬‏ `[maximum-scale]` ‏‮attribute‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮less‬‏ ‏‮than‬‏ 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"‏‮Screen‬‏ ‏‮readers‬‏ ‏‮cannot‬‏ ‏‮translate‬‏ ‏‮non‬‏-‏‮text‬‏ ‏‮content‬‏. ‏‮Adding‬‏ ‏‮alt‬‏ ‏‮text‬‏ ‏‮to‬‏ `<object>` ‏‮elements‬‏ ‏‮helps‬‏ ‏‮screen‬‏ ‏‮readers‬‏ ‏‮convey‬‏ ‏‮meaning‬‏ ‏‮to‬‏ ‏‮users‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ `[alt]` ‏‮text‬‏"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` ‏‮elements‬‏ ‏‮have‬‏ `[alt]` ‏‮text‬‏"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"‏‮A‬‏ ‏‮value‬‏ ‏‮greater‬‏ ‏‮than‬‏ 0 ‏‮implies‬‏ ‏‮an‬‏ ‏‮explicit‬‏ ‏‮navigation‬‏ ‏‮ordering‬‏. ‏‮Although‬‏ ‏‮technically‬‏ ‏‮valid‬‏, ‏‮this‬‏ ‏‮often‬‏ ‏‮creates‬‏ ‏‮frustrating‬‏ ‏‮experiences‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮who‬‏ ‏‮rely‬‏ ‏‮on‬‏ ‏‮assistive‬‏ ‏‮technologies‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/tabindex/)."},
"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"‏‮Some‬‏ ‏‮elements‬‏ ‏‮have‬‏ ‏‮a‬‏ `[tabindex]` ‏‮value‬‏ ‏‮greater‬‏ ‏‮than‬‏ 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"‏‮No‬‏ ‏‮element‬‏ ‏‮has‬‏ ‏‮a‬‏ `[tabindex]` ‏‮value‬‏ ‏‮greater‬‏ ‏‮than‬‏ 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"‏‮Screen‬‏ ‏‮readers‬‏ ‏‮have‬‏ ‏‮features‬‏ ‏‮to‬‏ ‏‮make‬‏ ‏‮navigating‬‏ ‏‮tables‬‏ ‏‮easier‬‏. ‏‮Ensuring‬‏ `<td>` ‏‮cells‬‏ ‏‮using‬‏ ‏‮the‬‏ `[headers]` ‏‮attribute‬‏ ‏‮only‬‏ ‏‮refer‬‏ ‏‮to‬‏ ‏‮other‬‏ ‏‮cells‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮same‬‏ ‏‮table‬‏ ‏‮may‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮experience‬‏ ‏‮for‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮users‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"‏‮Cells‬‏ ‏‮in‬‏ ‏‮a‬‏ `<table>` ‏‮element‬‏ ‏‮that‬‏ ‏‮use‬‏ ‏‮the‬‏ `[headers]` ‏‮attribute‬‏ ‏‮refer‬‏ ‏‮to‬‏ ‏‮an‬‏ ‏‮element‬‏ `id` ‏‮not‬‏ ‏‮found‬‏ ‏‮within‬‏ ‏‮the‬‏ ‏‮same‬‏ ‏‮table‬‏."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"‏‮Cells‬‏ ‏‮in‬‏ ‏‮a‬‏ `<table>` ‏‮element‬‏ ‏‮that‬‏ ‏‮use‬‏ ‏‮the‬‏ `[headers]` ‏‮attribute‬‏ ‏‮refer‬‏ ‏‮to‬‏ ‏‮table‬‏ ‏‮cells‬‏ ‏‮within‬‏ ‏‮the‬‏ ‏‮same‬‏ ‏‮table‬‏."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"‏‮Screen‬‏ ‏‮readers‬‏ ‏‮have‬‏ ‏‮features‬‏ ‏‮to‬‏ ‏‮make‬‏ ‏‮navigating‬‏ ‏‮tables‬‏ ‏‮easier‬‏. ‏‮Ensuring‬‏ ‏‮table‬‏ ‏‮headers‬‏ ‏‮always‬‏ ‏‮refer‬‏ ‏‮to‬‏ ‏‮some‬‏ ‏‮set‬‏ ‏‮of‬‏ ‏‮cells‬‏ ‏‮may‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮experience‬‏ ‏‮for‬‏ ‏‮screen‬‏ ‏‮reader‬‏ ‏‮users‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{
message:'`<th>` ‏‮elements‬‏ ‏‮and‬‏ ‏‮elements‬‏ ‏‮with‬‏ `[role="columnheader"/"rowheader"]` ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮data‬‏ ‏‮cells‬‏ ‏‮they‬‏ ‏‮describe‬‏.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` ‏‮elements‬‏ ‏‮and‬‏ ‏‮elements‬‏ ‏‮with‬‏ `[role="columnheader"/"rowheader"]` ‏‮have‬‏ ‏‮data‬‏ ‏‮cells‬‏ ‏‮they‬‏ ‏‮describe‬‏.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"‏‮Specifying‬‏ ‏‮a‬‏ ‏‮valid‬‏ [‏‮BCP‬‏ 47 ‏‮language‬‏](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ‏‮on‬‏ ‏‮elements‬‏ ‏‮helps‬‏ ‏‮ensure‬‏ ‏‮that‬‏ ‏‮text‬‏ ‏‮is‬‏ ‏‮pronounced‬‏ ‏‮correctly‬‏ ‏‮by‬‏ ‏‮a‬‏ ‏‮screen‬‏ ‏‮reader‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` ‏‮attributes‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮valid‬‏ ‏‮value‬‏"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{
message:"`[lang]` ‏‮attributes‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮valid‬‏ ‏‮value‬‏"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"‏‮When‬‏ ‏‮a‬‏ ‏‮video‬‏ ‏‮provides‬‏ ‏‮a‬‏ ‏‮caption‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮easier‬‏ ‏‮for‬‏ ‏‮deaf‬‏ ‏‮and‬‏ ‏‮hearing‬‏ ‏‮impaired‬‏ ‏‮users‬‏ ‏‮to‬‏ ‏‮access‬‏ ‏‮its‬‏ ‏‮information‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮a‬‏ `<track>` ‏‮element‬‏ ‏‮with‬‏ `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` ‏‮elements‬‏ ‏‮contain‬‏ ‏‮a‬‏ `<track>` ‏‮element‬‏ ‏‮with‬‏ `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"‏‮For‬‏ ‏‮ideal‬‏ ‏‮appearance‬‏ ‏‮on‬‏ ‏‮iOS‬‏ ‏‮when‬‏ ‏‮users‬‏ ‏‮add‬‏ ‏‮a‬‏ ‏‮progressive‬‏ ‏‮web‬‏ ‏‮app‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮home‬‏ ‏‮screen‬‏, ‏‮define‬‏ ‏‮an‬‏ `apple-touch-icon`. ‏‮It‬‏ ‏‮must‬‏ ‏‮point‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮non‬‏-‏‮transparent‬‏ 192‏‮px‬‏ (‏‮or‬‏ 180‏‮px‬‏) ‏‮square‬‏ ‏‮PNG‬‏. [‏‮Learn‬‏ ‏‮More‬‏](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"‏‮Does‬‏ ‏‮not‬‏ ‏‮provide‬‏ ‏‮a‬‏ ‏‮valid‬‏ `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` ‏‮is‬‏ ‏‮out‬‏ ‏‮of‬‏ ‏‮date‬‏; `apple-touch-icon` ‏‮is‬‏ ‏‮preferred‬‏."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"‏‮Provides‬‏ ‏‮a‬‏ ‏‮valid‬‏ `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"‏‮Current‬‏ ‏‮Value‬‏"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"‏‮Suggested‬‏ ‏‮Token‬‏"},
"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` ‏‮helps‬‏ ‏‮users‬‏ ‏‮submit‬‏ ‏‮forms‬‏ ‏‮quicker‬‏. ‏‮To‬‏ ‏‮reduce‬‏ ‏‮user‬‏ ‏‮effort‬‏, ‏‮consider‬‏ ‏‮enabling‬‏ ‏‮by‬‏ ‏‮setting‬‏ ‏‮the‬‏ `autocomplete` ‏‮attribute‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮valid‬‏ ‏‮value‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮correct‬‏ `autocomplete` ‏‮attributes‬‏"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"‏‮Requires‬‏ ‏‮manual‬‏ ‏‮review‬‏"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"‏‮Review‬‏ ‏‮order‬‏ ‏‮of‬‏ ‏‮tokens‬‏"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` ‏‮elements‬‏ ‏‮correctly‬‏ ‏‮use‬‏ `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'`autocomplete` ‏‮token‬‏(‏‮s‬‏): "{token}" ‏‮is‬‏ ‏‮invalid‬‏ ‏‮in‬‏ {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'‏‮Review‬‏ ‏‮order‬‏ ‏‮of‬‏ ‏‮tokens‬‏: "{tokens}" ‏‮in‬‏ {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"‏‮Chrome‬‏ ‏‮extensions‬‏ ‏‮negatively‬‏ ‏‮affected‬‏ ‏‮this‬‏ ‏‮page‬‏'‏‮s‬‏ ‏‮load‬‏ ‏‮performance‬‏. ‏‮Try‬‏ ‏‮auditing‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮incognito‬‏ ‏‮mode‬‏ ‏‮or‬‏ ‏‮from‬‏ ‏‮a‬‏ ‏‮Chrome‬‏ ‏‮profile‬‏ ‏‮without‬‏ ‏‮extensions‬‏."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"‏‮Script‬‏ ‏‮Evaluation‬‏"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"‏‮Script‬‏ ‏‮Parse‬‏"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"‏‮Total‬‏ ‏‮CPU‬‏ ‏‮Time‬‏"},"lighthouse-core/audits/bootup-time.js | description":{
message:"‏‮Consider‬‏ ‏‮reducing‬‏ ‏‮the‬‏ ‏‮time‬‏ ‏‮spent‬‏ ‏‮parsing‬‏, ‏‮compiling‬‏, ‏‮and‬‏ ‏‮executing‬‏ ‏‮JS‬‏. ‏‮You‬‏ ‏‮may‬‏ ‏‮find‬‏ ‏‮delivering‬‏ ‏‮smaller‬‏ ‏‮JS‬‏ ‏‮payloads‬‏ ‏‮helps‬‏ ‏‮with‬‏ ‏‮this‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"‏‮Reduce‬‏ ‏‮JavaScript‬‏ ‏‮execution‬‏ ‏‮time‬‏"},"lighthouse-core/audits/bootup-time.js | title":{message:"‏‮JavaScript‬‏ ‏‮execution‬‏ ‏‮time‬‏"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"‏‮Remove‬‏ ‏‮large‬‏, ‏‮duplicate‬‏ ‏‮JavaScript‬‏ ‏‮modules‬‏ ‏‮from‬‏ ‏‮bundles‬‏ ‏‮to‬‏ ‏‮reduce‬‏ ‏‮unnecessary‬‏ ‏‮bytes‬‏ ‏‮consumed‬‏ ‏‮by‬‏ ‏‮network‬‏ ‏‮activity‬‏. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"‏‮Remove‬‏ ‏‮duplicate‬‏ ‏‮modules‬‏ ‏‮in‬‏ ‏‮JavaScript‬‏ ‏‮bundles‬‏"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"‏‮Large‬‏ ‏‮GIFs‬‏ ‏‮are‬‏ ‏‮inefficient‬‏ ‏‮for‬‏ ‏‮delivering‬‏ ‏‮animated‬‏ ‏‮content‬‏. ‏‮Consider‬‏ ‏‮using‬‏ ‏‮MPEG‬‏4/‏‮WebM‬‏ ‏‮videos‬‏ ‏‮for‬‏ ‏‮animations‬‏ ‏‮and‬‏ ‏‮PNG‬‏/‏‮WebP‬‏ ‏‮for‬‏ ‏‮static‬‏ ‏‮images‬‏ ‏‮instead‬‏ ‏‮of‬‏ ‏‮GIF‬‏ ‏‮to‬‏ ‏‮save‬‏ ‏‮network‬‏ ‏‮bytes‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"‏‮Use‬‏ ‏‮video‬‏ ‏‮formats‬‏ ‏‮for‬‏ ‏‮animated‬‏ ‏‮content‬‏"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"‏‮Polyfills‬‏ ‏‮and‬‏ ‏‮transforms‬‏ ‏‮enable‬‏ ‏‮legacy‬‏ ‏‮browsers‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮new‬‏ ‏‮JavaScript‬‏ ‏‮features‬‏. ‏‮However‬‏, ‏‮many‬‏ ‏‮aren‬‏'‏‮t‬‏ ‏‮necessary‬‏ ‏‮for‬‏ ‏‮modern‬‏ ‏‮browsers‬‏. ‏‮For‬‏ ‏‮your‬‏ ‏‮bundled‬‏ ‏‮JavaScript‬‏, ‏‮adopt‬‏ ‏‮a‬‏ ‏‮modern‬‏ ‏‮script‬‏ ‏‮deployment‬‏ ‏‮strategy‬‏ ‏‮using‬‏ ‏‮module‬‏/‏‮nomodule‬‏ ‏‮feature‬‏ ‏‮detection‬‏ ‏‮to‬‏ ‏‮reduce‬‏ ‏‮the‬‏ ‏‮amount‬‏ ‏‮of‬‏ ‏‮code‬‏ ‏‮shipped‬‏ ‏‮to‬‏ ‏‮modern‬‏ ‏‮browsers‬‏, ‏‮while‬‏ ‏‮retaining‬‏ ‏‮support‬‏ ‏‮for‬‏ ‏‮legacy‬‏ ‏‮browsers‬‏. [‏‮Learn‬‏ ‏‮More‬‏](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"‏‮Avoid‬‏ ‏‮serving‬‏ ‏‮legacy‬‏ ‏‮JavaScript‬‏ ‏‮to‬‏ ‏‮modern‬‏ ‏‮browsers‬‏"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"‏‮Image‬‏ ‏‮formats‬‏ ‏‮like‬‏ ‏‮JPEG‬‏ 2000, ‏‮JPEG‬‏ ‏‮XR‬‏, ‏‮and‬‏ ‏‮WebP‬‏ ‏‮often‬‏ ‏‮provide‬‏ ‏‮better‬‏ ‏‮compression‬‏ ‏‮than‬‏ ‏‮PNG‬‏ ‏‮or‬‏ ‏‮JPEG‬‏, ‏‮which‬‏ ‏‮means‬‏ ‏‮faster‬‏ ‏‮downloads‬‏ ‏‮and‬‏ ‏‮less‬‏ ‏‮data‬‏ ‏‮consumption‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"‏‮Serve‬‏ ‏‮images‬‏ ‏‮in‬‏ ‏‮next‬‏-‏‮gen‬‏ ‏‮formats‬‏"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"‏‮Consider‬‏ ‏‮lazy‬‏-‏‮loading‬‏ ‏‮offscreen‬‏ ‏‮and‬‏ ‏‮hidden‬‏ ‏‮images‬‏ ‏‮after‬‏ ‏‮all‬‏ ‏‮critical‬‏ ‏‮resources‬‏ ‏‮have‬‏ ‏‮finished‬‏ ‏‮loading‬‏ ‏‮to‬‏ ‏‮lower‬‏ ‏‮time‬‏ ‏‮to‬‏ ‏‮interactive‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"‏‮Defer‬‏ ‏‮offscreen‬‏ ‏‮images‬‏"},
"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"‏‮Resources‬‏ ‏‮are‬‏ ‏‮blocking‬‏ ‏‮the‬‏ ‏‮first‬‏ ‏‮paint‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮page‬‏. ‏‮Consider‬‏ ‏‮delivering‬‏ ‏‮critical‬‏ ‏‮JS‬‏/‏‮CSS‬‏ ‏‮inline‬‏ ‏‮and‬‏ ‏‮deferring‬‏ ‏‮all‬‏ ‏‮non‬‏-‏‮critical‬‏ ‏‮JS‬‏/‏‮styles‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"‏‮Eliminate‬‏ ‏‮render‬‏-‏‮blocking‬‏ ‏‮resources‬‏"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"‏‮Large‬‏ ‏‮network‬‏ ‏‮payloads‬‏ ‏‮cost‬‏ ‏‮users‬‏ ‏‮real‬‏ ‏‮money‬‏ ‏‮and‬‏ ‏‮are‬‏ ‏‮highly‬‏ ‏‮correlated‬‏ ‏‮with‬‏ ‏‮long‬‏ ‏‮load‬‏ ‏‮times‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"‏‮Total‬‏ ‏‮size‬‏ ‏‮was‬‏ {totalBytes, number, bytes} ‏‮KiB‬‏"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"‏‮Avoid‬‏ ‏‮enormous‬‏ ‏‮network‬‏ ‏‮payloads‬‏"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"‏‮Avoids‬‏ ‏‮enormous‬‏ ‏‮network‬‏ ‏‮payloads‬‏"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"‏‮Minifying‬‏ ‏‮CSS‬‏ ‏‮files‬‏ ‏‮can‬‏ ‏‮reduce‬‏ ‏‮network‬‏ ‏‮payload‬‏ ‏‮sizes‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"‏‮Minify‬‏ ‏‮CSS‬‏"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"‏‮Minifying‬‏ ‏‮JavaScript‬‏ ‏‮files‬‏ ‏‮can‬‏ ‏‮reduce‬‏ ‏‮payload‬‏ ‏‮sizes‬‏ ‏‮and‬‏ ‏‮script‬‏ ‏‮parse‬‏ ‏‮time‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"‏‮Minify‬‏ ‏‮JavaScript‬‏"},
"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"‏‮Reduce‬‏ ‏‮unused‬‏ ‏‮rules‬‏ ‏‮from‬‏ ‏‮stylesheets‬‏ ‏‮and‬‏ ‏‮defer‬‏ ‏‮CSS‬‏ ‏‮not‬‏ ‏‮used‬‏ ‏‮for‬‏ ‏‮above‬‏-‏‮the‬‏-‏‮fold‬‏ ‏‮content‬‏ ‏‮to‬‏ ‏‮decrease‬‏ ‏‮bytes‬‏ ‏‮consumed‬‏ ‏‮by‬‏ ‏‮network‬‏ ‏‮activity‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"‏‮Reduce‬‏ ‏‮unused‬‏ ‏‮CSS‬‏"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"‏‮Reduce‬‏ ‏‮unused‬‏ ‏‮JavaScript‬‏ ‏‮and‬‏ ‏‮defer‬‏ ‏‮loading‬‏ ‏‮scripts‬‏ ‏‮until‬‏ ‏‮they‬‏ ‏‮are‬‏ ‏‮required‬‏ ‏‮to‬‏ ‏‮decrease‬‏ ‏‮bytes‬‏ ‏‮consumed‬‏ ‏‮by‬‏ ‏‮network‬‏ ‏‮activity‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"‏‮Reduce‬‏ ‏‮unused‬‏ ‏‮JavaScript‬‏"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"‏‮A‬‏ ‏‮long‬‏ ‏‮cache‬‏ ‏‮lifetime‬‏ ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮repeat‬‏ ‏‮visits‬‏ ‏‮to‬‏ ‏‮your‬‏ ‏‮page‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 ‏‮resource‬‏ ‏‮found‬‏}zero{# ‏‮resources‬‏ ‏‮found‬‏}two{# ‏‮resources‬‏ ‏‮found‬‏}few{# ‏‮resources‬‏ ‏‮found‬‏}many{# ‏‮resources‬‏ ‏‮found‬‏}other{# ‏‮resources‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"‏‮Serve‬‏ ‏‮static‬‏ ‏‮assets‬‏ ‏‮with‬‏ ‏‮an‬‏ ‏‮efficient‬‏ ‏‮cache‬‏ ‏‮policy‬‏"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"‏‮Uses‬‏ ‏‮efficient‬‏ ‏‮cache‬‏ ‏‮policy‬‏ ‏‮on‬‏ ‏‮static‬‏ ‏‮assets‬‏"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{
message:"‏‮Optimized‬‏ ‏‮images‬‏ ‏‮load‬‏ ‏‮faster‬‏ ‏‮and‬‏ ‏‮consume‬‏ ‏‮less‬‏ ‏‮cellular‬‏ ‏‮data‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"‏‮Efficiently‬‏ ‏‮encode‬‏ ‏‮images‬‏"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"‏‮Serve‬‏ ‏‮images‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮appropriately‬‏-‏‮sized‬‏ ‏‮to‬‏ ‏‮save‬‏ ‏‮cellular‬‏ ‏‮data‬‏ ‏‮and‬‏ ‏‮improve‬‏ ‏‮load‬‏ ‏‮time‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"‏‮Properly‬‏ ‏‮size‬‏ ‏‮images‬‏"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"‏‮Text‬‏-‏‮based‬‏ ‏‮resources‬‏ ‏‮should‬‏ ‏‮be‬‏ ‏‮served‬‏ ‏‮with‬‏ ‏‮compression‬‏ (‏‮gzip‬‏, ‏‮deflate‬‏ ‏‮or‬‏ ‏‮brotli‬‏) ‏‮to‬‏ ‏‮minimize‬‏ ‏‮total‬‏ ‏‮network‬‏ ‏‮bytes‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"‏‮Enable‬‏ ‏‮text‬‏ ‏‮compression‬‏"},"lighthouse-core/audits/content-width.js | description":{message:"‏‮If‬‏ ‏‮the‬‏ ‏‮width‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮app‬‏'‏‮s‬‏ ‏‮content‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮match‬‏ ‏‮the‬‏ ‏‮width‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮viewport‬‏, ‏‮your‬‏ ‏‮app‬‏ ‏‮might‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮optimized‬‏ ‏‮for‬‏ ‏‮mobile‬‏ ‏‮screens‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"‏‮The‬‏ ‏‮viewport‬‏ ‏‮size‬‏ ‏‮of‬‏ {innerWidth}‏‮px‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮match‬‏ ‏‮the‬‏ ‏‮window‬‏ ‏‮size‬‏ ‏‮of‬‏ {outerWidth}‏‮px‬‏."},"lighthouse-core/audits/content-width.js | failureTitle":{
message:"‏‮Content‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮sized‬‏ ‏‮correctly‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮viewport‬‏"},"lighthouse-core/audits/content-width.js | title":{message:"‏‮Content‬‏ ‏‮is‬‏ ‏‮sized‬‏ ‏‮correctly‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮viewport‬‏"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"‏‮The‬‏ ‏‮Critical‬‏ ‏‮Request‬‏ ‏‮Chains‬‏ ‏‮below‬‏ ‏‮show‬‏ ‏‮you‬‏ ‏‮what‬‏ ‏‮resources‬‏ ‏‮are‬‏ ‏‮loaded‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮high‬‏ ‏‮priority‬‏. ‏‮Consider‬‏ ‏‮reducing‬‏ ‏‮the‬‏ ‏‮length‬‏ ‏‮of‬‏ ‏‮chains‬‏, ‏‮reducing‬‏ ‏‮the‬‏ ‏‮download‬‏ ‏‮size‬‏ ‏‮of‬‏ ‏‮resources‬‏, ‏‮or‬‏ ‏‮deferring‬‏ ‏‮the‬‏ ‏‮download‬‏ ‏‮of‬‏ ‏‮unnecessary‬‏ ‏‮resources‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮page‬‏ ‏‮load‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{
message:"{itemCount,plural, =1{1 ‏‮chain‬‏ ‏‮found‬‏}zero{# ‏‮chains‬‏ ‏‮found‬‏}two{# ‏‮chains‬‏ ‏‮found‬‏}few{# ‏‮chains‬‏ ‏‮found‬‏}many{# ‏‮chains‬‏ ‏‮found‬‏}other{# ‏‮chains‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"‏‮Avoid‬‏ ‏‮chaining‬‏ ‏‮critical‬‏ ‏‮requests‬‏"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"‏‮Directive‬‏"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"‏‮Severity‬‏"},"lighthouse-core/audits/csp-xss.js | description":{message:"‏‮A‬‏ ‏‮strong‬‏ ‏‮Content‬‏ ‏‮Security‬‏ ‏‮Policy‬‏ (‏‮CSP‬‏) ‏‮significantly‬‏ ‏‮reduces‬‏ ‏‮the‬‏ ‏‮risk‬‏ ‏‮of‬‏ ‏‮cross‬‏-‏‮site‬‏ ‏‮scripting‬‏ (‏‮XSS‬‏) ‏‮attacks‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"‏‮Syntax‬‏"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{
message:"‏‮The‬‏ ‏‮page‬‏ ‏‮contains‬‏ ‏‮a‬‏ ‏‮CSP‬‏ ‏‮defined‬‏ ‏‮in‬‏ ‏‮a‬‏ <meta> ‏‮tag‬‏. ‏‮Consider‬‏ ‏‮defining‬‏ ‏‮the‬‏ ‏‮CSP‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮HTTP‬‏ ‏‮header‬‏ ‏‮if‬‏ ‏‮you‬‏ ‏‮can‬‏."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"‏‮No‬‏ ‏‮CSP‬‏ ‏‮found‬‏ ‏‮in‬‏ ‏‮enforcement‬‏ ‏‮mode‬‏"},"lighthouse-core/audits/csp-xss.js | title":{message:"‏‮Ensure‬‏ ‏‮CSP‬‏ ‏‮is‬‏ ‏‮effective‬‏ ‏‮against‬‏ ‏‮XSS‬‏ ‏‮attacks‬‏"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"‏‮Deprecation‬‏ / ‏‮Warning‬‏"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"‏‮Line‬‏"},"lighthouse-core/audits/deprecations.js | description":{message:"‏‮Deprecated‬‏ ‏‮APIs‬‏ ‏‮will‬‏ ‏‮eventually‬‏ ‏‮be‬‏ ‏‮removed‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮browser‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{
message:"{itemCount,plural, =1{1 ‏‮warning‬‏ ‏‮found‬‏}zero{# ‏‮warnings‬‏ ‏‮found‬‏}two{# ‏‮warnings‬‏ ‏‮found‬‏}few{# ‏‮warnings‬‏ ‏‮found‬‏}many{# ‏‮warnings‬‏ ‏‮found‬‏}other{# ‏‮warnings‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"‏‮Uses‬‏ ‏‮deprecated‬‏ ‏‮APIs‬‏"},"lighthouse-core/audits/deprecations.js | title":{message:"‏‮Avoids‬‏ ‏‮deprecated‬‏ ‏‮APIs‬‏"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"‏‮Application‬‏ ‏‮Cache‬‏ ‏‮is‬‏ ‏‮deprecated‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'‏‮Found‬‏ "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"‏‮Uses‬‏ ‏‮Application‬‏ ‏‮Cache‬‏"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"‏‮Avoids‬‏ ‏‮Application‬‏ ‏‮Cache‬‏"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"‏‮A‬‏ ‏‮character‬‏ ‏‮encoding‬‏ ‏‮declaration‬‏ ‏‮is‬‏ ‏‮required‬‏. ‏‮It‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮done‬‏ ‏‮with‬‏ ‏‮a‬‏ `<meta>` ‏‮tag‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮first‬‏ 1024 ‏‮bytes‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮HTML‬‏ ‏‮or‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮Content‬‏-‏‮Type‬‏ ‏‮HTTP‬‏ ‏‮response‬‏ ‏‮header‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"‏‮Charset‬‏ ‏‮declaration‬‏ ‏‮is‬‏ ‏‮missing‬‏ ‏‮or‬‏ ‏‮occurs‬‏ ‏‮too‬‏ ‏‮late‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮HTML‬‏"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"‏‮Properly‬‏ ‏‮defines‬‏ ‏‮charset‬‏"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"‏‮Specifying‬‏ ‏‮a‬‏ ‏‮doctype‬‏ ‏‮prevents‬‏ ‏‮the‬‏ ‏‮browser‬‏ ‏‮from‬‏ ‏‮switching‬‏ ‏‮to‬‏ ‏‮quirks‬‏-‏‮mode‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{
message:"‏‮Doctype‬‏ ‏‮name‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮the‬‏ ‏‮lowercase‬‏ ‏‮string‬‏ `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"‏‮Document‬‏ ‏‮must‬‏ ‏‮contain‬‏ ‏‮a‬‏ ‏‮doctype‬‏"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"‏‮Expected‬‏ ‏‮publicId‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮an‬‏ ‏‮empty‬‏ ‏‮string‬‏"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"‏‮Expected‬‏ ‏‮systemId‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮an‬‏ ‏‮empty‬‏ ‏‮string‬‏"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"‏‮Page‬‏ ‏‮lacks‬‏ ‏‮the‬‏ ‏‮HTML‬‏ ‏‮doctype‬‏, ‏‮thus‬‏ ‏‮triggering‬‏ ‏‮quirks‬‏-‏‮mode‬‏"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"‏‮Page‬‏ ‏‮has‬‏ ‏‮the‬‏ ‏‮HTML‬‏ ‏‮doctype‬‏"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"‏‮Statistic‬‏"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"‏‮Value‬‏"},
"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"‏‮A‬‏ ‏‮large‬‏ ‏‮DOM‬‏ ‏‮will‬‏ ‏‮increase‬‏ ‏‮memory‬‏ ‏‮usage‬‏, ‏‮cause‬‏ ‏‮longer‬‏ [‏‮style‬‏ ‏‮calculations‬‏](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), ‏‮and‬‏ ‏‮produce‬‏ ‏‮costly‬‏ [‏‮layout‬‏ ‏‮reflows‬‏](https://developers.google.com/speed/articles/reflow). [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 ‏‮element‬‏}zero{# ‏‮elements‬‏}two{# ‏‮elements‬‏}few{# ‏‮elements‬‏}many{# ‏‮elements‬‏}other{# ‏‮elements‬‏}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"‏‮Avoid‬‏ ‏‮an‬‏ ‏‮excessive‬‏ ‏‮DOM‬‏ ‏‮size‬‏"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"‏‮Maximum‬‏ ‏‮DOM‬‏ ‏‮Depth‬‏"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{
message:"‏‮Total‬‏ ‏‮DOM‬‏ ‏‮Elements‬‏"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"‏‮Maximum‬‏ ‏‮Child‬‏ ‏‮Elements‬‏"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"‏‮Avoids‬‏ ‏‮an‬‏ ‏‮excessive‬‏ ‏‮DOM‬‏ ‏‮size‬‏"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"‏‮Failing‬‏ ‏‮Anchors‬‏"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'‏‮Add‬‏ `rel="noopener"` ‏‮or‬‏ `rel="noreferrer"` ‏‮to‬‏ ‏‮any‬‏ ‏‮external‬‏ ‏‮links‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮performance‬‏ ‏‮and‬‏ ‏‮prevent‬‏ ‏‮security‬‏ ‏‮vulnerabilities‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"‏‮Links‬‏ ‏‮to‬‏ ‏‮cross‬‏-‏‮origin‬‏ ‏‮destinations‬‏ ‏‮are‬‏ ‏‮unsafe‬‏"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"‏‮Links‬‏ ‏‮to‬‏ ‏‮cross‬‏-‏‮origin‬‏ ‏‮destinations‬‏ ‏‮are‬‏ ‏‮safe‬‏"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"‏‮Unable‬‏ ‏‮to‬‏ ‏‮determine‬‏ ‏‮the‬‏ ‏‮destination‬‏ ‏‮for‬‏ ‏‮anchor‬‏ ({anchorHTML}). ‏‮If‬‏ ‏‮not‬‏ ‏‮used‬‏ ‏‮as‬‏ ‏‮a‬‏ ‏‮hyperlink‬‏, ‏‮consider‬‏ ‏‮removing‬‏ ‏‮target‬‏=_‏‮blank‬‏."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"‏‮Users‬‏ ‏‮are‬‏ ‏‮mistrustful‬‏ ‏‮of‬‏ ‏‮or‬‏ ‏‮confused‬‏ ‏‮by‬‏ ‏‮sites‬‏ ‏‮that‬‏ ‏‮request‬‏ ‏‮their‬‏ ‏‮location‬‏ ‏‮without‬‏ ‏‮context‬‏. ‏‮Consider‬‏ ‏‮tying‬‏ ‏‮the‬‏ ‏‮request‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮user‬‏ ‏‮action‬‏ ‏‮instead‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{
message:"‏‮Requests‬‏ ‏‮the‬‏ ‏‮geolocation‬‏ ‏‮permission‬‏ ‏‮on‬‏ ‏‮page‬‏ ‏‮load‬‏"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"‏‮Avoids‬‏ ‏‮requesting‬‏ ‏‮the‬‏ ‏‮geolocation‬‏ ‏‮permission‬‏ ‏‮on‬‏ ‏‮page‬‏ ‏‮load‬‏"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"‏‮Issue‬‏ ‏‮type‬‏"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"‏‮Issues‬‏ ‏‮logged‬‏ ‏‮to‬‏ ‏‮the‬‏ `Issues` ‏‮panel‬‏ ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮Devtools‬‏ ‏‮indicate‬‏ ‏‮unresolved‬‏ ‏‮problems‬‏. ‏‮They‬‏ ‏‮can‬‏ ‏‮come‬‏ ‏‮from‬‏ ‏‮network‬‏ ‏‮request‬‏ ‏‮failures‬‏, ‏‮insufficient‬‏ ‏‮security‬‏ ‏‮controls‬‏, ‏‮and‬‏ ‏‮other‬‏ ‏‮browser‬‏ ‏‮concerns‬‏. ‏‮Open‬‏ ‏‮up‬‏ ‏‮the‬‏ ‏‮Issues‬‏ ‏‮panel‬‏ ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏ ‏‮for‬‏ ‏‮more‬‏ ‏‮details‬‏ ‏‮on‬‏ ‏‮each‬‏ ‏‮issue‬‏."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{
message:"‏‮Issues‬‏ ‏‮were‬‏ ‏‮logged‬‏ ‏‮in‬‏ ‏‮the‬‏ `Issues` ‏‮panel‬‏ ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮Devtools‬‏"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"‏‮Blocked‬‏ ‏‮by‬‏ ‏‮cross‬‏-‏‮origin‬‏ ‏‮policy‬‏"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"‏‮Heavy‬‏ ‏‮resource‬‏ ‏‮usage‬‏ ‏‮by‬‏ ‏‮ads‬‏"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"‏‮No‬‏ ‏‮issues‬‏ ‏‮in‬‏ ‏‮the‬‏ `Issues` ‏‮panel‬‏ ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮Devtools‬‏"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"‏‮Version‬‏"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"‏‮All‬‏ ‏‮front‬‏-‏‮end‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏ ‏‮detected‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"‏‮Detected‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏"},
"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"‏‮For‬‏ ‏‮users‬‏ ‏‮on‬‏ ‏‮slow‬‏ ‏‮connections‬‏, ‏‮external‬‏ ‏‮scripts‬‏ ‏‮dynamically‬‏ ‏‮injected‬‏ ‏‮via‬‏ `document.write()` ‏‮can‬‏ ‏‮delay‬‏ ‏‮page‬‏ ‏‮load‬‏ ‏‮by‬‏ ‏‮tens‬‏ ‏‮of‬‏ ‏‮seconds‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"‏‮Avoid‬‏ `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"‏‮Avoids‬‏ `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"‏‮Highest‬‏ ‏‮Severity‬‏"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"‏‮Library‬‏ ‏‮Version‬‏"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"‏‮Vulnerability‬‏ ‏‮Count‬‏"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{
message:"‏‮Some‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮scripts‬‏ ‏‮may‬‏ ‏‮contain‬‏ ‏‮known‬‏ ‏‮security‬‏ ‏‮vulnerabilities‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮easily‬‏ ‏‮identified‬‏ ‏‮and‬‏ ‏‮exploited‬‏ ‏‮by‬‏ ‏‮attackers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 ‏‮vulnerability‬‏ ‏‮detected‬‏}zero{# ‏‮vulnerabilities‬‏ ‏‮detected‬‏}two{# ‏‮vulnerabilities‬‏ ‏‮detected‬‏}few{# ‏‮vulnerabilities‬‏ ‏‮detected‬‏}many{# ‏‮vulnerabilities‬‏ ‏‮detected‬‏}other{# ‏‮vulnerabilities‬‏ ‏‮detected‬‏}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"‏‮Includes‬‏ ‏‮front‬‏-‏‮end‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏ ‏‮with‬‏ ‏‮known‬‏ ‏‮security‬‏ ‏‮vulnerabilities‬‏"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"‏‮Avoids‬‏ ‏‮front‬‏-‏‮end‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏ ‏‮with‬‏ ‏‮known‬‏ ‏‮security‬‏ ‏‮vulnerabilities‬‏"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"‏‮Users‬‏ ‏‮are‬‏ ‏‮mistrustful‬‏ ‏‮of‬‏ ‏‮or‬‏ ‏‮confused‬‏ ‏‮by‬‏ ‏‮sites‬‏ ‏‮that‬‏ ‏‮request‬‏ ‏‮to‬‏ ‏‮send‬‏ ‏‮notifications‬‏ ‏‮without‬‏ ‏‮context‬‏. ‏‮Consider‬‏ ‏‮tying‬‏ ‏‮the‬‏ ‏‮request‬‏ ‏‮to‬‏ ‏‮user‬‏ ‏‮gestures‬‏ ‏‮instead‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"‏‮Requests‬‏ ‏‮the‬‏ ‏‮notification‬‏ ‏‮permission‬‏ ‏‮on‬‏ ‏‮page‬‏ ‏‮load‬‏"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"‏‮Avoids‬‏ ‏‮requesting‬‏ ‏‮the‬‏ ‏‮notification‬‏ ‏‮permission‬‏ ‏‮on‬‏ ‏‮page‬‏ ‏‮load‬‏"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"‏‮Preventing‬‏ ‏‮password‬‏ ‏‮pasting‬‏ ‏‮undermines‬‏ ‏‮good‬‏ ‏‮security‬‏ ‏‮policy‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"‏‮Prevents‬‏ ‏‮users‬‏ ‏‮to‬‏ ‏‮paste‬‏ ‏‮into‬‏ ‏‮password‬‏ ‏‮fields‬‏"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"‏‮Allows‬‏ ‏‮users‬‏ ‏‮to‬‏ ‏‮paste‬‏ ‏‮into‬‏ ‏‮password‬‏ ‏‮fields‬‏"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"‏‮Protocol‬‏"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"‏‮HTTP‬‏/2 ‏‮offers‬‏ ‏‮many‬‏ ‏‮benefits‬‏ ‏‮over‬‏ ‏‮HTTP‬‏/1.1, ‏‮including‬‏ ‏‮binary‬‏ ‏‮headers‬‏ ‏‮and‬‏ ‏‮multiplexing‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 ‏‮request‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮via‬‏ ‏‮HTTP‬‏/2}zero{# ‏‮requests‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮via‬‏ ‏‮HTTP‬‏/2}two{# ‏‮requests‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮via‬‏ ‏‮HTTP‬‏/2}few{# ‏‮requests‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮via‬‏ ‏‮HTTP‬‏/2}many{# ‏‮requests‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮via‬‏ ‏‮HTTP‬‏/2}other{# ‏‮requests‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮via‬‏ ‏‮HTTP‬‏/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"‏‮Use‬‏ ‏‮HTTP‬‏/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"‏‮Consider‬‏ ‏‮marking‬‏ ‏‮your‬‏ ‏‮touch‬‏ ‏‮and‬‏ ‏‮wheel‬‏ ‏‮event‬‏ ‏‮listeners‬‏ ‏‮as‬‏ `passive` ‏‮to‬‏ ‏‮improve‬‏ ‏‮your‬‏ ‏‮page‬‏'‏‮s‬‏ ‏‮scroll‬‏ ‏‮performance‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"‏‮Does‬‏ ‏‮not‬‏ ‏‮use‬‏ ‏‮passive‬‏ ‏‮listeners‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮scrolling‬‏ ‏‮performance‬‏"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"‏‮Uses‬‏ ‏‮passive‬‏ ‏‮listeners‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮scrolling‬‏ ‏‮performance‬‏"},"lighthouse-core/audits/errors-in-console.js | description":{message:"‏‮Errors‬‏ ‏‮logged‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮console‬‏ ‏‮indicate‬‏ ‏‮unresolved‬‏ ‏‮problems‬‏. ‏‮They‬‏ ‏‮can‬‏ ‏‮come‬‏ ‏‮from‬‏ ‏‮network‬‏ ‏‮request‬‏ ‏‮failures‬‏ ‏‮and‬‏ ‏‮other‬‏ ‏‮browser‬‏ ‏‮concerns‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"‏‮Browser‬‏ ‏‮errors‬‏ ‏‮were‬‏ ‏‮logged‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮console‬‏"},"lighthouse-core/audits/errors-in-console.js | title":{message:"‏‮No‬‏ ‏‮browser‬‏ ‏‮errors‬‏ ‏‮logged‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮console‬‏"},"lighthouse-core/audits/font-display.js | description":{
message:"‏‮Leverage‬‏ ‏‮the‬‏ ‏‮font‬‏-‏‮display‬‏ ‏‮CSS‬‏ ‏‮feature‬‏ ‏‮to‬‏ ‏‮ensure‬‏ ‏‮text‬‏ ‏‮is‬‏ ‏‮user‬‏-‏‮visible‬‏ ‏‮while‬‏ ‏‮webfonts‬‏ ‏‮are‬‏ ‏‮loading‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"‏‮Ensure‬‏ ‏‮text‬‏ ‏‮remains‬‏ ‏‮visible‬‏ ‏‮during‬‏ ‏‮webfont‬‏ ‏‮load‬‏"},"lighthouse-core/audits/font-display.js | title":{message:"‏‮All‬‏ ‏‮text‬‏ ‏‮remains‬‏ ‏‮visible‬‏ ‏‮during‬‏ ‏‮webfont‬‏ ‏‮loads‬‏"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮check‬‏ ‏‮the‬‏ `font-display` ‏‮value‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮origin‬‏ {fontOrigin}.}zero{‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮check‬‏ ‏‮the‬‏ `font-display` ‏‮values‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮origin‬‏ {fontOrigin}.}two{‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮check‬‏ ‏‮the‬‏ `font-display` ‏‮values‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮origin‬‏ {fontOrigin}.}few{‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮check‬‏ ‏‮the‬‏ `font-display` ‏‮values‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮origin‬‏ {fontOrigin}.}many{‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮check‬‏ ‏‮the‬‏ `font-display` ‏‮values‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮origin‬‏ {fontOrigin}.}other{‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮check‬‏ ‏‮the‬‏ `font-display` ‏‮values‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮origin‬‏ {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{
message:"‏‮Aspect‬‏ ‏‮Ratio‬‏ (‏‮Actual‬‏)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"‏‮Aspect‬‏ ‏‮Ratio‬‏ (‏‮Displayed‬‏)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"‏‮Image‬‏ ‏‮display‬‏ ‏‮dimensions‬‏ ‏‮should‬‏ ‏‮match‬‏ ‏‮natural‬‏ ‏‮aspect‬‏ ‏‮ratio‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"‏‮Displays‬‏ ‏‮images‬‏ ‏‮with‬‏ ‏‮incorrect‬‏ ‏‮aspect‬‏ ‏‮ratio‬‏"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"‏‮Displays‬‏ ‏‮images‬‏ ‏‮with‬‏ ‏‮correct‬‏ ‏‮aspect‬‏ ‏‮ratio‬‏"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"‏‮Actual‬‏ ‏‮size‬‏"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"‏‮Displayed‬‏ ‏‮size‬‏"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"‏‮Expected‬‏ ‏‮size‬‏"},
"lighthouse-core/audits/image-size-responsive.js | description":{message:"‏‮Image‬‏ ‏‮natural‬‏ ‏‮dimensions‬‏ ‏‮should‬‏ ‏‮be‬‏ ‏‮proportional‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮display‬‏ ‏‮size‬‏ ‏‮and‬‏ ‏‮the‬‏ ‏‮pixel‬‏ ‏‮ratio‬‏ ‏‮to‬‏ ‏‮maximize‬‏ ‏‮image‬‏ ‏‮clarity‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"‏‮Serves‬‏ ‏‮images‬‏ ‏‮with‬‏ ‏‮low‬‏ ‏‮resolution‬‏"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"‏‮Serves‬‏ ‏‮images‬‏ ‏‮with‬‏ ‏‮appropriate‬‏ ‏‮resolution‬‏"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"‏‮The‬‏ ‏‮app‬‏ ‏‮is‬‏ ‏‮already‬‏ ‏‮installed‬‏"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"‏‮Could‬‏ ‏‮not‬‏ ‏‮download‬‏ ‏‮a‬‏ ‏‮required‬‏ ‏‮icon‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮manifest‬‏"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"‏‮Failure‬‏ ‏‮reason‬‏"},
"lighthouse-core/audits/installable-manifest.js | description":{message:"‏‮Service‬‏ ‏‮worker‬‏ ‏‮is‬‏ ‏‮the‬‏ ‏‮technology‬‏ ‏‮that‬‏ ‏‮enables‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮many‬‏ ‏‮Progressive‬‏ ‏‮Web‬‏ ‏‮App‬‏ ‏‮features‬‏, ‏‮such‬‏ ‏‮as‬‏ ‏‮offline‬‏, ‏‮add‬‏ ‏‮to‬‏ ‏‮homescreen‬‏, ‏‮and‬‏ ‏‮push‬‏ ‏‮notifications‬‏. ‏‮With‬‏ ‏‮proper‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮and‬‏ ‏‮manifest‬‏ ‏‮implementations‬‏, ‏‮browsers‬‏ ‏‮can‬‏ ‏‮proactively‬‏ ‏‮prompt‬‏ ‏‮users‬‏ ‏‮to‬‏ ‏‮add‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮to‬‏ ‏‮their‬‏ ‏‮homescreen‬‏, ‏‮which‬‏ ‏‮can‬‏ ‏‮lead‬‏ ‏‮to‬‏ ‏‮higher‬‏ ‏‮engagement‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 ‏‮reason‬‏}zero{# ‏‮reasons‬‏}two{# ‏‮reasons‬‏}few{# ‏‮reasons‬‏}many{# ‏‮reasons‬‏}other{# ‏‮reasons‬‏}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"‏‮Web‬‏ ‏‮app‬‏ ‏‮manifest‬‏ ‏‮or‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮meet‬‏ ‏‮the‬‏ ‏‮installability‬‏ ‏‮requirements‬‏"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"‏‮The‬‏ ‏‮Play‬‏ ‏‮Store‬‏ ‏‮app‬‏ ‏‮URL‬‏ ‏‮and‬‏ ‏‮Play‬‏ ‏‮Store‬‏ ‏‮ID‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮match‬‏"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"‏‮Page‬‏ ‏‮is‬‏ ‏‮loaded‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"‏‮Manifest‬‏ '‏‮display‬‏' ‏‮property‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮one‬‏ ‏‮of‬‏ '‏‮standalone‬‏', '‏‮fullscreen‬‏', ‏‮or‬‏ '‏‮minimal‬‏-‏‮ui‬‏'"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{
message:"‏‮Manifest‬‏ ‏‮contains‬‏ '‏‮display‬‏_‏‮override‬‏' ‏‮field‬‏, ‏‮and‬‏ ‏‮the‬‏ ‏‮first‬‏ ‏‮supported‬‏ ‏‮display‬‏ ‏‮mode‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮one‬‏ ‏‮of‬‏ '‏‮standalone‬‏', '‏‮fullscreen‬‏', ‏‮or‬‏ '‏‮minimal‬‏-‏‮ui‬‏'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"‏‮Manifest‬‏ ‏‮could‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮fetched‬‏, ‏‮is‬‏ ‏‮empty‬‏, ‏‮or‬‏ ‏‮could‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮parsed‬‏"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"‏‮Manifest‬‏ ‏‮URL‬‏ ‏‮changed‬‏ ‏‮while‬‏ ‏‮the‬‏ ‏‮manifest‬‏ ‏‮was‬‏ ‏‮being‬‏ ‏‮fetched‬‏."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"‏‮Manifest‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮a‬‏ '‏‮name‬‏' ‏‮or‬‏ '‏‮short‬‏_‏‮name‬‏' ‏‮field‬‏"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:'‏‮Manifest‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮contain‬‏ ‏‮a‬‏ ‏‮suitable‬‏ ‏‮icon‬‏ - ‏‮PNG‬‏, ‏‮SVG‬‏ ‏‮or‬‏ ‏‮WebP‬‏ ‏‮format‬‏ ‏‮of‬‏ ‏‮at‬‏ ‏‮least‬‏ {value0} ‏‮px‬‏ ‏‮is‬‏ ‏‮required‬‏, ‏‮the‬‏ ‏‮sizes‬‏ ‏‮attribute‬‏ ‏‮must‬‏ ‏‮be‬‏ ‏‮set‬‏, ‏‮and‬‏ ‏‮the‬‏ ‏‮purpose‬‏ ‏‮attribute‬‏, ‏‮if‬‏ ‏‮set‬‏, ‏‮must‬‏ ‏‮include‬‏ "‏‮any‬‏".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'‏‮No‬‏ ‏‮supplied‬‏ ‏‮icon‬‏ ‏‮is‬‏ ‏‮at‬‏ ‏‮least‬‏ {value0} ‏‮px‬‏ ‏‮square‬‏ ‏‮in‬‏ ‏‮PNG‬‏, ‏‮SVG‬‏ ‏‮or‬‏ ‏‮WebP‬‏ ‏‮format‬‏, ‏‮with‬‏ ‏‮the‬‏ ‏‮purpose‬‏ ‏‮attribute‬‏ ‏‮unset‬‏ ‏‮or‬‏ ‏‮set‬‏ ‏‮to‬‏ "‏‮any‬‏"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"‏‮Downloaded‬‏ ‏‮icon‬‏ ‏‮was‬‏ ‏‮empty‬‏ ‏‮or‬‏ ‏‮corrupted‬‏"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"‏‮No‬‏ ‏‮Play‬‏ ‏‮store‬‏ ‏‮ID‬‏ ‏‮provided‬‏"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{
message:"‏‮Page‬‏ ‏‮has‬‏ ‏‮no‬‏ ‏‮manifest‬‏ <link> ‏‮URL‬‏"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"‏‮No‬‏ ‏‮matching‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮detected‬‏. ‏‮You‬‏ ‏‮may‬‏ ‏‮need‬‏ ‏‮to‬‏ ‏‮reload‬‏ ‏‮the‬‏ ‏‮page‬‏, ‏‮or‬‏ ‏‮check‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮scope‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮current‬‏ ‏‮page‬‏ ‏‮encloses‬‏ ‏‮the‬‏ ‏‮scope‬‏ ‏‮and‬‏ ‏‮start‬‏ ‏‮URL‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮manifest‬‏."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"‏‮Could‬‏ ‏‮not‬‏ ‏‮check‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮without‬‏ ‏‮a‬‏ '‏‮start‬‏_‏‮url‬‏' ‏‮field‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮manifest‬‏"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"‏‮Installability‬‏ ‏‮error‬‏ ‏‮id‬‏ '{errorId}' ‏‮is‬‏ ‏‮not‬‏ ‏‮recognized‬‏"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{
message:"‏‮Page‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮served‬‏ ‏‮from‬‏ ‏‮a‬‏ ‏‮secure‬‏ ‏‮origin‬‏"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"‏‮Page‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮loaded‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮main‬‏ ‏‮frame‬‏"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"‏‮Page‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮work‬‏ ‏‮offline‬‏"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"‏‮The‬‏ ‏‮specified‬‏ ‏‮application‬‏ ‏‮platform‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮supported‬‏ ‏‮on‬‏ ‏‮Android‬‏"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"‏‮Manifest‬‏ ‏‮specifies‬‏ ‏‮prefer‬‏_‏‮related‬‏_‏‮applications‬‏: ‏‮true‬‏"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"‏‮prefer‬‏_‏‮related‬‏_‏‮applications‬‏ ‏‮is‬‏ ‏‮only‬‏ ‏‮supported‬‏ ‏‮on‬‏ ‏‮Chrome‬‏ ‏‮Beta‬‏ ‏‮and‬‏ ‏‮Stable‬‏ ‏‮channels‬‏ ‏‮on‬‏ ‏‮Android‬‏."},
"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"‏‮Manifest‬‏ ‏‮start‬‏ ‏‮URL‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮valid‬‏"},"lighthouse-core/audits/installable-manifest.js | title":{message:"‏‮Web‬‏ ‏‮app‬‏ ‏‮manifest‬‏ ‏‮and‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮meet‬‏ ‏‮the‬‏ ‏‮installability‬‏ ‏‮requirements‬‏"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"‏‮A‬‏ ‏‮URL‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮manifest‬‏ ‏‮contains‬‏ ‏‮a‬‏ ‏‮username‬‏, ‏‮password‬‏, ‏‮or‬‏ ‏‮port‬‏"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"‏‮Page‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮work‬‏ ‏‮offline‬‏. ‏‮The‬‏ ‏‮page‬‏ ‏‮will‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮regarded‬‏ ‏‮as‬‏ ‏‮installable‬‏ ‏‮after‬‏ ‏‮Chrome‬‏ 93, ‏‮stable‬‏ ‏‮release‬‏ ‏‮August‬‏ 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"‏‮Allowed‬‏"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"‏‮Blocked‬‏"},
"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"‏‮Insecure‬‏ ‏‮URL‬‏"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"‏‮Request‬‏ ‏‮Resolution‬‏"},"lighthouse-core/audits/is-on-https.js | description":{
message:"‏‮All‬‏ ‏‮sites‬‏ ‏‮should‬‏ ‏‮be‬‏ ‏‮protected‬‏ ‏‮with‬‏ ‏‮HTTPS‬‏, ‏‮even‬‏ ‏‮ones‬‏ ‏‮that‬‏ ‏‮don‬‏'‏‮t‬‏ ‏‮handle‬‏ ‏‮sensitive‬‏ ‏‮data‬‏. ‏‮This‬‏ ‏‮includes‬‏ ‏‮avoiding‬‏ [‏‮mixed‬‏ ‏‮content‬‏](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), ‏‮where‬‏ ‏‮some‬‏ ‏‮resources‬‏ ‏‮are‬‏ ‏‮loaded‬‏ ‏‮over‬‏ ‏‮HTTP‬‏ ‏‮despite‬‏ ‏‮the‬‏ ‏‮initial‬‏ ‏‮request‬‏ ‏‮being‬‏ ‏‮served‬‏ ‏‮over‬‏ ‏‮HTTPS‬‏. ‏‮HTTPS‬‏ ‏‮prevents‬‏ ‏‮intruders‬‏ ‏‮from‬‏ ‏‮tampering‬‏ ‏‮with‬‏ ‏‮or‬‏ ‏‮passively‬‏ ‏‮listening‬‏ ‏‮in‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮communications‬‏ ‏‮between‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮and‬‏ ‏‮your‬‏ ‏‮users‬‏, ‏‮and‬‏ ‏‮is‬‏ ‏‮a‬‏ ‏‮prerequisite‬‏ ‏‮for‬‏ ‏‮HTTP‬‏/2 ‏‮and‬‏ ‏‮many‬‏ ‏‮new‬‏ ‏‮web‬‏ ‏‮platform‬‏ ‏‮APIs‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{
message:"{itemCount,plural, =1{1 ‏‮insecure‬‏ ‏‮request‬‏ ‏‮found‬‏}zero{# ‏‮insecure‬‏ ‏‮requests‬‏ ‏‮found‬‏}two{# ‏‮insecure‬‏ ‏‮requests‬‏ ‏‮found‬‏}few{# ‏‮insecure‬‏ ‏‮requests‬‏ ‏‮found‬‏}many{# ‏‮insecure‬‏ ‏‮requests‬‏ ‏‮found‬‏}other{# ‏‮insecure‬‏ ‏‮requests‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"‏‮Does‬‏ ‏‮not‬‏ ‏‮use‬‏ ‏‮HTTPS‬‏"},"lighthouse-core/audits/is-on-https.js | title":{message:"‏‮Uses‬‏ ‏‮HTTPS‬‏"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"‏‮Automatically‬‏ ‏‮upgraded‬‏ ‏‮to‬‏ ‏‮HTTPS‬‏"},"lighthouse-core/audits/is-on-https.js | warning":{message:"‏‮Allowed‬‏ ‏‮with‬‏ ‏‮warning‬‏"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"‏‮Library‬‏"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"‏‮Large‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏ ‏‮can‬‏ ‏‮lead‬‏ ‏‮to‬‏ ‏‮poor‬‏ ‏‮performance‬‏. ‏‮Prefer‬‏ ‏‮smaller‬‏, ‏‮functionally‬‏ ‏‮equivalent‬‏ ‏‮libraries‬‏ ‏‮to‬‏ ‏‮reduce‬‏ ‏‮your‬‏ ‏‮bundle‬‏ ‏‮size‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 ‏‮large‬‏ ‏‮library‬‏ ‏‮found‬‏}zero{# ‏‮large‬‏ ‏‮libraries‬‏ ‏‮found‬‏}two{# ‏‮large‬‏ ‏‮libraries‬‏ ‏‮found‬‏}few{# ‏‮large‬‏ ‏‮libraries‬‏ ‏‮found‬‏}many{# ‏‮large‬‏ ‏‮libraries‬‏ ‏‮found‬‏}other{# ‏‮large‬‏ ‏‮libraries‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"‏‮Replace‬‏ ‏‮unnecessarily‬‏ ‏‮large‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏"},"lighthouse-core/audits/large-javascript-libraries.js | title":{
message:"‏‮Avoids‬‏ ‏‮large‬‏ ‏‮JavaScript‬‏ ‏‮libraries‬‏ ‏‮with‬‏ ‏‮smaller‬‏ ‏‮alternatives‬‏"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"‏‮This‬‏ ‏‮is‬‏ ‏‮the‬‏ ‏‮largest‬‏ ‏‮contentful‬‏ ‏‮element‬‏ ‏‮painted‬‏ ‏‮within‬‏ ‏‮the‬‏ ‏‮viewport‬‏. [‏‮Learn‬‏ ‏‮More‬‏](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"‏‮Largest‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏ ‏‮element‬‏"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"‏‮CLS‬‏ ‏‮Contribution‬‏"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"‏‮These‬‏ ‏‮DOM‬‏ ‏‮elements‬‏ ‏‮contribute‬‏ ‏‮most‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮CLS‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮page‬‏."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"‏‮Avoid‬‏ ‏‮large‬‏ ‏‮layout‬‏ ‏‮shifts‬‏"},"lighthouse-core/audits/long-tasks.js | description":{
message:"‏‮Lists‬‏ ‏‮the‬‏ ‏‮longest‬‏ ‏‮tasks‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮main‬‏ ‏‮thread‬‏, ‏‮useful‬‏ ‏‮for‬‏ ‏‮identifying‬‏ ‏‮worst‬‏ ‏‮contributors‬‏ ‏‮to‬‏ ‏‮input‬‏ ‏‮delay‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# ‏‮long‬‏ ‏‮task‬‏ ‏‮found‬‏}zero{# ‏‮long‬‏ ‏‮tasks‬‏ ‏‮found‬‏}two{# ‏‮long‬‏ ‏‮tasks‬‏ ‏‮found‬‏}few{# ‏‮long‬‏ ‏‮tasks‬‏ ‏‮found‬‏}many{# ‏‮long‬‏ ‏‮tasks‬‏ ‏‮found‬‏}other{# ‏‮long‬‏ ‏‮tasks‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"‏‮Avoid‬‏ ‏‮long‬‏ ‏‮main‬‏-‏‮thread‬‏ ‏‮tasks‬‏"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"‏‮Category‬‏"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"‏‮Consider‬‏ ‏‮reducing‬‏ ‏‮the‬‏ ‏‮time‬‏ ‏‮spent‬‏ ‏‮parsing‬‏, ‏‮compiling‬‏ ‏‮and‬‏ ‏‮executing‬‏ ‏‮JS‬‏. ‏‮You‬‏ ‏‮may‬‏ ‏‮find‬‏ ‏‮delivering‬‏ ‏‮smaller‬‏ ‏‮JS‬‏ ‏‮payloads‬‏ ‏‮helps‬‏ ‏‮with‬‏ ‏‮this‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"‏‮Minimize‬‏ ‏‮main‬‏-‏‮thread‬‏ ‏‮work‬‏"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"‏‮Minimizes‬‏ ‏‮main‬‏-‏‮thread‬‏ ‏‮work‬‏"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"‏‮To‬‏ ‏‮reach‬‏ ‏‮the‬‏ ‏‮most‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮users‬‏, ‏‮sites‬‏ ‏‮should‬‏ ‏‮work‬‏ ‏‮across‬‏ ‏‮every‬‏ ‏‮major‬‏ ‏‮browser‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"‏‮Site‬‏ ‏‮works‬‏ ‏‮cross‬‏-‏‮browser‬‏"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"‏‮Ensure‬‏ ‏‮individual‬‏ ‏‮pages‬‏ ‏‮are‬‏ ‏‮deep‬‏ ‏‮linkable‬‏ ‏‮via‬‏ ‏‮URL‬‏ ‏‮and‬‏ ‏‮that‬‏ ‏‮URLs‬‏ ‏‮are‬‏ ‏‮unique‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮purpose‬‏ ‏‮of‬‏ ‏‮shareability‬‏ ‏‮on‬‏ ‏‮social‬‏ ‏‮media‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"‏‮Each‬‏ ‏‮page‬‏ ‏‮has‬‏ ‏‮a‬‏ ‏‮URL‬‏"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"‏‮Transitions‬‏ ‏‮should‬‏ ‏‮feel‬‏ ‏‮snappy‬‏ ‏‮as‬‏ ‏‮you‬‏ ‏‮tap‬‏ ‏‮around‬‏, ‏‮even‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮slow‬‏ ‏‮network‬‏. ‏‮This‬‏ ‏‮experience‬‏ ‏‮is‬‏ ‏‮key‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮user‬‏'‏‮s‬‏ ‏‮perception‬‏ ‏‮of‬‏ ‏‮performance‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"‏‮Page‬‏ ‏‮transitions‬‏ ‏‮don‬‏'‏‮t‬‏ ‏‮feel‬‏ ‏‮like‬‏ ‏‮they‬‏ ‏‮block‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮network‬‏"},
"lighthouse-core/audits/maskable-icon.js | description":{message:"‏‮A‬‏ ‏‮maskable‬‏ ‏‮icon‬‏ ‏‮ensures‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮image‬‏ ‏‮fills‬‏ ‏‮the‬‏ ‏‮entire‬‏ ‏‮shape‬‏ ‏‮without‬‏ ‏‮being‬‏ ‏‮letterboxed‬‏ ‏‮when‬‏ ‏‮installing‬‏ ‏‮the‬‏ ‏‮app‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮device‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"‏‮Manifest‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮maskable‬‏ ‏‮icon‬‏"},"lighthouse-core/audits/maskable-icon.js | title":{message:"‏‮Manifest‬‏ ‏‮has‬‏ ‏‮a‬‏ ‏‮maskable‬‏ ‏‮icon‬‏"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"‏‮Cumulative‬‏ ‏‮Layout‬‏ ‏‮Shift‬‏ ‏‮measures‬‏ ‏‮the‬‏ ‏‮movement‬‏ ‏‮of‬‏ ‏‮visible‬‏ ‏‮elements‬‏ ‏‮within‬‏ ‏‮the‬‏ ‏‮viewport‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{
message:"‏‮First‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏ ‏‮marks‬‏ ‏‮the‬‏ ‏‮time‬‏ ‏‮at‬‏ ‏‮which‬‏ ‏‮the‬‏ ‏‮first‬‏ ‏‮text‬‏ ‏‮or‬‏ ‏‮image‬‏ ‏‮is‬‏ ‏‮painted‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"‏‮First‬‏ ‏‮Meaningful‬‏ ‏‮Paint‬‏ ‏‮measures‬‏ ‏‮when‬‏ ‏‮the‬‏ ‏‮primary‬‏ ‏‮content‬‏ ‏‮of‬‏ ‏‮a‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮visible‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"‏‮Time‬‏ ‏‮to‬‏ ‏‮interactive‬‏ ‏‮is‬‏ ‏‮the‬‏ ‏‮amount‬‏ ‏‮of‬‏ ‏‮time‬‏ ‏‮it‬‏ ‏‮takes‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮to‬‏ ‏‮become‬‏ ‏‮fully‬‏ ‏‮interactive‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"‏‮Largest‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏ ‏‮marks‬‏ ‏‮the‬‏ ‏‮time‬‏ ‏‮at‬‏ ‏‮which‬‏ ‏‮the‬‏ ‏‮largest‬‏ ‏‮text‬‏ ‏‮or‬‏ ‏‮image‬‏ ‏‮is‬‏ ‏‮painted‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"‏‮The‬‏ ‏‮maximum‬‏ ‏‮potential‬‏ ‏‮First‬‏ ‏‮Input‬‏ ‏‮Delay‬‏ ‏‮that‬‏ ‏‮your‬‏ ‏‮users‬‏ ‏‮could‬‏ ‏‮experience‬‏ ‏‮is‬‏ ‏‮the‬‏ ‏‮duration‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮longest‬‏ ‏‮task‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"‏‮Speed‬‏ ‏‮Index‬‏ ‏‮shows‬‏ ‏‮how‬‏ ‏‮quickly‬‏ ‏‮the‬‏ ‏‮contents‬‏ ‏‮of‬‏ ‏‮a‬‏ ‏‮page‬‏ ‏‮are‬‏ ‏‮visibly‬‏ ‏‮populated‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"‏‮Sum‬‏ ‏‮of‬‏ ‏‮all‬‏ ‏‮time‬‏ ‏‮periods‬‏ ‏‮between‬‏ ‏‮FCP‬‏ ‏‮and‬‏ ‏‮Time‬‏ ‏‮to‬‏ ‏‮Interactive‬‏, ‏‮when‬‏ ‏‮task‬‏ ‏‮length‬‏ ‏‮exceeded‬‏ 50‏‮ms‬‏, ‏‮expressed‬‏ ‏‮in‬‏ ‏‮milliseconds‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"‏‮Network‬‏ ‏‮round‬‏ ‏‮trip‬‏ ‏‮times‬‏ (‏‮RTT‬‏) ‏‮have‬‏ ‏‮a‬‏ ‏‮large‬‏ ‏‮impact‬‏ ‏‮on‬‏ ‏‮performance‬‏. ‏‮If‬‏ ‏‮the‬‏ ‏‮RTT‬‏ ‏‮to‬‏ ‏‮an‬‏ ‏‮origin‬‏ ‏‮is‬‏ ‏‮high‬‏, ‏‮it‬‏'‏‮s‬‏ ‏‮an‬‏ ‏‮indication‬‏ ‏‮that‬‏ ‏‮servers‬‏ ‏‮closer‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮user‬‏ ‏‮could‬‏ ‏‮improve‬‏ ‏‮performance‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"‏‮Network‬‏ ‏‮Round‬‏ ‏‮Trip‬‏ ‏‮Times‬‏"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"‏‮Server‬‏ ‏‮latencies‬‏ ‏‮can‬‏ ‏‮impact‬‏ ‏‮web‬‏ ‏‮performance‬‏. ‏‮If‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮latency‬‏ ‏‮of‬‏ ‏‮an‬‏ ‏‮origin‬‏ ‏‮is‬‏ ‏‮high‬‏, ‏‮it‬‏'‏‮s‬‏ ‏‮an‬‏ ‏‮indication‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮is‬‏ ‏‮overloaded‬‏ ‏‮or‬‏ ‏‮has‬‏ ‏‮poor‬‏ ‏‮backend‬‏ ‏‮performance‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"‏‮Server‬‏ ‏‮Backend‬‏ ‏‮Latencies‬‏"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"‏‮The‬‏ `unload` ‏‮event‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮fire‬‏ ‏‮reliably‬‏ ‏‮and‬‏ ‏‮listening‬‏ ‏‮for‬‏ ‏‮it‬‏ ‏‮can‬‏ ‏‮prevent‬‏ ‏‮browser‬‏ ‏‮optimizations‬‏ ‏‮like‬‏ ‏‮the‬‏ ‏‮Back‬‏-‏‮Forward‬‏ ‏‮Cache‬‏. ‏‮Consider‬‏ ‏‮using‬‏ ‏‮the‬‏ `pagehide` ‏‮or‬‏ `visibilitychange` ‏‮events‬‏ ‏‮instead‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},
"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"‏‮Registers‬‏ ‏‮an‬‏ `unload` ‏‮listener‬‏"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"‏‮Avoids‬‏ `unload` ‏‮event‬‏ ‏‮listeners‬‏"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"‏‮Animations‬‏ ‏‮which‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮composited‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮janky‬‏ ‏‮and‬‏ ‏‮increase‬‏ ‏‮CLS‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# ‏‮animated‬‏ ‏‮element‬‏ ‏‮found‬‏}zero{# ‏‮animated‬‏ ‏‮elements‬‏ ‏‮found‬‏}two{# ‏‮animated‬‏ ‏‮elements‬‏ ‏‮found‬‏}few{# ‏‮animated‬‏ ‏‮elements‬‏ ‏‮found‬‏}many{# ‏‮animated‬‏ ‏‮elements‬‏ ‏‮found‬‏}other{# ‏‮animated‬‏ ‏‮elements‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"‏‮Filter‬‏-‏‮related‬‏ ‏‮property‬‏ ‏‮may‬‏ ‏‮move‬‏ ‏‮pixels‬‏"},
"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"‏‮Target‬‏ ‏‮has‬‏ ‏‮another‬‏ ‏‮animation‬‏ ‏‮which‬‏ ‏‮is‬‏ ‏‮incompatible‬‏"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'‏‮Effect‬‏ ‏‮has‬‏ ‏‮composite‬‏ ‏‮mode‬‏ ‏‮other‬‏ ‏‮than‬‏ "‏‮replace‬‏"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"‏‮Avoid‬‏ ‏‮non‬‏-‏‮composited‬‏ ‏‮animations‬‏"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"‏‮Transform‬‏-‏‮related‬‏ ‏‮property‬‏ ‏‮depends‬‏ ‏‮on‬‏ ‏‮box‬‏ ‏‮size‬‏"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{‏‮Unsupported‬‏ ‏‮CSS‬‏ ‏‮Property‬‏: {properties}}zero{‏‮Unsupported‬‏ ‏‮CSS‬‏ ‏‮Properties‬‏: {properties}}two{‏‮Unsupported‬‏ ‏‮CSS‬‏ ‏‮Properties‬‏: {properties}}few{‏‮Unsupported‬‏ ‏‮CSS‬‏ ‏‮Properties‬‏: {properties}}many{‏‮Unsupported‬‏ ‏‮CSS‬‏ ‏‮Properties‬‏: {properties}}other{‏‮Unsupported‬‏ ‏‮CSS‬‏ ‏‮Properties‬‏: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"‏‮Effect‬‏ ‏‮has‬‏ ‏‮unsupported‬‏ ‏‮timing‬‏ ‏‮parameters‬‏"},"lighthouse-core/audits/performance-budget.js | description":{message:"‏‮Keep‬‏ ‏‮the‬‏ ‏‮quantity‬‏ ‏‮and‬‏ ‏‮size‬‏ ‏‮of‬‏ ‏‮network‬‏ ‏‮requests‬‏ ‏‮under‬‏ ‏‮the‬‏ ‏‮targets‬‏ ‏‮set‬‏ ‏‮by‬‏ ‏‮the‬‏ ‏‮provided‬‏ ‏‮performance‬‏ ‏‮budget‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{
message:"{count,plural, =1{1 ‏‮request‬‏}zero{# ‏‮requests‬‏}two{# ‏‮requests‬‏}few{# ‏‮requests‬‏}many{# ‏‮requests‬‏}other{# ‏‮requests‬‏}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"‏‮Performance‬‏ ‏‮budget‬‏"},"lighthouse-core/audits/preload-fonts.js | description":{message:"‏‮Preload‬‏ `optional` ‏‮fonts‬‏ ‏‮so‬‏ ‏‮first‬‏-‏‮time‬‏ ‏‮visitors‬‏ ‏‮may‬‏ ‏‮use‬‏ ‏‮them‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"‏‮Fonts‬‏ ‏‮with‬‏ `font-display: optional` ‏‮are‬‏ ‏‮not‬‏ ‏‮preloaded‬‏"},"lighthouse-core/audits/preload-fonts.js | title":{message:"‏‮Fonts‬‏ ‏‮with‬‏ `font-display: optional` ‏‮are‬‏ ‏‮preloaded‬‏"},"lighthouse-core/audits/preload-lcp-image.js | description":{
message:"‏‮Preload‬‏ ‏‮the‬‏ ‏‮image‬‏ ‏‮used‬‏ ‏‮by‬‏ ‏‮the‬‏ ‏‮LCP‬‏ ‏‮element‬‏ ‏‮in‬‏ ‏‮order‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮your‬‏ ‏‮LCP‬‏ ‏‮time‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"‏‮Preload‬‏ ‏‮Largest‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏ ‏‮image‬‏"},"lighthouse-core/audits/redirects-http.js | description":{message:"‏‮If‬‏ ‏‮you‬‏'‏‮ve‬‏ ‏‮already‬‏ ‏‮set‬‏ ‏‮up‬‏ ‏‮HTTPS‬‏, ‏‮make‬‏ ‏‮sure‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮redirect‬‏ ‏‮all‬‏ ‏‮HTTP‬‏ ‏‮traffic‬‏ ‏‮to‬‏ ‏‮HTTPS‬‏ ‏‮in‬‏ ‏‮order‬‏ ‏‮to‬‏ ‏‮enable‬‏ ‏‮secure‬‏ ‏‮web‬‏ ‏‮features‬‏ ‏‮for‬‏ ‏‮all‬‏ ‏‮your‬‏ ‏‮users‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"‏‮Does‬‏ ‏‮not‬‏ ‏‮redirect‬‏ ‏‮HTTP‬‏ ‏‮traffic‬‏ ‏‮to‬‏ ‏‮HTTPS‬‏"},"lighthouse-core/audits/redirects-http.js | title":{message:"‏‮Redirects‬‏ ‏‮HTTP‬‏ ‏‮traffic‬‏ ‏‮to‬‏ ‏‮HTTPS‬‏"},
"lighthouse-core/audits/redirects.js | description":{message:"‏‮Redirects‬‏ ‏‮introduce‬‏ ‏‮additional‬‏ ‏‮delays‬‏ ‏‮before‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮loaded‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"‏‮Avoid‬‏ ‏‮multiple‬‏ ‏‮page‬‏ ‏‮redirects‬‏"},"lighthouse-core/audits/resource-summary.js | description":{message:"‏‮To‬‏ ‏‮set‬‏ ‏‮budgets‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮quantity‬‏ ‏‮and‬‏ ‏‮size‬‏ ‏‮of‬‏ ‏‮page‬‏ ‏‮resources‬‏, ‏‮add‬‏ ‏‮a‬‏ ‏‮budget‬‏.‏‮json‬‏ ‏‮file‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{1 ‏‮request‬‏ • {byteCount, number, bytes} ‏‮KiB‬‏}zero{# ‏‮requests‬‏ • {byteCount, number, bytes} ‏‮KiB‬‏}two{# ‏‮requests‬‏ • {byteCount, number, bytes} ‏‮KiB‬‏}few{# ‏‮requests‬‏ • {byteCount, number, bytes} ‏‮KiB‬‏}many{# ‏‮requests‬‏ • {byteCount, number, bytes} ‏‮KiB‬‏}other{# ‏‮requests‬‏ • {byteCount, number, bytes} ‏‮KiB‬‏}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"‏‮Keep‬‏ ‏‮request‬‏ ‏‮counts‬‏ ‏‮low‬‏ ‏‮and‬‏ ‏‮transfer‬‏ ‏‮sizes‬‏ ‏‮small‬‏"},"lighthouse-core/audits/seo/canonical.js | description":{message:"‏‮Canonical‬‏ ‏‮links‬‏ ‏‮suggest‬‏ ‏‮which‬‏ ‏‮URL‬‏ ‏‮to‬‏ ‏‮show‬‏ ‏‮in‬‏ ‏‮search‬‏ ‏‮results‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"‏‮Multiple‬‏ ‏‮conflicting‬‏ ‏‮URLs‬‏ ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{
message:"‏‮Points‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮different‬‏ ‏‮domain‬‏ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"‏‮Invalid‬‏ ‏‮URL‬‏ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"‏‮Points‬‏ ‏‮to‬‏ ‏‮another‬‏ `hreflang` ‏‮location‬‏ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"‏‮Relative‬‏ ‏‮URL‬‏ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"‏‮Points‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮domain‬‏'‏‮s‬‏ ‏‮root‬‏ ‏‮URL‬‏ (‏‮the‬‏ ‏‮homepage‬‏), ‏‮instead‬‏ ‏‮of‬‏ ‏‮an‬‏ ‏‮equivalent‬‏ ‏‮page‬‏ ‏‮of‬‏ ‏‮content‬‏"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"‏‮Document‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮valid‬‏ `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"‏‮Document‬‏ ‏‮has‬‏ ‏‮a‬‏ ‏‮valid‬‏ `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{
message:"‏‮Uncrawlable‬‏ ‏‮Link‬‏"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"‏‮Search‬‏ ‏‮engines‬‏ ‏‮may‬‏ ‏‮use‬‏ `href` ‏‮attributes‬‏ ‏‮on‬‏ ‏‮links‬‏ ‏‮to‬‏ ‏‮crawl‬‏ ‏‮websites‬‏. ‏‮Ensure‬‏ ‏‮that‬‏ ‏‮the‬‏ `href` ‏‮attribute‬‏ ‏‮of‬‏ ‏‮anchor‬‏ ‏‮elements‬‏ ‏‮links‬‏ ‏‮to‬‏ ‏‮an‬‏ ‏‮appropriate‬‏ ‏‮destination‬‏, ‏‮so‬‏ ‏‮more‬‏ ‏‮pages‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮site‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮discovered‬‏. [‏‮Learn‬‏ ‏‮More‬‏](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"‏‮Links‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮crawlable‬‏"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"‏‮Links‬‏ ‏‮are‬‏ ‏‮crawlable‬‏"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"‏‮Add‬‏'‏‮l‬‏ ‏‮illegible‬‏ ‏‮text‬‏"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"‏‮Font‬‏ ‏‮Size‬‏"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% ‏‮of‬‏ ‏‮Page‬‏ ‏‮Text‬‏"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"‏‮Selector‬‏"},"lighthouse-core/audits/seo/font-size.js | description":{message:"‏‮Font‬‏ ‏‮sizes‬‏ ‏‮less‬‏ ‏‮than‬‏ 12‏‮px‬‏ ‏‮are‬‏ ‏‮too‬‏ ‏‮small‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮legible‬‏ ‏‮and‬‏ ‏‮require‬‏ ‏‮mobile‬‏ ‏‮visitors‬‏ ‏‮to‬‏ “‏‮pinch‬‏ ‏‮to‬‏ ‏‮zoom‬‏” ‏‮in‬‏ ‏‮order‬‏ ‏‮to‬‏ ‏‮read‬‏. ‏‮Strive‬‏ ‏‮to‬‏ ‏‮have‬‏ >60% ‏‮of‬‏ ‏‮page‬‏ ‏‮text‬‏ ≥12‏‮px‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} ‏‮legible‬‏ ‏‮text‬‏"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"‏‮Text‬‏ ‏‮is‬‏ ‏‮illegible‬‏ ‏‮because‬‏ ‏‮there‬‏'‏‮s‬‏ ‏‮no‬‏ ‏‮viewport‬‏ ‏‮meta‬‏ ‏‮tag‬‏ ‏‮optimized‬‏ ‏‮for‬‏ ‏‮mobile‬‏ ‏‮screens‬‏."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{
message:"‏‮Document‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮use‬‏ ‏‮legible‬‏ ‏‮font‬‏ ‏‮sizes‬‏"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"‏‮Legible‬‏ ‏‮text‬‏"},"lighthouse-core/audits/seo/font-size.js | title":{message:"‏‮Document‬‏ ‏‮uses‬‏ ‏‮legible‬‏ ‏‮font‬‏ ‏‮sizes‬‏"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"‏‮hreflang‬‏ ‏‮links‬‏ ‏‮tell‬‏ ‏‮search‬‏ ‏‮engines‬‏ ‏‮what‬‏ ‏‮version‬‏ ‏‮of‬‏ ‏‮a‬‏ ‏‮page‬‏ ‏‮they‬‏ ‏‮should‬‏ ‏‮list‬‏ ‏‮in‬‏ ‏‮search‬‏ ‏‮results‬‏ ‏‮for‬‏ ‏‮a‬‏ ‏‮given‬‏ ‏‮language‬‏ ‏‮or‬‏ ‏‮region‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"‏‮Document‬‏ ‏‮doesn‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮valid‬‏ `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"‏‮Relative‬‏ ‏‮href‬‏ ‏‮value‬‏"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"‏‮Document‬‏ ‏‮has‬‏ ‏‮a‬‏ ‏‮valid‬‏ `hreflang`"},
"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"‏‮Unexpected‬‏ ‏‮language‬‏ ‏‮code‬‏"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"‏‮Pages‬‏ ‏‮with‬‏ ‏‮unsuccessful‬‏ ‏‮HTTP‬‏ ‏‮status‬‏ ‏‮codes‬‏ ‏‮may‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮indexed‬‏ ‏‮properly‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"‏‮Page‬‏ ‏‮has‬‏ ‏‮unsuccessful‬‏ ‏‮HTTP‬‏ ‏‮status‬‏ ‏‮code‬‏"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"‏‮Page‬‏ ‏‮has‬‏ ‏‮successful‬‏ ‏‮HTTP‬‏ ‏‮status‬‏ ‏‮code‬‏"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"‏‮Search‬‏ ‏‮engines‬‏ ‏‮are‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮include‬‏ ‏‮your‬‏ ‏‮pages‬‏ ‏‮in‬‏ ‏‮search‬‏ ‏‮results‬‏ ‏‮if‬‏ ‏‮they‬‏ ‏‮don‬‏'‏‮t‬‏ ‏‮have‬‏ ‏‮permission‬‏ ‏‮to‬‏ ‏‮crawl‬‏ ‏‮them‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/is-crawable/)."},
"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"‏‮Page‬‏ ‏‮is‬‏ ‏‮blocked‬‏ ‏‮from‬‏ ‏‮indexing‬‏"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"‏‮Page‬‏ ‏‮isn‬‏’‏‮t‬‏ ‏‮blocked‬‏ ‏‮from‬‏ ‏‮indexing‬‏"},"lighthouse-core/audits/seo/link-text.js | description":{message:"‏‮Descriptive‬‏ ‏‮link‬‏ ‏‮text‬‏ ‏‮helps‬‏ ‏‮search‬‏ ‏‮engines‬‏ ‏‮understand‬‏ ‏‮your‬‏ ‏‮content‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 ‏‮link‬‏ ‏‮found‬‏}zero{# ‏‮links‬‏ ‏‮found‬‏}two{# ‏‮links‬‏ ‏‮found‬‏}few{# ‏‮links‬‏ ‏‮found‬‏}many{# ‏‮links‬‏ ‏‮found‬‏}other{# ‏‮links‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"‏‮Links‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮descriptive‬‏ ‏‮text‬‏"},"lighthouse-core/audits/seo/link-text.js | title":{message:"‏‮Links‬‏ ‏‮have‬‏ ‏‮descriptive‬‏ ‏‮text‬‏"},
"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"‏‮Run‬‏ ‏‮the‬‏ [‏‮Structured‬‏ ‏‮Data‬‏ ‏‮Testing‬‏ ‏‮Tool‬‏](https://search.google.com/structured-data/testing-tool/) ‏‮and‬‏ ‏‮the‬‏ [‏‮Structured‬‏ ‏‮Data‬‏ ‏‮Linter‬‏](http://linter.structured-data.org/) ‏‮to‬‏ ‏‮validate‬‏ ‏‮structured‬‏ ‏‮data‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"‏‮Structured‬‏ ‏‮data‬‏ ‏‮is‬‏ ‏‮valid‬‏"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"‏‮Meta‬‏ ‏‮descriptions‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮included‬‏ ‏‮in‬‏ ‏‮search‬‏ ‏‮results‬‏ ‏‮to‬‏ ‏‮concisely‬‏ ‏‮summarize‬‏ ‏‮page‬‏ ‏‮content‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"‏‮Description‬‏ ‏‮text‬‏ ‏‮is‬‏ ‏‮empty‬‏."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{
message:"‏‮Document‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮meta‬‏ ‏‮description‬‏"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"‏‮Document‬‏ ‏‮has‬‏ ‏‮a‬‏ ‏‮meta‬‏ ‏‮description‬‏"},"lighthouse-core/audits/seo/plugins.js | description":{message:"‏‮Search‬‏ ‏‮engines‬‏ ‏‮can‬‏'‏‮t‬‏ ‏‮index‬‏ ‏‮plugin‬‏ ‏‮content‬‏, ‏‮and‬‏ ‏‮many‬‏ ‏‮devices‬‏ ‏‮restrict‬‏ ‏‮plugins‬‏ ‏‮or‬‏ ‏‮don‬‏'‏‮t‬‏ ‏‮support‬‏ ‏‮them‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"‏‮Document‬‏ ‏‮uses‬‏ ‏‮plugins‬‏"},"lighthouse-core/audits/seo/plugins.js | title":{message:"‏‮Document‬‏ ‏‮avoids‬‏ ‏‮plugins‬‏"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"‏‮If‬‏ ‏‮your‬‏ ‏‮robots‬‏.‏‮txt‬‏ ‏‮file‬‏ ‏‮is‬‏ ‏‮malformed‬‏, ‏‮crawlers‬‏ ‏‮may‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮able‬‏ ‏‮to‬‏ ‏‮understand‬‏ ‏‮how‬‏ ‏‮you‬‏ ‏‮want‬‏ ‏‮your‬‏ ‏‮website‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮crawled‬‏ ‏‮or‬‏ ‏‮indexed‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"‏‮Request‬‏ ‏‮for‬‏ ‏‮robots‬‏.‏‮txt‬‏ ‏‮returned‬‏ ‏‮HTTP‬‏ ‏‮status‬‏: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 ‏‮error‬‏ ‏‮found‬‏}zero{# ‏‮errors‬‏ ‏‮found‬‏}two{# ‏‮errors‬‏ ‏‮found‬‏}few{# ‏‮errors‬‏ ‏‮found‬‏}many{# ‏‮errors‬‏ ‏‮found‬‏}other{# ‏‮errors‬‏ ‏‮found‬‏}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮download‬‏ ‏‮a‬‏ ‏‮robots‬‏.‏‮txt‬‏ ‏‮file‬‏"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"‏‮robots‬‏.‏‮txt‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮valid‬‏"},
"lighthouse-core/audits/seo/robots-txt.js | title":{message:"‏‮robots‬‏.‏‮txt‬‏ ‏‮is‬‏ ‏‮valid‬‏"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"‏‮Interactive‬‏ ‏‮elements‬‏ ‏‮like‬‏ ‏‮buttons‬‏ ‏‮and‬‏ ‏‮links‬‏ ‏‮should‬‏ ‏‮be‬‏ ‏‮large‬‏ ‏‮enough‬‏ (48‏‮x‬‏48‏‮px‬‏), ‏‮and‬‏ ‏‮have‬‏ ‏‮enough‬‏ ‏‮space‬‏ ‏‮around‬‏ ‏‮them‬‏, ‏‮to‬‏ ‏‮be‬‏ ‏‮easy‬‏ ‏‮enough‬‏ ‏‮to‬‏ ‏‮tap‬‏ ‏‮without‬‏ ‏‮overlapping‬‏ ‏‮onto‬‏ ‏‮other‬‏ ‏‮elements‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} ‏‮appropriately‬‏ ‏‮sized‬‏ ‏‮tap‬‏ ‏‮targets‬‏"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"‏‮Tap‬‏ ‏‮targets‬‏ ‏‮are‬‏ ‏‮too‬‏ ‏‮small‬‏ ‏‮because‬‏ ‏‮there‬‏'‏‮s‬‏ ‏‮no‬‏ ‏‮viewport‬‏ ‏‮meta‬‏ ‏‮tag‬‏ ‏‮optimized‬‏ ‏‮for‬‏ ‏‮mobile‬‏ ‏‮screens‬‏"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{
message:"‏‮Tap‬‏ ‏‮targets‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮sized‬‏ ‏‮appropriately‬‏"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"‏‮Overlapping‬‏ ‏‮Target‬‏"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"‏‮Tap‬‏ ‏‮Target‬‏"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"‏‮Tap‬‏ ‏‮targets‬‏ ‏‮are‬‏ ‏‮sized‬‏ ‏‮appropriately‬‏"},"lighthouse-core/audits/server-response-time.js | description":{message:"‏‮Keep‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮main‬‏ ‏‮document‬‏ ‏‮short‬‏ ‏‮because‬‏ ‏‮all‬‏ ‏‮other‬‏ ‏‮requests‬‏ ‏‮depend‬‏ ‏‮on‬‏ ‏‮it‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"‏‮Root‬‏ ‏‮document‬‏ ‏‮took‬‏ {timeInMs, number, milliseconds} ‏‮ms‬‏"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"‏‮Reduce‬‏ ‏‮initial‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏"},
"lighthouse-core/audits/server-response-time.js | title":{message:"‏‮Initial‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏ ‏‮was‬‏ ‏‮short‬‏"},"lighthouse-core/audits/service-worker.js | description":{message:"‏‮The‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮is‬‏ ‏‮the‬‏ ‏‮technology‬‏ ‏‮that‬‏ ‏‮enables‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮many‬‏ ‏‮Progressive‬‏ ‏‮Web‬‏ ‏‮App‬‏ ‏‮features‬‏, ‏‮such‬‏ ‏‮as‬‏ ‏‮offline‬‏, ‏‮add‬‏ ‏‮to‬‏ ‏‮homescreen‬‏, ‏‮and‬‏ ‏‮push‬‏ ‏‮notifications‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"‏‮This‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮controlled‬‏ ‏‮by‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮worker‬‏, ‏‮however‬‏ ‏‮no‬‏ `start_url` ‏‮was‬‏ ‏‮found‬‏ ‏‮because‬‏ ‏‮manifest‬‏ ‏‮failed‬‏ ‏‮to‬‏ ‏‮parse‬‏ ‏‮as‬‏ ‏‮valid‬‏ ‏‮JSON‬‏"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"‏‮This‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮controlled‬‏ ‏‮by‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮worker‬‏, ‏‮however‬‏ ‏‮the‬‏ `start_url` ({startUrl}) ‏‮is‬‏ ‏‮not‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮service‬‏ ‏‮worker‬‏'‏‮s‬‏ ‏‮scope‬‏ ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"‏‮This‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮controlled‬‏ ‏‮by‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮worker‬‏, ‏‮however‬‏ ‏‮no‬‏ `start_url` ‏‮was‬‏ ‏‮found‬‏ ‏‮because‬‏ ‏‮no‬‏ ‏‮manifest‬‏ ‏‮was‬‏ ‏‮fetched‬‏."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"‏‮This‬‏ ‏‮origin‬‏ ‏‮has‬‏ ‏‮one‬‏ ‏‮or‬‏ ‏‮more‬‏ ‏‮service‬‏ ‏‮workers‬‏, ‏‮however‬‏ ‏‮the‬‏ ‏‮page‬‏ ({pageUrl}) ‏‮is‬‏ ‏‮not‬‏ ‏‮in‬‏ ‏‮scope‬‏."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"‏‮Does‬‏ ‏‮not‬‏ ‏‮register‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮that‬‏ ‏‮controls‬‏ ‏‮page‬‏ ‏‮and‬‏ `start_url`"},"lighthouse-core/audits/service-worker.js | title":{
message:"‏‮Registers‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮worker‬‏ ‏‮that‬‏ ‏‮controls‬‏ ‏‮page‬‏ ‏‮and‬‏ `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"‏‮A‬‏ ‏‮themed‬‏ ‏‮splash‬‏ ‏‮screen‬‏ ‏‮ensures‬‏ ‏‮a‬‏ ‏‮high‬‏-‏‮quality‬‏ ‏‮experience‬‏ ‏‮when‬‏ ‏‮users‬‏ ‏‮launch‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮from‬‏ ‏‮their‬‏ ‏‮homescreens‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"‏‮Is‬‏ ‏‮not‬‏ ‏‮configured‬‏ ‏‮for‬‏ ‏‮a‬‏ ‏‮custom‬‏ ‏‮splash‬‏ ‏‮screen‬‏"},"lighthouse-core/audits/splash-screen.js | title":{message:"‏‮Configured‬‏ ‏‮for‬‏ ‏‮a‬‏ ‏‮custom‬‏ ‏‮splash‬‏ ‏‮screen‬‏"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"‏‮The‬‏ ‏‮browser‬‏ ‏‮address‬‏ ‏‮bar‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮themed‬‏ ‏‮to‬‏ ‏‮match‬‏ ‏‮your‬‏ ‏‮site‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{
message:"‏‮Does‬‏ ‏‮not‬‏ ‏‮set‬‏ ‏‮a‬‏ ‏‮theme‬‏ ‏‮color‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮address‬‏ ‏‮bar‬‏."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"‏‮Sets‬‏ ‏‮a‬‏ ‏‮theme‬‏ ‏‮color‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮address‬‏ ‏‮bar‬‏."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (‏‮Customer‬‏ ‏‮Success‬‏)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (‏‮Marketing‬‏)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (‏‮Social‬‏)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (‏‮Video‬‏)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"‏‮Product‬‏"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"‏‮Some‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮embeds‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮lazy‬‏ ‏‮loaded‬‏. ‏‮Consider‬‏ ‏‮replacing‬‏ ‏‮them‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮facade‬‏ ‏‮until‬‏ ‏‮they‬‏ ‏‮are‬‏ ‏‮required‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# ‏‮facade‬‏ ‏‮alternative‬‏ ‏‮available‬‏}zero{# ‏‮facade‬‏ ‏‮alternatives‬‏ ‏‮available‬‏}two{# ‏‮facade‬‏ ‏‮alternatives‬‏ ‏‮available‬‏}few{# ‏‮facade‬‏ ‏‮alternatives‬‏ ‏‮available‬‏}many{# ‏‮facade‬‏ ‏‮alternatives‬‏ ‏‮available‬‏}other{# ‏‮facade‬‏ ‏‮alternatives‬‏ ‏‮available‬‏}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"‏‮Some‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮resources‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮lazy‬‏ ‏‮loaded‬‏ ‏‮with‬‏ ‏‮a‬‏ ‏‮facade‬‏"},"lighthouse-core/audits/third-party-facades.js | title":{message:"‏‮Lazy‬‏ ‏‮load‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮resources‬‏ ‏‮with‬‏ ‏‮facades‬‏"},
"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"‏‮Third‬‏-‏‮Party‬‏"},"lighthouse-core/audits/third-party-summary.js | description":{message:"‏‮Third‬‏-‏‮party‬‏ ‏‮code‬‏ ‏‮can‬‏ ‏‮significantly‬‏ ‏‮impact‬‏ ‏‮load‬‏ ‏‮performance‬‏. ‏‮Limit‬‏ ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮redundant‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮providers‬‏ ‏‮and‬‏ ‏‮try‬‏ ‏‮to‬‏ ‏‮load‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮code‬‏ ‏‮after‬‏ ‏‮your‬‏ ‏‮page‬‏ ‏‮has‬‏ ‏‮primarily‬‏ ‏‮finished‬‏ ‏‮loading‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"‏‮Third‬‏-‏‮party‬‏ ‏‮code‬‏ ‏‮blocked‬‏ ‏‮the‬‏ ‏‮main‬‏ ‏‮thread‬‏ ‏‮for‬‏ {timeInMs, number, milliseconds} ‏‮ms‬‏"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"‏‮Reduce‬‏ ‏‮the‬‏ ‏‮impact‬‏ ‏‮of‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮code‬‏"},
"lighthouse-core/audits/third-party-summary.js | title":{message:"‏‮Minimize‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮usage‬‏"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"‏‮Measurement‬‏"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"‏‮Metric‬‏"},"lighthouse-core/audits/timing-budget.js | description":{message:"‏‮Set‬‏ ‏‮a‬‏ ‏‮timing‬‏ ‏‮budget‬‏ ‏‮to‬‏ ‏‮help‬‏ ‏‮you‬‏ ‏‮keep‬‏ ‏‮an‬‏ ‏‮eye‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮performance‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮site‬‏. ‏‮Performant‬‏ ‏‮sites‬‏ ‏‮load‬‏ ‏‮fast‬‏ ‏‮and‬‏ ‏‮respond‬‏ ‏‮to‬‏ ‏‮user‬‏ ‏‮input‬‏ ‏‮events‬‏ ‏‮quickly‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"‏‮Timing‬‏ ‏‮budget‬‏"},"lighthouse-core/audits/unsized-images.js | description":{
message:"‏‮Set‬‏ ‏‮an‬‏ ‏‮explicit‬‏ ‏‮width‬‏ ‏‮and‬‏ ‏‮height‬‏ ‏‮on‬‏ ‏‮image‬‏ ‏‮elements‬‏ ‏‮to‬‏ ‏‮reduce‬‏ ‏‮layout‬‏ ‏‮shifts‬‏ ‏‮and‬‏ ‏‮improve‬‏ ‏‮CLS‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"‏‮Image‬‏ ‏‮elements‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮explicit‬‏ `width` ‏‮and‬‏ `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"‏‮Image‬‏ ‏‮elements‬‏ ‏‮have‬‏ ‏‮explicit‬‏ `width` ‏‮and‬‏ `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"‏‮Type‬‏"},"lighthouse-core/audits/user-timings.js | description":{message:"‏‮Consider‬‏ ‏‮instrumenting‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮with‬‏ ‏‮the‬‏ ‏‮User‬‏ ‏‮Timing‬‏ ‏‮API‬‏ ‏‮to‬‏ ‏‮measure‬‏ ‏‮your‬‏ ‏‮app‬‏'‏‮s‬‏ ‏‮real‬‏-‏‮world‬‏ ‏‮performance‬‏ ‏‮during‬‏ ‏‮key‬‏ ‏‮user‬‏ ‏‮experiences‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{
message:"{itemCount,plural, =1{1 ‏‮user‬‏ ‏‮timing‬‏}zero{# ‏‮user‬‏ ‏‮timings‬‏}two{# ‏‮user‬‏ ‏‮timings‬‏}few{# ‏‮user‬‏ ‏‮timings‬‏}many{# ‏‮user‬‏ ‏‮timings‬‏}other{# ‏‮user‬‏ ‏‮timings‬‏}}"},"lighthouse-core/audits/user-timings.js | title":{message:"‏‮User‬‏ ‏‮Timing‬‏ ‏‮marks‬‏ ‏‮and‬‏ ‏‮measures‬‏"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'‏‮A‬‏ `<link rel=preconnect>` ‏‮was‬‏ ‏‮found‬‏ ‏‮for‬‏ "{securityOrigin}" ‏‮but‬‏ ‏‮was‬‏ ‏‮not‬‏ ‏‮used‬‏ ‏‮by‬‏ ‏‮the‬‏ ‏‮browser‬‏. ‏‮Check‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮the‬‏ `crossorigin` ‏‮attribute‬‏ ‏‮properly‬‏.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"‏‮Consider‬‏ ‏‮adding‬‏ `preconnect` ‏‮or‬‏ `dns-prefetch` ‏‮resource‬‏ ‏‮hints‬‏ ‏‮to‬‏ ‏‮establish‬‏ ‏‮early‬‏ ‏‮connections‬‏ ‏‮to‬‏ ‏‮important‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮origins‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{
message:"‏‮Preconnect‬‏ ‏‮to‬‏ ‏‮required‬‏ ‏‮origins‬‏"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"‏‮More‬‏ ‏‮than‬‏ 2 `<link rel=preconnect>` ‏‮connections‬‏ ‏‮were‬‏ ‏‮found‬‏. ‏‮These‬‏ ‏‮should‬‏ ‏‮be‬‏ ‏‮used‬‏ ‏‮sparingly‬‏ ‏‮and‬‏ ‏‮only‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮most‬‏ ‏‮important‬‏ ‏‮origins‬‏."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'‏‮A‬‏ `<link rel=preconnect>` ‏‮was‬‏ ‏‮found‬‏ ‏‮for‬‏ "{securityOrigin}" ‏‮but‬‏ ‏‮was‬‏ ‏‮not‬‏ ‏‮used‬‏ ‏‮by‬‏ ‏‮the‬‏ ‏‮browser‬‏. ‏‮Only‬‏ ‏‮use‬‏ `preconnect` ‏‮for‬‏ ‏‮important‬‏ ‏‮origins‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮will‬‏ ‏‮certainly‬‏ ‏‮request‬‏.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'‏‮A‬‏ ‏‮preload‬‏ `<link>` ‏‮was‬‏ ‏‮found‬‏ ‏‮for‬‏ "{preloadURL}" ‏‮but‬‏ ‏‮was‬‏ ‏‮not‬‏ ‏‮used‬‏ ‏‮by‬‏ ‏‮the‬‏ ‏‮browser‬‏. ‏‮Check‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮the‬‏ `crossorigin` ‏‮attribute‬‏ ‏‮properly‬‏.'},
"lighthouse-core/audits/uses-rel-preload.js | description":{message:"‏‮Consider‬‏ ‏‮using‬‏ `<link rel=preload>` ‏‮to‬‏ ‏‮prioritize‬‏ ‏‮fetching‬‏ ‏‮resources‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮currently‬‏ ‏‮requested‬‏ ‏‮later‬‏ ‏‮in‬‏ ‏‮page‬‏ ‏‮load‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"‏‮Preload‬‏ ‏‮key‬‏ ‏‮requests‬‏"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"‏‮Map‬‏ ‏‮URL‬‏"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"‏‮Source‬‏ ‏‮maps‬‏ ‏‮translate‬‏ ‏‮minified‬‏ ‏‮code‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮original‬‏ ‏‮source‬‏ ‏‮code‬‏. ‏‮This‬‏ ‏‮helps‬‏ ‏‮developers‬‏ ‏‮debug‬‏ ‏‮in‬‏ ‏‮production‬‏. ‏‮In‬‏ ‏‮addition‬‏, ‏‮Lighthouse‬‏ ‏‮is‬‏ ‏‮able‬‏ ‏‮to‬‏ ‏‮provide‬‏ ‏‮further‬‏ ‏‮insights‬‏. ‏‮Consider‬‏ ‏‮deploying‬‏ ‏‮source‬‏ ‏‮maps‬‏ ‏‮to‬‏ ‏‮take‬‏ ‏‮advantage‬‏ ‏‮of‬‏ ‏‮these‬‏ ‏‮benefits‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"‏‮Missing‬‏ ‏‮source‬‏ ‏‮maps‬‏ ‏‮for‬‏ ‏‮large‬‏ ‏‮first‬‏-‏‮party‬‏ ‏‮JavaScript‬‏"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"‏‮Large‬‏ ‏‮JavaScript‬‏ ‏‮file‬‏ ‏‮is‬‏ ‏‮missing‬‏ ‏‮a‬‏ ‏‮source‬‏ ‏‮map‬‏"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{‏‮Warning‬‏: ‏‮missing‬‏ 1 ‏‮item‬‏ ‏‮in‬‏ `.sourcesContent`}zero{‏‮Warning‬‏: ‏‮missing‬‏ # ‏‮items‬‏ ‏‮in‬‏ `.sourcesContent`}two{‏‮Warning‬‏: ‏‮missing‬‏ # ‏‮items‬‏ ‏‮in‬‏ `.sourcesContent`}few{‏‮Warning‬‏: ‏‮missing‬‏ # ‏‮items‬‏ ‏‮in‬‏ `.sourcesContent`}many{‏‮Warning‬‏: ‏‮missing‬‏ # ‏‮items‬‏ ‏‮in‬‏ `.sourcesContent`}other{‏‮Warning‬‏: ‏‮missing‬‏ # ‏‮items‬‏ ‏‮in‬‏ `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"‏‮Page‬‏ ‏‮has‬‏ ‏‮valid‬‏ ‏‮source‬‏ ‏‮maps‬‏"},"lighthouse-core/audits/viewport.js | description":{message:'‏‮Add‬‏ ‏‮a‬‏ `<meta name="viewport">` ‏‮tag‬‏ ‏‮to‬‏ ‏‮optimize‬‏ ‏‮your‬‏ ‏‮app‬‏ ‏‮for‬‏ ‏‮mobile‬‏ ‏‮screens‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'‏‮No‬‏ `<meta name="viewport">` ‏‮tag‬‏ ‏‮found‬‏'},"lighthouse-core/audits/viewport.js | failureTitle":{
message:'‏‮Does‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ `<meta name="viewport">` ‏‮tag‬‏ ‏‮with‬‏ `width` ‏‮or‬‏ `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'‏‮Has‬‏ ‏‮a‬‏ `<meta name="viewport">` ‏‮tag‬‏ ‏‮with‬‏ `width` ‏‮or‬‏ `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮usage‬‏ ‏‮of‬‏ ‏‮ARIA‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮application‬‏ ‏‮which‬‏ ‏‮may‬‏ ‏‮enhance‬‏ ‏‮the‬‏ ‏‮experience‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮of‬‏ ‏‮assistive‬‏ ‏‮technology‬‏, ‏‮like‬‏ ‏‮a‬‏ ‏‮screen‬‏ ‏‮reader‬‏."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"‏‮ARIA‬‏"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮provide‬‏ ‏‮alternative‬‏ ‏‮content‬‏ ‏‮for‬‏ ‏‮audio‬‏ ‏‮and‬‏ ‏‮video‬‏. ‏‮This‬‏ ‏‮may‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮experience‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮with‬‏ ‏‮hearing‬‏ ‏‮or‬‏ ‏‮vision‬‏ ‏‮impairments‬‏."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"‏‮Audio‬‏ ‏‮and‬‏ ‏‮video‬‏"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"‏‮These‬‏ ‏‮items‬‏ ‏‮highlight‬‏ ‏‮common‬‏ ‏‮accessibility‬‏ ‏‮best‬‏ ‏‮practices‬‏."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"‏‮Best‬‏ ‏‮practices‬‏"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"‏‮These‬‏ ‏‮checks‬‏ ‏‮highlight‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ [‏‮improve‬‏ ‏‮the‬‏ ‏‮accessibility‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮web‬‏ ‏‮app‬‏](https://developers.google.com/web/fundamentals/accessibility). ‏‮Only‬‏ ‏‮a‬‏ ‏‮subset‬‏ ‏‮of‬‏ ‏‮accessibility‬‏ ‏‮issues‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮automatically‬‏ ‏‮detected‬‏ ‏‮so‬‏ ‏‮manual‬‏ ‏‮testing‬‏ ‏‮is‬‏ ‏‮also‬‏ ‏‮encouraged‬‏."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"‏‮These‬‏ ‏‮items‬‏ ‏‮address‬‏ ‏‮areas‬‏ ‏‮which‬‏ ‏‮an‬‏ ‏‮automated‬‏ ‏‮testing‬‏ ‏‮tool‬‏ ‏‮cannot‬‏ ‏‮cover‬‏. ‏‮Learn‬‏ ‏‮more‬‏ ‏‮in‬‏ ‏‮our‬‏ ‏‮guide‬‏ ‏‮on‬‏ [‏‮conducting‬‏ ‏‮an‬‏ ‏‮accessibility‬‏ ‏‮review‬‏](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"‏‮Accessibility‬‏"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{
message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮legibility‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮content‬‏."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"‏‮Contrast‬‏"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮interpretation‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮content‬‏ ‏‮by‬‏ ‏‮users‬‏ ‏‮in‬‏ ‏‮different‬‏ ‏‮locales‬‏."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"‏‮Internationalization‬‏ ‏‮and‬‏ ‏‮localization‬‏"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮semantics‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮controls‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮application‬‏. ‏‮This‬‏ ‏‮may‬‏ ‏‮enhance‬‏ ‏‮the‬‏ ‏‮experience‬‏ ‏‮for‬‏ ‏‮users‬‏ ‏‮of‬‏ ‏‮assistive‬‏ ‏‮technology‬‏, ‏‮like‬‏ ‏‮a‬‏ ‏‮screen‬‏ ‏‮reader‬‏."},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"‏‮Names‬‏ ‏‮and‬‏ ‏‮labels‬‏"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮keyboard‬‏ ‏‮navigation‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮application‬‏."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"‏‮Navigation‬‏"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"‏‮These‬‏ ‏‮are‬‏ ‏‮opportunities‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮the‬‏ ‏‮experience‬‏ ‏‮of‬‏ ‏‮reading‬‏ ‏‮tabular‬‏ ‏‮or‬‏ ‏‮list‬‏ ‏‮data‬‏ ‏‮using‬‏ ‏‮assistive‬‏ ‏‮technology‬‏, ‏‮like‬‏ ‏‮a‬‏ ‏‮screen‬‏ ‏‮reader‬‏."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"‏‮Tables‬‏ ‏‮and‬‏ ‏‮lists‬‏"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"‏‮Browser‬‏ ‏‮Compatibility‬‏"},
"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"‏‮Best‬‏ ‏‮Practices‬‏"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"‏‮General‬‏"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"‏‮Trust‬‏ ‏‮and‬‏ ‏‮Safety‬‏"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"‏‮User‬‏ ‏‮Experience‬‏"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"‏‮Performance‬‏ ‏‮budgets‬‏ ‏‮set‬‏ ‏‮standards‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮performance‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮site‬‏."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"‏‮Budgets‬‏"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{
message:"‏‮More‬‏ ‏‮information‬‏ ‏‮about‬‏ ‏‮the‬‏ ‏‮performance‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮application‬‏. ‏‮These‬‏ ‏‮numbers‬‏ ‏‮don‬‏'‏‮t‬‏ [‏‮directly‬‏ ‏‮affect‬‏](https://web.dev/performance-scoring/) ‏‮the‬‏ ‏‮Performance‬‏ ‏‮score‬‏."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"‏‮Diagnostics‬‏"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"‏‮The‬‏ ‏‮most‬‏ ‏‮critical‬‏ ‏‮aspect‬‏ ‏‮of‬‏ ‏‮performance‬‏ ‏‮is‬‏ ‏‮how‬‏ ‏‮quickly‬‏ ‏‮pixels‬‏ ‏‮are‬‏ ‏‮rendered‬‏ ‏‮onscreen‬‏. ‏‮Key‬‏ ‏‮metrics‬‏: ‏‮First‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏, ‏‮First‬‏ ‏‮Meaningful‬‏ ‏‮Paint‬‏"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"‏‮First‬‏ ‏‮Paint‬‏ ‏‮Improvements‬‏"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"‏‮These‬‏ ‏‮suggestions‬‏ ‏‮can‬‏ ‏‮help‬‏ ‏‮your‬‏ ‏‮page‬‏ ‏‮load‬‏ ‏‮faster‬‏. ‏‮They‬‏ ‏‮don‬‏'‏‮t‬‏ [‏‮directly‬‏ ‏‮affect‬‏](https://web.dev/performance-scoring/) ‏‮the‬‏ ‏‮Performance‬‏ ‏‮score‬‏."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"‏‮Opportunities‬‏"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"‏‮Metrics‬‏"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"‏‮Enhance‬‏ ‏‮the‬‏ ‏‮overall‬‏ ‏‮loading‬‏ ‏‮experience‬‏, ‏‮so‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮responsive‬‏ ‏‮and‬‏ ‏‮ready‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮as‬‏ ‏‮soon‬‏ ‏‮as‬‏ ‏‮possible‬‏. ‏‮Key‬‏ ‏‮metrics‬‏: ‏‮Time‬‏ ‏‮to‬‏ ‏‮Interactive‬‏, ‏‮Speed‬‏ ‏‮Index‬‏"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"‏‮Overall‬‏ ‏‮Improvements‬‏"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"‏‮Performance‬‏"},
"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"‏‮These‬‏ ‏‮checks‬‏ ‏‮validate‬‏ ‏‮the‬‏ ‏‮aspects‬‏ ‏‮of‬‏ ‏‮a‬‏ ‏‮Progressive‬‏ ‏‮Web‬‏ ‏‮App‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"‏‮These‬‏ ‏‮checks‬‏ ‏‮are‬‏ ‏‮required‬‏ ‏‮by‬‏ ‏‮the‬‏ ‏‮baseline‬‏ [‏‮PWA‬‏ ‏‮Checklist‬‏](https://developers.google.com/web/progressive-web-apps/checklist) ‏‮but‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮automatically‬‏ ‏‮checked‬‏ ‏‮by‬‏ ‏‮Lighthouse‬‏. ‏‮They‬‏ ‏‮do‬‏ ‏‮not‬‏ ‏‮affect‬‏ ‏‮your‬‏ ‏‮score‬‏ ‏‮but‬‏ ‏‮it‬‏'‏‮s‬‏ ‏‮important‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮verify‬‏ ‏‮them‬‏ ‏‮manually‬‏."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"‏‮Progressive‬‏ ‏‮Web‬‏ ‏‮App‬‏"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"‏‮Installable‬‏"},
"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"‏‮PWA‬‏ ‏‮Optimized‬‏"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"‏‮These‬‏ ‏‮checks‬‏ ‏‮ensure‬‏ ‏‮that‬‏ ‏‮your‬‏ ‏‮page‬‏ ‏‮is‬‏ ‏‮optimized‬‏ ‏‮for‬‏ ‏‮search‬‏ ‏‮engine‬‏ ‏‮results‬‏ ‏‮ranking‬‏. ‏‮There‬‏ ‏‮are‬‏ ‏‮additional‬‏ ‏‮factors‬‏ ‏‮Lighthouse‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮check‬‏ ‏‮that‬‏ ‏‮may‬‏ ‏‮affect‬‏ ‏‮your‬‏ ‏‮search‬‏ ‏‮ranking‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"‏‮Run‬‏ ‏‮these‬‏ ‏‮additional‬‏ ‏‮validators‬‏ ‏‮on‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮to‬‏ ‏‮check‬‏ ‏‮additional‬‏ ‏‮SEO‬‏ ‏‮best‬‏ ‏‮practices‬‏."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"‏‮SEO‬‏"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"‏‮Format‬‏ ‏‮your‬‏ ‏‮HTML‬‏ ‏‮in‬‏ ‏‮a‬‏ ‏‮way‬‏ ‏‮that‬‏ ‏‮enables‬‏ ‏‮crawlers‬‏ ‏‮to‬‏ ‏‮better‬‏ ‏‮understand‬‏ ‏‮your‬‏ ‏‮app‬‏’‏‮s‬‏ ‏‮content‬‏."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"‏‮Content‬‏ ‏‮Best‬‏ ‏‮Practices‬‏"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"‏‮To‬‏ ‏‮appear‬‏ ‏‮in‬‏ ‏‮search‬‏ ‏‮results‬‏, ‏‮crawlers‬‏ ‏‮need‬‏ ‏‮access‬‏ ‏‮to‬‏ ‏‮your‬‏ ‏‮app‬‏."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"‏‮Crawling‬‏ ‏‮and‬‏ ‏‮Indexing‬‏"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"‏‮Make‬‏ ‏‮sure‬‏ ‏‮your‬‏ ‏‮pages‬‏ ‏‮are‬‏ ‏‮mobile‬‏ ‏‮friendly‬‏ ‏‮so‬‏ ‏‮users‬‏ ‏‮don‬‏’‏‮t‬‏ ‏‮have‬‏ ‏‮to‬‏ ‏‮pinch‬‏ ‏‮or‬‏ ‏‮zoom‬‏ ‏‮in‬‏ ‏‮order‬‏ ‏‮to‬‏ ‏‮read‬‏ ‏‮the‬‏ ‏‮content‬‏ ‏‮pages‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://developers.google.com/search/mobile-sites/)."},
"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"‏‮Mobile‬‏ ‏‮Friendly‬‏"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"‏‮The‬‏ ‏‮tested‬‏ ‏‮device‬‏ ‏‮appears‬‏ ‏‮to‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮slower‬‏ ‏‮CPU‬‏ ‏‮than‬‏  ‏‮Lighthouse‬‏ ‏‮expects‬‏. ‏‮This‬‏ ‏‮can‬‏ ‏‮negatively‬‏ ‏‮affect‬‏ ‏‮your‬‏ ‏‮performance‬‏ ‏‮score‬‏. ‏‮Learn‬‏ ‏‮more‬‏ ‏‮about‬‏ [‏‮calibrating‬‏ ‏‮an‬‏ ‏‮appropriate‬‏ ‏‮CPU‬‏ ‏‮slowdown‬‏ ‏‮multiplier‬‏](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"‏‮The‬‏ ‏‮page‬‏ ‏‮may‬‏ ‏‮not‬‏ ‏‮be‬‏ ‏‮loading‬‏ ‏‮as‬‏ ‏‮expected‬‏ ‏‮because‬‏ ‏‮your‬‏ ‏‮test‬‏ ‏‮URL‬‏ ({requested}) ‏‮was‬‏ ‏‮redirected‬‏ ‏‮to‬‏ {final}. ‏‮Try‬‏ ‏‮testing‬‏ ‏‮the‬‏ ‏‮second‬‏ ‏‮URL‬‏ ‏‮directly‬‏."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{
message:"‏‮The‬‏ ‏‮page‬‏ ‏‮loaded‬‏ ‏‮too‬‏ ‏‮slowly‬‏ ‏‮to‬‏ ‏‮finish‬‏ ‏‮within‬‏ ‏‮the‬‏ ‏‮time‬‏ ‏‮limit‬‏. ‏‮Results‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮incomplete‬‏."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{‏‮There‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮stored‬‏ ‏‮data‬‏ ‏‮affecting‬‏ ‏‮loading‬‏ ‏‮performance‬‏ ‏‮in‬‏ ‏‮this‬‏ ‏‮location‬‏: {locations}. ‏‮Audit‬‏ ‏‮this‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮resources‬‏ ‏‮from‬‏ ‏‮affecting‬‏ ‏‮your‬‏ ‏‮scores‬‏.}zero{‏‮There‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮stored‬‏ ‏‮data‬‏ ‏‮affecting‬‏ ‏‮loading‬‏ ‏‮performance‬‏ ‏‮in‬‏ ‏‮these‬‏ ‏‮locations‬‏: {locations}. ‏‮Audit‬‏ ‏‮this‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮resources‬‏ ‏‮from‬‏ ‏‮affecting‬‏ ‏‮your‬‏ ‏‮scores‬‏.}two{‏‮There‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮stored‬‏ ‏‮data‬‏ ‏‮affecting‬‏ ‏‮loading‬‏ ‏‮performance‬‏ ‏‮in‬‏ ‏‮these‬‏ ‏‮locations‬‏: {locations}. ‏‮Audit‬‏ ‏‮this‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮resources‬‏ ‏‮from‬‏ ‏‮affecting‬‏ ‏‮your‬‏ ‏‮scores‬‏.}few{‏‮There‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮stored‬‏ ‏‮data‬‏ ‏‮affecting‬‏ ‏‮loading‬‏ ‏‮performance‬‏ ‏‮in‬‏ ‏‮these‬‏ ‏‮locations‬‏: {locations}. ‏‮Audit‬‏ ‏‮this‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮resources‬‏ ‏‮from‬‏ ‏‮affecting‬‏ ‏‮your‬‏ ‏‮scores‬‏.}many{‏‮There‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮stored‬‏ ‏‮data‬‏ ‏‮affecting‬‏ ‏‮loading‬‏ ‏‮performance‬‏ ‏‮in‬‏ ‏‮these‬‏ ‏‮locations‬‏: {locations}. ‏‮Audit‬‏ ‏‮this‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮resources‬‏ ‏‮from‬‏ ‏‮affecting‬‏ ‏‮your‬‏ ‏‮scores‬‏.}other{‏‮There‬‏ ‏‮may‬‏ ‏‮be‬‏ ‏‮stored‬‏ ‏‮data‬‏ ‏‮affecting‬‏ ‏‮loading‬‏ ‏‮performance‬‏ ‏‮in‬‏ ‏‮these‬‏ ‏‮locations‬‏: {locations}. ‏‮Audit‬‏ ‏‮this‬‏ ‏‮page‬‏ ‏‮in‬‏ ‏‮an‬‏ ‏‮incognito‬‏ ‏‮window‬‏ ‏‮to‬‏ ‏‮prevent‬‏ ‏‮those‬‏ ‏‮resources‬‏ ‏‮from‬‏ ‏‮affecting‬‏ ‏‮your‬‏ ‏‮scores‬‏.}}"
},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"‏‮Consider‬‏ ‏‮adding‬‏ ‏‮https‬‏: ‏‮and‬‏ ‏‮http‬‏: ‏‮URL‬‏ ‏‮schemes‬‏ (‏‮ignored‬‏ ‏‮by‬‏ ‏‮browsers‬‏ ‏‮supporting‬‏ '‏‮strict‬‏-‏‮dynamic‬‏') ‏‮to‬‏ ‏‮be‬‏ ‏‮backward‬‏ ‏‮compatible‬‏ ‏‮with‬‏ ‏‮older‬‏ ‏‮browsers‬‏."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"‏‮disown‬‏-‏‮opener‬‏ ‏‮is‬‏ ‏‮deprecated‬‏ ‏‮since‬‏ ‏‮CSP‬‏3. ‏‮Please‬‏, ‏‮use‬‏ ‏‮the‬‏ ‏‮Cross‬‏-‏‮Origin‬‏-‏‮Opener‬‏-‏‮Policy‬‏ ‏‮header‬‏ ‏‮instead‬‏."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"‏‮referrer‬‏ ‏‮is‬‏ ‏‮deprecated‬‏ ‏‮since‬‏ ‏‮CSP‬‏2. ‏‮Please‬‏, ‏‮use‬‏ ‏‮the‬‏ ‏‮Referrer‬‏-‏‮Policy‬‏ ‏‮header‬‏ ‏‮instead‬‏."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"‏‮reflected‬‏-‏‮xss‬‏ ‏‮is‬‏ ‏‮deprecated‬‏ ‏‮since‬‏ ‏‮CSP‬‏2. ‏‮Please‬‏, ‏‮use‬‏ ‏‮the‬‏ ‏‮X‬‏-‏‮XSS‬‏-‏‮Protection‬‏ ‏‮header‬‏ ‏‮instead‬‏."},
"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"‏‮Missing‬‏ ‏‮base‬‏-‏‮uri‬‏ ‏‮allows‬‏ ‏‮injected‬‏ <base> ‏‮tags‬‏ ‏‮to‬‏ ‏‮set‬‏ ‏‮the‬‏ ‏‮base‬‏ ‏‮URL‬‏ ‏‮for‬‏ ‏‮all‬‏ ‏‮relative‬‏ ‏‮URLs‬‏ (‏‮e‬‏.‏‮g‬‏. ‏‮scripts‬‏) ‏‮to‬‏ ‏‮an‬‏ ‏‮attacker‬‏ ‏‮controlled‬‏ ‏‮domain‬‏. ‏‮Consider‬‏ ‏‮setting‬‏ ‏‮base‬‏-‏‮uri‬‏ ‏‮to‬‏ '‏‮none‬‏' ‏‮or‬‏ '‏‮self‬‏'."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"‏‮Elements‬‏ ‏‮controlled‬‏ ‏‮by‬‏ ‏‮object‬‏-‏‮src‬‏ ‏‮are‬‏ ‏‮considered‬‏ ‏‮legacy‬‏ ‏‮features‬‏. ‏‮Consider‬‏ ‏‮setting‬‏ ‏‮object‬‏-‏‮src‬‏ ‏‮to‬‏ '‏‮none‬‏' ‏‮to‬‏ ‏‮prevent‬‏ ‏‮the‬‏ ‏‮injection‬‏ ‏‮of‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮execute‬‏ ‏‮unsafe‬‏ ‏‮scripts‬‏."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"‏‮script‬‏-‏‮src‬‏ ‏‮directive‬‏ ‏‮is‬‏ ‏‮missing‬‏. ‏‮This‬‏ ‏‮can‬‏ ‏‮allow‬‏ ‏‮the‬‏ ‏‮execution‬‏ ‏‮of‬‏ ‏‮unsafe‬‏ ‏‮scripts‬‏."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{
message:"‏‮Did‬‏ ‏‮you‬‏ ‏‮forget‬‏ ‏‮the‬‏ ‏‮semicolon‬‏? {keyword} ‏‮seems‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮a‬‏ ‏‮directive‬‏, ‏‮not‬‏ ‏‮a‬‏ ‏‮keyword‬‏."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"‏‮Nonces‬‏ ‏‮should‬‏ ‏‮use‬‏ ‏‮the‬‏ ‏‮base‬‏64 ‏‮charset‬‏."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"‏‮Nonces‬‏ ‏‮should‬‏ ‏‮be‬‏ ‏‮at‬‏ ‏‮least‬‏ 8 ‏‮characters‬‏ ‏‮long‬‏."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"‏‮The‬‏ ‏‮reporting‬‏ ‏‮destination‬‏ ‏‮is‬‏ ‏‮only‬‏ ‏‮configured‬‏ ‏‮via‬‏ ‏‮the‬‏ ‏‮report‬‏-‏‮to‬‏ ‏‮directive‬‏. ‏‮This‬‏ ‏‮directive‬‏ ‏‮is‬‏ ‏‮only‬‏ ‏‮supported‬‏ ‏‮in‬‏ ‏‮Chromium‬‏-‏‮based‬‏ ‏‮browsers‬‏ ‏‮so‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮recommended‬‏ ‏‮to‬‏ ‏‮also‬‏ ‏‮use‬‏ ‏‮a‬‏ ‏‮report‬‏-‏‮uri‬‏ ‏‮directive‬‏."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"‏‮No‬‏ ‏‮CSP‬‏ ‏‮configures‬‏ ‏‮a‬‏ ‏‮reporting‬‏ ‏‮destination‬‏. ‏‮This‬‏ ‏‮makes‬‏ ‏‮it‬‏ ‏‮difficult‬‏ ‏‮to‬‏ ‏‮maintain‬‏ ‏‮the‬‏ ‏‮CSP‬‏ ‏‮over‬‏ ‏‮time‬‏ ‏‮and‬‏ ‏‮monitor‬‏ ‏‮for‬‏ ‏‮any‬‏ ‏‮breakages‬‏."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"‏‮Host‬‏ ‏‮allowlists‬‏ ‏‮can‬‏ ‏‮frequently‬‏ ‏‮be‬‏ ‏‮bypassed‬‏. ‏‮Consider‬‏ ‏‮using‬‏ '‏‮strict‬‏-‏‮dynamic‬‏' ‏‮in‬‏ ‏‮combination‬‏ ‏‮with‬‏ ‏‮CSP‬‏ ‏‮nonces‬‏ ‏‮or‬‏ ‏‮hashes‬‏."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"‏‮Unknown‬‏ ‏‮CSP‬‏ ‏‮directive‬‏."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} ‏‮seems‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮an‬‏ ‏‮invalid‬‏ ‏‮keyword‬‏."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"'‏‮unsafe‬‏-‏‮inline‬‏' ‏‮allows‬‏ ‏‮the‬‏ ‏‮execution‬‏ ‏‮of‬‏ ‏‮unsafe‬‏ ‏‮in‬‏-‏‮page‬‏ ‏‮scripts‬‏ ‏‮and‬‏ ‏‮event‬‏ ‏‮handlers‬‏. ‏‮Consider‬‏ ‏‮using‬‏ ‏‮CSP‬‏ ‏‮nonces‬‏ ‏‮or‬‏ ‏‮hashes‬‏ ‏‮to‬‏ ‏‮allow‬‏ ‏‮scripts‬‏ ‏‮individually‬‏."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"‏‮Consider‬‏ ‏‮adding‬‏ '‏‮unsafe‬‏-‏‮inline‬‏' (‏‮ignored‬‏ ‏‮by‬‏ ‏‮browsers‬‏ ‏‮supporting‬‏ ‏‮nonces‬‏/‏‮hashes‬‏) ‏‮to‬‏ ‏‮be‬‏ ‏‮backward‬‏ ‏‮compatible‬‏ ‏‮with‬‏ ‏‮older‬‏ ‏‮browsers‬‏."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"‏‮Main‬‏-‏‮Thread‬‏ ‏‮Blocking‬‏ ‏‮Time‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"‏‮Cache‬‏ ‏‮TTL‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"‏‮Description‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"‏‮Duration‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"‏‮Element‬‏"},
"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"‏‮Failing‬‏ ‏‮Elements‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"‏‮Location‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"‏‮Name‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"‏‮Over‬‏ ‏‮Budget‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"‏‮Requests‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"‏‮Resource‬‏ ‏‮Size‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"‏‮Resource‬‏ ‏‮Type‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"‏‮Size‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"‏‮Source‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"‏‮Start‬‏ ‏‮Time‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"‏‮Time‬‏ ‏‮Spent‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"‏‮Transfer‬‏ ‏‮Size‬‏"},
"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"‏‮URL‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"‏‮Potential‬‏ ‏‮Savings‬‏"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"‏‮Potential‬‏ ‏‮Savings‬‏"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"‏‮Cumulative‬‏ ‏‮Layout‬‏ ‏‮Shift‬‏"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"‏‮Potential‬‏ ‏‮savings‬‏ ‏‮of‬‏ {wastedBytes, number, bytes} ‏‮KiB‬‏"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 ‏‮element‬‏ ‏‮found‬‏}zero{# ‏‮elements‬‏ ‏‮found‬‏}two{# ‏‮elements‬‏ ‏‮found‬‏}few{# ‏‮elements‬‏ ‏‮found‬‏}many{# ‏‮elements‬‏ ‏‮found‬‏}other{# ‏‮elements‬‏ ‏‮found‬‏}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"‏‮Potential‬‏ ‏‮savings‬‏ ‏‮of‬‏ {wastedMs, number, milliseconds} ‏‮ms‬‏"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{
message:"‏‮Document‬‏"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"‏‮First‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"‏‮First‬‏ ‏‮Meaningful‬‏ ‏‮Paint‬‏"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"‏‮Font‬‏"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"‏‮Image‬‏"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"‏‮Time‬‏ ‏‮to‬‏ ‏‮Interactive‬‏"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"‏‮High‬‏"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"‏‮Low‬‏"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"‏‮Medium‬‏"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"‏‮Largest‬‏ ‏‮Contentful‬‏ ‏‮Paint‬‏"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"‏‮Max‬‏ ‏‮Potential‬‏ ‏‮First‬‏ ‏‮Input‬‏ ‏‮Delay‬‏"},
"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"‏‮Media‬‏"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ‏‮ms‬‏"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"‏‮Other‬‏"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"‏‮Other‬‏ ‏‮resources‬‏"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"‏‮Script‬‏"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} ‏‮s‬‏"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"‏‮Speed‬‏ ‏‮Index‬‏"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"‏‮Stylesheet‬‏"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"‏‮Third‬‏-‏‮party‬‏"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"‏‮Total‬‏ ‏‮Blocking‬‏ ‏‮Time‬‏"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"‏‮Total‬‏"},
"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"‏‮Something‬‏ ‏‮went‬‏ ‏‮wrong‬‏ ‏‮with‬‏ ‏‮recording‬‏ ‏‮the‬‏ ‏‮trace‬‏ ‏‮over‬‏ ‏‮your‬‏ ‏‮page‬‏ ‏‮load‬‏. ‏‮Please‬‏ ‏‮run‬‏ ‏‮Lighthouse‬‏ ‏‮again‬‏. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"‏‮Timeout‬‏ ‏‮waiting‬‏ ‏‮for‬‏ ‏‮initial‬‏ ‏‮Debugger‬‏ ‏‮Protocol‬‏ ‏‮connection‬‏."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"‏‮Chrome‬‏ ‏‮didn‬‏'‏‮t‬‏ ‏‮collect‬‏ ‏‮any‬‏ ‏‮screenshots‬‏ ‏‮during‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮load‬‏. ‏‮Please‬‏ ‏‮make‬‏ ‏‮sure‬‏ ‏‮there‬‏ ‏‮is‬‏ ‏‮content‬‏ ‏‮visible‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏, ‏‮and‬‏ ‏‮then‬‏ ‏‮try‬‏ ‏‮re‬‏-‏‮running‬‏ ‏‮Lighthouse‬‏. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"‏‮DNS‬‏ ‏‮servers‬‏ ‏‮could‬‏ ‏‮not‬‏ ‏‮resolve‬‏ ‏‮the‬‏ ‏‮provided‬‏ ‏‮domain‬‏."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{
message:"‏‮Required‬‏ {artifactName} ‏‮gatherer‬‏ ‏‮encountered‬‏ ‏‮an‬‏ ‏‮error‬‏: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"‏‮An‬‏ ‏‮internal‬‏ ‏‮Chrome‬‏ ‏‮error‬‏ ‏‮occurred‬‏. ‏‮Please‬‏ ‏‮restart‬‏ ‏‮Chrome‬‏ ‏‮and‬‏ ‏‮try‬‏ ‏‮re‬‏-‏‮running‬‏ ‏‮Lighthouse‬‏."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"‏‮Required‬‏ {artifactName} ‏‮gatherer‬‏ ‏‮did‬‏ ‏‮not‬‏ ‏‮run‬‏."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"‏‮The‬‏ ‏‮page‬‏ ‏‮did‬‏ ‏‮not‬‏ ‏‮paint‬‏ ‏‮any‬‏ ‏‮content‬‏. ‏‮Please‬‏ ‏‮ensure‬‏ ‏‮you‬‏ ‏‮keep‬‏ ‏‮the‬‏ ‏‮browser‬‏ ‏‮window‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮foreground‬‏ ‏‮during‬‏ ‏‮the‬‏ ‏‮load‬‏ ‏‮and‬‏ ‏‮try‬‏ ‏‮again‬‏. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"‏‮The‬‏ ‏‮page‬‏ ‏‮provided‬‏ ‏‮is‬‏ ‏‮not‬‏ ‏‮HTML‬‏ (‏‮served‬‏ ‏‮as‬‏ ‏‮MIME‬‏ ‏‮type‬‏ {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{
message:"‏‮This‬‏ ‏‮version‬‏ ‏‮of‬‏ ‏‮Chrome‬‏ ‏‮is‬‏ ‏‮too‬‏ ‏‮old‬‏ ‏‮to‬‏ ‏‮support‬‏ '{featureName}'. ‏‮Use‬‏ ‏‮a‬‏ ‏‮newer‬‏ ‏‮version‬‏ ‏‮to‬‏ ‏‮see‬‏ ‏‮full‬‏ ‏‮results‬‏."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮reliably‬‏ ‏‮load‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮you‬‏ ‏‮requested‬‏. ‏‮Make‬‏ ‏‮sure‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮testing‬‏ ‏‮the‬‏ ‏‮correct‬‏ ‏‮URL‬‏ ‏‮and‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮is‬‏ ‏‮properly‬‏ ‏‮responding‬‏ ‏‮to‬‏ ‏‮all‬‏ ‏‮requests‬‏."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮reliably‬‏ ‏‮load‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮you‬‏ ‏‮requested‬‏ ‏‮because‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮stopped‬‏ ‏‮responding‬‏."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"‏‮The‬‏ ‏‮URL‬‏ ‏‮you‬‏ ‏‮have‬‏ ‏‮provided‬‏ ‏‮does‬‏ ‏‮not‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮valid‬‏ ‏‮security‬‏ ‏‮certificate‬‏. {securityMessages}"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"‏‮Chrome‬‏ ‏‮prevented‬‏ ‏‮page‬‏ ‏‮load‬‏ ‏‮with‬‏ ‏‮an‬‏ ‏‮interstitial‬‏. ‏‮Make‬‏ ‏‮sure‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮testing‬‏ ‏‮the‬‏ ‏‮correct‬‏ ‏‮URL‬‏ ‏‮and‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮is‬‏ ‏‮properly‬‏ ‏‮responding‬‏ ‏‮to‬‏ ‏‮all‬‏ ‏‮requests‬‏."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮reliably‬‏ ‏‮load‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮you‬‏ ‏‮requested‬‏. ‏‮Make‬‏ ‏‮sure‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮testing‬‏ ‏‮the‬‏ ‏‮correct‬‏ ‏‮URL‬‏ ‏‮and‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮is‬‏ ‏‮properly‬‏ ‏‮responding‬‏ ‏‮to‬‏ ‏‮all‬‏ ‏‮requests‬‏. (‏‮Details‬‏: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"‏‮Lighthouse‬‏ ‏‮was‬‏ ‏‮unable‬‏ ‏‮to‬‏ ‏‮reliably‬‏ ‏‮load‬‏ ‏‮the‬‏ ‏‮page‬‏ ‏‮you‬‏ ‏‮requested‬‏. ‏‮Make‬‏ ‏‮sure‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮testing‬‏ ‏‮the‬‏ ‏‮correct‬‏ ‏‮URL‬‏ ‏‮and‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮is‬‏ ‏‮properly‬‏ ‏‮responding‬‏ ‏‮to‬‏ ‏‮all‬‏ ‏‮requests‬‏. (‏‮Status‬‏ ‏‮code‬‏: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"‏‮Your‬‏ ‏‮page‬‏ ‏‮took‬‏ ‏‮too‬‏ ‏‮long‬‏ ‏‮to‬‏ ‏‮load‬‏. ‏‮Please‬‏ ‏‮follow‬‏ ‏‮the‬‏ ‏‮opportunities‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮report‬‏ ‏‮to‬‏ ‏‮reduce‬‏ ‏‮your‬‏ ‏‮page‬‏ ‏‮load‬‏ ‏‮time‬‏, ‏‮and‬‏ ‏‮then‬‏ ‏‮try‬‏ ‏‮re‬‏-‏‮running‬‏ ‏‮Lighthouse‬‏. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"‏‮Waiting‬‏ ‏‮for‬‏ ‏‮DevTools‬‏ ‏‮protocol‬‏ ‏‮response‬‏ ‏‮has‬‏ ‏‮exceeded‬‏ ‏‮the‬‏ ‏‮allotted‬‏ ‏‮time‬‏. (‏‮Method‬‏: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{
message:"‏‮Fetching‬‏ ‏‮resource‬‏ ‏‮content‬‏ ‏‮has‬‏ ‏‮exceeded‬‏ ‏‮the‬‏ ‏‮allotted‬‏ ‏‮time‬‏"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"‏‮The‬‏ ‏‮URL‬‏ ‏‮you‬‏ ‏‮have‬‏ ‏‮provided‬‏ ‏‮appears‬‏ ‏‮to‬‏ ‏‮be‬‏ ‏‮invalid‬‏."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"‏‮All‬‏"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"‏‮All‬‏ ‏‮Scripts‬‏"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"‏‮Coverage‬‏"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"‏‮Duplicate‬‏ ‏‮Modules‬‏"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"‏‮Resource‬‏ ‏‮Bytes‬‏"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"‏‮Name‬‏"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"‏‮Toggle‬‏ ‏‮Table‬‏"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"‏‮Unused‬‏ ‏‮Bytes‬‏"},
"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"‏‮For‬‏ ‏‮animated‬‏ ‏‮content‬‏, ‏‮use‬‏ [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) ‏‮to‬‏ ‏‮minimize‬‏ ‏‮CPU‬‏ ‏‮usage‬‏ ‏‮when‬‏ ‏‮the‬‏ ‏‮content‬‏ ‏‮is‬‏ ‏‮offscreen‬‏."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"‏‮Consider‬‏ ‏‮displaying‬‏ ‏‮all‬‏ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ‏‮components‬‏ ‏‮in‬‏ ‏‮WebP‬‏ ‏‮formats‬‏ ‏‮while‬‏ ‏‮specifying‬‏ ‏‮an‬‏ ‏‮appropriate‬‏ ‏‮fallback‬‏ ‏‮for‬‏ ‏‮other‬‏ ‏‮browsers‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"‏‮Ensure‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ‏‮for‬‏ ‏‮images‬‏ ‏‮to‬‏ ‏‮automatically‬‏ ‏‮lazy‬‏-‏‮load‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"‏‮Use‬‏ ‏‮tools‬‏ ‏‮such‬‏ ‏‮as‬‏ [‏‮AMP‬‏ ‏‮Optimizer‬‏](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) ‏‮to‬‏ [‏‮server‬‏-‏‮side‬‏ ‏‮render‬‏ ‏‮AMP‬‏ ‏‮layouts‬‏](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"‏‮Refer‬‏ ‏‮to‬‏ ‏‮the‬‏ [‏‮AMP‬‏ ‏‮documentation‬‏](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) ‏‮to‬‏ ‏‮ensure‬‏ ‏‮all‬‏ ‏‮styles‬‏ ‏‮are‬‏ ‏‮supported‬‏."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"‏‮The‬‏ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ‏‮component‬‏ ‏‮supports‬‏ ‏‮the‬‏ [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) ‏‮attribute‬‏ ‏‮to‬‏ ‏‮specify‬‏ ‏‮which‬‏ ‏‮image‬‏ ‏‮assets‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮based‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮screen‬‏ ‏‮size‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"‏‮Consider‬‏ ‏‮virtual‬‏ ‏‮scrolling‬‏ ‏‮with‬‏ ‏‮the‬‏ ‏‮Component‬‏ ‏‮Dev‬‏ ‏‮Kit‬‏ (‏‮CDK‬‏) ‏‮if‬‏ ‏‮very‬‏ ‏‮large‬‏ ‏‮lists‬‏ ‏‮are‬‏ ‏‮being‬‏ ‏‮rendered‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"‏‮Apply‬‏ [‏‮route‬‏-‏‮level‬‏ ‏‮code‬‏ ‏‮splitting‬‏](https://web.dev/route-level-code-splitting-in-angular/) ‏‮to‬‏ ‏‮minimize‬‏ ‏‮the‬‏ ‏‮size‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮JavaScript‬‏ ‏‮bundles‬‏. ‏‮Also‬‏, ‏‮consider‬‏ ‏‮precaching‬‏ ‏‮assets‬‏ ‏‮with‬‏ ‏‮the‬‏ [‏‮Angular‬‏ ‏‮service‬‏ ‏‮worker‬‏](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮Angular‬‏ ‏‮CLI‬‏, ‏‮ensure‬‏ ‏‮that‬‏ ‏‮builds‬‏ ‏‮are‬‏ ‏‮generated‬‏ ‏‮in‬‏ ‏‮production‬‏ ‏‮mode‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮Angular‬‏ ‏‮CLI‬‏, ‏‮include‬‏ ‏‮source‬‏ ‏‮maps‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮production‬‏ ‏‮build‬‏ ‏‮to‬‏ ‏‮inspect‬‏ ‏‮your‬‏ ‏‮bundles‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"‏‮Preload‬‏ ‏‮routes‬‏ ‏‮ahead‬‏ ‏‮of‬‏ ‏‮time‬‏ ‏‮to‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮navigation‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮the‬‏ `BreakpointObserver` ‏‮utility‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮Component‬‏ ‏‮Dev‬‏ ‏‮Kit‬‏ (‏‮CDK‬‏) ‏‮to‬‏ ‏‮manage‬‏ ‏‮image‬‏ ‏‮breakpoints‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{
message:"‏‮Consider‬‏ ‏‮uploading‬‏ ‏‮your‬‏ ‏‮GIF‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮which‬‏ ‏‮will‬‏ ‏‮make‬‏ ‏‮it‬‏ ‏‮available‬‏ ‏‮to‬‏ ‏‮embed‬‏ ‏‮as‬‏ ‏‮an‬‏ ‏‮HTML‬‏5 ‏‮video‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"‏‮Specify‬‏ `@font-display` ‏‮when‬‏ ‏‮defining‬‏ ‏‮custom‬‏ ‏‮fonts‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮theme‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"‏‮Consider‬‏ ‏‮installing‬‏ ‏‮and‬‏ ‏‮configuring‬‏ [‏‮a‬‏ ‏‮module‬‏ ‏‮to‬‏ ‏‮leverage‬‏ ‏‮WebP‬‏ ‏‮image‬‏ ‏‮formats‬‏](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) ‏‮in‬‏ ‏‮your‬‏ ‏‮site‬‏. ‏‮Such‬‏ ‏‮modules‬‏ ‏‮automatically‬‏ ‏‮generate‬‏ ‏‮a‬‏ ‏‮WebP‬‏ ‏‮version‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮uploaded‬‏ ‏‮images‬‏ ‏‮to‬‏ ‏‮optimize‬‏ ‏‮loading‬‏ ‏‮times‬‏."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"‏‮Install‬‏ [‏‮a‬‏ ‏‮Drupal‬‏ ‏‮module‬‏](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) ‏‮that‬‏ ‏‮can‬‏ ‏‮lazy‬‏ ‏‮load‬‏ ‏‮images‬‏. ‏‮Such‬‏ ‏‮modules‬‏ ‏‮provide‬‏ ‏‮the‬‏ ‏‮ability‬‏ ‏‮to‬‏ ‏‮defer‬‏ ‏‮any‬‏ ‏‮offscreen‬‏ ‏‮images‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮performance‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮a‬‏ ‏‮module‬‏ ‏‮to‬‏ ‏‮inline‬‏ ‏‮critical‬‏ ‏‮CSS‬‏ ‏‮and‬‏ ‏‮JavaScript‬‏, ‏‮or‬‏ ‏‮potentially‬‏ ‏‮load‬‏ ‏‮assets‬‏ ‏‮asynchronously‬‏ ‏‮via‬‏ ‏‮JavaScript‬‏ ‏‮such‬‏ ‏‮as‬‏ ‏‮the‬‏ [‏‮Advanced‬‏ ‏‮CSS‬‏/‏‮JS‬‏ ‏‮Aggregation‬‏](https://www.drupal.org/project/advagg) ‏‮module‬‏. ‏‮Beware‬‏ ‏‮that‬‏ ‏‮optimizations‬‏ ‏‮provided‬‏ ‏‮by‬‏ ‏‮this‬‏ ‏‮module‬‏ ‏‮may‬‏ ‏‮break‬‏ ‏‮your‬‏ ‏‮site‬‏, ‏‮so‬‏ ‏‮you‬‏ ‏‮will‬‏ ‏‮likely‬‏ ‏‮need‬‏ ‏‮to‬‏ ‏‮make‬‏ ‏‮code‬‏ ‏‮changes‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"‏‮Themes‬‏, ‏‮modules‬‏, ‏‮and‬‏ ‏‮server‬‏ ‏‮specifications‬‏ ‏‮all‬‏ ‏‮contribute‬‏ ‏‮to‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏. ‏‮Consider‬‏ ‏‮finding‬‏ ‏‮a‬‏ ‏‮more‬‏ ‏‮optimized‬‏ ‏‮theme‬‏, ‏‮carefully‬‏ ‏‮selecting‬‏ ‏‮an‬‏ ‏‮optimization‬‏ ‏‮module‬‏, ‏‮and‬‏/‏‮or‬‏ ‏‮upgrading‬‏ ‏‮your‬‏ ‏‮server‬‏. ‏‮Your‬‏ ‏‮hosting‬‏ ‏‮servers‬‏ ‏‮should‬‏ ‏‮make‬‏ ‏‮use‬‏ ‏‮of‬‏ ‏‮PHP‬‏ ‏‮opcode‬‏ ‏‮caching‬‏, ‏‮memory‬‏-‏‮caching‬‏ ‏‮to‬‏ ‏‮reduce‬‏ ‏‮database‬‏ ‏‮query‬‏ ‏‮times‬‏ ‏‮such‬‏ ‏‮as‬‏ ‏‮Redis‬‏ ‏‮or‬‏ ‏‮Memcached‬‏, ‏‮as‬‏ ‏‮well‬‏ ‏‮as‬‏ ‏‮optimized‬‏ ‏‮application‬‏ ‏‮logic‬‏ ‏‮to‬‏ ‏‮prepare‬‏ ‏‮pages‬‏ ‏‮faster‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"‏‮Consider‬‏ ‏‮using‬‏ [‏‮Responsive‬‏ ‏‮Image‬‏ ‏‮Styles‬‏](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ‏‮to‬‏ ‏‮reduce‬‏ ‏‮the‬‏ ‏‮size‬‏ ‏‮of‬‏ ‏‮images‬‏ ‏‮loaded‬‏ ‏‮on‬‏ ‏‮your‬‏ ‏‮page‬‏. ‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮Views‬‏ ‏‮to‬‏ ‏‮show‬‏ ‏‮multiple‬‏ ‏‮content‬‏ ‏‮items‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮page‬‏, ‏‮consider‬‏ ‏‮implementing‬‏ ‏‮pagination‬‏ ‏‮to‬‏ ‏‮limit‬‏ ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮content‬‏ ‏‮items‬‏ ‏‮shown‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮given‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'‏‮Ensure‬‏ ‏‮you‬‏ ‏‮have‬‏ ‏‮enabled‬‏ "‏‮Aggregate‬‏ ‏‮CSS‬‏ ‏‮files‬‏" ‏‮in‬‏ ‏‮the‬‏ "‏‮Administration‬‏ » ‏‮Configuration‬‏ » ‏‮Development‬‏" ‏‮page‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮also‬‏ ‏‮configure‬‏ ‏‮more‬‏ ‏‮advanced‬‏ ‏‮aggregation‬‏ ‏‮options‬‏ ‏‮through‬‏ [‏‮additional‬‏ ‏‮modules‬‏](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) ‏‮to‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏, ‏‮and‬‏ ‏‮compressing‬‏ ‏‮your‬‏ ‏‮CSS‬‏ ‏‮styles‬‏.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'‏‮Ensure‬‏ ‏‮you‬‏ ‏‮have‬‏ ‏‮enabled‬‏ "‏‮Aggregate‬‏ ‏‮JavaScript‬‏ ‏‮files‬‏" ‏‮in‬‏ ‏‮the‬‏ "‏‮Administration‬‏ » ‏‮Configuration‬‏ » ‏‮Development‬‏" ‏‮page‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮also‬‏ ‏‮configure‬‏ ‏‮more‬‏ ‏‮advanced‬‏ ‏‮aggregation‬‏ ‏‮options‬‏ ‏‮through‬‏ [‏‮additional‬‏ ‏‮modules‬‏](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) ‏‮to‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏, ‏‮and‬‏ ‏‮compressing‬‏ ‏‮your‬‏ ‏‮JavaScript‬‏ ‏‮assets‬‏.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"‏‮Consider‬‏ ‏‮removing‬‏ ‏‮unused‬‏ ‏‮CSS‬‏ ‏‮rules‬‏ ‏‮and‬‏ ‏‮only‬‏ ‏‮attach‬‏ ‏‮the‬‏ ‏‮needed‬‏ ‏‮Drupal‬‏ ‏‮libraries‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮relevant‬‏ ‏‮page‬‏ ‏‮or‬‏ ‏‮component‬‏ ‏‮in‬‏ ‏‮a‬‏ ‏‮page‬‏. ‏‮See‬‏ ‏‮the‬‏ [‏‮Drupal‬‏ ‏‮documentation‬‏ ‏‮link‬‏](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) ‏‮for‬‏ ‏‮details‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮attached‬‏ ‏‮libraries‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮adding‬‏ ‏‮extraneous‬‏ ‏‮CSS‬‏, ‏‮try‬‏ ‏‮running‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮module‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮stylesheet‬‏ ‏‮when‬‏ ‏‮CSS‬‏ ‏‮aggregation‬‏ ‏‮is‬‏ ‏‮disabled‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮Drupal‬‏ ‏‮site‬‏. ‏‮Look‬‏ ‏‮out‬‏ ‏‮for‬‏ ‏‮themes‬‏/‏‮modules‬‏ ‏‮that‬‏ ‏‮have‬‏ ‏‮many‬‏ ‏‮stylesheets‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮list‬‏ ‏‮which‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮lot‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮theme‬‏/‏‮module‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮enqueue‬‏ ‏‮a‬‏ ‏‮stylesheet‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"‏‮Consider‬‏ ‏‮removing‬‏ ‏‮unused‬‏ ‏‮JavaScript‬‏ ‏‮assets‬‏ ‏‮and‬‏ ‏‮only‬‏ ‏‮attach‬‏ ‏‮the‬‏ ‏‮needed‬‏ ‏‮Drupal‬‏ ‏‮libraries‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮relevant‬‏ ‏‮page‬‏ ‏‮or‬‏ ‏‮component‬‏ ‏‮in‬‏ ‏‮a‬‏ ‏‮page‬‏. ‏‮See‬‏ ‏‮the‬‏ [‏‮Drupal‬‏ ‏‮documentation‬‏ ‏‮link‬‏](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) ‏‮for‬‏ ‏‮details‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮attached‬‏ ‏‮libraries‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮adding‬‏ ‏‮extraneous‬‏ ‏‮JavaScript‬‏, ‏‮try‬‏ ‏‮running‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮module‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮script‬‏ ‏‮when‬‏ ‏‮JavaScript‬‏ ‏‮aggregation‬‏ ‏‮is‬‏ ‏‮disabled‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮Drupal‬‏ ‏‮site‬‏. ‏‮Look‬‏ ‏‮out‬‏ ‏‮for‬‏ ‏‮themes‬‏/‏‮modules‬‏ ‏‮that‬‏ ‏‮have‬‏ ‏‮many‬‏ ‏‮scripts‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮list‬‏ ‏‮which‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮lot‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮theme‬‏/‏‮module‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮enqueue‬‏ ‏‮a‬‏ ‏‮script‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'‏‮Set‬‏ ‏‮the‬‏ "‏‮Browser‬‏ ‏‮and‬‏ ‏‮proxy‬‏ ‏‮cache‬‏ ‏‮maximum‬‏ ‏‮age‬‏" ‏‮in‬‏ ‏‮the‬‏ "‏‮Administration‬‏ » ‏‮Configuration‬‏ » ‏‮Development‬‏" ‏‮page‬‏. ‏‮Read‬‏ ‏‮about‬‏ [‏‮Drupal‬‏ ‏‮cache‬‏ ‏‮and‬‏ ‏‮optimizing‬‏ ‏‮for‬‏ ‏‮performance‬‏](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"‏‮Consider‬‏ ‏‮using‬‏ [‏‮a‬‏ ‏‮module‬‏](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) ‏‮that‬‏ ‏‮automatically‬‏ ‏‮optimizes‬‏ ‏‮and‬‏ ‏‮reduces‬‏ ‏‮the‬‏ ‏‮size‬‏ ‏‮of‬‏ ‏‮images‬‏ ‏‮uploaded‬‏ ‏‮through‬‏ ‏‮the‬‏ ‏‮site‬‏ ‏‮while‬‏ ‏‮retaining‬‏ ‏‮quality‬‏. ‏‮Also‬‏, ‏‮ensure‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮the‬‏ ‏‮native‬‏ [‏‮Responsive‬‏ ‏‮Image‬‏ ‏‮Styles‬‏](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ‏‮provided‬‏ ‏‮from‬‏ ‏‮Drupal‬‏ (‏‮available‬‏ ‏‮in‬‏ ‏‮Drupal‬‏ 8 ‏‮and‬‏ ‏‮above‬‏) ‏‮for‬‏ ‏‮all‬‏ ‏‮images‬‏ ‏‮rendered‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮site‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"‏‮Preconnect‬‏ ‏‮or‬‏ ‏‮dns‬‏-‏‮prefetch‬‏ ‏‮resource‬‏ ‏‮hints‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮added‬‏ ‏‮by‬‏ ‏‮installing‬‏ ‏‮and‬‏ ‏‮configuring‬‏ [‏‮a‬‏ ‏‮module‬‏](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) ‏‮that‬‏ ‏‮provides‬‏ ‏‮facilities‬‏ ‏‮for‬‏ ‏‮user‬‏ ‏‮agent‬‏ ‏‮resource‬‏ ‏‮hints‬‏."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{
message:"‏‮Ensure‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮the‬‏ ‏‮native‬‏ [‏‮Responsive‬‏ ‏‮Image‬‏ ‏‮Styles‬‏](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ‏‮provided‬‏ ‏‮from‬‏ ‏‮Drupal‬‏ (‏‮available‬‏ ‏‮in‬‏ ‏‮Drupal‬‏ 8 ‏‮and‬‏ ‏‮above‬‏). ‏‮Use‬‏ ‏‮the‬‏ ‏‮Responsive‬‏ ‏‮Image‬‏ ‏‮Styles‬‏ ‏‮when‬‏ ‏‮rendering‬‏ ‏‮image‬‏ ‏‮fields‬‏ ‏‮through‬‏ ‏‮view‬‏ ‏‮modes‬‏, ‏‮views‬‏, ‏‮or‬‏ ‏‮images‬‏ ‏‮uploaded‬‏ ‏‮through‬‏ ‏‮the‬‏ ‏‮WYSIWYG‬‏ ‏‮editor‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"‏‮Consider‬‏ ‏‮uploading‬‏ ‏‮your‬‏ ‏‮GIF‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮which‬‏ ‏‮will‬‏ ‏‮make‬‏ ‏‮it‬‏ ‏‮available‬‏ ‏‮to‬‏ ‏‮embed‬‏ ‏‮as‬‏ ‏‮an‬‏ ‏‮HTML‬‏5 ‏‮video‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{
message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮a‬‏ [‏‮plugin‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ‏‮or‬‏ ‏‮service‬‏ ‏‮that‬‏ ‏‮will‬‏ ‏‮automatically‬‏ ‏‮convert‬‏ ‏‮your‬‏ ‏‮uploaded‬‏ ‏‮images‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮optimal‬‏ ‏‮formats‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"‏‮Install‬‏ ‏‮a‬‏ [‏‮lazy‬‏-‏‮load‬‏ ‏‮Joomla‬‏ ‏‮plugin‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) ‏‮that‬‏ ‏‮provides‬‏ ‏‮the‬‏ ‏‮ability‬‏ ‏‮to‬‏ ‏‮defer‬‏ ‏‮any‬‏ ‏‮offscreen‬‏ ‏‮images‬‏, ‏‮or‬‏ ‏‮switch‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮template‬‏ ‏‮that‬‏ ‏‮provides‬‏ ‏‮that‬‏ ‏‮functionality‬‏. ‏‮Starting‬‏ ‏‮with‬‏ ‏‮Joomla‬‏ 4.0, ‏‮all‬‏ ‏‮new‬‏ ‏‮images‬‏ ‏‮will‬‏ [‏‮automatically‬‏](https://github.com/joomla/joomla-cms/pull/30748) ‏‮get‬‏ ‏‮the‬‏ `loading` ‏‮attribute‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮core‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"‏‮There‬‏ ‏‮are‬‏ ‏‮a‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮Joomla‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮can‬‏ ‏‮help‬‏ ‏‮you‬‏ [‏‮inline‬‏ ‏‮critical‬‏ ‏‮assets‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ‏‮or‬‏ [‏‮defer‬‏ ‏‮less‬‏ ‏‮important‬‏ ‏‮resources‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). ‏‮Beware‬‏ ‏‮that‬‏ ‏‮optimizations‬‏ ‏‮provided‬‏ ‏‮by‬‏ ‏‮these‬‏ ‏‮plugins‬‏ ‏‮may‬‏ ‏‮break‬‏ ‏‮features‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮templates‬‏ ‏‮or‬‏ ‏‮plugins‬‏, ‏‮so‬‏ ‏‮you‬‏ ‏‮will‬‏ ‏‮need‬‏ ‏‮to‬‏ ‏‮test‬‏ ‏‮these‬‏ ‏‮thoroughly‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{
message:"‏‮Templates‬‏, ‏‮extensions‬‏, ‏‮and‬‏ ‏‮server‬‏ ‏‮specifications‬‏ ‏‮all‬‏ ‏‮contribute‬‏ ‏‮to‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏. ‏‮Consider‬‏ ‏‮finding‬‏ ‏‮a‬‏ ‏‮more‬‏ ‏‮optimized‬‏ ‏‮template‬‏, ‏‮carefully‬‏ ‏‮selecting‬‏ ‏‮an‬‏ ‏‮optimization‬‏ ‏‮extension‬‏, ‏‮and‬‏/‏‮or‬‏ ‏‮upgrading‬‏ ‏‮your‬‏ ‏‮server‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"‏‮Consider‬‏ ‏‮showing‬‏ ‏‮excerpts‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮article‬‏ ‏‮categories‬‏ (‏‮e‬‏.‏‮g‬‏. ‏‮via‬‏ ‏‮the‬‏ ‏‮read‬‏ ‏‮more‬‏ ‏‮link‬‏), ‏‮reducing‬‏ ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮articles‬‏ ‏‮shown‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮given‬‏ ‏‮page‬‏, ‏‮breaking‬‏ ‏‮your‬‏ ‏‮long‬‏ ‏‮posts‬‏ ‏‮into‬‏ ‏‮multiple‬‏ ‏‮pages‬‏, ‏‮or‬‏ ‏‮using‬‏ ‏‮a‬‏ ‏‮plugin‬‏ ‏‮to‬‏ ‏‮lazy‬‏-‏‮load‬‏ ‏‮comments‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{
message:"‏‮A‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮Joomla‬‏ ‏‮extensions‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏, ‏‮and‬‏ ‏‮compressing‬‏ ‏‮your‬‏ ‏‮css‬‏ ‏‮styles‬‏. ‏‮There‬‏ ‏‮are‬‏ ‏‮also‬‏ ‏‮templates‬‏ ‏‮that‬‏ ‏‮provide‬‏ ‏‮this‬‏ ‏‮functionality‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"‏‮A‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮Joomla‬‏ ‏‮extensions‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏, ‏‮and‬‏ ‏‮compressing‬‏ ‏‮your‬‏ ‏‮scripts‬‏. ‏‮There‬‏ ‏‮are‬‏ ‏‮also‬‏ ‏‮templates‬‏ ‏‮that‬‏ ‏‮provide‬‏ ‏‮this‬‏ ‏‮functionality‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"‏‮Consider‬‏ ‏‮reducing‬‏, ‏‮or‬‏ ‏‮switching‬‏, ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮Joomla‬‏ ‏‮extensions‬‏](https://extensions.joomla.org/) ‏‮loading‬‏ ‏‮unused‬‏ ‏‮CSS‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮page‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮extensions‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮adding‬‏ ‏‮extraneous‬‏ ‏‮CSS‬‏, ‏‮try‬‏ ‏‮running‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮plugin‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮stylesheet‬‏. ‏‮Look‬‏ ‏‮out‬‏ ‏‮for‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮have‬‏ ‏‮many‬‏ ‏‮stylesheets‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮list‬‏ ‏‮which‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮lot‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮plugin‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮enqueue‬‏ ‏‮a‬‏ ‏‮stylesheet‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"‏‮Consider‬‏ ‏‮reducing‬‏, ‏‮or‬‏ ‏‮switching‬‏, ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮Joomla‬‏ ‏‮extensions‬‏](https://extensions.joomla.org/) ‏‮loading‬‏ ‏‮unused‬‏ ‏‮JavaScript‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮page‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮adding‬‏ ‏‮extraneous‬‏ ‏‮JS‬‏, ‏‮try‬‏ ‏‮running‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮identify‬‏ ‏‮the‬‏ ‏‮extension‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮script‬‏. ‏‮Look‬‏ ‏‮out‬‏ ‏‮for‬‏ ‏‮extensions‬‏ ‏‮that‬‏ ‏‮have‬‏ ‏‮many‬‏ ‏‮scripts‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮list‬‏ ‏‮which‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮lot‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮An‬‏ ‏‮extension‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮enqueue‬‏ ‏‮a‬‏ ‏‮script‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{
message:"‏‮Read‬‏ ‏‮about‬‏ [‏‮Browser‬‏ ‏‮Caching‬‏ ‏‮in‬‏ ‏‮Joomla‬‏](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮an‬‏ [‏‮image‬‏ ‏‮optimization‬‏ ‏‮plugin‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ‏‮that‬‏ ‏‮compresses‬‏ ‏‮your‬‏ ‏‮images‬‏ ‏‮while‬‏ ‏‮retaining‬‏ ‏‮quality‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮a‬‏ [‏‮responsive‬‏ ‏‮images‬‏ ‏‮plugin‬‏](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) ‏‮to‬‏ ‏‮use‬‏ ‏‮responsive‬‏ ‏‮images‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮content‬‏."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{
message:"‏‮You‬‏ ‏‮can‬‏ ‏‮enable‬‏ ‏‮text‬‏ ‏‮compression‬‏ ‏‮by‬‏ ‏‮enabling‬‏ ‏‮Gzip‬‏ ‏‮Page‬‏ ‏‮Compression‬‏ ‏‮in‬‏ ‏‮Joomla‬‏ (‏‮System‬‏ > ‏‮Global‬‏ ‏‮configuration‬‏ > ‏‮Server‬‏)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮bundling‬‏ ‏‮your‬‏ ‏‮JavaScript‬‏ ‏‮assets‬‏, ‏‮consider‬‏ ‏‮using‬‏ [‏‮baler‬‏](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"‏‮Disable‬‏ ‏‮Magento‬‏'‏‮s‬‏ ‏‮built‬‏-‏‮in‬‏ [‏‮JavaScript‬‏ ‏‮bundling‬‏ ‏‮and‬‏ ‏‮minification‬‏](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), ‏‮and‬‏ ‏‮consider‬‏ ‏‮using‬‏ [‏‮baler‬‏](https://github.com/magento/baler/) ‏‮instead‬‏."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{
message:"‏‮Specify‬‏ `@font-display` ‏‮when‬‏ [‏‮defining‬‏ ‏‮custom‬‏ ‏‮fonts‬‏](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"‏‮Consider‬‏ ‏‮searching‬‏ ‏‮the‬‏ [‏‮Magento‬‏ ‏‮Marketplace‬‏](https://marketplace.magento.com/catalogsearch/result/?q=webp) ‏‮for‬‏ ‏‮a‬‏ ‏‮variety‬‏ ‏‮of‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮extensions‬‏ ‏‮to‬‏ ‏‮leverage‬‏ ‏‮newer‬‏ ‏‮image‬‏ ‏‮formats‬‏."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"‏‮Consider‬‏ ‏‮modifying‬‏ ‏‮your‬‏ ‏‮product‬‏ ‏‮and‬‏ ‏‮catalog‬‏ ‏‮templates‬‏ ‏‮to‬‏ ‏‮make‬‏ ‏‮use‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮web‬‏ ‏‮platform‬‏'‏‮s‬‏ [‏‮lazy‬‏ ‏‮loading‬‏](https://web.dev/native-lazy-loading) ‏‮feature‬‏."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{
message:"‏‮Use‬‏ ‏‮Magento‬‏'‏‮s‬‏ [‏‮Varnish‬‏ ‏‮integration‬‏](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'‏‮Enable‬‏ ‏‮the‬‏ "‏‮Minify‬‏ ‏‮CSS‬‏ ‏‮Files‬‏" ‏‮option‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮store‬‏\'‏‮s‬‏ ‏‮Developer‬‏ ‏‮settings‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"‏‮Use‬‏ [‏‮Terser‬‏](https://www.npmjs.com/package/terser) ‏‮to‬‏ ‏‮minify‬‏ ‏‮all‬‏ ‏‮JavaScript‬‏ ‏‮assets‬‏ ‏‮from‬‏ ‏‮static‬‏ ‏‮content‬‏ ‏‮deployment‬‏, ‏‮and‬‏ ‏‮disable‬‏ ‏‮the‬‏ ‏‮built‬‏-‏‮in‬‏ ‏‮minification‬‏ ‏‮feature‬‏."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"‏‮Disable‬‏ ‏‮Magento‬‏'‏‮s‬‏ ‏‮built‬‏-‏‮in‬‏ [‏‮JavaScript‬‏ ‏‮bundling‬‏](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"‏‮Consider‬‏ ‏‮searching‬‏ ‏‮the‬‏ [‏‮Magento‬‏ ‏‮Marketplace‬‏](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) ‏‮for‬‏ ‏‮a‬‏ ‏‮variety‬‏ ‏‮of‬‏ ‏‮third‬‏ ‏‮party‬‏ ‏‮extensions‬‏ ‏‮to‬‏ ‏‮optimize‬‏ ‏‮images‬‏."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"‏‮Preconnect‬‏ ‏‮or‬‏ ‏‮dns‬‏-‏‮prefetch‬‏ ‏‮resource‬‏ ‏‮hints‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮added‬‏ ‏‮by‬‏ [‏‮modifying‬‏ ‏‮a‬‏ ‏‮themes‬‏'‏‮s‬‏ ‏‮layout‬‏](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{
message:"`<link rel=preload>` ‏‮tags‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮added‬‏ ‏‮by‬‏ [‏‮modifying‬‏ ‏‮a‬‏ ‏‮themes‬‏'‏‮s‬‏ ‏‮layout‬‏](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[‏‮Replace‬‏ ‏‮animated‬‏ ‏‮GIFs‬‏ ‏‮with‬‏ ‏‮video‬‏](https://web.dev/replace-gifs-with-videos/) ‏‮for‬‏ ‏‮faster‬‏ ‏‮web‬‏ ‏‮page‬‏ ‏‮loads‬‏ ‏‮and‬‏ ‏‮consider‬‏ ‏‮using‬‏ ‏‮modern‬‏ ‏‮file‬‏ ‏‮formats‬‏ ‏‮such‬‏ ‏‮as‬‏ [‏‮WebM‬‏](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ‏‮or‬‏ [‏‮AV‬‏1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) ‏‮to‬‏ ‏‮improve‬‏ ‏‮compression‬‏ ‏‮efficiency‬‏ ‏‮by‬‏ ‏‮greater‬‏ ‏‮than‬‏ 30% ‏‮over‬‏ ‏‮the‬‏ ‏‮current‬‏ ‏‮state‬‏-‏‮of‬‏-‏‮the‬‏-‏‮art‬‏ ‏‮video‬‏ ‏‮codec‬‏, ‏‮VP‬‏9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮a‬‏ [‏‮plugin‬‏](https://octobercms.com/plugins?search=image) ‏‮or‬‏ ‏‮service‬‏ ‏‮that‬‏ ‏‮will‬‏ ‏‮automatically‬‏ ‏‮convert‬‏ ‏‮the‬‏ ‏‮uploaded‬‏ ‏‮images‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮optimal‬‏ ‏‮formats‬‏. [‏‮WebP‬‏ ‏‮lossless‬‏ ‏‮images‬‏](https://developers.google.com/speed/webp) ‏‮are‬‏ 26% ‏‮smaller‬‏ ‏‮in‬‏ ‏‮size‬‏ ‏‮compared‬‏ ‏‮to‬‏ ‏‮PNGs‬‏ ‏‮and‬‏ 25-34% ‏‮smaller‬‏ ‏‮than‬‏ ‏‮comparable‬‏ ‏‮JPEG‬‏ ‏‮images‬‏ ‏‮at‬‏ ‏‮the‬‏ ‏‮equivalent‬‏ ‏‮SSIM‬‏ ‏‮quality‬‏ ‏‮index‬‏. ‏‮Another‬‏ ‏‮next‬‏-‏‮gen‬‏ ‏‮image‬‏ ‏‮format‬‏ ‏‮to‬‏ ‏‮consider‬‏ ‏‮is‬‏ [‏‮AVIF‬‏](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"‏‮Consider‬‏ ‏‮installing‬‏ ‏‮an‬‏ [‏‮image‬‏ ‏‮lazy‬‏ ‏‮loading‬‏ ‏‮plugin‬‏](https://octobercms.com/plugins?search=lazy) ‏‮that‬‏ ‏‮provides‬‏ ‏‮the‬‏ ‏‮ability‬‏ ‏‮to‬‏ ‏‮defer‬‏ ‏‮any‬‏ ‏‮offscreen‬‏ ‏‮images‬‏, ‏‮or‬‏ ‏‮switch‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮theme‬‏ ‏‮that‬‏ ‏‮provides‬‏ ‏‮that‬‏ ‏‮functionality‬‏. ‏‮Also‬‏ ‏‮consider‬‏ ‏‮using‬‏ [‏‮the‬‏ ‏‮AMP‬‏ ‏‮plugin‬‏](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"‏‮There‬‏ ‏‮are‬‏ ‏‮many‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮help‬‏ [‏‮inline‬‏ ‏‮critical‬‏ ‏‮assets‬‏](https://octobercms.com/plugins?search=css). ‏‮These‬‏ ‏‮plugins‬‏ ‏‮may‬‏ ‏‮break‬‏ ‏‮other‬‏ ‏‮plugins‬‏, ‏‮so‬‏ ‏‮you‬‏ ‏‮should‬‏ ‏‮test‬‏ ‏‮thoroughly‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"‏‮Themes‬‏, ‏‮plugins‬‏ ‏‮and‬‏ ‏‮server‬‏ ‏‮specifications‬‏ ‏‮all‬‏ ‏‮contribute‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏. ‏‮Consider‬‏ ‏‮finding‬‏ ‏‮a‬‏ ‏‮more‬‏ ‏‮optimized‬‏ ‏‮theme‬‏, ‏‮carefully‬‏ ‏‮selecting‬‏ ‏‮an‬‏ ‏‮optimization‬‏ ‏‮plugin‬‏ ‏‮and‬‏/‏‮or‬‏ ‏‮upgrade‬‏ ‏‮the‬‏ ‏‮server‬‏. ‏‮October‬‏ ‏‮CMS‬‏ ‏‮also‬‏ ‏‮allows‬‏ ‏‮developers‬‏ ‏‮to‬‏ ‏‮use‬‏ [`Queues`](https://octobercms.com/docs/services/queues) ‏‮to‬‏ ‏‮defer‬‏ ‏‮the‬‏ ‏‮processing‬‏ ‏‮of‬‏ ‏‮a‬‏ ‏‮time‬‏ ‏‮consuming‬‏ ‏‮task‬‏, ‏‮such‬‏ ‏‮as‬‏ ‏‮sending‬‏ ‏‮an‬‏ ‏‮e‬‏-‏‮mail‬‏. ‏‮This‬‏ ‏‮drastically‬‏ ‏‮speeds‬‏ ‏‮up‬‏ ‏‮web‬‏ ‏‮requests‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"‏‮Consider‬‏ ‏‮showing‬‏ ‏‮excerpts‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮post‬‏ ‏‮lists‬‏ (‏‮e‬‏.‏‮g‬‏. ‏‮using‬‏ ‏‮a‬‏ `show more` ‏‮button‬‏), ‏‮reducing‬‏ ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮posts‬‏ ‏‮shown‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮given‬‏ ‏‮web‬‏ ‏‮page‬‏, ‏‮breaking‬‏ ‏‮long‬‏ ‏‮posts‬‏ ‏‮into‬‏ ‏‮multiple‬‏ ‏‮web‬‏ ‏‮pages‬‏, ‏‮or‬‏ ‏‮using‬‏ ‏‮a‬‏ ‏‮plugin‬‏ ‏‮to‬‏ ‏‮lazy‬‏-‏‮load‬‏ ‏‮comments‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"‏‮There‬‏ ‏‮are‬‏ ‏‮many‬‏ [‏‮plugins‬‏](https://octobercms.com/plugins?search=css) ‏‮that‬‏ ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮a‬‏ ‏‮website‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏ ‏‮and‬‏ ‏‮compressing‬‏ ‏‮the‬‏ ‏‮styles‬‏. ‏‮Using‬‏ ‏‮a‬‏ ‏‮build‬‏ ‏‮process‬‏ ‏‮to‬‏ ‏‮do‬‏ ‏‮this‬‏ ‏‮minification‬‏ ‏‮up‬‏-‏‮front‬‏ ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮development‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"‏‮There‬‏ ‏‮are‬‏ ‏‮many‬‏ [‏‮plugins‬‏](https://octobercms.com/plugins?search=javascript) ‏‮that‬‏ ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮a‬‏ ‏‮website‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏ ‏‮and‬‏ ‏‮compressing‬‏ ‏‮the‬‏ ‏‮scripts‬‏. ‏‮Using‬‏ ‏‮a‬‏ ‏‮build‬‏ ‏‮process‬‏ ‏‮to‬‏ ‏‮do‬‏ ‏‮this‬‏ ‏‮minification‬‏ ‏‮up‬‏-‏‮front‬‏ ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮development‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"‏‮Consider‬‏ ‏‮reviewing‬‏ ‏‮the‬‏ [‏‮plugins‬‏](https://octobercms.com/plugins) ‏‮loading‬‏ ‏‮unused‬‏ ‏‮CSS‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮website‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮add‬‏ ‏‮unnecessary‬‏ ‏‮CSS‬‏, ‏‮run‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮Identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮plugin‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮stylesheet‬‏ ‏‮URL‬‏. ‏‮Look‬‏ ‏‮for‬‏ ‏‮plugins‬‏ ‏‮with‬‏ ‏‮many‬‏ ‏‮stylesheets‬‏ ‏‮with‬‏ ‏‮lots‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮plugin‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮add‬‏ ‏‮a‬‏ ‏‮stylesheet‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮web‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"‏‮Consider‬‏ ‏‮reviewing‬‏ ‏‮the‬‏ [‏‮plugins‬‏](https://octobercms.com/plugins?search=javascript) ‏‮that‬‏ ‏‮load‬‏ ‏‮unused‬‏ ‏‮JavaScript‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮web‬‏ ‏‮page‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮add‬‏ ‏‮unnecessary‬‏ ‏‮JavaScript‬‏, ‏‮run‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮Identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮plugin‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮script‬‏. ‏‮Look‬‏ ‏‮for‬‏ ‏‮plugins‬‏ ‏‮with‬‏ ‏‮many‬‏ ‏‮scripts‬‏ ‏‮with‬‏ ‏‮lots‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮plugin‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮add‬‏ ‏‮a‬‏ ‏‮script‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮web‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"‏‮Read‬‏ ‏‮about‬‏ [‏‮preventing‬‏ ‏‮unnecessary‬‏ ‏‮network‬‏ ‏‮requests‬‏ ‏‮with‬‏ ‏‮the‬‏ ‏‮HTTP‬‏ ‏‮Cache‬‏](https://web.dev/http-cache/#caching-checklist). ‏‮There‬‏ ‏‮are‬‏ ‏‮many‬‏ [‏‮plugins‬‏](https://octobercms.com/plugins?search=Caching) ‏‮that‬‏ ‏‮can‬‏ ‏‮be‬‏ ‏‮used‬‏ ‏‮to‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮caching‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮an‬‏ [‏‮image‬‏ ‏‮optimization‬‏ ‏‮plugin‬‏](https://octobercms.com/plugins?search=image) ‏‮to‬‏ ‏‮compresses‬‏ ‏‮images‬‏ ‏‮while‬‏ ‏‮retaining‬‏ ‏‮the‬‏ ‏‮quality‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"‏‮Upload‬‏ ‏‮images‬‏ ‏‮directly‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮media‬‏ ‏‮manager‬‏ ‏‮to‬‏ ‏‮ensure‬‏ ‏‮the‬‏ ‏‮required‬‏ ‏‮image‬‏ ‏‮sizes‬‏ ‏‮are‬‏ ‏‮available‬‏. ‏‮Consider‬‏ ‏‮using‬‏ ‏‮the‬‏ [‏‮resize‬‏ ‏‮filter‬‏](https://octobercms.com/docs/markup/filter-resize) ‏‮or‬‏ ‏‮an‬‏ [‏‮image‬‏ ‏‮resizing‬‏ ‏‮plugin‬‏](https://octobercms.com/plugins?search=image) ‏‮to‬‏ ‏‮ensure‬‏ ‏‮the‬‏ ‏‮optimal‬‏ ‏‮image‬‏ ‏‮sizes‬‏ ‏‮are‬‏ ‏‮used‬‏."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"‏‮Enable‬‏ ‏‮text‬‏ ‏‮compression‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮web‬‏ ‏‮server‬‏ ‏‮configuration‬‏."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'‏‮Consider‬‏ ‏‮using‬‏ ‏‮a‬‏ "‏‮windowing‬‏" ‏‮library‬‏ ‏‮like‬‏ `react-window` ‏‮to‬‏ ‏‮minimize‬‏ ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮DOM‬‏ ‏‮nodes‬‏ ‏‮created‬‏ ‏‮if‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮rendering‬‏ ‏‮many‬‏ ‏‮repeated‬‏ ‏‮elements‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://web.dev/virtualize-long-lists-react-window/). ‏‮Also‬‏, ‏‮minimize‬‏ ‏‮unnecessary‬‏ ‏‮re‬‏-‏‮renders‬‏ ‏‮using‬‏ [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), ‏‮or‬‏ [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) ‏‮and‬‏ [‏‮skip‬‏ ‏‮effects‬‏](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) ‏‮only‬‏ ‏‮until‬‏ ‏‮certain‬‏ ‏‮dependencies‬‏ ‏‮have‬‏ ‏‮changed‬‏ ‏‮if‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮the‬‏ `Effect` ‏‮hook‬‏ ‏‮to‬‏ ‏‮improve‬‏ ‏‮runtime‬‏ ‏‮performance‬‏.'},
"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮using‬‏ ‏‮React‬‏ ‏‮Router‬‏, ‏‮minimize‬‏ ‏‮usage‬‏ ‏‮of‬‏ ‏‮the‬‏ `<Redirect>` ‏‮component‬‏ ‏‮for‬‏ [‏‮route‬‏ ‏‮navigations‬‏](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮server‬‏-‏‮side‬‏ ‏‮rendering‬‏ ‏‮any‬‏ ‏‮React‬‏ ‏‮components‬‏, ‏‮consider‬‏ ‏‮using‬‏ `renderToNodeStream()` ‏‮or‬‏ `renderToStaticNodeStream()` ‏‮to‬‏ ‏‮allow‬‏ ‏‮the‬‏ ‏‮client‬‏ ‏‮to‬‏ ‏‮receive‬‏ ‏‮and‬‏ ‏‮hydrate‬‏ ‏‮different‬‏ ‏‮parts‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮markup‬‏ ‏‮instead‬‏ ‏‮of‬‏ ‏‮all‬‏ ‏‮at‬‏ ‏‮once‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"‏‮If‬‏ ‏‮your‬‏ ‏‮build‬‏ ‏‮system‬‏ ‏‮minifies‬‏ ‏‮CSS‬‏ ‏‮files‬‏ ‏‮automatically‬‏, ‏‮ensure‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮deploying‬‏ ‏‮the‬‏ ‏‮production‬‏ ‏‮build‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮application‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮check‬‏ ‏‮this‬‏ ‏‮with‬‏ ‏‮the‬‏ ‏‮React‬‏ ‏‮Developer‬‏ ‏‮Tools‬‏ ‏‮extension‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"‏‮If‬‏ ‏‮your‬‏ ‏‮build‬‏ ‏‮system‬‏ ‏‮minifies‬‏ ‏‮JS‬‏ ‏‮files‬‏ ‏‮automatically‬‏, ‏‮ensure‬‏ ‏‮that‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮deploying‬‏ ‏‮the‬‏ ‏‮production‬‏ ‏‮build‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮application‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮check‬‏ ‏‮this‬‏ ‏‮with‬‏ ‏‮the‬‏ ‏‮React‬‏ ‏‮Developer‬‏ ‏‮Tools‬‏ ‏‮extension‬‏. [‏‮Learn‬‏ ‏‮more‬‏](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"‏‮If‬‏ ‏‮you‬‏ ‏‮are‬‏ ‏‮not‬‏ ‏‮server‬‏-‏‮side‬‏ ‏‮rendering‬‏, [‏‮split‬‏ ‏‮your‬‏ ‏‮JavaScript‬‏ ‏‮bundles‬‏](https://web.dev/code-splitting-suspense/) ‏‮with‬‏ `React.lazy()`. ‏‮Otherwise‬‏, ‏‮code‬‏-‏‮split‬‏ ‏‮using‬‏ ‏‮a‬‏ ‏‮third‬‏-‏‮party‬‏ ‏‮library‬‏ ‏‮such‬‏ ‏‮as‬‏ [‏‮loadable‬‏-‏‮components‬‏](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"‏‮Use‬‏ ‏‮the‬‏ ‏‮React‬‏ ‏‮DevTools‬‏ ‏‮Profiler‬‏, ‏‮which‬‏ ‏‮makes‬‏ ‏‮use‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮Profiler‬‏ ‏‮API‬‏, ‏‮to‬‏ ‏‮measure‬‏ ‏‮the‬‏ ‏‮rendering‬‏ ‏‮performance‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮components‬‏. [‏‮Learn‬‏ ‏‮more‬‏.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{
message:"‏‮Consider‬‏ ‏‮uploading‬‏ ‏‮your‬‏ ‏‮GIF‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮service‬‏ ‏‮which‬‏ ‏‮will‬‏ ‏‮make‬‏ ‏‮it‬‏ ‏‮available‬‏ ‏‮to‬‏ ‏‮embed‬‏ ‏‮as‬‏ ‏‮an‬‏ ‏‮HTML‬‏5 ‏‮video‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮a‬‏ [‏‮plugin‬‏](https://wordpress.org/plugins/search/convert+webp/) ‏‮or‬‏ ‏‮service‬‏ ‏‮that‬‏ ‏‮will‬‏ ‏‮automatically‬‏ ‏‮convert‬‏ ‏‮your‬‏ ‏‮uploaded‬‏ ‏‮images‬‏ ‏‮to‬‏ ‏‮the‬‏ ‏‮optimal‬‏ ‏‮formats‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"‏‮Install‬‏ ‏‮a‬‏ [‏‮lazy‬‏-‏‮load‬‏ ‏‮WordPress‬‏ ‏‮plugin‬‏](https://wordpress.org/plugins/search/lazy+load/) ‏‮that‬‏ ‏‮provides‬‏ ‏‮the‬‏ ‏‮ability‬‏ ‏‮to‬‏ ‏‮defer‬‏ ‏‮any‬‏ ‏‮offscreen‬‏ ‏‮images‬‏, ‏‮or‬‏ ‏‮switch‬‏ ‏‮to‬‏ ‏‮a‬‏ ‏‮theme‬‏ ‏‮that‬‏ ‏‮provides‬‏ ‏‮that‬‏ ‏‮functionality‬‏. ‏‮Also‬‏ ‏‮consider‬‏ ‏‮using‬‏ [‏‮the‬‏ ‏‮AMP‬‏ ‏‮plugin‬‏](https://wordpress.org/plugins/amp/)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"‏‮There‬‏ ‏‮are‬‏ ‏‮a‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮WordPress‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮can‬‏ ‏‮help‬‏ ‏‮you‬‏ [‏‮inline‬‏ ‏‮critical‬‏ ‏‮assets‬‏](https://wordpress.org/plugins/search/critical+css/) ‏‮or‬‏ [‏‮defer‬‏ ‏‮less‬‏ ‏‮important‬‏ ‏‮resources‬‏](https://wordpress.org/plugins/search/defer+css+javascript/). ‏‮Beware‬‏ ‏‮that‬‏ ‏‮optimizations‬‏ ‏‮provided‬‏ ‏‮by‬‏ ‏‮these‬‏ ‏‮plugins‬‏ ‏‮may‬‏ ‏‮break‬‏ ‏‮features‬‏ ‏‮of‬‏ ‏‮your‬‏ ‏‮theme‬‏ ‏‮or‬‏ ‏‮plugins‬‏, ‏‮so‬‏ ‏‮you‬‏ ‏‮will‬‏ ‏‮likely‬‏ ‏‮need‬‏ ‏‮to‬‏ ‏‮make‬‏ ‏‮code‬‏ ‏‮changes‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"‏‮Themes‬‏, ‏‮plugins‬‏, ‏‮and‬‏ ‏‮server‬‏ ‏‮specifications‬‏ ‏‮all‬‏ ‏‮contribute‬‏ ‏‮to‬‏ ‏‮server‬‏ ‏‮response‬‏ ‏‮time‬‏. ‏‮Consider‬‏ ‏‮finding‬‏ ‏‮a‬‏ ‏‮more‬‏ ‏‮optimized‬‏ ‏‮theme‬‏, ‏‮carefully‬‏ ‏‮selecting‬‏ ‏‮an‬‏ ‏‮optimization‬‏ ‏‮plugin‬‏, ‏‮and‬‏/‏‮or‬‏ ‏‮upgrading‬‏ ‏‮your‬‏ ‏‮server‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"‏‮Consider‬‏ ‏‮showing‬‏ ‏‮excerpts‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮post‬‏ ‏‮lists‬‏ (‏‮e‬‏.‏‮g‬‏. ‏‮via‬‏ ‏‮the‬‏ ‏‮more‬‏ ‏‮tag‬‏), ‏‮reducing‬‏ ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ ‏‮posts‬‏ ‏‮shown‬‏ ‏‮on‬‏ ‏‮a‬‏ ‏‮given‬‏ ‏‮page‬‏, ‏‮breaking‬‏ ‏‮your‬‏ ‏‮long‬‏ ‏‮posts‬‏ ‏‮into‬‏ ‏‮multiple‬‏ ‏‮pages‬‏, ‏‮or‬‏ ‏‮using‬‏ ‏‮a‬‏ ‏‮plugin‬‏ ‏‮to‬‏ ‏‮lazy‬‏-‏‮load‬‏ ‏‮comments‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{
message:"‏‮A‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮WordPress‬‏ ‏‮plugins‬‏](https://wordpress.org/plugins/search/minify+css/) ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏, ‏‮and‬‏ ‏‮compressing‬‏ ‏‮your‬‏ ‏‮styles‬‏. ‏‮You‬‏ ‏‮may‬‏ ‏‮also‬‏ ‏‮want‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮a‬‏ ‏‮build‬‏ ‏‮process‬‏ ‏‮to‬‏ ‏‮do‬‏ ‏‮this‬‏ ‏‮minification‬‏ ‏‮up‬‏-‏‮front‬‏ ‏‮if‬‏ ‏‮possible‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"‏‮A‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮WordPress‬‏ ‏‮plugins‬‏](https://wordpress.org/plugins/search/minify+javascript/) ‏‮can‬‏ ‏‮speed‬‏ ‏‮up‬‏ ‏‮your‬‏ ‏‮site‬‏ ‏‮by‬‏ ‏‮concatenating‬‏, ‏‮minifying‬‏, ‏‮and‬‏ ‏‮compressing‬‏ ‏‮your‬‏ ‏‮scripts‬‏. ‏‮You‬‏ ‏‮may‬‏ ‏‮also‬‏ ‏‮want‬‏ ‏‮to‬‏ ‏‮use‬‏ ‏‮a‬‏ ‏‮build‬‏ ‏‮process‬‏ ‏‮to‬‏ ‏‮do‬‏ ‏‮this‬‏ ‏‮minification‬‏ ‏‮up‬‏ ‏‮front‬‏ ‏‮if‬‏ ‏‮possible‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"‏‮Consider‬‏ ‏‮reducing‬‏, ‏‮or‬‏ ‏‮switching‬‏, ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮WordPress‬‏ ‏‮plugins‬‏](https://wordpress.org/plugins/) ‏‮loading‬‏ ‏‮unused‬‏ ‏‮CSS‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮page‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮adding‬‏ ‏‮extraneous‬‏ ‏‮CSS‬‏, ‏‮try‬‏ ‏‮running‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮plugin‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮stylesheet‬‏. ‏‮Look‬‏ ‏‮out‬‏ ‏‮for‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮have‬‏ ‏‮many‬‏ ‏‮stylesheets‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮list‬‏ ‏‮which‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮lot‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮plugin‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮enqueue‬‏ ‏‮a‬‏ ‏‮stylesheet‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"‏‮Consider‬‏ ‏‮reducing‬‏, ‏‮or‬‏ ‏‮switching‬‏, ‏‮the‬‏ ‏‮number‬‏ ‏‮of‬‏ [‏‮WordPress‬‏ ‏‮plugins‬‏](https://wordpress.org/plugins/) ‏‮loading‬‏ ‏‮unused‬‏ ‏‮JavaScript‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮page‬‏. ‏‮To‬‏ ‏‮identify‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮are‬‏ ‏‮adding‬‏ ‏‮extraneous‬‏ ‏‮JS‬‏, ‏‮try‬‏ ‏‮running‬‏ [‏‮code‬‏ ‏‮coverage‬‏](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ‏‮in‬‏ ‏‮Chrome‬‏ ‏‮DevTools‬‏. ‏‮You‬‏ ‏‮can‬‏ ‏‮identify‬‏ ‏‮the‬‏ ‏‮theme‬‏/‏‮plugin‬‏ ‏‮responsible‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮URL‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮script‬‏. ‏‮Look‬‏ ‏‮out‬‏ ‏‮for‬‏ ‏‮plugins‬‏ ‏‮that‬‏ ‏‮have‬‏ ‏‮many‬‏ ‏‮scripts‬‏ ‏‮in‬‏ ‏‮the‬‏ ‏‮list‬‏ ‏‮which‬‏ ‏‮have‬‏ ‏‮a‬‏ ‏‮lot‬‏ ‏‮of‬‏ ‏‮red‬‏ ‏‮in‬‏ ‏‮code‬‏ ‏‮coverage‬‏. ‏‮A‬‏ ‏‮plugin‬‏ ‏‮should‬‏ ‏‮only‬‏ ‏‮enqueue‬‏ ‏‮a‬‏ ‏‮script‬‏ ‏‮if‬‏ ‏‮it‬‏ ‏‮is‬‏ ‏‮actually‬‏ ‏‮used‬‏ ‏‮on‬‏ ‏‮the‬‏ ‏‮page‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{
message:"‏‮Read‬‏ ‏‮about‬‏ [‏‮Browser‬‏ ‏‮Caching‬‏ ‏‮in‬‏ ‏‮WordPress‬‏](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"‏‮Consider‬‏ ‏‮using‬‏ ‏‮an‬‏ [‏‮image‬‏ ‏‮optimization‬‏ ‏‮WordPress‬‏ ‏‮plugin‬‏](https://wordpress.org/plugins/search/optimize+images/) ‏‮that‬‏ ‏‮compresses‬‏ ‏‮your‬‏ ‏‮images‬‏ ‏‮while‬‏ ‏‮retaining‬‏ ‏‮quality‬‏."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"‏‮Upload‬‏ ‏‮images‬‏ ‏‮directly‬‏ ‏‮through‬‏ ‏‮the‬‏ [‏‮media‬‏ ‏‮library‬‏](https://wordpress.org/support/article/media-library-screen/) ‏‮to‬‏ ‏‮ensure‬‏ ‏‮that‬‏ ‏‮the‬‏ ‏‮required‬‏ ‏‮image‬‏ ‏‮sizes‬‏ ‏‮are‬‏ ‏‮available‬‏, ‏‮and‬‏ ‏‮then‬‏ ‏‮insert‬‏ ‏‮them‬‏ ‏‮from‬‏ ‏‮the‬‏ ‏‮media‬‏ ‏‮library‬‏ ‏‮or‬‏ ‏‮use‬‏ ‏‮the‬‏ ‏‮image‬‏ ‏‮widget‬‏ ‏‮to‬‏ ‏‮ensure‬‏ ‏‮the‬‏ ‏‮optimal‬‏ ‏‮image‬‏ ‏‮sizes‬‏ ‏‮are‬‏ ‏‮used‬‏ (‏‮including‬‏ ‏‮those‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮responsive‬‏ ‏‮breakpoints‬‏). ‏‮Avoid‬‏ ‏‮using‬‏ `Full Size` ‏‮images‬‏ ‏‮unless‬‏ ‏‮the‬‏ ‏‮dimensions‬‏ ‏‮are‬‏ ‏‮adequate‬‏ ‏‮for‬‏ ‏‮their‬‏ ‏‮usage‬‏. [‏‮Learn‬‏ ‏‮More‬‏](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"‏‮You‬‏ ‏‮can‬‏ ‏‮enable‬‏ ‏‮text‬‏ ‏‮compression‬‏ ‏‮in‬‏ ‏‮your‬‏ ‏‮web‬‏ ‏‮server‬‏ ‏‮configuration‬‏."},"report/renderer/util.js | calculatorLink":{
message:"‏‮See‬‏ ‏‮calculator‬‏."},"report/renderer/util.js | crcInitialNavigation":{message:"‏‮Initial‬‏ ‏‮Navigation‬‏"},"report/renderer/util.js | crcLongestDurationLabel":{message:"‏‮Maximum‬‏ ‏‮critical‬‏ ‏‮path‬‏ ‏‮latency‬‏:"},"report/renderer/util.js | dropdownCopyJSON":{message:"‏‮Copy‬‏ ‏‮JSON‬‏"},"report/renderer/util.js | dropdownDarkTheme":{message:"‏‮Toggle‬‏ ‏‮Dark‬‏ ‏‮Theme‬‏"},"report/renderer/util.js | dropdownPrintExpanded":{message:"‏‮Print‬‏ ‏‮Expanded‬‏"},"report/renderer/util.js | dropdownPrintSummary":{message:"‏‮Print‬‏ ‏‮Summary‬‏"},"report/renderer/util.js | dropdownSaveGist":{message:"‏‮Save‬‏ ‏‮as‬‏ ‏‮Gist‬‏"},"report/renderer/util.js | dropdownSaveHTML":{message:"‏‮Save‬‏ ‏‮as‬‏ ‏‮HTML‬‏"},"report/renderer/util.js | dropdownSaveJSON":{message:"‏‮Save‬‏ ‏‮as‬‏ ‏‮JSON‬‏"},"report/renderer/util.js | dropdownViewer":{message:"‏‮Open‬‏ ‏‮in‬‏ ‏‮Viewer‬‏"},"report/renderer/util.js | errorLabel":{message:"‏‮Error‬‏!"},
"report/renderer/util.js | errorMissingAuditInfo":{message:"‏‮Report‬‏ ‏‮error‬‏: ‏‮no‬‏ ‏‮audit‬‏ ‏‮information‬‏"},"report/renderer/util.js | footerIssue":{message:"‏‮File‬‏ ‏‮an‬‏ ‏‮issue‬‏"},"report/renderer/util.js | labDataTitle":{message:"‏‮Lab‬‏ ‏‮Data‬‏"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[‏‮Lighthouse‬‏](https://developers.google.com/web/tools/lighthouse/) ‏‮analysis‬‏ ‏‮of‬‏ ‏‮the‬‏ ‏‮current‬‏ ‏‮page‬‏ ‏‮on‬‏ ‏‮an‬‏ ‏‮emulated‬‏ ‏‮mobile‬‏ ‏‮network‬‏. ‏‮Values‬‏ ‏‮are‬‏ ‏‮estimated‬‏ ‏‮and‬‏ ‏‮may‬‏ ‏‮vary‬‏."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"‏‮Additional‬‏ ‏‮items‬‏ ‏‮to‬‏ ‏‮manually‬‏ ‏‮check‬‏"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"‏‮Not‬‏ ‏‮applicable‬‏"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"‏‮Opportunity‬‏"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"‏‮Estimated‬‏ ‏‮Savings‬‏"},
"report/renderer/util.js | passedAuditsGroupTitle":{message:"‏‮Passed‬‏ ‏‮audits‬‏"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"‏‮Emulated‬‏ ‏‮Desktop‬‏"},"report/renderer/util.js | runtimeMobileEmulation":{message:"‏‮Emulated‬‏ ‏‮Moto‬‏ ‏‮G‬‏4"},"report/renderer/util.js | runtimeNoEmulation":{message:"‏‮No‬‏ ‏‮emulation‬‏"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"‏‮Axe‬‏ ‏‮version‬‏"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"‏‮CPU‬‏/‏‮Memory‬‏ ‏‮Power‬‏"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"‏‮CPU‬‏ ‏‮throttling‬‏"},"report/renderer/util.js | runtimeSettingsChannel":{message:"‏‮Channel‬‏"},"report/renderer/util.js | runtimeSettingsDevice":{message:"‏‮Device‬‏"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"‏‮Fetch‬‏ ‏‮Time‬‏"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"‏‮Network‬‏ ‏‮throttling‬‏"},"report/renderer/util.js | runtimeSettingsTitle":{
message:"‏‮Runtime‬‏ ‏‮Settings‬‏"},"report/renderer/util.js | runtimeSettingsUA":{message:"‏‮User‬‏ ‏‮agent‬‏ (‏‮host‬‏)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"‏‮User‬‏ ‏‮agent‬‏ (‏‮network‬‏)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"‏‮URL‬‏"},"report/renderer/util.js | runtimeUnknown":{message:"‏‮Unknown‬‏"},"report/renderer/util.js | showRelevantAudits":{message:"‏‮Show‬‏ ‏‮audits‬‏ ‏‮relevant‬‏ ‏‮to‬‏:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"‏‮Collapse‬‏ ‏‮snippet‬‏"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"‏‮Expand‬‏ ‏‮snippet‬‏"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"‏‮Show‬‏ 3‏‮rd‬‏-‏‮party‬‏ ‏‮resources‬‏"},"report/renderer/util.js | throttlingProvided":{message:"‏‮Provided‬‏ ‏‮by‬‏ ‏‮environment‬‏"},"report/renderer/util.js | toplevelWarningsMessage":{message:"‏‮There‬‏ ‏‮were‬‏ ‏‮issues‬‏ ‏‮affecting‬‏ ‏‮this‬‏ ‏‮run‬‏ ‏‮of‬‏ ‏‮Lighthouse‬‏:"},
"report/renderer/util.js | varianceDisclaimer":{message:"‏‮Values‬‏ ‏‮are‬‏ ‏‮estimated‬‏ ‏‮and‬‏ ‏‮may‬‏ ‏‮vary‬‏. ‏‮The‬‏ [‏‮performance‬‏ ‏‮score‬‏ ‏‮is‬‏ ‏‮calculated‬‏](https://web.dev/performance-scoring/) ‏‮directly‬‏ ‏‮from‬‏ ‏‮these‬‏ ‏‮metrics‬‏."},"report/renderer/util.js | viewTreemapLabel":{message:"‏‮View‬‏ ‏‮Treemap‬‏"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"‏‮Passed‬‏ ‏‮audits‬‏ ‏‮but‬‏ ‏‮with‬‏ ‏‮warnings‬‏"},"report/renderer/util.js | warningHeader":{message:"‏‮Warnings‬‏: "}}},{}],100:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"تتيح مفاتيح الوصول للمستخدمين التركيز بسرعة على جزء من الصفحة. للانتقال إلى الموضع الصحيح من الصفحة، يجب أن يكون كل مفتاح وصول فريدًا. [مزيد من المعلومات](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"قيم `[accesskey]` هي غير فريدة"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{
message:"قيم `[accesskey]` فريدة"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"يوفّر كل دور ARIA `role` مجموعة فرعية محددة من سمات `aria-*`. يؤدي عدم تطابق هذه الأدوار إلى إبطال السمات `aria-*`. [مزيد من المعلومات](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"سمات `[aria-*]` لا تتطابق مع أدوارها"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"سمات `[aria-*]` هي مطابقة لأدوارها"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"إذا لم يتوفّر لأحد العناصر اسم يمكن الوصول إليه، ستقرأه برامج قراءة الشاشة مستخدمةً اسمًا عامًا له، ما يجعله غير قابل للاستخدام لدى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{
message:"لا تتوفّر لعناصر `button` و`link` و`menuitem` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"تتوفّر لعناصر `button` و`link` و`menuitem` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'لا تعمل التكنولوجيا المساعِدة، مثل برامج قراءة الشاشة، على نحوٍ متواصل عند إعداد `aria-hidden="true"` في المستند `<body>`. [مزيد من المعلومات](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` وارد في المستند `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` غير وارد في المستند `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'تمنع العناصر المنحدرة القابلة للتركيز ضمن `[aria-hidden="true"]` عنصر العناصر التفاعلية من أن تكون متاحة لمستخدمي التكنولوجيا المساعِدة، مثل برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'تحتوي عناصر `[aria-hidden="true"]` على عناصر منحدرة قابلة للتركيز'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'لا تحتوي عناصر `[aria-hidden="true"]` على عناصر منحدرة قابلة للتركيز'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"عند عدم احتواء حقل الإدخال على اسم يمكن الوصول إليه، تشير برامج قراءة الشاشة إلى الحقل بصفة عامة، مما يجعله غير قابل للاستخدام بالنسبة إلى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"لا تحتوي حقول إدخال ARIA على أسماء يمكن الوصول إليها"},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"تحتوي حقول إدخال ARIA على أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"إذا لم يتوفّر لأحد العناصر اسم يمكن الوصول إليه، ستقرأه برامج قراءة الشاشة مستخدمةً اسمًا عامًا له، ما يجعله غير قابل للاستخدام لدى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"لا تتوفّر لعناصر ARIA `meter` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"تتوفّر لعناصر ARIA `meter` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"عندما لا يكون اسم أحد عناصر `progressbar` ظاهرًا على واجهة المستخدم، تشير برامج قراءة الشاشة إلى هذا العنصر بصفة عامة، ما يجعله غير قابل للاستخدام بالنسبة إلى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [يُرجى الاطّلاع على مزيد من المعلومات.](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"لا تتوفّر لعناصر ARIA `progressbar` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"تتوفّر لعناصر ARIA `progressbar` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"تتطلّب بعض أدوار ARIA تزويد برامج قراءة الشاشة بسمات تصف حالة العنصر. [مزيد من المعلومات](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` لا تحتوي على جميع سمات`[aria-*]` المطلوبة"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` تحتوي على جميع سمات `[aria-*]` المطلوبة"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"يجب أن تحتوي بعض أدوار ARIA الرئيسية على أدوار ثانوية محدّدة لأداء وظائف إمكانية الوصول المقصودة. [مزيد من المعلومات](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"إنّ العناصر التي تتضمّن ARIA `[role]` والتي تتطلب عناصر ثانوية للاحتواء على عنصر `[role]` محدّد لا تتضمّن بعض هذه العناصر الثانوية المطلوبة أو جميعها."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"إنّ العناصر التي تتضمن ARIA `[role]` والتي تتطلب عناصر ثانوية للاحتواء على عنصر `[role]` محدّد تشتمل على جميع العناصر الثانوية المطلوبة."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"يجب أن يتم تضمين بعض أدوار ثانوية ARIA ضمن أدوار رئيسية محدّدة لتنفيذ وظائف إمكانية الوصول المقصودة بشكل صحيح. [مزيد من المعلومات](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` غير مضمّنة في العنصر الرئيسي المطلوب"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` مضمّنة في العنصر الرئيسي المطلوب"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"يجب أن تحتوي أدوار ARIA على قيم صالحة لتنفيذ وظائف إمكانية الوصول المقصودة. [مزيد من المعلومات](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"قيم `[role]` هي غير صالحة"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"قيم `[role]` هي صالحة"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"عند عدم احتواء حقول التبديل على اسم يمكن الوصول إليه، تشير برامج قراءة الشاشة إلى الحقل باستخدام بصفة عامة، مما يجعله غير قابل للاستخدام بالنسبة إلى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"لا تحتوي حقول تبديل ARIA على أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"تحتوي جميع حقول تبديل ARIA على أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"إذا لم يتوفّر لأحد العناصر اسم يمكن الوصول إليه، ستقرأه برامج قراءة الشاشة مستخدمةً اسمًا عامًا له، ما يجعله غير قابل للاستخدام لدى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"لا تتوفّر لعناصر ARIA `tooltip` أسماء يمكن الوصول إليها"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"تتوفّر لعناصر ARIA `tooltip` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"إذا لم يتوفّر لأحد العناصر اسم يمكن الوصول إليه، ستقرأه برامج قراءة الشاشة مستخدمةً اسمًا عامًا له، ما يجعله غير قابل للاستخدام لدى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"لا تتوفّر لعناصر ARIA `treeitem` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"تتوفّر لعناصر ARIA `treeitem` أسماء يمكن الوصول إليها"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"لا يمكن لتقنيات المساعدة، مثل برامج قراءة الشاشة، تفسير سمات ARIA باستخدام قيم غير صحيحة. [مزيد من المعلومات](https://web.dev/aria-valid-attr-value/)"},
"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"سمات `[aria-*]` لا تحتوي على قيم صحيحة"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"سمات `[aria-*]` تحتوي على قيم صالحة"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"لا يمكن لتقنيات المساعدة، مثل برامج قراءة الشاشة، تفسير سمات ARIA بأسماء غير صحيحة. [مزيد من المعلومات](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"سمات `[aria-*]` هي غير صالحة أو بها أخطاء إملائية"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"سمات `[aria-*]` هي صالحة وليس بها أخطاء إملائية"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"العناصر التي رسبت في عملية التدقيق"},"lighthouse-core/audits/accessibility/button-name.js | description":{
message:'عند عدم احتواء زر على اسم يمكن الوصول إليه، تعلن برامج قراءة الشاشة بأنه "زر"، ما يجعله غير قابل للاستخدام بالنسبة إلى المستخدمين الذين يعتمدون على برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/button-name/)'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"عدم احتواء الأزرار على اسم يمكن الوصول إليه"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"احتواء الأزرار على اسم الوصول"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"تؤدي إضافة طرق لتخطي المحتوى المكرّر إلى السماح لمستخدمي لوحة المفاتيح بالتنقل في الصفحة بكفاءة أكبر. [مزيد من المعلومات](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"عدم احتواء الصفحة على عنوان أو رابط تخطٍ أو منطقة معالم"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"احتواء الصفحة على عنوان أو رابط تخطٍ أو منطقة معالم"},
"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"إنّ عملية قراءة النص المنخفض التباين تُعتبر صعبة أو مستحيلة بالنسبة إلى العديد من المستخدمين. [مزيد من المعلومات](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"عدم احتواء الخلفية وألوان الخلفية على نسبة تباين كافية"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"تمييز الخلفية والألوان الخلفية بنسبة تباين كافية"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"عندما لا يتم ترميز قوائم التعريفات بشكل صحيح، قد تقدم برامج قراءة الشاشة نتائج غير واضحة أو غير دقيقة. [مزيد من المعلومات](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` لا تحتوي على مجموعات `<dt>` و`<dd>` المرتبة بشكلٍ صحيح فقط، أو العناصر `<script>` أو`<template>` أو`<div>`."},
"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` تحتوي على مجموعات `<dt>` و`<dd>` المرتبة بشكلٍ صحيح فقط، أو العناصر `<script>` أو`<template>` أو `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"يجب إدراج عناصر قائمة التعريفات (`<dt>` و`<dd>`) في عنصر رئيسي `<dl>` وذلك لضمان إعلان برامج قراءة الشاشة عنها بشكل صحيح. [مزيد من المعلومات](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"عناصر قائمة التعريفات غير مضّمنة في عناصر `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"عناصر قائمة التعريفات مضمّنة في عناصر `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"يمنح العنوان مستخدمي برامج قراءة الشاشة نظرة عامة حول الصفحة، ويعتمد مستخدمو محرك البحث على هذا بشكل كبير لتحديد ما إذا كانت الصفحة ذات صلة ببحثهم أو لا. [مزيد من المعلومات](https://web.dev/document-title/)"},
"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"المستند لا يحتوي على عنصر `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"المستند يحتوي على عنصر `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"يجب أن يتوفر لكل العناصر القابلة للتركيز `id` فريدًا للتأكد من كونها مرئية بالنسبة إلى التكنولوجيا المساعِدة. [مزيد من المعلومات](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"سمات `[id]` المتوفّرة في العناصر النشطة والقابلة للتركيز غير فريدة"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"سمات `[id]` المتوفّرة في العناصر النشطة والقابلة للتركيز فريدة"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"يجب أن تكون قيمة رقم تعريف ARIA فريدة حتى لا تغفل التكنولوجيا المساعِدة عن الأمثلة الأخرى. [مزيد من المعلومات](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"أرقام تعريف ARIA غير فريدة"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"أرقام تعريف ARIA فريدة"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"قد تعلِن التكنولوجيا المساعِدة، مثل برامج قراءة الشاشة التي تستخدم إما الجزء الأول أو الأخير أو كل أجزاء التصنيف، عن طريق الخطأ عن الحقول النموذجية المتعددة التصنيف. [مزيد من المعلومات](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"تحتوي الحقول النموذجية على تصنيفات متعددة"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"لا تحتوي الحقول النموذجية على تصنيفات متعددة"},
"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"يعتمد مستخدمو برامج قراءة الشاشة على عناوين الإطارات لوصف محتوى الإطارات. [مزيد من المعلومات](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"عناصر `<frame>` أو `<iframe>` لا تحتوي على عنوان"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"عناصر `<frame>` أو `<iframe>` تحتوي على عنوان"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"إنّ العناوين المطلوبة بالطريقة المناسبة والتي لا تتخطى المستويات، تنقل البنية الدلالية للصفحة، مما يسهّل تصفّحها وفهمها عند استخدام التكنولوجيا المساعِدة. [مزيد من المعلومات](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"العناصر المُعنوَنة غير مرتبة بشكل تنازلي متسلسل"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"تظهر العناصر المُعنوَنة بترتيب تنازلي متسلسل"},
"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"في حال لم تحدّد الصفحة سمة اللغة، يفترض قارئ الشاشة أن تكون الصفحة باللغة التلقائية التي اختارها المستخدم عند إعداد قارئ الشاشة. في حال لم تكن الصفحة باللغة التلقائية، قد لا يُعلِن قارئ الشاشة عن نص الصفحة بشكل صحيح. [مزيد من المعلومات](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"العنصر `<html>` لا يحتوي على سمة `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"عنصر `<html>` يحتوي على سمة `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"يؤدي تحديد [لغة BCP 47 ](https://www.w3.org/International/questions/qa-choosing-language-tags#question) صحيحة إلى مساعدة برامج قراءة الشاشة على الإعلان عن النص بشكلٍ صحيح. [مزيد من المعلومات](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"العنصر `<html>` لا يحتوي على قيمة صالحة للسمة `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"عنصر `<html>` يحتوي على قيمة صحيحة لسمة `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"يجب أن تهدف العناصر الإعلامية إلى نص وصفي بديل وقصير. يمكن تجاهل العناصر الزخرفية بسمة النص البديل الفارغة. [مزيد من المعلومات](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"عناصر الصور لا تحتوي على سمات `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"عناصر الصور تحتوي على سمات `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"عند استخدام صورة كزر `<input>`، يمكن أن يساعد توفير نص بديل مستخدمي قارئ الشاشة على فهم الغرض من الزر. [مزيد من المعلومات](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{
message:'عناصر `<input type="image">` لا تحتوي على نص `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'عناصر `<input type="image">` تحتوي على نص `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"تضمن التصنيفات الإعلان عن عناصر التحكّم بالنموذج بشكل صحيح من خلال التقنيات المساعدة، مثل برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"عدم احتواء عناصر النموذج على تصنيفات مرتبطة"},"lighthouse-core/audits/accessibility/label.js | title":{message:"احتواء عناصر النموذج على التصنيفات المرتبطة"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"إنّ نص الرابط (والنص البديل للصور، عند استخدامه كروابط) الذي يُعد مميّزًا وفريدًا وقابلاً للتركيز يحسّن تجربة التنقل لمستخدمي برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{
message:"عدم احتواء الروابط على اسم مميّز"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"احتواء الروابط على اسم مميز"},"lighthouse-core/audits/accessibility/list.js | description":{message:"تعتمد برامج قراءة الشاشة على طريقة محدّدة للإعلان عن القوائم. يؤدي ضمان بنية القائمة المناسبة إلى المساعدة على الاستماع إلى قارئ الشاشة. [مزيد من المعلومات](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"القوائم لا تحتوي على عناصر `<li>` وعناصر دعم النص البرمجي (`<script>` و`<template>`) فقط."},"lighthouse-core/audits/accessibility/list.js | title":{message:"القوائم تحتوي على عناصر `<li>` وعناصر دعم النص البرمجي (`<script>` و`<template>`) فقط."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"تتطلّب برامج قراءة الشاشة عناصر قائمة (`<li>`) يجب تضمينها في عنصر رئيسي `<ul>` أو `<ol>` حتى يتم الإعلان عنها بشكلٍ صحيح. [مزيد من المعلومات](https://web.dev/listitem/)"},
"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"عناصر القائمة (`<li>`) غير مضمّنة في العناصر الرئيسية `<ul>` أو `<ol>`"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"عناصر القائمة (`<li>`) مُضمَّنة في العناصر الرئيسية `<ul>` أو `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"لا يتوقع المستخدمون إعادة تحميل الصفحة تلقائيًا. وإذا تمت إعادة التحميل التلقائية، سيتحوّل تركيز المستخدمين إلى أعلى الصفحة. وقد ينشأ عن ذلك تجربة محبطة ومربكة. [مزيد من المعلومات](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'المستند يستخدم `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'المستند لا يستخدم `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"يسبب إيقاف ميزة التكبير أو التصغير مشكلة بالنسبة إلى المستخدمين ضعاف البصر الذين يعتمدون على ميزة تكبير الشاشة لرؤية محتوى صفحة الويب بشكل صحيح. [مزيد من المعلومات](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'يتم استخدام `[user-scalable="no"]` في العنصر `<meta name="viewport">` أو السمة `[maximum-scale]` هي أقل من 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` غير مستخدم في العنصر `<meta name="viewport">` والسمة `[maximum-scale]` لا تقلّ عن 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"لا يمكن لبرامج قراءة الشاشة ترجمة المحتوى غير النصي. تؤدي إضافة نص بديل إلى عناصر `<object>` إلى مساعدة برامج قراءة الشاشة على نقل المعنى إلى المستخدمين. [مزيد من المعلومات](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"عناصر `<object>` لا تحتوي على نص `[alt]`"},
"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"عناصر `<object>` تحتوي على نص `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"تشير القيمة الأكبر من 0 إلى وجود طلب تنقل صريح. على الرغم من أن ذلك صحيح تقنيًّا، غالبًا ما يؤدي ذلك إلى إنشاء تجارب محبطة للمستخدمين الذين يعتمدون على التقنيات المساعدة. [مزيد من المعلومات](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"بعض العناصر تحتوي على قيمة `[tabindex]` أكبر من 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"لا يتوفّر عنصر له قيمة `[tabindex]` أكبر من 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"تحتوي برامج قراءة الشاشة على ميزات لتسهيل التنقل بين الجداول. يمكن تحسين تجربة استخدام برامج قراءة الشاشة من خلال ضمان إشارة الخلايا `<td>` التي تستخدم السمة `[headers]` إلى خلايا أخرى في الجدول نفسه فقط. [مزيد من المعلومات](https://web.dev/td-headers-attr/)"},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"إنّ الخلايا الواردة في `<table>` والتي تستخدم السمة `[headers]` تشير إلى عنصر `id` غير موجود في الجدول نفسه."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"إنّ الخلايا الواردة في `<table>` والتي تستخدم السمة `[headers]` تشير إلى الخلايا في الجدول نفسه."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"تحتوي برامج قراءة الشاشة على ميزات لتسهيل التنقل بين الجداول. قد يؤدي ضمان أن عناوين الجداول تشير دائمًا إلى بعض مجموعات الخلايا إلى تحسين تجربة مستخدمي برامج قراءة الشاشة. [مزيد من المعلومات](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'عناصر `<th>` وعناصر `[role="columnheader"/"rowheader"]` لا تحتوي على خلايا البيانات التي يتم وصفها.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'عناصر `<th>` وعناصر `[role="columnheader"/"rowheader"]` تحتوي على خلايا البيانات التي يتم وصفها'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"يؤدي تحديد [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) صحيحة على العناصر إلى مساعدة قارئ الشاشة على نطق النص بشكلٍ صحيح. [مزيد من المعلومات](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"سمات `[lang]` لا تحتوي على قيمة صالحة"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"سمات `[lang]` تحتوي على قيمة صالحة"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"عندما يقدم الفيديو شرحًا، يَسهُل على المستخدمين الصُم والذين يعانون من عجز سمعي فهم مضمونه. [مزيد من المعلومات](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'عناصر `<video>` لا تحتوي على عنصر `<track>` مع `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'عناصر `<video>` تحتوي على عنصر `<track>` مع `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"للحصول على المظهر المثالي على نظام التشغيل iOS عند إضافة المستخدمين تطبيق ويب تقدّمي إلى الشاشة الرئيسية، يمكنك تحديد `apple-touch-icon`. يجب أن تشير هذه السمة إلى مربع غير شفاف بتنسيق PNG مقاسه 192 بكسل (أو 180 بكسل). [مزيد من المعلومات](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"لا يتم تقديم رمز `apple-touch-icon` صالح"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"سمة `apple-touch-icon-precomposed` هي قديمة، ويُفضّل استخدام سمة `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"يتم تقديم رمز `apple-touch-icon` صالح"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{
message:"القيمة الحالية"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"الرموز المميزة المقترحة"},"lighthouse-core/audits/autocomplete.js | description":{message:"تساعد ميزة `autocomplete` المستخدمين على إرسال النماذج بشكل أسرع. لتوفير الجهد على المستخدمين، نقترح تفعيلها من خلال إعداد سمة `autocomplete` إلى قيمة صالحة. [مزيد من المعلومات](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"لا تحتوي عناصر `<input>` على سمات صحيحة لميزة `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"يتطلب مراجعة يدوية"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"مراجعة طلب الرموز المميزة"},"lighthouse-core/audits/autocomplete.js | title":{message:"تستخدم عناصر `<input>` ميزة `autocomplete` بشكل صحيح"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'رموز `autocomplete`: الرمز "{token}" غير صالح في {snippet}.'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'مراجعة ترتيب الرموز المميزة: "{tokens}" في {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:'أثّرت "إضافات Chrome" بشكلٍ سلبي في أداء التحميل لهذه الصفحة. ويمكنك تجربة تدقيق الصفحة في وضع التصفُّح المُتخفّي أو من ملف شخصي على Chrome بدون الإضافات.'},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"تقييم النص البرمجي"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"تحليل النص البرمجي"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"الوقت الإجمالي لوحدة المعالجة المركزية"},"lighthouse-core/audits/bootup-time.js | description":{message:"يمكنك تقليل الوقت المستغرق في تحليل JavaScript وإنشائها وتنفيذها. قد يتبين لك أن تسليم أحمال JavaScript بحجم أصغر يساعد على ذلك. [مزيد من المعلومات](https://web.dev/bootup-time/)"},
"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"تقليل وقت تنفيذ JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"وقت تنفيذ JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"يمكنك إزالة وحدات JavaScript الكبيرة المكررة من الحِزم لتقليل وحدات البايت غير الضرورية التي يستهلكها نشاط الشبكة. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"عليك إزالة الوحدات المكررة في حِزم JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"ملفات GIF الكبيرة غير كافية لعرض محتوى صور متحركة. يمكنك استخدام فيديوهات MPEG4/WebM للصور المتحركة وملفات PNG/WebP للصور الثابتة بدلاً من ملف GIF لحفظ وحدات البايت للشبكة. [مزيد من المعلومات](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"استخدام تنسيقات الفيديو لمحتوى الصور المتحركة"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:'يساعد الملء التلقائي وعمليات التحويل المتصفّحات القديمة في استخدام ميزات JavaScript الجديدة. ولكن العديد منها غير ضروري للمتصفّحات الحديثة. وبالنسبة إلى حِزم JavaScript، يمكنك استخدام استراتيجية حديثة لنشر النص البرمجي باستخدام ميزة الكشف عن الميزات "module/nomodule" لتقليل عدد الرموز البرمجية التي يتم نقلها للمتصفّحات الحديثة مع استمرار اعتماد المتصفّحات القديمة. [مزيد من المعلومات](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)'},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"تجنُّب عرض ميزات JavaScript القديمة في المتصفحات الحديثة"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"غالبًا ما توفِّر تنسيقات الصور، مثل JPEG 2000 وJPEG XR وWebP، ضغطًا أفضل من تنسيق PNG أو JPEG، وهذا يعني تنزيلاً أسرع واستهلاكًا أقل للبيانات. [مزيد من المعلومات](https://web.dev/uses-webp-images/)"},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"عرض الصور بتنسيقات الجيل القادم"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"يمكنك إجراء تحميل بطيء للصور الموجودة خارج الشاشة والصور المخفية بعد الانتهاء من تحميل جميع الموارد المهمة من أجل تقليص وقت التفاعل. [مزيد من المعلومات](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"تأجيل الصور خارج الشاشة"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"تحظر الموارد سرعة عرض الصفحة لصفحتك. ويمكنك تضمين عناصر JavaScript/CSS المهمة وتأجيل جميع الأنماط/عناصر JavaScript غير المهمة. [مزيد من المعلومات](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"استبعاد موارد حظر العرض"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{
message:"تُكلِّف أحمال الشبكة الكبيرة المستخدمين الكثير من الأموال وترتبط مباشرةً بأوقات التحميل الطويلة. [مزيد من المعلومات](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"كان الحجم الإجمالي {totalBytes, number, bytes} كيبيبايت."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"تجنُّب الأحمال الضخمة للشبكة"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"تجنُّب الأحمال الضخمة للشبكة"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"يمكن أن يؤدي تصغير ملفات CSS إلى تقليل أحجام حمولة الشبكة. [مزيد من المعلومات](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"تصغير CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{
message:"يمكن أن يؤدي تصغير ملفات JavaScript إلى تقليل أحجام الأحمال ووقت تحليل النص البرمجي. [مزيد من المعلومات](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"تصغير JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"يمكنك الحدّ من القواعد غير المستخدَمة الواردة من أوراق الأنماط، كما يمكنك تأجيل تحميل محتوى CSS غير المستخدَم في الجزء المرئي من الصفحة لتقليل وحدات البايت التي يستهلكها نشاط الشبكة. [مزيد من المعلومات](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"الحدّ من محتوى CSS غير المُستخدَم"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"يمكنك الحدّ من محتوى JavaScript غير المستخدَم وتأجيل تحميل النصوص البرمجية لتقليل وحدات البايت التي يستهلكها نشاط الشبكة. [مزيد من المعلومات](https://web.dev/unused-javascript/)"},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"الحدّ من محتوى JavaScript غير المستخدَم"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"يمكن لفترة التخزين المؤقت الطويلة تسريع عملية تكرار الزيارات إلى صفحتك. [مزيد من المعلومات](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{تم العثور على مورد واحد}zero{تم العثور على # مورد}two{تم العثور على مورديْنِ (#)}few{تم العثور على # موارد}many{تم العثور على # موردًا}other{تم العثور على # مورد}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"عرض الأصول الثابتة من خلال سياسة ذاكرة التخزين المؤقت الفعالة"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"استخدام سياسة ذاكرة التخزين المؤقت الفعالة على الأصول الثابتة"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{
message:"يتم تحميل الصور المحسَّنة بشكلٍ أسرع وتستهلك بيانات أقل لشبكة الجوّال. [مزيد من المعلومات](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"ترميز الصور بكفاءة"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"يمكنك عرض صور بحجم مناسب لحفظ بيانات شبكة الجوّال وتحسين وقت التحميل. [مزيد من المعلومات](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"الصور ذات الحجم المناسب"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"يجب عرض الموارد المستندة إلى النص باستخدام الضغط (gzip أو الانكماش أو brotli) لتقليل إجمالي وحدات البايت للشبكة. [مزيد من المعلومات](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"تفعيل ضغط النص"},
"lighthouse-core/audits/content-width.js | description":{message:"في حال كان عرض محتوى التطبيق لا يتطابق مع عرض إطار العرض، قد لا يتم تحسين تطبيقك لشاشات الجوّال. [مزيد من المعلومات](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"لا يتطابق حجم إطار العرض {innerWidth} بكسل مع حجم النافذة {outerWidth} بكسل."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"عدم تحديد حجم المحتوى بشكلٍ صحيح لإطار العرض"},"lighthouse-core/audits/content-width.js | title":{message:"تحديد حجم المحتوى بشكلٍ صحيح لإطار العرض"},"lighthouse-core/audits/critical-request-chains.js | description":{message:'توضح لك "سلاسل الطلبات المهمة" أدناه الموارد التي تم تحميلها بأولوية عالية. ويمكنك تقليل طول السلاسل أو تقليل حجم تنزيل الموارد أو تأجيل تنزيل الموارد غير الضرورية لتحسين تحميل الصفحة. [مزيد من المعلومات](https://web.dev/critical-request-chains/)'},"lighthouse-core/audits/critical-request-chains.js | displayValue":{
message:"{itemCount,plural, =1{تم العثور على سلسلة واحدة}zero{تم العثور على # سلسلة}two{تم العثور على سلسلتيْنِ (#)}few{تم العثور على # سلاسل}many{تم العثور على # سلسلةً}other{تم العثور على # سلسلة}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"تجنَّب سلاسل الطلبات المهمة"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"أمر توجيهي"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"درجة الخطورة"},"lighthouse-core/audits/csp-xss.js | description":{message:"تقلِّل سياسة Content Security Policy (CSP) القوية بشكل كبير من خطر هجمات cross-site scripting (XSS). [مزيد من المعلومات](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"البنية"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"تحتوي الصفحة على سياسة CSP تم تحديدها في علامة <meta>. ننصحك بتحديد سياسة CSP في عنوان HTTP إذا كان ذلك ممكنًا."},"lighthouse-core/audits/csp-xss.js | noCsp":{
message:'لم يتم العثور على سياسة CSP في وضع "التنفيذ".'},"lighthouse-core/audits/csp-xss.js | title":{message:"التأكُّد من فاعلية سياسة CSP ضد هجمات XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"إيقاف / تحذير"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"السطر"},"lighthouse-core/audits/deprecations.js | description":{message:"ستتم في النهاية إزالة واجهات برمجة التطبيقات المتوقفة من المتصفح. [مزيد من المعلومات](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{تم العثور على تحذير واحد}zero{تم العثور على # تحذير}two{تم العثور على تحذيرين (#)}few{تم العثور على # تحذيرات}many{تم العثور على # تحذيرًا}other{تم العثور على # تحذير}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"يتم استخدام واجهات برمجة التطبيقات المتوقفة"},"lighthouse-core/audits/deprecations.js | title":{message:"يتم تجنّب واجهات برمجة التطبيقات المتوقفة"},
"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"تم إيقاف ذاكرة التخزين المؤقت للتطبيق. [مزيد من المعلومات](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'تم العثور على "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"يتم استخدام ذاكرة التخزين المؤقت للتطبيق"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"يتم تجنُب ذاكرة التخزين المؤقت للتطبيق"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"تعريف ترميز الأحرف مطلوب. ويمكن إجراء ذلك باستخدام علامة `<meta>` في أول 1024 وحدة بايت من عنوان HTML أو في عنوان الاستجابة Content-Type في HTTP. [مزيد من المعلومات](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"تعريف ترميز الأحرف غير متوفر أو تأخر ظهوره جدًا في HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{
message:"تحديد ترميز الأحرف بشكلٍ صحيح"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"يؤدي تحديد doctype إلى منع المتصفح من التبديل إلى وضع Quirks. [مزيد من المعلومات](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"يجب أن يكون اسم DOCTYPE هو سلسلة الأحرف الصغيرة `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"يجب أن يحتوي المستند على DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"من الممكن أن تكون publicId المتوقعة سلسلة فارغة"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"من الممكن أن تكون systemId المتوقعة سلسلة فارغة"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"تفتقر الصفحة إلى HTML DOCTYPE، مما يؤدي إلى تشغيل وضع Quirks"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"الصفحة تحتوي على HTML DOCTYPE"},
"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"الإحصائية"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"القيمة"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"سيزيد حجم DOM الكبير من استخدام الذاكرة، ويتسبب في إجراء [حسابات نمطية](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) أطول، وينتج عنه [عمليات مُكلفة لإعادة عرض التنسيق](https://developers.google.com/speed/articles/reflow). [مزيد من المعلومات](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{عنصر واحد}zero{# عنصر}two{عنصرين (#)}few{# عناصر}many{# عنصرًا}other{# عنصر}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"تجنُب حجم DOM الزائد"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"الحد الأقصى لعمق DOM"},
"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"إجمالي عدد عناصر DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"الحد الأقصى من عناصر الأطفال"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"تجنُب حجم DOM الزائد"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"علامات الارتساء التي تعذّرت مراجعتها"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'يمكنك إضافة `rel="noopener"` أو `rel="noreferrer"` إلى أي روابط خارجية لتحسين الأداء ومنع الثغرات الأمنية. [مزيد من المعلومات](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"الروابط إلى وجهات مشتركة المصدر هي غير آمنة"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{
message:"الروابط إلى وجهات مشتركة المصدر هي آمنة"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"يتعذّر تحديد الوجهة لإعلان ثابت {anchorHTML}). في حال عدم استخدامه كرابط تشعبي، يمكنك إزالة target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"لا يثق المستخدمون في المواقع الإلكترونية التي تطلب مواقعهم الجغرافية بدون سياق أو قد يؤدي ذلك إلى إرباكهم. يمكنك ربط الطلب بإجراء المستخدم بدلاً من ذلك. [مزيد من المعلومات](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"يتم طلب إذن رصد الموقع الجغرافي عند تحميل الصفحة"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"يتم تجنُب طلب إذن رصد الموقع الجغرافي عند تحميل الصفحة"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"نوع المشكلة"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:'تشير المشاكل التي تم تسجيلها في لوحة `Issues` ضِمن "أدوات مطوري البرامج في Chrome" إلى وجود مشاكل لم يتم حلها. قد تنتج هذه المشاكل بسبب إخفاقات في طلبات الشبكة وعدم توفّر عناصر كافية للتحكّم في الأمان ومشاكل أخرى تتعلق بالمتصفِّح. للاطّلاع على مزيد من التفاصيل عن كل مشكلة، يمكنك الانتقال إلى لوحة Issues (لوحة "المشاكل") ضِمن "أدوات مطوري البرامج في Chrome".'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:'تم تسجيل المشاكل في لوحة `Issues` ضِمن "أدوات مطوري البرامج في Chrome"'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"تم حظر المورد وفقًا لسياسة مشاركة الموارد عبر المصادر الخاصة بالموقع الإلكتروني."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"تستخدم الإعلانات موارد المتصفِّح بكثافة."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:'ما مِن مشاكل في لوحة `Issues` ضِمن "أدوات مطوري البرامج في Chrome"'},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"الإصدار"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"تم رصد جميع مكتبات الواجهة الأمامية JavaScript في الصفحة. [مزيد من المعلومات](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"مكتبات JavaScript التي تم رصدها"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"بالنسبة إلى المستخدمين الذين لديهم اتصالات بطيئة، يمكن للبرامج النصية الخارجية التي يتم إدخالها ديناميكيًا عبر `document.write()` تأخير تحميل الصفحة لمدة ثوانٍ متعددة. [مزيد من المعلومات](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"تجنَّب `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"يتم تجنُب `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{
message:"أعلى نسبة خطورة"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"إصدار المكتبة"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"عدد الثغرات"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"قد تحتوي بعض البرامج النصية للجهات الخارجية على ثغرات أمنية معروفة يمكن للمهاجمين تحديدها واستغلالها بسهولة. [مزيد من المعلومات](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{تم رصد ثغرة واحدة}zero{تم رصد # ثغرة}two{تم رصد ثغرتين (#)}few{تم رصد # ثغرات}many{تم رصد # ثغرةً}other{تم رصد # ثغرة}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"يتم تضمين مكتبات الواجهة الأمامية JavaScript ذات الثغرات الأمنية المعروفة"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"يتم تجنُب مكتبات الواجهة الأمامية JavaScript ذات الثغرات الأمنية المعروفة"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"لا يثق المستخدمون في المواقع الإلكترونية التي تطلب إرسال الإشعارات بدون سياق أو قد يؤدي ذلك إلى إرباكهم. يمكنك ربط الطلب بإيماءات المستخدم بدلاً من ذلك. [مزيد من المعلومات](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"يتم طلب إذن الإشعار عند تحميل الصفحة"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"يتم تجنُّب طلب إذن الإشعار عند تحميل الصفحة"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"يؤدي منع لصق كلمة المرور إلى تقويض سياسة الأمان الجيدة. [مزيد من المعلومات](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{
message:"يتم منع المستخدمين من اللصق في حقول كلمات المرور"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"يتم السماح للمستخدمين باللصق في حقول كلمات المرور"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"البروتوكول"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"يوفّر HTTP/2 العديد من المزايا مقارنةً بـ HTTP/1.1، بما في ذلك عناوين البرامج الثنائية وعملية مضاعفة توجيه الإشارات. [مزيد من المعلومات](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{لم يتم عرض طلب واحد عبر HTTP/2}zero{لم يتم عرض # طلب عبر HTTP/2}two{لم يتم عرض طلبين (#) عبر HTTP/2}few{لم يتم عرض # طلبات عبر HTTP/2}many{لم يتم عرض # طلبًا عبر HTTP/2}other{لم يتم عرض # طلب عبر HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"استخدام HTTP/2"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:'يمكنك وضع علامة على "أدوات معالجة أحداث لمس الشاشة وتحريك الماوس" بصفتها `passive` لتحسين عملية التنقل في صفحتك. [مزيد من المعلومات](https://web.dev/uses-passive-event-listeners/)'},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"لا يتم استخدام أدوات معالجة الحدث السلبية لتحسين عملية التنقل في الصفحة"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"يتم استخدام أدوات معالجة الحدث السلبية لتحسين أداء التمرير"},"lighthouse-core/audits/errors-in-console.js | description":{message:"تشير الأخطاء التي تم تسجيلها في وحدة التحكّم إلى مشاكل لم يتم حلها. قد تنتج هذه المشاكل من إخفاقات طلب الشبكة ومشاكل أخرى تتعلق بالمتصفّح. [مزيد من المعلومات](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"تم تسجيل أخطاء المتصفح في وحدة التحكّم"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"لم يتم تسجيل أخطاء المتصفح في وحدة التحكّم"},"lighthouse-core/audits/font-display.js | description":{message:"يمكنك الاستفادة من ميزة CSS لعرض الخطوط لضمان أن يكون النص مرئيًا للمستخدم أثناء تحميل خطوط موقع إلكتروني. [مزيد من المعلومات](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"التأكد من بقاء النص مرئيًا أثناء تحميل خط موقع إلكتروني"},"lighthouse-core/audits/font-display.js | title":{message:"تظل جميع النصوص مرئية أثناء تحميل خط موقع إلكتروني"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{لم تتمكّن أداة Lighthouse من التحقّق تلقائيًا من قيمة `font-display` في أصل واحد ({fontOrigin}).}zero{لم تتمكّن أداة Lighthouse من التحقّق تلقائيًا من قيمة `font-display` في {fontOrigin} أصل.}two{لم تتمكّن أداة Lighthouse من التحقّق تلقائيًا من قيمة `font-display` في أصلَين ({fontOrigin}).}few{لم تتمكّن أداة Lighthouse من التحقّق تلقائيًا من قيمة `font-display` في {fontOrigin} أصول.}many{لم تتمكّن أداة Lighthouse من التحقّق تلقائيًا من قيمة `font-display` في {fontOrigin} أصلاً.}other{لم تتمكّن أداة Lighthouse من التحقّق تلقائيًا من قيمة واحدة (`font-display`) في {fontOrigin} أصل.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"نسبة العرض إلى الارتفاع (الفعلية)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"نسبة العرض إلى الارتفاع (معروضة)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{
message:"يجب أن تتوافق أبعاد عرض الصورة مع نسبة العرض إلى الارتفاع الطبيعية. [مزيد من المعلومات](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"يتم عرض الصور مع نسبة عرض إلى ارتفاع غير صحيحة"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"يتم عرض الصور مع نسبة العرض إلى الارتفاع الصحيحة"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"الحجم الفعلي"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"الحجم المعروض"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"الحجم المتوقع"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"يجب أن تكون الأبعاد الطبيعية للصورة متناسبة مع حجم العرض ونسبة وحدة البكسل لزيادة وضوح الصورة إلى أقصى حد. [مزيد من المعلومات](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"يتم عرض الصور بدقة منخفضة"},
"lighthouse-core/audits/image-size-responsive.js | title":{message:"يتم عرض الصور بدقة مناسبة"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"سبق وتم تثبيت هذا التطبيق."},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"تعذَّر تنزيل رمز مطلوب من ملف البيان."},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"سبب الإخفاق"},"lighthouse-core/audits/installable-manifest.js | description":{message:'مشغّل الخدمات هو التكنولوجيا التي تمكّن تطبيقك من استخدام ميزات عديدة من "تطبيق الويب التقدّمي"، مثل الاستجابة عند عدم الاتصال بالإنترنت والإضافة إلى الشاشة الرئيسية والإشعارات الفورية. من خلال مشغّل الخدمات المناسب وعمليات تنفيذ ملفات البيان، يمكن للمتصفِّحات أن تطلب من المستخدمين بشكل مسبق إضافة تطبيقك إلى الشاشة الرئيسية، ويمكن بذلك زيادة التفاعل. [مزيد من المعلومات](https://web.dev/installable-manifest/)'},"lighthouse-core/audits/installable-manifest.js | displayValue":{
message:"{itemCount,plural, =1{سبب واحد}zero{# أسباب}two{سببان}few{# أسباب}many{# سببًا}other{# سبب}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"عدم استيفاء ملف بيان تطبيق الويب أو مشغّل الخدمات لمتطلبات التثبيت"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:'لا يتطابق عنوان URL الخاص بالتطبيق في "متجر Play" مع رقم تعريف التطبيق في "متجر Play".'},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"تم تحميل الصفحة في نافذة تصفُّح متخفٍ."},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'يجب أن تكون خاصية "display" في ملف البيان بالقيمة "standalone" أو "fullscreen" أو "minimal-ui".'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'يتضمن ملف البيان حقل "display_override"، لذا يجب أن يكون وضع العرض الأول المتاح بالقيمة "standalone" أو "fullscreen" أو "minimal-ui".'},
"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"البيان فارغ أو تعذّر استرجاعه أو لم يتم تحليله."},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"تم تغيير عنوان URL لملف البيان أثناء استرجاع الملف."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'لا يتضمّن ملف البيان حقل "name" أو "short_name".'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'لا يتضمّن ملف البيان رمزًا مناسبًا. يجب استخدام رمز بتنسيق PNG أو SVG أو WebP بحجم {value0} بكسل على الأقل، ويجب ضبط السمة "sizes"، وأن تتضمّن السمة "purpose" القيمة "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'لا يتوفّر رمز بحجم {value0} بكسل مربّع على الأقل بتنسيق PNG أو SVG أو WebP، بغرض عدم ضبط السمة أو ضبطها على "أي تنسيق".'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"الرمز الذي تم تحميله فارغ أو تالف."},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:'لم يتم توفير رقم تعريف "متجر Play".'},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"لا تتضمّن الصفحة عنوان URL <link> لملف البيان."},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"لم يتم رصد مشغّل خدمات مطابق. قد تحتاج إلى إعادة تحميل الصفحة، أو التأكّد أن نطاق مشغّل الخدمات للصفحة الحالية يشتمل على النطاق وعنوان URL البداية من ملف البيان."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'تعذّر التحقّق من مشغّل الخدمات بدون توفّر حقل "start_url" في ملف البيان.'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'لم يتم التعرّف على رقم تعريف خطأ قابلية التثبيت "{errorId}".'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"لا يتم عرض الصفحة من مصدر آمن."},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{
message:"لا يتم تحميل الصفحة في الإطار الرئيسي."},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"لا تعمل هذه الصفحة بلا إنترنت."},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"لا تتوفّر منصة التطبيقات المحدّدة على Android."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"يضبط ملف البيان قيمة prefer_related_applications على true."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"لا يتوافق حقل الإدخال prefer_related_applications إلا مع الإصدار التجريبي من متصفِّح Chrome والقنوات الثابتة على Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"عنوان URL البداية لملف البيان غير صالح."},"lighthouse-core/audits/installable-manifest.js | title":{message:"استيفاء ملف بيان تطبيق الويب ومشغّل الخدمات لمتطلبات التثبيت"},
"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"يحتوي عنوان URL في ملف البيان على اسم مستخدم أو كلمة مرور أو منفذ."},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"لا تعمل هذه الصفحة بلا إنترنت. وستصبح هذه الصفحة غير قابلة للتثبيت بعد إطلاق الإصدار الثابت من Chrome 93 في آب (أغسطس) 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"مسموح به"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"محظور"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"عنوان URL غير آمن"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"معالجة الطلبات"},"lighthouse-core/audits/is-on-https.js | description":{
message:"يجب حماية جميع المواقع الإلكترونية باستخدام HTTPS، حتى تلك المواقع التي لا تتعامل مع البيانات الحساسة. وتتضمن هذه الحماية تجنُّب [المحتوى المختلَط](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) حيث يتم تحميل بعض المصادر على HTTP على الرغم من عمل الطلب الأوّلي على HTTPS. ويمنع HTTPS الدخلاء من العبث بالاتصالات بين تطبيقك والمستخدمين أو الاستماع إليها، وهو شرط مُسبَق لـ HTTP/2 والعديد من واجهات برمجة تطبيقات الأنظمة الأساسية للإنترنت الجديدة. [مزيد من المعلومات](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{تم العثور على طلب غير آمن واحد}zero{تم العثور على # طلب غير آمن}two{تم العثور على طلبين غير آمنين (#)}few{تم العثور على # طلبات غير آمنة}many{تم العثور على # طلبًا غير آمن}other{تم العثور على # طلب غير آمن}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"لا يتم استخدام HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{
message:"يتم استخدام HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"تمت ترقيته إلى HTTPS تلقائيًا"},"lighthouse-core/audits/is-on-https.js | warning":{message:"مسموح به مع التحذير"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"مكتبة"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"يمكن أن تؤدّي مكتبات JavaScript الكبيرة إلى ضعف في الأداء. من الأفضل أن تكون المكتبات صغيرة ومتكافئة وظيفيًا لتقليص حجم الحِزمة. [مزيد من المعلومات](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{تم العثور على مكتبة كبيرة واحدة}zero{تم العثور على # مكتبة كبيرة}two{تم العثور على مكتبتَين كبيرتَين}few{تم العثور على # مكتبات كبيرة}many{تم العثور على # مكتبة كبيرة}other{تم العثور على # مكتبة كبيرة}}"},
"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"تبديل مكتبات JavaScript الكبيرة التي لا تهمّك"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"يتم تجنُّب مكتبات JavaScript الكبيرة باستخدام مكتبات صغيرة"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"هذا هو الجزء من المحتوى الذي تم عرضه بأكبر سرعة على الصفحة ضمن إطار العرض. [مزيد من المعلومات](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:'عنصر "سرعة عرض أكبر جزء من المحتوى على الصفحة"'},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"المساهمة في متغيّرات التصميم التراكمية (CLS)"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"تساهم عناصر DOM هذه أكثر في متغيّرات التصميم التراكمية (CLS) الخاصة بالصفحة."},"lighthouse-core/audits/layout-shift-elements.js | title":{
message:"تجنُّب متغيّرات التصميم الكبيرة"},"lighthouse-core/audits/long-tasks.js | description":{message:"يتم إدراج أطول المهام في سلسلة المحادثات الرئيسية، ما يساعد في تحديد أكثر الأشخاص الذين يسببون تأخير في عملية الإدخال. [مزيد من المعلومات](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{تم العثور على مهمّة طويلة واحدة}zero{تم العثور على # مهمّة طويلة}two{تم العثور على مهمّتَين طويلتَين}few{تم العثور على # مهمّات طويلة}many{تم العثور على # مهمّة طويلة}other{تم العثور على # مهمّة طويلة}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"نجنُّب سلسة المهام الرئيسية الطويلة"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"الفئة"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"ننصحك بتقليل الوقت المستغرق في تحليل JavaScript وإنشائه وتنفيذه. قد يتبيّن لك أن تقديم بيانات JavaScript بحجم أصغر يساعد على ذلك. [مزيد من المعلومات](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"تقليل سلسلة العمل الرئيسية"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"تقليل سلسلة العمل الرئيسية"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"للوصول إلى أكبر عدد من المستخدمين، يجب استخدام المواقع الإلكترونية على كل متصفح رئيسي. [مزيد من المعلومات](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"الموقع الإلكتروني يعمل عبر المتصفح"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"يُرجى التأكّد من أن الصفحات الفردية قابلة للربط بشكلٍ كبير عبر عنوان URL وأن عناوين URL فريدة لغرض إمكانية المشاركة على وسائل التواصل الاجتماعي. [مزيد من المعلومات](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"كل صفحة تحتوي على عنوان URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"يجب أن تكون عملية الانتقال بين الصفحات سريعة، حتى عند استخدام شبكة بطيئة. وذلك لأنّ سرعة استجابة التطبيق تُعدّ من العناصر الأساسية التي يستند إليها المستخدم في تقييم أداء التطبيق. [مزيد من المعلومات](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"عمليات نقل الصفحة لا تبدو أنها محظورة على الشبكة"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"يضمن الرمز القابل للإخفاء تعبئة الصورة للشكل بالكامل بدون أن تصبح مُعدَّة للعرض على شاشة عريضة أفقيًا أثناء تثبيت التطبيق على الجهاز. [مزيد من المعلومات](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"البيان لا يحتوي على رمز قابل للإخفاء"},"lighthouse-core/audits/maskable-icon.js | title":{message:"البيان يحتوي على رمز قابل للإخفاء"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:'تقيس "متغيّرات التصميم التراكمية" حركة العناصر المرئية في إطار العرض. [مزيد من المعلومات](https://web.dev/cls/)'},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:'تحدد "سرعة عرض المحتوى على الصفحة" الوقت الذي يُعرَض فيه أول صورة أو نص. [مزيد من المعلومات](https://web.dev/first-contentful-paint/)'},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{
message:'تقيس "سرعة عرض أوّل محتوى مفيد على الصفحة" الوقت الذي يكون فيه المحتوى الأساسي لصفحة مرئيًا. [مزيد من المعلومات](https://web.dev/first-meaningful-paint/)'},"lighthouse-core/audits/metrics/interactive.js | description":{message:"وقت التفاعل هو مقدار الوقت المستغرق حتى تصبح الصفحة تفاعلية بالكامل. [مزيد من المعلومات](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:'يحدّد مقياس "سرعة عرض أكبر جزء من المحتوى على الصفحة" المدة التي يتم خلالها عرض أكبر صورة أو نص. [مزيد من المعلومات](https://web.dev/lighthouse-largest-contentful-paint/)'},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:'الحد الأقصى المحتمل من "مهلة الاستجابة لأوّل إدخال" الذي قد يواجهه المستخدمين، هو مدة أطول مهمّة. [مزيد من المعلومات](https://web.dev/lighthouse-max-potential-fid/)'},"lighthouse-core/audits/metrics/speed-index.js | description":{
message:"يوضح مؤشر السرعة وتيرة تعبئة محتوى الصفحة على شاشة المستخدم. [مزيد من المعلومات](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:'مجموع الفترات الزمنية بين "سرعة عرض المحتوى على الصفحة" (FCP) و"وقت التفاعل"، عندما تتجاوز مدة المهمة 50 مللي ثانية، معبرًا عنها بالمللي ثانية. [مزيد من المعلومات](https://web.dev/lighthouse-total-blocking-time/)'},"lighthouse-core/audits/network-rtt.js | description":{message:"تؤثر مُدد الإرسال والاستقبال للشبكة تأثيرًا كبيرًا في مستوى الأداء. في حال كانت مدة الإرسال والاستقبال كبيرة، يشير ذلك إلى احتمال تحسّن أداء الخوادم الأقرب إلى المستخدم. [مزيد من المعلومات](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"أوقات إرسال واستقبال الشبكة"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"قد تؤثر أوقات استجابة الخادم في أداء الويب. في حال كان وقت استجابة الخادم للأصل طويلاً، هذه إشارة إلى أنه تم تحميل الخادم بشكلٍ زائد أو مستوى أدائه ضعيف في الخلفية. [مزيد من المعلومات](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"أوقات الاستجابة لواجهة الخادم الخلفية"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:'لا يعمل حدث `unload` بفعالية ويمكن أن تؤدي معالجته إلى منع تحسينات المتصفّح، مثل ميزة "التخزين المؤقت للصفحات". بدلاً من هذا الحدث، يمكنك استخدام `pagehide` أو `visibilitychange`. [مزيد من المعلومات](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)'},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"يتم استخدام أدوات معالجة حدث `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"لا يتم استخدام أدوات معالجة حدث `unload`"},
"lighthouse-core/audits/non-composited-animations.js | description":{message:"يمكن للصور المتحركة غير المركّبة أن تكون رديئة وأن تزيد متغيّرات التصميم التراكمية (CLS). [مزيد من المعلومات](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{تم العثور على عنصر متحرك واحد}zero{تم العثور على # عنصر متحرك}two{تم العثور على عنصرَين متحركَين}few{تم العثور على # عناصر متحركة}many{تم العثور على # عنصرًا متحركًا}other{تم العثور على # عنصر متحرك}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"قد تحرّك الخاصية المتعلّقة بالفلتر وحدات بكسل."},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"يتم استهداف صورة متحركة أخرى غير متوافقة."},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'يحتوي "التأثير" على وضع مركّب غير "replace".'},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"تجنُّب الصور المتحركة غير المركّبة"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"تعتمد الخاصية المتعلّقة بالتحويل على حجم المربع."},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{خاصية CSS غير المتوافقة: {properties}}zero{خصائص CSS غير المتوافقة: {properties}}two{خاصيتا CSS غير المتوافقتَين: {properties}}few{خصائص CSS غير المتوافقة: {properties}}many{خصائص CSS غير المتوافقة: {properties}}other{خصائص CSS غير المتوافقة: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:'يحتوي "التأثير" على مَعلَمات توقيت غير متوافقة'},"lighthouse-core/audits/performance-budget.js | description":{
message:"يمكنك الحفاظ على كمية طلبات الشبكة وحجمها ضمن الاستهدافات المحدّدة في ميزانية الأداء المقدّمة. [مزيد من المعلومات](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{طلب واحد}zero{# طلب}two{طلبان (#)}few{# طلبات}many{# طلبًا}other{# طلب}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"ميزانية الأداء"},"lighthouse-core/audits/preload-fonts.js | description":{message:"يجب تحميل الخطوط `optional` مُسبَقًا حتى يتسنى للزوار لأول مرة استخدامها. [مزيد من المعلومات](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"الخطوط التي استخدمت `font-display: optional` لم يتم تحميلها مُسبَقًا"},"lighthouse-core/audits/preload-fonts.js | title":{message:"تم تحميل الخطوط التي استخدمت `font-display: optional` مُسبَقًا"},"lighthouse-core/audits/preload-lcp-image.js | description":{
message:"Preload the image used by the LCP element in order to improve your LCP time. [Learn more](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Preload Largest Contentful Paint image"},"lighthouse-core/audits/redirects-http.js | description":{message:"في حال أعددت HTTPS مسبقًا، تأكّد من إعادة توجيه جميع زيارات HTTP إلى HTTPS من أجل تفعيل ميزات الويب الآمنة لجميع المستخدمين. [مزيد من المعلومات](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"عدم إعادة توجيه زيارات HTTP إلى HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"إعادة توجيه زيارات HTTP إلى HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"تؤدي عمليات إعادة التوجيه إلى حدوث تأخيرات إضافية قبل أن يتم تحميل الصفحة. [مزيد من المعلومات](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{
message:"تجنُب عمليات إعادة توجيه الصفحات المتعددة"},"lighthouse-core/audits/resource-summary.js | description":{message:"لضبط ميزانيات لكمية موارد الصفحة وحجمها، يمكنك إضافة ملف budget.json. [مزيد من المعلومات](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{طلب واحد • {byteCount, number, bytes} كيبيبايت}zero{# طلب • {byteCount, number, bytes} كيبيبايت}two{طلبان • {byteCount, number, bytes} كيبيبايت}few{# طلبات • {byteCount, number, bytes} كيبيبايت}many{# طلبًا • {byteCount, number, bytes} كيبيبايت}other{# طلب • {byteCount, number, bytes} كيبيبايت}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"الحفاظ على انخفاض عدد الطلبات ونقل الأحجام الصغيرة"},"lighthouse-core/audits/seo/canonical.js | description":{message:"تقترح الروابط الأساسية عنوان URL للعرض في نتائج البحث. [مزيد من المعلومات](https://web.dev/canonical/)"},
"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"تتعدّد عناوين URL المتضاربة ({urlList})."},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"يشير عنوان URL إلى نطاق مختلف ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"عنوان URL غير صالح ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"يشير عنوان URL إلى موقع جغرافي `hreflang` آخر ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"عنوان URL هو نسبي ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"يشير إلى عنوان URL الجذر للنطاق (الصفحة الرئيسية)، بدلاً من صفحة مكافئة للمحتوى"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"المستند لا يحتوي على سمة `rel=canonical` صالحة"},"lighthouse-core/audits/seo/canonical.js | title":{message:"المستند يحتوي على سمة `rel=canonical` صالحة"},
"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"الروابط التي لا يمكن الزحف إليها"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"قد تستخدم محركات البحث سمات `href` على الروابط بهدف الزحف إلى المواقع الإلكترونية. يُرجى التأكّد من أنّ سمة `href` لعناصر الارتساء ترتبط بوجهة مناسبة، حيث يمكن اكتشاف مزيد من صفحات الموقع الإلكتروني. [مزيد من المعلومات](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"لا يمكن الزحف إلى الروابط"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"يمكن الزحف إلى الروابط"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"نص إضافي غير قابل للقراءة"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"حجم الخط"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% من نص الصفحة"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{
message:"أداة الاختيار"},"lighthouse-core/audits/seo/font-size.js | description":{message:'أحجام الخطوط الأقل من 12 بكسل صغيرة جدًا بحيث لا يمكن قراءتها بسهولة وتتطلب من مستخدمي الجوّال "التكبير أو التصغير بإصبعين" من أجل قراءتها. يمكنك بذل قصارى جهدك للحصول على نسبة أكبر من 60% من نص الصفحة بمقدار أكبر من أو يساوي 12 بكسل. [مزيد من المعلومات](https://web.dev/font-size/)'},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"نص {decimalProportion, number, extendedPercent} قابل للقراءة"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"النص غير مقروء لأنه لا تتوفّر علامة وصفية لإطار العرض محسنة لشاشات الجوّال."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"لا يستخدم المستند أحجام الخطوط القابلة للقراءة"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"نص قابل للقراءة"},"lighthouse-core/audits/seo/font-size.js | title":{message:"يستخدم المستند أحجام الخط القابلة للقراءة"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:"تخبر روابط hreflang محركات البحث عن إصدار الصفحة الذي يجب إدراجه في نتائج البحث للغة أو منطقة معيّنة. [مزيد من المعلومات](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"المستند لا يحتوي على سمة `hreflang` صالحة"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"قيمة href غير مؤهلة بالكامل."},"lighthouse-core/audits/seo/hreflang.js | title":{message:"المستند يحتوي على سمة `hreflang` صالحة"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"رمز اللغة غير متوقّع."},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"قد لا تتم فهرسة الصفحات التي تتضمّن رموز حالة HTTP غير صالحة بشكلٍ صحيح. [مزيد من المعلومات](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"تحتوي الصفحة على رمز حالة HTTP غير صالح"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"تحتوي الصفحة على رمز حالة HTTP صالح"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"يتعذّر على محركات البحث تضمين صفحاتك في نتائج البحث في حال عدم حصولها على إذن للزحف إلى هذه الصفحات. [مزيد من المعلومات](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"يتم حظر الصفحة من الفهرسة"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"الصفحة ليست محظورة من الفهرسة"},"lighthouse-core/audits/seo/link-text.js | description":{message:"يساعد نص الرابط الوصفي محركات البحث على فهم المحتوى. [مزيد من المعلومات](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{تم العثور على رابط واحد}zero{تم العثور على # رابط}two{تم العثور على رابطين (#)}few{تم العثور على # روابط}many{تم العثور على # رابطًا}other{تم العثور على # رابط}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{
message:"عدم احتواء الروابط على نص وصفي"},"lighthouse-core/audits/seo/link-text.js | title":{message:"تحتوي الروابط على نص وصفي"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"يمكنك تشغيل [أداة اختبار البيانات المنظَّمة](https://search.google.com/structured-data/testing-tool/) و[Linter للبيانات المنظَّمة](http://linter.structured-data.org/) للتحقّق من البيانات المنظَّمة. [مزيد من المعلومات](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"البيانات المنظَّمة صالحة"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"قد يتم تضمين الأوصاف التعريفية في نتائج البحث لتلخيص محتوى الصفحة بإيجاز. [مزيد من المعلومات](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"نص الوصف فارغ."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"لا يحتوي المستند على وصف تعريفي"},
"lighthouse-core/audits/seo/meta-description.js | title":{message:"يحتوي المستند على وصف تعريفي"},"lighthouse-core/audits/seo/plugins.js | description":{message:"لا يمكن لمحركات البحث فهرسة محتوى مكون إضافي وتحظر العديد من الأجهزة استخدام المكونات الإضافية أو لا توفّرها. [مزيد من المعلومات](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"يستخدم المستند مكونات إضافية"},"lighthouse-core/audits/seo/plugins.js | title":{message:"يتجنّب المستند المكونات الإضافية"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"في حال كان ملف robots.txt مكتوبًا بصيغة غير صحيحة، يمكن ألا تفهم برامج الزحف كيف تريد أن يتم الزحف إلى موقعك الإلكتروني أو أن تتم فهرسته. [مزيد من المعلومات](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"الطلب لملف robots.txt عرض حالة HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{تم العثور على خطأ واحد}zero{تم العثور على # خطأ}two{تم العثور على خطأين (#)}few{تم العثور على # أخطاء}many{تم العثور على # خطأً}other{تم العثور على # خطأ}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"تعذّر على Lighthouse تنزيل ملف robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:'ملف "robots.txt" غير صالح'},"lighthouse-core/audits/seo/robots-txt.js | title":{message:'ملف "robots.txt" صالح'},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"يجب أن تكون العناصر التفاعلية، مثل الأزرار والروابط، كبيرة بشكلٍ كافٍ (48 × 48 بكسل) وأن تحيط بها مساحة كافية ليكون من السهل النقر عليها بدون النقر على أي عناصر أخرى. [مزيد من المعلومات](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"تم تحديد حجم {decimalProportion, number, percent} لأهداف النقر بشكلٍ مناسب"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"أهداف النقر صغيرة جدًا لأنه لا تتوفّر علامة وصفية لإطار العرض محسنة لشاشات الجوّال."},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"لم يتم تحديد حجم أهداف النقر بشكل مناسب"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"استهداف متداخِل"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"هدف النقر"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"يتم تحديد حجم أهداف النقر بشكل مناسب"},"lighthouse-core/audits/server-response-time.js | description":{message:"يجب إبقاء وقت استجابة الخادم للمستند الرئيسي قصيرًا، بسبب اعتماد جميع الطلبات الأخرى على هذا الإجراء. [مزيد من المعلومات](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"استغرق مستند الجذر {timeInMs, number, milliseconds} مللي ثانية"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"تقليل وقت استجابة الخادم الأوّلي"},
"lighthouse-core/audits/server-response-time.js | title":{message:"وقت استجابة الخادم الأوّلي قصير"},"lighthouse-core/audits/service-worker.js | description":{message:'مشغّل الخدمات هو التكنولوجيا التي تمكّن تطبيقك من استخدام ميزات عديدة من "تطبيق الويب التقدّمي"، مثل الاستجابة عند عدم الاتصال بالإنترنت والإضافة إلى الشاشة الرئيسية والإشعارات الفورية. [مزيد من المعلومات](https://web.dev/service-worker/)'},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"يتحكم مشغّل الخدمات في هذه الصفحة، ومع ذلك لم يتم العثور على `start_url` بسبب تعذّر تحليل البيان كملف JSON صالح"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"يتحكم مشغّل الخدمات في هذه الصفحة، ومع ذلك لا يتوفر `start_url` ({startUrl}) في نطاق مشغّل الخدمات ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"يتحكم مشغّل الخدمات في هذه الصفحة، ومع ذلك لم يتم العثور على `start_url` لأنه لم يتم جلب أي بيان."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"تحتوي نقطة الانطلاق هذه على مشغّل خدمات واحد أو أكثر، ولكن لا يوجد مشغّل يتحكم في الصفحة ({pageUrl})."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"عدم تسجيل مشغّل الخدمات الذي يتحكّم في صفحة و`start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"تسجيل مشغّل الخدمات الذي يتحكّم في صفحة و`start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"تضمن شاشة البداية المميزة توفير تجربة عالية الجودة عند إطلاق المستخدمين تطبيقك من الشاشات الرئيسية. [مزيد من المعلومات](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"عدم الضبط لشاشة بداية مخصّصة"},"lighthouse-core/audits/splash-screen.js | title":{message:"تم الضبط لشاشة البداية المخصّصة"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"يمكن تصميم شريط العناوين للمتصفح لمطابقة موقعك الإلكتروني. [مزيد من المعلومات](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"عدم ضبط لون تصميم لشريط العناوين"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"ضبط لون تصميم لشريط العناوين"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (منتج متعلق بخدمة العملاء)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (منتج متعلق بالتسويق)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (منتج متعلق بوسائل التواصل الاجتماعي)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (منتج متعلق بالفيديو)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"المنتج"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"بعض الرموز المضمّنة التابعة لجهات خارجية يمكن تحميلها ببطء. ويمكنك استبدال هذه الرموز المضمّنة بإحدى الواجهات إلى حين الحاجة إليها. [مزيد من المعلومات](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{تتوفّر واجهة واحدة بديلة.}zero{تتوفّر # واجهة بديلة.}two{تتوفّر واجهتان بديلتان.}few{تتوفّر # واجهات بديلة.}many{تتوفّر # واجهة بديلة.}other{تتوفّر # واجهة بديلة.}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"بعض الموارد التابعة لجهات خارجية يمكن تحميلها ببطء مع واجهة"},"lighthouse-core/audits/third-party-facades.js | title":{message:"تحميل الموارد التابعة لجهات خارجية ببطء مع واجهات"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"الجهة الخارجية"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"يمكن أن يؤثر الرمز البرمجي الخاصّ بالجهة الخارجية بشكل كبير في أداء التحميل. يمكنك تحديد عدد مقدِّمي الخدمة للجهات الخارجية المتكرّرين ومحاولة تحميل الرمز البرمجي الخاص بالجهة الخارجية بعد انتهاء تحميل صفحتك بشكل أساسي. [مزيد من المعلومات](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"لقد حظر رمز الجهة الخارجية سلسلة المحادثات الرئيسية لمدة {timeInMs, number, milliseconds} مللي ثانية"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"تقليل تأثير رمز الجهة الخارجية"},"lighthouse-core/audits/third-party-summary.js | title":{message:"تقليل استخدام الرموز التابعة لجهات خارجية"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"القياسات"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"المقياس"},"lighthouse-core/audits/timing-budget.js | description":{
message:"يمكنك إعداد ميزانية قائمة على الوقت لتساعدك في مراقبة أداء موقعك الإلكتروني. إنّ للمواقع الإلكترونية ذات الأداء العالي سرعة في التحميل وفي الردّ على إدخالات المستخدم. [مزيد من المعلومات](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"ميزانية قائمة على الوقت"},"lighthouse-core/audits/unsized-images.js | description":{message:"يجب إعداد قيَم عرض وارتفاع محدَّدة في عناصر الصور للحدّ من متغيّرات التصميم وتحسين متغيّرات التصميم التراكمية (CLS). [مزيد من المعلومات](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"عناصر الصور لا تحتوي على قيَم `width` و`height` محدَّدة"},"lighthouse-core/audits/unsized-images.js | title":{message:"عناصر الصورة تحتوي على قيَم `width` و`height` محدَّدة"},"lighthouse-core/audits/user-timings.js | columnType":{message:"النوع"},"lighthouse-core/audits/user-timings.js | description":{
message:'يمكنك توجيه تطبيقك باستخدام "واجهة برمجة التطبيقات لأوقات المستخدم" لقياس الأداء الفعلي العالمي لتطبيقك أثناء التجارب الأساسية للمستخدمين. [مزيد من المعلومات](https://web.dev/user-timings/)'},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{وقت واحد للمستخدم}zero{# وقت للمستخدم}two{وقتا (#) المستخدم}few{# أوقات للمستخدم}many{# وقتًا للمستخدم}other{# وقت للمستخدم}}"},"lighthouse-core/audits/user-timings.js | title":{message:"علامات أوقات المستخدم وقياساتها"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'تم العثور على رابط `<link rel=preconnect>` لـ "{securityOrigin}"، ولكن لم يتم استخدامه من خلال المتصفّح. يُرجى التحقّق من استخدام السمة `crossorigin` بشكل صحيح.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"يمكنك إضافة تعديلات المورد `preconnect` أو `dns-prefetch` لإنشاء اتصالات مبكرة بأصول مهمة تابعة لجهة خارجية. [مزيد من المعلومات](https://web.dev/uses-rel-preconnect/)"},
"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"الاتصال المسبق للأصول المطلوبة"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"تم العثور على أكثر من رابطَيّ `<link rel=preconnect>`. ننصحك بعدم استخدام هذه الروابط بشكل كبير واقتصارها على المصادر الأكثر أهمية فقط."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'تم العثور على رابط `<link rel=preconnect>` لـ "{securityOrigin}"، ولكن لم يتم استخدامه من خلال المتصفّح. يجب فقط استخدام `preconnect` للمواقع الإلكترونية المهمّة التي ستطلبها الصفحة خلال عملية التحميل.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'تم العثور على رابط `<link>` للتحميل المُسبَق لـ "{preloadURL}"، ولكن لم يتم استخدامه من خلال المتصفّح. يُرجى التحقّق من استخدام السمة `crossorigin` بشكل صحيح.'},"lighthouse-core/audits/uses-rel-preload.js | description":{
message:"يمكنك استخدام `<link rel=preload>` لتحديد أولويات جلب الموارد المطلوبة حاليًا في وقتٍ لاحق في تحميل الصفحة. [مزيد من المعلومات](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"التحميل المسبق للطلبات الأساسية"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"عنوان URL لخريطة المصدر"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"تترجم خرائط المصدر الرمز المصغَّر إلى رمز المصدر الأصلي. ويساعد هذا الإجراء مطوّري البرامج على تصحيح الأخطاء في مرحلة الإنتاج. وتستطيع أيضًا أداة Lighthouse أن توفّر معلومات إضافية. ننصحك بنشر خرائط المصدر للاستفادة من هذه المزايا. [مزيد من المعلومات](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"عدم توفّر خرائط مصدر للغة JavaScript من الطرف الأول الكبير"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{
message:"لا يحتوي ملف JavaScript الكبير على خريطة مصدر"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{تحذير: هناك عنصر واحد غير متوفّر في السمة `.sourcesContent`}zero{تحذير: هناك # عنصر غير متوفّر في السمة `.sourcesContent`}two{تحذير: هناك عنصران غير متوفرَّين في السمة `.sourcesContent`}few{تحذير: هناك # عناصر غير متوفّرة في السمة `.sourcesContent`}many{تحذير: هناك # عنصرًا غير متوفّر في السمة `.sourcesContent`}other{تحذير: هناك # عنصر غير متوفّر في السمة `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"تحتوي الصفحة على خرائط مصدر صالحة"},"lighthouse-core/audits/viewport.js | description":{message:'يُرجى إضافة علامة `<meta name="viewport">` لتحسين تطبيقك لشاشات الجوّال. [مزيد من المعلومات](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'لم يتم العثور على علامة `<meta name="viewport">`'},
"lighthouse-core/audits/viewport.js | failureTitle":{message:'عدم الاحتواء على علامة `<meta name="viewport">` مع `width` أو `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'تضمين علامة `<meta name="viewport">` مع `width` أو `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"هذه هي فرص لتحسين استخدام ARIA في تطبيقك، ما قد يحسّن تجربة مستخدمي التكنولوجيا المساعدة، مثل قارئ الشاشة."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"هذه الفرص تتيح توفير محتوى بديل للصوت والفيديو. قد يحسّن ذلك التجربة للمستخدمين الذين يعانون من إعاقات سمعية أو بصرية."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"الصوت والفيديو"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"تحدّد هذه العناصر أفضل الممارسات الشائعة المتعلقة بإمكانية الوصول."},
"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"أفضل الممارسات"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"تحدّد عمليات التحقق هذه الفرص التي تتيح [تحسين إمكانية الوصول إلى تطبيق الويب](https://developers.google.com/web/fundamentals/accessibility). ولا يمكن إجراء رصد تلقائي إلّا لمجموعة فرعية من مشاكل إمكانية الوصول، لذلك يُنصح أيضًا باستخدام الاختبار اليدوي."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"تعالج هذه العناصر المناطق التي يتعذر على أداة الاختبار المبرمجة تغطيتها. تعرّف على مزيد من المعلومات في دليلنا حول [مراجعة إمكانية الوصول](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"إمكانية الوصول"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"هذه هي فرص لتحسين سهولة قراءة المحتوى."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"التباين"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"هذه هي فرص لتحسين تفسير المحتوى من خلال المستخدمين بلغات مختلفة."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"التدويل والأقلمة"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"هذه هي فرص لتحسين دلالات عناصر التحكُّم في التطبيق. قد يحسّن ذلك من تجربة مستخدمي التكنولوجيا المساعدة، مثل قارئ الشاشة."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"الأسماء والتصنيفات"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"هذه الفرص تتيح لك تحسين التنقل باستخدام لوحة المفاتيح في تطبيقك."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"التنقل"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"تُعرَض هنا فرص لتحسين تجربة قراءة بيانات القوائم أو الجداول باستخدام التكنولوجيا المساعِدة، مثل قارئ الشاشة."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"الجداول والقوائم"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"توافق المتصفّح"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"أفضل الممارسات"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"عام"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"الثقة والأمان"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"انطباع المستخدم"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"تضبط ميزانيات الأداء معايير لأداء موقعك الإلكتروني."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"الميزانيات"},
"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"مزيد من المعلومات حول أداء تطبيقك لا تؤثر هذه الأرقام [ بشكل مباشر في ](https://web.dev/performance-scoring/) نتيجة الأداء."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"بيانات التشخيص"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"يمثل الجانب الأكثر أهمية للأداء مدى السرعة التي يتم بها عرض وحدات البكسل على الشاشة. المقاييس الرئيسية: First Contentful Paint وFirst Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"تحسينات العرض الأول"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"يمكن أن تساعد هذه الاقتراحات على تحميل صفحتك بشكل أسرع. لا تؤثر هذه الاقتراحات [بشكل مباشر](https://web.dev/performance-scoring/) في نتيجة الأداء."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"فرص تحسين الأداء"},
"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"المقاييس"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"يمكنك تحسين تجربة التحميل العامة لتصبح هذه الصفحة سريعة الاستجابة وجاهزة للاستخدام في أقرب وقت ممكن. المقاييس الأساسية: وقت التفاعل ومؤشر السرعة."},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"التحسينات العامة"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"الأداء"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:'تعمل هذه العمليات على التحقق من جوانب "تطبيق الويب التقدّمي". [مزيد من المعلومات](https://developers.google.com/web/progressive-web-apps/checklist)'},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"يُطلب إجراء عمليات التحقّق هذه من خلال المرجع [قائمة التحقق PWA](https://developers.google.com/web/progressive-web-apps/checklist)، ولكن لم يتم التحقُّق منها تلقائيًا من خلال Lighthouse. لا تؤثر عمليات التحقق هذه في نتيجتك، ولكن من المهم أنك تتحقق منها يدويًا."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"تطبيق الويب التقدّمي"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"القسم القابل للتثبيت"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"تحسين PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"تضمن عمليات التحقّق هذه تحسين أداء صفحتك لتظهر في ترتيب نتائج محرّك البحث. هناك عوامل إضافية لا يتحقّق منها Lighthouse قد تؤثر في ترتيب نتائج البحث. [مزيد من المعلومات](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"تشغيل أدوات التحقُّق الإضافية هذه على موقعك الإلكتروني للتحقُّق من أفضل ممارسات تحسين محركات البحث الإضافية."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"تحسين محركات البحث"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"يمكنك تنسيق HTML بطريقة تتيح لبرامج الزحف فهم محتوى تطبيقك بشكلٍ أفضل."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"أفضل ممارسات المحتوى"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"للظهور في نتائج البحث، تحتاج برامج الزحف إلى الوصول إلى تطبيقك."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"الزحف والفهرسة"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"يُرجى التأكّد من أن صفحاتك متوافقة مع الأجهزة الجوّالة، حتى لا يحتاج المستخدمون إلى التصغير أو التكبير بإصبعين من أجل الاطّلاع على صفحات المحتوى. [مزيد من المعلومات](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"متوافق مع الجوّال"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"يبدو أنّ الجهاز المختبَر يحتوي على وحدة معالجة مركزية (CPU) أبطأ مما توقعته أداة Lighthouse. قد يؤثر ذلك سلبيًا على نتيجة الأداء. تعرّف على المزيد من المعلومات عن [معايرة مُضاعِف بطء وحدة المعالجة المركزية (CPU) المناسب](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"قد لا يتم تحميل الصفحة كما هو متوقَع لأن عنوان URL للاختبار ({requested}) تمت إعادة توجيهه إلى {final}. يُرجى محاولة اختبار عنوان URL الثاني مباشرةً."},
"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"أدّى عدم تحميل الصفحة بسرعة كافية إلى تعذّر انتهاء تحميلها في الوقت المحدّد. وقد تكون النتائج غير مكتملة."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{قد تكون هناك بيانات مخزَّنة تؤثر على أداء التحميل في مكان تخزين البيانات التالي: {locations} يُرجى إجراء تدقيق لهذه الصفحة في نافذة التصفح المتخفي لمنع هذه المصادر من التأثير على نتيجتك.}zero{قد تكون هناك بيانات مخزَّنة تؤثر على أداء التحميل في أماكن تخزين البيانات التالية: {locations} يُرجى إجراء تدقيق لهذه الصفحة في نافذة التصفح المتخفي لمنع هذه المصادر من التأثير على نتيجتك.}two{قد تكون هناك بيانات مخزَّنة تؤثر على أداء التحميل في مكانَي تخزين البيانات التاليَين: {locations} يُرجى إجراء تدقيق لهذه الصفحة في نافذة التصفح المتخفي لمنع هذه المصادر من التأثير على نتيجتك.}few{قد تكون هناك بيانات مخزَّنة تؤثر على أداء التحميل في أماكن تخزين البيانات التالية: {locations} يُرجى إجراء تدقيق لهذه الصفحة في نافذة التصفح المتخفي لمنع هذه المصادر من التأثير على نتيجتك.}many{قد تكون هناك بيانات مخزَّنة تؤثر على أداء التحميل في أماكن تخزين البيانات التالية: {locations} يُرجى إجراء تدقيق لهذه الصفحة في نافذة التصفح المتخفي لمنع هذه المصادر من التأثير على نتيجتك.}other{قد تكون هناك بيانات مخزَّنة تؤثر على أداء التحميل في أماكن تخزين البيانات التالية: {locations} يُرجى إجراء تدقيق لهذه الصفحة في نافذة التصفح المتخفي لمنع هذه المصادر من التأثير على نتيجتك.}}"
},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"ننصحك بإضافة مخطّطات عناوين URL تستخدم https:‎ وhttp:‎ (التي تتجاهلها المتصفِّحات المتوافقة مع 'strict-dynamic') لجعل سياسة CSP متوافقة مع أنظمة المتصفِّحات القديمة."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"تم إيقاف disown-opener منذ بدء استخدام CSP3. يُرجى استخدام عنوان السياسة Cross-Origin-Opener-Policy بدلاً من ذلك."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"تم إيقاف referrer منذ بدء استخدام سياسة CSP2. يُرجى استخدام العنوان Referrer-Policy بدلاً من ذلك."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"تم إيقاف reflected-xss منذ بدء استخدام سياسة CSP2. يُرجى استخدام العنوان X-XSS-Protection بدلاً من ذلك."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:'يسمح عدم توفُّر base-uri بأن تضبط علامات <base> التي تم إدراجها عنوان URL الأساسي لجميع عناوين URL النسبية (على سبيل المثال، النصوص البرمجية) على نطاق يتحكّم فيه مهاجم. ننصحك بضبط base-uri على "none" أو "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"تُعتبر العناصر التي يتم التحكُّم فيها بواسطة object-src ميزات قديمة. ننصحك بضبط object-src على 'none' لمنع إدخال المكوّنات الإضافية التي تنفِّذ نصوصًا برمجية غير آمنة."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"الأمر التوجيهي script-src غير متوفّر. يمكن أن يسمح ذلك بتنفيذ نصوص برمجية غير آمنة."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"هل نسيت إضافة الفاصلة المنقوطة؟ {keyword} هو أمر توجيهي، وليس كلمة رئيسية."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"يجب أن تستخدم الأرقام الخاصة ترميز الأحرف base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"يجب ألّا تقل الأرقام الخاصة عن 8 أحرف."},
"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"يتم ضبط وجهة إعداد التقارير من خلال الأمر التوجيهي report-to فقط. يتوافق هذا الأمر التوجيهي مع المتصفِّحات المستنِدة إلى Chromium فقط، ولذلك نقترح استخدام الأمر التوجيهي report-uri أيضًا."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"لا توفّر سياسة CSP أي وجهة إعداد تقارير، ما يجعل من الصعب الحفاظ على هذه السياسة بمرور الوقت ورصد أي خلل فيها."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"قد يتم تجاوز قائمة المضيفين المسموح بها بشكل متكرّر. ننصحك باستخدام 'strict-dynamic' مع أرقام CSP الخاصة أو أجزائها."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"أمر CSP توجيهي غير معروف."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"الكلمة الرئيسية {keyword} غير صالحة."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"يسمح 'unsafe-inline' بتنفيذ نصوص برمجية ومعالجات أحداث غير آمنة في الصفحة. ننصحك باستخدام أرقام CSP الخاصة أو أجزائها للسماح بالنصوص البرمجية كل على حدة."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"ننصحك بإضافة الأمر التوجيهي 'unsafe-inline' (الذي تتجاهله المتصفِّحات المتوافقة مع nonces/hashes) لجعل CSP متوافقة مع أنظمة المتصفِّحات القديمة."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"وقت حظر سلسلة المحادثات الأساسية"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"ذاكرة التخزين المؤقت TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"الوصف"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"المدة"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"العنصر"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"العناصر التي لم تلبِّ الشروط"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"الموقع الجغرافي"},
"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"الاسم"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"تجاوز الميزانية"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"الطلبات"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"حجم المصدر"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"نوع المورد"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"الحجم"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"المصدر"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"وقت البدء"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"الوقت المستغرَق"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"حجم النقل"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"عنوان URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"التوفيرات المحتملة"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"التوفيرات المحتملة"},
"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"احتمال توفير {wastedBytes, number, bytes} كيبيبايت"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{تم العثور على عنصر واحد}zero{تم العثور على # عنصر}two{تم العثور على عنصرَين}few{تم العثور على # عناصر}many{تم العثور على # عنصرًا}other{تم العثور على # عنصر}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"التوفيرات المحتملة من {wastedMs, number, milliseconds} مللي ثانية"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"المستند"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"الخط"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"الصورة"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"مرتفع"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"منخفض"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"متوسط"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"الحد الأقصى المحتمل من مهلة الاستجابة لأوّل إدخال"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"الوسائط"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} مللي ثانية"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"غير ذلك"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"موارد أخرى"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{
message:"النص البرمجي"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} ثانية"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"ورقة الأنماط"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"الجهة الخارجية"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"الإجمالي"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"حدث خطأ أثناء تسجيل التتبع عند تحميل صفحتك. يُرجى تشغيل Lighthouse مرة أخرى. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"مهلة انتظار ربط بروتوكول برنامج تصحيح الأخطاء الأول."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"لم يجمع Chrome أي لقطات شاشة خلال عملية تحميل الصفحة. يُرجى التأكّد من توفّر محتوى مرئي على الصفحة، ثم محاولة إعادة تشغيل Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"تعذّر على خوادم نظام أسماء النطاقات حل مشكلة النطاق المُقدّم."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"واجهت عملية التجميع {artifactName} المطلوبة خطأً: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"حدث خطأ في متصفّح Chrome الداخلي. يُرجى إعادة تشغيل Chrome ومحاولة إعادة تشغيل Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"كان من المطلوب تجميع {artifactName} ولكن لم يتم تنفيذ ذلك."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"لم تعرض الصفحة أي محتوى. يُرجى التأكّد من إبقاء نافذة المتصفّح في المقدّمة أثناء التحميل ثم إعادة المحاولة. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"الصفحة المقدّمة غير متوفّرة بتنسيق HTML (يتم عرضها كصفحة من النوع MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'هذا الإصدار من Chrome قديم جدًا وغير متوافق مع "{featureName}". يجب استخدام إصدار أحدث للاطّلاع على النتائج الكاملة.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"لم يتمكّن Lighthouse من تحميل الصفحة المطلوبة بشكل موثوق. يمكنك التأكُّد من اختبار عنوان URL الصحيح وأن الخادم يستجيب بشكل صحيح لجميع الطلبات."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"لم يتمكّن Lighthouse من تحميل عنوان URL الذي طلبته بشكل موثوق لأن الصفحة توقفت عن الاستجابة."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"لا يحتوي عنوان URL الذي قدمته على شهادة أمان صالحة. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"منَع Chrome تحميل صفحة مع محتوى بيني. عليك التأكّد من اختبار عنوان URL الصحيح وأن الخادم يستجيب بشكل صحيح لجميع الطلبات."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"لم يتمكّن Lighthouse من تحميل الصفحة المطلوبة بشكل موثوق. عليك التأكّد من اختبار عنوان URL الصحيح وأن الخادم يستجيب بشكل صحيح لجميع الطلبات. (التفاصيل: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"لم يتمكّن Lighthouse من تحميل الصفحة المطلوبة بشكل موثوق. عليك التأكّد من اختبار عنوان URL الصحيح وأن الخادم يستجيب بشكل صحيح لجميع الطلبات. (رمز الحالة: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"استغرق تحميل الصفحة وقتًا طويلاً. يُرجى اتّباع الفرص الواردة في التقرير لتقليل وقت تحميل الصفحة، ثم محاولة إعادة تشغيل Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"لقد تجاوز وقت انتظار استجابة بروتوكول DevTools الوقت المخصص. (الطريقة: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"تجاوز جلب محتوى المورد الوقت المخصّص"},
"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"يبدو أن عنوان URL الذي قدمته غير صحيح."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"الكل"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"جميع النصوص البرمجية"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"التغطية"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"الوحدات المكرَّرة"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"حجم الموارد بوحدة البايت"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"الاسم"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"تبديل الجدول"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"وحدات بايت غير المستخدمة"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"بالنسبة إلى المحتوى الذي يتضمن صورًا متحركة، يمكنك استخدام [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) لتقليل استخدام وحدة المعالجة المركزية (CPU) عندما يكون المحتوى خارج الشاشة."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"يجب عرض جميع مكوِّنات [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) بتنسيق WebP مع تحديد عنصر احتياطي مناسب للمتصفّحات الأخرى. [مزيد من المعلومات](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"يُرجى الحرص على استخدام [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) حتى يتم تحميل الصور ببطء تلقائيًا. [مزيد من المعلومات](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"استخدِم الأدوات، مثل [مُحسِّن AMP](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) في [تنسيقات AMP للعرض من جانب الخادم](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"يُرجى الرجوع إلى [مستندات AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) للتأكد من توفُّر جميع الأنماط."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"يوفّر المكوِّن [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) السمة [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) لتحديد مواد عرض الصور المطلوب استخدامها استنادًا إلى حجم الشاشة. [مزيد من المعلومات](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{
message:"عليك استخدام التمرير الافتراضي مع مجموعة تطوير المكوّنات (CDK) في حال عرض قوائم كبيرة جدًا. [مزيد من المعلومات](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"يمكنك تطبيق [تقسيم الرموز على مستوى المسار](https://web.dev/route-level-code-splitting-in-angular/) لتقليل حجم حِزم JavaScript. ويجب أيضًا دفع تكاليف مواد العرض نقدًا ومُسبقًا من خلال [مشغّل خدمات Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"في حال استخدام Angular CLI، يُرجى التأكد من أنه يتم إنشاء الإصدارات في وضع الإنتاج. [مزيد من المعلومات](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"في حال استخدام Angular CLI، يُرجى تضمين خرائط المصدر في إصدار الإنتاج لفحص الحِزم. [مزيد من المعلومات](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"عليك التحميل المسبق للمسارات لتسريع عملية التنقل. [مزيد من المعلومات](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"عليك استخدام الأداة `BreakpointObserver` في مجموعة تطوير المكوّنات (CDK) لإدارة النقاط الفاصلة للصور. [مزيد من المعلومات](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"يمكنك تحميل ملف GIF إلى خدمة ستتيح تضمينه في شكل فيديو HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"يمكنك اختيار `@font-display` عند تحديد خطوط مخصّصة في التصميم."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"يمكنك تثبيت [وحدة للاستفادة من تنسيقات صور WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) وإعداداها في موقعك الإلكتروني. وستنشِئ هذه الوحدات إصدار WebP تلقائيًا من الصور التي تم تحميلها، وهذا لتحسين أوقات التحميل."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"يمكنك تثبيت [وحدة Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) تتيح تحميل الصور ببطء. وتتيح هذه الوحدات إمكانية تأجيل أي صور خارج الشاشة لتحسين الأداء."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"يمكنك استخدام وحدة لتضمين لغتَيّ CSS وJavaScript المهمّتَين أو تحميل الأصول بشكلٍ غير متزامن من خلال JavaScript مثل وحدة [تجميع CSS/JS المتقدّم](https://www.drupal.org/project/advagg). يجب الانتباه إلى أنّ التحسينات التي توفّرها هذه الوحدة قد توقف موقعك الإلكتروني، لذلك من المحتمل أن تحتاج إلى إجراء تغييرات في الرمز البرمجي."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"تساهم التصاميم والوحدات ومواصفات الخادم في تحسين وقت استجابة الخادم. يمكنك البحث عن تصميم مُحسّن بدرجة أكبر و/أو اختيار وحدة تحسين بعناية و/أو ترقية الخادم. ويجب أن تستفيد خوادم الاستضافة من التخزين المؤقت لأجزاء عمليات لغة PHP والتخزين المؤقت للذاكرة لتقليل الأوقات التي تستغرقها طلبات قواعد البيانات مثل Redis أو Memcached، بالإضافة إلى منطق التطبيق المحسّن لتحضير الصفحات بشكلٍ أسرع."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:'يمكنك استخدام [أنماط الصور السريعة الاستجابة](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) لتقليل حجم الصور المحمّلة على صفحتك. وإذا كنت تستخدم "Views" لعرض عناصر محتوى متعددة على صفحة، يمكنك التقسيم على صفحات بدلاً من ذلك للحدّ من عدد عناصر المحتوى المعروضة في صفحة معيّنة.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'يُرجى التأكّد من تفعيل "تجميع ملفات CSS" في صفحة "الإدارة » الإعداد » التطوير". ويمكنك إعداد خيارات تجميع أكثر تقدّمًا من خلال [وحدات إضافية](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) لزيادة سرعة موقعك الإلكتروني عن طريق ربط أنماط لغة CSS وتصغيرها وضغطها.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'يُرجى التأكّد من تفعيل "تجميع ملفات JavaScript" في صفحة "الإدارة » الإعداد » التطوير". ويمكنك إعداد خيارات تجميع أكثر تقدّمًا من خلال [وحدات إضافية](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) لزيادة سرعة موقعك الإلكتروني عن طريق ربط أصول JavaScript وتصغيرها وضغطها.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"يمكنك إزالة قواعد CSS غير المستخدمة وإرفاق مكتبات Drupal المطلوبة فقط بالصفحة ذات الصلة أو بالمكوّن ذي الصلة في الصفحة. للحصول على التفاصيل، يُرجى الاطّلاع على [رابط مستندات Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). لتحديد المكتبات المرفَقة التي تضيف لغة CSS دخيلة، يمكنك محاولة تشغيل [تغطية الرمز البرمجي](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في Chrome DevTools. ويمكنك تحديد التصميم/الوحدة المسؤولة من عنوان URL لورقة الأنماط عندما يكون تجميع لغة CSS قيد الإيقاف في موقعك الإلكتروني على Drupal. يمكنك البحث عن التصاميم/الوحدات التي تحتوي على العديد من أوراق الأنماط في القائمة والتي تتضمن الكثير من اللون الأحمر في تغطية الرمز البرمجي. ومن المفترض أن يدرِج التصميم/الوحدة ورقة أنماط فقط في حال كانت مُستخدَمة في الصفحة."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"يمكنك إزالة أصول ملفات JavaScript غير المستخدمة وإرفاق مكتبات Drupal المطلوبة فقط بالصفحة ذات الصلة أو بالمكوِّن ذي الصلة في الصفحة. للحصول على التفاصيل، يُرجى الاطّلاع على [رابط مستندات Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). لتحديد المكتبات المرفقة التي تضيف لغة JavaScript دخيلة، يمكنك محاولة تشغيل [تغطية الرمز البرمجي](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في Chrome DevTools. ويمكنك تحديد التصميم/الوحدة المسؤولة من عنوان URL للنص البرمجي عندما يكون تجميع لغة JavaScript قيد الإيقاف في موقعك الإلكتروني على Drupal. يمكنك البحث عن التصاميم/الوحدات التي تحتوي على العديد من النصوص البرمجية في القائمة والتي تتضمن الكثير من اللون الأحمر في تغطية الرمز البرمجي. ومن المفترض أن يدرِج التصميم/الوحدة نصًا برمجيًا فقط في حال كان مُستخدَمًا في الصفحة."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'يمكنك ضبط "الحد الأقصى لعمر المتصفِّح وذاكرة التخزين المؤقت للوكيل" في صفحة "الإدارة » الإعداد » التطوير". ويمكنك الاطّلاع على مزيد من المعلومات عن [ذاكرة التخزين المؤقت في Drupal وتحسين الأداء](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"يمكنك استخدام [وحدة](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) تتولّى تلقائيًا مهمّة تحسين وتقليل حجم الصور التي يتم تحميلها على موقعك الإلكتروني مع المحافظة على مستوى الجودة. ويُرجى التأكّد من أنّك تستخدم [أنماط الصور السريعة الاستجابة](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) الأصلية والتي يوفّرها Drupal (متوفّرة في Drupal 8 والإصدارات الأحدث)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"يمكنك إضافة تعديلات الموارد preconnect أو dns-prefetch من خلال تثبيت وإعداد [وحدة](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) تسهّل إضافة تعديلات الموارد المُقدّمة للوكيل المستخدم."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"يُرجى التأكّد من أنّك تستخدم [أنماط الصور السريعة الاستجابة](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) الأصلية والتي يوفّرها Drupal (متوفّرة في Drupal 8 والإصدارات الأحدث). ويمكنك استخدام أنماط الصور السريعة الاستجابة عند عرض حقول الصور من خلال أوضاع العرض أو طرق العرض أو الصور التي يتم تحميلها من خلال محرِّر WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"يمكنك تحميل ملف GIF إلى خدمة ستتيح تضمينه في شكل فيديو HTML5."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"يمكنك استخدام [مكوّن إضافي](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) أو خدمة تتيح لك تحويل صورك المحمَّلة إلى أفضل التنسيقات تلقائيًا."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"يمكنك تثبيت [مكوِّن Joomla الإضافي المُساعِد في التحميل البطيء](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) والذي يتيح لك إمكانية تأجيل أي صور خارج الشاشة، أو يمكنك الانتقال إلى نموذج يوفّر هذه الوظيفة. وبدءًا من الإصدار Joomla 4.0، تحصل كل الصور الجديدة [تلقائيًا](https://github.com/joomla/joomla-cms/pull/30748) على السمة `loading` من الحزمة الأساسية."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"هناك عدد من مكوّنات Joomla الإضافية التي يمكنها مساعدتك على [تضمين الأصول المهمة](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) أو [تأجيل الموارد الأقل أهمية](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). يجب الانتباه إلى أنّ التحسينات التي توفّرها هذه المكوّنات قد توقف ميزات النماذج أو المكوّنات الإضافية، لذلك ستحتاج إلى اختبارها بدقة تامّة."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"تساهم النماذج والإضافات ومواصفات الخادم جميعًا في تحسين وقت استجابة الخادم. يمكنك البحث عن نموذج مُحسّن بدرجة أكبر و/أو اختيار إضافة للتحسين و/أو ترقية الخادم."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:'يمكنك عرض مقتطفات في فئات مقالاتك (مثلًا من خلال رابط "قراءة المزيد")، أو تقليل عدد المقالات المعروضة في صفحة معينة، أو تقسيم مشاركاتك الطويلة إلى صفحات متعدّدة، أو استخدام مكوّن إضافي لتحميل التعليقات ببطء.'},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"يمكن لعدد من [إضافات Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) زيادة سرعة موقعك الإلكتروني من خلال ربط أنماط لغة CSS وتصغيرها وضغطها. وهناك أيضًا نماذج توفّر هذه الوظيفة."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"يمكن لعدد من [إضافات Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) زيادة سرعة موقعك الإلكتروني من خلال ربط النصوص البرمجية وتصغيرها وضغطها. وهناك أيضًا نماذج توفّر هذه الوظيفة."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"يمكنك تقليل أو تغيير عدد [إضافات Joomla](https://extensions.joomla.org/) التي تُحمِّل في صفحتك لغة CSS غير المستخدمة. لتحديد الإضافات التي تضيف لغة CSS دخيلة، يمكنك محاولة تشغيل [تغطية الرمز البرمجي](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في Chrome DevTools. يمكنك تحديد التصميم/المكوّن الإضافي المسؤول من عنوان URL لورقة الأنماط. ويمكنك البحث عن المكوّنات الإضافية التي تحتوي على العديد من أوراق الأنماط في القائمة والتي تتضمن الكثير من اللون الأحمر في تغطية الرمز. ومن المفترض أن يُدرِج المكوّن الإضافي ورقة أنماط فقط في حال كانت مُستخدَمة في الصفحة."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"يمكنك تقليل أو تغيير عدد [إضافات Joomla](https://extensions.joomla.org/) التي تُحمِّل في صفحتك ملفات JavaScript غير المستخدمة. لتحديد المكونات الإضافية التي تضيف لغة JavaScript دخيلة، يمكنك محاولة تشغيل [تغطية الرمز البرمجي](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في Chrome DevTools. يمكنك تحديد الإضافة المسؤولة من عنوان URL للنص البرمجي. ويمكنك البحث عن الإضافات التي تحتوي على العديد من النصوص البرمجية في القائمة والتي تتضمن الكثير من اللون الأحمر في تغطية الرمز البرمجي. ومن المفترض أن تُدرِج الإضافة نصًا برمجيًا فقط في حال كان مُستخدَمًا في الصفحة."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"يمكنك الاطّلاع على المزيد من المعلومات عن [التخزين المؤقت للمتصفِّح في Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"يمكنك استخدام [مكوّن إضافي لتحسين الصورة](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) لضغط صورك مع المحافظة على مستوى الجودة."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"يمكنك استخدام [مكوّن إضافي للصور السريعة الاستجابة](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) لاستخدام صور سريعة الاستجابة في المحتوى."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:'يمكنك تفعيل ميزة "ضغط النص" من خلال تفعيل ضغط صفحة Gzip في Joomla (النظام > الإعداد العام > الخادم).'},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"في حال عدم إنشاء حزمة لمواد عرض JavaScript، عليك استخدام [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"أوقِف [التصغير وحزمة JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) المدمجة للنظام الأساسي Magento واستخدِم [baler](https://github.com/magento/baler/) بدلاً من ذلك."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"حدِّد `@font-display` عند [وضع خطوط مخصصة](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"عليك البحث عن [سوق Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) للحصول على مجموعة متنوعة من إضافات الجهات الخارجية للاستفادة من تنسيقات الصور الأحدث."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"عليك تعديل نماذج الكتالوج والمنتج للاستفادة من ميزة [التحميل الخامل](https://web.dev/native-lazy-loading) للنظام الأساسي للويب."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{
message:"استخدِم [دمج Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) للنظام الأساسي Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'فعِّل الخيار "تصغير ملفات CSS" في إعدادات مطوّر البرامج في المتجر. [مزيد من المعلومات](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"يمكنك استخدام [Terser](https://www.npmjs.com/package/terser) لتصغير جميع أصول JavaScript التي تنتُج عن نشر المحتوى الثابت، وإيقاف ميزة التصغير المضمَّنة."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"أوقِف [حزمة JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) المدمجة للنظام الأساسي Magento."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"عليك البحث عن [سوق Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) للحصول على مجموعة متنوعة من إضافات الجهات الخارجية لتحسين الصور."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"يمكن إضافة تعديلات الموارد preconnect أو dns-prefetch من خلال [تعديل تنسيق التصميمات](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"يمكن إضافة علامات `<link rel=preload>` عن طريق [تعديل تنسيق التصميمات](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[يمكنك استخدام الفيديو بدلاً من صور GIF المتحركة](https://web.dev/replace-gifs-with-videos/) لتحميل صفحات الويب بشكل أسرع، بالإضافة إلى استخدام تنسيقات ملفات حديثة، مثل [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) أو [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) لتحسين كفاءة الضغط بنسبة تزيد عن 30% على برنامج ترميز الفيديو المتطوّر الحالي، VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"يمكنك استخدام [مكوّن إضافي](https://octobercms.com/plugins?search=image) أو خدمة تتيح تحويل الصور المحمَّلة إلى أفضل التنسيقات تلقائيًا. يقل [حجم صور WebP بدون فقدان أي تفاصيل](https://developers.google.com/speed/webp) بنسبة 26% مقارنةً بصور PNG، ويقل بنسبة تتراوح بين 25% و34% مقارنةً بصور JPEG في مؤشر الجودة المعادِلة وفق مقياس مؤشر التشابه الهيكلي (SSIM). يمكن استخدام تنسيق [AVIF](https://jakearchibald.com/2020/avif-has-landed/) لعرض الصور بتنسيقات الجيل القادم."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"يمكنك تثبيت [مكوّن إضافي لتحميل الصور ببطء](https://octobercms.com/plugins?search=lazy) يتيح لك إمكانية تأجيل عرض أي صور خارج الشاشة، أو يمكنك الانتقال إلى مظهر يوفّر هذه الوظيفة. يمكنك أيضًا استخدام [مكون AMP الإضافي](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"ثمّة مكوّنات إضافية تساعد على تشغيل [مواد العرض المهمة المضمَّنة](https://octobercms.com/plugins?search=css) على نحو سليم. قد تتسبب هذه المكوّنات الإضافية في إيقاف مكونّات إضافية أخرى، لذا يجب اختبارها جيدًا."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"تساهم المظاهر والمكونات الإضافية ومواصفات الخادم في تحسين وقت استجابة الخادم. ابحث عن مظهر محسَّن للغاية و/أو اختَر مكوّنًا إضافيًا و/أو قم بترقية الخادم. إنّ منصّة October لإدارة المحتوى تتيح لمطوّري البرامج إمكانية استخدام [`Queues`](https://octobercms.com/docs/services/queues) لتأجيل معالجة أي مَهمّة تستهلك الوقت، مثل إرسال رسالة إلكترونية. ويساعد ذلك على تسريع تنفيذ طلبات الويب بشدّة."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"يمكنك عرض مقتطفات في قائمة المشاركات (مثلاً، باستخدام زر `show more`) أو تقليل عدد المشاركات المعروضة في صفحة ويب معيّنة أو تقسيم المشاركات الطويلة إلى صفحات ويب متعدّدة أو استخدام مكوّن إضافي لتحميل التعليقات ببطء."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{
message:"يمكن لعدد من [المكوّنات الإضافية](https://octobercms.com/plugins?search=css) زيادة سرعة موقعك الإلكتروني من خلال دمج الأنماط وتصغيرها وضغطها. يمكن تسريع عملية التطوير من خلال استخدام عملية تصميم تتيح تصغير الأنماط في البداية."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"يمكن لعدد من [المكوّنات الإضافية](https://octobercms.com/plugins?search=javascript) زيادة سرعة الموقع الإلكتروني من خلال دمج النصوص البرمجية وضغطها وتصغيرها. يمكن تسريع عملية التطوير من خلال استخدام عملية تصميم تتيح تصغير الأنماط في البداية."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:'يمكنك مراجعة [المكوّنات الإضافية](https://octobercms.com/plugins) التي تُحمِّل على الموقع الإلكتروني صفحات الأنماط المتتالية (CSS) غير المستخدَمة. لتحديد المكوّنات الإضافية التي تضيف صفحات الأنماط المتتالية (CSS) غير الضرورية، يمكنك تشغيل مقياس [نسبة استخدام رموز الصفحة](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في "أدوات مطوري البرامج في Chrome". يمكنك تحديد المظهر/المكوّن الإضافي المسؤول من عنوان URL لورقة الأنماط. ابحث عن المكونات الإضافية التي تتضمّن العديد من أوراق الأنماط المشتمِلة على الكثير من اللون الأحمر في مقياس نسبة استخدام رموز الصفحة. ومن المفترض أن يضيف المكوّن الإضافي ورقة أنماط فقط إذا كانت مُستخدَمة حاليًا في الصفحة.'},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:'يمكنك مراجعة [المكوّنات الإضافية](https://octobercms.com/plugins?search=javascript) التي تُحمِّل في صفحة الويب ملفات JavaScript غير مستخدَمة. لتحديد المكوّنات الإضافية التي تضيف ملفات JavaScript غير ضرورية، يمكنك تشغيل مقياس [نسبة استخدام رموز الصفحة](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في "أدوات مطوري البرامج في Chrome". ويمكن تحديد المظهر/المكوّن الإضافي المعنيّ من عنوان URL للنص البرمجي. ابحث عن المكونات الإضافية التي تتضمّن العديد من النصوص البرمجية المشتمِلة على الكثير من اللون الأحمر في مقياس نسبة استخدام رموز الصفحة. ومن المفترض أن يضيف المكوّن الإضافي نصًا برمجيًا فقط إذا كان مُستخدَمًا حاليًا في صفحة الويب.'},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"يمكنك الاطّلاع على قسم [منع الطلبات غير الضرورية من الشبكة باستخدام ذاكرة التخزين المؤقت عبر HTTP](https://web.dev/http-cache/#caching-checklist). ويمكن استخدام العديد من [المكوّنات الإضافية](https://octobercms.com/plugins?search=Caching) لتسريع التخزين المؤقت."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"يمكنك استخدام [مكوّن إضافي لتحسين الصور](https://octobercms.com/plugins?search=image) لضغط الصور مع الاحتفاظ بمستوى الجودة."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"يمكنك تحميل الصور مباشرةً من خلال مدير الوسائط للتأكّد من توفّر أحجام الصور المطلوبة. وبإمكانك استخدام [فلتر تغيير الحجم](https://octobercms.com/docs/markup/filter-resize) أو [مكوّن إضافي لتغيير حجم الصور](https://octobercms.com/plugins?search=image) للتأكّد من استخدام أفضل الأحجام للصور."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{
message:"يمكنك تفعيل ضغط النص في إعداد خادم الويب."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{message:'يمكنك استخدام مكتبة "عرض المحتوى في النافذة الحالية" مثل `react-window` لتقليل عدد عُقَد DOM التي يتم إنشاؤها في حال عرض العديد من العناصر المتكررة على الصفحة. [يُرجى الاطّلاع على مزيد من المعلومات.](https://web.dev/virtualize-long-lists-react-window/) ويمكنك تقليل عمليات إعادة العرض غير الضرورية باستخدام [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action) أو [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) أو [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) و[تخطّي التأثيرات](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) فقط حتى يتم تغيير اعتماديات معيّنة في حال استخدام موضع الإدراج `Effect` لتحسين مستوى أداء وقت التشغيل.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"في حال استخدام React Router، عليك تقليل استخدام المكوّن `<Redirect>` في [عمليات تنقل المسار](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"في حال كنت تعرض من جانب الخادم أي مكوّنات React، عليك استخدام `renderToNodeStream()` أو `renderToStaticNodeStream()` للسماح للعميل بتلقي أجزاء مختلفة من الترميز ودمجها بدلاً من جميع الأجزاء دفعة واحدة. [مزيد من المعلومات](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"في حال تصغير نظام الإصدار لملفات CSS تلقائيًا، يُرجى التأكد من أنك تنشر إصدار الإنتاج لتطبيقك. يمكنك التحقّق من ذلك باستخدام إضافة React Developer Tools. [مزيد من المعلومات](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"في حال تصغير نظام الإصدار لملفات JavaScript تلقائيًا، يُرجى التأكد من أنك تنشر إصدار الإنتاج لتطبيقك. يمكنك التحقّق من ذلك باستخدام إضافة React Developer Tools. [مزيد من المعلومات](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"في حال عدم العرض من جانب الخادم، عليك [تقسيم حِزم JavaScript](https://web.dev/code-splitting-suspense/) من خلال `React.lazy()`. بخلاف ذلك، يمكن تقسيم الرمز باستخدام مكتبة تابعة لجهات خارجية، مثل [المكوّنات القابلة للتحميل](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"استخدِم محلِّل React DevTools الذي يتيح الاستفادة من واجهة برمجة تطبيقات المحلّل لقياس مستوى أداء العرض للمكوّنات. [مزيد من المعلومات](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"يمكنك تحميل ملف GIF إلى خدمة ستتيح تضمينه في شكل فيديو HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"يمكنك استخدام [مكوّن إضافي](https://wordpress.org/plugins/search/convert+webp/) أو خدمة تتيح لك تحويل صورك المحمَّلة إلى أفضل التنسيقات تلقائيًا."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"يمكنك تثبيت [مكون WordPress الإضافي للتحميل الكسول](https://wordpress.org/plugins/search/lazy+load/) الذي يوفر القدرة على تأجيل أي صور خارج الشاشة، أو التبديل إلى تصميم يوفِّر هذه القدرة الوظيفية. يمكنك أيضًا استخدام [مكون AMP الإضافي](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"هناك عدد من مكونات WordPress الإضافية التي يمكنها مساعدتك على [تضمين مواد العرض المهمة](https://wordpress.org/plugins/search/critical+css/) أو [تأجيل موارد أقل أهمية](https://wordpress.org/plugins/search/defer+css+javascript/). عليك توخي الحذر من أن التحسينات التي توفرها هذه الإضافات قد توقف ميزات التصميم أو المكونات الإضافية، لذلك ستحتاج على الأرجح إلى إجراء تغييرات في الرمز البرمجي."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"تساهم التصاميم والمكونات الإضافية ومواصفات الخادم في تحسين وقت استجابة الخادم. يمكنك البحث عن تصميم مُحسّن أكثر و/أو اختيار مكون إضافي للتحسين و/أو ترقية الخادم."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:'يمكنك عرض مقتطفات في قوائم مشاركاتك (مثلاً عبر العلامة "المزيد")، أو تقليل عدد المشاركات المعروضة في صفحة معينة، أو تقسيم مشاركاتك الطويلة إلى صفحات متعددة، أو استخدام مكون إضافي لتحميل التعليقات ذات التحميل الكسول.'},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"يمكن لعدد من [مكونات WordPress الإضافية](https://wordpress.org/plugins/search/minify+css/) زيادة سرعة موقعك الإلكتروني من خلال ربط الأنماط وتصغيرها وضغطها. يمكنك أيضًا استخدام عملية إنشاء الموقع الإلكتروني لإزالة البيانات غير الضرورية بشكل مسبق إذا أمكن ذلك."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"يمكن لعدد من [مكونات WordPress الإضافية ](https://wordpress.org/plugins/search/minify+javascript/) زيادة سرعة موقعك الإلكتروني من خلال ربط النصوص البرمجية وتصغيرها وضغطها. يمكنك أيضًا استخدام عملية إنشاء الموقع الإلكتروني لإزالة البيانات غير الضرورية بشكل مسبق إذا أمكن ذلك."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"يمكنك تقليل عدد [مكونات WordPress الإضافية](https://wordpress.org/plugins/) التي تُحمِّل خدمة CSS غير المُستخدَمة في صفحتك أو تبديلها. لتحديد المكونات الإضافية التي تضيف CSS دخيلة، يمكنك محاولة تشغيل [تغطية الرمز البرمجي](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في Chrome DevTools. يمكنك تحديد التصميم/المكون الإضافي المسؤول عن عنوان URL لورقة الأنماط. يمكنك البحث عن المكونات الإضافية التي تحتوي على العديد من أوراق الأنماط في القائمة والتي تحتوي على الكثير من اللون الأحمر في تغطية الرمز البرمجي. يجب أن يدرِج المكون الإضافي ورقة أنماط فقط في حال تم استخدامه في الصفحة فعليًا."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"يمكنك تقليل عدد [مكونات WordPress الإضافية](https://wordpress.org/plugins/) التي تُحمِّل لغة JavaScript غير المُستخدَمة في صفحتك أو تبديلها. لتحديد المكونات الإضافية التي تضيف لغة JavaScript دخيلة، يمكنك محاولة تشغيل [تغطية الرمز البرمجي](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) في Chrome DevTools. يمكنك تحديد التصميم/المكون الإضافي المسؤول عن عنوان URL للنص البرمجي. يمكنك البحث عن المكونات الإضافية التي تحتوي على العديد من النصوص البرمجية في القائمة والتي تحتوي على الكثير من اللون الأحمر في تغطية الرمز البرمجي. يجب أن يدرِج المكون الإضافي نصًا برمجيًا فقط في حال تم استخدامه في الصفحة فعليًا."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"يمكنك الاطّلاع على [ذاكرة التخزين المؤقت للمتصفّح في WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"يمكنك استخدام [مكون WordPress الإضافي لتحسين الصورة](https://wordpress.org/plugins/search/optimize+images/) الذي يضغط صورك مع المحافظة على الجودة."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"يمكنك تحميل الصور مباشرةً من خلال [مكتبة الوسائط](https://wordpress.org/support/article/media-library-screen/) للتأكّد من توفّر أحجام الصور المطلوبة، ثم إدراجها من مكتبة الوسائط أو استخدام أداة الصورة لضمان استخدام أفضل حجم للصورة (بما في ذلك تلك الخاصة بنقاط فاصلة متجاوبة). يمكنك تجنب استخدام صور `Full Size` إلا إذا كانت الأبعاد كافية لاستخدامها. [مزيد من المعلومات](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"يمكنك تفعيل ضغط النص في إعداد خادم الويب."},"report/renderer/util.js | calculatorLink":{message:"اطّلِع على الآلة الحاسبة."},"report/renderer/util.js | crcInitialNavigation":{message:"التنقل الأوّلي"},
"report/renderer/util.js | crcLongestDurationLabel":{message:"الحد الأقصى لوقت استجابة المسار المهم:"},"report/renderer/util.js | dropdownCopyJSON":{message:"نسخ كائن JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"تبديل المظهر الداكن"},"report/renderer/util.js | dropdownPrintExpanded":{message:"توسيع مدى الطباعة"},"report/renderer/util.js | dropdownPrintSummary":{message:"طباعة ملخّص التقرير"},"report/renderer/util.js | dropdownSaveGist":{message:"حفظ بتنسيق Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"حفظ بتنسيق HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"حفظ بتنسيق JSON"},"report/renderer/util.js | dropdownViewer":{message:"فتح في العارِض"},"report/renderer/util.js | errorLabel":{message:"خطأ!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"الإبلاغ عن خطأ: لا تتوفَّر معلومات تدقيق"},"report/renderer/util.js | footerIssue":{message:"الإبلاغ عن مشكلة"},"report/renderer/util.js | labDataTitle":{message:"بيانات المختبَر"},
"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"أجرت أداة [Lighthouse](https://developers.google.com/web/tools/lighthouse/) تحليلًا للصفحة الحالية على شبكة الجوّال في وضع المحاكاة. القيم تقديرية وقابلة للتغيير."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"عناصر إضافية للتحقُّق يدويًا"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"غير سارٍ"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"فرصة تحسين الأداء"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"التوفيرات المُقدرة"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"اجتياز عمليات التدقيق بنجاح"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"محاكاة سطح المكتب"},"report/renderer/util.js | runtimeMobileEmulation":{message:"محاكاة Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"بلا محاكاة"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"إصدار Axe"},
"report/renderer/util.js | runtimeSettingsBenchmark":{message:"طاقة وحدة المعالجة المركزية (CPU)/الذاكرة"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"تقييد وحدة المعالجة المركزية (CPU)"},"report/renderer/util.js | runtimeSettingsChannel":{message:"قناة"},"report/renderer/util.js | runtimeSettingsDevice":{message:"جهاز"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"وقت الإجراء"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"ضبط الحد الأقصى المسموح لعرض نطاق الشبكة"},"report/renderer/util.js | runtimeSettingsTitle":{message:"إعدادات وقت التشغيل"},"report/renderer/util.js | runtimeSettingsUA":{message:"وكيل المستخدم (مضيف)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"وكيل المستخدم (شبكة)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"عنوان URL"},"report/renderer/util.js | runtimeUnknown":{message:"غير معروف"},"report/renderer/util.js | showRelevantAudits":{
message:"عرض عمليات التدقيق المرتبطة بالمقاييس:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"تصغير المقتطف"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"توسيع المقتطف"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"عرض موارد الجهات الخارجية"},"report/renderer/util.js | throttlingProvided":{message:"مقدَّم من البيئة"},"report/renderer/util.js | toplevelWarningsMessage":{message:"حدثت مشاكل تؤثر في تشغيل Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"القيم تقديرية وقابلة للتغيير. ويتم [حساب نتيجة الأداء](https://web.dev/performance-scoring/) مباشرة من خلال هذه المقاييس."},"report/renderer/util.js | viewTreemapLabel":{message:'عرض "المخطّط الهيكلي"'},"report/renderer/util.js | warningAuditsGroupTitle":{message:"عمليات التدقيق التي تم اجتيازها، ولكن تتضمّن التحذيرات"},"report/renderer/util.js | warningHeader":{message:"التحذيرات: "}}},{}],101:[function(e,s,t){s.exports={
"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Клавишите за достъп дават възможност на потребителите бързо да преместят фокуса към определена част от страницата. За правилно навигиране всеки клавиш за достъп трябва да е уникален. [Научете повече](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Някои стойности на `[accesskey]` не са уникални"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Стойностите за `[accesskey]` са уникални"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Всеки елемент ARIA `role` поддържа конкретен поднабор от атрибути `aria-*`. При несъответствие атрибутите `aria-*` ще станат невалидни. [Научете повече](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Някои атрибути `[aria-*]` не съответстват на ролите си"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Атрибутите `[aria-*]` съответстват на ролите си"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Когато даден елемент няма достъпно име, екранните четци ще произнасят за него общо име и той ще бъде неизползваем за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Елементите `button`, `link` и `menuitem` нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Елементите `button`, `link` и `menuitem` имат достъпни имена"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Помощните технологии, например екранни четци, работят непоследователно, когато за `<body>` за документа е зададено `aria-hidden="true"`. [Научете повече](https://web.dev/aria-hidden-body/).'},
"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'За `<body>` за документа е зададено `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'За `<body>` за документа не е зададено `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Дъщерните елементи в елемент `[aria-hidden="true"]`, които могат да получават фокуса, не позволяват тези елементи да бъдат достъпни за потребителите на помощни технологии, например екранни четци. [Научете повече](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Елементите `[aria-hidden="true"]` съдържат дъщерни елементи, които могат да получат фокуса'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Елементите `[aria-hidden="true"]` не съдържат дъщерни елементи, които могат да получат фокуса'},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Когато дадено поле за въвеждане няма достъпно име, екранните четци ще произнасят за него общо име и то ще бъде неизползваемо за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Полетата за въвеждане за ARIA нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Полетата за въвеждане за ARIA са с достъпни имена"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Когато даден елемент няма достъпно име, екранните четци ще произнасят за него общо име и той ще бъде неизползваем за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{
message:"ARIA елементите `meter` нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA елементите `meter` имат достъпни имена"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Когато елемент за `progressbar` няма достъпно име, екранните четци ще произнасят за него общо име и той ще бъде неизползваем за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA елементите `progressbar` нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA елементите `progressbar` имат достъпни имена"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"Някои роли на ARIA имат задължителни атрибути, от които екранните четци получават описание на състоянието на съответния елемент. [Научете повече](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Някои елементи `[role]` нямат всички задължителни атрибути `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Елементите `[role]` имат всички задължителни атрибути `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Някои родителски роли на ARIA трябва да съдържат конкретни дъщерни роли, за да изпълняват функциите за достъпност, за които са предназначени. [Научете повече](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"Някои елементи с ARIA роля `[role]`, за които се изисква дъщерните им елементи да включват конкретна роля `[role]`, не съдържат някои или всички такива задължителни дъщерни елементи."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Елементите с ARIA роля `[role]`, за които се изисква дъщерните им елементи да включват конкретна роля `[role]`, съдържат всички задължителни дъщерни елементи."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Някои дъщерни роли на ARIA трябва да се съдържат в конкретни родителски роли, за да изпълняват правилно функциите за достъпност, за които са предназначени. [Научете повече](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Някои елементи `[role]` не се съдържат в задължителния за тях родителски елемент"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{
message:"Елементите `[role]` се съдържат в задължителния за тях родителски елемент"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Ролите на ARIA трябва да имат валидни стойности, за да изпълняват функциите за достъпност, за които са предназначени. [Научете повече](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Някои стойности на `[role]` не са валидни"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Стойностите на `[role]` са валидни"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Когато дадено поле за превключване няма достъпно име, екранните четци ще произнасят за него общо име и то ще бъде неизползваемо за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{
message:"Полетата за превключване за ARIA нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Полетата за превключване за ARIA са с достъпни имена"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Когато даден елемент няма достъпно име, екранните четци ще произнасят за него общо име и той ще бъде неизползваем за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA елементите `tooltip` нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA елементите `tooltip` имат достъпни имена"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Когато даден елемент няма достъпно име, екранните четци ще произнасят за него общо име и той ще бъде неизползваем за потребителите, разчитащи на тази технология. [Научете повече](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA елементите `treeitem` нямат достъпни имена"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA елементите `treeitem` имат достъпни имена"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Помощните технологии, като например екранни четци, не могат да интерпретират атрибути на ARIA с невалидни стойности. [Научете повече](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Някои атрибути `[aria-*]` нямат валидни стойности"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"Атрибутите `[aria-*]` имат валидни стойности"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Помощните технологии, като например екранни четци, не могат да интерпретират атрибути на ARIA с невалидни имена. [Научете повече](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Някои атрибути `[aria-*]` не са валидни или са изписани неправилно"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Атрибутите `[aria-*]` са валидни и са изписани правилно"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Елементи с грешки"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Когато даден бутон няма достъпно име, той ще бъде прочитан като „бутон“ от екранните четци и съответно ще бъде неизползваем за потребителите им. [Научете повече](https://web.dev/button-name/)."},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Бутоните нямат достъпни имена"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Бутоните имат достъпни имена"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Добавянето на начини за заобикаляне на повтарящото се съдържание дава възможност на потребителите, използващи клавиатура, да навигират по-ефективно в страницата. [Научете повече](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Страницата не съдържа заглавие, връзка за пропускане или участък с ориентир"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Страницата съдържа заглавие, връзка за пропускане или участък с ориентир"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{
message:"Четенето на текст с нисък контраст е трудно или невъзможно за много потребители. [Научете повече](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Коефициентът на контрастност между цветовете на заден и преден план не е достатъчно голям."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Коефициентът на контрастност между цветовете на заден и преден план е достатъчно голям"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Когато списъците с определения не са маркирани правилно, екранните четци може да предоставят объркваща или неточна информация. [Научете повече](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Елементите `<dl>` не съдържат само правилно подредени групи `<dt>` и `<dd>` и елементи `<script>`, `<template>` или `<div>`."},
"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Елементите `<dl>` съдържат само правилно подредени групи `<dt>` и `<dd>` и елементи `<script>`, `<template>` или `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Списъчните елементи за определение (`<dt>` и `<dd>`) трябва да бъдат обвити в родителски елемент `<dl>`, за да бъдат прочетени правилно от екранните четци. [Научете повече](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Някои списъчни елементи за определение не са обвити в елементи `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Списъчните елементи за определение са обвити в елементи `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"Заглавието дава възможност на потребителите на екранни четци да добият обща представа за страницата, а потребителите на търсещи машини разчитат на него в голяма степен, за да определят дали страницата е подходяща за търсенето им. [Научете повече](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Документът няма елемент `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Документът има елемент `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Всички елементи, които могат да получат фокуса, трябва да са с уникален `id`, за да могат помощните технологии да работят с тях. [Научете повече](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Атрибутите `[id]` на активните елементи, които могат да получат фокуса, не са уникални"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Атрибутите `[id]` на активните елементи, които могат да получат фокуса, са уникални"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Стойността на атрибута за ARIA трябва да е уникална, за да се предотврати пропускането на други екземпляри от страна на помощните технологии. [Научете повече](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Идентификаторите за ARIA не са уникални"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Идентификаторите за ARIA са уникални"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"Когато полетата във формуляри имат няколко етикета, е възможно да бъдат произнесени объркващо от помощните технологии, например екранни четци, които използват първия, последния или всички етикети. [Научете повече](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Полета във формуляр са с повече от един етикет"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Нито едно поле във формуляр няма повече от един етикет"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Потребителите на екранни четци очакват заглавието на рамката да описва съдържанието й. [Научете повече](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Някои елементи `<frame>` или `<iframe>` нямат заглавие"},"lighthouse-core/audits/accessibility/frame-title.js | title":{
message:"Елементите `<frame>` или `<iframe>` имат заглавие"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Правилно подредените заглавия без пропускане на нива предават семантичната структура на страницата и улесняват разбирането ѝ и навигацията в нея с помощни технологии. [Научете повече](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Заглавните елементи не са в последователен низходящ ред"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Заглавните елементи са в последователен низходящ ред"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Ако за дадена страница не е посочен атрибут lang, екранният четец приема, че тя е написана на стандартния език, който потребителят е избрал при настройването му. Ако страницата всъщност не е на стандартния език, екранният четец може да не прочете текста й правилно. [Научете повече](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Елементът `<html>` няма атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Елементът `<html>` има атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Посочването на валиден [език по BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) помага на екранните четци да четат текста правилно. [Научете повече](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"Елементът `<html>` няма валидна стойност за атрибута `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Елементът `<html>` има валидна стойност за атрибута `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Информативните елементи трябва да имат кратък, описателен алтернативен текст. При декоративните елементи атрибутът alt може да бъде оставен без стойност. [Научете повече](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Някои графични елементи нямат атрибути `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Графичните елементи имат атрибути `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Когато за бутон от тип `<input>` се използва изображение, предоставянето на алтернативен текст помага на потребителите на екранни четци да разберат за какво служи бутонът. [Научете повече](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Някои елементи `<input type="image">` нямат алтернативен текст `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Елементите `<input type="image">` имат алтернативен текст (`[alt]`)'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Етикетите дават възможност на помощните технологии, като например екранни четци, да четат правилно контролите във формуляри. [Научете повече](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Някои елементи на формуляра нямат свързани етикети"},"lighthouse-core/audits/accessibility/label.js | title":{
message:"Елементите на формуляра имат свързани етикети"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Текстът на връзките (и алтернативният текст за изображения, когато се използват за връзки), който е различим, уникален и дава възможност фокусът да бъде поставен върху него, подобрява навигирането за потребителите на екранни четци. [Научете повече](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Някои връзки нямат отличително име"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Връзките имат отличителни имена"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Екранните четци съобщават съдържанието на списъците по специфичен начин. Правилното структуриране на списъците улеснява четенето им от екранните четци. [Научете повече](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"Някои списъци не съдържат само елементи `<li>` и елементи за поддръжка на скриптове (`<script>` и `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Списъците съдържат само елементи `<li>` и елементи за поддръжка на скриптове (`<script>` и `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Екранните четци изискват списъчните елементи (`<li>`) да се съдържат в родителски елемент `<ul>` или `<ol>`, за да бъдат прочетени правилно. [Научете повече](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Някои списъчни елементи (`<li>`) не се съдържат в родителски елементи `<ul>` или `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Списъчните елементи (`<li>`) се съдържат в родителски елементи `<ul>` или `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Потребителите не очакват страницата да се опресни автоматично и ако това се случи, фокусът ще бъде върнат в горната й част. Това може да бъде дразнещо или объркващо за потребителите. [Научете повече](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Документът използва `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Документът не използва `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Невъзможността за промяна на мащаба създава проблем за потребителите със слабо зрение, които разчитат на увеличението на екрана, за да виждат добре съдържанието на уеб страниците. [Научете повече](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]` се използва в елемента `<meta name="viewport">` или стойността на атрибута `[maximum-scale]` е по-малка от 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` не се използва в елемента `<meta name="viewport">` и стойността на атрибута `[maximum-scale]` не е по-малка от 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Екранните четци не могат да интерпретират нетекстово съдържание. Добавянето на алтернативен текст към елементите `<object>` помага на екранните четци да предават смисъла им на потребителите. [Научете повече](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Някои елементи `<object>` нямат алтернативен текст `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Елементите `<object>` имат алтернативен текст (`[alt]`)"},
"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Ако стойността е по-голяма от 0, значи се използва изричен ред на навигиране. Въпреки че е технически валидно, това често създава неудобства за потребителите, които разчитат на помощни технологии. [Научете повече](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Някои елементи имат атрибут `[tabindex]` със стойност, по-голяма от 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Никой от елементите няма атрибут `[tabindex]` със стойност, по-голяма от 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Екранните четци имат функции за улесняване на навигирането в таблици. Когато клетките от типа `<td>`, използващи атрибута `[headers]`, сочат само към други клетки от същата таблица, това може да подобри практическата работа за потребителите на екранни четци. [Научете повече](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Някои клетки в елемент `<table>`, които използват атрибута `[headers]`, сочат към елемент `id`, който не бе намерен в същата таблица."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Клетките в елемент `<table>`, които използват атрибута `[headers]`, сочат към клетки от същата таблица."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Екранните четци имат функции за улесняване на навигирането в таблици. Когато всички заглавки в таблицата сочат към някакъв набор от клетки, това може да подобри практическата работа за потребителите на екранни четци. [Научете повече](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Някои елементи `<th>` и елементи с `[role="columnheader"/"rowheader"]` нямат клетки с данни, за които служат като описание.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Елементите `<th>` и тези с `[role="columnheader"/"rowheader"]` имат клетки с данни, за които служат като описание.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Посочването на валиден [език по BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) за елементите дава възможност на екранните четци да произнасят текста правилно. [Научете повече](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Някои атрибути `[lang]` нямат валидна стойност"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Атрибутите `[lang]` имат валидна стойност"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Наличието на надпис за даден видеоклип улеснява достъпа до съответната информация за потребителите със слухови увреждания. [Научете повече](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Някои елементи `<video>` не съдържат елемент `<track>` с `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{
message:'Елементите `<video>` съдържат елемент `<track>` с `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"За най-добро изобразяване под iOS, когато потребителите добавят прогресивно уеб приложение (PWA) към началния екран, дефинирайте атрибут `apple-touch-icon`. Той трябва да сочи към непрозрачен квадратен PNG файл със страна от 192 (или 180) пиксела. [Научете повече](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Не осигурява валиден атрибут `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Атрибутът `apple-touch-icon-precomposed` не е актуален, препоръчва се `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Съдържа валиден атрибут `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Текуща стойност"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{
message:"Предложено означение"},"lighthouse-core/audits/autocomplete.js | description":{message:"Функцията за `autocomplete` помага на потребителите по-бързо да изпращат формуляри. За да ги улесните, препоръчваме да я активирате, като зададете валидна стойност за атрибута `autocomplete`. [Научете повече](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Елементите от тип `<input>` нямат правилните атрибути за `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Изисква се преглед от човек"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Прегледайте подредбата на означенията"},"lighthouse-core/audits/autocomplete.js | title":{message:"Елементите от типа `<input>` правилно използват функцията за `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:"Невалидни означения за `autocomplete` ({token}) в {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Прегледайте подредбата на означенията {tokens} в {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Зареждането на тази страница се забавя от разширения за Chrome. Опитайте да я проверите в режим „инкогнито“ или от потребителски профил в Chrome без инсталирани разширения."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Проверка на скрипта"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Синтактичен анализ на скрипта"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Общо процесорно време"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Препоръчваме да намалите времето, прекарвано в синтактичен анализ, компилиране и изпълнение на JS. Използването на JS ресурси с по-малък размер може да помогне за това. [Научете повече](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Намалете времето за изпълнение на JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Време за изпълнение на JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Премахнете големите дублиращи се JavaScript модули от пакетите, за да намалите ненужния пренос на данни в мрежата. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Премахнете дублиращите се модули в JavaScript пакетите"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Големите GIF файлове не са ефективни за показване на анимирано съдържание. Вместо това препоръчваме да използвате видеоклипове във формат MPEG4/WebM за анимации и PNG/WebP за статични изображения, за да намалите преноса на данни. [Научете повече](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Използвайте видеоформати за анимираното съдържание"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Полифиловете и трансформациите дават възможност на старите браузъри да използват нови функции на JavaScript, но в голяма степен не са необходими за съвременните браузъри. За JavaScript пакета си използвайте актуална стратегия за внедряване на скриптове посредством откриване на функции за модулни/немодулни скриптове, за да намалите количеството код, изпращан до новите браузъри, и същевременно да запазите поддръжката за старите такива. [Научете повече](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Избягвайте показването на остарял JavaScript в съвременни браузъри"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Графични формати, като JPEG 2000, JPEG XR и WebP, често осигуряват по-ефективно компресиране от PNG или JPEG. Това означава по-бързо изтегляне и използване на по-малко данни. [Научете повече](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Използвайте съвременни формати за показване на изображения"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"За да намалите времето до интерактивност, препоръчваме скритите изображения и тези извън видимата част на екрана да се зареждат след всички критични ресурси. [Научете повече](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Отложете зареждането на изображенията извън видимата част на екрана"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Ресурси блокират първото изобразяване на страницата ви. Препоръчваме да вградите критичните JS/CSS елементи и да отложите зареждането на всички некритични стилове или JS код. [Научете повече](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Елиминирайте ресурсите, които блокират изобразяването"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Мрежовите ресурси с голям размер струват пари на потребителите и са тясно свързани с бавното зареждане. [Научете повече](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Общият размер бе {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Не използвайте мрежови ресурси с голям размер"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Не се използват мрежови ресурси с голям размер"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Минимизирането на файловете със CSS може да намали размера на мрежовите ресурси. [Научете повече](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Минимизирайте CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Минимизирането на файловете с JavaScript може да намали размера на ресурсите и времето за синтактичен анализ на скрипта. [Научете повече](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Минимизирайте JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Намалете ненужните правила от стиловите листове и отложете зареждането на CSS кода, който не се използва за съдържанието на видимата на екрана част от страницата, за да намалите преноса на данни през мрежата. [Научете повече](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Намалете неизползваните CSS стилове"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Намалете неизползвания JavaScript и отложете зареждането на скриптове, докато не станат нужни, за да намалите преноса на данни през мрежата. [Научете повече](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Намалете неизползвания JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Продължителното съхраняване в кеша може да ускори повторните посещения на страницата ви. [Научете повече](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Намерен е 1 ресурс}other{Намерени са # ресурса}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Използвайте ефективни правила за кеша, за да улесните показването на статичните активи"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Използват се ефективни правила за кеширане на статичните активи"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Оптимизираните изображения се зареждат по-бързо и използват по-малко мобилни данни. [Научете повече](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Кодирайте изображенията ефективно"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Показвайте правилно оразмерени изображения, за да пестите мобилни данни и да ускорите зареждането. [Научете повече](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Оразмерете изображенията правилно"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"При показването на текстови ресурси трябва да се използва компресиране (gzip, deflate или brotli), за да се намали общият пренос на данни. [Научете повече](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Активирайте компресирането на текста"},"lighthouse-core/audits/content-width.js | description":{
message:"Ако ширината на съдържанието на приложението ви не съответства на тази на прозоречния изглед, приложението ви може да не е оптимизирано за мобилни екрани. [Научете повече](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Размерът на прозоречния изглед ({innerWidth} пкс) не съответства на размера на прозореца ({outerWidth} пкс)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Съдържанието не е оразмерено правилно за прозоречния изглед"},"lighthouse-core/audits/content-width.js | title":{message:"Съдържанието е оразмерено правилно за прозоречния изглед"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Веригите от критични заявки по-долу ви показват кои ресурси се зареждат с висок приоритет. За да ускорите зареждането на страницата, препоръчваме да скъсите веригите, да намалите размера за изтегляне на ресурсите или да отложите изтеглянето на ненужните от тях. [Научете повече](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Намерена е 1 верига}other{Намерени са # вериги}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Избягвайте верижни последователности от критични заявки"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Директива"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Сериозност"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Строги правила за сигурност на съдържанието (CSP) значително намаляват риска от атаки чрез изпълняване на скриптове между сайтове (XSS). [Научете повече](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Синтактична грешка"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Страницата съдържа CSP, дефинирани в <meta> маркер. Обмислете дали да не дефинирате CSP в HTTP заглавка, ако можете."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Няма намерени CSP в режим на налагане"},"lighthouse-core/audits/csp-xss.js | title":{message:"Осигуряване на ефективност на CSP срещу XSS атаки"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Оттегляне/предупреждение"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Ред"},"lighthouse-core/audits/deprecations.js | description":{
message:"Оттеглените приложни програмни интерфейси (API) след време ще бъдат премахнати от браузъра. [Научете повече](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Открито бе 1 предупреждение}other{Открити бяха # предупреждения}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Използва оттеглени приложни програмни интерфейси (API)"},"lighthouse-core/audits/deprecations.js | title":{message:"Избягва оттеглени API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Кешът на приложенията е оттеглен. [Научете повече](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Намерихме {AppCacheManifest}"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Използва кеша на приложенията"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Избягва кеша на приложенията"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Трябва да декларирате система за кодиране на знаците. За целта можете да използвате маркер `<meta>` в първите 1024 байта на HTML кода или в заглавката Content-Type за HTTP отговор. [Научете повече](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Декларацията на набор от знаци липсва или е дефинирана твърде късно в HTML кода"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Правилно дефиниран набор от знаци"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Посочването на doctype не позволява на браузъра да премине в режим на обратна съвместимост. [Научете повече](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Името за doctype трябва да е низът `html` с малки букви"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Документът трябва да съдържа doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"За полето publicId се очакваше да бъде празен низ"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"За полето systemId се очакваше да бъде празен низ"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"На страницата липсва doctype на HTML, което задейства режим на обратна съвместимост"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Страницата съдържа doctype на HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Статистически данни"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Стойност"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Големият размер на DOM води до използване на повече памет, удължаване на [стиловите изчисления](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) и забавяне поради [преоформяне](https://developers.google.com/speed/articles/reflow). [Научете повече](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 елемент}other{# елемента}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Не използвайте DOM с твърде голям размер"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Максимална дълбочина на DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Общ брой елементи в DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Максимален брой дъщерни елементи"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Не се използва DOM с твърде голям размер"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Anchor маркери с грешки"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Добавете `rel="noopener"` или `rel="noreferrer"` към връзките към външни сайтове, за да подобрите ефективността и да избегнете уязвимости в сигурността. [Научете повече](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Връзките към външни дестинации не са безопасни"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Връзките към външни дестинации са безопасни"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Не можахме да определим дестинацията за котвата ({anchorHTML}). Ако не се използва като хипервръзка, бихте могли да премахнете target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Потребителите се объркват или нямат доверие на сайтове, които искат да узнаят местоположението им без контекст. Вместо това бихте могли да обвържете заявката към действие на потребителя. [Научете повече](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Иска разрешение за геолокация при зареждането на страницата"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Избягва да иска разрешение за геолокация при зареждането на страницата"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Тип на проблема"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Проблемите, регистрирани в панела `Issues` на Chrome DevTools, указват наличието на неотстранени неизправности. Те може да се дължат на неуспешни заявки в мрежата, недостатъчни контроли за сигурност и други проблеми с браузъра. Отворете панела „Проблеми“ в Chrome DevTools, за да видите повече подробности за всеки проблем."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"В панела `Issues` на Chrome DevTools бяха регистрирани проблеми"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Блокирано от правило за външни източници"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Рекламите използват много ресурси"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Няма проблеми в панела `Issues` на Chrome DevTools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Версия"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Всички библиотеки на JavaScript за предния слой, открити на страницата. [Научете повече](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Открити библиотеки на JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"За потребителите с бавни връзки външните скриптове, вмъквани динамично чрез `document.write()`, могат да забавят зареждането на страницата с десетки секунди. [Научете повече](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Избягвайте `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Избягва `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Най-високо ниво на сериозност"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Версия на библиотеката"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Брой уязвимости"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Някои скриптове на трети страни може да съдържат известни уязвимости в сигурността, които лесно се откриват и използват от атакуващите. [Научете повече](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Открита е 1 уязвимост}other{Открити са # уязвимости}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Включва библиотеки на JavaScript за предния слой, съдържащи известни уязвимости в сигурността"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Избягва библиотеки на JavaScript за предния слой, съдържащи известни уязвимости в сигурността"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Потребителите се объркват или нямат доверие на сайтове, които искат да изпращат известия без контекст. Вместо това бихте могли да обвържете заявката към жестове на потребителя. [Научете повече](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Иска разрешение за известяване при зареждането на страницата"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Избягва да иска разрешение за известяване при зареждането на страницата"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Забраната на поставянето на пароли неутрализира добра практика за сигурност. [Научете повече](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Не позволява на потребителите да поставят в полетата за парола"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Разрешава на потребителите да поставят в полетата за парола"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Протокол"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 предлага много предимства спрямо HTTP/1.1, включително заглавки в двоичен формат и мултиплексиране. [Научете повече](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 заявка не е обслужена през HTTP/2}other{# заявки не са обслужени през HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Използвайте HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"За да подобрите ефективността на страницата си при превъртане, бихте могли да означите като `passive` приемателите си на събития, свързани с докосване и с колелцето на мишката. [Научете повече](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Не използва пасивни приематели на събития за подобряване на ефективността при превъртане"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Използва пасивни приематели на събития за подобряване на ефективността при превъртане"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Грешките, записани в конзолата, показват нерешени проблеми. Те може да се дължат на неуспешни заявки за мрежата и други проблеми в браузъра. [Научете повече](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"В конзолата бяха записани грешки в браузъра"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"В конзолата не бяха записани грешки в браузъра"},"lighthouse-core/audits/font-display.js | description":{message:"Използвайте функцията font-display на CSS, така че текстът да е видим за потребителите, докато уеб шрифтовете се зареждат. [Научете повече](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Уверете се, че текстът остава видим при зареждането на уеб шрифтовете"},"lighthouse-core/audits/font-display.js | title":{message:"Целият текст остава видим при зареждането на уеб шрифтовете"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse не успя да провери автоматично стойността на `font-display` за източника {fontOrigin}.}other{Lighthouse не успя да провери автоматично стойностите на `font-display` за източника {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{
message:"Съотношение (действително)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Съотношение (показвано)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Размерите за показване на изображението трябва да съответстват на естественото съотношение. [Научете повече](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Показва изображения с неправилно съотношение"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Показва изображенията с правилно съотношение"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Действителен размер"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Показван размер"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Очакван размер"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Естествените размери на изображенията трябва да са пропорционални на размера на екрана и пикселното съотношение, за да се постигне максимално ясно изобразяване. [Научете повече](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Изображенията се показват с ниска разделителна способност"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Изображенията се показват с подходяща разделителна способност"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Приложението вече е инсталирано"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Изисквана икона от манифеста не бе изтеглена"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Причина за проблема"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Service worker е технологията, която дава възможност на приложението ви да използва много от функциите на прогресивните уеб приложения (PWA), като например работа офлайн, добавяне към началния екран и насочени известия. Правилното внедряване на файл service worker и манифест дава възможност на браузърите проактивно да подканват потребителите да добавят приложението ви към началния екран, което може да повиши ангажираността. [Научете повече](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 причина}other{# причини}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Манифестът или файлът service worker на уеб приложението не отговарят на изискванията за възможност за инсталиране"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL адресът на приложението в Google Play Магазин и идентификаторът за Google Play Магазин не съвпадат"},
"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Страницата се зарежда в прозорец в режим „инкогнито“"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Стойността на свойството display в манифеста трябва да е standalone, fullscreen или minimal-ui"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Манифестът съдържа поле display_override и първият поддържан режим на екрана трябва да е standalone, fullscreen или minimal-ui"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Манифестът не бе извлечен, не съдържа нищо или не бе анализиран синтактично"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"По време на извличането на манифеста URL адресът му бе променен."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Манифестът не съдържа поле name или short_name"
},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Манифестът не съдържа подходяща икона – изисква се файл във формат PNG, SVG или WebP с поне {value0} пкс, атрибутът за размери трябва да е зададен, а атрибутът за предназначение, ако е зададен, трябва да включва стойността any."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Никоя от предоставените икони не е квадрат с размери поне {value0} пиксела във формат PNG, SVG или WebP, за който атрибутът за предназначение не е зададен или е със стойност any"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Изтегленият файл за икона бе празен или повреден"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Не е предоставен идентификатор за Google Play Магазин"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"В страницата не е зададен URL адрес на манифеста чрез маркера <link>"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Не бе открит съответстващ файл service worker. Може да се наложи да презаредите страницата или да се уверите, че зададените в манифеста обхват и URL адрес за стартиране попадат в обхвата на service worker за текущата страница."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Файлът service worker не бе проверен, тъй като за него липсваше поле start_url в манифеста"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Идентификаторът на грешката, свързана с възможността за инсталиране, {errorId} не е разпознат"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Страницата не се показва от защитен източник"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Страницата не се зарежда в основната рамка"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{
message:"Страницата не работи офлайн"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Посочената платформа за приложения не се поддържа от Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"В манифеста е посочено prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications се поддържа само в бета- и стабилния канал на Chrome за Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"URL адресът за стартиране в манифеста не е валиден"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Манифестът и файлът service worker на уеб приложението отговарят на изискванията за възможност за инсталиране"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{
message:"В манифеста има URL адрес, който съдържа потребителско име, парола или порт"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Страницата не работи офлайн. Тя няма да бъде считана за страница с възможност за инсталиране след пускането на Chrome 93 в стабилния канал през август 2021 г."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Разрешено"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Блокирано"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Несигурен URL адрес"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Действия спрямо заявката"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Всички сайтове трябва да бъдат защитени с HTTPS, дори онези, които не работят с поверителни данни. Това включва избягването на [смесено съдържание](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), при което някои ресурси се зареждат през HTTP, въпреки че първоначалната заявка се предава през HTTPS. HTTPS не позволява на външни лица да променят или подслушват комуникацията между приложението ви и потребителите и е задължително условие за HTTP/2 и множество нови приложни програмни интерфейси (API) за платформи в мрежата. [Научете повече](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Установена е 1 незащитена заявка}other{Установени са # незащитени заявки}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Не използва HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Използва HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Автоматично надстроено до HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Разрешено с предупреждение"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Библиотека"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Големите библиотеки на JavaScript могат да доведат до слаба ефективност. Приоритизирайте по-малки и еквивалентно функционални библиотеки, за да намалите размера на пакета си. [Научете повече](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Бе открита 1 библиотека с голям размер}other{Бяха открити # библиотеки с голям размер}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Замяна на неоправдано големите библиотеки на JavaScript"
},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Избягва големи библиотеки на JavaScript чрез по-малки алтернативи"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Този елемент е най-голямото съдържание, изобразено в прозоречния изглед. [Научете повече](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Елемент, рендериран при изобразяване на най-голямото съдържание (LCP)"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Принос към CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Тези елементи в DOM имат най-голям принос за CLS на страницата."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Избягвайте големи промени в оформлението"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Посочва най-продължителните задачи в основната нишка и ви помага да идентифицирате главните причинители на забавяне при взаимодействие. [Научете повече](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Бе открита # продължителна задача}other{Бяха открити # продължителни задачи}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Избягвайте продължителните задачи в основната нишка"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Категория"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Препоръчваме да намалите времето, прекарвано в синтактичен анализ, компилиране и изпълнение на JS. Използването на JS ресурси с по-малък размер може да помогне за това. [Научете повече](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{
message:"Сведете до минимум работата по основната нишка"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Работата по основната нишка е сведена до минимум"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"За да достигнат до възможно най-много потребители, сайтовете трябва да работят във всички основни браузъри. [Научете повече](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Сайтът работи в различни браузъри"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Oтделните страници трябва да могат да се свързват пряко чрез URL адрес, а URL адресите трябва да са уникални, за да се даде възможност за споделянето им в социалните медии. [Научете повече](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Всяка страница има URL адрес"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Дори когато мрежата е бавна, преходите при докосване на различни елементи трябва да са бързи – така у потребителите се създава усещане за добра ефективност. [Научете повече](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Преходите между страниците не създават усещане за забавяне на мрежата"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Използването на адаптивна икона гарантира, че изображението ще запълни цялата фигура, а не само част от нея, когато приложението бъде инсталирано на устройство. [Научете повече](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Манифестът не съдържа адаптивна икона"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Манифестът съдържа адаптивна икона"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Показателят „Кумулативни структурни промени (CLS)“ измерва движението на видимите елементи в прозоречния изглед. [Научете повече](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Показателят „Първо изобразяване на съдържание (FCP)“ указва след колко време се изобразява първият текстов или графичен елемент. [Научете повече](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Показателят „Първо значимо изобразяване“ измерва времето, за което основното съдържание на страницата става видимо. [Научете повече](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Времето до интерактивност показва след колко време страницата става напълно интерактивна. [Научете повече](https://web.dev/interactive/)."},
"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"„Изобразяване на най-голямото съдържание“ показва времето, когато се изобразяват най-големите текст или изображение. [Научете повече](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Максималното потенциално забавяне при първото взаимодействие на потребителите е продължителността на най-времеемката задача. [Научете повече](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Индексът на скоростта показва колко бързо се постига визуална завършеност на страницата. [Научете повече](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Сумата в милисекунди от всички интервали от време между FCP и „Време до интерактивност“, когато задачата е траела над 50 мсек. [Научете повече](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Времето за осъществяване на двупосочна комуникация в мрежата оказва голямо влияние върху ефективността. Ако двупосочната комуникация с източника отнема дълго време, това означава, че разположени по-близо до потребителя сървъри биха подобрили ефективността. [Научете повече](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Време за двупосочна комуникация в мрежата"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Забавянията на сървъра могат да повлияят на ефективността на уебсайта. Голямото забавяне при източника указва, че сървърът е претоварен или задният слой не работи достатъчно ефективно. [Научете повече](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Забавяния в задния слой на сървъра"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Събитието `unload` не се задейства надеждно и приемането му може да попречи на оптимизациите на браузъра, като например кеш за назад/напред. Вместо това можете да използвате събитията `pagehide` или `visibilitychange`. [Научете повече](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Регистрира приемател за `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{
message:"Избягва приематели за събития `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Анимациите, които не са комбинирани, могат да са с лошо качество и да увеличат стойността на показателя CLS. [Научете повече](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Бе открит # анимиран елемент}other{Бяха открити # анимирани елемента}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Различните варианти на собствеността filter може да преместват пикселите"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Целевата анимация съдържа друга, която е несъвместима"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Ефектът съдържа комбиниран режим, различен от replace"},"lighthouse-core/audits/non-composited-animations.js | title":{
message:"Избягване на анимации, които не са комбинирани"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Различните варианти на собствеността transform зависят от размера на елемента"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Неподдържана собственост на CSS: {properties}}other{Неподдържани собствености на CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Ефектът съдържа неподдържани параметри за време"},"lighthouse-core/audits/performance-budget.js | description":{message:"Поддържайте количеството и обема на мрежовите заявки под целевите стойности в посочения бюджет за ефективността. [Научете повече](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 заявка}other{# заявки}}"},
"lighthouse-core/audits/performance-budget.js | title":{message:"Бюджет за ефективността"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Заредете предварително шрифтовете, които използват собствеността `optional`, така че да могат да се ползват от новите посетители. [Научете повече](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Шрифтовете, които използват собствеността `font-display: optional`, не са заредени предварително"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Шрифтовете, които използват собствеността `font-display: optional`, са заредени предварително"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Зареждайте предварително изображението, което се рендерира при изобразяване на най-голямото съдържание (LCP), с цел подобряване на показателя LCP. [Научете повече](https://web.dev/optimize-lcp/#preload-important-resources)."},
"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Предварително зареждане на изображението, рендерирано при изобразяване на най-голямото съдържание (LPC)"},"lighthouse-core/audits/redirects-http.js | description":{message:"Ако вече сте настроили HTTPS, целият HTTP трафик трябва да се пренасочва към HTTPS, така че функциите за сигурност в мрежата да са активирани за всичките ви потребители. [Научете повече](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"HTTP трафикът не се пренасочва към HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTP трафикът се пренасочва към HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Пренасочванията водят до допълнително забавяне на зареждането на страницата. [Научете повече](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Не използвайте пренасочвания през няколко страници"},
"lighthouse-core/audits/resource-summary.js | description":{message:"За да определите бюджети за количеството и размера на ресурсите на страницата, добавете файл budget.json. [Научете повече](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 заявка • {byteCount, number, bytes} KiB}other{# заявки • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Поддържайте малък брой заявки и неголям обем на прехвърляните данни"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Каноничните връзки указват кой URL адрес да се показва в резултатите от търсенето. [Научете повече](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Множество несъвместими URL адреси ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{
message:"Сочи към друг домейн ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Невалиден URL адрес ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Сочи към местоположение с друг атрибут `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Относителен URL адрес ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Води до основния URL адрес (началната страница) на домейна вместо до еквивалентна страница със съдържание"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Документът няма валидна връзка от тип `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Документът има валиден атрибут `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Връзка без възможност за обхождане"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Търсещите машини може да използват атрибутите `href` във връзките, за да обхождат съответните уебсайтове. Атрибутът `href` на елементите anchor трябва да води към подходящо местоназначение, за да се даде възможност за откриване на повече страници от сайта. [Научете повече](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Обхождането на връзките не е възможно"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Обхождането на връзките е възможно"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Още нечетлив текст"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Размер на шрифта"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% от текста на страницата"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Селектор"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Шрифтовете с размер под 12 пиксела са твърде малки и се налага посетителите от мобилни устройства да увеличат мащаба с разтваряне на пръсти, за да прочетат текста. Старайте се над 60% от текста на страницата да е с размер поне 12 пиксела. [Научете повече](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} от текста е четлив"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Текстът не е четлив, тъй като няма мета маркер viewport, оптимизиран за мобилни екрани."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"В документа не се използва шрифт с четлив размер"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Четлив текст"},"lighthouse-core/audits/seo/font-size.js | title":{message:"В документа се използва шрифт с четлив размер"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Връзките от типа hreflang указват на търсещите машини коя версия на страницата да бъде включена в резултатите от търсенето за даден език или регион. [Научете повече](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Документът няма валиден атрибут `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Относителна стойност на href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Документът има валиден атрибут `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Неочакван код на език"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Страниците с невалиден HTTP код на състоянието може да не бъдат индексирани правилно. [Научете повече](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Страницата има невалиден HTTP код на състоянието"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Страницата има валиден HTTP код на състоянието"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Търсещите машини не могат да включат страниците ви в резултатите от търсенето, ако нямат разрешение за обхождането им. [Научете повече](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Индексирането на страницата е блокирано"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Индексирането на страницата не е блокирано"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Описателният текст на връзките помага на търсещите машини да разберат съдържанието ви. [Научете повече](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Открита е 1 връзка}other{Открити са # връзки}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{
message:"Текстът на връзките не е описателен"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Текстът на връзките е описателен"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Стартирайте [инструмента за тестване на структурирани данни](https://search.google.com/structured-data/testing-tool/) и [анализатора на структурирани данни](http://linter.structured-data.org/), за да проверите структурираните данни. [Научете повече](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Структурираните данни са валидни"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Мета описанията може да бъдат включени в резултатите от търсенето, за да се предостави сбито обобщение на съдържанието на страницата. [Научете повече](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Липсва текст на описанието."},
"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Документът няма мета описание"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Документът има мета описание"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Търсещите машини не могат да индексират съдържание с приставки. Много устройства ограничават приставките или не ги поддържат. [Научете повече](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"В документа се използват приставки"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Използването на приставки се избягва в документа"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Ако файлът ви robots.txt не е форматиран правилно, роботите може да не могат да разберат как искате да бъде обходен или индексиран уебсайтът ви. [Научете повече](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{
message:"При заявката за robots.txt бе върнат следният HTTP код на състоянието: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Открита е 1 грешка}other{Открити са # грешки}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse не успя да изтегли файла robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Файлът robots.txt не е валиден"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Файлът robots.txt е валиден"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Интерактивните елементи, като бутони и връзки, трябва да са достатъчно големи (48 x 48 пиксела) и с достатъчно пространство около тях, за да се докосват лесно, без да се застъпват с други елементи. [Научете повече](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{
message:"{decimalProportion, number, percent} от целевите зони за докосване са оразмерени правилно"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Целевите зони за докосване са твърде малки, тъй като няма мета маркер viewport, оптимизиран за мобилни екрани"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Целевите зони за докосване не са оразмерени правилно"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Припокриваща се целева зона"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Целева зона за докосване"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Целевите зони за докосване са оразмерени правилно"},"lighthouse-core/audits/server-response-time.js | description":{message:"Времето за реакция на сървъра за главния документ трябва да бъде кратко, тъй като всички други заявки зависят от него. [Научете повече](https://web.dev/time-to-first-byte/)."
},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"За основния документ бяха необходими {timeInMs, number, milliseconds} мсек"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Намалете началното време за реакция на сървъра"},"lighthouse-core/audits/server-response-time.js | title":{message:"Началното време за реакция на сървъра бе кратко"},"lighthouse-core/audits/service-worker.js | description":{message:"Service worker е технологията, която дава възможност на приложението ви да използва много от функциите на прогресивните уеб приложения (PWA), като например работа офлайн, добавяне към началния екран и насочени известия. [Научете повече](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Тази страница е контролирана от service worker, но не бе намерен параметър `start_url`, тъй като при синтактичния анализ бе установено, че манифестът не е във валиден формат JSON"},
"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Тази страница се контролира от файл service worker, но `start_url` ({startUrl}) не е в обхвата му ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Тази страница се контролира от service worker, но не бе намерен параметър `start_url`, тъй като не бе извлечен манифест."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Този източник има един или повече файлове service worker, но страницата ({pageUrl}) не е в обхвата им."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Няма регистриран service worker, който контролира страницата и `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Регистриран е service worker, който контролира страницата и `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{
message:"Тематичният първоначален екран гарантира висококачествена практическа работа, когато потребителите стартират приложението ви от началния екран. [Научете повече](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Няма персонализиран първоначален екран"},"lighthouse-core/audits/splash-screen.js | title":{message:"Има персонализиран първоначален екран"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Адресната лента на браузъра може да бъде тематична, за да съответства на сайта ви. [Научете повече](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Не е зададен тематичен цвят за адресната лента."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Зададен е тематичен цвят за адресната лента."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (поддръжка на клиенти)"},
"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (маркетинг)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (социални контакти)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (видеосъдържание)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Продукт"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Зареждането на някои вградени елементи на трети страни може да бъде забавено. Бихте могли да ги замените с фасада, докато не станат необходими. [Научете повече](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Налице е # алтернативна фасада}other{Налице са # алтернативни фасади}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{
message:"Зареждането на някои ресурси на трети страни може да бъде забавено с помощта на фасада"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Забавете зареждането на ресурсите на трети страни с помощта на фасади"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Трета страна"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Кодът от трети страни може сериозно да повлияе върху скоростта на зареждане. Ограничете броя на излишните доставчици трети страни и опитайте да зареждате кода от трети страни, след като основното зареждане на страницата ви е приключило. [Научете повече](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Код от трети страни блокира основната нишка за {timeInMs, number, milliseconds} мсек"},
"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Намалете влиянието на кода от трети страни"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Сведете до минимум използването на код на трети страни"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Измерване"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Показател"},"lighthouse-core/audits/timing-budget.js | description":{message:"Задайте времеви бюджет, за да наблюдавате ефективността на сайта си. Ефективните сайтове се зареждат за кратко време и бързо реагират на събития за въвеждане от страна на потребителя. [Научете повече](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Времеви бюджет"},"lighthouse-core/audits/unsized-images.js | description":{
message:"Задайте изрично широчина и височина за елементите на изображенията, за да намалите промените в оформлението и подобрите CLS. [Научете повече](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Елементите на изображенията не са с изрично посочени `width` и `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Елементите на изображенията са с изрично посочени `width` и `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Тип"},"lighthouse-core/audits/user-timings.js | description":{message:"Препоръчваме да използвате API за разбивка на потребителските времена за приложението си, за да измервате действителната му ефективност по време на ключови аспекти от практическата работа на потребителите. [Научете повече](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{
message:"{itemCount,plural, =1{1 потребителско време}other{# потребителски времена}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Точки и измервания в разбивката на потребителските времена"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Намерен бе елемент `<link rel=preconnect>` за {securityOrigin}, който обаче не бе използван от браузъра. Проверете дали използвате правилно атрибута `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Препоръчваме да добавите подсказки `preconnect` или `dns-prefetch` за ресурсите с цел ранно установяване на връзка с важни източници от трети страни. [Научете повече](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Осигурете предварително свързване с необходимите източници"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{
message:"Бяха намерени повече от 2 връзки за `<link rel=preconnect>`. Те трябва да се използват пестеливо и само за най-важните източници."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Намерен бе елемент `<link rel=preconnect>` за {securityOrigin}, който обаче не бе използван от браузъра. Прилагайте `preconnect` само за важни източници, за които е сигурно, че страницата ще изпрати заявка."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Намерен бе елемент `<link>` за предварително зареждане за {preloadURL}, който обаче не бе използван от браузъра. Проверете дали използвате правилно атрибута `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Препоръчваме да използвате `<link rel=preload>`, за да укажете по-ранно извличане на ресурсите, които понастоящем се заявяват на по-късен етап от зареждането на страницата. [Научете повече](https://web.dev/uses-rel-preload/)."},
"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Задайте ключовите заявки да се зареждат предварително"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL адрес на карта"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Картите на изходния код преобразуват минимизирания код в оригиналния му вид. Това помага на програмистите да отстраняват грешки в стандартния канал. Също така Lighthouse може да предоставя допълнителни статистически данни. Препоръчваме да внедрите карти на изходния код, за да се възползвате от тези предимства. [Научете повече](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Липсват карти на изходния код за големи файлове на JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"В голям файл на JavaScript липсва карта на изходния код"},
"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Внимание: Липсва 1 елемент в атрибута `.sourcesContent`}other{Внимание: Липсват # елемента в атрибута `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Страницата има валидни карти на изходния код"},"lighthouse-core/audits/viewport.js | description":{message:'Добавете маркер `<meta name="viewport">`, за да оптимизирате приложението си за мобилни екрани. [Научете повече](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Не бе намерен маркер `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Няма маркер `<meta name="viewport">` с атрибут `width` или `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Има маркер `<meta name="viewport">` с атрибут `width` или `initial-scale`'},
"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Това са възможности за подобряване на използването на ARIA в приложението ви. Така може да подобрите практическата работа за потребителите на помощни технологии, като например екранни четци."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Това са възможности да предоставите алтернативно съдържание за аудио- и видеоелементите. Така може да подобрите практическата работа за потребители със слухови или зрителни нарушения."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Аудио и видео"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Тези елементи открояват често използвани най-добри практики за достъпност."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Най-добри практики"},
"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Тези проверки открояват възможности за [подобряване на достъпността на уеб приложението ви](https://developers.google.com/web/fundamentals/accessibility). Само определени проблеми с достъпността могат да бъдат открити автоматично. Затова ръчното тестване също е препоръчително."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Тези проверки покриват области, които са извън обхвата на автоматичните инструменти за тестване. Научете повече в ръководството ни за [извършване на преглед на достъпността](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Достъпност"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Това са възможности за подобряване на четливостта на съдържанието ви."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Контраст"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Това са възможности да направите съдържанието си по-разбираемо за потребителите, използващи други езици."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Интернационализация и локализация"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Това са възможности за подобряване на семантиката на контролите в приложението ви. Така може да подобрите практическата работа за потребителите на помощни технологии, като например екранни четци."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Имена и етикети"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Това са възможности за подобряване на навигирането с клавиатура в приложението ви."},
"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Навигация"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Това са възможности да улесните четенето на данни в таблици или списъци посредством помощни технологии, като например екранни четци."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Таблици и списъци"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Съвместимост с браузъри"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Най-добри практики"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Общи"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Доверие и безопасност"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Практическа работа на потребителите"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Бюджетите за ефективността задават стандарти за ефективността на сайта ви."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Бюджети"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Повече информация за ефективността на приложението ви. Тези стойности не се [отразяват директно](https://web.dev/performance-scoring/) върху рейтинга за ефективността."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Диагностика"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Най-критичният аспект на ефективността е времето, за което пикселите се изобразяват на екрана. Ключови показатели: първо изобразяване на съдържание, първо значимо изобразяване"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Подобрения, свързани с първото изобразяване"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Тези предложения може да ускорят зареждането на страницата ви. Те не се [отразяват директно](https://web.dev/performance-scoring/) върху рейтинга за ефективността."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Възможности"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Показатели"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Подобрете зареждането като цяло, така че страницата да реагира бързо и да е готова за използване възможно най-скоро. Ключови показатели: време до интерактивност, индекс на скоростта"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Цялостни подобрения"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Ефективност"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Тези проверки са свързани с аспектите на прогресивните уеб приложения (PWA). [Научете повече](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Тези проверки са задължителни според отправния [контролен списък за PWA](https://developers.google.com/web/progressive-web-apps/checklist), но не се извършват автоматично от Lighthouse. Те не се отразяват на резултата ви, но е важно да ги потвърдите ръчно."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Прогресивно уеб приложение (PWA)"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Възможност за инсталиране"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Оптимизиране за PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Тези проверки показват дали страницата ви е оптимизирана така, че да се класира в резултатите от търсещите машини. Lighthouse не проверява някои допълнителни фактори, които може да повлияят на класирането в резултатите от търсенето. [Научете повече](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Стартирайте тези допълнителни инструменти на сайта си, за да проверите дали е съобразен с други най-добри практики за SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Форматирайте HTML кода си по начин, който дава възможност на роботите да разберат по-добре съдържанието на приложението ви."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Най-добри практики за съдържанието"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"За да се показва приложението ви в резултатите от търсенето, роботите се нуждаят от достъп до него."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Обхождане и индексиране"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Уверете се, че страниците ви са удобни за мобилни устройства, така че да не е необходимо потребителите да събират пръсти или да увеличават мащаба, за да прочетат съдържанието. [Научете повече](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Удобство за мобилни устройства"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Изглежда, че процесорът на тестваното устройство е по-бавен от очакваното от Lighthouse. Това може да повлияе отрицателно на резултата за ефективността. Научете повече за [калибрирането на подходящ множител за забавянето на процесора](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Възможно е страницата да не се зарежда нормално, тъй като тестовият ви URL адрес ({requested}) бе пренасочен към {final}. Тествайте директно втория URL адрес."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Страницата се зареждаше твърде бавно и зареждането не завърши в определеното време. Резултатите може да са непълни."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Възможно е в следното място да се съхраняват данни, които засягат ефективността при зареждане: {locations}. Проверете тази страница в прозорец в режим „инкогнито“, така че тези ресурси да не влияят върху резултатите.}other{Възможно е в следните места да се съхраняват данни, които засягат ефективността при зареждане: {locations}. Проверете тази страница в прозорец в режим „инкогнито“, така че тези ресурси да не влияят върху резултатите.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Обмислете дали да не добавите схемите на URL адреси https: и http: URL (пренебрегвани от браузърите, поддържащи strict-dynamic), за да се обезпечи обратна съвместимост с по-стари браузъри."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener е оттеглено от CSP3 насам. Моля, вместо това използвайте заглавката Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"referrer е оттеглено от CSP2 насам. Вместо това използвайте заглавката Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss е оттеглено от CSP2 насам. Вместо това използвайте заглавката X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Липсата на base-uri дава възможност за инжектиране на маркери <base> с цел задаване на базовия URL адрес за всички относителни URL адреси (напр. скриптове), така че да бъде от домейн, контролиран от хакера. Обмислете дали да не зададете base-uri на none или self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Елементите, контролирани от object-src, се смятат за наследени функции. Обмислете дали да не зададете object-src на none, за да предотвратите инжектирането на приставки, които изпълняват опасни скриптове."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"Липсва директива script-src. Това може да позволи изпълнението на опасни скриптове."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Може би сте забравили точка и запетая? Изглежда, че {keyword} е директива, а не ключова дума."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"За nonce трябва да се използва набора от знаци base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonce трябва да са с дължина поне 8 знака."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Дестинацията за отчитане се конфигурира само през директивата report-to. Тази директива се поддържа само в браузъри, базирани на Chromium, затова се препоръчва да използвате и директивата report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Няма CSP с конфигурирана дестинация за отчитане. Това затруднява поддръжката на CSP в течение на времето и наблюдението за проблеми при функционирането."},
"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Списъците с разрешения при хоста често може да бъдат заобиколени. Обмислете дали да не използвате strict-dynamic в комбинация с nonce или хешове в CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Неизвестна CSP директива."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Изглежда, че {keyword} е невалидна ключова дума."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"unsafe-inline позволява изпълнението на опасни скриптове в страницата и манипулатори на събитието. Обмислете дали да не използвате nonce или хешове в CSP, за да разрешавате скриптове поотделно."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Обмислете дали да не добавите unsafe-inline (пренебрегва се от браузъри, които поддържат nonce и хешове), за да се обезпечи обратна съвместимост с по-стари браузъри."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{
message:"Време на блокиране на основната нишка"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Време на валидност на кеша"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Описание"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Продължителност"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Елемент"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Елементи с грешки"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Местоположение"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Име"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Надхвърля бюджета"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Заявки"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Размер на ресурса"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Тип ресурс"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Размер"},
"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Източник"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Начален час"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Прекарано време"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Размер на прехвърлянето"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL адрес"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Потенциална икономия"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Потенциална икономия"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Потенциално спестяване на {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Бе открит 1 елемент}other{Бяха открити # елемента}}"},
"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Потенциално спестяване на {wastedMs, number, milliseconds} мсек"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Документ"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Първо значимо изобразяване"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Шрифт"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Изображение"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Високо"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Ниско"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Средно"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Макс. потенц. забавяне при 1. взаимодействие"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Мултимедия"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} мсек"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Друго"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Други ресурси"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Скрипт"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} сек"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Стилов лист"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Трети страни"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{
message:"Общо"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Нещо се обърка при записването на трасирането за зареждането на страницата ви. Моля, стартирайте отново Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Времето за изчакване изтече при първоначалното свързване с протокола за инструмента за откриване и отстраняване на грешки."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome не събра екранни снимки при зареждането на страницата. Моля, уверете се, че на нея има видимо съдържание, и опитайте отново да стартирате Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS сървърите не можаха да преобразуват предоставения домейн."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"В задължителния механизъм за събиране на {artifactName} възникна грешка: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{
message:"Възникна вътрешна грешка в Chrome. Моля, рестартирайте браузъра и опитайте отново да стартирате Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Задължителният механизъм за събиране на {artifactName} не се изпълни."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"На страницата не бе изобразено съдържание. Уверете се, че прозорецът на браузъра е на преден план при зареждането, и опитайте отново. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Предоставената страница не е в HTML формат (дефинирана от тип MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Тази версия на Chrome е твърде стара и не поддържа „{featureName}“. Използвайте по-нова, за да видите пълните резултати."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Lighthouse не успя надеждно да зареди заявената от вас страница. Уверете се, че тествате точния URL адрес и че сървърът отговаря правилно на всички заявки."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse не успя надеждно да зареди заявения от вас URL адрес, тъй като страницата спря да реагира."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Посоченият от вас URL адрес няма валиден сертификат за сигурност. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome не допусна зареждане на страница със заставка. Уверете се, че тествате точния URL адрес и че сървърът отговаря правилно на всички заявки."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse не успя надеждно да зареди заявената от вас страница. Уверете се, че тествате точния URL адрес и че сървърът отговаря правилно на всички заявки. (Подробности: {errorDetails})"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse не успя надеждно да зареди заявената от вас страница. Уверете се, че тествате точния URL адрес и че сървърът отговаря правилно на всички заявки. (Код на състоянието: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Зареждането на страницата бе твърде бавно. Моля, използвайте посочените в отчета възможности за ускоряване на зареждането ѝ, след което опитайте отново да стартирате Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Предвиденото време за изчакване на отговор от протокола DevTools бе превишено. (Метод: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Предвиденото време за извличане на съдържанието на ресурсите бе превишено"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Предоставеният от вас URL адрес изглежда невалиден."},
"lighthouse-treemap/app/src/util.js | allLabel":{message:"Всички"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Всички скриптове"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Обхват"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Дублиращи се модули"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Байтове на ресурсите"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Име"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Превключване на таблицата"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Неизползвани байтове"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"При анимирано съдържание използвайте маркера [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), за да намалите използването на процесора, когато съдържанието е извън екрана."},
"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Бихте могли да изобразявате всички компоненти от типа [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) във формати WebP, като посочвате подходящи резервни варианти за другите браузъри. [Научете повече](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Проверете дали използвате маркера [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) за изображенията с цел автоматично забавяне на зареждането. [Научете повече](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Използвайте инструменти като [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer), за да [рендерирате оформления за AMP върху сървъра](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Разгледайте [документацията на AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/), за да се уверите, че се поддържат всички стилове."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Елементът [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) поддържа атрибута [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/), за да се посочи кои графични активи да се използват в зависимост от размера на екрана. [Научете повече](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Ако се рендерират много големи списъци, бихте могли да използвате виртуално превъртане с Component Dev Kit (CDK). [Научете повече](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Приложете [разделяне на кода на ниво маршрут](https://web.dev/route-level-code-splitting-in-angular/), за да намалите размера на пакетите си с JavaScript. Също така бихте могли да кеширате предварително активи със [service worker на Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Ако използвате Angular CLI, компилациите трябва да бъдат генерирани в стандартен режим. [Научете повече](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Ако използвате Angular CLI, включете в стандартната версия карти на изходния код, за да могат да се проверяват пакетите. [Научете повече](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Зареждайте маршрутите предварително, за да ускорите навигацията. [Научете повече](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"За да управлявате граничните точки за изображенията, бихте могли да използвате инструмента `BreakpointObserver` в Component Dev Kit (CDK). [Научете повече](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Добре е да качите GIF файла си в услуга, която ще даде възможност да бъде вграден като видеоклип с HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Посочете стойности за `@font-display`, когато дефинирате персонализирани шрифтове в темата си."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Добре е да инсталирате и конфигурирате [модул, за да се възползвате от графичните формати WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) в сайта си. Тези модули автоматично генерират WebP версии на качените от вас изображения, за да оптимизират времето за зареждане."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Инсталирайте [модул на Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), който поддържа забавено зареждане на изображенията. Тези модули дават възможност за отлагане на зареждането на изображенията извън видимата част на екрана, за да се подобри ефективността."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Добре е да използвате модул за вграждане на важния CSS и JavaScript код или за потенциално асинхронно зареждане на активите чрез JavaScript, като например модула [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Имайте предвид, че оптимизациите, които той извършва, може да възпрепятстват работата на сайта ви, така че вероятно ще се наложи да промените кода."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Времето за реакция на сървъра зависи от спецификациите му, темите и модулите. Добре е да намерите по-оптимизирана тема, внимателно да изберете модул за оптимизиране и/или да надстроите сървъра си. Сървърите ви за хостинг трябва да използват функциите на PHP за кеширане на операционните кодове и кеширане в паметта чрез услуги като Redis или Memcached, за да се намали времето за подаване на заявки към базата от данни, както и оптимизирана логика за приложенията, така че страниците да се подготвят по-бързо."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Бихте могли да използвате [стилове за адаптивни изображения](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), за да намалите размера на графичните файлове, зареждани на страницата ви. Ако си служите с изгледи, за да показвате няколко елемента със съдържание на една страница, можете да внедрите функция за страниране, за да ограничите броя елементи, които да се извеждат на страница."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Трябва да активирате опцията Aggregate CSS files на страницата Administration » Configuration » Development. Можете също да конфигурирате по-разширени опции за агрегиране чрез [допълнителни модули](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), за да подобрите скоростта на сайта си чрез обединяване, минимизиране и компресиране на CSS стиловете."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Трябва да активирате опцията Aggregate JavaScript files на страницата Administration » Configuration » Development. Можете също да конфигурирате по-разширени опции за агрегиране чрез [допълнителни модули](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), за да подобрите скоростта на сайта си чрез обединяване, минимизиране и компресиране на JavaScript активите."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Бихте могли да премахнете неизползваните правила на CSS и да добавите само необходимите библиотеки на Drupal към съответната страница или компонент в нея. За подробности отворете връзката към [документацията на Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). За да откриете включените библиотеки, които добавят ненужен CSS код, стартирайте инструмента за [покритие на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Можете да намерите проблемните тема/модул в URL адреса на листа със стилове, когато агрегирането на CSS е деактивирано в сайта ви на Drupal. Търсете теми/модули с много листове със стилове в списъка, за които преобладава червеният цвят в диаграмата на инструмента. Даден лист със стилове трябва да бъде поставен в опашката на тема/модул само ако действително се използва в страницата."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Бихте могли да премахнете неизползваните активи на JavaScript и да добавите само необходимите библиотеки на Drupal към съответната страница или компонент в нея. За подробности отворете връзката към [документацията на Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). За да откриете включените библиотеки, които добавят ненужен JavaScript код, стартирайте инструмента за [покритие на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Можете да намерите проблемните тема/модул в URL адреса на скрипта, когато агрегирането на JavaScript е деактивирано в сайта ви на Drupal. Търсете теми/модули с много скриптове в списъка, за които преобладава червеният цвят в диаграмата на инструмента. Даден скрипт трябва да бъде поставен в опашката на тема/модул само ако действително се използва в страницата."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Задайте опцията Browser and proxy cache maximum age на страницата Administration » Configuration » Development. Прочетете за [настройките на Drupal за кеширане и оптимизиране с цел повишаване на ефективността](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Бихте могли да използвате [модул](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), който автоматично оптимизира и намалява размера на качваните чрез сайта изображения, като същевременно запазва качеството им. Също така трябва да използвате стандартните [стилове за адаптивни изображения](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), предоставени от Drupal (налични в Drupal 8 и по-нови версии), за всички графични файлове, рендерирани на сайта."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Можете да добавите подсказки за ресурси preconnect или dns-prefetch, като инсталирате и конфигурирате [модул](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), който дава възможност за използване на такива подсказки за потребителски агенти."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Трябва да използвате стандартните [стилове за адаптивни изображения](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), предоставени от Drupal (налични в Drupal 8 и по-нови версии). Прилагайте тези стилове при рендериране на графични полета посредством режими на преглед, изгледи или изображения, качени чрез WYSIWYG редактора."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Добре е да качите GIF файла си в услуга, която ще даде възможност да бъде вграден като видеоклип с HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Добре е да използвате [приставка](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) или услуга за автоматично преобразуване на качените изображения в оптималния формат."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Инсталирайте [приставка за Joomla за забавено зареждане](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), която дава възможност за отлагане на зареждането на изображенията извън видимата част на екрана, или преминете към шаблон с такава функционалност. В Joomla 4.0 и следващи версии всички нови изображения [автоматично](https://github.com/joomla/joomla-cms/pull/30748) ще получават атрибута `loading` от основния код."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"Има различни приставки за Joomla, с чиято помощ можете [да вградите важни активи](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) или [да отложите зареждането на не толкова важни ресурси](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Имайте предвид, че оптимизациите, извършвани чрез тези приставки, може да възпрепятстват работата на функциите на шаблоните или приставките ви, така че ще се наложи да ги тествате обстойно."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Времето за реакция на сървъра зависи от спецификациите му, шаблоните и разширенията. Добре е да намерите по-оптимизиран шаблон, внимателно да изберете разширение за оптимизиране и/или да надстроите сървъра си."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Обмислете възможността да показвате извадки в категориите за статии (напр. чрез връзка „научете повече“), да намалите броя на статиите, извеждани на дадена страница, да разделите дългите публикации на няколко страници или да използвате приставка, която да забави зареждането на коментарите."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Има различни [разширения за Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), които могат да подобрят скоростта на сайта ви чрез обединяване, минимизиране и компресиране на CSS стиловете. Има и шаблони, които предоставят тази функционалност."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Има различни [разширения за Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), които могат да подобрят скоростта на сайта ви чрез обединяване, минимизиране и компресиране на скриптовете. Има и шаблони, които предоставят тази функционалност."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Добре е да намалите броя на [разширенията за Joomla](https://extensions.joomla.org/), които зареждат неизползван CSS код в страницата ви. За да откриете разширенията, които добавят ненужен CSS код, стартирайте инструмента за [покритие на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Можете да намерите проблемната тема/приставка в URL адреса на листа със стилове. Търсете приставки с много листове със стилове в списъка, за които преобладава червеният цвят в диаграмата на инструмента. Даден лист със стилове трябва да бъде поставен в опашката на приставка само ако действително се използва в страницата."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Добре е да намалите броя на [разширенията за Joomla](https://extensions.joomla.org/), които зареждат неизползван JavaScript код в страницата ви. За да откриете приставките, които добавят ненужен JS код, стартирайте инструмента за [покритие на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Можете да намерите проблемното разширение в URL адреса на скрипта. Търсете разширения с много скриптове в списъка, за които преобладава червеният цвят в диаграмата на инструмента. Даден скрипт трябва да бъде поставен в опашката на разширение само ако действително се използва в страницата."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Прочетете за [възможностите на Joomla за кеширане в браузъра](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Добре е да използвате [приставка за оптимизиране на изображенията](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), която компресира графичните ви файлове, като същевременно запазва качеството им."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Добре е да използвате [приставка за адаптивни изображения](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), за да можете да ползвате такива в съдържанието си."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Можете да активирате компресирането на текста, като включите компресирането на страниците с Gzip в Joomla (System > Global configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ако не пакетирате активите си на JavaScript, бихте могли да използвате [baler](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Деактивирайте вградените в Magento функции за [пакетиране и минимизиране на JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), като вместо тях бихте могли да използвате [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Посочете `@font-display`, когато [дефинирате персонализирани шрифтове](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Потърсете [пазара на Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) за разширения от трети страни, позволяващи работа с по-нови графични формати."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Бихте могли да промените шаблоните си за продукти и каталози, за да използват функцията за [отложено зареждане](https://web.dev/native-lazy-loading) в уеб платформата."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Използвайте [интегрирането на Magento с Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Активирайте опцията „Minify CSS Files“ в настройките за програмисти в магазина. [Научете повече](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Използвайте [Terser](https://www.npmjs.com/package/terser) за минимизиране на всички активи на JavaScript от разполагането на статично съдържание и деактивирайте вградената функция за целта."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Деактивирайте вграденото в Magento [пакетиране на JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Потърсете [пазара на Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) за разширения от трети страни за оптимизиране на изображения."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Можете да добавите подсказки за ресурси preconnect или dns-prefetch, като [промените оформлението на дадената тема](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Можете да добавите маркери `<link rel=preload>`, като [промените оформлението на дадената тема](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Заменете анимираните GIF файлове с видеосъдържание](https://web.dev/replace-gifs-with-videos/), за да ускорите зареждането на уеб страницата, и помислете за използването на съвременни файлови формати, като [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) или [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), за да подобрите ефективността при компресиране с повече от 30% спрямо най-модерния понастоящем видеокодек VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Добре е да използвате [приставка](https://octobercms.com/plugins?search=image) или услуга за автоматично преобразуване на качените изображения в оптималния формат. Размерът на [графичните файлове в беззагубния формат WebP](https://developers.google.com/speed/webp) е с 26% по-малък в сравнение с PNG и с 25 – 34% по-малък от този на съответните JPEG изображения с еквивалентен SSIM индекс за качество. Друг препоръчителен графичен формат от следващо поколение е [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Бихте могли да инсталирате [приставка за забавено зареждане](https://octobercms.com/plugins?search=lazy), която дава възможност за отлагане на зареждането на изображенията извън видимата част на екрана, или да преминете към тема с такава функционалност. Можете също да използвате [приставката за AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Има много приставки, с чиято помощ [да вградите важни активи](https://octobercms.com/plugins?search=css). Тези приставки може да възпрепятстват работата на други, така че е добре да ги тествате обстойно."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Времето за реакция на сървъра зависи от спецификациите му, темите и приставките. Добре е да намерите по-оптимизирана тема, внимателно да изберете приставка за оптимизиране и/или да надстроите сървъра. Системата за управление на съдържанието October също така дава възможност на програмистите да използват [`Queues`](https://octobercms.com/docs/services/queues), за да отлагат обработването на времеемки задачи, като например изпращане на имейли. Това драстично повишава скоростта на заявките в мрежата."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Бихте могли да показвате извадки в списъците с публикации (напр. чрез бутон `show more`), да намалите броя на публикациите, извеждани на дадена уеб страница, да разделите дългите публикации на няколко страници или да използвате приставка, която да забави зареждането на коментарите."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Има много [приставки](https://octobercms.com/plugins?search=css), които могат да подобрят скоростта на уебсайта чрез обединяване, минимизиране и компресиране на стиловете. Предварителното минимизиране посредством компилиране може да ускори процеса на разработване."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Има много [приставки](https://octobercms.com/plugins?search=javascript), които могат да подобрят скоростта на уебсайта чрез обединяване, минимизиране и компресиране на скриптовете. Предварителното минимизиране посредством компилиране може да ускори процеса на разработване."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Добре е да прегледате [приставките](https://octobercms.com/plugins), които зареждат неизползван CSS код в уебсайта. За да откриете тези, които добавят ненужен CSS код, стартирайте инструмента за [обхват на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Намерете проблемната тема/приставка в URL адреса на стиловия лист. Търсете приставки с много стилови листове, за които преобладава червеният цвят в диаграмата на инструмента. Дадена приставка трябва да добавя стилов лист само ако той действително се използва в уеб страницата."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Добре е да прегледате [приставките](https://octobercms.com/plugins?search=javascript), които зареждат неизползван JavaScript код в уеб страницата. За да откриете тези, които добавят ненужен JavaScript код, стартирайте инструмента за [обхват на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Намерете проблемната тема/приставка в URL адреса на скрипта. Търсете приставки с много скриптове, за които преобладава червеният цвят в диаграмата на инструмента. Дадена приставка трябва да добавя скрипт само ако той действително се използва в уеб страницата."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Прочетете как [да избегнете ненужните заявки в мрежата с помощта на HTTP кеширане](https://web.dev/http-cache/#caching-checklist). Има много [приставки](https://octobercms.com/plugins?search=Caching), които могат да се използват за ускоряване на кеширането."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Добре е да използвате [приставка за оптимизиране на изображенията](https://octobercms.com/plugins?search=image), която компресира графичните файлове, като същевременно запазва качеството им."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Качвайте изображенията директно в мултимедийния мениджър, за да разполагате с графични файлове с необходимите размери. Добре е да използвате [филтъра за преоразмеряване](https://octobercms.com/docs/markup/filter-resize) или [приставка за целта](https://octobercms.com/plugins?search=image), така че изображенията да бъдат с оптимални размери."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Активирайте компресирането на текста в конфигурацията на уеб сървъра."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Бихте могли да използвате библиотека за виртуализиране, като `react-window`, за да сведете до минимум броя създавани възли в DOM, ако на страницата се рендерират множество повтарящи се елементи. [Научете повече](https://web.dev/virtualize-long-lists-react-window/). Също така намалете ненужните повторни рендерирания чрез [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) или [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) и [пропускайте ефекти](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), докато не се променят определени зависимости, ако използвате „кукичката“ `Effect` за повишаване на ефективността при изпълнение."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ако използвате React Router, сведете до минимум употребата на компонента `<Redirect>` за [навигация по маршрути](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ако компоненти в React се рендерират върху сървъра, бихте могли да използвате `renderToNodeStream()` или `renderToStaticNodeStream()`, за да дадете възможност на клиентската програма да получава и хидратира различни части от кода за маркиране, вместо целия наведнъж. [Научете повече](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Ако системата ви за компилиране автоматично минимизира CSS файловете, уверете се, че внедрявате стандартната версия на приложението си. Можете да проверите това с разширението React Developer Tools. [Научете повече](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ако системата ви за компилиране автоматично минимизира JavaScript файловете, уверете се, че внедрявате стандартната версия на приложението си. Можете да проверите това с разширението React Developer Tools. [Научете повече](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Ако не извършвате рендериране върху сървъра, [разделете пакетите си с JavaScript](https://web.dev/code-splitting-suspense/) с `React.lazy()`. В противен случай разделете кода чрез библиотека на трета страна, напр. [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Използвайте инструмента за анализ в React DevTools, който използва съответното API, за да измерите ефективността на компонентите си при рендериране. [Научете повече](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Добре е да качите GIF файла си в услуга, която ще даде възможност да бъде вграден като видеоклип с HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Добре е да използвате [приставка](https://wordpress.org/plugins/search/convert+webp/) или услуга за автоматично преобразуване на качените изображения в оптималния формат."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Инсталирайте [приставка за WordPress за забавено зареждане](https://wordpress.org/plugins/search/lazy+load/), която дава възможност за отлагане на зареждането на изображенията извън видимата част на екрана, или преминете към тема с такава функционалност. Можете също да използвате [приставката за AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Има различни приставки за WordPress, с чиято помощ можете [да вградите важни активи](https://wordpress.org/plugins/search/critical+css/) или [да отложите зареждането на не толкова важни ресурси](https://wordpress.org/plugins/search/defer+css+javascript/). Имайте предвид, че оптимизациите, извършвани чрез тези приставки, може да възпрепятстват работата на функциите на темата ви или други приставки, така че вероятно ще се наложи да промените кода."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Времето за реакция на сървъра зависи от спецификациите му, темите и приставките. Добре е да намерите по-оптимизирана тема, внимателно да изберете приставка за оптимизиране и/или да надстроите сървъра си."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Обмислете възможността да показвате извадки в списъците си с публикации (напр. чрез маркера more), да намалите броя на публикациите, извеждани на дадена страница, да разделите дългите публикации на няколко страници или да използвате приставка, която да забави зареждането на коментарите."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Има различни [приставки за WordPress](https://wordpress.org/plugins/search/minify+css/), които могат да подобрят скоростта на сайта ви чрез обединяване, минимизиране и компресиране на стиловете. Добре е също при възможност да използвате компилиране, за да извършите това минимизиране предварително."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Има различни [приставки за WordPress](https://wordpress.org/plugins/search/minify+javascript/), които могат да подобрят скоростта на сайта ви чрез обединяване, минимизиране и компресиране на скриптовете. Добре е също при възможност да използвате компилиране, за да извършите това минимизиране предварително."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Добре е да намалите броя на [приставките за WordPress](https://wordpress.org/plugins/), които зареждат неизползван CSS код в страницата ви, или да ги замените с други. За да откриете приставките, които добавят ненужен CSS код, стартирайте инструмента за [покритие на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Можете да намерите проблемната тема/приставка в URL адреса на листа със стилове. Търсете приставки с много листове със стилове в списъка, за които преобладава червеният цвят в диаграмата на инструмента. Даден лист със стилове трябва да бъде поставен в опашката на приставка само ако действително се използва в страницата."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Добре е да намалите броя на [приставките за WordPress](https://wordpress.org/plugins/), които зареждат неизползван JavaScript код в страницата ви, или да ги замените с други. За да откриете приставките, които добавят ненужен JS код, стартирайте инструмента за [покритие на кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Можете да намерите проблемната тема/приставка в URL адреса на скрипта. Търсете приставки с много скриптове в списъка, за които преобладава червеният цвят в диаграмата на инструмента. Даден скрипт трябва да бъде поставен в опашката на приставка само ако действително се използва в страницата."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Прочетете за [кеширането в браузъра при WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Добре е да използвате [приставка за WordPress за оптимизиране на изображенията](https://wordpress.org/plugins/search/optimize+images/), която компресира графичните ви файлове, като същевременно запазва качеството им."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Качвайте изображенията директно чрез [мултимедийната библиотека](https://wordpress.org/support/article/media-library-screen/), за да разполагате с графични файлове с необходимите размери, и след това ги вмъквайте от библиотеката или използвайте приспособлението за изображения, така че да се използват файловете с оптимални размери (включително за адаптивните гранични точки). Избягвайте използването на пълноразмерни изображения (`Full Size`), освен ако размерите са подходящи за съответното предназначение. [Научете повече](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Можете да активирате компресирането на текста в конфигурацията на уеб сървъра си."},"report/renderer/util.js | calculatorLink":{message:"Вижте калкулатора."},"report/renderer/util.js | crcInitialNavigation":{message:"Първоначална навигация"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Максимално забавяне в критичния път:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Копиране на JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Превключване на тъмната тема"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Отпечатване на пълен отчет"},"report/renderer/util.js | dropdownPrintSummary":{message:"Отпечатване на обобщен отчет"},"report/renderer/util.js | dropdownSaveGist":{message:"Запазване като Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Запазване като HTML"},"report/renderer/util.js | dropdownSaveJSON":{
message:"Запазване като JSON"},"report/renderer/util.js | dropdownViewer":{message:"Отваряне във визуализатора"},"report/renderer/util.js | errorLabel":{message:"Грешка!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Грешка в отчета: няма информация за проверката"},"report/renderer/util.js | footerIssue":{message:"Добавяне на проблем"},"report/renderer/util.js | labDataTitle":{message:"Данни от контролиран тест"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Анализът с [Lighthouse](https://developers.google.com/web/tools/lighthouse/) на текущата страница бе извършен през емулирана мобилна мрежа. Стойностите са приблизителни и може да варират."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Допълнителни елементи, които да проверите ръчно"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Не е приложимо"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Възможност"},
"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Прогнозна икономия"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Успешно преминати проверки"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Емулиран компютър"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Емулирано устройство Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Без емулация"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Версия на Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Мощност на процесора/паметта"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Ограничаване на процесора"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Канал"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Устройство"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Час на извличането"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{
message:"Ограничаване на мрежата"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Настройки за времето на изпълнение"},"report/renderer/util.js | runtimeSettingsUA":{message:"Потребителски агент (хост)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Потребителски агент (мрежа)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL адрес"},"report/renderer/util.js | runtimeUnknown":{message:"Неизвестно"},"report/renderer/util.js | showRelevantAudits":{message:"Показване на проверките, уместни за:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Свиване на фрагмента"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Разгъване на фрагмента"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Показване на ресурсите от трети страни"},"report/renderer/util.js | throttlingProvided":{message:"Предоставено от средата"},"report/renderer/util.js | toplevelWarningsMessage":{
message:"Възникнаха проблеми при изготвянето на този отчет от Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Стойностите са приблизителни и може да варират. [Рейтингът за ефективността се изчислява](https://web.dev/performance-scoring/) директно от тези показатели."},"report/renderer/util.js | viewTreemapLabel":{message:"Преглед на дървовидната карта"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Проверките бяха преминати успешно, но има предупреждения"},"report/renderer/util.js | warningHeader":{message:"Предупреждения: "}}},{}],102:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Les tecles d'accés permeten als usuaris posar el focus ràpidament en una part de la pàgina. Perquè es puguin desplaçar correctament, cada tecla d'accés ha de ser única. [Obtén més informació](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{
message:"Els valors de l'atribut `[accesskey]` no són únics"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Els valors de l'atribut `[accesskey]` són únics"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Cada element `role` d'ARIA admet un subconjunt específic d'atributs `aria-*`. Si no coincideixen, els atributs `aria-*` queden invalidats. [Obtén més informació](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Els atributs `[aria-*]` no coincideixen amb les seves funcions"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Els atributs `[aria-*]` coincideixen amb les seves funcions"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{
message:"Si un element no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Els elements `button`, `link` i `menuitem` no tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Els elements `button`, `link` i `menuitem` tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Les tecnologies d\'assistència, com ara els lectors de pantalla, funcionen de manera incongruent quan `aria-hidden="true"` està definit en el document `<body>`. [Obtén més informació](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` es troba al document `<body>`'},
"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` no es troba al document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:"Els descendents en què es pot posar el focus en un element `[aria-hidden=\"true\"]` impedeixen que els elements interactius estiguin a l'abast dels usuaris de tecnologies d'assistència, com ara els lectors de pantalla. [Obtén més informació](https://web.dev/aria-hidden-focus/)."},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Els elements `[aria-hidden="true"]` contenen descendents en què es pot posar el focus'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Els elements `[aria-hidden="true"]` no contenen cap descendent en què es pugui posar el focus'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{
message:"Si un camp d'entrada no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Els camps d'entrada ARIA no tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Els camps d'entrada ARIA tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Si un element no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Els elements `meter` d'ARIA no tenen noms accessibles"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Els elements `meter` d'ARIA tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Si un element del tipus `progressbar` no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Els elements `progressbar` d'ARIA no tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Els elements `progressbar` d'ARIA tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"Algunes funcions d'ARIA tenen atributs obligatoris que descriuen l'estat de l'element als lectors de pantalla. [Obtén més informació](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Els atributs `[role]` no tenen tots els atributs `[aria-*]` obligatoris"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Els elements amb l'atribut `[role]` tenen tots els atributs `[aria-*]` obligatoris"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Algunes funcions dels elements ARIA superiors han d'incloure funcions concretes dels elements secundaris perquè puguin dur a terme les funcions d'accessibilitat per a les quals s'han dissenyat. [Obtén més informació](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"Els elements amb un `[role]` ARIA que requereixen que els elements secundaris continguin un atribut `[role]` específic no tenen alguns o tots els elements secundaris requerits."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Els elements amb un ARIA `[role]` que requereixen que els elements secundaris continguin un atribut `[role]` específic tenen tots els elements secundaris requerits."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Les funcions de determinats elements superiors han d'incloure algunes funcions dels elements ARIA secundaris perquè puguin dur a terme les funcions d'accessibilitat per a les quals s'han dissenyat. [Obtén més informació](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Els atributs `[role]` no s'inclouen a l'element superior obligatori"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Els atributs `[role]` s'inclouen a l'element superior obligatori"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Les funcions dels elements ARIA han de tenir valors vàlids perquè puguin dur a terme les funcions d'accessibilitat per a les quals s'han dissenyat. [Obtén més informació](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Els valors de l'atribut `[role]` no són vàlids"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Els valors de l'atribut `[role]` són vàlids"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"Si un camp de commutació no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Els camps de commutació ARIA no tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Els camps de commutació ARIA tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Si un element no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Els elements `tooltip` d'ARIA no tenen noms accessibles"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Els elements `tooltip` d'ARIA tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Si un element no té un nom accessible, els lectors de pantalla el llegeixen amb un nom genèric, de manera que resulta inservible per als usuaris que depenen d'aquesta tecnologia. [Obtén més informació](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Els elements `treeitem` d'ARIA no tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Els elements `treeitem` d'ARIA tenen noms accessibles"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Les tecnologies d'assistència, com ara els lectors de pantalla, no poden interpretar els atributs ARIA que tenen valors que no són vàlids. [Obtén més informació](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Els atributs `[aria-*]` no tenen valors vàlids"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Els atributs `[aria-*]` tenen valors vàlids"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Les tecnologies d'assistència, com ara els lectors de pantalla, no poden interpretar els atributs ARIA que tenen noms que no són vàlids. [Obtén més informació](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Els atributs `[aria-*]` no són vàlids o estan mal escrits"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{
message:"Els atributs `[aria-*]` són vàlids i estan ben escrits"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elements amb errors"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Si un botó no té un nom accessible, els lectors de pantalla el llegeixen com a "botó", de manera que queda inservible per als usuaris que depenen d\'aquesta tecnologia. [Obtén més informació](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Els botons no tenen un nom accessible"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Els botons tenen noms accessibles"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Si s'afegeixen maneres d'evitar el contingut repetitiu, els usuaris del teclat poden navegar per la pàgina de manera més eficaç. [Obtén més informació](https://web.dev/bypass/)."},
"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"La pàgina no conté un encapçalament, un enllaç d'omissió o una regió de referència"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"La pàgina conté un encapçalament, un enllaç d'omissió o una regió de referència"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"El text amb contrast baix resulta difícil o impossible de llegir per a molts usuaris. [Obtén més informació](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"La relació de contrast dels colors de primer i de segon pla no és suficient."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"La relació de contrast dels colors de primer i de segon pla és suficient"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"Si el marcatge de les llistes de definició no és correcte, és possible que els lectors de pantalla sonin de manera confusa o inexacta. [Obtén més informació](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Els `<dl>` no contenen només grups de `<dt>` i `<dd>` ordenats correctament, o bé elements `<script>`, `<template>` o `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Els `<dl>` contenen només grups de `<dt>` i `<dd>` ordenats correctament, o bé elements `<script>`, `<template>` o `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Els elements de la llista de definicions (`<dt>` i `<dd>`) han d'estar tancats dins d'un element `<dl>` superior per garantir que els lectors de pantalla els puguin pronunciar correctament. [Obtén més informació](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"Els elements de la llista de definicions estan tancats entre elements `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Els elements de la llista de definicions estan tancats entre elements `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"El títol proporciona als usuaris de lectors de pantalla un resum de la pàgina. A més, els usuaris de motors de cerca depenen en gran mesura d'aquest títol per determinar si una pàgina és rellevant per a la seva cerca. [Obtén més informació](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"El document no té cap element `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"El document té un element `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Tots els elements en què es pot posar el focus han de tenir un `id` únic per garantir que les tecnologies d'assistència els puguin veure. [Obtén més informació](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Els atributs `[id]` en elements actius en què es pot posar el focus no són únics"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Els atributs `[id]` en elements actius en què es pot posar el focus són únics"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"El valor d'un identificador ARIA ha de ser únic per impedir que les tecnologies d'assistència passin per alt altres instàncies. [Obtén més informació](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Els identificadors ARIA no són únics"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Els identificadors ARIA són únics"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Els camps de formulari amb diverses etiquetes poden fer que les tecnologies d'assistència, com ara els lectors de pantalla, els llegeixin de manera confusa, ja que poden utilitzar la primera etiqueta, l'última o totes. [Obtén més informació](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Els camps de formulari tenen diverses etiquetes"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Cap camp de formulari té diverses etiquetes"},"lighthouse-core/audits/accessibility/frame-title.js | description":{
message:"Els usuaris de lectors de pantalla depenen dels títols dels marcs perquè en descriguin el contingut. [Obtén més informació](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Els elements `<frame>` o `<iframe>` no tenen títol"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Els elements `<frame>` o `<iframe>` tenen un títol"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Els títols ordenats adequadament sense saltar nivells transmeten l'estructura semàntica de la pàgina, la qual cosa facilita la navegació i la comprensió quan s'utilitzen tecnologies d'assistència. [Obtén més informació](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Els elements del títol no estan en un ordre seqüencial descendent"},"lighthouse-core/audits/accessibility/heading-order.js | title":{
message:"Els elements del títol es mostren en un ordre seqüencial descendent"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Si en una pàgina no s'especifica un atribut d'idioma, els lectors de pantalla suposen que la pàgina està escrita en l'idioma predeterminat que l'usuari ha triat en configurar el lector de pantalla. Si està escrita en un altre idioma, és possible que el lector de pantalla no en llegeixi el text correctament. [Obtén més informació](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"L'element `<html>` no té un atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"L'element `<html>` té un atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Si especifiques un [idioma vàlid d'acord amb l'estàndard BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), ajudes a fer que els lectors de pantalla pronunciïn el text correctament. [Obtén més informació](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"L'element `<html>` no té un valor vàlid per a l'atribut `[lang]` corresponent."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"L'element `<html>` té un valor vàlid per a l'atribut `[lang]` corresponent"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Els elements informatius han d'utilitzar text alternatiu que sigui breu i descriptiu. Els elements decoratius es poden ignorar amb un atribut alt buit. [Obtén més informació](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{
message:"Els elements d'imatge no tenen atributs `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Els elements d'imatge tenen atributs `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Si s'utilitza una imatge per al botó `<input>`, el text alternatiu pot ajudar els usuaris dels lectors de pantalla a entendre la funció del botó. [Obtén més informació](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Els elements `<input type="image">` no tenen text `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Els elements `<input type="image">` tenen text `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{
message:"Les etiquetes garanteixen que les tecnologies d'assistència, com ara els lectors de pantalla, puguin llegir correctament els controls dels formularis. [Obtén més informació](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Els elements de formulari no tenen etiquetes associades"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Els elements de formulari tenen etiquetes associades"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Si el text dels enllaços (així com el text alternatiu per a les imatges, quan s'utilitzen com a enllaços) és discernible, únic i permet que s'hi posi el focus, millora l'experiència de navegació dels usuaris de lectors de pantalla. [Obtén més informació](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Els enllaços no tenen noms que es puguin distingir"},
"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Els enllaços tenen noms que es poden distingir"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Els lectors de pantalla tenen una manera específica de llegir les llistes. Estructurar-les correctament millora la manera com els lectors de pantalla sonen. [Obtén més informació](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Les llistes no contenen només elements`<li>` i elements que admeten scripts (`<script>` i `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Les llistes contenen només elements `<li>` i elements que admeten scripts (`<script>` i `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Els lectors de pantalla requereixen que els elements de llista (`<li>`) estiguin inclosos dins d'un element `<ul>` o `<ol>` superior per poder llegir-los correctament. [Obtén més informació](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Alguns elements de llista (`<li>`) no estan inclosos entre elements `<ul>` o `<ol>` superiors."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Alguns elements de llista (`<li>`) estan inclosos entre elements `<ul>` o `<ol>` superiors"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Els usuaris no esperen que una pàgina s'actualitzi automàticament. En fer-ho, el focus torna a la part superior de la pàgina i els usuaris es poden sentir frustrats i confosos. [Obtén més informació](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{
message:'El document utilitza la metaetiqueta `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'El document no utilitza `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Desactivar el zoom pot ser un problema per als usuaris amb poca visió que necessiten ampliar la pantalla per veure correctament el contingut d'una pàgina web. [Obtén més informació](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:"L'atribut `[user-scalable=\"no\"]` s'utilitza a l'element `<meta name=\"viewport\">` o l'atribut `[maximum-scale]` és inferior a 5."},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:"L'atribut `[user-scalable=\"no\"]` no s'utilitza a l'element `<meta name=\"viewport\">` i l'atribut `[maximum-scale]` no és inferior a 5."},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Els lectors de pantalla no poden traduir contingut que no sigui text. Si afegeixes text alternatiu als elements `<object>`, ajudes els lectors de pantalla a transmetre el significat als usuaris. [Obtén més informació](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Els elements `<object>` no tenen text `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Els elements `<object>` tenen text `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Un valor superior a 0 implica una ordenació explícita de navegació. Tècnicament és vàlid, però sol suposar experiències frustrants per als usuaris que depenen de les tecnologies d'assistència. [Obtén més informació](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{
message:"Alguns elements tenen un valor `[tabindex]` superior a 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Cap element no té un valor `[tabindex]` superior a 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Els lectors de pantalla inclouen funcions perquè sigui més fàcil navegar per les taules. Assegura't que les cel·les `<td>` que fan servir l'atribut `[headers]` només facin referència a altres cel·les de la mateixa taula. Això pot millorar l'experiència dels usuaris de lectors de pantalla. [Obtén més informació](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Les cel·les d'un element `<table>` que fan servir l'atribut `[headers]` fan referència a un element `id` que no és a la mateixa taula."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{
message:"Les cel·les d'un element `<table>` que fan servir l'atribut `[headers]` fan referència a cel·les de taula incloses a la mateixa taula."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Els lectors de pantalla inclouen funcions perquè sigui més fàcil navegar per les taules. Assegura't que els encapçalaments de les taules facin sempre referència a un conjunt de cel·les. Això pot millorar l'experiència dels usuaris de lectors de pantalla. [Obtén més informació](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Els elements `<th>` i els que inclouen l\'atribut `[role="columnheader"/"rowheader"]` no tenen les cel·les de dades que descriuen.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Els elements `<th>` i els que inclouen l\'atribut `[role="columnheader"/"rowheader"]` tenen les cel·les de dades que descriuen.'},
"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Si especifiques un [idioma vàlid d'acord amb l'estàndard BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) als elements, permets que els lectors de pantalla pronunciïn el text correctament. [Obtén més informació](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Els atributs `[lang]` no tenen un valor vàlid"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Els atributs `[lang]` tenen un valor vàlid"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Si un vídeo ofereix subtítols, permet que els usuaris sords o amb discapacitat auditiva accedeixin a la informació més fàcilment. [Obtén més informació](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Els elements `<video>` no contenen cap element `<track>` amb `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Els elements `<video>` contenen un element `<track>` amb `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Perquè l'aspecte a iOS sigui l'ideal quan els usuaris afegeixin una aplicació web progressiva a la pantalla d'inici, defineix un atribut `apple-touch-icon`. Ha de dirigir a una imatge PNG quadrada de 192 píxels o de 180 píxels que no sigui transparent. [Obtén més informació](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"No conté un atribut `apple-touch-icon` vàlid"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"L'atribut `apple-touch-icon-precomposed` no està actualitzat. És preferible l'atribut `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"Proporciona una `apple-touch-icon` vàlida"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valor actual"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Testimoni suggerit"},"lighthouse-core/audits/autocomplete.js | description":{message:"L'atribut `autocomplete` ajuda els usuaris a emplenar formularis més ràpidament. Per reduir l'esforç dels usuaris, planteja't activar l'atribut `autocomplete` establint-lo en un valor vàlid. [Obtén més informació](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)."},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Els elements `<input>` no tenen els atributs correctes per a `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Requereix una revisió manual"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Revisa l'ordre dels testimonis"},
"lighthouse-core/audits/autocomplete.js | title":{message:"Els elements `<input>` utilitzen correctament `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Testimonis de `autocomplete`: "{token}" no és vàlid a {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Revisa l\'ordre dels testimonis: "{tokens}" a {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Les extensions de Chrome han afectat negativament el rendiment de càrrega de la pàgina. Audita la pàgina en mode d'incògnit o des d'un perfil de Chrome sense extensions."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Avaluació de scripts"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Anàlisi de scripts"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Temps total de la CPU"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Et recomanem que redueixis el temps dedicat a analitzar, compilar i executar JavaScript. Et pot ajudar utilitzar càrregues útils de JavaScript més petites. [Obtén més informació](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Redueix el temps d'execució de JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Temps d'execució de JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Suprimeix els mòduls de JavaScript grans i duplicats dels paquets per reduir el consum innecessari de bytes durant l'activitat de la xarxa. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Suprimeix els mòduls duplicats als paquets de JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Els GIF grans no són eficients per publicar contingut animat. A fi d'estalviar bytes a la xarxa, pots substituir els GIF per vídeos MPEG4/WebM en el cas de les animacions i per PNG/WebP en el cas de les imatges estàtiques. [Més informació](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Utilitza formats de vídeo per al contingut animat"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Els polyfills i les transformacions permeten als navegadors antics fer servir funcions de JavaScript noves. No obstant això, molts no són necessaris per als navegadors moderns. Per al teu JavaScript empaquetat, adopta una estratègia de desenvolupament de scripts moderna utilitzant la detecció de la funció mòdul/no mòdul per reduir la quantitat de codi enviat als navegadors moderns, mantenint al mateix temps la compatibilitat amb els navegadors heretats. [Més informació](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Evita utilitzar JavaScript heretat als navegadors moderns"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Els formats d'imatge com JPEG 2000, JPEG XR i WebP solen oferir millors resultats de compressió que PNG o JPEG. Això implica baixades més ràpides i menys consum de dades. [Obtén més informació](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Publica imatges en format d'última generació"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Et recomanem que utilitzis la càrrega diferida de les imatges amagades i que no es mostren a la pantalla un cop s'acabin de carregar tots els recursos essencials a fi de reduir el temps necessari perquè la pàgina sigui interactiva. [Obtén més informació](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Ajorna les imatges fora de pantalla"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Els recursos estan bloquejant la primera renderització de la pàgina. Et recomanem que publiquis els fitxers JavaScript o CSS inserits que siguin essencials i ajornis tots els estils i els fitxers JavaScript que no ho siguin. [Obtén més informació](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimina els recursos que bloquegen la renderització"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Si la càrrega útil de la xarxa és molt gran, els usuaris consumeixen més dades mòbils i els temps de càrrega són més llargs. [Obtén més informació](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Mida total: {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evita càrregues útils de xarxa enormes"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Evita càrregues útils de xarxa enormes"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Reduir els fitxers CSS pot disminuir les mides de càrrega útil a la xarxa. [Obtén més informació](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Redueix els CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Reduir els fitxers JavaScript pot disminuir les mides de càrrega i els temps d'anàlisi de scripts. [Obtén més informació](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Redueix els fitxers JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Redueix el nombre de regles no utilitzades dels fulls d'estil i ajorna els CSS que no es facin servir per al contingut de la meitat superior de la pàgina a fi de rebaixar el consum de bytes durant l'activitat de la xarxa. [Obtén més informació](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Redueix el nombre de fitxers CSS no utilitzats"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Redueix el nombre de fitxers JavaScript no utilitzats i ajorna la càrrega dels scripts fins que siguin necessaris a fi de rebaixar el consum de bytes durant l'activitat de la xarxa. [Obtén més informació](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Redueix el nombre de fitxers JavaScript no utilitzats"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Si la memòria cau té una vida llarga, es poden accelerar les visites repetides a la teva pàgina. [Obtén més informació](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{S'ha trobat 1 recurs}other{S'han trobat # recursos}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Publica recursos estàtics amb una política de memòria cau eficient"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Utilitza una política de memòria cau eficient per als recursos estàtics"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Les imatges optimitzades es carreguen més ràpidament i utilitzen menys dades mòbils. [Obtén més informació](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"Codifica les imatges amb eficiència"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Publica imatges amb la mida correcta per estalviar dades mòbils i millorar el temps de càrrega. [Obtén més informació](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Adapta la mida de les imatges"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Els recursos basats en text s'han de publicar comprimits (gzip, deflate o brotli) per minimitzar el total de bytes a la xarxa. [Obtén més informació](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Activa la compressió de text"},"lighthouse-core/audits/content-width.js | description":{
message:"Si l'amplada del contingut de l'aplicació no coincideix amb l'amplada de la finestra gràfica, és possible que l'aplicació no s'optimitzi per a pantalles de dispositius mòbils. [Obtén més informació](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"La mida de la finestra gràfica ({innerWidth} píxels) no coincideix amb la mida de la finestra ({outerWidth} píxels)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"El contingut no té la mida correcta per a la finestra gràfica"},"lighthouse-core/audits/content-width.js | title":{message:"El contingut té la mida correcta per a la finestra gràfica"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Les cadenes de sol·licituds essencials de sota et mostren quins recursos es carreguen amb prioritat alta. Et recomanem que escurcis les cadenes, redueixis la mida de baixada dels recursos o ajornis la baixada de recursos innecessaris per millorar la càrrega de pàgines. [Obtén més informació](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{S'ha trobat 1 cadena}other{S'han trobat # cadenes}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"No encadenis sol·licituds importants"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravetat"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Una política de seguretat del contingut (CSP) sòlida redueix significativament el risc de patir atacs d'injecció indirecta de scripts (XSS). [Més informació](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaxi"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"La pàgina conté una CSP definida en una etiqueta <meta>. Si pots, també pots optar per definir la CSP en una capçalera HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"No s'ha trobat cap CSP en mode de compliment"},"lighthouse-core/audits/csp-xss.js | title":{message:"Comprova que la CSP sigui efectiva contra atacs XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Desactivació/advertiment"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Línia"},"lighthouse-core/audits/deprecations.js | description":{
message:"Les API obsoletes s'acabaran suprimint del navegador. [Obtén més informació](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{S'ha trobat 1 advertiment}other{S'han trobat # advertiments}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Utilitza API obsoletes"},"lighthouse-core/audits/deprecations.js | title":{message:"Evita les API obsoletes"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"La memòria cau de l'aplicació està obsoleta. [Obtén més informació](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'S\'ha trobat "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Utilitza la memòria cau de l'aplicació"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Evita la memòria cau de l'aplicació"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Cal una declaració de codificació de caràcters. Es pot fer amb una etiqueta `<meta>` als primers 1.024 bytes de l'HTML o a la capçalera de resposta HTTP de tipus contingut. [Obtén més informació](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Falta la declaració del conjunt de caràcters o es produeix massa tard a l'HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Defineix el conjunt de caràcters correctament"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Especificar un tipus de document impedeix que el navegador canviï a mode Quirks. [Obtén més informació](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"El nom del tipus de document ha de ser la cadena en minúscules `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"El document ha de contenir un tipus de document"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Està previst que el camp publicId sigui una cadena buida"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Està previst que el camp systemId sigui una cadena buida"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"La pàgina no té el tipus de document HTML i, per tant, activa el mode Quirks"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"La pàgina té el tipus de document HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Estadística"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valor"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Un DOM gran augmentarà l'ús de la memòria, provocarà [càlculs d'estil](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) més llargs i produirà [reinicis de reflux del disseny](https://developers.google.com/speed/articles/reflow) costosos. [Obtén més informació](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{Un element}other{# elements}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evita una mida de DOM excessiva"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profunditat màxima de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total d'elements de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Nombre màxim d'elements secundaris"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Evita una mida excessiva de DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Àncora amb errors"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Afegeix `rel="noopener"` o `rel="noreferrer"` a qualsevol enllaç extern per millorar-ne el rendiment i evitar vulnerabilitats de seguretat. [Obtén més informació](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Els enllaços a destinacions de diversos orígens no són segurs"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Els enllaços a destinacions de diversos orígens són segurs"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"No es pot determinar la destinació de l'ancoratge ({anchorHTML}). Si no s'utilitza com a enllaç, et recomanem que suprimeixis target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Els usuaris reaccionen amb desconfiança i desconcert davant dels llocs web que els sol·liciten la ubicació sense context. Et recomanem que vinculis la sol·licitud a una acció de l'usuari. [Obtén més informació](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Sol·licita el permís de geolocalització en carregar la pàgina"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evita sol·licitar el permís de geolocalització en carregar la pàgina"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipus de problema"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Els problemes registrats al tauler `Issues` de Chrome DevTools indiquen que hi ha problemes sense resoldre. Poden provenir d'errors de sol·licitud de la xarxa, de controls de seguretat insuficients i d'altres problemes del navegador. Obre el tauler Issues de Chrome DevTools per obtenir més informació sobre cada problema."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"S'han registrat problemes al tauler `Issues` de Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloquejat per una política de diversos orígens"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Els anuncis utilitzen molts recursos"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"No s'han detectat problemes al tauler `Issues` de Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versió"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Totes les biblioteques de JavaScript d'interfície detectades a la pàgina. [Obtén més informació](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Biblioteques de JavaScript detectades"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Per als usuaris amb connexions lentes, els scripts externs inserits dinàmicament mitjançant `document.write()` poden retardar la càrrega de la pàgina unes dècimes de segon. [Obtén més informació](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Gravetat més alta"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Versió de la biblioteca"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Recompte de vulnerabilitats"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Alguns scripts de tercers poden contenir vulnerabilitats de seguretat que els atacants identifiquen i exploten fàcilment. [Obtén més informació](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{S'ha detectat 1 vulnerabilitat}other{S'han detectat # vulnerabilitats}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Inclou biblioteques de JavaScript d'interfície amb vulnerabilitats de seguretat conegudes"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Evita les biblioteques de JavaScript d'interfície amb vulnerabilitats de seguretat conegudes"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Els usuaris reaccionen amb desconfiança i desconcert davant dels llocs web que sol·liciten enviar notificacions sense context. Et recomanem que vinculis la sol·licitud als gestos de l'usuari. [Obtén més informació](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Sol·licita el permís de notificació en carregar la pàgina"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evita sol·licitar el permís de notificació en carregar la pàgina"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Impedir enganxar la contrasenya va en detriment d'una bona política de seguretat. [Obtén més informació](https://web.dev/password-inputs-can-be-pasted-into/)."
},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Evita que els usuaris enganxin contingut als camps de contrasenya"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Permet que els usuaris enganxin contingut als camps de contrasenya"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ofereix molts avantatges respecte a HTTP/1.1, com ara capçaleres binàries i multiplexatge. [Obtén més informació](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{No s'ha atès 1 sol·licitud mitjançant HTTP/2}other{No s'han atès # sol·licituds mitjançant HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Utilitza HTTP/2"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Per millorar el rendiment del desplaçament de la pàgina, et recomanem que defineixis els detectors d'esdeveniments de roda de desplaçament com a `passive`. [Obtén més informació](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"No utilitza detectors passius per millorar el rendiment del desplaçament"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Utilitza detectors passius per millorar el rendiment del desplaçament"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Els errors registrats a la consola indiquen problemes pendents de resoldre. Poden provenir d'errors de sol·licitud de la xarxa i d'altres problemes del navegador. [Més informació](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{
message:"Els errors del navegador s'han registrat a la consola"},"lighthouse-core/audits/errors-in-console.js | title":{message:"No s'ha registrat cap error del navegador a la consola"},"lighthouse-core/audits/font-display.js | description":{message:"Aprofita la funció CSS que permet mostrar els tipus de lletra per assegurar-te que els usuaris puguin veure el text mentre es carreguen els tipus de lletra per a llocs web. [Obtén més informació](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Assegura't que el text continuï visible durant la càrrega dels tipus de lletra per a llocs web"},"lighthouse-core/audits/font-display.js | title":{message:"Tot el text continua visible durant les càrregues dels tipus de lletra per a llocs web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse no ha pogut comprovar automàticament el valor `font-display` de l'URL d'origen {fontOrigin}.}other{Lighthouse no ha pogut comprovar automàticament els valors `font-display` de l'URL d'origen {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Relació d'aspecte (real)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Relació d'aspecte (mostrada)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Les dimensions de visualització de la imatge han de coincidir amb la relació d'aspecte natural. [Obtén més informació](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Mostra les imatges amb una relació d'aspecte incorrecta"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Mostra les imatges amb una relació d'aspecte correcta"},
"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Mida real"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Mida mostrada"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Mida prevista"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Les dimensions naturals de les imatges han de ser proporcionals a la mida de visualització i la relació de píxels per maximitzar la claredat de les imatges. [Obtén més informació](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Utilitza imatges amb una resolució baixa"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Utilitza imatges amb una resolució adequada"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"L'aplicació ja està instal·lada"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{
message:"No s'ha pogut baixar una icona necessària del fitxer de manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motiu de l'error"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service Worker és la tecnologia que fa possible que la teva aplicació utilitzi moltes funcions d'aplicació web progressiva, com ara funcionar sense connexió, poder afegir-se a la pàgina d'inici i mostrar notificacions automàtiques. Amb un Service Worker adequat i implementacions del fitxer de manifest, els navegadors poden demanar als usuaris de manera proactiva que afegeixin la teva aplicació a la pantalla d'inici, cosa que permet obtenir més interaccions. [Obtén més informació](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 motiu}other{# motius}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"El fitxer de manifest de l'aplicació web o el Service Worker no compleixen els requisits d'instal·lació"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"L'identificador i l'URL de l'aplicació Play Store no coincideixen"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"La pàgina es carrega en una finestra d'incògnit"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'La propietat "display" del fitxer de manifest ha de ser "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'El fitxer de manifest conté el camp "display_override" i el primer mode de visualització admès ha de ser "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"El fitxer de manifest no s'ha pogut obtenir, és buit o no s'ha pogut analitzar"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"L'URL del fitxer de manifest ha canviat mentre s'estava recollint el fitxer de manifest."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'El fitxer de manifest no conté cap camp "name" o "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'El manifest no conté cap icona adequada. Es requereix un format PNG, SVG o WebP de com a mínim {value0} píxels, l\'atribut "sizes" ha d\'estar establert i l\'atribut "purpose", si s\'estableix, ha d\'incloure "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'No s\'ha proporcionat cap icona que tingui com a mínim {value0} píxels quadrats en format PNG, SVG o WebP i que tingui l\'atribut "purpose" sense establir o definit en "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{
message:"La icona baixada era buida o estava malmesa"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"No s'ha proporcionat cap identificador de Play Store"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"La pàgina no té cap URL <link> del fitxer de manifest"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"No s'ha detectat cap Service Worker coincident. Pot ser que hagis de tornar a carregar la pàgina o comprovar que l'abast del Service Worker per a la pàgina actual englobi l'abast i l'URL d'inici del fitxer de manifest."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'No s\'ha pogut comprovar el Service Worker perquè el fitxer de manifest no té cap camp "start_url"'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"No es reconeix l'identificador d'error d'instal·lació \"{errorId}\""},
"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"La pàgina no es publica des d'un origen segur"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"La pàgina no es carrega al marc principal"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"La pàgina no funciona sense connexió"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"La plataforma de l'aplicació especificada no s'admet a Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"El fitxer de manifest especifica prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications només s'admet a Chrome beta i als canals estables a Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{
message:"L'URL d'inici del manifest no és vàlid"},"lighthouse-core/audits/installable-manifest.js | title":{message:"El fitxer de manifest de l'aplicació web i el Service Worker no compleixen els requisits d'instal·lació"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Un URL del fitxer de manifest conté un nom d'usuari, una contrasenya o un port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"La pàgina no funciona sense connexió. A partir de Chrome 93, versió estable d'agost de 2021, es considerarà que la pàgina no es pot instal·lar."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Permès"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloquejat"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL no segur"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Resolució de sol·licituds"},
"lighthouse-core/audits/is-on-https.js | description":{message:"Tots els llocs web haurien d'estar protegits amb HTTPS, fins i tot els que no gestionen dades sensibles. Això inclou evitar el [contingut mixt](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), en què alguns recursos es carreguen per HTTP encara que la sol·licitud inicial es faci per HTTPS. L'HTTPS evita que intrusos manipulin o escoltin passivament les comunicacions entre la teva aplicació i els usuaris, i és un requisit previ per a HTTP/2 i per a moltes API de plataforma web noves. [Obtén més informació](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{S'ha trobat 1 sol·licitud no segura}other{S'han trobat # sol·licituds no segures}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"No utilitza HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Utilitza HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Actualitzat automàticament a HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Permès amb un advertiment"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteca"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Les biblioteques grans de JavaScript poden comportar un rendiment baix. Per reduir la mida del paquet, dona preferència a les biblioteques més petites que tinguin funcions equivalents. [Obtén més informació](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 biblioteca gran trobada}other{# biblioteques grans trobades}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Substitueix les biblioteques innecessàriament grans de JavaScript"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evita les biblioteques grans de JavaScript amb alternatives més petites"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Aquest és l'element més gran amb contingut que hi ha a la finestra gràfica. [Més informació](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element de renderització de l'element més gran amb contingut"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribució al CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Aquests són els elements de DOM que més contribueixen al CLS de la pàgina."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Evita els canvis de disseny importants"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Enumera les tasques més llargues del fil principal, cosa que resulta útil per identificar què contribueix més al retard de les interaccions. [Més informació](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# tasca llarga trobada}other{# tasques llargues trobades}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evita les tasques llargues del fil principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categoria"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Et recomanem que redueixis el temps dedicat a analitzar, compilar i executar JavaScript. Et pot ajudar utilitzar càrregues útils de JavaScript més petites. [Més informació](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{
message:"Minimitza el treball al fil principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimitza el treball al fil principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Per arribar al major nombre d'usuaris possible, els llocs web han de funcionar en tots els navegadors principals. [Obtén més informació](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"El lloc web funciona en diversos navegadors"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Comprova que l'URL de cada pàgina sigui un enllaç profund i únic per poder compartir-lo als mitjans socials. [Obtén més informació](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Cada pàgina té un URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Les transicions en navegar per l'aplicació han de ser àgils, fins i tot en xarxes lentes. És una experiència clau en la percepció del rendiment per part de l'usuari. [Obtén més informació](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"No sembla que les transicions entre pàgines es bloquegin a la xarxa"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Una icona adaptativa garanteix que la imatge omple la forma completa sense adquirir el format de bústia en instal·lar l'aplicació en un dispositiu. [Obtén més informació](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"El manifest no té cap icona adaptativa"},"lighthouse-core/audits/maskable-icon.js | title":{message:"El manifest té una icona adaptativa"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"El canvi de disseny acumulatiu mesura el moviment d'elements visibles a la finestra gràfica. [Obtén més informació](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"La mètrica Primera renderització de contingut marca el moment en què es renderitza el primer text o la primera imatge. [Obtén més informació](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"La mètrica Primera renderització significativa mesura el moment en què el contingut principal d'una pàgina és visible. [Obtén més informació](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"La mètrica Temps fins que és interactiva és el que tarda la pàgina a fer-se completament interactiva. [Obtén més informació](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"La renderització de l'element més gran amb contingut marca el moment en què es renderitza el text o la imatge més gran. [Més informació](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"El retard potencial màxim respecte a la primera interacció que els usuaris es poden trobar és la durada de la tasca més llarga. [Obtén més informació](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"L'índex de velocitat mostra la rapidesa amb què s'emplena el contingut d'una pàgina. [Obtén més informació](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"La suma de tots els períodes de temps entre l'FCP i el Temps fins que és interactiva, quan la llargada de la tasca ha superat els 50 ms, expressada en mil·lisegons. [Obtén més informació](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Els temps d'anada i tornada a la xarxa afecten considerablement el rendiment. Si el temps d'anada i tornada a un origen és llarg, indica que els servidors de més a prop de l'usuari podrien millorar el rendiment. [Obtén més informació](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Temps d'anada i tornada a la xarxa"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Les latències del servidor poden afectar el rendiment web. Si són llargues en un origen, indiquen que el servidor està sobrecarregat o que té un rendiment dorsal deficient. [Obtén més informació](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latències dorsals del servidor"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"L'esdeveniment `unload` no es pot activar amb fiabilitat i detectar-lo pot impedir optimitzacions del navegador, com ara la memòria cau back-forward. També pots fer servir els esdeveniments `pagehide` o `visibilitychange`. [Més informació](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registra un detector de `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{
message:"Evita detectors d'esdeveniments `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Les animacions que no són compostes poden ser lentes i augmentar el canvi de disseny acumulatiu. [Més informació](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{S'ha trobat # element animat}other{S'han trobat # elements animats}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:'És possible que la propietat relacionada amb "filter" mogui píxels'},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"L'objectiu té una altra animació que no s'admet"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'L\'efecte té un mode compost que no és "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{
message:"Evita les animacions que no siguin compostes"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:'La propietat relacionada amb "transform" depèn de la mida del quadre'},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{La propietat CSS no s'admet: {properties}}other{Les propietats CSS no s'admeten: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"L'efecte té paràmetres de temps no admesos"},"lighthouse-core/audits/performance-budget.js | description":{message:"Manté la quantitat i la mida de les sol·licituds de xarxa ajustades als objectius establerts al pressupost de rendiment que s'ha proporcionat. [Obtén més informació](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{
message:"{count,plural, =1{1 sol·licitud}other{# sol·licituds}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Pressupost de rendiment"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Carrega prèviament els tipus de lletra `optional` perquè els visitants nous puguin utilitzar-los. [Més informació](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"No s'han carregat prèviament els tipus de lletra `font-display: optional`"},"lighthouse-core/audits/preload-fonts.js | title":{message:"S'han carregat prèviament els tipus de lletra `font-display: optional`"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Carrega prèviament la imatge utilitzada per l'element LCP per millorar el teu temps LCP. [Obtén més informació](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{
message:"Carrega prèviament la imatge de renderització de l'element més gran amb contingut"},"lighthouse-core/audits/redirects-http.js | description":{message:"Si ja has configurat el format HTTPS, assegura't de redirigir tot el trànsit HTTP cap a HTTPS per activar funcions web segures per a tots els usuaris. [Obtén més informació](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"No redirigeix el trànsit HTTP cap a HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redirigeix el trànsit HTTP cap a HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"La mètrica Redireccions introdueix retards addicionals abans de poder carregar la pàgina. [Obtén més informació](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Evita les redireccions múltiples a pàgines"},"lighthouse-core/audits/resource-summary.js | description":{
message:"Per definir els pressupostos de la quantitat i la mida dels recursos de la pàgina, afegeix un fitxer budget.json. [Obtén més informació](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 sol·licitud • {byteCount, number, bytes} KiB}other{# sol·licituds • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Mantén els recomptes de les sol·licituds baixos i les mides de les transferències petites"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Els enllaços canònics suggereixen quins URL s'han de mostrar als resultats de cerca. [Obtén més informació](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Hi ha diversos URL en conflicte ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{
message:"Dirigeix a un altre domini ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL no vàlid ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:'Dirigeix a una altra ubicació de tipus "`hreflang`" ({url})'},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relatiu ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Apunta a l'URL arrel (la pàgina d'inici) del domini en lloc d'apuntar a una pàgina equivalent de contingut"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"El document no té un valor `rel=canonical` vàlid"},"lighthouse-core/audits/seo/canonical.js | title":{message:"El document té un valor `rel=canonical` vàlid"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Enllaç que no es pot rastrejar"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"És possible que els motors de cerca utilitzin atributs `href` als enllaços per rastrejar llocs web. Assegura't que l'atribut `href` dels elements d'ancoratge enllaci a la destinació adequada. D'aquesta manera, es podran detectar més pàgines del lloc web. [Més informació](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Els enllaços no es poden rastrejar"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Els enllaços es poden rastrejar"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Text il·legible addicional"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Mida de la lletra"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% del text de pàgina"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{
message:'Les lletres amb una mida inferior als 12 píxels són massa petites i obliguen els usuaris de mòbils a "pinçar per fer zoom" a fi d\'ampliar el text i poder llegir-lo. Intenta que la mida de més del 60% del text de la pàgina sigui igual o superior a 12 píxels. [Obtén més informació](https://web.dev/font-size/).'},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"El {decimalProportion, number, extendedPercent} del text és llegible"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"El text és il·legible perquè no hi ha cap metaetiqueta de finestra gràfica optimitzada per a pantalles de dispositius mòbils."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"El document no utilitza lletres amb mides llegibles"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Text llegible"},"lighthouse-core/audits/seo/font-size.js | title":{message:"El document utilitza lletres amb mides llegibles"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:"Els enllaços de tipus \"hreflang\" informen els motors de cerca de quina versió d'una pàgina han d'incloure als resultats de cerca per a una regió o un idioma concrets. [Obtén més informació](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"El document no té un valor `hreflang` vàlid"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valor href relatiu"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"El document té un valor `hreflang` vàlid"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Codi d'idioma inesperat"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"És possible que les pàgines amb codi d'estat HTTP incorrecte no s'indexin correctament. [Obtén més informació](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"El codi d'estat HTTP de la pàgina no és correcte"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"El codi d'estat HTTP de la pàgina és correcte"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Si els motors de cerca no tenen permís per rastrejar les teves pàgines, no les poden incloure als resultats de cerca. [Obtén més informació](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"La pàgina està configurada per bloquejar la indexació"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"La indexació no està bloquejada en aquesta pàgina"},"lighthouse-core/audits/seo/link-text.js | description":{message:"El text descriptiu dels enllaços ajuda els motors de cerca a entendre el contingut. [Obtén més informació](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{
message:"{itemCount,plural, =1{S'ha trobat 1 enllaç}other{S'han trobat # enllaços}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Els enllaços no tenen text descriptiu"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Els enllaços tenen text descriptiu"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Executa l'[eina de proves de dades estructurades](https://search.google.com/structured-data/testing-tool/) i l'[eina Structured Data Linter](http://linter.structured-data.org/) per validar aquest tipus de dades. [Obtén més informació](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Les dades estructurades són vàlides"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"És possible que s'incloguin metadescripcions als resultats de cerca per resumir breument el contingut de la pàgina. [Obtén més informació](https://web.dev/meta-description/)."
},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"El text de la descripció és buit."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"El document no té cap metadescripció"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"El document té una metadescripció"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Els motors de cerca no poden indexar el contingut dels connectors. A més, molts dispositius restringeixen els correctors o no els admeten. [Obtén més informació](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"El document utilitza connectors"},"lighthouse-core/audits/seo/plugins.js | title":{message:"El document evita els connectors"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Si el format del fitxer robots.txt no és correcte, és possible que els rastrejadors no puguin entendre com vols que rastregin o indexin el lloc web. [Obtén més informació](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"La sol·licitud del fitxer robots.txt ha tornat l'estat HTTP següent: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{S'ha trobat 1 error}other{S'han trobat # errors}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse no ha pogut baixar el fitxer robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"El fitxer robots.txt no és vàlid"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"El fitxer robots.txt és vàlid"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Els elements interactius, com ara els botons i els enllaços, han de ser prou grans (48 x 48 píxels) i han de tenir prou espai al voltant perquè els usuaris els puguin tocar sense que se superposin a altres elements. [Obtén més informació](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"El {decimalProportion, number, percent} de les mides dels objectius tàctils és correcte"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Els elements tàctils són massa petits perquè no hi ha cap metaetiqueta de finestra gràfica optimitzada per a pantalles de mòbil"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"La mida dels elements tàctils no és correcta"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Objectiu superposat"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Element tàctil"},
"lighthouse-core/audits/seo/tap-targets.js | title":{message:"La mida dels elements tàctils és correcta"},"lighthouse-core/audits/server-response-time.js | description":{message:"Fes que el temps de resposta del servidor per al document principal sigui breu, ja que la resta de sol·licituds en depenen. [Obtén més informació](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"El document arrel ha tardat {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Redueix el temps inicial de resposta del servidor"},"lighthouse-core/audits/server-response-time.js | title":{message:"El temps inicial de resposta del servidor ha estat breu"},"lighthouse-core/audits/service-worker.js | description":{
message:"El Service Worker és la tecnologia que fa possible que la teva aplicació utilitzi moltes funcions d'aplicació web progressiva, com ara funcionar sense connexió, poder afegir-se a la pàgina d'inici i mostrar notificacions automàtiques. [Obtén més informació](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Tot i que un Service Worker controla aquesta pàgina, no s'ha trobat cap atribut `start_url` perquè el fitxer de manifest no s'ha pogut analitzar com a format JSON vàlid"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Tot i que un Service Worker controla aquesta pàgina, l'atribut `start_url` ({startUrl}) no és a l'abast del Service Worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Tot i que un Service Worker controla aquesta pàgina, no s'ha trobat cap `start_url` perquè no s'ha obtingut cap fitxer de manifest."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Aquest origen té un Service Worker o més, però la pàgina ({pageUrl}) està fora de l'abast."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"No registra cap Service Worker que controli la pàgina i l'atribut `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registra un Service Worker que controla la pàgina i l'atribut `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Utilitzar una pantalla inicial temàtica garanteix una experiència d'alta qualitat quan els usuaris inicien l'aplicació des de la pantalla d'inici. [Obtén més informació](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"No està configurat per a una pantalla inicial personalitzada"},"lighthouse-core/audits/splash-screen.js | title":{message:"Està configurat per a una pantalla inicial personalitzada"},
"lighthouse-core/audits/themed-omnibox.js | description":{message:"Es pot aplicar un tema a la barra d'adreces del navegador perquè faci joc amb el teu lloc web. [Obtén més informació](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"No estableix un color temàtic per a la barra d'adreces."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Estableix un color temàtic per a la barra d'adreces."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (històries d'èxit)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (màrqueting)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (vídeo)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Producte"},
"lighthouse-core/audits/third-party-facades.js | description":{message:"Pot ser que algunes insercions de tercers es carreguin lentament. Pots substituir-les per una façana fins que s'hagin de fer servir. [Obtén més informació](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# alternativa de façana disponible}other{# alternatives de façana disponibles}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Pot ser que alguns recursos de tercers es carreguin lentament amb una façana"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Carrega lentament recursos externs amb façanes"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Tercers"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"El codi de tercers pot afectar significativament el rendiment de la càrrega. Limita el nombre de proveïdors externs redundants i prova de carregar codi de tercers quan la càrrega principal de la pàgina ha finalitzat. [Obtén més informació](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"El codi de tercers ha bloquejat el fil principal durant {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Redueix l'impacte del codi de tercers"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Redueix l'ús de tercers"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Mesurament"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Mètrica"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Defineix un pressupost de temps perquè t'ajudi a fer un seguiment del rendiment del teu lloc web. Els llocs webs que funcionen bé es carreguen ràpidament i responen de pressa als esdeveniments d'entrada dels usuaris. [Obtén més informació](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Pressupost de temps"},"lighthouse-core/audits/unsized-images.js | description":{message:"Als elements d'imatge, defineix una amplada i una alçada explícites per reduir els canvis de disseny i millorar el CLS. [Més informació](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Els elements d'imatge no tenen una `width` ni una `height` explícites."},"lighthouse-core/audits/unsized-images.js | title":{message:"Els elements d'imatge tenen una `width` i una `height` explícites"},"lighthouse-core/audits/user-timings.js | columnType":{
message:"Tipus"},"lighthouse-core/audits/user-timings.js | description":{message:"Et recomanem que utilitzis l'API Temps d'usuari amb la teva aplicació per mesurar-ne el rendiment al món real durant experiències clau dels usuaris. [Obtén més informació](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 temps d'usuari}other{# temps d'usuari}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Marques i mesures de Temps d'usuari"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"S'ha trobat un element `<link rel=preconnect>` per a \"{securityOrigin}\", però el navegador no l'ha utilitzat. Comprova que estiguis utilitzant correctament l'atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Et recomanem que afegeixis suggeriments de recursos `preconnect` o `dns-prefetch` per establir connexions anticipades a orígens importants de tercers. [Obtén més informació](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Connecta't prèviament als orígens necessaris"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"S'han trobat més de 2 connexions `<link rel=preconnect>`. S'han d'utilitzar amb moderació i només per als orígens més importants."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"S'ha trobat un element `<link rel=preconnect>` per a \"{securityOrigin}\", però el navegador no l'ha utilitzat. Utilitza `preconnect` només per a orígens importants que la pàgina sol·licitarà de segur."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"S'ha trobat un element `<link>` de càrrega prèvia per a \"{preloadURL}\", però el navegador no l'ha utilitzat. Comprova que estiguis utilitzant correctament l'atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Et recomanem que utilitzis `<link rel=preload>` per prioritzar l'obtenció de recursos que en aquests moments se sol·liciten en un moment posterior de la càrrega de pàgines. [Obtén més informació](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Carrega prèviament les sol·licituds de clau"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL del mapa"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Els mapes d'origen tradueixen el codi reduït al codi font original. Això ajuda els desenvolupadors a depurar durant la producció. A més, Lighthouse pot proporcionar estadístiques addicionals. Planteja't implementar mapes d'origen per treure partit d'aquests avantatges. [Obtén més informació](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Falten mapes d'origen per a un fitxer JavaScript propi gran"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Un fitxer gran de JavaScript no té un mapa d'origen"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Advertiment: falta 1 element a `.sourcesContent`}other{Advertiment: falten # elements a `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"La pàgina té mapes d'origen vàlids"},
"lighthouse-core/audits/viewport.js | description":{message:"Afegeix una etiqueta `<meta name=\"viewport\">` a fi d'optimitzar l'aplicació per a pantalles de dispositius mòbils. [Obtén més informació](https://web.dev/viewport/)."},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'No s\'ha trobat cap etiqueta `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'No té una etiqueta `<meta name="viewport">` amb l\'atribut `width` o `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Té una etiqueta `<meta name="viewport">` amb l\'atribut `width` o `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Aquí tens recomanacions per millorar l'ús dels elements d'ARIA a l'aplicació. També poden millorar l'experiència dels usuaris de tecnologia assistencial (per exemple, de lectors de pantalla)."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},
"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Aquí tens recomanacions per proporcionar contingut alternatiu d'àudio i vídeo. També poden millorar l'experiència dels usuaris amb discapacitat auditiva o visual."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Àudio i vídeo"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Aquests elements destaquen les pràctiques recomanades més habituals pel que fa a l'accessibilitat."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Pràctiques recomanades"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Aquestes comprovacions destaquen les oportunitats per [millorar l'accessibilitat de l'aplicació web](https://developers.google.com/web/fundamentals/accessibility). Només poden detectar un subconjunt de problemes d'accessibilitat automàticament, de manera que et recomanem que també hi facis proves manuals."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Aquests elements tracten àrees que les eines de proves automatitzades no poden cobrir. Obtén més informació a la nostra guia sobre [com es duen a terme ressenyes d'accessibilitat](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accessibilitat"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Aquí tens idees per millorar la llegibilitat del contingut."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contrast"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Aquí tens recomanacions per millorar la interpretació del contingut per part dels usuaris de diferents configuracions regionals."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalització i localització"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Aquí tens recomanacions per millorar la semàntica dels controls a l'aplicació. També poden millorar l'experiència dels usuaris de tecnologia assistencial (per exemple, de lectors de pantalla)."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Noms i etiquetes"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Aquí tens recomanacions per millorar la navegació amb el teclat a l'aplicació."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navegació"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Aquí tens recomanacions per millorar la lectura de dades de taules o llistes utilitzant la tecnologia assistencial (per exemple, lectors de pantalla)."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Taules i llistes"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilitat amb els navegadors"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Pràctiques recomanades"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"General"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Confiança i seguretat"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Experiència d'usuari"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Els pressupostos de rendiment estableixen uns estàndards per al rendiment del teu lloc web."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Pressupostos"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Més informació sobre el rendiment de la teva aplicació. Aquests números no [afecten directament](https://web.dev/performance-scoring/) el resultat del rendiment."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnòstic"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"L'aspecte més crític del rendiment és la velocitat amb què es renderitzen els píxels en pantalla. Mètriques clau: Primera renderització de contigut, Primera renderització significativa"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Millores de la primera renderització"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Aquests suggeriments poden ajudar la pàgina a carregar-se més de pressa. No [afecten directament](https://web.dev/performance-scoring/) el resultat del rendiment."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Oportunitats"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Mètriques"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Millora l'experiència general de càrrega, de manera que la pàgina respongui i estigui preparada per utilitzar-se al més aviat possible. Mètriques clau: Temps fins que és interactiva, Índex de velocitat"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Millores generals"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Rendiment"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Aquestes validacions verifiquen els aspectes de les aplicacions web progressives. [Obtén més informació](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"La [llista de comprovació de referència per a aplicacions web progressives](https://developers.google.com/web/progressive-web-apps/checklist) requereix aquestes validacions, però Lighthouse no les verifica automàticament. Tot i que no afecten la teva puntuació, és important que les verifiquis manualment."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Aplicació web progressiva"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Es pot instal·lar"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimitzat per a PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Aquestes comprovacions garanteixen que la pàgina estigui optimitzada per classificar els resultats del motor de cerca. Hi ha factors addicionals que Lighthouse no comprova i que és possible que afectin la teva classificació a les cerques. [Obtén més informació](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Executa aquestes validacions addicionals al lloc web per comprovar les pràctiques addicionals recomanades per a SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Dona a l'HTML un format que permeti als rastrejadors entendre millor el contingut de l'aplicació."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Pràctiques recomanades pel que fa al contingut"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Perquè l'aplicació es mostri als resultats de cerca, els rastrejadors necessiten tenir-hi accés."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Rastreig i indexació"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Comprova que les pàgines estiguin adaptades per a mòbils, de manera que els usuaris no hagin de pinçar o ampliar les pàgines de contingut per poder llegir-les. [Obtén més informació](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Adaptació per a mòbils"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Sembla que el dispositiu provat té una CPU més lenta que la que espera Lighthouse. Això pot repercutir negativament en el teu resultat del rendiment. Obtén més informació sobre com pots [calibrar un multiplicador de retenció de la CPU adequat](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"És possible que la pàgina no s'estigui carregant com s'esperava perquè s'ha redirigit el teu URL de prova ({requested}) a {final}. Intenta provar el segon URL directament."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"La pàgina s'ha carregat molt lentament i ha sobrepassat el límit de temps. És possible que els resultats siguin incomplets."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Pot ser que hi hagi dades emmagatzemades que afectin el rendiment de càrrega en aquesta ubicació: {locations}. Audita aquesta pàgina en una finestra d'incògnit per impedir que aquests recursos afectin els teus resultats.}other{Pot ser que hi hagi dades emmagatzemades que afectin el rendiment de càrrega en aquestes ubicacions: {locations}. Audita aquesta pàgina en una finestra d'incògnit per impedir que aquests recursos afectin els teus resultats.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Pots optar per afegir esquemes d\'URL https: o http: (els navegadors que admeten "strict-dynamic" els ignoren) perquè sigui retrocompatible amb navegadors més antics.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:'La directiva "disown-opener" està obsoleta des de la CSP3. Com a alternativa, utilitza la capçalera Cross-Origin-Opener-Policy.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:'La directiva "referrer" està obsoleta des de la CSP2. Com a alternativa, utilitza la capçalera Referrer-Policy.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:'La directiva "reflected-xss" està obsoleta des de la CSP2. Com a alternativa, utilitza la capçalera X-XSS-Protection.'},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'Si no hi ha una directiva "base-uri", es poden injectar etiquetes <base> per establir l\'URL de base de tots els URL relatius (per exemple, scripts) en un domini controlat per un atacant. Pots optar per establir "base-uri" en "none" o "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Els elements controlats per "object-src" es consideren funcions heretades. Pots optar per establir "object-src" en "none" per prevenir la injecció de connectors que executin scripts no segurs.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:'Falta la directiva "script-src". Això pot permetre l\'execució de scripts no segurs.'},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:'Se t\'ha oblidat el punt i coma? Sembla que "{keyword}" és una directiva i no una paraula clau.'},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Els nonces han d'utilitzar el codi de caràcters base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Els nonces han de tenir 8 caràcters com a mínim."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:'La destinació d\'informes només es pot configurar mitjançant la directiva "report-to". Aquesta directiva només s\'admet en navegadors basats en Chromium i, per tant, també es recomana utilitzar una directiva "report-uri".'},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"No hi ha cap CSP que ofereixi una destinació d'informes. Això fa que sigui més difícil mantenir la CSP al llarg del temps i monitorar les vulnerabilitats."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'Les llistes d\'amfitrions permesos sovint es poden ometre. Pots optar per utilitzar "strict-dynamic" juntament amb nonces o valors resum de la CSP.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Directiva CSP desconeguda."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:'"{keyword}" sembla una paraula clau no vàlida.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"La directiva \"unsafe-inline\" permet l'execució de scripts in-page i gestors d'esdeveniments no segurs. Pots utilitzar nonces o valors resum de la CSP per permetre els scripts individualment."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:'Pots optar per afegir "unsafe-inline" (els navegadors que admeten nonces o valors resum l\'ignoren) perquè sigui retrocompatible amb navegadors més antics.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Temps de bloqueig del fil principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL de la memòria cau"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descripció"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Durada"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elements amb errors"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Ubicació"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nom"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Per sobre del pressupost"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Sol·licituds"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Mida del recurs"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tipus de recurs"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Mida"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Font"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Hora d'inici"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Temps invertit"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Mida de la transferència"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Possible estalvi"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Possible estalvi"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Possible estalvi de {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 element trobat}other{# elements trobats}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Possible estalvi de {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Document"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Primera renderització significativa"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Tipus de lletra"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Imatge"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Alta"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{
message:"Baixa"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Mitjana"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Retard potencial màxim respecte a la primera interacció"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Multimèdia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Altres"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Altres recursos"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Full d'estil"},
"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Tercers"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Hi ha hagut un problema en gravar la traça sobre la càrrega de la pàgina. Torna a executar Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"S'ha esgotat el temps d'espera de la connexió inicial del protocol de depuració."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome no ha recollit cap captura de pantalla mentre es carregava la pàgina. Comprova que hi hagi contingut visible a la pàgina i, a continuació, prova d'executar Lighthouse de nou. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Els servidors DNS no han pogut resoldre el domini proporcionat."},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"El recopilador del recurs {artifactName} requerit ha detectat un error: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"S'ha produït un error intern de Chrome. Reinicia el navegador i prova d'executar Lighthouse de nou."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"El recopilador obligatori {artifactName} no s'ha executat."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"La pàgina no ha renderitzat contingut. Assegura't de mantenir la finestra del navegador en primer pla durant la càrrega i torna-ho a provar. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"La pàgina proporcionada no és HTML (s'ha publicat com a tipus MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{
message:'Aquesta versió de Chrome és massa antiga per admetre "{featureName}". Utilitza una versió més recent per veure els resultats complets.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse no ha pogut carregar de manera fiable la pàgina que has sol·licitat. Assegura't que estiguis fent la prova de l'URL correcte i que el servidor estigui responent correctament a totes les sol·licituds."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Com que la pàgina ha deixat de respondre, Lighthouse no ha pogut carregar de manera fiable l'URL que has sol·licitat."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"L'URL que has proporcionat no té un certificat de seguretat vàlid. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome ha evitat la càrrega de la pàgina amb una pantalla intersticial. Assegura't que estiguis fent la prova de l'URL correcte i que el servidor estigui responent correctament a totes les sol·licituds."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse no ha pogut carregar de manera fiable la pàgina que has sol·licitat. Assegura't que estiguis fent la prova de l'URL correcte i que el servidor estigui responent correctament a totes les sol·licituds. (Detalls: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse no ha pogut carregar de manera fiable la pàgina que has sol·licitat. Assegura't que estiguis fent la prova de l'URL correcte i que el servidor estigui responent correctament a totes les sol·licituds. (Codi d'estat: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"La pàgina ha tardat massa temps a carregar-se. Segueix les opcions indicades a l'informe per reduir el temps de càrrega de la pàgina i, a continuació, prova d'executar Lighthouse de nou. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"S'ha superat el temps assignat per rebre una resposta del protocol de DevTools. (Mètode: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"S'ha superat el temps assignat per obtenir el contingut dels recursos"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Sembla que l'URL que has proporcionat no és vàlid."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tot"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Tots els scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Cobertura"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Mòduls duplicats"},
"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bytes del recurs"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nom"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Commuta la taula"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Bytes no utilitzats"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"En el cas de contingut animat, fes servir [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) per minimitzar l'ús de la CPU quan el contingut és fora de la pantalla."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Pots mostrar tots els components [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) en formats WebP i, al mateix temps, especificar una alternativa adequada per a altres navegadors. [Obtén més informació](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Comprova que estiguis utilitzant [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) perquè les imatges es carreguin automàticament de manera lenta. [Obtén més informació](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Fes servir eines com ara [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) per [renderitzar dissenys d'AMP des del servidor](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consulta la [documentació d'AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) per assegurar-te que s'admeten tots els estils."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"El component [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) admet l'atribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) per especificar quins recursos d'imatge s'utilitzaran en funció de la mida de la pantalla. [Obtén més informació](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Si s'estan renderitzant llistes molt llargues, pots optar per un desplaçament virtual amb el Component Dev Kit (CDK). [Obtén més informació](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Aplica la [divisió de codi a la ruta](https://web.dev/route-level-code-splitting-in-angular/) per minimitzar la mida dels paquets de JavaScript. També pots optar per capturar prèviament els recursos amb el [Service Worker d'Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Si utilitzes Angular CLI, comprova que les compilacions es generin en el mode de producció. [Obtén més informació](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Si utilitzes Angular CLI, inclou mapes d'origen a la compilació de producció per inspeccionar els teus paquets. [Obtén més informació](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Carrega rutes amb antelació per accelerar la navegació. [Obtén més informació](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Pots optar per fer servir la utilitat `BreakpointObserver` del Component Dev Kit (CDK) per gestionar els punts de ruptura de la imatge. [Obtén més informació](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Pots penjar el GIF en un servei que permeti inserir-lo com un vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Especifica `@font-display` quan defineixis tipus de lletra personalitzats al teu tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Pots instal·lar i configurar [un mòdul per utilitzar els formats d'imatge WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) al teu lloc web. Per optimitzar els temps de càrrega, aquests mòduls generen automàticament una versió WebP de les imatges que has penjat."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instal·la [un mòdul de Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) que pugui carregar les imatges de forma lenta. Aquests mòduls ofereixen la possibilitat d'ajornar les imatges fora de la pantalla per millorar el rendiment."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Pots utilitzar un mòdul per inserir fitxers JavaScript i CSS essencials o per carregar recursos de manera asíncrona mitjançant JavaScript, com el mòdul [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Tingues en compte que les optimitzacions que proporciona aquest mòdul poden afectar el teu lloc web, de manera que és probable que hagis de fer canvis al codi."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Els temes, els mòduls i les especificacions del servidor repercuteixen en el temps de resposta del servidor. Pots buscar un tema més optimitzat, seleccionar amb cura un mòdul d'optimització o actualitzar el servidor. Els servidors d'allotjament haurien d'utilitzar l'opció de desar a la memòria cau del codi d'operacions PHP, l'opció de desar a la memòria cau per reduir els temps de consulta de la base de dades, com ara Redis o Memcached, així com la lògica de l'aplicació optimitzada per preparar les pàgines més ràpidament."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Pots utilitzar [estils d'imatges responsives](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) per reduir la mida de les imatges que carregues a la pàgina. Si utilitzes Views per mostrar diversos elements de contingut en una pàgina, pots implementar paginació per limitar el nombre d'elements de contingut que es mostren en una pàgina determinada."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Comprova que hagis activat Aggregate CSS files (Fitxers CSS agregats) a la pàgina Administration > Configuration > Development (Administració > Configuració > Desenvolupament). També pots configurar opcions d'agregació més avançades mitjançant [mòduls addicionals](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) per accelerar el teu lloc web. Per fer-ho, concatenen, redueixen i comprimeixen els estils de CSS."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Comprova que hagis activat Aggregate JavaScript files (Fitxers JavaScript agregats) a la pàgina Administration > Configuration > Development (Administració > Configuració > Desenvolupament). També pots configurar opcions d'agregació més avançades mitjançant [mòduls addicionals](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) per accelerar el teu lloc web. Per fer-ho, concatenen, redueixen i comprimeixen els recursos de JavaScript."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Pots suprimir les regles de CSS no utilitzades i adjuntar només les biblioteques de Drupal necessàries a la pàgina o al component rellevants d'una pàgina. Per obtenir-ne informació, segueix l'[enllaç a la documentació de Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Per identificar les biblioteques adjuntes que afegeixen fitxers CSS externs, prova d'executar la [cobertura de codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Pots identificar el tema o el mòdul responsable a partir de l'URL del full d'estil quan l'agregació de CSS estigui desactivada al teu lloc web de Drupal. Posa atenció als temes o els mòduls que tinguin molts fulls d'estil a la llista amb molt de vermell a la cobertura de codi. Un tema o mòdul només hauria de tenir un full d'estil a la cua si es fa servir a la pàgina."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Pots suprimir els recursos de JavaScript no utilitzats i adjuntar només les biblioteques de Drupal necessàries a la pàgina o al component rellevants d'una pàgina. Per obtenir-ne informació, segueix l'[enllaç a la documentació de Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Per identificar les biblioteques adjuntes que afegeixen fitxers JavaScript externs, prova d'executar la [cobertura de codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Pots identificar el tema o el mòdul responsable a partir de l'URL de l'script quan l'agregació de JavaScript estigui desactivada al teu lloc web de Drupal. Posa atenció als temes o als mòduls que tinguin molts scripts a la llista amb molt de vermell a la cobertura de codi. Un tema o mòdul només hauria de tenir un script a la cua si es fa servir a la pàgina."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Defineix l'opció Browser and proxy cache maximum age (Antiguitat màxima de la memòria cau del navegador i del servidor intermediari) a la pàgina Administration > Configuration > Development (Administració > Configuració > Desenvolupament). Obtén informació sobre [l'optimització per a un bon rendiment i la memòria cau de Drupal](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Pots utilitzar [un mòdul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) que optimitzi i redueixi automàticament la mida de les imatges penjades a través del lloc web sense perdre qualitat. A més, comprova que estiguis utilitzant els [estils d'imatges responsives](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) natius proporcionats per Drupal (disponibles a Drupal 8 i en versions posteriors) en totes les imatges renderitzades al lloc web."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Es poden afegir suggeriments de recursos amb connexió prèvia o recollida prèvia de DNS instal·lant i configurant [un mòdul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) que proporcioni elements per a les suggerències dels recursos d'agent d'usuari."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Comprova que estiguis utilitzant els [estils d'imatges responsives](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) natius proporcionats per Drupal (disponibles a Drupal 8 i en versions posteriors). Utilitza els estils d'imatges responsives per renderitzar camps d'imatge mitjançant modes de visualització, visualitzacions o l'editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Pots penjar el GIF en un servei que permeti inserir-lo com un vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Pots fer servir un [connector](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) o un servei que converteixi automàticament les imatges penjades als formats òptims."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instal·la un [connector de Joomla de càrrega lenta](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) que t'ofereixi la possibilitat d'ajornar les imatges fora de pantalla o bé canvia a una plantilla que t'ofereixi aquesta funcionalitat. A partir de Joomla 4.0, totes les imatges noves obtenen [automàticament](https://github.com/joomla/joomla-cms/pull/30748) l'atribut `loading` del nucli."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Hi ha diversos connectors de Joomla que et poden ajudar a [inserir recursos essencials](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) o a [ajornar els recursos menys importants](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Tingues en compte que les optimitzacions que proporcionen aquests connectors poden afectar les funcions de les plantilles o dels connectors, de manera que hi hauràs de fer proves minucioses."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Les plantilles, les extensions i les especificacions del servidor repercuteixen en el temps de resposta del servidor. Pots buscar una plantilla més optimitzada, seleccionar amb cura una extensió d'optimització o actualitzar el servidor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Pots mostrar extractes a les categories d'articles (per exemple, amb l'enllaç de més informació), reduir el nombre d'articles que es mostren en una pàgina concreta, tallar les publicacions llargues en diverses pàgines o fer servir un connector per als comentaris de càrrega lenta."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Hi ha diverses [extensions de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que poden accelerar el teu lloc web. Per fer-ho, concatenen, redueixen i comprimeixen els estils. També hi ha plantilles que ofereixen aquesta funcionalitat."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Hi ha diverses [extensions de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que poden accelerar el teu lloc web. Per fer-ho, concatenen, redueixen i comprimeixen els scripts. També hi ha plantilles que ofereixen aquesta funcionalitat."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Pots reduir o canviar el nombre d'[extensions de Joomla](https://extensions.joomla.org/) que carreguen fitxers CSS no utilitzats a la pàgina. Per identificar les extensions que afegeixen fitxers CSS externs, prova d'executar la [cobertura de codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Pots identificar el tema o el connector responsable a partir de l'URL del full d'estil. Posa atenció als connectors que tinguin molts fulls d'estil a la llista amb molt de vermell a la cobertura de codi. Un connector només hauria de tenir un full d'estil a la cua si es fa servir a la pàgina."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Pots reduir o canviar el nombre d'[extensions de Joomla](https://extensions.joomla.org/) que carreguen fitxers JavaScript no utilitzats a la pàgina. Per identificar els connectors que afegeixen fitxers JavaScript externs, prova d'executar la [cobertura de codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Pots identificar l'extensió responsable a partir de l'URL de l'script. Posa atenció a les extensions que tinguin molts scripts a la llista amb molt de vermell a la cobertura de codi. Una extensió només hauria de tenir un script a la cua si es fa servir a la pàgina."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Obtén informació sobre la [memòria cau del navegador a Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Pots utilitzar un [connector d'optimització d'imatges](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) per comprimir les imatges sense perdre qualitat."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Pots utilitzar un [connector d'imatges responsives](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) per fer servir aquest tipus d'imatges al teu contingut."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Pots activar la compressió de text activant la compressió de pàgines amb Gzip a Joomla (System > Global configuration > Server [Sistema > Configuració global > Servidor])."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Si no estàs agrupant els recursos de JavaScript, pots optar per utilitzar un [empaquetador](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Desactiva la [minimització i l'agrupació de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrades de Magento i planteja't la possibilitat d'utilitzar l'[empaquetador](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Especifica `@font-display` en [definir tipus de lletra personalitzats](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Pots optar per cercar diverses extensions de tercers a [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) per utilitzar formats d'imatge més nous."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Pots optar per modificar les plantilles de producte i de catàleg perquè utilitzin la funció de [càrrega diferida](https://web.dev/native-lazy-loading) de la plataforma web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Fes servir la [integració amb Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Activa l\'opció "Redueix els fitxers CSS" a la configuració del desenvolupador de la botiga. [Obtén més informació](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Fes servir [Terser](https://www.npmjs.com/package/terser) per reduir tots els recursos de JavaScript provinents de la implementació de contingut estàtic i desactiva la funció de minimització integrada."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Desactiva l'[agrupació de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrada de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Pots optar per cercar diverses extensions de tercers a [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) per optimitzar les imatges."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Es poden afegir suggeriments de recursos amb connexió prèvia o recollida prèvia de DNS [modificant el disseny d'un tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Es poden afegir etiquetes `<link rel=preload>` [modificant el disseny dels temes](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Suprimeix els GIF animats amb vídeo](https://web.dev/replace-gifs-with-videos/) per carregar les pàgines web més ràpidament i planteja't l'opció d'utilitzar formats de fitxer moderns, com ara [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) o [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), per millorar l'eficàcia de compressió en més d'un 30% respecte al còdec de vídeo actual més avançat, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Pots fer servir un [connector](https://octobercms.com/plugins?search=image) o un servei que converteixi automàticament les imatges penjades als formats òptims. [Les imatges WebP sense pèrdua](https://developers.google.com/speed/webp) són un 26% més petites en comparació amb les imatges PNG i entre un 25 i un 34% més petites que les imatges JPEG comparables a l'índex de qualitat SSIM equivalent. Un altre format d'imatge d'última generació que cal tenir en compte és [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Pots instal·lar un [connector de càrrega lenta d'imatges](https://octobercms.com/plugins?search=lazy) que t'ofereixi la possibilitat d'ajornar les imatges fora de pantalla o bé canviar a un tema que t'ofereixi aquesta funcionalitat. També pots fer servir [el connector AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Hi ha molts connectors que ajuden a [inserir recursos essencials](https://octobercms.com/plugins?search=css). Aquests connectors, però, poden malmetre altres connectors; et recomanem que els provis a fons."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Els temes, els connectors i les especificacions del servidor contribueixen al temps de resposta del servidor. Pots buscar un tema més optimitzat, seleccionar amb cura un connector d'optimització o actualitzar el servidor. El CMS d'October també permet als desenvolupadors fer servir [`Queues`](https://octobercms.com/docs/services/queues) per ajornar el processament d'una tasca llarga, com ara enviar un correu electrònic. Això accelera enormement les sol·licituds web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Pots mostrar extractes a les llistes de publicacions (per exemple, utilitzar un botó `show more`), reduir el nombre de publicacions que es mostren en una pàgina web determinada, dividir les publicacions llargues en diverses pàgines web o utilitzar un connector per carregar lentament els comentaris."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Hi ha molts [connectors](https://octobercms.com/plugins?search=css) que poden accelerar un lloc web mitjançant la concatenació, minimització i compressió dels estils. Utilitzar un procés de compilació per dur a terme aquesta minimització de manera anticipada pot accelerar el desenvolupament."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Hi ha molts [connectors](https://octobercms.com/plugins?search=javascript) que poden accelerar un lloc web mitjançant la concatenació, minimització i compressió dels scripts. Utilitzar un procés de compilació per dur a terme aquesta minimització de manera anticipada pot accelerar el desenvolupament."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Pots revisar els [connectors](https://octobercms.com/plugins) que carreguen fitxers CSS que no s'utilitzen al lloc web. Per identificar aquest tipus de connectors, executa la [cobertura del codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Identifica el tema o connector responsable de l'URL del full d'estil. Cerca connectors que tinguin molts fulls d'estil i molt de vermell a la cobertura del codi. Un connector només hauria d'afegir un full d'estil si aquest full d'estil s'utilitza a la pàgina web."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Pots revisar els [connectors](https://octobercms.com/plugins?search=javascript) que carreguen fitxers JavaScript que no s'utilitzen a la pàgina web. Per identificar aquest tipus de connectors, executa la [cobertura del codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Identifica el tema o connector responsable de l'URL de l'script. Cerca connectors que tinguin molts scripts i molt de vermell a la cobertura del codi. Un connector només hauria d'afegir un script si aquest script s'utilitza a la pàgina web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Informa't sobre com pots [evitar sol·licituds de xarxa innecessàries amb la memòria cau HTTP](https://web.dev/http-cache/#caching-checklist). Hi ha molts [connectors](https://octobercms.com/plugins?search=Caching) que es poden utilitzar per accelerar l'emmagatzematge a la memòria cau."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Pots utilitzar un [connector d'optimització d'imatges](https://octobercms.com/plugins?search=image) per comprimir les imatges sense perdre qualitat."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Penja imatges directament al gestor multimèdia per assegurar-te que estan disponibles les mides d'imatge necessàries. Pots utilitzar el [filtre per canviar de mida](https://octobercms.com/docs/markup/filter-resize) o un [connector per canviar la mida de la imatge](https://octobercms.com/plugins?search=image) per assegurar-te que s'utilitzen les mides d'imatge òptimes."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Activa la compressió de text a la configuració del servidor web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Pots utilitzar una biblioteca d'enfinestrament, com ara `react-window`, per minimitzar el nombre de nodes DOM que es crea en renderitzar molts elements repetits a la pàgina. [Obtén més informació](https://web.dev/virtualize-long-lists-react-window/). Si estàs utilitzant el hook `Effect` per millorar el rendiment en temps d'execució, també pots [ometre els efectes](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) només fins que certes dependències canviïn i minimitzar les renderitzacions repetides innecessàries utilitzant [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) o [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo)."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Si estàs utilitzant un encaminador de React, redueix l'ús del component `<Redirect>` a les [navegacions per rutes](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Si estàs renderitzant qualsevol component de React des del servidor, pots optar per utilitzar `renderToNodeStream()` o `renderToStaticNodeStream()` per permetre que el client rebi i hidrati diferents parts de l'etiquetatge en lloc de fer-ho amb tots a la vegada. [Obtén més informació](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Si el sistema de compilació redueix automàticament els fitxers CSS, comprova que estiguis implementant la compilació de producció de l'aplicació. Pots comprovar-ho amb l'extensió React Developer Tools. [Obtén més informació](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Si el sistema de compilació redueix automàticament els fitxers JavaScript, comprova que estiguis implementant la compilació de producció de l'aplicació. Pots comprovar-ho amb l'extensió React Developer Tools. [Obtén més informació](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Si no estàs renderitzant des del servidor, [divideix els paquets de JavaScript](https://web.dev/code-splitting-suspense/) amb `React.lazy()`. En cas contrari, divideix el codi fent servir una biblioteca de tercers, com ara [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Fes servir l'analitzador de rendiment de DevTools per a React, que utilitza l'API de l'analitzador de rendiment per mesurar el resultat de la renderització dels components. [Obtén més informació](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Pots penjar el GIF en un servei que permeti inserir-lo com un vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Pots fer servir un [connector](https://wordpress.org/plugins/search/convert+webp/) o un servei que converteixi automàticament les imatges penjades als formats òptims."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Instal·la un [connector de WordPress de càrrega diferida](https://wordpress.org/plugins/search/lazy+load/) que t'ofereixi la possibilitat d'ajornar les imatges fora de pantalla o canviar a un tema que t'ofereixi aquesta funcionalitat. També pots fer servir [el connector AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Hi ha diversos connectors de WordPress que et poden ajudar a [inserir recursos essencials](https://wordpress.org/plugins/search/critical+css/) o a [ajornar els recursos menys importants](https://wordpress.org/plugins/search/defer+css+javascript/). Tingues en compte que les optimitzacions que proporcionen aquests connectors poden afectar les funcions del tema o dels connectors, de manera que és possible que hagis de fer canvis al codi."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Els temes, els connectors i les especificacions del servidor repercuteixen en el temps de resposta del servidor. Pots buscar un tema més optimitzat, seleccionar amb cura un connector d'optimització o actualitzar el servidor."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"Pots mostrar extractes a les llistes de publicacions (per exemple, amb l'etiqueta més), reduir el nombre de publicacions que es mostren en una pàgina concreta, tallar les publicacions llargues en diverses pàgines o fer servir un connector per als comentaris de càrrega diferida."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Hi ha diversos [connectors de WordPress](https://wordpress.org/plugins/search/minify+css/) que poden accelerar el teu lloc web. Per fer-ho, concatenen, redueixen i comprimeixen els estils. També et recomanem que utilitzis un procés de compilació per fer aquesta minimització de manera anticipada, si és possible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Hi ha diversos [connectors de WordPress](https://wordpress.org/plugins/search/minify+javascript/) que poden accelerar el teu lloc web. Per fer-ho, concatenen, redueixen i comprimeixen els scripts. També et recomanem que utilitzis un procés de compilació per fer aquesta minimització de manera anticipada, si és possible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Pots reduir o canviar el nombre de [connectors de WordPress](https://wordpress.org/plugins/) que carreguen fitxers CSS no utilitzats a la pàgina. Per identificar els connectors que afegeixen fitxers CSS externs, prova d'executar la [cobertura de codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Pots identificar el tema o el connector responsable a partir de l'URL del full d'estil. Posa atenció als connectors que tinguin molts fulls d'estil a la llista amb molt de vermell a la cobertura de codi. Un connector només hauria de tenir un full d'estil a la cua si es fa servir a la pàgina."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Pots reduir o canviar el nombre de [connectors de WordPress](https://wordpress.org/plugins/) que carreguen fitxers JavaScript no utilitzats a la pàgina. Per identificar els connectors que afegeixen fitxers JavaScript externs, prova d'executar la [cobertura de codi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) a Chrome DevTools. Pots identificar el tema o el connector responsable a partir de l'URL de l'script. Posa atenció als connectors que tinguin molts scripts a la llista amb molt de vermell a la cobertura de codi. Un connector només hauria de tenir un script a la cua si es fa servir a la pàgina."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Obtén informació sobre la [memòria cau del navegador a WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Pots utilitzar un [connector de WordPress d'optimització d'imatges](https://wordpress.org/plugins/search/optimize+images/) per comprimir les imatges sense perdre qualitat."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Penja imatges directament mitjançant la [biblioteca multimèdia](https://wordpress.org/support/article/media-library-screen/) per garantir que les mides de la imatge necessàries estiguin disponibles i, a continuació, insereix-les des de la biblioteca multimèdia o fes servir el widget per garantir que es fan servir les mides de la imatge òptimes (incloses les dels punts de ruptura responsius). Evita utilitzar imatges de `Full Size`, tret que les dimensions siguin les adequades per a l'ús que se'n farà. [Obtén més informació](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Pots activar la compressió de text a la configuració del servidor web."},"report/renderer/util.js | calculatorLink":{message:"Consulta la calculadora."},"report/renderer/util.js | crcInitialNavigation":{message:"Navegació inicial"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latència de camí crítica màxima:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copia l'objecte JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Commuta el tema fosc"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Imprimeix desplegat"},"report/renderer/util.js | dropdownPrintSummary":{message:"Resum d'impressió"},"report/renderer/util.js | dropdownSaveGist":{message:"Desa com a Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Desa com a HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Desa com a JSON"},"report/renderer/util.js | dropdownViewer":{message:"Obre al visualitzador"},"report/renderer/util.js | errorLabel":{
message:"Error"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Error de l'informe: no hi ha informació d'auditoria"},"report/renderer/util.js | footerIssue":{message:"Informa d'un problema"},"report/renderer/util.js | labDataTitle":{message:"Dades de laboratori"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Anàlisi amb [Lighthouse](https://developers.google.com/web/tools/lighthouse/) de la pàgina actual mitjançant una xarxa mòbil emulada. Els valors són estimacions i poden variar."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Elements addicionals per comprovar manualment"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"No aplicable"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Oportunitat"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Estalvi estimat"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Auditories aprovades"},
"report/renderer/util.js | runtimeDesktopEmulation":{message:"Escriptori emulat"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 emulat"},"report/renderer/util.js | runtimeNoEmulation":{message:"Sense emulació"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versió d'axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Rendiment de la CPU/memòria"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitació de CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispositiu"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Data i hora d'obtenció"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitació de xarxa"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Configuració del temps d'execució"},"report/renderer/util.js | runtimeSettingsUA":{message:"Agent d'usuari (amfitrió)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Agent d'usuari (xarxa)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Desconegut"},"report/renderer/util.js | showRelevantAudits":{message:"Mostra auditories relacionades amb:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Replega el fragment"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Desplega el fragment"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Mostra els recursos de tercers"},"report/renderer/util.js | throttlingProvided":{message:"Proporcionada per l'entorn"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Hi ha hagut problemes que afecten aquesta execució de Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Els valors són estimacions i poden variar. El [resultat del rendiment es calcula](https://web.dev/performance-scoring/) directament a partir d'aquestes mètriques."},"report/renderer/util.js | viewTreemapLabel":{message:"Mostra un mapa d'arbre"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Auditories aprovades però amb advertiments"},"report/renderer/util.js | warningHeader":{message:"Advertiments: "}}},{}],103:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Přístupové klávesy uživatelům umožňují rychleji vybrat část stránky. Aby navigace fungovala správně, musí být každá přístupová klávesa jedinečná. [Další informace](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Hodnoty atributů `[accesskey]` nejsou jedinečné"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Hodnoty `[accesskey]` jsou unikátní"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Každá položka ARIA `role` podporuje konkrétní podmnožinu atributů `aria-*`. Nesprávné přiřazení atributy `aria-*` zneplatní. [Další informace](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atributy `[aria-*]` neodpovídají svým rolím"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atributy `[aria-*]` odpovídají příslušným rolím"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Když prvek nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je pak tento prvek v podstatě nepoužitelný. [Další informace](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Prvky `button`, `link` a `menuitem` nemají přístupné názvy."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Prvky `button`, `link` a `menuitem` mají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Asistenční technologie, jako jsou čtečky obrazovek, fungují, má-li prvek `<body>` dokumentu nastavenou hodnotu `aria-hidden="true"`. [Další informace](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Hodnota `[aria-hidden="true"]` je v prvku `<body>` dokumentu přítomná'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Hodnota `[aria-hidden="true"]` není v prvku `<body>` dokumentu přítomná'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Zaměřitelné podřízené prvky v prvku `[aria-hidden="true"]` znemožňují využití těchto interaktivních prvků ze strany uživatelů asistenčních technologií, jako jsou čtečky obrazovky. [Další informace](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Prvky `[aria-hidden="true"]` obsahují zaměřitelné podřízené prvky'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Prvky `[aria-hidden="true"]` neobsahují zaměřitelné podřízené prvky'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Když zadávací pole nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je toto pole v podstatě nepoužitelné. [Další informace](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Zadávací pole ARIA nemají přístupné názvy"},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Zadávací pole ARIA mají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Když prvek nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je pak tento prvek v podstatě nepoužitelný. [Další informace](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Prvky ARIA `meter` nemají přístupné názvy."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Prvky ARIA `meter` mají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Když prvek `progressbar` nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je pak tento prvek v podstatě nepoužitelný. [Další informace](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Prvky ARIA `progressbar` nemají přístupné názvy."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Prvky ARIA `progressbar` mají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Některé role ARIA mají povinné atributy, které čtečkám obrazovek popisují stav prvku. [Další informace](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Prvky s atributy `[role]` nemají všechny povinné atributy `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Prvky s atributy `[role]` mají všechny povinné atributy `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Některé nadřazené role ARIA musejí kvůli poskytovaní správných funkcí přístupnosti obsahovat určité podřízené role. [Další informace](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"V prvcích s atributem ARIA `[role]`, jejichž podřízené prvky musí obsahovat konkrétní atribut `[role]`, některé z těchto povinných podřízených prvků chybí."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Prvky s atributem ARIA `[role]`, jejichž podřízené prvky musí obsahovat konkrétní atribut `[role]`, obsahují všechny povinné podřízené prvky."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Aby poskytovaly správné funkce přístupnosti, musejí být některé podřízené role ARIA umístěny v konkrétních nadřazených rolích. [Další informace](https://web.dev/aria-required-parent/)"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Prvky s atributem `[role]` nejsou umístěny v požadovaném nadřazeném prvku"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Prvky s atributy `[role]`jsou umístěny v požadovaném nadřazeném prvku"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Aby role ARIA poskytovaly správné funkce přístupnosti, musejí mít platné hodnoty. [Další informace](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Hodnoty atributů `[role]` nejsou platné"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Hodnoty atributů `[role]` jsou platné"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"Když pole přepínače nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je toto pole v podstatě nepoužitelné. [Další informace](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Pole přepínačů ARIA nemají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Pole přepínačů ARIA mají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Když prvek nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je pak tento prvek v podstatě nepoužitelný. [Další informace](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Prvky ARIA `tooltip` nemají přístupné názvy."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Prvky ARIA `tooltip` mají přístupné názvy"},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Když prvek nemá přístupný název, čtečky obrazovek oznamují obecný název a pro jejich uživatele je pak tento prvek v podstatě nepoužitelný. [Další informace](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Prvky ARIA `treeitem` nemají přístupné názvy."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Prvky ARIA `treeitem` mají přístupné názvy"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Asistenční technologie, jako jsou čtečky obrazovek, atributy ARIA s neplatnými hodnotami nedokážou interpretovat. [Další informace](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atributy `[aria-*]` nemají platné hodnoty"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"Atributy `[aria-*]` mají platné hodnoty"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Asistenční technologie, jako jsou čtečky obrazovek, atributy ARIA s neplatnými názvy nedokážou interpretovat. [Další informace](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atributy `[aria-*]` nejsou platné nebo v nich jsou překlepy"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atributy `[aria-*]` jsou platné a nejsou v nich překlepy"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Prvky, které neprošly"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Když tlačítko nemá přístupný název, čtečky obrazovek ho oznamují jako „tlačítko“ a pro jejich uživatele je tak v podstatě nepoužitelné. [Další informace](https://web.dev/button-name/)"},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Tlačítka nemají přístupné názvy"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Tlačítka mají přístupné názvy"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Když přidáte možnosti obejití repetitivního obsahu, umožníte tím efektivnější procházení stránky pomocí klávesnice. [Další informace](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Stránka neobsahuje nadpis, odkaz k přeskočení ani orientační bod regionu"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Stránka obsahuje nadpis, odkaz k přeskočení nebo orientační bod regionu"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Text s nízkým kontrastem je pro mnoho uživatelů obtížně čitelný nebo nečitelný. [Další informace](https://web.dev/color-contrast/)"},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Barvy pozadí a popředí nemají dostatečný kontrastní poměr."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Barvy pozadí a popředí mají dostatečný kontrastní poměr"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Když seznamy definic nejsou správně označené, čtečky obrazovek mohou generovat matoucí nebo nepřesný výstup. [Další informace](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Prvky `<dl>` neobsahují jen správně seřazené skupiny prvků `<dt>` a `<dd>` nebo prvky `<script>`, `<template>` či `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Prvky `<dl>` obsahují jen správně seřazené skupiny prvků `<dt>` a `<dd>` nebo prvky `<script>`, `<template>` či `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Aby mohly čtečky obrazovek správně oznamovat položky seznamů definic (`<dt>` a `<dd>`), musejí být tyto položky umístěny v nadřazeném prvku `<dl>`. [Další informace](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Položky seznamu definic nejsou umístěny v prvcích `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Položky seznamu definic jsou umístěny v prvcích `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Název (title) uživatelům čteček obrazovek poskytuje souhrnné informace o stránce a uživatelé vyhledávačů se podle něj rozhodují, zda je stránka pro jejich vyhledávání relevantní. [Další informace](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokument neobsahuje prvek `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{
message:"Dokument obsahuje prvek `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Všechny zaměřitelné prvky musí mít unikátní atribut `id`, aby bylo zaručeno, že budou viditelné pro asistenční technologie. [Další informace](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atributy `[id]` u aktivních, zaměřitelných prvků nejsou unikátní"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Atributy `[id]` u aktivních, zaměřitelných prvků jsou unikátní"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Hodnota ID ARIA musí být unikátní, aby asistenční technologie nepřehlížely ostatní instance. [Další informace](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ID ARIA nejsou unikátní"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ID ARIA jsou unikátní"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Pole formuláře s několika štítky mohou asistenční technologie, jako jsou čtečky obrazovky, oznamovat matoucím způsobem, protože použijí buď první štítek, poslední štítek, nebo všechny. [Další informace](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Pole formulářů mají několik štítků"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Žádná pole formuláře nemají několik štítků"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Čtečky obrazovek obvykle k popisu obsahu rámců používají jejich atributy title. [Další informace](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{
message:"Prvky `<frame>` nebo `<iframe>` nemají atribut title"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Prvky `<frame>` a `<iframe>` mají atribut title"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Správně seřazené nadpisy, které nepřeskakují úrovně, předávají sémantickou strukturu stránky a usnadňují tak navigaci a srozumitelnost při použití asistenčních technologií. [Další informace](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Prvky nadpisu se nezobrazují v sestupném pořadí"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Prvky nadpisu se zobrazují v sestupném pořadí"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Pokud stránka neuvádí atribut lang, čtečky obrazovky předpokládají, že je ve výchozím jazyce, který uživatel zvolil při nastavování čtečky obrazovky. Pokud stránka ve skutečnosti ve výchozím jazyce není, čtečka obrazovky text nemusí přečíst správně. [Další informace](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Prvek `<html>` nemá atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Prvek `<html>` má atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Zadáním platného [jazyka BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) pomůžete čtečkám obrazovek správně oznamovat text. [Další informace](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Prvek `<html>` nemá platnou hodnotu atributu `[lang]`."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Prvek `<html>` má atribut `[lang]` s platnou hodnotou"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informativní prvky by měly mít krátký, popisný alternativní text. Dekorativní prvky lze ignorovat pomocí prázdného atributu alt. [Další informace](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Prvky obrázků nemají atributy `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Prvky obrázků mají atributy `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Když je jako tlačítko `<input>` použit obrázek, uvedení alternativního textu pomůže uživatelům čteček obrazovek porozumět účelu tlačítka. [Další informace](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{
message:'Prvky `<input type="image">` nemají text `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Prvky `<input type="image">` mají text `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Štítky zajišťují, aby asistenční technologie (například čtečky obrazovek) správně oznamovaly ovládací prvky formulářů. [Další informace](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"K prvkům formulářů nejsou přidružené štítky"},"lighthouse-core/audits/accessibility/label.js | title":{message:"K prvkům formulářů jsou přidružené štítky"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Text odkazů (a náhradní text obrázků, když jsou použité jako odkazy), který je rozeznatelný a jedinečný a který lze vybrat, uživatelům čteček obrazovek usnadňuje procházení stránek. [Další informace](https://web.dev/link-name/)"},
"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Odkazy nemají rozeznatelné názvy"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Odkazy mají rozeznatelné názvy"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Čtečky obrazovek oznamují seznamy speciálním způsobem. Použitím správné struktury seznamu pomůžete čtečkám obrazovek s výstupem. [Další informace](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Seznamy neobsahují výhradně prvky `<li>` a prvky, které podporují skripty (`<script>` a `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Seznamy obsahují výhradně prvky `<li>` a prvky, které podporují skripty (`<script>` a `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Aby čtečky obrazovek prvky `<li>` a `<ul>` oznamovaly správně, musejí být tyto prvky umístěny v nadřazených položkách (`<ol>`). [Další informace](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Položky seznamů (`<li>`) nejsou umístěny v nadřazených prvcích `<ul>` nebo `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Položky seznamu (`<li>`) jsou umístěny v nadřazených prvcích `<ul>` nebo `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Uživatelé neočekávají, že se stránka bude automaticky obnovovat. Při automatickém obnovení se prohlížeč vrátí zpět na začátek stránky. Může to vést k nepříjemnému nebo matoucímu chování při procházení. [Další informace](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'V dokumentu je použita metaznačka `<meta http-equiv="refresh">`'},
"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'V dokumentu není použita metaznačka `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Deaktivace změny velikosti zobrazení je problematická pro slabozraké uživatele, kteří jsou při prohlížení obsahu webové stránky závislí na přiblížení obrazovky. [Další informace](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'V prvku `[user-scalable="no"]` je použit atribut `<meta name="viewport">` nebo je atribut `[maximum-scale]` menší než 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'V prvku `[user-scalable="no"]` není použit atribut `<meta name="viewport">` a atribut `[maximum-scale]` není menší než 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Čtečky obrazovek nedokážou přeložit obsah jiného typu, než je text. Když k prvkům `<object>` přidáte alternativní text, čtečky obrazovek budou moci předat uživatelům význam. [Další informace](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Prvky `<object>` nemají text `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Prvky `<object>` mají text `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Hodnota větší než 0 naznačuje explicitní řazení navigace. Ačkoli je platná, často vede k chování, které je pro uživatele závislé na asistenčních technologiích nepříjemné. [Další informace](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Některé prvky mají hodnotu `[tabindex]` větší než 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Žádný prvek nemá hodnotu `[tabindex]` větší než 0"
},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Čtečky obrazovek mají funkce, které usnadňují procházení tabulek. Když zajistíte, aby buňky `<td>` s atributem `[headers]` odkazovaly pouze na jiné buňky ve stejné tabulce, můžete tím uživatelům čteček obrazovek usnadnit používání. [Další informace](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Buňky v prvku `<table>`, které mají atribut `[headers]`, odkazují na prvek `id`, který se nenachází ve stejné tabulce."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Buňky v prvku `<table>`, které mají atribut `[headers]`, odkazují na buňky ve stejné tabulce."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Čtečky obrazovek mají funkce, které usnadňují procházení tabulek. Když zajistíte, aby záhlaví tabulek vždy odkazovala na nějakou množinu buněk, bude pro uživatele čteček obrazovek procházení stránky snazší. [Další informace](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Prvky `<th>` a prvky s atributem `[role="columnheader"/"rowheader"]` nemají datové buňky, které popisují.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Prvky `<th>` a prvky s atributem `[role="columnheader"/"rowheader"]` mají datové buňky, které popisují.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Pokud je u prvků uveden platný [jazyk BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) pomůže to zajistit, aby čtečky obrazovek text četly správně. [Další informace](https://web.dev/valid-lang/)"},
"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atributy `[lang]` nemají platnou hodnotu"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atributy `[lang]` mají platnou hodnotu"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Když jsou u videa k dispozici titulky, je pro sluchově postižené uživatele snazší využít informace ve videu. [Další informace](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Prvky `<video>` neobsahují prvek `<track>` s atributem `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Prvky `<video>` obsahují prvek `<track>` s atributem `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"Pro ideální vzhled po přidání progresivní webové aplikace na plochu v systému iOS definujte atribut `apple-touch-icon`. Musí odkazovat na neprůhledný čtvercový obrázek PNG se stranami o délce 192 px (nebo 180 px). [Další informace](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Neobsahuje platný atribut `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Atribut `apple-touch-icon-precomposed` je zastaralý. Je preferován atribut `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Obsahuje platný atribut `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Současná hodnota"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Navrhovaný token"},"lighthouse-core/audits/autocomplete.js | description":{
message:"Atribut `autocomplete` uživatelům pomáhá odesílat formuláře rychleji. Zvažte nastavení atributu `autocomplete` na platnou hodnotu, abyste uživatelům usnadnili zadávání. [Další informace](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Prvky `<input>` nemají správné atributy `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Vyžaduje ruční kontrolu"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Zkontrolujte pořadí tokenů"},"lighthouse-core/audits/autocomplete.js | title":{message:"U prvků `<input>` je správně použit atribut `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Tokeny `autocomplete`: Token „{token}“ v atributu {snippet} je neplatný"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Zkontrolujte pořadí tokenů {tokens} v {snippet}"},
"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Rychlost načítání této stránky byla negativně ovlivněna rozšířeními pro Chrome. Zkuste stránku zkontrolovat v anonymním režimu nebo profilu Chromu bez rozšíření."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Vyhodnocování skriptů"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Analýza skriptů"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Celková doba využití procesoru"},"lighthouse-core/audits/bootup-time.js | description":{message:"Pokuste se zkrátit dobu analyzování, kompilování a spouštění JavaScriptu. Mohlo by pomoci odesílat menší soubory JavaScript. [Další informace](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Zkraťte dobu provádění JavaScriptu"},"lighthouse-core/audits/bootup-time.js | title":{message:"Doba provádění JavaScriptu"},
"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Odstraňte z balíčků velké duplicitní moduly JavaScriptu, abyste omezili zbytečné zatížení sítě. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Odstraňte duplicitní moduly v balíčcích JavaScriptu"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Velké soubory GIF nejsou efektivní k zobrazování animovaného obsahu. Zvažte, zda byste namísto souborů GIF nemohli pro animace použít videa MPEG4/WebM a pro statické obrázky soubory PNG/WebP. Snížíte tak množství přenášených dat. [Další informace](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Pro animovaný obsah používejte formáty videa"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Kódy polyfill a transform umožňují starším prohlížečům používat nové funkce JavaScriptu. Moderní prohlížeče ale řadu z nich nepotřebují. U svých balíčků JavaScriptu použijte moderní strategii nasazení skriptu pomocí detekce module/nomodule, abyste omezili množství kódu přenášeného do moderních prohlížečů, a přitom zachovali podporu pro starší prohlížeče. [Další informace](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Nepoužívejte v moderních prohlížečích zastaralý JavaScript"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Formáty obrázků JPEG 2000, JPEG XR a WebP často poskytují lepší kompresi než formáty PNG a JPEG, což znamená rychlejší stahování a menší spotřebu dat. [Další informace](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{
message:"Zobrazujte obrázky ve formátech nové generace"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Zvažte možnost načítat obrázky mimo obrazovku a skryté obrázky „líně“ až po načtení všech kritických zdrojů, abyste zkrátili dobu k dosažení interaktivnosti (Time to Interactive). [Další informace](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Odložte načítání obrázků mimo obrazovku"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"První vykreslení stránky blokují zdroje. Zvažte, zda byste kriticky důležité zdroje JavaScript a CSS nemohli poskytovat přímo v kódu a stahování veškerého nekritického JavaScriptu a stylů odložit. [Další informace](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Eliminujte zdroje, které blokují vykreslení"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Přenášení velkého množství dat po síti je pro uživatele finančně nákladné a obvykle vede k pomalému načítání. [Další informace](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Celková velikost byla {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Předejděte přenášení enormního množství dat"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Nepřenáší enormní množství dat"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Minifikací souborů CSS lze snížit množství přenášených dat. [Další informace](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minifikujte kód CSS"},
"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Minifikací souborů JavaScript lze snížit množství přenášených dat a zrychlit analýzu skriptů. [Další informace](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minifikujte JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Odstraňte ze šablon stylů nepoužívaná pravidla a odložte styly CSS, které se nepoužívají pro obsah nad okrajem, abyste snížili množství dat využívaných síťovou aktivitou. [Další informace](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Odstraňte nepoužívané styly CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Odstraňte nepoužívaný JavaScript a odložte načítání skriptů, abyste snížili množství dat využívaných síťovou aktivitou. [Další informace](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Odstraňte nepoužívaný JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Dlouhá platnost mezipaměti může zrychlit opakované návštěvy stránky. [Další informace](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Byl nalezen 1 zdroj}few{Byly nalezeny # zdroje}many{Bylo nalezeno # zdroje}other{Bylo nalezeno # zdrojů}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Statické podklady zobrazujte s efektivními zásadami pro mezipaměť"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{
message:"Používá u statických podkladů efektivní zásady pro mezipaměť"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimalizované obrázky se načítají rychle a spotřebovávají méně mobilních dat. [Další informace](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Používejte efektivní kódování obrázků"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Zobrazujte obrázky s vhodnou velikostí, abyste ušetřili mobilní data a zrychlili načítání. [Další informace](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Používejte správnou velikost obrázků"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Textové zdroje by se měly odesílat komprimované (gzip, deflate nebo brotli), aby se minimalizovalo množství přenášených dat. [Další informace](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Zapněte kompresi textu"},"lighthouse-core/audits/content-width.js | description":{message:"Pokud se šířka obsahu aplikace neshoduje se šířkou zobrazované oblasti, aplikace nemusí být optimalizována pro obrazovky mobilních telefonů. [Další informace](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"Velikost zobrazované oblasti {innerWidth} px se neshoduje s velikostí okna {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Obsah nemá správnou velikost pro zobrazovanou oblast"},"lighthouse-core/audits/content-width.js | title":{message:"Obsah má správnou velikost pro zobrazovanou oblast"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"Řetězce kritických požadavků níže ukazují, které zdroje se načítají s vysokou prioritou. Zvažte, zda byste načítání stránky nemohli vylepšit tím, že řetězce zkrátíte, zmenšíte zdroje nebo odložíte stahování zdrojů, které nejsou nezbytné. [Další informace](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Byl nalezen 1 řetězec}few{Byly nalezeny # řetězce}many{Bylo nalezeno # řetězce}other{Bylo nalezeno # řetězců}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Nezřetězuje kritické požadavky"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Závažnost"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Silné zásady zabezpečení obsahu (CSP) významně snižují riziko útoků skriptováním mezi weby (XSS). [Další informace](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntaxe"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Stránka obsahuje zásadu CSP definovanou ve značce <meta>. Zvažte, zda nebude lepší definovat CSP v hlavičce HTTP, pokud máte tuto možnost."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"V režimu vynucení nejsou žádné CSP"},"lighthouse-core/audits/csp-xss.js | title":{message:"Zajistěte, aby zásady CSP byly účinné proti útokům XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Ukončení podpory / upozornění"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Řádek"},"lighthouse-core/audits/deprecations.js | description":{message:"Zastaralá rozhraní API budou z prohlížeče v budoucnu odstraněna. [Další informace](https://web.dev/deprecations/)"},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Bylo nalezeno 1 upozornění}few{Byla nalezena # upozornění}many{Bylo nalezeno # upozornění}other{Bylo nalezeno # upozornění}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Používá zastaralá rozhraní API"},"lighthouse-core/audits/deprecations.js | title":{message:"Nepoužívá zastaralá rozhraní API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Mezipaměť aplikace je zastaralá technologie. [Další informace](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Nalezeno „{AppCacheManifest}“"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Používá mezipaměť aplikace"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Nepoužívá mezipaměť aplikace"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"Je požadována deklarace kódování znaků. Lze ho deklarovat pomocí značky `<meta>` v prvních 1024 bajtech kódu HTML nebo pomocí záhlaví Content-Type odpovědi HTTP. [Další informace](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Deklarace znakové sady chybí nebo k ní v HTML dochází příliš pozdě"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Správně definuje znakovou sadu"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Zadáním typu dokumentu (DOCTYPE) předejdete přechodu prohlížeče do adaptivního režimu. [Další informace](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Název typu dokumentu (DOCTYPE) musí být řetězec `html` psaný malými písmeny"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokument musí obsahovat deklaraci typu dokumentu DOCTYPE"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"V poli publicId je očekáván prázdný řetězec"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"V poli systemId je očekáván prázdný řetězec"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Na stránce není deklarace typu dokumentu (DOCTYPE) HTML, proto se aktivuje adaptivní režim"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Stránka má deklaraci typu dokumentu (DOCTYPE) HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistika"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Hodnota"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Velký model DOM povede k většímu využití paměti, prodloužení [výpočtů stylů](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) a náročným [přeformátováváním rozvržení](https://developers.google.com/speed/articles/reflow). [Další informace](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 prvek}few{# prvky}many{# prvku}other{# prvků}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Nepoužívejte příliš velký model DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximální hloubka modelu DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Celkový počet prvků DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximální počet podřízených prvků"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Nepoužívá příliš velký model DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Ukotvení, která neprošla"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Ke všem externím odkazům přidejte atribut `rel="noopener"` nebo `rel="noreferrer"`. Stránku tím zrychlíte a předejdete ohrožení zabezpečení. [Další informace](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Odkazy na cíle v jiných doménách nejsou bezpečné"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Odkazy na cíle v jiných doménách jsou bezpečné"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nepodařilo se určit cíl ukotvení ({anchorHTML}). Pokud tento prvek nepoužíváte jako hypertextový odkaz, zvažte odstranění atributu target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Vůči webům, které bez kontextu žádají o polohu, mohou být uživatelé nedůvěřiví nebo z nich mohou být zmateni. Zvažte možnost spojit tuto žádost s akcí uživatele. [Další informace](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Žádá při načtení stránky o oprávnění ke geolokaci"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Nežádá při načtení stránky o oprávnění ke geolokaci"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Typ problému"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problémy uvedené na panelu `Issues` v Chrome DevTools ukazují na nevyřešené problémy. Mohou být důsledkem selhání síťových požadavků, nedostatečného zabezpečení nebo jiných problémů v prohlížeči. Podrobnosti o jednotlivých problémech najdete na panelu Issues (Problémy) v Chrome DevTools."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problémy byly zaprotokolovány na panelu `Issues` v Chrome DevTools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Zablokováno kvůli zásadě pro požadavky z různých zdrojů"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Intenzivní využívání zdrojů reklamami"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Na panelu `Issues` v Chrome DevTools nejsou žádné problémy"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Verze"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Všechny frontendové javascriptové knihovny zjištěné na stránce. [Další informace](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Byly zjištěny javascriptové knihovny"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"U uživatelů s pomalým připojením mohou externí skripty vkládané metodou zpozdit `document.write()` načtení stránky o desítky sekund. [Další informace](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Nepoužívejte `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Nepoužívá metodu `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Největší závažnost"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{
message:"Verze knihovny"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Počet chyb zabezpečení"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Některé skripty třetích stran mohou obsahovat známé chyby zabezpečení, které útočníci mohou snadno odhalit a zneužít. [Další informace](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Byla zjištěna jedna chyba zabezpečení}few{Byly zjištěny # chyby zabezpečení}many{Bylo zjištěno # chyby zabezpečení}other{Bylo zjištěno # chyb zabezpečení}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Zahrnuje frontendové javascriptové knihovny se známými chybami zabezpečení"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Nepoužívá frontendové javascriptové knihovny se známými chybami zabezpečení"
},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Vůči webům, které bez kontextu žádají o oprávnění odesílat oznámení, mohou být uživatelé nedůvěřiví nebo z nich mohou být zmateni. Zvažte možnost spojit tuto žádost s gesty uživatele. [Další informace](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Žádá při načtení stránky o oprávnění zobrazovat oznámení"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Nežádá při načtení stránky o oprávnění zobrazovat oznámení"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Blokování vkládání hesel je v rozporu s dobrými bezpečnostními zásadami. [Další informace](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{
message:"Brání uživatelům ve vkládání obsahu do polí pro hesla"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Povoluje uživatelům vkládání obsahu do polí pro hesla"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"Protokol HTTP/2 oproti protokolu HTTP/1.1 nabízí mnoho výhod, včetně binárních záhlaví a multiplexingu. [Další informace](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 požadavek nebyl realizován pomocí protokolu HTTP/2}few{# požadavky nebyly realizovány pomocí protokolu HTTP/2}many{# požadavku nebylo realizováno pomocí protokolu HTTP/2}other{# požadavků nebylo realizováno pomocí protokolu HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Použijte HTTP/2"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Zvažte označení posluchačů událostí dotyku a kolečka jako pasivních (`passive`), aby se stránka posouvala plynuleji. [Další informace](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Nepoužívá pasivní posluchače, které zlepšují posouvání"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Používá pasivní posluchače, které zlepšují posouvání"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Chyby zaprotokolované do konzole ukazují na nevyřešené problémy. Mohou pocházet ze selhání síťových požadavků nebo jiných problémů v prohlížeči. [Další informace](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Do konzole byly zaprotokolovány chyby prohlížeče"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"Do konzole nebyly zaprotokolovány žádné chyby prohlížeče"},"lighthouse-core/audits/font-display.js | description":{message:"Pomocí funkce font-display stylů CSS zajistěte, aby byl text při načítání webfontů viditelný uživatelům. [Další informace](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Zajistěte, aby text při načítání webfontů zůstal viditelný"},"lighthouse-core/audits/font-display.js | title":{message:"Při načítání webfontů zůstává veškerý text viditelný"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Nástroj Lighthouse u zdroje {fontOrigin} nedokázal automaticky zkontrolovat hodnotu `font-display`.}few{Nástroj Lighthouse u zdroje {fontOrigin} nedokázal automaticky zkontrolovat hodnoty `font-display`.}many{Nástroj Lighthouse u zdroje {fontOrigin} nedokázal automaticky zkontrolovat hodnoty `font-display`.}other{Nástroj Lighthouse u zdroje {fontOrigin} nedokázal automaticky zkontrolovat hodnoty `font-display`.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Poměr stran (skutečný)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Poměr stran (zobrazený)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Zobrazované rozměry obrázků by měly odpovídat přirozenému poměru stran. [Další informace](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Zobrazuje obrázky s nesprávným poměrem stran"},
"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Zobrazuje obrázky se správným poměrem stran"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Skutečná velikost"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Zobrazená velikost"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Očekávaná velikost"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Kvůli zajištění maximální ostrosti obrázků by jejich přirozené rozměry měly být úměrné velikosti displeje a poměru pixelů. [Další informace](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Zobrazuje obrázky s nízkým rozlišením"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Zobrazuje obrázky se správným rozlišením"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplikace je již nainstalovaná"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Z manifestu nelze stáhnout požadovanou ikonu"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Příčina selhání"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker je technologie, která aplikaci umožňuje využívat mnoho funkcí progresivních webových aplikací, jako jsou režim offline, přidání na plochu nebo oznámení push. Při správné implementaci skriptu service worker a manifestu mohou prohlížeče uživatele aktivně vyzývat, aby si aplikaci přidali na plochu, což může vést k vyšší míře interakce. [Další informace](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 důvod}few{# důvody}many{# důvodu}other{# důvodů}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Manifest webové aplikace nebo service worker nesplňují instalační požadavky"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Adresa URL aplikace v Obchodu Play a ID Obchodu Play si vzájemně neodpovídají"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Stránka je načtena v anonymním okně"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Vlastnost „display“ v manifestu musí být „standalone“, „fullscreen“ nebo „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifest obsahuje pole „display_override“ a první podporovaný režim zobrazení musí být „standalone“, „fullscreen“ nebo „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest nelze načíst, analyzovat nebo je prázdný"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"Adresa URL manifestu se během jeho načítání změnila."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest neobsahuje pole „name“ nebo „short_name“"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifest neobsahuje vhodnou ikonu – je vyžadován formát PNG, SVG nebo WebP o velikosti alespoň {value0} px, musí být nastaven atribut velikostí a atribut účelu, pokud je nastaven, musí zahrnovat hodnoty „any“."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Žádná poskytnutá ikona není čtverec se stranou {value0} px ve formátu PNG, SVG nebo WebP s atributem účelu nenastaveným nebo nastaveným na hodnotu „any“"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Stažená ikona byla prázdná nebo poškozená"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"K dispozici není žádné ID Obchodu Play"},
"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Stránka neobsahuje prvek <link> s adresou URL manifestu"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nebyl nalezen žádný odpovídající service worker. Je možné, že stránku budete muset načíst znovu nebo zkontrolovat, zda rozsah (scope) skriptu service worker pro aktuální stránku zahrnuje rozsah a počáteční URL (start_url) z manifestu."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Skript service worker nelze zkontrolovat bez pole „start_url“ v manifestu"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ID chyby nestability {errorId} nelze rozpoznat"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Stránka se nenačítá z bezpečného zdroje"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Stránka se nenačítá v hlavním rámci"},
"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Stránka nefunguje offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Zadaná aplikační platforma v systému Android není podporována"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"V manifestu je zadáno prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Parametr prefer_related_applications je podporován pouze v beta verzi Chromu a ve stabilních verzích v systému Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Počáteční URL (start_url) v manifestu není platná"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifest webové aplikace a service worker splňují instalační požadavky"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{
message:"Adresa URL v manifestu obsahuje uživatelské jméno, heslo nebo port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Stránka nefunguje offline. Stránka nebude po vydání stabilní verze Chromu 93 v srpnu 2021 pokládána za instalovatelnou."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Povoleno"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Zablokováno"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nezabezpečená adresa URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Řešení požadavku"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Všechny weby (včetně těch, které nepracují s citlivými daty), by měly být chráněny protokolem HTTPS. Kromě jiného je třeba se vyhnout [smíšenému obsahu](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), tj. načítání některých zdrojů přes HTTP, ačkoliv počáteční požadavek proběhl přes HTTPS. Protokol HTTPS útočníkům znemožňuje upravovat komunikaci mezi aplikací a uživateli (nebo ji pasivně poslouchat) a je nezbytný pro HTTP/2 a mnoho nových webových rozhraní API. [Další informace](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Byl nalezen 1 nezabezpečený požadavek}few{Byly nalezeny # nezabezpečené požadavky}many{Bylo nalezeno # nezabezpečeného požadavku}other{Bylo nalezeno # nezabezpečených požadavků}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Nepoužívá protokol HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{
message:"Používá protokol HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automaticky upgradováno na HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Povoleno s upozorněním"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Knihovna"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Velké javascriptové knihovny mohou snižovat rychlost. Abyste dosáhli menších balíčků, používejte raději menší funkčně rovnocenné knihovny. [Další informace](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Byla nalezena 1 velká knihovna}few{Byly nalezeny # velké knihovny}many{Bylo nalezeno # velké knihovny}other{Bylo nalezeno # velkých knihoven}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Zbytečně velké javascriptové knihovny nahraďte jinými alternativami"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Místo velkých javascriptových knihoven jsou použity menší alternativy"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Toto je největší obsahový prvek vykreslený v zobrazované oblasti. [Další informace](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Prvek Largest Contentful Paint"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Podíl na CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Tyto prvky DOM nejvíce přispívají ke kumulativní změně rozvržení (CLS) stránky."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Zajistěte, aby nedocházelo k velkým změnám rozvržení"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Vypíše nejdelší úlohy v hlavním podprocesu, což umožňuje zjistit, co nejvíce přispívá k prodlevě vstupu. [Další informace](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Byla nalezena # dlouhá úloha}few{Byly nalezeny # dlouhé úlohy}many{Bylo nalezeno # dlouhé úlohy}other{Bylo nalezeno # dlouhých úloh}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"V hlavním podprocesu nepoužívejte dlouhé úlohy"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorie"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Pokuste se zkrátit dobu analyzování, kompilování a spouštění JavaScriptu. Mohlo by pomoci odesílat menší soubory JavaScript. [Další informace](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimalizujte práci v hlavním podprocesu"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimalizuje práci v hlavním podprocesu"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Chcete-li zasáhnout co největší počet uživatelů, měly by webové stránky fungovat ve všech nejpoužívanějších prohlížečích. [Další informace](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Web funguje v různých prohlížečích"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Zajistěte, aby na jednotlivé stránky bylo možné přidat přímý odkaz prostřednictvím adresy URL a aby s ohledem na možnost sdílení na sociálních sítích byly adresy URL jedinečné. [Další informace](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Každá stránka má adresu URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Přechody by měly být plynulé i v pomalé síti. Je to velmi důležité pro dobrý uživatelský pocit. [Další informace](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Přechody na jiné stránky nepůsobí zabržděně"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Maskovatelná ikona zajišťuje, že obrázek při instalaci aplikace do zařízení vyplní celý rámec a nevyskytnou se černé okraje. [Další informace](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest nemá maskovatelnou ikonu"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest má maskovatelnou ikonu"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Metrika Cumulative Layout Shift (kumulativní změna rozvržení) měří přesuny viditelných prvků v zobrazované oblasti. [Další informace](https://web.dev/cls/)"},
"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Metrika First Contentful Paint (první vykreslení obsahu) udává okamžik vykreslení prvního textu nebo obrázku. [Další informace](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Metrika First Meaningful Paint (první smysluplné vykreslení) udává, kdy začne být viditelný primární obsah stránky. [Další informace](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Time to Interactive (doba do interaktivity) udává, jak dlouho trvá, než stránka začne být plně interaktivní. [Další informace](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Vykreslení největšího obsahu udává čas, kdy byl vykreslen největší text nebo obrázek. [Další informace](https://web.dev/lighthouse-largest-contentful-paint/)"},
"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Maximální potenciální prodleva prvního vstupu, kterou by uživatelé mohli pocítit, je trvání nejdelší úlohy. [Další informace](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Metrika Speed Index ukazuje, jak rychle se viditelně vyplní obsah stránky. [Další informace](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Součet všech dob uvedený v milisekundách mezi FCP (prvním vykreslením obsahu) a Time to Interactive (dobou do interaktivity), u nichž délka úlohy překročila 50 ms. [Další informace](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{
message:"Na výkon má velký vliv doba odezvy sítě. Pokud je doba odezvy připojení ke zdroji vysoká, značí to, že by se výkon mohl zlepšit při použití serverů méně vzdálených od uživatele. [Další informace](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Doby odezvy sítě"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Na výkon webu může mít dopad latence serverů. Vysoká latence serveru značí, že je server přetížen nebo že backend není dostatečně výkonný. [Další informace](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latence backendu na serveru"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Událost `unload` se nespouští spolehlivě. Naslouchání této události může zabránit optimalizacím v prohlížečích, jako je mezipaměť pro přechod zpět nebo vpřed. Zvažte namísto toho použití události `pagehide` nebo `visibilitychange`. [Další informace](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registruje posluchač události `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Nepoužívá posluchače událostí `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Neskládané animace mohou být nekvalitní a mohou zvyšovat míru kumulativní změny rozvržení (CLS). [Další informace](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Byl nalezen # animovaný prvek}few{Byly nalezeny # animované prvky}many{Bylo nalezeno # animovaného prvku}other{Bylo nalezeno # animovaných prvků}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Vlastnost související s filtrováním může přesouvat pixely"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Cíl má další animaci, která není kompatibilní"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Efekt má jiný režim skládání než „replace“"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Nepoužívejte neskládané animace"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Vlastnost související s transformací závisí na velikosti pole"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Nepodporovaná vlastnost CSS: {properties}}few{Nepodporované vlastnosti CSS: {properties}}many{Nepodporované vlastnosti CSS: {properties}}other{Nepodporované vlastnosti CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efekt má nepodporované parametry časování"},"lighthouse-core/audits/performance-budget.js | description":{message:"Udržujte množství a velikost síťových požadavků pod cílovými hodnotami, které udává poskytnutý rozpočet výkonu. [Další informace](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 požadavek}few{# požadavky}many{# požadavku}other{# požadavků}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Rozpočete výkonu"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Načítejte písma `optional` předem, aby je mohli používat i návštěvníci, kteří přicházejí poprvé. [Další informace](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Písma s atributem `font-display: optional` se nenačítají předem"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Písma s atributem `font-display: optional` se načítají předem"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Předběžně načíst obrázek používaný prvkem vykreslení největšího obsahu za účelem zvýšení rychlosti vykreslení největšího obsahu. [Další informace](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Předběžné načtení obrázku s vykreslením největšího obsahu"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Pokud jste protokol HTTPS už nastavili, nezapomeňte veškerý provoz přes protokol HTTP přesměrovat na HTTPS, aby všichni vaši uživatelé měli k dispozici funkce zabezpečeného webu. [Další informace](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Nepřesměrovává provoz přes protokol HTTP na HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Přesměrovává provoz přes protokol HTTP na HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Přesměrování způsobují další prodlevy před načtením stránky. [Další informace](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Nepoužívejte několik přesměrování stránky"},"lighthouse-core/audits/resource-summary.js | description":{message:"Chcete-li nastavit rozpočet pro množství a velikost zdrojů na stránce, přidejte soubor budget.json. [Další informace](https://web.dev/use-lighthouse-for-performance-budgets/)"},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 požadavek • {byteCount, number, bytes} KiB}few{# požadavky • {byteCount, number, bytes} KiB}many{# požadavku • {byteCount, number, bytes} KiB}other{# požadavků • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Používejte málo požadavků a malé velikosti přenosů"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Odkazy na kanonické verze slouží jako návrhy, které adresy URL se mají zobrazovat ve výsledcích vyhledávání. [Další informace](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Několik konfliktních adres URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Odkazuje na jinou doménu ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Neplatná adresa URL ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Odkazuje na jiné umístění `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relativní adresa URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Neodkazuje na ekvivalentní obsahovou stránku, ale na kořenovou adresu URL domény (domovskou stránku)"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument nemá platný atribut `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument má platný odkaz `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Odkaz, který nelze procházet"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Vyhledávače mohou atributy `href` odkazů využívat k procházení webů. Zajistěte, aby atribut `href` prvků ukotvení odkazoval na správný cíl a bylo tak možné objevit více stránek webu. [Další informace](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Odkazy nelze procházet"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Odkazy lze procházet"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Další nečitelný text"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Velikost písma"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% textu na stránce"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selektor"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Písma menší než 12 px jsou příliš malá na to, aby byla čitelná. Návštěvníci na mobilních zařízeních je kvůli čtení musí zvětšit roztažením prstů. Snažte se, aby více než 60 % textu na stránce mělo velikosti alespoň 12 px. [Další informace](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"Podíl čitelného textu: {decimalProportion, number, extendedPercent}"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Text není čitelný, protože není k dispozici metaznačka viewport optimalizovaná pro obrazovky mobilních zařízení."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"V dokumentu nejsou použity čitelné velikosti písma"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Čitelný text"},"lighthouse-core/audits/seo/font-size.js | title":{message:"V dokumentu jsou použity čitelné velikosti písma"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Odkazy hreflang sdělují vyhledávačům, kterou verzi stránky mají uvádět ve výsledcích vyhledávání pro určitý jazyk či oblast. [Další informace](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument nemá platný atribut `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativní hodnota atributu href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument má platný atribut `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Neočekávaný kód jazyka"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Stránky s neúspěšnými stavovými kódy HTTP nemusejí být správně indexovány. [Další informace](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Stránka má neúspěšný stavový kód HTTP"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Stránka má úspěšný stavový kód HTTP"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Pokud vyhledávače nemají oprávnění procházet vaše stránky, nemohou je zahrnout do výsledků vyhledávání. [Další informace](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Indexování stránky je blokováno"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Indexování stránky není blokováno"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Popisný text odkazů pomáhá vyhledávačům porozumět vašemu obsahu. [Další informace](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Byl nalezen 1 odkaz}few{Byly nalezeny # odkazy}many{Bylo nalezeno # odkazu}other{Bylo nalezeno # odkazů}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Odkazy nemají popisný text"},"lighthouse-core/audits/seo/link-text.js | title":{
message:"Odkazy mají popisný text"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Chcete-li ověřit strukturovaná data, spusťte [nástroj na testování strukturovaných dat](https://search.google.com/structured-data/testing-tool/) a [nástroj Structured Data Linter](http://linter.structured-data.org/). [Další informace](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturovaná data jsou platná"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Obsah metaznaček „description“ může být zahrnut ve výsledcích vyhledávání jako stručný souhrn obsahu stránky. [Další informace](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Popisný text je prázdný."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokument nemá metaznačku „description“"},
"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument má metaznačku „description“"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Vyhledávače obsah pluginů nedokážou indexovat a na mnoha zařízeních jsou pluginy zakázány nebo nejsou podporovány. [Další informace](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument používá pluginy"},"lighthouse-core/audits/seo/plugins.js | title":{message:"V dokumentu nejsou použity pluginy"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Pokud soubor robots.txt nemá správný formát, prohledávače nemusejí být schopné zjistit, jak váš web mají procházet nebo indexovat. [Další informace](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Na žádost o soubor robots.txt byl vrácen tento stav HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{Byla nalezena 1 chyba}few{Byly nalezeny # chyby}many{Bylo nalezeno # chyby}other{Bylo nalezeno # chyb}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Nástroji Lighthouse se nepodařilo načíst soubor robots.txt."},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Soubor robots.txt není platný"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Soubor robots.txt je platný"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktivní prvky, jako jsou tlačítka a odkazy, by měly být dostatečně velké (48 × 48 px) a mělo by okolo nich být dost místa na to, aby se na ně dalo dostatečně snadno klepnout bez přesahování do dalších prvků. [Další informace](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"Podíl dostatečně velkých dotykových prvků: {decimalProportion, number, percent}"},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Dotykové prvky jsou příliš malé, protože není k dispozici metaznačka viewport optimalizovaná pro obrazovky mobilních zařízení."},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Dotykové prvky nejsou dostatečně velké"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Překrývající se cíl"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Dotykový prvek"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Dotykové prvky jsou dostatečně velké"},"lighthouse-core/audits/server-response-time.js | description":{message:"Odpověď serveru s hlavním dokumentem by měla být rychlá, protože na ní závisejí všechny ostatní požadavky. [Další informace](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Hlavní dokument trval {timeInMs, number, milliseconds} ms"},
"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Zkraťte dobu počáteční odpovědi serveru"},"lighthouse-core/audits/server-response-time.js | title":{message:"Počáteční odpověď serveru byla rychlá"},"lighthouse-core/audits/service-worker.js | description":{message:"Service worker je technologie, která aplikaci umožňuje využívat mnoho funkcí progresivní webové aplikace, jako je režim offline, přidání na plochu nebo oznámení push. [Další informace](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Tuto stránku ovládá soubor service worker, nebyl ale nalezen atribut `start_url`, protože se manifest nepodařilo analyzovat jako platný soubor JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Tuto stránku ovládá soubor service worker, ale atribut `start_url` ({startUrl}) pod soubor service worker ({scopeUrl}) nespadá."},
"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Tuto stránku ovládá soubor service worker, ale atribut `start_url` nebyl nalezen, protože nebyl načten žádný manifest."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Tento zdroj má jeden či více souborů service worker, ale stránka ({pageUrl}) pod něj nespadá."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Neregistruje soubor service worker, který ovládá stránku a `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registruje soubor service worker, který ovládá stránku a atribut `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Stylová úvodní obrazovka zajišťuje kvalitní uživatelský dojem při spuštění aplikace z plochy. [Další informace](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Není nakonfigurována vlastní úvodní obrazovka"},
"lighthouse-core/audits/splash-screen.js | title":{message:"Je nakonfigurována vlastní úvodní obrazovka"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Motiv adresního řádku prohlížeče lze přizpůsobit motivu vašeho webu. [Další informace](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Nenastavuje barvu motivu adresního řádku."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Nastavuje barvu motivu adresního řádku."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (zákaznická podpora)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (sociální sítě)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},
"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkt"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Některé vložené prvky třetích stran lze načíst líně. Zvažte, zda by je nebylo možné nahradit fasádou, dokud nebudou potřeba. [Další informace](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{K dispozici je # alternativní fasáda}few{K dispozici jsou # alternativní fasády}many{K dispozici je # alternativní fasády}other{K dispozici je # alternativních fasád}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Některé zdroje třetích stran lze líně načíst pomocí fasády"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Líné načítání zdrojů třetích stran pomocí fasád"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Třetí strana"},
"lighthouse-core/audits/third-party-summary.js | description":{message:"Kód třetích stran může mít významný dopad na rychlost načítání. Omezte počet redundantních externích poskytovatelů a snažte se kód třetích stran načítat až poté, co se dokončí načtení vaší stránky. [Další informace](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Kód třetí strany na {timeInMs, number, milliseconds} ms zablokoval hlavní podproces"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Snižte vliv kódu třetích stran"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimalizujte používání kódu od třetích stran"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Míra"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metrika"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Nastavte časový rozpočet, který vám pomůže sledovat výkon vašeho webu. Výkonné weby se načítají rychle a také rychle reagují na interakci uživatelů. [Další informace](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Časový rozpočet"},"lighthouse-core/audits/unsized-images.js | description":{message:"U obrázkových prvků vždy explicitně určete šířku a výšku, aby se omezilo poskakování při vykreslování a zlepšila se hodnota CLS. [Další informace](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Obrázkové prvky nemají explicitní označení `width` a `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Obrázkové prvky mají explicitní označení `width` a `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Typ"},
"lighthouse-core/audits/user-timings.js | description":{message:"Zkuste v aplikaci pomocí rozhraní User Timing API implementovat měření reálného výkonu při událostech zásadních pro uživatelský dojem. [Další informace](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 časování uživatelů}few{# časování uživatelů}many{# časování uživatelů}other{# časování uživatelů}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Hodnoty časování uživatelů"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Byl nalezen prvek `<link rel=preconnect>` pro adresu {securityOrigin}, ale prohlížeč ho nepoužil. Zkontrolujte, zda správně používáte atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Zvažte přidání signálů `preconnect` nebo `dns-prefetch`, aby bylo možné včas se připojit k důležitým zdrojům třetích stran. [Další informace](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"K potřebným zdrojům se připojujte předem"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Byla nalezena více než 2 připojení `<link rel=preconnect>`. Tato připojení byste měli používat střídmě a pouze pro nejdůležitější zdroje."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Byl nalezen prvek `<link rel=preconnect>` pro adresu {securityOrigin}, ale prohlížeč ho nepoužil. Atribut `preconnect` používejte jen pro důležité zdroje, o které stránka určitě bude žádat."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Byl nalezen prvek `<link>` k předběžnému načtení zdrojů z adresy {preloadURL}, ale prohlížeč ho nepoužil. Zkontrolujte, zda správně používáte atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Zvažte použití značky `<link rel=preload>` k prioritnímu načtení zdrojů, o které se nyní žádá později během načítání stránky. [Další informace](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Klíčové požadavky načítejte předběžně"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Adresa URL souboru sourcemap"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Soubory sourcemap překládají minifikovaný kód na původní zdrojový kód. To vývojářům usnadňuje ladění produkčních verzí. Kromě toho to nástroji Lighthouse umožňuje poskytovat více informací. Zvažte implementaci souborů sourcemap, abyste tyto výhody získali. [Další informace](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Chybí soubory sourcemap pro velké soubory JavaScript první strany"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"U velkého souboru JavaScript chybí soubor sourcemap"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Upozornění: V atributu `.sourcesContent` chybí 1 položka}few{Upozornění: V atributu `.sourcesContent` chybí # položky}many{Upozornění: V atributu `.sourcesContent` chybí # položky}other{Upozornění: V atributu `.sourcesContent` chybí # položek}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Stránka má platné soubory sourcemap"},"lighthouse-core/audits/viewport.js | description":{message:'Chcete-li aplikaci optimalizovat pro obrazovky mobilních zařízení, přidejte značku `<meta name="viewport">`. [Další informace](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nebyla nalezena značka `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Neobsahuje značku `<meta name="viewport">` s atributem `width` nebo `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Obsahuje značku `<meta name="viewport">` s atributem `width` nebo `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Toto jsou příležitosti ke zlepšení používání specifikace ARIA ve vaší aplikaci, které mohou zlepšit prostředí pro uživatele asistenčních technologií, jako jsou čtečky obrazovek."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Toto jsou příležitosti k poskytnutí alternativního obsahu pro zvuky a videa. Mohou zlepšit prostředí pro sluchově nebo zrakově postižené uživatele."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Zvuk a video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Tyto položky upozorňují na běžné doporučené postupy v oblasti přístupnosti."},
"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Rady a tipy pro odpovídání na recenze"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Tyto kontroly odhalují příležitosti ke [zlepšení přístupnosti webové aplikace](https://developers.google.com/web/fundamentals/accessibility). Automaticky lze odhalit jen část problémů s přístupností, proto obsah doporučujeme otestovat i ručně."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Tyto položky se týkají oblastí, které v současné době automatické testování nedokáže pokrýt. Další informace najdete v průvodci [provedením kontroly přístupnosti](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Přístupnost"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{
message:"Toto jsou příležitosti ke zlepšení čitelnosti obsahu."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Toto jsou příležitosti ke zlepšení interpretace vašeho obsahu u uživatelů různých jazyků."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizace a lokalizace"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Toto jsou příležitosti ke zlepšení sémantiky ovládacích prvků v aplikaci. Mohou zlepšit prostředí pro uživatele asistenčních technologií, jako jsou například čtečky obrazovek."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Názvy a štítky"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Toto jsou příležitosti ke zlepšení navigace pomocí klávesnice v aplikaci."},
"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigace"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Toto jsou příležitosti ke zlepšení dojmu při čtení tabulek nebo seznamů pomocí asistenčních technologií, jako je čtečka obrazovky."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabulky a seznamy"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Kompatibilita s prohlížeči"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Doporučené postupy"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Obecné"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Důvěra a bezpečí"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Zkušenosti uživatelů"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Výkonové rozpočty nastavují standard pro výkon vašeho webu."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Rozpočty"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Další informace o výkonu vaší aplikace. Tyto hodnoty nemají [přímý vliv](https://web.dev/performance-scoring/) na skóre výkonu."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Nejkritičtějším aspektem výkonu je rychlost vykreslení pixelů na obrazovce. Klíčové metriky: First Contentful Paint, First Meaningful Paint."},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Vylepšení prvního vykreslení"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Tyto návrhy vám mohou pomoci zrychlit načítání stránky. Na skóre výkonu nemají [přímý vliv](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Příležitosti"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metriky"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Vylepšete celkové chování při načítání, aby byla stránka co nejdříve responzivní a připravena k používání. Klíčové metriky: Time to Interactive, Speed Index."},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Celková vylepšení"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Výkon"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Tyto kontroly vyhodnocují aspekty progresivní webové aplikace. [Další informace](https://developers.google.com/web/progressive-web-apps/checklist)"},
"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Tyto kontroly vyžaduje základní [kontrolní seznam aplikace PWA](https://developers.google.com/web/progressive-web-apps/checklist), ale nástroj Lighthouse je automaticky neprovádí. Na vaše skóre vliv nemají, ale je důležité, abyste je ověřili ručně."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresivní webová aplikace"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Instalovatelné"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimalizováno pro PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Tyto kontroly zajišťují, aby vaše stránka byla optimalizovaná pro hodnocení výsledků ve vyhledávačích. Na hodnocení ve vyhledávání mohou mít vliv i další faktory, které nástroj Lighthouse nekontroluje. [Další informace](https://support.google.com/webmasters/answer/35769)"},
"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Chcete-li zkontrolovat dodržování dalších doporučených postupů pro SEO, spusťte pro svůj web tyto další validátory."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Naformátujte soubor HTML způsobem, který umožní prohledávačům lépe porozumět obsahu vaší aplikace."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Doporučené postupy pro obsah"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Aby se vaše aplikace mohla zobrazovat ve výsledcích vyhledávání, prohledávače k ní musí mít přístup."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Procházení a indexování"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Zajistěte, aby stránky byly optimalizovány pro mobily a aby uživatelé nemuseli obsah stránky zvětšovat. [Další informace](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Optimalizováno pro mobily"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Testovací zařízení má patrně pomalejší procesor, než Lighthouse očekává. To může negativně ovlivnit skóre výkonu. Přečtěte si další informace o [kalibrování vhodného multiplikátoru zpomalení procesoru](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Stránka se možná nenačítá očekávaným způsobem, protože testovací adresa URL ({requested}) byla přesměrována na adresu {final}. Zkuste přímo otestovat druhou URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{
message:"Stránka se načítala příliš pomalu, a test se proto do časového limitu nepodařilo dokončit. Výsledky mohou být neúplné."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{Rychlost načítání může být ovlivněna daty uloženými v následujícím umístění: {locations}. Spusťte audit této stránky v anonymním okně, aby tyto zdroje na skóre neměly vliv.}few{Rychlost načítání může být ovlivněna daty uloženými v následujících umístěních: {locations}. Spusťte audit této stránky v anonymním okně, aby tyto zdroje na skóre neměly vliv.}many{Rychlost načítání může být ovlivněna daty uloženými v následujících umístěních: {locations}. Spusťte audit této stránky v anonymním okně, aby tyto zdroje na skóre neměly vliv.}other{Rychlost načítání může být ovlivněna daty uloženými v následujících umístěních: {locations}. Spusťte audit této stránky v anonymním okně, aby tyto zdroje na skóre neměly vliv.}}"},
"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Zvažte, zda nepřidat schémata URL https: a http: (ta jsou ignorována prohlížeči, které podporují strict-dynamic) z důvodu zpětné kompatibility se staršími prohlížeči."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Direktiva disown-opener je od verze CSP3 zastaralá. Použijte místo ní hlavičku Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Direktiva referrer je od verze CSP2 zastaralá. Použijte místo ní hlavičku Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Direktiva reflected-xss je od verze CSP2 zastaralá. Použijte místo ní hlavičku X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Chybějící base-uri umožňuje vložení značek <base> za účelem nastavení základní adresy URL pro všechny relativní adresy URL (např. skripty) na doménu kontrolovanou útočníkem. Nastavte base-uri na hodnotu „none“ nebo „self“."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Prvky řízené pomocí object-src se považují za starší funkce. Zvažte, zda nenastavit object-src na „none“, abyste předešli vložení pluginů spouštějících skripty, které nejsou bezpečné."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Chybí direktiva script-src. To může umožnit spouštění skriptů, které nejsou bezpečné."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Nezapomněli jste středník? {keyword} vypadá jako direktiva, ne klíčové slovo."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Hodnoty nonce mají používat znakovou sadu base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{
message:"Hodnoty nonce by měly mít délku alespoň 8 znaků."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Cíl pro přehledy je nakonfigurován jenom pomocí direktivy report-to. Tato direktiva je podporovaná pouze v prohlížečích založených na projektu Chromium, proto doporučujeme použít direktivu report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Žádné zásady CSP neurčují cíl pro přehledy. To znesnadňuje dlouhodobou údržbu zásad CSP a monitorování případných prolomení."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Seznam povolených položek na hostiteli může být často obcházen. Zvažte, zda nepoužít strict-dynamic v kombinaci s hodnotami nonce nebo hash CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Neznámá direktiva CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} je zřejmě neplatné klíčové slovo."},
"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"unsafe-inline umožňuje spouštění skriptů na stránce a obslužných rutin událostí, které nejsou bezpečné. Zvažte, zda nepoužít hodnoty nonce nebo hash CSP, abyste skripty povolovali individuálně."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Zvažte, zda nepřidat unsafe-inline (ignorováno prohlížeči, které podporují hodnoty nonce/hash) z důvodu zpětné kompatibility se staršími prohlížeči."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Doba blokování hlavního podprocesu"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Hodnota TTL (Time to Live) mezipaměti"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Popis"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Trvání"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Prvek"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Prvky, které neprošly"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Místo"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Název"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Nad rozpočet"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Požadavky"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Velikost zdroje"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Typ zdroje"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Velikost"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Zdroj"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Čas zahájení"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Strávený čas"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Velikost přenosu"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Možná úspora"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Možná úspora"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potenciální úspora {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Byl nalezen 1 prvek}few{Byly nalezeny # prvky}many{Bylo nalezeno # prvku}other{Bylo nalezeno # prvků}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Lze uspořit {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Písmo"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Obrázek"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Vysoká"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Nízká"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Střední"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maximální potenciální prodleva prvního vstupu"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Média"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Jiné"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Jiné zdroje"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skript"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Šablona stylů"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Třetí strana"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Celkem"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Při pořizování záznamu trasování během načítání stránky se něco pokazilo. Spusťte nástroj Lighthouse znovu. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Při čekání na počáteční připojení pomocí ladicího protokolu vypršel časový limit."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Chrome při načítání stránky nezískal žádné snímky obrazovky. Zkontrolujte, zda je na stránce vidět nějaký obsah, a poté nástroj Lighthouse zkuste spustit znovu. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Servery DNS zadanou doménu nedokázaly přeložit."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Při získávání povinného zdroje {artifactName} došlo k chybě: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Došlo k interní chybě Chromu. Restartujte Chrome a zkuste nástroj Lighthouse spustit znovu."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Požadovaný shromažďovací nástroj zdroje {artifactName} se nespustil."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Stránka nevykreslila žádný obsah. Zajistěte, aby se okno prohlížeče při načítání nacházelo v popředí, a zkuste to znovu. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"Poskytnutá stránka není ve formátu HTML (byla dodána s typem MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Tato verze Chromu je příliš stará a funkci {featureName} nepodporuje. Pokud chcete zobrazit úplné výsledky, použijte novější verzi."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Nástroji Lighthouse se požadovanou stránku nepodařilo spolehlivě načíst. Zkontrolujte, zda testujete správnou adresu URL a zda server správně odpovídá na všechny požadavky."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Nástroj Lighthouse adresu URL nemohl spolehlivě načíst, protože stránka přestala reagovat."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Adresa URL, kterou jste zadali, nemá platný bezpečnostní certifikát. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome zabránil načtení stránky a zobrazil vsunutou obrazovku. Zkontrolujte, zda testujete správnou adresu URL a zda server správně odpovídá na všechny požadavky."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Nástroji Lighthouse se požadovanou stránku nepodařilo spolehlivě načíst. Zkontrolujte, zda testujete správnou adresu URL a zda server správně odpovídá na všechny požadavky. (Podrobnosti: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Nástroji Lighthouse se požadovanou stránku nepodařilo spolehlivě načíst. Zkontrolujte, zda testujete správnou adresu URL a zda server správně odpovídá na všechny požadavky. (Stavový kód: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Načtení stránky trvalo příliš dlouho. Podle návrhů v přehledu zkraťte dobu načítání stránky a poté nástroj Lighthouse zkuste spustit znovu. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Při čekání na odpověď protokolu DevTools byla překročena přidělená doba. (Metoda: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Při načítání obsahu zdroje byla překročena přidělená doba"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Adresa URL, kterou jste poskytli, se zdá být neplatná."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Vše"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Všechna písma"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Pokrytí"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplicitní moduly"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Počet bajtů zdroje"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Název"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Zobrazit nebo skrýt tabulku"},
"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Nevyužité bajty"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Pro animovaný obsah použijte prvek [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), abyste minimalizovali využití procesoru, když příslušný obsah není na obrazovce."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Zvažte zobrazování všech komponent [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ve formátech WebP a zadání vhodných záložních možností pro ostatní prohlížeče. [Další informace](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Pro obrázky používejte značky [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites), aby se automaticky načítaly líně. [Další informace](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[Vykreslujte rozvržení AMP na straně serveru](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) pomocí nástrojů, jako je [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Prostudujte si [dokumentaci AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) a zkontrolujte, zda jsou všechny vaše styly podporovány."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Prvek [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) podporuje atribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/), pomocí něhož lze zadat, které obrázkové podklady se mají použít pro jednotlivé velikosti obrazovek. [Další informace](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Pokud se vykreslují velmi velké seznamy, zvažte použití virtuálního posouvání pomocí sady Component Dev Kit (CDK). [Další informace](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Minimalizujte velikost balíčků JavaScriptu pomocí [rozdělení kódu na úrovni trasy](https://web.dev/route-level-code-splitting-in-angular/). Zvažte také předběžné načítání podkladů do mezipaměti pomocí [service workeru platformy Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Pokud používáte Angular CLI, dejte pozor, abyste sestavení generovali v produkčním režimu. [Další informace](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Pokud používáte Angular CLI, do produkčního sestavení zahrňte mapy zdroje, aby balíčky bylo možné prozkoumat. [Další informace](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Zrychlete navigaci tím, že budete trasy načítat předem. [Další informace](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Zvažte použití nástroje `BreakpointObserver` v sadě Component Dev Kit (CDK) ke správě dělicích bodů obrázků. [Další informace](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Zvažte nahrání souboru GIF do služby, pomocí které ho bude možné vložit jako video HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Při definování vlastních písem pro motiv je třeba určit `@font-display`."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Zvažte instalaci a konfiguraci [modulu k využití formátu obrázků WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) na vašem webu. Tyto moduly automaticky vygenerují verze nahraných obrázků ve formátu WebP, což optimalizuje dobu načítání."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Nainstalujte [modul Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), který umožňuje líné načítání obrázků. Tyto moduly umožňují odložit načítání obrázků mimo obrazovku za účelem zvýšení výkonu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Zvažte použití modulu k vložení kritických stylů CSS a JavaScriptu, případně načítejte zdroje asynchronně pomocí JavaScriptu, což nabízí např. modul [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Upozorňujeme, že optimalizace pomocí těchto modulů může narušit funkčnost vašeho webu. V kódu proto pravděpodobně budete muset provést změny."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Na reakční dobu serveru mají vliv motivy, moduly a specifikace serverů. Zvažte vyhledání optimalizovaného motivu, pečlivý výběr optimalizačního modulu či upgradování serveru. Za účelem zrychlení odezvy databáze doporučujeme na hostujících serverech používat ukládání operačního kódu do mezipaměti pomocí PHP. Slouží k tomu nástroje jako Redis nebo Memcached, případně lze použít optimalizovanou logiku aplikace k rychlejší přípravě stránek."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Zvažte použití [responzivních stylů obrázků](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ke snížení velikosti obrázků načítaných stránkou. Pokud používáte Zobrazení k prezentování více obsahových položek na stránce, zvažte implementaci stránkování za účelem omezení počtu obsahových položek na jedné stránce."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Na stránce Administrace » Konfigurace » Vývoj aktivujte funkci Agregovat soubory CSS. Můžete také nakonfigurovat pokročilejší možnosti agregace prostřednictvím [dodatečných modulů](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search). Díky zřetězení, minifikaci a kompresi stylů CSS tak zrychlíte svůj web."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Na stránce Administrace » Konfigurace » Vývoj aktivujte funkci Agregovat javascriptové soubory. Můžete také nakonfigurovat pokročilejší možnosti agregace prostřednictvím [dodatečných modulů](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search). Díky zřetězení, minifikaci a kompresi javascriptových zdrojů tak zrychlíte svůj web."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Zvažte odstranění nepoužívaných pravidel CSS a k odpovídající stránce nebo komponentě stránky připojte pouze nezbytné knihovny Drupal. Podrobnosti naleznete v [dokumentaci Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Připojené knihovny, které přidávají nadbytečný kód CSS, můžete vyhledat pomocí funkce [„využití kódu“](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástrojích pro vývojáře v Chromu. Odpovědný motiv či modul můžete identifikovat podle adresy URL šablony stylů, když je na vašem webu Drupal deaktivována agregace CSS. Hledejte motivy či moduly, které v seznamu mají mnoho šablon stylů, u nichž je při použití funkce „využití kódu“ velké množství kódu označeno červeně. Motiv či modul by měl šablonu stylů do fronty zařadit jen v případě, že se na stránce opravdu používá."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Zvažte odstranění nepoužívaných javascriptových zdrojů a k odpovídající stránce nebo komponentě stránky připojte pouze nezbytné knihovny Drupal. Podrobnosti naleznete v [dokumentaci Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Připojené knihovny, které přidávají nadbytečný javascriptový kód, můžete vyhledat pomocí funkce [„využití kódu“](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástrojích pro vývojáře v Chromu. Odpovědný motiv či modul můžete identifikovat podle adresy URL skriptu, když je na vašem webu Drupal deaktivována agregace JavaScriptu. Hledejte motivy či moduly, které v seznamu mají mnoho skriptů, u nichž je při použití funkce „využití kódu“ velké množství kódu označeno červeně. Motiv či modul by měl skript do fronty zařadit jen v případě, že se na stránce opravdu používá."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Na stránce Administrace » Konfigurace » Vývoj nastavte možnost Maximální věk pro mezipaměť a proxy server. Přečtěte si o [mezipaměti systému Drupal a optimalizaci pro vyšší výkon](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Zvažte použití [modulu](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), který automaticky optimalizuje obrázky nahrávané přes web a sníží jejich velikost, aniž by snížil kvalitu. Zajistěte také použití nativních [responzivních stylů obrázků](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ze systému Drupal (k dispozici od verze 8) pro všechny obrázky vykreslované na webu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Pokyny k předběžnému připojení nebo načtení zdrojů (preconnect nebo dns-prefetch) lze přidat instalací a konfigurací [modulu](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), který zprostředkuje hintingové instrukce pro zdroje user-agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Zajistěte použití nativních [responzivních stylů obrázků](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ze systému Drupal (k dispozici od verze 8). Použijte responzivní styly obrázků při vykreslování polí obrázků prostřednictvím režimů zobrazení, zobrazení nebo u obrázků nahraných prostřednictvím editoru WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Zvažte nahrání souboru GIF do služby, pomocí které ho bude možné vložit jako video HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Zvažte použití [pluginu](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) nebo služby, která nahrané obrázky automaticky převede na optimální formáty."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Nainstalujte [plugin Joomla pro líné načítání](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), který umožňuje odložit načítání obrázků mimo obrazovku, nebo přejděte na šablonu, která tuto funkci poskytuje. Od verze Joomla 4.0 získají všechny nové obrázky atribut `loading` [automaticky](https://github.com/joomla/joomla-cms/pull/30748) z jádra."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"K dispozici je celá řada pluginů Joomla, které vám pomohou [vložit kritické zdroje přímo do kódu](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) nebo [odložit načítání méně důležitých zdrojů](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Upozorňujeme, že optimalizace pomocí těchto pluginů může narušit funkčnost vašich šablon nebo pluginů. Bude potřeba provést důkladné testování."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Na reakční dobu serveru mají vliv šablony, rozšíření a specifikace serverů. Zvažte vyhledání optimalizované šablony, pečlivý výběr optimalizačního rozšíření či upgradování serveru."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Zvažte zobrazování ukázek v kategoriích článků (např. prostřednictvím odkazu k načtení dalšího obsahu), snížení počtu článků zobrazených na jedné stránce, rozdělení dlouhých příspěvků na několik stránek nebo použití pluginu k línému načítání komentářů."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"K dispozici je celá řada [rozšíření Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), které váš web mohou zrychlit zřetězením, minifikací a zkomprimováním stylů CSS. Tuto funkci také poskytují některé šablony."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"K dispozici je celá řada [rozšíření Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), která váš web mohou zrychlit zřetězením, minifikací a zkomprimováním skriptů. Tuto funkci také poskytují některé šablony."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Zvažte snížení nebo přepnutí počtu [rozšíření Joomla](https://extensions.joomla.org/), které na stránce načítají nepoužívané styly CSS. Rozšíření, která přidávají nadbytečné styly CSS, můžete vyhledat pomocí funkce [„využití kódu“](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástrojích pro vývojáře v Chromu. Odpovědný motiv či plugin můžete identifikovat podle adresy URL šablony stylů. Hledejte pluginy, které v seznamu mají mnoho šablon stylů, u nichž je při použití funkce „využití kódu“ velké množství kódu označeno červeně. Plugin by měl šablonu stylů do fronty zařadit jen v případě, že je na stránce opravdu použita."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Zvažte snížení nebo přepnutí počtu [rozšíření Joomla](https://extensions.joomla.org/), které na stránce načítají nepoužívaný kód JavaScript. Pluginy, které přidávají nadbytečný javascriptový kód, můžete vyhledat pomocí funkce [„využití kódu“](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástrojích pro vývojáře v Chromu. Odpovědné rozšíření poznáte podle adresy URL skriptu. Hledejte rozšíření, která v seznamu mají mnoho skriptů, u nichž je při použití funkce „využití kódu“ velké množství kódu označeno červeně. Rozšíření by mělo skript do fronty zařadit jen v případě, že se na stránce opravdu používá."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Přečtěte si o [ukládání do mezipaměti prohlížeče v systému Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Zvažte použití [pluginu na optimalizaci obrázků](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), který obrázky komprimuje, přičemž zachová jejich kvalitu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Zvažte použití [pluginu pro responzivní obrázky](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), abyste ve svém obsahu mohli použít responzivní obrázky."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Kompresi textu můžete aktivovat tak, že povolíte funkci Komprese stránek Gzip v nastavení Joomla (Systém > Globální konfigurace > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Pokud javascriptové podklady neslučujete do balíčků, zvažte použití nástroje [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Vypněte [minifikaci a slučování souborů JavaScript do balíčků](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrované v platformě Magento a zvažte namísto nich použití nástroje [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Při [definování vlastních písem](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html) zadejte `@font-display`."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Zkuste v online tržišti [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) vyhledat rozšíření třetích stran, která umožňují použití novějších formátů obrázků."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Zvažte úpravu šablon produktů a katalogu s cílem využít funkci webové platformy pro [líné načítání](https://web.dev/native-lazy-loading)."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Použijte [integraci platformy Magento s nástrojem Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Ve vývojářských nastaveních obchodu zapněte možnost minifikace souborů CSS. [Další informace](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Všechny javascriptové zdroje při implementaci statického obsahu minifikujte pomocí nástroje [Terser](https://www.npmjs.com/package/terser) a integrovanou funkci minifikace zakažte."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Vypněte [slučování souborů JavaScript do balíčků](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrované v platformě Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Zkuste v tržišti [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) vyhledat různá rozšíření od třetích stran určená k optimalizaci obrázků."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Pokyny k předběžnému připojení nebo načtení zdrojů (preconnect nebo dns-prefetch) lze přidat [upravením rozvržení motivů](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Značky `<link rel=preload>` lze přidat [úpravou rozvržení motivů](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Když animované obrázky GIF nahradí video](https://web.dev/replace-gifs-with-videos/), budou se webové stránky načítat rychleji. Zvažte použití moderních formátů, jako je [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) nebo [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), které v porovnání se současným videokodekem VP9 zvýší efektivitu komprese o více než 30 %."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"Zvažte použití [pluginu](https://octobercms.com/plugins?search=image) nebo služby, která nahrané obrázky automaticky převede na optimální formáty. [Bezztrátové obrázky WebP](https://developers.google.com/speed/webp) jsou o 26 % menší než obrázky PNG a o 25–34 % menší než obrázky JPEG při ekvivalentním indexu kvality SSIM. Dalším formátem obrázku příští generace, který můžete zvážit, je [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Zvažte instalaci [pluginu pro líné načítání](https://octobercms.com/plugins?search=lazy), který umožňuje odložit načítání obrázků mimo obrazovku, nebo přejděte na motiv, který tuto funkci poskytuje. Zvažte také použití [pluginu AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"K dispozici je celá řada pluginů, které zlepšují chod [kritických podkladů](https://octobercms.com/plugins?search=css). Tyto pluginy mohou narušit funkčnost jiných pluginů, proto byste je měli důkladně otestovat."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Na reakční dobu serveru mají vliv motivy, pluginy a specifikace serverů. Zvažte vyhledání optimalizovaného motivu, pečlivý výběr optimalizačního modulu či upgradování serveru. Systém pro správu obsahu October vývojářům také umožňuje odložit zpracování časově náročných úloh, například odeslání e‑mailu, pomocí front ([`Queues`](https://octobercms.com/docs/services/queues)). To webové požadavky výrazně urychlí."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Zvažte zobrazování ukázek v seznamech příspěvků (např. prostřednictvím tlačítka `show more`), snížení počtu příspěvků zobrazených na jedné webové stránce, rozdělení dlouhých příspěvků na několik webových stránek nebo použití pluginu k línému načítání komentářů."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"K dispozici je řada [pluginů](https://octobercms.com/plugins?search=css), které web mohou zrychlit zřetězením, minifikací a zkomprimováním stylů. Vývoj lze urychlit použitím procesu sestavení, který tuto minifikaci provede předem."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"K dispozici je řada [pluginů](https://octobercms.com/plugins?search=javascript), které web mohou zrychlit zřetězením, minifikací a zkomprimováním skriptů. Vývoj lze urychlit použitím procesu sestavení, který tuto minifikaci provede předem."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Zvažte kontrolu [pluginů](https://octobercms.com/plugins), které na webu načítají nepoužívané styly CSS. Pluginy, které přidávají zbytečné styly CSS, můžete vyhledat pomocí přehledu [pokrytí kódu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v Chrome DevTools. Odpovědný motiv či plugin poznáte podle adresy URL šablony stylů. Hledejte pluginy s velkým počtem šablon stylů se spoustou červené barvy v grafu využití kódu. Plugin by měl šablonu stylů přidat jen v případě, že je na stránce opravdu použita."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Zvažte kontrolu [pluginů](https://octobercms.com/plugins?search=javascript), které na webové stránce načítají nepoužívaný javascriptový kód. Pluginy, které přidávají zbytečný javascriptový kód, můžete vyhledat pomocí přehledu [pokrytí kódu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v Chrome DevTools. Odpovědný motiv či plugin poznáte podle adresy URL skriptu. Hledejte pluginy s velkým počtem skriptů se spoustou červené barvy v grafu využití kódu. Plugin by měl přidat jen skripty, které se na webové stránce opravdu používají."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Přečtěte si, jak [pomocí mezipaměti HTTP předcházet zbytečným síťovým požadavkům](https://web.dev/http-cache/#caching-checklist). K dispozici je řada [pluginů](https://octobercms.com/plugins?search=Caching), pomocí nichž lze ukládání do mezipaměti zrychlit."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Zvažte použití [pluginu na optimalizaci obrázků](https://octobercms.com/plugins?search=image), který obrázky komprimuje, přičemž zachovává jejich kvalitu."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Nahrajte obrázky přímo prostřednictvím správce médií, abyste zajistili dostupnost potřebných velikostí obrázků. Zvažte použití [filtru pro změnu velikosti](https://octobercms.com/docs/markup/filter-resize) nebo [pluginu pro změnu velikosti](https://octobercms.com/plugins?search=image), abyste zajistili, že budou použity obrázky optimální velikosti."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"V konfiguraci webového serveru povolte kompresi textu."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Pokud na stránce vykreslujete mnoho opakujících se prvků, zvažte použití windowingové knihovny, jako je `react-window`, která minimalizuje počet vytvářených uzlů DOM. [Další informace](https://web.dev/virtualize-long-lists-react-window/) Minimalizujte také počet překreslení pomocí funkcí [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) nebo [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo), a pokud používáte hooky `Effect`, [přeskakujte efekty](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), dokud se nezmění určité závislosti."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"Pokud používáte React Router, minimalizujte použití komponenty `<Redirect>` k [navigaci po trase](https://reacttraining.com/react-router/web/api/Redirect)."},
"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Pokud některé komponenty React vykreslujete na straně serveru, zvažte použití metody `renderToNodeStream()` nebo `renderToStaticNodeStream()`, která klientovi umožní přijímat různé části označení a dosazovat do nich data samostatně namísto všech najednou. [Další informace](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Pokud váš sestavovací systém minifikuje soubory CSS automaticky, dejte pozor, abyste implementovali produkční sestavení aplikace. Můžete to zkontrolovat pomocí rozšíření React Developer Tools. [Další informace](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"Pokud váš sestavovací systém minifikuje soubory JavaScriptu automaticky, dejte pozor, abyste implementovali produkční sestavení aplikace. Můžete to zkontrolovat pomocí rozšíření React Developer Tools. [Další informace](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Pokud vykreslení neprovádíte na straně serveru, [rozdělte balíčky JavaScriptu](https://web.dev/code-splitting-suspense/) pomocí metody `React.lazy()`. Jinak kód rozdělte pomocí knihovny třetí strany, jako je například [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Změřte rychlost vykreslování komponent pomocí nástroje React DevTools Profiler, který využívá rozhraní Profiler API. [Další informace](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Zvažte nahrání souboru GIF do služby, pomocí které ho bude možné vložit jako video HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Zvažte použití [pluginu](https://wordpress.org/plugins/search/convert+webp/) nebo služby, která nahrané obrázky automaticky převede na optimální formáty."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Nainstalujte [plugin služby WordPress pro líné načítání](https://wordpress.org/plugins/search/lazy+load/), který umožňuje odložit načítání obrázků mimo obrazovku, nebo přejděte na motiv, který tuto funkci poskytuje. Zvažte také použití [pluginu AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"K dispozici je celá řada pluginů služby WordPress, které vám pomohou [vložit kritické podklady přímo do kódu](https://wordpress.org/plugins/search/critical+css/) nebo [odložit načítání méně důležitých zdrojů](https://wordpress.org/plugins/search/defer+css+javascript/). Upozorňujeme, že optimalizace pomocí těchto pluginů může narušit funkčnost vašeho motivu nebo pluginů. V kódu proto pravděpodobně budete muset provést změny."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Na reakční dobu serveru mají vliv motivy, pluginy a specifikace serverů. Zvažte vyhledání optimalizovaného motivu, pečlivý výběr optimalizačního pluginu či upgradování serveru."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Zvažte zobrazování ukázek v seznamech příspěvků (např. prostřednictvím značky k načtení dalšího obsahu), snížení počtu příspěvků zobrazených na jedné stránce, rozdělení dlouhých příspěvků na několik stránek nebo použití pluginu k línému načítání komentářů."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"K dispozici je celá řada [pluginů služby WordPress](https://wordpress.org/plugins/search/minify+css/), které web mohou zrychlit zřetězením, minifikací a komprimací stylů. Pokud je to možné, můžete minifikaci provést také předem pomocí procesu sestavení."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"K dispozici je celá řada [pluginů služby WordPress](https://wordpress.org/plugins/search/minify+javascript/), které váš web mohou zrychlit zřetězením, minifikací a zkomprimováním skriptů. Pokud je to možné, můžete minifikaci provést také předem pomocí procesu sestavení."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Zvažte snížení počtu [pluginů služby WordPress](https://wordpress.org/plugins/), které na stránce načítají nevyužité styly CSS. Pluginy, které přidávají nadbytečné styly CSS, můžete vyhledat pomocí funkce [„využití kódu“](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástrojích pro vývojáře v Chromu. Odpovědný motiv či plugin můžete identifikovat podle adresy URL šablony stylů. Hledejte pluginy, které v seznamu mají mnoho šablon stylů, u nichž je při použití funkce „využití kódu“ velké množství kódu označeno červeně. Plugin by měl šablonu stylů do fronty zařadit jen v případě, že je na stránce opravdu použita."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Zvažte snížení počtu [pluginů služby WordPress](https://wordpress.org/plugins/), které na stránce načítají nepoužívaný kód JavaScript. Pluginy, které přidávají nadbytečný javascriptový kód, můžete vyhledat pomocí funkce [„využití kódu“](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástrojích pro vývojáře v Chromu. Odpovědný motiv či plugin poznáte podle adresy URL skriptu. Hledejte pluginy, které v seznamu mají mnoho skriptů, u nichž je při použití funkce „využití kódu“ velké množství kódu označeno červeně. Plugin by měl skript do fronty zařadit jen v případě, že se na stránce opravdu používá."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Přečtěte si o [ukládání do mezipaměti prohlížeče ve službě WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Zvažte použití [pluginu služby WordPress na optimalizaci obrázků](https://wordpress.org/plugins/search/optimize+images/), který obrázky komprimuje, přičemž zachová jejich kvalitu."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Nahrajte obrázky přímo prostřednictvím [mediální knihovny](https://wordpress.org/support/article/media-library-screen/), abyste zajistili dostupnost potřebných velikostí obrázků, a poté je vložte z mediální knihovny, případně použití optimálních velikostí obrázků zajistěte pomocí widgetu pro obrázky (včetně obrázků pro responzivní dělicí body). Obrázky v této velikosti: `Full Size` používejte pouze v případě, že jsou jejich rozměry adekvátní k použití. [Další informace](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Můžete v konfiguraci webového serveru zapnout kompresi textu."},
"report/renderer/util.js | calculatorLink":{message:"Zobrazit kalkulačku."},"report/renderer/util.js | crcInitialNavigation":{message:"Počáteční navigace"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maximální latence kritické trasy:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopírovat JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Přepnout tmavý motiv"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Vytisknout úplný přehled"},"report/renderer/util.js | dropdownPrintSummary":{message:"Vytisknout souhrn"},"report/renderer/util.js | dropdownSaveGist":{message:"Uložit jako gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Uložit jako HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Uložit jako JSON"},"report/renderer/util.js | dropdownViewer":{message:"Otevřít v prohlížeči"},"report/renderer/util.js | errorLabel":{message:"Chyba!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Chyba přehledu: žádné informace o auditu"},"report/renderer/util.js | footerIssue":{message:"Zaznamenat problém"},"report/renderer/util.js | labDataTitle":{message:"Laboratorní data"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analýza aktuální stránky pomocí nástroje [Lighthouse](https://developers.google.com/web/tools/lighthouse/) v emulované mobilní síti. Hodnoty jsou odhady a mohou se lišit."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Další položky k ruční kontrole"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Není relevantní"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Příležitost"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Odhadovaná úspora"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Úspěšné audity"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulovaná plocha"},"report/renderer/util.js | runtimeMobileEmulation":{
message:"Emulované zařízení Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Bez emulace"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Verze knihovny Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Výkon procesoru/paměti"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Omezení procesoru"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanál"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Zařízení"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Čas načtení"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Omezení sítě"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Nastavení za běhu"},"report/renderer/util.js | runtimeSettingsUA":{message:"User agent (hostitel)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User agent (síť)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},
"report/renderer/util.js | runtimeUnknown":{message:"Není známo"},"report/renderer/util.js | showRelevantAudits":{message:"Zobrazit audity relevantní pro:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Sbalit úryvek"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Rozbalit úryvek"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Zobrazit zdroje třetích stran"},"report/renderer/util.js | throttlingProvided":{message:"Poskytnuto prostředím"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Při tomto spuštění nástroje Lighthouse se vyskytly problémy:"},"report/renderer/util.js | varianceDisclaimer":{message:"Hodnoty jsou odhady a mohou se lišit. [Skóre výkonu se počítá](https://web.dev/performance-scoring/) přímo z těchto metrik."},"report/renderer/util.js | viewTreemapLabel":{message:"Zobrazit stromovou mapu"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Úspěšné audity s upozorněními"},
"report/renderer/util.js | warningHeader":{message:"Upozornění: "}}},{}],104:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Med adgangsnøgler kan brugerne hurtigt fokusere på dele af siden. Hver nøgle skal være unik for at navigere korrekt. [Få flere oplysninger](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]`-værdierne er ikke unikke"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]`-værdier er unikke"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Hver ARIA-`role` understøtter en bestemt delmængde af `aria-*`-attributter. Hvis der opstår uoverensstemmelser, gøres `aria-*`-attributterne ugyldige. [Få flere oplysninger](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{
message:"`[aria-*]`-attributterne stemmer ikke overens med deres roller"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]`-attributterne stemmer overens med deres roller"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Hvis et element ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementerne `button`, `link` og `menuitem` har ikke tilgængelige navne."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementerne `button`, `link` og `menuitem` har tilgængelige navne"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Hjælpeteknologier såsom skærmlæsere fungerer ikke optimalt, når `aria-hidden="true"` er angivet for dokumentet `<body>`. [Få flere oplysninger](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` findes i dokumentet `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` findes ikke i dokumentet `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Faldende elementer, der kan fokuseres på, i et `[aria-hidden="true"]`-element forhindrer sådanne interaktive elementer i at være tilgængelige for brugere, der anvender hjælpeteknologier såsom skærmlæsere. [Få flere oplysninger](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]`-elementerne indeholder faldende elementer, der kan fokuseres på'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]`-elementerne indeholder ikke faldende elementer, der kan fokuseres på'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Hvis et indtastningsfelt ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA-indtastningsfelterne har ikke et tilgængeligt navn"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA-indtastningsfelterne har tilgængelige navne"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Hvis et element ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:'"ARIA `meter`"-elementerne har ikke tilgængelige navne.'},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:'"ARIA `meter`"-elementerne har tilgængelige navne'},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Hvis et element med `progressbar` ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:'"ARIA `progressbar`"-elementerne har ikke tilgængelige navne.'},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:'"ARIA `progressbar`"-elementerne har tilgængelige navne'},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Nogle ARIA-roller har obligatoriske attributter, der beskriver elementets tilstand for skærmlæsere. [Få flere oplysninger](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`-elementerne har ikke alle de obligatoriske `[aria-*]`-attributter"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`-elementerne har alle obligatoriske `[aria-*]`-attributter"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Nogle overordnede ARIA-roller skal indeholde bestemte underordnede roller for at udføre deres tilsigtede hjælpefunktioner [Få flere oplysninger](https://web.dev/aria-required-children/)."},
"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementer med ARIA-rollen `[role]`, der kræver underordnede elementer med en bestemt `[role]`, mangler nogle eller alle disse påkrævede underordnede elementer."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementer med ARIA-rollen `[role]`, der kræver underordnede elementer med en bestemt `[role]`, har alle de påkrævede underordnede elementer."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Nogle underordnede ARIA-roller skal indgå i bestemte overordnede roller for at udføre deres tilsigtede hjælpefunktioner korrekt. [Få flere oplysninger](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`-elementerne indgår ikke i deres påkrævede overordnede element"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{
message:"`[role]`-elementerne indgår i deres påkrævede overordnede element"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA-roller skal have gyldige værdier for at udføre deres tilsigtede hjælpefunktioner. [Få flere oplysninger](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]`-værdierne er ikke gyldige"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]`-værdierne er gyldige"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Hvis et felt med en til/fra-kontakt ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA-kontakterne har ikke tilgængelige navne"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA-kontakterne har tilgængelige navne"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Hvis et element ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:'"ARIA `tooltip`"-elementerne har ikke tilgængelige navne.'},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:'"ARIA `tooltip`"-elementerne har tilgængelige navne'},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Hvis et element ikke har et tilgængeligt navn, giver skærmlæsere feltet et generisk navn, så det ikke kan anvendes af brugere, der får læst indhold op af skærmlæsere. [Få flere oplysninger](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:'"ARIA `treeitem`"-elementerne har ikke tilgængelige navne.'},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:'"ARIA `treeitem`"-elementerne har tilgængelige navne'},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Hjælpeteknologier som f.eks. skærmlæsere kan ikke fortolke ARIA-attributter med ugyldige værdier. [Få flere oplysninger](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]`-attributterne har ikke gyldige værdier"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"`[aria-*]`-attributterne har gyldige værdier"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Hjælpeteknologier som f.eks. skærmlæsere kan ikke fortolke ARIA-attributter med ugyldige navne. [Få flere oplysninger](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]`-attributterne er ikke gyldige eller er stavet forkert"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]`-attributterne er gyldige og er stavet korrekt"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementer, der ikke bestod gennemgangen"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Hvis en knap ikke har et tilgængeligt navn, oplæser skærmlæsere knappen som "knap", hvilket gør den ubrugelig for brugere, der anvender skærmlæsere. [Få flere oplysninger](https://web.dev/button-name/).'},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Knapperne har ikke et tilgængeligt navn"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Knapperne har et tilgængeligt navn"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Tastaturbrugere kan nemmere finde rundt på siden, når der tilføjes metoder til tilsidesættelse af gentagelser. [Få flere oplysninger](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Siden indeholder hverken en heading, et skip link eller en landmark region"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Siden indeholder en heading, et skip link eller en landmark region"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Tekst med lav kontrast er for mange brugere svær eller umulig at læse. [Få flere oplysninger](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Farverne i baggrunden og forgrunden har ikke nok kontrastforhold."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Farverne i baggrunden og forgrunden har nok kontrastforhold"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Hvis lister over definitioner ikke opmærkes korrekt, kan skærmlæseres oplæsning være forvirrende og forkert. [Få flere oplysninger](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`-elementerne indeholder ikke udelukkende korrekt organiserede `<dt>`- og `<dd>`-grupper, `<script>`-, `<template>`- eller `<div>`-elementer."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`-elementerne indeholder kun korrekt organiserede `<dt>`- og `<dd>`-grupper, `<script>`-, `<template>`- eller `<div>`-elementer."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Elementer med lister over definitioner (`<dt>` og `<dd>`) skal indkapsles af et overordnet `<dl>`-element for at sikre, at skærmlæsere kan læse dem op korrekt. [Få flere oplysninger](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Elementer med lister over definitioner er ikke indkapslet af `<dl>`-elementer"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Elementer med lister over definitioner er indkapslet af `<dl>`-elementer"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Titlen giver brugere af skærmlæsere et overblik over siden, og brugere af søgemaskiner skal bruge den til at afgøre, om en side er relevant for deres søgning. [Få flere oplysninger](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{
message:"Dokumentet har ikke et `<title>`-element"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumentet har et `<title>`-element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Alle elementer, der kan fokuseres på, skal have en unik `id` for at sikre, at de er synlige for hjælpeteknologier. [Få flere oplysninger](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]`-attributterne på aktive elementer, der kan fokuseres på, er ikke unikke"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]`-attributterne på aktive elementer, der kan fokuseres på, er unikke"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"Værdien af et ARIA-id skal være unik for at forhindre, at andre forekomster bliver overset af hjælpeteknologier. [Få flere oplysninger](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA-id'erne er ikke unikke"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA-id'erne er unikke"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Formularfelter med flere etiketter kan blive forvekslet og læst op af hjælpeteknologier såsom skærmlæsere, der anvender den første, den sidste eller alle etiketter. [Få flere oplysninger](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Formularfelterne har flere etiketter"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Der er ingen formularfelter med flere etiketter"
},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Brugere af skærmlæsere har brug for skærmtitler, der beskriver indholdet på skærmen. [Få flere oplysninger](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>`- eller `<iframe>`-elementerne har ikke en titel"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>`- eller `<iframe>`-elementerne har en titel"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Overskrifter, der er sorteret korrekt og ikke springer niveauer over, gengiver sidens semantiske struktur, så den er nemmere at navigere i og forstå, når du anvender hjælpeteknologier. [Få flere oplysninger](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Overskriftselementerne vises ikke i en fortløbende faldende rækkefølge"},
"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Overskriftselementerne vises i en fortløbende faldende rækkefølge"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:'Hvis siden ikke angiver en "lang"-attribut, antager en skærmlæser, at siden vises på det standardsprog, som brugeren valgte ved konfigurationen af sin skærmlæser. Hvis siden ikke vises på standardsproget, oplæser skærmlæseren muligvis ikke teksten på siden korrekt. [Få flere oplysninger](https://web.dev/html-has-lang/).'},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>`-elementet har ikke en `[lang]`-attribut"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>`-elementet har en `[lang]`-attribut"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Hjælp skærmlæsere med at oplæse tekst korrekt ved at angive et gyldigt [BCP 47-sprog](https://www.w3.org/International/questions/qa-choosing-language-tags#question). [Få flere oplysninger](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>`-elementet har ikke en gyldig værdi for sin `[lang]`-attribut."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>`-elementet har en gyldig værdi for `[lang]`-attributten"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informative elementer bør anvende en kort, beskrivende alternativ tekst. Dekorative elementer kan ignoreres med en tom alt-attribut. [Få flere oplysninger](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Billedelementerne har ikke `[alt]`-attributter"},"lighthouse-core/audits/accessibility/image-alt.js | title":{
message:"Billedelementerne indeholder `[alt]`-attributter"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Når et billede bruges som en `<input>`-knap, kan alternativ tekst hjælpe brugere af skærmlæsere med at forstå knappens formål. [Få flere oplysninger](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">`-elementerne har ikke `[alt]`-tekst'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">`-elementerne har `[alt]`-tekst'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etiketter sikrer, at formularstyring oplæses korrekt af hjælpeteknologier som f.eks. skærmlæsere. [Få flere oplysninger](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Formularelementerne har ikke tilknyttede etiketter"},
"lighthouse-core/audits/accessibility/label.js | title":{message:"Formularelementerne har tilknyttede etiketter"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Linktekst (og alternativ tekst til billeder, når de bruges som links), der er skelnelig, unik og fokuserbar, gør det nemmere for brugere af skærmlæsere at finde rundt. [Få flere oplysninger](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Linkene har ikke skelnelige navne"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Linkene har skelnelige navne"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Skærmlæsere oplæser lister på en bestemt måde. Du kan forbedre skærmlæsernes output ved at angive en ordentlig listestruktur. [Få flere oplysninger](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"Listerne indeholder ikke kun `<li>`-elementer og elementer, der understøtter scripts (`<script>` og `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Listerne indeholder kun `<li>`-elementer og elementer, der understøtter scripts (`<script>` og `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Skærmlæsere kræver, at listeelementer (`<li>`) indgår i et overordnet `<ul>`- eller `<ol>`-element for at blive oplæst korrekt. [Få flere oplysninger](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Listeelementerne (`<li>`) indgår ikke i de overordnede `<ul>`- eller `<ol>`-elementer."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Listeelementerne (`<li>`) indgår i de overordnede `<ul>`- eller `<ol>`-elementer"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Brugere forventer ikke, at en side opdateres automatisk, og automatisk opdatering flytter fokus tilbage til toppen af siden. Dette kan være frustrerende og forvirrende for brugerne. [Få flere oplysninger](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokumentet bruger `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokumentet bruger ikke `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Hvis zoom deaktiveres, kan det skabe problemer for svagtseende brugere, der har brug for skærmforstørrelse til at se indholdet på en webside. [Få flere oplysninger](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` anvendes i elementet `<meta name="viewport">`, eller attributten `[maximum-scale]` er mindre end 5.'},
"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` anvendes ikke i `<meta name="viewport">`-elementet, og attributten `[maximum-scale]` er ikke mindre end 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Skærmlæsere kan ikke oversætte indhold, som ikke er tekst. Du kan føje alternativ tekst til `<object>`-elementer for at hjælpe skærmlæsere med at formidle meningen til brugerne. [Få flere oplysninger](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>`-elementerne har ikke `[alt]`-tekst"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>`-elementerne har `[alt]`-tekst"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"En værdi over 0 antyder en utvetydig sortering af navigation. Selvom dette teknisk er gyldigt, skaber det ofte en frustrerende oplevelse for brugere, der anvender hjælpeteknologier. [Få flere oplysninger](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Nogle elementer har en `[tabindex]`-værdi, som er større end 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Ingen af elementerne har en `[tabindex]`-værdi, der overstiger 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Skærmlæsere har funktioner, der gør det nemmere at finde rundt i tabeller. Du kan give brugere af skærmlæsere en bedre oplevelse ved at sikre, at `<td>`-celler, der anvender attributten `[headers]`, kun henviser til andre celler i samme tabel. [Få flere oplysninger](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Celler i et `<table>`-element, der anvender attributten `[headers]`, henviser til et element `id`, som ikke findes i samme tabel."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Celler i et `<table>`-element, der anvender attributten `[headers]`, henviser til tabelceller i den samme tabel."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Skærmlæsere har funktioner, der gør det nemmere at finde rundt i tabeller. Du kan give brugere af skærmlæsere en bedre oplevelse ved at sikre, at tabeloverskrifter altid henviser til nogle cellesæt. [Få flere oplysninger](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>`-elementerne og elementerne med `[role="columnheader"/"rowheader"]` indeholder ikke de dataceller, de beskriver.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'`<th>`-elementerne og elementer med `[role="columnheader"/"rowheader"]` indeholder de dataceller, de beskriver.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Hjælp med at sikre, at tekst udtales korrekt af skærmlæsere, ved at angive et gyldigt [BCP 47-sprog](https://www.w3.org/International/questions/qa-choosing-language-tags#question) for elementer. [Få flere oplysninger](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]`-attributterne har ikke en gyldig værdi"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]`-attributterne har en gyldig værdi"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Det er nemmere for døve og hørehæmmede at få adgang til en videos oplysninger, hvis videoen tilbyder undertekster. [Få flere oplysninger](https://web.dev/video-caption/)."},
"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>`-elementerne indeholder ikke et `<track>`-element med `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>`-elementerne indeholder et `<track>`-element med `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Angiv et `apple-touch-icon` for at optimere iOS-brugerfladen, når brugere føjer en progressiv app til startskærmen. Det skal føre til en ikke-transparent firkantet PNG på 192 px (eller 180 px). [Få flere oplysninger](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Angiver ikke en gyldig `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` er forældet, og `apple-touch-icon` foretrækkes."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"Angiver et gyldigt `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Aktuel værdi"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Foreslået token"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` hjælper brugere med at indsende formularer hurtigere. Du kan hjælpe brugerne ved at indstille attributten `autocomplete` til en gyldig værdi. [Få flere oplysninger](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>`-elementer har ikke korrekte attributter for `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Kræver manuel gennemgang"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Gennemgå rækkefølgen på tokens"},"lighthouse-core/audits/autocomplete.js | title":{
message:"`<input>`-elementer anvender `autocomplete` korrekt."},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'`autocomplete`-tokens: "{token}" er ugyldig i {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Gennemgå rækkefølgen på tokens: "{tokens}" i {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome-udvidelser påvirkede denne sides indlæsning negativt. Prøv at revidere siden i inkognitotilstand eller fra en Chrome-profil uden udvidelser."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Scriptevaluering"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Scriptparsing"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Samlet CPU-tid"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Overvej at reducere den tid, der bruges på at parse, kompilere og udføre JavaScript. Levering af mindre JavaScript-datapakker kan hjælpe med dette. [Få flere oplysninger](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Reducer udførelsestiden for JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Udførelsestid for JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Fjern store, identiske JavaScript-moduler fra pakker for at reducere antallet af unødvendige bytes, der anvendes i forbindelse med netværksaktivitet. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Fjern identiske moduler i JavaScript-pakker"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Store giffer er mindre effektive til at levere animeret indhold. Du kan også overveje at bruge MPEG4-/WebM-videoer til animationer og PNG/WebP til statiske billeder i stedet for giffer for at spare netværksbytes. [Få flere oplysninger](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Brug videoformater til animeret indhold"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Polyfill-koder og transformeringer gør det muligt for browsere at anvende nye JavaScript-funktioner. Mange af dem er dog ikke nødvendige til moderne browsere. Hvis du har JavaScript-pakker, skal du bruge en strategi til implementering af moderne scripts, der anvender registrering af funktioner med eller uden moduler til at reducere mængden af kode, som sendes til moderne browsere, men som samtidig bevarer understøttelsen af forældede browsere. [Få flere oplysninger](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Undgå at vise forældet JavaScript i moderne browsere"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Billedformater såsom JPEG 2000, JPEG XR og WebP giver ofte en bedre komprimering end PNG og JPEG, hvilket betyder hurtigere downloads og mindre dataforbrug. [Få flere oplysninger](https://web.dev/uses-webp-images/)."
},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Vis billeder i formater af næste generation"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Overvej at udskyde indlæsningen af skjulte billeder og billeder, der ikke er på skærmen, til efter alle kritiske ressourcer er blevet indlæst for at reducere den tid, der går, inden siden bliver interaktiv. [Få flere oplysninger](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Udskyd billeder, der ikke er på skærmen"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Ressourcer blokerer for første visning af din side. Overvej at levere kritisk JavaScript/CSS indlejret og udskyde alle ikke-kritiske JavaScript-elementer/typografier. [Få flere oplysninger](https://web.dev/render-blocking-resources/)."},
"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Fjern ressourcer til blokering af gengivelse"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Store datapakker på netværk koster brugerne mange penge og er forbundet med lang indlæsningstid. [Få flere oplysninger](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Den samlede størrelse var {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Undgå kæmpe datapakker på netværk"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Undgår kæmpe datapakker på netværk"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Formindskelse af CSS-filer kan reducere størrelsen på datapakker på netværk. [Få flere oplysninger](https://web.dev/unminified-css/)."},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Formindsk CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Formindskelse af JavaScript-filer kan reducere størrelsen på datapakker og varigheden af scriptparsing. [Få flere oplysninger](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Formindsk JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Reducer antallet af regler fra typografiark, som ikke bruges, og udskyd CSS, som ikke bruges til indhold over skillelinjen, for at skære ned på unødvendigt forbrug af bytes i forbindelse med netværksaktivitet. [Få flere oplysninger](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reducer antallet af CSS, som ikke bruges"},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reducer antallet af JavaScript, som ikke bruges, og udskyd indlæsningen af scripts, indtil de er nødvendige, for at skære ned på unødvendigt forbrug af bytes i forbindelse med netværksaktivitet. [Få flere oplysninger](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reducer antallet af JavaScript, som ikke bruges"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"En lang cachelevetid kan gøre indlæsningen hurtigere for tilbagevendende besøgende på din side. [Få flere oplysninger](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Der blev fundet 1 ressource}one{Der blev fundet # ressource}other{Der blev fundet # ressourcer}}"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Vis statiske aktiver med en effektiv cachepolitik"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Anvender effektiv cachepolitik på statiske aktiver"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimerede billeder indlæses hurtigere og bruger mindre mobildata. [Få flere oplysninger](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Kryptér billeder effektivt"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Vis billeder i korrekte størrelser for at spare mobildata og forbedre indlæsningstiden. [Få flere oplysninger](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Brug korrekte billedstørrelser"},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Tekstbaserede ressourcer bør vises i komprimeret format (gzip, Deflate eller Brotli), så netværkets samlede antal bytes formindskes. [Få flere oplysninger](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Aktivér tekstkomprimering"},"lighthouse-core/audits/content-width.js | description":{message:"Hvis bredden på indholdet i din app ikke stemmer overens med bredden på din visning, bliver din app muligvis ikke optimeret til mobilskærme. [Få flere oplysninger](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Visningens størrelse på {innerWidth} px stemmer ikke overens med vinduets størrelse på {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Indholdet har ikke den rigtige størrelse til visningen"},
"lighthouse-core/audits/content-width.js | title":{message:"Indholdet har den rigtige størrelse til visningen"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Kæderne med kritiske anmodninger nedenfor viser dig, hvilke ressourcer der indlæses med høj prioritet. Overvej at reducere kædernes længde, så ressourcernes downloadstørrelse bliver mindre, eller at udskyde download af unødvendige ressourcer, så sideindlæsningen forbedres. [Få flere oplysninger](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Der blev fundet 1 kæde}one{Der blev fundet # kæde}other{Der blev fundet # kæder}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Undgå at kædeforbinde kritiske anmodninger"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiv"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Omfang"},
"lighthouse-core/audits/csp-xss.js | description":{message:"En stærk indholdssikkerhedspolitik (CSP, Content Security Policy) mindsker risikoen for angreb med scripts på tværs af websteder (XSS, cross-site scripting) betragteligt. [Få flere oplysninger](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntaks"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Siden indeholder en CSP, der er defineret i et <meta>-tag. Overvej at definerere CSP'en i en HTTP-header, hvis det er muligt."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Der blev ikke fundet nogen CSP i håndhævelsestilstand"},"lighthouse-core/audits/csp-xss.js | title":{message:"Sørg for, at CSP'en beskytter effektivt mod XSS-angreb"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Udfasning/advarsel"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Linje"},"lighthouse-core/audits/deprecations.js | description":{
message:"Udfasede API'er fjernes med tiden fra browseren. [Få flere oplysninger](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 advarsel blev fundet}one{# advarsel blev fundet}other{# advarsler blev fundet}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Bruger udfasede API'er"},"lighthouse-core/audits/deprecations.js | title":{message:"Undgår udfasede API'er"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache er udfaset. [Få flere oplysninger](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" blev fundet'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Bruger Application Cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Undgår Application Cache"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Der skal angives en erklæring om tegnkodning. Det kan gøres med et `<meta>`-tag i de første 1024 bytes i HTML-koden eller i HTTP-svarheaderen for Content-Type. [Få flere oplysninger](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Erklæringen om charset mangler eller vises for sent i HTML-koden"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Charset er angivet korrekt"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Når der angives en dokumenttype, forhindres browseren i at skifte til quirks-tilstand. [Få flere oplysninger](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Navnet på dokumenttypen skal være en `html`-streng med små bogstaver"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"Dokumentet skal indeholde en doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"En tom streng var forventet for publicId"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"En tom streng var forventet for systemId"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Siden mangler dokumenttypen HTML og aktiverer derfor quirks-tilstand"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Siden har dokumenttypen HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistik"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Værdi"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"En stor DOM øger hukommelsesforbruget, medfører længerevarende [beregninger af typografi](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) og resulterer i dyre [omformateringer af layout](https://developers.google.com/speed/articles/reflow). [Få flere oplysninger](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}one{# element}other{# elementer}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Undgå en overdreven DOM-størrelse"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksimal DOM-dybde"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Samlet antal DOM-elementer"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Højeste antal underordnede elementer"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Undgår en overdreven DOM-størrelse"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Ankere, der ikke bestod gennemgangen"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Føj `rel="noopener"` eller `rel="noreferrer"` til alle eksterne links for at forbedre ydeevnen og forhindre sikkerhedssårbarheder. [Få flere oplysninger](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Links til destinationer af anden oprindelse er ikke sikre"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Links til destinationer af anden oprindelse er sikre"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Destinationen for ankeret ({anchorHTML}) kunne ikke identificeres. Hvis det ikke bruges som hyperlink, bør du overveje at fjerne target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Brugere er mistænksomme over for eller forvirres af websites, der anmoder om deres placering uden sammenhæng. Overvej at knytte anmodningen til en brugerhandling i stedet for. [Få flere oplysninger](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Anmoder om tilladelse til geoplacering ved indlæsning af siden"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Undgår at anmode om tilladelse til geoplacering ved indlæsning af siden"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Problemtype"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Der er registreret uløste problemer i panelet `Issues` i Udviklerværktøjer til Chrome De kan stamme fra mislykkede netværksanmodninger, utilstrækkelige sikkerhedsfunktioner og andre browserproblemer. Åbn panelet Issues i Udviklerværktøjer til Chrome for at få flere oplysninger om hvert problem."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Der er registreret problemer i panelet `Issues` i Udviklerværktøjer til Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blokeret af politik for krydsoprindelse"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Kraftig ressourceforbrug af annoncer"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Der er ikke registreret nogen problemer i panelet `Issues` i Udviklerværktøjer til Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Version"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Alle JavaScript-biblioteker i frontend, der registreres på siden. [Få flere oplysninger](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Registrerede JavaScript-biblioteker"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Eksterne scripts, der indsættes dynamisk via `document.write()`, kan forsinke sideindlæsningen med flere sekunder for brugere med langsomme forbindelser. [Få flere oplysninger](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Undgå `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Undgår `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Størst omfang"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Biblioteksversion"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Antal sårbarheder"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Nogle scripts fra tredjeparter kan indeholde kendte sikkerhedssårbarheder, som let kan identificeres og udnyttes af hackere. [Få flere oplysninger](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 sårbarhed blev registreret}one{# sårbarhed blev registreret}other{# sårbarheder blev registreret}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Indeholder JavaScript-biblioteker i frontend med kendte sikkerhedssårbarheder"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Undgår frontend JavaScript-biblioteker med kendte sikkerhedssårbarheder"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Brugere er mistænksomme over for eller forvirres af websites, der anmoder om at sende notifikationer uden sammenhæng. Overvej at knytte anmodningen til brugerbevægelser i stedet for. [Få flere oplysninger](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Anmoder om tilladelse til notifikationer ved indlæsning af siden"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Undgår at anmode om tilladelse til notifikationer ved indlæsning af siden"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"En god sikkerhedspolitik undermineres ved at forhindre indsættelse af adgangskoder. [Få flere oplysninger](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Forhindrer brugere i at indsætte indhold i adgangskodefelter"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Tillader, at brugere indsætter indhold i adgangskodefelter"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 tilbyder mange fordele i forhold til HTTP/1.1, herunder binære headers og multiplexing. [Få flere oplysninger](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 anmodning blev ikke leveret via HTTP/2}one{# anmodning blev ikke leveret via HTTP/2}other{# anmodninger blev ikke leveret via HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Brug HTTP/2"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Overvej at markere hændelsesfunktionerne for tryk og hjul som `passive` for at forbedre effektiviteten ved rulning på siden. [Få flere oplysninger](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Anvender ikke passive hændelsesfunktioner til at forbedre rulning"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Anvender passive hændelsesfunktioner til at forbedre rulning"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Fejl, der er logført i konsollen, angiver uløste problemer. De kan stamme fra mislykkede netværksanmodninger og andre browserproblemer. [Få flere oplysninger](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Der blev logført browserfejl i konsollen"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"Der blev ikke logført nogen browserfejl i konsollen"},"lighthouse-core/audits/font-display.js | description":{message:"Udnyt CSS-funktionen til skrifttypevisning for at sikre, at teksten kan ses af brugerne, mens webfonts indlæses. [Få flere oplysninger](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Sørg for, at tekst forbliver synlig under indlæsning af webfont"},"lighthouse-core/audits/font-display.js | title":{message:"Al tekst forbliver synlig under indlæsning af webfont"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse kunne ikke automatisk tjekke `font-display`-værdien for det oprindelige website {fontOrigin}.}one{Lighthouse kunne ikke automatisk tjekke `font-display`-værdien for det oprindelige website {fontOrigin}.}other{Lighthouse kunne ikke automatisk tjekke `font-display`-værdierne for det oprindelige website {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Billedformat (faktisk)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Billedformat (vist)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Størrelsen for billedvisningen bør matche det naturlige billedformat. [Få flere oplysninger](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Viser billeder med forkert billedformat"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Viser billeder med korrekt billedformat"},
"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Faktisk størrelse"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Vist størrelse"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Forventet størrelse"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"For at gøre billedet så tydeligt som muligt bør billedets naturlige mål være proportionelt med både skærmens størrelse og pixelratioen. [Få flere oplysninger](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Viser billeder med en lav opløsning"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Viser billeder med en passende opløsning"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Appen er allerede installeret"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{
message:"Et påkrævet ikon blev ikke downloadet fra manifestet"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Årsag til fejl"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Scripttjenesten er den teknologi, der gør det muligt for din app at bruge mange funktioner til progressive webapps, f.eks. offline, tilføjelse på startskærme og push-notifikationer. Med korrekt scripttjeneste og manifestimplementeringer kan browsere proaktivt bede brugere om at føje din app til deres startskærm, hvilket kan medføre større interaktion. [Få flere oplysninger](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 årsag}one{# årsag}other{# årsager}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Manifestets webadresse eller scripttjenesten opfylder ikke kravene til installation"},
"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play Butik-webadressen til appen og Play Butik-id'et stemmer ikke overens"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Siden er indlæst i et inkognitovindue"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'Manifestets "display"-ejendom skal være enten "standalone", "fullscreen" eller "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Manifestet indeholder feltet "display_override", og den første understøttede skærmtilstand skal være enten "standalone", "fullscreen" eller "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifestet kunne ikke hentes, er tomt eller kunne ikke parses"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"Manifestets webadresse blev ændret, mens manifestet blev hentet."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Manifestet indeholder ikke feltet "name" eller "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Manifestet indeholder ikke et passende ikon. Der kræves PNG-, SVG- eller WebP-format med mindst {value0} px, attributten for størrelser skal angives, og attributten for formål, hvis denne er angivet, skal indeholde "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Der er ikke angivet et kvadratisk ikon på mindst {value0} px i PNG-, SVG- eller WebP-format, hvor attributten for formål ikke er angivet eller er angivet som "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Downloadikonet var tomt eller beskadiget"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{
message:"Der er ikke angivet noget Play Butik-id"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Siden har ikke nogen <link>-webadresse for manifestet"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Der blev ikke registreret nogen matchende scripttjeneste. Du skal muligvis genindlæse siden eller tjekke, at omfanget af scripttjenesten for den aktuelle side omslutter omfanget og startwebadressen fra manifestet."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Scripttjenesten kunne ikke tjekkes, da feltet "start_url" i manifestet ikke var angivet'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'Installationsfejl-id\'et "{errorId}" kan ikke genkendes'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Siden vises ikke fra et sikkert oprindelsessted"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{
message:"Siden indlæses ikke i hovedrammen"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Siden fungerer ikke offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Den angivne app-platform understøttes ikke i Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Følgende er angivet i manifestet: prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications understøttes kun i betaversionen af Chrome og stabile kanaler i Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Manifestets startwebadresse er ikke gyldig"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifestets webapp og scripttjenesten opfylder kravene til installation"},
"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"En webadresse i manifestet indeholder et brugernavn, en adgangskode eller en port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Siden fungerer ikke offline. Siden anses ikke som installerbar efter udgivelsen af Chrome 93 i august 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Tilladt"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blokeret"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Usikker webadresse"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Håndtering af anmodninger"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Alle websites bør beskyttes med HTTPS, selv websites, der ikke håndterer følsomme oplysninger. Du bør derfor undgå [blandet indhold](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), hvor nogle ressourcer indlæses via HTTP, også selvom den indledende anmodning vises via HTTPS. HTTPS forhindrer uvedkommende i at manipulere med eller passivt lytte med på kommunikationen mellem din app og dine brugere og er en forudsætning for HTTP/2 og mange nye webplatform-API'er. [Få flere oplysninger](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 usikker anmodning blev fundet}one{# usikker anmodning blev fundet}other{# usikre anmodninger blev fundet}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Anvender ikke HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Bruger HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{
message:"Automatisk opgraderet til HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Tilladt med advarsel"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliotek"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Store JavaScript-biblioteker kan kompromittere ydeevnen. Brug i stedet mindre og funktionelt tilsvarende biblioteker for at reducere størrelsen på dine pakker. [Få flere oplysninger](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 stort bibliotek blev fundet}one{# stort bibliotek blev fundet}other{# store biblioteker blev fundet}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Udskift unødvendigt store JavaScript-biblioteker"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Undgår store JavaScript-biblioteker ved hjælp af mindre alternativer"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Dette element har den største udfyldning af indhold i det synlige område. [Få flere oplysninger](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element med størst udfyldning af indhold"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS-bidrag"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Disse DOM-elementer bidrager mest til sidens CLS."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Undgå store layoutskift"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Angiver lange  opgaver i hovedtråden, hvilket er nyttigt til at identificere de  bidragydere, der forårsager mest forsinkelse. [Få flere oplysninger](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Der blev fundet # lang  opgave}one{Der blev fundet # lang  opgave}other{Der blev fundet # lange  opgaver}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Undgå lange opgaver i hovedtråden"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategori"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Overvej at reducere den tid, der bruges på at parse, kompilere og udføre JavaScript. Levering af mindre JavaScript-datapakker kan hjælpe med dette. [Få flere oplysninger](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Formindsk primært trådarbejde"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Formindsker primært trådarbejde"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Websites bør fungere på alle populære browsere, så de når ud til flest mulige brugere. [Få flere oplysninger](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Websitet fungerer i forskellige browsere"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Sørg for, at der kan føjes et dybt link til individuelle sider via en webadresse, og at denne webadresse er unik, så den kan deles på sociale medier. [Få flere oplysninger](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Hver side har en webadresse"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Overgange bør være hurtige, når der trykkes på forskellige elementer, også selvom netværket er langsomt. Det er afgørende for brugerens opfattelse af effektiviteten. [Få flere oplysninger](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Det føles ikke som om sideovergange blokeres på netværket"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Et ikon, der kan maskeres, sikrer, at billedet fylder hele formen uden at indgå i letterbox-format, når appen installeres på en enhed. [Få flere oplysninger](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifestet har ikke et ikon, der kan maskeres"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifestet har et ikon, der kan maskeres"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Akkumuleret layoutskift måler synlige elementers bevægelse i det synlige område. [Få flere oplysninger](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Første visning af indhold markerer tidspunktet, hvor den første tekst eller det første billede vises. [Få flere oplysninger](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Første meningsfulde visning måler, hvornår det primære indhold på en side kan ses. [Få flere oplysninger](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Tid inden interaktiv tilstand er den mængde tid, det tager, før siden er helt interaktiv. [Få flere oplysninger](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Største udfyldning af indhold angiver det tidspunkt, hvor den største tekst eller det største billede blev anvendt. [Få flere oplysninger](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Den maksimale potentielle ventetid efter første input, som dine brugere kan opleve, er varigheden af den længste proces. [Få flere oplysninger](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Hastighedsindekset viser, hvor hurtigt indholdet på en side er visuelt udfyldt. [Få flere oplysninger](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Summen af alle tidsrum mellem første visning af indhold og tid inden interaktiv tilstand, når proceslængden overstiger 50 ms, udtrykt i millisekunder. [Få flere oplysninger](https://web.dev/lighthouse-total-blocking-time/)."},
"lighthouse-core/audits/network-rtt.js | description":{message:"Netværkets pingtid har stor indflydelse på ydeevnen. Hvis pingtiden til et oprindelsespunkt er lang, er det tegn på, at servere, der er tættere på brugeren, kan forbedre ydeevnen. [Få flere oplysninger](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Pingtider for netværk"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Serverforsinkelser kan have indvirkning på websitets ydeevne. Hvis serverforsinkelsen for et oprindelsespunkt er høj, er det tegn på, at serveren er overbelastet, eller at backend-ydeevnen er dårlig. [Få flere oplysninger](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Forsinkelser for serverens backend"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Hændelsen `unload` starter ikke stabilt, og hvis der ventes på den, kan det forhindre browseroptimeringer som f.eks. back/forward-cache. Du bør i stedet overveje at bruge hændelserne `pagehide` eller `visibilitychange`. [Få flere oplysninger](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registrerer en hændelsesfunktion for `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Undgå hændelsesfunktioner for `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animationer, der ikke er sammensat, kan være langsomme og øge CLS. [Få flere oplysninger](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animeret element blev fundet}one{# animeret element blev fundet}other{# animerede elementer blev fundet}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:'Den "filter"-relaterede ejendom flytter muligvis pixels'},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Den brugerangivne animation har en anden animation, der ikke er kompatibel"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Effekten har en sammensætningstilstand, der ikke er "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Undgå ikke-sammensatte animationer"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:'En "transform"-relateret ejendom afhænger af boksens størrelse'},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Ikke-understøttet CSS-ejendom: {properties}}one{Ikke-understøttet CSS-ejendom: {properties}}other{Ikke-understøttede CSS-ejendomme: {properties}}}"},
"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effekten har timingparametre, der ikke understøttes"},"lighthouse-core/audits/performance-budget.js | description":{message:"Sørg for, at antallet af og størrelsen på netværksanmodningerne ikke overskrider målene i det angivne budget for ydeevne. [Få flere oplysninger](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 anmodning}one{# anmodning}other{# anmodninger}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Budget for ydeevne"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Forudindlæs skrifttyper med `optional`, så førstegangsbesøgende kan bruge dem. [Få flere oplysninger](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{
message:"Skrifttyper med `font-display: optional` er ikke forudindlæst"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Skrifttyper med `font-display: optional` er forudindlæst"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Forudindlæs det billede, der anvendes af LCP-elementet, med henblik på at forbedre din LCP-tid. [Få flere oplysninger](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Forudindlæs billedet med størst udfyldning af indhold"},"lighthouse-core/audits/redirects-http.js | description":{message:"Hvis du allerede har konfigureret HTTPS, skal du sørge for at omdirigere al HTTP-trafik, så alle dine brugere får sikre webfunktioner. [Få flere oplysninger](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Omdirigerer ikke HTTP-trafik til HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{
message:"Omdirigerer HTTP-trafik til HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Omdirigeringer medfører yderligere forsinkelser, inden siden kan indlæses. [Få flere oplysninger](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Undgå mange sideomdirigeringer"},"lighthouse-core/audits/resource-summary.js | description":{message:"Tilføj en budget.json-fil for at angive budgetter for antallet af og størrelsen på sideressourcer. [Få flere oplysninger](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 anmodning • {byteCount, number, bytes} KiB}one{# anmodning • {byteCount, number, bytes} KiB}other{# anmodninger • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Sørg for, at antallet af anmodninger er lavt, og at overførslerne ikke er for store"},
"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanoniske links foreslår, hvilken webadresse der skal vises i søgeresultater. [Få flere oplysninger](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Flere webadresser ({urlList}) er modstridende"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Peger på et andet domæne ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Ugyldig webadresse ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Peger på en anden placering for `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relativ webadresse ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Peger på domænets rodwebadresse (startsiden) i stedet for en tilsvarende side med indhold"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{
message:"Dokumentet har ikke et gyldigt `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumentet har et gyldigt `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link, der ikke kan crawles"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Søgemaskiner kan anvende `href`-attributter i links til at crawle websites. Sørg for, at `href`-attributten for ankerelementer linker til en passende destination, så flere af websitets sider kan findes. [Få flere oplysninger](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Links kan ikke crawles"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Links kan crawles"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Yderligere ulæselig tekst"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{
message:"Skriftstørrelse"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% af sideteksten"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Vælger"},"lighthouse-core/audits/seo/font-size.js | description":{message:'Skriftstørrelser på mindre end 12 pixel er for små til at være læselige og kræver, at mobilbrugere "kniber fingrene sammen for at zoome" for at læse teksten. Du bør bestræbe dig på at gøre over 60 % af sideteksten større end eller lig med 12 pixel. [Få flere oplysninger](https://web.dev/font-size/).'},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} læselig tekst"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Teksten er ulæselig, fordi der ikke er et viewport-metatag, som er optimeret til mobilskærme."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumentet bruger ikke læselige skriftstørrelser"},
"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Læselig tekst"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokumentet anvender læselige skriftstørrelser"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang-links fortæller søgemaskiner, hvilken version af en side de skal angive på listen over søgeresultater for et vilkårligt sprog eller område. [Få flere oplysninger](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumentet har ikke en gyldig `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativ href-værdi"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumentet har et gyldigt `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Uventet sprogkode"},"lighthouse-core/audits/seo/http-status-code.js | description":{
message:"Sider med ugyldige HTTP-statuskoder indekseres muligvis ikke korrekt. [Få flere oplysninger](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"HTTP-statuskoden for siden er ugyldig"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"HTTP-statuskoden for siden er gyldig"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Søgemaskiner kan ikke medtage dine sider i søgeresultater, hvis de ikke har tilladelse til at crawle dem. [Få flere oplysninger](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Siden er blokeret for indeksering"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Siden er ikke blokeret for indeksering"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Beskrivende linktekst hjælper søgemaskiner med at forstå dit indhold. [Få flere oplysninger](https://web.dev/link-text/)."},
"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Der blev fundet 1 link}one{Der blev fundet # link}other{Der blev fundet # links}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Linkene har ikke beskrivende tekst"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Linkene har beskrivende tekst"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Kør [testværktøjet til strukturerede data](https://search.google.com/structured-data/testing-tool/) og [Structured Data Linter](http://linter.structured-data.org/) for at validere strukturerede data. [Få flere oplysninger](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"De strukturerede data er gyldige"},"lighthouse-core/audits/seo/meta-description.js | description":{
message:"Metabeskrivelser kan medtages i søgeresultater for kortfattet at opsummere sideindhold. [Få flere oplysninger](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Beskrivelsesteksten er tom."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumentet har ikke en metabeskrivelse"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokumentet har en metabeskrivelse"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Søgemaskiner kan ikke indeksere indhold i plugins, og mange enheder begrænser plugins eller understøtter dem ikke. [Få flere oplysninger](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumentet bruger plugins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumentet undgår plugins"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Hvis din robots.txt-fil indeholder fejl, kan crawlere muligvis ikke forstå, hvordan du vil have dit website crawlet eller indekseret. [Få flere oplysninger](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Anmodningen om robots.txt returnerede følgende HTTP-status: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Der blev fundet 1 fejl}one{Der blev fundet # fejl}other{Der blev fundet # fejl}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse kunne ikke downloade en robots.txt-fil"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt er ikke gyldig"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt er gyldig"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Interaktive elementer som f.eks. knapper og links skal være store nok (48 x 48 px) og have tilstrækkelig plads omkring sig for at gøre det let at trykke på dem uden at overlappe andre elementer. [Få flere oplysninger](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} trykbare elementer med passende størrelse"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Trykbare elementer er for små, fordi der ikke er et viewport-metatag, som er optimeret til mobilskærme"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Trykbare elementer har ikke en passende størrelse"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Overlappende mål"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Trykbart element"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"Trykbare elementer har en passende størrelse"},"lighthouse-core/audits/server-response-time.js | description":{message:"Sørg for at holde serversvartiden for hoveddokumentet kort, da alle andre anmodninger afhænger af den. [Få flere oplysninger](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Roddokumentet tog {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reducer den indledende serversvartid"},"lighthouse-core/audits/server-response-time.js | title":{message:"Den indledende serversvartid var kort"},"lighthouse-core/audits/service-worker.js | description":{message:"Scripttjenesten er den teknologi, der gør det muligt for din app at bruge mange funktioner til progressive webapps, f.eks. offline, tilføjelse på startskærme og push-notifikationer. [Få flere oplysninger](https://web.dev/service-worker/)."},
"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Denne side styres af en scripttjeneste, men der blev ikke fundet noget `start_url`, fordi manifestet ikke kunne parse den som en gyldig JSON-fil"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Denne side styres af en scripttjeneste, men `start_url` ({startUrl}) er ikke omfattet af scripttjenesten ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Denne side styres af en scripttjeneste, men der blev ikke fundet nogen `start_url`, da der ikke blev hentet noget manifest."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Dette website har én eller flere scripttjenester, men siden ({pageUrl}) er ikke omfattet af disse."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Registrerer ikke en scripttjeneste, der styrer siden og `start_url`"},"lighthouse-core/audits/service-worker.js | title":{
message:"Registrerer en scripttjeneste, der styrer siden og `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"En splash-skærm med tema sikrer, at brugerne får en god oplevelse, når de starter din app på deres startskærm. [Få flere oplysninger](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Websitet er ikke konfigureret til en tilpasset splash-skærm"},"lighthouse-core/audits/splash-screen.js | title":{message:"Konfigureret til en tilpasset splash-skærm"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Der kan angives et tema for browserens adresselinje, som matcher dit website. [Få flere oplysninger](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Angiver ikke en temafarve til adresselinjen."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Angiver en temafarve til adresselinjen."},
"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (kundeservice)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkt"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Nogle indlejringer fra tredjeparter kan indlæses efter behov. Overvej at udskifte dem med en facade, indtil de skal bruges. [Få flere oplysninger](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# facadealternativ er tilgængeligt}one{# facadealternativ er tilgængeligt}other{# facadealternativer er tilgængelige}}"},
"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Nogle tredjepartsressourcer kan indlæses efter behov med en facade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Ressourcer fra tredjeparter kan indlæses efter behov med facader"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Tredjepart"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Kode fra tredjeparter kan have en væsentlig indvirkning på indlæsningen. Begræns antallet af overflødige tredjepartsudbydere, og prøv at indlæse kode fra tredjeparter, når indlæsningen af siden næsten er færdig. [Få flere oplysninger](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Tredjepartskode blokerede den primære tråd i {timeInMs, number, milliseconds} ms"},
"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reducer virkningen af tredjepartskode"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimer brugen af tredjeparter"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Måling"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metric"},"lighthouse-core/audits/timing-budget.js | description":{message:"Angiv et tidsbudget for at følge med i dit websites effektivitet. Effektive websites indlæser hurtigt og reagerer hurtigt på brugerindtastninger. [Få flere oplysninger](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Tidsbudget"},"lighthouse-core/audits/unsized-images.js | description":{message:"Anvend en fast bredde og højde for billedelementer for at reducere layoutskift og forbedre CLS. [Få flere oplysninger](https://web.dev/optimize-cls/#images-without-dimensions)"},
"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Billedelementerne har ikke eksplicit `width` og `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Billedelementerne har eksplicit `width` og `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Type"},"lighthouse-core/audits/user-timings.js | description":{message:"Du kan også vælge at bruge User Timing API som værktøj til din app for at måle appens ydeevne i den virkelige verden i forbindelse med vigtige brugeroplevelser. [Få flere oplysninger](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 brugstid}one{# brugstid}other{# brugstider}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Brugstider markerer og måler"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{
message:'Der blev fundet et `<link rel=preconnect>` for "{securityOrigin}", men det blev ikke anvendt af browseren. Tjek, at du bruger attributten `crossorigin` korrekt.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Overvej at tilføje ressourcehints til `preconnect` eller `dns-prefetch` for at oprette tidlige forbindelser til vigtige tredjepartswebsites. [Få flere oplysninger](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Opret forbindelse på forhånd til påkrævede websites"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Der blev fundet mere end 2 `<link rel=preconnect>` forbindelser. Disse bør bruges sparsomt og kun til de vigtigste kilder."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:'Der blev fundet et `<link rel=preconnect>` for "{securityOrigin}", men det blev ikke anvendt af browseren. Du bør kun bruge `preconnect` til vigtige kilder, som siden helt sikkert vil anmode om.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'Der blev fundet et forudindlæst `<link>` for "{preloadURL}", men det blev ikke anvendt af browseren. Tjek, at du bruger attributten `crossorigin` korrekt.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Overvej at bruge `<link rel=preload>` til at prioritere hentning af ressourcer, der er anmodet om senere i sideindlæsningen. [Få flere oplysninger](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Forudindlæs vigtige anmodninger"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Kortets webadresse"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Kildekort oversætter formindsket kode til den originale kildekode. Dette hjælper udviklere med at fejlrette under produktion. Derudover kan Lighthouse levere yderligere indsigter. Overvej at implementere kildekort for at drage fordel af disse. [Få flere oplysninger](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Manglende kildekort til stor førsteparts-JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Stor JavaScript-fil mangler et kildekort"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Advarsel! 1 manglende element i `.sourcesContent`}one{Advarsel! # manglende element i `.sourcesContent`}other{Advarsel! # manglende elementer i `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Siden har gyldige kildekort"},
"lighthouse-core/audits/viewport.js | description":{message:'Tilføj et `<meta name="viewport">`-tag for at optimere din app til mobilskærme. [Få flere oplysninger](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Der blev ikke fundet noget `<meta name="viewport">`-tag'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Der ikke noget `<meta name="viewport">`-tag med `width` eller `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Der er et `<meta name="viewport">`-tag med `width` eller `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Disse er muligheder for at forbedre brugen af ARIA i din app, hvilket kan forbedre oplevelsen for brugere af hjælpeteknologi, f.eks. skærmlæsere."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"Disse er muligheder for at angive alternativt indhold for lyd og video. Dette kan forbedre oplevelsen for brugere med nedsat hørelse eller syn."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Lyd og video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Disse elementer fremhæver almindelige optimale løsninger for hjælpefunktioner."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Optimale løsninger"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Disse kontroller fremhæver muligheder for at [forbedre tilgængeligheden af din webapp](https://developers.google.com/web/fundamentals/accessibility). Det er kun visse tilgængelighedsproblemer, der kan registreres automatisk, og derfor anbefales det også at teste manuelt."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"Disse elementer omhandler områder, som et automatisk testværktøj ikke kan dække. Få flere oplysninger ved at læse vores vejledning i, hvordan du [udfører en gennemgang af hjælpefunktioner](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Hjælpefunktioner"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Disse er muligheder for at forbedre forståelsen af dit indhold."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Disse er muligheder for at gøre det nemmere for brugere med forskellige landestandarder at forstå dit indhold."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internationalisering og lokalisering"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Disse er muligheder for at forbedre semantikken i styringen af din app. De kan forbedre oplevelsen for brugere af hjælpeteknologi, f.eks. skærmlæsere."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Navne og etiketter"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Disse er muligheder for at forbedre tastaturnavigation i din app."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigation"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Disse er muligheder for at forbedre oplevelsen af oplæste tabel- eller listedata ved hjælp af hjælpeteknologi som f.eks. en skærmlæser."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabeller og lister"},
"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Browserkompatibilitet"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Optimale løsninger"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Generelt"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Tillid og sikkerhed"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Brugeroplevelse"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Budgetter for ydeevne angiver standarder for dit websites ydeevne."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budgetter"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Få flere oplysninger om din apps ydeevne. Resultatet [påvirkes ikke direkte](https://web.dev/performance-scoring/) af disse tal."},
"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostik"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Det vigtigste aspekt af effektivitet er, hvor hurtigt pixels gengives på skærmen. Vigtige metrics: Første udfyldning af indhold, Første betydningsfulde udfyldning"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Forbedringer af første udfyldning"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Disse forslag kan være med til at forbedre indlæsningstiden for din side. De [berører ikke direkte](https://web.dev/performance-scoring/) resultatet."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Muligheder"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrics"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"Gør den overordnede indlæsning bedre, så siden hurtigst muligt bliver responsiv og klar til brug. Vigtige metrics: Tid inden interaktiv tilstand, Hastighedsindeks"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Overordnede forbedringer"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Effektivitet"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Disse tjek validerer aspekterne af en progressiv webapp. [Få flere oplysninger](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Disse tjek kræves af den grundlæggende [tjekliste til progressive webapps](https://developers.google.com/web/progressive-web-apps/checklist), men de udføres ikke automatisk af Lighthouse. De påvirker ikke dine resultater, men det er vigtigt, at du bekræfter dem manuelt."},
"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressiv webapp"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Websitet kan installeres"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA-optimeret"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Disse kontroller sikrer, at din side er optimeret i forhold til rangering i søgemaskineresultater. Der findes andre faktorer, som Lighthouse ikke tjekker, og som kan påvirke din rangering i søgninger. [Få flere oplysninger](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Kør disse yderligere valideringer på dit website for at tjekke andre optimale SEO-løsninger."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"Formatér din HTML på en sådan måde, at den gør det lettere for crawlere at forstå indholdet i din app."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Optimale løsninger for indhold"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Hvis dit website skal vises i søgeresultater, skal crawlere have adgang til din app."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Crawl og indeksering"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Sørg for, at dine sider er mobilvenlige, så brugere ikke behøver at knibe fingrene sammen eller zoome ind for at se indholdet. [Få flere oplysninger](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobilvenlig"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Den testede enhed ser ud til at have en langsommere CPU, end Lighthouse forventer. Dette kan påvirke resultatet negativt. Få flere oplysninger om [kalibrering af en passende CPU-multiplikator for køkørsel](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Siden indlæses muligvis ikke som forventet, da din testwebadresse ({requested}) blev omdirigeret til {final}. Prøv at teste den anden webadresse direkte."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Siden blev indlæst for langsomt til at afslutte inden for tidsgrænsen. Resultaterne kan være ufuldstændige."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Der kan være gemte data, som påvirker indlæsningseffektiviteten på følgende placering: {locations}. Gennemgå denne side i et inkognitovindue for at forhindre, at disse ressourcer påvirker dine resultater.}one{Der kan være gemte data, som påvirker indlæsningseffektiviteten på følgende placering: {locations}. Gennemgå denne side i et inkognitovindue for at forhindre, at disse ressourcer påvirker dine resultater.}other{Der kan være gemte data, som påvirker indlæsningseffektiviteten på følgende placeringer: {locations}. Gennemgå denne side i et inkognitovindue for at forhindre, at disse ressourcer påvirker dine resultater.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Overvej at tilføje webadresseformaterne https: og http: (ignoreres af browsere, der understøtter "strict-dynamic") for at gøre CSP\'en bagudkompatibel med ældre browsere.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:'"disown-opener" har været udfaset siden CSP3. Brug headeren "Cross-Origin-Opener-Policy" i stedet.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:'"referrer" har været udfaset siden CSP2. Brug headeren "Referrer-Policy" i stedet.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:'"reflected-xss" har været udfaset siden CSP2. Brug headeren "X-XSS-Protection" i stedet.'},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'En manglende basis-uri tillader indsatte <base>-tags at angive basewebadressen for alle relative webadresser (f.eks. scripts) for et domæne, der styres af en hacker. Du bør overveje at angive basis-uri\'en som "none" eller "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Elementer, der styres af "object-src" anses som forældede funktioner. Overvej at angive "object-src" som "none" for at forhindre indsættelse af plugins, der kører usikre scripts.'},
"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:'"script-src"-direktivet mangler. Dette kan muliggøre kørsel af usikre scripts.'},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Glemte du at tilføje et semikolon? {keyword} lader til at være et direktiv – ikke et søgeord."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:'Nonces bør bruge "base64"-charsettet.'},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces skal bestå af mindst otte tegn."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:'Rapporteringsdestinationen konfigureres kun via direktivet "report-to". Dette direktiv understøttes kun i Chromium-baserede browsere. Derfor anbefaler vi, at du også bruger et "report-uri"-direktiv.'},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"Ingen CSP har konfigureret en rapporteringsdestination. Dette gør det svært at vedligeholde CSP'en på længere sigt og holde øje med sårbarheder."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'Hosttillaldelseslister kan ofte omgås. Overvej at bruge "strict-dynamic" sammen med CSP-nonces og -hashes.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Ukendt CSP-direktiv."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} lader til at være et ugyldigt søgeord."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'"unsafe-inline" tillader, at der kan køres "unsafe in-page"-scripts og hændelseshandlers. Overvej at bruge CSP-nonces eller -hashes til at tillade scripts på individuel basis.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:'Overvej at tilføje "unsafe-inline" (ignoreres af browsere, der understøtter nonces/hashes) for at gøre CSP\'en bagudkompatibel med ældre browsere.'
},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tidspunkt for blokering af den primære tråd"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache-TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Beskrivelse"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Varighed"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementer, der ikke bestod gennemgangen"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Placering"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Navn"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Over budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Anmodninger"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Ressourcestørrelse"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Ressourcetype"},
"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Størrelse"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Kilde"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Starttidspunkt"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Tidsforbrug"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Overførselsstørrelse"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"Webadresse"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potentiel besparelse"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potentiel besparelse"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potentiel besparelse på {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{
message:"{nodeCount,plural, =1{1 element blev fundet}one{# element blev fundet}other{# elementer blev fundet}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potentiel besparelse på {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Første betydningsfulde udfyldning"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Skrifttype"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Billede"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Høj"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Lavt"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Middel"},
"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maks. potentiel ventetid efter første input"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Medier"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Andet"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Andre ressourcer"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} sek."},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Typografiark"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Tredjepart"},
"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"I alt"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Der opstod en fejl ved registreringen af din sideindlæsning. Kør Lighthouse igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Der opstod timeout under ventetiden til den indledende forbindelse til Debugger-protokollen."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome indsamlede ikke nogen screenshots under sideindlæsningen. Sørg for, at der er synligt indhold på siden, og prøv derefter at køre Lighthouse igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS-serverne kunne ikke oversætte det angivne domæne."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Der opstod en fejl i den obligatoriske {artifactName}-indsamler: {errorMessage}"},
"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Der opstod en intern Chrome-fejl. Genstart Chrome, og prøv at køre Lighthouse igen."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Den obligatoriske {artifactName}-indsamler blev ikke kørt."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Siden viste ikke noget indhold. Sørg for, at browservinduet er i forgrunden under indlæsningen, og prøv igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Den angivne side er ikke HTML (vises som MIME-typen {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Denne version af Chrome er for gammel til at understøtte "{featureName}". Brug en nyere version for at se alle resultater.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse kunne ikke indlæse den side, du anmodede om. Sørg for at teste den rigtige webadresse, og tjek, at serveren svarer korrekt på alle anmodninger."
},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse kunne ikke indlæse den webadresse, du anmodede om, da siden stoppede med at svare."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Den webadresse, du har angivet, har ikke et gyldigt sikkerhedscertifikat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome forhindrede indlæsning af en side med en mellemliggende annonce. Sørg for, at du tester den rigtige webadresse, og tjek, at serveren svarer korrekt på alle anmodninger."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse kunne ikke indlæse den side, du anmodede om. Sørg for, at du tester den rigtige webadresse, og tjek, at serveren svarer korrekt på alle anmodninger. (Info: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Lighthouse kunne ikke indlæse den side, du anmodede om. Sørg for, at du tester den rigtige webadresse, og tjek, at serveren svarer korrekt på alle anmodninger. (Statuskode: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Det tog for lang tid at indlæse siden. Benyt mulighederne i rapporten for at reducere indlæsningstiden for din side. Prøv derefter at køre Lighthouse igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools-protokollen har overskredet den tilladte ventetid for svar. (Metode: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Hentning af ressourceindhold har taget længere tid end tilladt"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Den angivne webadresse lader til at være ugyldig."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Alle"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Alle scripts"},
"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Dækning"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Identiske moduler"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bytes i ressourcefil"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Navn"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Vis/skjul tabel"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Ubrugte bytes"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Ved animeret indhold bør du bruge [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) til at minimere brugen af CPU, når indholdet er uden for skærmbilledet."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Du kan også vælge at vise alle [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-komponenter i WebP-formater, mens du angiver et passende alternativ for andre browsere. [Få flere oplysninger](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Sørg for, at du bruger [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) til billeder for at få automatisk udskudt indlæsning. [Få flere oplysninger](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Brug værktøjer som f.eks. [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) til at [gengive AMP-layouts på serveren](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Læs [AMP-dokumentationen](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) for at sikre, at alle skrifttyper understøttes."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Komponenten [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) understøtter attributten [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) for at specificere, hvilke billedaktiver der skal bruges, baseret på skærmens størrelse. [Få flere oplysninger](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Du kan også vælge virtuel rulning med Component Dev Kit (CDK), hvis du får vist meget store lister. [Få flere oplysninger](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Brug [kodesplitning på ruteniveau](https://web.dev/route-level-code-splitting-in-angular/) til at minimere størrelsen på dine JavaScript-pakker. Du kan også vælge at gemme aktiver i cachen på forhånd ved hjælp af[Angular-scripttjenesten](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Hvis du bruger Angular CLI, skal du sørge for, at builds genereres i produktionstilstand. [Få flere oplysninger](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"Hvis du bruger Angular CLI, bør du medtage kildekort i dit produktionsbuild for at inspicere dine pakker. [Få flere oplysninger](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Indlæs ruter på forhånd for at gøre navigationen hurtigere. [Få flere oplysninger](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Du kan også vælge at bruge værktøjet `BreakpointObserver` i Component Dev Kit (CDK) til at administrere skillepunkter for billeder. [Få flere oplysninger](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Overvej at uploade din gif til en tjeneste, hvor den kan integreres som en HTML5-video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{
message:"Angiv `@font-display`, når du definerer tilpassede skrifttyper i dit tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Overvej at installere og konfigurere [et modul til at anvende WebP-billedformater](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) på dit website. Denne slags moduler genererer automatisk en WebP-version af dine uploadede billeder for at optimere indlæsningstiderne."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Installer [et Drupal-modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) til udskudt indlæsning af billeder. Denne slags moduler gør det muligt at udskyde billeder, som ikke er på skærmen, og på den måde forbedre ydeevnen."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Overvej at bruge et modul til at indlejre vigtig CSS og JavaScript eller indlæse aktiver asynkront via JavaScript som f.eks. modulet [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Vær opmærksom på, at optimeringer via dette modul kan ødelægge dit website. Du bliver derfor sandsynligvis nødt til at foretage kodeændringer."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Temaer, moduler og serverspecifikationer påvirker alle serverens svartid. Overvej at finde et mere optimeret tema, vælge et modul til optimering og/eller opgradere din server. Dine hostingservere skal bruge PHP-opkodningscachelagring, hukommelsescachelagring for at reducere forespørgselstider i databaser, f.eks. Redis eller Memcached, samt optimeret applogik for hurtigere forberedelse af sider."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Overvej at bruge [responsive billedformater](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) for at reducere størrelsen på de billeder, der indlæses på din side. Hvis du bruger Visninger til at vise flere indholdselementer på en side, kan du overveje at implementere sideinddeling for at begrænse mængden af indholdselementer, der vises på en bestemt side."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'Sørg for, at du har aktiveret "Sammenlæg CSS-filer" på siden "Administration » Konfiguration » Udvikling". Du kan også konfigurere flere avancerede sammenlægningsmuligheder gennem [yderligere moduler](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) for at gøre dit website hurtigere ved at sammenkæde, formindske og komprimere CSS-formater.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Sørg for, at du har aktiveret "Sammenlæg JavaScript-filer" på siden "Administration » Konfiguration » Udvikling". Du kan også konfigurere flere avancerede sammenlægningsmuligheder gennem [yderligere moduler](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) for at gøre dit website hurtigere ved at sammenkæde, formindske og komprimere JavaScript-aktiver.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Overvej at fjerne ubrugte CSS-regler og kun vedhæfte de nødvendige Drupal-samlinger til den relevante side eller komponent på en side. Du kan finde flere oplysninger via [linket til Drupal-dokumentation](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Hvis du vil identificere vedhæftede samlinger, der tilføjer irrelevant CSS, kan du prøve at køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan identificere det problematiske tema/modul via webadressen for typografiarket, når CSS-sammenlægning er deaktiveret på dit Drupal-website. Kig efter temaer/moduler med mange typografiark på listen, som indeholder meget rødt i kodedækningen. Et tema/modul bør kun sætte et typografiark i kø, hvis det rent faktisk anvendes på siden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Overvej at fjerne ubrugte JavaScript-aktiver og kun vedhæfte de nødvendige Drupal-samlinger til den relevante side eller komponent på en side. Du kan finde flere oplysninger via [linket til Drupal-dokumentationen](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Hvis du vil identificere vedhæftede samlinger, der tilføjer irrelevant JavaScript, kan du prøve at køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan identificere det problematiske tema/modul via webadressen for scriptet, når JavaScript-sammenlægning er deaktiveret på dit Drupal-website. Kig efter temaer/moduler med mange scripts på listen, som indeholder meget rødt i kodedækningen. Et tema/modul bør kun sætte et script i kø, hvis det rent faktisk anvendes på siden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Angiv "Maks. alder for browser- og proxycachelagring" på siden "Administration » Konfiguration » Udvikling". Læs om [Drupal-cache og optimering for bedre ydeevne](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Overvej at bruge [et modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), der automatisk optimerer og reducerer størrelsen på billeder, der uploades gennem websitet, mens kvaliteten bevares. Sørg også for at bruge de indbyggede [responsive billedformater](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) fra Drupal (tilgængelig i Drupal 8 og nyere versioner) til alle billeder, der gengives på dette website."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Ressourcehints til at oprette forbindelse på forhånd eller ressourcehints til forhåndsindlæsning af DNS kan tilføjes ved at installere og konfigurere [et modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), der leverer faciliteter til ressourcehints for brugeragenter."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Sørg for at bruge de indbyggede [responsive billedformater](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) fra Drupal (tilgængelig i Drupal 8 og nyere versioner). Brug de responsive billedformater, når du gengiver billedfelter gennem visningstilstande, visninger eller billeder, der uploades via WYSIWYG-editoren."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Overvej at uploade din gif til en tjeneste, hvor den kan integreres som en HTML5-video."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Overvej at bruge et [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) eller en tjeneste, der automatisk konverterer dine uploadede billeder til deres optimale formater."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Installer et [Joomla-plugin til udskudt indlæsning](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), der gør det muligt at udskyde eventuelle billeder, som ikke er på skærmen, eller skifte til en skabelon, der leverer denne funktionalitet. Fra og med Joomla 4.0 får alle nye billeder [automatisk](https://github.com/joomla/joomla-cms/pull/30748) attributten `loading` fra kernefunktionen."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Der er en række Joomla-plugins, som kan hjælpe dig med at [indlejre vigtige aktiver](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) eller [udskyde mindre vigtige ressourcer](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Vær opmærksom på, at optimeringer via disse plugins kan ødelægge funktioner i dine skabeloner og plugins. Du bliver derfor nødt til at teste disse omhyggeligt."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Skabeloner, udvidelser og serverspecifikationer påvirker alle serverens svartid. Overvej at finde en mere optimeret skabelon, vælge en udvidelse til optimering og/eller opgradere din server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Overvej at vise uddrag på dine artikelkategorier (f.eks. via linket Læs mere), reducere antallet af viste artikler på en given side, opdele dine lange opslag i flere sider eller bruge et plugin til at indlæse kommentarer langsomt."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"En række [Joomla-udvidelser](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) kan gøre dit website hurtigere ved at sammenkæde, formindske og komprimere dine typografier. Der er også skabeloner, der leverer denne funktionalitet."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"En række [Joomla-udvidelser](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) kan gøre dit website hurtigere ved at sammenkæde, formindske og komprimere dine scripts. Der er også skabeloner, der leverer denne funktionalitet."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Overvej at reducere eller ændre antallet af [Joomla-udvidelser](https://extensions.joomla.org/), der indlæser ubrugt CSS på din side. Hvis du vil identificere udvidelser, der tilføjer irrelevant CSS, kan du prøve at køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan identificere det problematiske tema/plugin via webadressen for typografiarket. Kig efter plugins med mange typografiark på listen, som indeholder meget rødt i kodedækningen. Et plugin bør kun sætte et typografiark i kø, hvis det rent faktisk anvendes på siden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Overvej at reducere eller ændre antallet af [Joomla-udvidelser](https://extensions.joomla.org/), der indlæser ubrugt JavaScript på din side. Hvis du vil identificere plugins, der tilføjer irrelevant JavaScript, kan du prøve at køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan identificere den problematiske udvidelse via webadressen for scriptet. Kig efter udvidelser med mange scripts på listen, som indeholder meget rødt i kodedækningen. En udvidelse bør kun sætte et script i kø, hvis det rent faktisk anvendes på siden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Læs mere om [browserens cachelagring i Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Overvej at bruge et [plugin til billedoptimering](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), der komprimerer dine billeder uden at gå på kompromis med kvaliteten."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Overvej at bruge et [plugin til responsive billeder](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), så du kan bruge responsive billeder i dit indhold."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Du kan aktivere tekstkomprimering ved at aktivere Gzip-sidekomprimering i Joomla (System > Global configuration > Server [System > Global konfiguration > Server])."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Hvis du ikke pakker dine JavaScript-aktiver, bør du overveje at bruge [Baler](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Deaktiver Magentos indbyggede [JavaScript-pakning og -formindskning](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), og overvej at bruge [Baler](https://github.com/magento/baler/) i stedet."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Angiv `@font-display`, når du [definerer tilpassede skrifttyper](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Du kan også vælge at søge på [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) efter et udvalg af tredjepartsudvidelser for at benytte nyere billedformater."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Du kan også vælge at ændre skabelonerne til dine produkter og kataloger for at udnytte funktionen [udskudt indlæsning](https://web.dev/native-lazy-loading) på webplatformen."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Brug Magentos [Varnish-integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Aktivér indstillingen "Minify CSS Files" (Formindsk CSS-filer) i udviklingsindstillingerne for din butik. [Få flere oplysninger](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Brug [Terser](https://www.npmjs.com/package/terser) til at formindske alle JavaScript-aktiver fra statisk indholdsimplementering og til at deaktivere den indbyggede funktion til formindskning."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Deaktiver Magentos indbyggede [JavaScript-pakning](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Du kan også vælge at søge på [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) efter et udvalg af tredjepartsudvidelser for at optimere billeder."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Ressourcehints til at oprette forbindelse på forhånd eller ressourcehints til forhåndsindlæsning af DNS kan tilføjes ved at [ændre layoutet for et tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>`-tags kan tilføjes ved at [ændre layoutet for et tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Udskift animerede giffer med video](https://web.dev/replace-gifs-with-videos/) for at få hurtigere websideindlæsning, og overvej at bruge moderne filformater som f.eks. [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) eller [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) for at forbedre effektiviteten af komprimering med mere end 30 % i forhold til det topmoderne videocodec VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:'Overvej at bruge et [plugin](https://octobercms.com/plugins?search=image) eller en tjeneste, der automatisk konverterer de uploadede billeder til de optimale formater. [Tabsfri WebP-billeder](https://developers.google.com/speed/webp) er 26 % mindre end PNG\'er og 25-34 % mindre end sammenlignelige JPEG-billeder med tilsvarende SSIM-kvalitetsindeks. Du kan også overveje at bruge "next-gen"-billedformatet [AVIF](https://jakearchibald.com/2020/avif-has-landed/).'},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Overvej at installere et [plugin til udskudt billedindlæsning](https://octobercms.com/plugins?search=lazy), der gør det muligt at udskyde eventuelle billeder, som ikke er på skærmen, eller skifte til et tema, der leverer denne funktionalitet. Overvej også at bruge [AMP-pluginnet](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Der er mange plugins, som hjælper med at [indlejre vigtige aktiver](https://octobercms.com/plugins?search=css). Disse plugins kan ødelægge andre plugins, så du bør foretage grundige tests."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Temaer, plugins og serverspecifikationer påvirker alle serverens svartid. Overvej at finde et mere optimeret tema, vælge en udvidelse til optimering og/eller opgradere serveren. October CMS giver også udviklerne mulighed for at bruge [`Queues`](https://octobercms.com/docs/services/queues) til at udskyde udførelsen af en tidskrævende opgave, f.eks. afsendelse af en mail. Dette øger hastigheden på webanmodninger betragteligt."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Overvej at vise uddrag på dine opslagslister (f.eks. via knappen `show more`), reducere antallet af viste opslag på en given webside, opdele dine lange opslag i flere websider eller bruge et plugin til at indlæse kommentarer efter behov."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Der er mange [plugins](https://octobercms.com/plugins?search=css), der kan gøre et website hurtigere ved at sammenkæde, formindske og komprimere formater. Hvis du bruger en buildproces til på forhånd at foretage denne formindskelse, kan det øge effektiviteten."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Der er mange [plugins](https://octobercms.com/plugins?search=javascript), som kan gøre dit website hurtigere ved at sammenkæde, formindske og komprimere scripts. Hvis du bruger en buildproces til på forhånd at foretage denne formindskelse, kan det øge effektiviteten."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Overvej at gennemgå de [plugins](https://octobercms.com/plugins), der indlæser ubrugt CSS på websitet. Hvis du vil identificere plugins, der tilføjer unødvendig CSS, skal du køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Udviklerværktøjer til Chrome. Identificer det problematiske tema/plugin via webadressen for typografiarket. Kig efter plugins med mange typografiark og meget rødt i kodedækningen. Et plugin bør kun tilføje et typografiark, hvis det rent faktisk anvendes på websiden."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Overvej at gennemgå de [plugins](https://octobercms.com/plugins?search=javascript), der indlæser ubrugt JavaScript på websiden. Hvis du vil identificere plugins, der tilføjer unødvendig JavaScript, skal du køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Udviklerværktøjer til Chrome. Identificer det problematiske tema/plugin fra scriptets webadresse. Kig efter plugins med mange scripts og meget rødt i kodedækningen. Et plugin bør kun tilføje et script, hvis det rent faktisk anvendes på siden."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Få flere oplysninger om, hvordan du [forhindrer unødvendige netværksanmodninger med HTTP-cachen](https://web.dev/http-cache/#caching-checklist). Der er mange [plugins](https://octobercms.com/plugins?search=Caching), der kan bruges til at gemme hurtigere i cachen."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Overvej at bruge et [plugin til billedoptimering](https://octobercms.com/plugins?search=image) til at komprimere billeder uden at gå på kompromis med kvaliteten."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Upload billeder direkte i medieadministrationen for at sikre, at de påkrævede billedstørrelser er tilgængelige. Overvej at bruge [filteret til valg af en anden størrelse](https://octobercms.com/docs/markup/filter-resize) eller et [plugin til valg af en anden billedstørrelse](https://octobercms.com/plugins?search=image) for at sikre, at de optimale billedstørrelser anvendes."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Aktivér tekstkomprimering i konfigurationen af din webserver."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Hvis du gengiver mange gentagne elementer på siden, kan du overveje at bruge et "vinduesbibliotek" som f.eks. `react-window` for at minimere antallet af DOM-noder, der oprettes. [Få flere oplysninger](https://web.dev/virtualize-long-lists-react-window/). Hvis du bruger `Effect`-hooken til at forbedre kørselstiden, bør du også minimere antallet af unødvendige gentagne gengivelser ved kun at bruge [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) eller [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) og [springe effekter over](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), indtil visse afhængige elementer er ændret.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Hvis du bruger React Router, bør du minimere brugen af komponenten `<Redirect>` til [rutenavigationer](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Hvis du gengiver React-komponenter på serveren, bør du overveje at bruge `renderToNodeStream()` eller `renderToStaticNodeStream()` for at give klienten mulighed for at modtage og hydrere forskellige dele af opmærkningen i stedet for det hele på én gang. [Få flere oplysninger](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Hvis dit buildsystem formindsker CSS-filer automatisk, skal du sørge for, at du implementerer produktionsbuildet af din app. Du kan tjekke dette med udvidelsen React Developer Tools. [Få flere oplysninger](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Hvis dit buildsystem formindsker JS-filer automatisk, skal du sørge for, at du implementerer produktionsbuildet af din app. Du kan tjekke dette med udvidelsen React Developer Tools. [Få flere oplysninger](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Hvis du ikke gengiver på serveren, [kan du opdele JavaScript-pakker](https://web.dev/code-splitting-suspense/) med `React.lazy()`. Du kan også kodesplitte ved hjælp at et tredjepartsbibliotek som f.eks.[indlæsbare komponenter](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Brug React DevTools Profiler, som anvender Profiler API til at måle effektiviteten og gengivelsen af dine komponenter. [Få flere oplysninger.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Overvej at uploade din gif til en tjeneste, hvor den kan integreres som en HTML5-video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Overvej at bruge et [plugin](https://wordpress.org/plugins/search/convert+webp/) eller en tjeneste, der automatisk konverterer dine uploadede billeder til deres optimale formater."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Installer et [WordPress-plugin til udskudt indlæsning](https://wordpress.org/plugins/search/lazy+load/), der gør det muligt at udskyde eventuelle billeder, som ikke er på skærmen, eller skifte til et tema, der leverer denne funktionalitet. Overvej også at bruge [AMP-pluginnet](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Der er en række WordPress-plugins, som kan hjælpe dig med at [indlejre vigtige aktiver](https://wordpress.org/plugins/search/critical+css/) eller [udskyde mindre vigtige ressourcer](https://wordpress.org/plugins/search/defer+css+javascript/). Vær opmærksom på, at optimeringer via disse plugins kan ødelægge funktioner i dine temaer og plugins. Du bliver derfor sandsynligvis nødt til at foretage kodeændringer."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Temaer, plugins og serverspecifikationer påvirker alle serverens svartid. Overvej at finde et mere optimeret tema, vælge et plugin til optimering og/eller opgradere din server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Overvej at vise uddrag på dine opslagslister (f.eks. via tagget Mere), reducere antallet af viste opslag på en given side, opdele dine lange opslag i flere sider eller bruge et plugin til at indlæse kommentarer langsomt."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"En række [WordPress-plugins](https://wordpress.org/plugins/search/minify+css/) kan gøre dit website hurtigere ved at sammenkæde, formindske og komprimere dine typografier. Det kan også være en god idé at bruge en buildproces til at udføre denne formindskelse på forhånd, hvis det er muligt."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"En række [WordPress-plugins](https://wordpress.org/plugins/search/minify+javascript/) kan gøre dit website hurtigere ved at sammenkæde, formindske og komprimere dine scripts. Det kan også være en god idé at bruge en buildproces til at udføre denne formindskelse på forhånd, hvis det er muligt."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Overvej at reducere eller ændre antallet af [WordPress-plugins](https://wordpress.org/plugins/), der indlæser ubrugt CSS på din side. Hvis du vil identificere plugins, der tilføjer irrelevant CSS, kan du prøve at køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan identificere det problematiske tema/plugin via webadressen for typografiarket. Kig efter plugins med mange typografiark på listen, som indeholder meget rødt i kodedækningen. Et plugin bør kun sætte et typografiark i kø, hvis det rent faktisk anvendes på siden."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"Overvej at reducere eller ændre antallet af [WordPress-plugins](https://wordpress.org/plugins/), der indlæser ubrugt JavaScript på din side. Hvis du vil identificere plugins, der tilføjer irrelevant JavaScript, kan du prøve at køre [kodedækning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan identificere det problematiske tema/plugin via webadressen for scriptet. Kig efter plugins med mange scripts på listen, som indeholder meget rødt i kodedækningen. Et plugin bør kun sætte et script i kø, hvis det rent faktisk anvendes på siden."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Læs om [browserens cachelagring i WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Overvej at bruge et [WordPress-plugin til billedoptimering](https://wordpress.org/plugins/search/optimize+images/), der komprimerer dine billeder uden at gå på kompromis med kvaliteten."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Upload billeder direkte via [mediesamlingen](https://wordpress.org/support/article/media-library-screen/) for at sikre, at de påkrævede billedstørrelser er tilgængelige, og indsæt dem derefter fra mediesamlingen, eller brug billedwidgetten til at sikre, at de optimale billedstørrelser anvendes (inklusive dem til responsive skillepunkter). Undgå at bruge billeder i `Full Size`, medmindre dimensionerne er passende til brugen. [Få flere oplysninger](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Du kan aktivere tekstkomprimering ved konfigurationen af din webserver."},
"report/renderer/util.js | calculatorLink":{message:"Se beregner."},"report/renderer/util.js | crcInitialNavigation":{message:"Indledende navigation"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksimal forsinkelse for kritisk sti:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopiér JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Slå Mørkt tema til/fra"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Udskriften blev udvidet"},"report/renderer/util.js | dropdownPrintSummary":{message:"Udskriftsoversigt"},"report/renderer/util.js | dropdownSaveGist":{message:"Gem som Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Gem som HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Gem som JSON"},"report/renderer/util.js | dropdownViewer":{message:"Åbn i fremviser"},"report/renderer/util.js | errorLabel":{message:"Der opstod en fejl"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Rapportfejl: Der er ingen revisionsoplysninger"},"report/renderer/util.js | footerIssue":{message:"Indsend et problem"},"report/renderer/util.js | labDataTitle":{message:"Laboratoriedata"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/)-analyse af den aktuelle side på et emuleret mobilnetværk. Værdierne er estimater og kan variere."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Yderligere elementer, der skal tjekkes manuelt"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Ikke relevant"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Mulighed"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Estimeret tidsbesparelse"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Beståede revisioner"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emuleret computer"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Emuleret Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Ingen emulering"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe-version"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Effektivitet af CPU/hukommelse"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU-begrænsning"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Enhed"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Tidspunkt for hentning"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Netværksbegrænsning"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Indstillinger for kørselstid"},"report/renderer/util.js | runtimeSettingsUA":{message:"Brugeragent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Brugeragent (netværk)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"Webadresse"},"report/renderer/util.js | runtimeUnknown":{message:"Ukendt"},"report/renderer/util.js | showRelevantAudits":{message:"Vis gennemgange, som er relevante for:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Skjul uddrag"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Udvid uddrag"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Vis ressourcer fra tredjeparter"},"report/renderer/util.js | throttlingProvided":{message:"Leveret af miljøet"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Der blev registreret problemer, som påvirkede denne kørsel af Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Værdierne er estimater og kan variere. [Resultatet beregnes](https://web.dev/performance-scoring/) direkte på baggrund af disse metrics."},"report/renderer/util.js | viewTreemapLabel":{message:"Se trædiagram"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Bestod revisioner, men med advarsler"},"report/renderer/util.js | warningHeader":{message:"Advarsler! "}}},{}],105:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Anhand von Tastenkombinationen können Nutzer schnell einen Bereich der Seite in den Fokus rücken. Damit die Navigation wie vorgesehen funktioniert, muss jede Tastenkombination eindeutig sein. [Weitere Informationen.](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]`-Werte sind nicht eindeutig"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]`-Werte sind eindeutig"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Jede ARIA-`role` unterstützt eine bestimmte Auswahl an `aria-*`-Attributen. Wenn sie jedoch falsch zugeordnet sind, werden die `aria-*`-Attribute ungültig. [Weitere Informationen.](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]`-Attribute stimmen nicht mit ihren Rollen überein"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]`-Attribute entsprechen ihren Rollen"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Wenn ein Element keinen zugänglichen Namen hat, wird es von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist es für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`-, `link`- und `menuitem`-Elemente haben keine zugänglichen Namen."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`-, `link`- und `menuitem`-Elemente haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Hilfstechnologien wie Screenreader funktionieren nicht richtig, wenn für das Dokument `<body>` die Richtlinie auf `aria-hidden="true"` gestellt ist. [Weitere Informationen](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` ist in dem Dokument`<body>` vorhanden'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` ist in dem Dokument `<body>` nicht vorhanden'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Fokussierbare Unterelemente in einem `[aria-hidden="true"]`-Element führen dazu, dass Nutzer von Hilfstechnologien wie Screenreadern solche interaktiven Elemente nicht verwenden können. [Weitere Informationen](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]`-Elemente enthalten fokussierbare Unterelemente'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]`-Elemente enthalten keine fokussierbaren Unterelemente'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Wenn ein Eingabefeld keinen zugänglichen Namen hat, wird es von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist es für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"ARIA-Eingabefelder haben keine zugänglichen Namen"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA-Eingabefelder haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Wenn ein Element keinen zugänglichen Namen hat, wird es von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist es für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter`-Elemente haben keine zugänglichen Namen."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter`-Elemente haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Wenn ein `progressbar`-Element keinen barrierefreien Namen hat, wird es von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist es für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar`-Elemente haben keine zugänglichen Namen."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar`-Elemente haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Für einige ARIA-Rollen sind Attribute erforderlich, die Screenreadern den Zustand des Elements beschreiben. [Weitere Informationen.](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`-Elemente weisen nicht alle erforderlichen `[aria-*]`-Attribute auf"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`-Elemente verfügen über alle erforderlichen `[aria-*]`-Attribute"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Einige übergeordnete ARIA-Rollen müssen bestimmte untergeordnete Rollen enthalten, damit sie die beabsichtigten Hilfsfunktionen erfüllen können. [Weitere Informationen.](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Den Elementen mit einer ARIA-`[role]`, deren untergeordnete Elemente eine bestimmte `[role]` enthalten müssen, fehlen einige oder alle dieser erforderlichen untergeordneten Elemente."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Die Elemente mit einer ARIA-`[role]`, deren untergeordnete Elemente eine bestimmte `[role]` enthalten müssen, haben alle erforderlichen untergeordneten Elemente."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Einige untergeordnete ARIA-Rollen müssen in bestimmten übergeordneten Rollen enthalten sein, damit sie die beabsichtigten Hilfsfunktionen erfüllen können. [Weitere Informationen.](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`-Elemente sind nicht ihren jeweils erforderlichen übergeordneten Elementen untergeordnet"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`-Elemente sind ihren jeweils erforderlichen übergeordneten Elementen untergeordnet"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Für ARIA-Rollen müssen gültige Werte angegeben sein, damit sie die beabsichtigten Hilfsfunktionen erfüllen können. [Weitere Informationen.](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{
message:"`[role]`-Werte sind ungültig"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]`-Werte sind gültig"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Wenn eine Ein-/Aus-Schaltfläche keinen zugänglichen Namen hat, wird sie von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist sie für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA-Ein-/Aus-Schaltflächen haben keine zugänglichen Namen"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA-Ein-/Aus-Schaltflächen haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Wenn ein Element keinen zugänglichen Namen hat, wird es von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist es für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip`-Elemente haben keine zugänglichen Namen."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip`-Elemente haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Wenn ein Element keinen zugänglichen Namen hat, wird es von Screenreadern mit einer allgemeinen Bezeichnung angesagt. Dadurch ist es für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar. [Weitere Informationen](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"ARIA `treeitem`-Elemente haben keine zugänglichen Namen."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem`-Elemente haben zugängliche Namen"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Hilfstechnologien wie Screenreader können ARIA-Attribute mit ungültigen Werten nicht interpretieren. [Weitere Informationen.](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]`-Attribute weisen keine gültigen Werte auf"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]`-Attribute weisen gültige Werte auf"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Hilfstechnologien wie Screenreader können ARIA-Attribute mit ungültigen Namen nicht interpretieren. [Weitere Informationen.](https://web.dev/aria-valid-attr/)"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]`-Attribute sind ungültig oder falsch geschrieben"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]`-Attribute sind gültig und richtig geschrieben"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Fehlerhafte Elemente"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Wenn eine Schaltfläche keinen zugänglichen Namen hat, wird sie von Screenreadern als "Schaltfläche" angesagt, was sie für Nutzer, die auf Screenreader angewiesen sind, unbrauchbar macht. [Weitere Informationen.](https://web.dev/button-name/)'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Schaltflächen haben keinen für Screenreader zugänglichen Namen"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Die Namen der Schaltflächen sind für Screenreader zugänglich"},
"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Wenn Tastaturnutzer Inhalte umgehen können, die sich wiederholen, sorgt das für eine effizientere Navigation. [Weitere Informationen.](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Die Seite enthält keine Überschrift, keinen Link zum Überspringen und keinen Landmark-Bereich"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Die Seite enthält eine Überschrift, einen Link zum Überspringen oder einen Landmark-Bereich"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Text mit geringem Kontrast ist für viele Nutzer schlecht oder gar nicht lesbar. [Weitere Informationen.](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Das Kontrastverhältnis von Hintergrund- und Vordergrundfarben ist nicht ausreichend."},
"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Das Kontrastverhältnis von Hintergrund- und Vordergrundfarben ist ausreichend"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Wenn Definitionslisten nicht korrekt mit Markup versehen sind, geben Screenreader unter Umständen verwirrende oder falsche Inhalte aus. [Weitere Informationen.](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`-Elemente enthalten nicht ausschließlich Gruppen aus `<dt>`- und `<dd>`-Elementen sowie `<script>`-, `<template>`- oder `<div>`-Elemente, die richtig angeordnet sind."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`-Elemente enthalten ausschließlich Gruppen aus `<dt>`- und `<dd>`-Elementen sowie `<script>`-, `<template>`- oder `<div>`-Elemente, die richtig angeordnet sind."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Definitionslistenelemente (`<dt>` und `<dd>`) müssen in ein übergeordnetes `<dl>`-Element eingefasst sein, damit sie von Screenreadern richtig angesagt werden können. [Weitere Informationen.](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Definitionslistenelemente sind nicht in `<dl>`-Elemente eingefasst"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Definitionslistenelemente sind in `<dl>`-Elemente eingefasst"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Anhand des Titels wissen Screenreader-Nutzer, worum es auf der Seite geht. Außerdem entscheiden Nutzer von Suchmaschinen auf der Grundlage des Titels, ob eine Seite für ihre Suche relevant ist. [Weitere Informationen.](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{
message:"Dokument hat kein `<title>`-Element"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokument enthält ein `<title>`-Element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Für alle fokussierbaren Elemente ist ein eindeutiges `id` erforderlich, damit sie von Hilfstechnologien erkannt werden können. [Weitere Informationen](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]`-Attribute zu aktiven, fokussierbaren Elementen sind nicht eindeutig"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]`-Attribute zu aktiven, fokussierbaren Elementen sind eindeutig"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"Der Wert einer ARIA-ID muss eindeutig sein, damit andere Instanzen nicht von Hilfstechnologien übersehen werden. [Weitere Informationen](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA-IDs sind nicht eindeutig"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA-IDs sind eindeutig"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Formularfelder mit mehreren Labels werden von Hilfstechnologien wie Screenreadern unter Umständen missverständlich angesagt, da diese entweder das erste, das letzte oder alle Labels verwenden. [Weitere Informationen](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Formularfelder haben mehrere Labels"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{
message:"Kein Formularfeld hat mehrere Labels"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Nutzer von Screenreadern sind auf Frametitel angewiesen, die die Frameinhalte beschreiben. [Weitere Informationen.](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>`- oder `<iframe>`-Elemente haben keinen Titel"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>`- oder `<iframe>`-Elemente verfügen über einen Titel"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Richtig geordnete Überschriften, die keine Ebenen überspringen, geben der Seite eine semantische Struktur. Wenn man Hilfstechnologien verwendet, ist es dadurch leichter, sich auf der Seite zurechtzufinden und die Inhalte zu verstehen. [Weitere Informationen](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{
message:"Überschriftenelemente sind nicht in einer fortlaufenden absteigenden Reihenfolge angeordnet"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Überschriftenelemente werden in einer fortlaufenden absteigenden Reihenfolge angezeigt"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Wenn auf einer Seite kein lang-Attribut angegeben ist, nimmt ein Screenreader an, dass es sich um die Standardsprache handelt, die der Nutzer beim Einrichten des Screenreaders ausgewählt hat. Wenn die Sprache jedoch nicht der Standardsprache entspricht, gibt der Screenreader den Inhalt der Seite möglicherweise falsch aus. [Weitere Informationen.](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>`-Element enthält kein `[lang]`-Attribut"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>`-Element hat ein `[lang]`-Attribut"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Durch Angabe einer gültigen [Sprache gemäß BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) kann der Text von einem Screenreader korrekt wiedergegeben werden. [Weitere Informationen.](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>`-Element weist keinen gültigen Wert für sein `[lang]`-Attribut auf."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Das `<html>`-Element hat einen gültigen Wert für sein `[lang]`-Attribut"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informative Elemente sollten einen kurzen, beschreibenden alternativen Text haben. Dekorative Elemente können mit einem leeren ALT-Attribut ignoriert werden. [Weitere Informationen.](https://web.dev/image-alt/)"},
"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Bildelemente haben keine `[alt]`-Attribute"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Bildelemente verfügen über `[alt]`-Attribute"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Wenn ein Bild als `<input>`-Schaltfläche verwendet wird, kann die Angabe von alternativem Text Screenreader-Nutzern helfen, den Zweck der Schaltfläche besser zu verstehen. [Weitere Informationen.](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">`-Elemente verfügen nicht über `[alt]`-Text'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">`-Elemente verfügen über `[alt]`-Text'},"lighthouse-core/audits/accessibility/label.js | description":{
message:"Durch Labels wird gewährleistet, dass Steuerelemente für Formulare von Hilfstechnologien wie Screenreadern richtig angesagt werden. [Weitere Informationen.](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Die Formularelemente sind nicht mit Labels verknüpft"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Formularelemente sind mit Labels verknüpft"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Linktext, der leicht erkennbar, eindeutig und fokussierbar ist, verbessert die Navigation für Screenreader-Nutzer. Dies gilt auch für alternativen Text für Bilder, die als Links verwendet werden. [Weitere Informationen.](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Links haben keinen leicht erkennbaren Namen"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Links haben einen leicht erkennbaren Namen"},
"lighthouse-core/audits/accessibility/list.js | description":{message:"Screenreader sagen Listen auf bestimmte Art und Weise an. Eine korrekte Listenstruktur gewährleistet, dass der Screenreader sie richtig ausgibt. [Weitere Informationen.](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Listen enthalten nicht nur `<li>`-Elemente und Elemente zur Skriptunterstützung (`<script>` sowie `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Listen enthalten nur `<li>`-Elemente und Elemente zur Skriptunterstützung (`<script>` sowie `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Listenelemente (`<li>`) müssen sich in einem übergeordneten `<ul>`- oder `<ol>`-Element befinden, damit Screenreader sie richtig ansagen können. [Weitere Informationen.](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{
message:"Listenelemente (`<li>`) befinden sich nicht in übergeordneten `<ul>`- oder `<ol>`-Elementen."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Listenelemente (`<li>`) befinden sich in übergeordneten `<ul>`- oder `<ol>`-Elementen"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Nutzer rechnen nicht damit, dass eine Seite automatisch aktualisiert wird. Außerdem wird dadurch der Fokus wieder auf den Seitenanfang verschoben. Das kann für den Nutzer frustrierend oder verwirrend sein. [Weitere Informationen.](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Im Dokument wird `<meta http-equiv="refresh">` verwendet'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dieses Dokument verwendet `<meta http-equiv="refresh">` nicht'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Wenn Sie die Zoomfunktion deaktivieren, haben Nutzer mit eingeschränktem Sehvermögen, die auf die Bildschirmvergrößerung angewiesen sind, Probleme, den Inhalt einer Webseite zu sehen. [Weitere Informationen.](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` wird im `<meta name="viewport">`-Element verwendet oder das `[maximum-scale]`-Attribut ist kleiner als 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` wird nicht im `<meta name="viewport">`-Element verwendet und das `[maximum-scale]`-Attribut ist nicht kleiner als 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Screenreader können lediglich Textinhalte interpretieren. Wenn Sie `<object>`-Elementen Alt-Text hinzufügen, können Screenreader-Nutzer besser verstehen, was diese Elemente darstellen. [Weitere Informationen.](https://web.dev/object-alt/)"},
"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>`-Elemente verfügen nicht über `[alt]`-Text"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>`-Elemente verfügen über `[alt]`-Text"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Ein Wert größer als 0 impliziert eine explizite Navigationsanordnung. Das ist zwar technisch möglich; aber für Nutzer, die auf Hilfstechnologien angewiesen sind, ist dies häufig frustrierend. [Weitere Informationen.](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Der `[tabindex]`-Wert einiger Elemente ist größer als 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Kein Element hat einen `[tabindex]`-Wert größer als 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Screenreader bieten Funktionen, die die Navigation in Tabellen vereinfachen. Wenn Sie dafür sorgen, dass `<td>`-Zellen, die das `[headers]`-Attribut verwenden, nur auf andere Zellen in derselben Tabelle verweisen, kann dies für Screenreader-Nutzer hilfreich sein. [Weitere Informationen.](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:'Zellen in einem "`<table>`"-Element, die das Attribut "`[headers]`" enthalten, verweisen auf ein "`id`"-Element, das sich nicht in derselben Tabelle befindet.'},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:'Zellen in einem "`<table>`"-Element, die das Attribut "`[headers]`" enthalten, verweisen auf Zellen in derselben Tabelle.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Screenreader bieten Funktionen, die die Navigation in Tabellen vereinfachen. Wenn Sie dafür sorgen, dass Tabellenüberschriften immer auf eine Auswahl von Zellen verweisen, kann dies für Screenreader-Nutzer hilfreich sein. [Weitere Informationen.](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Für `<th>`-Elemente und Elemente mit `[role="columnheader"/"rowheader"]` sind keine Datenzellen vorhanden, die sie beschreiben.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Für `<th>`-Elemente und Elemente mit `[role="columnheader"/"rowheader"]` sind Datenzellen vorhanden, die sie beschreiben.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Durch Angabe einer gültigen [Sprache gemäß BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) in Elementen kann der Text von einem Screenreader korrekt ausgesprochen werden. [Weitere Informationen.](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]`-Attribute weisen keinen gültigen Wert auf"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]`-Attribute weisen einen gültigen Wert auf"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Wenn ein Video Untertitel enthält, können gehörlose und hörgeschädigte Nutzer die Informationen im Video besser verstehen. [Weitere Informationen.](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>`-Elemente enthalten kein `<track>`-Element mit `[kind="captions"]`.'},
"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>`-Elemente enthalten ein `<track>`-Element mit `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Definieren Sie ein `apple-touch-icon` für eine ideale Darstellung unter iOS, wenn Nutzer die progressive Web-App dem Startbildschirm hinzufügen. Es muss auf eine nicht transparente, quadratische PNG-Datei mit 192 px (oder 180 px) verweisen. [Weitere Informationen.](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Hat kein gültiges `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` ist veraltet; `apple-touch-icon` wird bevorzugt."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Enthält ein gültiges `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Aktueller Wert"},
"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Vorgeschlagenes Token"},"lighthouse-core/audits/autocomplete.js | description":{message:"Mit `autocomplete` können Nutzer Formulare schneller einreichen. Um die Nutzung zu vereinfachen, empfehlen wir, die automatische Vervollständigung zu aktivieren, indem Sie für das Attribut `autocomplete` einen gültigen Wert wählen. [Weitere Informationen](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` Elemente haben keine korrekten `autocomplete`-Attribute"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Manuelle Prüfung erforderlich"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Tokenreihenfolge prüfen"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>`-Elemente verwenden `autocomplete` korrekt"},
"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` Token: „{token}“ ist in {snippet} ungültig"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Tokenreihenfolge prüfen: "{tokens}" in {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome-Erweiterungen haben die Ladegeschwindigkeit dieser Seite beeinträchtigt. Versuchen Sie, die Seite im Inkognito-Modus oder mit einem Chrome-Profil ohne Erweiterungen zu überprüfen."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Skriptauswertung"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Parsen von Skripten"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"CPU-Zeit insgesamt"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Versuchen Sie, die Zeit für das Parsen, Kompilieren und Ausführen von JavaScript zu reduzieren. Die Bereitstellung kleinerer JS-Nutzlasten kann dabei helfen. [Weitere Informationen.](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Ausführungszeit von JavaScript reduzieren"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript-Ausführungszeit"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Entfernen Sie große, doppelt vorhandene JavaScript-Module aus Bundles, um unnötige Datenübertragungen im Netzwerk zu reduzieren. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"In JavaScript-Bundles doppelt vorhandene Module entfernen"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Große GIF-Dateien sind nur bedingt für die Auslieferung animierter Inhalte geeignet. Sie können stattdessen MPEG4- oder WebM-Videos für Animationen und PNG oder WebP für statische Bilder verwenden und so die Netzwerk-Datenmenge reduzieren. [Weitere Informationen](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Videoformate für animierte Inhalte verwenden"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:'Dank Polyfills und "transform" können veraltete Browser die neuen JavaScript-Funktionen nutzen. Bei modernen Browsern hingegen sind viele davon nicht erforderlich. Für Ihr JavaScript-Bundle sollten Sie eine moderne Skriptimplementierungsstrategie unter Verwendung der module/nomodule-Funktionserkennung einsetzen. So können Sie einerseits den an moderne Browser übermittelten Code auf das Nötige reduzieren und gleichzeitig veraltete Browser bestmöglich unterstützen. [Weitere Informationen](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)'},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Verhindern, dass in modernen Browsern veraltetes JavaScript bereitgestellt wird"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Bildformate wie JPEG 2000, JPEG XR und WebP bieten oft eine bessere Komprimierung als PNG oder JPEG, was schnellere Downloads und einen geringeren Datenverbrauch ermöglicht. [Weitere Informationen.](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Bilder in modernen Formaten bereitstellen"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Wenn Sie nicht sichtbare und versteckte Bilder erst laden lassen, nachdem alle wichtigen Ressourcen geladen wurden, können Sie die Zeit bis zur Interaktivität reduzieren. [Weitere Informationen.](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Nicht sichtbare Bilder aufschieben"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Ressourcen blockieren den First Paint Ihrer Seite. Versuchen Sie, wichtiges JS und wichtige CSS inline anzugeben und alle nicht kritischen JS und Stile aufzuschieben. [Weitere Informationen.](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Ressourcen beseitigen, die das Rendering blockieren"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Große Netzwerknutzlasten kosten Nutzer bares Geld und hängen eng mit langen Ladezeiten zusammen. [Weitere Informationen.](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Die Gesamtgröße war {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Sehr große Netzwerknutzlasten vermeiden"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Vermeidet sehr große Netzwerknutzlasten"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Durch die Komprimierung von CSS-Dateien können Netzwerknutzlasten verkleinert werden. [Weitere Informationen.](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"CSS komprimieren"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Durch die Komprimierung von JavaScript-Dateien können Nutzlastgrößen und die Zeit zum Parsen von Skripts reduziert werden. [Weitere Informationen.](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScript komprimieren"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Sie können ungültige Regeln in Stylesheets reduzieren und CSS aufschieben, die nicht für ohne Scrollen sichtbare Inhalte verwendet werden, um den Datenverbrauch durch Netzwerkaktivität zu senken. [Weitere Informationen](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduzieren Sie nicht verwendete CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Sie können nicht verwendetes JavaScript reduzieren und das Laden von Skripts aufschieben, bis sie benötigt werden, um den Datenverbrauch durch Netzwerkaktivität zu senken. [Weitere Informationen](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduzieren Sie nicht verwendetes JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Eine lange Lebensdauer des Cache kann wiederholte Besuche Ihrer Seite beschleunigen. [Weitere Informationen.](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 Ressource gefunden}other{# Ressourcen gefunden}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Statische Inhalte mit einer effizienten Cache-Richtlinie bereitstellen"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Verwendet eine effiziente Cache-Richtlinie für statische Inhalte"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimierte Bilder werden schneller geladen und verbrauchen weniger mobile Daten. [Weitere Informationen.](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Bilder effizient codieren"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Stellen Sie Bilder bereit, die eine angemessene Größe haben, um mobile Daten zu sparen und die Ladezeit zu verbessern. [Weitere Informationen.](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Bilder richtig dimensionieren"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Textbasierte Ressourcen sollten mit Komprimierung (gzip, Deflate oder Brotli) ausgeliefert werden, um die Datenmenge im Netzwerk insgesamt zu minimieren. [Weitere Informationen.](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Textkomprimierung aktivieren"},"lighthouse-core/audits/content-width.js | description":{
message:"Wenn die Breite Ihrer App-Inhalte nicht mit der des Darstellungsbereichs übereinstimmt, ist Ihre App möglicherweise nicht für Bildschirme von Mobilgeräten optimiert. [Weitere Informationen.](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"Die Größe des Darstellungsbereichs von {innerWidth} Pixeln stimmt nicht mit der Fenstergröße von {outerWidth} Pixeln überein."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Inhalt hat nicht die richtige Größe für den Darstellungsbereich"},"lighthouse-core/audits/content-width.js | title":{message:"Inhalt hat die richtige Größe für den Darstellungsbereich"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"In den unten aufgeführten Ketten kritischer Anfragen können Sie sehen, welche Ressourcen mit einer hohen Priorität geladen werden. Versuchen Sie, die Ketten zu verkürzen, die Downloadgröße von Ressourcen zu reduzieren oder das Herunterladen unnötiger Ressourcen aufzuschieben, um den Seitenaufbau zu beschleunigen. [Weitere Informationen.](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 Kette gefunden}other{# Ketten gefunden}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Verkettung kritischer Anfragen vermeiden"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Anweisung"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Schweregrad"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Eine starke Content Security Policy (CSP) reduziert das Risiko für Cross-Site-Scripting (XSS)-Angriffe erheblich. [Weitere Informationen](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntax"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Diese Seite enthält eine CSP, die in einem <meta>-Tag definiert wird. Wenn möglich, können Sie die CSP in einem HTTP-Header definieren."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Kein CSP im erzwungenen Modus gefunden"},"lighthouse-core/audits/csp-xss.js | title":{message:"Sicherstellen, dass CSP effektiv gegen XSS-Angriffe wirkt"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Veraltet/Warnung"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Zeile"},"lighthouse-core/audits/deprecations.js | description":{message:"Veraltete APIs werden aus dem Browser entfernt. [Weitere Informationen.](https://web.dev/deprecations/)"},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 Warnung gefunden}other{# Warnungen gefunden}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Verwendet veraltete APIs"},"lighthouse-core/audits/deprecations.js | title":{message:"Vermeidet veraltete APIs"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache ist veraltet. [Weitere Informationen.](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" gefunden'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Verwendet Application Cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Vermeidet Application Cache"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"Eine Zeichencodierungsdeklaration ist erforderlich. Sie kann mit einem `<meta>`-Tag in den ersten 1024 Byte des HTML-Codes oder im HTTP-Antwortheader „Content-Type“ angegeben werden. [Weitere Informationen](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Die Charset-Deklaration fehlt oder erscheint zu spät im HTML-Code"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Korrekt definierter Zeichensatz"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Wenn Sie einen DOCTYPE festlegen, hindern Sie den Browser daran, zum Quirks-Modus zu wechseln. [Weitere Informationen.](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"DOCTYPE-Name muss dieser String sein (in Kleinbuchstaben): `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokument muss einen DOCTYPE enthalten"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"PublicId sollte ein leerer String sein"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"SystemId sollte ein leerer String sein"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Seite verfügt nicht über den HTML-DOCTYPE und startet daher den Quirks-Modus"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Seite verfügt über den HTML-DOCTYPE"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistik"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Wert"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Ein großes DOM führt zu hohem Speicherverbrauch, langwierigen [Stilberechnungen](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) und kostspieligen [dynamischen Umbrüchen im Layout](https://developers.google.com/speed/articles/reflow). [Weitere Informationen.](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 Element}other{# Elemente}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Übermäßige DOM-Größe vermeiden"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximale DOM-Tiefe"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"DOM-Elemente insgesamt"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximale Anzahl von untergeordneten Elementen"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Vermeidet eine übermäßige DOM-Größe"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Fehlerhafte Anker"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Fügen Sie beliebigen externen Links `rel="noopener"` oder `rel="noreferrer"` hinzu, um die Leistung zu verbessern und Sicherheitslücken zu vermeiden. [Weitere Informationen.](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Links zu ursprungsübergreifenden Zielen sind unsicher"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Links zu ursprungsübergreifenden Zielen sind sicher"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Ziel für Anker ({anchorHTML}) kann nicht bestimmt werden. Wenn dies nicht als Hyperlink genutzt wird, sollten Sie target=_blank entfernen."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Nutzer sind misstrauisch oder verwirrt, wenn Websites den Standort ohne Begründung anfordern. Versuchen Sie stattdessen, die Anforderung mit einer Nutzeraktion zu verbinden. [Weitere Informationen.](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Fordert die Berechtigung zur Standortbestimmung beim Seitenaufbau an"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Fordert während des Seitenaufbaus keine Berechtigung zur Standortbestimmung an"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Art des Problems"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Im `Issues`-Bereich der Chrome-Entwicklertools wurden ungelöste Probleme protokolliert. Sie können durch fehlgeschlagene Netzwerkanfragen, unzureichende Sicherheitsmaßnahmen und andere Browser-Probleme verursacht sein. Öffnen Sie den Bereich mit den Problemen in Chrome-Entwicklertools, um weitere Details zu den einzelnen Problemen aufzurufen."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Im `Issues`-Bereich der Chrome-Entwicklertools wurden Probleme protokolliert"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Von Richtlinie zu ursprungsübergreifenden Anfragen blockiert"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Starke Ressourcennutzung durch Werbung"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Keine Probleme im `Issues`-Bereich der Chrome-Entwicklertools"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Version"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Alle Front-End-JavaScript-Bibliotheken auf der Seite wurden erkannt. [Weitere Informationen.](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript-Bibliotheken erkannt"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Für Nutzer mit langsamen Verbindungen können externe Skripts, die dynamisch über `document.write()` eingefügt werden, den Seitenaufbau um einige Sekunden verzögern. [Weitere Informationen.](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"`document.write()` vermeiden"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Verwendet kein `document.write()`"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Höchster Schweregrad"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Bibliotheksversion"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Anzahl der Sicherheitslücken"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Einige Skripts von Drittanbietern können bekannte Sicherheitslücken enthalten, die von Angreifern leicht zu identifizieren und zu missbrauchen sind. [Weitere Informationen.](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 Sicherheitslücke erkannt}other{# Sicherheitslücken erkannt}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Enthält Front-End-JavaScript-Bibliotheken mit bekannten Sicherheitslücken"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Vermeidet Front-End-JavaScript-Bibliotheken mit bekannten Sicherheitslücken"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Nutzer sind misstrauisch oder verwirrt, wenn Websites die Berechtigung zum Senden von Benachrichtigungen ohne Begründung anfordern. Versuchen Sie stattdessen, die Anforderung mit Touch-Gesten zu verbinden. [Weitere Informationen.](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Fordert die Benachrichtigungsberechtigung beim Seitenaufbau an"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Fordert während des Seitenaufbaus keine Benachrichtigungsberechtigung an"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Das Einfügen von Passwörtern sollte entsprechend guten Sicherheitsrichtlinien zulässig sein. [Weitere Informationen.](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Hindert Nutzer daran, Inhalte in Passwortfelder einzufügen"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Erlaubt Nutzern, Inhalte in Passwortfelder einzufügen"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokoll"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 bietet gegenüber HTTP/1.1 viele Vorteile, wie z. B. Binärkopfzeilen und Multiplexing. [Weitere Informationen](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{Ressourcen für 1 Anfrage nicht über HTTP/2 bereitgestellt}other{Ressourcen für # Anfragen nicht über HTTP/2 bereitgestellt}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Verwenden Sie HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Wenn Sie Ihre Ereignis-Listener für Tipp- und Mausradbewegungen als `passive` markieren, können Sie damit die Scrollleistung Ihrer Seite verbessern. [Weitere Informationen.](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Verwendet keine passiven Listener zur Verbesserung der Scrollleistung"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Verwendet passive Listener zur Verbesserung der Scrollleistung"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"In der Konsole protokollierte Fehler weisen auf ungelöste Probleme hin. Sie können durch fehlgeschlagene Netzwerkanfragen und andere Browser-Probleme verursacht werden. [Weitere Informationen](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Es wurden Browserfehler in der Konsole protokolliert"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Es wurden keine Browserfehler in der Konsole protokolliert"},"lighthouse-core/audits/font-display.js | description":{message:"Verwenden Sie die CSS-Funktion font-display, damit der Text für Nutzer sichtbar ist, während Webfonts geladen werden. [Weitere Informationen.](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Darauf achten, dass der Text während der Webfont-Ladevorgänge sichtbar bleibt"},"lighthouse-core/audits/font-display.js | title":{
message:"Der gesamte Text bleibt während der Webfont-Ladevorgänge sichtbar"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse konnte nicht automatisch den `font-display`-Wert für den Ursprung {fontOrigin} prüfen.}other{Lighthouse konnte nicht automatisch die `font-display`-Werte für den Ursprung {fontOrigin} prüfen}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Seitenverhältnis (Original)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Seitenverhältnis (angezeigt)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Die Bildgröße sollte dem natürlichen Seitenverhältnis entsprechen. [Weitere Informationen.](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Zeigt Bilder mit einem falschen Seitenverhältnis an"},"lighthouse-core/audits/image-aspect-ratio.js | title":{
message:"Zeigt Bilder mit einem korrekten Seitenverhältnis an"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Originalgröße"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Angezeigte Größe"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Erwartete Größe"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Die originalen Abmessungen eines Bildes sollten proportional zu der Displaygröße und dem Pixel-Verhältnis sein, damit das Bild optimal angezeigt wird. [Weitere Informationen](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Stellt Bilder mit niedriger Auflösung bereit"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Stellt Bilder mit angemessener Auflösung bereit"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Die App ist bereits installiert"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Ein erforderliches Symbol konnte nicht aus dem Manifest heruntergeladen werden"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Grund für den Fehler"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Der Service Worker ermöglicht es Ihrer App, viele der Funktionen von progressiven Web-Apps zu nutzen, beispielsweise den Offlinemodus, das Hinzufügen zum Startbildschirm und Push-Benachrichtigungen. Bei ordnungsgemäßen Service Worker- und Manifestimplementierungen können Browser Nutzer direkt dazu auffordern, Ihre Web-App zum Startbildschirm hinzuzufügen. Das kann zu mehr Interaktionen führen. [Weitere Informationen](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 Grund}other{# Gründe}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Das Manifest der Web-App oder der Service Worker erfüllt die Anforderungen an die Installierbarkeit nicht"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Die Play Store App-URL und die Play Store-ID stimmen nicht überein"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Seite wird in einem Inkognitofenster geladen"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Die Property „display“ des Manifests muss entweder „standalone“, „fullscreen“ oder „minimal-ui“ sein"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Das Manifest enthält das Feld „display_override“ und der erste unterstützte Anzeigemodus muss entweder „standalone“, „fullscreen“ oder „minimal-ui“ sein"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest konnte nicht abgerufen oder geparst werden oder ist leer"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Die Manifest-URL hat sich geändert, während das Manifest abgerufen wurde."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest enthält kein Feld „name“ oder „short_name“"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Das Manifest enthält kein passendes Symbol – das Format PNG, SVG oder WebP mit mindestens {value0} px ist erforderlich, das Attribut „sizes“ muss festgelegt werden und das Attribut „purpose“ muss „any“ enthalten."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Keines der bereitgestellten Symbole weist das Format PNG, SVG oder WebP mit mindestens {value0} px Square und nicht festgelegtem oder auf „any“ gesetztem Attribut „purpose“ auf"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{
message:"Heruntergeladenes Symbol war leer oder fehlerhaft"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Play Store-ID fehlt"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Die Seite hat keine Manifest-URL <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Es wurde kein passender Service Worker gefunden. Versuchen Sie, die Seite zu aktualisieren oder prüfen Sie, ob der Bereich des Service Workers für die aktuelle Seite den Bereich und die Start-URL des Manifests umfasst."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Service Worker konnte ohne das Feld „start_url“ im Manifest nicht geprüft werden"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ID des Installierbarkeitsfehlers „{errorId}“ wurde nicht erkannt"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{
message:"Seite wird nicht von einer sicheren Quelle geladen"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Seite wird nicht im Hauptframe geladen"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Seite kann offline nicht geladen werden"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Die angegebene Anwendungsplattform wird nicht von Android unterstützt"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Das Manifest gibt an: prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"„prefer_related_applications“ wird nur in Chrome Beta und stabilen Versionen von Android unterstützt."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Start-URL des Manifests ist nicht gültig"},
"lighthouse-core/audits/installable-manifest.js | title":{message:"Das Manifest der Web-App und der Service Worker erfüllen die Anforderungen an die Installierbarkeit"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Eine URL im Manifest enthält Nutzernamen, Passwort oder Port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Die Seite kann offline nicht geladen werden. Die Seite gilt nach der stabilen Version von Chrome 93 ab August 2021 als nicht installierbar."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Zugelassen"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Gesperrt"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Unsichere URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Lösung anfordern"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Alle Websites sollten auch dann mit HTTPS geschützt werden, wenn sie keine sensiblen Daten enthalten. Dies schließt die Vermeidung [gemischter Inhalte](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) ein, bei denen einige Ressourcen über HTTP geladen werden, obwohl die Erstanfrage über HTTPS erfolgte. HTTPS verhindert, dass andere Personen die Website manipulieren oder die Kommunikation zwischen Ihrer App und Ihren Nutzern mitverfolgen können. Dieses Protokoll ist eine Voraussetzung für HTTP/2 sowie für viele neue Webplattform-APIs. [Weitere Informationen](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 unsichere Anfrage gefunden}other{# unsichere Anfragen gefunden}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Verwendet nicht HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Verwendet HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatisch auf HTTPS umgestellt"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Zugelassen mit Warnung"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliothek"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Große JavaScript-Bibliotheken können die Ursache für schlechte Leistung sein. Verwenden Sie kleinere, funktionell gleichwertige Bibliotheken, um die Bundle-Größe zu verringern. [Weitere Informationen.](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 große Bibliothek gefunden}other{# große Bibliotheken gefunden}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Unnötig große JavaScript-Bibliotheken ersetzen"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Verhindert große JavaScript-Bibliotheken durch kleinere Alternativen"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Dies ist das größte Inhaltselement, das im Darstellungsbereich angezeigt wird. [Weitere Informationen](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Largest Contentful Paint-Element"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS-Beitrag"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Diese DOM-Elemente tragen am stärksten zur CLS der Seite bei."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Umfangreiche Layoutverschiebungen vermeiden"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Listet die längsten Aufgaben im Hauptthread auf, was nützlich ist, um die Hauptursachen für Eingabeverzögerungen zu identifizieren. [Weitere Informationen](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# lange Aufgabe gefunden}other{# lange Aufgaben gefunden}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Lange Hauptthread-Aufgaben vermeiden"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorie"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Versuchen Sie, die Zeit für das Parsen, Kompilieren und Ausführen von JavaScript zu reduzieren. Die Bereitstellung kleinerer JS-Nutzlasten kann dabei helfen. [Weitere Informationen](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Aufwand für Hauptthread minimieren"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimiert den Aufwand für den Hauptthread"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Damit Sie möglichst viele Nutzer erreichen können, sollte Ihre Website mit allen gängigen Browsern kompatibel sein. [Weitere Informationen.](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Website funktioniert auf verschiedenen Browsern"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Für die einzelnen Seiten sollten Deeplinks erstellt werden können. Achten Sie darauf, dass die entsprechenden URLs eindeutig sind, sodass sich die Seiten in sozialen Netzwerken leichter teilen lassen. [Weitere Informationen.](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Jede Seite hat eine URL"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Übergänge sollten sich auch bei einer langsamen Netzwerkverbindung schnell anfühlen. Dies trägt beim Nutzer erheblich zur wahrgenommenen Leistung bei. [Weitere Informationen.](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Seitenübergänge vermitteln nicht das Gefühl von übermäßigen Ladezeiten"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Mit einem maskierbaren Symbol wird die Bildform beim Installieren der App auf einem Gerät vollständig gefüllt, ohne dass es zu einem Letterbox-Effekt kommt. [Weitere Informationen](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Das Manifest hat kein maskierbares Symbol"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Das Manifest hat ein maskierbares Symbol"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Cumulative Layout Shift misst die Bewegung sichtbarer Elemente innerhalb des Darstellungsbereichs. [Weitere Informationen](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"First Contentful Paint gibt an, wann der erste Text oder das erste Bild gezeichnet wird. [Weitere Informationen.](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:'"First Meaningful Paint" gibt an, wann die Hauptinhalte einer Seite sichtbar sind. [Weitere Informationen.](https://web.dev/first-meaningful-paint/)'},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Die Zeit bis Interaktivität entspricht der Zeit, die vergeht, bis die Seite vollständig interaktiv ist. [Weitere Informationen.](https://web.dev/interactive/)"},
"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Largest Contentful Paint gibt an, wie lange das Zeichnen des längsten Texts oder des größten Bilds dauert. [Weitere Informationen](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Das maximale potenzielle First Input Delay, das bei Ihren Nutzern auftreten kann, entspricht der Dauer der längsten Aufgabe. [Weitere Informationen](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Der Geschwindigkeitsindex gibt an, wie schnell die Inhalte einer Seite sichtbar dargestellt werden. [Weitere Informationen.](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Summe aller Zeiträume (in Millisekunden) zwischen FCP und Zeit bis Interaktivität, wenn die Aufgabendauer 50 ms überschreitet. [Weitere Informationen](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{message:"Die Netzwerk-Umlaufzeit (RTT, Round Trip Time) hat großen Einfluss auf die Leistung. Wenn die RTT zu einem Ursprung hoch ausfällt, weist dies darauf hin, dass die Leistung mit Servern verbessert werden kann, die sich näher beim Nutzer befinden. [Weitere Informationen.](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Netzwerk-Umlaufzeit"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Serverlatenzen können die Leistung im Web beeinträchtigen. Wenn die Serverlatenz eines Ursprungs hoch ist, weist dies darauf hin, dass der Server überlastet ist oder eine schlechte Back-End-Leistung bietet. [Weitere Informationen.](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Server-Back-End-Latenzen"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Das `unload`-Ereignis wird nicht zuverlässig ausgelöst. Wenn der Listener darauf wartet, kann das Browseroptimierungen wie den Back-Forward-Cache beeinträchtigen. Möglicherweise ist es sinnvoll, stattdessen das `pagehide`- oder das `visibilitychange`-Ereignis zu verwenden. [Weitere Informationen](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registriert einen `unload`-Listener"},
"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Keine `unload`-Ereignis-Listener gefunden"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animationen, die nicht zusammengesetzt sind, können langsam sein und den CLS-Wert erhöhen. [Weitere Informationen](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animiertes Element gefunden}other{# animierte Elemente gefunden}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Filterbezogene Property verschiebt möglicherweise Pixel"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Ziel hat eine andere Animation, die nicht kompatibel ist"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Effekt hat einen zusammengesetzten Modus, der nicht "replace" ist'},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"Nicht zusammengesetzte Animationen vermeiden"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Transformationsbezogene Property hängt von Boxgröße ab"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Nicht unterstützte CSS-Property: {properties}}other{Nicht unterstützte CSS-Properties: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effekt hat nicht unterstützte Timingparameter"},"lighthouse-core/audits/performance-budget.js | description":{message:"Die Anzahl und Größe der Netzwerkanfragen sollten unter den Zielvorgaben des Leistungsbudgets liegen. [Weitere Informationen.](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{
message:"{count,plural, =1{1 Anfrage}other{# Anfragen}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Leistungsbudget"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Sie sollten `optional`-Schriftarten vorab laden, damit sie von Erstbesuchern verwendet werden können. [Weitere Informationen](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Schriftarten mit `font-display: optional` werden nicht vorab geladen"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Schriftarten mit `font-display: optional` werden vorab geladen"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Sie können das vom LCP-Element verwendete Bild vorab laden, um die LCP-Zeit zu verbessern. [Weitere Informationen](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Largest Contentful Paint-Bild vorab laden"},
"lighthouse-core/audits/redirects-http.js | description":{message:"Wenn Sie HTTPS bereits eingerichtet haben, sollten Sie den gesamten HTTP-Traffic auf HTTPS weiterleiten, damit für alle Ihre Nutzer sichere Webfunktionen aktiviert sind. [Weitere Informationen.](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"HTTP-Traffic wird nicht auf HTTPS weitergeleitet"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTP-Traffic wird auf HTTPS weitergeleitet"},"lighthouse-core/audits/redirects.js | description":{message:"Weiterleitungen führen zu zusätzlichen Verzögerungen, bevor die Seite geladen werden kann. [Weitere Informationen.](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Mehrere Weiterleitungen auf die Seite vermeiden"},"lighthouse-core/audits/resource-summary.js | description":{
message:"Fügen Sie zum Einrichten von Budgets für die Anzahl und Größe von Seitenressourcen eine budget.json-Datei hinzu. [Weitere Informationen.](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 Anfrage • {byteCount, number, bytes} KiB}other{# Anfragen • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Halten Sie die Anfrageanzahl niedrig und die Übertragungsgröße gering"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Über kanonische Links wird angegeben, welche URL in den Suchergebnissen angezeigt werden soll. [Weitere Informationen.](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Mehrere in Konflikt stehende URLs ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Verweist auf eine andere Domain ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Ungültige URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Verweist auf einen anderen `hreflang`-Speicherort ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relative URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Verweist auf die Stamm-URL (die Startseite) der Domain statt auf eine identische Inhaltsseite"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument enthält kein gültiges `rel=canonical`-Element"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument enthält ein gültiges `rel=canonical`-Element"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link kann nicht gecrawlt werden"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Suchmaschinen verwenden möglicherweise `href`-Attribute für Links, um Websites zu crawlen. Stellen Sie sicher, dass das `href`-Attribut von Anchor-Elementen auf ein geeignetes Ziel verweist, damit mehr Seiten auf der Website gefunden werden können. [Weitere Informationen](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Links können nicht gecrawlt werden"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Links können gecrawlt werden"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Zusätzlicher unlesbarer Text"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Schriftgröße"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% des Seitentexts"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Schriftgrößen von weniger als 12 px sind zu klein und deshalb nicht gut lesbar, sodass Nutzer von Mobilgeräten den Text per Fingerbewegung heranzoomen müssen. Mindestens 60 % des Texts auf der Seite sollten deshalb eine Schriftgröße von mindestens 12 px haben. [Weitere Informationen.](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} gut lesbarer Text"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Text ist nicht lesbar, weil kein Meta-Tag für den Darstellungsbereich vorhanden ist, das für Bildschirme von Mobilgeräten optimiert ist."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokument enthält keine gut lesbaren Schriftgrößen"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Gut lesbarer Text"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokument enthält gut lesbare Schriftgrößen"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:'Anhand von "hreflang"-Links können Suchmaschinen ermitteln, welche Version einer Seite sie in den Suchergebnissen für eine bestimmte Sprache oder Region anzeigen sollen. [Weitere Informationen.](https://web.dev/hreflang/)'},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument enthält kein gültiges `hreflang`-Element"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativer href-Wert"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument enthält ein gültiges `hreflang`-Element"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Unerwarteter Sprachcode"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Seiten mit ungültigen HTTP-Statuscodes werden möglicherweise nicht richtig indexiert. [Weitere Informationen.](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"Seite hat keinen gültigen HTTP-Statuscode"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Seite hat einen gültigen HTTP-Statuscode"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Suchmaschinen können Ihre Seiten nicht in die Suchergebnisse aufnehmen, wenn sie nicht dazu berechtigt sind, sie zu crawlen. [Weitere Informationen.](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Seite ist von Indexierung ausgeschlossen"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Seite ist nicht von Indexierung ausgeschlossen"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Mit beschreibendem Linktext können Suchmaschinen Ihre Inhalte besser verstehen. [Weitere Informationen.](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 Link gefunden}other{# Links gefunden}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Links enthalten keinen beschreibenden Text"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Links haben beschreibenden Text"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Sie können das [Testtool für strukturierte Daten](https://search.google.com/structured-data/testing-tool/) und den [Lint für strukturierte Daten](http://linter.structured-data.org/) ausführen, um strukturierte Daten zu validieren. [Weitere Informationen.](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturierte Daten sind gültig"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Meta-Beschreibungen können in die Suchergebnisse aufgenommen werden, um die Seiteninhalte kurz zusammenzufassen. [Weitere Informationen.](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{
message:"Beschreibungstext ist leer."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokument enthält keine Meta-Beschreibung"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument enthält eine Meta-Beschreibung"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Suchmaschinen können keine Plug-in-Inhalte indexieren, und auf vielen Geräten werden Plug-ins eingeschränkt oder nicht unterstützt. [Weitere Informationen.](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument verwendet Plug-ins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokument verwendet keine Plug-ins"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Wenn Ihre robots.txt-Datei fehlerhaft ist, können Crawler möglicherweise nicht nachvollziehen, wie Ihre Website gecrawlt oder indexiert werden soll. [Weitere Informationen.](https://web.dev/robots-txt/)"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txt-Anfrage hat diesen HTTP-Status zurückgegeben: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 Fehler gefunden}other{# Fehler gefunden}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse konnte keine robots.txt-Datei herunterladen"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt ist ungültig"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt ist gültig"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktive Elemente wie Schaltflächen und Links sollten groß genug sein (48 x 48 px) und genügend Platz um sich herum haben, um einfach angetippt werden zu können. Dabei sollten sie sich aber nicht mit anderen Elementen überschneiden. [Weitere Informationen.](https://web.dev/tap-targets/)"},
"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} der Tippziele haben eine passende Größe"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Die Tippziele sind zu klein, weil kein Meta-Tag für den Darstellungsbereich vorhanden ist, das für Bildschirme von Mobilgeräten optimiert ist"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Größe von Tippzielen ist nicht richtig eingestellt"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Sich überschneidendes Ziel"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Tippziel"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Größe von Tippzielen ist richtig eingestellt"},"lighthouse-core/audits/server-response-time.js | description":{
message:"Achten Sie auf eine möglichst kurze Serverantwortzeit für das Hauptdokument, weil alle anderen Anfragen davon abhängen. [Weitere Informationen.](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Stammdokument brauchte {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Erstreaktionszeit des Servers verringern"},"lighthouse-core/audits/server-response-time.js | title":{message:"Kurze Erstreaktionszeit des Servers"},"lighthouse-core/audits/service-worker.js | description":{message:"Der Service Worker ermöglicht es Ihrer App, viele der Funktionen von progressiven Web-Apps zu nutzen, beispielsweise den Offlinemodus, das Hinzufügen zum Startbildschirm und Push-Benachrichtigungen. [Weitere Informationen.](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"Diese Seite wird von einem Service Worker kontrolliert. Es wurde jedoch keine `start_url` gefunden, weil das Manifest nicht als gültige JSON-Datei geparst werden konnte."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Diese Seite wird zwar von einem Service Worker kontrolliert, die `start_url` ({startUrl}) liegt jedoch nicht in dessen Zuständigkeitsbereich ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Diese Seite wird zwar von einem Service Worker kontrolliert, es wurde jedoch keine `start_url` gefunden, da kein Manifest abgerufen wurde."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Dieser Ursprung verfügt über mindestens einen Service Worker. Die Seite ({pageUrl}) liegt jedoch nicht in dessen Zuständigkeitsbereich."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Es wurde kein Service Worker erkannt, der die Seite und `start_url` kontrolliert"},
"lighthouse-core/audits/service-worker.js | title":{message:"Es wurde ein Service Worker erkannt, der die Seite und `start_url` kontrolliert."},"lighthouse-core/audits/splash-screen.js | description":{message:"Wenn Sie Ihren Startbildschirm gemäß dem Design Ihrer App gestalten, vermitteln Sie den Nutzern schon beim Ladevorgang einen hochwertigen Eindruck. [Weitere Informationen.](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nicht für einen benutzerdefinierten Startbildschirm konfiguriert"},"lighthouse-core/audits/splash-screen.js | title":{message:"Konfiguriert für einen benutzerdefinierten Startbildschirm"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Die Adressleiste des Browsers kann an das Design Ihrer Website angepasst werden. [Weitere Informationen.](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Legt keine Designfarbe für die Adressleiste fest."},
"lighthouse-core/audits/themed-omnibox.js | title":{message:"Legt eine Designfarbe für die Adressleiste fest."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Erfolgsgeschichten)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Soziale Netzwerke)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkt"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Für einige Einbettungen von Drittanbietern kann ein Lazy Load ausgeführt werden. Sie können sie durch eine Fassade ersetzen, bis sie benötigt werden. [Weitere Informationen](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# alternative Fassade verfügbar}other{# alternative Fassaden verfügbar}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Für einige Ressourcen von Drittanbietern kann ein Lazy Load mit einer Fassade ausgeführt werden"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Lazy Loading von Ressourcen von Drittanbietern mit Fassaden"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Drittanbieter"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Code von Drittanbietern kann die Ladegeschwindigkeit erheblich beeinträchtigen. Beschränken Sie die Zahl redundanter Drittanbieter und versuchen Sie, solchen Code erst nachträglich zu laden. [Weitere Informationen.](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{
message:"Code von Drittanbietern hat den Hauptthread {timeInMs, number, milliseconds} ms lang blockiert"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Die Auswirkungen von Drittanbieter-Code minimieren"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Drittanbieternutzung minimieren"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Messung"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Messwert"},"lighthouse-core/audits/timing-budget.js | description":{message:"Legen Sie ein Zeitbudget fest, mit dem Sie die Leistung Ihrer Website im Auge behalten können. Leistungsstarke Websites werden schnell geladen und reagieren umgehend auf Nutzereingaben. [Weitere Informationen](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Zeitbudget"},"lighthouse-core/audits/unsized-images.js | description":{
message:"Legen Sie eine explizite Breite und Höhe für Bildelemente fest, um Layoutverschiebungen zu reduzieren und CLS zu verbessern. [Weitere Informationen](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Bildelemente haben keine explizite `width` und `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Bildelemente haben eine explizite `width` und `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Typ"},"lighthouse-core/audits/user-timings.js | description":{message:"Sie können die User Timing API in Ihre App integrieren. Damit lässt sich die Leistung Ihrer App während wichtiger Nutzerinteraktionen in der Praxis messen. [Weitere Informationen.](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 Nutzertiming}other{# Nutzertimings}}"},"lighthouse-core/audits/user-timings.js | title":{
message:"Markierungen und Messungen für das Nutzertiming"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Für {securityOrigin} wurde ein `<link rel=preconnect>` gefunden, das jedoch nicht vom Browser verwendet wurde. Sehen Sie nach, ob das `crossorigin`-Attribut richtig verwendet wird."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Wenn Sie Hinweise auf Ressourcen als `preconnect` oder `dns-prefetch` hinzufügen, können Sie möglichst frühzeitig eine Verbindung zu wichtigen Drittanbieterursprüngen herstellen. [Weitere Informationen.](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Vorverbindung zu erforderlichen Ursprüngen aufbauen"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Es wurden mehr als zwei `<link rel=preconnect>`-Links gefunden. Diese Links sollten aber sparsam und nur zu den wichtigsten Ursprüngen gesetzt werden."},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Für {securityOrigin} wurde ein `<link rel=preconnect>` gefunden, das jedoch nicht vom Browser verwendet wurde. Erstellen Sie nur ein `preconnect` zu wichtigen Quellen, die von der Webseite auf jeden Fall abgefragt werden."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Für {preloadURL} wurde ein vorab geladenes `<link>` gefunden, das jedoch nicht vom Browser verwendet wurde. Sehen Sie nach, ob das `crossorigin`-Attribut richtig verwendet wird."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Mit `<link rel=preload>` können Sie das Abrufen von Ressourcen priorisieren, die derzeit beim Seitenaufbau erst später angefordert werden. [Weitere Informationen.](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Wichtige Anforderungen vorab laden"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{
message:"Zuordnungs-URL"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Quellzuordnungen übersetzen komprimierten Code in den Original-Quellcode. Dies hilft Entwicklern, in der Produktionsphase Fehler zu beheben. Zusätzlich kann Lighthouse weitere Informationen liefern. Wir empfehlen, Quellzuordnungen bereitzustellen, um diese Vorteile zu nutzen. [Weitere Informationen.](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Fehlende Quellzuordnungen für große eigene JavaScript-Dateien"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"In großer JavaScript-Datei fehlt eine Quellzuordnung"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Warnung: in `.sourcesContent` fehlt 1 Element}other{Warnung: in `.sourcesContent` fehlen # Elemente}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"Seite hat gültige Quellzuordnungen"},"lighthouse-core/audits/viewport.js | description":{message:'Fügen Sie ein `<meta name="viewport">`-Tag hinzu, um Ihre App für Bildschirme von Mobilgeräten zu optimieren. [Weitere Informationen.](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Kein `<meta name="viewport">`-Tag gefunden'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Hat kein `<meta name="viewport">`-Tag mit `width` oder `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Hat ein `<meta name="viewport">`-Tag mit `width` oder `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Anhand dieser Möglichkeiten können Sie die Nutzung von ARIA in Ihrer Anwendung verbessern, wovon Nutzer von Hilfstechnologien wie Screenreadern unter Umständen profitieren."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Hier finden Sie Möglichkeiten, um Alternativen für Audio- und Videoinhalte anzubieten. Dies kann die Nutzung für Personen mit eingeschränktem Hör- und Sehvermögen verbessern."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio und Video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Hier finden Sie häufig genutzte Best Practices für Barrierefreiheit."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Best Practices"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Mit diesen Prüfungen erfahren Sie, [wie Sie die Barrierefreiheit Ihrer Web-App verbessern](https://developers.google.com/web/fundamentals/accessibility). Nur bestimmte Probleme mit der Barrierefreiheit können durch automatisierte Tests erkannt werden. Deshalb ist es empfehlenswert, zusätzlich manuelle Tests durchzuführen."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Diese Prüfungen sind für Bereiche vorgesehen, für die automatische Testtools nicht geeignet sind. Weitere Informationen finden Sie in unserem Leitfaden zur [Durchführung einer Prüfung auf Barrierefreiheit](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Barrierefreiheit"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Anhand dieser Möglichkeiten können Sie die Lesbarkeit Ihrer Inhalte verbessern."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Damit können Sie dafür sorgen, dass Ihre Inhalte in verschiedenen Sprachen besser verstanden werden."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internationalisierung und Lokalisierung"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Anhand dieser Möglichkeiten können Sie die Semantik der Steuerelemente Ihrer Anwendung verbessern. Dies kommt Nutzern von Hilfstechnologien wie Screenreadern zugute."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Namen und Labels"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Hier finden Sie Möglichkeiten, die Tastaturnavigation in Ihrer App zu verbessern."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{
message:"Navigation"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Hier finden Sie Möglichkeiten, um das Lesen von Daten in Tabellen oder Listen mit Hilfstechnologie wie Screenreadern zu verbessern."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabellen und Listen"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Browserkompatibilität"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Best Practices"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Allgemein"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Vertrauen und Sicherheit"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Nutzererfahrung"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Mithilfe von Leistungsbudgets werden Standards für die Leistung Ihrer Website definiert."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budgets"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Weitere Informationen zur Leistung Ihrer App finden Sie hier. Diese Angaben haben keinen [direkten Einfluss](https://web.dev/performance-scoring/) auf die Leistungsbewertung."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnose"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:'Der wichtigste Faktor bei der Leistung ist, wie schnell Pixel auf dem Bildschirm gezeichnet werden. Wichtige Messwerte: "First Contentful Paint", "First Meaningful Paint"'},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Verbesserungen beim Zeichnen der ersten Inhalte"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Mithilfe diese Empfehlungen lässt sich die Ladezeit Ihrer Seite möglicherweise verkürzen. Sie haben keinen [direkten Einfluss](https://web.dev/performance-scoring/) auf die Leistungsbewertung."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Empfehlungen"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Messwerte"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:'Hier können Sie die Ladezeiten verkürzen, damit die Seite so schnell wie möglich reagiert und Einsatzbereit ist. Wichtige Messwerte: "Zeit bis Interaktivität", "Geschwindigkeitsindex"'},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Allgemeine Verbesserungen"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Leistung"},
"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Diese Prüfungen dienen dazu, die einzelnen Aspekte einer progressiven Web-App zu überprüfen. [Weitere Informationen](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Diese Prüfungen sind laut der grundlegenden [PWA-Checkliste](https://developers.google.com/web/progressive-web-apps/checklist) erforderlich, werden von Lighthouse jedoch nicht automatisch durchgeführt. Sie haben zwar keine Auswirkung auf Ihre Leistungsbewertung, aber es ist wichtig, sie manuell durchzuführen."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web-App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Installierbar"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA-optimiert"},
"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Mit diesen Prüfungen ist gewährleistet, dass Ihre Seite für das Ergebnis-Ranking von Suchmaschinen optimiert ist. Darüber hinaus gibt es aber auch noch andere Faktoren, die sich auf das Such-Ranking Ihrer Seite auswirken können und die Lighthouse nicht berücksichtigt. [Weitere Informationen.](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Sie können diese zusätzlichen Validierungen für Ihre Website ausführen, um weitere Best Practices für die SEO zu prüfen."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatieren Sie Ihren HTML-Code so, dass Crawler den Inhalt Ihrer App besser verstehen."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Best Practices für Inhalte"},
"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Damit Ihre Website in den Suchergebnissen angezeigt werden kann, benötigen Crawler Zugriff auf Ihre App."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Crawling und Indexierung"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Achten Sie darauf, dass Ihre Seiten für Mobilgeräte optimiert sind, damit Nutzer problemlos Inhalte lesen können, ohne mit den Fingern heranzoomen zu müssen. [Weitere Informationen.](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Für Mobilgeräte optimiert"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Das getestete Gerät hat eine langsamere CPU, als für Lighthouse erforderlich ist. Dies kann sich negativ auf die Leistungsbewertung auswirken. [Hier finden Sie weitere Informationen zur Kalibrierung eines geeigneten CPU-Verlangsamungsmultiplikators.](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Die Seite lädt möglicherweise nicht wie erwartet, weil Ihre Test-URL ({requested}) auf {final} weitergeleitet wurde. Versuchen Sie, die zweite URL direkt zu testen."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Diese Seite wurde nicht innerhalb der Zeitbegrenzung geladen. Daher sind die Ergebnisse möglicherweise unvollständig."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Gespeicherte Daten haben möglicherweise die Ladeleistung an diesem Ort beeinflusst: {locations}. Testen Sie diese Seite in einem Inkognitofenster, um zu verhindern, dass sich diese Ressourcen auf Ihre Ergebnisse auswirken.}other{Gespeicherte Daten haben möglicherweise die Ladeleistungen an diesen Orten beeinflusst: {locations}. Testen Sie diese Seite in einem Inkognitofenster, um zu verhindern, dass sich diese Ressourcen auf Ihre Ergebnisse auswirken.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Sie können „https:“- und „http“:-URL-Schemas hinzufügen (wird von Browsern ignoriert, die „strict-dynamic“ unterstützen), um mit älteren Browsern kompatibel zu sein."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"„disown-opener“ ist seit CSP3 veraltet. Verwenden Sie stattdessen den Header „Cross-Origin-Opener-Policy“."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"„referrer“ ist seit CSP2 veraltet. Verwenden Sie stattdessen den Header „Referrer-Policy“."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"„reflected-xss“ ist seit CSP2 veraltet. Verwenden Sie stattdessen den Header „X-XSS-Protection“."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Durch eingeschleuste <base>-Tags kann „base-uri“ für alle relativen URLs (beispielsweise für Skripts) auf eine von Angreifern kontrollierte Domain festgelegt werden. Sie können „base-uri“ auf „none“ oder „self“ setzen."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Durch „object-src“ kontrollierte Elemente werden als alte Funktionen angesehen. Sie können „object-src“ auf „none“ setzen, um das Einschleusen von Plug-ins zu verhindern, die unsichere Skripts ausführen."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Die Direktive „script-src“ fehlt. Dies kann die Ausführung unsicherer Skripts ermöglichen."},
"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Haben Sie das Semikolon vergessen? „{keyword}“ ist eine Direktive, kein Keyword."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces sollten das base64-Charset nutzen."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces sollten aus mindestens 8 Zeichen bestehen."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Das Ziel für die Berichterstellung wird nur über die Direktive „report-to“ konfiguriert. Diese Direktive unterstützen nur Chromium-basierte Browser. Deshalb empfehlen wir, auch eine „report-uri“-Direktive zu verwenden."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Keine CSP konfiguriert ein Ziel für die Berichterstellung. Dadurch ist es schwierig, die CSP langfristig zu verwalten und Schwachstellen im Blick zu behalten."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{
message:"Host-Zulassungslisten können häufig umgangen werden. Sie können „strict-dynamic“ in Kombination mit CSP-Nonces oder -Hashes verwenden."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Unbekannte CSP-Direktive."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"„{keyword}“ ist ein ungültiges Keyword."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"„unsafe-inline“ lässt die Ausführung unsicherer In-Page-Skripts und Event-Handler zu. Sie können CSP-Nonces oder -Hashes verwenden, um Skripts einzeln zuzulassen."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Sie können „unsafe-inline“ hinzufügen (wird von Browsern ignoriert, die Nonces/Hashes unterstützen), um mit älteren Browsern kompatibel zu sein."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Dauer der Blockierung des Hauptthreads"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache-TTL"},
"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Beschreibung"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Dauer"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Fehlerhafte Elemente"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Position"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Name"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Über dem Budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Anfragen"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Größe der Ressource"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Ressourcentyp"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Größe"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Quelle"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Beginn"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Zeitaufwand"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Übertragungsgröße"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Mögliche Einsparungen"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Mögliche Einsparungen"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Mögliche Einsparung von {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 Element gefunden}other{# Elemente gefunden}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Mögliche Einsparung von {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},
"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Schriftart"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Bild"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Hoch"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Niedrig"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Mittel"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maximaler potenzieller First Input Delay"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Medien"},"lighthouse-core/lib/i18n/i18n.js | ms":{
message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Sonstige"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Weitere Ressourcen"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skript"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stylesheet"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Drittanbieter"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Gesamt"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Beim Aufzeichnen des Trace über Ihren Seitenaufbau ist ein Problem aufgetreten. Bitte führen Sie Lighthouse noch einmal aus. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Zeitüberschreitung beim Warten auf die ursprüngliche Verbindung zum Debugger-Protokoll."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Beim Seitenaufbau wurden von Chrome keine Screenshots erfasst. Achten Sie darauf, dass auf der Seite Inhalte sichtbar sind, und versuchen Sie dann, Lighthouse noch einmal auszuführen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Die angegebene Domain konnte von den DNS-Servern nicht aufgelöst werden."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Beim erforderlichen {artifactName}-Gatherer ist ein Fehler aufgetreten: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Ein interner Chrome-Fehler ist aufgetreten. Starten Sie Chrome neu und versuchen Sie anschließend, Lighthouse noch einmal auszuführen."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{
message:"Erforderlicher {artifactName}-Gatherer wurde nicht ausgeführt."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Die Seite hat keine Inhalte gezeichnet. Achten Sie darauf, dass das Browserfenster während des Ladens im Vordergrund bleibt und versuchen Sie es noch einmal. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Die bereitgestellte Seite ist nicht vom Typ HTML (als MIME-Typ {mimeType} bereitgestellt)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Diese Version von Chrome ist zu alt, um "{featureName}" zu unterstützen. Verwenden Sie eine neuere Version, um vollständige Ergebnisse anzusehen.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Die von Ihnen angeforderte Seite konnte von Lighthouse nicht zuverlässig geladen werden. Überprüfen Sie, ob Sie die richtige URL testen und der Server auf alle Anfragen angemessen reagiert."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{
message:"Die angeforderte URL konnte von Lighthouse nicht zuverlässig geladen werden, weil die Seite nicht mehr reagiert hat."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Die von Ihnen angegebene URL hat kein gültiges Sicherheitszertifikat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome hat den Seitenaufbau mit einem Interstitial verhindert. Überprüfen Sie, ob Sie die richtige URL testen und der Server auf alle Anfragen angemessen reagiert."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Die von Ihnen angeforderte Seite konnte von Lighthouse nicht zuverlässig geladen werden. Überprüfen Sie, ob Sie die richtige URL testen und der Server auf alle Anfragen angemessen reagiert. (Details: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Die von Ihnen angeforderte Seite konnte von Lighthouse nicht zuverlässig geladen werden. Überprüfen Sie, ob Sie die richtige URL testen und der Server auf alle Anfragen angemessen reagiert. (Statuscode: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Das Laden Ihrer Seite hat zu lange gedauert. Nutzen Sie die Tipps im Bericht, um die Seitenladezeit zu verringern, und versuchen Sie anschließend noch einmal, Lighthouse auszuführen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Die maximal zulässige Antwortzeit des DevTools-Protokolls wurde überschritten. (Methode: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Die maximal zulässige Zeit für das Abrufen von Ressourceninhalten wurde überschritten"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Die von Ihnen angegebene URL scheint ungültig zu sein."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Alles"},
"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Alle Skripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Abdeckung"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Doppelte Module"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Ressourcengröße in Byte"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Name"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Tabelle ein- oder ausblenden"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Nicht verwendete Byte"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Verwenden Sie [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) für animierte Inhalte, um die CPU-Last auf ein Mindestmaß zu reduzieren, wenn die Inhalte nicht zu sehen sind."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Sie können alle [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-Komponenten in WebP-Formaten darstellen lassen, während Sie einen geeigneten Ersatz für andere Browser angeben. [Weitere Informationen](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Achten Sie darauf, [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) für Ihre Bilder zu verwenden, damit sie automatisch per Lazy Load geladen werden. [Weitere Informationen](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Verwenden Sie Tools wie [AMP-Optimierer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer), um [AMP-Layouts serverseitig zu rendern](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"In der [AMP-Dokumentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) können Sie nachsehen, ob alle Stile unterstützt werden."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Das Element [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) unterstützt das Attribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) und gibt auf Grundlage der Bildschirmgröße an, welche Bild-Assets verwendet werden sollten. [Weitere Informationen](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Sie können virtuelles Scrolling mit dem Component Dev Kit (CDK) verwenden, wenn sehr umfangreiche Listen gerendert werden. [Weitere Informationen.](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Verwenden Sie die [Codeaufteilung auf Routing-Ebene](https://web.dev/route-level-code-splitting-in-angular/), um die Größe Ihrer JavaScript-Bundles zu reduzieren. Außerdem können Sie Assets mit dem [Angular-Service-Worker](https://web.dev/precaching-with-the-angular-service-worker/) vorab im Cache speichern lassen."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Wenn Sie Angular CLI verwenden, sollten Builds im Produktionsmodus erzeugt werden. [Weitere Informationen.](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Wenn Sie Angular CLI verwenden, müssen Sie Quellzuordnungen in den Produktions-Build aufnehmen, um Ihre Bundles zu prüfen. [Weitere Informationen](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Lassen Sie Routings vorab laden, um die Bedienung zu beschleunigen. [Weitere Informationen.](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Sie können das Dienstprogramm `BreakpointObserver` im Component Dev Kit (CDK) verwenden, um Haltepunkte in Bildern zu verwalten. [Weitere Informationen.](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Sie haben die Möglichkeit, Ihr GIF bei einem Dienst hochzuladen, der dafür sorgt, dass es als HTML5-Video eingebettet werden kann."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:'Geben Sie "`@font-display`" an, wenn Sie benutzerdefinierte Schriftarten für Ihr Design definieren.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Sie haben die Möglichkeit, [ein Modul zur Nutzung von WebP-Bildformaten](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) für Ihre Website zu installieren und zu konfigurieren. Solch ein Modul erstellt automatisch eine WebP-Version Ihrer hochgeladenen Bilder, um die Ladezeiten zu optimieren."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Sie können ein [Drupal-Modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) installieren, das das Lazy Loading von Bildern erlaubt. Solche Module bieten die Möglichkeit, nicht sichtbare Bilder aufzuschieben, um die Leistung zu verbessern."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Sie haben die Möglichkeit, ein Modul zu verwenden, um wichtiges CSS und JavaScript einzubetten. Sie können Assets auch asynchron über JavaScript laden, beispielsweise mit dem Modul [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Beachten Sie, dass über dieses Modul bereitgestellte Optimierungen dazu führen können, dass Ihre Website nicht funktioniert. Daher müssen Sie wahrscheinlich Änderungen am Code vornehmen."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Sowohl Designs, Module als auch Serverspezifikationen tragen zur Serverantwortzeit bei. Versuchen Sie, ein noch weiter optimiertes Design zu finden, wählen Sie ein geeignetes Optimierungsmodul aus und/oder upgraden Sie Ihren Server. Ihre Hosting-Server sollten PHP-Opcode-Caching und Memory-Caching wie Redis oder Memcached zur Verkürzung der Datenbankabfragezeiten sowie optimierte Anwendungslogik zur schnelleren Bereitstellung von Seiten nutzen."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Sie haben die Möglichkeit, [responsive Bildstile (Responsive Image Styles)](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) zu verwenden, um die Größe der auf Ihrer Seite geladenen Bilder zu reduzieren. Wenn Sie Views verwenden, um mehrere Inhaltselemente auf einer Seite anzuzeigen, können Sie mithilfe von Paginierung die Anzahl der auf einer bestimmten Seite eingeblendeten Inhaltselemente begrenzen."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Achten Sie darauf, dass die Option "Aggregate CSS files" (CSS-Dateien aggregieren) unter "Administration" (Verwalten) > "Configuration" (Konfiguration) > "Development" (Entwicklung) aktiviert ist. Durch [zusätzliche Module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) können Sie auch erweiterte Aggregierungsoptionen konfigurieren, die CSS-Stile verketten, reduzieren und komprimieren, um Ihre Website zu beschleunigen.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Achten Sie darauf, dass die Option "Aggregate JavaScript files" (JavaScript-Dateien aggregieren) unter "Administration" (Verwalten) > "Configuration" (Konfiguration) > "Development" (Entwicklung) aktiviert ist. Durch [zusätzliche Module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) können Sie auch erweiterte Aggregierungsoptionen konfigurieren, die JavaScript-Assets verketten, reduzieren und komprimieren, um Ihre Website zu beschleunigen.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Sie können ungenutzte CSS-Regeln entfernen und nur die benötigten Drupal-Bibliotheken zu relevanten Seiten oder Seitenkomponenten hinzufügen. Weitere Informationen finden Sie in der [Drupal-Dokumentation](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Wenn Sie die angehängten Bibliotheken ermitteln möchten, über die irrelevantes CSS hinzugefügt wird, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Modul können Sie anhand der URL des Stylesheets erkennen, wenn die CSS-Aggregation auf Ihrer Drupal-Website deaktiviert ist. Suchen Sie in der Liste nach Designs/Modulen mit vielen Stylesheets, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Stylesheet sollte nur dann in ein Design/Modul aufgenommen werden, wenn es auch tatsächlich auf der Seite verwendet wird."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Sie haben die Möglichkeit, ungenutzte JavaScript-Assets zu entfernen und nur die benötigten Drupal-Bibliotheken zu relevanten Seiten oder Seitenkomponenten hinzuzufügen. Weitere Informationen finden Sie in der [Drupal-Dokumentation](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Wenn Sie die angehängten Bibliotheken ermitteln möchten, über die irrelevantes JavaScript hinzugefügt wird, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Modul können Sie anhand der URL des Skripts erkennen, wenn die JavaScript-Aggregation auf Ihrer Drupal-Website deaktiviert ist. Suchen Sie in der Liste nach Designs/Modulen mit vielen Skripts, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Skript sollte nur dann in ein Design/Modul aufgenommen werden, wenn es auch tatsächlich auf der Seite verwendet wird."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Konfigurieren Sie die Option "Browser and proxy cache maximum age" (Maximale Lebensdauer für Browser- und Proxy-Cache) unter "Administration" (Verwalten) > "Configuration" (Konfiguration) > Development (Entwicklung). [Hier finden Sie weitere Informationen über den Drupal-Cache und Leistungsoptimierungen.](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Sie haben die Möglichkeit, [ein Modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) zu verwenden, das automatisch und ohne Qualitätsverlust die Größe von Bildern, die über die Website hochgeladen werden, optimiert und reduziert. Achten Sie außerdem darauf, dass Sie für alle auf Ihrer Website gerenderten Bilder die von Drupal bereitgestellten [responsiven Bildstile (Responsive Image Styles)](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (verfügbar ab Drupal 8.0) verwenden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:'Sie können Hinweise auf Ressourcen für den User-Agent als "preconnect" oder "dns-prefetch" hinzufügen, indem Sie [ein Modul installieren oder konfigurieren](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), das die entsprechende Funktionalität bietet.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Achten Sie darauf, dass Sie die von Drupal bereitgestellten [responsiven Bildstile (Responsive Image Styles)](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (verfügbar ab Drupal 8.0) verwenden. Verwenden Sie die responsiven Bildstile für Bildfelder, die über Anzeigemodi gerendert werden, sowie für Bilder, die über den WYSIWYG-Editor hochgeladen wurden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Sie haben die Möglichkeit, Ihr GIF bei einem Dienst hochzuladen, der dafür sorgt, dass es als HTML5-Video eingebettet werden kann."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Sie haben die Möglichkeit, Ihre hochgeladenen Bilder mithilfe eines [Plug-ins](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) oder eines Dienstes automatisch in das optimale Format zu konvertieren."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Sie können ein [Lazy-Loading-Plug-in für Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) installieren, um nicht sichtbare Bilder aufzuschieben. Alternativ können Sie auch zu einer Vorlage wechseln, die diese Funktion bietet. Ab Joomla 4.0 erhalten alle neuen Bilder [automatisch](https://github.com/joomla/joomla-cms/pull/30748) das Attribut „`loading`“."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"Es gibt eine Reihe von Joomla-Plug-ins, mit denen Sie [wichtige Assets einbetten](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) oder [weniger wichtige Ressourcen aufschieben](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) können. Beachten Sie, dass über diese Plug-ins bereitgestellte Optimierungen dazu führen können, dass Ihre Vorlagen oder Plug-ins nicht funktionieren. Daher müssen Sie sie sorgfältig testen."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Sowohl Vorlagen, Erweiterungen als auch Serverspezifikationen tragen zur Serverantwortzeit bei. Versuchen Sie, eine noch weiter optimierte Vorlage zu finden, wählen Sie eine geeignete Optimierungs-Erweiterung aus und/oder upgraden Sie Ihren Server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Sie haben die Möglichkeit, Auszüge in Ihren Artikelkategorien einzublenden (z. B. über den Link "Weiterlesen"), die Anzahl der Artikel auf einer Seite zu verringern, lange Beiträge auf mehrere Seiten aufzuteilen oder ein Plug-in für das Lazy Loading von Kommentaren zu verwenden.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Ihre Website lässt sich mit einer Reihe von [Joomla-Erweiterungen](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) beschleunigen, durch die Ihre CSS-Stile verkettet, reduziert und komprimiert werden. Es gibt auch Vorlagen, die diese Funktionen bieten."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Ihre Website lässt sich mit einer Reihe von [Joomla-Erweiterungen](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) beschleunigen, durch die Ihre Skripts verkettet und komprimiert werden. Es gibt auch Vorlagen, die diese Funktionen bieten."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Prüfen Sie, ob Sie [Joomla-Erweiterungen](https://extensions.joomla.org/), über die nicht verwendetes CSS auf Ihre Seite geladen wird, entfernen oder durch alternative Erweiterungen ersetzen können. Wenn Sie die Erweiterungen ermitteln möchten, über die irrelevantes CSS hinzugefügt wird, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Plug-in können Sie anhand der URL des Stylesheets erkennen. Suchen Sie in der Liste nach Plug-ins mit vielen Stylesheets, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Stylesheet sollte nur dann in ein Plug-in aufgenommen werden, wenn es auch tatsächlich auf der Seite verwendet wird."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Prüfen Sie, ob Sie [Joomla-Erweiterungen](https://extensions.joomla.org/), über die nicht verwendetes JavaScript auf Ihre Seite geladen wird, entfernen oder durch alternative Plug-ins ersetzen können. Wenn Sie die Plug-ins ermitteln möchten, über die irrelevantes JavaScript hinzugefügt wird, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Die entsprechende Erweiterung können Sie anhand der URL des Skripts erkennen. Suchen Sie in der Liste nach Erweiterungen mit vielen Skripts, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Skript sollte nur dann in eine Erweiterung aufgenommen werden, wenn es auch tatsächlich auf der Seite verwendet wird."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{
message:"[Hier erhalten Sie Informationen zum Browser-Caching in Joomla.](https://docs.joomla.org/Cache)"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"Sie haben die Möglichkeit, ein [Plug-in für die Bildoptimierung](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) zu verwenden, durch das Ihre Bilder komprimiert werden, die Qualität jedoch gleich bleibt."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Sie haben die Möglichkeit, ein [Plug-in für responsive Bilder](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) zu verwenden, um für Ihre Inhalte responsive Bilder zu verwenden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:'Sie können die Textkomprimierung aktivieren, indem Sie in Joomla die Gzip-Seitenkomprimierung aktivieren ("System" > "Konfiguration – Global" > "Server").'},
"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Wenn Sie Ihre JavaScript-Assets nicht in einem Bundle zusammenführen, empfehlen wir Ihnen die Verwendung von [Baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Deaktivieren Sie die integrierte [JavaScript-Bundle-Erstellung und -Komprimierung](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) von Magento und nutzen Sie stattdessen [Baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:'Geben Sie "`@font-display`" an, wenn Sie [benutzerdefinierte Schriftarten definieren](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html).'},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{
message:"Auf dem [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) finden Sie eine Auswahl an Drittanbietererweiterungen, mit denen Sie aktuelle Bildformate nutzen können."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Sie können Ihre Produkt- und Katalogvorlagen anpassen, um die [Lazy Loading](https://web.dev/native-lazy-loading)-Funktion der Webplattform nutzen können."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Verwenden Sie die [Varnish-Integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) von Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{
message:"Sie können die Option zum Komprimieren von CSS-Dateien in den Entwicklereinstellungen des Stores aktivieren. [Weitere Informationen.](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Verwenden Sie [Terser](https://www.npmjs.com/package/terser), um alle JavaScript-Assets aus der statischen Inhaltsbereitstellung zu reduzieren, und deaktivieren Sie die integrierte Reduzierungsfunktion."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Deaktivieren Sie die integrierte [JavaScript-Bundle-Erstellung](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) von Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{
message:"Auf dem [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) finden Sie eine Auswahl an Drittanbietererweiterungen, mit denen Sie Bilder optimieren können."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:'Sie können Hinweise auf Ressourcen als "preconnect" oder "dns-prefetch" hinzufügen, indem Sie [das Layout eines Designs ändern](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).'},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:'Sie können "`<link rel=preload>`"-Tags hinzufügen, indem Sie [das Layout eines Designs ändern](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).'},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Ersetzen Sie animierte GIFs durch Videos](https://web.dev/replace-gifs-with-videos/), damit die Webseite schneller lädt, und verwenden Sie moderne Dateiformate wie [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) oder [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), um die Kompressionseffizienz um mehr als 30 % gegenüber dem neuesten Video-Codec bzw. VP9 zu verbessern."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Sie haben die Möglichkeit, die hochgeladenen Bilder mithilfe eines [Plug-ins](https://octobercms.com/plugins?search=image) oder eines Dienstes automatisch in das optimale Format zu konvertieren. [Verlustfreie WebP-Bilder](https://developers.google.com/speed/webp) sind 26 % kleiner als PNGs und 25 bis 34 % kleiner als vergleichbare JPEG-Bilder bei gleichem SSIM-Qualitätsindex. Ein weiteres Bildformat der nächsten Generation, das Sie in Betracht ziehen können, ist [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Sie können ein [Lazy-Loading-Plug-in für Bilder](https://octobercms.com/plugins?search=lazy) installieren, um nicht sichtbare Bilder aufzuschieben. Alternativ können Sie auch zu einem Design wechseln, das diese Funktion bietet. Sie sollten sich auch überlegen, [das AMP-Plug-in](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) zu verwenden."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Es gibt zahlreiche Plug-ins, mit denen [wichtige Assets eingebettet werden können](https://octobercms.com/plugins?search=css). Diese Plug-ins können dazu führen, dass andere Plug-ins nicht mehr funktionieren. Daher müssen Sie sorgfältig testen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Sowohl Designs, Plug-ins als auch Serverspezifikationen tragen zur Serverantwortzeit bei. Versuchen Sie, ein noch weiter optimiertes Design zu finden, wählen Sie ein geeignetes Optimierungs-Plug-in aus und/oder upgraden Sie Ihren Server. Bei October CMS können Entwickler mit [`Queues`](https://octobercms.com/docs/services/queues) die Verarbeitung einer zeitaufwendigen Aufgabe wie das Senden einer E-Mail aufschieben. Dadurch werden Webanfragen erheblich beschleunigt."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Sie haben die Möglichkeit, Auszüge in Ihrer Beitragsliste einzublenden (z. B. über die Schaltfläche „`show more`“), die Anzahl der Beiträge auf einer Webseite zu verringern, lange Beiträge auf mehrere Seiten aufzuteilen oder ein Plug-in für das Lazy Loading von Kommentaren zu verwenden."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Es gibt zahlreiche [Plug-ins](https://octobercms.com/plugins?search=css), die eine Website durch Verketten, Verkleinern und Komprimieren von Stilen beschleunigen können. Eine Komprimierung im Voraus über einen Build-Prozess kann die Entwicklung beschleunigen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Es gibt zahlreiche [Plug-ins](https://octobercms.com/plugins?search=javascript), die eine Website durch Verketten, Verkleinern und Komprimieren von Skripten beschleunigen können. Eine Komprimierung im Voraus über einen Build-Prozess kann die Entwicklung beschleunigen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Prüfen Sie die [Plug-ins](https://octobercms.com/plugins), über die nicht verwendete CSS auf der Website geladen werden. Wenn Sie Plug-ins ermitteln möchten, über die nicht notwendige CSS hinzugefügt werden, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Plug-in können Sie anhand der URL des Stylesheets erkennen. Suchen Sie nach Plug-ins mit vielen Stylesheets und viel nicht verwendetem Code (markiert in Rot) in der Codeabdeckung. Ein Plug-in sollte nur dann ein Stylesheet hinzufügen, wenn es auch tatsächlich auf der Webseite verwendet wird."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Sie sollten prüfen, über welche [Plug-ins](https://octobercms.com/plugins?search=javascript) nicht verwendetes JavaScript auf Ihre Webseite geladen wird. Wenn Sie Plug-ins ermitteln möchten, über die nicht notwendiges JavaScript hinzugefügt wird, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Plug-in können Sie anhand der URL des Skripts erkennen. Suchen Sie nach Plug-ins mit vielen Skripts, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Plug-in sollte nur dann ein Skript hinzufügen, wenn es auch tatsächlich auf der Webseite verwendet wird."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"[Hier finden Sie Informationen, wie Sie unnötige Netzwerkanfragen mit dem HTTP-Cache verhindern.](https://web.dev/http-cache/#caching-checklist). Es gibt zahlreiche [Plug-ins](https://octobercms.com/plugins?search=Caching), die zum Beschleunigen des Cachings verwendet werden können."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Sie haben die Möglichkeit, ein [Plug-in für die Bildoptimierung](https://octobercms.com/plugins?search=image) zu verwenden, durch das Bilder komprimiert werden, die Qualität jedoch gleich bleibt."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Laden Sie Bilder direkt in den Medienmanager hoch, damit die erforderlichen Bildgrößen verfügbar sind. Mithilfe eines [Filters zur Größenanpassung](https://octobercms.com/docs/markup/filter-resize) oder eines [Plug-ins zur Bildgrößenanpassung](https://octobercms.com/plugins?search=image) können Sie sicherstellen, dass die optimalen Bildgrößen verwendet werden."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Aktivieren Sie die Textkomprimierung in der Konfiguration des Webservers."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Sie haben die Möglichkeit, eine Bibliothek wie „`react-window`“ zur Fensterverwaltung zu nutzen, um die Anzahl an DOM-Knoten zu minimieren, die beim Rendern vieler sich wiederholender Elemente auf der Seite erstellt werden. [Weitere Informationen](https://web.dev/virtualize-long-lists-react-window/) Sie können [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) oder [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) nutzen, um wiederholtes Rendern auf ein Mindestmaß zu reduzieren. Auch [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) sind möglich, aber nur, bis sich bestimmte Abhängigkeiten geändert haben (sofern Sie den `Effect`-Hook zur Verbesserung der Laufzeitleistung verwenden)."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:'Wenn Sie React Router nutzen, empfehlen wir, die Komponente "`<Redirect>`" für das [Bedienungs-Routing](https://reacttraining.com/react-router/web/api/Redirect) so wenig wie möglich zu verwenden.'},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:'Wenn Sie serverseitig React-Komponenten rendern, empfehlen wir den Einsatz von "`renderToNodeStream()`" oder "`renderToStaticNodeStream()`", um dem Client zu ermöglichen, einzelne Teile des Markups abzurufen und auszufüllen. So müssen nicht alle auf einmal abgerufen werden. [Weitere Informationen.](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)'},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Wenn Ihr Build-System CSS-Dateien automatisch komprimiert, achten Sie darauf, dass Sie den Produktions-Build Ihrer App verfügbar machen. Das können Sie mit der Erweiterung „React Developer Tools“ prüfen. [Weitere Informationen](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Wenn Ihr Build-System JS-Dateien automatisch komprimiert, achten Sie darauf, dass Sie den Produktions-Build Ihrer App verfügbar machen. Das können Sie mit der Erweiterung „React Developer Tools“ prüfen. [Weitere Informationen](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:'Wenn Sie nicht serverseitig rendern lassen, [können Sie Ihre JavaScript-Bundles mit "`React.lazy()`" aufteilen](https://web.dev/code-splitting-suspense/). Andernfalls haben Sie die Möglichkeit, Ihren Code mit einer Drittanbieterbibliothek wie [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/) zu splitten.'},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Verwenden Sie den React DevTools Profiler. Dieser greift auf die Profiler API zurück, um die Rendering-Leistung Ihrer Komponenten zu messen. [Weitere Informationen.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Sie haben die Möglichkeit, Ihr GIF bei einem Dienst hochzuladen, der dafür sorgt, dass es als HTML5-Video eingebettet werden kann."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Sie haben die Möglichkeit, Ihre hochgeladenen Bilder mithilfe eines [Plug-ins](https://wordpress.org/plugins/search/convert+webp/) oder eines Dienstes automatisch in das optimale Format zu konvertieren."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Sie können ein [Lazy-Loading-Plug-in für WordPress](https://wordpress.org/plugins/search/lazy+load/) installieren, mit dem Sie nicht sichtbare Bilder aufschieben. Alternativ können Sie auch zu einem Design wechseln, das diese Funktion bietet. Sie sollten sich auch überlegen, [das AMP-Plug-in](https://wordpress.org/plugins/amp/) zu verwenden."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Es gibt eine Reihe von WordPress-Plug-ins, mit denen Sie [wichtige Assets einbetten](https://wordpress.org/plugins/search/critical+css/) oder [weniger wichtige Ressourcen aufschieben](https://wordpress.org/plugins/search/defer+css+javascript/) können. Beachten Sie, dass über diese Plug-ins bereitgestellte Optimierungen dazu führen können, dass Ihre Designs oder Plug-ins nicht funktionieren. Daher müssen Sie wahrscheinlich Änderungen am Code vornehmen."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Sowohl Designs, Plug-ins als auch Serverspezifikationen tragen zur Serverantwortzeit bei. Versuchen Sie, ein noch weiter optimiertes Design zu finden, wählen Sie ein geeignetes Optimierungs-Plug-in aus und/oder upgraden Sie Ihren Server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:'Sie haben die Möglichkeit, Auszüge in Ihrer Beitragsliste einzublenden (z. B. über das Tag "Mehr"), die Anzahl der Beiträge auf einer Seite zu verringern, lange Beiträge auf mehrere Seiten aufzuteilen oder ein Plug-in für das Lazy Loading von Kommentaren zu verwenden.'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Ihre Website lässt sich mit einer Reihe von [WordPress-Plug-ins](https://wordpress.org/plugins/search/minify+css/) beschleunigen, durch die Ihre Stile verkettet und komprimiert werden. Sofern möglich, können Sie diese Komprimierung auch im Voraus über einen Build-Prozess vornehmen."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Ihre Website lässt sich mit einer Reihe von [WordPress-Plug-ins](https://wordpress.org/plugins/search/minify+javascript/) beschleunigen, durch die Ihre Skripts verkettet und komprimiert werden. Sofern möglich, können Sie diese Komprimierung auch im Voraus über einen Build-Prozess vornehmen."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Prüfen Sie, ob Sie [WordPress-Plug-ins](https://wordpress.org/plugins/), über die nicht verwendete CSS auf Ihre Seite geladen werden, entfernen oder durch alternative Plug-ins ersetzen können. Wenn Sie die Plug-ins ermitteln möchten, über die irrelevante CSS hinzugefügt werden, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Plug-in können Sie anhand der URL des Stylesheets erkennen. Suchen Sie in der Liste nach Plug-ins mit vielen Stylesheets, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Stylesheet sollte nur dann in ein Plug-in aufgenommen werden, wenn es auch tatsächlich auf der Seite verwendet wird."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Prüfen Sie, ob Sie [WordPress-Plug-ins](https://wordpress.org/plugins/), über die nicht verwendete JavaScript-Dateien auf Ihre Seite geladen werden, entfernen oder durch alternative Plug-ins ersetzen können. Wenn Sie die Plug-ins ermitteln möchten, über die irrelevante JavaScript-Dateien hinzugefügt werden, können Sie das Prüftool zur [Codeabdeckung](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in den Chrome-Entwicklertools verwenden. Das entsprechende Design/Plug-in können Sie anhand der URL des Skripts erkennen. Suchen Sie in der Liste nach Plug-ins mit vielen Skripts, bei denen im Prüftool zur Codeabdeckung viel nicht verwendeter Code (markiert in Rot) angezeigt wird. Ein Skript sollte nur dann in ein Plug-in aufgenommen werden, wenn es auch tatsächlich auf der Seite verwendet wird."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{
message:"Hier erhalten Sie Informationen zum [Browser-Caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Sie haben die Möglichkeit, ein [WordPress-Plug-in für die Bildoptimierung](https://wordpress.org/plugins/search/optimize+images/) zu verwenden, durch das Ihre Bilder komprimiert werden, die Qualität jedoch gleich bleibt."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"Sie haben die Möglichkeit, Bilder direkt über die [Mediathek](https://wordpress.org/support/article/media-library-screen/) hochzuladen, damit die erforderlichen Bildgrößen verfügbar sind. Die Bilder können Sie dann aus der Mediathek einfügen oder auch das Bild-Widget nutzen, damit die optimalen Bildgrößen verwendet werden (einschließlich derjenigen für die responsiven Haltepunkte). Bilder in `Full Size` sollten nur verwendet werden, wenn die Abmessungen für die entsprechende Nutzung geeignet sind. [Weitere Informationen.](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Sie können die Textkomprimierung in der Konfiguration Ihres Webservers aktivieren."},"report/renderer/util.js | calculatorLink":{message:"Siehe Rechner."},"report/renderer/util.js | crcInitialNavigation":{message:"Anfangsnavigation"},"report/renderer/util.js | crcLongestDurationLabel":{
message:"Maximale Latenz für kritischen Pfad:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSON kopieren"},"report/renderer/util.js | dropdownDarkTheme":{message:"Auf dunkles Design umschalten"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Erweiterten Bericht drucken"},"report/renderer/util.js | dropdownPrintSummary":{message:"Zusammenfassung drucken"},"report/renderer/util.js | dropdownSaveGist":{message:"Als Gist speichern"},"report/renderer/util.js | dropdownSaveHTML":{message:"Als HTML speichern"},"report/renderer/util.js | dropdownSaveJSON":{message:"Als JSON speichern"},"report/renderer/util.js | dropdownViewer":{message:"Im Viewer öffnen"},"report/renderer/util.js | errorLabel":{message:"Fehler."},"report/renderer/util.js | errorMissingAuditInfo":{message:"Fehler gemeldet: keine Informationen zur Überprüfung"},"report/renderer/util.js | footerIssue":{message:"Problem melden"},"report/renderer/util.js | labDataTitle":{message:"Labdaten"},
"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/)-Analyse der aktuellen Seite in einem emulierten Mobilfunknetz. Die Werte sind Schätzungen und können variieren."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Zusätzliche Elemente zur manuellen Überprüfung"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nicht zutreffend"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Empfehlung"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Geschätzte Einsparung"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Bestandene Prüfungen"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Desktopemulation"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4-Emulation"},"report/renderer/util.js | runtimeNoEmulation":{message:"Keine Emulation"},"report/renderer/util.js | runtimeSettingsAxeVersion":{
message:"Axe-Version"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU-/Arbeitsspeicherleistung"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU-Drosselung"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Gerät"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Abrufzeit"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Netzwerkdrosselung"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Laufzeiteinstellungen"},"report/renderer/util.js | runtimeSettingsUA":{message:"User-Agent (Host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User-Agent (Netzwerk)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Unbekannt"},"report/renderer/util.js | showRelevantAudits":{message:"Prüfungen anzeigen, die für folgende Messwerte relevant sind:"},
"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Snippet minimieren"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Snippet maximieren"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Drittanbieter-Ressourcen anzeigen"},"report/renderer/util.js | throttlingProvided":{message:"Durch die Umgebung bereitgestellt"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Einige Probleme haben diese Ausführung von Lighthouse beeinträchtigt:"},"report/renderer/util.js | varianceDisclaimer":{message:"Die Werte sind geschätzt und können variieren. Die [Leistungsbewertung](https://web.dev/performance-scoring/) wird direkt aus diesen Messwerten berechnet."},"report/renderer/util.js | viewTreemapLabel":{message:"Strukturkarte anzeigen"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Bestandene Prüfungen mit Warnungen"},"report/renderer/util.js | warningHeader":{message:"Warnungen: "}}},{}],106:[function(e,s,t){s.exports={
"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Τα πλήκτρα πρόσβασης επιτρέπουν στους χρήστες να εστιάσουν γρήγορα σε ένα τμήμα της σελίδας. Για σωστή πλοήγηση, κάθε πλήκτρο πρόσβασης πρέπει να είναι μοναδικό. [Μάθετε περισσότερα](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Οι τιμές `[accesskey]` δεν είναι μοναδικές"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` τιμές είναι μοναδικές"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Κάθε στοιχείο ARIA `role` υποστηρίζει ένα συγκεκριμένο υποσύνολο χαρακτηριστικών `aria-*`. Η λανθασμένη αντιστοίχισή τους καθιστά μη έγκυρα τα χαρακτηριστικά `aria-*`. [Μάθετε περισσότερα](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Τα χαρακτηριστικά `[aria-*]` δεν αντιστοιχούν στους ρόλους τους"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Τα χαρακτηριστικά `[aria-*]` αντιστοιχούν στους ρόλους τους"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Όταν ένα στοιχείο δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Τα στοιχεία `button`, `link` και `menuitem` δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Τα στοιχεία `button`, `link` και `menuitem` έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Οι τεχνολογίες υποβοήθησης χρηστών, όπως οι αναγνώστες οθόνης, λειτουργούν με μη συνεπή τρόπο όταν το `aria-hidden="true"` έχει οριστεί στο έγγραφο `<body>`. [Μάθετε περισσότερα](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Το `[aria-hidden="true"]` υπάρχει στο έγγραφο `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Το `[aria-hidden="true"]` δεν υπάρχει στο έγγραφο `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Τα εξαρτημένα στοιχεία με δυνατότητα εστίασης εντός ενός στοιχείου `[aria-hidden="true"]` αποτρέπουν τη διάθεση αυτών των στοιχείων αλληλεπίδρασης σε χρήστες τεχνολογιών υποβοήθησης, όπως είναι οι αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{
message:'Τα στοιχεία `[aria-hidden="true"]` περιέχουν εξαρτημένα στοιχεία με δυνατότητα εστίασης'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Τα στοιχεία `[aria-hidden="true"]` δεν περιέχουν εξαρτημένα στοιχεία με δυνατότητα εστίασης'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Όταν ένα πεδίο εισαγωγής δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Τα πεδία εισαγωγής ARIA δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Τα πεδία εισαγωγής ARIA διαθέτουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Όταν ένα στοιχείο δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Τα στοιχεία ARIA `meter` δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Τα στοιχεία ARIA `meter` έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Όταν ένα `progressbar` στοιχείο δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{
message:"Τα στοιχεία ARIA `progressbar` δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Τα στοιχεία ARIA `progressbar` έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Ορισμένοι ρόλοι ARIA έχουν απαιτούμενα χαρακτηριστικά που περιγράφουν την κατάσταση του στοιχείου στους αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Τα στοιχεία `[role]` δεν έχουν όλα τα απαιτούμενα χαρακτηριστικά `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Τα στοιχεία `[role]` έχουν όλα τα απαιτούμενα χαρακτηριστικά `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Ορισμένοι γονικοί ρόλοι ARIA πρέπει να περιέχουν συγκεκριμένους θυγατρικούς ρόλους, για να μπορούν να εκτελέσουν τις προβλεπόμενες λειτουργίες προσβασιμότητας. [Μάθετε περισσότερα](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Λείπουν από τα στοιχεία με ARIA `[role]`, τα οποία απαιτούν από τα θυγατρικά στοιχεία να περιέχουν ένα συγκεκριμένο `[role]`, ορισμένα ή όλα τα απαιτούμενα θυγατρικά στοιχεία."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Τα στοιχεία με ARIA `[role]`, τα οποία απαιτούν από τα θυγατρικά στοιχεία να περιέχουν ένα συγκεκριμένο `[role]`, έχουν όλα τα απαιτούμενα θυγατρικά στοιχεία."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Ορισμένοι θυγατρικοί ρόλοι ARIA πρέπει να περιέχονται σε συγκεκριμένους γονικούς ρόλους, για να μπορούν να εκτελέσουν σωστά τις προβλεπόμενες λειτουργίες προσβασιμότητας. [Μάθετε περισσότερα](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Τα στοιχεία `[role]` δεν περιλαμβάνονται στο απαιτούμενο γονικό στοιχείο τους"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Τα στοιχεία `[role]` περιλαμβάνονται στο απαιτούμενο γονικό στοιχείο τους"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Οι ρόλοι ARIA πρέπει να έχουν έγκυρες τιμές, για να μπορούν να εκτελέσουν τις προβλεπόμενες λειτουργίες προσβασιμότητας. [Μάθετε περισσότερα](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Οι τιμές `[role]` δεν είναι έγκυρες"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{
message:"Οι τιμές `[role]` είναι έγκυρες"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Όταν ένα πεδίο εναλλαγής δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Τα πεδία εναλλαγής ARIA δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Τα πεδία εναλλαγής ARIA διαθέτουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Όταν ένα στοιχείο δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Τα στοιχεία ARIA `tooltip` δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Τα στοιχεία ARIA `tooltip` έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Όταν ένα στοιχείο δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το ανακοινώνουν με ένα γενικό όνομα, με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από χρήστες που βασίζονται σε αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"Τα στοιχεία ARIA `treeitem` δεν έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Τα στοιχεία ARIA `treeitem` έχουν προσβάσιμα ονόματα"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Οι τεχνολογίες υποβοήθησης χρηστών, όπως οι αναγνώστες οθόνης, δεν μπορούν να ερμηνεύσουν τα χαρακτηριστικά ARIA με μη έγκυρες τιμές. [Μάθετε περισσότερα](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Τα χαρακτηριστικά `[aria-*]` δεν έχουν έγκυρες τιμές"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Τα χαρακτηριστικά `[aria-*]` έχουν έγκυρες τιμές"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"Οι τεχνολογίες υποβοήθησης χρηστών, όπως οι αναγνώστες οθόνης, δεν μπορούν να ερμηνεύσουν τα χαρακτηριστικά ARIA με μη έγκυρα ονόματα. [Μάθετε περισσότερα](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Τα χαρακτηριστικά `[aria-*]` δεν είναι έγκυρα ή έχουν ορθογραφικά λάθη"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Τα χαρακτηριστικά `[aria-*]` είναι έγκυρα και δεν έχουν ορθογραφικά λάθη"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Στοιχεία που απέτυχαν"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Όταν ένα κουμπί δεν έχει προσβάσιμο όνομα, οι αναγνώστες οθόνης το εκφωνούν ως "κουμπί", με αποτέλεσμα να μην μπορεί να χρησιμοποιηθεί από τους χρήστες που βασίζονται στους αναγνώστες οθόνης. [Μάθετε περισσότερα](https://web.dev/button-name/).'},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Τα κουμπιά δεν έχουν προσβάσιμο όνομα"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Τα κουμπιά έχουν προσβάσιμο όνομα"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Η προσθήκη τρόπων για την παράκαμψη του επαναλαμβανόμενου περιεχομένου επιτρέπει στους χρήστες του πληκτρολογίου να πλοηγούνται πιο αποτελεσματικά στη σελίδα. [Μάθετε περισσότερα](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Η σελίδα δεν περιέχει κεφαλίδα, σύνδεσμο παράβλεψης ή περιοχή ορόσημου"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Η σελίδα περιέχει κεφαλίδα, σύνδεσμο παράβλεψης ή περιοχή ορόσημου"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Ένα κείμενο χαμηλής αντίθεσης είναι δύσκολο ή αδύνατο να αναγνωστεί. [Μάθετε περισσότερα](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Τα χρώματα παρασκηνίου και προσκηνίου δεν έχουν επαρκή αναλογία αντίθεσης."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Τα χρώματα παρασκηνίου και προσκηνίου έχουν επαρκή αναλογία αντίθεσης"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Όταν οι λίστες ορισμών δεν επισημαίνονται σωστά, οι αναγνώστες οθόνης μπορεί να παράγουν συγκεχυμένα ή ανακριβή αποτελέσματα. [Μάθετε περισσότερα](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Τα στοιχεία `<dl>` δεν περιέχουν μόνο σωστά ταξινομημένες ομάδες `<dt>` και `<dd>` ή στοιχεία `<script>`, `<template>` ή `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Τα στοιχεία `<dl>` περιέχουν μόνο σωστά ταξινομημένες ομάδες `<dt>` και `<dd>` ή στοιχεία `<script>`, `<template>` ή `<div>`."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Τα στοιχεία λίστας ορισμών (`<dt>` και `<dd>`) πρέπει να περιτυλίγονται σε ένα γονικό στοιχείο `<dl>`, ώστε οι αναγνώστες οθόνης να μπορούν να τα εκφωνήσουν σωστά. [Μάθετε περισσότερα](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Τα στοιχεία της λίστας ορισμών δεν περιτυλίγονται σε στοιχεία `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Τα στοιχεία της λίστας ορισμών περιτυλίγονται σε στοιχεία `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Για τους χρήστες ενός αναγνώστη οθόνης, ο τίτλος λειτουργεί ως επισκόπηση της σελίδας. Για τους χρήστες μιας μηχανής αναζήτησης, ο τίτλος τούς επιτρέπει να αποφασίσουν εάν μια σελίδα είναι σχετική με την αναζήτησή τους. [Μάθετε περισσότερα](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{
message:"Το έγγραφο δεν έχει ένα στοιχείο `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Το έγγραφο έχει ένα στοιχείο `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Όλα τα στοιχεία με δυνατότητα εστίασης πρέπει να διαθέτουν ένα μοναδικό `id` για να διασφαλίσουν ότι είναι ορατά σε τεχνολογίες υποβοήθησης χρηστών. [Μάθετε περισσότερα](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` χαρακτηριστικά σε ενεργά στοιχεία με δυνατότητα εστίασης, δεν είναι μοναδικά"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` χαρακτηριστικά σε ενεργά στοιχεία με δυνατότητα εστίασης, είναι μοναδικά"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"Η τιμή ενός αναγνωριστικού ARIA πρέπει να είναι μοναδική, προκειμένου να μην παραβλέπονται άλλες παρουσίες κατά τη χρήση τεχνολογιών υποβοήθησης. [Μάθετε περισσότερα](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Τα αναγνωριστικά ARIA δεν είναι μοναδικά"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Τα αναγνωριστικά ARIA είναι μοναδικά"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Τα πεδία φόρμας με πολλές ετικέτες ενδέχεται να ανακοινώνονται με τρόπο που δημιουργεί σύγχυση στους χρήστες τεχνολογιών υποβοήθησης, όπως με τους αναγνώστες οθόνης που χρησιμοποιούν είτε την πρώτη, είτε την τελευταία είτε όλες τις ετικέτες. [Μάθετε περισσότερα](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Τα πεδία φόρμας έχουν πολλές ετικέτες"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Δεν υπάρχουν πεδία φόρμας με πολλές ετικέτες"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Οι χρήστες ενός αναγνώστη οθόνης βασίζονται στους τίτλους των πλαισίων για την περιγραφή του περιεχομένου των πλαισίων. [Μάθετε περισσότερα](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Τα στοιχεία `<frame>` ή `<iframe>` δεν έχουν τίτλο"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Τα στοιχεία `<frame>` ή `<iframe>` έχουν έναν τίτλο"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Οι σωστά ταξινομημένες κεφαλίδες που δεν παραβλέπουν επίπεδα αποδίδουν τη σημασιολογική δομή της σελίδας, διευκολύνοντας την πλοήγηση και την κατανόηση κατά τη χρήση τεχνολογιών υποβοήθησης. [Μάθετε περισσότερα](https://web.dev/heading-order/)."},
"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Τα στοιχεία κεφαλίδας δεν εμφανίζονται με διαδοχικά φθίνουσα σειρά"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Τα στοιχεία κεφαλίδας εμφανίζονται με διαδοχικά φθίνουσα σειρά"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Εάν μια σελίδα δεν προσδιορίζει κάποιο χαρακτηριστικό γλώσσας, ο αναγνώστης οθόνης υποθέτει ότι η σελίδα εμφανίζεται στην προεπιλεγμένη γλώσσα που επέλεξε ο χρήστης κατά τη ρύθμιση του αναγνώστη οθόνης. Εάν η σελίδα δεν εμφανίζεται στην προεπιλεγμένη γλώσσα, τότε ο αναγνώστης οθόνης μπορεί να μην εκφωνήσει σωστά το κείμενο της σελίδας. [Μάθετε περισσότερα](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Το στοιχείο `<html>` δεν έχει ένα χαρακτηριστικό `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{
message:"Το στοιχείο `<html>` έχει ένα χαρακτηριστικό `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Ο ορισμός μιας έγκυρης [γλώσσας BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) βοηθά τους αναγνώστες οθόνης να εκφωνούν σωστά το κείμενο. [Μάθετε περισσότερα](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Το στοιχείο `<html>` δεν έχει μια έγκυρη τιμή για το χαρακτηριστικό `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Το στοιχείο `<html>` έχει μια έγκυρη τιμή για το χαρακτηριστικό `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Τα πληροφοριακά στοιχεία πρέπει να στοχεύουν σε σύντομο και περιγραφικό εναλλακτικό κείμενο. Τα διακοσμητικά στοιχεία μπορούν να παραβλεφθούν με ένα κενό χαρακτηριστικό alt. [Μάθετε περισσότερα](https://web.dev/image-alt/)."},
"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Τα στοιχεία εικόνας δεν έχουν χαρακτηριστικά `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Τα στοιχεία εικόνας έχουν χαρακτηριστικά `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Όταν μια εικόνα χρησιμοποιείται ως κουμπί `<input>`, η παροχή εναλλακτικού κειμένου μπορεί να βοηθήσει τους χρήστες του αναγνώστη οθόνης να κατανοήσουν τον σκοπό του κουμπιού. [Μάθετε περισσότερα](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Τα στοιχεία `<input type="image">` δεν έχουν κείμενο `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Τα στοιχεία `<input type="image">` έχουν κείμενο `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{
message:"Οι ετικέτες διασφαλίζουν ότι οι τεχνολογίες υποβοήθησης χρηστών, όπως οι αναγνώστες οθόνης, εκφωνούν σωστά τα στοιχεία ελέγχου φορμών. [Μάθετε περισσότερα](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Τα στοιχεία φρόμας δεν έχουν συσχετισμένες ετικέτες"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Τα στοιχεία φόρμας έχουν συσχετισμένες ετικέτες"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Το κείμενο συνδέσμων (και το εναλλακτικό κείμενο για εικόνες όταν χρησιμοποιούνται ως σύνδεσμοι) που είναι διακριτό, μοναδικό και έχει δυνατότητα εστίασης βελτιώνει την εμπειρία πλοήγησης για τους χρήστες των αναγνωστών οθόνης. [Μάθετε περισσότερα](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Οι σύνδεσμοι δεν έχουν διακριτό όνομα"},"lighthouse-core/audits/accessibility/link-name.js | title":{
message:"Οι σύνδεσμοι έχουν διακριτό όνομα"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Οι αναγνώστες οθόνης έχουν έναν συγκεκριμένο τρόπο εκφώνησης των λιστών. Η χρήση κατάλληλης δομής για τις λίστες βοηθά στην αποτελεσματικότερη λειτουργία των αναγνωστών οθόνης. [Μάθετε περισσότερα](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Οι λίστες δεν περιέχουν μόνο στοιχεία `<li>` και στοιχεία υποστήριξης σεναρίων (`<script>` και `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Οι λίστες περιέχουν μόνο στοιχεία `<li>` και στοιχεία υποστήριξης σεναρίων (`<script>` και `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Για τη σωστή εκφώνηση των στοιχείων λίστας (`<li>`) από τους αναγνώστες οθόνης, τα στοιχεία πρέπει να περιέχονται σε ένα γονικό `<ul>` ή `<ol>`. [Μάθετε περισσότερα](https://web.dev/listitem/)."},
"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Τα στοιχεία λίστας (`<li>`) δεν περιλαμβάνονται στα γονικά στοιχεία `<ul>` ή `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Τα στοιχεία λίστας (`<li>`) περιλαμβάνονται στα γονικά στοιχεία `<ul>` ή `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Οι χρήστες δεν περιμένουν ότι μια σελίδα θα ανανεωθεί αυτόματα και η εστίαση θα επιστρέψει στην κορυφή της σελίδας. Αυτό μπορεί να δημιουργήσει δυσαρέσκεια ή σύγχυση. [Μάθετε περισσότερα](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Το έγγραφο χρησιμοποιεί μια ετικέτα `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Το έγγραφο δεν χρησιμοποιεί `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Η απενεργοποίηση της δυνατότητας εστίασης αποτελεί πρόβλημα για τους χρήστες με περιορισμένη όραση που βασίζονται στη μεγέθυνση οθόνης για να βλέπουν σωστά τα περιεχόμενα μιας ιστοσελίδας. [Μάθετε περισσότερα](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'To χαρακτηριστικό `[user-scalable="no"]` χρησιμοποιείται στο στοιχείο `<meta name="viewport">` ή το χαρακτηριστικό `[maximum-scale]` έχει τιμή μικρότερη από 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'To χαρακτηριστικό `[user-scalable="no"]` δεν χρησιμοποιείται στο στοιχείο `<meta name="viewport">` και το χαρακτηριστικό `[maximum-scale]` δεν έχει τιμή μικρότερη από 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Οι αναγνώστες οθόνης δεν μπορούν να μεταφράσουν περιεχόμενο που δεν είναι κείμενο. Η προσθήκη εναλλακτικού κειμένου στα στοιχεία `<object>` βοηθά τους αναγνώστες οθόνης να αποδίδουν το νόημα στους χρήστες. [Μάθετε περισσότερα](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Τα στοιχεία `<object>` δεν έχουν κείμενο `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Τα στοιχεία `<object>` έχουν κείμενο `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Μια τιμή μεγαλύτερη από 0 υποδηλώνει μια ρητή σειρά πλοήγησης. Εάν και ορθό από τεχνικής άποψης, αυτό συχνά επηρεάζει αρνητικά την εμπειρία των χρηστών που βασίζονται στις τεχνολογίες υποβοήθησης. [Μάθετε περισσότερα](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Ορισμένα στοιχεία έχουν μια τιμή `[tabindex]` μεγαλύτερη από 0"},
"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Κανένα στοιχείο δεν έχει τιμή `[tabindex]` μεγαλύτερη από 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Οι αναγνώστες οθόνης έχουν λειτουργίες που διευκολύνουν την πλοήγηση στους πίνακες. Διασφαλίζοντας ότι τα κελιά `<td>` που χρησιμοποιούν το χαρακτηριστικό `[headers]` παραπέμπουν μόνο σε άλλα κελιά στον ίδιο πίνακα, μπορείτε να βελτιώσετε την εμπειρία των χρηστών των αναγνωστών οθόνης. [Μάθετε περισσότερα](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Τα κελιά σε ένα στοιχείο `<table>` που χρησιμοποιούν το χαρακτηριστικό `[headers]` παραπέμπουν σε ένα στοιχείο `id` που δεν βρίσκεται στον ίδιο πίνακα."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Τα κελιά σε ένα στοιχείο `<table>` που χρησιμοποιούν το χαρακτηριστικό `[headers]` παραπέμπουν σε κελιά εντός του ίδιου πίνακα."
},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Οι αναγνώστες οθόνης έχουν λειτουργίες που διευκολύνουν την πλοήγηση στους πίνακες. Διασφαλίζοντας ότι οι κεφαλίδες πίνακα παραπέμπουν πάντα σε ένα σύνολο κελιών του πίνακα, μπορείτε να βελτιώσετε την εμπειρία των χρηστών των αναγνωστών οθόνης. [Μάθετε περισσότερα](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Τα στοιχεία `<th>` και τα στοιχεία με `[role="columnheader"/"rowheader"]` δεν έχουν τα κελιά δεδομένων που περιγράφουν.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Τα στοιχεία `<th>` και τα στοιχεία με `[role="columnheader"/"rowheader"]` έχουν τα κελιά δεδομένων που περιγράφουν.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Ο ορισμός μιας έγκυρης [γλώσσας BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) στα στοιχεία συμβάλλει στο να διασφαλιστεί ότι ο αναγνώστης οθόνης θα εκφωνήσει σωστά το κείμενο. [Μάθετε περισσότερα](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Τα χαρακτηριστικά `[lang]` δεν έχουν έγκυρη τιμή"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Τα χαρακτηριστικά `[lang]` έχουν μια έγκυρη τιμή"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Όταν ένα βίντεο περιέχει υπότιτλους, διευκολύνεται η πρόσβαση των χρηστών που είναι κωφοί ή έχουν προβλήματα ακοής στις πληροφορίες που περιέχει. [Μάθετε περισσότερα](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Τα στοιχεία `<video>` δεν περιέχουν ένα στοιχείο `<track>` με `[kind="captions"]`'},
"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Τα στοιχεία `<video>` περιέχουν ένα στοιχείο `<track>` με `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Για ιδανική εμφάνιση στο iOS όταν οι χρήστες προσθέτουν μια προηγμένη εφαρμογή ιστού στην αρχική οθόνη, ορίστε ένα `apple-touch-icon`. Το εικονίδιο πρέπει να παραπέμπει σε μια μη διαφανή, τετράγωνη εικόνα PNG 192px (ή 180px). [Μάθετε περισσότερα](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Δεν παρέχει ένα έγκυρο `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Το `apple-touch-icon-precomposed` δεν είναι ενημερωμένο. Συνιστάται η χρήση του `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Παρέχει ένα έγκυρο `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Τρέχουσα τιμή"},
"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Προτεινόμενο διακριτικό"},"lighthouse-core/audits/autocomplete.js | description":{message:"Το χαρακτηριστικό `autocomplete` βοηθά τους χρήστες να υποβάλλουν φόρμες ταχύτερα. Για να μειώσετε τον φόρτο εργασίας των χρηστών, εξετάστε το ενδεχόμενο ενεργοποίησης ορίζοντας το χαρακτηριστικό `autocomplete` σε μια έγκυρη τιμή. [Μάθετε περισσότερα](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` στοιχεία δεν διαθέτουν σωστά χαρακτηριστικά `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Απαιτεί μη αυτόματο έλεγχο"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Ελέγξτε τη σειρά των διακριτικών"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` στοιχεία χρησιμοποιούν σωστά το χαρακτηριστικό `autocomplete`"},
"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Διακριτικά `autocomplete`: Το {token} δεν είναι έγκυρο στο {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Έλεγχος σειράς διακριτικών: "{tokens}" στο {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Οι επεκτάσεις του Chrome επηρέασαν αρνητικά την απόδοση φόρτωσης αυτής της σελίδας. Δοκιμάστε να ελέγξετε τη σελίδα σε κατάσταση ανώνυμης περιήγησης ή από ένα προφίλ του Chrome χωρίς επεκτάσεις."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Αξιολόγηση σεναρίου"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Ανάλυση σεναρίου"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Συνολικός χρόνος CPU"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Εξετάστε το ενδεχόμενο να ελαττώσετε τον χρόνο ανάλυσης, σύνθεσης και εκτέλεσης JS. Μπορεί να διαπιστώσετε ότι η προβολή μικρότερων φορτίων δεδομένων JS συμβάλλει προς αυτή την κατεύθυνση. [Μάθετε περισσότερα](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Μείωση χρόνου εκτέλεσης JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Χρόνος εκτέλεσης JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Καταργήστε τις μεγάλες, διπλότυπες λειτουργικές μονάδες JavaScript από πακέτα, για να μειώσετε τα μη απαραίτητα byte που καταναλώνονται από τη δραστηριότητα δικτύου. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Κατάργηση διπλότυπων λειτουργικών μονάδων σε πακέτα JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Οι μεγάλες εικόνες GIF δεν είναι αποδοτικές για την προβολή περιεχομένου κινούμενων εικόνων. Εξετάστε το ενδεχόμενο, αντί για τη χρήση εικόνων GIF, να χρησιμοποιείτε βίντεο MPEG4/WebM για τις κινούμενες εικόνες και εικόνες PNG/WebP για τις στατικές εικόνες, ώστε να εξοικονομήσετε byte δικτύου. [Μαθετε περισσότερα](https://web.dev/efficient-animated-content/)."},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Χρήση μορφών βίντεο για περιεχόμενο κινούμενων εικόνων"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Τα Polyfill και οι μετασχηματισμοί επιτρέπουν στα προγράμματα περιήγησης παλαιού τύπου να χρησιμοποιούν νέες λειτουργίες JavaScript. Ωστόσο, πολλές από αυτές δεν είναι απαραίτητες για σύγχρονα προγράμματα περιήγησης. Για JavaScript σε πακέτο, υιοθετήστε μια σύγχρονη στρατηγική ανάπτυξης σεναρίων χρησιμοποιώντας εντοπισμό λειτουργίας module/nomodule για μείωση του όγκου κώδικα που αποστέλλεται σε σύγχρονα προγράμματα περιήγησης, διατηρώντας την υποστήριξη για προγράμματα περιήγησης παλαιού τύπου. [Μάθετε περισσότερα](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Αποφύγετε την προβολή JavaScript παλαιού τύπου σε σύγχρονα προγράμματα περιήγησης"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Οι μορφές εικόνας JPEG 2000, JPEG XR και WebP συχνά παρέχουν καλύτερη συμπίεση από ό,τι οι μορφές PNG και JPEG. Αυτό σημαίνει γρηγορότερες λήψεις και μικρότερη κατανάλωση δεδομένων. [Μάθετε περισσότερα](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Προβολή εικόνων σε μορφές επόμενης γενιάς"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Εξετάστε το ενδεχόμενο αργής φόρτωσης των εικόνων εκτός οθόνης και των κρυφών εικόνων μετά τη φόρτωση όλων των κρίσιμων πόρων. Με αυτό τον τρόπο, μπορεί να ελλατώθεί ο χρόνος μετάβασης σε κατάσταση αλληλεπίδρασης. [Μάθετε περισσότερα](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Καθυστέρηση φόρτωσης εικόνων εκτός οθόνης"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Υπάρχουν πόροι οι οποίοι αποκλείουν την πρώτη μορφή της σελίδας σας. Εξετάστε το ενδεχόμενο τα κρίσιμα JS/CSS να προβάλλονται ενσωματωμένα και τα μη κρίσιμα JS/στιλ να φορτώνονται αργότερα. [Μάθετε περισσότερα](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Εξάλειψη πόρων που αποκλείουν την απόδοση"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Τα μεγάλα φορτία δικτύου συνεπάγονται οικονομικό κόστος για τους χρήστες και σχετίζονται σε μεγάλο βαθμό με εκτενείς χρόνους φόρτωσης. [Μάθετε περισσότερα](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Το συνολικό μέγεθος ήταν {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Αποφύγετε τα πολύ μεγάλα φορτία δεδομένων δικτύου"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Αποφεύγει τα πολύ μεγάλα φορτία δεδομένων δικτύου"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"H ελαχιστοποίηση των αρχείων CSS μπορεί να μειώσει τα μεγέθη φορτίων δικτύου. [Μάθετε περισσότερα](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Ελαχιστοποίηση CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Η ελαχιστοποίηση των αρχείων JavaScript μπορεί να ελαττώσει το φορτίο, τα μεγέθη και τον χρόνο ανάλυσης σεναρίων. [Μάθετε περισσότερα](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Ελαχιστοποίηση JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Μειώστε τους κανόνες που δεν χρησιμοποιούνται από τα φύλλα στιλ και αναβάλλετε τη φόρτωση στοιχείων CSS που δεν χρησιμοποιούνται για περιεχόμενο στο επάνω μέρος, προκειμένου να μειωθούν τα byte που καταναλώνονται από τη δραστηριότητα δικτύου. [Μάθετε περισσότερα](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Μείωση στοιχείων CSS που δεν χρησιμοποιούνται"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Μειώστε τα στοιχεία JavaScript που δεν χρησιμοποιούνται και αναβάλλετε τη φόρτωση σεναρίων μέχρι να ζητηθούν, προκειμένου να μειωθούν τα byte που καταναλώνονται από τη δραστηριότητα δικτύου. [Μάθετε περισσότερα](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Μείωση στοιχείων JavaScript που δεν χρησιμοποιούνται"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Η μεγάλη διάρκεια ζωής της κρυφής μνήμης μπορεί να επιταχύνει τις επαναλαμβανόμενες επισκέψεις στη σελίδα σας. [Μάθετε περισσότερα](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε 1 πόρος}other{Βρέθηκαν # πόροι}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Προβολή στατικών στοιχείων με επαρκή πολιτική κρυφής μνήμης"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Χρησιμοποιεί αποδοτική πολιτική κρυφής μνήμης σε στατικά στοιχεία"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Οι βελτιστοποιημένες εικόνες φορτώνονται πιο γρήγορα και καταναλώνουν λιγότερα δεδομένα κινητής τηλεφωνίας. [Μάθετε περισσότερα](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"Αποδοτική κωδικοποίηση εικόνων"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Συνιστάται η προβολή εικόνων κατάλληλου μεγέθους για την εξοικονόμηση δεδομένων κινητής τηλεφωνίας και τη βελτίωση του χρόνου φόρτωσης. [Μάθετε περισσότερα](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Κατάλληλη προσαρμογή μεγέθους εικόνων"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Η προβολή των βασιζόμενων σε κείμενο πόρων πρέπει να γίνεται με συμπίεση (gzip, deflate ή brotli), ώστε να ελαχιστοποιείται ο συνολικός όγκος byte δικτύου. [Μάθετε περισσότερα](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Ενεργοποίηση συμπίεσης κειμένου"},"lighthouse-core/audits/content-width.js | description":{
message:"Εάν το πλάτος του περιεχομένου της εφαρμογής σας δεν αντιστοιχεί στο πλάτος της θύρας προβολής, η εφαρμογή σας ενδέχεται να μην είναι βελτιστοποιημένη για οθόνες κινητών συσκευών. [Μάθετε περισσότερα](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Το μέγεθος {innerWidth}px της θύρας προβολής δεν αντιστοιχεί στο μέγεθος {outerWidth}px του παραθύρου."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Το μέγεθος του περιεχομένου δεν προσαρμόζεται σωστά για τη θύρα προβολής"},"lighthouse-core/audits/content-width.js | title":{message:"Το μέγεθος του περιεχομένου έχει προσαρμοστεί σωστά για τη θύρα προβολής"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Στις ακόλουθες αλυσίδες κρίσιμων αιτημάτων φαίνεται ποιοι πόροι φορτώνονται με υψηλή προτεραιότητα. Για τη βελτίωση της φόρτωσης των σελίδων, εξετάστε το ενδεχόμενο μείωσης του μεγέθους των αλυσίδων, μείωσης του μεγέθους λήψης πόρων ή καθυστέρησης λήψης των μη απαραίτητων πόρων. [Μάθετε περισσότερα](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε 1 αλυσίδα}other{Βρέθηκαν # αλυσίδες}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Αποφύγετε τη συσσώρευση σημαντικών αιτημάτων"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Οδηγία"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Σοβαρότητα"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Μια ισχυρή Πολιτική ασφάλειας περιεχομένου (CSP) μειώνει σημαντικά τον κίνδυνο επιθέσεων μέσω δέσμης ενεργειών από άλλο ιστότοπο (XSS). [Μάθετε περισσότερα](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Σύνταξη"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Η σελίδα περιέχει CSP που ορίζεται σε ετικέτα <meta>. Εάν μπορείτε, εξετάστε το ενδεχόμενο ορισμού του CSP σε κεφαλίδα HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Δεν βρέθηκε CSP στη λειτουργία επιβολής"},"lighthouse-core/audits/csp-xss.js | title":{message:"Διασφαλίστε ότι το CSP είναι αποτελεσματικό έναντι επιθέσεων XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Κατάργηση / Προειδοποίηση"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Γραμμή"},"lighthouse-core/audits/deprecations.js | description":{
message:"Τα καταργημένα API θα αφαιρεθούν κάποια στιγμή από το πρόγραμμα περιήγησης. [Μάθετε περισσότερα](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε 1 προειδοποίηση}other{Βρέθηκαν # προειδοποιήσεις}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Χρησιμοποιεί καταργημένα API"},"lighthouse-core/audits/deprecations.js | title":{message:"Αποφυγή καταργημένων API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Η κρυφή μνήμη εφαρμογής έχει καταργηθεί. [Μάθετε περισσότερα](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Βρέθηκε "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Χρησιμοποιεί προσωρινή μνήμη εφαρμογής"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Αποφυγή προσωρινής μνήμης εφαρμογής"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Απαιτείται δήλωση κωδικοποίησης χαρακτήρων. Μπορεί να πραγματοποιηθεί με μια ετικέτα `<meta>` στα πρώτα 1024 byte του κώδικα HTML ή στην κεφαλίδα απόκρισης HTTP τύπου περιεχομένου. [Μάθετε περισσότερα](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Η δήλωση συνόλου χαρακτήρων λείπει ή εμφανίζεται πολύ αργά στον κώδικα HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Καθορίζει το σύνολο χαρακτήρων με τον σωστό τρόπο"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Ο ορισμός ενός τύπου εγγράφου (doctype) εμποδίζει τη μετάβαση του προγράμματος περιήγησης στη λειτουργία ιδιαιτεροτήτων. [Μάθετε περισσότερα](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{
message:"Το όνομα τύπου εγγράφου (doctype) πρέπει να είναι μια συμβολοσειρά `html` με πεζούς χαρακτήρες."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Το έγγραφο πρέπει να περιέχει έναν τύπο εγγράφου (doctype)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Το αναγνωριστικό publicId αναμενόταν να είναι μια κενή συμβολοσειρά"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Το αναγνωριστικό systemId αναμενόταν να είναι μια κενή συμβολοσειρά"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Από τη σελίδα λείπει ο τύπος εγγράφου (doctype) HTML, με αποτέλεσμα να ενεργοποιείται η λειτουργία ιδιαιτεροτήτων (quirks-mode)."},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Η σελίδα έχει τύπο εγγράφου (doctype) HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Στατιστικό στοιχείο"},
"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Τιμή"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"Ένα μεγάλο DOM μπορεί να αυξήσει τη χρήση της μνήμης, να προκαλέσει [υπολογισμούς στιλ](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) μεγαλύτερης διάρκειας και να δημιουργήσει [ανανεώσεις ροών διάταξης](https://developers.google.com/speed/articles/reflow) υψηλού κόστους. [Μάθετε περισσότερα](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 στοιχείο}other{# στοιχεία}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Αποφύγετε τα υπερβολικά μεγάλα μεγέθη DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Μέγιστο βάθος DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{
message:"Σύνολο στοιχείων DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Μέγιστος αριθμός θυγατρικών στοιχείων"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Αποφεύγει τα υπερβολικά μεγάλα μεγέθη DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Αγκυρώσεις που αποτυγχάνουν"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Προσθέστε ένα στοιχείο `rel="noopener"` ή `rel="noreferrer"` στους εξωτερικούς συνδέσμους για να βελτιώσετε την απόδοση και να αποφύγετε τις ευπάθειες ασφάλειας. [Μάθετε περισσότερα](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Οι σύνδεσμοι με προορισμούς διασταυρούμενων προελεύσεων δεν είναι ασφαλείς"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{
message:"Οι σύνδεσμοι με προορισμούς διασταυρούμενων προελεύσεων είναι ασφαλείς"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Δεν ήταν δυνατός ο προσδιορισμός του προορισμού για την αγκύρωση ({anchorHTML}). Εάν δεν χρησιμοποιείται ως υπερσύνδεσμος, εξετάστε το ενδεχόμενο να καταργήσετε το χαρακτηριστικό target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Οι ιστότοποι που απαιτούν τη γνωστοποίηση τοποθεσίας χωρίς προφανή αιτία προκαλούν σύγχυση ή φαίνονται ύποπτοι στους χρήστες. Συνιστάται τα αιτήματα να συνδέονται με τις ενέργειες των χρηστών. [Μάθετε περισσότερα](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Αίτημα για άδεια εντοπισμού γεωγραφικής τοποθεσίας κατά τη φόρτωση σελίδων"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{
message:"Αποφυγή αιτήματος για άδεια εντοπισμού γεωγραφικής τοποθεσίας κατά τη φόρτωση σελίδων"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Κατηγορία ζητήματος"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Τα ζητήματα που έχουν καταγραφεί στο πλαίσιο `Issues` στο Chrome Devtools υποδεικνύουν ότι υπάρχουν προβλήματα τα οποία δεν έχουν επιλυθεί. Μπορεί να σχετίζονται με σφάλματα αιτημάτων δικτύου, ανεπαρκή στοιχεία ελέγχου ασφαλείας ή με άλλα ζητήματα του προγράμματος περιήγησης. Ανοίξτε το πλαίσιο Ζητήματα στο Chrome DevTools για περισσότερες λεπτομέρειες σχετικά με κάθε ζήτημα."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Καταγράφηκαν ζητήματα στο πλαίσιο `Issues` στο Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Αποκλείστηκε από την πολιτική διασταυρούμενων προελεύσεων."},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Αυξημένη χρήση πόρων από διαφημίσεις"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Δεν υπάρχουν ζητήματα στο πλαίσιο `Issues` στο Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Έκδοση"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Όλες οι βιβλιοθήκες JavaScript διεπαφής εντοπίστηκαν στη σελίδα. [Μάθετε περισσότερα](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Εντοπίστηκαν βιβλιοθήκες JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Για τους χρήστες με αργές συνδέσεις, η δυναμική ενσωμάτωση εξωτερικών σεναρίων μέσω `document.write()` μπορεί να καθυστερήσει τη φόρτωση των σελίδων για δεκάδες δευτερόλεπτα. [Μάθετε περισσότερα](https://web.dev/no-document-write/)."},
"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Αποφυγή `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Αποφυγή `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Υψηλότερη σοβαρότητα"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Έκδοση βιβλιοθήκης"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Πλήθος ευπαθειών"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Ορισμένα σενάρια τρίτων μπορεί να έχουν γνωστές ευπάθειες ασφάλειας τις οποίες μπορούν εύκολα να εντοπίσουν και να εκμεταλλευτούν οι επίδοξοι εισβολείς. [Μάθετε περισσότερα](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{
message:"{itemCount,plural, =1{Εντοπίστηκε 1 ευπάθεια}other{Εντοπίστηκαν # ευπάθειες}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Συμπερίληψη βιβλιοθηκών JavaScript διεπαφής με γνωστές ευπάθειες ασφάλειας"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Αποφυγή όλων των βιβλιοθηκών JavaScript διεπαφής με γνωστές ευπάθειες ασφάλειας"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Οι ιστότοποι που απαιτούν την αποστολή ειδοποιήσεων χωρίς προφανή αιτία προκαλούν σύγχυση ή φαίνονται ύποπτοι στους χρήστες. Συνιστάται τα αιτήματα να συνδέονται με τις κινήσεις των χρηστών. [Μάθετε περισσότερα](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Αίτημα για άδεια ειδοποίησης κατά τη φόρτωση σελίδων"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{
message:"Αποφυγή αιτήματος για άδεια ειδοποίησης κατά τη φόρτωση σελίδων"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Η απαγόρευση της επικόλλησης κωδικών πρόσβασης υπονομεύει την ορθή πολιτική ασφάλειας. [Μάθετε περισσότερα](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Εμποδίζει την επικόλληση στα πεδία κωδικών πρόσβασης από τους χρήστες"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Επιτρέπει την επικόλληση στα πεδία κωδικών πρόσβασης από τους χρήστες"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Πρωτόκολλο"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{
message:"Το HTTP/2 παρέχει περισσότερα πλεονεκτήματα σε σχέση με το HTTP/1.1, όπως οι δυαδικές κεφαλίδες και η πολυπλεξία. [Μάθετε περισσότερα](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 αίτημα δεν εξυπηρετήθηκε μεσω HTTP/2}other{# αιτήματα δεν εξυπηρετήθηκαν μέσω HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Χρήση HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Εξετάστε το ενδεχόμενο να επισημάνετε τις λειτουργίες επεξεργασίας συμβάντων αφής και χρήσης τροχού κύλισης ως `passive` για να βελτιώσετε την απόδοση κύλισης της σελίδας σας. [Μάθετε περισσότερα](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Δεν χρησιμοποιεί παθητικές λειτουργίες επεξεργασίας συμβάντων για τη βελτίωση της απόδοσης κύλισης"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Χρησιμοποιεί παθητικές λειτουργίες επεξεργασίας συμβάντων για τη βελτίωση της απόδοσης κύλισης"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Τα σφάλματα που έχουν καταγραφεί στην κονσόλα υποδεικνύουν ότι υπάρχουν προβλήματα τα οποία δεν έχουν επιλυθεί. Μπορεί να σχετίζονται με σφάλματα αιτημάτων δικτύου ή με άλλα ζητήματα του προγράμματος περιήγησης. [Μάθετε περισσότερα](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Έχουν καταγραφεί σφάλματα προγράμματος περιήγησης στην κονσόλα"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Δεν έχουν καταγραφεί σφάλματα προγράμματος περιήγησης στην κονσόλα"},"lighthouse-core/audits/font-display.js | description":{
message:"Αξιοποιήστε τη λειτουργία CSS προβολής γραμματοσειρών (font-display), για να διασφαλίσετε ότι το κείμενο είναι ορατό στους χρήστες κατά τη φόρτωση των γραμματοσειρών ιστοτόπου. [Μάθετε περισσότερα](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Βεβαιωθείτε ότι το κείμενο παραμένει ορατό κατά τη διάρκεια της φόρτωσης γραμματοσειράς ιστοτόπου"},"lighthouse-core/audits/font-display.js | title":{message:"Όλο το κείμενο παραμένει ορατό κατά τη διάρκεια φορτώσεων γραμματοσειράς ιστοτόπου"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Το Lighthouse δεν μπόρεσε να ελέγξει αυτόματα την τιμή `font-display` για την προέλευση {fontOrigin}.}other{Το Lighthouse δεν μπόρεσε να ελέγξει αυτόματα τις τιμές `font-display` για την προέλευση {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Λόγος διαστάσεων (Πραγματικός)"},
"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Λόγος διαστάσεων (Προβολή)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Οι διαστάσεις προβολής των εικόνων πρέπει να συμφωνούν με τον φυσικό λόγο διαστάσεων. [Μάθετε περισσότερα](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Προβάλλει τις εικόνες με εσφαλμένο λόγο διαστάσεων"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Προβάλλει τις εικόνες με τον σωστό λόγο διαστάσεων"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Πραγματικό μέγεθος"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Εμφανιζόμενο μέγεθος"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Αναμενόμενο μέγεθος"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Για μεγιστοποίηση της ευκρίνειας της εικόνας, οι φυσικές διαστάσεις της πρέπει να αναλογούν στο μέγεθος της οθόνης και τον λόγο διαστάσεων pixel. [Μάθετε περισσότερα](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Προβάλλει εικόνες με χαμηλή ανάλυση"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Προβάλλει εικόνες με κατάλληλη ανάλυση"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Η εφαρμογή έχει εγκατασταθεί ήδη."},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Δεν ήταν δυνατή η λήψη ενός απαιτούμενου εικονιδίου από το μανιφέστο."},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Αιτία αποτυχίας"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Το service worker είναι η τεχνολογία που επιτρέπει στην εφαρμογή σας να χρησιμοποιεί πολλές λειτουργίες προηγμένων εφαρμογών ιστού, όπως η λειτουργία εκτός σύνδεσης, η προσθήκη στην αρχική οθόνη και οι ειδοποιήσεις push. Με τη σωστή υλοποίηση service worker και μανιφέστου, τα προγράμματα περιήγησης μπορούν να ζητήσουν προληπτικά από τους χρήστες να προσθέσουν την εφαρμογή σας στην αρχική οθόνη τους, το οποίο μπορεί να οδηγήσει σε μεγαλύτερη αφοσίωση. [Μάθετε περισσότερα](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 αιτία}other{# αιτίες}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Το μανιφέστο της εφαρμογής ιστού ή το service worker δεν ικανοποιούν τις απαιτήσεις εγκαταστασιμότητας"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Το URL της εφαρμογής Play Store και το αναγνωριστικό του Play Store δεν ταιριάζουν."},
"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Η σελίδα φορτώθηκε σε ένα παράθυρο ανώνυμης περιήγησης."},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'Η ιδιοκτησία "display" θα πρέπει να είναι μία από τις εξής "standalone", "fullscreen" ή "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Το μανιφέστο περιέχει το πεδίο "display_override" και η πρώτη υποστηριζόμενη μέθοδος εμφάνισης θα πρέπει να είναι μία από τις εξής "standalone", "fullscreen" ή "minimal-ui".'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Δεν ήταν δυνατή η ανάκτηση του μανιφέστου, το μανιφέστο είναι κενό ή δεν ήταν δυνατή η ανάλυσή του."},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Το URL μανιφέστου άλλαξε κατά τη λήψη του μανιφέστου."},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Το μανιφέστο δεν περιέχει το πεδίο "name" η "short_name".'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Το μανιφέστο δεν περιέχει κατάλληλο εικονίδιο. Απαιτείται μορφή PNG, SVG ή WebP, μεγέθους τουλάχιστον {value0} px. Το χαρακτηριστικό μεγέθους θα πρέπει να οριστεί και το χαρακτηριστικό σκοπού, εάν οριστεί, θα πρέπει να περιλαμβάνει την τιμή "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Κανένα παρεχόμενο εικονίδιο δεν είναι τετράγωνο μεγέθους τουλάχιστον {value0} px σε μορφή PNG, SVG ή WebP, με το στοιχείο σκοπού μη ορισμένο ή ορισμένο σε "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Το εικονίδιο λήψης ήταν κενό ή κατεστραμμένο."},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Δεν παρασχέθηκε αναγνωριστικό Play Store"},
"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Η σελίδα δεν περιέχει <link> URL μανιφέστου"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Δεν εντοπίστηκε service worker που να αντιστοιχεί. Μπορεί να χρειαστεί να επαναφορτώσετε τη σελίδα ή να ελέγξετε ότι το εύρος του service worker για την τρέχουσα σελίδα περικλείει το εύρος του URL έναρξης από το μανιφέστο."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Δεν ήταν δυνατός ο έλεγχος του service worker χωρίς πεδίο "start_url" στο μανιφέστο.'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'Το αναγνωριστικό σφάλματος εγκαταστασιμότητας "{errorId}" δεν αναγνωρίζεται.'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Η σελίδα δεν προβάλλεται από ασφαλή προέλευση."},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{
message:"Η σελίδα δεν φορτώνεται στο κύριο πλαίσιο."},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Η σελίδα δεν λειτουργεί εκτός σύνδεσης."},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Η καθορισμένη πλατφόρμα εφαρμογών δεν υποστηρίζεται σε Android."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Το μανιφέστο καθορίζει prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Η παράμετρος prefer_related_applications υποστηρίζεται μόνο σε κανάλια Chrome Beta και κανάλια σταθερής έκδοσης σε Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Το URL έναρξης μανιφέστου δεν είναι έγκυρο"},"lighthouse-core/audits/installable-manifest.js | title":{
message:"Το μανιφέστο της εφαρμογής ιστού και το service worker δεν ικανοποιούν τις απαιτήσεις εγκαταστασιμότητας"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Ένα URL στο μανιφέστο περιέχει όνομα χρήστη, κωδικό πρόσβασης ή θύρα."},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Η σελίδα δεν λειτουργεί εκτός σύνδεσης. Η σελίδα δεν θα θεωρείται ως εγκαταστάσιμη μετά τη σταθερή κυκλοφορία της έκδοσης Chrome 93 τον Αύγουστο του 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Επιτρέπεται"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Αποκλεισμένο"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Μη ασφαλές URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Επίλυση αιτήματος"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Όλοι οι ιστότοποι πρέπει να προστατεύονται με HTTPS, ακόμα και αν δεν χειρίζονται ευαίσθητα δεδομένα. Αυτό περιλαμβάνει την αποφυγή [μικτού περιεχομένου](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), όπου ορισμένοι πόροι φορτώνονται μέσω HTTP παρά την εξυπηρέτηση του αρχικού αιτήματος μέσω HTTPS. Το HTTPS αποτρέπει την αλλοίωση ή την παθητική ακρόαση των επικοινωνιών μεταξύ της εφαρμογής και των χρηστών σας από τους εισβολείς. Επιπλέον, αποτελεί προαπαιτούμενο για το HTTP/2 και πολλά νέα API πλατφορμών ιστού. [Μάθετε περισσότερα](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε 1 μη ασφαλές αίτημα}other{Βρέθηκαν # μη ασφαλή αιτήματα}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Δεν χρησιμοποιεί HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Χρησιμοποιεί HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Αναβαθμίστηκε αυτόματα σε HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Επιτρέπεται με προειδοποίηση"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Βιβλιοθήκη"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Οι μεγάλες βιβλιοθήκες JavaScript ενδέχεται να οδηγήσουν σε κακή απόδοση. Προτιμήστε μικρότερες βιβλιοθήκες με αντίστοιχη λειτουργικότητα για να μειώσετε το μέγεθος πακέτου. [Μάθετε περισσότερα](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Βρέθηκε μία μεγάλη βιβλιοθήκη}other{Βρέθηκαν # μεγάλες βιβλιοθήκες}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Αντικατάσταση των βιβλιοθηκών JavaScript που είναι αδικαιολόγητα μεγάλες"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Αποφεύγει τις μεγάλες βιβλιοθήκες JavaScript με μικρότερες εναλλακτικές"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Αυτό είναι το μεγαλύτερο χρωματισμένο στοιχείο με περιεχόμενο στη θύρα προβολής. [Μάθετε περισσότερα](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Στοιχείο Μεγαλύτερης σχεδίασης με περιεχόμενο"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Συνεισφορά CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Αυτά είναι τα στοιχεία DOM με τη μεγαλύτερη συνεισφορά στο CLS."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Αποφύγετε τις μεγάλες μετατοπίσεις διάταξης"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Παραθέτει τις μεγαλύτερες εργασίες στο κύριο νήμα, κάτι που είναι χρήσιμο για τον εντοπισμό των συνεισφερόντων που συμβάλλουν περισσότερο στην καθυστέρηση εισόδου. [Μάθετε περισσότερα](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε # μεγάλη εργασία}other{Βρέθηκαν # μεγάλες εργασίες}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Αποφύγετε μεγάλες εργασίες στο κύριο νήμα"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Κατηγορία"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Εξετάστε το ενδεχόμενο να μειώσετε τον χρόνο ανάλυσης, σύνθεσης και εκτέλεσης JS. Μπορεί να διαπιστώσετε ότι η προβολή μικρότερων φορτίων δεδομένων JS συμβάλλει προς αυτή την κατεύθυνση. [Μάθετε περισσότερα](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Ελαχιστοποίηση εργασίας κύριου νήματος"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Ελαχιστοποιεί την εργασία κύριου νήματος"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Για να προσελκύσουν τον μεγαλύτερο δυνατό αριθμό χρηστών, οι ιστότοποι θα πρέπει να λειτουργούν σε κάθε κύριο πρόγραμμα περιήγησης. [Μάθετε περισσότερα](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Ο ιστότοπος λειτουργεί σε διαφορετικά προγράμματα περιήγησης"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Βεβαιωθείτε ότι οι μεμονωμένες σελίδες υποστηρίζουν συνδέσμους σε βάθος μέσω URL και ότι τα URL είναι μοναδικά με σκοπό την κοινή χρήση σε μέσα κοινωνικής δικτύωσης. [Μάθετε περισσότερα](https://web.dev/pwa-each-page-has-url/)."},
"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Κάθε σελίδα έχει URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Οι μεταβάσεις θα πρέπει να έχουν γρήγορη αίσθηση καθώς πατάτε σε διάφορα σημεία, ακόμη και σε ένα αργό δίκτυο. Αυτή η εμπειρία αποτελεί το κλειδί για την απόδοση που αντιλαμβάνεται ένας χρήστης. [Μάθετε περισσότερα](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Οι μεταβάσεις σελίδας δεν δίνουν την αίσθηση ότι καθυστερούν στο δίκτυο"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Ένα εικονίδιο με δυνατότητα μάσκας διασφαλίζει ότι η εικόνα θα γεμίζει ολόκληρο το σχήμα χωρίς να εμφανίζονται οριζόντιες μαύρες γραμμές κατά την εγκατάσταση της εφαρμογής σε μια συσκευή. [Μάθετε περισσότερα](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{
message:"Το μανιφέστο δεν διαθέτει εικονίδιο με δυνατότητα μάσκας"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Το μανιφέστο διαθέτει εικονίδιο με δυνατότητα μάσκας"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Οι Συνολικές αλλαγές διάταξης μετρούν την κίνηση των ορατών στοιχείων εντός της θύρας προβολής. [Μάθετε περισσότερα](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Η πρώτη μορφή με περιεχόμενο υποδεικνύει πότε σχεδιάζεται το πρώτο κείμενο ή η πρώτη εικόνα. [Μάθετε περισσότερα](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Η πρώτη χρήσιμη μορφή υπολογίζει πότε καθίσταται ορατό το κύριο περιεχόμενο μιας σελίδας. [Μάθετε περισσότερα](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{
message:"Ο χρόνος για αλληλεπίδραση είναι το χρονικό διάστημα που απαιτείται προκειμένου η σελίδα να γίνει πλήρως διαδραστική. [Μάθετε περισσότερα](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Η μέτρηση Μεγαλύτερη σχεδίαση με περιεχόμενο, σηματοδοτεί τη χρονική στιγμή στην οποία σχεδιάζεται το μεγαλύτερο κείμενο ή εικόνα. [Μάθετε περισσότερα](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Η μέγιστη δυνητική καθυστέρηση πρώτης εισόδου που θα μπορούσαν να αντιμετωπίσουν οι χρήστες είναι η διάρκεια της πιο χρονοβόρας εργασίας. [Μάθετε περισσότερα](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Το ευρετήριο ταχύτητας δηλώνει πόσο γρήγορα γίνεται ορατό το περιεχόμενο μιας σελίδας. [Μάθετε περισσότερα](https://web.dev/speed-index/)."},
"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Η συνολική διάρκεια, σε χιλιοστά δευτερολέπτου, όλων των χρονικών περιόδων από το FCP έως και τον Χρόνο για Αλληλεπίδραση, όταν η διάρκεια της εργασίας υπερβαίνει τα 50 χιλιοστά δευτερολέπτου. [Μάθετε περισσότερα](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Οι χρόνοι αποστολής και επιστροφής δικτύου (RTT) έχουν μεγάλο αντίκτυπο στην απόδοση. Εάν ο χρόνος RTT προς μια προέλευση είναι υψηλός, αυτό σημαίνει ότι η χρήση διακομιστών πιο κοντά στον χρήστη θα μπορούσε να βελτιώσει την απόδοση. [Μάθετε περισσότερα](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Χρόνοι αποστολής και επιστροφής δικτύου"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Οι λανθάνοντες χρόνοι των διακομιστών μπορούν να επηρεάσουν την απόδοση στον ιστό. Εάν ο λανθάνων χρόνος του διακομιστή μιας προέλευσης είναι υψηλός, αυτό αποτελεί ένδειξη ότι ο διακομιστής είναι υπερφορτωμένος ή ότι έχει ανεπαρκές σύστημα υποστήριξης. [Μάθετε περισσότερα](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Λανθάνοντες χρόνοι συστημάτων υποστήριξης διακομιστή"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Το συμβάν `unload` δεν ενεργοποιείται με αξιοπιστία και η ακρόαση για το συμβάν μπορεί να αποτρέψει τις βελτιστοποιήσεις προγράμματος περιήγησης, όπως την κρυφή μνήμη Πίσω/Εμπρός. Αντ΄ αυτού, εξετάστε το ενδεχόμενο χρήσης των συμβάντων `pagehide` ή `visibilitychange`. [Μάθετε περισσότερα](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},
"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Εγγράφει μια λειτουργία αναμονής `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Αποφεύγει λειτουργίες αναμονής συμβάντων `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Οι μη σύνθετες κινούμενες εικόνες ενδέχεται να είναι κακής ποιότητας και αυξάνουν το CLS. [Μάθετε περισσότερα](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε # κινούμενο στοιχείο}other{Βρέθηκαν # κινούμενα στοιχεία}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Η ιδιότητα που σχετίζεται με φίλτρο μπορεί να μετακινήσει pixel."},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Η στόχευση έχει άλλη κινούμενη εικόνα που δεν είναι συμβατή."},
"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Το εφέ διαθέτει σύνθετη λειτουργία εκτός από replace."},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Αποφύγετε τις μη σύνθετες κινούμενες εικόνες"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Η ιδιότητα που σχετίζεται με μετασχηματισμό εξαρτάται από το μέγεθος πλαισίου."},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Μη υποστηριζόμενη ιδιότητα CSS: {properties}}other{Μη υποστηριζόμενες ιδιότητες CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Το εφέ έχει μη υποστηριζόμενες παραμέτρους χρονισμού."},"lighthouse-core/audits/performance-budget.js | description":{
message:"Διατηρήστε την ποσότητα και το μέγεθος των αιτημάτων δικτύου εντός των στόχων που ορίζονται από τον παρεχόμενο προϋπολογισμό απόδοσης. [Μάθετε περισσότερα](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 αίτημα}other{# αιτήματα}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Προϋπολογισμός απόδοσης"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Προφορτώστε γραμματοσειρές `optional` για να μπορούν να τις χρησιμοποιούν οι νέοι επισκέπτες. [Μάθετε περισσότερα](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Δεν γίνεται προφόρτωση των γραμματοσειρών με `font-display: optional`"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Έχουν προφορτωθεί γραμματοσειρές με `font-display: optional`"},
"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Προφορτώστε την εικόνα που χρησιμοποιείται από το στοιχείο LCP για να βελτιώσετε τον χρόνο LCP. [Μάθετε περισσότερα](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Προφόρτωση εικόνας Μεγαλύτερης σχεδίασης με περιεχόμενο"},"lighthouse-core/audits/redirects-http.js | description":{message:"Αν έχετε ήδη ρυθμίσει το HTTPS, βεβαιωθείτε ότι ανακατευθύνετε όλη την επισκεψιμότητα HTTP σε HTTPS, προκειμένου να ενεργοποιήσετε ασφαλείς λειτουργίες ιστού για όλους τους χρήστες σας. [Μάθετε περισσότερα](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Δεν ανακατευθύνσει την επισκεψιμότητα HTTP σε HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Ανακατευθύνει την επισκεψιμότητα HTTP σε HTTPS"},"lighthouse-core/audits/redirects.js | description":{
message:"Οι ανακατευθύνσεις προκαλούν πρόσθετες καθυστερήσεις στη φόρτωση της σελίδας. [Μάθετε περισσότερα](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Αποφυγή ανακατευθύνσεων πολλών σελίδων"},"lighthouse-core/audits/resource-summary.js | description":{message:"Για τον ορισμό προϋπολογισμών για την ποσότητα και το μέγεθος των πόρων μιας σελίδας, προσθέστε ένα αρχείο budget.json. [Μάθετε περισσότερα](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 αίτημα • {byteCount, number, bytes} KiB}other{# αιτήματα • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Φροντίστε να διατηρείτε το πλήθος των αιτημάτων χαμηλό και το μέγεθος των μεταφορών μικρό"},"lighthouse-core/audits/seo/canonical.js | description":{
message:"Οι κανονικοί σύνδεσμοι προτείνουν το URL που πρέπει να εμφανιστεί στα αποτελέσματα αναζήτησης. [Μάθετε περισσότερα](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Πολλά URL σε διένεξη ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Παραπέμπει σε διαφορετικό τομέα ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Μη έγκυρο URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Παραπέμπει σε μια άλλη τοποθεσία `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Σχετικό URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Παραπέμπει στο ριζικό URL του τομέα (την αρχική σελίδα), αντί για μια αντίστοιχη σελίδα περιεχομένου"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{
message:"Το έγγραφο δεν έχει ένα έγκυρο `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Το έγγραφο έχει ένα έγκυρο `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Μη ανιχνεύσιμος σύνδεσμος"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Οι μηχανές αναζήτησης ενδέχεται να χρησιμοποιούν `href` χαρακτηριστικά σε συνδέσμους για ανίχνευση ιστοτόπων. Βεβαιωθείτε ότι το χαρακτηριστικό `href` των στοιχείων αγκύρωσης συνδέεται με έναν κατάλληλο προορισμό, έτσι ώστε να είναι δυνατή η ανακάλυψη περισσότερων σελίδων του ιστοτόπου. [Μάθετε περισσότερα](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Οι σύνδεσμοι δεν είναι ανιχνεύσιμοι"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Οι σύνδεσμοι είναι ανιχνεύσιμοι"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{
message:"Επιπλέον δυσανάγνωστο κείμενο"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Μέγεθος γραμματοσειράς"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% του κειμένου σελίδας"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Επιλογέας"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Τα μεγέθη γραμματοσειράς κάτω από 12px είναι πολύ μικρά για να είναι ευανάγνωστα, με αποτέλεσμα οι επισκέπτες από κινητά να χρειάζεται να μεγεθύνουν με τα δάχτυλά τους τη σελίδα για να διαβάσουν το περιεχόμενο. Προσπαθήστε πάνω από το 60% του κειμένου της σελίδας να έχει μέγεθος μεγαλύτερο από ή ίσο με 12px. [Μάθετε περισσότερα](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} ευανάγνωστο κείμενο"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{
message:"Το κείμενο είναι δυσανάγνωστο επειδή δεν υπάρχει βελτιστοποιημένη μεταετικέτα θύρα προβολής για οθόνες κινητών."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Το έγγραφο δεν χρησιμοποιεί ευανάγνωστα μεγέθη γραμματοσειράς"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Ευανάγνωστο κείμενο"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Το έγγραφο χρησιμοποιεί ευανάγνωστα μεγέθη γραμματοσειράς"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Οι σύνδεσμοι hreflang ενημερώνουν τις μηχανές αναζήτησης σχετικά με την έκδοση σελίδας που πρέπει να αναφέρουν στα αποτελέσματα αναζήτησης για μια συγκεκριμένη γλώσσα ή περιοχή. [Μάθετε περισσότερα](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Το έγγραφο δεν έχει ένα έγκυρο `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Τιμή σχετικού href"},
"lighthouse-core/audits/seo/hreflang.js | title":{message:"Το έγγραφο έχει ένα έγκυρο `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Μη αναμενόμενος κωδικός γλώσσας"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Οι σελίδες με ανεπιτυχείς κωδικούς κατάστασης HTTP μπορεί να μην ευρετηριαστούν σωστά. [Μάθετε περισσότερα](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Η σελίδα αποκρίνεται με ανεπιτυχή κωδικό κατάστασης HTTP"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Η σελίδα αποκρίνεται με επιτυχή κωδικό κατάστασης HTTP"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Οι μηχανές αναζήτησης δεν μπορούν να συμπεριλάβουν τις σελίδες σας στα αποτελέσματα αναζήτησης, εάν δεν έχουν άδεια για την εκτέλεση ανίχνευσης σε αυτές. [Μάθετε περισσότερα](https://web.dev/is-crawable/)."},
"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Η σελίδα αποκλείεται από την ευρετηρίαση"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Η σελίδα δεν αποκλείεται από την ευρετηρίαση"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Το περιγραφικό κείμενο συνδέσμων βοηθά τις μηχανές αναζήτησης να κατανοήσουν το περιεχόμενό σας. [Μάθετε περισσότερα](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Βρέθηκε 1 σύνδεσμος}other{Βρέθηκαν # σύνδεσμοι}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Οι σύνδεσμοι δεν έχουν περιγραφικό κείμενο"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Οι σύνδεσμοι έχουν περιγραφικό κείμενο"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{
message:"Εκτελέστε το [Εργαλείο δοκιμής δομημένων δεδομένων](https://search.google.com/structured-data/testing-tool/) και το [Structured Data Linter](http://linter.structured-data.org/) για να επικυρώσετε τα δομημένα δεδομένα. [Μάθετε περισσότερα](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Τα δομημένα δεδομένα είναι έγκυρα"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Οι περιγραφές μεταδεδομένων μπορούν να συμπεριληφθούν στα αποτελέσματα αναζήτησης για τη συνόψιση του περιεχομένου των σελίδων. [Μάθετε περισσότερα](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Το κείμενο περιγραφής είναι κενό."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Το έγγραφο δεν έχει περιγραφή μεταδεδομένων"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Το έγγραφο έχει περιγραφή μεταδεδομένων"},
"lighthouse-core/audits/seo/plugins.js | description":{message:"Οι μηχανές αναζήτησης δεν μπορούν να ευρετηριάσουν το περιεχόμενο των προσθηκών, ενώ πολλές συσκευές περιορίζουν ή δεν υποστηρίζουν τις προσθήκες. [Μάθετε περισσότερα](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Το έγγραφο χρησιμοποιεί προσθήκες"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Το έγγραφο αποφεύγει τις προσθήκες"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Εάν το αρχείο σας robots.txt έχει εσφαλμένη μορφή, οι ανιχνευτές ενδεχομένως να μην μπορούν να κατανοήσουν με ποιον τρόπο θέλετε να γίνεται η ανίχνευση ή καταλογοποίηση του ιστοτόπου σας. [Μάθετε περισσότερα](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Το αίτημα για το αρχείο robots.txt επέστρεψε τον κωδικό κατάστασης HTTP: {statusCode}"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Βρέθηκε 1 σφάλμα}other{Βρέθηκαν # σφάλματα}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Το Lighthouse δεν ήταν δυνατό να κατεβάσει ένα αρχείο robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Το αρχείο robots.txt δεν είναι έγκυρο"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Το αρχείο robots.txt είναι έγκυρο"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Τα στοιχεία αλληλεπίδρασης, όπως είναι τα κουμπιά και οι σύνδεσμοι, πρέπει να είναι αρκετά μεγάλα (48x48px) και με επαρκή χώρο γύρω τους, ώστε να μπορούν να πατηθούν εύκολα από τους χρήστες χωρίς να επικαλύπτουν άλλα στοιχεία. [Μάθετε περισσότερα](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{
message:"Το {decimalProportion, number, percent} των επιλεγόμενων με πάτημα στοιχείων έχουν κατάλληλο μέγεθος"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Τα στοιχεία που επιλέγονται με πάτημα είναι υπερβολικά μικρά γιατί δεν υπάρχει βελτιστοποιημένη μεταετικέτα θύρας προβολής για οθόνες κινητών"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Τα στοιχεία που επιλέγονται με πάτημα δεν έχουν κατάλληλο μέγεθος"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Αλληλεπικαλυπτόμενο στοιχείο επιλογής με πάτημα"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Στοιχείο επιλογής με πάτημα"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Τα στοιχεία που επιλέγονται με πάτημα έχουν το κατάλληλο μέγεθος"},"lighthouse-core/audits/server-response-time.js | description":{
message:"Φροντίστε να παραμείνει σύντομος ο χρόνος απόκρισης διακομιστή για το κύριο έγγραφο, επειδή όλα τα άλλα αιτήματα εξαρτώνται από αυτόν. [Μάθετε περισσότερα](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Το ριζικό έγγραφο χρειάστηκε {timeInMs, number, milliseconds} χλστ.δ."},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Μειώστε τον αρχικό χρόνο απόκρισης διακομιστή"},"lighthouse-core/audits/server-response-time.js | title":{message:"Ο αρχικός χρόνος απόκρισης διακομιστή ήταν σύντομος"},"lighthouse-core/audits/service-worker.js | description":{message:"Το service worker είναι η τεχνολογία που επιτρέπει στην εφαρμογή σας να χρησιμοποιεί πολλές λειτουργίες προηγμένων εφαρμογών ιστού, όπως η λειτουργία εκτός σύνδεσης, η προσθήκη στην αρχική οθόνη και οι ειδοποιήσεις push. [Μάθετε περισσότερα](https://web.dev/service-worker/)."},
"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Αυτή η σελίδα ελέγχεται από ένα service worker, αλλά δεν βρέθηκε κανένα `start_url` επειδή το μανιφέστο απέτυχε να αναλυθεί ως έγκυρο JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Αυτή η σελίδα ελέγχεται από ένα service worker, αλλά το `start_url` ({startUrl}) δεν βρίσκεται στο εύρος του service worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Αυτή η σελίδα ελέγχεται από ένα service worker, αλλά δεν βρέθηκε κανένα `start_url` επειδή δεν έγινε λήψη μανιφέστου."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Αυτή η προέλευση διαθέτει ένα περισσότερα service worker, αλλά η σελίδα ({pageUrl}) βρίσκεται εκτός εύρους."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Δεν καταγράφει service worker που ελέγχει τη σελίδα και το `start_url`"},
"lighthouse-core/audits/service-worker.js | title":{message:"Καταγράφει ένα service worker που ελέγχει μια σελίδα και το `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Μια θεματική οθόνη εκκίνησης διασφαλίζει μια εμπειρία υψηλής ποιότητας όταν οι χρήστες εκκινούν την εφαρμογή σας από την αρχική οθόνη τους. [Μάθετε περισσότερα](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Δεν έχει διαμορφωθεί για προσαρμοσμένη οθόνη εκκίνησης"},"lighthouse-core/audits/splash-screen.js | title":{message:"Διαμορφώνεται από προσαρμοσμένη οθόνη εκκίνησης"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Μπορείτε να προσθέσετε ένα θέμα στη γραμμή διευθύνσεων του προγράμματος περιήγησης ώστε να ταιριάζει με τον ιστότοπό σας. [Μάθετε περισσότερα](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{
message:"Δεν ορίζει ένα χρώμα θέματος για τη γραμμή διευθύνσεων."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Ορίζει ένα χρώμα θέματος για τη γραμμή διευθύνσεων."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Επιτυχία πελάτη)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Μάρκετινγκ)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Κοινωνικά δίκτυα)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Βίντεο)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Προϊόν"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Ορισμένες ενσωματώσεις τρίτου μέρους μπορούν να φορτωθούν αργά. Μπορείτε να τις αντικαταστήσετε με μια πρόσοψη μέχρι να ζητηθούν. [Μάθετε περισσότερα](https://web.dev/third-party-facades/)."},
"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# διαθέσιμη εναλλακτική επιλογή για την πρόσοψη}other{# διαθέσιμες εναλλακτικές επιλογές για την πρόσοψη}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Ορισμένοι πόροι τρίτου μέρους μπορούν να φορτωθούν αργά με μια πρόσοψη"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Αργή φόρτωση πόρων τρίτου μέρους με προσόψεις"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Τρίτο μέρος"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Ο κώδικας τρίτων παρόχων μπορεί να επηρεάσει σημαντικά την απόδοση φόρτωσης. Περιορίστε τον αριθμό των περιττών τρίτων παρόχων και προσπαθήστε η φόρτωση του κώδικα τρίτων παρόχων να γίνεται αφού πρώτα έχει ολοκληρωθεί η φόρτωση της σελίδας σας. [Μάθετε περισσότερα](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Ο κώδικας τρίτου μέρους απέκλεισε το κύριο νήμα για {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Μείωση αντίκτυπου του κώδικα τρίτου μέρους"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Ελαχιστοποίηση χρήσης τρίτων μερών"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Μέτρηση"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Μέτρηση"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Ορίστε έναν προϋπολογισμό χρονισμού για να σας βοηθήσει με την παρακολούθηση της απόδοσης στον ιστότοπό σας. Οι αποδοτικοί ιστότοποι φορτώνουν και αποκρίνονται με ταχύτητα στα συμβάντα εισαγωγής χρήστη. [Μάθετε περισσότερα](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Προϋπολογισμός χρονισμού"},"lighthouse-core/audits/unsized-images.js | description":{message:"Ορίστε ένα αποκλειστικό πλάτος και ύψος στα στοιχεία εικόνας για να μειώσετε τις μετατοπίσεις διάταξης και να βελτιώσετε το CLS. [Μάθετε περισσότερα](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Τα στοιχεία εικόνας δεν έχουν σαφές `width` και `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Τα στοιχεία εικόνας έχουν σαφές `width` και `height`"},
"lighthouse-core/audits/user-timings.js | columnType":{message:"Τύπος"},"lighthouse-core/audits/user-timings.js | description":{message:"Εξετάστε το ενδεχόμενο να προσθέσετε στην εφαρμογή σας το API χρόνων χρήστη (User Timing API) για να μετράτε την πραγματική απόδοση της εφαρμογής σας κατά τη διάρκεια σημαντικών εμπειριών χρήστη. [Μάθετε περισσότερα](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 χρόνος χρήστη}other{# χρόνοι χρήστη}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Ενδείξεις και μετρήσεις Χρόνων χρήστη"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Βρέθηκε ένα `<link rel=preconnect>` για το {securityOrigin} αλλά δεν χρησιμοποιήθηκε από το πρόγραμμα περιήγησης. Ελέγξτε ότι χρησιμοποιείτε σωστά το χαρακτηριστικό `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Εξετάστε το ενδεχόμενο προσθήκης υποδείξεων πόρων `preconnect` ή `dns-prefetch`, για να δημιουργήσετε πρώιμες συνδέσεις σε σημαντικές προελεύσεις τρίτους μέρους. [Μάθετε περισσότερα](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Προσύνδεση σε απαιτούμενες προελεύσεις"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Βρέθηκαν περισσότερες από 2 συνδέσεις `<link rel=preconnect>`. Αυτές θα πρέπει να χρησιμοποιούνται με μέτρο και μόνο στις σημαντικότερες προελεύσεις."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Βρέθηκε ένα `<link rel=preconnect>` για το {securityOrigin} αλλά δεν χρησιμοποιήθηκε από το πρόγραμμα περιήγησης. Φροντίστε να χρησιμοποιείτε `preconnect` μόνο για σημαντικές προελεύσεις, τις οποίες η σελίδα θα ζητήσει σίγουρα."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Βρέθηκε ένα `<link>` προφόρτωσης για το {preloadURL} αλλά δεν χρησιμοποιήθηκε από το πρόγραμμα περιήγησης. Ελέγξτε ότι χρησιμοποιείτε σωστά το χαρακτηριστικό `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Εξετάστε το ενδεχόμενο χρήσης του `<link rel=preload>` για την προτεραιοποίηση της ανάκτησης των πόρων που τώρα ζητούνται αργότερα κατά τη φόρτωση της σελίδας. [Μάθετε περισσότερα](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Σημαντικά αιτήματα προφόρτωσης"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL αντιστοίχισης"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Οι αντιστοιχίσεις πηγής μεταφράζουν ελαχιστοποιημένο κώδικα στον αρχικό πηγαίο κώδικα. Αυτό βοηθά τους προγραμματιστές με τον εντοπισμό σφαλμάτων στην παραγωγή. Επίσης, το Lighthouse μπορεί να παράσχει περαιτέρω Insight. Εξετάστε το ενδεχόμενο ανάπτυξης αντιστοιχίσεων πηγών για να αξιοποιήσετε αυτά τα πλεονεκτήματα. [Μάθετε περισσότερα](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Λείπουν οι αντιστοιχίσεις πηγής για μεγάλες βιβλιοθήκες JavaScript πρώτου μέρους"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Λείπει μια αντιστοίχιση πηγής από το μεγάλο αρχείο JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Ειδοποίηση: Λείπει ένα στοιχείο στο χαρακτηριστικό `.sourcesContent`}other{Ειδοποίηση: Λείπουν # στοιχεία στο χαρακτηριστικό `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Η σελίδα έχει έγκυρες αντιστοιχίσεις πηγής"},"lighthouse-core/audits/viewport.js | description":{message:'Προσθέστε μια ετικέτα `<meta name="viewport">` για να βελτιστοποιήσετε την εφαρμογή σας για οθόνες κινητών συσκευών. [Μάθετε περισσότερα](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Δεν βρέθηκε ετικέτα `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Δεν έχει ετικέτα `<meta name="viewport">` με `width` ή `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Έχει ετικέτα `<meta name="viewport">` με `width` ή `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"Αυτές είναι ευκαιρίες να βελτιώσετε τη χρήση των ARIA στην εφαρμογή σας, κάνοντας καλύτερη την εμπειρία χρήστη σε τεχνολογίες υποβοήθησης, όπως στον αναγνώστη οθόνης."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Αυτές είναι ευκαιρίες να παρέχετε εναλλακτικό περιεχόμενο για ήχο και βίντεο. Αυτό μπορεί να βελτιώσει την εμπειρία για χρήστες με προβλήματα ακοής ή όρασης."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Ήχος και βίντεο"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Αυτά τα στοιχεία επισημαίνουν συνήθεις βέλτιστες πρακτικές για την προσβασιμότητα."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Βέλτιστες πρακτικές"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Αυτοί οι έλεγχοι επισημαίνουν ευκαιρίες για τη [βελτίωση της προσβασιμότητας της εφαρμογής ιστού σας](https://developers.google.com/web/fundamentals/accessibility). Μόνο ένα μέρος των ζητημάτων προσβασιμότητας μπορεί να εντοπιστεί αυτόματα. Ως εκ τούτου, συνιστάται να προβείτε και σε μη αυτόματες δοκιμές."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Αυτά τα στοιχεία σχετίζονται με τομείς τους οποίους δεν μπορεί να καλύψει ένα εργαλείο αυτοματοποιημένων δοκιμών. Μάθετε περισσότερα στον οδηγό μας σχετικά με τη [διεξαγωγή ενός ελέγχου προσβασιμότητας](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Προσβασιμότητα"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Αυτές είναι ευκαιρίες να βελτιώσετε την αναγνωσιμότητα του περιεχομένου σας."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Αντίθεση"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Αυτές είναι ευκαιρίες να βελτιώσετε την ερμηνεία του περιεχομένου σας από χρήστες με διαφορετικές τοπικές ρυθμίσεις."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Διεθνοποίηση και τοπική προσαρμογή"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Αυτές είναι ευκαιρίες να βελτιώσετε τη σημασιολογία των στοιχείων ελέγχου στην εφαρμογή σας. Αυτό μπορεί να κάνει καλύτερη την εμπειρία για τους χρήστες τεχνολογίας υποβοήθησης, όπως του αναγνώστη οθόνης."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Ονόματα και ετικέτες"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Αυτές είναι ευκαιρίες να βελτιώσετε την πλοήγηση με πληκτρολόγιο στην εφαρμογή σας."},
"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Πλοήγηση"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Αυτές είναι ευκαιρίες να βελτιώσετε την εμπειρία ανάγνωσης δεδομένων σε πίνακες ή λίστες με τη χρήση τεχνολογίας υποβοήθησης, όπως του αναγνώστη οθόνης."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Πίνακες και λίστες"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Συμβατότητα προγράμματος περιήγησης"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Βέλτιστες πρακτικές"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Γενικά"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Εμπιστοσύνη και ασφάλεια"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Εμπειρία χρήστη"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Οι προϋπολογισμοί απόδοσης θέτουν τα πρότυπα για την απόδοση του ιστοτόπου σας."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Προϋπολογισμοί"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Περισσότερες πληροφορίες σχετικά με την απόδοση της εφαρμογής σας. Αυτά τα δεδομένα δεν [επηρεάζουν άμεσα](https://web.dev/performance-scoring/) τη βαθμολογία απόδοσης."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Διαγνωστικά στοιχεία"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Η πιο σημαντική πτυχή της απόδοσης είναι η ταχύτητα με την οποία αποδίδονται τα pixel στην οθόνη. Σημαντικές μετρήσεις: Πρώτη μορφή με περιεχόμενο, Πρώτη χρήσιμη μορφή"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Βελτιώσεις πρώτης μορφής"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Αυτές οι προτάσεις μπορούν να βοηθήσουν στην ταχύτερη φόρτωση της σελίδας σας. Δεν [επηρεάζουν άμεσα](https://web.dev/performance-scoring/) τη βαθμολογία απόδοσης."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Ευκαιρίες"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Μετρήσεις"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Βελτιώστε τη συνολική εμπειρία φόρτωσης, για να μπορεί η σελίδα να ανταποκρίνεται και να είναι έτοιμη για χρήση το συντομότερο δυνατό. Σημαντικές μετρήσεις: Χρόνος για Αλληλεπίδραση, Ευρετήριο ταχύτητας"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Συνολικές βελτιώσεις"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Απόδοση"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Αυτοί οι έλεγχοι επαληθεύουν τα στοιχεία μιας προηγμένης εφαρμογής ιστού. [Μάθετε περισσότερα](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Αυτοί οι έλεγχοι απαιτούνται από τη [Λίστα ελέγχου PWA](https://developers.google.com/web/progressive-web-apps/checklist) σημείου αναφοράς αλλά δεν ελέγχονται αυτόματα από το Lighthouse. Δεν επηρεάζουν τη βαθμολογία σας αλλά είναι σημαντικό να τους επαληθεύσετε με μη αυτόματο τρόπο."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Προηγμένη εφαρμογή ιστού"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Δυνατότητα εγκατάστασης"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Με βελτιστοποίηση PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Αυτοί οι έλεγχοι διασφαλίζουν ότι η σελίδα σας είναι βελτιστοποιημένη για κατάταξη στα αποτελέσματα μηχανών αναζήτησης. Υπάρχουν επιπλέον παράγοντες που δεν ελέγχονται από το Lighthouse και μπορεί να επηρεάσουν την κατάταξη της σελίδας σας στην αναζήτηση. [Μάθετε περισσότερα](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Εκτελέστε αυτά τα πρόσθετα εργαλεία επικύρωσης, για να ελέγξετε περισσότερες βέλτιστες πρακτικές SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Μορφοποιήστε το HTML με τρόπο που να επιτρέπει στους ανιχνευτές να κατανοούν καλύτερα το περιεχόμενο της εφαρμογής σας."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Βέλτιστες πρακτικές περιεχομένου"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Για να εμφανίζεται στα αποτελέσματα αναζήτησης, οι ανιχνευτές χρειάζονται πρόσβαση στην εφαρμογή σας."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Ανίχνευση και δημιουργία ευρετηρίου"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Βεβαιωθείτε ότι οι σελίδες σας είναι κατάλληλα διαμορφωμένες για κινητά, ώστε οι χρήστες να μην χρειάζεται να πλησιάζουν τα δάχτυλά τους ή να κάνουν μεγέθυνση για να διαβάζουν τις σελίδες περιεχομένου. [Μάθετε περισσότερα](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Φιλική προς κινητά"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Η δοκιμασμένη συσκευή φαίνεται να έχει πιο αργή CPU από ό,τι αναμένει το Lighthouse. Αυτό μπορεί να επηρεάσει αρνητικά τη βαθμολογία απόδοσης. Μάθετε περισσότερα σχετικά με τη [βαθμονόμηση ενός κατάλληλου πολλαπλασιαστή επιβράδυνσης CPU](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Η σελίδα μπορεί να μην φορτώνεται με τον αναμενόμενο τρόπο επειδή το URL δοκιμής ({requested}) ανακατευθύνθηκε στο {final}. Προσπαθήστε να δοκιμάσετε απευθείας το δεύτερο URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Η φόρτωση της σελίδας ήταν υπερβολικά αργή και δεν ολοκληρώθηκε εντός του χρονικού ορίου. Τα αποτελέσματα ενδέχεται να μην είναι ολοκληρωμένα."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Ενδέχεται να υπάρχουν αποθηκευμένα δεδομένα που επηρεάζουν την απόδοση φόρτωσης σε αυτήν την τοποθεσία: {locations}. Ελέγξτε αυτήν τη σελίδα σε παράθυρο για ανώνυμη περιήγηση για να εμποδίσετε αυτούς τους πόρους από το να επηρεάσουν τις βαθμολογίες σας.}other{Ενδέχεται να υπάρχουν αποθηκευμένα δεδομένα που επηρεάζουν την απόδοση φόρτωσης σε αυτές τις τοποθεσίες: {locations}. Ελέγξτε αυτήν τη σελίδα σε παράθυρο για ανώνυμη περιήγηση για να εμποδίσετε αυτούς τους πόρους από το να επηρεάσουν τις βαθμολογίες σας.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Εξετάστε το ενδεχόμενο προσθήκης συνδυασμών URL https: και http: (παραβλέπονται από προγράμματα περιήγησης που υποστηρίζουν strict-dynamic) για συμβατότητα με παλαιότερα προγράμματα περιήγησης."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:"Η οδηγία disown-opener καταργήθηκε από την έκδοση CSP3. Αντ' αυτού, χρησιμοποιήστε την κεφαλίδα Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Η οδηγία referrer καταργήθηκε από την έκδοση CSP2. Αντ' αυτού, χρησιμοποιήστε την κεφαλίδα Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Η οδηγία reflected-xss καταργήθηκε από την έκδοση CSP2. Αντ' αυτού, χρησιμοποιήστε την κεφαλίδα X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'Το base-uri που λείπει επιτρέπει στις ενσωματωμένες ετικέτες <base> να ορίζουν το βασικό URL για όλα τα σχετικά URL (π.χ. σενάρια) σε έναν τομέα που ελέγχεται από έναν υπεύθυνο επίθεσης. Εξετάστε το ενδεχόμενο ρύθμισης του base-uri στις επιλογές "none" ή "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Τα στοιχεία που ελέγχονται από το object-src θεωρούνται λειτουργίες παλαιού τύπου. Εξετάστε το ενδεχόμενο ρύθμισης του object-src σε none για να αποτρέψετε την εισαγωγή προσθηκών που εκτελούν μη ασφαλή σενάρια."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Λείπει η οδηγία script-src. Αυτό μπορεί να επιτρέψει την εκτέλεση μη ασφαλών σεναρίων."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Μήπως ξεχάσατε το ερωτηματικό; Το {keyword} φαίνεται ότι είναι οδηγία, όχι λέξη-κλειδί."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Οι αριθμοί nonce πρέπει να χρησιμοποιούν το σύνολο χαρακτήρων base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Οι αριθμοί nonce πρέπει να αποτελούνται από τουλάχιστον 8 χαρακτήρες."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"Ο προορισμός αναφοράς διαμορφώνεται μόνο μέσω της οδηγίας report-to. Αυτή η οδηγία υποστηρίζεται μόνο σε προγράμματα περιήγησης που βασίζονται στο Chromium, συνεπώς, συνιστάται επίσης η χρήση μιας οδηγίας report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Δεν υπάρχει CSP που διαμορφώνει προορισμό αναφοράς. Αυτό δυσχεραίνει τη διατήρηση του CSP για μεγάλα διαστήματα και την παρακολούθηση για τυχόν προβλήματα."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Οι λίστες επιτρεπόμενων κεντρικού υπολογιστή μπορούν συχνά να παρακαμφθούν. Εξετάστε το ενδεχόμενο χρήσης του strict-dynamic σε συνδυασμό με αριθμούς nonce ή κατακερματισμούς CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Άγνωστη οδηγία CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Το {keyword} φαίνεται ότι είναι μη έγκυρη λέξη-κλειδί."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"Το unsafe-inline επιτρέπει την εκτέλεση μη ασφαλών σεναρίων στη σελίδα και δεικτών χειρισμού συμβάντων. Εξετάστε το ενδεχόμενο χρήσης αριθμών nonce ή κατακερματισμών CSP για να επιτρέπεται μεμονωμένα σενάρια."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Εξετάστε το ενδεχόμενο να προσθέσετε το unsafe-inline (παραβλέπεται από προγράμματα περιήγησης που υποστηρίζουν αριθμούς nonce/κατακερματισμούς) για συμβατότητα με παλαιότερα προγράμματα περιήγησης."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Χρόνος αποκλεισμού κύριου νήματος"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL κρυφής μνήμης"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Περιγραφή"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Διάρκεια"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Στοιχείο"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Στοιχεία που απέτυχαν"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Τοποθεσία"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Όνομα"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Υπέρβαση προϋπολογισμού"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Αιτήματα"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Μέγεθος πόρου"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Τύπος πόρου"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Μέγεθος"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Πηγή"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Ώρα έναρξης"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Χρόνος χρήσης"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Μέγεθος μεταφοράς"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Δυνητικές εξοικονομήσεις"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Δυνητικές εξοικονομήσεις"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Δυνητική εξοικονόμηση {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Βρέθηκε 1 στοιχείο}other{Βρέθηκαν # στοιχεία}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Δυνητική εξοικονόμηση {wastedMs, number, milliseconds} χλστ.δ."},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Έγγραφο"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Πρώτη χρήσιμη μορφή"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Γραμματοσειρά"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Εικόνα"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Υψηλή"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Χαμηλή"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Μέτρια"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Μέγ. δυνατή καθυστέρηση πρώτης εισόδου"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Μέσα"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} χλστ.δ."},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Άλλο"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Άλλοι πόροι"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Σενάριο"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} δ."},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Φύλλο στιλ"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Τρίτο μέρος"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Σύνολο"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Παρουσιάστηκε κάποιο πρόβλημα με την εγγραφή του ίχνους κατά τη φόρτωση της σελίδας σας. Εκτελέστε ξανά το Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Λήξη χρονικού ορίου κατά την αναμονή για αρχική σύνδεση του πρωτοκόλλου εργαλείου εντοπισμού σφαλμάτων."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Το Chrome δεν συγκέντρωσε στιγμιότυπα οθόνης κατά τη φόρτωση της σελίδας. Βεβαιωθείτε ότι υπάρχει ορατό περιεχόμενο στη σελίδα και έπειτα δοκιμάστε να εκτελέσετε ξανά το Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Οι διακομιστές DNS δεν ήταν δυνατό να επιλύσουν τον παρεχόμενο τομέα."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Παρουσιάστηκε κάποιο σφάλμα στη λειτουργία συγκέντρωσης για τον απαιτούμενο πόρο {artifactName}: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Προέκυψε εσωτερικό σφάλμα Chrome. Επανεκκινήστε το Chrome και δοκιμάστε να εκτελέσετε ξανά το Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Δεν εκτελέστηκε η λειτουργία συγκέντρωσης για τον απαιτούμενο πόρο {artifactName}."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"Η σελίδα δεν σχεδιάζει κανένα περιεχόμενο. Βεβαιωθείτε ότι διατηρείτε το παράθυρο του προγράμματος περιήγησης στο προσκήνιο κατά τη φόρτωση και προσπαθήστε ξανά. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Η σελίδα που καταχωρίσατε δεν είναι HTML (προβάλλεται ως τύπος MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Αυτή η έκδοση του Chrome είναι πολύ παλιά για να υποστηρίζει τη λειτουργία {featureName}. Χρησιμοποιήστε μια νεότερη έκδοση για να δείτε τα πλήρη αποτελέσματα."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Το Lighthouse δεν ήταν δυνατό να φορτώσει με αξιοπιστία τη σελίδα που ζητήσατε. Βεβαιωθείτε ότι ελέγχετε το σωστό URL και ότι ο διακομιστής ανταποκρίνεται σωστά σε όλα τα αιτήματα."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Το Lighthouse δεν ήταν δυνατό να φορτώσει με αξιοπιστία το URL που ζητήσατε, επειδή η σελίδα σταμάτησε να ανταποκρίνεται."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Το URL που παρείχατε δεν έχει ένα έγκυρο πιστοποιητικό ασφάλειας. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Το Chrome εμπόδισε την εμφάνιση μιας σελίδας με παρενθετική διαφήμιση. Βεβαιωθείτε ότι ελέγχετε το σωστό URL και ότι ο διακομιστής αποκρίνεται σωστά σε όλα τα αιτήματα."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Το Lighthouse δεν μπόρεσε να φορτώσει με αξιοπιστία τη σελίδα που ζητήσατε. Βεβαιωθείτε ότι ελέγχετε το σωστό URL και ότι ο διακομιστής αποκρίνεται σωστά σε όλα τα αιτήματα. (Λεπτομέρειες: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Το Lighthouse δεν μπόρεσε να φορτώσει με αξιοπιστία τη σελίδα που ζητήσατε. Βεβαιωθείτε ότι ελέγχετε το σωστό URL και ότι ο διακομιστής αποκρίνεται σωστά σε όλα τα αιτήματα. (Κωδικός κατάστασης: {statusCode})"},
"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Χρειάστηκε υπερβολικά πολύς χρόνος για τη φόρτωση της σελίδας σας. Συμβουλευτείτε τις ευκαιρίες στην αναφορά, για να μειώσετε τον χρόνο φόρτωσης της σελίδας, και έπειτα δοκιμάστε να εκτελέσετε ξανά το Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Η αναμονή για απόκριση του πρωτοκόλλου DevTools έχει υπερβεί τον μέγιστο επιτρεπόμενο χρόνο. (Μέθοδος: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Η λήψη περιεχομένου πόρων έχει υπερβεί τον εκχωρημένο χρόνο"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Το URL που παρείχατε φαίνεται ότι δεν είναι έγκυρο."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Όλα"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Όλες οι γραφές"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Κάλυψη"},
"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Διπλότυπες λειτουργικές μονάδες"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Byte πόρου"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Όνομα"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Εναλλαγή πίνακα"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Byte που δεν χρησιμοποιούνται"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Για περιεχόμενο κινούμενης εικόνας, χρησιμοποιήστε το [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) για να ελαχιστοποιήσετε τη χρήση CPU όταν το περιεχόμενο είναι εκτός οθόνης."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Μπορείτε να εμφανίσετε όλα τα στοιχεία [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) σε μορφές WebP, ορίζοντας μια κατάλληλη εναλλακτική για άλλα προγράμματα περιήγησης. [Μάθετε περισσότερα](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Βεβαιωθείτε ότι χρησιμοποιείτε το στοιχείο [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) για εικόνες για αυτόματη αργή φόρτωση. [Μάθετε περισσότερα](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Χρησιμοποιήστε εργαλεία όπως το [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) για να [αποδώσετε διατάξεις AMP στον διακομιστή](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Ανατρέξτε στην [τεκμηρίωση AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) για να βεβαιωθείτε ότι υποστηρίζονται όλα τα στιλ."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Το στοιχείο [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) υποστηρίζει το χαρακτηριστικό [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) για να ορίσει ποια στοιχεία εικόνας θα χρησιμοποιούνται, βάσει μεγέθους οθόνης. [Μάθετε περισσότερα](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Μπορείτε να χρησιμοποιήσετε εικονική κύλιση με το Component Dev Kit (CDK), όταν αποδίδονται πολύ μεγάλες λίστες. [Μάθετε περισσότερα](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Εφαρμόστε [διαχωρισμό κώδικα σε επίπεδο δρομολόγησης](https://web.dev/route-level-code-splitting-in-angular/) για να ελαχιστοποιήσετε το μέγεθος των πακέτων JavaScript. Εξετάστε επίσης το ενδεχόμενο να πραγματοποιήσετε πρόωρη αποθήκευση στοιχείων στην κρυφή μνήμη με το[Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Εάν χρησιμοποιείτε το Angular CLI, βεβαιωθείτε ότι οι εκδόσεις δημιουργούνται σε λειτουργία παραγωγής. [Μάθετε περισσότερα](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Εάν χρησιμοποιείτε το Angular CLI, συμπεριλάβετε χάρτες πηγής στην έκδοση παραγωγής σας, για να ελέγξετε τα πακέτα σας. [Μάθετε περισσότερα](https://angular.io/guide/deployment#inspect-the-bundles)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Προφορτώστε τις διαδρομές εκ των προτέρων, για να επιταχύνετε την πλοήγηση. [Μάθετε περισσότερα](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Μπορείτε να χρησιμοποιήσετε το βοηθητικό πρόγραμμα `BreakpointObserver` στο Component Dev Kit (CDK) για να διαχειρίζεστε τα σημεία διακοπής εικόνας. [Μάθετε περισσότερα](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Εξετάστε το ενδεχόμενο μεταφόρτωσης του GIF σε μια υπηρεσία η οποία θα το διαθέσει για ενσωμάτωση ως βίντεο HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Καθορίστε τη `@font-display` κατά τον προσδιορισμό προσαρμοσμένων γραμματοσειρών στο θέμα σας."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Εξετάστε το ενδεχόμενο να εγκαταστήσετε και να διαμορφώσετε [μια λειτουργική μονάδα για να αξιοποιήσετε μορφές εικόνας WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) στον ιστότοπό σας. Αυτές οι λειτουργικές μονάδες δημιουργούν αυτόματα μια έκδοση WebP των μεταφορτωμένων εικόνων σας για τη βελτιστοποίηση των χρόνων φόρτωσης."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Εγκαταστήστε [μια λειτουργική μονάδα Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) η οποία μπορεί να εκτελέσει αργή φόρτωση εικόνων. Αυτού του είδους οι λειτουργικές μονάδες παρέχουν τη δυνατότητα αναβολής φόρτωσης των εικόνων εκτός οθόνης, για τη βελτίωση της απόδοσης."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Εξετάστε το ενδεχόμενο χρήσης μιας λειτουργικής μονάδας για την ενσωμάτωση σημαντικών στοιχείων CSS και JavaScript ή ενδεχομένως για την ασύγχρονη φόρτωση στοιχείων μέσω JavaScript, όπως τη λειτουργική μονάδα [Σύνθετη συγκέντρωση CSS/JS](https://www.drupal.org/project/advagg). Λάβετε υπόψη ότι οι βελτιστοποιήσεις που παρέχονται από αυτήν τη λειτουργική μονάδα μπορεί να προκαλέσουν προβλήματα στη λειτουργία του ιστοτόπου σας. Συνεπώς, είναι πιθανό να χρειαστεί να κάνετε αλλαγές στον κώδικα."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Τα θέματα, οι ενότητες και οι προδιαγραφές διακομιστή συμβάλλουν στον χρόνο απόκρισης του διακομιστή. Αν θέλετε, μπορείτε να ψάξετε για ένα περισσότερο βελτιστοποιημένο θέμα, να επιλέξετε προσεκτικά μια ενότητα βελτιστοποίησης ή/και να αναβαθμίσετε τον διακομιστή σας. Οι διακομιστές φιλοξενίας σας θα πρέπει να χρησιμοποιούν την προσωρινή αποθήκευση κώδικα λειτουργίας (opcode) PHP, την προσωρινή αποθήκευση μνήμης για τη μείωση των χρόνων ερωτημάτων βάσης δεδομένων, όπως στα Redis και Memcached, καθώς και βελτιστοποιημένη λογική εφαρμογής για την πιο γρήγορη προετοιμασία σελίδων."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Εξετάστε το ενδεχόμενο χρήσης [Στιλ αποκριτικών εικόνων](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) για να μειώσετε το μέγεθος των εικόνων που φορτώνονται στη σελίδα σας. Εάν χρησιμοποιείτε τις Προβολές για την εμφάνιση πολλαπλών στοιχείων περιεχομένου σε μια σελίδα, εξετάστε το ενδεχόμενο ενσωμάτωσης σελιδοποίησης προκειμένου να περιορίσετε τον αριθμό των στοιχειών περιεχομένου σε μια συγκεκριμένη σελίδα."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Βεβαιωθείτε ότι έχετε ενεργοποιήσετε τη Συγκέντρωση αρχείων CSS στη σελίδα Διαχείριση » Διαμόρφωση » Ανάπτυξη. Μπορείτε επίσης να διαμορφώσετε πιο σύνθετες επιλογές συγκέντρωσης μέσω [πρόσθετων ενοτήτων](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), για να αυξήσετε την ταχύτητα του ιστοτόπου σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα στιλ CSS που χρησιμοποιείτε."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Βεβαιωθείτε ότι έχετε ενεργοποιήσετε τη Συγκέντρωση αρχείων JavaScript στη σελίδα Διαχείριση » Διαμόρφωση » Ανάπτυξη. Μπορείτε επίσης να διαμορφώσετε πιο σύνθετες επιλογές συγκέντρωσης μέσω [πρόσθετων ενοτήτων](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), για να αυξήσετε την ταχύτητα του ιστοτόπου σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα στοιχεία JavaScript που χρησιμοποιείτε."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Εξετάστε το ενδεχόμενο να καταργήσετε τους κανόνες CSS που δεν χρησιμοποιούνται και να προσαρτήσετε μόνο τις αναγκαίες βιβλιοθήκες Drupal στη σχετική σελίδα ή στο σχετικό στοιχείο σε μια σελίδα. Για λεπτομέρειες, ανατρέξτε στον [σύνδεσμο τεκμηρίωσης Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Για να προσδιορίσετε τις προσαρτημένες βιβλιοθήκες που προσθέτουν περιττό κώδικα CSS, δοκιμάστε να εκτελέσετε [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Μπορείτε να προσδιορίσετε το θέμα/την ενότητα που ευθύνεται μέσω του URL του φύλλου στιλ όταν η συγκέντρωση CSS είναι απενεργοποιημένη στον ιστότοπό σας στο Drupal. Αναζητήστε θέματα/ενότητες που διαθέτουν πολλά φύλλα στιλ στη λίστα, στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Ένα θέμα/μια ενότητα θα πρέπει να τοποθετεί στην ουρά ένα φύλλο στιλ, μόνο αν χρησιμοποιείται στη σελίδα."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Εξετάστε το ενδεχόμενο να καταργήσετε τα στοιχεία JavaScript που δεν χρησιμοποιούνται και να προσαρτήσετε μόνο τις αναγκαίες βιβλιοθήκες Drupal στη σχετική σελίδα ή στο σχετικό στοιχείο σε μια σελίδα. Για λεπτομέρειες, ανατρέξτε στον [σύνδεσμο τεκμηρίωσης Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Για να προσδιορίσετε τις προσαρτημένες βιβλιοθήκες που προσθέτουν περιττό κώδικα JavaScript, δοκιμάστε να εκτελέσετε [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Μπορείτε να προσδιορίσετε το θέμα/τη λειτουργική μονάδα που ευθύνεται μέσω του URL του σεναρίου όταν η συγκέντρωση JavaScript είναι απενεργοποιημένη στον ιστότοπό σας στο Drupal. Αναζητήστε θέματα/λειτουργικές μονάδες που διαθέτουν πολλά σενάρια στη λίστα, στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Ένα θέμα/μια λειτουργική μονάδα θα πρέπει να τοποθετεί στην ουρά ένα σενάριο, μόνο αν χρησιμοποιείται στη σελίδα."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Ορίστε τη Μέγιστη ηλικία κρυφής μνήμης διακομιστή μεσολάβησης προγράμματος περιήγησης στη σελίδα Διαχείριση » Διαμόρφωση » Ανάπτυξη. Διαβάστε σχετικά με την [Κρυφή μνήμη Drupal και βελτιστοποίηση για μεγαλύτερη απόδοση](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Εξετάστε το ενδεχόμενο χρήσης [μιας ενότητας](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) η οποία βελτιστοποιεί αυτόματα και μειώνει το μέγεθος των εικόνων που μεταφορτώνονται μέσω του ιστοτόπου, διατηρώντας την ποιότητα. Επιπλέον, βεβαιωθείτε ότι χρησιμοποιείτε τα εγγενή [Στιλ αποκριτικών εικόνων](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) που παρέχονται από το Drupal (διατίθενται στο Drupal 8 και σε νεότερες εκδόσεις) για όλες τις εικόνες που αποδίδονται στον ιστότοπο."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Υποδείξεις πόρων πρόωρης σύνδεσης ή πρόωρης λήψης dns μπορούν να προστεθούν μέσω της εγκατάστασης και της διαμόρφωσης [μιας ενότητας](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) η οποία παρέχει λειτουργίες για υποδείξεις πόρων παραγόντων χρήστη."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Βεβαιωθείτε ότι χρησιμοποιείτε τα εγγενή [Στιλ αποκριτικών εικόνων](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) που παρέχονται από το Drupal (διατίθενται στο Drupal 8 και σε νεότερες εκδόσεις). Χρησιμοποιήστε Στιλ αποκριτικών εικόνων κατά την απόδοση πεδίων εικόνων μέσω λειτουργιών προβολής, προβολών ή εικόνων που μεταφορτώθηκαν μέσω του εργαλείου επεξεργασίας WYSIWYG."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"Εξετάστε το ενδεχόμενο μεταφόρτωσης του GIF σε μια υπηρεσία η οποία θα το διαθέσει για ενσωμάτωση ως βίντεο HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Εξετάστε το ενδεχόμενο να χρησιμοποιήσετε μια [προσθήκη](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ή μια υπηρεσία που θα μετατρέπει αυτόματα τις μεταφορτωμένες εικόνες σας στη βέλτιστη μορφή."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{
message:"Εγκαταστήστε μια προσθήκη [Joomla αργής φόρτωσης](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) η οποία παρέχει τη δυνατότητα αναβολής φόρτωσης των εικόνων εκτός οθόνης. Εναλλακτικά, χρησιμοποιήστε ένα πρότυπο που παρέχει αυτήν τη δυνατότητα. Από το Joomla 4.0, όλες οι νέες εικόνες θα λαμβάνουν [αυτόματα](https://github.com/joomla/joomla-cms/pull/30748) το χαρακτηριστικό `loading` από τη βασική ρύθμιση."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Υπάρχουν διάφορες προσθήκες Joomla που μπορούν να σας βοηθήσουν στην [ενσωμάτωση των σημαντικών στοιχείων](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ή στην [καθυστέρηση των λιγότερο σημαντικών πόρων](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Λάβετε υπόψη ότι οι βελτιστοποιήσεις που παρέχονται από αυτές τις προσθήκες μπορεί να προκαλέσουν προβλήματα στις λειτουργίες των προτύπων ή των προσθηκών σας. Συνεπώς, είναι πιθανό να χρειαστεί να τις ελέγξετε προσεκτικά."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Τα πρότυπα, οι επεκτάσεις και οι προδιαγραφές διακομιστή συμβάλλουν στον χρόνο απόκρισης του διακομιστή. Αν θέλετε, μπορείτε να ψάξετε για ένα περισσότερο βελτιστοποιημένο πρότυπο, να επιλέξετε προσεκτικά μια επέκταση βελτιστοποίησης ή/και να αναβαθμίσετε τον διακομιστή σας."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Εξετάστε το ενδεχόμενο εμφάνισης αποσπασμάτων στις κατηγορίες άρθρων σας (π.χ. μέσω της ετικέτας περισσότερα), μειώνοντας τον αριθμό των άρθρων που εμφανίζονται σε μια συγκεκριμένη σελίδα, χωρίζοντας τις μεγάλες αναρτήσεις σε πολλές σελίδες ή χρησιμοποιώντας μια προσθήκη για φόρτωση με καθυστέρηση των σχολίων."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Μερικές [επεκτάσεις Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) μπορούν να επιταχύνουν τον ιστότοπό σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα στιλ σας. Υπάρχουν επίσης πρότυπα που παρέχουν αυτήν τη λειτουργία."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Μερικές [προσθήκες Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) μπορούν να επιταχύνουν τον ιστότοπό σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα σενάριά σας. Υπάρχουν επίσης πρότυπα που παρέχουν αυτήν τη λειτουργία."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Εξετάστε το ενδεχόμενο μείωσης ή αλλαγής των [επεκτάσεων Joomla](https://extensions.joomla.org/) που φορτώνουν μη χρησιμοποιούμενα CSS στη σελίδα σας. Για να προσδιορίσετε τις επεκτάσεις που προσθέτουν περιττό κώδικα CSS, δοκιμάστε να εκτελέσετε [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Μπορείτε να προσδιορίσετε το θέμα ή την προσθήκη που ευθύνεται μέσω του URL του φύλλου στιλ. Αναζητήστε προσθήκες που διαθέτουν πολλά φύλλα στιλ στη λίστα, στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Μια προσθήκη θα πρέπει να τοποθετεί στην ουρά ένα φύλλο στιλ, μόνο αν χρησιμοποιείται στη σελίδα."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Εξετάστε το ενδεχόμενο μείωσης ή αλλαγής των [επεκτάσεων Joomla](https://extensions.joomla.org/) που φορτώνουν μη χρησιμοποιούμενα JavaScript στη σελίδα σας. Για να προσδιορίσετε τις προσθήκες που προσθέτουν περιττό κώδικα JS, δοκιμάστε να εκτελέσετε [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Μπορείτε να προσδιορίσετε την επέκταση που ευθύνεται μέσω του URL του σεναρίου. Αναζητήστε επεκτάσεις που διαθέτουν πολλά σενάρια στη λίστα, στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Μια επέκταση θα πρέπει να τοποθετεί στην ουρά ένα σενάριο, μόνο αν χρησιμοποιείται στη σελίδα."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Διαβάστε σχετικά με την [Κρυφή μνήμη προγράμματος περιήγησης στο Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Εξετάστε το ενδεχόμενο να χρησιμοποιήσετε μια [προσθήκη βελτιστοποίησης εικόνων](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) που συμπιέζει τις εικόνες διατηρώντας όμως την ποιότητά τους."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Εξετάστε το ενδεχόμενο χρήσης μιας [προσθήκης αποκριτικών εικόνων](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), για να χρησιμοποιείτε αποκριτικές εικόνες στο περιεχόμενό σας."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Μπορείτε να ενεργοποιήσετε τη συμπίεση κειμένου μέσω της ενεργοποίησης της Συμπίεσης σελίδας Gzip στο Joomla (Σύστημα > Καθολική διαμόρφωση > Διακομιστής)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{
message:"Εάν δεν δημιουργείτε δικά σας στοιχεία JavaScript, σκεφτείτε να χρησιμοποιήσετε [δεματοποιητή](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Απενεργοποιήστε την ενσωματωμένη [πακετοποίηση και ελαχιστοποίηση JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), και δοκιμάστε να χρησιμοποιήσετε αντ' αυτού τον [δεματοποιητή](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Καθορίστε το `@font-display` όταν [ορίζετε προσαρμοσμένες γραμματοσειρές](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{
message:"Μπορείτε να πραγματοποιήσετε αναζήτηση στο [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) για διάφορες επεκτάσεις τρίτων μερών, ώστε να αξιοποιήσετε νεότερες μορφές εικόνας."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Μπορείτε να τροποποιήσετε το προϊόν σας και τα πρότυπα καταλόγου για να αξιοποιήσετε τη λειτουργία [αργής φόρτωσης](https://web.dev/native-lazy-loading) της πλατφόρμας ιστού."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Χρησιμοποιήστε την[ενσωμάτωση Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) του Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{
message:"Ενεργοποιήστε την επιλογή Ελαχιστοποίηση αρχείων CSS στις ρυθμίσεις Προγραμματιστή του καταστήματός σας. [Μάθετε περισσότερα](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Χρησιμοποιήστε το [Terser](https://www.npmjs.com/package/terser) για να ελαχιστοποιήσετε όλα τα στοιχεία JavaScript από την ανάπτυξη στατικού περιεχομένου και να απενεργοποιήσετε την ενσωματωμένη λειτουργία ελαχιστοποίησης."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Απενεργοποιήστε την ενσωματωμένη [πακετοποίηση JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) του Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{
message:"Μπορείτε να πραγματοποιήσετε αναζήτηση στο [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) για διάφορες επεκτάσεις τρίτου μέρους, για να βελτιστοποιήσετε τις εικόνες."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Υποδείξεις πόρων πρόωρης σύνδεσης ή πρόωρης λήψης dns μπορούν να προστεθούν [τροποποιώντας τη διάταξη ενός θέματος](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Οι ετικέτες `<link rel=preload>` μπορούν να προστεθούν [τροποποιώντας τη διάταξη ενός θέματος](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Αντικαταστήστε τις κινούμενες εικόνες GIF με βίντεο](https://web.dev/replace-gifs-with-videos/) για ταχύτερη φόρτωση ιστοσελίδας, ενώ μπορείτε επίσης να χρησιμοποιήσετε σύγχρονες μορφές αρχείων όπως [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ή [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) για τη βελτίωση της απόδοσης συμπίεσης κατά περισσότερο από 30% σε σχέση με τον τρέχοντα υπερσύγχρονο κωδικοποιητή βίντεο, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Εξετάστε το ενδεχόμενο να χρησιμοποιήσετε μια [προσθήκη](https://octobercms.com/plugins?search=image) ή μια υπηρεσία που θα μετατρέπει αυτόματα τις μεταφορτωμένες εικόνες σας στη βέλτιστη μορφή. Οι [Εικόνες WebP χωρίς απώλειες](https://developers.google.com/speed/webp) έχουν 26% μικρότερο μέγεθος σε σχέση με τις εικόνες PNG και 25-34% μικρότερο μέγεθος σε σχέση με τις συγκρίσιμες εικόνες JPEG στον αντίστοιχο δείκτη ποιότητας SSIM. Μια άλλη μορφή εικόνας επόμενης γενιάς που μπορείτε να χρησιμοποιήσετε είναι η μορφή [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"Μπορείτε να εγκαταστήσετε μια [προσθήκη αργής φόρτωσης εικόνας](https://octobercms.com/plugins?search=lazy) η οποία παρέχει τη δυνατότητα αναβολής φόρτωσης των εικόνων εκτός οθόνης. Εναλλακτικά, χρησιμοποιήστε ένα θέμα που παρέχει αυτήν τη δυνατότητα. Εξετάστε επίσης το ενδεχόμενο χρήσης της [προσθήκης AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Υπάρχουν πολλές προσθήκες που βοηθούν στην [ενσωμάτωση των σημαντικών στοιχείων](https://octobercms.com/plugins?search=css). Αυτές οι προσθήκες ενδέχεται να καταστρέψουν άλλα προσθήκες, επομένως θα πρέπει να τις ελέγξετε προσεκτικά."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"Τα θέματα, οι προσθήκες και οι προδιαγραφές διακομιστή συμβάλλουν στον χρόνο απόκρισης του διακομιστή. Μπορείτε να αναζητήσετε ένα περισσότερο βελτιστοποιημένο θέμα, να επιλέξετε προσεκτικά μια προσθήκη βελτιστοποίησης ή/και να αναβαθμίσετε τον διακομιστή σας. Το CMS του Οκτωβρίου επιτρέπει επίσης στους προγραμματιστές να χρησιμοποιήσουν [`Queues`](https://octobercms.com/docs/services/queues) για την αναβολή της επεξεργασίας μιας χρονοβόρας εργασίας, όπως η αποστολή ενός μηνύματος ηλεκτρονικού ταχυδρομείου. Αυτό επιταχύνει σημαντικά τα αιτήματα ιστού."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"Εξετάστε το ενδεχόμενο εμφάνισης αποσπασμάτων στις λίστες αναρτήσεών σας (π.χ. χρησιμοποιώντας ένα κουμπί `show more`), μειώνοντας τον αριθμό των αναρτήσεων που εμφανίζονται σε μια συγκεκριμένη ιστοσελίδα, χωρίζοντας τις μεγάλες αναρτήσεις σε πολλές ιστοσελίδες ή χρησιμοποιώντας μια προσθήκη για φόρτωση με καθυστέρηση των σχολίων."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Υπάρχουν πολλές [προσθήκες](https://octobercms.com/plugins?search=css) που μπορούν να αυξήσουν την ταχύτητα του ιστοτόπου σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα στιλ. Η χρήση μιας διαδικασίας κατασκευής για την εκ των προτέρων πραγματοποίηση αυτής της ελαχιστοποίησης μπορεί να επιταχύνει την ανάπτυξη."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Υπάρχουν πολλές [προσθήκες](https://octobercms.com/plugins?search=javascript) που μπορούν να αυξήσουν την ταχύτητα του ιστοτόπου σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα σενάρια. Η χρήση μιας διαδικασίας κατασκευής για την εκ των προτέρων πραγματοποίηση αυτής της ελαχιστοποίησης μπορεί να επιταχύνει την ανάπτυξη."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Μπορείτε να χρησιμοποιήσετε τις [προσθήκες](https://octobercms.com/plugins) που φορτώνουν μη χρησιμοποιούμενο κώδικα CSS στη σελίδα σας. Για να προσδιορίσετε τις προσθήκες που προσθέτουν περιττό κώδικα CSS, εκτελέστε την [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Εντοπίστε το θέμα/την προσθήκη που ευθύνεται μέσω του URL φύλλου στιλ. Αναζητήστε προσθήκες με πολλά φύλλα στιλ στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Μια προσθήκη θα πρέπει να προσθέτει ένα φύλλο στιλ, μόνο εάν χρησιμοποιείται στην ιστοσελίδα."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Μπορείτε να ελέγξετε τις [προσθήκες](https://octobercms.com/plugins?search=javascript) που φορτώνουν μη χρησιμοποιούμενα JavaScript στην ιστοσελίδα. Για να προσδιορίσετε τις προσθήκες που προσθέτουν περιττό κώδικα JavaScript, εκτελέστε την [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Προσδιορίστε το θέμα/την προσθήκη που ευθύνεται μέσω του URL του σεναρίου. Αναζητήστε προσθήκες με πολλά σενάρια στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Μια προσθήκη θα πρέπει να προσθέτει ένα σενάριο, μόνο εάν χρησιμοποιείται στην ιστοσελίδα."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Διαβάστε σχετικά με την [πρόληψη των περιττών αιτημάτων δικτύου με την Κρυφή μνήμη HTTP](https://web.dev/http-cache/#caching-checklist). Υπάρχουν πολλές [προσθήκες](https://octobercms.com/plugins?search=Caching) που μπορούν να χρησιμοποιηθούν για την επιτάχυνση της αποθήκευσης στην κρυφή μνήμη."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Εξετάστε το ενδεχόμενο να χρησιμοποιήσετε μια [προσθήκη βελτιστοποίησης εικόνων](https://octobercms.com/plugins?search=image) που συμπιέζει τις εικόνες διατηρώντας όμως την ποιότητά τους."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Ανεβάστε εικόνες απευθείας στη διαχείριση μέσων για να διασφαλίσετε ότι τα απαιτούμενα μεγέθη εικόνων είναι διαθέσιμα. Μπορείτε να χρησιμοποιήσετε το [φίλτρο αλλαγής μεγέθους](https://octobercms.com/docs/markup/filter-resize) ή μια [προσθήκη αλλαγής μεγέθους εικόνας](https://octobercms.com/plugins?search=image) για να διασφαλίσετε ότι χρησιμοποιούνται τα βέλτιστα μεγέθη εικόνων."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Ενεργοποίηση συμπίεσης κειμένου στη διαμόρφωση διακομιστή ιστού."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Μπορείτε να χρησιμοποιήσετε μια βιβλιοθήκη "παραθύρων", όπως η `react-window` για να ελαχιστοποιήσετε τον αριθμό κόμβων DOM που δημιουργήθηκαν, εάν αποδίδετε πολλά επαναλαμβανόμενα στοιχεία στη σελίδα. [Μάθετε περισσότερα](https://web.dev/virtualize-long-lists-react-window/). Επίσης, ελαχιστοποιήστε τις περιττές εκ νέου αποδόσεις, χρησιμοποιώντας το [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ή το [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) και [παραβλέψτε τα εφέ](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) μόνο μέχρι να αλλάξουν συγκεκριμένες εξαρτήσεις, εάν χρησιμοποιείτε το άγκιστρο `Effect` για να βελτιώσετε την απόδοση χρόνου εκτέλεσης (runtime).'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Εάν χρησιμοποιείτε το React Router, ελαχιστοποιήστε τη χρήση του στοιχείου `<Redirect>` για [πλοηγήσεις διαδρομής](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Εάν πραγματοποιείτε απόδοση στοιχείων React στον διακομιστή, μπορείτε να χρησιμοποιήσετε το `renderToNodeStream()` ή το `renderToStaticNodeStream()` για να επιτρέψετε στον υπολογιστή-πελάτη να λαμβάνει και να ενισχύει διαφορετικά μέρη της σήμανσης, αντί για όλα μαζί. [Μάθετε περισσότερα](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Εάν το σύστημα έκδοσής σας ελαχιστοποιεί τα αρχεία CSS αυτόματα, βεβαιωθείτε ότι αναπτύσσετε την έκδοση παραγωγής της εφαρμογής σας. Μπορείτε να το ελέγξετε αυτό από την επέκταση React Developer Tools. [Μάθετε περισσότερα](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Εάν το σύστημα έκδοσής σας ελαχιστοποιεί τα αρχεία JS αυτόματα, βεβαιωθείτε ότι αναπτύσσετε την έκδοση παραγωγής της εφαρμογής σας. Μπορείτε να το ελέγξετε αυτό από την επέκταση React Developer Tools. [Μάθετε περισσότερα](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Εάν δεν πραγματοποιείτε απόδοση στον διακομιστή, [χωρίστε τα πακέτα JavaScript](https://web.dev/code-splitting-suspense/) με το `React.lazy()`. Διαφορετικά, χωρίστε με χρήση κώδικα, χρησιμοποιώντας μια βιβλιοθήκη τρίτου μέρους, όπως τα [στοιχεία με δυνατότητα φόρτωσης](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Χρησιμοποιήστε το React DevTools Profiler, το οποίο χρησιμοποιεί το API του Profiler, για να μετρήσετε τις επιδόσεις απόδοσης των στοιχείων σας. [Μάθετε περισσότερα.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Εξετάστε το ενδεχόμενο μεταφόρτωσης του GIF σε μια υπηρεσία η οποία θα το διαθέσει για ενσωμάτωση ως βίντεο HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Εξετάστε το ενδεχόμενο να χρησιμοποιήσετε μια [προσθήκη](https://wordpress.org/plugins/search/convert+webp/) ή μια υπηρεσία που θα μετατρέπει αυτόματα τις μεταφορτωμένες εικόνες σας στη βέλτιστη μορφή."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Εγκαταστήστε μια προσθήκη [WordPress αργής φόρτωσης](https://wordpress.org/plugins/search/lazy+load/) η οποία παρέχει τη δυνατότητα αναβολής φόρτωσης των εικόνων εκτός οθόνης. Εναλλακτικά, χρησιμοποιήστε ένα θέμα που παρέχει αυτή τη δυνατότητα. Εξετάστε επίσης το ενδεχόμενο χρήσης της [προσθήκης AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Υπάρχουν διάφορες προσθήκες WordPress που μπορούν να σας βοηθήσουν στην [ενσωμάτωση των σημαντικών στοιχείων](https://wordpress.org/plugins/search/critical+css/) ή στην [καθυστέρηση των λιγότερο σημαντικών πόρων](https://wordpress.org/plugins/search/defer+css+javascript/). Λάβετε υπόψη ότι οι βελτιστοποιήσεις που παρέχονται από αυτές τις προσθήκες ενδέχεται να προκαλέσουν προβλήματα στις λειτουργίες των θεμάτων ή των προσθηκών σας. Ως εκ τούτου, είναι πιθανό να χρειαστεί να κάνετε αλλαγές στον κώδικα."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Τα θέματα, οι προσθήκες και οι προδιαγραφές διακομιστή συμβάλλουν στον χρόνο απόκρισης του διακομιστή. Αν θέλετε, μπορείτε να ψάξετε για ένα περισσότερο βελτιστοποιημένο θέμα, να επιλέξετε προσεκτικά μια προσθήκη βελτιστοποίησης ή/και να αναβαθμίσετε τον διακομιστή σας."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:'Εξετάστε το ενδεχόμενο εμφάνισης αποσπασμάτων στις λίστες αναρτήσεών σας (π.χ. μέσω της ετικέτας "περισσότερες"), μειώνοντας τον αριθμό των αναρτήσεων που εμφανίζονται σε μια συγκεκριμένη σελίδα, χωρίζοντας τις μεγάλες αναρτήσεις σε πολλές σελίδες ή χρησιμοποιώντας μια προσθήκη για φόρτωση με καθυστέρηση των σχολίων.'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Μερικές [προσθήκες WordPress](https://wordpress.org/plugins/search/minify+css/) μπορούν να επιταχύνουν τον ιστότοπό σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα στιλ σας. Μπορείτε επίσης να χρησιμοποιήσετε μια διεργασία δόμησης για την εκ των προτέρων πραγματοποίηση αυτής της ελαχιστοποίησης, εφόσον υπάρχει αυτή η δυνατότητα."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Μερικές [προσθήκες WordPress](https://wordpress.org/plugins/search/minify+javascript/) μπορούν να επιταχύνουν τον ιστότοπό σας συνενώνοντας, ελαχιστοποιώντας και συμπιέζοντας τα σενάριά σας. Μπορείτε επίσης να χρησιμοποιήσετε μια διεργασία δόμησης για την εκ των προτέρων πραγματοποίηση αυτής της ελαχιστοποίησης, εφόσον υπάρχει αυτή η δυνατότητα."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Εξετάστε το ενδεχόμενο μείωσης ή αλλαγής των [προσθηκών WordPress](https://wordpress.org/plugins/) που φορτώνουν μη χρησιμοποιούμενα CSS στη σελίδα σας. Για να προσδιορίσετε τις προσθήκες που προσθέτουν περιττό κώδικα CSS, δοκιμάστε να εκτελέσετε [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Μπορείτε να προσδιορίσετε το θέμα ή την προσθήκη που ευθύνεται μέσω του URL του φύλλου στιλ. Αναζητήστε προσθήκες που διαθέτουν πολλά φύλλα στιλ στη λίστα, στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Μια προσθήκη θα πρέπει να τοποθετεί στην ουρά ένα φύλλο στιλ, μόνο αν χρησιμοποιείται στη σελίδα."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Εξετάστε το ενδεχόμενο μείωσης ή αλλαγής των [προσθηκών WordPress](https://wordpress.org/plugins/) που φορτώνουν μη χρησιμοποιούμενη JavaScript στη σελίδα σας. Για να προσδιορίσετε τις προσθήκες που προσθέτουν περιττό κώδικα JS, δοκιμάστε να εκτελέσετε [κάλυψη κώδικα](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) στο Chrome DevTools. Μπορείτε να προσδιορίσετε το θέμα ή την προσθήκη που ευθύνεται μέσω του URL του σεναρίου. Αναζητήστε προσθήκες που διαθέτουν πολλά σενάρια στη λίστα, στα οποία ένα μεγάλο μέρος της κάλυψης κώδικα έχει κόκκινο χρώμα. Μια προσθήκη θα πρέπει να τοποθετεί στην ουρά ένα σενάριο μόνο αν χρησιμοποιείται στη σελίδα."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Διαβάστε σχετικά με την [Κρυφή μνήμη προγράμματος περιήγησης στο WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Εξετάστε το ενδεχόμενο να χρησιμοποιήσετε μια [προσθήκη βελτιστοποίησης εικόνων WordPress](https://wordpress.org/plugins/search/optimize+images/) που συμπιέζει τις εικόνες διατηρώντας όμως την ποιότητά τους."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"Ανεβάστε εικόνες απευθείας μέσω της [βιβλιοθήκης μέσων](https://wordpress.org/support/article/media-library-screen/) για να διασφαλίσετε ότι τα απαιτούμενα μεγέθη εικόνων είναι διαθέσιμα. Στη συνέχεια, μπορείτε να τις εισαγάγετε από τη βιβλιοθήκη μέσων ή να χρησιμοποιήσετε το γραφικό στοιχείο εικόνων για να διασφαλίσετε ότι χρησιμοποιούνται τα βέλτιστα μεγέθη (συμπεριλαμβανομένων αυτών για τα αποκριτικά σημεία διακοπής). Αποφύγετε τη χρήση εικόνων `Full Size`, εκτός αν οι διαστάσεις είναι κατάλληλες για τη χρήση τους. [Μάθετε περισσότερα](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Μπορείτε να ενεργοποιήσετε τη συμπίεση κειμένου στη διαμόρφωση του διακομιστή ιστού σας."},"report/renderer/util.js | calculatorLink":{message:"Προβολή αριθμομηχανής."},"report/renderer/util.js | crcInitialNavigation":{message:"Αρχική πλοήγηση"},
"report/renderer/util.js | crcLongestDurationLabel":{message:"Μέγιστος λανθάνων χρόνος κρίσιμης διαδρομής:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Αντιγραφή JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Εναλλαγή σκούρου θέματος"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Πλήρης εκτύπωση"},"report/renderer/util.js | dropdownPrintSummary":{message:"Συνοπτική εκτύπωση"},"report/renderer/util.js | dropdownSaveGist":{message:"Αποθήκευση ως Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Αποθήκευση ως HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Αποθήκευση ως JSON"},"report/renderer/util.js | dropdownViewer":{message:"Άνοιγμα στο πρόγραμμα προβολής"},"report/renderer/util.js | errorLabel":{message:"Σφάλμα!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Σφάλμα αναφοράς: Δεν υπάρχουν πληροφορίες ελέγχου"},"report/renderer/util.js | footerIssue":{message:"Υποβολή προβλήματος"},
"report/renderer/util.js | labDataTitle":{message:"Εργαστηριακά δεδομένα"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Ανάλυση της τρέχουσας σελίδας από το [Lighthouse](https://developers.google.com/web/tools/lighthouse/) σε ένα προσομειωμένο δίκτυο κινητής τηλεφωνίας. Οι τιμές είναι κατ' εκτίμηση και μπορεί να διαφέρουν."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Επιπλέον στοιχεία για μη αυτόματο έλεγχο"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Δεν ισχύει"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Ευκαιρία"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Εκτιμώμενες εξοικονομήσεις"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Έλεγχοι που ολοκληρώθηκαν επιτυχώς"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Προσομοιωμένη επιφάνεια εργασίας"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Προσομοιωμένο Moto G4"},
"report/renderer/util.js | runtimeNoEmulation":{message:"Χωρίς προσομοίωση"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"'Εκδοση Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Ισχύς CPU/μνήμης"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Περιορισμός CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Κανάλι"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Συσκευή"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Ώρα ανάκτησης"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Περιορισμός δικτύου"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Ρυθμίσεις χρόνου εκτέλεσης (runtime)"},"report/renderer/util.js | runtimeSettingsUA":{message:"Παράγοντας χρήστη (κεντρικός υπολογιστής)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Παράγοντας χρήστη (δίκτυο)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},
"report/renderer/util.js | runtimeUnknown":{message:"Άγνωστη"},"report/renderer/util.js | showRelevantAudits":{message:"Εμφάνιση ελέγχων που σχετίζονται με:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Σύμπτυξη αποσπάσματος"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Ανάπτυξη αποσπάσματος"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Εμφάνιση πόρων τρίτων"},"report/renderer/util.js | throttlingProvided":{message:"Παρέχεται από το περιβάλλον"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Παρουσιάστηκαν ορισμένα ζητήματα τα οποία επηρεάζουν αυτήν την εκτέλεση του Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Οι τιμές εκτιμώνται και μπορεί να ποικίλουν. Η [βαθμολογία απόδοσης υπολογίζεται](https://web.dev/performance-scoring/) απευθείας από αυτές τις μετρήσεις."},"report/renderer/util.js | viewTreemapLabel":{message:"Προβολή δενδροειδούς χάρτη"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Έλεγχοι που ολοκληρώθηκαν αλλά με προειδοποιήσεις"},"report/renderer/util.js | warningHeader":{message:"Προειδοποιήσεις: "}}},{}],107:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Access keys let users quickly focus a part of the page. For proper navigation, each access key must be unique. [Learn more](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` values are not unique"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` values are unique"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Each ARIA `role` supports a specific subset of `aria-*` attributes. Mismatching these invalidates the `aria-*` attributes. [Learn more](https://web.dev/aria-allowed-attr/)."},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` attributes do not match their roles"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` attributes match their roles"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link` and `menuitem` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link` and `menuitem` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Assistive technologies, like screen readers, work inconsistently when `aria-hidden="true"` is set on the document `<body>`. [Learn more](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` is present on the document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` is not present on the document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Focusable descendents within an `[aria-hidden="true"]` element prevent those interactive elements from being available to users of assistive technologies like screen readers. [Learn more](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` elements contain focusable descendents'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{
message:'`[aria-hidden="true"]` elements do not contain focusable descendents'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"When an input field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA input fields do not have accessible names"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA input fields have accessible names"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{
message:"ARIA `meter` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"When a `progressbar` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"Some ARIA roles have required attributes that describe the state of the element to screen readers. [Learn more](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`s do not have all required `[aria-*]` attributes"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`s have all required `[aria-*]` attributes"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Some ARIA parent roles must contain specific child roles to perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` are missing some or all of those required children."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{
message:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` have all required children."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Some ARIA child roles must be contained by specific parent roles to properly perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`s are not contained by their required parent element"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`s are contained by their required parent element"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA roles must have valid values in order to perform their intended accessibility functions. [Learn more](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{
message:"`[role]` values are not valid"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` values are valid"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"When a toggle field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA toggle fields do not have accessible names"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA toggle fields have accessible names"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Assistive technologies, such as screen readers, can't interpret ARIA attributes with invalid values. [Learn more](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` attributes do not have valid values"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` attributes have valid values"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Assistive technologies, such as screen readers, can't interpret ARIA attributes with invalid names. [Learn more](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` attributes are not valid or misspelled"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` attributes are valid and not misspelled"},
"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Failing elements"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"When a button doesn't have an accessible name, screen readers announce it as 'button', making it unusable for users who rely on screen readers. [Learn more](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Buttons do not have an accessible name"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Buttons have an accessible name"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Adding ways to bypass repetitive content lets keyboard users navigate the page more efficiently. [Learn more](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"The page does not contain a heading, skip link or landmark region"},
"lighthouse-core/audits/accessibility/bypass.js | title":{message:"The page contains a heading, skip link or landmark region"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Low-contrast text is difficult or impossible for many users to read. [Learn more](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Background and foreground colours do not have a sufficient contrast ratio."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Background and foreground colours have a sufficient contrast ratio"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"When definition lists are not properly marked up, screen readers may produce confusing or inaccurate output. [Learn more](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{
message:"`<dl>`'s do not contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`'s contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Definition list items (`<dt>` and `<dd>`) must be wrapped in a parent `<dl>` element to ensure that screen readers can properly announce them. [Learn more](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Definition list items are not wrapped in `<dl>` elements"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Definition list items are wrapped in `<dl>` elements"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"The title gives screen reader users an overview of the page, and search engine users rely on it heavily to determine if a page is relevant to their search. [Learn more](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Document doesn't have a `<title>` element"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Document has a `<title>` element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"All focusable elements must have a unique `id` to ensure that they're visible to assistive technologies. [Learn more](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` attributes on active, focusable elements are not unique"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` attributes on active, focusable elements are unique"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"The value of an ARIA ID must be unique to prevent other instances from being overlooked by assistive technologies. [Learn more](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA IDs are not unique"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA IDs are unique"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Form fields with multiple labels can be confusingly announced by assistive technologies, like screen readers, which use either the first, the last or all of the labels. [Learn more](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Form fields have multiple labels"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{
message:"No form fields have multiple labels"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Screen reader users rely on frame titles to describe the contents of frames. [Learn more](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` or `<iframe>` elements do not have a title"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` or `<iframe>` elements have a title"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Properly ordered headings that do not skip levels convey the semantic structure of the page, making it easier to navigate and understand when using assistive technologies. [Learn more](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Heading elements are not in a sequentially-descending order"},
"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Heading elements appear in a sequentially-descending order"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"If a page doesn't specify a lang attribute, a screen reader assumes that the page is in the default language that the user chose when setting up the screen reader. If the page isn't actually in the default language, then the screen reader might not announce the page's text correctly. [Learn more](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` element does not have a `[lang]` attribute"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` element has a `[lang]` attribute"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) helps screen readers announce text properly. [Learn more](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` element does not have a valid value for its `[lang]` attribute."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` element has a valid value for its `[lang]` attribute"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informative elements should aim for short, descriptive alternative text. Decorative elements can be ignored with an empty alt attribute. [Learn more](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Image elements do not have `[alt]` attributes"},"lighthouse-core/audits/accessibility/image-alt.js | title":{
message:"Image elements have `[alt]` attributes"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"When an image is being used as an `<input>` button, providing alternative text can help screen reader users understand the purpose of the button. [Learn more](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` elements do not have `[alt]` text'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` elements have `[alt]` text'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Labels ensure that form controls are announced properly by assistive technologies, such as screen readers. [Learn more](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Form elements do not have associated labels"},"lighthouse-core/audits/accessibility/label.js | title":{
message:"Form elements have associated labels"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Link text (and alternative text for images, when used as links) that is discernible, unique and focusable improves the navigation experience for screen reader users. [Learn more](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Links do not have a discernible name"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Links have a discernible name"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Screen readers have a specific way of announcing lists. Ensuring proper list structure aids screen reader output. [Learn more](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Lists do not contain only `<li>` elements and script supporting elements (`<script>` and `<template>`)."},
"lighthouse-core/audits/accessibility/list.js | title":{message:"Lists contain only `<li>` elements and script supporting elements (`<script>` and `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Screen readers require list items (`<li>`) to be contained within a parent `<ul>` or `<ol>` to be announced properly. [Learn more](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"List items (`<li>`) are not contained within `<ul>` or `<ol>` parent elements."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"List items (`<li>`) are contained within `<ul>` or `<ol>` parent elements"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Users do not expect a page to refresh automatically, and doing so will move focus back to the top of the page. This may create a frustrating or confusing experience. [Learn more](https://web.dev/meta-refresh/)."},
"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'The document uses `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'The document does not use `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Disabling zooming is problematic for users with low vision who rely on screen magnification to properly see the contents of a web page. [Learn more](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` is used in the `<meta name="viewport">` element or the `[maximum-scale]` attribute is less than 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` is not used in the `<meta name="viewport">` element and the `[maximum-scale]` attribute is not less than 5.'},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Screen readers cannot translate non-text content. Adding alt text to `<object>` elements helps screen readers convey meaning to users. [Learn more](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` elements do not have `[alt]` text"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` elements have `[alt]` text"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"A value greater than 0 implies an explicit navigation ordering. Although technically valid, this often creates frustrating experiences for users who rely on assistive technologies. [Learn more](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Some elements have a `[tabindex]` value greater than 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{
message:"No element has a `[tabindex]` value greater than 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Screen readers have features to make navigating tables easier. Ensuring `<td>` cells using the `[headers]` attribute only refer to other cells in the same table may improve the experience for screen reader users. [Learn more](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Cells in a `<table>` element that use the `[headers]` attribute refer to an element `id` not found within the same table."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Cells in a `<table>` element that use the `[headers]` attribute refer to table cells within the same table."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Screen readers have features to make navigating tables easier. Ensuring that table headers always refer to some set of cells may improve the experience for screen reader users. [Learn more](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` do not have data cells they describe.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` have data cells they describe.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) on elements helps ensure that text is pronounced correctly by a screen reader. [Learn more](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{
message:"`[lang]` attributes do not have a valid value"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` attributes have a valid value"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"When a video provides a caption it is easier for deaf and hearing-impaired users to access its information. [Learn more](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` elements do not contain a `<track>` element with `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` elements contain a `<track>` element with `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"For ideal appearance on iOS when users add a progressive web app to the home screen, define an `apple-touch-icon`. It must point to a non-transparent 192px (or 180px) square PNG. [Learn More](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Does not provide a valid `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` is out of date; `apple-touch-icon` is preferred."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Provides a valid `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Current value"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Suggested token"},"lighthouse-core/audits/autocomplete.js | description":{
message:"`autocomplete` helps users submit forms more quickly. To reduce user effort, consider enabling by setting the `autocomplete` attribute to a valid value. [Learn more](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` elements do not have correct `autocomplete` attributes"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Requires manual review"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Review order of tokens"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` elements correctly use `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` token(s): '{token}' is invalid in {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Review order of tokens: '{tokens}' in {snippet}"},
"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome extensions negatively affected this page's load performance. Try auditing the page in incognito mode or from a Chrome profile without extensions."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Script Evaluation"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Script Parse"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Total CPU Time"},"lighthouse-core/audits/bootup-time.js | description":{message:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Reduce JavaScript execution time"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript execution time"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{
message:"Remove large, duplicate JavaScript modules from bundles to reduce unnecessary bytes consumed by network activity. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Remove duplicate modules in JavaScript bundles"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Large GIFs are inefficient for delivering animated content. Consider using MPEG4/WebM videos for animations and PNG/WebP for static images instead of GIF to save network bytes. [Learn more](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Use video formats for animated content"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Polyfills and transforms enable legacy browsers to use new JavaScript features. However, many aren't necessary for modern browsers. For your bundled JavaScript, adopt a modern script deployment strategy using module/nomodule feature detection to reduce the amount of code delivered to modern browsers, while retaining support for legacy browsers. [Learn more](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Avoid serving legacy JavaScript to modern browsers"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Image formats like JPEG 2000, JPEG XR and WebP often provide better compression than PNG or JPEG, which means faster downloads and less data consumption. [Learn more](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Serve images in next-gen formats"},
"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Consider lazy loading offscreen and hidden images after all critical resources have finished loading to lower time to interactive. [Learn more](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Defer off-screen images"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Resources are blocking the first paint of your page. Consider delivering critical JS/CSS inline and deferring all non-critical JS/styles. [Learn more](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Eliminate render-blocking resources"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{
message:"Large network payloads cost users real money and are highly correlated with long load times. [Learn more](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Total size was {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Avoid enormous network payloads"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Avoids enormous network payloads"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Minifying CSS files can reduce network payload sizes. [Learn more](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minify CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{
message:"Minifying JavaScript files can reduce payload sizes and script parse time. [Learn more](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minify JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Reduce unused rules from stylesheets and defer CSS not used for above-the-fold content to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduce unused CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reduce unused JavaScript and defer loading scripts until they are required to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduce unused JavaScript"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"A long cache lifetime can speed up repeat visits to your page. [Learn more](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 resource found}other{# resources found}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Serve static assets with an efficient cache policy"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Uses efficient cache policy on static assets"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimised images load faster and consume less mobile data. [Learn more](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Efficiently encode images"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Serve images that are appropriately-sized to save mobile data and improve load time. [Learn more](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Properly size images"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Text-based resources should be served with compression (gzip, deflate or brotli) to minimise total network bytes. [Learn more](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Enable text compression"},"lighthouse-core/audits/content-width.js | description":{message:"If the width of your app's content doesn't match the width of the viewport, your app might not be optimised for mobile screens. [Learn more](https://web.dev/content-width/)."},
"lighthouse-core/audits/content-width.js | explanation":{message:"The viewport size of {innerWidth}px does not match the window size of {outerWidth}px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Content is not sized correctly for the viewport"},"lighthouse-core/audits/content-width.js | title":{message:"Content is sized correctly for the viewport"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"The critical request chains below show you what resources are loaded with a high priority. Consider reducing the length of chains, reducing the download size of resources or deferring the download of unnecessary resources to improve page load. [Learn more](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 chain found}other{# chains found}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Avoid chaining critical requests"},
"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directive"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Severity"},"lighthouse-core/audits/csp-xss.js | description":{message:"A strong Content Security Policy (CSP) significantly reduces the risk of cross-site scripting (XSS) attacks. [Learn more](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntax"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"The page contains a CSP defined in a <meta> tag. Consider defining the CSP in a HTTP header if you can."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"No CSP found in enforcement mode"},"lighthouse-core/audits/csp-xss.js | title":{message:"Ensure CSP is effective against XSS attacks"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Deprecation/Warning"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Line"},
"lighthouse-core/audits/deprecations.js | description":{message:"Deprecated APIs will eventually be removed from the browser. [Learn more](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 warning found}other{# warnings found}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Uses deprecated APIs"},"lighthouse-core/audits/deprecations.js | title":{message:"Avoids deprecated APIs"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application cache is deprecated. [Learn more](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Found '{AppCacheManifest}'"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Uses application cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Avoids application cache"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"A character encoding declaration is required. It can be done with a `<meta>` tag in the first 1,024 bytes of the HTML or in the Content-Type HTTP response header. [Learn more](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Charset declaration is missing or occurs too late in the HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Properly defines charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Specifying a DOCTYPE prevents the browser from switching to quirks mode. [Learn more](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Doctype name must be the lowercase string `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Document must contain a doctype"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Expected publicId to be an empty string"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Expected systemId to be an empty string"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Page lacks the HTML doctype, thus triggering quirks mode"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Page has the HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistic"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Value"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"A large DOM will increase memory usage, cause longer [style calculations](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) and produce costly [layout reflows](https://developers.google.com/speed/articles/reflow). [Learn more](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}other{# elements}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Avoid an excessive DOM size"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximum DOM Depth"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total DOM Elements"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximum Child Elements"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Avoids an excessive DOM size"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Failing anchors"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Add `rel="noopener"` or `rel="noreferrer"` to any external links to improve performance and prevent security vulnerabilities. [Learn more](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Links to cross-origin destinations are unsafe"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Links to cross-origin destinations are safe"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Unable to determine the destination for anchor ({anchorHTML}). If not used as a hyperlink, consider removing target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{
message:"Users are mistrustful of or confused by sites that request their location without context. Consider tying the request to a user action instead. [Learn more](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Requests the geolocation permission on page load"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Avoids requesting the geolocation permission on page load"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Issue type"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Issues logged to the `Issues` panel in Chrome DevTools indicate unresolved problems. They can come from network request failures, insufficient security controls and other browser concerns. Open up the Issues panel in Chrome DevTools for more details on each issue."},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Issues were logged in the `Issues` panel in Chrome DevTools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blocked by cross-origin policy"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Heavy resource usage by ads"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"No issues in the `Issues` panel in Chrome DevTools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Version"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"All front-end JavaScript libraries detected on the page. [Learn more](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Detected JavaScript libraries"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{
message:"For users on slow connections, external scripts dynamically injected via `document.write()` can delay page load by tens of seconds. [Learn more](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Avoid `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Avoids `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Highest Severity"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Library version"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Vulnerability count"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{
message:"Some third-party scripts may contain known security vulnerabilities that are easily identified and exploited by attackers. [Learn more](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 vulnerability detected}other{# vulnerabilities detected}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Includes front-end JavaScript libraries with known security vulnerabilities"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Avoids front-end JavaScript libraries with known security vulnerabilities"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Users are mistrustful of or confused by sites that request to send notifications without context. Consider tying the request to user gestures instead. [Learn more](https://web.dev/notification-on-start/)."},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Requests the notification permission on page load"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Avoids requesting the notification permission on page load"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Preventing password pasting undermines good security policy. [Learn more](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Prevents users to paste into password fields"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Allows users to paste into password fields"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{
message:"HTTP/2 offers many benefits over HTTP/1.1, including binary headers and multiplexing. [Learn more](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 request not served via HTTP/2}other{# requests not served via HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Use HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Consider marking your touch and wheel event listeners as `passive` to improve your page's scroll performance. [Learn more](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Does not use passive listeners to improve scrolling performance"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Uses passive listeners to improve scrolling performance"},
"lighthouse-core/audits/errors-in-console.js | description":{message:"Errors logged to the console indicate unresolved problems. They can come from network request failures and other browser concerns. [Learn more](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Browser errors were logged to the console"},"lighthouse-core/audits/errors-in-console.js | title":{message:"No browser errors logged to the console"},"lighthouse-core/audits/font-display.js | description":{message:"Leverage the font-display CSS feature to ensure text is user-visible while webfonts are loading. [Learn more](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Ensure text remains visible during webfont load"},"lighthouse-core/audits/font-display.js | title":{message:"All text remains visible during webfont loads"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse was unable to automatically check the `font-display` value for the origin {fontOrigin}.}other{Lighthouse was unable to automatically check the `font-display` values for the origin {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Aspect ratio (actual)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Aspect ratio (displayed)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Image display dimensions should match natural aspect ratio. [Learn more](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Displays images with incorrect aspect ratio"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Displays images with correct aspect ratio"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Actual size"},
"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Displayed size"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Expected size"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Image natural dimensions should be proportional to the display size and the pixel ratio to maximise image clarity. [Learn more](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Serves images with low resolution"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Serves images with appropriate resolution"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"The app is already installed"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Could not download a required icon from the manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Reason for failure"},
"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker is the technology that enables your app to use many progressive web app features, such as offline, add to homescreen and push notifications. With proper service worker and manifest implementations, browsers can proactively prompt users to add your app to their homescreen, which can lead to higher engagement. [Learn more](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 reason}other{# reasons}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Web app manifest or service worker do not meet the installability requirements"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"The Play Store app URL and Play Store ID do not match"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Page is loaded in an incognito window"},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Manifest 'display' property must be one of 'standalone', 'fullscreen' or 'minimal-UI'"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifest contains 'display_override' field, and the first supported display mode must be one of 'standalone', 'fullscreen' or 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest could not be fetched, is empty or could not be parsed"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifest URL changed while the manifest was being fetched."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest does not contain a 'name' or 'short_name' field"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:"Manifest does not contain a suitable icon – PNG, SVG or WebP format of at least {value0} px is required, the sizes attribute must be set, and the purpose attribute, if set, must include 'any'."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"No supplied icon is at least {value0} px square in PNG, SVG or WebP format, with the purpose attribute unset or set to 'any'"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Downloaded icon was empty or corrupted"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"No Play Store ID provided"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Page has no manifest <link> URL"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"No matching service worker detected. You may need to reload the page, or check that the scope of the service worker for the current page encloses the scope and start URL from the manifest."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Could not check service worker without a 'start_url' field in the manifest"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Installability error ID '{errorId}' is not recognised"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Page is not served from a secure origin"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Page is not loaded in the main frame"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Page does not work offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"The specified application platform is not supported on Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest specifies prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications is only supported on Chrome Beta and Stable channels on Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Manifest start URL is not valid"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Web app manifest and service worker meet the installability requirements"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"A URL in the manifest contains a username, password or port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"Page does not work offline. The page will not be regarded as installable after Chrome 93, stable release August 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Allowed"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blocked"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Insecure URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Request resolution"},"lighthouse-core/audits/is-on-https.js | description":{
message:"All sites should be protected with HTTPS, even ones that don't handle sensitive data. This includes avoiding [mixed content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), where some resources are loaded over HTTP despite the initial request being served over HTTPS. HTTPS prevents intruders from tampering with or passively listening in on the communications between your app and your users, and is a prerequisite for HTTP/2 and many new web platform APIs. [Learn more](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 insecure request found}other{# insecure requests found}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Does not use HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Uses HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatically upgraded to HTTPS"},
"lighthouse-core/audits/is-on-https.js | warning":{message:"Allowed with warning"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Library"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Large JavaScript libraries can lead to poor performance. Prefer smaller, functionally equivalent libraries to reduce your bundle size. [Learn more](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 large library found}other{# large libraries found}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Replace unnecessarily large JavaScript libraries"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Avoids large JavaScript libraries with smaller alternatives"},
"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"This is the largest contentful element painted within the viewport. [Learn more](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Largest contentful paint element"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS contribution"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"These DOM elements contribute most to the CLS of the page."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Avoid large layout shifts"},"lighthouse-core/audits/long-tasks.js | description":{message:"Lists the longest tasks on the main thread –useful for identifying worst contributors to input delay. [Learn more](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{
message:"{itemCount,plural, =1{# long task found}other{# long tasks found}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Avoid long main-thread tasks"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Category"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimise main-thread work"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimises main-thread work"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"To reach the most users, sites should work across every major browser. [Learn more](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{
message:"Site works cross-browser"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Ensure individual pages are deep linkable via URL and that URLs are unique for the purpose of shareability on social media. [Learn more](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Each page has a URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Transitions should feel snappy as you tap around, even on a slow network. This experience is key to a user's perception of performance. [Learn more](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Page transitions don't feel like they block on the network"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"A maskable icon ensures that the image fills the entire shape without being letterboxed when installing the app on a device. [Learn more](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest doesn't have a maskable icon"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest has a maskable icon"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Cumulative layout shift measures the movement of visible elements within the viewport. [Learn more](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"First contentful paint marks the time at which the first text or image is painted. [Learn more](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{
message:"First meaningful paint measures when the primary content of a page is visible. [Learn more](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Time to interactive is the amount of time it takes for the page to become fully interactive. [Learn more](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Largest contentful paint marks the time at which the largest text or image is painted. [Learn more](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"The maximum potential first input delay that your users could experience is the duration of the longest task. [Learn more](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{
message:"Speed Index shows how quickly the contents of a page are visibly populated. [Learn more](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Sum of all time periods between FCP and Time to Interactive, when task length exceeded 50ms, expressed in milliseconds. [Learn more](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Network round trip times (RTT) have a large impact on performance. If the RTT to an origin is high, it's an indication that servers closer to the user could improve performance. [Learn more](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Network Return Times"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Server latencies can impact web performance. If the server latency of an origin is high, it's an indication that the server is overloaded or has poor back-end performance. [Learn more](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Server Back-end Latencies"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"The `unload` event does not fire reliably and listening for it can prevent browser optimisations like the back-forward cache. Consider using the `pagehide` or `visibilitychange` events instead. [Learn more](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registers an `unload` listener"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Avoids `unload` event listeners"},
"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animations which are not composited can be poor, slow and increase CLS. [Learn more](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animated element found}other{# animated elements found}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Filter-related property may move pixels"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Target has another animation which is incompatible"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Effect has composite mode other than 'replace'"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Avoid non-composited animations"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{
message:"Transform-related property depends on box size"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Unsupported CSS property: {properties}}other{Unsupported CSS properties: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effect has unsupported timing parameters"},"lighthouse-core/audits/performance-budget.js | description":{message:"Keep the quantity and size of network requests under the targets set by the provided performance budget. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 request}other{# requests}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Performance budget"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Preload `optional` fonts so that first-time visitors may use them. [Learn more](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fonts with `font-display: optional` are not preloaded"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Fonts with `font-display: optional` are preloaded"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Preload the image used by the LCP element in order to improve your LCP time. [Learn more](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Preload largest contentful paint image"},"lighthouse-core/audits/redirects-http.js | description":{message:"If you've already set up HTTPS, make sure that you redirect all HTTP traffic to HTTPS in order to enable secure web features for all your users. [Learn more](https://web.dev/redirects-http/)."},
"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Does not redirect HTTP traffic to HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redirects HTTP traffic to HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Redirects introduce additional delays before the page can be loaded. [Learn more](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Avoid multiple page redirects"},"lighthouse-core/audits/resource-summary.js | description":{message:"To set budgets for the quantity and size of page resources, add a budget.json file. [Learn more](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 request • {byteCount, number, bytes} KiB}other{# requests • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Keep request counts low and transfer sizes small"},
"lighthouse-core/audits/seo/canonical.js | description":{message:"Canonical links suggest which URL to show in search results. [Learn more](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Multiple conflicting URLs ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Points to a different domain ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Invalid URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Points to another `hreflang` location ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relative URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Points to the domain's root URL (the home page), instead of an equivalent page of content"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{
message:"Document does not have a valid `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Document has a valid `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Uncrawlable link"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Search engines may use `href` attributes on links to crawl websites. Ensure that the `href` attribute of anchor elements links to an appropriate destination, so that more pages of the site can be discovered. [Learn more](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Links are not crawlable"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Links are crawlable"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Add'l illegible text"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Font size"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% of page text"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Font sizes less than 12px are too small to be legible and require mobile visitors to 'pinch to zoom' in order to read. Strive to have >60% of page text ≥12px. [Learn more](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} legible text"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Text is illegible because there's no viewport meta tag optimised for mobile screens."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Document doesn't use legible font sizes"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Legible text"},"lighthouse-core/audits/seo/font-size.js | title":{
message:"Document uses legible font sizes"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang links tell search engines what version of a page they should list in search results for a given language or region. [Learn more](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Document doesn't have a valid `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relative href value"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Document has a valid `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Unexpected language code"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Pages with unsuccessful HTTP status codes may not be indexed properly. [Learn more](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Page has unsuccessful HTTP status code"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Page has successful HTTP status code"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Search engines are unable to include your pages in search results if they don't have permission to crawl them. [Learn more](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Page is blocked from indexing"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Page isn’t blocked from indexing"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Descriptive link text helps search engines understand your content. [Learn more](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link found}other{# links found}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Links do not have descriptive text"},"lighthouse-core/audits/seo/link-text.js | title":{
message:"Links have descriptive text"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Run the [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) and the [Structured Data Linter](http://linter.structured-data.org/) to validate structured data. [Learn more](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Structured data is valid"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Meta descriptions may be included in search results to concisely summarise page content. [Learn more](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Description text is empty."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Document does not have a meta description"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Document has a meta description"},
"lighthouse-core/audits/seo/plugins.js | description":{message:"Search engines can't index plug-in content, and many devices restrict plug-ins or don't support them. [Learn more](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Document uses plugins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Document avoids plugins"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"If your robots.txt file is malformed, crawlers may not be able to understand how you want your website to be crawled or indexed. [Learn more](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Request for robots.txt returned HTTP status: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 error found}other{# errors found}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{
message:"Lighthouse was unable to download a robots.txt file"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt is not valid"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt is valid"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interactive elements such as buttons and links should be large enough (48 x 48px) and have enough space around them to be easy enough to tap without overlapping onto other elements. [Learn more](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} appropriately sized tap targets"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Tap targets are too small because there's no viewport meta tag optimised for mobile screens"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Tap targets are not sized appropriately"},
"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Overlapping target"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Tap target"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Tap targets are sized appropriately"},"lighthouse-core/audits/server-response-time.js | description":{message:"Keep the server response time for the main document short because all other requests depend on it. [Learn more](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Root document took {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reduce initial server response time"},"lighthouse-core/audits/server-response-time.js | title":{message:"Initial server response time was short"},"lighthouse-core/audits/service-worker.js | description":{
message:"The service worker is the technology that enables your app to use many progressive web app features, such as offline, add to home screen and push notifications. [Learn more](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"This page is controlled by a service worker, however no `start_url` was found because manifest failed to parse as valid JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"This page is controlled by a service worker, however the `start_url` ({startUrl}) is not in the service worker's scope ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"This page is controlled by a service worker, however no `start_url` was found because no manifest was fetched."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"This origin has one or more service workers, however the page ({pageUrl}) is not in scope."},
"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Does not register a service worker that controls page and `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registers a service worker that controls page and `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"A themed splash screen ensures a high-quality experience when users launch your app from their home screens. [Learn more](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Is not configured for a custom splash screen"},"lighthouse-core/audits/splash-screen.js | title":{message:"Configured for a custom splash screen"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"The browser address bar can be themed to match your site. [Learn more](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Does not set a theme colour for the address bar."},
"lighthouse-core/audits/themed-omnibox.js | title":{message:"Sets a theme colour for the address bar."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Customer success)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Product"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Some third-party embeds can be lazy loaded. Consider replacing them with a facade until they are required. [Learn more](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# facade alternative available}other{# facade alternatives available}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Some third-party resources can be lazy loaded with a facade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Lazy load third-party resources with facades"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Third-party"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Third-party code can significantly impact load performance. Limit the number of redundant third-party providers and try to load third-party code after your page has primarily finished loading. [Learn more](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Third-party code blocked the main thread for {timeInMs, number, milliseconds} ms"
},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduce the impact of third-party code"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimise third-party usage"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Measurement"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metric"},"lighthouse-core/audits/timing-budget.js | description":{message:"Set a timing budget to help you keep an eye on the performance of your site. Performant sites load fast and respond to user input events quickly. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Timing budget"},"lighthouse-core/audits/unsized-images.js | description":{message:"Set an explicit width and height on image elements to reduce layout shifts and improve CLS. [Learn more](https://web.dev/optimize-cls/#images-without-dimensions)"},
"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Image elements do not have explicit `width` and `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Image elements have explicit `width` and `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Type"},"lighthouse-core/audits/user-timings.js | description":{message:"Consider instrumenting your app with the User Timing API to measure your app's real-world performance during key user experiences. [Learn more](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 user timing}other{# user timings}}"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing marks and measures"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{
message:"A `<link rel=preconnect>` was found for '{securityOrigin}' but was not used by the browser. Check that you are using the `crossorigin` attribute properly."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Consider adding `preconnect` or `dns-prefetch` resource hints to establish early connections to important third-party origins. [Learn more](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Pre-connect to required origins"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"More than two `<link rel=preconnect>` connections were found. These should be used sparingly and only to the most important origins."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"A `<link rel=preconnect>` was found for '{securityOrigin}' but was not used by the browser. Only use `preconnect` for important origins that the page will certainly request."},
"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"A preload `<link>` was found for '{preloadURL}' but was not used by the browser. Check that you are using the `crossorigin` attribute properly."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Consider using `<link rel=preload>` to prioritise fetching resources that are currently requested later in page load. [Learn more](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Pre-load key requests"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Map URL"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Source maps translate minified code to the original source code. This helps developers to debug in production. In addition, Lighthouse is able to provide further insights. Consider deploying source maps to take advantage of these benefits. [Learn more](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Missing source maps for large first-party JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Large JavaScript file is missing a source map"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Warning: missing 1 item in `.sourcesContent`}other{Warning: missing # items in `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Page has valid source maps"},"lighthouse-core/audits/viewport.js | description":{
message:'Add a `<meta name="viewport">` tag to optimise your app for mobile screens. [Learn more](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'No `<meta name="viewport">` tag found'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Does not have a `<meta name="viewport">` tag with `width` or `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Has a `<meta name="viewport">` tag with `width` or `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"These are opportunities to improve the usage of ARIA in your application which may enhance the experience for users of assistive technology, such as a screen reader."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"These are opportunities to provide alternative content for audio and video. This may improve the experience for users with hearing or vision impairments."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio and video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"These items highlight common accessibility best practices."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Best practices"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"These checks highlight opportunities to [improve the accessibility of your web app](https://developers.google.com/web/fundamentals/accessibility). Only a subset of accessibility issues can be automatically detected so manual testing is also encouraged."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"These items address areas which an automated testing tool cannot cover. Learn more in our guide on [conducting an accessibility review](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accessibility"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"These are opportunities to improve the legibility of your content."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"These are opportunities to improve the interpretation of your content by users in different locales."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internationalisation and localisation"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"These are opportunities to improve the semantics of the controls in your application. This may enhance the experience for users of assistive technology, such as a screen reader."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Names and labels"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"These are opportunities to improve keyboard navigation in your application."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigation"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"These are opportunities to improve the experience of reading tabular or list data using assistive technology, like a screen reader."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tables and lists"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Browser compatibility"},
"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Best Practices"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"General"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Trust and safety"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"User experience"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Performance budgets set standards for the performance of your site."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budgets"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"More information about the performance of your application. These numbers don't [directly affect](https://web.dev/performance-scoring/) the performance score."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostics"},
"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"The most critical aspect of performance is how quickly pixels are rendered onscreen. Key metrics: First Contentful Paint, First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"First Paint Improvements"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"These suggestions can help your page load faster. They don't [directly affect](https://web.dev/performance-scoring/) the performance score."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Opportunities"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrics"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"Enhance the overall loading experience, so the page is responsive and ready to use as soon as possible. Key metrics: Time to Interactive, Speed Index"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Overall Improvements"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performance"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"These checks validate the aspects of a progressive web app. [Learn more](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"These checks are required by the baseline [PWA checklist](https://developers.google.com/web/progressive-web-apps/checklist) but are not automatically checked by Lighthouse. They do not affect your score but it's important that you verify them manually."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{
message:"progressive web app"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Installable"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA Optimised"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"These checks ensure that your page is optimised for search engine results ranking. There are additional factors that Lighthouse does not check that may affect your search ranking. [Learn more](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Run these additional validators on your site to check additional SEO best practices."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Format your HTML in a way that enables crawlers to better understand your app’s content."},
"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Content Best Practices"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"To appear in search results, crawlers need access to your app."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Crawling and Indexing"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Make sure that your pages are mobile friendly so users don’t have to pinch or zoom in order to read the content pages. [Learn more](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobile friendly"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"The tested device appears to have a slower CPU than Lighthouse expects. This can negatively affect your performance score. Learn more about [calibrating an appropriate CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"The page may not be loading as expected because your test URL ({requested}) was redirected to {final}. Try testing the second URL directly."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"The page loaded too slowly to finish within the time limit. Results may be incomplete."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{There may be stored data affecting loading performance in this location: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}other{There may be stored data affecting loading performance in these locations: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Consider adding https: and http: URL schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener is deprecated since CSP3. Please use the Cross-Origin-Opener-Policy header instead."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer is deprecated since CSP2. Please use the Referrer-Policy header instead."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss is deprecated since CSP2. Please use the X-XSS-Protection header instead."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Missing base-uri allows injected <base> tags to set the base URL for all relative URLs (e.g. scripts) to an attacker-controlled domain. Consider setting base-uri to 'none' or 'self'."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elements controlled by object-src are considered legacy features. Consider setting object-src to 'none' to prevent the injection of plug-ins that execute unsafe scripts."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src directive is missing. This can allow the execution of unsafe scripts."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Did you forget the semicolon? {keyword} seems to be a directive, not a keyword."},
"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces should use the base64 charset."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces should be at least eight characters long."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"The reporting destination is only configured via the report-to directive. This directive is only supported in Chromium-based browsers so the use of a report-uri directive is also recommended."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"No CSP configures a reporting destination. This makes it difficult to maintain the CSP over time and monitor for any breakages."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Unknown CSP directive."},
"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} seems to be an invalid keyword."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers. Consider using CSP nonces or hashes to allow scripts individually."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Main-thread blocking time"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Description"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duration"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Failing elements"
},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Location"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Name"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Over budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Requests"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Resource size"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Resource type"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Size"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Source"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Start Time"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Time Spent"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Transfer size"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potential savings"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potential Savings"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potential savings of {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 element found}other{# elements found}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potential savings of {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Document"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Image"},
"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"High"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Low"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Medium"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Max potential first input delay"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Other"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Other resources"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},
"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stylesheet"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Third-party"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Something went wrong with recording the trace over your page load. Please run Lighthouse again. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Timeout waiting for initial Debugger Protocol connection."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome didn't collect any screenshots during the page load. Please make sure that there is content visible on the page, and then try re-running Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{
message:"DNS servers could not resolve the provided domain."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Required {artifactName} gatherer encountered an error: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"An internal Chrome error occurred. Please restart Chrome and try re-running Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Required {artifactName} gatherer did not run."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"The page did not paint any content. Please ensure that you keep the browser window in the foreground during the load and try again. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"The page provided is not HTML (served as MIME type {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"This version of Chrome is too old to support '{featureName}'. Use a newer version to see full results."},
"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse was unable to reliably load the page that you requested. Make sure that you are testing the correct URL and that the server is properly responding to all requests."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse was unable to reliably load the URL that you requested because the page stopped responding."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"The URL you have provided does not have a valid security certificate. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome prevented page load with an interstitial. Make sure that you are testing the correct URL and that the server is properly responding to all requests."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"Lighthouse was unable to reliably load the page that you requested. Make sure that you are testing the correct URL and that the server is properly responding to all requests. (Details: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse was unable to reliably load the page that you requested. Make sure that you are testing the correct URL and that the server is properly responding to all requests. (Status code: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Your page took too long to load. Please follow the opportunities in the report to reduce your page load time, and then try re-running Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Waiting for DevTools protocol response has exceeded the allotted time. (Method: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{
message:"Fetching resource content has exceeded the allotted time"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"The URL that you have provided appears to be invalid."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"All"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"All scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Coverage"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplicate modules"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Resource bytes"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Name"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Toggle table"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Unused bytes"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"For animated content, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) to minimise CPU usage when the content is offscreen."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Consider displaying all [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) components in WebP formats while specifying an appropriate fallback for other browsers. [Learn more](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Ensure that you are using [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for images to automatically lazy load. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Use tools such as [AMP Optimiser](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) to [server-side render AMP layouts](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Refer to the [AMP documentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) to ensure that all styles are supported."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"The [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) component supports the [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribute to specify which image assets to use based on the screen size. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Consider virtual scrolling with the Component Dev Kit (CDK) if very large lists are being rendered. [Learn more](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Apply [route-level code splitting](https://web.dev/route-level-code-splitting-in-angular/) to minimise the size of your JavaScript bundles. Also, consider precaching assets with the [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"If you are using Angular CLI, ensure that builds are generated in production mode. [Learn more](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"If you are using Angular CLI, include source maps in your production build to inspect your bundles. [Learn more](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Preload routes ahead of time to speed up navigation. [Learn more](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Consider using the `BreakpointObserver` utility in the Component Dev Kit (CDK) to manage image breakpoints. [Learn more](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Specify `@font-display` when defining custom fonts in your theme."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Consider installing and configuring [a module to leverage WebP image formats](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) in your site. Such modules automatically generate a WebP version of your uploaded images to optimise loading times."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Install [a Drupal module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) that can lazy load images. Such modules provide the ability to defer any offscreen images to improve performance."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Consider using a module to inline critical CSS and JavaScript, or potentially load assets asynchronously via JavaScript such as the [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) module. Beware that optimisations provided by this module may break your site, so you will likely need to make code changes."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Themes, modules and server specifications all contribute to server response time. Consider finding a more optimised theme, carefully selecting an optimisation module and/or upgrading your server. Your hosting servers should make use of PHP opcode caching, memory-caching to reduce database query times such as Redis or Memcached, as well as optimised application logic to prepare pages faster."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Consider using [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) to reduce the size of images loaded on your page. If you are using Views to show multiple content items on a page, consider implementing pagination to limit the number of content items shown on a given page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Ensure you have enabled 'Aggregate CSS files' in the 'Administration » Configuration » Development' page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying and compressing your CSS styles."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:"Ensure that you have enabled 'Aggregate JavaScript files' in the 'Administration » Configuration » Development' page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying and compressing your JavaScript assets."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Consider removing unused CSS rules and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the stylesheet when CSS aggregation is disabled in your Drupal site. Look out for themes/modules that have many stylesheets in the list which have a lot of red in code coverage. A theme/module should only enqueue a stylesheet if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Consider removing unused JavaScript assets and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous JavaScript, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the script when JavaScript aggregation is disabled in your Drupal site. Look out for themes/modules that have many scripts in the list which have a lot of red in code coverage. A theme/module should only enqueue a script if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Set the 'Browser and proxy cache maximum age' in the 'Administration » Configuration » Development' page. Read about [Drupal cache and optimising for performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Consider using [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) that automatically optimises and reduces the size of images uploaded through the site while retaining quality. Also, ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above) for all images rendered on the site."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Preconnect or dns-prefetch resource hints can be added by installing and configuring [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) that provides facilities for user agent resource hints."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above). Use the Responsive Image Styles when rendering image fields through view modes, views or images uploaded through the WYSIWYG editor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Consider using a [plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) or service that will automatically convert your uploaded images to the optimal formats."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Install a [lazy-load Joomla plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) that provides the ability to defer any offscreen images, or switch to a template that provides that functionality. Starting with Joomla 4.0, all new images will [automatically](https://github.com/joomla/joomla-cms/pull/30748) get the `loading` attribute from the core."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"There are a number of Joomla plug-ins that can help you [inline critical assets](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) or [defer less important resources](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Beware that optimisations provided by these plug-ins may break features of your templates or plug-ins, so you will need to test these thoroughly."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Templates, extensions and server specifications all contribute to server response time. Consider finding a more optimised template, carefully selecting an optimisation extension and/or upgrading your server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Consider showing excerpts in your article categories (e.g. via the read more link), reducing the number of articles shown on a given page, breaking your long posts into multiple pages or using a plug-in to lazy-load comments."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying and compressing your css styles. There are also templates that provide this functionality."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying and compressing your scripts. There are also templates that provide this functionality."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused CSS in your page. To identify extensions that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plug-in responsible from the URL of the stylesheet. Look out for plug-ins that have many stylesheets in the list which have a lot of red in code coverage. A plug-in should only enqueue a stylesheet if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused JavaScript in your page. To identify plug-ins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the extension responsible from the URL of the script. Look out for extensions that have many scripts in the list which have a lot of red in code coverage. An extension should only enqueue a script if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Read about [browser caching in Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Consider using an [image optimisation plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) that compresses your images while retaining quality."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Consider using a [responsive images plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) to use responsive images in your content."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"You can enable text compression by enabling Gzip Page Compression in Joomla (System > Global configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"If you are not bundling your JavaScript assets, consider using [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Disable Magento's built-in [JavaScript bundling and minification](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), and consider using [baler](https://github.com/magento/baler/) instead."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Specify `@font-display` when [defining custom fonts](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) for a variety of third-party extensions to leverage newer image formats."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Consider modifying your product and catalogue templates to make use of the web platform's [lazy loading](https://web.dev/native-lazy-loading) feature."},
"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Use Magento's [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Enable the 'Minify CSS Files' option in your store's Developer settings. [Learn more](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Use [Terser](https://www.npmjs.com/package/terser) to minify all JavaScript assets from static content deployment and disable the built-in minification feature."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"Disable Magento's built-in [JavaScript bundling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) for a variety of third-party extensions to optimise images."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Preconnect or dns-prefetch resource hints can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` tags can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Replace animated GIFs with video](https://web.dev/replace-gifs-with-videos/) for faster web page loads, and consider using modern file formats, such as [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) or [AV1,](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) to improve compression efficiency by greater than 30% over the current state-of-the-art video codec, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Consider using a [plug-in](https://octobercms.com/plugins?search=image) or service that will automatically convert the uploaded images to the optimal formats. [WebP lossless images](https://developers.google.com/speed/webp) are 26% smaller in size compared to PNGs, and 25–34% smaller than comparable JPEG images at the equivalent SSIM quality index. Another next-gen image format to consider is [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Consider installing an [image lazy-loading plug-in](https://octobercms.com/plugins?search=lazy) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plug-in](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"There are many plug-ins that help [inline critical assets](https://octobercms.com/plugins?search=css). These plug-ins may break other plug-ins, so you should test thoroughly."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Themes, plug-ins and server specifications all contribute to the server response time. Consider finding a more optimised theme, carefully selecting an optimisation plug-in and/or upgrading your server. October CMS also allows developers to use [`Queues`](https://octobercms.com/docs/services/queues) to defer the processing of a time consuming task, such as sending an email. This drastically speeds up web requests."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Consider showing excerpts in the post lists (e.g. using a `show more` button), reducing the number of posts shown on a given web page, breaking long posts into multiple web pages or using a plug-in to lazy-load comments."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"There are many [plug-ins](https://octobercms.com/plugins?search=css) that can speed up a website by concatenating, minifying and compressing the styles. Using a build process to do this minification upfront can speed up development."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"There are many [plug-ins](https://octobercms.com/plugins?search=javascript) that can speed up a website by concatenating, minifying and compressing the scripts. Using a build process to do this minification upfront can speed up development."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Consider reviewing the [plug-ins](https://octobercms.com/plugins) loading unused CSS on the website. To identify plug-ins that add unnecessary CSS, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plug-in responsible from the stylesheet URL. Look for plug-ins with many stylesheets that have a lot of red in code coverage. A plug-in should only add a stylesheet if it is actually used on the web page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Consider reviewing the [plug-ins](https://octobercms.com/plugins?search=javascript) that load unused JavaScript in the web page. To identify plug-ins that add unnecessary JavaScript, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plug-in responsible from the URL of the script. Look for plug-ins that have many scripts with a lot of red in code coverage. A plug-in should only add a script if it is actually used on the web page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Read about [preventing unnecessary network requests with the HTTP cache](https://web.dev/http-cache/#caching-checklist). There are many [plug-ins](https://octobercms.com/plugins?search=Caching) that can be used to speed up caching."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{
message:"Consider using an [image optimisation plug-in](https://octobercms.com/plugins?search=image) that compresses images while retaining the quality."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Upload images directly in the media manager to ensure that the required image sizes are available. Consider using the [resize filter](https://octobercms.com/docs/markup/filter-resize) or an [image resizing plug-in](https://octobercms.com/plugins?search=image) to ensure that the optimal image sizes are used."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Enable text compression in the web server configuration."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Consider using a 'windowing' library, like `react-window`, to minimise the number of DOM nodes created if you are rendering many repeated elements on the page. [Learn more](https://web.dev/virtualize-long-lists-react-window/). Also, minimise unnecessary re-renders using [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) or [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) and [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) only until certain dependencies have changed if you are using the `Effect` hook to improve runtime performance."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"If you are using React Router, minimise usage of the `<Redirect>` component for [route navigations](https://reacttraining.com/react-router/web/api/Redirect)."},
"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"If you are server-side rendering any React components, consider using `renderToNodeStream()` or `renderToStaticNodeStream()` to allow the client to receive and hydrate different parts of the markup instead of all at once. [Learn more](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"If your build system minifies CSS files automatically, ensure that you are deploying the production build of your application. You can check this with the React developer tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"If your build system minifies JS files automatically, ensure that you are deploying the production build of your application. You can check this with the React developer tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"If you are not server-side rendering, [split your JavaScript bundles](https://web.dev/code-splitting-suspense/) with `React.lazy()`. Otherwise, code-split using a third-party library such as [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Use the React DevTools Profiler, which makes use of the Profiler API, to measure the rendering performance of your components. [Learn more.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Consider using a [plug-in](https://wordpress.org/plugins/search/convert+webp/) or service that will automatically convert your uploaded images to the optimal formats."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Install a [lazy load WordPress plug-in](https://wordpress.org/plugins/search/lazy+load/) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plug-in](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"There are a number of WordPress plug-ins that can help you [inline critical assets](https://wordpress.org/plugins/search/critical+css/) or [defer less important resources](https://wordpress.org/plugins/search/defer+css+javascript/). Beware that optimisations provided by these plug-ins may break features of your theme or plug-ins, so you will likely need to make code changes."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Themes, plug-ins and server specifications all contribute to server response time. Consider finding a more optimised theme, carefully selecting an optimisation plug-in, and/or upgrading your server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Consider showing excerpts in your post lists (e.g. via the more tag), reducing the number of posts shown on a given page, breaking your long posts into multiple pages, or using a plug-in to lazy-load comments."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"A number of [WordPress plug-ins](https://wordpress.org/plugins/search/minify+css/) can speed up your site by concatenating, minifying and compressing your styles. You may also want to use a build process to do this minification up-front if possible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"A number of [WordPress plug-ins](https://wordpress.org/plugins/search/minify+javascript/) can speed up your site by concatenating, minifying and compressing your scripts. You may also want to use a build process to do this minification up front if possible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Consider reducing, or switching, the number of [WordPress plug-ins](https://wordpress.org/plugins/) loading unused CSS in your page. To identify plug-ins that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plug-in responsible from the URL of the stylesheet. Look out for plug-ins that have many stylesheets in the list which have a lot of red in code coverage. A plug-in should only enqueue a stylesheet if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Consider reducing, or switching, the number of [WordPress plug-ins](https://wordpress.org/plugins/) loading unused JavaScript in your page. To identify plug-ins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plug-in responsible from the URL of the script. Look out for plug-ins that have many scripts in the list which have a lot of red in code coverage. A plug-in should only enqueue a script if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Read about [browser caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Consider using an [image optimisation WordPress plug-in](https://wordpress.org/plugins/search/optimize+images/) that compresses your images while retaining quality."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Upload images directly through the [media library](https://wordpress.org/support/article/media-library-screen/) to ensure that the required image sizes are available, and then insert them from the media library or use the image widget to ensure that the optimal image sizes are used (including those for the responsive breakpoints). Avoid using `Full Size` images unless the dimensions are adequate for their usage. [Learn more](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"You can enable text compression in your web server configuration."},"report/renderer/util.js | calculatorLink":{
message:"See calculator."},"report/renderer/util.js | crcInitialNavigation":{message:"Initial Navigation"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maximum critical path latency:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copy JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Toggle Dark theme"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Print expanded"},"report/renderer/util.js | dropdownPrintSummary":{message:"Print summary"},"report/renderer/util.js | dropdownSaveGist":{message:"Save as gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Save as HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Save as JSON"},"report/renderer/util.js | dropdownViewer":{message:"Open in Viewer"},"report/renderer/util.js | errorLabel":{message:"Error!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Report error: no audit information"},"report/renderer/util.js | footerIssue":{message:"File an issue"},
"report/renderer/util.js | labDataTitle":{message:"Lab Data"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analysis of the current page on an emulated mobile network. Values are estimated and may vary."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Additional items to manually check"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Not applicable"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Opportunity"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Estimated Savings"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Passed audits"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulated desktop"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulated Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"No emulation"},
"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe version"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/Memory power"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU throttling"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Channel"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Device"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Fetch time"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Network throttling"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Runtime settings"},"report/renderer/util.js | runtimeSettingsUA":{message:"User agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User agent (network)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Unknown"},"report/renderer/util.js | showRelevantAudits":{message:"Show audits relevant to:"
},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Collapse snippet"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Expand snippet"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Show 3rd-party resources"},"report/renderer/util.js | throttlingProvided":{message:"Provided by environment"},"report/renderer/util.js | toplevelWarningsMessage":{message:"There were issues affecting this run of Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Values are estimated and may vary. The [performance score is calculated](https://web.dev/performance-scoring/) directly from these metrics."},"report/renderer/util.js | viewTreemapLabel":{message:"View Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Passed audits but with warnings"},"report/renderer/util.js | warningHeader":{message:"Warnings: "}}},{}],108:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{
message:"Access keys let users quickly focus a part of the page. For proper navigation, each access key must be unique. [Learn more](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` values are not unique"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` values are unique"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Each ARIA `role` supports a specific subset of `aria-*` attributes. Mismatching these invalidates the `aria-*` attributes. [Learn more](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` attributes do not match their roles"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` attributes match their roles"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{
message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link`, and `menuitem` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link`, and `menuitem` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Assistive technologies, like screen readers, work inconsistently when `aria-hidden="true"` is set on the document `<body>`. [Learn more](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` is present on the document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{
message:'`[aria-hidden="true"]` is not present on the document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Focusable descendents within an `[aria-hidden="true"]` element prevent those interactive elements from being available to users of assistive technologies like screen readers. [Learn more](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` elements contain focusable descendents'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` elements do not contain focusable descendents'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"When an input field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA input fields do not have accessible names"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA input fields have accessible names"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"When a `progressbar` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Some ARIA roles have required attributes that describe the state of the element to screen readers. [Learn more](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`s do not have all required `[aria-*]` attributes"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{
message:"`[role]`s have all required `[aria-*]` attributes"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Some ARIA parent roles must contain specific child roles to perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` are missing some or all of those required children."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` have all required children."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Some ARIA child roles must be contained by specific parent roles to properly perform their intended accessibility functions. [Learn more](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`s are not contained by their required parent element"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`s are contained by their required parent element"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA roles must have valid values in order to perform their intended accessibility functions. [Learn more](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` values are not valid"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` values are valid"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"When a toggle field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA toggle fields do not have accessible names"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA toggle fields have accessible names"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{
message:"ARIA `tooltip` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` elements do not have accessible names."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` elements have accessible names"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid values. [Learn more](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` attributes do not have valid values"},
"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` attributes have valid values"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid names. [Learn more](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` attributes are not valid or misspelled"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` attributes are valid and not misspelled"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Failing Elements"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'When a button doesn\'t have an accessible name, screen readers announce it as "button", making it unusable for users who rely on screen readers. [Learn more](https://web.dev/button-name/).'},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Buttons do not have an accessible name"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Buttons have an accessible name"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Adding ways to bypass repetitive content lets keyboard users navigate the page more efficiently. [Learn more](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"The page does not contain a heading, skip link, or landmark region"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"The page contains a heading, skip link, or landmark region"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Low-contrast text is difficult or impossible for many users to read. [Learn more](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{
message:"Background and foreground colors do not have a sufficient contrast ratio."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Background and foreground colors have a sufficient contrast ratio"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"When definition lists are not properly marked up, screen readers may produce confusing or inaccurate output. [Learn more](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`'s do not contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`'s contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Definition list items (`<dt>` and `<dd>`) must be wrapped in a parent `<dl>` element to ensure that screen readers can properly announce them. [Learn more](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Definition list items are not wrapped in `<dl>` elements"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Definition list items are wrapped in `<dl>` elements"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"The title gives screen reader users an overview of the page, and search engine users rely on it heavily to determine if a page is relevant to their search. [Learn more](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Document doesn't have a `<title>` element"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Document has a `<title>` element"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"All focusable elements must have a unique `id` to ensure that they're visible to assistive technologies. [Learn more](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` attributes on active, focusable elements are not unique"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` attributes on active, focusable elements are unique"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"The value of an ARIA ID must be unique to prevent other instances from being overlooked by assistive technologies. [Learn more](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA IDs are not unique"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA IDs are unique"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Form fields with multiple labels can be confusingly announced by assistive technologies like screen readers which use either the first, the last, or all of the labels. [Learn more](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Form fields have multiple labels"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"No form fields have multiple labels"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Screen reader users rely on frame titles to describe the contents of frames. [Learn more](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` or `<iframe>` elements do not have a title"},"lighthouse-core/audits/accessibility/frame-title.js | title":{
message:"`<frame>` or `<iframe>` elements have a title"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Properly ordered headings that do not skip levels convey the semantic structure of the page, making it easier to navigate and understand when using assistive technologies. [Learn more](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Heading elements are not in a sequentially-descending order"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Heading elements appear in a sequentially-descending order"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"If a page doesn't specify a lang attribute, a screen reader assumes that the page is in the default language that the user chose when setting up the screen reader. If the page isn't actually in the default language, then the screen reader might not announce the page's text correctly. [Learn more](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` element does not have a `[lang]` attribute"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` element has a `[lang]` attribute"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) helps screen readers announce text properly. [Learn more](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"`<html>` element does not have a valid value for its `[lang]` attribute."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` element has a valid value for its `[lang]` attribute"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informative elements should aim for short, descriptive alternate text. Decorative elements can be ignored with an empty alt attribute. [Learn more](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Image elements do not have `[alt]` attributes"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Image elements have `[alt]` attributes"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"When an image is being used as an `<input>` button, providing alternative text can help screen reader users understand the purpose of the button. [Learn more](https://web.dev/input-image-alt/)."},
"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` elements do not have `[alt]` text'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` elements have `[alt]` text'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Labels ensure that form controls are announced properly by assistive technologies, like screen readers. [Learn more](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Form elements do not have associated labels"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Form elements have associated labels"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Link text (and alternate text for images, when used as links) that is discernible, unique, and focusable improves the navigation experience for screen reader users. [Learn more](https://web.dev/link-name/)."},
"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Links do not have a discernible name"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Links have a discernible name"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Screen readers have a specific way of announcing lists. Ensuring proper list structure aids screen reader output. [Learn more](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Lists do not contain only `<li>` elements and script supporting elements (`<script>` and `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Lists contain only `<li>` elements and script supporting elements (`<script>` and `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Screen readers require list items (`<li>`) to be contained within a parent `<ul>` or `<ol>` to be announced properly. [Learn more](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"List items (`<li>`) are not contained within `<ul>` or `<ol>` parent elements."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"List items (`<li>`) are contained within `<ul>` or `<ol>` parent elements"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Users do not expect a page to refresh automatically, and doing so will move focus back to the top of the page. This may create a frustrating or confusing experience. [Learn more](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'The document uses `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{
message:'The document does not use `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Disabling zooming is problematic for users with low vision who rely on screen magnification to properly see the contents of a web page. [Learn more](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` is used in the `<meta name="viewport">` element or the `[maximum-scale]` attribute is less than 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` is not used in the `<meta name="viewport">` element and the `[maximum-scale]` attribute is not less than 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Screen readers cannot translate non-text content. Adding alt text to `<object>` elements helps screen readers convey meaning to users. [Learn more](https://web.dev/object-alt/)."},
"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` elements do not have `[alt]` text"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` elements have `[alt]` text"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"A value greater than 0 implies an explicit navigation ordering. Although technically valid, this often creates frustrating experiences for users who rely on assistive technologies. [Learn more](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Some elements have a `[tabindex]` value greater than 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"No element has a `[tabindex]` value greater than 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Screen readers have features to make navigating tables easier. Ensuring `<td>` cells using the `[headers]` attribute only refer to other cells in the same table may improve the experience for screen reader users. [Learn more](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Cells in a `<table>` element that use the `[headers]` attribute refer to an element `id` not found within the same table."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Cells in a `<table>` element that use the `[headers]` attribute refer to table cells within the same table."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Screen readers have features to make navigating tables easier. Ensuring table headers always refer to some set of cells may improve the experience for screen reader users. [Learn more](https://web.dev/th-has-data-cells/)."},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` do not have data cells they describe.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` have data cells they describe.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) on elements helps ensure that text is pronounced correctly by a screen reader. [Learn more](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` attributes do not have a valid value"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` attributes have a valid value"},
"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"When a video provides a caption it is easier for deaf and hearing impaired users to access its information. [Learn more](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` elements do not contain a `<track>` element with `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` elements contain a `<track>` element with `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"For ideal appearance on iOS when users add a progressive web app to the home screen, define an `apple-touch-icon`. It must point to a non-transparent 192px (or 180px) square PNG. [Learn More](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Does not provide a valid `apple-touch-icon`"},
"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` is out of date; `apple-touch-icon` is preferred."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Provides a valid `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Current Value"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Suggested Token"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` helps users submit forms quicker. To reduce user effort, consider enabling by setting the `autocomplete` attribute to a valid value. [Learn more](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` elements do not have correct `autocomplete` attributes"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Requires manual review"},
"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Review order of tokens"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` elements correctly use `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'`autocomplete` token(s): "{token}" is invalid in {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Review order of tokens: "{tokens}" in {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome extensions negatively affected this page's load performance. Try auditing the page in incognito mode or from a Chrome profile without extensions."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Script Evaluation"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Script Parse"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Total CPU Time"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Consider reducing the time spent parsing, compiling, and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Reduce JavaScript execution time"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript execution time"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Remove large, duplicate JavaScript modules from bundles to reduce unnecessary bytes consumed by network activity. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Remove duplicate modules in JavaScript bundles"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Large GIFs are inefficient for delivering animated content. Consider using MPEG4/WebM videos for animations and PNG/WebP for static images instead of GIF to save network bytes. [Learn more](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Use video formats for animated content"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfills and transforms enable legacy browsers to use new JavaScript features. However, many aren't necessary for modern browsers. For your bundled JavaScript, adopt a modern script deployment strategy using module/nomodule feature detection to reduce the amount of code shipped to modern browsers, while retaining support for legacy browsers. [Learn More](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{
message:"Avoid serving legacy JavaScript to modern browsers"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Image formats like WebP and AVIF often provide better compression than PNG or JPEG, which means faster downloads and less data consumption. [Learn more](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Serve images in next-gen formats"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Consider lazy-loading offscreen and hidden images after all critical resources have finished loading to lower time to interactive. [Learn more](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Defer offscreen images"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Resources are blocking the first paint of your page. Consider delivering critical JS/CSS inline and deferring all non-critical JS/styles. [Learn more](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Eliminate render-blocking resources"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Large network payloads cost users real money and are highly correlated with long load times. [Learn more](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Total size was {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Avoid enormous network payloads"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Avoids enormous network payloads"},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Minifying CSS files can reduce network payload sizes. [Learn more](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minify CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Minifying JavaScript files can reduce payload sizes and script parse time. [Learn more](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minify JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Reduce unused rules from stylesheets and defer CSS not used for above-the-fold content to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduce unused CSS"},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reduce unused JavaScript and defer loading scripts until they are required to decrease bytes consumed by network activity. [Learn more](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduce unused JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"A long cache lifetime can speed up repeat visits to your page. [Learn more](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 resource found}\n    other {# resources found}\n    }"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Serve static assets with an efficient cache policy"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{
message:"Uses efficient cache policy on static assets"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimized images load faster and consume less cellular data. [Learn more](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Efficiently encode images"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images-snapshot.js | columnActualDimensions":{message:"Actual dimensions"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images-snapshot.js | columnDisplayedDimensions":{message:"Displayed dimensions"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Serve images that are appropriately-sized to save cellular data and improve load time. [Learn more](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Properly size images"},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Text-based resources should be served with compression (gzip, deflate or brotli) to minimize total network bytes. [Learn more](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Enable text compression"},"lighthouse-core/audits/content-width.js | description":{message:"If the width of your app's content doesn't match the width of the viewport, your app might not be optimized for mobile screens. [Learn more](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"The viewport size of {innerWidth}px does not match the window size of {outerWidth}px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Content is not sized correctly for the viewport"},"lighthouse-core/audits/content-width.js | title":{message:"Content is sized correctly for the viewport"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"The Critical Request Chains below show you what resources are loaded with a high priority. Consider reducing the length of chains, reducing the download size of resources, or deferring the download of unnecessary resources to improve page load. [Learn more](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 chain found}\n    other {# chains found}\n    }"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Avoid chaining critical requests"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directive"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Severity"},"lighthouse-core/audits/csp-xss.js | description":{message:"A strong Content Security Policy (CSP) significantly reduces the risk of cross-site scripting (XSS) attacks. [Learn more](https://web.dev/csp-xss/)"
},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntax"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"The page contains a CSP defined in a <meta> tag. Consider defining the CSP in an HTTP header if you can."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"No CSP found in enforcement mode"},"lighthouse-core/audits/csp-xss.js | title":{message:"Ensure CSP is effective against XSS attacks"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Deprecation / Warning"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Line"},"lighthouse-core/audits/deprecations.js | description":{message:"Deprecated APIs will eventually be removed from the browser. [Learn more](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 warning found}\n    other {# warnings found}\n    }"},"lighthouse-core/audits/deprecations.js | failureTitle":{
message:"Uses deprecated APIs"},"lighthouse-core/audits/deprecations.js | title":{message:"Avoids deprecated APIs"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache is deprecated. [Learn more](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Found "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Uses Application Cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Avoids Application Cache"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"A character encoding declaration is required. It can be done with a `<meta>` tag in the first 1024 bytes of the HTML or in the Content-Type HTTP response header. [Learn more](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{
message:"Charset declaration is missing or occurs too late in the HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Properly defines charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Specifying a doctype prevents the browser from switching to quirks-mode. [Learn more](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Doctype name must be the lowercase string `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Document must contain a doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Expected publicId to be an empty string"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Expected systemId to be an empty string"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Page lacks the HTML doctype, thus triggering quirks-mode"},
"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Page has the HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistic"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Value"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"A large DOM will increase memory usage, cause longer [style calculations](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), and produce costly [layout reflows](https://developers.google.com/speed/articles/reflow). [Learn more](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 element}\n    other {# elements}\n    }"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Avoid an excessive DOM size"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{
message:"Maximum DOM Depth"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total DOM Elements"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximum Child Elements"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Avoids an excessive DOM size"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Failing Anchors"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Add `rel="noopener"` or `rel="noreferrer"` to any external links to improve performance and prevent security vulnerabilities. [Learn more](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Links to cross-origin destinations are unsafe"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{
message:"Links to cross-origin destinations are safe"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Unable to determine the destination for anchor ({anchorHTML}). If not used as a hyperlink, consider removing target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Users are mistrustful of or confused by sites that request their location without context. Consider tying the request to a user action instead. [Learn more](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Requests the geolocation permission on page load"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Avoids requesting the geolocation permission on page load"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Issue type"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Issues logged to the `Issues` panel in Chrome Devtools indicate unresolved problems. They can come from network request failures, insufficient security controls, and other browser concerns. Open up the Issues panel in Chrome DevTools for more details on each issue."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Issues were logged in the `Issues` panel in Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blocked by cross-origin policy"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Heavy resource usage by ads"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"No issues in the `Issues` panel in Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Version"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"All front-end JavaScript libraries detected on the page. [Learn more](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Detected JavaScript libraries"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"For users on slow connections, external scripts dynamically injected via `document.write()` can delay page load by tens of seconds. [Learn more](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Avoid `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Avoids `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Highest Severity"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Library Version"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Vulnerability Count"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Some third-party scripts may contain known security vulnerabilities that are easily identified and exploited by attackers. [Learn more](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 vulnerability detected}\n    other {# vulnerabilities detected}\n    }"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Includes front-end JavaScript libraries with known security vulnerabilities"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Avoids front-end JavaScript libraries with known security vulnerabilities"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{
message:"Users are mistrustful of or confused by sites that request to send notifications without context. Consider tying the request to user gestures instead. [Learn more](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Requests the notification permission on page load"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Avoids requesting the notification permission on page load"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Preventing password pasting undermines good security policy. [Learn more](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Prevents users to paste into password fields"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{
message:"Allows users to paste into password fields"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 offers many benefits over HTTP/1.1, including binary headers and multiplexing. [Learn more](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 request not served via HTTP/2}\n    other {# requests not served via HTTP/2}\n    }"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Use HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Consider marking your touch and wheel event listeners as `passive` to improve your page's scroll performance. [Learn more](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{
message:"Does not use passive listeners to improve scrolling performance"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Uses passive listeners to improve scrolling performance"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Errors logged to the console indicate unresolved problems. They can come from network request failures and other browser concerns. [Learn more](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Browser errors were logged to the console"},"lighthouse-core/audits/errors-in-console.js | title":{message:"No browser errors logged to the console"},"lighthouse-core/audits/font-display.js | description":{message:"Leverage the font-display CSS feature to ensure text is user-visible while webfonts are loading. [Learn more](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{
message:"Ensure text remains visible during webfont load"},"lighthouse-core/audits/font-display.js | title":{message:"All text remains visible during webfont loads"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin, plural, =1 {Lighthouse was unable to automatically check the `font-display` value for the origin {fontOrigin}.} other {Lighthouse was unable to automatically check the `font-display` values for the origin {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Aspect Ratio (Actual)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Aspect Ratio (Displayed)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Image display dimensions should match natural aspect ratio. [Learn more](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Displays images with incorrect aspect ratio"},
"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Displays images with correct aspect ratio"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Actual size"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Displayed size"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Expected size"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Image natural dimensions should be proportional to the display size and the pixel ratio to maximize image clarity. [Learn more](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Serves images with low resolution"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Serves images with appropriate resolution"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"The app is already installed"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Could not download a required icon from the manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Failure reason"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. With proper service worker and manifest implementations, browsers can proactively prompt users to add your app to their homescreen, which can lead to higher engagement. [Learn more](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 reason}\n    other {# reasons}\n    }"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Web app manifest or service worker do not meet the installability requirements"},
"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"The Play Store app URL and Play Store ID do not match"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Page is loaded in an incognito window"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Manifest 'display' property must be one of 'standalone', 'fullscreen', or 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifest contains 'display_override' field, and the first supported display mode must be one of 'standalone', 'fullscreen', or 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest could not be fetched, is empty, or could not be parsed"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifest URL changed while the manifest was being fetched."},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest does not contain a 'name' or 'short_name' field"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Manifest does not contain a suitable icon - PNG, SVG or WebP format of at least {value0} px is required, the sizes attribute must be set, and the purpose attribute, if set, must include "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'No supplied icon is at least {value0} px square in PNG, SVG or WebP format, with the purpose attribute unset or set to "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Downloaded icon was empty or corrupted"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"No Play store ID provided"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Page has no manifest <link> URL"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"No matching service worker detected. You may need to reload the page, or check that the scope of the service worker for the current page encloses the scope and start URL from the manifest."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Could not check service worker without a 'start_url' field in the manifest"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Installability error id '{errorId}' is not recognized"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Page is not served from a secure origin"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Page is not loaded in the main frame"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Page does not work offline"},
"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"The specified application platform is not supported on Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest specifies prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications is only supported on Chrome Beta and Stable channels on Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Manifest start URL is not valid"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Web app manifest and service worker meet the installability requirements"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"A URL in the manifest contains a username, password, or port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"Page does not work offline. The page will not be regarded as installable after Chrome 93, stable release August 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Allowed"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blocked"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Insecure URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Request Resolution"},"lighthouse-core/audits/is-on-https.js | description":{
message:"All sites should be protected with HTTPS, even ones that don't handle sensitive data. This includes avoiding [mixed content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), where some resources are loaded over HTTP despite the initial request being served over HTTPS. HTTPS prevents intruders from tampering with or passively listening in on the communications between your app and your users, and is a prerequisite for HTTP/2 and many new web platform APIs. [Learn more](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 insecure request found}\n    other {# insecure requests found}\n    }"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Does not use HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Uses HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatically upgraded to HTTPS"},
"lighthouse-core/audits/is-on-https.js | warning":{message:"Allowed with warning"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Library"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Large JavaScript libraries can lead to poor performance. Prefer smaller, functionally equivalent libraries to reduce your bundle size. [Learn more](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount, plural,\n    =1 {1 large library found}\n    other {# large libraries found}\n    }"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Replace unnecessarily large JavaScript libraries"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Avoids large JavaScript libraries with smaller alternatives"},
"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"This is the largest contentful element painted within the viewport. [Learn More](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Largest Contentful Paint element"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS Contribution"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"These DOM elements contribute most to the CLS of the page."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Avoid large layout shifts"},"lighthouse-core/audits/long-tasks.js | description":{message:"Lists the longest tasks on the main thread, useful for identifying worst contributors to input delay. [Learn more](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{
message:"{itemCount, plural,\n  =1 {# long task found}\n  other {# long tasks found}\n  }"},"lighthouse-core/audits/long-tasks.js | title":{message:"Avoid long main-thread tasks"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Category"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn more](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimize main-thread work"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimizes main-thread work"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"To reach the most number of users, sites should work across every major browser. [Learn more](https://web.dev/pwa-cross-browser/)."},
"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Site works cross-browser"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Ensure individual pages are deep linkable via URL and that URLs are unique for the purpose of shareability on social media. [Learn more](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Each page has a URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Transitions should feel snappy as you tap around, even on a slow network. This experience is key to a user's perception of performance. [Learn more](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Page transitions don't feel like they block on the network"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"A maskable icon ensures that the image fills the entire shape without being letterboxed when installing the app on a device. [Learn more](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest doesn't have a maskable icon"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest has a maskable icon"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Cumulative Layout Shift measures the movement of visible elements within the viewport. [Learn more](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"First Contentful Paint marks the time at which the first text or image is painted. [Learn more](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{
message:"First Meaningful Paint measures when the primary content of a page is visible. [Learn more](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Time to interactive is the amount of time it takes for the page to become fully interactive. [Learn more](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Largest Contentful Paint marks the time at which the largest text or image is painted. [Learn more](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"The maximum potential First Input Delay that your users could experience is the duration of the longest task. [Learn more](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{
message:"Speed Index shows how quickly the contents of a page are visibly populated. [Learn more](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Sum of all time periods between FCP and Time to Interactive, when task length exceeded 50ms, expressed in milliseconds. [Learn more](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Network round trip times (RTT) have a large impact on performance. If the RTT to an origin is high, it's an indication that servers closer to the user could improve performance. [Learn more](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Network Round Trip Times"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Server latencies can impact web performance. If the server latency of an origin is high, it's an indication the server is overloaded or has poor backend performance. [Learn more](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Server Backend Latencies"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"The `unload` event does not fire reliably and listening for it can prevent browser optimizations like the Back-Forward Cache. Consider using the `pagehide` or `visibilitychange` events instead. [Learn more](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registers an `unload` listener"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Avoids `unload` event listeners"},
"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animations which are not composited can be janky and increase CLS. [Learn more](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount, plural,\n  =1 {# animated element found}\n  other {# animated elements found}\n  }"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Filter-related property may move pixels"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Target has another animation which is incompatible"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Effect has composite mode other than "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Avoid non-composited animations"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{
message:"Transform-related property depends on box size"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount, plural,\n    =1 {Unsupported CSS Property: {properties}}\n    other {Unsupported CSS Properties: {properties}}\n  }"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effect has unsupported timing parameters"},"lighthouse-core/audits/performance-budget.js | description":{message:"Keep the quantity and size of network requests under the targets set by the provided performance budget. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count, plural,\n    =1 {1 request}\n    other {# requests}\n   }"},"lighthouse-core/audits/performance-budget.js | title":{message:"Performance budget"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Preload `optional` fonts so first-time visitors may use them. [Learn more](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fonts with `font-display: optional` are not preloaded"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Fonts with `font-display: optional` are preloaded"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Preload the image used by the LCP element in order to improve your LCP time. [Learn more](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Preload Largest Contentful Paint image"},"lighthouse-core/audits/redirects-http.js | description":{message:"If you've already set up HTTPS, make sure that you redirect all HTTP traffic to HTTPS in order to enable secure web features for all your users. [Learn more](https://web.dev/redirects-http/)."},
"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Does not redirect HTTP traffic to HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redirects HTTP traffic to HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Redirects introduce additional delays before the page can be loaded. [Learn more](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Avoid multiple page redirects"},"lighthouse-core/audits/resource-summary.js | description":{message:"To set budgets for the quantity and size of page resources, add a budget.json file. [Learn more](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount, plural, =1 {1 request • {byteCount, number, bytes} KiB} other {# requests • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{
message:"Keep request counts low and transfer sizes small"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Canonical links suggest which URL to show in search results. [Learn more](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Multiple conflicting URLs ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Points to a different domain ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Invalid URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Points to another `hreflang` location ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Is not an absolute URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Points to the domain's root URL (the homepage), instead of an equivalent page of content"},
"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Document does not have a valid `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Document has a valid `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Uncrawlable Link"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Search engines may use `href` attributes on links to crawl websites. Ensure that the `href` attribute of anchor elements links to an appropriate destination, so more pages of the site can be discovered. [Learn More](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Links are not crawlable"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Links are crawlable"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Add'l illegible text"},
"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Font Size"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% of Page Text"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Font sizes less than 12px are too small to be legible and require mobile visitors to “pinch to zoom” in order to read. Strive to have >60% of page text ≥12px. [Learn more](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} legible text"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Text is illegible because there's no viewport meta tag optimized for mobile screens."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Document doesn't use legible font sizes"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Legible text"
},"lighthouse-core/audits/seo/font-size.js | title":{message:"Document uses legible font sizes"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang links tell search engines what version of a page they should list in search results for a given language or region. [Learn more](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Document doesn't have a valid `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relative href value"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Document has a valid `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Unexpected language code"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Pages with unsuccessful HTTP status codes may not be indexed properly. [Learn more](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"Page has unsuccessful HTTP status code"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Page has successful HTTP status code"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Search engines are unable to include your pages in search results if they don't have permission to crawl them. [Learn more](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Page is blocked from indexing"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Page isn’t blocked from indexing"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Descriptive link text helps search engines understand your content. [Learn more](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 link found}\n    other {# links found}\n    }"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{
message:"Links do not have descriptive text"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Links have descriptive text"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Run the [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) and the [Structured Data Linter](http://linter.structured-data.org/) to validate structured data. [Learn more](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Structured data is valid"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Meta descriptions may be included in search results to concisely summarize page content. [Learn more](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Description text is empty."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Document does not have a meta description"},
"lighthouse-core/audits/seo/meta-description.js | title":{message:"Document has a meta description"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Search engines can't index plugin content, and many devices restrict plugins or don't support them. [Learn more](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Document uses plugins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Document avoids plugins"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"If your robots.txt file is malformed, crawlers may not be able to understand how you want your website to be crawled or indexed. [Learn more](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Request for robots.txt returned HTTP status: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount, plural,\n    =1 {1 error found}\n    other {# errors found}\n    }"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse was unable to download a robots.txt file"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt is not valid"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt is valid"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interactive elements like buttons and links should be large enough (48x48px), and have enough space around them, to be easy enough to tap without overlapping onto other elements. [Learn more](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} appropriately sized tap targets"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"Tap targets are too small because there's no viewport meta tag optimized for mobile screens"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Tap targets are not sized appropriately"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Overlapping Target"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Tap Target"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Tap targets are sized appropriately"},"lighthouse-core/audits/server-response-time.js | description":{message:"Keep the server response time for the main document short because all other requests depend on it. [Learn more](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Root document took {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reduce initial server response time"},
"lighthouse-core/audits/server-response-time.js | title":{message:"Initial server response time was short"},"lighthouse-core/audits/service-worker.js | description":{message:"The service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. [Learn more](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"This page is controlled by a service worker, however no `start_url` was found because manifest failed to parse as valid JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"This page is controlled by a service worker, however the `start_url` ({startUrl}) is not in the service worker's scope ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"This page is controlled by a service worker, however no `start_url` was found because no manifest was fetched."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"This origin has one or more service workers, however the page ({pageUrl}) is not in scope."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Does not register a service worker that controls page and `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registers a service worker that controls page and `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"A themed splash screen ensures a high-quality experience when users launch your app from their homescreens. [Learn more](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Is not configured for a custom splash screen"},"lighthouse-core/audits/splash-screen.js | title":{message:"Configured for a custom splash screen"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"The browser address bar can be themed to match your site. [Learn more](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Does not set a theme color for the address bar."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Sets a theme color for the address bar."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Customer Success)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Product"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Some third-party embeds can be lazy loaded. Consider replacing them with a facade until they are required. [Learn more](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount, plural,\n  =1 {# facade alternative available}\n  other {# facade alternatives available}\n  }"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Some third-party resources can be lazy loaded with a facade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Lazy load third-party resources with facades"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Third-Party"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Third-party code can significantly impact load performance. Limit the number of redundant third-party providers and try to load third-party code after your page has primarily finished loading. [Learn more](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Third-party code blocked the main thread for {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduce the impact of third-party code"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimize third-party usage"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Measurement"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metric"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Set a timing budget to help you keep an eye on the performance of your site. Performant sites load fast and respond to user input events quickly. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Timing budget"},"lighthouse-core/audits/unsized-images.js | description":{message:"Set an explicit width and height on image elements to reduce layout shifts and improve CLS. [Learn more](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Image elements do not have explicit `width` and `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Image elements have explicit `width` and `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Type"},"lighthouse-core/audits/user-timings.js | description":{
message:"Consider instrumenting your app with the User Timing API to measure your app's real-world performance during key user experiences. [Learn more](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 user timing}\n    other {# user timings}\n    }"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing marks and measures"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Consider adding `preconnect` or `dns-prefetch` resource hints to establish early connections to important third-party origins. [Learn more](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{
message:"Preconnect to required origins"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"More than 2 `<link rel=preconnect>` connections were found. These should be used sparingly and only to the most important origins."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Only use `preconnect` for important origins that the page will certainly request.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'A preload `<link>` was found for "{preloadURL}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Consider using `<link rel=preload>` to prioritize fetching resources that are currently requested later in page load. [Learn more](https://web.dev/uses-rel-preload/)."},
"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Preload key requests"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Map URL"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Source maps translate minified code to the original source code. This helps developers debug in production. In addition, Lighthouse is able to provide further insights. Consider deploying source maps to take advantage of these benefits. [Learn more](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Missing source maps for large first-party JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Large JavaScript file is missing a source map"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems, plural,\n    =1 {Warning: missing 1 item in `.sourcesContent`}\n    other {Warning: missing # items in `.sourcesContent`}\n    }"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Page has valid source maps"},"lighthouse-core/audits/viewport.js | description":{message:'Add a `<meta name="viewport">` tag to optimize your app for mobile screens. [Learn more](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'No `<meta name="viewport">` tag found'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Does not have a `<meta name="viewport">` tag with `width` or `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Has a `<meta name="viewport">` tag with `width` or `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"These are opportunities to improve the usage of ARIA in your application which may enhance the experience for users of assistive technology, like a screen reader."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"These are opportunities to provide alternative content for audio and video. This may improve the experience for users with hearing or vision impairments."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio and video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"These items highlight common accessibility best practices."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Best practices"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"These checks highlight opportunities to [improve the accessibility of your web app](https://developers.google.com/web/fundamentals/accessibility). Only a subset of accessibility issues can be automatically detected so manual testing is also encouraged."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"These items address areas which an automated testing tool cannot cover. Learn more in our guide on [conducting an accessibility review](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accessibility"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"These are opportunities to improve the legibility of your content."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{
message:"These are opportunities to improve the interpretation of your content by users in different locales."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internationalization and localization"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"These are opportunities to improve the semantics of the controls in your application. This may enhance the experience for users of assistive technology, like a screen reader."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Names and labels"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"These are opportunities to improve keyboard navigation in your application."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigation"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"These are opportunities to improve the experience of reading tabular or list data using assistive technology, like a screen reader."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tables and lists"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Browser Compatibility"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Best Practices"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"General"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Trust and Safety"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"User Experience"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Performance budgets set standards for the performance of your site."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budgets"},
"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"More information about the performance of your application. These numbers don't [directly affect](https://web.dev/performance-scoring/) the Performance score."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostics"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"The most critical aspect of performance is how quickly pixels are rendered onscreen. Key metrics: First Contentful Paint, First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"First Paint Improvements"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"These suggestions can help your page load faster. They don't [directly affect](https://web.dev/performance-scoring/) the Performance score."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{
message:"Opportunities"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrics"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Enhance the overall loading experience, so the page is responsive and ready to use as soon as possible. Key metrics: Time to Interactive, Speed Index"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Overall Improvements"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performance"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"These checks validate the aspects of a Progressive Web App. [Learn more](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"These checks are required by the baseline [PWA Checklist](https://developers.google.com/web/progressive-web-apps/checklist) but are not automatically checked by Lighthouse. They do not affect your score but it's important that you verify them manually."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Installable"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA Optimized"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"These checks ensure that your page is optimized for search engine results ranking. There are additional factors Lighthouse does not check that may affect your search ranking. [Learn more](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"Run these additional validators on your site to check additional SEO best practices."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Format your HTML in a way that enables crawlers to better understand your app’s content."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Content Best Practices"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"To appear in search results, crawlers need access to your app."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Crawling and Indexing"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Make sure your pages are mobile friendly so users don’t have to pinch or zoom in order to read the content pages. [Learn more](https://developers.google.com/search/mobile-sites/)."},
"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobile Friendly"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"The tested device appears to have a slower CPU than  Lighthouse expects. This can negatively affect your performance score. Learn more about [calibrating an appropriate CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"The page may not be loading as expected because your test URL ({requested}) was redirected to {final}. Try testing the second URL directly."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"The page loaded too slowly to finish within the time limit. Results may be incomplete."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount, plural,\n    =1 {There may be stored data affecting loading performance in this location: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}\n    other {There may be stored data affecting loading performance in these locations: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}\n  }"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Consider adding https: and http: URL schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener is deprecated since CSP3. Please, use the Cross-Origin-Opener-Policy header instead."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Missing base-uri allows injected <base> tags to set the base URL for all relative URLs (e.g. scripts) to an attacker controlled domain. Consider setting base-uri to 'none' or 'self'."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elements controlled by object-src are considered legacy features. Consider setting object-src to 'none' to prevent the injection of plugins that execute unsafe scripts."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src directive is missing. This can allow the execution of unsafe scripts."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Did you forget the semicolon? {keyword} seems to be a directive, not a keyword."},
"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces should use the base64 charset."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces should be at least 8 characters long."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"No CSP configures a reporting destination. This makes it difficult to maintain the CSP over time and monitor for any breakages."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"The reporting destination is only configured via the report-to directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a report-uri directive."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Unknown CSP directive."},
"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} seems to be an invalid keyword."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers. Consider using CSP nonces or hashes to allow scripts individually."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Main-Thread Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Description"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duration"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Failing Elements"
},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Location"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Name"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Over Budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Requests"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Resource Size"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Resource Type"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Size"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Source"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Start Time"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Time Spent"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Transfer Size"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potential Savings"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potential Savings"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potential savings of {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount, plural, =1 {1 element found} other {# elements found}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potential savings of {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Document"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Image"
},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"High"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Low"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Medium"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Max Potential First Input Delay"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Other resources"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Other"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},
"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stylesheet"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Third-party"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Something went wrong with recording the trace over your page load. Please run Lighthouse again. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Timeout waiting for initial Debugger Protocol connection."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome didn't collect any screenshots during the page load. Please make sure there is content visible on the page, and then try re-running Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{
message:"DNS servers could not resolve the provided domain."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Required {artifactName} gatherer encountered an error: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"An internal Chrome error occurred. Please restart Chrome and try re-running Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Required {artifactName} gatherer did not run."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"The page did not paint any content. Please ensure you keep the browser window in the foreground during the load and try again. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"The page provided is not HTML (served as MIME type {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"This version of Chrome is too old to support '{featureName}'. Use a newer version to see full results."},
"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse was unable to reliably load the URL you requested because the page stopped responding."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"The URL you have provided does not have a valid security certificate. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome prevented page load with an interstitial. Make sure you are testing the correct URL and that the server is properly responding to all requests."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Details: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Status code: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Your page took too long to load. Please follow the opportunities in the report to reduce your page load time, and then try re-running Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Waiting for DevTools protocol response has exceeded the allotted time. (Method: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Fetching resource content has exceeded the allotted time"},
"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"The URL you have provided appears to be invalid."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"All"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"All Scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Coverage"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplicate Modules"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Resource Bytes"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Name"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Toggle Table"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Unused Bytes"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"For animated content, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) to minimize CPU usage when the content is offscreen."},
"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Consider displaying all [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) components in WebP formats while specifying an appropriate fallback for other browsers. [Learn more](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Ensure that you are using [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for images to automatically lazy-load. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Use tools such as [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) to [server-side render AMP layouts](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Refer to the [AMP documentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) to ensure all styles are supported."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"The [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) component supports the [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribute to specify which image assets to use based on the screen size. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Consider virtual scrolling with the Component Dev Kit (CDK) if very large lists are being rendered. [Learn more](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Apply [route-level code splitting](https://web.dev/route-level-code-splitting-in-angular/) to minimize the size of your JavaScript bundles. Also, consider precaching assets with the [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"If you are using Angular CLI, ensure that builds are generated in production mode. [Learn more](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"If you are using Angular CLI, include source maps in your production build to inspect your bundles. [Learn more](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Preload routes ahead of time to speed up navigation. [Learn more](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Consider using the `BreakpointObserver` utility in the Component Dev Kit (CDK) to manage image breakpoints. [Learn more](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Specify `@font-display` when defining custom fonts in your theme."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Consider installing and configuring [a module to leverage WebP image formats](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) in your site. Such modules automatically generate a WebP version of your uploaded images to optimize loading times."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Install [a Drupal module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) that can lazy load images. Such modules provide the ability to defer any offscreen images to improve performance."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Consider using a module to inline critical CSS and JavaScript, or potentially load assets asynchronously via JavaScript such as the [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) module. Beware that optimizations provided by this module may break your site, so you will likely need to make code changes."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Themes, modules, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization module, and/or upgrading your server. Your hosting servers should make use of PHP opcode caching, memory-caching to reduce database query times such as Redis or Memcached, as well as optimized application logic to prepare pages faster."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Consider using [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) to reduce the size of images loaded on your page. If you are using Views to show multiple content items on a page, consider implementing pagination to limit the number of content items shown on a given page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Ensure you have enabled "Aggregate CSS files" in the "Administration » Configuration » Development" page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying, and compressing your CSS styles.'},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:'Ensure you have enabled "Aggregate JavaScript files" in the "Administration » Configuration » Development" page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying, and compressing your JavaScript assets.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Consider removing unused CSS rules and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the stylesheet when CSS aggregation is disabled in your Drupal site. Look out for themes/modules that have many stylesheets in the list which have a lot of red in code coverage. A theme/module should only enqueue a stylesheet if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Consider removing unused JavaScript assets and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous JavaScript, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the script when JavaScript aggregation is disabled in your Drupal site. Look out for themes/modules that have many scripts in the list which have a lot of red in code coverage. A theme/module should only enqueue a script if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Set the "Browser and proxy cache maximum age" in the "Administration » Configuration » Development" page. Read about [Drupal cache and optimizing for performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Consider using [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) that automatically optimizes and reduces the size of images uploaded through the site while retaining quality. Also, ensure you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above) for all images rendered on the site."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Preconnect or dns-prefetch resource hints can be added by installing and configuring [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) that provides facilities for user agent resource hints."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above). Use the Responsive Image Styles when rendering image fields through view modes, views, or images uploaded through the WYSIWYG editor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Consider using a [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) or service that will automatically convert your uploaded images to the optimal formats."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Install a [lazy-load Joomla plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) that provides the ability to defer any offscreen images, or switch to a template that provides that functionality. Starting with Joomla 4.0, all new images will [automatically](https://github.com/joomla/joomla-cms/pull/30748) get the `loading` attribute from the core."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"There are a number of Joomla plugins that can help you [inline critical assets](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) or [defer less important resources](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Beware that optimizations provided by these plugins may break features of your templates or plugins, so you will need to test these thoroughly."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Templates, extensions, and server specifications all contribute to server response time. Consider finding a more optimized template, carefully selecting an optimization extension, and/or upgrading your server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Consider showing excerpts in your article categories (e.g. via the read more link), reducing the number of articles shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your css styles. There are also templates that provide this functionality."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your scripts. There are also templates that provide this functionality."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused CSS in your page. To identify extensions that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the extension responsible from the URL of the script. Look out for extensions that have many scripts in the list which have a lot of red in code coverage. An extension should only enqueue a script if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Read about [Browser Caching in Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Consider using an [image optimization plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) that compresses your images while retaining quality."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Consider using a [responsive images plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) to use responsive images in your content."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"You can enable text compression by enabling Gzip Page Compression in Joomla (System > Global configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"If you are not bundling your JavaScript assets, consider using [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Disable Magento's built-in [JavaScript bundling and minification](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), and consider using [baler](https://github.com/magento/baler/) instead."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Specify `@font-display` when [defining custom fonts](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) for a variety of third-party extensions to leverage newer image formats."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Consider modifying your product and catalog templates to make use of the web platform's [lazy loading](https://web.dev/native-lazy-loading) feature."},
"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Use Magento's [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Enable the "Minify CSS Files" option in your store\'s Developer settings. [Learn more](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Use [Terser](https://www.npmjs.com/package/terser) to minify all JavaScript assets from static content deployment, and disable the built-in minification feature."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"Disable Magento's built-in [JavaScript bundling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) for a variety of third party extensions to optimize images."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Preconnect or dns-prefetch resource hints can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` tags can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Replace animated GIFs with video](https://web.dev/replace-gifs-with-videos/) for faster web page loads and consider using modern file formats such as [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) or [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) to improve compression efficiency by greater than 30% over the current state-of-the-art video codec, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Consider using a [plugin](https://octobercms.com/plugins?search=image) or service that will automatically convert the uploaded images to the optimal formats. [WebP lossless images](https://developers.google.com/speed/webp) are 26% smaller in size compared to PNGs and 25-34% smaller than comparable JPEG images at the equivalent SSIM quality index. Another next-gen image format to consider is [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Consider installing an [image lazy loading plugin](https://octobercms.com/plugins?search=lazy) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"There are many plugins that help [inline critical assets](https://octobercms.com/plugins?search=css). These plugins may break other plugins, so you should test thoroughly."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Themes, plugins and server specifications all contribute to the server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin and/or upgrade the server. October CMS also allows developers to use [`Queues`](https://octobercms.com/docs/services/queues) to defer the processing of a time consuming task, such as sending an e-mail. This drastically speeds up web requests."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"Consider showing excerpts in the post lists (e.g. using a `show more` button), reducing the number of posts shown on a given web page, breaking long posts into multiple web pages, or using a plugin to lazy-load comments."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"There are many [plugins](https://octobercms.com/plugins?search=css) that can speed up a website by concatenating, minifying and compressing the styles. Using a build process to do this minification up-front can speed up development."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"There are many [plugins](https://octobercms.com/plugins?search=javascript) that can speed up a website by concatenating, minifying and compressing the scripts. Using a build process to do this minification up-front can speed up development."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Consider reviewing the [plugins](https://octobercms.com/plugins) loading unused CSS on the website. To identify plugins that add unnecessary CSS, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the stylesheet URL. Look for plugins with many stylesheets with lots of red in code coverage. A plugin should only add a stylesheet if it is actually used on the web page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Consider reviewing the [plugins](https://octobercms.com/plugins?search=javascript) that load unused JavaScript in the web page. To identify plugins that add unnecessary JavaScript, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the URL of the script. Look for plugins with many scripts with lots of red in code coverage. A plugin should only add a script if it is actually used on the web page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Read about [preventing unnecessary network requests with the HTTP Cache](https://web.dev/http-cache/#caching-checklist). There are many [plugins](https://octobercms.com/plugins?search=Caching) that can be used to speed up caching."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{
message:"Consider using an [image optimization plugin](https://octobercms.com/plugins?search=image) to compresses images while retaining the quality."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Upload images directly in the media manager to ensure the required image sizes are available. Consider using the [resize filter](https://octobercms.com/docs/markup/filter-resize) or an [image resizing plugin](https://octobercms.com/plugins?search=image) to ensure the optimal image sizes are used."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Enable text compression in the web server configuration."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Consider using a "windowing" library like `react-window` to minimize the number of DOM nodes created if you are rendering many repeated elements on the page. [Learn more](https://web.dev/virtualize-long-lists-react-window/). Also, minimize unnecessary re-renders using [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), or [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) and [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) only until certain dependencies have changed if you are using the `Effect` hook to improve runtime performance.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"If you are using React Router, minimize usage of the `<Redirect>` component for [route navigations](https://reacttraining.com/react-router/web/api/Redirect)."},
"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"If you are server-side rendering any React components, consider using `renderToNodeStream()` or `renderToStaticNodeStream()` to allow the client to receive and hydrate different parts of the markup instead of all at once. [Learn more](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"If your build system minifies CSS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"If your build system minifies JS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"If you are not server-side rendering, [split your JavaScript bundles](https://web.dev/code-splitting-suspense/) with `React.lazy()`. Otherwise, code-split using a third-party library such as [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Use the React DevTools Profiler, which makes use of the Profiler API, to measure the rendering performance of your components. [Learn more.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Consider using a [plugin](https://wordpress.org/plugins/search/convert+webp/) or service that will automatically convert your uploaded images to the optimal formats."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Install a [lazy-load WordPress plugin](https://wordpress.org/plugins/search/lazy+load/) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"There are a number of WordPress plugins that can help you [inline critical assets](https://wordpress.org/plugins/search/critical+css/) or [defer less important resources](https://wordpress.org/plugins/search/defer+css+javascript/). Beware that optimizations provided by these plugins may break features of your theme or plugins, so you will likely need to make code changes."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Themes, plugins, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin, and/or upgrading your server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Consider showing excerpts in your post lists (e.g. via the more tag), reducing the number of posts shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+css/) can speed up your site by concatenating, minifying, and compressing your styles. You may also want to use a build process to do this minification up-front if possible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+javascript/) can speed up your site by concatenating, minifying, and compressing your scripts. You may also want to use a build process to do this minification up front if possible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused CSS in your page. To identify plugins that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the script. Look out for plugins that have many scripts in the list which have a lot of red in code coverage. A plugin should only enqueue a script if it is actually used on the page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Read about [Browser Caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Consider using an [image optimization WordPress plugin](https://wordpress.org/plugins/search/optimize+images/) that compresses your images while retaining quality."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Upload images directly through the [media library](https://wordpress.org/support/article/media-library-screen/) to ensure that the required image sizes are available, and then insert them from the media library or use the image widget to ensure the optimal image sizes are used (including those for the responsive breakpoints). Avoid using `Full Size` images unless the dimensions are adequate for their usage. [Learn More](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"You can enable text compression in your web server configuration."},"report/renderer/util.js | calculatorLink":{message:"See calculator."
},"report/renderer/util.js | crcInitialNavigation":{message:"Initial Navigation"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maximum critical path latency:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copy JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Toggle Dark Theme"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Print Expanded"},"report/renderer/util.js | dropdownPrintSummary":{message:"Print Summary"},"report/renderer/util.js | dropdownSaveGist":{message:"Save as Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Save as HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Save as JSON"},"report/renderer/util.js | dropdownViewer":{message:"Open in Viewer"},"report/renderer/util.js | errorLabel":{message:"Error!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Report error: no audit information"},"report/renderer/util.js | footerIssue":{message:"File an issue"},
"report/renderer/util.js | labDataTitle":{message:"Lab Data"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analysis of the current page on an emulated mobile network. Values are estimated and may vary."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Additional items to manually check"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Not applicable"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Opportunity"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Estimated Savings"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Passed audits"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulated Desktop"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulated Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"No emulation"},
"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe version"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/Memory Power"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Channel"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU throttling"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Device"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Fetch Time"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Network throttling"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Runtime Settings"},"report/renderer/util.js | runtimeSettingsUA":{message:"User agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User agent (network)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Unknown"},"report/renderer/util.js | showRelevantAudits":{message:"Show audits relevant to:"
},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Collapse snippet"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Expand snippet"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Show 3rd-party resources"},"report/renderer/util.js | throttlingProvided":{message:"Provided by environment"},"report/renderer/util.js | toplevelWarningsMessage":{message:"There were issues affecting this run of Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Values are estimated and may vary. The [performance score is calculated](https://web.dev/performance-scoring/) directly from these metrics."},"report/renderer/util.js | viewTreemapLabel":{message:"View Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Passed audits but with warnings"},"report/renderer/util.js | warningHeader":{message:"Warnings: "}}},{}],109:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{
message:"[Åççéšš ķéýš ļéţ ûšéŕš qûîçķļý ƒöçûš å þåŕţ öƒ ţĥé þåĝé. Föŕ þŕöþéŕ ñåvîĝåţîöñ, éåçĥ åççéšš ķéý mûšţ бé ûñîqûé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/accesskeys/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"[ᐅ`[accesskey]`ᐊ våļûéš åŕé ñöţ ûñîqûé one two three four five six]"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"[ᐅ`[accesskey]`ᐊ våļûéš åŕé ûñîqûé one two three four five]"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"[Éåçĥ ÅŔÎÅ ᐅ`role`ᐊ šûþþöŕţš å šþéçîƒîç šûбšéţ öƒ ᐅ`aria-*`ᐊ åţţŕîбûţéš. Mîšmåţçĥîñĝ ţĥéšé îñvåļîðåţéš ţĥé ᐅ`aria-*`ᐊ åţţŕîбûţéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-allowed-attr/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"[ᐅ`[aria-*]`ᐊ åţţŕîбûţéš ðö ñöţ måţçĥ ţĥéîŕ ŕöļéš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"[ᐅ`[aria-*]`ᐊ åţţŕîбûţéš måţçĥ ţĥéîŕ ŕöļéš one two three four five six seven]"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"[Ŵĥéñ åñ éļéméñţ ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{
message:"[ᐅ`button`ᐊ, ᐅ`link`ᐊ, åñð ᐅ`menuitem`ᐊ éļéméñţš ðö ñöţ ĥåvé åççéššîбļé ñåméš. one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"[ᐅ`button`ᐊ, ᐅ`link`ᐊ, åñð ᐅ`menuitem`ᐊ éļéméñţš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'[Åššîšţîvé ţéçĥñöļöĝîéš, ļîķé šçŕééñ ŕéåðéŕš, ŵöŕķ îñçöñšîšţéñţļý ŵĥéñ ᐅ`aria-hidden="true"`ᐊ îš šéţ öñ ţĥé ðöçûméñţ ᐅ`<body>`ᐊ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-hidden-body/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'[ᐅ`[aria-hidden="true"]`ᐊ îš þŕéšéñţ öñ ţĥé ðöçûméñţ ᐅ`<body>`ᐊ one two three four five six seven]'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{
message:'[ᐅ`[aria-hidden="true"]`ᐊ îš ñöţ þŕéšéñţ öñ ţĥé ðöçûméñţ ᐅ`<body>`ᐊ one two three four five six seven eight]'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'[Föçûšåбļé ðéšçéñðéñţš ŵîţĥîñ åñ ᐅ`[aria-hidden="true"]`ᐊ éļéméñţ þŕévéñţ ţĥöšé îñţéŕåçţîvé éļéméñţš ƒŕöm бéîñĝ åvåîļåбļé ţö ûšéŕš öƒ åššîšţîvé ţéçĥñöļöĝîéš ļîķé šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-hidden-focus/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'[ᐅ`[aria-hidden="true"]`ᐊ éļéméñţš çöñţåîñ ƒöçûšåбļé ðéšçéñðéñţš one two three four five six seven eight nine]'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{
message:'[ᐅ`[aria-hidden="true"]`ᐊ éļéméñţš ðö ñöţ çöñţåîñ ƒöçûšåбļé ðéšçéñðéñţš one two three four five six seven eight nine ten]'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"[Ŵĥéñ åñ îñþûţ ƒîéļð ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"[ÅŔÎÅ îñþûţ ƒîéļðš ðö ñöţ ĥåvé åççéššîбļé ñåméš one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"[ÅŔÎÅ îñþûţ ƒîéļðš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight]"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"[Ŵĥéñ åñ éļéméñţ ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"[ÅŔÎÅ ᐅ`meter`ᐊ éļéméñţš ðö ñöţ ĥåvé åççéššîбļé ñåméš. one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"[ÅŔÎÅ ᐅ`meter`ᐊ éļéméñţš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"[Ŵĥéñ å ᐅ`progressbar`ᐊ éļéméñţ ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"[ÅŔÎÅ ᐅ`progressbar`ᐊ éļéméñţš ðö ñöţ ĥåvé åççéššîбļé ñåméš. one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"[ÅŔÎÅ ᐅ`progressbar`ᐊ éļéméñţš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"[Šömé ÅŔÎÅ ŕöļéš ĥåvé ŕéqûîŕéð åţţŕîбûţéš ţĥåţ ðéšçŕîбé ţĥé šţåţé öƒ ţĥé éļéméñţ ţö šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-required-attr/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"[ᐅ`[role]`ᐊš ðö ñöţ ĥåvé åļļ ŕéqûîŕéð ᐅ`[aria-*]`ᐊ åţţŕîбûţéš one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"[ᐅ`[role]`ᐊš ĥåvé åļļ ŕéqûîŕéð ᐅ`[aria-*]`ᐊ åţţŕîбûţéš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"[Šömé ÅŔÎÅ þåŕéñţ ŕöļéš mûšţ çöñţåîñ šþéçîƒîç çĥîļð ŕöļéš ţö þéŕƒöŕm ţĥéîŕ îñţéñðéð åççéššîбîļîţý ƒûñçţîöñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-required-children/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"[Éļéméñţš ŵîţĥ åñ ÅŔÎÅ ᐅ`[role]`ᐊ ţĥåţ ŕéqûîŕé çĥîļðŕéñ ţö çöñţåîñ å šþéçîƒîç ᐅ`[role]`ᐊ åŕé mîššîñĝ šömé öŕ åļļ öƒ ţĥöšé ŕéqûîŕéð çĥîļðŕéñ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"[Éļéméñţš ŵîţĥ åñ ÅŔÎÅ ᐅ`[role]`ᐊ ţĥåţ ŕéqûîŕé çĥîļðŕéñ ţö çöñţåîñ å šþéçîƒîç ᐅ`[role]`ᐊ ĥåvé åļļ ŕéqûîŕéð çĥîļðŕéñ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"[Šömé ÅŔÎÅ çĥîļð ŕöļéš mûšţ бé çöñţåîñéð бý šþéçîƒîç þåŕéñţ ŕöļéš ţö þŕöþéŕļý þéŕƒöŕm ţĥéîŕ îñţéñðéð åççéššîбîļîţý ƒûñçţîöñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-required-parent/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"[ᐅ`[role]`ᐊš åŕé ñöţ çöñţåîñéð бý ţĥéîŕ ŕéqûîŕéð þåŕéñţ éļéméñţ one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"[ᐅ`[role]`ᐊš åŕé çöñţåîñéð бý ţĥéîŕ ŕéqûîŕéð þåŕéñţ éļéméñţ one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"[ÅŔÎÅ ŕöļéš mûšţ ĥåvé våļîð våļûéš îñ öŕðéŕ ţö þéŕƒöŕm ţĥéîŕ îñţéñðéð åççéššîбîļîţý ƒûñçţîöñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-roles/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"[ᐅ`[role]`ᐊ våļûéš åŕé ñöţ våļîð one two three four five]"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"[ᐅ`[role]`ᐊ våļûéš åŕé våļîð one two three four five]"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"[Ŵĥéñ å ţöĝĝļé ƒîéļð ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"[ÅŔÎÅ ţöĝĝļé ƒîéļðš ðö ñöţ ĥåvé åççéššîбļé ñåméš one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"[ÅŔÎÅ ţöĝĝļé ƒîéļðš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"[Ŵĥéñ åñ éļéméñţ ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"[ÅŔÎÅ ᐅ`tooltip`ᐊ éļéméñţš ðö ñöţ ĥåvé åççéššîбļé ñåméš. one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"[ÅŔÎÅ ᐅ`tooltip`ᐊ éļéméñţš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"[Ŵĥéñ åñ éļéméñţ ðöéšñ'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ ŵîţĥ å ĝéñéŕîç ñåmé, måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"[ÅŔÎÅ ᐅ`treeitem`ᐊ éļéméñţš ðö ñöţ ĥåvé åççéššîбļé ñåméš. one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"[ÅŔÎÅ ᐅ`treeitem`ᐊ éļéméñţš ĥåvé åççéššîбļé ñåméš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"[Åššîšţîvé ţéçĥñöļöĝîéš, ļîķé šçŕééñ ŕéåðéŕš, çåñ'ţ îñţéŕþŕéţ ÅŔÎÅ åţţŕîбûţéš ŵîţĥ îñvåļîð våļûéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-valid-attr-value/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"[ᐅ`[aria-*]`ᐊ åţţŕîбûţéš ðö ñöţ ĥåvé våļîð våļûéš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"[ᐅ`[aria-*]`ᐊ åţţŕîбûţéš ĥåvé våļîð våļûéš one two three four five six seven]"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"[Åššîšţîvé ţéçĥñöļöĝîéš, ļîķé šçŕééñ ŕéåðéŕš, çåñ'ţ îñţéŕþŕéţ ÅŔÎÅ åţţŕîбûţéš ŵîţĥ îñvåļîð ñåméš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/aria-valid-attr/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"[ᐅ`[aria-*]`ᐊ åţţŕîбûţéš åŕé ñöţ våļîð öŕ mîššþéļļéð one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"[ᐅ`[aria-*]`ᐊ åţţŕîбûţéš åŕé våļîð åñð ñöţ mîššþéļļéð one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"[Fåîļîñĝ Éļéméñţš one two]"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'[Ŵĥéñ å бûţţöñ ðöéšñ\'ţ ĥåvé åñ åççéššîбļé ñåmé, šçŕééñ ŕéåðéŕš åññöûñçé îţ åš "бûţţöñ", måķîñĝ îţ ûñûšåбļé ƒöŕ ûšéŕš ŵĥö ŕéļý öñ šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/button-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{
message:"[Бûţţöñš ðö ñöţ ĥåvé åñ åççéššîбļé ñåmé one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"[Бûţţöñš ĥåvé åñ åççéššîбļé ñåmé one two three four five six seven]"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"[Åððîñĝ ŵåýš ţö бýþåšš ŕéþéţîţîvé çöñţéñţ ļéţš ķéýбöåŕð ûšéŕš ñåvîĝåţé ţĥé þåĝé möŕé éƒƒîçîéñţļý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/bypass/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"[Ţĥé þåĝé ðöéš ñöţ çöñţåîñ å ĥéåðîñĝ, šķîþ ļîñķ, öŕ ļåñðmåŕķ ŕéĝîöñ one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"[Ţĥé þåĝé çöñţåîñš å ĥéåðîñĝ, šķîþ ļîñķ, öŕ ļåñðmåŕķ ŕéĝîöñ one two three four five six seven eight nine ten eleven twelve]"},
"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"[Ļöŵ-çöñţŕåšţ ţéxţ îš ðîƒƒîçûļţ öŕ îmþöššîбļé ƒöŕ måñý ûšéŕš ţö ŕéåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/color-contrast/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"[Бåçķĝŕöûñð åñð ƒöŕéĝŕöûñð çöļöŕš ðö ñöţ ĥåvé å šûƒƒîçîéñţ çöñţŕåšţ ŕåţîö. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"[Бåçķĝŕöûñð åñð ƒöŕéĝŕöûñð çöļöŕš ĥåvé å šûƒƒîçîéñţ çöñţŕåšţ ŕåţîö one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"[Ŵĥéñ ðéƒîñîţîöñ ļîšţš åŕé ñöţ þŕöþéŕļý måŕķéð ûþ, šçŕééñ ŕéåðéŕš måý þŕöðûçé çöñƒûšîñĝ öŕ îñåççûŕåţé öûţþûţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/definition-list/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"[ᐅ`<dl>`ᐊ'š ðö ñöţ çöñţåîñ öñļý þŕöþéŕļý-öŕðéŕéð ᐅ`<dt>`ᐊ åñð ᐅ`<dd>`ᐊ ĝŕöûþš, ᐅ`<script>`ᐊ, ᐅ`<template>`ᐊ öŕ ᐅ`<div>`ᐊ éļéméñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"[ᐅ`<dl>`ᐊ'š çöñţåîñ öñļý þŕöþéŕļý-öŕðéŕéð ᐅ`<dt>`ᐊ åñð ᐅ`<dd>`ᐊ ĝŕöûþš, ᐅ`<script>`ᐊ, ᐅ`<template>`ᐊ öŕ ᐅ`<div>`ᐊ éļéméñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"[Ðéƒîñîţîöñ ļîšţ îţémš (ᐅ`<dt>`ᐊ åñð ᐅ`<dd>`ᐊ) mûšţ бé ŵŕåþþéð îñ å þåŕéñţ ᐅ`<dl>`ᐊ éļéméñţ ţö éñšûŕé ţĥåţ šçŕééñ ŕéåðéŕš çåñ þŕöþéŕļý åññöûñçé ţĥém. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/dlitem/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"[Ðéƒîñîţîöñ ļîšţ îţémš åŕé ñöţ ŵŕåþþéð îñ ᐅ`<dl>`ᐊ éļéméñţš one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"[Ðéƒîñîţîöñ ļîšţ îţémš åŕé ŵŕåþþéð îñ ᐅ`<dl>`ᐊ éļéméñţš one two three four five six seven eight nine ten]"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"[Ţĥé ţîţļé ĝîvéš šçŕééñ ŕéåðéŕ ûšéŕš åñ övéŕvîéŵ öƒ ţĥé þåĝé, åñð šéåŕçĥ éñĝîñé ûšéŕš ŕéļý öñ îţ ĥéåvîļý ţö ðéţéŕmîñé îƒ å þåĝé îš ŕéļévåñţ ţö ţĥéîŕ šéåŕçĥ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/document-title/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"[Ðöçûméñţ ðöéšñ'ţ ĥåvé å ᐅ`<title>`ᐊ éļéméñţ one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"[Ðöçûméñţ ĥåš å ᐅ`<title>`ᐊ éļéméñţ one two three four five six]"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"[Åļļ ƒöçûšåбļé éļéméñţš mûšţ ĥåvé å ûñîqûé ᐅ`id`ᐊ ţö éñšûŕé ţĥåţ ţĥéý'ŕé vîšîбļé ţö åššîšţîvé ţéçĥñöļöĝîéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/duplicate-id-active/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"[ᐅ`[id]`ᐊ åţţŕîбûţéš öñ åçţîvé, ƒöçûšåбļé éļéméñţš åŕé ñöţ ûñîqûé one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"[ᐅ`[id]`ᐊ åţţŕîбûţéš öñ åçţîvé, ƒöçûšåбļé éļéméñţš åŕé ûñîqûé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"[Ţĥé våļûé öƒ åñ ÅŔÎÅ ÎÐ mûšţ бé ûñîqûé ţö þŕévéñţ öţĥéŕ îñšţåñçéš ƒŕöm бéîñĝ övéŕļööķéð бý åššîšţîvé ţéçĥñöļöĝîéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/duplicate-id-aria/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"[ÅŔÎÅ ÎÐš åŕé ñöţ ûñîqûé one two three four five]"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"[ÅŔÎÅ ÎÐš åŕé ûñîqûé one two three four]"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"[Föŕm ƒîéļðš ŵîţĥ mûļţîþļé ļåбéļš çåñ бé çöñƒûšîñĝļý åññöûñçéð бý åššîšţîvé ţéçĥñöļöĝîéš ļîķé šçŕééñ ŕéåðéŕš ŵĥîçĥ ûšé éîţĥéŕ ţĥé ƒîŕšţ, ţĥé ļåšţ, öŕ åļļ öƒ ţĥé ļåбéļš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/form-field-multiple-labels/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"[Föŕm ƒîéļðš ĥåvé mûļţîþļé ļåбéļš one two three four five six seven]"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"[Ñö ƒöŕm ƒîéļðš ĥåvé mûļţîþļé ļåбéļš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/frame-title.js | description":{
message:"[Šçŕééñ ŕéåðéŕ ûšéŕš ŕéļý öñ ƒŕåmé ţîţļéš ţö ðéšçŕîбé ţĥé çöñţéñţš öƒ ƒŕåméš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/frame-title/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"[ᐅ`<frame>`ᐊ öŕ ᐅ`<iframe>`ᐊ éļéméñţš ðö ñöţ ĥåvé å ţîţļé one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"[ᐅ`<frame>`ᐊ öŕ ᐅ`<iframe>`ᐊ éļéméñţš ĥåvé å ţîţļé one two three four five six seven]"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"[Þŕöþéŕļý öŕðéŕéð ĥéåðîñĝš ţĥåţ ðö ñöţ šķîþ ļévéļš çöñvéý ţĥé šémåñţîç šţŕûçţûŕé öƒ ţĥé þåĝé, måķîñĝ îţ éåšîéŕ ţö ñåvîĝåţé åñð ûñðéŕšţåñð ŵĥéñ ûšîñĝ åššîšţîvé ţéçĥñöļöĝîéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/heading-order/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"[Ĥéåðîñĝ éļéméñţš åŕé ñöţ îñ å šéqûéñţîåļļý-ðéšçéñðîñĝ öŕðéŕ one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"[Ĥéåðîñĝ éļéméñţš åþþéåŕ îñ å šéqûéñţîåļļý-ðéšçéñðîñĝ öŕðéŕ one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"[Îƒ å þåĝé ðöéšñ'ţ šþéçîƒý å ļåñĝ åţţŕîбûţé, å šçŕééñ ŕéåðéŕ åššûméš ţĥåţ ţĥé þåĝé îš îñ ţĥé ðéƒåûļţ ļåñĝûåĝé ţĥåţ ţĥé ûšéŕ çĥöšé ŵĥéñ šéţţîñĝ ûþ ţĥé šçŕééñ ŕéåðéŕ. Îƒ ţĥé þåĝé îšñ'ţ åçţûåļļý îñ ţĥé ðéƒåûļţ ļåñĝûåĝé, ţĥéñ ţĥé šçŕééñ ŕéåðéŕ mîĝĥţ ñöţ åññöûñçé ţĥé þåĝé'š ţéxţ çöŕŕéçţļý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/html-has-lang/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix]"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"[ᐅ`<html>`ᐊ éļéméñţ ðöéš ñöţ ĥåvé å ᐅ`[lang]`ᐊ åţţŕîбûţé one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"[ᐅ`<html>`ᐊ éļéméñţ ĥåš å ᐅ`[lang]`ᐊ åţţŕîбûţé one two three four five six seven]"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"[Šþéçîƒýîñĝ å våļîð ᐅ[ᐊБÇÞ 47 ļåñĝûåĝéᐅ](https://www.w3.org/International/questions/qa-choosing-language-tags#question)ᐊ ĥéļþš šçŕééñ ŕéåðéŕš åññöûñçé ţéxţ þŕöþéŕļý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/html-lang-valid/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"[ᐅ`<html>`ᐊ éļéméñţ ðöéš ñöţ ĥåvé å våļîð våļûé ƒöŕ îţš ᐅ`[lang]`ᐊ åţţŕîбûţé. one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"[ᐅ`<html>`ᐊ éļéméñţ ĥåš å våļîð våļûé ƒöŕ îţš ᐅ`[lang]`ᐊ åţţŕîбûţé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"[Îñƒöŕmåţîvé éļéméñţš šĥöûļð åîm ƒöŕ šĥöŕţ, ðéšçŕîþţîvé åļţéŕñåţé ţéxţ. Ðéçöŕåţîvé éļéméñţš çåñ бé îĝñöŕéð ŵîţĥ åñ émþţý åļţ åţţŕîбûţé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/image-alt/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"[Îmåĝé éļéméñţš ðö ñöţ ĥåvé ᐅ`[alt]`ᐊ åţţŕîбûţéš one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"[Îmåĝé éļéméñţš ĥåvé ᐅ`[alt]`ᐊ åţţŕîбûţéš one two three four five six seven]"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"[Ŵĥéñ åñ îmåĝé îš бéîñĝ ûšéð åš åñ ᐅ`<input>`ᐊ бûţţöñ, þŕövîðîñĝ åļţéŕñåţîvé ţéxţ çåñ ĥéļþ šçŕééñ ŕéåðéŕ ûšéŕš ûñðéŕšţåñð ţĥé þûŕþöšé öƒ ţĥé бûţţöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/input-image-alt/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'[ᐅ`<input type="image">`ᐊ éļéméñţš ðö ñöţ ĥåvé ᐅ`[alt]`ᐊ ţéxţ one two three four five six seven]'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'[ᐅ`<input type="image">`ᐊ éļéméñţš ĥåvé ᐅ`[alt]`ᐊ ţéxţ one two three four five six]'},"lighthouse-core/audits/accessibility/label.js | description":{
message:"[Ļåбéļš éñšûŕé ţĥåţ ƒöŕm çöñţŕöļš åŕé åññöûñçéð þŕöþéŕļý бý åššîšţîvé ţéçĥñöļöĝîéš, ļîķé šçŕééñ ŕéåðéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/label/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"[Föŕm éļéméñţš ðö ñöţ ĥåvé åššöçîåţéð ļåбéļš one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/label.js | title":{message:"[Föŕm éļéméñţš ĥåvé åššöçîåţéð ļåбéļš one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/link-name.js | description":{
message:"[Ļîñķ ţéxţ (åñð åļţéŕñåţé ţéxţ ƒöŕ îmåĝéš, ŵĥéñ ûšéð åš ļîñķš) ţĥåţ îš ðîšçéŕñîбļé, ûñîqûé, åñð ƒöçûšåбļé îmþŕövéš ţĥé ñåvîĝåţîöñ éxþéŕîéñçé ƒöŕ šçŕééñ ŕéåðéŕ ûšéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/link-name/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"[Ļîñķš ðö ñöţ ĥåvé å ðîšçéŕñîбļé ñåmé one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"[Ļîñķš ĥåvé å ðîšçéŕñîбļé ñåmé one two three four five six seven]"},"lighthouse-core/audits/accessibility/list.js | description":{
message:"[Šçŕééñ ŕéåðéŕš ĥåvé å šþéçîƒîç ŵåý öƒ åññöûñçîñĝ ļîšţš. Éñšûŕîñĝ þŕöþéŕ ļîšţ šţŕûçţûŕé åîðš šçŕééñ ŕéåðéŕ öûţþûţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/list/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"[Ļîšţš ðö ñöţ çöñţåîñ öñļý ᐅ`<li>`ᐊ éļéméñţš åñð šçŕîþţ šûþþöŕţîñĝ éļéméñţš (ᐅ`<script>`ᐊ åñð ᐅ`<template>`ᐊ). one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/accessibility/list.js | title":{message:"[Ļîšţš çöñţåîñ öñļý ᐅ`<li>`ᐊ éļéméñţš åñð šçŕîþţ šûþþöŕţîñĝ éļéméñţš (ᐅ`<script>`ᐊ åñð ᐅ`<template>`ᐊ). one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"[Šçŕééñ ŕéåðéŕš ŕéqûîŕé ļîšţ îţémš (ᐅ`<li>`ᐊ) ţö бé çöñţåîñéð ŵîţĥîñ å þåŕéñţ ᐅ`<ul>`ᐊ öŕ ᐅ`<ol>`ᐊ ţö бé åññöûñçéð þŕöþéŕļý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/listitem/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"[Ļîšţ îţémš (ᐅ`<li>`ᐊ) åŕé ñöţ çöñţåîñéð ŵîţĥîñ ᐅ`<ul>`ᐊ öŕ ᐅ`<ol>`ᐊ þåŕéñţ éļéméñţš. one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"[Ļîšţ îţémš (ᐅ`<li>`ᐊ) åŕé çöñţåîñéð ŵîţĥîñ ᐅ`<ul>`ᐊ öŕ ᐅ`<ol>`ᐊ þåŕéñţ éļéméñţš one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"[Ûšéŕš ðö ñöţ éxþéçţ å þåĝé ţö ŕéƒŕéšĥ åûţömåţîçåļļý, åñð ðöîñĝ šö ŵîļļ mövé ƒöçûš бåçķ ţö ţĥé ţöþ öƒ ţĥé þåĝé. Ţĥîš måý çŕéåţé å ƒŕûšţŕåţîñĝ öŕ çöñƒûšîñĝ éxþéŕîéñçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/meta-refresh/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'[Ţĥé ðöçûméñţ ûšéš ᐅ`<meta http-equiv="refresh">`ᐊ one two three four five]'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'[Ţĥé ðöçûméñţ ðöéš ñöţ ûšé ᐅ`<meta http-equiv="refresh">`ᐊ one two three four five six seven]'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"[Ðîšåбļîñĝ žöömîñĝ îš þŕöбļémåţîç ƒöŕ ûšéŕš ŵîţĥ ļöŵ vîšîöñ ŵĥö ŕéļý öñ šçŕééñ måĝñîƒîçåţîöñ ţö þŕöþéŕļý šéé ţĥé çöñţéñţš öƒ å ŵéб þåĝé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/meta-viewport/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'[ᐅ`[user-scalable="no"]`ᐊ îš ûšéð îñ ţĥé ᐅ`<meta name="viewport">`ᐊ éļéméñţ öŕ ţĥé ᐅ`[maximum-scale]`ᐊ åţţŕîбûţé îš ļéšš ţĥåñ 5. one two three four five six seven eight nine ten eleven twelve thirteen]'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'[ᐅ`[user-scalable="no"]`ᐊ îš ñöţ ûšéð îñ ţĥé ᐅ`<meta name="viewport">`ᐊ éļéméñţ åñð ţĥé ᐅ`[maximum-scale]`ᐊ åţţŕîбûţé îš ñöţ ļéšš ţĥåñ 5. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]'},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"[Šçŕééñ ŕéåðéŕš çåññöţ ţŕåñšļåţé ñöñ-ţéxţ çöñţéñţ. Åððîñĝ åļţ ţéxţ ţö ᐅ`<object>`ᐊ éļéméñţš ĥéļþš šçŕééñ ŕéåðéŕš çöñvéý méåñîñĝ ţö ûšéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/object-alt/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"[ᐅ`<object>`ᐊ éļéméñţš ðö ñöţ ĥåvé ᐅ`[alt]`ᐊ ţéxţ one two three four five six seven]"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"[ᐅ`<object>`ᐊ éļéméñţš ĥåvé ᐅ`[alt]`ᐊ ţéxţ one two three four five six]"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"[Å våļûé ĝŕéåţéŕ ţĥåñ 0 îmþļîéš åñ éxþļîçîţ ñåvîĝåţîöñ öŕðéŕîñĝ. Åļţĥöûĝĥ ţéçĥñîçåļļý våļîð, ţĥîš öƒţéñ çŕéåţéš ƒŕûšţŕåţîñĝ éxþéŕîéñçéš ƒöŕ ûšéŕš ŵĥö ŕéļý öñ åššîšţîvé ţéçĥñöļöĝîéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/tabindex/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"[Šömé éļéméñţš ĥåvé å ᐅ`[tabindex]`ᐊ våļûé ĝŕéåţéŕ ţĥåñ 0 one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"[Ñö éļéméñţ ĥåš å ᐅ`[tabindex]`ᐊ våļûé ĝŕéåţéŕ ţĥåñ 0 one two three four five six seven eight nine]"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"[Šçŕééñ ŕéåðéŕš ĥåvé ƒéåţûŕéš ţö måķé ñåvîĝåţîñĝ ţåбļéš éåšîéŕ. Éñšûŕîñĝ ᐅ`<td>`ᐊ çéļļš ûšîñĝ ţĥé ᐅ`[headers]`ᐊ åţţŕîбûţé öñļý ŕéƒéŕ ţö öţĥéŕ çéļļš îñ ţĥé šåmé ţåбļé måý îmþŕövé ţĥé éxþéŕîéñçé ƒöŕ šçŕééñ ŕéåðéŕ ûšéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/td-headers-attr/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight]"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"[Çéļļš îñ å ᐅ`<table>`ᐊ éļéméñţ ţĥåţ ûšé ţĥé ᐅ`[headers]`ᐊ åţţŕîбûţé ŕéƒéŕ ţö åñ éļéméñţ ᐅ`id`ᐊ ñöţ ƒöûñð ŵîţĥîñ ţĥé šåmé ţåбļé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{
message:"[Çéļļš îñ å ᐅ`<table>`ᐊ éļéméñţ ţĥåţ ûšé ţĥé ᐅ`[headers]`ᐊ åţţŕîбûţé ŕéƒéŕ ţö ţåбļé çéļļš ŵîţĥîñ ţĥé šåmé ţåбļé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"[Šçŕééñ ŕéåðéŕš ĥåvé ƒéåţûŕéš ţö måķé ñåvîĝåţîñĝ ţåбļéš éåšîéŕ. Éñšûŕîñĝ ţåбļé ĥéåðéŕš åļŵåýš ŕéƒéŕ ţö šömé šéţ öƒ çéļļš måý îmþŕövé ţĥé éxþéŕîéñçé ƒöŕ šçŕééñ ŕéåðéŕ ûšéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/th-has-data-cells/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{
message:'[ᐅ`<th>`ᐊ éļéméñţš åñð éļéméñţš ŵîţĥ ᐅ`[role="columnheader"/"rowheader"]`ᐊ ðö ñöţ ĥåvé ðåţå çéļļš ţĥéý ðéšçŕîбé. one two three four five six seven eight nine ten eleven twelve thirteen]'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'[ᐅ`<th>`ᐊ éļéméñţš åñð éļéméñţš ŵîţĥ ᐅ`[role="columnheader"/"rowheader"]`ᐊ ĥåvé ðåţå çéļļš ţĥéý ðéšçŕîбé. one two three four five six seven eight nine ten eleven twelve thirteen]'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"[Šþéçîƒýîñĝ å våļîð ᐅ[ᐊБÇÞ 47 ļåñĝûåĝéᐅ](https://www.w3.org/International/questions/qa-choosing-language-tags#question)ᐊ öñ éļéméñţš ĥéļþš éñšûŕé ţĥåţ ţéxţ îš þŕöñöûñçéð çöŕŕéçţļý бý å šçŕééñ ŕéåðéŕ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/valid-lang/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{
message:"[ᐅ`[lang]`ᐊ åţţŕîбûţéš ðö ñöţ ĥåvé å våļîð våļûé one two three four five six seven eight]"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"[ᐅ`[lang]`ᐊ åţţŕîбûţéš ĥåvé å våļîð våļûé one two three four five six seven]"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"[Ŵĥéñ å vîðéö þŕövîðéš å çåþţîöñ îţ îš éåšîéŕ ƒöŕ ðéåƒ åñð ĥéåŕîñĝ îmþåîŕéð ûšéŕš ţö åççéšš îţš îñƒöŕmåţîöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/video-caption/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'[ᐅ`<video>`ᐊ éļéméñţš ðö ñöţ çöñţåîñ å ᐅ`<track>`ᐊ éļéméñţ ŵîţĥ ᐅ`[kind="captions"]`ᐊ. one two three four five six seven eight nine ten eleven]'},"lighthouse-core/audits/accessibility/video-caption.js | title":{
message:'[ᐅ`<video>`ᐊ éļéméñţš çöñţåîñ å ᐅ`<track>`ᐊ éļéméñţ ŵîţĥ ᐅ`[kind="captions"]`ᐊ one two three four five six seven eight nine]'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"[Föŕ îðéåļ åþþéåŕåñçé öñ îÖŠ ŵĥéñ ûšéŕš åðð å þŕöĝŕéššîvé ŵéб åþþ ţö ţĥé ĥömé šçŕééñ, ðéƒîñé åñ ᐅ`apple-touch-icon`ᐊ. Îţ mûšţ þöîñţ ţö å ñöñ-ţŕåñšþåŕéñţ 192þx (öŕ 180þx) šqûåŕé ÞÑĜ. ᐅ[ᐊĻéåŕñ Möŕéᐅ](https://web.dev/apple-touch-icon/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"[Ðöéš ñöţ þŕövîðé å våļîð ᐅ`apple-touch-icon`ᐊ one two three four five six]"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"[ᐅ`apple-touch-icon-precomposed`ᐊ îš öûţ öƒ ðåţé; ᐅ`apple-touch-icon`ᐊ îš þŕéƒéŕŕéð. one two three four five six seven eight]"},
"lighthouse-core/audits/apple-touch-icon.js | title":{message:"[Þŕövîðéš å våļîð ᐅ`apple-touch-icon`ᐊ one two three four five]"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"[Çûŕŕéñţ Våļûé one two]"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"[Šûĝĝéšţéð Ţöķéñ one two]"},"lighthouse-core/audits/autocomplete.js | description":{message:"[ᐅ`autocomplete`ᐊ ĥéļþš ûšéŕš šûбmîţ ƒöŕmš qûîçķéŕ. Ţö ŕéðûçé ûšéŕ éƒƒöŕţ, çöñšîðéŕ éñåбļîñĝ бý šéţţîñĝ ţĥé ᐅ`autocomplete`ᐊ åţţŕîбûţé ţö å våļîð våļûé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"[ᐅ`<input>`ᐊ éļéméñţš ðö ñöţ ĥåvé çöŕŕéçţ ᐅ`autocomplete`ᐊ åţţŕîбûţéš one two three four five six seven eight nine ten]"},
"lighthouse-core/audits/autocomplete.js | manualReview":{message:"[Ŕéqûîŕéš måñûåļ ŕévîéŵ one two three]"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"[Ŕévîéŵ öŕðéŕ öƒ ţöķéñš one two three four five]"},"lighthouse-core/audits/autocomplete.js | title":{message:"[ᐅ`<input>`ᐊ éļéméñţš çöŕŕéçţļý ûšé ᐅ`autocomplete`ᐊ one two three four five six seven]"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'[ᐅ`autocomplete`ᐊ ţöķéñ(š): "ᐅ{token}ᐊ" îš îñvåļîð îñ ᐅ{snippet}ᐊ one two three four five six seven eight]'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'[Ŕévîéŵ öŕðéŕ öƒ ţöķéñš: "ᐅ{tokens}ᐊ" îñ ᐅ{snippet}ᐊ one two three four five six seven eight]'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{
message:"[Çĥŕömé éxţéñšîöñš ñéĝåţîvéļý åƒƒéçţéð ţĥîš þåĝé'š ļöåð þéŕƒöŕmåñçé. Ţŕý åûðîţîñĝ ţĥé þåĝé îñ îñçöĝñîţö möðé öŕ ƒŕöm å Çĥŕömé þŕöƒîļé ŵîţĥöûţ éxţéñšîöñš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"[Šçŕîþţ Évåļûåţîöñ one two three]"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"[Šçŕîþţ Þåŕšé one two]"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"[Ţöţåļ ÇÞÛ Ţîmé one two]"},"lighthouse-core/audits/bootup-time.js | description":{
message:"[Çöñšîðéŕ ŕéðûçîñĝ ţĥé ţîmé šþéñţ þåŕšîñĝ, çömþîļîñĝ, åñð éxéçûţîñĝ ĴŠ. Ýöû måý ƒîñð ðéļîvéŕîñĝ šmåļļéŕ ĴŠ þåýļöåðš ĥéļþš ŵîţĥ ţĥîš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/bootup-time/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"[Ŕéðûçé ĴåvåŠçŕîþţ éxéçûţîöñ ţîmé one two three four five six seven]"},"lighthouse-core/audits/bootup-time.js | title":{message:"[ĴåvåŠçŕîþţ éxéçûţîöñ ţîmé one two three]"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"[Ŕémövé ļåŕĝé, ðûþļîçåţé ĴåvåŠçŕîþţ möðûļéš ƒŕöm бûñðļéš ţö ŕéðûçé ûññéçéššåŕý бýţéš çöñšûméð бý ñéţŵöŕķ åçţîvîţý.  one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{
message:"[Ŕémövé ðûþļîçåţé möðûļéš îñ ĴåvåŠçŕîþţ бûñðļéš one two three four five six seven eight nine ten]"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"[Ļåŕĝé ĜÎFš åŕé îñéƒƒîçîéñţ ƒöŕ ðéļîvéŕîñĝ åñîmåţéð çöñţéñţ. Çöñšîðéŕ ûšîñĝ MÞÉĜ4/ŴéбM vîðéöš ƒöŕ åñîmåţîöñš åñð ÞÑĜ/ŴéбÞ ƒöŕ šţåţîç îmåĝéš îñšţéåð öƒ ĜÎF ţö šåvé ñéţŵöŕķ бýţéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/efficient-animated-content/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"[Ûšé vîðéö ƒöŕmåţš ƒöŕ åñîmåţéð çöñţéñţ one two three four five six seven eight]"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"[Þöļýƒîļļš åñð ţŕåñšƒöŕmš éñåбļé ļéĝåçý бŕöŵšéŕš ţö ûšé ñéŵ ĴåvåŠçŕîþţ ƒéåţûŕéš. Ĥöŵévéŕ, måñý åŕéñ'ţ ñéçéššåŕý ƒöŕ möðéŕñ бŕöŵšéŕš. Föŕ ýöûŕ бûñðļéð ĴåvåŠçŕîþţ, åðöþţ å möðéŕñ šçŕîþţ ðéþļöýméñţ šţŕåţéĝý ûšîñĝ möðûļé/ñömöðûļé ƒéåţûŕé ðéţéçţîöñ ţö ŕéðûçé ţĥé åmöûñţ öƒ çöðé šĥîþþéð ţö möðéŕñ бŕöŵšéŕš, ŵĥîļé ŕéţåîñîñĝ šûþþöŕţ ƒöŕ ļéĝåçý бŕöŵšéŕš. ᐅ[ᐊĻéåŕñ Möŕéᐅ](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four]"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{
message:"[Åvöîð šéŕvîñĝ ļéĝåçý ĴåvåŠçŕîþţ ţö möðéŕñ бŕöŵšéŕš one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"[Îmåĝé ƒöŕmåţš ļîķé ĴÞÉĜ 2000, ĴÞÉĜ XŔ, åñð ŴéбÞ öƒţéñ þŕövîðé бéţţéŕ çömþŕéššîöñ ţĥåñ ÞÑĜ öŕ ĴÞÉĜ, ŵĥîçĥ méåñš ƒåšţéŕ ðöŵñļöåðš åñð ļéšš ðåţå çöñšûmþţîöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-webp-images/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"[Šéŕvé îmåĝéš îñ ñéxţ-ĝéñ ƒöŕmåţš one two three four five six seven]"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{
message:"[Çöñšîðéŕ ļåžý-ļöåðîñĝ öƒƒšçŕééñ åñð ĥîððéñ îmåĝéš åƒţéŕ åļļ çŕîţîçåļ ŕéšöûŕçéš ĥåvé ƒîñîšĥéð ļöåðîñĝ ţö ļöŵéŕ ţîmé ţö îñţéŕåçţîvé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/offscreen-images/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"[Ðéƒéŕ öƒƒšçŕééñ îmåĝéš one two three]"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"[Ŕéšöûŕçéš åŕé бļöçķîñĝ ţĥé ƒîŕšţ þåîñţ öƒ ýöûŕ þåĝé. Çöñšîðéŕ ðéļîvéŕîñĝ çŕîţîçåļ ĴŠ/ÇŠŠ îñļîñé åñð ðéƒéŕŕîñĝ åļļ ñöñ-çŕîţîçåļ ĴŠ/šţýļéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/render-blocking-resources/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},
"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"[Éļîmîñåţé ŕéñðéŕ-бļöçķîñĝ ŕéšöûŕçéš one two three four]"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"[Ļåŕĝé ñéţŵöŕķ þåýļöåðš çöšţ ûšéŕš ŕéåļ möñéý åñð åŕé ĥîĝĥļý çöŕŕéļåţéð ŵîţĥ ļöñĝ ļöåð ţîméš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/total-byte-weight/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"[Ţöţåļ šîžé ŵåš ᐅ{totalBytes, number, bytes}ᐊ ĶîБ one two three four five]"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"[Åvöîð éñöŕmöûš ñéţŵöŕķ þåýļöåðš one two three four five six seven]"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"[Åvöîðš éñöŕmöûš ñéţŵöŕķ þåýļöåðš one two three four five six seven]"},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"[Mîñîƒýîñĝ ÇŠŠ ƒîļéš çåñ ŕéðûçé ñéţŵöŕķ þåýļöåð šîžéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/unminified-css/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"[Mîñîƒý ÇŠŠ one two]"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"[Mîñîƒýîñĝ ĴåvåŠçŕîþţ ƒîļéš çåñ ŕéðûçé þåýļöåð šîžéš åñð šçŕîþţ þåŕšé ţîmé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/unminified-javascript/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"[Mîñîƒý ĴåvåŠçŕîþţ one two three]"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"[Ŕéðûçé ûñûšéð ŕûļéš ƒŕöm šţýļéšĥééţš åñð ðéƒéŕ ÇŠŠ ñöţ ûšéð ƒöŕ åбövé-ţĥé-ƒöļð çöñţéñţ ţö ðéçŕéåšé бýţéš çöñšûméð бý ñéţŵöŕķ åçţîvîţý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/unused-css-rules/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"[Ŕéðûçé ûñûšéð ÇŠŠ one two three]"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"[Ŕéðûçé ûñûšéð ĴåvåŠçŕîþţ åñð ðéƒéŕ ļöåðîñĝ šçŕîþţš ûñţîļ ţĥéý åŕé ŕéqûîŕéð ţö ðéçŕéåšé бýţéš çöñšûméð бý ñéţŵöŕķ åçţîvîţý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/unused-javascript/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"[Ŕéðûçé ûñûšéð ĴåvåŠçŕîþţ one two three]"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"[Å ļöñĝ çåçĥé ļîƒéţîmé çåñ šþééð ûþ ŕéþéåţ vîšîţš ţö ýöûŕ þåĝé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-long-cache-ttl/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{[1 ŕéšöûŕçé ƒöûñð one two]}other{[# ŕéšöûŕçéš ƒöûñð one two three]}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"[Šéŕvé šţåţîç åššéţš ŵîţĥ åñ éƒƒîçîéñţ çåçĥé þöļîçý one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"[Ûšéš éƒƒîçîéñţ çåçĥé þöļîçý öñ šţåţîç åššéţš one two three four five six seven eight nine]"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{
message:"[Öþţîmîžéð îmåĝéš ļöåð ƒåšţéŕ åñð çöñšûmé ļéšš çéļļûļåŕ ðåţå. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-optimized-images/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"[Éƒƒîçîéñţļý éñçöðé îmåĝéš one two three]"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"[Šéŕvé îmåĝéš ţĥåţ åŕé åþþŕöþŕîåţéļý-šîžéð ţö šåvé çéļļûļåŕ ðåţå åñð îmþŕövé ļöåð ţîmé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-responsive-images/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"[Þŕöþéŕļý šîžé îmåĝéš one two three]"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"[Ţéxţ-бåšéð ŕéšöûŕçéš šĥöûļð бé šéŕvéð ŵîţĥ çömþŕéššîöñ (ĝžîþ, ðéƒļåţé öŕ бŕöţļî) ţö mîñîmîžé ţöţåļ ñéţŵöŕķ бýţéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-text-compression/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"[Éñåбļé ţéxţ çömþŕéššîöñ one two three]"},"lighthouse-core/audits/content-width.js | description":{message:"[Îƒ ţĥé ŵîðţĥ öƒ ýöûŕ åþþ'š çöñţéñţ ðöéšñ'ţ måţçĥ ţĥé ŵîðţĥ öƒ ţĥé vîéŵþöŕţ, ýöûŕ åþþ mîĝĥţ ñöţ бé öþţîmîžéð ƒöŕ möбîļé šçŕééñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/content-width/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/content-width.js | explanation":{
message:"[Ţĥé vîéŵþöŕţ šîžé öƒ ᐅ{innerWidth}ᐊþx ðöéš ñöţ måţçĥ ţĥé ŵîñðöŵ šîžé öƒ ᐅ{outerWidth}ᐊþx. one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/content-width.js | failureTitle":{message:"[Çöñţéñţ îš ñöţ šîžéð çöŕŕéçţļý ƒöŕ ţĥé vîéŵþöŕţ one two three four five six seven eight nine ten]"},"lighthouse-core/audits/content-width.js | title":{message:"[Çöñţéñţ îš šîžéð çöŕŕéçţļý ƒöŕ ţĥé vîéŵþöŕţ one two three four five six seven eight nine]"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"[Ţĥé Çŕîţîçåļ Ŕéqûéšţ Çĥåîñš бéļöŵ šĥöŵ ýöû ŵĥåţ ŕéšöûŕçéš åŕé ļöåðéð ŵîţĥ å ĥîĝĥ þŕîöŕîţý. Çöñšîðéŕ ŕéðûçîñĝ ţĥé ļéñĝţĥ öƒ çĥåîñš, ŕéðûçîñĝ ţĥé ðöŵñļöåð šîžé öƒ ŕéšöûŕçéš, öŕ ðéƒéŕŕîñĝ ţĥé ðöŵñļöåð öƒ ûññéçéššåŕý ŕéšöûŕçéš ţö îmþŕövé þåĝé ļöåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/critical-request-chains/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree]"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{[1 çĥåîñ ƒöûñð one two]}other{[# çĥåîñš ƒöûñð one two]}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"[Åvöîð çĥåîñîñĝ çŕîţîçåļ ŕéqûéšţš one two three four five six seven]"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"[Ðîŕéçţîvé one two]"},
"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"[Šévéŕîţý one]"},"lighthouse-core/audits/csp-xss.js | description":{message:"[Å šţŕöñĝ Çöñţéñţ Šéçûŕîţý Þöļîçý (ÇŠÞ) šîĝñîƒîçåñţļý ŕéðûçéš ţĥé ŕîšķ öƒ çŕöšš-šîţé šçŕîþţîñĝ (XŠŠ) åţţåçķš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/csp-xss/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"[Šýñţåx one]"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"[Ţĥé þåĝé çöñţåîñš å ÇŠÞ ðéƒîñéð îñ å <meta> ţåĝ. Çöñšîðéŕ ðéƒîñîñĝ ţĥé ÇŠÞ îñ åñ ĤŢŢÞ ĥéåðéŕ îƒ ýöû çåñ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"[Ñö ÇŠÞ ƒöûñð îñ éñƒöŕçéméñţ möðé one two three four five six seven]"},"lighthouse-core/audits/csp-xss.js | title":{
message:"[Éñšûŕé ÇŠÞ îš éƒƒéçţîvé åĝåîñšţ XŠŠ åţţåçķš one two three four five six seven eight nine]"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"[Ðéþŕéçåţîöñ / Ŵåŕñîñĝ one two three]"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"[Ļîñé one]"},"lighthouse-core/audits/deprecations.js | description":{message:"[Ðéþŕéçåţéð ÅÞÎš ŵîļļ évéñţûåļļý бé ŕémövéð ƒŕöm ţĥé бŕöŵšéŕ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/deprecations/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{[1 ŵåŕñîñĝ ƒöûñð one two]}other{[# ŵåŕñîñĝš ƒöûñð one two]}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"[Ûšéš ðéþŕéçåţéð ÅÞÎš one two three]"},"lighthouse-core/audits/deprecations.js | title":{message:"[Åvöîðš ðéþŕéçåţéð ÅÞÎš one two three]"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{
message:"[Åþþļîçåţîöñ Çåçĥé îš ðéþŕéçåţéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/appcache-manifest/)ᐊ. one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'[Föûñð "ᐅ{AppCacheManifest}ᐊ" one two three]'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"[Ûšéš Åþþļîçåţîöñ Çåçĥé one two three]"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"[Åvöîðš Åþþļîçåţîöñ Çåçĥé one two three]"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"[Å çĥåŕåçţéŕ éñçöðîñĝ ðéçļåŕåţîöñ îš ŕéqûîŕéð. Îţ çåñ бé ðöñé ŵîţĥ å ᐅ`<meta>`ᐊ ţåĝ îñ ţĥé ƒîŕšţ 1024 бýţéš öƒ ţĥé ĤŢMĻ öŕ îñ ţĥé Çöñţéñţ-Ţýþé ĤŢŢÞ ŕéšþöñšé ĥéåðéŕ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/charset/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},
"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"[Çĥåŕšéţ ðéçļåŕåţîöñ îš mîššîñĝ öŕ öççûŕš ţöö ļåţé îñ ţĥé ĤŢMĻ one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"[Þŕöþéŕļý ðéƒîñéš çĥåŕšéţ one two three]"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"[Šþéçîƒýîñĝ å ðöçţýþé þŕévéñţš ţĥé бŕöŵšéŕ ƒŕöm šŵîţçĥîñĝ ţö qûîŕķš-möðé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/doctype/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"[Ðöçţýþé ñåmé mûšţ бé ţĥé ļöŵéŕçåšé šţŕîñĝ ᐅ`html`ᐊ one two three four five six seven eight nine]"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"[Ðöçûméñţ mûšţ çöñţåîñ å ðöçţýþé one two three four five six seven]"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"[Éxþéçţéð þûбļîçÎð ţö бé åñ émþţý šţŕîñĝ one two three four five six seven eight]"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"[Éxþéçţéð šýšţémÎð ţö бé åñ émþţý šţŕîñĝ one two three four five six seven eight]"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"[Þåĝé ļåçķš ţĥé ĤŢMĻ ðöçţýþé, ţĥûš ţŕîĝĝéŕîñĝ qûîŕķš-möðé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"[Þåĝé ĥåš ţĥé ĤŢMĻ ðöçţýþé one two three four five six]"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"[Šţåţîšţîç one two]"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"[Våļûé one]"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"[Å ļåŕĝé ÐÖM ŵîļļ îñçŕéåšé mémöŕý ûšåĝé, çåûšé ļöñĝéŕ ᐅ[ᐊšţýļé çåļçûļåţîöñšᐅ](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations)ᐊ, åñð þŕöðûçé çöšţļý ᐅ[ᐊļåýöûţ ŕéƒļöŵšᐅ](https://developers.google.com/speed/articles/reflow)ᐊ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/dom-size/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{[1 éļéméñţ one two]}other{[# éļéméñţš one two]}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"[Åvöîð åñ éxçéššîvé ÐÖM šîžé one two three four five six]"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"[Måxîmûm ÐÖM Ðéþţĥ one two three]"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{
message:"[Ţöţåļ ÐÖM Éļéméñţš one two three]"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"[Måxîmûm Çĥîļð Éļéméñţš one two three]"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"[Åvöîðš åñ éxçéššîvé ÐÖM šîžé one two three four five six]"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"[Fåîļîñĝ Åñçĥöŕš one two]"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'[Åðð ᐅ`rel="noopener"`ᐊ öŕ ᐅ`rel="noreferrer"`ᐊ ţö åñý éxţéŕñåļ ļîñķš ţö îmþŕövé þéŕƒöŕmåñçé åñð þŕévéñţ šéçûŕîţý vûļñéŕåбîļîţîéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/external-anchors-use-rel-noopener/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{
message:"[Ļîñķš ţö çŕöšš-öŕîĝîñ ðéšţîñåţîöñš åŕé ûñšåƒé one two three four five six seven eight nine]"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"[Ļîñķš ţö çŕöšš-öŕîĝîñ ðéšţîñåţîöñš åŕé šåƒé one two three four five six seven eight nine]"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"[Ûñåбļé ţö ðéţéŕmîñé ţĥé ðéšţîñåţîöñ ƒöŕ åñçĥöŕ (ᐅ{anchorHTML}ᐊ). Îƒ ñöţ ûšéð åš å ĥýþéŕļîñķ, çöñšîðéŕ ŕémövîñĝ ţåŕĝéţ=_бļåñķ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{
message:"[Ûšéŕš åŕé mîšţŕûšţƒûļ öƒ öŕ çöñƒûšéð бý šîţéš ţĥåţ ŕéqûéšţ ţĥéîŕ ļöçåţîöñ ŵîţĥöûţ çöñţéxţ. Çöñšîðéŕ ţýîñĝ ţĥé ŕéqûéšţ ţö å ûšéŕ åçţîöñ îñšţéåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/geolocation-on-start/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"[Ŕéqûéšţš ţĥé ĝéöļöçåţîöñ þéŕmîššîöñ öñ þåĝé ļöåð one two three four five six seven eight nine ten]"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"[Åvöîðš ŕéqûéšţîñĝ ţĥé ĝéöļöçåţîöñ þéŕmîššîöñ öñ þåĝé ļöåð one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"[Îššûé ţýþé one two]"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"[Îššûéš ļöĝĝéð ţö ţĥé ᐅ`Issues`ᐊ þåñéļ îñ Çĥŕömé Ðévţööļš îñðîçåţé ûñŕéšöļvéð þŕöбļémš. Ţĥéý çåñ çömé ƒŕöm ñéţŵöŕķ ŕéqûéšţ ƒåîļûŕéš, îñšûƒƒîçîéñţ šéçûŕîţý çöñţŕöļš, åñð öţĥéŕ бŕöŵšéŕ çöñçéŕñš. Öþéñ ûþ ţĥé Îššûéš þåñéļ îñ Çĥŕömé ÐévŢööļš ƒöŕ möŕé ðéţåîļš öñ éåçĥ îššûé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree]"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"[Îššûéš ŵéŕé ļöĝĝéð îñ ţĥé ᐅ`Issues`ᐊ þåñéļ îñ Çĥŕömé Ðévţööļš one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"[Бļöçķéð бý çŕöšš-öŕîĝîñ þöļîçý one two three four five six seven]"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{
message:"[Ĥéåvý ŕéšöûŕçé ûšåĝé бý åðš one two three four five six]"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"[Ñö îššûéš îñ ţĥé ᐅ`Issues`ᐊ þåñéļ îñ Çĥŕömé Ðévţööļš one two three four five six seven eight nine]"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"[Véŕšîöñ one]"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"[Åļļ ƒŕöñţ-éñð ĴåvåŠçŕîþţ ļîбŕåŕîéš ðéţéçţéð öñ ţĥé þåĝé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/js-libraries/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"[Ðéţéçţéð ĴåvåŠçŕîþţ ļîбŕåŕîéš one two three four]"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{
message:"[Föŕ ûšéŕš öñ šļöŵ çöññéçţîöñš, éxţéŕñåļ šçŕîþţš ðýñåmîçåļļý îñĵéçţéð vîå ᐅ`document.write()`ᐊ çåñ ðéļåý þåĝé ļöåð бý ţéñš öƒ šéçöñðš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/no-document-write/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"[Åvöîð ᐅ`document.write()`ᐊ one two three]"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"[Åvöîðš ᐅ`document.write()`ᐊ one two three]"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"[Ĥîĝĥéšţ Šévéŕîţý one two]"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"[Ļîбŕåŕý Véŕšîöñ one two]"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"[Vûļñéŕåбîļîţý Çöûñţ one two three]"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"[Šömé ţĥîŕð-þåŕţý šçŕîþţš måý çöñţåîñ ķñöŵñ šéçûŕîţý vûļñéŕåбîļîţîéš ţĥåţ åŕé éåšîļý îðéñţîƒîéð åñð éxþļöîţéð бý åţţåçķéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/no-vulnerable-libraries/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{[1 vûļñéŕåбîļîţý ðéţéçţéð one two three]}other{[# vûļñéŕåбîļîţîéš ðéţéçţéð one two three]}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"[Îñçļûðéš ƒŕöñţ-éñð ĴåvåŠçŕîþţ ļîбŕåŕîéš ŵîţĥ ķñöŵñ šéçûŕîţý vûļñéŕåбîļîţîéš one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"[Åvöîðš ƒŕöñţ-éñð ĴåvåŠçŕîþţ ļîбŕåŕîéš ŵîţĥ ķñöŵñ šéçûŕîţý vûļñéŕåбîļîţîéš one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"[Ûšéŕš åŕé mîšţŕûšţƒûļ öƒ öŕ çöñƒûšéð бý šîţéš ţĥåţ ŕéqûéšţ ţö šéñð ñöţîƒîçåţîöñš ŵîţĥöûţ çöñţéxţ. Çöñšîðéŕ ţýîñĝ ţĥé ŕéqûéšţ ţö ûšéŕ ĝéšţûŕéš îñšţéåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/notification-on-start/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"[Ŕéqûéšţš ţĥé ñöţîƒîçåţîöñ þéŕmîššîöñ öñ þåĝé ļöåð one two three four five six seven eight nine ten]"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{
message:"[Åvöîðš ŕéqûéšţîñĝ ţĥé ñöţîƒîçåţîöñ þéŕmîššîöñ öñ þåĝé ļöåð one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"[Þŕévéñţîñĝ þåššŵöŕð þåšţîñĝ ûñðéŕmîñéš ĝööð šéçûŕîţý þöļîçý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/password-inputs-can-be-pasted-into/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"[Þŕévéñţš ûšéŕš ţö þåšţé îñţö þåššŵöŕð ƒîéļðš one two three four five six seven eight nine]"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"[Åļļöŵš ûšéŕš ţö þåšţé îñţö þåššŵöŕð ƒîéļðš one two three four five six seven eight nine]"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"[Þŕöţöçöļ one]"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{
message:"[ĤŢŢÞ/2 öƒƒéŕš måñý бéñéƒîţš övéŕ ĤŢŢÞ/1.1, îñçļûðîñĝ бîñåŕý ĥéåðéŕš åñð mûļţîþļéxîñĝ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-http2/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{[1 ŕéqûéšţ ñöţ šéŕvéð vîå ĤŢŢÞ/2 one two three four five six seven]}other{[# ŕéqûéšţš ñöţ šéŕvéð vîå ĤŢŢÞ/2 one two three four five six seven]}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"[Ûšé ĤŢŢÞ/2 one two]"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"[Çöñšîðéŕ måŕķîñĝ ýöûŕ ţöûçĥ åñð ŵĥééļ évéñţ ļîšţéñéŕš åš ᐅ`passive`ᐊ ţö îmþŕövé ýöûŕ þåĝé'š šçŕöļļ þéŕƒöŕmåñçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-passive-event-listeners/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"[Ðöéš ñöţ ûšé þåššîvé ļîšţéñéŕš ţö îmþŕövé šçŕöļļîñĝ þéŕƒöŕmåñçé one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"[Ûšéš þåššîvé ļîšţéñéŕš ţö îmþŕövé šçŕöļļîñĝ þéŕƒöŕmåñçé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/errors-in-console.js | description":{message:"[Éŕŕöŕš ļöĝĝéð ţö ţĥé çöñšöļé îñðîçåţé ûñŕéšöļvéð þŕöбļémš. Ţĥéý çåñ çömé ƒŕöm ñéţŵöŕķ ŕéqûéšţ ƒåîļûŕéš åñð öţĥéŕ бŕöŵšéŕ çöñçéŕñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/errors-in-console/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"[Бŕöŵšéŕ éŕŕöŕš ŵéŕé ļöĝĝéð ţö ţĥé çöñšöļé one two three four five six seven eight nine]"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"[Ñö бŕöŵšéŕ éŕŕöŕš ļöĝĝéð ţö ţĥé çöñšöļé one two three four five six seven eight]"},"lighthouse-core/audits/font-display.js | description":{message:"[Ļévéŕåĝé ţĥé ƒöñţ-ðîšþļåý ÇŠŠ ƒéåţûŕé ţö éñšûŕé ţéxţ îš ûšéŕ-vîšîбļé ŵĥîļé ŵéбƒöñţš åŕé ļöåðîñĝ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/font-display/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"[Éñšûŕé ţéxţ ŕémåîñš vîšîбļé ðûŕîñĝ ŵéбƒöñţ ļöåð one two three four five six seven eight nine ten]"},"lighthouse-core/audits/font-display.js | title":{message:"[Åļļ ţéxţ ŕémåîñš vîšîбļé ðûŕîñĝ ŵéбƒöñţ ļöåðš one two three four five six seven eight nine]"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö åûţömåţîçåļļý çĥéçķ ţĥé ᐅ`font-display`ᐊ våļûé ƒöŕ ţĥé öŕîĝîñ ᐅ{fontOrigin}ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]}other{[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö åûţömåţîçåļļý çĥéçķ ţĥé ᐅ`font-display`ᐊ våļûéš ƒöŕ ţĥé öŕîĝîñ ᐅ{fontOrigin}ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"[Åšþéçţ Ŕåţîö (Åçţûåļ) one two three]"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"[Åšþéçţ Ŕåţîö (Ðîšþļåýéð) one two three]"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"[Îmåĝé ðîšþļåý ðîméñšîöñš šĥöûļð måţçĥ ñåţûŕåļ åšþéçţ ŕåţîö. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/image-aspect-ratio/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{
message:"[Ðîšþļåýš îmåĝéš ŵîţĥ îñçöŕŕéçţ åšþéçţ ŕåţîö one two three four five six seven eight nine]"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"[Ðîšþļåýš îmåĝéš ŵîţĥ çöŕŕéçţ åšþéçţ ŕåţîö one two three four five six seven eight nine]"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"[Åçţûåļ šîžé one two]"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"[Ðîšþļåýéð šîžé one two]"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"[Éxþéçţéð šîžé one two]"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"[Îmåĝé ñåţûŕåļ ðîméñšîöñš šĥöûļð бé þŕöþöŕţîöñåļ ţö ţĥé ðîšþļåý šîžé åñð ţĥé þîxéļ ŕåţîö ţö måxîmîžé îmåĝé çļåŕîţý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/serve-responsive-images/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},
"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"[Šéŕvéš îmåĝéš ŵîţĥ ļöŵ ŕéšöļûţîöñ one two three four five six seven]"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"[Šéŕvéš îmåĝéš ŵîţĥ åþþŕöþŕîåţé ŕéšöļûţîöñ one two three four five six seven eight nine]"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"[Ţĥé åþþ îš åļŕéåðý îñšţåļļéð one two three four five six]"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"[Çöûļð ñöţ ðöŵñļöåð å ŕéqûîŕéð îçöñ ƒŕöm ţĥé måñîƒéšţ one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"[Fåîļûŕé ŕéåšöñ one two]"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"[Šéŕvîçé ŵöŕķéŕ îš ţĥé ţéçĥñöļöĝý ţĥåţ éñåбļéš ýöûŕ åþþ ţö ûšé måñý Þŕöĝŕéššîvé Ŵéб Åþþ ƒéåţûŕéš, šûçĥ åš öƒƒļîñé, åðð ţö ĥöméšçŕééñ, åñð þûšĥ ñöţîƒîçåţîöñš. Ŵîţĥ þŕöþéŕ šéŕvîçé ŵöŕķéŕ åñð måñîƒéšţ îmþļéméñţåţîöñš, бŕöŵšéŕš çåñ þŕöåçţîvéļý þŕömþţ ûšéŕš ţö åðð ýöûŕ åþþ ţö ţĥéîŕ ĥöméšçŕééñ, ŵĥîçĥ çåñ ļéåð ţö ĥîĝĥéŕ éñĝåĝéméñţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/installable-manifest/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty]"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{[1 ŕéåšöñ one]}other{[# ŕéåšöñš one two]}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"[Ŵéб åþþ måñîƒéšţ öŕ šéŕvîçé ŵöŕķéŕ ðö ñöţ mééţ ţĥé îñšţåļļåбîļîţý ŕéqûîŕéméñţš one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"[Ţĥé Þļåý Šţöŕé åþþ ÛŔĻ åñð Þļåý Šţöŕé ÎÐ ðö ñöţ måţçĥ one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"[Þåĝé îš ļöåðéð îñ åñ îñçöĝñîţö ŵîñðöŵ one two three four five six seven eight]"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"[Måñîƒéšţ 'ðîšþļåý' þŕöþéŕţý mûšţ бé öñé öƒ 'šţåñðåļöñé', 'ƒûļļšçŕééñ', öŕ 'mîñîmåļ-ûî' one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{
message:"[Måñîƒéšţ çöñţåîñš 'ðîšþļåý_övéŕŕîðé' ƒîéļð, åñð ţĥé ƒîŕšţ šûþþöŕţéð ðîšþļåý möðé mûšţ бé öñé öƒ 'šţåñðåļöñé', 'ƒûļļšçŕééñ', öŕ 'mîñîmåļ-ûî' one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"[Måñîƒéšţ çöûļð ñöţ бé ƒéţçĥéð, îš émþţý, öŕ çöûļð ñöţ бé þåŕšéð one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"[Måñîƒéšţ ÛŔĻ çĥåñĝéð ŵĥîļé ţĥé måñîƒéšţ ŵåš бéîñĝ ƒéţçĥéð. one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"[Måñîƒéšţ ðöéš ñöţ çöñţåîñ å 'ñåmé' öŕ 'šĥöŕţ_ñåmé' ƒîéļð one two three four five six seven eight nine ten eleven]"},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'[Måñîƒéšţ ðöéš ñöţ çöñţåîñ å šûîţåбļé îçöñ - ÞÑĜ, ŠVĜ öŕ ŴéбÞ ƒöŕmåţ öƒ åţ ļéåšţ ᐅ{value0}ᐊ þx îš ŕéqûîŕéð, ţĥé šîžéš åţţŕîбûţé mûšţ бé šéţ, åñð ţĥé þûŕþöšé åţţŕîбûţé, îƒ šéţ, mûšţ îñçļûðé "åñý". one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'[Ñö šûþþļîéð îçöñ îš åţ ļéåšţ ᐅ{value0}ᐊ þx šqûåŕé îñ ÞÑĜ, ŠVĜ öŕ ŴéбÞ ƒöŕmåţ, ŵîţĥ ţĥé þûŕþöšé åţţŕîбûţé ûñšéţ öŕ šéţ ţö "åñý" one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"[Ðöŵñļöåðéð îçöñ ŵåš émþţý öŕ çöŕŕûþţéð one two three four five six seven eight]"},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"[Ñö Þļåý šţöŕé ÎÐ þŕövîðéð one two three four five six]"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"[Þåĝé ĥåš ñö måñîƒéšţ <link> ÛŔĻ one two three four five six]"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"[Ñö måţçĥîñĝ šéŕvîçé ŵöŕķéŕ ðéţéçţéð. Ýöû måý ñééð ţö ŕéļöåð ţĥé þåĝé, öŕ çĥéçķ ţĥåţ ţĥé šçöþé öƒ ţĥé šéŕvîçé ŵöŕķéŕ ƒöŕ ţĥé çûŕŕéñţ þåĝé éñçļöšéš ţĥé šçöþé åñð šţåŕţ ÛŔĻ ƒŕöm ţĥé måñîƒéšţ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"[Çöûļð ñöţ çĥéçķ šéŕvîçé ŵöŕķéŕ ŵîţĥöûţ å 'šţåŕţ_ûŕļ' ƒîéļð îñ ţĥé måñîƒéšţ one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},
"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"[Îñšţåļļåбîļîţý éŕŕöŕ îð 'ᐅ{errorId}ᐊ' îš ñöţ ŕéçöĝñîžéð one two three four five six seven eight nine ten]"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"[Þåĝé îš ñöţ šéŕvéð ƒŕöm å šéçûŕé öŕîĝîñ one two three four five six seven eight]"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"[Þåĝé îš ñöţ ļöåðéð îñ ţĥé måîñ ƒŕåmé one two three four five six seven eight]"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"[Þåĝé ðöéš ñöţ ŵöŕķ öƒƒļîñé one two three four five six]"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"[Ţĥé šþéçîƒîéð åþþļîçåţîöñ þļåţƒöŕm îš ñöţ šûþþöŕţéð öñ Åñðŕöîð one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{
message:"[Måñîƒéšţ šþéçîƒîéš þŕéƒéŕ_ŕéļåţéð_åþþļîçåţîöñš: ţŕûé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"[þŕéƒéŕ_ŕéļåţéð_åþþļîçåţîöñš îš öñļý šûþþöŕţéð öñ Çĥŕömé Бéţå åñð Šţåбļé çĥåññéļš öñ Åñðŕöîð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"[Måñîƒéšţ šţåŕţ ÛŔĻ îš ñöţ våļîð one two three four five six seven]"},"lighthouse-core/audits/installable-manifest.js | title":{message:"[Ŵéб åþþ måñîƒéšţ åñð šéŕvîçé ŵöŕķéŕ mééţ ţĥé îñšţåļļåбîļîţý ŕéqûîŕéméñţš one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{
message:"[Å ÛŔĻ îñ ţĥé måñîƒéšţ çöñţåîñš å ûšéŕñåmé, þåššŵöŕð, öŕ þöŕţ one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"[Þåĝé ðöéš ñöţ ŵöŕķ öƒƒļîñé. Ţĥé þåĝé ŵîļļ ñöţ бé ŕéĝåŕðéð åš îñšţåļļåбļé åƒţéŕ Çĥŕömé 93, šţåбļé ŕéļéåšé Åûĝûšţ 2021. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/is-on-https.js | allowed":{message:"[Åļļöŵéð one]"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"[Бļöçķéð one]"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"[Îñšéçûŕé ÛŔĻ one two]"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"[Ŕéqûéšţ Ŕéšöļûţîöñ one two three]"},"lighthouse-core/audits/is-on-https.js | description":{
message:"[Åļļ šîţéš šĥöûļð бé þŕöţéçţéð ŵîţĥ ĤŢŢÞŠ, évéñ öñéš ţĥåţ ðöñ'ţ ĥåñðļé šéñšîţîvé ðåţå. Ţĥîš îñçļûðéš åvöîðîñĝ ᐅ[ᐊmîxéð çöñţéñţᐅ](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)ᐊ, ŵĥéŕé šömé ŕéšöûŕçéš åŕé ļöåðéð övéŕ ĤŢŢÞ ðéšþîţé ţĥé îñîţîåļ ŕéqûéšţ бéîñĝ šéŕvéð övéŕ ĤŢŢÞŠ. ĤŢŢÞŠ þŕévéñţš îñţŕûðéŕš ƒŕöm ţåmþéŕîñĝ ŵîţĥ öŕ þåššîvéļý ļîšţéñîñĝ îñ öñ ţĥé çömmûñîçåţîöñš бéţŵééñ ýöûŕ åþþ åñð ýöûŕ ûšéŕš, åñð îš å þŕéŕéqûîšîţé ƒöŕ ĤŢŢÞ/2 åñð måñý ñéŵ ŵéб þļåţƒöŕm ÅÞÎš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/is-on-https/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"
},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{[1 îñšéçûŕé ŕéqûéšţ ƒöûñð one two three four five]}other{[# îñšéçûŕé ŕéqûéšţš ƒöûñð one two three four five six]}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"[Ðöéš ñöţ ûšé ĤŢŢÞŠ one two three four]"},"lighthouse-core/audits/is-on-https.js | title":{message:"[Ûšéš ĤŢŢÞŠ one two]"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"[Åûţömåţîçåļļý ûþĝŕåðéð ţö ĤŢŢÞŠ one two three four five six seven]"},"lighthouse-core/audits/is-on-https.js | warning":{message:"[Åļļöŵéð ŵîţĥ ŵåŕñîñĝ one two three]"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"[Ļîбŕåŕý one]"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"[Ļåŕĝé ĴåvåŠçŕîþţ ļîбŕåŕîéš çåñ ļéåð ţö þööŕ þéŕƒöŕmåñçé. Þŕéƒéŕ šmåļļéŕ, ƒûñçţîöñåļļý éqûîvåļéñţ ļîбŕåŕîéš ţö ŕéðûçé ýöûŕ бûñðļé šîžé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{[1 ļåŕĝé ļîбŕåŕý ƒöûñð one two three four five]}other{[# ļåŕĝé ļîбŕåŕîéš ƒöûñð one two three four five]}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"[Ŕéþļåçé ûññéçéššåŕîļý ļåŕĝé ĴåvåŠçŕîþţ ļîбŕåŕîéš one two three four five six seven eight nine ten]"},"lighthouse-core/audits/large-javascript-libraries.js | title":{
message:"[Åvöîðš ļåŕĝé ĴåvåŠçŕîþţ ļîбŕåŕîéš ŵîţĥ šmåļļéŕ åļţéŕñåţîvéš one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"[Ţĥîš îš ţĥé ļåŕĝéšţ çöñţéñţƒûļ éļéméñţ þåîñţéð ŵîţĥîñ ţĥé vîéŵþöŕţ. ᐅ[ᐊĻéåŕñ Möŕéᐅ](https://web.dev/lighthouse-largest-contentful-paint/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"[Ļåŕĝéšţ Çöñţéñţƒûļ Þåîñţ éļéméñţ one two three four five six seven]"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"[ÇĻŠ Çöñţŕîбûţîöñ one two]"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"[Ţĥéšé ÐÖM éļéméñţš çöñţŕîбûţé möšţ ţö ţĥé ÇĻŠ öƒ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/layout-shift-elements.js | title":{
message:"[Åvöîð ļåŕĝé ļåýöûţ šĥîƒţš one two three four five six]"},"lighthouse-core/audits/long-tasks.js | description":{message:"[Ļîšţš ţĥé ļöñĝéšţ ţåšķš öñ ţĥé måîñ ţĥŕéåð, ûšéƒûļ ƒöŕ îðéñţîƒýîñĝ ŵöŕšţ çöñţŕîбûţöŕš ţö îñþûţ ðéļåý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/long-tasks-devtools/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{[# ļöñĝ ţåšķ ƒöûñð one two three four]}other{[# ļöñĝ ţåšķš ƒöûñð one two three four]}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"[Åvöîð ļöñĝ måîñ-ţĥŕéåð ţåšķš one two three four five six]"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"[Çåţéĝöŕý one]"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"[Çöñšîðéŕ ŕéðûçîñĝ ţĥé ţîmé šþéñţ þåŕšîñĝ, çömþîļîñĝ åñð éxéçûţîñĝ ĴŠ. Ýöû måý ƒîñð ðéļîvéŕîñĝ šmåļļéŕ ĴŠ þåýļöåðš ĥéļþš ŵîţĥ ţĥîš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/mainthread-work-breakdown/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"[Mîñîmîžé måîñ-ţĥŕéåð ŵöŕķ one two three]"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"[Mîñîmîžéš måîñ-ţĥŕéåð ŵöŕķ one two three]"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"[Ţö ŕéåçĥ ţĥé möšţ ñûmбéŕ öƒ ûšéŕš, šîţéš šĥöûļð ŵöŕķ åçŕöšš évéŕý måĵöŕ бŕöŵšéŕ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/pwa-cross-browser/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{
message:"[Šîţé ŵöŕķš çŕöšš-бŕöŵšéŕ one two three]"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"[Éñšûŕé îñðîvîðûåļ þåĝéš åŕé ðééþ ļîñķåбļé vîå ÛŔĻ åñð ţĥåţ ÛŔĻš åŕé ûñîqûé ƒöŕ ţĥé þûŕþöšé öƒ šĥåŕéåбîļîţý öñ šöçîåļ méðîå. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/pwa-each-page-has-url/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"[Éåçĥ þåĝé ĥåš å ÛŔĻ one two three four]"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"[Ţŕåñšîţîöñš šĥöûļð ƒééļ šñåþþý åš ýöû ţåþ åŕöûñð, évéñ öñ å šļöŵ ñéţŵöŕķ. Ţĥîš éxþéŕîéñçé îš ķéý ţö å ûšéŕ'š þéŕçéþţîöñ öƒ þéŕƒöŕmåñçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/pwa-page-transitions/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"[Þåĝé ţŕåñšîţîöñš ðöñ'ţ ƒééļ ļîķé ţĥéý бļöçķ öñ ţĥé ñéţŵöŕķ one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/maskable-icon.js | description":{message:"[Å måšķåбļé îçöñ éñšûŕéš ţĥåţ ţĥé îmåĝé ƒîļļš ţĥé éñţîŕé šĥåþé ŵîţĥöûţ бéîñĝ ļéţţéŕбöxéð ŵĥéñ îñšţåļļîñĝ ţĥé åþþ öñ å ðévîçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/maskable-icon-audit/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},
"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"[Måñîƒéšţ ðöéšñ'ţ ĥåvé å måšķåбļé îçöñ one two three four five six seven eight]"},"lighthouse-core/audits/maskable-icon.js | title":{message:"[Måñîƒéšţ ĥåš å måšķåбļé îçöñ one two three four five six]"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"[Çûmûļåţîvé Ļåýöûţ Šĥîƒţ méåšûŕéš ţĥé mövéméñţ öƒ vîšîбļé éļéméñţš ŵîţĥîñ ţĥé vîéŵþöŕţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/cls/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"[Fîŕšţ Çöñţéñţƒûļ Þåîñţ måŕķš ţĥé ţîmé åţ ŵĥîçĥ ţĥé ƒîŕšţ ţéxţ öŕ îmåĝé îš þåîñţéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/first-contentful-paint/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},
"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"[Fîŕšţ Méåñîñĝƒûļ Þåîñţ méåšûŕéš ŵĥéñ ţĥé þŕîmåŕý çöñţéñţ öƒ å þåĝé îš vîšîбļé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/first-meaningful-paint/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"[Ţîmé ţö îñţéŕåçţîvé îš ţĥé åmöûñţ öƒ ţîmé îţ ţåķéš ƒöŕ ţĥé þåĝé ţö бéçömé ƒûļļý îñţéŕåçţîvé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/interactive/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"[Ļåŕĝéšţ Çöñţéñţƒûļ Þåîñţ måŕķš ţĥé ţîmé åţ ŵĥîçĥ ţĥé ļåŕĝéšţ ţéxţ öŕ îmåĝé îš þåîñţéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/lighthouse-largest-contentful-paint/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"[Ţĥé måxîmûm þöţéñţîåļ Fîŕšţ Îñþûţ Ðéļåý ţĥåţ ýöûŕ ûšéŕš çöûļð éxþéŕîéñçé îš ţĥé ðûŕåţîöñ öƒ ţĥé ļöñĝéšţ ţåšķ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/lighthouse-max-potential-fid/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"[Šþééð Îñðéx šĥöŵš ĥöŵ qûîçķļý ţĥé çöñţéñţš öƒ å þåĝé åŕé vîšîбļý þöþûļåţéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/speed-index/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},
"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"[Šûm öƒ åļļ ţîmé þéŕîöðš бéţŵééñ FÇÞ åñð Ţîmé ţö Îñţéŕåçţîvé, ŵĥéñ ţåšķ ļéñĝţĥ éxçééðéð 50mš, éxþŕéššéð îñ mîļļîšéçöñðš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/lighthouse-total-blocking-time/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/network-rtt.js | description":{message:"[Ñéţŵöŕķ ŕöûñð ţŕîþ ţîméš (ŔŢŢ) ĥåvé å ļåŕĝé îmþåçţ öñ þéŕƒöŕmåñçé. Îƒ ţĥé ŔŢŢ ţö åñ öŕîĝîñ îš ĥîĝĥ, îţ'š åñ îñðîçåţîöñ ţĥåţ šéŕvéŕš çļöšéŕ ţö ţĥé ûšéŕ çöûļð îmþŕövé þéŕƒöŕmåñçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://hpbn.co/primer-on-latency-and-bandwidth/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/audits/network-rtt.js | title":{
message:"[Ñéţŵöŕķ Ŕöûñð Ţŕîþ Ţîméš one two three four five]"},"lighthouse-core/audits/network-server-latency.js | description":{message:"[Šéŕvéŕ ļåţéñçîéš çåñ îmþåçţ ŵéб þéŕƒöŕmåñçé. Îƒ ţĥé šéŕvéŕ ļåţéñçý öƒ åñ öŕîĝîñ îš ĥîĝĥ, îţ'š åñ îñðîçåţîöñ ţĥé šéŕvéŕ îš övéŕļöåðéð öŕ ĥåš þööŕ бåçķéñð þéŕƒöŕmåñçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/network-server-latency.js | title":{message:"[Šéŕvéŕ Бåçķéñð Ļåţéñçîéš one two three]"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"[Ţĥé ᐅ`unload`ᐊ évéñţ ðöéš ñöţ ƒîŕé ŕéļîåбļý åñð ļîšţéñîñĝ ƒöŕ îţ çåñ þŕévéñţ бŕöŵšéŕ öþţîmîžåţîöñš ļîķé ţĥé Бåçķ-Föŕŵåŕð Çåçĥé. Çöñšîðéŕ ûšîñĝ ţĥé ᐅ`pagehide`ᐊ öŕ ᐅ`visibilitychange`ᐊ évéñţš îñšţéåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"[Ŕéĝîšţéŕš åñ ᐅ`unload`ᐊ ļîšţéñéŕ one two three four five six]"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"[Åvöîðš ᐅ`unload`ᐊ évéñţ ļîšţéñéŕš one two three four five six]"},"lighthouse-core/audits/non-composited-animations.js | description":{
message:"[Åñîmåţîöñš ŵĥîçĥ åŕé ñöţ çömþöšîţéð çåñ бé ĵåñķý åñð îñçŕéåšé ÇĻŠ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/non-composited-animations)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{[# åñîmåţéð éļéméñţ ƒöûñð one two three four five]}other{[# åñîmåţéð éļéméñţš ƒöûñð one two three four five six]}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"[Fîļţéŕ-ŕéļåţéð þŕöþéŕţý måý mövé þîxéļš one two three four five six seven eight]"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"[Ţåŕĝéţ ĥåš åñöţĥéŕ åñîmåţîöñ ŵĥîçĥ îš îñçömþåţîбļé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{
message:'[Éƒƒéçţ ĥåš çömþöšîţé möðé öţĥéŕ ţĥåñ "ŕéþļåçé" one two three four five six seven eight nine ten]'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"[Åvöîð ñöñ-çömþöšîţéð åñîmåţîöñš one two three four]"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"[Ţŕåñšƒöŕm-ŕéļåţéð þŕöþéŕţý ðéþéñðš öñ бöx šîžé one two three four five six seven eight nine ten]"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{[Ûñšûþþöŕţéð ÇŠŠ Þŕöþéŕţý: ᐅ{properties}ᐊ one two three four five six seven]}other{[Ûñšûþþöŕţéð ÇŠŠ Þŕöþéŕţîéš: ᐅ{properties}ᐊ one two three four five six seven]}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"[Éƒƒéçţ ĥåš ûñšûþþöŕţéð ţîmîñĝ þåŕåméţéŕš one two three four five six seven eight]"},"lighthouse-core/audits/performance-budget.js | description":{
message:"[Ķééþ ţĥé qûåñţîţý åñð šîžé öƒ ñéţŵöŕķ ŕéqûéšţš ûñðéŕ ţĥé ţåŕĝéţš šéţ бý ţĥé þŕövîðéð þéŕƒöŕmåñçé бûðĝéţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/tools/lighthouse/audits/budgets)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{[1 ŕéqûéšţ one two]}other{[# ŕéqûéšţš one two]}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"[Þéŕƒöŕmåñçé бûðĝéţ one two three]"},"lighthouse-core/audits/preload-fonts.js | description":{message:"[Þŕéļöåð ᐅ`optional`ᐊ ƒöñţš šö ƒîŕšţ-ţîmé vîšîţöŕš måý ûšé ţĥém. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/preload-optional-fonts/)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{
message:"[Föñţš ŵîţĥ ᐅ`font-display: optional`ᐊ åŕé ñöţ þŕéļöåðéð one two three four five six seven]"},"lighthouse-core/audits/preload-fonts.js | title":{message:"[Föñţš ŵîţĥ ᐅ`font-display: optional`ᐊ åŕé þŕéļöåðéð one two three four five six]"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"[Þŕéļöåð ţĥé îmåĝé ûšéð бý ţĥé ĻÇÞ éļéméñţ îñ öŕðéŕ ţö îmþŕövé ýöûŕ ĻÇÞ ţîmé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/optimize-lcp/#preload-important-resources)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"[Þŕéļöåð Ļåŕĝéšţ Çöñţéñţƒûļ Þåîñţ îmåĝé one two three four five six seven eight]"},"lighthouse-core/audits/redirects-http.js | description":{
message:"[Îƒ ýöû'vé åļŕéåðý šéţ ûþ ĤŢŢÞŠ, måķé šûŕé ţĥåţ ýöû ŕéðîŕéçţ åļļ ĤŢŢÞ ţŕåƒƒîç ţö ĤŢŢÞŠ îñ öŕðéŕ ţö éñåбļé šéçûŕé ŵéб ƒéåţûŕéš ƒöŕ åļļ ýöûŕ ûšéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/redirects-http/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"[Ðöéš ñöţ ŕéðîŕéçţ ĤŢŢÞ ţŕåƒƒîç ţö ĤŢŢÞŠ one two three four five six seven eight]"},"lighthouse-core/audits/redirects-http.js | title":{message:"[Ŕéðîŕéçţš ĤŢŢÞ ţŕåƒƒîç ţö ĤŢŢÞŠ one two three four five six seven]"},"lighthouse-core/audits/redirects.js | description":{message:"[Ŕéðîŕéçţš îñţŕöðûçé åððîţîöñåļ ðéļåýš бéƒöŕé ţĥé þåĝé çåñ бé ļöåðéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/redirects/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/redirects.js | title":{
message:"[Åvöîð mûļţîþļé þåĝé ŕéðîŕéçţš one two three four five six seven]"},"lighthouse-core/audits/resource-summary.js | description":{message:"[Ţö šéţ бûðĝéţš ƒöŕ ţĥé qûåñţîţý åñð šîžé öƒ þåĝé ŕéšöûŕçéš, åðð å бûðĝéţ.ĵšöñ ƒîļé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/use-lighthouse-for-performance-budgets/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{[1 ŕéqûéšţ • ᐅ{byteCount, number, bytes}ᐊ ĶîБ one two three four]}other{[# ŕéqûéšţš • ᐅ{byteCount, number, bytes}ᐊ ĶîБ one two three four five]}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"[Ķééþ ŕéqûéšţ çöûñţš ļöŵ åñð ţŕåñšƒéŕ šîžéš šmåļļ one two three four five six seven eight nine ten]"},"lighthouse-core/audits/seo/canonical.js | description":{
message:"[Çåñöñîçåļ ļîñķš šûĝĝéšţ ŵĥîçĥ ÛŔĻ ţö šĥöŵ îñ šéåŕçĥ ŕéšûļţš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/canonical/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"[Mûļţîþļé çöñƒļîçţîñĝ ÛŔĻš (ᐅ{urlList}ᐊ) one two three four five six seven]"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"[Þöîñţš ţö å ðîƒƒéŕéñţ ðömåîñ (ᐅ{url}ᐊ) one two three four five six seven]"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"[Îñvåļîð ÛŔĻ (ᐅ{url}ᐊ) one two three four]"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"[Þöîñţš ţö åñöţĥéŕ ᐅ`hreflang`ᐊ ļöçåţîöñ (ᐅ{url}ᐊ) one two three four five six seven eight]"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"[Ŕéļåţîvé ÛŔĻ (ᐅ{url}ᐊ) one two three four]"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{
message:"[Þöîñţš ţö ţĥé ðömåîñ'š ŕööţ ÛŔĻ (ţĥé ĥöméþåĝé), îñšţéåð öƒ åñ éqûîvåļéñţ þåĝé öƒ çöñţéñţ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"[Ðöçûméñţ ðöéš ñöţ ĥåvé å våļîð ᐅ`rel=canonical`ᐊ one two three four five six seven]"},"lighthouse-core/audits/seo/canonical.js | title":{message:"[Ðöçûméñţ ĥåš å våļîð ᐅ`rel=canonical`ᐊ one two three four five]"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"[Ûñçŕåŵļåбļé Ļîñķ one two]"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"[Šéåŕçĥ éñĝîñéš måý ûšé ᐅ`href`ᐊ åţţŕîбûţéš öñ ļîñķš ţö çŕåŵļ ŵéбšîţéš. Éñšûŕé ţĥåţ ţĥé ᐅ`href`ᐊ åţţŕîбûţé öƒ åñçĥöŕ éļéméñţš ļîñķš ţö åñ åþþŕöþŕîåţé ðéšţîñåţîöñ, šö möŕé þåĝéš öƒ ţĥé šîţé çåñ бé ðîšçövéŕéð. ᐅ[ᐊĻéåŕñ Möŕéᐅ](https://support.google.com/webmasters/answer/9112205)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight]"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"[Ļîñķš åŕé ñöţ çŕåŵļåбļé one two three four five]"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"[Ļîñķš åŕé çŕåŵļåбļé one two three]"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"[Åðð'ļ îļļéĝîбļé ţéxţ one two three]"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"[Föñţ Šîžé one two]"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"[% oƒ Þåĝé Ţéxţ one two three]"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"[Šéļéçţöŕ one]"},"lighthouse-core/audits/seo/font-size.js | description":{message:"[Föñţ šîžéš ļéšš ţĥåñ 12þx åŕé ţöö šmåļļ ţö бé ļéĝîбļé åñð ŕéqûîŕé möбîļé vîšîţöŕš ţö “þîñçĥ ţö žööm” îñ öŕðéŕ ţö ŕéåð. Šţŕîvé ţö ĥåvé >60% oƒ þåĝé ţéxţ ≥12þx. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/font-size/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"[ᐅ{decimalProportion, number, extendedPercent}ᐊ ļéĝîбļé ţéxţ one two three four]"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{
message:"[Ţéxţ îš îļļéĝîбļé бéçåûšé ţĥéŕé'š ñö vîéŵþöŕţ méţå ţåĝ öþţîmîžéð ƒöŕ möбîļé šçŕééñš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"[Ðöçûméñţ ðöéšñ'ţ ûšé ļéĝîбļé ƒöñţ šîžéš one two three four five six seven eight]"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"[Ļéĝîбļé ţéxţ one two]"},"lighthouse-core/audits/seo/font-size.js | title":{message:"[Ðöçûméñţ ûšéš ļéĝîбļé ƒöñţ šîžéš one two three four five six seven]"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"[ĥŕéƒļåñĝ ļîñķš ţéļļ šéåŕçĥ éñĝîñéš ŵĥåţ véŕšîöñ öƒ å þåĝé ţĥéý šĥöûļð ļîšţ îñ šéåŕçĥ ŕéšûļţš ƒöŕ å ĝîvéñ ļåñĝûåĝé öŕ ŕéĝîöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/hreflang/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{
message:"[Ðöçûméñţ ðöéšñ'ţ ĥåvé å våļîð ᐅ`hreflang`ᐊ one two three four five six seven]"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"[Ŕéļåţîvé ĥŕéƒ våļûé one two three]"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"[Ðöçûméñţ ĥåš å våļîð ᐅ`hreflang`ᐊ one two three four five]"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"[Ûñéxþéçţéð ļåñĝûåĝé çöðé one two three]"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"[Þåĝéš ŵîţĥ ûñšûççéššƒûļ ĤŢŢÞ šţåţûš çöðéš måý ñöţ бé îñðéxéð þŕöþéŕļý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/http-status-code/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"[Þåĝé ĥåš ûñšûççéššƒûļ ĤŢŢÞ šţåţûš çöðé one two three four five six seven eight]"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"[Þåĝé ĥåš šûççéššƒûļ ĤŢŢÞ šţåţûš çöðé one two three four five six seven eight]"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"[Šéåŕçĥ éñĝîñéš åŕé ûñåбļé ţö îñçļûðé ýöûŕ þåĝéš îñ šéåŕçĥ ŕéšûļţš îƒ ţĥéý ðöñ'ţ ĥåvé þéŕmîššîöñ ţö çŕåŵļ ţĥém. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/is-crawable/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"[Þåĝé îš бļöçķéð ƒŕöm îñðéxîñĝ one two three four five six seven]"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"[Þåĝé îšñ’ţ бļöçķéð ƒŕöm îñðéxîñĝ one two three four five six seven]"},"lighthouse-core/audits/seo/link-text.js | description":{message:"[Ðéšçŕîþţîvé ļîñķ ţéxţ ĥéļþš šéåŕçĥ éñĝîñéš ûñðéŕšţåñð ýöûŕ çöñţéñţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/link-text/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},
"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{[1 ļîñķ ƒöûñð one two]}other{[# ļîñķš ƒöûñð one two]}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"[Ļîñķš ðö ñöţ ĥåvé ðéšçŕîþţîvé ţéxţ one two three four five six seven]"},"lighthouse-core/audits/seo/link-text.js | title":{message:"[Ļîñķš ĥåvé ðéšçŕîþţîvé ţéxţ one two three four five six]"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"[Ŕûñ ţĥé ᐅ[ᐊŠţŕûçţûŕéð Ðåţå Ţéšţîñĝ Ţööļᐅ](https://search.google.com/structured-data/testing-tool/)ᐊ åñð ţĥé ᐅ[ᐊŠţŕûçţûŕéð Ðåţå Ļîñţéŕᐅ](http://linter.structured-data.org/)ᐊ ţö våļîðåţé šţŕûçţûŕéð ðåţå. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/structured-data/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"[Šţŕûçţûŕéð ðåţå îš våļîð one two three four five]"
},"lighthouse-core/audits/seo/meta-description.js | description":{message:"[Méţå ðéšçŕîþţîöñš måý бé îñçļûðéð îñ šéåŕçĥ ŕéšûļţš ţö çöñçîšéļý šûmmåŕîžé þåĝé çöñţéñţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/meta-description/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"[Ðéšçŕîþţîöñ ţéxţ îš émþţý. one two three four five six]"},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"[Ðöçûméñţ ðöéš ñöţ ĥåvé å méţå ðéšçŕîþţîöñ one two three four five six seven eight nine]"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"[Ðöçûméñţ ĥåš å méţå ðéšçŕîþţîöñ one two three four five six seven]"},"lighthouse-core/audits/seo/plugins.js | description":{
message:"[Šéåŕçĥ éñĝîñéš çåñ'ţ îñðéx þļûĝîñ çöñţéñţ, åñð måñý ðévîçéš ŕéšţŕîçţ þļûĝîñš öŕ ðöñ'ţ šûþþöŕţ ţĥém. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/plugins/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"[Ðöçûméñţ ûšéš þļûĝîñš one two three]"},"lighthouse-core/audits/seo/plugins.js | title":{message:"[Ðöçûméñţ åvöîðš þļûĝîñš one two three]"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"[Îƒ ýöûŕ ŕöбöţš.ţxţ ƒîļé îš måļƒöŕméð, çŕåŵļéŕš måý ñöţ бé åбļé ţö ûñðéŕšţåñð ĥöŵ ýöû ŵåñţ ýöûŕ ŵéбšîţé ţö бé çŕåŵļéð öŕ îñðéxéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/robots-txt/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{
message:"[Ŕéqûéšţ ƒöŕ ŕöбöţš.ţxţ ŕéţûŕñéð ĤŢŢÞ šţåţûš: ᐅ{statusCode}ᐊ one two three four five six seven eight nine ten]"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{[1 éŕŕöŕ ƒöûñð one two]}other{[# éŕŕöŕš ƒöûñð one two]}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö ðöŵñļöåð å ŕöбöţš.ţxţ ƒîļé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"[ŕöбöţš.ţxţ îš ñöţ våļîð one two three four five]"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"[ŕöбöţš.ţxţ îš våļîð one two three]"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"[Îñţéŕåçţîvé éļéméñţš ļîķé бûţţöñš åñð ļîñķš šĥöûļð бé ļåŕĝé éñöûĝĥ (48x48þx), åñð ĥåvé éñöûĝĥ šþåçé åŕöûñð ţĥém, ţö бé éåšý éñöûĝĥ ţö ţåþ ŵîţĥöûţ övéŕļåþþîñĝ öñţö öţĥéŕ éļéméñţš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/tap-targets/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"[ᐅ{decimalProportion, number, percent}ᐊ åþþŕöþŕîåţéļý šîžéð ţåþ ţåŕĝéţš one two three four five six seven eight]"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"[Ţåþ ţåŕĝéţš åŕé ţöö šmåļļ бéçåûšé ţĥéŕé'š ñö vîéŵþöŕţ méţå ţåĝ öþţîmîžéð ƒöŕ möбîļé šçŕééñš one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{
message:"[Ţåþ ţåŕĝéţš åŕé ñöţ šîžéð åþþŕöþŕîåţéļý one two three four five six seven eight]"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"[Övéŕļåþþîñĝ Ţåŕĝéţ one two three]"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"[Ţåþ Ţåŕĝéţ one two]"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"[Ţåþ ţåŕĝéţš åŕé šîžéð åþþŕöþŕîåţéļý one two three four five six seven eight]"},"lighthouse-core/audits/server-response-time.js | description":{message:"[Ķééþ ţĥé šéŕvéŕ ŕéšþöñšé ţîmé ƒöŕ ţĥé måîñ ðöçûméñţ šĥöŕţ бéçåûšé åļļ öţĥéŕ ŕéqûéšţš ðéþéñð öñ îţ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/time-to-first-byte/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"[Ŕööţ ðöçûméñţ ţööķ ᐅ{timeInMs, number, milliseconds}ᐊ mš one two three four five six]"},
"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"[Ŕéðûçé îñîţîåļ šéŕvéŕ ŕéšþöñšé ţîmé one two three four five six seven eight]"},"lighthouse-core/audits/server-response-time.js | title":{message:"[Îñîţîåļ šéŕvéŕ ŕéšþöñšé ţîmé ŵåš šĥöŕţ one two three four five six seven eight]"},"lighthouse-core/audits/service-worker.js | description":{message:"[Ţĥé šéŕvîçé ŵöŕķéŕ îš ţĥé ţéçĥñöļöĝý ţĥåţ éñåбļéš ýöûŕ åþþ ţö ûšé måñý Þŕöĝŕéššîvé Ŵéб Åþþ ƒéåţûŕéš, šûçĥ åš öƒƒļîñé, åðð ţö ĥöméšçŕééñ, åñð þûšĥ ñöţîƒîçåţîöñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/service-worker/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"[Ţĥîš þåĝé îš çöñţŕöļļéð бý å šéŕvîçé ŵöŕķéŕ, ĥöŵévéŕ ñö ᐅ`start_url`ᐊ ŵåš ƒöûñð бéçåûšé måñîƒéšţ ƒåîļéð ţö þåŕšé åš våļîð ĴŠÖÑ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"[Ţĥîš þåĝé îš çöñţŕöļļéð бý å šéŕvîçé ŵöŕķéŕ, ĥöŵévéŕ ţĥé ᐅ`start_url`ᐊ (ᐅ{startUrl}ᐊ) îš ñöţ îñ ţĥé šéŕvîçé ŵöŕķéŕ'š šçöþé (ᐅ{scopeUrl}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"[Ţĥîš þåĝé îš çöñţŕöļļéð бý å šéŕvîçé ŵöŕķéŕ, ĥöŵévéŕ ñö ᐅ`start_url`ᐊ ŵåš ƒöûñð бéçåûšé ñö måñîƒéšţ ŵåš ƒéţçĥéð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{
message:"[Ţĥîš öŕîĝîñ ĥåš öñé öŕ möŕé šéŕvîçé ŵöŕķéŕš, ĥöŵévéŕ ţĥé þåĝé (ᐅ{pageUrl}ᐊ) îš ñöţ îñ šçöþé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"[Ðöéš ñöţ ŕéĝîšţéŕ å šéŕvîçé ŵöŕķéŕ ţĥåţ çöñţŕöļš þåĝé åñð ᐅ`start_url`ᐊ one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/service-worker.js | title":{message:"[Ŕéĝîšţéŕš å šéŕvîçé ŵöŕķéŕ ţĥåţ çöñţŕöļš þåĝé åñð ᐅ`start_url`ᐊ one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/splash-screen.js | description":{message:"[Å ţĥéméð šþļåšĥ šçŕééñ éñšûŕéš å ĥîĝĥ-qûåļîţý éxþéŕîéñçé ŵĥéñ ûšéŕš ļåûñçĥ ýöûŕ åþþ ƒŕöm ţĥéîŕ ĥöméšçŕééñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/splash-screen/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/splash-screen.js | failureTitle":{
message:"[Îš ñöţ çöñƒîĝûŕéð ƒöŕ å çûšţöm šþļåšĥ šçŕééñ one two three four five six seven eight nine]"},"lighthouse-core/audits/splash-screen.js | title":{message:"[Çöñƒîĝûŕéð ƒöŕ å çûšţöm šþļåšĥ šçŕééñ one two three four five six seven eight]"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"[Ţĥé бŕöŵšéŕ åððŕéšš бåŕ çåñ бé ţĥéméð ţö måţçĥ ýöûŕ šîţé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/themed-omnibox/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"[Ðöéš ñöţ šéţ å ţĥémé çöļöŕ ƒöŕ ţĥé åððŕéšš бåŕ. one two three four five six seven eight nine ten]"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"[Šéţš å ţĥémé çöļöŕ ƒöŕ ţĥé åððŕéšš бåŕ. one two three four five six seven eight]"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"[ᐅ{productName}ᐊ (Çûšţöméŕ Šûççéšš) one two three four five]"},
"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"[ᐅ{productName}ᐊ (Måŕķéţîñĝ) one two three four]"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"[ᐅ{productName}ᐊ (Šöçîåļ) one two three]"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"[ᐅ{productName}ᐊ (Vîðéö) one two three]"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"[Þŕöðûçţ one]"},"lighthouse-core/audits/third-party-facades.js | description":{message:"[Šömé ţĥîŕð-þåŕţý émбéðš çåñ бé ļåžý ļöåðéð. Çöñšîðéŕ ŕéþļåçîñĝ ţĥém ŵîţĥ å ƒåçåðé ûñţîļ ţĥéý åŕé ŕéqûîŕéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/third-party-facades/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{[# ƒåçåðé åļţéŕñåţîvé åvåîļåбļé one two three four five six seven]}other{[# ƒåçåðé åļţéŕñåţîvéš åvåîļåбļé one two three four five six seven]}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"[Šömé ţĥîŕð-þåŕţý ŕéšöûŕçéš çåñ бé ļåžý ļöåðéð ŵîţĥ å ƒåçåðé one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/audits/third-party-facades.js | title":{message:"[Ļåžý ļöåð ţĥîŕð-þåŕţý ŕéšöûŕçéš ŵîţĥ ƒåçåðéš one two three four five six seven eight nine]"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"[Ţĥîŕð-Þåŕţý one two]"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"[Ţĥîŕð-þåŕţý çöðé çåñ šîĝñîƒîçåñţļý îmþåçţ ļöåð þéŕƒöŕmåñçé. Ļîmîţ ţĥé ñûmбéŕ öƒ ŕéðûñðåñţ ţĥîŕð-þåŕţý þŕövîðéŕš åñð ţŕý ţö ļöåð ţĥîŕð-þåŕţý çöðé åƒţéŕ ýöûŕ þåĝé ĥåš þŕîmåŕîļý ƒîñîšĥéð ļöåðîñĝ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight]"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"[Ţĥîŕð-þåŕţý çöðé бļöçķéð ţĥé måîñ ţĥŕéåð ƒöŕ ᐅ{timeInMs, number, milliseconds}ᐊ mš one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"[Ŕéðûçé ţĥé îmþåçţ öƒ ţĥîŕð-þåŕţý çöðé one two three four five six seven eight]"},"lighthouse-core/audits/third-party-summary.js | title":{
message:"[Mîñîmîžé ţĥîŕð-þåŕţý ûšåĝé one two three]"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"[Méåšûŕéméñţ one two]"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"[Méţŕîç one]"},"lighthouse-core/audits/timing-budget.js | description":{message:"[Šéţ å ţîmîñĝ бûðĝéţ ţö ĥéļþ ýöû ķééþ åñ éýé öñ ţĥé þéŕƒöŕmåñçé öƒ ýöûŕ šîţé. Þéŕƒöŕmåñţ šîţéš ļöåð ƒåšţ åñð ŕéšþöñð ţö ûšéŕ îñþûţ évéñţš qûîçķļý. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/tools/lighthouse/audits/budgets)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/audits/timing-budget.js | title":{message:"[Ţîmîñĝ бûðĝéţ one two]"},"lighthouse-core/audits/unsized-images.js | description":{
message:"[Šéţ åñ éxþļîçîţ ŵîðţĥ åñð ĥéîĝĥţ öñ îmåĝé éļéméñţš ţö ŕéðûçé ļåýöûţ šĥîƒţš åñð îmþŕövé ÇĻŠ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/optimize-cls/#images-without-dimensions)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"[Îmåĝé éļéméñţš ðö ñöţ ĥåvé éxþļîçîţ ᐅ`width`ᐊ åñð ᐅ`height`ᐊ one two three four five six seven eight nine ten]"},"lighthouse-core/audits/unsized-images.js | title":{message:"[Îmåĝé éļéméñţš ĥåvé éxþļîçîţ ᐅ`width`ᐊ åñð ᐅ`height`ᐊ one two three four five six seven eight]"},"lighthouse-core/audits/user-timings.js | columnType":{message:"[Ţýþé one]"},"lighthouse-core/audits/user-timings.js | description":{
message:"[Çöñšîðéŕ îñšţŕûméñţîñĝ ýöûŕ åþþ ŵîţĥ ţĥé Ûšéŕ Ţîmîñĝ ÅÞÎ ţö méåšûŕé ýöûŕ åþþ'š ŕéåļ-ŵöŕļð þéŕƒöŕmåñçé ðûŕîñĝ ķéý ûšéŕ éxþéŕîéñçéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/user-timings/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{[1 ûšéŕ ţîmîñĝ one two]}other{[# ûšéŕ ţîmîñĝš one two]}}"},"lighthouse-core/audits/user-timings.js | title":{message:"[Ûšéŕ Ţîmîñĝ måŕķš åñð méåšûŕéš one two three four five six seven]"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'[Å ᐅ`<link rel=preconnect>`ᐊ ŵåš ƒöûñð ƒöŕ "ᐅ{securityOrigin}ᐊ" бûţ ŵåš ñöţ ûšéð бý ţĥé бŕöŵšéŕ. Çĥéçķ ţĥåţ ýöû åŕé ûšîñĝ ţĥé ᐅ`crossorigin`ᐊ åţţŕîбûţé þŕöþéŕļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]'},
"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"[Çöñšîðéŕ åððîñĝ ᐅ`preconnect`ᐊ öŕ ᐅ`dns-prefetch`ᐊ ŕéšöûŕçé ĥîñţš ţö éšţåбļîšĥ éåŕļý çöññéçţîöñš ţö îmþöŕţåñţ ţĥîŕð-þåŕţý öŕîĝîñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-rel-preconnect/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"[Þŕéçöññéçţ ţö ŕéqûîŕéð öŕîĝîñš one two three four five six seven]"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"[Möŕé ţĥåñ 2 ᐅ`<link rel=preconnect>`ᐊ çöññéçţîöñš ŵéŕé ƒöûñð. Ţĥéšé šĥöûļð бé ûšéð šþåŕîñĝļý åñð öñļý ţö ţĥé möšţ îmþöŕţåñţ öŕîĝîñš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:'[Å ᐅ`<link rel=preconnect>`ᐊ ŵåš ƒöûñð ƒöŕ "ᐅ{securityOrigin}ᐊ" бûţ ŵåš ñöţ ûšéð бý ţĥé бŕöŵšéŕ. Öñļý ûšé ᐅ`preconnect`ᐊ ƒöŕ îmþöŕţåñţ öŕîĝîñš ţĥåţ ţĥé þåĝé ŵîļļ çéŕţåîñļý ŕéqûéšţ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'[Å þŕéļöåð ᐅ`<link>`ᐊ ŵåš ƒöûñð ƒöŕ "ᐅ{preloadURL}ᐊ" бûţ ŵåš ñöţ ûšéð бý ţĥé бŕöŵšéŕ. Çĥéçķ ţĥåţ ýöû åŕé ûšîñĝ ţĥé ᐅ`crossorigin`ᐊ åţţŕîбûţé þŕöþéŕļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]'},"lighthouse-core/audits/uses-rel-preload.js | description":{
message:"[Çöñšîðéŕ ûšîñĝ ᐅ`<link rel=preload>`ᐊ ţö þŕîöŕîţîžé ƒéţçĥîñĝ ŕéšöûŕçéš ţĥåţ åŕé çûŕŕéñţļý ŕéqûéšţéð ļåţéŕ îñ þåĝé ļöåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/uses-rel-preload/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"[Þŕéļöåð ķéý ŕéqûéšţš one two three]"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"[Måþ ÛŔĻ one]"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"[Šöûŕçé måþš ţŕåñšļåţé mîñîƒîéð çöðé ţö ţĥé öŕîĝîñåļ šöûŕçé çöðé. Ţĥîš ĥéļþš ðévéļöþéŕš ðéбûĝ îñ þŕöðûçţîöñ. Îñ åððîţîöñ, Ļîĝĥţĥöûšé îš åбļé ţö þŕövîðé ƒûŕţĥéŕ îñšîĝĥţš. Çöñšîðéŕ ðéþļöýîñĝ šöûŕçé måþš ţö ţåķé åðvåñţåĝé öƒ ţĥéšé бéñéƒîţš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo]"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"[Mîššîñĝ šöûŕçé måþš ƒöŕ ļåŕĝé ƒîŕšţ-þåŕţý ĴåvåŠçŕîþţ one two three four five six seven eight nine ten eleven]"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"[Ļåŕĝé ĴåvåŠçŕîþţ ƒîļé îš mîššîñĝ å šöûŕçé måþ one two three four five six seven eight nine]"},
"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{[Ŵåŕñîñĝ: mîššîñĝ 1 îţém îñ ᐅ`.sourcesContent`ᐊ one two three four five six seven]}other{[Ŵåŕñîñĝ: mîššîñĝ # îţémš îñ ᐅ`.sourcesContent`ᐊ one two three four five six seven]}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"[Þåĝé ĥåš våļîð šöûŕçé måþš one two three four five six]"},"lighthouse-core/audits/viewport.js | description":{message:'[Åðð å ᐅ`<meta name="viewport">`ᐊ ţåĝ ţö öþţîmîžé ýöûŕ åþþ ƒöŕ möбîļé šçŕééñš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/viewport/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen]'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'[Ñö ᐅ`<meta name="viewport">`ᐊ ţåĝ ƒöûñð one two three four]'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'[Ðöéš ñöţ ĥåvé å ᐅ`<meta name="viewport">`ᐊ ţåĝ ŵîţĥ ᐅ`width`ᐊ öŕ ᐅ`initial-scale`ᐊ one two three four five six seven eight]'},
"lighthouse-core/audits/viewport.js | title":{message:'[Ĥåš å ᐅ`<meta name="viewport">`ᐊ ţåĝ ŵîţĥ ᐅ`width`ᐊ öŕ ᐅ`initial-scale`ᐊ one two three four five six seven]'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö îmþŕövé ţĥé ûšåĝé öƒ ÅŔÎÅ îñ ýöûŕ åþþļîçåţîöñ ŵĥîçĥ måý éñĥåñçé ţĥé éxþéŕîéñçé ƒöŕ ûšéŕš öƒ åššîšţîvé ţéçĥñöļöĝý, ļîķé å šçŕééñ ŕéåðéŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"[ÅŔÎÅ one]"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö þŕövîðé åļţéŕñåţîvé çöñţéñţ ƒöŕ åûðîö åñð vîðéö. Ţĥîš måý îmþŕövé ţĥé éxþéŕîéñçé ƒöŕ ûšéŕš ŵîţĥ ĥéåŕîñĝ öŕ vîšîöñ îmþåîŕméñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"[Åûðîö åñð vîðéö one two]"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"[Ţĥéšé îţémš ĥîĝĥļîĝĥţ çömmöñ åççéššîбîļîţý бéšţ þŕåçţîçéš. one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"[Бéšţ þŕåçţîçéš one two]"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"[Ţĥéšé çĥéçķš ĥîĝĥļîĝĥţ öþþöŕţûñîţîéš ţö ᐅ[ᐊîmþŕövé ţĥé åççéššîбîļîţý öƒ ýöûŕ ŵéб åþþᐅ](https://developers.google.com/web/fundamentals/accessibility)ᐊ. Öñļý å šûбšéţ öƒ åççéššîбîļîţý îššûéš çåñ бé åûţömåţîçåļļý ðéţéçţéð šö måñûåļ ţéšţîñĝ îš åļšö éñçöûŕåĝéð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"[Ţĥéšé îţémš åððŕéšš åŕéåš ŵĥîçĥ åñ åûţömåţéð ţéšţîñĝ ţööļ çåññöţ çövéŕ. Ļéåŕñ möŕé îñ öûŕ ĝûîðé öñ ᐅ[ᐊçöñðûçţîñĝ åñ åççéššîбîļîţý ŕévîéŵᐅ](https://developers.google.com/web/fundamentals/accessibility/how-to-review)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{
message:"[Åççéššîбîļîţý one two]"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö îmþŕövé ţĥé ļéĝîбîļîţý öƒ ýöûŕ çöñţéñţ. one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"[Çöñţŕåšţ one]"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö îmþŕövé ţĥé îñţéŕþŕéţåţîöñ öƒ ýöûŕ çöñţéñţ бý ûšéŕš îñ ðîƒƒéŕéñţ ļöçåļéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"[Îñţéŕñåţîöñåļîžåţîöñ åñð ļöçåļîžåţîöñ one two three four]"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö îmþŕövé ţĥé šémåñţîçš öƒ ţĥé çöñţŕöļš îñ ýöûŕ åþþļîçåţîöñ. Ţĥîš måý éñĥåñçé ţĥé éxþéŕîéñçé ƒöŕ ûšéŕš öƒ åššîšţîvé ţéçĥñöļöĝý, ļîķé å šçŕééñ ŕéåðéŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"[Ñåméš åñð ļåбéļš one two]"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö îmþŕövé ķéýбöåŕð ñåvîĝåţîöñ îñ ýöûŕ åþþļîçåţîöñ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"[Ñåvîĝåţîöñ one two]"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"[Ţĥéšé åŕé öþþöŕţûñîţîéš ţö îmþŕövé ţĥé éxþéŕîéñçé öƒ ŕéåðîñĝ ţåбûļåŕ öŕ ļîšţ ðåţå ûšîñĝ åššîšţîvé ţéçĥñöļöĝý, ļîķé å šçŕééñ ŕéåðéŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"[Ţåбļéš åñð ļîšţš one two]"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"[Бŕöŵšéŕ Çömþåţîбîļîţý one two three]"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"[Бéšţ Þŕåçţîçéš one two]"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"[Ĝéñéŕåļ one]"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"[Ţŕûšţ åñð Šåƒéţý one two]"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"[Ûšéŕ Éxþéŕîéñçé one two]"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"[Þéŕƒöŕmåñçé бûðĝéţš šéţ šţåñðåŕðš ƒöŕ ţĥé þéŕƒöŕmåñçé öƒ ýöûŕ šîţé. one two three four five six seven eight nine ten eleven twelve thirteen]"},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"[Бûðĝéţš one]"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"[Möŕé îñƒöŕmåţîöñ åбöûţ ţĥé þéŕƒöŕmåñçé öƒ ýöûŕ åþþļîçåţîöñ. Ţĥéšé ñûmбéŕš ðöñ'ţ ᐅ[ᐊðîŕéçţļý åƒƒéçţᐅ](https://web.dev/performance-scoring/)ᐊ ţĥé Þéŕƒöŕmåñçé šçöŕé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"[Ðîåĝñöšţîçš one two]"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{
message:"[Ţĥé möšţ çŕîţîçåļ åšþéçţ öƒ þéŕƒöŕmåñçé îš ĥöŵ qûîçķļý þîxéļš åŕé ŕéñðéŕéð öñšçŕééñ. Ķéý méţŕîçš: Fîŕšţ Çöñţéñţƒûļ Þåîñţ, Fîŕšţ Méåñîñĝƒûļ Þåîñţ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"[Fîŕšţ Þåîñţ Îmþŕövéméñţš one two three]"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"[Ţĥéšé šûĝĝéšţîöñš çåñ ĥéļþ ýöûŕ þåĝé ļöåð ƒåšţéŕ. Ţĥéý ðöñ'ţ ᐅ[ᐊðîŕéçţļý åƒƒéçţᐅ](https://web.dev/performance-scoring/)ᐊ ţĥé Þéŕƒöŕmåñçé šçöŕé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"[Öþþöŕţûñîţîéš one two]"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"[Méţŕîçš one]"},
"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"[Éñĥåñçé ţĥé övéŕåļļ ļöåðîñĝ éxþéŕîéñçé, šö ţĥé þåĝé îš ŕéšþöñšîvé åñð ŕéåðý ţö ûšé åš šööñ åš þöššîбļé. Ķéý méţŕîçš: Ţîmé ţö Îñţéŕåçţîvé, Šþééð Îñðéx one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"[Övéŕåļļ Îmþŕövéméñţš one two three]"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"[Þéŕƒöŕmåñçé one two]"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"[Ţĥéšé çĥéçķš våļîðåţé ţĥé åšþéçţš öƒ å Þŕöĝŕéššîvé Ŵéб Åþþ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/web/progressive-web-apps/checklist)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},
"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"[Ţĥéšé çĥéçķš åŕé ŕéqûîŕéð бý ţĥé бåšéļîñé ᐅ[ᐊÞŴÅ Çĥéçķļîšţᐅ](https://developers.google.com/web/progressive-web-apps/checklist)ᐊ бûţ åŕé ñöţ åûţömåţîçåļļý çĥéçķéð бý Ļîĝĥţĥöûšé. Ţĥéý ðö ñöţ åƒƒéçţ ýöûŕ šçöŕé бûţ îţ'š îmþöŕţåñţ ţĥåţ ýöû véŕîƒý ţĥém måñûåļļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"[Þŕöĝŕéššîvé Ŵéб Åþþ one two three]"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"[Îñšţåļļåбļé one two]"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"[ÞŴÅ Öþţîmîžéð one two]"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"[Ţĥéšé çĥéçķš éñšûŕé ţĥåţ ýöûŕ þåĝé îš öþţîmîžéð ƒöŕ šéåŕçĥ éñĝîñé ŕéšûļţš ŕåñķîñĝ. Ţĥéŕé åŕé åððîţîöñåļ ƒåçţöŕš Ļîĝĥţĥöûšé ðöéš ñöţ çĥéçķ ţĥåţ måý åƒƒéçţ ýöûŕ šéåŕçĥ ŕåñķîñĝ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://support.google.com/webmasters/answer/35769)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"[Ŕûñ ţĥéšé åððîţîöñåļ våļîðåţöŕš öñ ýöûŕ šîţé ţö çĥéçķ åððîţîöñåļ ŠÉÖ бéšţ þŕåçţîçéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"[ŠÉÖ one]"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"[Föŕmåţ ýöûŕ ĤŢMĻ îñ å ŵåý ţĥåţ éñåбļéš çŕåŵļéŕš ţö бéţţéŕ ûñðéŕšţåñð ýöûŕ åþþ’š çöñţéñţ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"[Çöñţéñţ Бéšţ Þŕåçţîçéš one two three]"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"[Ţö åþþéåŕ îñ šéåŕçĥ ŕéšûļţš, çŕåŵļéŕš ñééð åççéšš ţö ýöûŕ åþþ. one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"[Çŕåŵļîñĝ åñð Îñðéxîñĝ one two three]"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"[Måķé šûŕé ýöûŕ þåĝéš åŕé möбîļé ƒŕîéñðļý šö ûšéŕš ðöñ’ţ ĥåvé ţö þîñçĥ öŕ žööm îñ öŕðéŕ ţö ŕéåð ţĥé çöñţéñţ þåĝéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://developers.google.com/search/mobile-sites/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"[Möбîļé Fŕîéñðļý one two]"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"[Ţĥé ţéšţéð ðévîçé åþþéåŕš ţö ĥåvé å šļöŵéŕ ÇÞÛ ţĥåñ  Ļîĝĥţĥöûšé éxþéçţš. Ţĥîš çåñ ñéĝåţîvéļý åƒƒéçţ ýöûŕ þéŕƒöŕmåñçé šçöŕé. Ļéåŕñ möŕé åбöûţ ᐅ[ᐊçåļîбŕåţîñĝ åñ åþþŕöþŕîåţé ÇÞÛ šļöŵðöŵñ mûļţîþļîéŕᐅ](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"[Ţĥé þåĝé måý ñöţ бé ļöåðîñĝ åš éxþéçţéð бéçåûšé ýöûŕ ţéšţ ÛŔĻ (ᐅ{requested}ᐊ) ŵåš ŕéðîŕéçţéð ţö ᐅ{final}ᐊ. Ţŕý ţéšţîñĝ ţĥé šéçöñð ÛŔĻ ðîŕéçţļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{
message:"[Ţĥé þåĝé ļöåðéð ţöö šļöŵļý ţö ƒîñîšĥ ŵîţĥîñ ţĥé ţîmé ļîmîţ. Ŕéšûļţš måý бé îñçömþļéţé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{[Ţĥéŕé måý бé šţöŕéð ðåţå åƒƒéçţîñĝ ļöåðîñĝ þéŕƒöŕmåñçé îñ ţĥîš ļöçåţîöñ: ᐅ{locations}ᐊ. Åûðîţ ţĥîš þåĝé îñ åñ îñçöĝñîţö ŵîñðöŵ ţö þŕévéñţ ţĥöšé ŕéšöûŕçéš ƒŕöm åƒƒéçţîñĝ ýöûŕ šçöŕéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]}other{[Ţĥéŕé måý бé šţöŕéð ðåţå åƒƒéçţîñĝ ļöåðîñĝ þéŕƒöŕmåñçé îñ ţĥéšé ļöçåţîöñš: ᐅ{locations}ᐊ. Åûðîţ ţĥîš þåĝé îñ åñ îñçöĝñîţö ŵîñðöŵ ţö þŕévéñţ ţĥöšé ŕéšöûŕçéš ƒŕöm åƒƒéçţîñĝ ýöûŕ šçöŕéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"[Çöñšîðéŕ åððîñĝ ĥţţþš: åñð ĥţţþ: ÛŔĻ šçĥéméš (îĝñöŕéð бý бŕöŵšéŕš šûþþöŕţîñĝ 'šţŕîçţ-ðýñåmîç') ţö бé бåçķŵåŕð çömþåţîбļé ŵîţĥ öļðéŕ бŕöŵšéŕš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"[ðîšöŵñ-öþéñéŕ îš ðéþŕéçåţéð šîñçé ÇŠÞ3. Þļéåšé, ûšé ţĥé Çŕöšš-Öŕîĝîñ-Öþéñéŕ-Þöļîçý ĥéåðéŕ îñšţéåð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"[ŕéƒéŕŕéŕ îš ðéþŕéçåţéð šîñçé ÇŠÞ2. Þļéåšé, ûšé ţĥé Ŕéƒéŕŕéŕ-Þöļîçý ĥéåðéŕ îñšţéåð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{
message:"[ŕéƒļéçţéð-xšš îš ðéþŕéçåţéð šîñçé ÇŠÞ2. Þļéåšé, ûšé ţĥé X-XŠŠ-Þŕöţéçţîöñ ĥéåðéŕ îñšţéåð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"[Mîššîñĝ бåšé-ûŕî åļļöŵš îñĵéçţéð <base> ţåĝš ţö šéţ ţĥé бåšé ÛŔĻ ƒöŕ åļļ ŕéļåţîvé ÛŔĻš (é.ĝ. šçŕîþţš) ţö åñ åţţåçķéŕ çöñţŕöļļéð ðömåîñ. Çöñšîðéŕ šéţţîñĝ бåšé-ûŕî ţö 'ñöñé' öŕ 'šéļƒ'. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"[Éļéméñţš çöñţŕöļļéð бý öбĵéçţ-šŕç åŕé çöñšîðéŕéð ļéĝåçý ƒéåţûŕéš. Çöñšîðéŕ šéţţîñĝ öбĵéçţ-šŕç ţö 'ñöñé' ţö þŕévéñţ ţĥé îñĵéçţîöñ öƒ þļûĝîñš ţĥåţ éxéçûţé ûñšåƒé šçŕîþţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"[šçŕîþţ-šŕç ðîŕéçţîvé îš mîššîñĝ. Ţĥîš çåñ åļļöŵ ţĥé éxéçûţîöñ öƒ ûñšåƒé šçŕîþţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"[Ðîð ýöû ƒöŕĝéţ ţĥé šémîçöļöñ¿ ᐅ{keyword}ᐊ šéémš ţö бé å ðîŕéçţîvé, ñöţ å ķéýŵöŕð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"[Ñöñçéš šĥöûļð ûšé ţĥé бåšé64 çĥåŕšéţ. one two three four five six seven eight]"},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"[Ñöñçéš šĥöûļð бé åţ ļéåšţ 8 çĥåŕåçţéŕš ļöñĝ. one two three four five six seven eight nine]"},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"[Ţĥé ŕéþöŕţîñĝ ðéšţîñåţîöñ îš öñļý çöñƒîĝûŕéð vîå ţĥé ŕéþöŕţ-ţö ðîŕéçţîvé. Ţĥîš ðîŕéçţîvé îš öñļý šûþþöŕţéð îñ Çĥŕömîûm-бåšéð бŕöŵšéŕš šö îţ îš ŕéçömméñðéð ţö åļšö ûšé å ŕéþöŕţ-ûŕî ðîŕéçţîvé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"[Ñö ÇŠÞ çöñƒîĝûŕéš å ŕéþöŕţîñĝ ðéšţîñåţîöñ. Ţĥîš måķéš îţ ðîƒƒîçûļţ ţö måîñţåîñ ţĥé ÇŠÞ övéŕ ţîmé åñð möñîţöŕ ƒöŕ åñý бŕéåķåĝéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},
"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"[Ĥöšţ åļļöŵļîšţš çåñ ƒŕéqûéñţļý бé бýþåššéð. Çöñšîðéŕ ûšîñĝ 'šţŕîçţ-ðýñåmîç' îñ çömбîñåţîöñ ŵîţĥ ÇŠÞ ñöñçéš öŕ ĥåšĥéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"[Ûñķñöŵñ ÇŠÞ ðîŕéçţîvé. one two three]"},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"[ᐅ{keyword}ᐊ šéémš ţö бé åñ îñvåļîð ķéýŵöŕð. one two three four five six seven eight]"},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"['ûñšåƒé-îñļîñé' åļļöŵš ţĥé éxéçûţîöñ öƒ ûñšåƒé îñ-þåĝé šçŕîþţš åñð évéñţ ĥåñðļéŕš. Çöñšîðéŕ ûšîñĝ ÇŠÞ ñöñçéš öŕ ĥåšĥéš ţö åļļöŵ šçŕîþţš îñðîvîðûåļļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},
"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"[Çöñšîðéŕ åððîñĝ 'ûñšåƒé-îñļîñé' (îĝñöŕéð бý бŕöŵšéŕš šûþþöŕţîñĝ ñöñçéš/ĥåšĥéš) ţö бé бåçķŵåŕð çömþåţîбļé ŵîţĥ öļðéŕ бŕöŵšéŕš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"[Måîñ-Ţĥŕéåð Бļöçķîñĝ Ţîmé one two three]"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"[Çåçĥé ŢŢĻ one two]"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"[Ðéšçŕîþţîöñ one two]"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"[Ðûŕåţîöñ one]"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"[Éļéméñţ one]"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"[Fåîļîñĝ Éļéméñţš one two]"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"[Ļöçåţîöñ one]"},"lighthouse-core/lib/i18n/i18n.js | columnName":{
message:"[Ñåmé one]"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"[Övéŕ Бûðĝéţ one two]"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"[Ŕéqûéšţš one]"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"[Ŕéšöûŕçé Šîžé one two]"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"[Ŕéšöûŕçé Ţýþé one two]"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"[Šîžé one]"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"[Šöûŕçé one]"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"[Šţåŕţ Ţîmé one two]"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"[Ţîmé Šþéñţ one two]"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"[Ţŕåñšƒéŕ Šîžé one two]"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"[ÛŔĻ one]"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"[Þöţéñţîåļ Šåvîñĝš one two three]"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"[Þöţéñţîåļ Šåvîñĝš one two three]"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"[Çûmûļåţîvé Ļåýöûţ Šĥîƒţ one two three]"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"[Þöţéñţîåļ šåvîñĝš öƒ ᐅ{wastedBytes, number, bytes}ᐊ ĶîБ one two three four five six]"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{[1 éļéméñţ ƒöûñð one two]}other{[# éļéméñţš ƒöûñð one two]}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"[Þöţéñţîåļ šåvîñĝš öƒ ᐅ{wastedMs, number, milliseconds}ᐊ mš one two three four five six]"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"[Ðöçûméñţ one]"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"[Fîŕšţ Çöñţéñţƒûļ Þåîñţ one two three]"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{
message:"[Fîŕšţ Méåñîñĝƒûļ Þåîñţ one two three]"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"[Föñţ one]"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"[Îmåĝé one]"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"[Ţîmé ţö Îñţéŕåçţîvé one two three]"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"[Ĥîĝĥ one]"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"[Ļöŵ one]"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"[Méðîûm one]"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"[Ļåŕĝéšţ Çöñţéñţƒûļ Þåîñţ one two three]"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"[Måx Þöţéñţîåļ Fîŕšţ Îñþûţ Ðéļåý one two three four five six seven]"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"[Méðîå one]"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"[ᐅ{timeInMs, number, milliseconds}ᐊ mš one two]"},
"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"[Öţĥéŕ one]"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"[Öţĥéŕ ŕéšöûŕçéš one two]"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"[Šçŕîþţ one]"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"[ᐅ{timeInMs, number, seconds}ᐊ š one two]"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"[Šþééð Îñðéx one two]"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"[Šţýļéšĥééţ one two]"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"[Ţĥîŕð-þåŕţý one two]"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"[Ţöţåļ Бļöçķîñĝ Ţîmé one two three]"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"[Ţöţåļ one]"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{
message:"[Šöméţĥîñĝ ŵéñţ ŵŕöñĝ ŵîţĥ ŕéçöŕðîñĝ ţĥé ţŕåçé övéŕ ýöûŕ þåĝé ļöåð. Þļéåšé ŕûñ Ļîĝĥţĥöûšé åĝåîñ. (ᐅ{errorCode}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"[Ţîméöûţ ŵåîţîñĝ ƒöŕ îñîţîåļ Ðéбûĝĝéŕ Þŕöţöçöļ çöññéçţîöñ. one two three four five six seven eight nine ten eleven twelve]"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"[Çĥŕömé ðîðñ'ţ çöļļéçţ åñý šçŕééñšĥöţš ðûŕîñĝ ţĥé þåĝé ļöåð. Þļéåšé måķé šûŕé ţĥéŕé îš çöñţéñţ vîšîбļé öñ ţĥé þåĝé, åñð ţĥéñ ţŕý ŕé-ŕûññîñĝ Ļîĝĥţĥöûšé. (ᐅ{errorCode}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"[ÐÑŠ šéŕvéŕš çöûļð ñöţ ŕéšöļvé ţĥé þŕövîðéð ðömåîñ. one two three four five six seven eight nine ten eleven]"},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"[Ŕéqûîŕéð ᐅ{artifactName}ᐊ ĝåţĥéŕéŕ éñçöûñţéŕéð åñ éŕŕöŕ: ᐅ{errorMessage}ᐊ one two three four five six seven eight nine ten]"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"[Åñ îñţéŕñåļ Çĥŕömé éŕŕöŕ öççûŕŕéð. Þļéåšé ŕéšţåŕţ Çĥŕömé åñð ţŕý ŕé-ŕûññîñĝ Ļîĝĥţĥöûšé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"[Ŕéqûîŕéð ᐅ{artifactName}ᐊ ĝåţĥéŕéŕ ðîð ñöţ ŕûñ. one two three four five six seven]"},"lighthouse-core/lib/lh-error.js | noFcp":{message:"[Ţĥé þåĝé ðîð ñöţ þåîñţ åñý çöñţéñţ. Þļéåšé éñšûŕé ýöû ķééþ ţĥé бŕöŵšéŕ ŵîñðöŵ îñ ţĥé ƒöŕéĝŕöûñð ðûŕîñĝ ţĥé ļöåð åñð ţŕý åĝåîñ. (ᐅ{errorCode}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"[Ţĥé þåĝé þŕövîðéð îš ñöţ ĤŢMĻ (šéŕvéð åš MÎMÉ ţýþé ᐅ{mimeType}ᐊ). one two three four five six seven eight nine ten eleven]"},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"[Ţĥîš véŕšîöñ öƒ Çĥŕömé îš ţöö öļð ţö šûþþöŕţ 'ᐅ{featureName}ᐊ'. Ûšé å ñéŵéŕ véŕšîöñ ţö šéé ƒûļļ ŕéšûļţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö ŕéļîåбļý ļöåð ţĥé þåĝé ýöû ŕéqûéšţéð. Måķé šûŕé ýöû åŕé ţéšţîñĝ ţĥé çöŕŕéçţ ÛŔĻ åñð ţĥåţ ţĥé šéŕvéŕ îš þŕöþéŕļý ŕéšþöñðîñĝ ţö åļļ ŕéqûéšţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{
message:"[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö ŕéļîåбļý ļöåð ţĥé ÛŔĻ ýöû ŕéqûéšţéð бéçåûšé ţĥé þåĝé šţöþþéð ŕéšþöñðîñĝ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"[Ţĥé ÛŔĻ ýöû ĥåvé þŕövîðéð ðöéš ñöţ ĥåvé å våļîð šéçûŕîţý çéŕţîƒîçåţé. ᐅ{securityMessages}ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"[Çĥŕömé þŕévéñţéð þåĝé ļöåð ŵîţĥ åñ îñţéŕšţîţîåļ. Måķé šûŕé ýöû åŕé ţéšţîñĝ ţĥé çöŕŕéçţ ÛŔĻ åñð ţĥåţ ţĥé šéŕvéŕ îš þŕöþéŕļý ŕéšþöñðîñĝ ţö åļļ ŕéqûéšţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö ŕéļîåбļý ļöåð ţĥé þåĝé ýöû ŕéqûéšţéð. Måķé šûŕé ýöû åŕé ţéšţîñĝ ţĥé çöŕŕéçţ ÛŔĻ åñð ţĥåţ ţĥé šéŕvéŕ îš þŕöþéŕļý ŕéšþöñðîñĝ ţö åļļ ŕéqûéšţš. (Ðéţåîļš: ᐅ{errorDetails}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"[Ļîĝĥţĥöûšé ŵåš ûñåбļé ţö ŕéļîåбļý ļöåð ţĥé þåĝé ýöû ŕéqûéšţéð. Måķé šûŕé ýöû åŕé ţéšţîñĝ ţĥé çöŕŕéçţ ÛŔĻ åñð ţĥåţ ţĥé šéŕvéŕ îš þŕöþéŕļý ŕéšþöñðîñĝ ţö åļļ ŕéqûéšţš. (Šţåţûš çöðé: ᐅ{statusCode}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"[Ýöûŕ þåĝé ţööķ ţöö ļöñĝ ţö ļöåð. Þļéåšé ƒöļļöŵ ţĥé öþþöŕţûñîţîéš îñ ţĥé ŕéþöŕţ ţö ŕéðûçé ýöûŕ þåĝé ļöåð ţîmé, åñð ţĥéñ ţŕý ŕé-ŕûññîñĝ Ļîĝĥţĥöûšé. (ᐅ{errorCode}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"[Ŵåîţîñĝ ƒöŕ ÐévŢööļš þŕöţöçöļ ŕéšþöñšé ĥåš éxçééðéð ţĥé åļļöţţéð ţîmé. (Méţĥöð: ᐅ{protocolMethod}ᐊ) one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"[Féţçĥîñĝ ŕéšöûŕçé çöñţéñţ ĥåš éxçééðéð ţĥé åļļöţţéð ţîmé one two three four five six seven eight nine ten eleven]"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"[Ţĥé ÛŔĻ ýöû ĥåvé þŕövîðéð åþþéåŕš ţö бé îñvåļîð. one two three four five six seven eight nine ten]"},"lighthouse-treemap/app/src/util.js | allLabel":{message:"[Åļļ one]"},
"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"[Åļļ Šçŕîþţš one two]"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"[Çövéŕåĝé one]"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"[Ðûþļîçåţé Möðûļéš one two three]"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"[Ŕéšöûŕçé Бýţéš one two]"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"[Ñåmé one]"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"[Ţöĝĝļé Ţåбļé one two]"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"[Ûñûšéð Бýţéš one two]"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"[Föŕ åñîmåţéð çöñţéñţ, ûšé ᐅ[ᐊᐅ`amp-anim`ᐊᐅ](https://amp.dev/documentation/components/amp-anim/)ᐊ ţö mîñîmîžé ÇÞÛ ûšåĝé ŵĥéñ ţĥé çöñţéñţ îš öƒƒšçŕééñ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},
"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"[Çöñšîðéŕ ðîšþļåýîñĝ åļļ ᐅ[ᐊᐅ`amp-img`ᐊᐅ](https://amp.dev/documentation/components/amp-img/?format=websites)ᐊ çömþöñéñţš îñ ŴéбÞ ƒöŕmåţš ŵĥîļé šþéçîƒýîñĝ åñ åþþŕöþŕîåţé ƒåļļбåçķ ƒöŕ öţĥéŕ бŕöŵšéŕš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"[Éñšûŕé ţĥåţ ýöû åŕé ûšîñĝ ᐅ[ᐊᐅ`amp-img`ᐊᐅ](https://amp.dev/documentation/components/amp-img/?format=websites)ᐊ ƒöŕ îmåĝéš ţö åûţömåţîçåļļý ļåžý-ļöåð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},
"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[Ûšé ţööļš šûçĥ åš ᐅ[ᐊÅMÞ Öþţîmîžéŕᐅ](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)ᐊ ţö ᐅ[ᐊšéŕvéŕ-šîðé ŕéñðéŕ ÅMÞ ļåýöûţšᐅ](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"[Ŕéƒéŕ ţö ţĥé ᐅ[ᐊÅMÞ ðöçûméñţåţîöñᐅ](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)ᐊ ţö éñšûŕé åļļ šţýļéš åŕé šûþþöŕţéð. one two three four five six seven eight nine ten eleven twelve thirteen]"},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"[Ţĥé ᐅ[ᐊᐅ`amp-img`ᐊᐅ](https://amp.dev/documentation/components/amp-img/?format=websites)ᐊ çömþöñéñţ šûþþöŕţš ţĥé ᐅ[ᐊᐅ`srcset`ᐊᐅ](https://web.dev/use-srcset-to-automatically-choose-the-right-image/)ᐊ åţţŕîбûţé ţö šþéçîƒý ŵĥîçĥ îmåĝé åššéţš ţö ûšé бåšéð öñ ţĥé šçŕééñ šîžé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone]"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"[Çöñšîðéŕ vîŕţûåļ šçŕöļļîñĝ ŵîţĥ ţĥé Çömþöñéñţ Ðév Ķîţ (ÇÐĶ) îƒ véŕý ļåŕĝé ļîšţš åŕé бéîñĝ ŕéñðéŕéð. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/virtualize-lists-with-angular-cdk/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"[Åþþļý ᐅ[ᐊŕöûţé-ļévéļ çöðé šþļîţţîñĝᐅ](https://web.dev/route-level-code-splitting-in-angular/)ᐊ ţö mîñîmîžé ţĥé šîžé öƒ ýöûŕ ĴåvåŠçŕîþţ бûñðļéš. Åļšö, çöñšîðéŕ þŕéçåçĥîñĝ åššéţš ŵîţĥ ţĥé ᐅ[ᐊÅñĝûļåŕ šéŕvîçé ŵöŕķéŕᐅ](https://web.dev/precaching-with-the-angular-service-worker/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"[Îƒ ýöû åŕé ûšîñĝ Åñĝûļåŕ ÇĻÎ, éñšûŕé ţĥåţ бûîļðš åŕé ĝéñéŕåţéð îñ þŕöðûçţîöñ möðé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://angular.io/guide/deployment#enable-runtime-production-mode)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"[Îƒ ýöû åŕé ûšîñĝ Åñĝûļåŕ ÇĻÎ, îñçļûðé šöûŕçé måþš îñ ýöûŕ þŕöðûçţîöñ бûîļð ţö îñšþéçţ ýöûŕ бûñðļéš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://angular.io/guide/deployment#inspect-the-bundles)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"[Þŕéļöåð ŕöûţéš åĥéåð öƒ ţîmé ţö šþééð ûþ ñåvîĝåţîöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/route-preloading-in-angular/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen]"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"[Çöñšîðéŕ ûšîñĝ ţĥé ᐅ`BreakpointObserver`ᐊ ûţîļîţý îñ ţĥé Çömþöñéñţ Ðév Ķîţ (ÇÐĶ) ţö måñåĝé îmåĝé бŕéåķþöîñţš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://material.angular.io/cdk/layout/overview)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},
"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"[Çöñšîðéŕ ûþļöåðîñĝ ýöûŕ ĜÎF ţö å šéŕvîçé ŵĥîçĥ ŵîļļ måķé îţ åvåîļåбļé ţö émбéð åš åñ ĤŢMĻ5 vîðéö. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"[Šþéçîƒý ᐅ`@font-display`ᐊ ŵĥéñ ðéƒîñîñĝ çûšţöm ƒöñţš îñ ýöûŕ ţĥémé. one two three four five six seven eight nine ten eleven]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"[Çöñšîðéŕ îñšţåļļîñĝ åñð çöñƒîĝûŕîñĝ ᐅ[ᐊå möðûļé ţö ļévéŕåĝé ŴéбÞ îmåĝé ƒöŕmåţšᐅ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)ᐊ îñ ýöûŕ šîţé. Šûçĥ möðûļéš åûţömåţîçåļļý ĝéñéŕåţé å ŴéбÞ véŕšîöñ öƒ ýöûŕ ûþļöåðéð îmåĝéš ţö öþţîmîžé ļöåðîñĝ ţîméš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"[Îñšţåļļ ᐅ[ᐊå Ðŕûþåļ möðûļéᐅ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)ᐊ ţĥåţ çåñ ļåžý ļöåð îmåĝéš. Šûçĥ möðûļéš þŕövîðé ţĥé åбîļîţý ţö ðéƒéŕ åñý öƒƒšçŕééñ îmåĝéš ţö îmþŕövé þéŕƒöŕmåñçé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"[Çöñšîðéŕ ûšîñĝ å möðûļé ţö îñļîñé çŕîţîçåļ ÇŠŠ åñð ĴåvåŠçŕîþţ, öŕ þöţéñţîåļļý ļöåð åššéţš åšýñçĥŕöñöûšļý vîå ĴåvåŠçŕîþţ šûçĥ åš ţĥé ᐅ[ᐊÅðvåñçéð ÇŠŠ/ĴŠ Åĝĝŕéĝåţîöñᐅ](https://www.drupal.org/project/advagg)ᐊ möðûļé. Бéŵåŕé ţĥåţ öþţîmîžåţîöñš þŕövîðéð бý ţĥîš möðûļé måý бŕéåķ ýöûŕ šîţé, šö ýöû ŵîļļ ļîķéļý ñééð ţö måķé çöðé çĥåñĝéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"[Ţĥéméš, möðûļéš, åñð šéŕvéŕ šþéçîƒîçåţîöñš åļļ çöñţŕîбûţé ţö šéŕvéŕ ŕéšþöñšé ţîmé. Çöñšîðéŕ ƒîñðîñĝ å möŕé öþţîmîžéð ţĥémé, çåŕéƒûļļý šéļéçţîñĝ åñ öþţîmîžåţîöñ möðûļé, åñð/öŕ ûþĝŕåðîñĝ ýöûŕ šéŕvéŕ. Ýöûŕ ĥöšţîñĝ šéŕvéŕš šĥöûļð måķé ûšé öƒ ÞĤÞ öþçöðé çåçĥîñĝ, mémöŕý-çåçĥîñĝ ţö ŕéðûçé ðåţåбåšé qûéŕý ţîméš šûçĥ åš Ŕéðîš öŕ Mémçåçĥéð, åš ŵéļļ åš öþţîmîžéð åþþļîçåţîöñ ļöĝîç ţö þŕéþåŕé þåĝéš ƒåšţéŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"[Çöñšîðéŕ ûšîñĝ ᐅ[ᐊŔéšþöñšîvé Îmåĝé Šţýļéšᐅ](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)ᐊ ţö ŕéðûçé ţĥé šîžé öƒ îmåĝéš ļöåðéð öñ ýöûŕ þåĝé. Îƒ ýöû åŕé ûšîñĝ Vîéŵš ţö šĥöŵ mûļţîþļé çöñţéñţ îţémš öñ å þåĝé, çöñšîðéŕ îmþļéméñţîñĝ þåĝîñåţîöñ ţö ļîmîţ ţĥé ñûmбéŕ öƒ çöñţéñţ îţémš šĥöŵñ öñ å ĝîvéñ þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'[Éñšûŕé ýöû ĥåvé éñåбļéð "Åĝĝŕéĝåţé ÇŠŠ ƒîļéš" îñ ţĥé "Åðmîñîšţŕåţîöñ » Çöñƒîĝûŕåţîöñ » Ðévéļöþméñţ" þåĝé. Ýöû çåñ åļšö çöñƒîĝûŕé möŕé åðvåñçéð åĝĝŕéĝåţîöñ öþţîöñš ţĥŕöûĝĥ ᐅ[ᐊåððîţîöñåļ möðûļéšᐅ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)ᐊ ţö šþééð ûþ ýöûŕ šîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ, åñð çömþŕéššîñĝ ýöûŕ ÇŠŠ šţýļéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour]'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'[Éñšûŕé ýöû ĥåvé éñåбļéð "Åĝĝŕéĝåţé ĴåvåŠçŕîþţ ƒîļéš" îñ ţĥé "Åðmîñîšţŕåţîöñ » Çöñƒîĝûŕåţîöñ » Ðévéļöþméñţ" þåĝé. Ýöû çåñ åļšö çöñƒîĝûŕé möŕé åðvåñçéð åĝĝŕéĝåţîöñ öþţîöñš ţĥŕöûĝĥ ᐅ[ᐊåððîţîöñåļ möðûļéšᐅ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)ᐊ ţö šþééð ûþ ýöûŕ šîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ, åñð çömþŕéššîñĝ ýöûŕ ĴåvåŠçŕîþţ åššéţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix]'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"[Çöñšîðéŕ ŕémövîñĝ ûñûšéð ÇŠŠ ŕûļéš åñð öñļý åţţåçĥ ţĥé ñééðéð Ðŕûþåļ ļîбŕåŕîéš ţö ţĥé ŕéļévåñţ þåĝé öŕ çömþöñéñţ îñ å þåĝé. Šéé ţĥé ᐅ[ᐊÐŕûþåļ ðöçûméñţåţîöñ ļîñķᐅ](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)ᐊ ƒöŕ ðéţåîļš. Ţö îðéñţîƒý åţţåçĥéð ļîбŕåŕîéš ţĥåţ åŕé åððîñĝ éxţŕåñéöûš ÇŠŠ, ţŕý ŕûññîñĝ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Ýöû çåñ îðéñţîƒý ţĥé ţĥémé/möðûļé ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šţýļéšĥééţ ŵĥéñ ÇŠŠ åĝĝŕéĝåţîöñ îš ðîšåбļéð îñ ýöûŕ Ðŕûþåļ šîţé. Ļööķ öûţ ƒöŕ ţĥéméš/möðûļéš ţĥåţ ĥåvé måñý šţýļéšĥééţš îñ ţĥé ļîšţ ŵĥîçĥ ĥåvé å ļöţ öƒ ŕéð îñ çöðé çövéŕåĝé. Å ţĥémé/möðûļé šĥöûļð öñļý éñqûéûé å šţýļéšĥééţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour]"
},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"[Çöñšîðéŕ ŕémövîñĝ ûñûšéð ĴåvåŠçŕîþţ åššéţš åñð öñļý åţţåçĥ ţĥé ñééðéð Ðŕûþåļ ļîбŕåŕîéš ţö ţĥé ŕéļévåñţ þåĝé öŕ çömþöñéñţ îñ å þåĝé. Šéé ţĥé ᐅ[ᐊÐŕûþåļ ðöçûméñţåţîöñ ļîñķᐅ](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)ᐊ ƒöŕ ðéţåîļš. Ţö îðéñţîƒý åţţåçĥéð ļîбŕåŕîéš ţĥåţ åŕé åððîñĝ éxţŕåñéöûš ĴåvåŠçŕîþţ, ţŕý ŕûññîñĝ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Ýöû çåñ îðéñţîƒý ţĥé ţĥémé/möðûļé ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šçŕîþţ ŵĥéñ ĴåvåŠçŕîþţ åĝĝŕéĝåţîöñ îš ðîšåбļéð îñ ýöûŕ Ðŕûþåļ šîţé. Ļööķ öûţ ƒöŕ ţĥéméš/möðûļéš ţĥåţ ĥåvé måñý šçŕîþţš îñ ţĥé ļîšţ ŵĥîçĥ ĥåvé å ļöţ öƒ ŕéð îñ çöðé çövéŕåĝé. Å ţĥémé/möðûļé šĥöûļð öñļý éñqûéûé å šçŕîþţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive]"
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'[Šéţ ţĥé "Бŕöŵšéŕ åñð þŕöxý çåçĥé måxîmûm åĝé" îñ ţĥé "Åðmîñîšţŕåţîöñ » Çöñƒîĝûŕåţîöñ » Ðévéļöþméñţ" þåĝé. Ŕéåð åбöûţ ᐅ[ᐊÐŕûþåļ çåçĥé åñð öþţîmîžîñĝ ƒöŕ þéŕƒöŕmåñçéᐅ](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"[Çöñšîðéŕ ûšîñĝ ᐅ[ᐊå möðûļéᐅ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)ᐊ ţĥåţ åûţömåţîçåļļý öþţîmîžéš åñð ŕéðûçéš ţĥé šîžé öƒ îmåĝéš ûþļöåðéð ţĥŕöûĝĥ ţĥé šîţé ŵĥîļé ŕéţåîñîñĝ qûåļîţý. Åļšö, éñšûŕé ýöû åŕé ûšîñĝ ţĥé ñåţîvé ᐅ[ᐊŔéšþöñšîvé Îmåĝé Šţýļéšᐅ](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)ᐊ þŕövîðéð ƒŕöm Ðŕûþåļ (åvåîļåбļé îñ Ðŕûþåļ 8 åñð åбövé) ƒöŕ åļļ îmåĝéš ŕéñðéŕéð öñ ţĥé šîţé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"[Þŕéçöññéçţ öŕ ðñš-þŕéƒéţçĥ ŕéšöûŕçé ĥîñţš çåñ бé åððéð бý îñšţåļļîñĝ åñð çöñƒîĝûŕîñĝ ᐅ[ᐊå möðûļéᐅ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)ᐊ ţĥåţ þŕövîðéš ƒåçîļîţîéš ƒöŕ ûšéŕ åĝéñţ ŕéšöûŕçé ĥîñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree]"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{
message:"[Éñšûŕé ţĥåţ ýöû åŕé ûšîñĝ ţĥé ñåţîvé ᐅ[ᐊŔéšþöñšîvé Îmåĝé Šţýļéšᐅ](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)ᐊ þŕövîðéð ƒŕöm Ðŕûþåļ (åvåîļåбļé îñ Ðŕûþåļ 8 åñð åбövé). Ûšé ţĥé Ŕéšþöñšîvé Îmåĝé Šţýļéš ŵĥéñ ŕéñðéŕîñĝ îmåĝé ƒîéļðš ţĥŕöûĝĥ vîéŵ möðéš, vîéŵš, öŕ îmåĝéš ûþļöåðéð ţĥŕöûĝĥ ţĥé ŴÝŠÎŴÝĜ éðîţöŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"[Çöñšîðéŕ ûþļöåðîñĝ ýöûŕ ĜÎF ţö å šéŕvîçé ŵĥîçĥ ŵîļļ måķé îţ åvåîļåбļé ţö émбéð åš åñ ĤŢMĻ5 vîðéö. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{
message:"[Çöñšîðéŕ ûšîñĝ å ᐅ[ᐊþļûĝîñᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)ᐊ öŕ šéŕvîçé ţĥåţ ŵîļļ åûţömåţîçåļļý çöñvéŕţ ýöûŕ ûþļöåðéð îmåĝéš ţö ţĥé öþţîmåļ ƒöŕmåţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{
message:"[Îñšţåļļ å ᐅ[ᐊļåžý-ļöåð Ĵöömļå þļûĝîñᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)ᐊ ţĥåţ þŕövîðéš ţĥé åбîļîţý ţö ðéƒéŕ åñý öƒƒšçŕééñ îmåĝéš, öŕ šŵîţçĥ ţö å ţémþļåţé ţĥåţ þŕövîðéš ţĥåţ ƒûñçţîöñåļîţý. Šţåŕţîñĝ ŵîţĥ Ĵöömļå 4.0, åļļ ñéŵ îmåĝéš ŵîļļ ᐅ[ᐊåûţömåţîçåļļýᐅ](https://github.com/joomla/joomla-cms/pull/30748)ᐊ ĝéţ ţĥé ᐅ`loading`ᐊ åţţŕîбûţé ƒŕöm ţĥé çöŕé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"[Ţĥéŕé åŕé å ñûmбéŕ öƒ Ĵöömļå þļûĝîñš ţĥåţ çåñ ĥéļþ ýöû ᐅ[ᐊîñļîñé çŕîţîçåļ åššéţšᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ᐊ öŕ ᐅ[ᐊðéƒéŕ ļéšš îmþöŕţåñţ ŕéšöûŕçéšᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ᐊ. Бéŵåŕé ţĥåţ öþţîmîžåţîöñš þŕövîðéð бý ţĥéšé þļûĝîñš måý бŕéåķ ƒéåţûŕéš öƒ ýöûŕ ţémþļåţéš öŕ þļûĝîñš, šö ýöû ŵîļļ ñééð ţö ţéšţ ţĥéšé ţĥöŕöûĝĥļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{
message:"[Ţémþļåţéš, éxţéñšîöñš, åñð šéŕvéŕ šþéçîƒîçåţîöñš åļļ çöñţŕîбûţé ţö šéŕvéŕ ŕéšþöñšé ţîmé. Çöñšîðéŕ ƒîñðîñĝ å möŕé öþţîmîžéð ţémþļåţé, çåŕéƒûļļý šéļéçţîñĝ åñ öþţîmîžåţîöñ éxţéñšîöñ, åñð/öŕ ûþĝŕåðîñĝ ýöûŕ šéŕvéŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"[Çöñšîðéŕ šĥöŵîñĝ éxçéŕþţš îñ ýöûŕ åŕţîçļé çåţéĝöŕîéš (é.ĝ. vîå ţĥé ŕéåð möŕé ļîñķ), ŕéðûçîñĝ ţĥé ñûmбéŕ öƒ åŕţîçļéš šĥöŵñ öñ å ĝîvéñ þåĝé, бŕéåķîñĝ ýöûŕ ļöñĝ þöšţš îñţö mûļţîþļé þåĝéš, öŕ ûšîñĝ å þļûĝîñ ţö ļåžý-ļöåð çömméñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine]"},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"[Å ñûmбéŕ öƒ ᐅ[ᐊĴöömļå éxţéñšîöñšᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ᐊ çåñ šþééð ûþ ýöûŕ šîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ, åñð çömþŕéššîñĝ ýöûŕ çšš šţýļéš. Ţĥéŕé åŕé åļšö ţémþļåţéš ţĥåţ þŕövîðé ţĥîš ƒûñçţîöñåļîţý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"[Å ñûmбéŕ öƒ ᐅ[ᐊĴöömļå éxţéñšîöñšᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ᐊ çåñ šþééð ûþ ýöûŕ šîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ, åñð çömþŕéššîñĝ ýöûŕ šçŕîþţš. Ţĥéŕé åŕé åļšö ţémþļåţéš ţĥåţ þŕövîðé ţĥîš ƒûñçţîöñåļîţý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"[Çöñšîðéŕ ŕéðûçîñĝ, öŕ šŵîţçĥîñĝ, ţĥé ñûmбéŕ öƒ ᐅ[ᐊĴöömļå éxţéñšîöñšᐅ](https://extensions.joomla.org/)ᐊ ļöåðîñĝ ûñûšéð ÇŠŠ îñ ýöûŕ þåĝé. Ţö îðéñţîƒý éxţéñšîöñš ţĥåţ åŕé åððîñĝ éxţŕåñéöûš ÇŠŠ, ţŕý ŕûññîñĝ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Ýöû çåñ îðéñţîƒý ţĥé ţĥémé/þļûĝîñ ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šţýļéšĥééţ. Ļööķ öûţ ƒöŕ þļûĝîñš ţĥåţ ĥåvé måñý šţýļéšĥééţš îñ ţĥé ļîšţ ŵĥîçĥ ĥåvé å ļöţ öƒ ŕéð îñ çöðé çövéŕåĝé. Å þļûĝîñ šĥöûļð öñļý éñqûéûé å šţýļéšĥééţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"
},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"[Çöñšîðéŕ ŕéðûçîñĝ, öŕ šŵîţçĥîñĝ, ţĥé ñûmбéŕ öƒ ᐅ[ᐊĴöömļå éxţéñšîöñšᐅ](https://extensions.joomla.org/)ᐊ ļöåðîñĝ ûñûšéð ĴåvåŠçŕîþţ îñ ýöûŕ þåĝé. Ţö îðéñţîƒý þļûĝîñš ţĥåţ åŕé åððîñĝ éxţŕåñéöûš ĴŠ, ţŕý ŕûññîñĝ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Ýöû çåñ îðéñţîƒý ţĥé éxţéñšîöñ ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šçŕîþţ. Ļööķ öûţ ƒöŕ éxţéñšîöñš ţĥåţ ĥåvé måñý šçŕîþţš îñ ţĥé ļîšţ ŵĥîçĥ ĥåvé å ļöţ öƒ ŕéð îñ çöðé çövéŕåĝé. Åñ éxţéñšîöñ šĥöûļð öñļý éñqûéûé å šçŕîþţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"
},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"[Ŕéåð åбöûţ ᐅ[ᐊБŕöŵšéŕ Çåçĥîñĝ îñ Ĵöömļåᐅ](https://docs.joomla.org/Cache)ᐊ. one two three four five six seven eight nine]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"[Çöñšîðéŕ ûšîñĝ åñ ᐅ[ᐊîmåĝé öþţîmîžåţîöñ þļûĝîñᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ᐊ ţĥåţ çömþŕéššéš ýöûŕ îmåĝéš ŵĥîļé ŕéţåîñîñĝ qûåļîţý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"[Çöñšîðéŕ ûšîñĝ å ᐅ[ᐊŕéšþöñšîvé îmåĝéš þļûĝîñᐅ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)ᐊ ţö ûšé ŕéšþöñšîvé îmåĝéš îñ ýöûŕ çöñţéñţ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen]"},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"[Ýöû çåñ éñåбļé ţéxţ çömþŕéššîöñ бý éñåбļîñĝ Ĝžîþ Þåĝé Çömþŕéššîöñ îñ Ĵöömļå (Šýšţém > Ĝļöбåļ çöñƒîĝûŕåţîöñ > Šéŕvéŕ). one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"[Îƒ ýöû åŕé ñöţ бûñðļîñĝ ýöûŕ ĴåvåŠçŕîþţ åššéţš, çöñšîðéŕ ûšîñĝ ᐅ[ᐊбåļéŕᐅ](https://github.com/magento/baler)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen]"},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"[Ðîšåбļé Måĝéñţö'š бûîļţ-îñ ᐅ[ᐊĴåvåŠçŕîþţ бûñðļîñĝ åñð mîñîƒîçåţîöñᐅ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)ᐊ, åñð çöñšîðéŕ ûšîñĝ ᐅ[ᐊбåļéŕᐅ](https://github.com/magento/baler/)ᐊ îñšţéåð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[Šþéçîƒý ᐅ`@font-display`ᐊ ŵĥéñ ᐅ[ᐊðéƒîñîñĝ çûšţöm ƒöñţšᐅ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)ᐊ. one two three four five six seven eight nine]"},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{
message:"[Çöñšîðéŕ šéåŕçĥîñĝ ţĥé ᐅ[ᐊMåĝéñţö Måŕķéţþļåçéᐅ](https://marketplace.magento.com/catalogsearch/result/?q=webp)ᐊ ƒöŕ å våŕîéţý öƒ ţĥîŕð-þåŕţý éxţéñšîöñš ţö ļévéŕåĝé ñéŵéŕ îmåĝé ƒöŕmåţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"[Çöñšîðéŕ möðîƒýîñĝ ýöûŕ þŕöðûçţ åñð çåţåļöĝ ţémþļåţéš ţö måķé ûšé öƒ ţĥé ŵéб þļåţƒöŕm'š ᐅ[ᐊļåžý ļöåðîñĝᐅ](https://web.dev/native-lazy-loading)ᐊ ƒéåţûŕé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"[Ûšé Måĝéñţö'š ᐅ[ᐊVåŕñîšĥ îñţéĝŕåţîöñᐅ](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)ᐊ. one two three four five six seven eight]"},
"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'[Éñåбļé ţĥé "Mîñîƒý ÇŠŠ Fîļéš" öþţîöñ îñ ýöûŕ šţöŕé\'š Ðévéļöþéŕ šéţţîñĝš. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"[Ûšé ᐅ[ᐊŢéŕšéŕᐅ](https://www.npmjs.com/package/terser)ᐊ ţö mîñîƒý åļļ ĴåvåŠçŕîþţ åššéţš ƒŕöm šţåţîç çöñţéñţ ðéþļöýméñţ, åñð ðîšåбļé ţĥé бûîļţ-îñ mîñîƒîçåţîöñ ƒéåţûŕé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"[Ðîšåбļé Måĝéñţö'š бûîļţ-îñ ᐅ[ᐊĴåvåŠçŕîþţ бûñðļîñĝᐅ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)ᐊ. one two three four five six seven eight nine ten eleven]"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"[Çöñšîðéŕ šéåŕçĥîñĝ ţĥé ᐅ[ᐊMåĝéñţö Måŕķéţþļåçéᐅ](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image)ᐊ ƒöŕ å våŕîéţý öƒ ţĥîŕð þåŕţý éxţéñšîöñš ţö öþţîmîžé îmåĝéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"[Þŕéçöññéçţ öŕ ðñš-þŕéƒéţçĥ ŕéšöûŕçé ĥîñţš çåñ бé åððéð бý ᐅ[ᐊmöðîƒýîñĝ å ţĥéméš'š ļåýöûţᐅ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"[ᐅ`<link rel=preload>`ᐊ ţåĝš çåñ бé åððéð бý ᐅ[ᐊmöðîƒýîñĝ å ţĥéméš'š ļåýöûţᐅ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)ᐊ. one two three four five six seven eight nine ten eleven twelve]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[ᐅ[ᐊŔéþļåçé åñîmåţéð ĜÎFš ŵîţĥ vîðéöᐅ](https://web.dev/replace-gifs-with-videos/)ᐊ ƒöŕ ƒåšţéŕ ŵéб þåĝé ļöåðš åñð çöñšîðéŕ ûšîñĝ möðéŕñ ƒîļé ƒöŕmåţš šûçĥ åš ᐅ[ᐊŴéбMᐅ](https://web.dev/replace-gifs-with-videos/#create-webm-videos)ᐊ öŕ ᐅ[ᐊÅV1ᐅ](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder)ᐊ ţö îmþŕövé çömþŕéššîöñ éƒƒîçîéñçý бý ĝŕéåţéŕ ţĥåñ 30% ovéŕ ţĥé çûŕŕéñţ šţåţé-öƒ-ţĥé-åŕţ vîðéö çöðéç, VÞ9. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"[Çöñšîðéŕ ûšîñĝ å ᐅ[ᐊþļûĝîñᐅ](https://octobercms.com/plugins?search=image)ᐊ öŕ šéŕvîçé ţĥåţ ŵîļļ åûţömåţîçåļļý çöñvéŕţ ţĥé ûþļöåðéð îmåĝéš ţö ţĥé öþţîmåļ ƒöŕmåţš. ᐅ[ᐊŴéбÞ ļöššļéšš îmåĝéšᐅ](https://developers.google.com/speed/webp)ᐊ åŕé 26% småļļéŕ îñ šîžé çömþåŕéð ţö ÞÑĜš åñð 25-34% småļļéŕ ţĥåñ çömþåŕåбļé ĴÞÉĜ îmåĝéš åţ ţĥé éqûîvåļéñţ ŠŠÎM qûåļîţý îñðéx. Åñöţĥéŕ ñéxţ-ĝéñ îmåĝé ƒöŕmåţ ţö çöñšîðéŕ îš ᐅ[ᐊÅVÎFᐅ](https://jakearchibald.com/2020/avif-has-landed/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"[Çöñšîðéŕ îñšţåļļîñĝ åñ ᐅ[ᐊîmåĝé ļåžý ļöåðîñĝ þļûĝîñᐅ](https://octobercms.com/plugins?search=lazy)ᐊ ţĥåţ þŕövîðéš ţĥé åбîļîţý ţö ðéƒéŕ åñý öƒƒšçŕééñ îmåĝéš, öŕ šŵîţçĥ ţö å ţĥémé ţĥåţ þŕövîðéš ţĥåţ ƒûñçţîöñåļîţý. Åļšö çöñšîðéŕ ûšîñĝ ᐅ[ᐊţĥé ÅMÞ þļûĝîñᐅ](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"[Ţĥéŕé åŕé måñý þļûĝîñš ţĥåţ ĥéļþ ᐅ[ᐊîñļîñé çŕîţîçåļ åššéţšᐅ](https://octobercms.com/plugins?search=css)ᐊ. Ţĥéšé þļûĝîñš måý бŕéåķ öţĥéŕ þļûĝîñš, šö ýöû šĥöûļð ţéšţ ţĥöŕöûĝĥļý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty]"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"[Ţĥéméš, þļûĝîñš åñð šéŕvéŕ šþéçîƒîçåţîöñš åļļ çöñţŕîбûţé ţö ţĥé šéŕvéŕ ŕéšþöñšé ţîmé. Çöñšîðéŕ ƒîñðîñĝ å möŕé öþţîmîžéð ţĥémé, çåŕéƒûļļý šéļéçţîñĝ åñ öþţîmîžåţîöñ þļûĝîñ åñð/öŕ ûþĝŕåðé ţĥé šéŕvéŕ. Öçţöбéŕ ÇMŠ åļšö åļļöŵš ðévéļöþéŕš ţö ûšé ᐅ[ᐊᐅ`Queues`ᐊᐅ](https://octobercms.com/docs/services/queues)ᐊ ţö ðéƒéŕ ţĥé þŕöçéššîñĝ öƒ å ţîmé çöñšûmîñĝ ţåšķ, šûçĥ åš šéñðîñĝ åñ é-måîļ. Ţĥîš ðŕåšţîçåļļý šþééðš ûþ ŵéб ŕéqûéšţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"[Çöñšîðéŕ šĥöŵîñĝ éxçéŕþţš îñ ţĥé þöšţ ļîšţš (é.ĝ. ûšîñĝ å ᐅ`show more`ᐊ бûţţöñ), ŕéðûçîñĝ ţĥé ñûmбéŕ öƒ þöšţš šĥöŵñ öñ å ĝîvéñ ŵéб þåĝé, бŕéåķîñĝ ļöñĝ þöšţš îñţö mûļţîþļé ŵéб þåĝéš, öŕ ûšîñĝ å þļûĝîñ ţö ļåžý-ļöåð çömméñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"[Ţĥéŕé åŕé måñý ᐅ[ᐊþļûĝîñšᐅ](https://octobercms.com/plugins?search=css)ᐊ ţĥåţ çåñ šþééð ûþ å ŵéбšîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ åñð çömþŕéššîñĝ ţĥé šţýļéš. Ûšîñĝ å бûîļð þŕöçéšš ţö ðö ţĥîš mîñîƒîçåţîöñ ûþ-ƒŕöñţ çåñ šþééð ûþ ðévéļöþméñţ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"[Ţĥéŕé åŕé måñý ᐅ[ᐊþļûĝîñšᐅ](https://octobercms.com/plugins?search=javascript)ᐊ ţĥåţ çåñ šþééð ûþ å ŵéбšîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ åñð çömþŕéššîñĝ ţĥé šçŕîþţš. Ûšîñĝ å бûîļð þŕöçéšš ţö ðö ţĥîš mîñîƒîçåţîöñ ûþ-ƒŕöñţ çåñ šþééð ûþ ðévéļöþméñţ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"[Çöñšîðéŕ ŕévîéŵîñĝ ţĥé ᐅ[ᐊþļûĝîñšᐅ](https://octobercms.com/plugins)ᐊ ļöåðîñĝ ûñûšéð ÇŠŠ öñ ţĥé ŵéбšîţé. Ţö îðéñţîƒý þļûĝîñš ţĥåţ åðð ûññéçéššåŕý ÇŠŠ, ŕûñ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Îðéñţîƒý ţĥé ţĥémé/þļûĝîñ ŕéšþöñšîбļé ƒŕöm ţĥé šţýļéšĥééţ ÛŔĻ. Ļööķ ƒöŕ þļûĝîñš ŵîţĥ måñý šţýļéšĥééţš ŵîţĥ ļöţš öƒ ŕéð îñ çöðé çövéŕåĝé. Å þļûĝîñ šĥöûļð öñļý åðð å šţýļéšĥééţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé ŵéб þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"[Çöñšîðéŕ ŕévîéŵîñĝ ţĥé ᐅ[ᐊþļûĝîñšᐅ](https://octobercms.com/plugins?search=javascript)ᐊ ţĥåţ ļöåð ûñûšéð ĴåvåŠçŕîþţ îñ ţĥé ŵéб þåĝé. Ţö îðéñţîƒý þļûĝîñš ţĥåţ åðð ûññéçéššåŕý ĴåvåŠçŕîþţ, ŕûñ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Îðéñţîƒý ţĥé ţĥémé/þļûĝîñ ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šçŕîþţ. Ļööķ ƒöŕ þļûĝîñš ŵîţĥ måñý šçŕîþţš ŵîţĥ ļöţš öƒ ŕéð îñ çöðé çövéŕåĝé. Å þļûĝîñ šĥöûļð öñļý åðð å šçŕîþţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé ŵéб þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine]"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"[Ŕéåð åбöûţ ᐅ[ᐊþŕévéñţîñĝ ûññéçéššåŕý ñéţŵöŕķ ŕéqûéšţš ŵîţĥ ţĥé ĤŢŢÞ Çåçĥéᐅ](https://web.dev/http-cache/#caching-checklist)ᐊ. Ţĥéŕé åŕé måñý ᐅ[ᐊþļûĝîñšᐅ](https://octobercms.com/plugins?search=Caching)ᐊ ţĥåţ çåñ бé ûšéð ţö šþééð ûþ çåçĥîñĝ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"[Çöñšîðéŕ ûšîñĝ åñ ᐅ[ᐊîmåĝé öþţîmîžåţîöñ þļûĝîñᐅ](https://octobercms.com/plugins?search=image)ᐊ ţö çömþŕéššéš îmåĝéš ŵĥîļé ŕéţåîñîñĝ ţĥé qûåļîţý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"[Ûþļöåð îmåĝéš ðîŕéçţļý îñ ţĥé méðîå måñåĝéŕ ţö éñšûŕé ţĥé ŕéqûîŕéð îmåĝé šîžéš åŕé åvåîļåбļé. Çöñšîðéŕ ûšîñĝ ţĥé ᐅ[ᐊŕéšîžé ƒîļţéŕᐅ](https://octobercms.com/docs/markup/filter-resize)ᐊ öŕ åñ ᐅ[ᐊîmåĝé ŕéšîžîñĝ þļûĝîñᐅ](https://octobercms.com/plugins?search=image)ᐊ ţö éñšûŕé ţĥé öþţîmåļ îmåĝé šîžéš åŕé ûšéð. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight]"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"[Éñåбļé ţéxţ çömþŕéššîöñ îñ ţĥé ŵéб šéŕvéŕ çöñƒîĝûŕåţîöñ. one two three four five six seven eight nine ten eleven]"},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'[Çöñšîðéŕ ûšîñĝ å "ŵîñðöŵîñĝ" ļîбŕåŕý ļîķé ᐅ`react-window`ᐊ ţö mîñîmîžé ţĥé ñûmбéŕ öƒ ÐÖM ñöðéš çŕéåţéð îƒ ýöû åŕé ŕéñðéŕîñĝ måñý ŕéþéåţéð éļéméñţš öñ ţĥé þåĝé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://web.dev/virtualize-long-lists-react-window/)ᐊ. Åļšö, mîñîmîžé ûññéçéššåŕý ŕé-ŕéñðéŕš ûšîñĝ ᐅ[ᐊᐅ`shouldComponentUpdate`ᐊᐅ](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action)ᐊ, ᐅ[ᐊᐅ`PureComponent`ᐊᐅ](https://reactjs.org/docs/react-api.html#reactpurecomponent)ᐊ, öŕ ᐅ[ᐊᐅ`React.memo`ᐊᐅ](https://reactjs.org/docs/react-api.html#reactmemo)ᐊ åñð ᐅ[ᐊšķîþ éƒƒéçţšᐅ](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)ᐊ öñļý ûñţîļ çéŕţåîñ ðéþéñðéñçîéš ĥåvé çĥåñĝéð îƒ ýöû åŕé ûšîñĝ ţĥé ᐅ`Effect`ᐊ ĥööķ ţö îmþŕövé ŕûñţîmé þéŕƒöŕmåñçé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven]'
},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"[Îƒ ýöû åŕé ûšîñĝ Ŕéåçţ Ŕöûţéŕ, mîñîmîžé ûšåĝé öƒ ţĥé ᐅ`<Redirect>`ᐊ çömþöñéñţ ƒöŕ ᐅ[ᐊŕöûţé ñåvîĝåţîöñšᐅ](https://reacttraining.com/react-router/web/api/Redirect)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"[Îƒ ýöû åŕé šéŕvéŕ-šîðé ŕéñðéŕîñĝ åñý Ŕéåçţ çömþöñéñţš, çöñšîðéŕ ûšîñĝ ᐅ`renderToNodeStream()`ᐊ öŕ ᐅ`renderToStaticNodeStream()`ᐊ ţö åļļöŵ ţĥé çļîéñţ ţö ŕéçéîvé åñð ĥýðŕåţé ðîƒƒéŕéñţ þåŕţš öƒ ţĥé måŕķûþ îñšţéåð öƒ åļļ åţ öñçé. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"[Îƒ ýöûŕ бûîļð šýšţém mîñîƒîéš ÇŠŠ ƒîļéš åûţömåţîçåļļý, éñšûŕé ţĥåţ ýöû åŕé ðéþļöýîñĝ ţĥé þŕöðûçţîöñ бûîļð öƒ ýöûŕ åþþļîçåţîöñ. Ýöû çåñ çĥéçķ ţĥîš ŵîţĥ ţĥé Ŕéåçţ Ðévéļöþéŕ Ţööļš éxţéñšîöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"[Îƒ ýöûŕ бûîļð šýšţém mîñîƒîéš ĴŠ ƒîļéš åûţömåţîçåļļý, éñšûŕé ţĥåţ ýöû åŕé ðéþļöýîñĝ ţĥé þŕöðûçţîöñ бûîļð öƒ ýöûŕ åþþļîçåţîöñ. Ýöû çåñ çĥéçķ ţĥîš ŵîţĥ ţĥé Ŕéåçţ Ðévéļöþéŕ Ţööļš éxţéñšîöñ. ᐅ[ᐊĻéåŕñ möŕéᐅ](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"[Îƒ ýöû åŕé ñöţ šéŕvéŕ-šîðé ŕéñðéŕîñĝ, ᐅ[ᐊšþļîţ ýöûŕ ĴåvåŠçŕîþţ бûñðļéšᐅ](https://web.dev/code-splitting-suspense/)ᐊ ŵîţĥ ᐅ`React.lazy()`ᐊ. Öţĥéŕŵîšé, çöðé-šþļîţ ûšîñĝ å ţĥîŕð-þåŕţý ļîбŕåŕý šûçĥ åš ᐅ[ᐊļöåðåбļé-çömþöñéñţšᐅ](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour]"},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"[Ûšé ţĥé Ŕéåçţ ÐévŢööļš Þŕöƒîļéŕ, ŵĥîçĥ måķéš ûšé öƒ ţĥé Þŕöƒîļéŕ ÅÞÎ, ţö méåšûŕé ţĥé ŕéñðéŕîñĝ þéŕƒöŕmåñçé öƒ ýöûŕ çömþöñéñţš. ᐅ[ᐊĻéåŕñ möŕé.ᐅ](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)ᐊ one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo]"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"[Çöñšîðéŕ ûþļöåðîñĝ ýöûŕ ĜÎF ţö å šéŕvîçé ŵĥîçĥ ŵîļļ måķé îţ åvåîļåбļé ţö émбéð åš åñ ĤŢMĻ5 vîðéö. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"[Çöñšîðéŕ ûšîñĝ å ᐅ[ᐊþļûĝîñᐅ](https://wordpress.org/plugins/search/convert+webp/)ᐊ öŕ šéŕvîçé ţĥåţ ŵîļļ åûţömåţîçåļļý çöñvéŕţ ýöûŕ ûþļöåðéð îmåĝéš ţö ţĥé öþţîmåļ ƒöŕmåţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"[Îñšţåļļ å ᐅ[ᐊļåžý-ļöåð ŴöŕðÞŕéšš þļûĝîñᐅ](https://wordpress.org/plugins/search/lazy+load/)ᐊ ţĥåţ þŕövîðéš ţĥé åбîļîţý ţö ðéƒéŕ åñý öƒƒšçŕééñ îmåĝéš, öŕ šŵîţçĥ ţö å ţĥémé ţĥåţ þŕövîðéš ţĥåţ ƒûñçţîöñåļîţý. Åļšö çöñšîðéŕ ûšîñĝ ᐅ[ᐊţĥé ÅMÞ þļûĝîñᐅ](https://wordpress.org/plugins/amp/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"[Ţĥéŕé åŕé å ñûmбéŕ öƒ ŴöŕðÞŕéšš þļûĝîñš ţĥåţ çåñ ĥéļþ ýöû ᐅ[ᐊîñļîñé çŕîţîçåļ åššéţšᐅ](https://wordpress.org/plugins/search/critical+css/)ᐊ öŕ ᐅ[ᐊðéƒéŕ ļéšš îmþöŕţåñţ ŕéšöûŕçéšᐅ](https://wordpress.org/plugins/search/defer+css+javascript/)ᐊ. Бéŵåŕé ţĥåţ öþţîmîžåţîöñš þŕövîðéð бý ţĥéšé þļûĝîñš måý бŕéåķ ƒéåţûŕéš öƒ ýöûŕ ţĥémé öŕ þļûĝîñš, šö ýöû ŵîļļ ļîķéļý ñééð ţö måķé çöðé çĥåñĝéš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"[Ţĥéméš, þļûĝîñš, åñð šéŕvéŕ šþéçîƒîçåţîöñš åļļ çöñţŕîбûţé ţö šéŕvéŕ ŕéšþöñšé ţîmé. Çöñšîðéŕ ƒîñðîñĝ å möŕé öþţîmîžéð ţĥémé, çåŕéƒûļļý šéļéçţîñĝ åñ öþţîmîžåţîöñ þļûĝîñ, åñð/öŕ ûþĝŕåðîñĝ ýöûŕ šéŕvéŕ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"[Çöñšîðéŕ šĥöŵîñĝ éxçéŕþţš îñ ýöûŕ þöšţ ļîšţš (é.ĝ. vîå ţĥé möŕé ţåĝ), ŕéðûçîñĝ ţĥé ñûmбéŕ öƒ þöšţš šĥöŵñ öñ å ĝîvéñ þåĝé, бŕéåķîñĝ ýöûŕ ļöñĝ þöšţš îñţö mûļţîþļé þåĝéš, öŕ ûšîñĝ å þļûĝîñ ţö ļåžý-ļöåð çömméñţš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"[Å ñûmбéŕ öƒ ᐅ[ᐊŴöŕðÞŕéšš þļûĝîñšᐅ](https://wordpress.org/plugins/search/minify+css/)ᐊ çåñ šþééð ûþ ýöûŕ šîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ, åñð çömþŕéššîñĝ ýöûŕ šţýļéš. Ýöû måý åļšö ŵåñţ ţö ûšé å бûîļð þŕöçéšš ţö ðö ţĥîš mîñîƒîçåţîöñ ûþ-ƒŕöñţ îƒ þöššîбļé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"[Å ñûmбéŕ öƒ ᐅ[ᐊŴöŕðÞŕéšš þļûĝîñšᐅ](https://wordpress.org/plugins/search/minify+javascript/)ᐊ çåñ šþééð ûþ ýöûŕ šîţé бý çöñçåţéñåţîñĝ, mîñîƒýîñĝ, åñð çömþŕéššîñĝ ýöûŕ šçŕîþţš. Ýöû måý åļšö ŵåñţ ţö ûšé å бûîļð þŕöçéšš ţö ðö ţĥîš mîñîƒîçåţîöñ ûþ ƒŕöñţ îƒ þöššîбļé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"[Çöñšîðéŕ ŕéðûçîñĝ, öŕ šŵîţçĥîñĝ, ţĥé ñûmбéŕ öƒ ᐅ[ᐊŴöŕðÞŕéšš þļûĝîñšᐅ](https://wordpress.org/plugins/)ᐊ ļöåðîñĝ ûñûšéð ÇŠŠ îñ ýöûŕ þåĝé. Ţö îðéñţîƒý þļûĝîñš ţĥåţ åŕé åððîñĝ éxţŕåñéöûš ÇŠŠ, ţŕý ŕûññîñĝ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Ýöû çåñ îðéñţîƒý ţĥé ţĥémé/þļûĝîñ ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šţýļéšĥééţ. Ļööķ öûţ ƒöŕ þļûĝîñš ţĥåţ ĥåvé måñý šţýļéšĥééţš îñ ţĥé ļîšţ ŵĥîçĥ ĥåvé å ļöţ öƒ ŕéð îñ çöðé çövéŕåĝé. Å þļûĝîñ šĥöûļð öñļý éñqûéûé å šţýļéšĥééţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen]"
},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"[Çöñšîðéŕ ŕéðûçîñĝ, öŕ šŵîţçĥîñĝ, ţĥé ñûmбéŕ öƒ ᐅ[ᐊŴöŕðÞŕéšš þļûĝîñšᐅ](https://wordpress.org/plugins/)ᐊ ļöåðîñĝ ûñûšéð ĴåvåŠçŕîþţ îñ ýöûŕ þåĝé. Ţö îðéñţîƒý þļûĝîñš ţĥåţ åŕé åððîñĝ éxţŕåñéöûš ĴŠ, ţŕý ŕûññîñĝ ᐅ[ᐊçöðé çövéŕåĝéᐅ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ᐊ îñ Çĥŕömé ÐévŢööļš. Ýöû çåñ îðéñţîƒý ţĥé ţĥémé/þļûĝîñ ŕéšþöñšîбļé ƒŕöm ţĥé ÛŔĻ öƒ ţĥé šçŕîþţ. Ļööķ öûţ ƒöŕ þļûĝîñš ţĥåţ ĥåvé måñý šçŕîþţš îñ ţĥé ļîšţ ŵĥîçĥ ĥåvé å ļöţ öƒ ŕéð îñ çöðé çövéŕåĝé. Å þļûĝîñ šĥöûļð öñļý éñqûéûé å šçŕîþţ îƒ îţ îš åçţûåļļý ûšéð öñ ţĥé þåĝé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"
},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[Ŕéåð åбöûţ ᐅ[ᐊБŕöŵšéŕ Çåçĥîñĝ îñ ŴöŕðÞŕéššᐅ](https://wordpress.org/support/article/optimization/#browser-caching)ᐊ. one two three four five six seven eight nine ten]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"[Çöñšîðéŕ ûšîñĝ åñ ᐅ[ᐊîmåĝé öþţîmîžåţîöñ ŴöŕðÞŕéšš þļûĝîñᐅ](https://wordpress.org/plugins/search/optimize+images/)ᐊ ţĥåţ çömþŕéššéš ýöûŕ îmåĝéš ŵĥîļé ŕéţåîñîñĝ qûåļîţý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"[Ûþļöåð îmåĝéš ðîŕéçţļý ţĥŕöûĝĥ ţĥé ᐅ[ᐊméðîå ļîбŕåŕýᐅ](https://wordpress.org/support/article/media-library-screen/)ᐊ ţö éñšûŕé ţĥåţ ţĥé ŕéqûîŕéð îmåĝé šîžéš åŕé åvåîļåбļé, åñð ţĥéñ îñšéŕţ ţĥém ƒŕöm ţĥé méðîå ļîбŕåŕý öŕ ûšé ţĥé îmåĝé ŵîðĝéţ ţö éñšûŕé ţĥé öþţîmåļ îmåĝé šîžéš åŕé ûšéð (îñçļûðîñĝ ţĥöšé ƒöŕ ţĥé ŕéšþöñšîvé бŕéåķþöîñţš). Åvöîð ûšîñĝ ᐅ`Full Size`ᐊ îmåĝéš ûñļéšš ţĥé ðîméñšîöñš åŕé åðéqûåţé ƒöŕ ţĥéîŕ ûšåĝé. ᐅ[ᐊĻéåŕñ Möŕéᐅ](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)ᐊ. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twentyone twentytwo twentythree twentyfour twentyfive twentysix twentyseven twentyeight twentynine thirty thirtyone thirtytwo thirtythree thirtyfour thirtyfive thirtysix thirtyseven thirtyeight thirtynine forty one two three four five]"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"[Ýöû çåñ éñåбļé ţéxţ çömþŕéššîöñ îñ ýöûŕ ŵéб šéŕvéŕ çöñƒîĝûŕåţîöñ. one two three four five six seven eight nine ten eleven twelve thirteen]"},"report/renderer/util.js | calculatorLink":{message:"[Šéé çåļçûļåţöŕ. one two]"},"report/renderer/util.js | crcInitialNavigation":{message:"[Îñîţîåļ Ñåvîĝåţîöñ one two three]"},"report/renderer/util.js | crcLongestDurationLabel":{message:"[Måxîmûm çŕîţîçåļ þåţĥ ļåţéñçý: one two three four five six seven]"},"report/renderer/util.js | dropdownCopyJSON":{message:"[Çöþý ĴŠÖÑ one two]"},"report/renderer/util.js | dropdownDarkTheme":{message:"[Ţöĝĝļé Ðåŕķ Ţĥémé one two three]"},"report/renderer/util.js | dropdownPrintExpanded":{message:"[Þŕîñţ Éxþåñðéð one two]"},"report/renderer/util.js | dropdownPrintSummary":{message:"[Þŕîñţ Šûmmåŕý one two]"},"report/renderer/util.js | dropdownSaveGist":{message:"[Šåvé åš Ĝîšţ one two]"},"report/renderer/util.js | dropdownSaveHTML":{message:"[Šåvé åš ĤŢMĻ one two]"},
"report/renderer/util.js | dropdownSaveJSON":{message:"[Šåvé åš ĴŠÖÑ one two]"},"report/renderer/util.js | dropdownViewer":{message:"[Öþéñ îñ Vîéŵéŕ one two]"},"report/renderer/util.js | errorLabel":{message:"[Éŕŕöŕ¡ one]"},"report/renderer/util.js | errorMissingAuditInfo":{message:"[Ŕéþöŕţ éŕŕöŕ: ñö åûðîţ îñƒöŕmåţîöñ one two three four five six seven]"},"report/renderer/util.js | footerIssue":{message:"[Fîļé åñ îššûé one two]"},"report/renderer/util.js | labDataTitle":{message:"[Ļåб Ðåţå one]"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[ᐅ[ᐊĻîĝĥţĥöûšéᐅ](https://developers.google.com/web/tools/lighthouse/)ᐊ åñåļýšîš öƒ ţĥé çûŕŕéñţ þåĝé öñ åñ émûļåţéð möбîļé ñéţŵöŕķ. Våļûéš åŕé éšţîmåţéð åñð måý våŕý. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen]"},"report/renderer/util.js | manualAuditsGroupTitle":{message:"[Åððîţîöñåļ îţémš ţö måñûåļļý çĥéçķ one two three four five six seven]"},
"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"[Ñöţ åþþļîçåбļé one two]"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"[Öþþöŕţûñîţý one two]"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"[Éšţîmåţéð Šåvîñĝš one two three]"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"[Þåššéð åûðîţš one two]"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"[Émûļåţéð Ðéšķţöþ one two]"},"report/renderer/util.js | runtimeMobileEmulation":{message:"[Émûļåţéð Möţö Ĝ4 one two]"},"report/renderer/util.js | runtimeNoEmulation":{message:"[Ñö émûļåţîöñ one two]"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"[Åxé véŕšîöñ one two]"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"[ÇÞÛ/Mémöŕý Þöŵéŕ one two]"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"[ÇÞÛ ţĥŕöţţļîñĝ one two]"},"report/renderer/util.js | runtimeSettingsChannel":{message:"[Çĥåññéļ one]"},
"report/renderer/util.js | runtimeSettingsDevice":{message:"[Ðévîçé one]"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"[Féţçĥ Ţîmé one two]"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"[Ñéţŵöŕķ ţĥŕöţţļîñĝ one two three]"},"report/renderer/util.js | runtimeSettingsTitle":{message:"[Ŕûñţîmé Šéţţîñĝš one two]"},"report/renderer/util.js | runtimeSettingsUA":{message:"[Ûšéŕ åĝéñţ (ĥöšţ) one two three]"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"[Ûšéŕ åĝéñţ (ñéţŵöŕķ) one two three]"},"report/renderer/util.js | runtimeSettingsUrl":{message:"[ÛŔĻ one]"},"report/renderer/util.js | runtimeUnknown":{message:"[Ûñķñöŵñ one]"},"report/renderer/util.js | showRelevantAudits":{message:"[Šĥöŵ åûðîţš ŕéļévåñţ ţö: one two three four five]"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"[Çöļļåþšé šñîþþéţ one two]"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"[Éxþåñð šñîþþéţ one two]"},
"report/renderer/util.js | thirdPartyResourcesLabel":{message:"[Šĥöŵ 3ŕð-þåŕţý ŕéšöûŕçéš one two three]"},"report/renderer/util.js | throttlingProvided":{message:"[Þŕövîðéð бý éñvîŕöñméñţ one two three]"},"report/renderer/util.js | toplevelWarningsMessage":{message:"[Ţĥéŕé ŵéŕé îššûéš åƒƒéçţîñĝ ţĥîš ŕûñ öƒ Ļîĝĥţĥöûšé: one two three four five six seven eight nine ten eleven]"},"report/renderer/util.js | varianceDisclaimer":{message:"[Våļûéš åŕé éšţîmåţéð åñð måý våŕý. Ţĥé ᐅ[ᐊþéŕƒöŕmåñçé šçöŕé îš çåļçûļåţéðᐅ](https://web.dev/performance-scoring/)ᐊ ðîŕéçţļý ƒŕöm ţĥéšé méţŕîçš. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen]"},"report/renderer/util.js | viewTreemapLabel":{message:"[Vîéŵ Ţŕéémåþ one two]"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"[Þåššéð åûðîţš бûţ ŵîţĥ ŵåŕñîñĝš one two three four five six seven]"},"report/renderer/util.js | warningHeader":{message:"[Ŵåŕñîñĝš:  one two]"}}},{}],
110:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Âćĉéŝś k̂éŷś l̂ét̂ úŝér̂ś q̂úîćk̂ĺŷ f́ôćûś â ṕâŕt̂ óf̂ t́ĥé p̂áĝé. F̂ór̂ ṕr̂óp̂ér̂ ńâv́îǵât́îón̂, éâćĥ áĉćêśŝ ḱêý m̂úŝt́ b̂é ûńîq́ûé. [L̂éâŕn̂ ḿôŕê](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` v̂ál̂úêś âŕê ńôt́ ûńîq́ûé"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` v̂ál̂úêś âŕê ún̂íq̂úê"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Êáĉh́ ÂŔÎÁ `role` ŝúp̂ṕôŕt̂ś â śp̂éĉíf̂íĉ śûb́ŝét̂ óf̂ `aria-*` át̂t́r̂íb̂út̂éŝ. Ḿîśm̂át̂ćĥín̂ǵ t̂h́êśê ín̂v́âĺîd́ât́êś t̂h́ê `aria-*` át̂t́r̂íb̂út̂éŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-allowed-attr/)."},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` ât́t̂ŕîb́ût́êś d̂ó n̂ót̂ ḿât́ĉh́ t̂h́êír̂ ŕôĺêś"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` ât́t̂ŕîb́ût́êś m̂át̂ćĥ t́ĥéîŕ r̂ól̂éŝ"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Ŵh́êń âń êĺêḿêńt̂ d́ôéŝń't̂ h́âv́ê án̂ áĉćêśŝíb̂ĺê ńâḿê, śĉŕêén̂ ŕêád̂ér̂ś âńn̂óûńĉé ît́ ŵít̂h́ â ǵêńêŕîć n̂ám̂é, m̂ák̂ín̂ǵ ît́ ûńûśâb́l̂é f̂ór̂ úŝér̂ś ŵh́ô ŕêĺŷ ón̂ śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link`, âńd̂ `menuitem` él̂ém̂én̂t́ŝ d́ô ńôt́ ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{
message:"`button`, `link`, âńd̂ `menuitem` él̂ém̂én̂t́ŝ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Âśŝíŝt́îv́ê t́êćĥńôĺôǵîéŝ, ĺîḱê śĉŕêén̂ ŕêád̂ér̂ś, ŵór̂ḱ îńĉón̂śîśt̂én̂t́l̂ý ŵh́êń `aria-hidden="true"` îś ŝét̂ ón̂ t́ĥé d̂óĉúm̂én̂t́ `<body>`. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` îś p̂ŕêśêńt̂ ón̂ t́ĥé d̂óĉúm̂én̂t́ `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` îś n̂ót̂ ṕr̂éŝén̂t́ ôń t̂h́ê d́ôćûḿêńt̂ `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'F̂óĉúŝáb̂ĺê d́êśĉén̂d́êńt̂ś ŵít̂h́îń âń `[aria-hidden="true"]` êĺêḿêńt̂ ṕr̂év̂én̂t́ t̂h́ôśê ín̂t́êŕâćt̂ív̂é êĺêḿêńt̂ś f̂ŕôḿ b̂éîńĝ áv̂áîĺâb́l̂é t̂ó ûśêŕŝ óf̂ áŝśîśt̂ív̂é t̂éĉh́n̂ól̂óĝíêś l̂ík̂é ŝćr̂éêń r̂éâd́êŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` êĺêḿêńt̂ś ĉón̂t́âín̂ f́ôćûśâb́l̂é d̂éŝćêńd̂én̂t́ŝ'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` êĺêḿêńt̂ś d̂ó n̂ót̂ ćôńt̂áîń f̂óĉúŝáb̂ĺê d́êśĉén̂d́êńt̂ś'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{
message:"Ŵh́êń âń îńp̂út̂ f́îél̂d́ d̂óêśn̂'t́ ĥáv̂é âń âćĉéŝśîb́l̂é n̂ám̂é, ŝćr̂éêń r̂éâd́êŕŝ án̂ńôún̂ćê ít̂ ẃît́ĥ á ĝén̂ér̂íĉ ńâḿê, ḿâḱîńĝ ít̂ ún̂úŝáb̂ĺê f́ôŕ ûśêŕŝ ẃĥó r̂él̂ý ôń ŝćr̂éêń r̂éâd́êŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ÂŔÎÁ îńp̂út̂ f́îél̂d́ŝ d́ô ńôt́ ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ÂŔÎÁ îńp̂út̂ f́îél̂d́ŝ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Ŵh́êń âń êĺêḿêńt̂ d́ôéŝń't̂ h́âv́ê án̂ áĉćêśŝíb̂ĺê ńâḿê, śĉŕêén̂ ŕêád̂ér̂ś âńn̂óûńĉé ît́ ŵít̂h́ â ǵêńêŕîć n̂ám̂é, m̂ák̂ín̂ǵ ît́ ûńûśâb́l̂é f̂ór̂ úŝér̂ś ŵh́ô ŕêĺŷ ón̂ śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ÂŔÎÁ `meter` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ÂŔÎÁ `meter` êĺêḿêńt̂ś ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Ŵh́êń â `progressbar` él̂ém̂én̂t́ d̂óêśn̂'t́ ĥáv̂é âń âćĉéŝśîb́l̂é n̂ám̂é, ŝćr̂éêń r̂éâd́êŕŝ án̂ńôún̂ćê ít̂ ẃît́ĥ á ĝén̂ér̂íĉ ńâḿê, ḿâḱîńĝ ít̂ ún̂úŝáb̂ĺê f́ôŕ ûśêŕŝ ẃĥó r̂él̂ý ôń ŝćr̂éêń r̂éâd́êŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ÂŔÎÁ `progressbar` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ÂŔÎÁ `progressbar` êĺêḿêńt̂ś ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"Ŝóm̂é ÂŔÎÁ r̂ól̂éŝ h́âv́ê ŕêq́ûír̂éd̂ át̂t́r̂íb̂út̂éŝ t́ĥát̂ d́êśĉŕîb́ê t́ĥé ŝt́ât́ê óf̂ t́ĥé êĺêḿêńt̂ t́ô śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`ŝ d́ô ńôt́ ĥáv̂é âĺl̂ ŕêq́ûír̂éd̂ `[aria-*]` át̂t́r̂íb̂út̂éŝ"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`ŝ h́âv́ê ál̂ĺ r̂éq̂úîŕêd́ `[aria-*]` ât́t̂ŕîb́ût́êś"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Ŝóm̂é ÂŔÎÁ p̂ár̂én̂t́ r̂ól̂éŝ ḿûśt̂ ćôńt̂áîń ŝṕêćîf́îć ĉh́îĺd̂ ŕôĺêś t̂ó p̂ér̂f́ôŕm̂ t́ĥéîŕ îńt̂én̂d́êd́ âćĉéŝśîb́îĺît́ŷ f́ûńĉt́îón̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-required-children/)."},
"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Êĺêḿêńt̂ś ŵít̂h́ âń ÂŔÎÁ `[role]` t̂h́ât́ r̂éq̂úîŕê ćĥíl̂d́r̂én̂ t́ô ćôńt̂áîń â śp̂éĉíf̂íĉ `[role]` ár̂é m̂íŝśîńĝ śôḿê ór̂ ál̂ĺ ôf́ t̂h́ôśê ŕêq́ûír̂éd̂ ćĥíl̂d́r̂én̂."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Êĺêḿêńt̂ś ŵít̂h́ âń ÂŔÎÁ `[role]` t̂h́ât́ r̂éq̂úîŕê ćĥíl̂d́r̂én̂ t́ô ćôńt̂áîń â śp̂éĉíf̂íĉ `[role]` h́âv́ê ál̂ĺ r̂éq̂úîŕêd́ ĉh́îĺd̂ŕêń."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Ŝóm̂é ÂŔÎÁ ĉh́îĺd̂ ŕôĺêś m̂úŝt́ b̂é ĉón̂t́âín̂éd̂ b́ŷ śp̂éĉíf̂íĉ ṕâŕêńt̂ ŕôĺêś t̂ó p̂ŕôṕêŕl̂ý p̂ér̂f́ôŕm̂ t́ĥéîŕ îńt̂én̂d́êd́ âćĉéŝśîb́îĺît́ŷ f́ûńĉt́îón̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-required-parent/)."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`ŝ ár̂é n̂ót̂ ćôńt̂áîńêd́ b̂ý t̂h́êír̂ ŕêq́ûír̂éd̂ ṕâŕêńt̂ él̂ém̂én̂t́"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`ŝ ár̂é ĉón̂t́âín̂éd̂ b́ŷ t́ĥéîŕ r̂éq̂úîŕêd́ p̂ár̂én̂t́ êĺêḿêńt̂"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ÂŔÎÁ r̂ól̂éŝ ḿûśt̂ h́âv́ê v́âĺîd́ v̂ál̂úêś îń ôŕd̂ér̂ t́ô ṕêŕf̂ór̂ḿ t̂h́êír̂ ín̂t́êńd̂éd̂ áĉćêśŝíb̂íl̂ít̂ý f̂ún̂ćt̂íôńŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` v̂ál̂úêś âŕê ńôt́ v̂ál̂íd̂"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` v̂ál̂úêś âŕê v́âĺîd́"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"Ŵh́êń â t́ôǵĝĺê f́îél̂d́ d̂óêśn̂'t́ ĥáv̂é âń âćĉéŝśîb́l̂é n̂ám̂é, ŝćr̂éêń r̂éâd́êŕŝ án̂ńôún̂ćê ít̂ ẃît́ĥ á ĝén̂ér̂íĉ ńâḿê, ḿâḱîńĝ ít̂ ún̂úŝáb̂ĺê f́ôŕ ûśêŕŝ ẃĥó r̂él̂ý ôń ŝćr̂éêń r̂éâd́êŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ÂŔÎÁ t̂óĝǵl̂é f̂íêĺd̂ś d̂ó n̂ót̂ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ÂŔÎÁ t̂óĝǵl̂é f̂íêĺd̂ś ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Ŵh́êń âń êĺêḿêńt̂ d́ôéŝń't̂ h́âv́ê án̂ áĉćêśŝíb̂ĺê ńâḿê, śĉŕêén̂ ŕêád̂ér̂ś âńn̂óûńĉé ît́ ŵít̂h́ â ǵêńêŕîć n̂ám̂é, m̂ák̂ín̂ǵ ît́ ûńûśâb́l̂é f̂ór̂ úŝér̂ś ŵh́ô ŕêĺŷ ón̂ śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ÂŔÎÁ `tooltip` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ÂŔÎÁ `tooltip` êĺêḿêńt̂ś ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Ŵh́êń âń êĺêḿêńt̂ d́ôéŝń't̂ h́âv́ê án̂ áĉćêśŝíb̂ĺê ńâḿê, śĉŕêén̂ ŕêád̂ér̂ś âńn̂óûńĉé ît́ ŵít̂h́ â ǵêńêŕîć n̂ám̂é, m̂ák̂ín̂ǵ ît́ ûńûśâb́l̂é f̂ór̂ úŝér̂ś ŵh́ô ŕêĺŷ ón̂ śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ÂŔÎÁ `treeitem` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê áĉćêśŝíb̂ĺê ńâḿêś."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ÂŔÎÁ `treeitem` êĺêḿêńt̂ś ĥáv̂é âćĉéŝśîb́l̂é n̂ám̂éŝ"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Âśŝíŝt́îv́ê t́êćĥńôĺôǵîéŝ, ĺîḱê śĉŕêén̂ ŕêád̂ér̂ś, ĉán̂'t́ îńt̂ér̂ṕr̂ét̂ ÁR̂ÍÂ át̂t́r̂íb̂út̂éŝ ẃît́ĥ ín̂v́âĺîd́ v̂ál̂úêś. [L̂éâŕn̂ ḿôŕê](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` ât́t̂ŕîb́ût́êś d̂ó n̂ót̂ h́âv́ê v́âĺîd́ v̂ál̂úêś"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` ât́t̂ŕîb́ût́êś ĥáv̂é v̂ál̂íd̂ v́âĺûéŝ"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Âśŝíŝt́îv́ê t́êćĥńôĺôǵîéŝ, ĺîḱê śĉŕêén̂ ŕêád̂ér̂ś, ĉán̂'t́ îńt̂ér̂ṕr̂ét̂ ÁR̂ÍÂ át̂t́r̂íb̂út̂éŝ ẃît́ĥ ín̂v́âĺîd́ n̂ám̂éŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{
message:"`[aria-*]` ât́t̂ŕîb́ût́êś âŕê ńôt́ v̂ál̂íd̂ ór̂ ḿîśŝṕêĺl̂éd̂"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` ât́t̂ŕîb́ût́êś âŕê v́âĺîd́ âńd̂ ńôt́ m̂íŝśp̂él̂ĺêd́"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"F̂áîĺîńĝ Él̂ém̂én̂t́ŝ"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Ŵh́êń â b́ût́t̂ón̂ d́ôéŝń\'t̂ h́âv́ê án̂ áĉćêśŝíb̂ĺê ńâḿê, śĉŕêén̂ ŕêád̂ér̂ś âńn̂óûńĉé ît́ âś "b̂út̂t́ôń", m̂ák̂ín̂ǵ ît́ ûńûśâb́l̂é f̂ór̂ úŝér̂ś ŵh́ô ŕêĺŷ ón̂ śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"B̂út̂t́ôńŝ d́ô ńôt́ ĥáv̂é âń âćĉéŝśîb́l̂é n̂ám̂é"},"lighthouse-core/audits/accessibility/button-name.js | title":{
message:"B̂út̂t́ôńŝ h́âv́ê án̂ áĉćêśŝíb̂ĺê ńâḿê"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Âd́d̂ín̂ǵ ŵáŷś t̂ó b̂ýp̂áŝś r̂ép̂ét̂ít̂ív̂é ĉón̂t́êńt̂ ĺêt́ŝ ḱêýb̂óâŕd̂ úŝér̂ś n̂áv̂íĝát̂é t̂h́ê ṕâǵê ḿôŕê éf̂f́îćîén̂t́l̂ý. [L̂éâŕn̂ ḿôŕê](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"T̂h́ê ṕâǵê d́ôéŝ ńôt́ ĉón̂t́âín̂ á ĥéâd́îńĝ, śk̂íp̂ ĺîńk̂, ór̂ ĺâńd̂ḿâŕk̂ ŕêǵîón̂"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"T̂h́ê ṕâǵê ćôńt̂áîńŝ á ĥéâd́îńĝ, śk̂íp̂ ĺîńk̂, ór̂ ĺâńd̂ḿâŕk̂ ŕêǵîón̂"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{
message:"L̂óŵ-ćôńt̂ŕâśt̂ t́êx́t̂ íŝ d́îf́f̂íĉúl̂t́ ôŕ îḿp̂óŝśîb́l̂é f̂ór̂ ḿâńŷ úŝér̂ś t̂ó r̂éâd́. [L̂éâŕn̂ ḿôŕê](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"B̂áĉḱĝŕôún̂d́ âńd̂ f́ôŕêǵr̂óûńd̂ ćôĺôŕŝ d́ô ńôt́ ĥáv̂é â śûf́f̂íĉíêńt̂ ćôńt̂ŕâśt̂ ŕât́îó."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"B̂áĉḱĝŕôún̂d́ âńd̂ f́ôŕêǵr̂óûńd̂ ćôĺôŕŝ h́âv́ê á ŝúf̂f́îćîén̂t́ ĉón̂t́r̂áŝt́ r̂át̂íô"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Ŵh́êń d̂éf̂ín̂ít̂íôń l̂íŝt́ŝ ár̂é n̂ót̂ ṕr̂óp̂ér̂ĺŷ ḿâŕk̂éd̂ úp̂, śĉŕêén̂ ŕêád̂ér̂ś m̂áŷ ṕr̂ód̂úĉé ĉón̂f́ûśîńĝ ór̂ ín̂áĉćûŕât́ê óût́p̂út̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/definition-list/)."},
"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`'ŝ d́ô ńôt́ ĉón̂t́âín̂ ón̂ĺŷ ṕr̂óp̂ér̂ĺŷ-ór̂d́êŕêd́ `<dt>` âńd̂ `<dd>` ǵr̂óûṕŝ, `<script>`, `<template>` ór̂ `<div>` él̂ém̂én̂t́ŝ."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`'ŝ ćôńt̂áîń ôńl̂ý p̂ŕôṕêŕl̂ý-ôŕd̂ér̂éd̂ `<dt>` án̂d́ `<dd>` ĝŕôúp̂ś, `<script>`, `<template>` ôŕ `<div>` êĺêḿêńt̂ś."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"D̂éf̂ín̂ít̂íôń l̂íŝt́ ît́êḿŝ (`<dt>` án̂d́ `<dd>`) m̂úŝt́ b̂é ŵŕâṕp̂éd̂ ín̂ á p̂ár̂én̂t́ `<dl>` êĺêḿêńt̂ t́ô én̂śûŕê t́ĥát̂ śĉŕêén̂ ŕêád̂ér̂ś ĉán̂ ṕr̂óp̂ér̂ĺŷ án̂ńôún̂ćê t́ĥém̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"D̂éf̂ín̂ít̂íôń l̂íŝt́ ît́êḿŝ ár̂é n̂ót̂ ẃr̂áp̂ṕêd́ îń `<dl>` êĺêḿêńt̂ś"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"D̂éf̂ín̂ít̂íôń l̂íŝt́ ît́êḿŝ ár̂é ŵŕâṕp̂éd̂ ín̂ `<dl>` él̂ém̂én̂t́ŝ"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"T̂h́ê t́ît́l̂é ĝív̂éŝ śĉŕêén̂ ŕêád̂ér̂ úŝér̂ś âń ôv́êŕv̂íêẃ ôf́ t̂h́ê ṕâǵê, án̂d́ ŝéâŕĉh́ êńĝín̂é ûśêŕŝ ŕêĺŷ ón̂ ít̂ h́êáv̂íl̂ý t̂ó d̂ét̂ér̂ḿîńê íf̂ á p̂áĝé îś r̂él̂év̂án̂t́ t̂ó t̂h́êír̂ śêár̂ćĥ. [Ĺêár̂ń m̂ór̂é](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"D̂óĉúm̂én̂t́ d̂óêśn̂'t́ ĥáv̂é â `<title>` él̂ém̂én̂t́"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"D̂óĉúm̂én̂t́ ĥáŝ á `<title>` êĺêḿêńt̂"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Âĺl̂ f́ôćûśâb́l̂é êĺêḿêńt̂ś m̂úŝt́ ĥáv̂é â ún̂íq̂úê `id` t́ô én̂śûŕê t́ĥát̂ t́ĥéŷ'ŕê v́îśîb́l̂é t̂ó âśŝíŝt́îv́ê t́êćĥńôĺôǵîéŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` ât́t̂ŕîb́ût́êś ôń âćt̂ív̂é, f̂óĉúŝáb̂ĺê él̂ém̂én̂t́ŝ ár̂é n̂ót̂ ún̂íq̂úê"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` ât́t̂ŕîb́ût́êś ôń âćt̂ív̂é, f̂óĉúŝáb̂ĺê él̂ém̂én̂t́ŝ ár̂é ûńîq́ûé"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"T̂h́ê v́âĺûé ôf́ âń ÂŔÎÁ ÎD́ m̂úŝt́ b̂é ûńîq́ûé t̂ó p̂ŕêv́êńt̂ ót̂h́êŕ îńŝt́âńĉéŝ f́r̂óm̂ b́êín̂ǵ ôv́êŕl̂óôḱêd́ b̂ý âśŝíŝt́îv́ê t́êćĥńôĺôǵîéŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ÂŔÎÁ ÎD́ŝ ár̂é n̂ót̂ ún̂íq̂úê"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ÂŔÎÁ ÎD́ŝ ár̂é ûńîq́ûé"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"F̂ór̂ḿ f̂íêĺd̂ś ŵít̂h́ m̂úl̂t́îṕl̂é l̂áb̂él̂ś ĉán̂ b́ê ćôńf̂úŝín̂ǵl̂ý âńn̂óûńĉéd̂ b́ŷ áŝśîśt̂ív̂é t̂éĉh́n̂ól̂óĝíêś l̂ík̂é ŝćr̂éêń r̂éâd́êŕŝ ẃĥíĉh́ ûśê éît́ĥér̂ t́ĥé f̂ír̂śt̂, t́ĥé l̂áŝt́, ôŕ âĺl̂ óf̂ t́ĥé l̂áb̂él̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/form-field-multiple-labels/)."},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"F̂ór̂ḿ f̂íêĺd̂ś ĥáv̂é m̂úl̂t́îṕl̂é l̂áb̂él̂ś"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"N̂ó f̂ór̂ḿ f̂íêĺd̂ś ĥáv̂é m̂úl̂t́îṕl̂é l̂áb̂él̂ś"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Ŝćr̂éêń r̂éâd́êŕ ûśêŕŝ ŕêĺŷ ón̂ f́r̂ám̂é t̂ít̂ĺêś t̂ó d̂éŝćr̂íb̂é t̂h́ê ćôńt̂én̂t́ŝ óf̂ f́r̂ám̂éŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` ôŕ `<iframe>` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê á t̂ít̂ĺê"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` ôŕ `<iframe>` êĺêḿêńt̂ś ĥáv̂é â t́ît́l̂é"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"P̂ŕôṕêŕl̂ý ôŕd̂ér̂éd̂ h́êád̂ín̂ǵŝ t́ĥát̂ d́ô ńôt́ ŝḱîṕ l̂év̂él̂ś ĉón̂v́êý t̂h́ê śêḿâńt̂íĉ śt̂ŕûćt̂úr̂é ôf́ t̂h́ê ṕâǵê, ḿâḱîńĝ ít̂ éâśîér̂ t́ô ńâv́îǵât́ê án̂d́ ûńd̂ér̂śt̂án̂d́ ŵh́êń ûśîńĝ áŝśîśt̂ív̂é t̂éĉh́n̂ól̂óĝíêś. [L̂éâŕn̂ ḿôŕê](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Ĥéâd́îńĝ él̂ém̂én̂t́ŝ ár̂é n̂ót̂ ín̂ á ŝéq̂úêńt̂íâĺl̂ý-d̂éŝćêńd̂ín̂ǵ ôŕd̂ér̂"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Ĥéâd́îńĝ él̂ém̂én̂t́ŝ áp̂ṕêár̂ ín̂ á ŝéq̂úêńt̂íâĺl̂ý-d̂éŝćêńd̂ín̂ǵ ôŕd̂ér̂"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Îf́ â ṕâǵê d́ôéŝń't̂ śp̂éĉíf̂ý â ĺâńĝ át̂t́r̂íb̂út̂é, â śĉŕêén̂ ŕêád̂ér̂ áŝśûḿêś t̂h́ât́ t̂h́ê ṕâǵê íŝ ín̂ t́ĥé d̂éf̂áûĺt̂ ĺâńĝúâǵê t́ĥát̂ t́ĥé ûśêŕ ĉh́ôśê ẃĥén̂ śêt́t̂ín̂ǵ ûṕ t̂h́ê śĉŕêén̂ ŕêád̂ér̂. Íf̂ t́ĥé p̂áĝé îśn̂'t́ âćt̂úâĺl̂ý îń t̂h́ê d́êf́âúl̂t́ l̂án̂ǵûáĝé, t̂h́êń t̂h́ê śĉŕêén̂ ŕêád̂ér̂ ḿîǵĥt́ n̂ót̂ án̂ńôún̂ćê t́ĥé p̂áĝé'ŝ t́êx́t̂ ćôŕr̂éĉt́l̂ý. [L̂éâŕn̂ ḿôŕê](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` êĺêḿêńt̂ d́ôéŝ ńôt́ ĥáv̂é â `[lang]` át̂t́r̂íb̂út̂é"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` êĺêḿêńt̂ h́âś â `[lang]` át̂t́r̂íb̂út̂é"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Ŝṕêćîf́ŷín̂ǵ â v́âĺîd́ [B̂ĆP̂ 47 ĺâńĝúâǵê](https://www.w3.org/International/questions/qa-choosing-language-tags#question) h́êĺp̂ś ŝćr̂éêń r̂éâd́êŕŝ án̂ńôún̂ćê t́êx́t̂ ṕr̂óp̂ér̂ĺŷ. [Ĺêár̂ń m̂ór̂é](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` êĺêḿêńt̂ d́ôéŝ ńôt́ ĥáv̂é â v́âĺîd́ v̂ál̂úê f́ôŕ ît́ŝ `[lang]` át̂t́r̂íb̂út̂é."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` êĺêḿêńt̂ h́âś â v́âĺîd́ v̂ál̂úê f́ôŕ ît́ŝ `[lang]` át̂t́r̂íb̂út̂é"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"Îńf̂ór̂ḿât́îv́ê él̂ém̂én̂t́ŝ śĥóûĺd̂ áîḿ f̂ór̂ śĥór̂t́, d̂éŝćr̂íp̂t́îv́ê ál̂t́êŕn̂át̂é t̂éx̂t́. D̂éĉór̂át̂ív̂é êĺêḿêńt̂ś ĉán̂ b́ê íĝńôŕêd́ ŵít̂h́ âń êḿp̂t́ŷ ál̂t́ ât́t̂ŕîb́ût́ê. [Ĺêár̂ń m̂ór̂é](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Îḿâǵê él̂ém̂én̂t́ŝ d́ô ńôt́ ĥáv̂é `[alt]` ât́t̂ŕîb́ût́êś"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Îḿâǵê él̂ém̂én̂t́ŝ h́âv́ê `[alt]` át̂t́r̂íb̂út̂éŝ"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Ŵh́êń âń îḿâǵê íŝ b́êín̂ǵ ûśêd́ âś âń `<input>` b̂út̂t́ôń, p̂ŕôv́îd́îńĝ ál̂t́êŕn̂át̂ív̂é t̂éx̂t́ ĉán̂ h́êĺp̂ śĉŕêén̂ ŕêád̂ér̂ úŝér̂ś ûńd̂ér̂śt̂án̂d́ t̂h́ê ṕûŕp̂óŝé ôf́ t̂h́ê b́ût́t̂ón̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê `[alt]` t́êx́t̂'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` êĺêḿêńt̂ś ĥáv̂é `[alt]` t̂éx̂t́'},"lighthouse-core/audits/accessibility/label.js | description":{message:"L̂áb̂él̂ś êńŝúr̂é t̂h́ât́ f̂ór̂ḿ ĉón̂t́r̂ól̂ś âŕê án̂ńôún̂ćêd́ p̂ŕôṕêŕl̂ý b̂ý âśŝíŝt́îv́ê t́êćĥńôĺôǵîéŝ, ĺîḱê śĉŕêén̂ ŕêád̂ér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/label/)."},
"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"F̂ór̂ḿ êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê áŝśôćîát̂éd̂ ĺâb́êĺŝ"},"lighthouse-core/audits/accessibility/label.js | title":{message:"F̂ór̂ḿ êĺêḿêńt̂ś ĥáv̂é âśŝóĉíât́êd́ l̂áb̂él̂ś"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"L̂ín̂ḱ t̂éx̂t́ (âńd̂ ál̂t́êŕn̂át̂é t̂éx̂t́ f̂ór̂ ím̂áĝéŝ, ẃĥén̂ úŝéd̂ áŝ ĺîńk̂ś) t̂h́ât́ îś d̂íŝćêŕn̂íb̂ĺê, ún̂íq̂úê, án̂d́ f̂óĉúŝáb̂ĺê ím̂ṕr̂óv̂éŝ t́ĥé n̂áv̂íĝát̂íôń êx́p̂ér̂íêńĉé f̂ór̂ śĉŕêén̂ ŕêád̂ér̂ úŝér̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"L̂ín̂ḱŝ d́ô ńôt́ ĥáv̂é â d́îśĉér̂ńîb́l̂é n̂ám̂é"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"L̂ín̂ḱŝ h́âv́ê á d̂íŝćêŕn̂íb̂ĺê ńâḿê"},
"lighthouse-core/audits/accessibility/list.js | description":{message:"Ŝćr̂éêń r̂éâd́êŕŝ h́âv́ê á ŝṕêćîf́îć ŵáŷ óf̂ án̂ńôún̂ćîńĝ ĺîśt̂ś. Êńŝúr̂ín̂ǵ p̂ŕôṕêŕ l̂íŝt́ ŝt́r̂úĉt́ûŕê áîd́ŝ śĉŕêén̂ ŕêád̂ér̂ óût́p̂út̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"L̂íŝt́ŝ d́ô ńôt́ ĉón̂t́âín̂ ón̂ĺŷ `<li>` él̂ém̂én̂t́ŝ án̂d́ ŝćr̂íp̂t́ ŝúp̂ṕôŕt̂ín̂ǵ êĺêḿêńt̂ś (`<script>` âńd̂ `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"L̂íŝt́ŝ ćôńt̂áîń ôńl̂ý `<li>` êĺêḿêńt̂ś âńd̂ śĉŕîṕt̂ śûṕp̂ór̂t́îńĝ él̂ém̂én̂t́ŝ (`<script>` án̂d́ `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Ŝćr̂éêń r̂éâd́êŕŝ ŕêq́ûír̂é l̂íŝt́ ît́êḿŝ (`<li>`) t́ô b́ê ćôńt̂áîńêd́ ŵít̂h́îń â ṕâŕêńt̂ `<ul>` ór̂ `<ol>` t́ô b́ê án̂ńôún̂ćêd́ p̂ŕôṕêŕl̂ý. [L̂éâŕn̂ ḿôŕê](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"L̂íŝt́ ît́êḿŝ (`<li>`) ár̂é n̂ót̂ ćôńt̂áîńêd́ ŵít̂h́îń `<ul>` ôŕ `<ol>` p̂ár̂én̂t́ êĺêḿêńt̂ś."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"L̂íŝt́ ît́êḿŝ (`<li>`) ár̂é ĉón̂t́âín̂éd̂ ẃît́ĥín̂ `<ul>` ór̂ `<ol>` ṕâŕêńt̂ él̂ém̂én̂t́ŝ"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Ûśêŕŝ d́ô ńôt́ êx́p̂éĉt́ â ṕâǵê t́ô ŕêf́r̂éŝh́ âút̂óm̂át̂íĉál̂ĺŷ, án̂d́ d̂óîńĝ śô ẃîĺl̂ ḿôv́ê f́ôćûś b̂áĉḱ t̂ó t̂h́ê t́ôṕ ôf́ t̂h́ê ṕâǵê. T́ĥíŝ ḿâý ĉŕêát̂é â f́r̂úŝt́r̂át̂ín̂ǵ ôŕ ĉón̂f́ûśîńĝ éx̂ṕêŕîén̂ćê. [Ĺêár̂ń m̂ór̂é](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'T̂h́ê d́ôćûḿêńt̂ úŝéŝ `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'T̂h́ê d́ôćûḿêńt̂ d́ôéŝ ńôt́ ûśê `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"D̂íŝáb̂ĺîńĝ źôóm̂ín̂ǵ îś p̂ŕôb́l̂ém̂át̂íĉ f́ôŕ ûśêŕŝ ẃît́ĥ ĺôẃ v̂íŝíôń ŵh́ô ŕêĺŷ ón̂ śĉŕêén̂ ḿâǵn̂íf̂íĉát̂íôń t̂ó p̂ŕôṕêŕl̂ý ŝéê t́ĥé ĉón̂t́êńt̂ś ôf́ â ẃêb́ p̂áĝé. [L̂éâŕn̂ ḿôŕê](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` îś ûśêd́ îń t̂h́ê `<meta name="viewport">` él̂ém̂én̂t́ ôŕ t̂h́ê `[maximum-scale]` át̂t́r̂íb̂út̂é îś l̂éŝś t̂h́âń 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` îś n̂ót̂ úŝéd̂ ín̂ t́ĥé `<meta name="viewport">` êĺêḿêńt̂ án̂d́ t̂h́ê `[maximum-scale]` át̂t́r̂íb̂út̂é îś n̂ót̂ ĺêśŝ t́ĥán̂ 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Ŝćr̂éêń r̂éâd́êŕŝ ćâńn̂ót̂ t́r̂án̂śl̂át̂é n̂ón̂-t́êx́t̂ ćôńt̂én̂t́. Âd́d̂ín̂ǵ âĺt̂ t́êx́t̂ t́ô `<object>` él̂ém̂én̂t́ŝ h́êĺp̂ś ŝćr̂éêń r̂éâd́êŕŝ ćôńv̂éŷ ḿêán̂ín̂ǵ t̂ó ûśêŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê `[alt]` t́êx́t̂"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` êĺêḿêńt̂ś ĥáv̂é `[alt]` t̂éx̂t́"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Â v́âĺûé ĝŕêát̂ér̂ t́ĥán̂ 0 ím̂ṕl̂íêś âń êx́p̂ĺîćît́ n̂áv̂íĝát̂íôń ôŕd̂ér̂ín̂ǵ. Âĺt̂h́ôúĝh́ t̂éĉh́n̂íĉál̂ĺŷ v́âĺîd́, t̂h́îś ôf́t̂én̂ ćr̂éât́êś f̂ŕûśt̂ŕât́îńĝ éx̂ṕêŕîén̂ćêś f̂ór̂ úŝér̂ś ŵh́ô ŕêĺŷ ón̂ áŝśîśt̂ív̂é t̂éĉh́n̂ól̂óĝíêś. [L̂éâŕn̂ ḿôŕê](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Ŝóm̂é êĺêḿêńt̂ś ĥáv̂é â `[tabindex]` v́âĺûé ĝŕêát̂ér̂ t́ĥán̂ 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"N̂ó êĺêḿêńt̂ h́âś â `[tabindex]` v́âĺûé ĝŕêát̂ér̂ t́ĥán̂ 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Ŝćr̂éêń r̂éâd́êŕŝ h́âv́ê f́êát̂úr̂éŝ t́ô ḿâḱê ńâv́îǵât́îńĝ t́âb́l̂éŝ éâśîér̂. Én̂śûŕîńĝ `<td>` ćêĺl̂ś ûśîńĝ t́ĥé `[headers]` ât́t̂ŕîb́ût́ê ón̂ĺŷ ŕêf́êŕ t̂ó ôt́ĥér̂ ćêĺl̂ś îń t̂h́ê śâḿê t́âb́l̂é m̂áŷ ím̂ṕr̂óv̂é t̂h́ê éx̂ṕêŕîén̂ćê f́ôŕ ŝćr̂éêń r̂éâd́êŕ ûśêŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Ĉél̂ĺŝ ín̂ á `<table>` êĺêḿêńt̂ t́ĥát̂ úŝé t̂h́ê `[headers]` át̂t́r̂íb̂út̂é r̂éf̂ér̂ t́ô án̂ él̂ém̂én̂t́ `id` n̂ót̂ f́ôún̂d́ ŵít̂h́îń t̂h́ê śâḿê t́âb́l̂é."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Ĉél̂ĺŝ ín̂ á `<table>` êĺêḿêńt̂ t́ĥát̂ úŝé t̂h́ê `[headers]` át̂t́r̂íb̂út̂é r̂éf̂ér̂ t́ô t́âb́l̂é ĉél̂ĺŝ ẃît́ĥín̂ t́ĥé ŝám̂é t̂áb̂ĺê."},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Ŝćr̂éêń r̂éâd́êŕŝ h́âv́ê f́êát̂úr̂éŝ t́ô ḿâḱê ńâv́îǵât́îńĝ t́âb́l̂éŝ éâśîér̂. Én̂śûŕîńĝ t́âb́l̂é ĥéâd́êŕŝ ál̂ẃâýŝ ŕêf́êŕ t̂ó ŝóm̂é ŝét̂ óf̂ ćêĺl̂ś m̂áŷ ím̂ṕr̂óv̂é t̂h́ê éx̂ṕêŕîén̂ćê f́ôŕ ŝćr̂éêń r̂éâd́êŕ ûśêŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` êĺêḿêńt̂ś âńd̂ él̂ém̂én̂t́ŝ ẃît́ĥ `[role="columnheader"/"rowheader"]` d́ô ńôt́ ĥáv̂é d̂át̂á ĉél̂ĺŝ t́ĥéŷ d́êśĉŕîb́ê.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` êĺêḿêńt̂ś âńd̂ él̂ém̂én̂t́ŝ ẃît́ĥ `[role="columnheader"/"rowheader"]` h́âv́ê d́ât́â ćêĺl̂ś t̂h́êý d̂éŝćr̂íb̂é.'},
"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Ŝṕêćîf́ŷín̂ǵ â v́âĺîd́ [B̂ĆP̂ 47 ĺâńĝúâǵê](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ón̂ él̂ém̂én̂t́ŝ h́êĺp̂ś êńŝúr̂é t̂h́ât́ t̂éx̂t́ îś p̂ŕôńôún̂ćêd́ ĉór̂ŕêćt̂ĺŷ b́ŷ á ŝćr̂éêń r̂éâd́êŕ. [L̂éâŕn̂ ḿôŕê](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` ât́t̂ŕîb́ût́êś d̂ó n̂ót̂ h́âv́ê á v̂ál̂íd̂ v́âĺûé"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` ât́t̂ŕîb́ût́êś ĥáv̂é â v́âĺîd́ v̂ál̂úê"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"Ŵh́êń â v́îd́êó p̂ŕôv́îd́êś â ćâṕt̂íôń ît́ îś êáŝíêŕ f̂ór̂ d́êáf̂ án̂d́ ĥéâŕîńĝ ím̂ṕâír̂éd̂ úŝér̂ś t̂ó âćĉéŝś ît́ŝ ín̂f́ôŕm̂át̂íôń. [L̂éâŕn̂ ḿôŕê](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` êĺêḿêńt̂ś d̂ó n̂ót̂ ćôńt̂áîń â `<track>` él̂ém̂én̂t́ ŵít̂h́ `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` êĺêḿêńt̂ś ĉón̂t́âín̂ á `<track>` êĺêḿêńt̂ ẃît́ĥ `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"F̂ór̂ íd̂éâĺ âṕp̂éâŕâńĉé ôń îÓŜ ẃĥén̂ úŝér̂ś âd́d̂ á p̂ŕôǵr̂éŝśîv́ê ẃêb́ âṕp̂ t́ô t́ĥé ĥóm̂é ŝćr̂éêń, d̂éf̂ín̂é âń `apple-touch-icon`. Ît́ m̂úŝt́ p̂óîńt̂ t́ô á n̂ón̂-t́r̂án̂śp̂ár̂én̂t́ 192p̂x́ (ôŕ 180p̂x́) ŝq́ûár̂é P̂ŃĜ. [Ĺêár̂ń M̂ór̂é](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"D̂óêś n̂ót̂ ṕr̂óv̂íd̂é â v́âĺîd́ `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` îś ôút̂ óf̂ d́ât́ê; `apple-touch-icon` íŝ ṕr̂éf̂ér̂ŕêd́."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"P̂ŕôv́îd́êś â v́âĺîd́ `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Ĉúr̂ŕêńt̂ V́âĺûé"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Ŝúĝǵêśt̂éd̂ T́ôḱêń"},
"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` ĥél̂ṕŝ úŝér̂ś ŝúb̂ḿît́ f̂ór̂ḿŝ q́ûíĉḱêŕ. T̂ó r̂éd̂úĉé ûśêŕ êf́f̂ór̂t́, ĉón̂śîd́êŕ êńâb́l̂ín̂ǵ b̂ý ŝét̂t́îńĝ t́ĥé `autocomplete` ât́t̂ŕîb́ût́ê t́ô á v̂ál̂íd̂ v́âĺûé. [L̂éâŕn̂ ḿôŕê](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` êĺêḿêńt̂ś d̂ó n̂ót̂ h́âv́ê ćôŕr̂éĉt́ `autocomplete` ât́t̂ŕîb́ût́êś"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"R̂éq̂úîŕêś m̂án̂úâĺ r̂év̂íêẃ"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"R̂év̂íêẃ ôŕd̂ér̂ óf̂ t́ôḱêńŝ"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` êĺêḿêńt̂ś ĉór̂ŕêćt̂ĺŷ úŝé `autocomplete`"},
"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'`autocomplete` t̂ók̂én̂(ś): "{token}" îś îńv̂ál̂íd̂ ín̂ {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'R̂év̂íêẃ ôŕd̂ér̂ óf̂ t́ôḱêńŝ: "{tokens}" ín̂ {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Ĉh́r̂óm̂é êx́t̂én̂śîón̂ś n̂éĝát̂ív̂él̂ý âf́f̂éĉt́êd́ t̂h́îś p̂áĝé'ŝ ĺôád̂ ṕêŕf̂ór̂ḿâńĉé. T̂ŕŷ áûd́ît́îńĝ t́ĥé p̂áĝé îń îńĉóĝńît́ô ḿôd́ê ór̂ f́r̂óm̂ á Ĉh́r̂óm̂é p̂ŕôf́îĺê ẃît́ĥóût́ êx́t̂én̂śîón̂ś."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Ŝćr̂íp̂t́ Êv́âĺûát̂íôń"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Ŝćr̂íp̂t́ P̂ár̂śê"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"T̂ót̂ál̂ ĆP̂Ú T̂ím̂é"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Ĉón̂śîd́êŕ r̂éd̂úĉín̂ǵ t̂h́ê t́îḿê śp̂én̂t́ p̂ár̂śîńĝ, ćôḿp̂íl̂ín̂ǵ, âńd̂ éx̂éĉút̂ín̂ǵ ĴŚ. Ŷóû ḿâý f̂ín̂d́ d̂él̂ív̂ér̂ín̂ǵ ŝḿâĺl̂ér̂ J́Ŝ ṕâýl̂óâd́ŝ h́êĺp̂ś ŵít̂h́ t̂h́îś. [L̂éâŕn̂ ḿôŕê](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"R̂éd̂úĉé Ĵáv̂áŜćr̂íp̂t́ êx́êćût́îón̂ t́îḿê"},"lighthouse-core/audits/bootup-time.js | title":{message:"Ĵáv̂áŜćr̂íp̂t́ êx́êćût́îón̂ t́îḿê"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"R̂ém̂óv̂é l̂ár̂ǵê, d́ûṕl̂íĉát̂é Ĵáv̂áŜćr̂íp̂t́ m̂ód̂úl̂éŝ f́r̂óm̂ b́ûńd̂ĺêś t̂ó r̂éd̂úĉé ûńn̂éĉéŝśâŕŷ b́ŷt́êś ĉón̂śûḿêd́ b̂ý n̂ét̂ẃôŕk̂ áĉt́îv́ît́ŷ. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{
message:"R̂ém̂óv̂é d̂úp̂ĺîćât́ê ḿôd́ûĺêś îń Ĵáv̂áŜćr̂íp̂t́ b̂ún̂d́l̂éŝ"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"L̂ár̂ǵê ǴÎF́ŝ ár̂é îńêf́f̂íĉíêńt̂ f́ôŕ d̂él̂ív̂ér̂ín̂ǵ âńîḿât́êd́ ĉón̂t́êńt̂. Ćôńŝíd̂ér̂ úŝín̂ǵ M̂ṔÊǴ4/Ŵéb̂Ḿ v̂íd̂éôś f̂ór̂ án̂ím̂át̂íôńŝ án̂d́ P̂ŃĜ/Ẃêb́P̂ f́ôŕ ŝt́ât́îć îḿâǵêś îńŝt́êád̂ óf̂ ǴÎF́ t̂ó ŝáv̂é n̂ét̂ẃôŕk̂ b́ŷt́êś. [L̂éâŕn̂ ḿôŕê](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Ûśê v́îd́êó f̂ór̂ḿât́ŝ f́ôŕ âńîḿât́êd́ ĉón̂t́êńt̂"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"P̂ól̂ýf̂íl̂ĺŝ án̂d́ t̂ŕâńŝf́ôŕm̂ś êńâb́l̂é l̂éĝáĉý b̂ŕôẃŝér̂ś t̂ó ûśê ńêẃ Ĵáv̂áŜćr̂íp̂t́ f̂éât́ûŕêś. Ĥóŵév̂ér̂, ḿâńŷ ár̂én̂'t́ n̂éĉéŝśâŕŷ f́ôŕ m̂ód̂ér̂ń b̂ŕôẃŝér̂ś. F̂ór̂ ýôúr̂ b́ûńd̂ĺêd́ Ĵáv̂áŜćr̂íp̂t́, âd́ôṕt̂ á m̂ód̂ér̂ń ŝćr̂íp̂t́ d̂ép̂ĺôým̂én̂t́ ŝt́r̂át̂éĝý ûśîńĝ ḿôd́ûĺê/ńôḿôd́ûĺê f́êát̂úr̂é d̂ét̂éĉt́îón̂ t́ô ŕêd́ûćê t́ĥé âḿôún̂t́ ôf́ ĉód̂é ŝh́îṕp̂éd̂ t́ô ḿôd́êŕn̂ b́r̂óŵśêŕŝ, ẃĥíl̂é r̂ét̂áîńîńĝ śûṕp̂ór̂t́ f̂ór̂ ĺêǵâćŷ b́r̂óŵśêŕŝ. [Ĺêár̂ń M̂ór̂é](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Âv́ôíd̂ śêŕv̂ín̂ǵ l̂éĝáĉý Ĵáv̂áŜćr̂íp̂t́ t̂ó m̂ód̂ér̂ń b̂ŕôẃŝér̂ś"},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Îḿâǵê f́ôŕm̂át̂ś l̂ík̂é Ŵéb̂Ṕ âńd̂ ÁV̂ÍF̂ óf̂t́êń p̂ŕôv́îd́ê b́êt́t̂ér̂ ćôḿp̂ŕêśŝíôń t̂h́âń P̂ŃĜ ór̂ J́P̂ÉĜ, ẃĥíĉh́ m̂éâńŝ f́âśt̂ér̂ d́ôẃn̂ĺôád̂ś âńd̂ ĺêśŝ d́ât́â ćôńŝúm̂ṕt̂íôń. [L̂éâŕn̂ ḿôŕê](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Ŝér̂v́ê ím̂áĝéŝ ín̂ ńêx́t̂-ǵêń f̂ór̂ḿât́ŝ"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Ĉón̂śîd́êŕ l̂áẑý-l̂óâd́îńĝ óf̂f́ŝćr̂éêń âńd̂ h́îd́d̂én̂ ím̂áĝéŝ áf̂t́êŕ âĺl̂ ćr̂ít̂íĉál̂ ŕêśôúr̂ćêś ĥáv̂é f̂ín̂íŝh́êd́ l̂óâd́îńĝ t́ô ĺôẃêŕ t̂ím̂é t̂ó îńt̂ér̂áĉt́îv́ê. [Ĺêár̂ń m̂ór̂é](https://web.dev/offscreen-images/)."},
"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"D̂éf̂ér̂ óf̂f́ŝćr̂éêń îḿâǵêś"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"R̂éŝóûŕĉéŝ ár̂é b̂ĺôćk̂ín̂ǵ t̂h́ê f́îŕŝt́ p̂áîńt̂ óf̂ ýôúr̂ ṕâǵê. Ćôńŝíd̂ér̂ d́êĺîv́êŕîńĝ ćr̂ít̂íĉál̂ J́Ŝ/ĆŜŚ îńl̂ín̂é âńd̂ d́êf́êŕr̂ín̂ǵ âĺl̂ ńôń-ĉŕît́îćâĺ ĴŚ/ŝt́ŷĺêś. [L̂éâŕn̂ ḿôŕê](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Êĺîḿîńât́ê ŕêńd̂ér̂-b́l̂óĉḱîńĝ ŕêśôúr̂ćêś"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{
message:"L̂ár̂ǵê ńêt́ŵór̂ḱ p̂áŷĺôád̂ś ĉóŝt́ ûśêŕŝ ŕêál̂ ḿôńêý âńd̂ ár̂é ĥíĝh́l̂ý ĉór̂ŕêĺât́êd́ ŵít̂h́ l̂ón̂ǵ l̂óâd́ t̂ím̂éŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"T̂ót̂ál̂ śîźê ẃâś {totalBytes, number, bytes} K̂íB̂"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Âv́ôíd̂ én̂ór̂ḿôúŝ ńêt́ŵór̂ḱ p̂áŷĺôád̂ś"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Âv́ôíd̂ś êńôŕm̂óûś n̂ét̂ẃôŕk̂ ṕâýl̂óâd́ŝ"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"M̂ín̂íf̂ýîńĝ ĆŜŚ f̂íl̂éŝ ćâń r̂éd̂úĉé n̂ét̂ẃôŕk̂ ṕâýl̂óâd́ ŝíẑéŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{
message:"M̂ín̂íf̂ý ĈŚŜ"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"M̂ín̂íf̂ýîńĝ J́âv́âŚĉŕîṕt̂ f́îĺêś ĉán̂ ŕêd́ûćê ṕâýl̂óâd́ ŝíẑéŝ án̂d́ ŝćr̂íp̂t́ p̂ár̂śê t́îḿê. [Ĺêár̂ń m̂ór̂é](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"M̂ín̂íf̂ý Ĵáv̂áŜćr̂íp̂t́"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"R̂éd̂úĉé ûńûśêd́ r̂úl̂éŝ f́r̂óm̂ śt̂ýl̂éŝh́êét̂ś âńd̂ d́êf́êŕ ĈŚŜ ńôt́ ûśêd́ f̂ór̂ áb̂óv̂é-t̂h́ê-f́ôĺd̂ ćôńt̂én̂t́ t̂ó d̂éĉŕêáŝé b̂ýt̂éŝ ćôńŝúm̂éd̂ b́ŷ ńêt́ŵór̂ḱ âćt̂ív̂ít̂ý. [L̂éâŕn̂ ḿôŕê](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"R̂éd̂úĉé ûńûśêd́ ĈŚŜ"},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"R̂éd̂úĉé ûńûśêd́ Ĵáv̂áŜćr̂íp̂t́ âńd̂ d́êf́êŕ l̂óâd́îńĝ śĉŕîṕt̂ś ûńt̂íl̂ t́ĥéŷ ár̂é r̂éq̂úîŕêd́ t̂ó d̂éĉŕêáŝé b̂ýt̂éŝ ćôńŝúm̂éd̂ b́ŷ ńêt́ŵór̂ḱ âćt̂ív̂ít̂ý. [L̂éâŕn̂ ḿôŕê](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"R̂éd̂úĉé ûńûśêd́ Ĵáv̂áŜćr̂íp̂t́"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Â ĺôńĝ ćâćĥé l̂íf̂ét̂ím̂é ĉán̂ śp̂éêd́ ûṕ r̂ép̂éât́ v̂íŝít̂ś t̂ó ŷóûŕ p̂áĝé. [L̂éâŕn̂ ḿôŕê](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 r̂éŝóûŕĉé f̂óûńd̂}\n    other {# ŕêśôúr̂ćêś f̂óûńd̂}\n    }"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Ŝér̂v́ê śt̂át̂íĉ áŝśêt́ŝ ẃît́ĥ án̂ éf̂f́îćîén̂t́ ĉáĉh́ê ṕôĺîćŷ"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Ûśêś êf́f̂íĉíêńt̂ ćâćĥé p̂ól̂íĉý ôń ŝt́ât́îć âśŝét̂ś"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Ôṕt̂ím̂íẑéd̂ ím̂áĝéŝ ĺôád̂ f́âśt̂ér̂ án̂d́ ĉón̂śûḿê ĺêśŝ ćêĺl̂úl̂ár̂ d́ât́â. [Ĺêár̂ń m̂ór̂é](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Êf́f̂íĉíêńt̂ĺŷ én̂ćôd́ê ím̂áĝéŝ"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images-snapshot.js | columnActualDimensions":{message:"Âćt̂úâĺ d̂ím̂én̂śîón̂ś"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images-snapshot.js | columnDisplayedDimensions":{message:"D̂íŝṕl̂áŷéd̂ d́îḿêńŝíôńŝ"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Ŝér̂v́ê ím̂áĝéŝ t́ĥát̂ ár̂é âṕp̂ŕôṕr̂íât́êĺŷ-śîźêd́ t̂ó ŝáv̂é ĉél̂ĺûĺâŕ d̂át̂á âńd̂ ím̂ṕr̂óv̂é l̂óâd́ t̂ím̂é. [L̂éâŕn̂ ḿôŕê](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"P̂ŕôṕêŕl̂ý ŝíẑé îḿâǵêś"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"T̂éx̂t́-b̂áŝéd̂ ŕêśôúr̂ćêś ŝh́ôúl̂d́ b̂é ŝér̂v́êd́ ŵít̂h́ ĉóm̂ṕr̂éŝśîón̂ (ǵẑíp̂, d́êf́l̂át̂é ôŕ b̂ŕôt́l̂í) t̂ó m̂ín̂ím̂íẑé t̂ót̂ál̂ ńêt́ŵór̂ḱ b̂ýt̂éŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/uses-text-compression/)."},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Êńâb́l̂é t̂éx̂t́ ĉóm̂ṕr̂éŝśîón̂"},"lighthouse-core/audits/content-width.js | description":{message:"Îf́ t̂h́ê ẃîd́t̂h́ ôf́ ŷóûŕ âṕp̂'ś ĉón̂t́êńt̂ d́ôéŝń't̂ ḿât́ĉh́ t̂h́ê ẃîd́t̂h́ ôf́ t̂h́ê v́îéŵṕôŕt̂, ýôúr̂ áp̂ṕ m̂íĝh́t̂ ńôt́ b̂é ôṕt̂ím̂íẑéd̂ f́ôŕ m̂ób̂íl̂é ŝćr̂éêńŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"T̂h́ê v́îéŵṕôŕt̂ śîźê óf̂ {innerWidth}ṕx̂ d́ôéŝ ńôt́ m̂át̂ćĥ t́ĥé ŵín̂d́ôẃ ŝíẑé ôf́ {outerWidth}p̂x́."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Ĉón̂t́êńt̂ íŝ ńôt́ ŝíẑéd̂ ćôŕr̂éĉt́l̂ý f̂ór̂ t́ĥé v̂íêẃp̂ór̂t́"},"lighthouse-core/audits/content-width.js | title":{message:"Ĉón̂t́êńt̂ íŝ śîźêd́ ĉór̂ŕêćt̂ĺŷ f́ôŕ t̂h́ê v́îéŵṕôŕt̂"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"T̂h́ê Ćr̂ít̂íĉál̂ Ŕêq́ûéŝt́ Ĉh́âín̂ś b̂él̂óŵ śĥóŵ ýôú ŵh́ât́ r̂éŝóûŕĉéŝ ár̂é l̂óâd́êd́ ŵít̂h́ â h́îǵĥ ṕr̂íôŕît́ŷ. Ćôńŝíd̂ér̂ ŕêd́ûćîńĝ t́ĥé l̂én̂ǵt̂h́ ôf́ ĉh́âín̂ś, r̂éd̂úĉín̂ǵ t̂h́ê d́ôẃn̂ĺôád̂ śîźê óf̂ ŕêśôúr̂ćêś, ôŕ d̂éf̂ér̂ŕîńĝ t́ĥé d̂óŵńl̂óâd́ ôf́ ûńn̂éĉéŝśâŕŷ ŕêśôúr̂ćêś t̂ó îḿp̂ŕôv́ê ṕâǵê ĺôád̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 ĉh́âín̂ f́ôún̂d́}\n    other {# ĉh́âín̂ś f̂óûńd̂}\n    }"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Âv́ôíd̂ ćĥáîńîńĝ ćr̂ít̂íĉál̂ ŕêq́ûéŝt́ŝ"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"D̂ír̂éĉt́îv́ê"},
"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Ŝév̂ér̂ít̂ý"},"lighthouse-core/audits/csp-xss.js | description":{message:"Â śt̂ŕôńĝ Ćôńt̂én̂t́ Ŝéĉúr̂ít̂ý P̂ól̂íĉý (ĈŚP̂) śîǵn̂íf̂íĉán̂t́l̂ý r̂éd̂úĉéŝ t́ĥé r̂íŝḱ ôf́ ĉŕôśŝ-śît́ê śĉŕîṕt̂ín̂ǵ (X̂ŚŜ) át̂t́âćk̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Ŝýn̂t́âx́"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"T̂h́ê ṕâǵê ćôńt̂áîńŝ á ĈŚP̂ d́êf́îńêd́ îń â <ḿêt́â> t́âǵ. Ĉón̂śîd́êŕ d̂éf̂ín̂ín̂ǵ t̂h́ê ĆŜṔ îń âń ĤT́T̂Ṕ ĥéâd́êŕ îf́ ŷóû ćâń."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"N̂ó ĈŚP̂ f́ôún̂d́ îń êńf̂ór̂ćêḿêńt̂ ḿôd́ê"},"lighthouse-core/audits/csp-xss.js | title":{message:"Êńŝúr̂é ĈŚP̂ íŝ éf̂f́êćt̂ív̂é âǵâín̂śt̂ X́ŜŚ ât́t̂áĉḱŝ"},
"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"D̂ép̂ŕêćât́îón̂ / Ẃâŕn̂ín̂ǵ"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"L̂ín̂é"},"lighthouse-core/audits/deprecations.js | description":{message:"D̂ép̂ŕêćât́êd́ ÂṔÎś ŵíl̂ĺ êv́êńt̂úâĺl̂ý b̂é r̂ém̂óv̂éd̂ f́r̂óm̂ t́ĥé b̂ŕôẃŝér̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 ŵár̂ńîńĝ f́ôún̂d́}\n    other {# ŵár̂ńîńĝś f̂óûńd̂}\n    }"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Ûśêś d̂ép̂ŕêćât́êd́ ÂṔÎś"},"lighthouse-core/audits/deprecations.js | title":{message:"Âv́ôíd̂ś d̂ép̂ŕêćât́êd́ ÂṔÎś"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{
message:"Âṕp̂ĺîćât́îón̂ Ćâćĥé îś d̂ép̂ŕêćât́êd́. [L̂éâŕn̂ ḿôŕê](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'F̂óûńd̂ "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Ûśêś Âṕp̂ĺîćât́îón̂ Ćâćĥé"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Âv́ôíd̂ś Âṕp̂ĺîćât́îón̂ Ćâćĥé"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Â ćĥár̂áĉt́êŕ êńĉód̂ín̂ǵ d̂éĉĺâŕât́îón̂ íŝ ŕêq́ûír̂éd̂. Ít̂ ćâń b̂é d̂ón̂é ŵít̂h́ â `<meta>` t́âǵ îń t̂h́ê f́îŕŝt́ 1024 b̂ýt̂éŝ óf̂ t́ĥé ĤT́M̂Ĺ ôŕ îń t̂h́ê Ćôńt̂én̂t́-T̂ýp̂é ĤT́T̂Ṕ r̂éŝṕôńŝé ĥéâd́êŕ. [L̂éâŕn̂ ḿôŕê](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{
message:"Ĉh́âŕŝét̂ d́êćl̂ár̂át̂íôń îś m̂íŝśîńĝ ór̂ óĉćûŕŝ t́ôó l̂át̂é îń t̂h́ê H́T̂ḾL̂"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"P̂ŕôṕêŕl̂ý d̂éf̂ín̂éŝ ćĥár̂śêt́"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Ŝṕêćîf́ŷín̂ǵ â d́ôćt̂ýp̂é p̂ŕêv́êńt̂ś t̂h́ê b́r̂óŵśêŕ f̂ŕôḿ ŝẃît́ĉh́îńĝ t́ô q́ûír̂ḱŝ-ḿôd́ê. [Ĺêár̂ń m̂ór̂é](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"D̂óĉt́ŷṕê ńâḿê ḿûśt̂ b́ê t́ĥé l̂óŵér̂ćâśê śt̂ŕîńĝ `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"D̂óĉúm̂én̂t́ m̂úŝt́ ĉón̂t́âín̂ á d̂óĉt́ŷṕê"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Êx́p̂éĉt́êd́ p̂úb̂ĺîćÎd́ t̂ó b̂é âń êḿp̂t́ŷ śt̂ŕîńĝ"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Êx́p̂éĉt́êd́ ŝýŝt́êḿÎd́ t̂ó b̂é âń êḿp̂t́ŷ śt̂ŕîńĝ"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"P̂áĝé l̂áĉḱŝ t́ĥé ĤT́M̂Ĺ d̂óĉt́ŷṕê, t́ĥúŝ t́r̂íĝǵêŕîńĝ q́ûír̂ḱŝ-ḿôd́ê"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"P̂áĝé ĥáŝ t́ĥé ĤT́M̂Ĺ d̂óĉt́ŷṕê"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Ŝt́ât́îśt̂íĉ"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"V̂ál̂úê"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Â ĺâŕĝé D̂ÓM̂ ẃîĺl̂ ín̂ćr̂éâśê ḿêḿôŕŷ úŝáĝé, ĉáûśê ĺôńĝér̂ [śt̂ýl̂é ĉál̂ćûĺât́îón̂ś](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), âńd̂ ṕr̂ód̂úĉé ĉóŝt́l̂ý [l̂áŷóût́ r̂éf̂ĺôẃŝ](https://developers.google.com/speed/articles/reflow). [Ĺêár̂ń m̂ór̂é](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 êĺêḿêńt̂}\n    other {# él̂ém̂én̂t́ŝ}\n    }"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Âv́ôíd̂ án̂ éx̂ćêśŝív̂é D̂ÓM̂ śîźê"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"M̂áx̂ím̂úm̂ D́ÔḾ D̂ép̂t́ĥ"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"T̂ót̂ál̂ D́ÔḾ Êĺêḿêńt̂ś"},
"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"M̂áx̂ím̂úm̂ Ćĥíl̂d́ Êĺêḿêńt̂ś"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Âv́ôíd̂ś âń êx́ĉéŝśîv́ê D́ÔḾ ŝíẑé"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"F̂áîĺîńĝ Án̂ćĥór̂ś"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Âd́d̂ `rel="noopener"` ór̂ `rel="noreferrer"` t́ô án̂ý êx́t̂ér̂ńâĺ l̂ín̂ḱŝ t́ô ím̂ṕr̂óv̂é p̂ér̂f́ôŕm̂án̂ćê án̂d́ p̂ŕêv́êńt̂ śêćûŕît́ŷ v́ûĺn̂ér̂áb̂íl̂ít̂íêś. [L̂éâŕn̂ ḿôŕê](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"L̂ín̂ḱŝ t́ô ćr̂óŝś-ôŕîǵîń d̂éŝt́îńât́îón̂ś âŕê ún̂śâf́ê"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"L̂ín̂ḱŝ t́ô ćr̂óŝś-ôŕîǵîń d̂éŝt́îńât́îón̂ś âŕê śâf́ê"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Ûńâb́l̂é t̂ó d̂ét̂ér̂ḿîńê t́ĥé d̂éŝt́îńât́îón̂ f́ôŕ âńĉh́ôŕ ({anchorHTML}). Îf́ n̂ót̂ úŝéd̂ áŝ á ĥýp̂ér̂ĺîńk̂, ćôńŝíd̂ér̂ ŕêḿôv́îńĝ t́âŕĝét̂=_b́l̂án̂ḱ."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Ûśêŕŝ ár̂é m̂íŝt́r̂úŝt́f̂úl̂ óf̂ ór̂ ćôńf̂úŝéd̂ b́ŷ śît́êś t̂h́ât́ r̂éq̂úêśt̂ t́ĥéîŕ l̂óĉát̂íôń ŵít̂h́ôút̂ ćôńt̂éx̂t́. Ĉón̂śîd́êŕ t̂ýîńĝ t́ĥé r̂éq̂úêśt̂ t́ô á ûśêŕ âćt̂íôń îńŝt́êád̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{
message:"R̂éq̂úêśt̂ś t̂h́ê ǵêól̂óĉát̂íôń p̂ér̂ḿîśŝíôń ôń p̂áĝé l̂óâd́"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Âv́ôíd̂ś r̂éq̂úêśt̂ín̂ǵ t̂h́ê ǵêól̂óĉát̂íôń p̂ér̂ḿîśŝíôń ôń p̂áĝé l̂óâd́"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Îśŝúê t́ŷṕê"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Îśŝúêś l̂óĝǵêd́ t̂ó t̂h́ê `Issues` ṕâńêĺ îń Ĉh́r̂óm̂é D̂év̂t́ôól̂ś îńd̂íĉát̂é ûńr̂éŝól̂v́êd́ p̂ŕôb́l̂ém̂ś. T̂h́êý ĉán̂ ćôḿê f́r̂óm̂ ńêt́ŵór̂ḱ r̂éq̂úêśt̂ f́âíl̂úr̂éŝ, ín̂śûf́f̂íĉíêńt̂ śêćûŕît́ŷ ćôńt̂ŕôĺŝ, án̂d́ ôt́ĥér̂ b́r̂óŵśêŕ ĉón̂ćêŕn̂ś. Ôṕêń ûṕ t̂h́ê Íŝśûéŝ ṕâńêĺ îń Ĉh́r̂óm̂é D̂év̂T́ôól̂ś f̂ór̂ ḿôŕê d́êt́âíl̂ś ôń êáĉh́ îśŝúê."},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Îśŝúêś ŵér̂é l̂óĝǵêd́ îń t̂h́ê `Issues` ṕâńêĺ îń Ĉh́r̂óm̂é D̂év̂t́ôól̂ś"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"B̂ĺôćk̂éd̂ b́ŷ ćr̂óŝś-ôŕîǵîń p̂ól̂íĉý"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Ĥéâv́ŷ ŕêśôúr̂ćê úŝáĝé b̂ý âd́ŝ"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"N̂ó îśŝúêś îń t̂h́ê `Issues` ṕâńêĺ îń Ĉh́r̂óm̂é D̂év̂t́ôól̂ś"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"V̂ér̂śîón̂"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Âĺl̂ f́r̂ón̂t́-êńd̂ J́âv́âŚĉŕîṕt̂ ĺîb́r̂ár̂íêś d̂ét̂éĉt́êd́ ôń t̂h́ê ṕâǵê. [Ĺêár̂ń m̂ór̂é](https://web.dev/js-libraries/)."},
"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"D̂ét̂éĉt́êd́ Ĵáv̂áŜćr̂íp̂t́ l̂íb̂ŕâŕîéŝ"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"F̂ór̂ úŝér̂ś ôń ŝĺôẃ ĉón̂ńêćt̂íôńŝ, éx̂t́êŕn̂ál̂ śĉŕîṕt̂ś d̂ýn̂ám̂íĉál̂ĺŷ ín̂j́êćt̂éd̂ v́îá `document.write()` ĉán̂ d́êĺâý p̂áĝé l̂óâd́ b̂ý t̂én̂ś ôf́ ŝéĉón̂d́ŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Âv́ôíd̂ `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Âv́ôíd̂ś `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Ĥíĝh́êśt̂ Śêv́êŕît́ŷ"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"L̂íb̂ŕâŕŷ V́êŕŝíôń"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"V̂úl̂ńêŕâb́îĺît́ŷ Ćôún̂t́"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Ŝóm̂é t̂h́îŕd̂-ṕâŕt̂ý ŝćr̂íp̂t́ŝ ḿâý ĉón̂t́âín̂ ḱn̂óŵń ŝéĉúr̂ít̂ý v̂úl̂ńêŕâb́îĺît́îéŝ t́ĥát̂ ár̂é êáŝíl̂ý îd́êńt̂íf̂íêd́ âńd̂ éx̂ṕl̂óît́êd́ b̂ý ât́t̂áĉḱêŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 v̂úl̂ńêŕâb́îĺît́ŷ d́êt́êćt̂éd̂}\n    other {# v́ûĺn̂ér̂áb̂íl̂ít̂íêś d̂ét̂éĉt́êd́}\n    }"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Îńĉĺûd́êś f̂ŕôńt̂-én̂d́ Ĵáv̂áŜćr̂íp̂t́ l̂íb̂ŕâŕîéŝ ẃît́ĥ ḱn̂óŵń ŝéĉúr̂ít̂ý v̂úl̂ńêŕâb́îĺît́îéŝ"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Âv́ôíd̂ś f̂ŕôńt̂-én̂d́ Ĵáv̂áŜćr̂íp̂t́ l̂íb̂ŕâŕîéŝ ẃît́ĥ ḱn̂óŵń ŝéĉúr̂ít̂ý v̂úl̂ńêŕâb́îĺît́îéŝ"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Ûśêŕŝ ár̂é m̂íŝt́r̂úŝt́f̂úl̂ óf̂ ór̂ ćôńf̂úŝéd̂ b́ŷ śît́êś t̂h́ât́ r̂éq̂úêśt̂ t́ô śêńd̂ ńôt́îf́îćât́îón̂ś ŵít̂h́ôút̂ ćôńt̂éx̂t́. Ĉón̂śîd́êŕ t̂ýîńĝ t́ĥé r̂éq̂úêśt̂ t́ô úŝér̂ ǵêśt̂úr̂éŝ ín̂śt̂éâd́. [L̂éâŕn̂ ḿôŕê](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"R̂éq̂úêśt̂ś t̂h́ê ńôt́îf́îćât́îón̂ ṕêŕm̂íŝśîón̂ ón̂ ṕâǵê ĺôád̂"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{
message:"Âv́ôíd̂ś r̂éq̂úêśt̂ín̂ǵ t̂h́ê ńôt́îf́îćât́îón̂ ṕêŕm̂íŝśîón̂ ón̂ ṕâǵê ĺôád̂"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"P̂ŕêv́êńt̂ín̂ǵ p̂áŝśŵór̂d́ p̂áŝt́îńĝ ún̂d́êŕm̂ín̂éŝ ǵôód̂ śêćûŕît́ŷ ṕôĺîćŷ. [Ĺêár̂ń m̂ór̂é](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"P̂ŕêv́êńt̂ś ûśêŕŝ t́ô ṕâśt̂é îńt̂ó p̂áŝśŵór̂d́ f̂íêĺd̂ś"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Âĺl̂óŵś ûśêŕŝ t́ô ṕâśt̂é îńt̂ó p̂áŝśŵór̂d́ f̂íêĺd̂ś"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"P̂ŕôt́ôćôĺ"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{
message:"ĤT́T̂Ṕ/2 ôf́f̂ér̂ś m̂án̂ý b̂én̂éf̂ít̂ś ôv́êŕ ĤT́T̂Ṕ/1.1, îńĉĺûd́îńĝ b́îńâŕŷ h́êád̂ér̂ś âńd̂ ḿûĺt̂íp̂ĺêx́îńĝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 r̂éq̂úêśt̂ ńôt́ ŝér̂v́êd́ v̂íâ H́T̂T́P̂/2}\n    other {# ŕêq́ûéŝt́ŝ ńôt́ ŝér̂v́êd́ v̂íâ H́T̂T́P̂/2}\n    }"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Ûśê H́T̂T́P̂/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Ĉón̂śîd́êŕ m̂ár̂ḱîńĝ ýôúr̂ t́ôúĉh́ âńd̂ ẃĥéêĺ êv́êńt̂ ĺîśt̂én̂ér̂ś âś `passive` t̂ó îḿp̂ŕôv́ê ýôúr̂ ṕâǵê'ś ŝćr̂ól̂ĺ p̂ér̂f́ôŕm̂án̂ćê. [Ĺêár̂ń m̂ór̂é](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{
message:"D̂óêś n̂ót̂ úŝé p̂áŝśîv́ê ĺîśt̂én̂ér̂ś t̂ó îḿp̂ŕôv́ê śĉŕôĺl̂ín̂ǵ p̂ér̂f́ôŕm̂án̂ćê"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Ûśêś p̂áŝśîv́ê ĺîśt̂én̂ér̂ś t̂ó îḿp̂ŕôv́ê śĉŕôĺl̂ín̂ǵ p̂ér̂f́ôŕm̂án̂ćê"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Êŕr̂ór̂ś l̂óĝǵêd́ t̂ó t̂h́ê ćôńŝól̂é îńd̂íĉát̂é ûńr̂éŝól̂v́êd́ p̂ŕôb́l̂ém̂ś. T̂h́êý ĉán̂ ćôḿê f́r̂óm̂ ńêt́ŵór̂ḱ r̂éq̂úêśt̂ f́âíl̂úr̂éŝ án̂d́ ôt́ĥér̂ b́r̂óŵśêŕ ĉón̂ćêŕn̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"B̂ŕôẃŝér̂ ér̂ŕôŕŝ ẃêŕê ĺôǵĝéd̂ t́ô t́ĥé ĉón̂śôĺê"},"lighthouse-core/audits/errors-in-console.js | title":{message:"N̂ó b̂ŕôẃŝér̂ ér̂ŕôŕŝ ĺôǵĝéd̂ t́ô t́ĥé ĉón̂śôĺê"},
"lighthouse-core/audits/font-display.js | description":{message:"L̂év̂ér̂áĝé t̂h́ê f́ôńt̂-d́îśp̂ĺâý ĈŚŜ f́êát̂úr̂é t̂ó êńŝúr̂é t̂éx̂t́ îś ûśêŕ-v̂íŝíb̂ĺê ẃĥíl̂é ŵéb̂f́ôńt̂ś âŕê ĺôád̂ín̂ǵ. [L̂éâŕn̂ ḿôŕê](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Êńŝúr̂é t̂éx̂t́ r̂ém̂áîńŝ v́îśîb́l̂é d̂úr̂ín̂ǵ ŵéb̂f́ôńt̂ ĺôád̂"},"lighthouse-core/audits/font-display.js | title":{message:"Âĺl̂ t́êx́t̂ ŕêḿâín̂ś v̂íŝíb̂ĺê d́ûŕîńĝ ẃêb́f̂ón̂t́ l̂óâd́ŝ"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin, plural, =1 {L̂íĝh́t̂h́ôúŝé ŵáŝ ún̂áb̂ĺê t́ô áût́ôḿât́îćâĺl̂ý ĉh́êćk̂ t́ĥé `font-display` v̂ál̂úê f́ôŕ t̂h́ê ór̂íĝín̂ {fontOrigin}.} other {Ĺîǵĥt́ĥóûśê ẃâś ûńâb́l̂é t̂ó âút̂óm̂át̂íĉál̂ĺŷ ćĥéĉḱ t̂h́ê `font-display` v́âĺûéŝ f́ôŕ t̂h́ê ór̂íĝín̂ {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Âśp̂éĉt́ R̂át̂íô (Áĉt́ûál̂)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Âśp̂éĉt́ R̂át̂íô (D́îśp̂ĺâýêd́)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Îḿâǵê d́îśp̂ĺâý d̂ím̂én̂śîón̂ś ŝh́ôúl̂d́ m̂át̂ćĥ ńât́ûŕâĺ âśp̂éĉt́ r̂át̂íô. [Ĺêár̂ń m̂ór̂é](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{
message:"D̂íŝṕl̂áŷś îḿâǵêś ŵít̂h́ îńĉór̂ŕêćt̂ áŝṕêćt̂ ŕât́îó"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"D̂íŝṕl̂áŷś îḿâǵêś ŵít̂h́ ĉór̂ŕêćt̂ áŝṕêćt̂ ŕât́îó"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Âćt̂úâĺ ŝíẑé"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"D̂íŝṕl̂áŷéd̂ śîźê"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Êx́p̂éĉt́êd́ ŝíẑé"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Îḿâǵê ńât́ûŕâĺ d̂ím̂én̂śîón̂ś ŝh́ôúl̂d́ b̂é p̂ŕôṕôŕt̂íôńâĺ t̂ó t̂h́ê d́îśp̂ĺâý ŝíẑé âńd̂ t́ĥé p̂íx̂él̂ ŕât́îó t̂ó m̂áx̂ím̂íẑé îḿâǵê ćl̂ár̂ít̂ý. [L̂éâŕn̂ ḿôŕê](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{
message:"Ŝér̂v́êś îḿâǵêś ŵít̂h́ l̂óŵ ŕêśôĺût́îón̂"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Ŝér̂v́êś îḿâǵêś ŵít̂h́ âṕp̂ŕôṕr̂íât́ê ŕêśôĺût́îón̂"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"T̂h́ê áp̂ṕ îś âĺr̂éâd́ŷ ín̂śt̂ál̂ĺêd́"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Ĉóûĺd̂ ńôt́ d̂óŵńl̂óâd́ â ŕêq́ûír̂éd̂ íĉón̂ f́r̂óm̂ t́ĥé m̂án̂íf̂éŝt́"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"F̂áîĺûŕê ŕêáŝón̂"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Ŝér̂v́îćê ẃôŕk̂ér̂ íŝ t́ĥé t̂éĉh́n̂ól̂óĝý t̂h́ât́ êńâb́l̂éŝ ýôúr̂ áp̂ṕ t̂ó ûśê ḿâńŷ Ṕr̂óĝŕêśŝív̂é Ŵéb̂ Áp̂ṕ f̂éât́ûŕêś, ŝúĉh́ âś ôf́f̂ĺîńê, ád̂d́ t̂ó ĥóm̂éŝćr̂éêń, âńd̂ ṕûśĥ ńôt́îf́îćât́îón̂ś. Ŵít̂h́ p̂ŕôṕêŕ ŝér̂v́îćê ẃôŕk̂ér̂ án̂d́ m̂án̂íf̂éŝt́ îḿp̂ĺêḿêńt̂át̂íôńŝ, b́r̂óŵśêŕŝ ćâń p̂ŕôáĉt́îv́êĺŷ ṕr̂óm̂ṕt̂ úŝér̂ś t̂ó âd́d̂ ýôúr̂ áp̂ṕ t̂ó t̂h́êír̂ h́ôḿêśĉŕêén̂, ẃĥíĉh́ ĉán̂ ĺêád̂ t́ô h́îǵĥér̂ én̂ǵâǵêḿêńt̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 r̂éâśôń}\n    other {# r̂éâśôńŝ}\n    }"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Ŵéb̂ áp̂ṕ m̂án̂íf̂éŝt́ ôŕ ŝér̂v́îćê ẃôŕk̂ér̂ d́ô ńôt́ m̂éêt́ t̂h́ê ín̂śt̂ál̂ĺâb́îĺît́ŷ ŕêq́ûír̂ém̂én̂t́ŝ"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"T̂h́ê Ṕl̂áŷ Śt̂ór̂é âṕp̂ ÚR̂Ĺ âńd̂ Ṕl̂áŷ Śt̂ór̂é ÎD́ d̂ó n̂ót̂ ḿât́ĉh́"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"P̂áĝé îś l̂óâd́êd́ îń âń îńĉóĝńît́ô ẃîńd̂óŵ"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"M̂án̂íf̂éŝt́ 'd̂íŝṕl̂áŷ' ṕr̂óp̂ér̂t́ŷ ḿûśt̂ b́ê ón̂é ôf́ 'ŝt́âńd̂ál̂ón̂é', 'f̂úl̂ĺŝćr̂éêń', ôŕ 'm̂ín̂ím̂ál̂-úî'"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{
message:"M̂án̂íf̂éŝt́ ĉón̂t́âín̂ś 'd̂íŝṕl̂áŷ_óv̂ér̂ŕîd́ê' f́îél̂d́, âńd̂ t́ĥé f̂ír̂śt̂ śûṕp̂ór̂t́êd́ d̂íŝṕl̂áŷ ḿôd́ê ḿûśt̂ b́ê ón̂é ôf́ 'ŝt́âńd̂ál̂ón̂é', 'f̂úl̂ĺŝćr̂éêń', ôŕ 'm̂ín̂ím̂ál̂-úî'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"M̂án̂íf̂éŝt́ ĉóûĺd̂ ńôt́ b̂é f̂ét̂ćĥéd̂, íŝ ém̂ṕt̂ý, ôŕ ĉóûĺd̂ ńôt́ b̂é p̂ár̂śêd́"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"M̂án̂íf̂éŝt́ ÛŔL̂ ćĥán̂ǵêd́ ŵh́îĺê t́ĥé m̂án̂íf̂éŝt́ ŵáŝ b́êín̂ǵ f̂ét̂ćĥéd̂."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"M̂án̂íf̂éŝt́ d̂óêś n̂ót̂ ćôńt̂áîń â 'ńâḿê' ór̂ 'śĥór̂t́_n̂ám̂é' f̂íêĺd̂"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:'M̂án̂íf̂éŝt́ d̂óêś n̂ót̂ ćôńt̂áîń â śûít̂áb̂ĺê íĉón̂ - ṔN̂Ǵ, ŜV́Ĝ ór̂ Ẃêb́P̂ f́ôŕm̂át̂ óf̂ át̂ ĺêáŝt́ {value0} p̂x́ îś r̂éq̂úîŕêd́, t̂h́ê śîźêś ât́t̂ŕîb́ût́ê ḿûśt̂ b́ê śêt́, âńd̂ t́ĥé p̂úr̂ṕôśê át̂t́r̂íb̂út̂é, îf́ ŝét̂, ḿûśt̂ ín̂ćl̂úd̂é "âńŷ".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'N̂ó ŝúp̂ṕl̂íêd́ îćôń îś ât́ l̂éâśt̂ {value0} ṕx̂ śq̂úâŕê ín̂ ṔN̂Ǵ, ŜV́Ĝ ór̂ Ẃêb́P̂ f́ôŕm̂át̂, ẃît́ĥ t́ĥé p̂úr̂ṕôśê át̂t́r̂íb̂út̂é ûńŝét̂ ór̂ śêt́ t̂ó "âńŷ"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"D̂óŵńl̂óâd́êd́ îćôń ŵáŝ ém̂ṕt̂ý ôŕ ĉór̂ŕûṕt̂éd̂"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"N̂ó P̂ĺâý ŝt́ôŕê ÍD̂ ṕr̂óv̂íd̂éd̂"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{
message:"P̂áĝé ĥáŝ ńô ḿâńîf́êśt̂ <ĺîńk̂> ÚR̂Ĺ"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"N̂ó m̂át̂ćĥín̂ǵ ŝér̂v́îćê ẃôŕk̂ér̂ d́êt́êćt̂éd̂. Ýôú m̂áŷ ńêéd̂ t́ô ŕêĺôád̂ t́ĥé p̂áĝé, ôŕ ĉh́êćk̂ t́ĥát̂ t́ĥé ŝćôṕê óf̂ t́ĥé ŝér̂v́îćê ẃôŕk̂ér̂ f́ôŕ t̂h́ê ćûŕr̂én̂t́ p̂áĝé êńĉĺôśêś t̂h́ê śĉóp̂é âńd̂ śt̂ár̂t́ ÛŔL̂ f́r̂óm̂ t́ĥé m̂án̂íf̂éŝt́."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Ĉóûĺd̂ ńôt́ ĉh́êćk̂ śêŕv̂íĉé ŵór̂ḱêŕ ŵít̂h́ôút̂ á 'ŝt́âŕt̂_úr̂ĺ' f̂íêĺd̂ ín̂ t́ĥé m̂án̂íf̂éŝt́"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Îńŝt́âĺl̂áb̂íl̂ít̂ý êŕr̂ór̂ íd̂ '{errorId}' íŝ ńôt́ r̂éĉóĝńîźêd́"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{
message:"P̂áĝé îś n̂ót̂ śêŕv̂éd̂ f́r̂óm̂ á ŝéĉúr̂é ôŕîǵîń"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"P̂áĝé îś n̂ót̂ ĺôád̂éd̂ ín̂ t́ĥé m̂áîń f̂ŕâḿê"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"P̂áĝé d̂óêś n̂ót̂ ẃôŕk̂ óf̂f́l̂ín̂é"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"T̂h́ê śp̂éĉíf̂íêd́ âṕp̂ĺîćât́îón̂ ṕl̂át̂f́ôŕm̂ íŝ ńôt́ ŝúp̂ṕôŕt̂éd̂ ón̂ Án̂d́r̂óîd́"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"M̂án̂íf̂éŝt́ ŝṕêćîf́îéŝ ṕr̂éf̂ér̂_ŕêĺât́êd́_âṕp̂ĺîćât́îón̂ś: t̂ŕûé"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{
message:"p̂ŕêf́êŕ_r̂él̂át̂éd̂_áp̂ṕl̂íĉát̂íôńŝ íŝ ón̂ĺŷ śûṕp̂ór̂t́êd́ ôń Ĉh́r̂óm̂é B̂ét̂á âńd̂ Śt̂áb̂ĺê ćĥán̂ńêĺŝ ón̂ Án̂d́r̂óîd́."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"M̂án̂íf̂éŝt́ ŝt́âŕt̂ ÚR̂Ĺ îś n̂ót̂ v́âĺîd́"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Ŵéb̂ áp̂ṕ m̂án̂íf̂éŝt́ âńd̂ śêŕv̂íĉé ŵór̂ḱêŕ m̂éêt́ t̂h́ê ín̂śt̂ál̂ĺâb́îĺît́ŷ ŕêq́ûír̂ém̂én̂t́ŝ"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Â ÚR̂Ĺ îń t̂h́ê ḿâńîf́êśt̂ ćôńt̂áîńŝ á ûśêŕn̂ám̂é, p̂áŝśŵór̂d́, ôŕ p̂ór̂t́"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"P̂áĝé d̂óêś n̂ót̂ ẃôŕk̂ óf̂f́l̂ín̂é. T̂h́ê ṕâǵê ẃîĺl̂ ńôt́ b̂é r̂éĝár̂d́êd́ âś îńŝt́âĺl̂áb̂ĺê áf̂t́êŕ Ĉh́r̂óm̂é 93, ŝt́âb́l̂é r̂él̂éâśê Áûǵûśt̂ 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Âĺl̂óŵéd̂"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"B̂ĺôćk̂éd̂"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Îńŝéĉúr̂é ÛŔL̂"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"R̂éq̂úêśt̂ Ŕêśôĺût́îón̂"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Âĺl̂ śît́êś ŝh́ôúl̂d́ b̂é p̂ŕôt́êćt̂éd̂ ẃît́ĥ H́T̂T́P̂Ś, êv́êń ôńêś t̂h́ât́ d̂ón̂'t́ ĥán̂d́l̂é ŝén̂śît́îv́ê d́ât́â. T́ĥíŝ ín̂ćl̂úd̂éŝ áv̂óîd́îńĝ [ḿîx́êd́ ĉón̂t́êńt̂](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), ẃĥér̂é ŝóm̂é r̂éŝóûŕĉéŝ ár̂é l̂óâd́êd́ ôv́êŕ ĤT́T̂Ṕ d̂éŝṕît́ê t́ĥé îńît́îál̂ ŕêq́ûéŝt́ b̂éîńĝ śêŕv̂éd̂ óv̂ér̂ H́T̂T́P̂Ś. ĤT́T̂ṔŜ ṕr̂év̂én̂t́ŝ ín̂t́r̂úd̂ér̂ś f̂ŕôḿ t̂ám̂ṕêŕîńĝ ẃît́ĥ ór̂ ṕâśŝív̂él̂ý l̂íŝt́êńîńĝ ín̂ ón̂ t́ĥé ĉóm̂ḿûńîćât́îón̂ś b̂ét̂ẃêén̂ ýôúr̂ áp̂ṕ âńd̂ ýôúr̂ úŝér̂ś, âńd̂ íŝ á p̂ŕêŕêq́ûíŝít̂é f̂ór̂ H́T̂T́P̂/2 án̂d́ m̂án̂ý n̂éŵ ẃêb́ p̂ĺât́f̂ór̂ḿ ÂṔÎś. [L̂éâŕn̂ ḿôŕê](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{
message:"{itemCount, plural,\n    =1 {1 îńŝéĉúr̂é r̂éq̂úêśt̂ f́ôún̂d́}\n    other {# îńŝéĉúr̂é r̂éq̂úêśt̂ś f̂óûńd̂}\n    }"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"D̂óêś n̂ót̂ úŝé ĤT́T̂ṔŜ"},"lighthouse-core/audits/is-on-https.js | title":{message:"Ûśêś ĤT́T̂ṔŜ"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Âút̂óm̂át̂íĉál̂ĺŷ úp̂ǵr̂ád̂éd̂ t́ô H́T̂T́P̂Ś"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Âĺl̂óŵéd̂ ẃît́ĥ ẃâŕn̂ín̂ǵ"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"L̂íb̂ŕâŕŷ"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"L̂ár̂ǵê J́âv́âŚĉŕîṕt̂ ĺîb́r̂ár̂íêś ĉán̂ ĺêád̂ t́ô ṕôór̂ ṕêŕf̂ór̂ḿâńĉé. P̂ŕêf́êŕ ŝḿâĺl̂ér̂, f́ûńĉt́îón̂ál̂ĺŷ éq̂úîv́âĺêńt̂ ĺîb́r̂ár̂íêś t̂ó r̂éd̂úĉé ŷóûŕ b̂ún̂d́l̂é ŝíẑé. [L̂éâŕn̂ ḿôŕê](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount, plural,\n    =1 {1 l̂ár̂ǵê ĺîb́r̂ár̂ý f̂óûńd̂}\n    other {# ĺâŕĝé l̂íb̂ŕâŕîéŝ f́ôún̂d́}\n    }"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"R̂ép̂ĺâćê ún̂ńêćêśŝár̂íl̂ý l̂ár̂ǵê J́âv́âŚĉŕîṕt̂ ĺîb́r̂ár̂íêś"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Âv́ôíd̂ś l̂ár̂ǵê J́âv́âŚĉŕîṕt̂ ĺîb́r̂ár̂íêś ŵít̂h́ ŝḿâĺl̂ér̂ ál̂t́êŕn̂át̂ív̂éŝ"},
"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"T̂h́îś îś t̂h́ê ĺâŕĝéŝt́ ĉón̂t́êńt̂f́ûĺ êĺêḿêńt̂ ṕâín̂t́êd́ ŵít̂h́îń t̂h́ê v́îéŵṕôŕt̂. [Ĺêár̂ń M̂ór̂é](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"L̂ár̂ǵêśt̂ Ćôńt̂én̂t́f̂úl̂ Ṕâín̂t́ êĺêḿêńt̂"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"ĈĹŜ Ćôńt̂ŕîb́ût́îón̂"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"T̂h́êśê D́ÔḾ êĺêḿêńt̂ś ĉón̂t́r̂íb̂út̂é m̂óŝt́ t̂ó t̂h́ê ĆL̂Ś ôf́ t̂h́ê ṕâǵê."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Âv́ôíd̂ ĺâŕĝé l̂áŷóût́ ŝh́îf́t̂ś"},"lighthouse-core/audits/long-tasks.js | description":{
message:"L̂íŝt́ŝ t́ĥé l̂ón̂ǵêśt̂ t́âśk̂ś ôń t̂h́ê ḿâín̂ t́ĥŕêád̂, úŝéf̂úl̂ f́ôŕ îd́êńt̂íf̂ýîńĝ ẃôŕŝt́ ĉón̂t́r̂íb̂út̂ór̂ś t̂ó îńp̂út̂ d́êĺâý. [L̂éâŕn̂ ḿôŕê](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount, plural,\n  =1 {# l̂ón̂ǵ t̂áŝḱ f̂óûńd̂}\n  other {# ĺôńĝ t́âśk̂ś f̂óûńd̂}\n  }"},"lighthouse-core/audits/long-tasks.js | title":{message:"Âv́ôíd̂ ĺôńĝ ḿâín̂-t́ĥŕêád̂ t́âśk̂ś"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Ĉát̂éĝór̂ý"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"Ĉón̂śîd́êŕ r̂éd̂úĉín̂ǵ t̂h́ê t́îḿê śp̂én̂t́ p̂ár̂śîńĝ, ćôḿp̂íl̂ín̂ǵ âńd̂ éx̂éĉút̂ín̂ǵ ĴŚ. Ŷóû ḿâý f̂ín̂d́ d̂él̂ív̂ér̂ín̂ǵ ŝḿâĺl̂ér̂ J́Ŝ ṕâýl̂óâd́ŝ h́êĺp̂ś ŵít̂h́ t̂h́îś. [L̂éâŕn̂ ḿôŕê](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"M̂ín̂ím̂íẑé m̂áîń-t̂h́r̂éâd́ ŵór̂ḱ"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"M̂ín̂ím̂íẑéŝ ḿâín̂-t́ĥŕêád̂ ẃôŕk̂"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"T̂ó r̂éâćĥ t́ĥé m̂óŝt́ n̂úm̂b́êŕ ôf́ ûśêŕŝ, śît́êś ŝh́ôúl̂d́ ŵór̂ḱ âćr̂óŝś êv́êŕŷ ḿâj́ôŕ b̂ŕôẃŝér̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Ŝít̂é ŵór̂ḱŝ ćr̂óŝś-b̂ŕôẃŝér̂"},
"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Êńŝúr̂é îńd̂ív̂íd̂úâĺ p̂áĝéŝ ár̂é d̂éêṕ l̂ín̂ḱâb́l̂é v̂íâ ÚR̂Ĺ âńd̂ t́ĥát̂ ÚR̂Ĺŝ ár̂é ûńîq́ûé f̂ór̂ t́ĥé p̂úr̂ṕôśê óf̂ śĥár̂éâb́îĺît́ŷ ón̂ śôćîál̂ ḿêd́îá. [L̂éâŕn̂ ḿôŕê](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Êáĉh́ p̂áĝé ĥáŝ á ÛŔL̂"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"T̂ŕâńŝít̂íôńŝ śĥóûĺd̂ f́êél̂ śn̂áp̂ṕŷ áŝ ýôú t̂áp̂ ár̂óûńd̂, év̂én̂ ón̂ á ŝĺôẃ n̂ét̂ẃôŕk̂. T́ĥíŝ éx̂ṕêŕîén̂ćê íŝ ḱêý t̂ó â úŝér̂'ś p̂ér̂ćêṕt̂íôń ôf́ p̂ér̂f́ôŕm̂án̂ćê. [Ĺêár̂ń m̂ór̂é](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{
message:"P̂áĝé t̂ŕâńŝít̂íôńŝ d́ôń't̂ f́êél̂ ĺîḱê t́ĥéŷ b́l̂óĉḱ ôń t̂h́ê ńêt́ŵór̂ḱ"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Â ḿâśk̂áb̂ĺê íĉón̂ én̂śûŕêś t̂h́ât́ t̂h́ê ím̂áĝé f̂íl̂ĺŝ t́ĥé êńt̂ír̂é ŝh́âṕê ẃît́ĥóût́ b̂éîńĝ ĺêt́t̂ér̂b́ôx́êd́ ŵh́êń îńŝt́âĺl̂ín̂ǵ t̂h́ê áp̂ṕ ôń â d́êv́îćê. [Ĺêár̂ń m̂ór̂é](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"M̂án̂íf̂éŝt́ d̂óêśn̂'t́ ĥáv̂é â ḿâśk̂áb̂ĺê íĉón̂"},"lighthouse-core/audits/maskable-icon.js | title":{message:"M̂án̂íf̂éŝt́ ĥáŝ á m̂áŝḱâb́l̂é îćôń"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Ĉúm̂úl̂át̂ív̂é L̂áŷóût́ Ŝh́îf́t̂ ḿêáŝúr̂éŝ t́ĥé m̂óv̂ém̂én̂t́ ôf́ v̂íŝíb̂ĺê él̂ém̂én̂t́ŝ ẃît́ĥín̂ t́ĥé v̂íêẃp̂ór̂t́. [L̂éâŕn̂ ḿôŕê](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"F̂ír̂śt̂ Ćôńt̂én̂t́f̂úl̂ Ṕâín̂t́ m̂ár̂ḱŝ t́ĥé t̂ím̂é ât́ ŵh́îćĥ t́ĥé f̂ír̂śt̂ t́êx́t̂ ór̂ ím̂áĝé îś p̂áîńt̂éd̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"F̂ír̂śt̂ Ḿêán̂ín̂ǵf̂úl̂ Ṕâín̂t́ m̂éâśûŕêś ŵh́êń t̂h́ê ṕr̂ím̂ár̂ý ĉón̂t́êńt̂ óf̂ á p̂áĝé îś v̂íŝíb̂ĺê. [Ĺêár̂ń m̂ór̂é](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{
message:"T̂ím̂é t̂ó îńt̂ér̂áĉt́îv́ê íŝ t́ĥé âḿôún̂t́ ôf́ t̂ím̂é ît́ t̂ák̂éŝ f́ôŕ t̂h́ê ṕâǵê t́ô b́êćôḿê f́ûĺl̂ý îńt̂ér̂áĉt́îv́ê. [Ĺêár̂ń m̂ór̂é](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"L̂ár̂ǵêśt̂ Ćôńt̂én̂t́f̂úl̂ Ṕâín̂t́ m̂ár̂ḱŝ t́ĥé t̂ím̂é ât́ ŵh́îćĥ t́ĥé l̂ár̂ǵêśt̂ t́êx́t̂ ór̂ ím̂áĝé îś p̂áîńt̂éd̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"T̂h́ê ḿâx́îḿûḿ p̂ót̂én̂t́îál̂ F́îŕŝt́ Îńp̂út̂ D́êĺâý t̂h́ât́ ŷóûŕ ûśêŕŝ ćôúl̂d́ êx́p̂ér̂íêńĉé îś t̂h́ê d́ûŕât́îón̂ óf̂ t́ĥé l̂ón̂ǵêśt̂ t́âśk̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{
message:"Ŝṕêéd̂ Ín̂d́êx́ ŝh́ôẃŝ h́ôẃ q̂úîćk̂ĺŷ t́ĥé ĉón̂t́êńt̂ś ôf́ â ṕâǵê ár̂é v̂íŝíb̂ĺŷ ṕôṕûĺât́êd́. [L̂éâŕn̂ ḿôŕê](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Ŝúm̂ óf̂ ál̂ĺ t̂ím̂é p̂ér̂íôd́ŝ b́êt́ŵéêń F̂ĆP̂ án̂d́ T̂ím̂é t̂ó Îńt̂ér̂áĉt́îv́ê, ẃĥén̂ t́âśk̂ ĺêńĝt́ĥ éx̂ćêéd̂éd̂ 50ḿŝ, éx̂ṕr̂éŝśêd́ îń m̂íl̂ĺîśêćôńd̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"N̂ét̂ẃôŕk̂ ŕôún̂d́ t̂ŕîṕ t̂ím̂éŝ (ŔT̂T́) ĥáv̂é â ĺâŕĝé îḿp̂áĉt́ ôń p̂ér̂f́ôŕm̂án̂ćê. Íf̂ t́ĥé R̂T́T̂ t́ô án̂ ór̂íĝín̂ íŝ h́îǵĥ, ít̂'ś âń îńd̂íĉát̂íôń t̂h́ât́ ŝér̂v́êŕŝ ćl̂óŝér̂ t́ô t́ĥé ûśêŕ ĉóûĺd̂ ím̂ṕr̂óv̂é p̂ér̂f́ôŕm̂án̂ćê. [Ĺêár̂ń m̂ór̂é](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"N̂ét̂ẃôŕk̂ Ŕôún̂d́ T̂ŕîṕ T̂ím̂éŝ"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Ŝér̂v́êŕ l̂át̂én̂ćîéŝ ćâń îḿp̂áĉt́ ŵéb̂ ṕêŕf̂ór̂ḿâńĉé. Îf́ t̂h́ê śêŕv̂ér̂ ĺât́êńĉý ôf́ âń ôŕîǵîń îś ĥíĝh́, ît́'ŝ án̂ ín̂d́îćât́îón̂ t́ĥé ŝér̂v́êŕ îś ôv́êŕl̂óâd́êd́ ôŕ ĥáŝ ṕôór̂ b́âćk̂én̂d́ p̂ér̂f́ôŕm̂án̂ćê. [Ĺêár̂ń m̂ór̂é](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},
"lighthouse-core/audits/network-server-latency.js | title":{message:"Ŝér̂v́êŕ B̂áĉḱêńd̂ Ĺât́êńĉíêś"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"T̂h́ê `unload` év̂én̂t́ d̂óêś n̂ót̂ f́îŕê ŕêĺîáb̂ĺŷ án̂d́ l̂íŝt́êńîńĝ f́ôŕ ît́ ĉán̂ ṕr̂év̂én̂t́ b̂ŕôẃŝér̂ óp̂t́îḿîźât́îón̂ś l̂ík̂é t̂h́ê B́âćk̂-F́ôŕŵár̂d́ Ĉáĉh́ê. Ćôńŝíd̂ér̂ úŝín̂ǵ t̂h́ê `pagehide` ór̂ `visibilitychange` év̂én̂t́ŝ ín̂śt̂éâd́. [L̂éâŕn̂ ḿôŕê](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"R̂éĝíŝt́êŕŝ án̂ `unload` ĺîśt̂én̂ér̂"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Âv́ôíd̂ś `unload` êv́êńt̂ ĺîśt̂én̂ér̂ś"},"lighthouse-core/audits/non-composited-animations.js | description":{
message:"Âńîḿât́îón̂ś ŵh́îćĥ ár̂é n̂ót̂ ćôḿp̂óŝít̂éd̂ ćâń b̂é ĵán̂ḱŷ án̂d́ îńĉŕêáŝé ĈĹŜ. [Ĺêár̂ń m̂ór̂é](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount, plural,\n  =1 {# âńîḿât́êd́ êĺêḿêńt̂ f́ôún̂d́}\n  other {# âńîḿât́êd́ êĺêḿêńt̂ś f̂óûńd̂}\n  }"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"F̂íl̂t́êŕ-r̂él̂át̂éd̂ ṕr̂óp̂ér̂t́ŷ ḿâý m̂óv̂é p̂íx̂él̂ś"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"T̂ár̂ǵêt́ ĥáŝ án̂ót̂h́êŕ âńîḿât́îón̂ ẃĥíĉh́ îś îńĉóm̂ṕât́îb́l̂é"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Êf́f̂éĉt́ ĥáŝ ćôḿp̂óŝít̂é m̂ód̂é ôt́ĥér̂ t́ĥán̂ "ŕêṕl̂áĉé"'},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"Âv́ôíd̂ ńôń-ĉóm̂ṕôśît́êd́ âńîḿât́îón̂ś"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"T̂ŕâńŝf́ôŕm̂-ŕêĺât́êd́ p̂ŕôṕêŕt̂ý d̂ép̂én̂d́ŝ ón̂ b́ôx́ ŝíẑé"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount, plural,\n    =1 {Ûńŝúp̂ṕôŕt̂éd̂ ĆŜŚ P̂ŕôṕêŕt̂ý: {properties}}\n    other {Ûńŝúp̂ṕôŕt̂éd̂ ĆŜŚ P̂ŕôṕêŕt̂íêś: {properties}}\n  }"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Êf́f̂éĉt́ ĥáŝ ún̂śûṕp̂ór̂t́êd́ t̂ím̂ín̂ǵ p̂ár̂ám̂ét̂ér̂ś"},"lighthouse-core/audits/performance-budget.js | description":{
message:"K̂éêṕ t̂h́ê q́ûán̂t́ît́ŷ án̂d́ ŝíẑé ôf́ n̂ét̂ẃôŕk̂ ŕêq́ûéŝt́ŝ ún̂d́êŕ t̂h́ê t́âŕĝét̂ś ŝét̂ b́ŷ t́ĥé p̂ŕôv́îd́êd́ p̂ér̂f́ôŕm̂án̂ćê b́ûd́ĝét̂. [Ĺêár̂ń m̂ór̂é](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count, plural,\n    =1 {1 r̂éq̂úêśt̂}\n    other {# ŕêq́ûéŝt́ŝ}\n   }"},"lighthouse-core/audits/performance-budget.js | title":{message:"P̂ér̂f́ôŕm̂án̂ćê b́ûd́ĝét̂"},"lighthouse-core/audits/preload-fonts.js | description":{message:"P̂ŕêĺôád̂ `optional` f́ôńt̂ś ŝó f̂ír̂śt̂-t́îḿê v́îśît́ôŕŝ ḿâý ûśê t́ĥém̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"F̂ón̂t́ŝ ẃît́ĥ `font-display: optional` ár̂é n̂ót̂ ṕr̂él̂óâd́êd́"},"lighthouse-core/audits/preload-fonts.js | title":{
message:"F̂ón̂t́ŝ ẃît́ĥ `font-display: optional` ár̂é p̂ŕêĺôád̂éd̂"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"P̂ŕêĺôád̂ t́ĥé îḿâǵê úŝéd̂ b́ŷ t́ĥé L̂ĆP̂ él̂ém̂én̂t́ îń ôŕd̂ér̂ t́ô ím̂ṕr̂óv̂é ŷóûŕ L̂ĆP̂ t́îḿê. [Ĺêár̂ń m̂ór̂é](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"P̂ŕêĺôád̂ Ĺâŕĝéŝt́ Ĉón̂t́êńt̂f́ûĺ P̂áîńt̂ ím̂áĝé"},"lighthouse-core/audits/redirects-http.js | description":{message:"Îf́ ŷóû'v́ê ál̂ŕêád̂ý ŝét̂ úp̂ H́T̂T́P̂Ś, m̂ák̂é ŝúr̂é t̂h́ât́ ŷóû ŕêd́îŕêćt̂ ál̂ĺ ĤT́T̂Ṕ t̂ŕâf́f̂íĉ t́ô H́T̂T́P̂Ś îń ôŕd̂ér̂ t́ô én̂áb̂ĺê śêćûŕê ẃêb́ f̂éât́ûŕêś f̂ór̂ ál̂ĺ ŷóûŕ ûśêŕŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{
message:"D̂óêś n̂ót̂ ŕêd́îŕêćt̂ H́T̂T́P̂ t́r̂áf̂f́îć t̂ó ĤT́T̂ṔŜ"},"lighthouse-core/audits/redirects-http.js | title":{message:"R̂éd̂ír̂éĉt́ŝ H́T̂T́P̂ t́r̂áf̂f́îć t̂ó ĤT́T̂ṔŜ"},"lighthouse-core/audits/redirects.js | description":{message:"R̂éd̂ír̂éĉt́ŝ ín̂t́r̂ód̂úĉé âd́d̂ít̂íôńâĺ d̂él̂áŷś b̂éf̂ór̂é t̂h́ê ṕâǵê ćâń b̂é l̂óâd́êd́. [L̂éâŕn̂ ḿôŕê](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Âv́ôíd̂ ḿûĺt̂íp̂ĺê ṕâǵê ŕêd́îŕêćt̂ś"},"lighthouse-core/audits/resource-summary.js | description":{message:"T̂ó ŝét̂ b́ûd́ĝét̂ś f̂ór̂ t́ĥé q̂úâńt̂ít̂ý âńd̂ śîźê óf̂ ṕâǵê ŕêśôúr̂ćêś, âd́d̂ á b̂úd̂ǵêt́.ĵśôń f̂íl̂é. [L̂éâŕn̂ ḿôŕê](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount, plural, =1 {1 r̂éq̂úêśt̂ • {byteCount, number, bytes} ḰîB́} other {# r̂éq̂úêśt̂ś • {byteCount, number, bytes} K̂íB̂}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"K̂éêṕ r̂éq̂úêśt̂ ćôún̂t́ŝ ĺôẃ âńd̂ t́r̂án̂śf̂ér̂ śîźêś ŝḿâĺl̂"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Ĉán̂ón̂íĉál̂ ĺîńk̂ś ŝúĝǵêśt̂ ẃĥíĉh́ ÛŔL̂ t́ô śĥóŵ ín̂ śêár̂ćĥ ŕêśûĺt̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"M̂úl̂t́îṕl̂é ĉón̂f́l̂íĉt́îńĝ ÚR̂Ĺŝ ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"P̂óîńt̂ś t̂ó â d́îf́f̂ér̂én̂t́ d̂óm̂áîń ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Îńv̂ál̂íd̂ ÚR̂Ĺ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{
message:"P̂óîńt̂ś t̂ó âńôt́ĥér̂ `hreflang` ĺôćât́îón̂ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Îś n̂ót̂ án̂ áb̂śôĺût́ê ÚR̂Ĺ ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"P̂óîńt̂ś t̂ó t̂h́ê d́ôḿâín̂'ś r̂óôt́ ÛŔL̂ (t́ĥé ĥóm̂ép̂áĝé), îńŝt́êád̂ óf̂ án̂ éq̂úîv́âĺêńt̂ ṕâǵê óf̂ ćôńt̂én̂t́"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"D̂óĉúm̂én̂t́ d̂óêś n̂ót̂ h́âv́ê á v̂ál̂íd̂ `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"D̂óĉúm̂én̂t́ ĥáŝ á v̂ál̂íd̂ `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Ûńĉŕâẃl̂áb̂ĺê Ĺîńk̂"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Ŝéâŕĉh́ êńĝín̂éŝ ḿâý ûśê `href` át̂t́r̂íb̂út̂éŝ ón̂ ĺîńk̂ś t̂ó ĉŕâẃl̂ ẃêb́ŝít̂éŝ. Én̂śûŕê t́ĥát̂ t́ĥé `href` ât́t̂ŕîb́ût́ê óf̂ án̂ćĥór̂ él̂ém̂én̂t́ŝ ĺîńk̂ś t̂ó âń âṕp̂ŕôṕr̂íât́ê d́êśt̂ín̂át̂íôń, ŝó m̂ór̂é p̂áĝéŝ óf̂ t́ĥé ŝít̂é ĉán̂ b́ê d́îśĉóv̂ér̂éd̂. [Ĺêár̂ń M̂ór̂é](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"L̂ín̂ḱŝ ár̂é n̂ót̂ ćr̂áŵĺâb́l̂é"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"L̂ín̂ḱŝ ár̂é ĉŕâẃl̂áb̂ĺê"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Âd́d̂'ĺ îĺl̂éĝíb̂ĺê t́êx́t̂"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"F̂ón̂t́ Ŝíẑé"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% ôf́ P̂áĝé T̂éx̂t́"},
"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Ŝél̂éĉt́ôŕ"},"lighthouse-core/audits/seo/font-size.js | description":{message:"F̂ón̂t́ ŝíẑéŝ ĺêśŝ t́ĥán̂ 12ṕx̂ ár̂é t̂óô śm̂ál̂ĺ t̂ó b̂é l̂éĝíb̂ĺê án̂d́ r̂éq̂úîŕê ḿôb́îĺê v́îśît́ôŕŝ t́ô “ṕîńĉh́ t̂ó ẑóôḿ” îń ôŕd̂ér̂ t́ô ŕêád̂. Śt̂ŕîv́ê t́ô h́âv́ê >60% óf̂ ṕâǵê t́êx́t̂ ≥12ṕx̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} l̂éĝíb̂ĺê t́êx́t̂"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"T̂éx̂t́ îś îĺl̂éĝíb̂ĺê b́êćâúŝé t̂h́êŕê'ś n̂ó v̂íêẃp̂ór̂t́ m̂ét̂á t̂áĝ óp̂t́îḿîźêd́ f̂ór̂ ḿôb́îĺê śĉŕêén̂ś."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"D̂óĉúm̂én̂t́ d̂óêśn̂'t́ ûśê ĺêǵîb́l̂é f̂ón̂t́ ŝíẑéŝ"},
"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"L̂éĝíb̂ĺê t́êx́t̂"},"lighthouse-core/audits/seo/font-size.js | title":{message:"D̂óĉúm̂én̂t́ ûśêś l̂éĝíb̂ĺê f́ôńt̂ śîźêś"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"ĥŕêf́l̂án̂ǵ l̂ín̂ḱŝ t́êĺl̂ śêár̂ćĥ én̂ǵîńêś ŵh́ât́ v̂ér̂śîón̂ óf̂ á p̂áĝé t̂h́êý ŝh́ôúl̂d́ l̂íŝt́ îń ŝéâŕĉh́ r̂éŝúl̂t́ŝ f́ôŕ â ǵîv́êń l̂án̂ǵûáĝé ôŕ r̂éĝíôń. [L̂éâŕn̂ ḿôŕê](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"D̂óĉúm̂én̂t́ d̂óêśn̂'t́ ĥáv̂é â v́âĺîd́ `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"R̂él̂át̂ív̂é ĥŕêf́ v̂ál̂úê"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"D̂óĉúm̂én̂t́ ĥáŝ á v̂ál̂íd̂ `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{
message:"Ûńêx́p̂éĉt́êd́ l̂án̂ǵûáĝé ĉód̂é"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"P̂áĝéŝ ẃît́ĥ ún̂śûćĉéŝśf̂úl̂ H́T̂T́P̂ śt̂át̂úŝ ćôd́êś m̂áŷ ńôt́ b̂é îńd̂éx̂éd̂ ṕr̂óp̂ér̂ĺŷ. [Ĺêár̂ń m̂ór̂é](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"P̂áĝé ĥáŝ ún̂śûćĉéŝśf̂úl̂ H́T̂T́P̂ śt̂át̂úŝ ćôd́ê"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"P̂áĝé ĥáŝ śûćĉéŝśf̂úl̂ H́T̂T́P̂ śt̂át̂úŝ ćôd́ê"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Ŝéâŕĉh́ êńĝín̂éŝ ár̂é ûńâb́l̂é t̂ó îńĉĺûd́ê ýôúr̂ ṕâǵêś îń ŝéâŕĉh́ r̂éŝúl̂t́ŝ íf̂ t́ĥéŷ d́ôń't̂ h́âv́ê ṕêŕm̂íŝśîón̂ t́ô ćr̂áŵĺ t̂h́êḿ. [L̂éâŕn̂ ḿôŕê](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{
message:"P̂áĝé îś b̂ĺôćk̂éd̂ f́r̂óm̂ ín̂d́êx́îńĝ"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"P̂áĝé îśn̂’t́ b̂ĺôćk̂éd̂ f́r̂óm̂ ín̂d́êx́îńĝ"},"lighthouse-core/audits/seo/link-text.js | description":{message:"D̂éŝćr̂íp̂t́îv́ê ĺîńk̂ t́êx́t̂ h́êĺp̂ś ŝéâŕĉh́ êńĝín̂éŝ ún̂d́êŕŝt́âńd̂ ýôúr̂ ćôńt̂én̂t́. [L̂éâŕn̂ ḿôŕê](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 l̂ín̂ḱ f̂óûńd̂}\n    other {# ĺîńk̂ś f̂óûńd̂}\n    }"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"L̂ín̂ḱŝ d́ô ńôt́ ĥáv̂é d̂éŝćr̂íp̂t́îv́ê t́êx́t̂"},"lighthouse-core/audits/seo/link-text.js | title":{message:"L̂ín̂ḱŝ h́âv́ê d́êśĉŕîṕt̂ív̂é t̂éx̂t́"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{
message:"R̂ún̂ t́ĥé [Ŝt́r̂úĉt́ûŕêd́ D̂át̂á T̂éŝt́îńĝ T́ôól̂](https://search.google.com/structured-data/testing-tool/) án̂d́ t̂h́ê [Śt̂ŕûćt̂úr̂éd̂ D́ât́â Ĺîńt̂ér̂](http://linter.structured-data.org/) t́ô v́âĺîd́ât́ê śt̂ŕûćt̂úr̂éd̂ d́ât́â. [Ĺêár̂ń m̂ór̂é](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Ŝt́r̂úĉt́ûŕêd́ d̂át̂á îś v̂ál̂íd̂"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"M̂ét̂á d̂éŝćr̂íp̂t́îón̂ś m̂áŷ b́ê ín̂ćl̂úd̂éd̂ ín̂ śêár̂ćĥ ŕêśûĺt̂ś t̂ó ĉón̂ćîśêĺŷ śûḿm̂ár̂íẑé p̂áĝé ĉón̂t́êńt̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"D̂éŝćr̂íp̂t́îón̂ t́êx́t̂ íŝ ém̂ṕt̂ý."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{
message:"D̂óĉúm̂én̂t́ d̂óêś n̂ót̂ h́âv́ê á m̂ét̂á d̂éŝćr̂íp̂t́îón̂"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"D̂óĉúm̂én̂t́ ĥáŝ á m̂ét̂á d̂éŝćr̂íp̂t́îón̂"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Ŝéâŕĉh́ êńĝín̂éŝ ćâń't̂ ín̂d́êx́ p̂ĺûǵîń ĉón̂t́êńt̂, án̂d́ m̂án̂ý d̂év̂íĉéŝ ŕêśt̂ŕîćt̂ ṕl̂úĝín̂ś ôŕ d̂ón̂'t́ ŝúp̂ṕôŕt̂ t́ĥém̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"D̂óĉúm̂én̂t́ ûśêś p̂ĺûǵîńŝ"},"lighthouse-core/audits/seo/plugins.js | title":{message:"D̂óĉúm̂én̂t́ âv́ôíd̂ś p̂ĺûǵîńŝ"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Îf́ ŷóûŕ r̂ób̂ót̂ś.t̂x́t̂ f́îĺê íŝ ḿâĺf̂ór̂ḿêd́, ĉŕâẃl̂ér̂ś m̂áŷ ńôt́ b̂é âb́l̂é t̂ó ûńd̂ér̂śt̂án̂d́ ĥóŵ ýôú ŵán̂t́ ŷóûŕ ŵéb̂śît́ê t́ô b́ê ćr̂áŵĺêd́ ôŕ îńd̂éx̂éd̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"R̂éq̂úêśt̂ f́ôŕ r̂ób̂ót̂ś.t̂x́t̂ ŕêt́ûŕn̂éd̂ H́T̂T́P̂ śt̂át̂úŝ: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount, plural,\n    =1 {1 êŕr̂ór̂ f́ôún̂d́}\n    other {# êŕr̂ór̂ś f̂óûńd̂}\n    }"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"L̂íĝh́t̂h́ôúŝé ŵáŝ ún̂áb̂ĺê t́ô d́ôẃn̂ĺôád̂ á r̂ób̂ót̂ś.t̂x́t̂ f́îĺê"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"r̂ób̂ót̂ś.t̂x́t̂ íŝ ńôt́ v̂ál̂íd̂"},"lighthouse-core/audits/seo/robots-txt.js | title":{
message:"r̂ób̂ót̂ś.t̂x́t̂ íŝ v́âĺîd́"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Îńt̂ér̂áĉt́îv́ê él̂ém̂én̂t́ŝ ĺîḱê b́ût́t̂ón̂ś âńd̂ ĺîńk̂ś ŝh́ôúl̂d́ b̂é l̂ár̂ǵê én̂óûǵĥ (48x́48p̂x́), âńd̂ h́âv́ê én̂óûǵĥ śp̂áĉé âŕôún̂d́ t̂h́êḿ, t̂ó b̂é êáŝý êńôúĝh́ t̂ó t̂áp̂ ẃît́ĥóût́ ôv́êŕl̂áp̂ṕîńĝ ón̂t́ô ót̂h́êŕ êĺêḿêńt̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} âṕp̂ŕôṕr̂íât́êĺŷ śîźêd́ t̂áp̂ t́âŕĝét̂ś"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"T̂áp̂ t́âŕĝét̂ś âŕê t́ôó ŝḿâĺl̂ b́êćâúŝé t̂h́êŕê'ś n̂ó v̂íêẃp̂ór̂t́ m̂ét̂á t̂áĝ óp̂t́îḿîźêd́ f̂ór̂ ḿôb́îĺê śĉŕêén̂ś"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{
message:"T̂áp̂ t́âŕĝét̂ś âŕê ńôt́ ŝíẑéd̂ áp̂ṕr̂óp̂ŕîát̂él̂ý"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Ôv́êŕl̂áp̂ṕîńĝ T́âŕĝét̂"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"T̂áp̂ T́âŕĝét̂"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"T̂áp̂ t́âŕĝét̂ś âŕê śîźêd́ âṕp̂ŕôṕr̂íât́êĺŷ"},"lighthouse-core/audits/server-response-time.js | description":{message:"K̂éêṕ t̂h́ê śêŕv̂ér̂ ŕêśp̂ón̂śê t́îḿê f́ôŕ t̂h́ê ḿâín̂ d́ôćûḿêńt̂ śĥór̂t́ b̂éĉáûśê ál̂ĺ ôt́ĥér̂ ŕêq́ûéŝt́ŝ d́êṕêńd̂ ón̂ ít̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"R̂óôt́ d̂óĉúm̂én̂t́ t̂óôḱ {timeInMs, number, milliseconds} m̂ś"},"lighthouse-core/audits/server-response-time.js | failureTitle":{
message:"R̂éd̂úĉé îńît́îál̂ śêŕv̂ér̂ ŕêśp̂ón̂śê t́îḿê"},"lighthouse-core/audits/server-response-time.js | title":{message:"Îńît́îál̂ śêŕv̂ér̂ ŕêśp̂ón̂śê t́îḿê ẃâś ŝh́ôŕt̂"},"lighthouse-core/audits/service-worker.js | description":{message:"T̂h́ê śêŕv̂íĉé ŵór̂ḱêŕ îś t̂h́ê t́êćĥńôĺôǵŷ t́ĥát̂ én̂áb̂ĺêś ŷóûŕ âṕp̂ t́ô úŝé m̂án̂ý P̂ŕôǵr̂éŝśîv́ê Ẃêb́ Âṕp̂ f́êát̂úr̂éŝ, śûćĥ áŝ óf̂f́l̂ín̂é, âd́d̂ t́ô h́ôḿêśĉŕêén̂, án̂d́ p̂úŝh́ n̂ót̂íf̂íĉát̂íôńŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"T̂h́îś p̂áĝé îś ĉón̂t́r̂ól̂ĺêd́ b̂ý â śêŕv̂íĉé ŵór̂ḱêŕ, ĥóŵév̂ér̂ ńô `start_url` ẃâś f̂óûńd̂ b́êćâúŝé m̂án̂íf̂éŝt́ f̂áîĺêd́ t̂ó p̂ár̂śê áŝ v́âĺîd́ ĴŚÔŃ"},
"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"T̂h́îś p̂áĝé îś ĉón̂t́r̂ól̂ĺêd́ b̂ý â śêŕv̂íĉé ŵór̂ḱêŕ, ĥóŵév̂ér̂ t́ĥé `start_url` ({startUrl}) îś n̂ót̂ ín̂ t́ĥé ŝér̂v́îćê ẃôŕk̂ér̂'ś ŝćôṕê ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"T̂h́îś p̂áĝé îś ĉón̂t́r̂ól̂ĺêd́ b̂ý â śêŕv̂íĉé ŵór̂ḱêŕ, ĥóŵév̂ér̂ ńô `start_url` ẃâś f̂óûńd̂ b́êćâúŝé n̂ó m̂án̂íf̂éŝt́ ŵáŝ f́êt́ĉh́êd́."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"T̂h́îś ôŕîǵîń ĥáŝ ón̂é ôŕ m̂ór̂é ŝér̂v́îćê ẃôŕk̂ér̂ś, ĥóŵév̂ér̂ t́ĥé p̂áĝé ({pageUrl}) îś n̂ót̂ ín̂ śĉóp̂é."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"D̂óêś n̂ót̂ ŕêǵîśt̂ér̂ á ŝér̂v́îćê ẃôŕk̂ér̂ t́ĥát̂ ćôńt̂ŕôĺŝ ṕâǵê án̂d́ `start_url`"},
"lighthouse-core/audits/service-worker.js | title":{message:"R̂éĝíŝt́êŕŝ á ŝér̂v́îćê ẃôŕk̂ér̂ t́ĥát̂ ćôńt̂ŕôĺŝ ṕâǵê án̂d́ `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Â t́ĥém̂éd̂ śp̂ĺâśĥ śĉŕêén̂ én̂śûŕêś â h́îǵĥ-q́ûál̂ít̂ý êx́p̂ér̂íêńĉé ŵh́êń ûśêŕŝ ĺâún̂ćĥ ýôúr̂ áp̂ṕ f̂ŕôḿ t̂h́êír̂ h́ôḿêśĉŕêén̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Îś n̂ót̂ ćôńf̂íĝúr̂éd̂ f́ôŕ â ćûśt̂óm̂ śp̂ĺâśĥ śĉŕêén̂"},"lighthouse-core/audits/splash-screen.js | title":{message:"Ĉón̂f́îǵûŕêd́ f̂ór̂ á ĉúŝt́ôḿ ŝṕl̂áŝh́ ŝćr̂éêń"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"T̂h́ê b́r̂óŵśêŕ âd́d̂ŕêśŝ b́âŕ ĉán̂ b́ê t́ĥém̂éd̂ t́ô ḿât́ĉh́ ŷóûŕ ŝít̂é. [L̂éâŕn̂ ḿôŕê](https://web.dev/themed-omnibox/)."},
"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"D̂óêś n̂ót̂ śêt́ â t́ĥém̂é ĉól̂ór̂ f́ôŕ t̂h́ê ád̂d́r̂éŝś b̂ár̂."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Ŝét̂ś â t́ĥém̂é ĉól̂ór̂ f́ôŕ t̂h́ê ád̂d́r̂éŝś b̂ár̂."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Ĉúŝt́ôḿêŕ Ŝúĉćêśŝ)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (M̂ár̂ḱêt́îńĝ)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Ŝóĉíâĺ)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (V̂íd̂éô)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"P̂ŕôd́ûćt̂"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Ŝóm̂é t̂h́îŕd̂-ṕâŕt̂ý êḿb̂éd̂ś ĉán̂ b́ê ĺâźŷ ĺôád̂éd̂. Ćôńŝíd̂ér̂ ŕêṕl̂áĉín̂ǵ t̂h́êḿ ŵít̂h́ â f́âćâd́ê ún̂t́îĺ t̂h́êý âŕê ŕêq́ûír̂éd̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount, plural,\n  =1 {# f̂áĉád̂é âĺt̂ér̂ńât́îv́ê áv̂áîĺâb́l̂é}\n  other {# f̂áĉád̂é âĺt̂ér̂ńât́îv́êś âv́âíl̂áb̂ĺê}\n  }"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Ŝóm̂é t̂h́îŕd̂-ṕâŕt̂ý r̂éŝóûŕĉéŝ ćâń b̂é l̂áẑý l̂óâd́êd́ ŵít̂h́ â f́âćâd́ê"},"lighthouse-core/audits/third-party-facades.js | title":{message:"L̂áẑý l̂óâd́ t̂h́îŕd̂-ṕâŕt̂ý r̂éŝóûŕĉéŝ ẃît́ĥ f́âćâd́êś"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"T̂h́îŕd̂-Ṕâŕt̂ý"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"T̂h́îŕd̂-ṕâŕt̂ý ĉód̂é ĉán̂ śîǵn̂íf̂íĉán̂t́l̂ý îḿp̂áĉt́ l̂óâd́ p̂ér̂f́ôŕm̂án̂ćê. Ĺîḿît́ t̂h́ê ńûḿb̂ér̂ óf̂ ŕêd́ûńd̂án̂t́ t̂h́îŕd̂-ṕâŕt̂ý p̂ŕôv́îd́êŕŝ án̂d́ t̂ŕŷ t́ô ĺôád̂ t́ĥír̂d́-p̂ár̂t́ŷ ćôd́ê áf̂t́êŕ ŷóûŕ p̂áĝé ĥáŝ ṕr̂ím̂ár̂íl̂ý f̂ín̂íŝh́êd́ l̂óâd́îńĝ. [Ĺêár̂ń m̂ór̂é](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"T̂h́îŕd̂-ṕâŕt̂ý ĉód̂é b̂ĺôćk̂éd̂ t́ĥé m̂áîń t̂h́r̂éâd́ f̂ór̂ {timeInMs, number, milliseconds} ḿŝ"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"R̂éd̂úĉé t̂h́ê ím̂ṕâćt̂ óf̂ t́ĥír̂d́-p̂ár̂t́ŷ ćôd́ê"},"lighthouse-core/audits/third-party-summary.js | title":{message:"M̂ín̂ím̂íẑé t̂h́îŕd̂-ṕâŕt̂ý ûśâǵê"},
"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"M̂éâśûŕêḿêńt̂"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"M̂ét̂ŕîć"},"lighthouse-core/audits/timing-budget.js | description":{message:"Ŝét̂ á t̂ím̂ín̂ǵ b̂úd̂ǵêt́ t̂ó ĥél̂ṕ ŷóû ḱêép̂ án̂ éŷé ôń t̂h́ê ṕêŕf̂ór̂ḿâńĉé ôf́ ŷóûŕ ŝít̂é. P̂ér̂f́ôŕm̂án̂t́ ŝít̂éŝ ĺôád̂ f́âśt̂ án̂d́ r̂éŝṕôńd̂ t́ô úŝér̂ ín̂ṕût́ êv́êńt̂ś q̂úîćk̂ĺŷ. [Ĺêár̂ń m̂ór̂é](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"T̂ím̂ín̂ǵ b̂úd̂ǵêt́"},"lighthouse-core/audits/unsized-images.js | description":{
message:"Ŝét̂ án̂ éx̂ṕl̂íĉít̂ ẃîd́t̂h́ âńd̂ h́êíĝh́t̂ ón̂ ím̂áĝé êĺêḿêńt̂ś t̂ó r̂éd̂úĉé l̂áŷóût́ ŝh́îf́t̂ś âńd̂ ím̂ṕr̂óv̂é ĈĹŜ. [Ĺêár̂ń m̂ór̂é](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Îḿâǵê él̂ém̂én̂t́ŝ d́ô ńôt́ ĥáv̂é êx́p̂ĺîćît́ `width` âńd̂ `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Îḿâǵê él̂ém̂én̂t́ŝ h́âv́ê éx̂ṕl̂íĉít̂ `width` án̂d́ `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"T̂ýp̂é"},"lighthouse-core/audits/user-timings.js | description":{message:"Ĉón̂śîd́êŕ îńŝt́r̂úm̂én̂t́îńĝ ýôúr̂ áp̂ṕ ŵít̂h́ t̂h́ê Úŝér̂ T́îḿîńĝ ÁP̂Í t̂ó m̂éâśûŕê ýôúr̂ áp̂ṕ'ŝ ŕêál̂-ẃôŕl̂d́ p̂ér̂f́ôŕm̂án̂ćê d́ûŕîńĝ ḱêý ûśêŕ êx́p̂ér̂íêńĉéŝ. [Ĺêár̂ń m̂ór̂é](https://web.dev/user-timings/)."},
"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount, plural,\n    =1 {1 ûśêŕ t̂ím̂ín̂ǵ}\n    other {# ûśêŕ t̂ím̂ín̂ǵŝ}\n    }"},"lighthouse-core/audits/user-timings.js | title":{message:"Ûśêŕ T̂ím̂ín̂ǵ m̂ár̂ḱŝ án̂d́ m̂éâśûŕêś"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Â `<link rel=preconnect>` ẃâś f̂óûńd̂ f́ôŕ "{securityOrigin}" b̂út̂ ẃâś n̂ót̂ úŝéd̂ b́ŷ t́ĥé b̂ŕôẃŝér̂. Ćĥéĉḱ t̂h́ât́ ŷóû ár̂é ûśîńĝ t́ĥé `crossorigin` ât́t̂ŕîb́ût́ê ṕr̂óp̂ér̂ĺŷ.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Ĉón̂śîd́êŕ âd́d̂ín̂ǵ `preconnect` ôŕ `dns-prefetch` r̂éŝóûŕĉé ĥín̂t́ŝ t́ô éŝt́âb́l̂íŝh́ êár̂ĺŷ ćôńn̂éĉt́îón̂ś t̂ó îḿp̂ór̂t́âńt̂ t́ĥír̂d́-p̂ár̂t́ŷ ór̂íĝín̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/uses-rel-preconnect/)."},
"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"P̂ŕêćôńn̂éĉt́ t̂ó r̂éq̂úîŕêd́ ôŕîǵîńŝ"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"M̂ór̂é t̂h́âń 2 `<link rel=preconnect>` ĉón̂ńêćt̂íôńŝ ẃêŕê f́ôún̂d́. T̂h́êśê śĥóûĺd̂ b́ê úŝéd̂ śp̂ár̂ín̂ǵl̂ý âńd̂ ón̂ĺŷ t́ô t́ĥé m̂óŝt́ îḿp̂ór̂t́âńt̂ ór̂íĝín̂ś."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Â `<link rel=preconnect>` ẃâś f̂óûńd̂ f́ôŕ "{securityOrigin}" b̂út̂ ẃâś n̂ót̂ úŝéd̂ b́ŷ t́ĥé b̂ŕôẃŝér̂. Ón̂ĺŷ úŝé `preconnect` f̂ór̂ ím̂ṕôŕt̂án̂t́ ôŕîǵîńŝ t́ĥát̂ t́ĥé p̂áĝé ŵíl̂ĺ ĉér̂t́âín̂ĺŷ ŕêq́ûéŝt́.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:'Â ṕr̂él̂óâd́ `<link>` ŵáŝ f́ôún̂d́ f̂ór̂ "{preloadURL}" b́ût́ ŵáŝ ńôt́ ûśêd́ b̂ý t̂h́ê b́r̂óŵśêŕ. Ĉh́êćk̂ t́ĥát̂ ýôú âŕê úŝín̂ǵ t̂h́ê `crossorigin` át̂t́r̂íb̂út̂é p̂ŕôṕêŕl̂ý.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Ĉón̂śîd́êŕ ûśîńĝ `<link rel=preload>` t́ô ṕr̂íôŕît́îźê f́êt́ĉh́îńĝ ŕêśôúr̂ćêś t̂h́ât́ âŕê ćûŕr̂én̂t́l̂ý r̂éq̂úêśt̂éd̂ ĺât́êŕ îń p̂áĝé l̂óâd́. [L̂éâŕn̂ ḿôŕê](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"P̂ŕêĺôád̂ ḱêý r̂éq̂úêśt̂ś"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"M̂áp̂ ÚR̂Ĺ"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Ŝóûŕĉé m̂áp̂ś t̂ŕâńŝĺât́ê ḿîńîf́îéd̂ ćôd́ê t́ô t́ĥé ôŕîǵîńâĺ ŝóûŕĉé ĉód̂é. T̂h́îś ĥél̂ṕŝ d́êv́êĺôṕêŕŝ d́êb́ûǵ îń p̂ŕôd́ûćt̂íôń. Îń âd́d̂ít̂íôń, L̂íĝh́t̂h́ôúŝé îś âb́l̂é t̂ó p̂ŕôv́îd́ê f́ûŕt̂h́êŕ îńŝíĝh́t̂ś. Ĉón̂śîd́êŕ d̂ép̂ĺôýîńĝ śôúr̂ćê ḿâṕŝ t́ô t́âḱê ád̂v́âńt̂áĝé ôf́ t̂h́êśê b́êńêf́ît́ŝ. [Ĺêár̂ń m̂ór̂é](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"M̂íŝśîńĝ śôúr̂ćê ḿâṕŝ f́ôŕ l̂ár̂ǵê f́îŕŝt́-p̂ár̂t́ŷ J́âv́âŚĉŕîṕt̂"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"L̂ár̂ǵê J́âv́âŚĉŕîṕt̂ f́îĺê íŝ ḿîśŝín̂ǵ â śôúr̂ćê ḿâṕ"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems, plural,\n    =1 {Ŵár̂ńîńĝ: ḿîśŝín̂ǵ 1 ît́êḿ îń `.sourcesContent`}\n    other {Ŵár̂ńîńĝ: ḿîśŝín̂ǵ # ît́êḿŝ ín̂ `.sourcesContent`}\n    }"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"P̂áĝé ĥáŝ v́âĺîd́ ŝóûŕĉé m̂áp̂ś"},"lighthouse-core/audits/viewport.js | description":{message:'Âd́d̂ á `<meta name="viewport">` t̂áĝ t́ô óp̂t́îḿîźê ýôúr̂ áp̂ṕ f̂ór̂ ḿôb́îĺê śĉŕêén̂ś. [L̂éâŕn̂ ḿôŕê](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'N̂ó `<meta name="viewport">` t̂áĝ f́ôún̂d́'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'D̂óêś n̂ót̂ h́âv́ê á `<meta name="viewport">` t̂áĝ ẃît́ĥ `width` ór̂ `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Ĥáŝ á `<meta name="viewport">` t̂áĝ ẃît́ĥ `width` ór̂ `initial-scale`'},
"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ím̂ṕr̂óv̂é t̂h́ê úŝáĝé ôf́ ÂŔÎÁ îń ŷóûŕ âṕp̂ĺîćât́îón̂ ẃĥíĉh́ m̂áŷ én̂h́âńĉé t̂h́ê éx̂ṕêŕîén̂ćê f́ôŕ ûśêŕŝ óf̂ áŝśîśt̂ív̂é t̂éĉh́n̂ól̂óĝý, l̂ík̂é â śĉŕêén̂ ŕêád̂ér̂."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ÂŔÎÁ"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ṕr̂óv̂íd̂é âĺt̂ér̂ńât́îv́ê ćôńt̂én̂t́ f̂ór̂ áûd́îó âńd̂ v́îd́êó. T̂h́îś m̂áŷ ím̂ṕr̂óv̂é t̂h́ê éx̂ṕêŕîén̂ćê f́ôŕ ûśêŕŝ ẃît́ĥ h́êár̂ín̂ǵ ôŕ v̂íŝíôń îḿp̂áîŕm̂én̂t́ŝ."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Âúd̂íô án̂d́ v̂íd̂éô"},
"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"T̂h́êśê ít̂ém̂ś ĥíĝh́l̂íĝh́t̂ ćôḿm̂ón̂ áĉćêśŝíb̂íl̂ít̂ý b̂éŝt́ p̂ŕâćt̂íĉéŝ."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"B̂éŝt́ p̂ŕâćt̂íĉéŝ"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"T̂h́êśê ćĥéĉḱŝ h́îǵĥĺîǵĥt́ ôṕp̂ór̂t́ûńît́îéŝ t́ô [ím̂ṕr̂óv̂é t̂h́ê áĉćêśŝíb̂íl̂ít̂ý ôf́ ŷóûŕ ŵéb̂ áp̂ṕ](https://developers.google.com/web/fundamentals/accessibility). Ôńl̂ý â śûb́ŝét̂ óf̂ áĉćêśŝíb̂íl̂ít̂ý îśŝúêś ĉán̂ b́ê áût́ôḿât́îćâĺl̂ý d̂ét̂éĉt́êd́ ŝó m̂án̂úâĺ t̂éŝt́îńĝ íŝ ál̂śô én̂ćôúr̂áĝéd̂."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"T̂h́êśê ít̂ém̂ś âd́d̂ŕêśŝ ár̂éâś ŵh́îćĥ án̂ áût́ôḿât́êd́ t̂éŝt́îńĝ t́ôól̂ ćâńn̂ót̂ ćôv́êŕ. L̂éâŕn̂ ḿôŕê ín̂ óûŕ ĝúîd́ê ón̂ [ćôńd̂úĉt́îńĝ án̂ áĉćêśŝíb̂íl̂ít̂ý r̂év̂íêẃ](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Âćĉéŝśîb́îĺît́ŷ"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ím̂ṕr̂óv̂é t̂h́ê ĺêǵîb́îĺît́ŷ óf̂ ýôúr̂ ćôńt̂én̂t́."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Ĉón̂t́r̂áŝt́"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{
message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ím̂ṕr̂óv̂é t̂h́ê ín̂t́êŕp̂ŕêt́ât́îón̂ óf̂ ýôúr̂ ćôńt̂én̂t́ b̂ý ûśêŕŝ ín̂ d́îf́f̂ér̂én̂t́ l̂óĉál̂éŝ."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Îńt̂ér̂ńât́îón̂ál̂íẑát̂íôń âńd̂ ĺôćâĺîźât́îón̂"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ím̂ṕr̂óv̂é t̂h́ê śêḿâńt̂íĉś ôf́ t̂h́ê ćôńt̂ŕôĺŝ ín̂ ýôúr̂ áp̂ṕl̂íĉát̂íôń. T̂h́îś m̂áŷ én̂h́âńĉé t̂h́ê éx̂ṕêŕîén̂ćê f́ôŕ ûśêŕŝ óf̂ áŝśîśt̂ív̂é t̂éĉh́n̂ól̂óĝý, l̂ík̂é â śĉŕêén̂ ŕêád̂ér̂."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"N̂ám̂éŝ án̂d́ l̂áb̂él̂ś"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{
message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ím̂ṕr̂óv̂é k̂éŷb́ôár̂d́ n̂áv̂íĝát̂íôń îń ŷóûŕ âṕp̂ĺîćât́îón̂."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"N̂áv̂íĝát̂íôń"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"T̂h́êśê ár̂é ôṕp̂ór̂t́ûńît́îéŝ t́ô ím̂ṕr̂óv̂é t̂h́ê éx̂ṕêŕîén̂ćê óf̂ ŕêád̂ín̂ǵ t̂áb̂úl̂ár̂ ór̂ ĺîśt̂ d́ât́â úŝín̂ǵ âśŝíŝt́îv́ê t́êćĥńôĺôǵŷ, ĺîḱê á ŝćr̂éêń r̂éâd́êŕ."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"T̂áb̂ĺêś âńd̂ ĺîśt̂ś"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"B̂ŕôẃŝér̂ Ćôḿp̂át̂íb̂íl̂ít̂ý"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"B̂éŝt́ P̂ŕâćt̂íĉéŝ"},
"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Ĝén̂ér̂ál̂"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"T̂ŕûśt̂ án̂d́ Ŝáf̂ét̂ý"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Ûśêŕ Êx́p̂ér̂íêńĉé"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"P̂ér̂f́ôŕm̂án̂ćê b́ûd́ĝét̂ś ŝét̂ śt̂án̂d́âŕd̂ś f̂ór̂ t́ĥé p̂ér̂f́ôŕm̂án̂ćê óf̂ ýôúr̂ śît́ê."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"B̂úd̂ǵêt́ŝ"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"M̂ór̂é îńf̂ór̂ḿât́îón̂ áb̂óût́ t̂h́ê ṕêŕf̂ór̂ḿâńĉé ôf́ ŷóûŕ âṕp̂ĺîćât́îón̂. T́ĥéŝé n̂úm̂b́êŕŝ d́ôń't̂ [d́îŕêćt̂ĺŷ áf̂f́êćt̂](https://web.dev/performance-scoring/) t́ĥé P̂ér̂f́ôŕm̂án̂ćê śĉór̂é."},
"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"D̂íâǵn̂óŝt́îćŝ"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"T̂h́ê ḿôśt̂ ćr̂ít̂íĉál̂ áŝṕêćt̂ óf̂ ṕêŕf̂ór̂ḿâńĉé îś ĥóŵ q́ûíĉḱl̂ý p̂íx̂él̂ś âŕê ŕêńd̂ér̂éd̂ ón̂śĉŕêén̂. Ḱêý m̂ét̂ŕîćŝ: F́îŕŝt́ Ĉón̂t́êńt̂f́ûĺ P̂áîńt̂, F́îŕŝt́ M̂éâńîńĝf́ûĺ P̂áîńt̂"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"F̂ír̂śt̂ Ṕâín̂t́ Îḿp̂ŕôv́êḿêńt̂ś"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"T̂h́êśê śûǵĝéŝt́îón̂ś ĉán̂ h́êĺp̂ ýôúr̂ ṕâǵê ĺôád̂ f́âśt̂ér̂. T́ĥéŷ d́ôń't̂ [d́îŕêćt̂ĺŷ áf̂f́êćt̂](https://web.dev/performance-scoring/) t́ĥé P̂ér̂f́ôŕm̂án̂ćê śĉór̂é."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{
message:"Ôṕp̂ór̂t́ûńît́îéŝ"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"M̂ét̂ŕîćŝ"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Êńĥán̂ćê t́ĥé ôv́êŕâĺl̂ ĺôád̂ín̂ǵ êx́p̂ér̂íêńĉé, ŝó t̂h́ê ṕâǵê íŝ ŕêśp̂ón̂śîv́ê án̂d́ r̂éâd́ŷ t́ô úŝé âś ŝóôń âś p̂óŝśîb́l̂é. K̂éŷ ḿêt́r̂íĉś: T̂ím̂é t̂ó Îńt̂ér̂áĉt́îv́ê, Śp̂éêd́ Îńd̂éx̂"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Ôv́êŕâĺl̂ Ím̂ṕr̂óv̂ém̂én̂t́ŝ"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"P̂ér̂f́ôŕm̂án̂ćê"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"T̂h́êśê ćĥéĉḱŝ v́âĺîd́ât́ê t́ĥé âśp̂éĉt́ŝ óf̂ á P̂ŕôǵr̂éŝśîv́ê Ẃêb́ Âṕp̂. [Ĺêár̂ń m̂ór̂é](https://developers.google.com/web/progressive-web-apps/checklist)."
},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"T̂h́êśê ćĥéĉḱŝ ár̂é r̂éq̂úîŕêd́ b̂ý t̂h́ê b́âśêĺîńê [ṔŴÁ Ĉh́êćk̂ĺîśt̂](https://developers.google.com/web/progressive-web-apps/checklist) b́ût́ âŕê ńôt́ âút̂óm̂át̂íĉál̂ĺŷ ćĥéĉḱêd́ b̂ý L̂íĝh́t̂h́ôúŝé. T̂h́êý d̂ó n̂ót̂ áf̂f́êćt̂ ýôúr̂ śĉór̂é b̂út̂ ít̂'ś îḿp̂ór̂t́âńt̂ t́ĥát̂ ýôú v̂ér̂íf̂ý t̂h́êḿ m̂án̂úâĺl̂ý."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"P̂ŕôǵr̂éŝśîv́ê Ẃêb́ Âṕp̂"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Îńŝt́âĺl̂áb̂ĺê"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"P̂ẂÂ Óp̂t́îḿîźêd́"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"T̂h́êśê ćĥéĉḱŝ én̂śûŕê t́ĥát̂ ýôúr̂ ṕâǵê íŝ óp̂t́îḿîźêd́ f̂ór̂ śêár̂ćĥ én̂ǵîńê ŕêśûĺt̂ś r̂án̂ḱîńĝ. T́ĥér̂é âŕê ád̂d́ît́îón̂ál̂ f́âćt̂ór̂ś L̂íĝh́t̂h́ôúŝé d̂óêś n̂ót̂ ćĥéĉḱ t̂h́ât́ m̂áŷ áf̂f́êćt̂ ýôúr̂ śêár̂ćĥ ŕâńk̂ín̂ǵ. [L̂éâŕn̂ ḿôŕê](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"R̂ún̂ t́ĥéŝé âd́d̂ít̂íôńâĺ v̂ál̂íd̂át̂ór̂ś ôń ŷóûŕ ŝít̂é t̂ó ĉh́êćk̂ ád̂d́ît́îón̂ál̂ ŚÊÓ b̂éŝt́ p̂ŕâćt̂íĉéŝ."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"ŜÉÔ"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"F̂ór̂ḿât́ ŷóûŕ ĤT́M̂Ĺ îń â ẃâý t̂h́ât́ êńâb́l̂éŝ ćr̂áŵĺêŕŝ t́ô b́êt́t̂ér̂ ún̂d́êŕŝt́âńd̂ ýôúr̂ áp̂ṕ’ŝ ćôńt̂én̂t́."},
"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Ĉón̂t́êńt̂ B́êśt̂ Ṕr̂áĉt́îćêś"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"T̂ó âṕp̂éâŕ îń ŝéâŕĉh́ r̂éŝúl̂t́ŝ, ćr̂áŵĺêŕŝ ńêéd̂ áĉćêśŝ t́ô ýôúr̂ áp̂ṕ."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Ĉŕâẃl̂ín̂ǵ âńd̂ Ín̂d́êx́îńĝ"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"M̂ák̂é ŝúr̂é ŷóûŕ p̂áĝéŝ ár̂é m̂ób̂íl̂é f̂ŕîén̂d́l̂ý ŝó ûśêŕŝ d́ôń’t̂ h́âv́ê t́ô ṕîńĉh́ ôŕ ẑóôḿ îń ôŕd̂ér̂ t́ô ŕêád̂ t́ĥé ĉón̂t́êńt̂ ṕâǵêś. [L̂éâŕn̂ ḿôŕê](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"M̂ób̂íl̂é F̂ŕîén̂d́l̂ý"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"T̂h́ê t́êśt̂éd̂ d́êv́îćê áp̂ṕêár̂ś t̂ó ĥáv̂é â śl̂óŵér̂ ĆP̂Ú t̂h́âń  L̂íĝh́t̂h́ôúŝé êx́p̂éĉt́ŝ. T́ĥíŝ ćâń n̂éĝát̂ív̂él̂ý âf́f̂éĉt́ ŷóûŕ p̂ér̂f́ôŕm̂án̂ćê śĉór̂é. L̂éâŕn̂ ḿôŕê áb̂óût́ [ĉál̂íb̂ŕât́îńĝ án̂ áp̂ṕr̂óp̂ŕîát̂é ĈṔÛ śl̂óŵd́ôẃn̂ ḿûĺt̂íp̂ĺîér̂](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"T̂h́ê ṕâǵê ḿâý n̂ót̂ b́ê ĺôád̂ín̂ǵ âś êx́p̂éĉt́êd́ b̂éĉáûśê ýôúr̂ t́êśt̂ ÚR̂Ĺ ({requested}) ŵáŝ ŕêd́îŕêćt̂éd̂ t́ô {final}. T́r̂ý t̂éŝt́îńĝ t́ĥé ŝéĉón̂d́ ÛŔL̂ d́îŕêćt̂ĺŷ."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"T̂h́ê ṕâǵê ĺôád̂éd̂ t́ôó ŝĺôẃl̂ý t̂ó f̂ín̂íŝh́ ŵít̂h́îń t̂h́ê t́îḿê ĺîḿît́. R̂éŝúl̂t́ŝ ḿâý b̂é îńĉóm̂ṕl̂ét̂é."
},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount, plural,\n    =1 {T̂h́êŕê ḿâý b̂é ŝt́ôŕêd́ d̂át̂á âf́f̂éĉt́îńĝ ĺôád̂ín̂ǵ p̂ér̂f́ôŕm̂án̂ćê ín̂ t́ĥíŝ ĺôćât́îón̂: {locations}. Áûd́ît́ t̂h́îś p̂áĝé îń âń îńĉóĝńît́ô ẃîńd̂óŵ t́ô ṕr̂év̂én̂t́ t̂h́ôśê ŕêśôúr̂ćêś f̂ŕôḿ âf́f̂éĉt́îńĝ ýôúr̂ śĉór̂éŝ.}\n    other {T́ĥér̂é m̂áŷ b́ê śt̂ór̂éd̂ d́ât́â áf̂f́êćt̂ín̂ǵ l̂óâd́îńĝ ṕêŕf̂ór̂ḿâńĉé îń t̂h́êśê ĺôćât́îón̂ś: {locations}. Âúd̂ít̂ t́ĥíŝ ṕâǵê ín̂ án̂ ín̂ćôǵn̂ít̂ó ŵín̂d́ôẃ t̂ó p̂ŕêv́êńt̂ t́ĥóŝé r̂éŝóûŕĉéŝ f́r̂óm̂ áf̂f́êćt̂ín̂ǵ ŷóûŕ ŝćôŕêś.}\n  }"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Ĉón̂śîd́êŕ âd́d̂ín̂ǵ ĥt́t̂ṕŝ: án̂d́ ĥt́t̂ṕ: ÛŔL̂ śĉh́êḿêś (îǵn̂ór̂éd̂ b́ŷ b́r̂óŵśêŕŝ śûṕp̂ór̂t́îńĝ 'śt̂ŕîćt̂-d́ŷńâḿîć') t̂ó b̂é b̂áĉḱŵár̂d́ ĉóm̂ṕât́îb́l̂é ŵít̂h́ ôĺd̂ér̂ b́r̂óŵśêŕŝ."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"d̂íŝóŵń-ôṕêńêŕ îś d̂ép̂ŕêćât́êd́ ŝín̂ćê ĆŜṔ3. P̂ĺêáŝé, ûśê t́ĥé Ĉŕôśŝ-Ór̂íĝín̂-Óp̂én̂ér̂-Ṕôĺîćŷ h́êád̂ér̂ ín̂śt̂éâd́."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"r̂éf̂ér̂ŕêŕ îś d̂ép̂ŕêćât́êd́ ŝín̂ćê ĆŜṔ2. P̂ĺêáŝé, ûśê t́ĥé R̂éf̂ér̂ŕêŕ-P̂ól̂íĉý ĥéâd́êŕ îńŝt́êád̂."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"r̂éf̂ĺêćt̂éd̂-x́ŝś îś d̂ép̂ŕêćât́êd́ ŝín̂ćê ĆŜṔ2. P̂ĺêáŝé, ûśê t́ĥé X̂-X́ŜŚ-P̂ŕôt́êćt̂íôń ĥéâd́êŕ îńŝt́êád̂."},
"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"M̂íŝśîńĝ b́âśê-úr̂í âĺl̂óŵś îńĵéĉt́êd́ <b̂áŝé> t̂áĝś t̂ó ŝét̂ t́ĥé b̂áŝé ÛŔL̂ f́ôŕ âĺl̂ ŕêĺât́îv́ê ÚR̂Ĺŝ (é.ĝ. śĉŕîṕt̂ś) t̂ó âń ât́t̂áĉḱêŕ ĉón̂t́r̂ól̂ĺêd́ d̂óm̂áîń. Ĉón̂śîd́êŕ ŝét̂t́îńĝ b́âśê-úr̂í t̂ó 'n̂ón̂é' ôŕ 'ŝél̂f́'."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Êĺêḿêńt̂ś ĉón̂t́r̂ól̂ĺêd́ b̂ý ôb́ĵéĉt́-ŝŕĉ ár̂é ĉón̂śîd́êŕêd́ l̂éĝáĉý f̂éât́ûŕêś. Ĉón̂śîd́êŕ ŝét̂t́îńĝ ób̂j́êćt̂-śr̂ć t̂ó 'n̂ón̂é' t̂ó p̂ŕêv́êńt̂ t́ĥé îńĵéĉt́îón̂ óf̂ ṕl̂úĝín̂ś t̂h́ât́ êx́êćût́ê ún̂śâf́ê śĉŕîṕt̂ś."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"ŝćr̂íp̂t́-ŝŕĉ d́îŕêćt̂ív̂é îś m̂íŝśîńĝ. T́ĥíŝ ćâń âĺl̂óŵ t́ĥé êx́êćût́îón̂ óf̂ ún̂śâf́ê śĉŕîṕt̂ś."},
"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"D̂íd̂ ýôú f̂ór̂ǵêt́ t̂h́ê śêḿîćôĺôń? {keyword} ŝéêḿŝ t́ô b́ê á d̂ír̂éĉt́îv́ê, ńôt́ â ḱêýŵór̂d́."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"N̂ón̂ćêś ŝh́ôúl̂d́ ûśê t́ĥé b̂áŝé64 ĉh́âŕŝét̂."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"N̂ón̂ćêś ŝh́ôúl̂d́ b̂é ât́ l̂éâśt̂ 8 ćĥár̂áĉt́êŕŝ ĺôńĝ."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"N̂ó ĈŚP̂ ćôńf̂íĝúr̂éŝ á r̂ép̂ór̂t́îńĝ d́êśt̂ín̂át̂íôń. T̂h́îś m̂ák̂éŝ ít̂ d́îf́f̂íĉúl̂t́ t̂ó m̂áîńt̂áîń t̂h́ê ĆŜṔ ôv́êŕ t̂ím̂é âńd̂ ḿôńît́ôŕ f̂ór̂ án̂ý b̂ŕêák̂áĝéŝ."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"T̂h́ê ŕêṕôŕt̂ín̂ǵ d̂éŝt́îńât́îón̂ íŝ ón̂ĺŷ ćôńf̂íĝúr̂éd̂ v́îá t̂h́ê ŕêṕôŕt̂-t́ô d́îŕêćt̂ív̂é. T̂h́îś d̂ír̂éĉt́îv́ê íŝ ón̂ĺŷ śûṕp̂ór̂t́êd́ îń Ĉh́r̂óm̂íûḿ-b̂áŝéd̂ b́r̂óŵśêŕŝ śô ít̂ íŝ ŕêćôḿm̂én̂d́êd́ t̂ó âĺŝó ûśê á r̂ép̂ór̂t́-ûŕî d́îŕêćt̂ív̂é."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Ĥóŝt́ âĺl̂óŵĺîśt̂ś ĉán̂ f́r̂éq̂úêńt̂ĺŷ b́ê b́ŷṕâśŝéd̂. Ćôńŝíd̂ér̂ úŝín̂ǵ 'ŝt́r̂íĉt́-d̂ýn̂ám̂íĉ' ín̂ ćôḿb̂ín̂át̂íôń ŵít̂h́ ĈŚP̂ ńôńĉéŝ ór̂ h́âśĥéŝ."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Ûńk̂ńôẃn̂ ĆŜṔ d̂ír̂éĉt́îv́ê."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} ŝéêḿŝ t́ô b́ê án̂ ín̂v́âĺîd́ k̂éŷẃôŕd̂."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"'ûńŝáf̂é-îńl̂ín̂é' âĺl̂óŵś t̂h́ê éx̂éĉút̂íôń ôf́ ûńŝáf̂é îń-p̂áĝé ŝćr̂íp̂t́ŝ án̂d́ êv́êńt̂ h́âńd̂ĺêŕŝ. Ćôńŝíd̂ér̂ úŝín̂ǵ ĈŚP̂ ńôńĉéŝ ór̂ h́âśĥéŝ t́ô ál̂ĺôẃ ŝćr̂íp̂t́ŝ ín̂d́îv́îd́ûál̂ĺŷ."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Ĉón̂śîd́êŕ âd́d̂ín̂ǵ 'ûńŝáf̂é-îńl̂ín̂é' (îǵn̂ór̂éd̂ b́ŷ b́r̂óŵśêŕŝ śûṕp̂ór̂t́îńĝ ńôńĉéŝ/h́âśĥéŝ) t́ô b́ê b́âćk̂ẃâŕd̂ ćôḿp̂át̂íb̂ĺê ẃît́ĥ ól̂d́êŕ b̂ŕôẃŝér̂ś."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"M̂áîń-T̂h́r̂éâd́ B̂ĺôćk̂ín̂ǵ T̂ím̂é"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Ĉáĉh́ê T́T̂Ĺ"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"D̂éŝćr̂íp̂t́îón̂"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"D̂úr̂át̂íôń"},
"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Êĺêḿêńt̂"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"F̂áîĺîńĝ Él̂ém̂én̂t́ŝ"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"L̂óĉát̂íôń"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"N̂ám̂é"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Ôv́êŕ B̂úd̂ǵêt́"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"R̂éq̂úêśt̂ś"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"R̂éŝóûŕĉé Ŝíẑé"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"R̂éŝóûŕĉé T̂ýp̂é"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Ŝíẑé"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Ŝóûŕĉé"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Ŝt́âŕt̂ T́îḿê"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"T̂ím̂é Ŝṕêńt̂"},
"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"T̂ŕâńŝf́êŕ Ŝíẑé"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"ÛŔL̂"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"P̂ót̂én̂t́îál̂ Śâv́îńĝś"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"P̂ót̂én̂t́îál̂ Śâv́îńĝś"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Ĉúm̂úl̂át̂ív̂é L̂áŷóût́ Ŝh́îf́t̂"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"P̂ót̂én̂t́îál̂ śâv́îńĝś ôf́ {wastedBytes, number, bytes} K̂íB̂"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount, plural, =1 {1 êĺêḿêńt̂ f́ôún̂d́} other {# êĺêḿêńt̂ś f̂óûńd̂}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"P̂ót̂én̂t́îál̂ śâv́îńĝś ôf́ {wastedMs, number, milliseconds} m̂ś"},
"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"D̂óĉúm̂én̂t́"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"F̂ír̂śt̂ Ćôńt̂én̂t́f̂úl̂ Ṕâín̂t́"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"F̂ír̂śt̂ Ḿêán̂ín̂ǵf̂úl̂ Ṕâín̂t́"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"F̂ón̂t́"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Îḿâǵê"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"T̂ím̂é t̂ó Îńt̂ér̂áĉt́îv́ê"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Ĥíĝh́"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"L̂óŵ"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"M̂éd̂íûḿ"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"L̂ár̂ǵêśt̂ Ćôńt̂én̂t́f̂úl̂ Ṕâín̂t́"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{
message:"M̂áx̂ Ṕôt́êńt̂íâĺ F̂ír̂śt̂ Ín̂ṕût́ D̂él̂áŷ"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"M̂éd̂íâ"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} m̂ś"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Ôt́ĥér̂ ŕêśôúr̂ćêś"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Ôt́ĥér̂"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Ŝćr̂íp̂t́"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} ŝ"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Ŝṕêéd̂ Ín̂d́êx́"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Ŝt́ŷĺêśĥéêt́"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"T̂h́îŕd̂-ṕâŕt̂ý"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"T̂ót̂ál̂ B́l̂óĉḱîńĝ T́îḿê"},
"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"T̂ót̂ál̂"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Ŝóm̂ét̂h́îńĝ ẃêńt̂ ẃr̂ón̂ǵ ŵít̂h́ r̂éĉór̂d́îńĝ t́ĥé t̂ŕâćê óv̂ér̂ ýôúr̂ ṕâǵê ĺôád̂. Ṕl̂éâśê ŕûń L̂íĝh́t̂h́ôúŝé âǵâín̂. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"T̂ím̂éôút̂ ẃâít̂ín̂ǵ f̂ór̂ ín̂ít̂íâĺ D̂éb̂úĝǵêŕ P̂ŕôt́ôćôĺ ĉón̂ńêćt̂íôń."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Ĉh́r̂óm̂é d̂íd̂ń't̂ ćôĺl̂éĉt́ âńŷ śĉŕêén̂śĥót̂ś d̂úr̂ín̂ǵ t̂h́ê ṕâǵê ĺôád̂. Ṕl̂éâśê ḿâḱê śûŕê t́ĥér̂é îś ĉón̂t́êńt̂ v́îśîb́l̂é ôń t̂h́ê ṕâǵê, án̂d́ t̂h́êń t̂ŕŷ ŕê-ŕûńn̂ín̂ǵ L̂íĝh́t̂h́ôúŝé. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{
message:"D̂ŃŜ śêŕv̂ér̂ś ĉóûĺd̂ ńôt́ r̂éŝól̂v́ê t́ĥé p̂ŕôv́îd́êd́ d̂óm̂áîń."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"R̂éq̂úîŕêd́ {artifactName} ĝát̂h́êŕêŕ êńĉóûńt̂ér̂éd̂ án̂ ér̂ŕôŕ: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Âń îńt̂ér̂ńâĺ Ĉh́r̂óm̂é êŕr̂ór̂ óĉćûŕr̂éd̂. Ṕl̂éâśê ŕêśt̂ár̂t́ Ĉh́r̂óm̂é âńd̂ t́r̂ý r̂é-r̂ún̂ńîńĝ Ĺîǵĥt́ĥóûśê."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"R̂éq̂úîŕêd́ {artifactName} ĝát̂h́êŕêŕ d̂íd̂ ńôt́ r̂ún̂."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"T̂h́ê ṕâǵê d́îd́ n̂ót̂ ṕâín̂t́ âńŷ ćôńt̂én̂t́. P̂ĺêáŝé êńŝúr̂é ŷóû ḱêép̂ t́ĥé b̂ŕôẃŝér̂ ẃîńd̂óŵ ín̂ t́ĥé f̂ór̂éĝŕôún̂d́ d̂úr̂ín̂ǵ t̂h́ê ĺôád̂ án̂d́ t̂ŕŷ áĝáîń. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"T̂h́ê ṕâǵê ṕr̂óv̂íd̂éd̂ íŝ ńôt́ ĤT́M̂Ĺ (ŝér̂v́êd́ âś M̂ÍM̂É t̂ýp̂é {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"T̂h́îś v̂ér̂śîón̂ óf̂ Ćĥŕôḿê íŝ t́ôó ôĺd̂ t́ô śûṕp̂ór̂t́ '{featureName}'. Ûśê á n̂éŵér̂ v́êŕŝíôń t̂ó ŝéê f́ûĺl̂ ŕêśûĺt̂ś."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"L̂íĝh́t̂h́ôúŝé ŵáŝ ún̂áb̂ĺê t́ô ŕêĺîáb̂ĺŷ ĺôád̂ t́ĥé p̂áĝé ŷóû ŕêq́ûéŝt́êd́. M̂ák̂é ŝúr̂é ŷóû ár̂é t̂éŝt́îńĝ t́ĥé ĉór̂ŕêćt̂ ÚR̂Ĺ âńd̂ t́ĥát̂ t́ĥé ŝér̂v́êŕ îś p̂ŕôṕêŕl̂ý r̂éŝṕôńd̂ín̂ǵ t̂ó âĺl̂ ŕêq́ûéŝt́ŝ."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"L̂íĝh́t̂h́ôúŝé ŵáŝ ún̂áb̂ĺê t́ô ŕêĺîáb̂ĺŷ ĺôád̂ t́ĥé ÛŔL̂ ýôú r̂éq̂úêśt̂éd̂ b́êćâúŝé t̂h́ê ṕâǵê śt̂óp̂ṕêd́ r̂éŝṕôńd̂ín̂ǵ."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"T̂h́ê ÚR̂Ĺ ŷóû h́âv́ê ṕr̂óv̂íd̂éd̂ d́ôéŝ ńôt́ ĥáv̂é â v́âĺîd́ ŝéĉúr̂ít̂ý ĉér̂t́îf́îćât́ê. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Ĉh́r̂óm̂é p̂ŕêv́êńt̂éd̂ ṕâǵê ĺôád̂ ẃît́ĥ án̂ ín̂t́êŕŝt́ît́îál̂. Ḿâḱê śûŕê ýôú âŕê t́êśt̂ín̂ǵ t̂h́ê ćôŕr̂éĉt́ ÛŔL̂ án̂d́ t̂h́ât́ t̂h́ê śêŕv̂ér̂ íŝ ṕr̂óp̂ér̂ĺŷ ŕêśp̂ón̂d́îńĝ t́ô ál̂ĺ r̂éq̂úêśt̂ś."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"L̂íĝh́t̂h́ôúŝé ŵáŝ ún̂áb̂ĺê t́ô ŕêĺîáb̂ĺŷ ĺôád̂ t́ĥé p̂áĝé ŷóû ŕêq́ûéŝt́êd́. M̂ák̂é ŝúr̂é ŷóû ár̂é t̂éŝt́îńĝ t́ĥé ĉór̂ŕêćt̂ ÚR̂Ĺ âńd̂ t́ĥát̂ t́ĥé ŝér̂v́êŕ îś p̂ŕôṕêŕl̂ý r̂éŝṕôńd̂ín̂ǵ t̂ó âĺl̂ ŕêq́ûéŝt́ŝ. (D́êt́âíl̂ś: {errorDetails})"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"L̂íĝh́t̂h́ôúŝé ŵáŝ ún̂áb̂ĺê t́ô ŕêĺîáb̂ĺŷ ĺôád̂ t́ĥé p̂áĝé ŷóû ŕêq́ûéŝt́êd́. M̂ák̂é ŝúr̂é ŷóû ár̂é t̂éŝt́îńĝ t́ĥé ĉór̂ŕêćt̂ ÚR̂Ĺ âńd̂ t́ĥát̂ t́ĥé ŝér̂v́êŕ îś p̂ŕôṕêŕl̂ý r̂éŝṕôńd̂ín̂ǵ t̂ó âĺl̂ ŕêq́ûéŝt́ŝ. (Śt̂át̂úŝ ćôd́ê: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Ŷóûŕ p̂áĝé t̂óôḱ t̂óô ĺôńĝ t́ô ĺôád̂. Ṕl̂éâśê f́ôĺl̂óŵ t́ĥé ôṕp̂ór̂t́ûńît́îéŝ ín̂ t́ĥé r̂ép̂ór̂t́ t̂ó r̂éd̂úĉé ŷóûŕ p̂áĝé l̂óâd́ t̂ím̂é, âńd̂ t́ĥén̂ t́r̂ý r̂é-r̂ún̂ńîńĝ Ĺîǵĥt́ĥóûśê. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Ŵáît́îńĝ f́ôŕ D̂év̂T́ôól̂ś p̂ŕôt́ôćôĺ r̂éŝṕôńŝé ĥáŝ éx̂ćêéd̂éd̂ t́ĥé âĺl̂ót̂t́êd́ t̂ím̂é. (M̂ét̂h́ôd́: {protocolMethod})"},
"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"F̂ét̂ćĥín̂ǵ r̂éŝóûŕĉé ĉón̂t́êńt̂ h́âś êx́ĉéêd́êd́ t̂h́ê ál̂ĺôt́t̂éd̂ t́îḿê"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"T̂h́ê ÚR̂Ĺ ŷóû h́âv́ê ṕr̂óv̂íd̂éd̂ áp̂ṕêár̂ś t̂ó b̂é îńv̂ál̂íd̂."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Âĺl̂"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Âĺl̂ Śĉŕîṕt̂ś"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Ĉóv̂ér̂áĝé"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"D̂úp̂ĺîćât́ê Ḿôd́ûĺêś"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"R̂éŝóûŕĉé B̂ýt̂éŝ"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"N̂ám̂é"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"T̂óĝǵl̂é T̂áb̂ĺê"},
"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Ûńûśêd́ B̂ýt̂éŝ"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"F̂ór̂ án̂ím̂át̂éd̂ ćôńt̂én̂t́, ûśê [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) t́ô ḿîńîḿîźê ĆP̂Ú ûśâǵê ẃĥén̂ t́ĥé ĉón̂t́êńt̂ íŝ óf̂f́ŝćr̂éêń."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Ĉón̂śîd́êŕ d̂íŝṕl̂áŷín̂ǵ âĺl̂ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ćôḿp̂ón̂én̂t́ŝ ín̂ Ẃêb́P̂ f́ôŕm̂át̂ś ŵh́îĺê śp̂éĉíf̂ýîńĝ án̂ áp̂ṕr̂óp̂ŕîát̂é f̂ál̂ĺb̂áĉḱ f̂ór̂ ót̂h́êŕ b̂ŕôẃŝér̂ś. [L̂éâŕn̂ ḿôŕê](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Êńŝúr̂é t̂h́ât́ ŷóû ár̂é ûśîńĝ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) f́ôŕ îḿâǵêś t̂ó âút̂óm̂át̂íĉál̂ĺŷ ĺâźŷ-ĺôád̂. [Ĺêár̂ń m̂ór̂é](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Ûśê t́ôól̂ś ŝúĉh́ âś [ÂḾP̂ Óp̂t́îḿîźêŕ](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) t̂ó [ŝér̂v́êŕ-ŝíd̂é r̂én̂d́êŕ ÂḾP̂ ĺâýôút̂ś](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{
message:"R̂éf̂ér̂ t́ô t́ĥé [ÂḾP̂ d́ôćûḿêńt̂át̂íôń](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) t̂ó êńŝúr̂é âĺl̂ śt̂ýl̂éŝ ár̂é ŝúp̂ṕôŕt̂éd̂."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"T̂h́ê [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ćôḿp̂ón̂én̂t́ ŝúp̂ṕôŕt̂ś t̂h́ê [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) át̂t́r̂íb̂út̂é t̂ó ŝṕêćîf́ŷ ẃĥíĉh́ îḿâǵê áŝśêt́ŝ t́ô úŝé b̂áŝéd̂ ón̂ t́ĥé ŝćr̂éêń ŝíẑé. [L̂éâŕn̂ ḿôŕê](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{
message:"Ĉón̂śîd́êŕ v̂ír̂t́ûál̂ śĉŕôĺl̂ín̂ǵ ŵít̂h́ t̂h́ê Ćôḿp̂ón̂én̂t́ D̂év̂ Ḱît́ (ĈD́K̂) íf̂ v́êŕŷ ĺâŕĝé l̂íŝt́ŝ ár̂é b̂éîńĝ ŕêńd̂ér̂éd̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Âṕp̂ĺŷ [ŕôút̂é-l̂év̂él̂ ćôd́ê śp̂ĺît́t̂ín̂ǵ](https://web.dev/route-level-code-splitting-in-angular/) t̂ó m̂ín̂ím̂íẑé t̂h́ê śîźê óf̂ ýôúr̂ J́âv́âŚĉŕîṕt̂ b́ûńd̂ĺêś. Âĺŝó, ĉón̂śîd́êŕ p̂ŕêćâćĥín̂ǵ âśŝét̂ś ŵít̂h́ t̂h́ê [Án̂ǵûĺâŕ ŝér̂v́îćê ẃôŕk̂ér̂](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{
message:"Îf́ ŷóû ár̂é ûśîńĝ Án̂ǵûĺâŕ ĈĹÎ, én̂śûŕê t́ĥát̂ b́ûíl̂d́ŝ ár̂é ĝén̂ér̂át̂éd̂ ín̂ ṕr̂ód̂úĉt́îón̂ ḿôd́ê. [Ĺêár̂ń m̂ór̂é](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Îf́ ŷóû ár̂é ûśîńĝ Án̂ǵûĺâŕ ĈĹÎ, ín̂ćl̂úd̂é ŝóûŕĉé m̂áp̂ś îń ŷóûŕ p̂ŕôd́ûćt̂íôń b̂úîĺd̂ t́ô ín̂śp̂éĉt́ ŷóûŕ b̂ún̂d́l̂éŝ. [Ĺêár̂ń m̂ór̂é](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"P̂ŕêĺôád̂ ŕôút̂éŝ áĥéâd́ ôf́ t̂ím̂é t̂ó ŝṕêéd̂ úp̂ ńâv́îǵât́îón̂. [Ĺêár̂ń m̂ór̂é](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{
message:"Ĉón̂śîd́êŕ ûśîńĝ t́ĥé `BreakpointObserver` ût́îĺît́ŷ ín̂ t́ĥé Ĉóm̂ṕôńêńt̂ D́êv́ K̂ít̂ (ĆD̂Ḱ) t̂ó m̂án̂áĝé îḿâǵê b́r̂éâḱp̂óîńt̂ś. [L̂éâŕn̂ ḿôŕê](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Ĉón̂śîd́êŕ ûṕl̂óâd́îńĝ ýôúr̂ ǴÎF́ t̂ó â śêŕv̂íĉé ŵh́îćĥ ẃîĺl̂ ḿâḱê ít̂ áv̂áîĺâb́l̂é t̂ó êḿb̂éd̂ áŝ án̂ H́T̂ḾL̂5 v́îd́êó."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Ŝṕêćîf́ŷ `@font-display` ẃĥén̂ d́êf́îńîńĝ ćûśt̂óm̂ f́ôńt̂ś îń ŷóûŕ t̂h́êḿê."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Ĉón̂śîd́êŕ îńŝt́âĺl̂ín̂ǵ âńd̂ ćôńf̂íĝúr̂ín̂ǵ [â ḿôd́ûĺê t́ô ĺêv́êŕâǵê Ẃêb́P̂ ím̂áĝé f̂ór̂ḿât́ŝ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) ín̂ ýôúr̂ śît́ê. Śûćĥ ḿôd́ûĺêś âút̂óm̂át̂íĉál̂ĺŷ ǵêńêŕât́ê á Ŵéb̂Ṕ v̂ér̂śîón̂ óf̂ ýôúr̂ úp̂ĺôád̂éd̂ ím̂áĝéŝ t́ô óp̂t́îḿîźê ĺôád̂ín̂ǵ t̂ím̂éŝ."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Îńŝt́âĺl̂ [á D̂ŕûṕâĺ m̂ód̂úl̂é](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) t̂h́ât́ ĉán̂ ĺâźŷ ĺôád̂ ím̂áĝéŝ. Śûćĥ ḿôd́ûĺêś p̂ŕôv́îd́ê t́ĥé âb́îĺît́ŷ t́ô d́êf́êŕ âńŷ óf̂f́ŝćr̂éêń îḿâǵêś t̂ó îḿp̂ŕôv́ê ṕêŕf̂ór̂ḿâńĉé."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Ĉón̂śîd́êŕ ûśîńĝ á m̂ód̂úl̂é t̂ó îńl̂ín̂é ĉŕît́îćâĺ ĈŚŜ án̂d́ Ĵáv̂áŜćr̂íp̂t́, ôŕ p̂ót̂én̂t́îál̂ĺŷ ĺôád̂ áŝśêt́ŝ áŝýn̂ćĥŕôńôúŝĺŷ v́îá Ĵáv̂áŜćr̂íp̂t́ ŝúĉh́ âś t̂h́ê [Ád̂v́âńĉéd̂ ĆŜŚ/ĴŚ Âǵĝŕêǵât́îón̂](https://www.drupal.org/project/advagg) ḿôd́ûĺê. B́êẃâŕê t́ĥát̂ óp̂t́îḿîźât́îón̂ś p̂ŕôv́îd́êd́ b̂ý t̂h́îś m̂ód̂úl̂é m̂áŷ b́r̂éâḱ ŷóûŕ ŝít̂é, ŝó ŷóû ẃîĺl̂ ĺîḱêĺŷ ńêéd̂ t́ô ḿâḱê ćôd́ê ćĥán̂ǵêś."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"T̂h́êḿêś, m̂ód̂úl̂éŝ, án̂d́ ŝér̂v́êŕ ŝṕêćîf́îćât́îón̂ś âĺl̂ ćôńt̂ŕîb́ût́ê t́ô śêŕv̂ér̂ ŕêśp̂ón̂śê t́îḿê. Ćôńŝíd̂ér̂ f́îńd̂ín̂ǵ â ḿôŕê óp̂t́îḿîźêd́ t̂h́êḿê, ćâŕêf́ûĺl̂ý ŝél̂éĉt́îńĝ án̂ óp̂t́îḿîźât́îón̂ ḿôd́ûĺê, án̂d́/ôŕ ûṕĝŕâd́îńĝ ýôúr̂ śêŕv̂ér̂. Ýôúr̂ h́ôśt̂ín̂ǵ ŝér̂v́êŕŝ śĥóûĺd̂ ḿâḱê úŝé ôf́ P̂H́P̂ óp̂ćôd́ê ćâćĥín̂ǵ, m̂ém̂ór̂ý-ĉáĉh́îńĝ t́ô ŕêd́ûćê d́ât́âb́âśê q́ûér̂ý t̂ím̂éŝ śûćĥ áŝ Ŕêd́îś ôŕ M̂ém̂ćâćĥéd̂, áŝ ẃêĺl̂ áŝ óp̂t́îḿîźêd́ âṕp̂ĺîćât́îón̂ ĺôǵîć t̂ó p̂ŕêṕâŕê ṕâǵêś f̂áŝt́êŕ."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Ĉón̂śîd́êŕ ûśîńĝ [Ŕêśp̂ón̂śîv́ê Ím̂áĝé Ŝt́ŷĺêś](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) t̂ó r̂éd̂úĉé t̂h́ê śîźê óf̂ ím̂áĝéŝ ĺôád̂éd̂ ón̂ ýôúr̂ ṕâǵê. Íf̂ ýôú âŕê úŝín̂ǵ V̂íêẃŝ t́ô śĥóŵ ḿûĺt̂íp̂ĺê ćôńt̂én̂t́ ît́êḿŝ ón̂ á p̂áĝé, ĉón̂śîd́êŕ îḿp̂ĺêḿêńt̂ín̂ǵ p̂áĝín̂át̂íôń t̂ó l̂ím̂ít̂ t́ĥé n̂úm̂b́êŕ ôf́ ĉón̂t́êńt̂ ít̂ém̂ś ŝh́ôẃn̂ ón̂ á ĝív̂én̂ ṕâǵê."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'Êńŝúr̂é ŷóû h́âv́ê én̂áb̂ĺêd́ "Âǵĝŕêǵât́ê ĆŜŚ f̂íl̂éŝ" ín̂ t́ĥé "Âd́m̂ín̂íŝt́r̂át̂íôń » Ĉón̂f́îǵûŕât́îón̂ » D́êv́êĺôṕm̂én̂t́" p̂áĝé. Ŷóû ćâń âĺŝó ĉón̂f́îǵûŕê ḿôŕê ád̂v́âńĉéd̂ áĝǵr̂éĝát̂íôń ôṕt̂íôńŝ t́ĥŕôúĝh́ [âd́d̂ít̂íôńâĺ m̂ód̂úl̂éŝ](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) t́ô śp̂éêd́ ûṕ ŷóûŕ ŝít̂é b̂ý ĉón̂ćât́êńât́îńĝ, ḿîńîf́ŷín̂ǵ, âńd̂ ćôḿp̂ŕêśŝín̂ǵ ŷóûŕ ĈŚŜ śt̂ýl̂éŝ.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Êńŝúr̂é ŷóû h́âv́ê én̂áb̂ĺêd́ "Âǵĝŕêǵât́ê J́âv́âŚĉŕîṕt̂ f́îĺêś" îń t̂h́ê "Ád̂ḿîńîśt̂ŕât́îón̂ » Ćôńf̂íĝúr̂át̂íôń » D̂év̂él̂óp̂ḿêńt̂" ṕâǵê. Ýôú ĉán̂ ál̂śô ćôńf̂íĝúr̂é m̂ór̂é âd́v̂án̂ćêd́ âǵĝŕêǵât́îón̂ óp̂t́îón̂ś t̂h́r̂óûǵĥ [ád̂d́ît́îón̂ál̂ ḿôd́ûĺêś](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) t̂ó ŝṕêéd̂ úp̂ ýôúr̂ śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ, án̂d́ ĉóm̂ṕr̂éŝśîńĝ ýôúr̂ J́âv́âŚĉŕîṕt̂ áŝśêt́ŝ.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Ĉón̂śîd́êŕ r̂ém̂óv̂ín̂ǵ ûńûśêd́ ĈŚŜ ŕûĺêś âńd̂ ón̂ĺŷ át̂t́âćĥ t́ĥé n̂éêd́êd́ D̂ŕûṕâĺ l̂íb̂ŕâŕîéŝ t́ô t́ĥé r̂él̂év̂án̂t́ p̂áĝé ôŕ ĉóm̂ṕôńêńt̂ ín̂ á p̂áĝé. Ŝéê t́ĥé [D̂ŕûṕâĺ d̂óĉúm̂én̂t́ât́îón̂ ĺîńk̂](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) f́ôŕ d̂ét̂áîĺŝ. T́ô íd̂én̂t́îf́ŷ át̂t́âćĥéd̂ ĺîb́r̂ár̂íêś t̂h́ât́ âŕê ád̂d́îńĝ éx̂t́r̂án̂éôúŝ ĆŜŚ, t̂ŕŷ ŕûńn̂ín̂ǵ [ĉód̂é ĉóv̂ér̂áĝé](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) îń Ĉh́r̂óm̂é D̂év̂T́ôól̂ś. Ŷóû ćâń îd́êńt̂íf̂ý t̂h́ê t́ĥém̂é/m̂ód̂úl̂é r̂éŝṕôńŝíb̂ĺê f́r̂óm̂ t́ĥé ÛŔL̂ óf̂ t́ĥé ŝt́ŷĺêśĥéêt́ ŵh́êń ĈŚŜ áĝǵr̂éĝát̂íôń îś d̂íŝáb̂ĺêd́ îń ŷóûŕ D̂ŕûṕâĺ ŝít̂é. L̂óôḱ ôút̂ f́ôŕ t̂h́êḿêś/m̂ód̂úl̂éŝ t́ĥát̂ h́âv́ê ḿâńŷ śt̂ýl̂éŝh́êét̂ś îń t̂h́ê ĺîśt̂ ẃĥíĉh́ ĥáv̂é â ĺôt́ ôf́ r̂éd̂ ín̂ ćôd́ê ćôv́êŕâǵê. Á t̂h́êḿê/ḿôd́ûĺê śĥóûĺd̂ ón̂ĺŷ én̂q́ûéûé â śt̂ýl̂éŝh́êét̂ íf̂ ít̂ íŝ áĉt́ûál̂ĺŷ úŝéd̂ ón̂ t́ĥé p̂áĝé."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Ĉón̂śîd́êŕ r̂ém̂óv̂ín̂ǵ ûńûśêd́ Ĵáv̂áŜćr̂íp̂t́ âśŝét̂ś âńd̂ ón̂ĺŷ át̂t́âćĥ t́ĥé n̂éêd́êd́ D̂ŕûṕâĺ l̂íb̂ŕâŕîéŝ t́ô t́ĥé r̂él̂év̂án̂t́ p̂áĝé ôŕ ĉóm̂ṕôńêńt̂ ín̂ á p̂áĝé. Ŝéê t́ĥé [D̂ŕûṕâĺ d̂óĉúm̂én̂t́ât́îón̂ ĺîńk̂](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) f́ôŕ d̂ét̂áîĺŝ. T́ô íd̂én̂t́îf́ŷ át̂t́âćĥéd̂ ĺîb́r̂ár̂íêś t̂h́ât́ âŕê ád̂d́îńĝ éx̂t́r̂án̂éôúŝ J́âv́âŚĉŕîṕt̂, t́r̂ý r̂ún̂ńîńĝ [ćôd́ê ćôv́êŕâǵê](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ín̂ Ćĥŕôḿê D́êv́T̂óôĺŝ. Ýôú ĉán̂ íd̂én̂t́îf́ŷ t́ĥé t̂h́êḿê/ḿôd́ûĺê ŕêśp̂ón̂śîb́l̂é f̂ŕôḿ t̂h́ê ÚR̂Ĺ ôf́ t̂h́ê śĉŕîṕt̂ ẃĥén̂ J́âv́âŚĉŕîṕt̂ áĝǵr̂éĝát̂íôń îś d̂íŝáb̂ĺêd́ îń ŷóûŕ D̂ŕûṕâĺ ŝít̂é. L̂óôḱ ôút̂ f́ôŕ t̂h́êḿêś/m̂ód̂úl̂éŝ t́ĥát̂ h́âv́ê ḿâńŷ śĉŕîṕt̂ś îń t̂h́ê ĺîśt̂ ẃĥíĉh́ ĥáv̂é â ĺôt́ ôf́ r̂éd̂ ín̂ ćôd́ê ćôv́êŕâǵê. Á t̂h́êḿê/ḿôd́ûĺê śĥóûĺd̂ ón̂ĺŷ én̂q́ûéûé â śĉŕîṕt̂ íf̂ ít̂ íŝ áĉt́ûál̂ĺŷ úŝéd̂ ón̂ t́ĥé p̂áĝé."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Ŝét̂ t́ĥé "B̂ŕôẃŝér̂ án̂d́ p̂ŕôx́ŷ ćâćĥé m̂áx̂ím̂úm̂ áĝé" îń t̂h́ê "Ád̂ḿîńîśt̂ŕât́îón̂ » Ćôńf̂íĝúr̂át̂íôń » D̂év̂él̂óp̂ḿêńt̂" ṕâǵê. Ŕêád̂ áb̂óût́ [D̂ŕûṕâĺ ĉáĉh́ê án̂d́ ôṕt̂ím̂íẑín̂ǵ f̂ór̂ ṕêŕf̂ór̂ḿâńĉé](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Ĉón̂śîd́êŕ ûśîńĝ [á m̂ód̂úl̂é](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) t̂h́ât́ âút̂óm̂át̂íĉál̂ĺŷ óp̂t́îḿîźêś âńd̂ ŕêd́ûćêś t̂h́ê śîźê óf̂ ím̂áĝéŝ úp̂ĺôád̂éd̂ t́ĥŕôúĝh́ t̂h́ê śît́ê ẃĥíl̂é r̂ét̂áîńîńĝ q́ûál̂ít̂ý. Âĺŝó, êńŝúr̂é ŷóû ár̂é ûśîńĝ t́ĥé n̂át̂ív̂é [R̂éŝṕôńŝív̂é Îḿâǵê Śt̂ýl̂éŝ](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ṕr̂óv̂íd̂éd̂ f́r̂óm̂ D́r̂úp̂ál̂ (áv̂áîĺâb́l̂é îń D̂ŕûṕâĺ 8 âńd̂ áb̂óv̂é) f̂ór̂ ál̂ĺ îḿâǵêś r̂én̂d́êŕêd́ ôń t̂h́ê śît́ê."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"P̂ŕêćôńn̂éĉt́ ôŕ d̂ńŝ-ṕr̂éf̂ét̂ćĥ ŕêśôúr̂ćê h́îńt̂ś ĉán̂ b́ê ád̂d́êd́ b̂ý îńŝt́âĺl̂ín̂ǵ âńd̂ ćôńf̂íĝúr̂ín̂ǵ [â ḿôd́ûĺê](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) t́ĥát̂ ṕr̂óv̂íd̂éŝ f́âćîĺît́îéŝ f́ôŕ ûśêŕ âǵêńt̂ ŕêśôúr̂ćê h́îńt̂ś."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{
message:"Êńŝúr̂é t̂h́ât́ ŷóû ár̂é ûśîńĝ t́ĥé n̂át̂ív̂é [R̂éŝṕôńŝív̂é Îḿâǵê Śt̂ýl̂éŝ](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) ṕr̂óv̂íd̂éd̂ f́r̂óm̂ D́r̂úp̂ál̂ (áv̂áîĺâb́l̂é îń D̂ŕûṕâĺ 8 âńd̂ áb̂óv̂é). Ûśê t́ĥé R̂éŝṕôńŝív̂é Îḿâǵê Śt̂ýl̂éŝ ẃĥén̂ ŕêńd̂ér̂ín̂ǵ îḿâǵê f́îél̂d́ŝ t́ĥŕôúĝh́ v̂íêẃ m̂ód̂éŝ, v́îéŵś, ôŕ îḿâǵêś ûṕl̂óâd́êd́ t̂h́r̂óûǵĥ t́ĥé ŴÝŜÍŴÝĜ éd̂ít̂ór̂."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"Ĉón̂śîd́êŕ ûṕl̂óâd́îńĝ ýôúr̂ ǴÎF́ t̂ó â śêŕv̂íĉé ŵh́îćĥ ẃîĺl̂ ḿâḱê ít̂ áv̂áîĺâb́l̂é t̂ó êḿb̂éd̂ áŝ án̂ H́T̂ḾL̂5 v́îd́êó."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{
message:"Ĉón̂śîd́êŕ ûśîńĝ á [p̂ĺûǵîń](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ôŕ ŝér̂v́îćê t́ĥát̂ ẃîĺl̂ áût́ôḿât́îćâĺl̂ý ĉón̂v́êŕt̂ ýôúr̂ úp̂ĺôád̂éd̂ ím̂áĝéŝ t́ô t́ĥé ôṕt̂ím̂ál̂ f́ôŕm̂át̂ś."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Îńŝt́âĺl̂ á [l̂áẑý-l̂óâd́ Ĵóôḿl̂á p̂ĺûǵîń](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) t̂h́ât́ p̂ŕôv́îd́êś t̂h́ê áb̂íl̂ít̂ý t̂ó d̂éf̂ér̂ án̂ý ôf́f̂śĉŕêén̂ ím̂áĝéŝ, ór̂ śŵít̂ćĥ t́ô á t̂ém̂ṕl̂át̂é t̂h́ât́ p̂ŕôv́îd́êś t̂h́ât́ f̂ún̂ćt̂íôńâĺît́ŷ. Śt̂ár̂t́îńĝ ẃît́ĥ J́ôóm̂ĺâ 4.0, ál̂ĺ n̂éŵ ím̂áĝéŝ ẃîĺl̂ [áût́ôḿât́îćâĺl̂ý](https://github.com/joomla/joomla-cms/pull/30748) ĝét̂ t́ĥé `loading` ât́t̂ŕîb́ût́ê f́r̂óm̂ t́ĥé ĉór̂é."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"T̂h́êŕê ár̂é â ńûḿb̂ér̂ óf̂ J́ôóm̂ĺâ ṕl̂úĝín̂ś t̂h́ât́ ĉán̂ h́êĺp̂ ýôú [îńl̂ín̂é ĉŕît́îćâĺ âśŝét̂ś](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ôŕ [d̂éf̂ér̂ ĺêśŝ ím̂ṕôŕt̂án̂t́ r̂éŝóûŕĉéŝ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). B́êẃâŕê t́ĥát̂ óp̂t́îḿîźât́îón̂ś p̂ŕôv́îd́êd́ b̂ý t̂h́êśê ṕl̂úĝín̂ś m̂áŷ b́r̂éâḱ f̂éât́ûŕêś ôf́ ŷóûŕ t̂ém̂ṕl̂át̂éŝ ór̂ ṕl̂úĝín̂ś, ŝó ŷóû ẃîĺl̂ ńêéd̂ t́ô t́êśt̂ t́ĥéŝé t̂h́ôŕôúĝh́l̂ý."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{
message:"T̂ém̂ṕl̂át̂éŝ, éx̂t́êńŝíôńŝ, án̂d́ ŝér̂v́êŕ ŝṕêćîf́îćât́îón̂ś âĺl̂ ćôńt̂ŕîb́ût́ê t́ô śêŕv̂ér̂ ŕêśp̂ón̂śê t́îḿê. Ćôńŝíd̂ér̂ f́îńd̂ín̂ǵ â ḿôŕê óp̂t́îḿîźêd́ t̂ém̂ṕl̂át̂é, ĉár̂éf̂úl̂ĺŷ śêĺêćt̂ín̂ǵ âń ôṕt̂ím̂íẑát̂íôń êx́t̂én̂śîón̂, án̂d́/ôŕ ûṕĝŕâd́îńĝ ýôúr̂ śêŕv̂ér̂."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"Ĉón̂śîd́êŕ ŝh́ôẃîńĝ éx̂ćêŕp̂t́ŝ ín̂ ýôúr̂ ár̂t́îćl̂é ĉát̂éĝór̂íêś (ê.ǵ. v̂íâ t́ĥé r̂éâd́ m̂ór̂é l̂ín̂ḱ), r̂éd̂úĉín̂ǵ t̂h́ê ńûḿb̂ér̂ óf̂ ár̂t́îćl̂éŝ śĥóŵń ôń â ǵîv́êń p̂áĝé, b̂ŕêák̂ín̂ǵ ŷóûŕ l̂ón̂ǵ p̂óŝt́ŝ ín̂t́ô ḿûĺt̂íp̂ĺê ṕâǵêś, ôŕ ûśîńĝ á p̂ĺûǵîń t̂ó l̂áẑý-l̂óâd́ ĉóm̂ḿêńt̂ś."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{
message:"Â ńûḿb̂ér̂ óf̂ [J́ôóm̂ĺâ éx̂t́êńŝíôńŝ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ćâń ŝṕêéd̂ úp̂ ýôúr̂ śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ, án̂d́ ĉóm̂ṕr̂éŝśîńĝ ýôúr̂ ćŝś ŝt́ŷĺêś. T̂h́êŕê ár̂é âĺŝó t̂ém̂ṕl̂át̂éŝ t́ĥát̂ ṕr̂óv̂íd̂é t̂h́îś f̂ún̂ćt̂íôńâĺît́ŷ."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Â ńûḿb̂ér̂ óf̂ [J́ôóm̂ĺâ éx̂t́êńŝíôńŝ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ćâń ŝṕêéd̂ úp̂ ýôúr̂ śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ, án̂d́ ĉóm̂ṕr̂éŝśîńĝ ýôúr̂ śĉŕîṕt̂ś. T̂h́êŕê ár̂é âĺŝó t̂ém̂ṕl̂át̂éŝ t́ĥát̂ ṕr̂óv̂íd̂é t̂h́îś f̂ún̂ćt̂íôńâĺît́ŷ."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Ĉón̂śîd́êŕ r̂éd̂úĉín̂ǵ, ôŕ ŝẃît́ĉh́îńĝ, t́ĥé n̂úm̂b́êŕ ôf́ [Ĵóôḿl̂á êx́t̂én̂śîón̂ś](https://extensions.joomla.org/) l̂óâd́îńĝ ún̂úŝéd̂ ĆŜŚ îń ŷóûŕ p̂áĝé. T̂ó îd́êńt̂íf̂ý êx́t̂én̂śîón̂ś t̂h́ât́ âŕê ád̂d́îńĝ éx̂t́r̂án̂éôúŝ ĆŜŚ, t̂ŕŷ ŕûńn̂ín̂ǵ [ĉód̂é ĉóv̂ér̂áĝé](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) îń Ĉh́r̂óm̂é D̂év̂T́ôól̂ś. Ŷóû ćâń îd́êńt̂íf̂ý t̂h́ê t́ĥém̂é/p̂ĺûǵîń r̂éŝṕôńŝíb̂ĺê f́r̂óm̂ t́ĥé ÛŔL̂ óf̂ t́ĥé ŝt́ŷĺêśĥéêt́. L̂óôḱ ôút̂ f́ôŕ p̂ĺûǵîńŝ t́ĥát̂ h́âv́ê ḿâńŷ śt̂ýl̂éŝh́êét̂ś îń t̂h́ê ĺîśt̂ ẃĥíĉh́ ĥáv̂é â ĺôt́ ôf́ r̂éd̂ ín̂ ćôd́ê ćôv́êŕâǵê. Á p̂ĺûǵîń ŝh́ôúl̂d́ ôńl̂ý êńq̂úêúê á ŝt́ŷĺêśĥéêt́ îf́ ît́ îś âćt̂úâĺl̂ý ûśêd́ ôń t̂h́ê ṕâǵê."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Ĉón̂śîd́êŕ r̂éd̂úĉín̂ǵ, ôŕ ŝẃît́ĉh́îńĝ, t́ĥé n̂úm̂b́êŕ ôf́ [Ĵóôḿl̂á êx́t̂én̂śîón̂ś](https://extensions.joomla.org/) l̂óâd́îńĝ ún̂úŝéd̂ J́âv́âŚĉŕîṕt̂ ín̂ ýôúr̂ ṕâǵê. T́ô íd̂én̂t́îf́ŷ ṕl̂úĝín̂ś t̂h́ât́ âŕê ád̂d́îńĝ éx̂t́r̂án̂éôúŝ J́Ŝ, t́r̂ý r̂ún̂ńîńĝ [ćôd́ê ćôv́êŕâǵê](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ín̂ Ćĥŕôḿê D́êv́T̂óôĺŝ. Ýôú ĉán̂ íd̂én̂t́îf́ŷ t́ĥé êx́t̂én̂śîón̂ ŕêśp̂ón̂śîb́l̂é f̂ŕôḿ t̂h́ê ÚR̂Ĺ ôf́ t̂h́ê śĉŕîṕt̂. Ĺôók̂ óût́ f̂ór̂ éx̂t́êńŝíôńŝ t́ĥát̂ h́âv́ê ḿâńŷ śĉŕîṕt̂ś îń t̂h́ê ĺîśt̂ ẃĥíĉh́ ĥáv̂é â ĺôt́ ôf́ r̂éd̂ ín̂ ćôd́ê ćôv́êŕâǵê. Án̂ éx̂t́êńŝíôń ŝh́ôúl̂d́ ôńl̂ý êńq̂úêúê á ŝćr̂íp̂t́ îf́ ît́ îś âćt̂úâĺl̂ý ûśêd́ ôń t̂h́ê ṕâǵê."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"R̂éâd́ âb́ôút̂ [B́r̂óŵśêŕ Ĉáĉh́îńĝ ín̂ J́ôóm̂ĺâ](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"Ĉón̂śîd́êŕ ûśîńĝ án̂ [ím̂áĝé ôṕt̂ím̂íẑát̂íôń p̂ĺûǵîń](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) t̂h́ât́ ĉóm̂ṕr̂éŝśêś ŷóûŕ îḿâǵêś ŵh́îĺê ŕêt́âín̂ín̂ǵ q̂úâĺît́ŷ."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Ĉón̂śîd́êŕ ûśîńĝ á [r̂éŝṕôńŝív̂é îḿâǵêś p̂ĺûǵîń](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) t̂ó ûśê ŕêśp̂ón̂śîv́ê ím̂áĝéŝ ín̂ ýôúr̂ ćôńt̂én̂t́."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{
message:"Ŷóû ćâń êńâb́l̂é t̂éx̂t́ ĉóm̂ṕr̂éŝśîón̂ b́ŷ én̂áb̂ĺîńĝ Ǵẑíp̂ Ṕâǵê Ćôḿp̂ŕêśŝíôń îń Ĵóôḿl̂á (Ŝýŝt́êḿ > Ĝĺôb́âĺ ĉón̂f́îǵûŕât́îón̂ > Śêŕv̂ér̂)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Îf́ ŷóû ár̂é n̂ót̂ b́ûńd̂ĺîńĝ ýôúr̂ J́âv́âŚĉŕîṕt̂ áŝśêt́ŝ, ćôńŝíd̂ér̂ úŝín̂ǵ [b̂ál̂ér̂](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"D̂íŝáb̂ĺê Ḿâǵêńt̂ó'ŝ b́ûíl̂t́-îń [Ĵáv̂áŜćr̂íp̂t́ b̂ún̂d́l̂ín̂ǵ âńd̂ ḿîńîf́îćât́îón̂](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), án̂d́ ĉón̂śîd́êŕ ûśîńĝ [b́âĺêŕ](https://github.com/magento/baler/) îńŝt́êád̂."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{
message:"Ŝṕêćîf́ŷ `@font-display` ẃĥén̂ [d́êf́îńîńĝ ćûśt̂óm̂ f́ôńt̂ś](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Ĉón̂śîd́êŕ ŝéâŕĉh́îńĝ t́ĥé [M̂áĝén̂t́ô Ḿâŕk̂ét̂ṕl̂áĉé](https://marketplace.magento.com/catalogsearch/result/?q=webp) f̂ór̂ á v̂ár̂íêt́ŷ óf̂ t́ĥír̂d́-p̂ár̂t́ŷ éx̂t́êńŝíôńŝ t́ô ĺêv́êŕâǵê ńêẃêŕ îḿâǵê f́ôŕm̂át̂ś."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Ĉón̂śîd́êŕ m̂ód̂íf̂ýîńĝ ýôúr̂ ṕr̂ód̂úĉt́ âńd̂ ćât́âĺôǵ t̂ém̂ṕl̂át̂éŝ t́ô ḿâḱê úŝé ôf́ t̂h́ê ẃêb́ p̂ĺât́f̂ór̂ḿ'ŝ [ĺâźŷ ĺôád̂ín̂ǵ](https://web.dev/native-lazy-loading) f̂éât́ûŕê."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{
message:"Ûśê Ḿâǵêńt̂ó'ŝ [V́âŕn̂íŝh́ îńt̂éĝŕât́îón̂](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Êńâb́l̂é t̂h́ê "Ḿîńîf́ŷ ĆŜŚ F̂íl̂éŝ" óp̂t́îón̂ ín̂ ýôúr̂ śt̂ór̂é\'ŝ D́êv́êĺôṕêŕ ŝét̂t́îńĝś. [L̂éâŕn̂ ḿôŕê](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Ûśê [T́êŕŝér̂](https://www.npmjs.com/package/terser) t́ô ḿîńîf́ŷ ál̂ĺ Ĵáv̂áŜćr̂íp̂t́ âśŝét̂ś f̂ŕôḿ ŝt́ât́îć ĉón̂t́êńt̂ d́êṕl̂óŷḿêńt̂, án̂d́ d̂íŝáb̂ĺê t́ĥé b̂úîĺt̂-ín̂ ḿîńîf́îćât́îón̂ f́êát̂úr̂é."},
"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"D̂íŝáb̂ĺê Ḿâǵêńt̂ó'ŝ b́ûíl̂t́-îń [Ĵáv̂áŜćr̂íp̂t́ b̂ún̂d́l̂ín̂ǵ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Ĉón̂śîd́êŕ ŝéâŕĉh́îńĝ t́ĥé [M̂áĝén̂t́ô Ḿâŕk̂ét̂ṕl̂áĉé](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) f̂ór̂ á v̂ár̂íêt́ŷ óf̂ t́ĥír̂d́ p̂ár̂t́ŷ éx̂t́êńŝíôńŝ t́ô óp̂t́îḿîźê ím̂áĝéŝ."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"P̂ŕêćôńn̂éĉt́ ôŕ d̂ńŝ-ṕr̂éf̂ét̂ćĥ ŕêśôúr̂ćê h́îńt̂ś ĉán̂ b́ê ád̂d́êd́ b̂ý [m̂ód̂íf̂ýîńĝ á t̂h́êḿêś'ŝ ĺâýôút̂](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` t̂áĝś ĉán̂ b́ê ád̂d́êd́ b̂ý [m̂ód̂íf̂ýîńĝ á t̂h́êḿêś'ŝ ĺâýôút̂](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[R̂ép̂ĺâćê án̂ím̂át̂éd̂ ǴÎF́ŝ ẃît́ĥ v́îd́êó](https://web.dev/replace-gifs-with-videos/) f̂ór̂ f́âśt̂ér̂ ẃêb́ p̂áĝé l̂óâd́ŝ án̂d́ ĉón̂śîd́êŕ ûśîńĝ ḿôd́êŕn̂ f́îĺê f́ôŕm̂át̂ś ŝúĉh́ âś [Ŵéb̂Ḿ](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ôŕ [ÂV́1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) t̂ó îḿp̂ŕôv́ê ćôḿp̂ŕêśŝíôń êf́f̂íĉíêńĉý b̂ý ĝŕêát̂ér̂ t́ĥán̂ 30% óv̂ér̂ t́ĥé ĉúr̂ŕêńt̂ śt̂át̂é-ôf́-t̂h́ê-ár̂t́ v̂íd̂éô ćôd́êć, V̂Ṕ9."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"Ĉón̂śîd́êŕ ûśîńĝ á [p̂ĺûǵîń](https://octobercms.com/plugins?search=image) ôŕ ŝér̂v́îćê t́ĥát̂ ẃîĺl̂ áût́ôḿât́îćâĺl̂ý ĉón̂v́êŕt̂ t́ĥé ûṕl̂óâd́êd́ îḿâǵêś t̂ó t̂h́ê óp̂t́îḿâĺ f̂ór̂ḿât́ŝ. [Ẃêb́P̂ ĺôśŝĺêśŝ ím̂áĝéŝ](https://developers.google.com/speed/webp) ár̂é 26% ŝḿâĺl̂ér̂ ín̂ śîźê ćôḿp̂ár̂éd̂ t́ô ṔN̂Ǵŝ án̂d́ 25-34% ŝḿâĺl̂ér̂ t́ĥán̂ ćôḿp̂ár̂áb̂ĺê J́P̂ÉĜ ím̂áĝéŝ át̂ t́ĥé êq́ûív̂ál̂én̂t́ ŜŚÎḾ q̂úâĺît́ŷ ín̂d́êx́. Âńôt́ĥér̂ ńêx́t̂-ǵêń îḿâǵê f́ôŕm̂át̂ t́ô ćôńŝíd̂ér̂ íŝ [ÁV̂ÍF̂](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"Ĉón̂śîd́êŕ îńŝt́âĺl̂ín̂ǵ âń [îḿâǵê ĺâźŷ ĺôád̂ín̂ǵ p̂ĺûǵîń](https://octobercms.com/plugins?search=lazy) t̂h́ât́ p̂ŕôv́îd́êś t̂h́ê áb̂íl̂ít̂ý t̂ó d̂éf̂ér̂ án̂ý ôf́f̂śĉŕêén̂ ím̂áĝéŝ, ór̂ śŵít̂ćĥ t́ô á t̂h́êḿê t́ĥát̂ ṕr̂óv̂íd̂éŝ t́ĥát̂ f́ûńĉt́îón̂ál̂ít̂ý. Âĺŝó ĉón̂śîd́êŕ ûśîńĝ [t́ĥé ÂḾP̂ ṕl̂úĝín̂](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"T̂h́êŕê ár̂é m̂án̂ý p̂ĺûǵîńŝ t́ĥát̂ h́êĺp̂ [ín̂ĺîńê ćr̂ít̂íĉál̂ áŝśêt́ŝ](https://octobercms.com/plugins?search=css). T́ĥéŝé p̂ĺûǵîńŝ ḿâý b̂ŕêák̂ ót̂h́êŕ p̂ĺûǵîńŝ, śô ýôú ŝh́ôúl̂d́ t̂éŝt́ t̂h́ôŕôúĝh́l̂ý."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"T̂h́êḿêś, p̂ĺûǵîńŝ án̂d́ ŝér̂v́êŕ ŝṕêćîf́îćât́îón̂ś âĺl̂ ćôńt̂ŕîb́ût́ê t́ô t́ĥé ŝér̂v́êŕ r̂éŝṕôńŝé t̂ím̂é. Ĉón̂śîd́êŕ f̂ín̂d́îńĝ á m̂ór̂é ôṕt̂ím̂íẑéd̂ t́ĥém̂é, ĉár̂éf̂úl̂ĺŷ śêĺêćt̂ín̂ǵ âń ôṕt̂ím̂íẑát̂íôń p̂ĺûǵîń âńd̂/ór̂ úp̂ǵr̂ád̂é t̂h́ê śêŕv̂ér̂. Óĉt́ôb́êŕ ĈḾŜ ál̂śô ál̂ĺôẃŝ d́êv́êĺôṕêŕŝ t́ô úŝé [`Queues`](https://octobercms.com/docs/services/queues) t̂ó d̂éf̂ér̂ t́ĥé p̂ŕôćêśŝín̂ǵ ôf́ â t́îḿê ćôńŝúm̂ín̂ǵ t̂áŝḱ, ŝúĉh́ âś ŝén̂d́îńĝ án̂ é-m̂áîĺ. T̂h́îś d̂ŕâśt̂íĉál̂ĺŷ śp̂éêd́ŝ úp̂ ẃêb́ r̂éq̂úêśt̂ś."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Ĉón̂śîd́êŕ ŝh́ôẃîńĝ éx̂ćêŕp̂t́ŝ ín̂ t́ĥé p̂óŝt́ l̂íŝt́ŝ (é.ĝ. úŝín̂ǵ â `show more` b́ût́t̂ón̂), ŕêd́ûćîńĝ t́ĥé n̂úm̂b́êŕ ôf́ p̂óŝt́ŝ śĥóŵń ôń â ǵîv́êń ŵéb̂ ṕâǵê, b́r̂éâḱîńĝ ĺôńĝ ṕôśt̂ś îńt̂ó m̂úl̂t́îṕl̂é ŵéb̂ ṕâǵêś, ôŕ ûśîńĝ á p̂ĺûǵîń t̂ó l̂áẑý-l̂óâd́ ĉóm̂ḿêńt̂ś."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"T̂h́êŕê ár̂é m̂án̂ý [p̂ĺûǵîńŝ](https://octobercms.com/plugins?search=css) t́ĥát̂ ćâń ŝṕêéd̂ úp̂ á ŵéb̂śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ án̂d́ ĉóm̂ṕr̂éŝśîńĝ t́ĥé ŝt́ŷĺêś. Ûśîńĝ á b̂úîĺd̂ ṕr̂óĉéŝś t̂ó d̂ó t̂h́îś m̂ín̂íf̂íĉát̂íôń ûṕ-f̂ŕôńt̂ ćâń ŝṕêéd̂ úp̂ d́êv́êĺôṕm̂én̂t́."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"T̂h́êŕê ár̂é m̂án̂ý [p̂ĺûǵîńŝ](https://octobercms.com/plugins?search=javascript) t́ĥát̂ ćâń ŝṕêéd̂ úp̂ á ŵéb̂śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ án̂d́ ĉóm̂ṕr̂éŝśîńĝ t́ĥé ŝćr̂íp̂t́ŝ. Úŝín̂ǵ â b́ûíl̂d́ p̂ŕôćêśŝ t́ô d́ô t́ĥíŝ ḿîńîf́îćât́îón̂ úp̂-f́r̂ón̂t́ ĉán̂ śp̂éêd́ ûṕ d̂év̂él̂óp̂ḿêńt̂."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Ĉón̂śîd́êŕ r̂év̂íêẃîńĝ t́ĥé [p̂ĺûǵîńŝ](https://octobercms.com/plugins) ĺôád̂ín̂ǵ ûńûśêd́ ĈŚŜ ón̂ t́ĥé ŵéb̂śît́ê. T́ô íd̂én̂t́îf́ŷ ṕl̂úĝín̂ś t̂h́ât́ âd́d̂ ún̂ńêćêśŝár̂ý ĈŚŜ, ŕûń [ĉód̂é ĉóv̂ér̂áĝé](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) îń Ĉh́r̂óm̂é D̂év̂T́ôól̂ś. Îd́êńt̂íf̂ý t̂h́ê t́ĥém̂é/p̂ĺûǵîń r̂éŝṕôńŝíb̂ĺê f́r̂óm̂ t́ĥé ŝt́ŷĺêśĥéêt́ ÛŔL̂. Ĺôók̂ f́ôŕ p̂ĺûǵîńŝ ẃît́ĥ ḿâńŷ śt̂ýl̂éŝh́êét̂ś ŵít̂h́ l̂ót̂ś ôf́ r̂éd̂ ín̂ ćôd́ê ćôv́êŕâǵê. Á p̂ĺûǵîń ŝh́ôúl̂d́ ôńl̂ý âd́d̂ á ŝt́ŷĺêśĥéêt́ îf́ ît́ îś âćt̂úâĺl̂ý ûśêd́ ôń t̂h́ê ẃêb́ p̂áĝé."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Ĉón̂śîd́êŕ r̂év̂íêẃîńĝ t́ĥé [p̂ĺûǵîńŝ](https://octobercms.com/plugins?search=javascript) t́ĥát̂ ĺôád̂ ún̂úŝéd̂ J́âv́âŚĉŕîṕt̂ ín̂ t́ĥé ŵéb̂ ṕâǵê. T́ô íd̂én̂t́îf́ŷ ṕl̂úĝín̂ś t̂h́ât́ âd́d̂ ún̂ńêćêśŝár̂ý Ĵáv̂áŜćr̂íp̂t́, r̂ún̂ [ćôd́ê ćôv́êŕâǵê](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ín̂ Ćĥŕôḿê D́êv́T̂óôĺŝ. Íd̂én̂t́îf́ŷ t́ĥé t̂h́êḿê/ṕl̂úĝín̂ ŕêśp̂ón̂śîb́l̂é f̂ŕôḿ t̂h́ê ÚR̂Ĺ ôf́ t̂h́ê śĉŕîṕt̂. Ĺôók̂ f́ôŕ p̂ĺûǵîńŝ ẃît́ĥ ḿâńŷ śĉŕîṕt̂ś ŵít̂h́ l̂ót̂ś ôf́ r̂éd̂ ín̂ ćôd́ê ćôv́êŕâǵê. Á p̂ĺûǵîń ŝh́ôúl̂d́ ôńl̂ý âd́d̂ á ŝćr̂íp̂t́ îf́ ît́ îś âćt̂úâĺl̂ý ûśêd́ ôń t̂h́ê ẃêb́ p̂áĝé."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"R̂éâd́ âb́ôút̂ [ṕr̂év̂én̂t́îńĝ ún̂ńêćêśŝár̂ý n̂ét̂ẃôŕk̂ ŕêq́ûéŝt́ŝ ẃît́ĥ t́ĥé ĤT́T̂Ṕ Ĉáĉh́ê](https://web.dev/http-cache/#caching-checklist). T́ĥér̂é âŕê ḿâńŷ [ṕl̂úĝín̂ś](https://octobercms.com/plugins?search=Caching) t̂h́ât́ ĉán̂ b́ê úŝéd̂ t́ô śp̂éêd́ ûṕ ĉáĉh́îńĝ."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Ĉón̂śîd́êŕ ûśîńĝ án̂ [ím̂áĝé ôṕt̂ím̂íẑát̂íôń p̂ĺûǵîń](https://octobercms.com/plugins?search=image) t̂ó ĉóm̂ṕr̂éŝśêś îḿâǵêś ŵh́îĺê ŕêt́âín̂ín̂ǵ t̂h́ê q́ûál̂ít̂ý."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Ûṕl̂óâd́ îḿâǵêś d̂ír̂éĉt́l̂ý îń t̂h́ê ḿêd́îá m̂án̂áĝér̂ t́ô én̂śûŕê t́ĥé r̂éq̂úîŕêd́ îḿâǵê śîźêś âŕê áv̂áîĺâb́l̂é. Ĉón̂śîd́êŕ ûśîńĝ t́ĥé [r̂éŝíẑé f̂íl̂t́êŕ](https://octobercms.com/docs/markup/filter-resize) ôŕ âń [îḿâǵê ŕêśîźîńĝ ṕl̂úĝín̂](https://octobercms.com/plugins?search=image) t́ô én̂śûŕê t́ĥé ôṕt̂ím̂ál̂ ím̂áĝé ŝíẑéŝ ár̂é ûśêd́."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Êńâb́l̂é t̂éx̂t́ ĉóm̂ṕr̂éŝśîón̂ ín̂ t́ĥé ŵéb̂ śêŕv̂ér̂ ćôńf̂íĝúr̂át̂íôń."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Ĉón̂śîd́êŕ ûśîńĝ á "ŵín̂d́ôẃîńĝ" ĺîb́r̂ár̂ý l̂ík̂é `react-window` t̂ó m̂ín̂ím̂íẑé t̂h́ê ńûḿb̂ér̂ óf̂ D́ÔḾ n̂ód̂éŝ ćr̂éât́êd́ îf́ ŷóû ár̂é r̂én̂d́êŕîńĝ ḿâńŷ ŕêṕêát̂éd̂ él̂ém̂én̂t́ŝ ón̂ t́ĥé p̂áĝé. [L̂éâŕn̂ ḿôŕê](https://web.dev/virtualize-long-lists-react-window/). Ál̂śô, ḿîńîḿîźê ún̂ńêćêśŝár̂ý r̂é-r̂én̂d́êŕŝ úŝín̂ǵ [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), ôŕ [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) âńd̂ [śk̂íp̂ éf̂f́êćt̂ś](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) ôńl̂ý ûńt̂íl̂ ćêŕt̂áîń d̂ép̂én̂d́êńĉíêś ĥáv̂é ĉh́âńĝéd̂ íf̂ ýôú âŕê úŝín̂ǵ t̂h́ê `Effect` h́ôók̂ t́ô ím̂ṕr̂óv̂é r̂ún̂t́îḿê ṕêŕf̂ór̂ḿâńĉé.'
},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"Îf́ ŷóû ár̂é ûśîńĝ Ŕêáĉt́ R̂óût́êŕ, m̂ín̂ím̂íẑé ûśâǵê óf̂ t́ĥé `<Redirect>` ĉóm̂ṕôńêńt̂ f́ôŕ [r̂óût́ê ńâv́îǵât́îón̂ś](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Îf́ ŷóû ár̂é ŝér̂v́êŕ-ŝíd̂é r̂én̂d́êŕîńĝ án̂ý R̂éâćt̂ ćôḿp̂ón̂én̂t́ŝ, ćôńŝíd̂ér̂ úŝín̂ǵ `renderToNodeStream()` ôŕ `renderToStaticNodeStream()` t̂ó âĺl̂óŵ t́ĥé ĉĺîén̂t́ t̂ó r̂éĉéîv́ê án̂d́ ĥýd̂ŕât́ê d́îf́f̂ér̂én̂t́ p̂ár̂t́ŝ óf̂ t́ĥé m̂ár̂ḱûṕ îńŝt́êád̂ óf̂ ál̂ĺ ât́ ôńĉé. [L̂éâŕn̂ ḿôŕê](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Îf́ ŷóûŕ b̂úîĺd̂ śŷśt̂ém̂ ḿîńîf́îéŝ ĆŜŚ f̂íl̂éŝ áût́ôḿât́îćâĺl̂ý, êńŝúr̂é t̂h́ât́ ŷóû ár̂é d̂ép̂ĺôýîńĝ t́ĥé p̂ŕôd́ûćt̂íôń b̂úîĺd̂ óf̂ ýôúr̂ áp̂ṕl̂íĉát̂íôń. Ŷóû ćâń ĉh́êćk̂ t́ĥíŝ ẃît́ĥ t́ĥé R̂éâćt̂ D́êv́êĺôṕêŕ T̂óôĺŝ éx̂t́êńŝíôń. [L̂éâŕn̂ ḿôŕê](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Îf́ ŷóûŕ b̂úîĺd̂ śŷśt̂ém̂ ḿîńîf́îéŝ J́Ŝ f́îĺêś âút̂óm̂át̂íĉál̂ĺŷ, én̂śûŕê t́ĥát̂ ýôú âŕê d́êṕl̂óŷín̂ǵ t̂h́ê ṕr̂ód̂úĉt́îón̂ b́ûíl̂d́ ôf́ ŷóûŕ âṕp̂ĺîćât́îón̂. Ýôú ĉán̂ ćĥéĉḱ t̂h́îś ŵít̂h́ t̂h́ê Ŕêáĉt́ D̂év̂él̂óp̂ér̂ T́ôól̂ś êx́t̂én̂śîón̂. [Ĺêár̂ń m̂ór̂é](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Îf́ ŷóû ár̂é n̂ót̂ śêŕv̂ér̂-śîd́ê ŕêńd̂ér̂ín̂ǵ, [ŝṕl̂ít̂ ýôúr̂ J́âv́âŚĉŕîṕt̂ b́ûńd̂ĺêś](https://web.dev/code-splitting-suspense/) ŵít̂h́ `React.lazy()`. Ôt́ĥér̂ẃîśê, ćôd́ê-śp̂ĺît́ ûśîńĝ á t̂h́îŕd̂-ṕâŕt̂ý l̂íb̂ŕâŕŷ śûćĥ áŝ [ĺôád̂áb̂ĺê-ćôḿp̂ón̂én̂t́ŝ](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Ûśê t́ĥé R̂éâćt̂ D́êv́T̂óôĺŝ Ṕr̂óf̂íl̂ér̂, ẃĥíĉh́ m̂ák̂éŝ úŝé ôf́ t̂h́ê Ṕr̂óf̂íl̂ér̂ ÁP̂Í, t̂ó m̂éâśûŕê t́ĥé r̂én̂d́êŕîńĝ ṕêŕf̂ór̂ḿâńĉé ôf́ ŷóûŕ ĉóm̂ṕôńêńt̂ś. [L̂éâŕn̂ ḿôŕê.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Ĉón̂śîd́êŕ ûṕl̂óâd́îńĝ ýôúr̂ ǴÎF́ t̂ó â śêŕv̂íĉé ŵh́îćĥ ẃîĺl̂ ḿâḱê ít̂ áv̂áîĺâb́l̂é t̂ó êḿb̂éd̂ áŝ án̂ H́T̂ḾL̂5 v́îd́êó."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Ĉón̂śîd́êŕ ûśîńĝ á [p̂ĺûǵîń](https://wordpress.org/plugins/search/convert+webp/) ôŕ ŝér̂v́îćê t́ĥát̂ ẃîĺl̂ áût́ôḿât́îćâĺl̂ý ĉón̂v́êŕt̂ ýôúr̂ úp̂ĺôád̂éd̂ ím̂áĝéŝ t́ô t́ĥé ôṕt̂ím̂ál̂ f́ôŕm̂át̂ś."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Îńŝt́âĺl̂ á [l̂áẑý-l̂óâd́ Ŵór̂d́P̂ŕêśŝ ṕl̂úĝín̂](https://wordpress.org/plugins/search/lazy+load/) t́ĥát̂ ṕr̂óv̂íd̂éŝ t́ĥé âb́îĺît́ŷ t́ô d́êf́êŕ âńŷ óf̂f́ŝćr̂éêń îḿâǵêś, ôŕ ŝẃît́ĉh́ t̂ó â t́ĥém̂é t̂h́ât́ p̂ŕôv́îd́êś t̂h́ât́ f̂ún̂ćt̂íôńâĺît́ŷ. Ál̂śô ćôńŝíd̂ér̂ úŝín̂ǵ [t̂h́ê ÁM̂Ṕ p̂ĺûǵîń](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"T̂h́êŕê ár̂é â ńûḿb̂ér̂ óf̂ Ẃôŕd̂Ṕr̂éŝś p̂ĺûǵîńŝ t́ĥát̂ ćâń ĥél̂ṕ ŷóû [ín̂ĺîńê ćr̂ít̂íĉál̂ áŝśêt́ŝ](https://wordpress.org/plugins/search/critical+css/) ór̂ [d́êf́êŕ l̂éŝś îḿp̂ór̂t́âńt̂ ŕêśôúr̂ćêś](https://wordpress.org/plugins/search/defer+css+javascript/). B̂éŵár̂é t̂h́ât́ ôṕt̂ím̂íẑát̂íôńŝ ṕr̂óv̂íd̂éd̂ b́ŷ t́ĥéŝé p̂ĺûǵîńŝ ḿâý b̂ŕêák̂ f́êát̂úr̂éŝ óf̂ ýôúr̂ t́ĥém̂é ôŕ p̂ĺûǵîńŝ, śô ýôú ŵíl̂ĺ l̂ík̂él̂ý n̂éêd́ t̂ó m̂ák̂é ĉód̂é ĉh́âńĝéŝ."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"T̂h́êḿêś, p̂ĺûǵîńŝ, án̂d́ ŝér̂v́êŕ ŝṕêćîf́îćât́îón̂ś âĺl̂ ćôńt̂ŕîb́ût́ê t́ô śêŕv̂ér̂ ŕêśp̂ón̂śê t́îḿê. Ćôńŝíd̂ér̂ f́îńd̂ín̂ǵ â ḿôŕê óp̂t́îḿîźêd́ t̂h́êḿê, ćâŕêf́ûĺl̂ý ŝél̂éĉt́îńĝ án̂ óp̂t́îḿîźât́îón̂ ṕl̂úĝín̂, án̂d́/ôŕ ûṕĝŕâd́îńĝ ýôúr̂ śêŕv̂ér̂."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Ĉón̂śîd́êŕ ŝh́ôẃîńĝ éx̂ćêŕp̂t́ŝ ín̂ ýôúr̂ ṕôśt̂ ĺîśt̂ś (ê.ǵ. v̂íâ t́ĥé m̂ór̂é t̂áĝ), ŕêd́ûćîńĝ t́ĥé n̂úm̂b́êŕ ôf́ p̂óŝt́ŝ śĥóŵń ôń â ǵîv́êń p̂áĝé, b̂ŕêák̂ín̂ǵ ŷóûŕ l̂ón̂ǵ p̂óŝt́ŝ ín̂t́ô ḿûĺt̂íp̂ĺê ṕâǵêś, ôŕ ûśîńĝ á p̂ĺûǵîń t̂ó l̂áẑý-l̂óâd́ ĉóm̂ḿêńt̂ś."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{
message:"Â ńûḿb̂ér̂ óf̂ [Ẃôŕd̂Ṕr̂éŝś p̂ĺûǵîńŝ](https://wordpress.org/plugins/search/minify+css/) ćâń ŝṕêéd̂ úp̂ ýôúr̂ śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ, án̂d́ ĉóm̂ṕr̂éŝśîńĝ ýôúr̂ śt̂ýl̂éŝ. Ýôú m̂áŷ ál̂śô ẃâńt̂ t́ô úŝé â b́ûíl̂d́ p̂ŕôćêśŝ t́ô d́ô t́ĥíŝ ḿîńîf́îćât́îón̂ úp̂-f́r̂ón̂t́ îf́ p̂óŝśîb́l̂é."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Â ńûḿb̂ér̂ óf̂ [Ẃôŕd̂Ṕr̂éŝś p̂ĺûǵîńŝ](https://wordpress.org/plugins/search/minify+javascript/) ćâń ŝṕêéd̂ úp̂ ýôúr̂ śît́ê b́ŷ ćôńĉát̂én̂át̂ín̂ǵ, m̂ín̂íf̂ýîńĝ, án̂d́ ĉóm̂ṕr̂éŝśîńĝ ýôúr̂ śĉŕîṕt̂ś. Ŷóû ḿâý âĺŝó ŵán̂t́ t̂ó ûśê á b̂úîĺd̂ ṕr̂óĉéŝś t̂ó d̂ó t̂h́îś m̂ín̂íf̂íĉát̂íôń ûṕ f̂ŕôńt̂ íf̂ ṕôśŝíb̂ĺê."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Ĉón̂śîd́êŕ r̂éd̂úĉín̂ǵ, ôŕ ŝẃît́ĉh́îńĝ, t́ĥé n̂úm̂b́êŕ ôf́ [Ŵór̂d́P̂ŕêśŝ ṕl̂úĝín̂ś](https://wordpress.org/plugins/) l̂óâd́îńĝ ún̂úŝéd̂ ĆŜŚ îń ŷóûŕ p̂áĝé. T̂ó îd́êńt̂íf̂ý p̂ĺûǵîńŝ t́ĥát̂ ár̂é âd́d̂ín̂ǵ êx́t̂ŕâńêóûś ĈŚŜ, t́r̂ý r̂ún̂ńîńĝ [ćôd́ê ćôv́êŕâǵê](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ín̂ Ćĥŕôḿê D́êv́T̂óôĺŝ. Ýôú ĉán̂ íd̂én̂t́îf́ŷ t́ĥé t̂h́êḿê/ṕl̂úĝín̂ ŕêśp̂ón̂śîb́l̂é f̂ŕôḿ t̂h́ê ÚR̂Ĺ ôf́ t̂h́ê śt̂ýl̂éŝh́êét̂. Ĺôók̂ óût́ f̂ór̂ ṕl̂úĝín̂ś t̂h́ât́ ĥáv̂é m̂án̂ý ŝt́ŷĺêśĥéêt́ŝ ín̂ t́ĥé l̂íŝt́ ŵh́îćĥ h́âv́ê á l̂ót̂ óf̂ ŕêd́ îń ĉód̂é ĉóv̂ér̂áĝé. Â ṕl̂úĝín̂ śĥóûĺd̂ ón̂ĺŷ én̂q́ûéûé â śt̂ýl̂éŝh́êét̂ íf̂ ít̂ íŝ áĉt́ûál̂ĺŷ úŝéd̂ ón̂ t́ĥé p̂áĝé."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Ĉón̂śîd́êŕ r̂éd̂úĉín̂ǵ, ôŕ ŝẃît́ĉh́îńĝ, t́ĥé n̂úm̂b́êŕ ôf́ [Ŵór̂d́P̂ŕêśŝ ṕl̂úĝín̂ś](https://wordpress.org/plugins/) l̂óâd́îńĝ ún̂úŝéd̂ J́âv́âŚĉŕîṕt̂ ín̂ ýôúr̂ ṕâǵê. T́ô íd̂én̂t́îf́ŷ ṕl̂úĝín̂ś t̂h́ât́ âŕê ád̂d́îńĝ éx̂t́r̂án̂éôúŝ J́Ŝ, t́r̂ý r̂ún̂ńîńĝ [ćôd́ê ćôv́êŕâǵê](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ín̂ Ćĥŕôḿê D́êv́T̂óôĺŝ. Ýôú ĉán̂ íd̂én̂t́îf́ŷ t́ĥé t̂h́êḿê/ṕl̂úĝín̂ ŕêśp̂ón̂śîb́l̂é f̂ŕôḿ t̂h́ê ÚR̂Ĺ ôf́ t̂h́ê śĉŕîṕt̂. Ĺôók̂ óût́ f̂ór̂ ṕl̂úĝín̂ś t̂h́ât́ ĥáv̂é m̂án̂ý ŝćr̂íp̂t́ŝ ín̂ t́ĥé l̂íŝt́ ŵh́îćĥ h́âv́ê á l̂ót̂ óf̂ ŕêd́ îń ĉód̂é ĉóv̂ér̂áĝé. Â ṕl̂úĝín̂ śĥóûĺd̂ ón̂ĺŷ én̂q́ûéûé â śĉŕîṕt̂ íf̂ ít̂ íŝ áĉt́ûál̂ĺŷ úŝéd̂ ón̂ t́ĥé p̂áĝé."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"R̂éâd́ âb́ôút̂ [B́r̂óŵśêŕ Ĉáĉh́îńĝ ín̂ Ẃôŕd̂Ṕr̂éŝś](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Ĉón̂śîd́êŕ ûśîńĝ án̂ [ím̂áĝé ôṕt̂ím̂íẑát̂íôń Ŵór̂d́P̂ŕêśŝ ṕl̂úĝín̂](https://wordpress.org/plugins/search/optimize+images/) t́ĥát̂ ćôḿp̂ŕêśŝéŝ ýôúr̂ ím̂áĝéŝ ẃĥíl̂é r̂ét̂áîńîńĝ q́ûál̂ít̂ý."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"Ûṕl̂óâd́ îḿâǵêś d̂ír̂éĉt́l̂ý t̂h́r̂óûǵĥ t́ĥé [m̂éd̂íâ ĺîb́r̂ár̂ý](https://wordpress.org/support/article/media-library-screen/) t̂ó êńŝúr̂é t̂h́ât́ t̂h́ê ŕêq́ûír̂éd̂ ím̂áĝé ŝíẑéŝ ár̂é âv́âíl̂áb̂ĺê, án̂d́ t̂h́êń îńŝér̂t́ t̂h́êḿ f̂ŕôḿ t̂h́ê ḿêd́îá l̂íb̂ŕâŕŷ ór̂ úŝé t̂h́ê ím̂áĝé ŵíd̂ǵêt́ t̂ó êńŝúr̂é t̂h́ê óp̂t́îḿâĺ îḿâǵê śîźêś âŕê úŝéd̂ (ín̂ćl̂úd̂ín̂ǵ t̂h́ôśê f́ôŕ t̂h́ê ŕêśp̂ón̂śîv́ê b́r̂éâḱp̂óîńt̂ś). Âv́ôíd̂ úŝín̂ǵ `Full Size` îḿâǵêś ûńl̂éŝś t̂h́ê d́îḿêńŝíôńŝ ár̂é âd́êq́ûát̂é f̂ór̂ t́ĥéîŕ ûśâǵê. [Ĺêár̂ń M̂ór̂é](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Ŷóû ćâń êńâb́l̂é t̂éx̂t́ ĉóm̂ṕr̂éŝśîón̂ ín̂ ýôúr̂ ẃêb́ ŝér̂v́êŕ ĉón̂f́îǵûŕât́îón̂."},"report/renderer/util.js | calculatorLink":{message:"Ŝéê ćâĺĉúl̂át̂ór̂."},"report/renderer/util.js | crcInitialNavigation":{message:"Îńît́îál̂ Ńâv́îǵât́îón̂"},"report/renderer/util.js | crcLongestDurationLabel":{message:"M̂áx̂ím̂úm̂ ćr̂ít̂íĉál̂ ṕât́ĥ ĺât́êńĉý:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Ĉóp̂ý ĴŚÔŃ"},"report/renderer/util.js | dropdownDarkTheme":{message:"T̂óĝǵl̂é D̂ár̂ḱ T̂h́êḿê"},"report/renderer/util.js | dropdownPrintExpanded":{message:"P̂ŕîńt̂ Éx̂ṕâńd̂éd̂"},"report/renderer/util.js | dropdownPrintSummary":{message:"P̂ŕîńt̂ Śûḿm̂ár̂ý"},"report/renderer/util.js | dropdownSaveGist":{message:"Ŝáv̂é âś Ĝíŝt́"},"report/renderer/util.js | dropdownSaveHTML":{message:"Ŝáv̂é âś ĤT́M̂Ĺ"},"report/renderer/util.js | dropdownSaveJSON":{
message:"Ŝáv̂é âś ĴŚÔŃ"},"report/renderer/util.js | dropdownViewer":{message:"Ôṕêń îń V̂íêẃêŕ"},"report/renderer/util.js | errorLabel":{message:"Êŕr̂ór̂!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"R̂ép̂ór̂t́ êŕr̂ór̂: ńô áûd́ît́ îńf̂ór̂ḿât́îón̂"},"report/renderer/util.js | footerIssue":{message:"F̂íl̂é âń îśŝúê"},"report/renderer/util.js | labDataTitle":{message:"L̂áb̂ D́ât́â"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[L̂íĝh́t̂h́ôúŝé](https://developers.google.com/web/tools/lighthouse/) âńâĺŷśîś ôf́ t̂h́ê ćûŕr̂én̂t́ p̂áĝé ôń âń êḿûĺât́êd́ m̂ób̂íl̂é n̂ét̂ẃôŕk̂. V́âĺûéŝ ár̂é êśt̂ím̂át̂éd̂ án̂d́ m̂áŷ v́âŕŷ."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Âd́d̂ít̂íôńâĺ ît́êḿŝ t́ô ḿâńûál̂ĺŷ ćĥéĉḱ"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"N̂ót̂ áp̂ṕl̂íĉáb̂ĺê"},
"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Ôṕp̂ór̂t́ûńît́ŷ"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Êśt̂ím̂át̂éd̂ Śâv́îńĝś"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"P̂áŝśêd́ âúd̂ít̂ś"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Êḿûĺât́êd́ D̂éŝḱt̂óp̂"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Êḿûĺât́êd́ M̂ót̂ó Ĝ4"},"report/renderer/util.js | runtimeNoEmulation":{message:"N̂ó êḿûĺât́îón̂"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Âx́ê v́êŕŝíôń"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"ĈṔÛ/Ḿêḿôŕŷ Ṕôẃêŕ"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Ĉh́âńn̂él̂"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"ĈṔÛ t́ĥŕôt́t̂ĺîńĝ"},"report/renderer/util.js | runtimeSettingsDevice":{message:"D̂év̂íĉé"},
"report/renderer/util.js | runtimeSettingsFetchTime":{message:"F̂ét̂ćĥ T́îḿê"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"N̂ét̂ẃôŕk̂ t́ĥŕôt́t̂ĺîńĝ"},"report/renderer/util.js | runtimeSettingsTitle":{message:"R̂ún̂t́îḿê Śêt́t̂ín̂ǵŝ"},"report/renderer/util.js | runtimeSettingsUA":{message:"Ûśêŕ âǵêńt̂ (h́ôśt̂)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Ûśêŕ âǵêńt̂ (ńêt́ŵór̂ḱ)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"ÛŔL̂"},"report/renderer/util.js | runtimeUnknown":{message:"Ûńk̂ńôẃn̂"},"report/renderer/util.js | showRelevantAudits":{message:"Ŝh́ôẃ âúd̂ít̂ś r̂él̂év̂án̂t́ t̂ó:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Ĉól̂ĺâṕŝé ŝńîṕp̂ét̂"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Êx́p̂án̂d́ ŝńîṕp̂ét̂"},"report/renderer/util.js | thirdPartyResourcesLabel":{
message:"Ŝh́ôẃ 3r̂d́-p̂ár̂t́ŷ ŕêśôúr̂ćêś"},"report/renderer/util.js | throttlingProvided":{message:"P̂ŕôv́îd́êd́ b̂ý êńv̂ír̂ón̂ḿêńt̂"},"report/renderer/util.js | toplevelWarningsMessage":{message:"T̂h́êŕê ẃêŕê íŝśûéŝ áf̂f́êćt̂ín̂ǵ t̂h́îś r̂ún̂ óf̂ Ĺîǵĥt́ĥóûśê:"},"report/renderer/util.js | varianceDisclaimer":{message:"V̂ál̂úêś âŕê éŝt́îḿât́êd́ âńd̂ ḿâý v̂ár̂ý. T̂h́ê [ṕêŕf̂ór̂ḿâńĉé ŝćôŕê íŝ ćâĺĉúl̂át̂éd̂](https://web.dev/performance-scoring/) d́îŕêćt̂ĺŷ f́r̂óm̂ t́ĥéŝé m̂ét̂ŕîćŝ."},"report/renderer/util.js | viewTreemapLabel":{message:"V̂íêẃ T̂ŕêém̂áp̂"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"P̂áŝśêd́ âúd̂ít̂ś b̂út̂ ẃît́ĥ ẃâŕn̂ín̂ǵŝ"},"report/renderer/util.js | warningHeader":{message:"Ŵár̂ńîńĝś: "}}},{}],111:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{
message:"Las claves de acceso permiten a los usuarios dirigirse rápidamente a una parte concreta de la página. Para facilitar una navegación correcta, las claves de acceso deben ser únicas. [Obtén más información](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Los valores de `[accesskey]` no son únicos"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Los valores de `[accesskey]` son únicos"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Cada `role` de ARIA admite un subconjunto específico de atributos de `aria-*`. Si no coinciden estos valores, los atributos de `aria-*` no serán válidos. [Obtén más información](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Los atributos `[aria-*]` no coinciden con sus roles"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{
message:"Los atributos `[aria-*]` coinciden con sus roles"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Si un elemento no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Los elementos `button`, `link` y `menuitem` no tienen nombres aptos para la accesibilidad."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Los elementos `button`, `link` y `menuitem` tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Si se configura `aria-hidden="true"` en el documento `<body>`, las tecnologías de accesibilidad, como los lectores de pantalla, funcionarán de forma inconsistente. [Obtén más información](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` aparece en el documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` no aparece en el documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Los objetos descendentes enfocables dentro de un elemento de `[aria-hidden="true"]` impiden que esos elementos interactivos estén disponibles para los usuarios de tecnologías de accesibilidad, como los lectores de pantalla. [Obtén más información](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{
message:'Los elementos de `[aria-hidden="true"]` contienen objetos descendentes enfocables'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Los elementos de `[aria-hidden="true"]` no contienen objetos descendentes enfocables'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Si un campo de entrada no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Los campos de entrada de ARIA no tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Los campos de entrada de ARIA tienen nombres aptos para la accesibilidad"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Si un elemento no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Los elementos `meter` de ARIA no tienen nombres aptos para la accesibilidad."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Los elementos `meter` de ARIA tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Si un elemento de `progressbar` no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Los elementos `progressbar` de ARIA no tienen nombres aptos para la accesibilidad."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Los elementos `progressbar` de ARIA tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Algunos roles de ARIA incluyen atributos obligatorios que describen el estado del elemento a los lectores de pantalla. [Obtén más información](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{
message:"Los elementos `[role]` no tienen todos los atributos `[aria-*]` necesarios"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Los elementos `[role]` tienen todos los atributos `[aria-*]` necesarios"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Algunos roles principales de ARIA deben contener roles secundarios específicos para llevar a cabo las funciones de accesibilidad correspondientes. [Obtén más información](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Los elementos ARIA con un atributo `[role]` deben incluir elementos secundarios con un `[role]` específico. Faltan algunos o todos los elementos secundarios necesarios."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{
message:"Los elementos ARIA con un atributo `[role]` deben incluir elementos secundarios con un `[role]` específico. Se detectaron todos los elementos secundarios necesarios."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Algunos roles secundarios de ARIA deben incluirse dentro de roles principales específicos para llevar a cabo de manera adecuada las funciones de accesibilidad correspondientes. [Obtén más información](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Los elementos `[role]` no se incluyen en los elementos principales necesarios"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Los elementos `[role]` se incluyen en los elementos principales correspondientes"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"Los roles de ARIA deben tener valores válidos para realizar las funciones de accesibilidad correspondientes. [Obtén más información](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Los valores de `[role]` no son válidos"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Los valores de `[role]` son válidos"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Si un campo de activación no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Los campos de activación de ARIA no tienen nombres aptos para la accesibilidad"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Los campos de activación de ARIA tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Si un elemento no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Los elementos `tooltip` de ARIA no tienen nombres aptos para la accesibilidad."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Los elementos `tooltip` de ARIA tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Si un elemento no tiene un nombre apto para la accesibilidad, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Los elementos `treeitem` de ARIA no tienen nombres aptos para la accesibilidad."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Los elementos `treeitem` de ARIA tienen nombres aptos para la accesibilidad"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Las tecnologías de asistencia, como los lectores de pantalla, no pueden interpretar atributos de ARIA con valores no válidos. [Obtén más información](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{
message:"Los atributos `[aria-*]` no tienen valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Los atributos `[aria-*]` tienen valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Las tecnologías de asistencia, como los lectores de pantalla, no pueden interpretar los atributos ARIA cuyos nombres no sean válidos. [Obtén más información](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Los atributos `[aria-*]` no son válidos o no están bien escritos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Los atributos `[aria-*]` son válidos y están bien escritos"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementos con errores"},"lighthouse-core/audits/accessibility/button-name.js | description":{
message:'Si un botón no tiene un nombre accesible, los lectores de pantalla lo leerán en voz alta como "botón", por lo que resulta inservible para los usuarios que necesitan usar lectores de pantalla. [Obtén más información](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Los botones no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Los botones tienen nombres accesibles"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Incluir maneras de omitir el contenido repetitivo permite a los usuarios que usan un teclado navegar por la página con mayor eficiencia. [Obtén más información](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"La página no contiene ningún título, vínculo de omisión ni región de punto de referencia"},"lighthouse-core/audits/accessibility/bypass.js | title":{
message:"La página contiene un título, un vínculo de omisión o una región de punto de referencia"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Los textos con poco contraste resultan difíciles o imposibles de leer para muchos usuarios. [Obtén más información](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Los colores de fondo y de primer plano no tienen una relación de contraste adecuada."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Los colores de fondo y de primer plano tienen una relación de contraste adecuada"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Si las listas de definiciones no están bien marcadas, es posible que los lectores de pantalla las lean de forma confusa o imprecisa. [Obtén más información](https://web.dev/definition-list/)."},
"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Los elementos `<dl>` no contienen solo elementos `<script>`, `<template>` o `<div>`, o grupos de `<dt>` y `<dd>` ordenados correctamente."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Los elementos `<dl>` contienen solo elementos `<script>`, `<template>` o `<div>`, o grupos de `<dt>` y `<dd>` ordenados correctamente."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Los elementos de la lista de definiciones (`<dt>` y `<dd>`) deben incluirse en un elemento `<dl>` principal para garantizar que los lectores de pantalla los lean correctamente. [Obtén más información](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Los elementos de la lista de definiciones no se incluyen en los elementos `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{
message:"Los elementos de la lista de definiciones se incluyen en los elementos `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"El título les brinda a los usuarios de lectores de pantalla una descripción general de la página. Por su parte, los usuarios de motores de búsqueda lo usan mucho para determinar si una página es relevante para su búsqueda. [Obtén más información](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"El documento no tiene un elemento `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"El documento tiene un elemento `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Todos los elementos enfocables deben tener un valor de `id` único para que las tecnologías de accesibilidad puedan detectarlos. [Obtén más información](https://web.dev/duplicate-id-active/)."},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Los atributos de `[id]` de los elementos enfocables y activos no son únicos"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Los atributos de `[id]` de los elementos enfocables y activos son únicos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"El valor de un ID de ARIA debe ser único para impedir que las tecnologías de accesibilidad omitan otras instancias. [Obtén más información](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Los ID de ARIA no son únicos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Los ID de ARIA son únicos"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"Las tecnologías de accesibilidad, como los lectores de pantalla, pueden tener dificultades para anunciar los campos de formulario con varias etiquetas, ya que usan la primera etiqueta, la última o todas. [Obtén más información](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Los campos de formulario tienen varias etiquetas"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Ningún campo del formulario tiene varias etiquetas"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Los usuarios de lectores de pantalla necesitan que los marcos tengan títulos para que se describa su contenido. [Obtén más información](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Los elementos `<frame>` o `<iframe>` no tienen título"},
"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Los elementos `<frame>` o `<iframe>` tienen un título"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Los encabezados ordenados correctamente que no omiten niveles proporcionan la estructura semántica de la página, lo que facilita la navegación y comprensión cuando se usan tecnologías de accesibilidad. [Obtén más información](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Los elementos de encabezado no están ordenados en una secuencia descendente"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Los elementos de encabezado están ordenados en una secuencia descendente"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Si no se especifica ningún atributo de idioma para una página, los lectores de pantalla considerarán que la página está en el idioma predeterminado que el usuario eligió al configurar el lector de pantalla. Si el idioma de la página es diferente del predeterminado, es posible que el lector de pantalla no lea bien el texto de la página. [Obtén más información](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"El elemento `<html>` no tiene un atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"El elemento `<html>` tiene un atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Especificar un [idioma BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido permite a los lectores de pantalla leer el texto en voz alta correctamente. [Obtén más información](https://web.dev/html-lang-valid/)."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"El elemento `<html>` no tiene un valor válido para el atributo `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"El elemento `<html>` tiene un valor válido para su atributo `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"El texto de los elementos informativos debe ser corto y descriptivo. Los elementos decorativos se pueden omitir usando un atributo alt vacío. [Obtén más información](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Los elementos de imagen no tienen ningún atributo `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Los elementos de imagen tienen atributos `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Cuando se usa una imagen como botón `<input>`, resulta útil proporcionar un texto alternativo para permitir que los usuarios de lectores de pantalla entiendan cuál es la función del botón. [Obtén más información](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Los elementos `<input type="image">` no tienen texto `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Los elementos `<input type="image">` tienen texto `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Las etiquetas garantizan que las tecnologías de asistencia, como los lectores de pantalla, lean los controles de los formularios de forma correcta. [Obtén más información](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Los elementos de formulario no tienen ninguna etiqueta asociada"},
"lighthouse-core/audits/accessibility/label.js | title":{message:"Los elementos de formulario tienen etiquetas asociadas"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Usar textos de vínculo (y textos alternativos para las imágenes, si estas se usan como vínculos) que sean reconocibles y únicos, y que se puedan seleccionar mejora la experiencia de navegación de los usuarios de lectores de pantalla. [Obtén más información](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Los vínculos no tienen nombres reconocibles"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Los vínculos tienen nombres reconocibles"},"lighthouse-core/audits/accessibility/list.js | description":{
message:"Los lectores de pantalla leen las listas en voz alta de una forma concreta. Se recomienda utilizar una estructura de lista adecuada para que los lectores de pantalla puedan leer las listas de forma correcta. [Obtén más información](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Las listas no contienen solo elementos `<li>` y elementos que admiten secuencias de comandos (`<script>` y `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Las listas contienen solo elementos `<li>` y elementos que admiten secuencias de comando (`<script>` y `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Los lectores de pantalla requieren que los elementos de lista (`<li>`) se incluyan en un elemento `<ul>` o `<ol>` principal para leerlos correctamente. [Obtén más información](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{
message:"Los elementos de lista (`<li>`) no se encuentran dentro de elementos principales `<ul>` o `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Los elementos de lista (`<li>`) se incluyen en los elementos principales `<ul>` o `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Los usuarios no esperan que una página se actualice automáticamente. Cuando eso sucede, vuelve a mostrarse la parte superior de la página. Esto puede generar una experiencia frustrante o confusa. [Obtén más información](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'El documento usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'El documento no usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Desactivar el zoom genera problemas para los usuarios con visión reducida, quienes necesitan ampliar la pantalla para ver correctamente el contenido de las páginas web. [Obtén más información](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` se usa en el elemento `<meta name="viewport">` o el atributo `[maximum-scale]` tiene un valor inferior a 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'No se usa `[user-scalable="no"]` en el elemento `<meta name="viewport">` y el atributo `[maximum-scale]` no tiene un valor inferior a 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Los lectores de pantalla no pueden traducir contenido que no sea texto. El agregado de texto alternativo a los elementos `<object>` ayuda a los lectores de pantalla a transmitir el significado correspondiente a los usuarios. [Obtén más información](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Los elementos `<object>` no tienen texto `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Los elementos `<object>` tienen texto `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Si el valor es superior a 0, el orden de navegación es explícito. Aunque técnicamente esta es una posibilidad válida, suele producir experiencias frustrantes en los usuarios que necesitan las tecnologías de asistencia. [Obtén más información](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{
message:"Algunos elementos tienen un valor de `[tabindex]` superior a 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"No hay ningún elemento con un valor de `[tabindex]` superior a 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Los lectores de pantalla incluyen funciones para facilitar la navegación por las tablas. Asegurarse de que las celdas `<td>` que usan el atributo `[headers]` solo hagan referencia a otras celdas de la misma tabla puede mejorar la experiencia de los usuarios de lectores de pantalla. [Obtén más información](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Las celdas de un elemento `<table>` que usan el atributo `[headers]` hacen referencia a un elemento `id` que no se encuentra en la misma tabla."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{
message:"Las celdas de un elemento `<table>` que usa el atributo `[headers]` hacen referencia a las celdas de esa misma tabla."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Los lectores de pantalla incluyen funciones para facilitar la navegación por las tablas. Asegurarse de que los encabezados de las tablas siempre hagan referencia a un conjunto específico de celdas puede mejorar la experiencia de los usuarios de lectores de pantalla. [Obtén más información](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Los elementos `<th>` y los elementos con `[role="columnheader"/"rowheader"]` no contienen las celdas de datos que describen.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Los elementos `<th>` y los elementos con `[role="columnheader"/"rowheader"]` contienen celdas de datos que describen.'},
"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Especificar un [idioma CP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido en los elementos ayuda a asegurar que los lectores de pantalla pronuncien bien el texto correspondiente. [Obtén más información](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Los atributos `[lang]` no tienen un valor válido"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Los atributos `[lang]` tienen un valor válido"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Si un video tiene subtítulos, los usuarios sordos o con dificultades auditivas pueden acceder a la información más fácilmente. [Obtén más información](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Los elementos `<video>` no contienen un elemento `<track>` con `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Los elementos `<video>` contienen un elemento `<track>` con `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Para que el aspecto en iOS sea perfecto cuando los usuarios agreguen una app web progresiva a la pantalla principal, define un atributo `apple-touch-icon`. El atributo debe apuntar a un archivo PNG cuadrado de 192 px (o 180 px) que no sea transparente. [Obtén más información](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"No proporciona un ícono `apple-touch-icon` válido"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"El atributo `apple-touch-icon-precomposed` está desactualizado; usa en su lugar`apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"Proporciona un `apple-touch-icon` válido"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valor actual"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Token de sugerencias"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` permite que los usuarios envían formularios más rápido. Para reducir el trabajo del usuario, analiza establecer un valor válido para el atributo `autocomplete` a fin de habilitar la función. [Obtén más información](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)."},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Los elementos de `<input>` no tienen atributos de `autocomplete` correctos"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Requiere revisión manual"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Revisa el orden de los tokens"},
"lighthouse-core/audits/autocomplete.js | title":{message:"Los elementos de `<input>` usan la función de `autocomplete` correctamente"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Tokens de `autocomplete`: "{token}" no es válido en {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Revisa el orden de los tokens: "{tokens}" en {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Las extensiones de Chrome afectaron de forma negativa al rendimiento de carga de esta página. Prueba a auditarla en modo incógnito o desde un perfil de Chrome sin extensiones."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Evaluación de la secuencia de comandos"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Análisis de la secuencia de comandos"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Tiempo de CPU total"},
"lighthouse-core/audits/bootup-time.js | description":{message:"Te recomendamos que reduzcas el tiempo de análisis, compilación y ejecución de secuencias JS. Para ello, puedes entregar cargas útiles de JS más pequeñas. [Obtén más información](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Reduce el tiempo de ejecución de JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Tiempo de ejecución de JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Quita de los paquetes los módulos de JavaScript que sean grandes y estén duplicados para reducir la cantidad de bytes que consume innecesariamente la actividad de red. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Quita los módulos duplicados de los paquetes de JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Los GIF de gran tamaño no son eficientes para mostrar contenido animado. En su lugar, puedes utilizar formatos de video MPEG4/WebM para animaciones y formatos PNG/WebP para imágenes estáticas a fin de ahorrar bytes de la red. [Más información](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Usa formatos de video para incluir contenido animado"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"El complemento Polyfill y las transformaciones permiten que los navegadores heredados utilicen nuevas funciones de JavaScript. Sin embargo, la mayoría no es necesaria en los navegadores modernos. Para tus paquetes de JavaScript, adopta una estrategia moderna de implementación de scripts mediante la detección de funciones de módulo/no módulo a fin de reducir la cantidad de código que se envía a los navegadores modernos, al tiempo que se mantiene la compatibilidad con navegadores heredados. [Más información](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Evita entregar instancias heredadas de JavaScript a navegadores modernos"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Los formatos como JPEG 2000, JPEG XR y WebP suelen comprimir mejor las imágenes que los formatos PNG o JPEG, lo que hace que se descarguen más rápido y consuman menos datos. [Obtén más información](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Publica imágenes con formatos de próxima generación"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Te recomendamos que uses la carga diferida para las imágenes ocultas y fuera de pantalla una vez que hayan terminado de cargarse todos los recursos críticos a fin de reducir el tiempo de carga. [Obtén más información](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Posterga la carga de imágenes que no aparecen en pantalla"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Hay recursos que bloquean el primer procesamiento de imagen de la página. Te recomendamos entregar los elementos JS/CSS críticos insertados y postergar todos los JS/estilos que no sean críticos. [Obtén más información](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimina los recursos que bloqueen el renderizado"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Trabajar con cargas útiles de red de gran tamaño resulta oneroso para el usuario, además de aumentar considerablemente el tiempo de carga de las páginas. [Obtén más información](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"El tamaño total era {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evita cargas útiles de red de gran tamaño"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Evita cargas útiles de red de gran tamaño"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Si reduces los archivos CSS, puedes achicar el tamaño de la carga útil de la red. [Obtén más información](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Reduce el uso de CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Si reduces los archivos JavaScript, puedes achicar el tamaño de la carga útil y el tiempo de análisis de secuencias de comandos. [Obtén más información](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Reducir el uso de JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Quita las reglas sin usar de las hojas de estilo y retrasa el código CSS sin usar para el contenido de la mitad superior de la página, a fin de reducir los bytes que consume la actividad de red. [Obtén más información](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduce el código CSS sin usar"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reduce el código JavaScript sin usar y posterga la carga de las secuencias de comandos hasta que se necesiten, a fin de disminuir los bytes que consume la actividad de red. [Obtén más información](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduce el código JavaScript sin usar"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"La duración en caché por un período prolongado puede acelerar la carga de la página cuando el usuario la visita de manera repetida. [Obtén más información](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Se encontró 1 recurso}other{Se encontraron # recursos}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Publica elementos estáticos con una política de caché eficaz"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Usa una política de caché eficaz en recursos estáticos"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Las imágenes optimizadas se cargan más rápido y consumen menos datos móviles. [Obtén más información](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"Codifica las imágenes de forma eficaz"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Muestra imágenes con un tamaño adecuado para ahorrar datos móviles y reducir el tiempo de carga. [Obtén más información](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Usa un tamaño adecuado para las imágenes"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Los recursos basados en texto se deberían publicar comprimidos (gzip, deflate o brotli) para minimizar el total de bytes de la red. [Obtén más información](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Habilita la compresión de texto"},"lighthouse-core/audits/content-width.js | description":{
message:"Si el ancho del contenido de tu app no coincide con el del viewport, es posible que la app no esté optimizada para pantallas de dispositivos móviles. [Obtén más información](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"El tamaño de viewport de {innerWidth} px no coincide con el tamaño de ventana de {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"El contenido no tiene el tamaño correcto para el viewport"},"lighthouse-core/audits/content-width.js | title":{message:"El contenido tiene el tamaño correcto para el viewport"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Las cadenas de solicitudes críticas que se muestran a continuación indican qué recursos son de alta prioridad en la carga. Te recomendamos que reduzcas la longitud de las cadenas, disminuyas el tamaño de los recursos para la descarga o postergues la descarga de recursos innecesarios para mejorar la carga de la página. [Obtén más información](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Se encontró 1 cadena}other{Se encontraron # cadenas}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Evita encadenar solicitudes críticas"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravedad"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Una Política de Seguridad del Contenido (CSP) potente reduce enormemente el riesgo de los ataques de secuencia de comandos entre sitios (XSS). [Más información](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaxis"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"La página contiene una CSP definida por una etiqueta <meta>. Considera definir la CSP en un encabezado HTTP si es posible."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"No se encontró ninguna CSP en el modo de aplicación forzosa"},"lighthouse-core/audits/csp-xss.js | title":{message:"Asegúrate de que la CSP sea eficaz contra los ataques XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Baja/advertencia"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Línea"},"lighthouse-core/audits/deprecations.js | description":{
message:"Con el tiempo, se quitarán las API obsoletas del navegador. [Obtén más información](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Se encontró 1 advertencia}other{Se encontraron # advertencias}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Usa API obsoletas"},"lighthouse-core/audits/deprecations.js | title":{message:"Evita las API obsoletas"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"La caché de aplicaciones es obsoleta. [Obtén más información](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Se encontró "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Usa la caché de aplicaciones"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Evita la caché de aplicaciones"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Se debe declarar la codificación de caracteres. Para eso, puede agregarse una etiqueta `<meta>` en los primeros 1024 bytes del HTML o en el encabezado de respuesta HTTP Content Type. [Obtén más información](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Falta la declaración del charset o aparece demasiado tarde en el HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Define el charset adecuadamente"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Especificar un DOCTYPE evita que el navegador cambie al modo no estándar. [Obtén más información](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"El nombre de DOCTYPE debe ser la cadena en minúsculas `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"El documento debe contener un DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Se esperaba que publicId fuera una string vacía"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Se esperaba que systemId fuera una string vacía"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"La página no tiene el DOCKTYPE de HTML; por lo tanto, activa el modo no estándar"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"La página tiene el DOCTYPE de HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Estadística"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valor"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Los DOM de gran tamaño aumentarán el uso de la memoria, harán que los [cálculos de estilos](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) tarden más y generarán costosos [reprocesamientos del diseño](https://developers.google.com/speed/articles/reflow). [Obtén más información](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elemento}other{# elementos}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evita un tamaño excesivo de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profundidad máxima de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total de elementos DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Número máximo de elementos secundarios"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Evita un tamaño excesivo de DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Anclas con errores"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Agrega `rel="noopener"` o `rel="noreferrer"` a cualquier vínculo externo para mejorar el rendimiento y evitar vulnerabilidades de seguridad. [Obtén más información](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Los vínculos a destinos con orígenes cruzados no son seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Los vínculos a destinos con orígenes cruzados son seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"No se puede determinar el destino de anclaje ({anchorHTML}). Si no se usa como hipervínculo, te recomendamos quitar target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Los sitios que solicitan a los usuarios su ubicación sin contexto los confunden o los hacen desconfiar. Te recomendamos vincular la solicitud a una acción del usuario. [Obtén más información](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Solicita el permiso de ubicación geográfica al cargar la página"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evita solicitar el permiso de ubicación geográfica al cargar la página"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipo de problema"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Los problemas registrados en el panel `Issues` de Herramientas para desarrolladores de Chrome indican problemas sin resolver. Pueden provenir de fallas de solicitudes de red, de controles de seguridad insuficientes y de otros problemas del navegador. En Herramientas para desarrolladores de Chrome, abre el panel Problemas para obtener más información sobre cada problema."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Se registraron los problemas en el panel `Issues` de Herramientas para desarrolladores de Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"La política de origen cruzado bloqueó el recurso"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Los anuncios están utilizando muchos recursos"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{
message:"No se encontraron problemas en el panel `Issues` de Herramientas para desarrolladores de Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versión"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Se detectaron todas las bibliotecas JavaScript de frontend de la página. [Obtén más información](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Se detectaron bibliotecas JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"En el caso de usuarios con una conexión lenta, las secuencias de comandos externas que se incorporan dinámicamente a través de`document.write()` pueden demorar la carga de la página decenas de segundos. [Obtén más información](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evita `document.write()`"},
"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"No usa `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Gravedad más alta"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Versión de la biblioteca"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Recuento de vulnerabilidades"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Es posible que algunas secuencias de comandos de terceros contengan vulnerabilidades de seguridad conocidas que los atacantes pueden identificar y aprovechar fácilmente. [Obtén más información](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Se detectó una vulnerabilidad}other{Se detectaron # vulnerabilidades}}"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Incluye bibliotecas JavaScript de frontend con vulnerabilidades de seguridad conocidas"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Evita las bibliotecas JavaScript de frontend con vulnerabilidades de seguridad conocidas"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Los sitios que solicitan a los usuarios permiso para enviar notificaciones sin contexto los confunden o los hacen desconfiar. Te recomendamos vincular la solicitud a los gestos del usuario. [Obtén más información](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Solicita el permiso de notificaciones al cargar la página"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evita solicitar el permiso de notificaciones al cargar la página"},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Evitar el pegado de contraseñas debilita las buenas políticas de seguridad. [Obtén más información](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Evita que los usuarios peguen contenido en los campos de contraseña"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Permite que los usuarios peguen contenido en los campos de contraseña"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocolo"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ofrece más beneficios que HTTP/1.1, como encabezados binarios y multiplexado. [Obtén más información](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 solicitud no se entregó mediante HTTP/2}other{# solicitudes no se entregaron mediante HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Usa HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Puedes marcar tus objetos de escucha de eventos táctiles y de la rueda del mouse como `passive` para mejorar el rendimiento de desplazamiento de tu página. [Obtén más información](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"No usa objetos de escucha pasivos para mejorar el rendimiento del desplazamiento"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Usa objetos de escucha pasivos para mejorar el rendimiento del desplazamiento"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Los errores registrados en la consola indican la existencia de problemas no resueltos. Es posible que se deban a problemas con solicitudes de red y otros relativos al navegador. [Obtén más información](https://web.dev/errors-in-console/)."},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Se registraron errores del navegador en la consola"},"lighthouse-core/audits/errors-in-console.js | title":{message:"No se registraron errores del navegador en la consola"},"lighthouse-core/audits/font-display.js | description":{message:"Utiliza la función font-display de CSS a fin de que los usuarios vean el texto mientras se carga la fuente para sitios web. [Obtén más información](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Asegúrate de que el texto permanezca visible mientras se carga la fuente web"},"lighthouse-core/audits/font-display.js | title":{
message:"Todo el texto permanece visible mientras se carga la fuente para sitios web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse no pudo verificar automáticamente el valor de `font-display` de la URL de origen {fontOrigin}.}other{Lighthouse no pudo verificar automáticamente los valores de `font-display` de la URL de origen {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Relación de aspecto (real)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Relación de aspecto (visualizada)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Las dimensiones de visualización de las imágenes deben coincidir con la relación de aspecto natural. [Obtén más información](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Muestra imágenes con una relación de aspecto incorrecta"
},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Muestra imágenes con una relación de aspecto correcta"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Tamaño real"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Tamaño de visualización"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Tamaño esperado"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Para maximizar la claridad de la imagen, sus dimensiones naturales deben ser proporcionales al tamaño de la pantalla y a la proporción de píxeles. [Obtén más información](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Entrega imágenes con baja resolución"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Entrega imágenes con la resolución adecuada"},"lighthouse-core/audits/installable-manifest.js | already-installed":{
message:"La app ya está instalada"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"No se pudo descargar un ícono requerido del manifiesto"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motivo de la falla"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker es la tecnología que permite que tu app use varias funciones de las apps web progresivas, como el modo sin conexión, el agregado a la pantalla principal y las notificaciones push. Si se implementan el service worker y el manifiesto de forma adecuada, los navegadores podrán solicitar de forma proactiva a los usuarios que agreguen tu app a la pantalla principal, lo que puede aumentar la interacción. [Obtén más información](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 motivo}other{# motivos}}"},
"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"El manifiesto de la app web o el service worker no cumplen los requisitos para la instalación"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"La URL de Play Store de la aplicación y el ID de Play Store no coinciden"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Se cargó la página en una ventana de incógnito"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'La propiedad "display" del manifiesto debe ser una de estas opciones: "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'El manifiesto contiene el campo "display_override", y el primer modo de visualización admitido debe ser una de estas opciones: "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{
message:"No se pudo recuperar el manifiesto, está vacío o no se pudo analizar"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"La URL del manifiesto cambió mientras este se estaba recuperando."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'El manifiesto no contiene los campos "name" ni "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'El manifiesto no contiene un ícono adecuado. Se requiere un formato PNG, SVG o WebP de al menos {value0} px, se debe definir el atributo de tamaño y, si se establece el atributo de propósito, este deberá incluir "cualquiera".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Ninguno de los íconos proporcionados es de al menos {value0} px cuadrados en formato PNG, SVG o WebP, con el atributo de propósito sin establecer o establecido en "cualquiera"'},
"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"El ícono que se descargó estaba vacío o dañado"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"No se proporcionó un ID de Play Store"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"La página no tiene la URL <link> del manifiesto"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"No se detectó un service worker coincidente. Es posible que debas volver a cargar la página o revisar que el alcance del service worker de la página actual abarque el alcance y la URL de inicio del manifiesto."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'No se pudo verificar el service worker porque no se incluyó el campo "start_url" en el manifiesto'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'No se reconoce el ID "{errorId}" del error de instalación'},
"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"El servidor de origen de la página no es seguro"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"La página no se cargó en el marco principal"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"La página no funciona sin conexión"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"La plataforma de aplicaciones especificada no es compatible con Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"El manifiesto especifica prefer_related_applications como verdadero"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications solo es compatible en Chrome Beta y en canales estables de Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{
message:"La URL de inicio del manifiesto no es válida"},"lighthouse-core/audits/installable-manifest.js | title":{message:"El manifiesto de la app web y el service worker cumplen los requisitos para la instalación"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Una URL en el manifiesto contiene un nombre de usuario, una contraseña o un puerto"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"La página no funciona sin conexión. No se podrá instalar la página después de la versión estable de Chrome 93 (agosto de 2021)."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Permitida"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloqueada"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL no segura"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Resolución de la solicitud"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Todos los sitios deben estar protegidos con el protocolo HTTPS, incluso aquellos que no controlan datos sensibles. Esta acción implica evitar [contenido mixto](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), es decir, la carga de algunos recursos por HTTP a pesar de que la solicitud inicial fuera por HTTPS. Este protocolo evita que intrusos manipulen o escuchen de forma pasiva las comunicaciones entre tu app y los usuarios. Además, HTTPS es un requisito del protocolo HTTP/2 y muchas API nuevas de Web Platform. [Obtén más información](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Se encontró una solicitud no segura}other{Se encontraron # solicitudes no seguras}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"No usa HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Usa HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Se actualizó automáticamente a HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Permitida con advertencia"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteca"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Las bibliotecas de JavaScript grandes pueden reducir el rendimiento. Es mejor usar bibliotecas más pequeñas y con el mismo funcionamiento para reducir el tamaño del paquete. [Obtén más información](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Se encontró 1 biblioteca grande}other{Se encontraron # bibliotecas grandes}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Reemplaza las bibliotecas de JavaScript innecesariamente largas"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evita las bibliotecas de JavaScript grandes con alternativas más pequeñas"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Este es el elemento más grande con contenido para el procesamiento de imagen en viewport. [Más información](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elemento del Procesamiento de imagen con contenido más grande"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribución en CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Estos elementos de DOM contribuyen principalmente con el CLS de la página."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"No realices cambios grandes en el diseño"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Se muestran las tareas más largas en el subproceso principal (permite identificar las tareas que más contribuyen al mayor retraso de entrada). [Más información](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Se encontró # tarea larga}other{Se encontraron # tareas largas}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evita tareas largas en el subproceso principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categoría"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Te recomendamos que reduzcas el tiempo de análisis, compilación y ejecución de JS. Para ello, puedes utilizar cargas útiles de JS más pequeñas. [Obtén más información](https://web.dev/mainthread-work-breakdown/)."},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{
message:"Minimiza el trabajo del hilo principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimiza el trabajo del hilo principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Para alcanzar la mayor cantidad de usuarios, los sitios tienen que funcionar en todos los navegadores principales. [Obtén más información](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"El sitio funciona en diferentes navegadores"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Garantiza que las páginas individuales puedan vincularse directamente a través de la URL y que las URL sean únicas para que se puedan compartir en redes sociales. [Obtén más información](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Cada página tiene una URL"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Las transiciones deben ser ágiles cuando presionas en diferentes lugares, incluso con conexiones de red lentas. Esta experiencia es la clave del rendimiento percibido por el usuario. [Obtén más información](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"No parece que se bloqueen las transiciones de la página en la red"},"lighthouse-core/audits/maskable-icon.js | description":{message:"El uso de un ícono enmascarable garantiza que la imagen cubrirá toda la forma sin que se aplique el formato letterbox cuando se instale la app en un dispositivo. [Más información](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"El manifiesto no tiene un ícono enmascarable"},"lighthouse-core/audits/maskable-icon.js | title":{message:"El manifiesto tiene un ícono enmascarable"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"El Cambio de diseño acumulado mide el movimiento de los elementos visibles dentro del viewport. [Obtén más información](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"El primer procesamiento de imagen con contenido indica el momento en el que se visualiza en la pantalla el primer texto o imagen. [Obtén más información](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"La primera pintura significativa mide el momento en que se muestra el contenido principal de la página. [Obtén más información](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"El tiempo de carga indica cuánto tarda una página en ser totalmente interactiva. [Obtén más información](https://web.dev/interactive/)."},
"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:'La métrica "Procesamiento de imagen con contenido más grande" indica el momento en que se renderiza el texto o la imagen más grandes. [Más información](https://web.dev/lighthouse-largest-contentful-paint/)'},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"El máximo retraso de primera entrada que podrían experimentar los usuarios es la duración de la tarea más larga. [Obtén más información](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"El índice de velocidad indica la rapidez con la que se puede ver el contenido de una página. [Obtén más información](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Suma todos los períodos entre FCP y el tiempo de carga, cuando la tarea tarda más de 50 ms. El resultado se expresa en milisegundos. [Obtén más información](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Los tiempos de ida y vuelta (RTT) de la red afectan mucho el rendimiento. Los valores altos de RTT respecto de un origen son indicio de que usar servidores más cercanos al usuario podría mejorar el rendimiento. [Obtén más información](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Tiempos de ida y vuelta de la red"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Las latencias del servidor pueden afectar el rendimiento de la Web. Un nivel alto de latencia del servidor en un origen indica que el servidor está sobrecargado o que su rendimiento de backend es bajo. [Obtén más información](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latencias de backend del servidor"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"El evento `unload` no se ejecuta de forma confiable y su escucha puede impedir las optimizaciones del navegador, como la Memoria caché atrás/adelante. En su lugar, considera usar los eventos `pagehide` o `visibilitychange`. [Más información](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registra un objeto de escucha de `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{
message:"Evita los objetos de escucha de eventos de `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Es posible que las animaciones que no estén compuestas se vean entrecortadas y aumenten el valor de CLS. [Más información](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Se encontró # elemento animado}other{Se encontraron # elementos animados}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Es posible que la propiedad relacionada con el filtro esté moviendo píxeles"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"El destino tiene otra animación que no es compatible"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'El efecto tiene otro modo compuesto además de "replace"'},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"Evita las animaciones no compuestas"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"La propiedad relacionada con la transformación depende del tamaño del recuadro"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Propiedad de CSS no compatible: {properties}}other{Propiedades de CSS no compatibles: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"El efecto tiene parámetros de tiempo no compatibles"},"lighthouse-core/audits/performance-budget.js | description":{message:"Asegúrate de que la cantidad y el tamaño de las solicitudes de red sean menores que los valores objetivo establecidos en la estimación de rendimiento. [Obtén más información](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},
"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 solicitud}other{# solicitudes}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Estimación de rendimiento"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Precarga fuentes `optional` para que los visitantes nuevos puedan usarlas. [Más información](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"No se precargaron las fuentes con `font-display: optional`"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Se precargaron las fuentes con `font-display: optional`"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Precarga la imagen que usa el elemento de LCP para mejorar el tiempo de LCP. [Obtén más información](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{
message:"Precarga la imagen del procesamiento de imagen con contenido más grande"},"lighthouse-core/audits/redirects-http.js | description":{message:"Si ya configuraste el protocolo HTTPS, asegúrate de redireccionar el tráfico de HTTP a HTTPS a fin de habilitar las características de protección de la Web para todos los usuarios. [Obtén más información](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"No redirecciona el tráfico HTTP a HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redirecciona el tráfico HTTP a HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Las redirecciones provocan retrasos adicionales antes de que la página se cargue. [Obtén más información](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Evita que haya varias redirecciones de página"},"lighthouse-core/audits/resource-summary.js | description":{
message:"A fin de configurar estimaciones para la cantidad y el tamaño de los recursos de la página, agrega un archivo budget.json. [Obtén más información](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 solicitud • {byteCount, number, bytes} KiB}other{# solicitudes • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Asegúrate de que la cantidad de solicitudes y los tamaños de transferencia sean reducidos"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Los vínculos canónicos indican qué URL mostrar en los resultados de la búsqueda. [Obtén más información](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Varias URL en conflicto ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{
message:"Redirige al usuario a otro dominio ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL no válida ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Hace referencia a otra ubicación de `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relativa ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Apunta a la URL raíz del dominio (la página principal), en lugar de a una página de contenido equivalente"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"El documento no tiene un vínculo `rel=canonical` válido"},"lighthouse-core/audits/seo/canonical.js | title":{message:"El documento tiene un atributo `rel=canonical` válido"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"El vínculo no se puede rastrear"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Es posible que los motores de búsqueda utilicen atributos `href` en los vínculos para rastrear los sitios web. Asegúrate de que el atributo `href` de los elementos de anclaje estén vinculados a un destino adecuado, a fin de que se puedan descubrir más páginas del sitio. [Más información](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Los vínculos no son rastreables"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Los vínculos son rastreables"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Texto ilegible adicional"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Tamaño de fuente"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% de texto de página"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Las fuentes con un tamaño inferior a 12 px son demasiado pequeñas y poco legibles, lo que obliga a los visitantes que acceden con dispositivos móviles a pellizcar la pantalla para ampliarla y poder leer el texto. Intenta que más del 60% del texto de la página tenga un tamaño igual o superior a 12 px. [Obtén más información](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} del texto es legible"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"El texto es ilegible porque no hay metaetiquetas de la vista del puerto optimizadas para pantallas de dispositivos móviles."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"El documento no usa tamaños de fuente legibles"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Texto legible"},"lighthouse-core/audits/seo/font-size.js | title":{
message:"El documento usa tamaños de fuente legibles"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Los vínculos de hreflang indican a los motores de búsqueda qué versión de una página deben incluir en los resultados de la búsqueda para una región o un idioma determinados. [Obtén más información](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"El documento no tiene un atributo `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valor de href relativo"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"El documento tiene un atributo `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"El código de idioma es inesperado"},"lighthouse-core/audits/seo/http-status-code.js | description":{
message:"Es posible que las páginas con códigos de estado HTTP de error no se indexen correctamente. [Obtén más información](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"El código de estado HTTP de la página no es válido"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"El código de estado HTTP de la página es válido"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Los motores de búsqueda no pueden incluir tus páginas en los resultados de la búsqueda si no tienen permiso para rastrearlas. [Obtén más información](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Se bloqueó la indexación de la página"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"No se bloqueó la indexación de la página"},"lighthouse-core/audits/seo/link-text.js | description":{
message:"El texto descriptivo de los vínculos ayuda a los motores de búsqueda a entender tu contenido. [Obtén más información](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Se encontró 1 vínculo}other{Se encontraron # vínculos}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Los vínculos no tienen texto descriptivo"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Los vínculos tienen texto descriptivo"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Ejecuta la [Herramienta de pruebas de datos estructurados](https://search.google.com/structured-data/testing-tool/) y la herramienta [Structured Data Linter](http://linter.structured-data.org/) para validar los datos estructurados. [Obtén más información](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Los datos estructurados son válidos"},
"lighthouse-core/audits/seo/meta-description.js | description":{message:"Se pueden incluir metadescripciones en los resultados de la búsqueda para resumir el contenido de la página. [Obtén más información](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"El texto de la descripción está vacío."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"El documento no tiene una metadescripción"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"El documento tiene una metadescripción"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Los motores de búsqueda no pueden indexar el contenido de los complementos y muchos dispositivos limitan el uso de complementos o no los admiten. [Obtén más información](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"El documento usa complementos"},"lighthouse-core/audits/seo/plugins.js | title":{
message:"Los documentos evitan el uso de complementos"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Si el formato del archivo robots.txt no es correcto, es posible que los rastreadores no puedan interpretar cómo quieres que se rastree o indexe tu sitio web. [Obtén más información](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"La solicitud de robots.txt mostró el siguiente estado de HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Se encontró 1 error}other{Se encontraron # errores}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse no pudo descargar un archivo robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt no es válido"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt es válido"},
"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Los elementos interactivos, como los botones y vínculos, deben ser suficientemente grandes (48 × 48 px) y tener alrededor el espacio necesario para que sea posible tocarlos con facilidad sin presionar otros elementos a la vez. [Obtén más información](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"El {decimalProportion, number, percent} de los elementos táctiles tiene un tamaño adecuado"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Los elementos táctiles son demasiado pequeños porque no hay metaetiquetas de la vista del puerto optimizadas para pantallas de dispositivos móviles"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"El tamaño de los elementos táctiles no es el adecuado"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Elementos superpuestos"},
"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Elemento táctil"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"El tamaño de los elementos táctiles es el adecuado"},"lighthouse-core/audits/server-response-time.js | description":{message:"Es importante que el tiempo de respuesta del servidor para el documento principal sea breve, ya que afecta a las demás solicitudes. [Obtén más información](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"El documento raíz tardó {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reduce el tiempo de respuesta del servidor"},"lighthouse-core/audits/server-response-time.js | title":{message:"El tiempo de respuesta inicial del servidor fue breve"},"lighthouse-core/audits/service-worker.js | description":{
message:"El service worker es la tecnología que permite que tu app use varias funciones de las apps web progresivas, como el modo sin conexión, el agregado a la pantalla principal y las notificaciones push. [Obtén más información](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Un service worker controla esta página, pero no se encontró ningún atributo `start_url` porque no se pudo analizar el archivo de manifiesto como un JSON válido"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Un service worker controla esta página, pero el atributo `start_url` ({startUrl}) está fuera del alcance del service worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Un service worker controla esta página, pero no se encontró el atributo `start_url` porque no se obtuvo ningún manifiesto."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{
message:"Este origen tiene al menos un service worker, pero la página ({pageUrl}) no está dentro del alcance."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"No registra un service worker que controle la página y `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registra un service worker que controle la página y `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"El uso de una pantalla de presentación con un tema asegura que los usuarios tengan una experiencia de calidad al ejecutar tu app desde sus pantallas principales. [Obtén más información](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"No se configuró para una pantalla de presentación personalizada"},"lighthouse-core/audits/splash-screen.js | title":{message:"Se configuró para una pantalla de presentación personalizada"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"Se puede aplicar un tema a la barra de direcciones del navegador para que combine con tu sitio web. [Obtén más información](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"No establece un color de tema para la barra de direcciones."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Establece un color de tema para la barra de direcciones."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (éxito de clientes)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (redes sociales)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Producto"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Algunas incorporaciones de terceros pueden ser de carga diferida. Considera reemplazarlas con una fachada hasta que sean obligatorias. [Obtén más información](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Hay # alternativa de fachada disponible}other{Hay # alternativas de fachada disponibles}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Algunos recursos de terceros pueden ser de carga diferida con una fachada"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Recursos de terceros de carga diferida con fachadas"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Terceros"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"El código de terceros puede reducir en gran medida el rendimiento de carga. Limita la cantidad de proveedores externos redundantes y prueba cargar el código de terceros después de que haya finalizado la carga principal de tu página. [Obtén más información](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"El código de terceros bloqueó el subproceso principal por {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduce el impacto del código de terceros"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimiza el uso del código de terceros"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Medición"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Métrica"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Establece una estimación de tiempo para controlar el rendimiento de tu sitio. Los sitios con buen rendimiento se cargan sin demora y responden rápido a los eventos de entrada del usuario. [Obtén más información](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Estimación de tiempo"},"lighthouse-core/audits/unsized-images.js | description":{message:"Establece un atributo explícito de altura y ancho en los elementos de imagen para reducir los cambios de diseño y mejorar la métrica del CLS. [Más información](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Los elementos de imagen no tienen ningún atributo `width` ni `height` explícito"},"lighthouse-core/audits/unsized-images.js | title":{message:"Los elementos de imagen tienen atributos `width` y `height` explícitos"
},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tipo"},"lighthouse-core/audits/user-timings.js | description":{message:"Te recomendamos que incorpores la API de Tiempos de usuario en tu app para calcular su rendimiento real durante las principales experiencias de usuario. [Obtén más información](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 tiempo de usuario}other{# tiempos de usuario}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Medidas y marcas de Tiempos de usuario"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Se encontró una instancia de `<link rel=preconnect>` para "{securityOrigin}", pero el navegador no la usó. Comprueba que el atributo `crossorigin` se esté usando correctamente.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Te recomendamos agregar sugerencias de recursos `preconnect` o `dns-prefetch` para establecer conexiones tempranas con orígenes externos importantes. [Obtén más información](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Establece conexión previamente con los orígenes necesarios"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Se encontraron más de 2 conexiones de `<link rel=preconnect>`. Estos vínculos deben usarse con moderación y solo para los orígenes más importantes."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Se encontró una instancia de `<link rel=preconnect>` para "{securityOrigin}", pero el navegador no la usó. Usa `preconnect` solo para orígenes importantes que sepas que la página solicitará.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:'Se encontró una precarga de `<link>` para "{preloadURL}", pero el navegador no la usó. Comprueba que el atributo `crossorigin` se esté usando correctamente.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Te recomendamos usar `<link rel=preload>` para dar prioridad a la obtención de los recursos que, en este momento, se solicitan en una instancia posterior de la carga de la página. [Obtén más información](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Carga previamente las solicitudes clave"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL de mapas"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Los mapas de orígenes convierten código reducido en el código fuente original. Esto ayuda a los desarrolladores a depurar el código durante la producción. Además, Lighthouse puede brindar más datos. Analiza implementar los mapas de orígenes para aprovechar estos beneficios. [Obtén más información](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Faltan mapas de orígenes para el archivo JavaScript grande propio"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Falta un archivo JavaScript grande del mapa de orígenes"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Advertencia: Falta 1 elemento en `.sourcesContent`}other{Advertencia: Faltan # elementos en `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{
message:"La página tiene mapas de orígenes válidos"},"lighthouse-core/audits/viewport.js | description":{message:'Agrega una etiqueta `<meta name="viewport">` para optimizar la app para pantallas de dispositivos móviles. [Obtén más información](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'No se encontró ninguna etiqueta `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'No tiene una etiqueta `<meta name="viewport">` con `width` o `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Tiene una etiqueta `<meta name="viewport">` con `width` o `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"A continuación, se indican consejos para optimizar el uso de ARIA en tu app, lo que puede mejorar la experiencia de los usuarios de tecnologías de asistencia, como los lectores de pantalla."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Aquí tienes consejos para proporcionar contenido alternativo para audio y video. Así se puede mejorar la experiencia de los usuarios con dificultades auditivas o visuales."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio y video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Estos elementos destacan las prácticas recomendadas de accesibilidad más habituales."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Prácticas recomendadas"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Estas comprobaciones incluyen consejos para [mejorar la accesibilidad de tu app web](https://developers.google.com/web/fundamentals/accessibility). Solo algunos problemas de accesibilidad pueden detectarse de forma automática. Por eso, te recomendamos realizar también pruebas manuales."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Estos elementos abarcan áreas que las herramientas de prueba automáticas no contemplan. Obtén más información en nuestra guía sobre [cómo revisar los aspectos de accesibilidad](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accesibilidad"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"A continuación, se indican consejos para facilitar la lectura del contenido."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contraste"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"A continuación, se indican consejos para que los usuarios con diversas configuraciones regionales puedan interpretar mejor el contenido de las páginas."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalización y localización"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"A continuación, se indican consejos para mejorar la semántica de los controles de tu app. Estos consejos pueden mejorar la experiencia de los usuarios de tecnologías de asistencia, como los lectores de pantalla."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nombres y etiquetas"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Estas son oportunidades para mejorar la navegación con el teclado en tu app."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{
message:"Navegación"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Aquí tienes sugerencias para mejorar la lectura de datos en tablas o listas con tecnologías de accesibilidad, como los lectores de pantalla."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tablas y listas"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilidad del navegador"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Recomendaciones"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"General"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Confianza y seguridad"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Experiencia del usuario"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Las estimaciones de rendimiento establecen estándares para el rendimiento de tu sitio."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Estimaciones"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Obtén más información sobre el rendimiento de tu app. Estos números no [afectan directamente](https://web.dev/performance-scoring/) la medición del rendimiento."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnóstico"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"El aspecto más importante del rendimiento es la rapidez con la que se renderizan los píxeles en la pantalla. Métricas clave: primer procesamiento de imagen con contenido, primera pintura significativa"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Mejoras del primer procesamiento de imagen"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Estas sugerencias pueden hacer que tus páginas se carguen más rápido. No [afectan directamente](https://web.dev/performance-scoring/) la medición del rendimiento."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Oportunidades"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Métricas"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Mejora la experiencia de carga general para que la página responda bien y se pueda usar lo antes posible. Métricas clave: Tiempo de carga, Índice de velocidad"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Mejoras generales"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Rendimiento"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Estas comprobaciones se centran en diferentes aspectos de las apps web progresivas. [Obtén más información](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Estas comprobaciones son necesarias según el modelo de referencia [Lista de tareas para AWP](https://developers.google.com/web/progressive-web-apps/checklist), pero Lighthouse no las realiza automáticamente. Es importante que las verifiques a mano (aunque no afectan a la puntuación)."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"App web progresiva"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Instalable"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimizado para PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Estas comprobaciones aseguran que tu página esté optimizada para posicionarse bien en los resultados de los motores de búsqueda. Hay otros factores que Lighthouse no comprueba y que pueden afectar tu posicionamiento en los buscadores. [Obtén más información](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Ejecuta estos validadores adicionales en tu sitio web para comprobar más prácticas recomendadas de SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Edita el código HTML de tu página web de forma que los rastreadores puedan entender mejor el contenido de tu app."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Prácticas recomendadas para el contenido"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Para aparecer en los resultados de búsqueda, los rastreadores necesitan acceso a tu app."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Rastreo e indexación"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Asegúrate de que tus páginas estén optimizadas para dispositivos móviles a fin de que los usuarios no tengan que pellizcar ni hacer zoom para leer las páginas de contenido. [Obtén más información](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Optimizada para dispositivos móviles"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"El dispositivo probado parece tener una CPU más lenta de lo que espera Lighthouse, lo que puede afectar negativamente la puntuación del rendimiento. Obtén más información para [calibrar un multiplicador adecuado para ralentizar la CPU](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Es posible que la página no se cargue como se espera porque se redireccionó la URL de prueba ({requested}) a {final}. Como alternativa, prueba directamente la segunda URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"La página tardó demasiado en cargarse y no finalizó antes del límite de tiempo establecido. Es posible que los resultados estén incompletos."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Es posible que los datos almacenados afecten el rendimiento de carga de esta ubicación: {locations}. Realiza una auditoría de esta página en una ventana de incógnito para evitar que estos recursos afecten el resultado.}other{Es posible que los datos almacenados afecten el rendimiento de carga de estas ubicaciones: {locations}. Realiza una auditoría de esta página en una ventana de incógnito para evitar que estos recursos afecten el resultado.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Considera agregar esquemas de URL con https: y http: (ignorados por los navegadores que admiten "strict-dynamic") para que la política sea retrocompatible con los navegadores anteriores.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener dejó de estar disponible desde CSP3. En su lugar, usa el encabezado Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"referrer dejó de estar disponible desde CSP2. En su lugar, usa el encabezado Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss dejó de estar disponible desde CSP2. En su lugar, usa el encabezado X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'La falta de directiva base-uri permite que las etiquetas <base> insertadas configuren la URL básica para todas las URL relativas (p. ej., secuencia de comandos) a un dominio controlado del atacante. Considera configurar base-uri como "none" o "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Los elementos controlados por object-src se consideran características heredadas. Considera configurar object-src como "none" para impedir la inserción de complementos que ejecuten secuencias de comandos no seguras.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"Falta la directiva script-src. Esto puede permitir la ejecución de secuencias de comandos no seguras."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"¿Olvidaste el punto y coma? Al parecer, {keyword} es una directiva, no una palabra clave."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Los nonces deben usar el charset base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Los nonces deben tener al menos 8 caracteres."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"El destino del informe solo se configura mediante la directiva report-to. Esta directiva solo es compatible con los navegadores con Chromium, por lo que se recomienda que uses siempre una directiva report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Ninguna CSP configura un destino para informes. Esto dificulta el mantenimiento de la CSP con el tiempo y el monitoreo de cualquier falla."},
"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'Las listas de host permitidos a menudo se pueden omitir. Considera usar "strict-dynamic" en combinación con nonces o hashes de la CSP.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"La directiva de la CSP es desconocida."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Al parecer, {keyword} es una palabra clave no válida."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'"unsafe-inline" permite la ejecución de controladores de eventos y secuencias de comando no seguras de la página. Considera usar nonces o hashes de la CSP para permitir secuencias de comandos por separado.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:'Considera agregar la palabra clave "unsafe-inline" (ignorada por los navegadores que admiten nonces y hashes) para que la política sea retrocompatible con los navegadores anteriores.'},
"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tiempo de bloqueo del subproceso principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL en caché"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descripción"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duración"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemento"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementos con errores"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Ubicación"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nombre"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Superior a la estimación"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Solicitudes"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Tamaño del recurso"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tipo de recurso"},
"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Tamaño"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Fuente"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Hora de inicio"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Tiempo de uso"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Tamaño de transferencia"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Ahorros posibles"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Ahorros posibles"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Ahorro posible de {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Se encontró 1 elemento}other{Se encontraron # elementos}}"},
"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Ahorro posible en {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Documento"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Primera pintura significativa"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Fuente"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Imagen"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Alta"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Baja"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Máximo retraso de primera entrada posible"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Contenido multimedia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Otro"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Otros recursos"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Secuencia de comandos"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Hoja de estilo"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Terceros"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},
"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Se produjo un error de registro de seguimiento durante la carga de la página. Vuelve a ejecutar Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Se agotó el tiempo de espera de la conexión inicial del protocolo del depurador."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome no recopiló ninguna captura de pantalla al cargar la página. Comprueba que haya contenido visible en la página y vuelve a ejecutar Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Los servidores DNS no pudieron resolver el dominio proporcionado."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"El recopilador {artifactName} obligatorio encontró un error: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{
message:"Se produjo un error interno de Chrome. Reinicia Chrome y vuelve a ejecutar Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"No se ejecutó el recopilador necesario para {artifactName}."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"No se mostró contenido en la página. Asegúrate de que la ventana del navegador esté en primer plano durante la carga y vuelve a intentarlo. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"La página proporcionada no es HTML (se proporciona como el tipo de MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Esta versión de Chrome no admite "{featureName}" porque es demasiado antigua. Usa una versión más reciente para ver los resultados completos.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Lighthouse no pudo cargar correctamente la página que solicitaste. Comprueba que estás probando la URL correcta y que el servidor responde correctamente a todas las solicitudes."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse no pudo cargar correctamente la URL que solicitaste porque la página dejó de responder."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"La URL que proporcionaste no tiene un certificado de seguridad válido. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome evitó la carga de la página y mostró una pantalla intersticial. Verifica que estés probando la URL correcta y que el servidor responda adecuadamente a todas las solicitudes."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"Lighthouse no pudo cargar correctamente la página que solicitaste. Verifica que estés probando la URL correcta y que el servidor responda adecuadamente a todas las solicitudes. (Detalles: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse no pudo cargar correctamente la página que solicitaste. Verifica que estés probando la URL correcta y que el servidor responda adecuadamente a todas las solicitudes. (Código de estado: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"La página tardó demasiado en cargarse. Sigue los consejos del informe para reducir el tiempo de carga de la página y vuelve a ejecutar Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Se superó el tiempo asignado para la respuesta de protocolo de DevTools. (Método: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{
message:"Se superó el tiempo asignado para obtener el contenido de los recursos"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Al parecer, la URL que proporcionaste no es válida."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Todo"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Todas las secuencias de comandos"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Cobertura"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Módulos duplicados"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bytes de recursos"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nombre"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Activar o desactivar tabla"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Bytes sin usar"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"En el caso de contenido animado, utiliza [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) para minimizar el uso de CPU mientras el contenido no aparezca en pantalla."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Cuando especifiques un resguardo adecuado para otros navegadores, se recomienda mostrar todos los componentes de [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) en formato WebP. [Obtén más información](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Asegúrate de usar [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) para las imágenes que realizan una carga diferida. [Obtén más información](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Utiliza herramientas como [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) para [procesar diseños de AMP en el servidor](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consulta el [documento AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) para garantizar la compatibilidad de todos los estilos."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"El elemento de [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) es compatible con el atributo de [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) para especificar los elementos de imagen que deben usarse en función del tamaño de la pantalla. [Obtén más información](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Si se están procesando listas muy grandes, se recomienda utilizar el desplazamiento virtual con el kit de desarrollo de componentes (CDK). [Obtén más información](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Aplica la [división de código en rutas](https://web.dev/route-level-code-splitting-in-angular/) para minimizar el tamaño de los paquetes de JavaScript. Además, se recomienda almacenar previamente los activos en caché con el [service worker de Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Si utilizas Angular CLI, asegúrate de que las compilaciones se generen en el modo de producción. [Obtén más información](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Si utilizas Angular CLI, incluye mapas de origen en la compilación de producción para inspeccionar tus paquetes. [Obtén más información](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Precarga las rutas con anticipación para mejorar la velocidad de la navegación. [Obtén más información](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Se recomienda usar la utilidad de `BreakpointObserver` en el kit de desarrollo de componentes (CDK) para administrar las interrupciones de imágenes. [Obtén más información](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Puedes subir tu GIF a un servicio que permita insertarlo como un video HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Especifica `@font-display` cuando definas fuentes personalizadas en tu tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Se recomienda instalar y configurar [un módulo para aprovechar los formatos de imagen WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) en el sitio. Esos módulos generan de forma automática una versión WebP de las imágenes subidas a fin de optimizar los tiempos de carga."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instala [un módulo de Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) que pueda cargar imágenes de forma diferida. Esos módulos tienen la capacidad de postergar las imágenes fuera de pantalla para mejorar el rendimiento."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Se recomienda usar un módulo para intercalar instancias críticas de CSS y JavaScript, o cargar de manera potencial los elementos de forma asíncrona a través de JavaScript, como el módulo de [Agregación avanzada de CSS/JS](https://www.drupal.org/project/advagg). Ten en cuenta que las optimizaciones que ofrece este módulo pueden generar fallas en el sitio, por lo que seguramente tengas que hacer cambios en el código."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Los temas, los módulos y las especificaciones del servidor afectan al tiempo de respuesta. Puedes buscar un tema más optimizado, seleccionar un módulo de optimización o actualizar tu servidor. Los servidores de hosting deben usar el almacenamiento en caché del código de operación PHP, el almacenamiento de memoria en caché para reducir los tiempos de búsqueda en la base de datos como Redis o Memcached y la lógica optimizada de la app para preparar páginas más rápido."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Se recomienda usar [estilos de imágenes responsivas](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) para reducir el tamaño de las imágenes que se cargan en la página. Si usas Views para mostrar elementos de contenido múltiple en una página, puedes implementar la paginación para limitar el número de elementos de contenido que se muestran en una página en particular."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Asegúrate de habilitar "Agregar archivos CSS" en la página "Administración » Configuración » Desarrollo". También puedes configurar opciones más avanzadas de agregación en los [módulos adicionales](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) a fin de mejorar la velocidad del sitio. Para lograrlo, puedes concatenar, reducir y comprimir los estilos CSS.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Asegúrate de habilitar "Agregar archivos JavaScript" en la página "Administración » Configuración » Desarrollo". También puedes configurar opciones más avanzadas de agregación en los [módulos adicionales](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) a fin de mejorar la velocidad del sitio. Para lograrlo, puedes concatenar, reducir y comprimir los elementos de JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Se recomienda quitar las reglas de CSS no utilizadas y solo adjuntar las bibliotecas de Drupal necesarias al componente o a la página pertinentes. Para obtener información, consulta el [vínculo a la documentación de Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Para identificar las bibliotecas adjuntas que agregan instancias innecesarias de CSS, prueba ejecutar la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o el módulo concreto en la URL de la hoja de estilo cuando está inhabilitada la agregación de CSS en tu sitio de Drupal. Presta atención a los temas o módulos que tengan varias hojas de estilo en la lista con muchos elementos en rojo en la cobertura de código. Los temas o módulos solo deberían poner en cola hojas de estilo que se usen en la página."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Se recomienda quitar los elementos de JavaScript no utilizados y solo adjuntar las bibliotecas de Drupal necesarias al componente o a la página pertinentes. Para obtener información, consulta el [vínculo a la documentación de Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Para identificar las bibliotecas adjuntas que agregan instancias innecesarias de JavaScript, prueba ejecutar la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o el módulo concreto en la URL de la secuencia de comandos cuando está inhabilitada la agregación de JavaScript en tu sitio de Drupal. Presta atención a los temas o módulos que tengan varias secuencias de comandos en la lista con muchos elementos en rojo en la cobertura de código. Los temas o módulos solo deberían poner en cola secuencias de comandos que se usen en la página."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Establece el "tiempo máximo de almacenamiento en caché del navegador y el proxy" en la página "Administración » Configuración » Desarrollo". Obtén información sobre [el almacenamiento en caché de Drupal y cómo mejorar el rendimiento](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Se recomienda usar [un módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) que optimice y reduzca de forma automática el tamaño de las imágenes que se cargan en el sitio y conserve la calidad. Además, asegúrate de usar los [estilos de imágenes responsivas](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) que proporciona Drupal (disponibles en Drupal 8 y versiones posteriores) para todas las imágenes renderizadas en el sitio."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Para agregar optimizaciones de recursos preconnect o dns-prefetch mediante DNS, instala y configura [un módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) que proporcione elementos para las optimizaciones de recursos del usuario-agente."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Asegúrate de usar los [estilos de imágenes responsivas](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) que proporciona Drupal (disponibles en Drupal 8 y versiones posteriores). Utiliza los estilos de imágenes responsivas cuando renderices campos de imágenes a través de modos de vista, vistas o imágenes subidas a través del editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Puedes subir tu GIF a un servicio que permita insertarlo como un video HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Puedes utilizar un [complemento](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) o servicio que convierta automáticamente las imágenes que subes a los formatos óptimos."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instala un [complemento de Joomla de carga diferida](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) que proporcione la capacidad de postergar las imágenes fuera de pantalla o bien cambia a una plantilla que proporcione esa funcionalidad. A partir de Joomla 4.0, todas las imágenes nuevas obtendrán el atributo `loading` [de forma automática](https://github.com/joomla/joomla-cms/pull/30748) desde el núcleo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Existen varios complementos de Joomla que pueden ayudarte a [intercalar elementos fundamentales](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) o a [postergar recursos menos importantes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Ten en cuenta que las optimizaciones que ofrecen estos complementos pueden interferir con funciones de tus plantillas o complementos, por lo que deberás probarlas de forma exhaustiva."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Las plantillas, las extensiones y las especificaciones del servidor afectan al tiempo de respuesta. Puedes buscar una plantilla más optimizada, seleccionar cuidadosamente una extensión de optimización o actualizar el servidor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Puedes mostrar fragmentos en las categorías de artículos (por ejemplo, mediante el vínculo "Más información"), reducir la cantidad de artículos que se muestran en cada página, dividir tus entradas más largas en múltiples páginas o usar un complemento para postergar la carga de los comentarios.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Hay varias [extensiones de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que pueden concatenar, reducir y comprimir los estilos CSS para acelerar tu sitio web. También hay plantillas que proporcionan esta funcionalidad."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Hay varias [extensiones de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que pueden concatenar, reducir y comprimir las secuencias de comandos para acelerar tu sitio web. También hay plantillas que proporcionan esta funcionalidad."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Puedes reducir o cambiar la cantidad de [extensiones de Joomla](https://extensions.joomla.org/) que cargan elementos de CSS que tu página no usa. Para identificar las extensiones que agregan elementos de CSS innecesarios, prueba ejecutar la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o complemento concreto en la URL de la hoja de estilo. Presta atención a los complementos que tengan varias hojas de estilo en la lista con muchos elementos en rojo en la cobertura de código. Los complementos solo deberían poner en cola hojas de estilo que se usen en la página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Puedes reducir o cambiar la cantidad de [extensiones de Joomla](https://extensions.joomla.org/) que cargan secuencias de JavaScript que tu página no usa. Para identificar los complementos que agregan secuencias JS innecesarias, prueba ejecutar la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar la extensión concreta en la URL de la secuencia de comandos. Presta atención a las extensiones que tengan varias secuencias de comandos en la lista con muchos elementos en rojo en la cobertura de código. Las extensiones solo deberían poner en cola secuencias de comandos que se usen en la página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Consulta información sobre el [almacenamiento en caché del navegador en Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Puedes usar un [complemento de optimización de imágenes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que comprima las imágenes y conserve la calidad."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Se recomienda usar un [complemento de imágenes responsivas](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) para poder usar este tipo de imágenes en tu contenido."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Para habilitar la compresión de texto, habilita la compresión de páginas en gzip, en Joomla (Sistema > Configuración general > Servidor)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Si no estás creando un paquete con los elementos de JavaScript, se recomienda usar [baler](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Inhabilita [el empaquetado y la reducción de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) y analiza utilizar [baler](https://github.com/magento/baler/) en su lugar."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Specifica `@font-display` cuando [definas fuentes personalizadas](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Para utilizar formatos de imagen más nuevos, se recomienda el [mercado de Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) donde encontrarás una amplia variedad de extensiones de terceros."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Se recomienda modificar las plantillas de productos y catálogos para utilizar la función de [carga diferida](https://web.dev/native-lazy-loading) de la plataforma web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Utiliza la [integración de Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Habilita la opción "Minify CSS Files" en las opciones de configuración para desarrolladores de la tienda. [Obtén más información](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Utiliza [Terser](https://www.npmjs.com/package/terser) para reducir todos los elementos de JavaScript de la implementación de contenido estático y, luego, inhabilita la función de reducción integrada."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Inhabilita el [empaquetado de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrado en Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Para optimizar las imágenes, se recomienda el [mercado de Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) donde encontrarás una amplia variedad de extensiones de terceros."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Para agregar optimizaciones de recursos preconnect o dns-prefetch mediante DNS, [modifica un diseño de temas](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Para agregar las etiquetas de `<link rel=preload>`, [modifica el diseño de los temas](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Reemplaza los GIF animados con video](https://web.dev/replace-gifs-with-videos/) para que se cargue la página web más rápido y considera utilizar formatos de archivo modernos, como [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) o [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) para mejorar la eficiencia de la compresión en más de un 30% con respecto al VP9, el códec de video de vanguardia actual."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Puedes utilizar un [complemento](https://octobercms.com/plugins?search=image) o servicio que convierta automáticamente las imágenes que subes en los formatos óptimos. [Las imágenes WebP sin pérdidas](https://developers.google.com/speed/webp) son un 26% más pequeñas en comparación con las PNG y entre un 25% y un 34% más pequeñas que las imágenes JPEG comparables con índices de calidad SSIM equivalentes. Otro formato de imagen de última generación que se debe tener en cuenta es [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Puedes instalar un [complemento de carga diferida de imágenes](https://octobercms.com/plugins?search=lazy) que permita diferir las imágenes fuera de pantalla. Otra alternativa es cambiar a un tema que proporcione esa funcionalidad. También puedes utilizar [el complemento AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Existen varios complementos que permiten [intercalar elementos fundamentales](https://octobercms.com/plugins?search=css). Estos complementos pueden interferir con otros, por lo que deberás probarlos de forma exhaustiva."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Los temas, los complementos y las especificaciones afectan al tiempo de respuesta del servidor. Considera buscar un tema más optimizado, elegir cuidadosamente un complemento de optimización o actualizar el servidor. El CMS October también permite que los desarrolladores utilicen [`Queues`](https://octobercms.com/docs/services/queues) para diferir el procesamiento de una tarea que requiera mucho tiempo, como enviar un correo electrónico. De esta manera, se aceleran drásticamente las solicitudes web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Considera mostrar extractos en las listas de publicaciones (p. ej., cuando se presiona el botón `show more`), reducir el número de publicaciones que se muestran en una página determinada, dividir publicaciones largas entre varias páginas web o utilizar un complemento para los comentarios de carga diferida."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Existen varios [complementos](https://octobercms.com/plugins?search=css) que concatenan, reducen y comprimen los estilos para acelerar un sitio web. Se puede acelerar el desarrollo utilizando un proceso de compilación para reducir los estilos de forma anticipada."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Existen varios [complementos](https://octobercms.com/plugins?search=javascript) que concatenan, reducen y comprimen las secuencias de comandos para acelerar el sitio web. Se puede acelerar el desarrollo utilizando un proceso de compilación para reducir los estilos de forma anticipada."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Considera revisar los [complementos](https://octobercms.com/plugins) que carguen instancias de CSS no utilizadas en el sitio web. Para identificar los complementos que agregan instancias de CSS innecesarias, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en Herramientas para desarrolladores de Chrome. Identifica el tema o el complemento responsable desde la URL de la hoja de estilo. Busca los complementos que tengan varias hojas de estilo con muchos elementos en rojo en la cobertura de código. Los complementos solo deben agregar hojas de estilo que se usen en la página web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Considera revisar los [complementos](https://octobercms.com/plugins?search=javascript) que cargan instancias de JavaScript no utilizadas en la página web. Para identificar los complementos que agregan instancias de JavaScript innecesarias, ejecuta [la cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en Herramientas para desarrolladores de Chrome. Identifica el tema o el complemento responsable desde la URL de la secuencia de comandos. Busca complementos que tengan varias secuencias de comandos con muchos elementos en rojo en la cobertura de código. Los complementos solo deben agregar secuencias de comandos que se usen en la página web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Obtén información para [no enviar solicitudes de red innecesarias gracias a la caché HTTP](https://web.dev/http-cache/#caching-checklist). Existen varios [complementos](https://octobercms.com/plugins?search=Caching) para acelerar el almacenamiento en caché."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Puedes utilizar un [complemento de optimización de imágenes](https://octobercms.com/plugins?search=image) para comprimir las imágenes sin modificar su calidad."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Sube las imágenes directamente en el administrador de contenido multimedia para asegurarte de contar con los tamaños de imagen requeridos. Considera utilizar el [filtro de cambio de tamaño](https://octobercms.com/docs/markup/filter-resize) o un [complemento para cambiar el tamaño de las imágenes](https://octobercms.com/plugins?search=image) a fin de asegurarte de que se utilicen los tamaños óptimos."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Puedes habilitar la compresión de texto en la configuración de tu servidor web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Si renderizas muchos elementos repetidos en la página, considera utilizar una biblioteca de "sistema de ventanas" como `react-window` para minimizar la cantidad de nodos DOM que se crean. [Obtén más información](https://web.dev/virtualize-long-lists-react-window/). Además, minimiza la cantidad de renderizaciones repetidas e innecesarias mediante [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) o [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo), y [omite efectos](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) solo hasta que hayan cambiado ciertas dependencias si usas el enlace de `Effect` para mejorar el rendimiento del tiempo de ejecución.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Si utilizas React Router, minimiza el uso del componente de `<Redirect>` para las [navegaciones de ruta](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Si procesas en el servidor cualquier componente de React, se recomienda usar `renderToNodeStream()` o `renderToStaticNodeStream()` para permitir que el cliente reciba diferentes partes del lenguaje de marcado y las complete en lugar de recibir todas al mismo tiempo. [Obtén más información](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Si el sistema de compilación reduce los archivos CSS de forma automática, asegúrate de implementar la compilación de producción de tu app. Puedes comprobarlo con la extensión de las Herramientas para desarrolladores de React. [Obtén más información](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Si el sistema de compilación reduce los archivos JS de forma automática, asegúrate de implementar la compilación de producción de tu app. Puedes comprobarlo con la extensión de las Herramientas para desarrolladores de React. [Obtén más información](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Si no estás procesando datos en el servidor, [divide los paquetes de JavaScript](https://web.dev/code-splitting-suspense/) con `React.lazy()`. De lo contrario, divide el código con una biblioteca de terceros como [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Utiliza el generador de perfiles de las Herramientas para desarrolladores de React, que emplea la API de Profiler para medir el rendimiento de procesamiento de tus componentes. [Obtén más información](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Puedes subir tu GIF a un servicio que permita insertarlo como un video HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Puedes utilizar un [complemento](https://wordpress.org/plugins/search/convert+webp/) o servicio que convierta automáticamente las imágenes que subes a los formatos óptimos."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Instala un [complemento de carga diferida de WordPress](https://wordpress.org/plugins/search/lazy+load/) con la capacidad de postergar las imágenes fuera de pantalla o bien cambia a un tema que incluya esa función. También puedes usar [el complemento AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Existen varios complementos de WordPress que pueden ayudarte a [insertar elementos fundamentales](https://wordpress.org/plugins/search/critical+css/) o a [postergar recursos menos importantes](https://wordpress.org/plugins/search/defer+css+javascript/). Ten en cuenta que las optimizaciones que ofrecen estos complementos pueden interferir con funciones de tu tema o complementos, por lo que seguramente tengas que hacer cambios en el código."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Los temas, los complementos y las especificaciones del servidor afectan al tiempo de respuesta. Puedes buscar un tema más optimizado, seleccionar un complemento de optimización o actualizar tu servidor."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:'Puedes mostrar fragmentos en tus listas de entradas (por ejemplo, mediante la etiqueta "<more>"), reducir la cantidad de entradas que se muestran en cada página, dividir tus entradas más largas en múltiples páginas o usar un complemento para postergar la carga de los comentarios.'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Hay varios [complementos de WordPress](https://wordpress.org/plugins/search/minify+css/) que pueden concatenar, reducir y comprimir los estilos para acelerar tu sitio web. Te recomendamos que, si es posible, uses un proceso de compilación para reducir los estilos de forma anticipada."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Hay varios [complementos de WordPress](https://wordpress.org/plugins/search/minify+javascript/) que pueden concatenar, reducir y comprimir las secuencias de comandos para acelerar tu sitio web. Te recomendamos que, si es posible, uses un proceso de compilación para realizar la reducción de forma anticipada."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Puedes reducir o cambiar la cantidad de [complementos de WordPress](https://wordpress.org/plugins/) que cargan hojas de estilo CSS que tu página no usa. Para identificar los complementos que agregan hojas de estilo CSS innecesarias, prueba ejecutar la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o complemento concreto en la URL de la hoja de estilo. Presta atención a los complementos que tengan varias hojas de estilo en la lista con muchos elementos en rojo en la cobertura de código. Los complementos solo deberían poner en cola hojas de estilo que se usen en la página."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Puedes reducir o cambiar la cantidad de [complementos de WordPress](https://wordpress.org/plugins/) que cargan secuencias JavaScript que tu página no usa. Para identificar los complementos que agregan secuencias JS innecesarias, prueba ejecutar la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o complemento concreto en la URL de la secuencia de comandos. Presta atención a los complementos que tengan varias secuencias de comandos en la lista con muchos elementos en rojo en la cobertura de código. Los complementos solo deberían poner en cola secuencias de comandos que se usen en la página."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Consulta información sobre el [almacenamiento en la memoria caché del navegador en WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Puedes usar un [complemento de optimización de imágenes de WordPress](https://wordpress.org/plugins/search/optimize+images/) que comprima tus imágenes y conserve la calidad."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Carga imágenes directamente a través de la [biblioteca de medios](https://wordpress.org/support/article/media-library-screen/) para garantizar que estén disponibles los tamaños de imagen requeridos y, luego, insértalas desde la biblioteca de medios, o bien usa el widget de imágenes para asegurarte de que se utilicen los tamaños de imagen óptimos (incluidos los que se emplean para interrupciones receptivas). Evita usar imágenes `Full Size`, a menos que las dimensiones sean adecuadas para su empleo. [Obtén más información](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Puedes habilitar la compresión de texto en la configuración de tu servidor web."},"report/renderer/util.js | calculatorLink":{message:"Consulta la calculadora."},"report/renderer/util.js | crcInitialNavigation":{message:"Navegación inicial"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latencia de ruta crítica máxima:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copiar JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Activar o desactivar el Tema oscuro"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Se expandió la impresión"},"report/renderer/util.js | dropdownPrintSummary":{message:"Resumen de impresión"},"report/renderer/util.js | dropdownSaveGist":{message:"Guardar como Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Guardar como HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Guardar como JSON"},
"report/renderer/util.js | dropdownViewer":{message:"Abrir en el lector"},"report/renderer/util.js | errorLabel":{message:"Error"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Error del informe: No hay información de la auditoría"},"report/renderer/util.js | footerIssue":{message:"Informa sobre un problema"},"report/renderer/util.js | labDataTitle":{message:"Datos de prueba"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Análisis de [Lighthouse](https://developers.google.com/web/tools/lighthouse/) de la página actual en una red móvil emulada. Los valores son estimados y pueden variar."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Elementos adicionales que se deben comprobar manualmente"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"No aplicable"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Oportunidad"},"report/renderer/util.js | opportunitySavingsColumnLabel":{
message:"Ahorro estimado"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Auditorías aprobadas"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Escritorio emulado"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 emulado"},"report/renderer/util.js | runtimeNoEmulation":{message:"Sin emulación"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versión de axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Energía de la memoria/CPU"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitación de la CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispositivo"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Fecha de recuperación"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitación de la red"},"report/renderer/util.js | runtimeSettingsTitle":{
message:"Configuración del tiempo de ejecución"},"report/renderer/util.js | runtimeSettingsUA":{message:"Usuario-agente (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Usuario-agente (red)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Desconocido"},"report/renderer/util.js | showRelevantAudits":{message:"Mostrar las auditorías relevantes para la métrica:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Contraer fragmento"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Expandir fragmento"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Mostrar recursos de terceros"},"report/renderer/util.js | throttlingProvided":{message:"Proporcionado por el entorno"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Algunos problemas afectaron la ejecución de Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Los valores son estimados y pueden variar. La [medición del rendimiento se calcula](https://web.dev/performance-scoring/) directamente a partir de estas métricas."},"report/renderer/util.js | viewTreemapLabel":{message:"Ver diagrama de árbol"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Auditorías aprobadas con advertencias"},"report/renderer/util.js | warningHeader":{message:"Advertencias: "}}},{}],112:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Las claves de acceso permiten a los usuarios dirigirse rápidamente a una parte concreta de la página. Para facilitar una navegación correcta, las claves de acceso deben ser únicas. [Más información](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Los valores de `[accesskey]` no son únicos"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{
message:"Los valores de `[accesskey]` son únicos"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Cada `role` de ARIA admite un subconjunto determinado de atributos `aria-*`. Si no coinciden, los atributos `aria-*` se invalidarán. [Más información](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Los atributos `[aria-*]` no se corresponden con sus funciones"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Los atributos `[aria-*]` coinciden con sus funciones"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Si un elemento no tiene un nombre accesible, los lectores de pantalla lo leen diciendo un nombre genérico, lo que hace que el elemento no resulte útil a los usuarios que necesitan lectores de pantalla. [Más información](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Los elementos `button`, `link` y `menuitem` no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Los elementos `button`, `link` y `menuitem` tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Las tecnologías asistenciales, como los lectores de pantalla, funcionan de forma inestable cuando se establece `aria-hidden="true"` en el documento `<body>`. [Más información](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` se encuentra en el documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` no se encuentra en el documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Los elementos inferiores seleccionables que están dentro de un elemento `[aria-hidden="true"]` evitan que esos elementos interactivos estén disponibles para los usuarios de tecnologías asistenciales, como lectores de pantalla. [Más información](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Los elementos `[aria-hidden="true"]` contienen elementos descendientes seleccionables'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Los elementos `[aria-hidden="true"]` no contienen ningún elemento inferior seleccionable'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Si un campo de entrada no tiene un nombre accesible, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resultan inservibles para los usuarios que necesitan usar lectores de pantalla para navegar. [Más información](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Los campos de entrada de ARIA no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Los campos de entrada ARIA tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Si un elemento no tiene un nombre accesible, los lectores de pantalla lo leen diciendo un nombre genérico, lo que hace que el elemento no resulte útil a los usuarios que necesitan lectores de pantalla. [Más información](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Los elementos `meter` de ARIA no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Los elementos `meter` de ARIA tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Si un elemento `progressbar` no tiene un nombre accesible, los lectores de pantalla lo leen diciendo un nombre genérico, lo que hace que no resulte útil a los usuarios que necesitan lectores de pantalla. [Más información](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Los elementos `progressbar` de ARIA no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Los elementos `progressbar` de ARIA tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Algunas funciones de ARIA incluyen atributos obligatorios que describen el estado del elemento a los lectores de pantalla. [Más información](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Los elementos `[role]` no incluyen todos los atributos `[aria-*]` necesarios"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Todos los elementos `[role]` tienen los atributos `[aria-*]` obligatorios"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Algunas funciones principales de ARIA deben contener funciones secundarias específicas para llevar a cabo las funciones de accesibilidad correspondientes. [Más información](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"A los elementos con un `[role]` ARIA que requieren que los elementos secundarios contengan un `[role]` específico les faltan algunos o todos los elementos secundarios necesarios."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Los elementos con un `[role]` ARIA que requieren que los elementos secundarios contengan un `[role]` específico tienen todos los elementos secundarios necesarios."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Algunas funciones secundarias de ARIA se deben incluir dentro de funciones principales concretas para poder llevar a cabo las funciones de accesibilidad correspondientes. [Más información](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Los atributos `[role]` no están incluidos dentro de los elementos principales obligatorios"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Los atributos `[role]` están incluidos en los elementos principales correspondientes"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Las funciones de ARIA deben tener valores válidos para realizar las funciones de accesibilidad correspondientes. [Más información](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{
message:"Los valores de `[role]` no son válidos"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Los valores de `[role]` son válidos"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Si un campo de interruptor no tiene un nombre accesible, los lectores de pantalla lo leerán en voz alta con un nombre genérico, por lo que resultan inservibles para los usuarios que necesitan usar lectores de pantalla para navegar. [Más información](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Los campos de interruptores ARIA no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Los campos de interruptores ARIA tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Si un elemento no tiene un nombre accesible, los lectores de pantalla lo leen diciendo un nombre genérico, lo que hace que el elemento no resulte útil a los usuarios que necesitan lectores de pantalla. [Más información](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Los elementos `tooltip` de ARIA no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Los elementos `tooltip` de ARIA tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Si un elemento no tiene un nombre accesible, los lectores de pantalla lo leen diciendo un nombre genérico, lo que hace que el elemento no resulte útil a los usuarios que necesitan lectores de pantalla. [Más información](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"Los elementos `treeitem` de ARIA no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Los elementos `treeitem` de ARIA tienen nombres accesibles"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Las tecnologías de asistencia, como los lectores de pantalla, no pueden interpretar los atributos ARIA cuyos valores no sean válidos. [Más información](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Los atributos `[aria-*]` no tienen valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Los atributos `[aria-*]` tienen valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"Las tecnologías de asistencia, como los lectores de pantalla, no pueden interpretar los atributos ARIA con nombres no válidos. [Más información](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Los atributos `[aria-*]` no son válidos o no están bien escritos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Los atributos `[aria-*]` son válidos y están bien escritos"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementos con errores"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Si un botón no tiene un nombre accesible, los lectores de pantalla lo leerán en voz alta como "botón", por lo que resultan inservibles para los usuarios que necesitan usar lectores de pantalla para navegar. [Más información](https://web.dev/button-name/)'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{
message:"Los botones no tienen nombres accesibles"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Los botones tienen nombres accesibles"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Incluir maneras de omitir el contenido repetitivo permite a los usuarios con teclado navegar por la página de forma más eficaz. [Más información](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"La página no contiene ningún título, enlace de omisión ni región de punto de referencia"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"La página contiene un título, un enlace de omisión o una región de punto de referencia"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Los textos con poco contraste resultan difíciles o imposibles de leer para muchos usuarios. [Más información](https://web.dev/color-contrast/)"},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Los colores de fondo y de primer plano no tienen una relación de contraste adecuada."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Los colores de fondo y de primer plano tienen una relación de contraste adecuada"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Si las listas de definiciones no están bien marcadas, es posible que los lectores de pantalla las interpreten de forma confusa o imprecisa. [Más información](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Los `<dl>` no contienen únicamente grupos de `<dt>` y `<dd>` ordenados correctamente o elementos `<script>`, `<template>` o `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{
message:"Los elementos `<dl>` contienen únicamente grupos de `<dt>` y `<dd>` o elementos `<script>`, `<template>` o `<div>` ordenados correctamente."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Los elementos de la lista de definiciones (`<dt>` y`<dd>`) deben estar incluidos en un elemento `<dl>` principal para asegurarte de que los lectores de pantalla puedan leerlos en voz alta correctamente. [Más información](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Los elementos de la lista de definiciones están incluidos dentro de elementos `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Los elementos de la lista de definiciones están incluidos dentro de elementos `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"Los títulos proporcionan una idea general sobre la página a los usuarios de lectores de pantalla. Además, los usuarios de buscadores se basan principalmente en los títulos para determinar si una página es relevante para su búsqueda o no. [Más información](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"El documento no contiene un elemento `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"El documento tiene un elemento `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Todos los elementos seleccionables deben tener un `id` único para asegurar que son visibles para las tecnologías asistenciales. [Más información](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Los atributos `[id]` de los elementos activos seleccionables no son únicos"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Los atributos `[id]` de los elementos activos seleccionables son únicos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"El valor de un ID de ARIA debe ser único para evitar que las tecnologías asistenciales omitan otras instancias. [Más información](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Los ID de ARIA no son únicos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Los ID de ARIA son únicos"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Las tecnologías asistenciales, como los lectores de pantalla, pueden leer de forma confusa los campos de formulario que tienen varias etiquetas, ya que pueden usar la primera etiqueta, la última o todas. [Más información](https://web.dev/form-field-multiple-labels/)"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Los campos de formulario tienen varias etiquetas"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Ningún campo de formulario tiene varias etiquetas"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Los usuarios de lectores de pantalla confían en que los títulos describan el contenido de los marcos. [Más información](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Los elementos `<frame>` o `<iframe>` no tienen título"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Los elementos `<frame>` o `<iframe>` tienen un título"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"Los títulos ordenados correctamente que no saltan niveles transmiten la estructura semántica de la página, lo que facilita la navegación y la comprensión para los usuarios que usan tecnologías asistenciales. [Más información](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Los elementos de título no aparecen en orden secuencial descendente"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Los elementos de título aparecen en orden secuencial descendente"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Si no se especifica ningún atributo de idioma en una página, el lector de pantalla asumirá que la página está en el idioma predeterminado que el usuario eligió al configurarlo. Si el idioma de la página es diferente del predeterminado, es posible que el lector de pantalla no lea correctamente el texto de la página. [Más información](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"El elemento `<html>` no tiene un atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"El elemento `<html>` tiene un atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Especificar un [idioma BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido permite a los lectores de pantalla leer el texto correctamente en voz alta. [Más información](https://web.dev/html-lang-valid/)"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"El valor del atributo `[lang]` del elemento `<html>` no es válido."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"El atributo `[lang]` del elemento `<html>` tiene un valor válido"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:'Los elementos informativos deberían incluir textos alternativos cortos y descriptivos. Los elementos decorativos se pueden omitir usando un atributo "alt" vacío. [Más información](https://web.dev/image-alt/)'},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Los elementos de imagen no tienen ningún atributo `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Los elementos de imagen tienen atributos `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Cuando se usa una imagen como botón `<input>`, resulta útil proporcionar un texto alternativo para permitir que los usuarios de lectores de pantalla entiendan cuál es la función del botón. [Más información](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Los elementos `<input type="image">` no tienen texto `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Los elementos `<input type="image">` contienen texto `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Las etiquetas facilitan que las tecnologías de asistencia, como los lectores de pantalla, puedan leer los controles de los formularios de forma correcta. [Más información](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Los elementos de formulario no tienen ninguna etiqueta asociada"},
"lighthouse-core/audits/accessibility/label.js | title":{message:"Los elementos de formulario tienen etiquetas asociadas"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Usar textos de enlace (y textos alternativos para las imágenes, si estas se usan como enlaces) que sean reconocibles, únicos y que se puedan seleccionar mejora la experiencia de navegación de los usuarios de lectores de pantalla. [Más información](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Los enlaces no tienen nombres reconocibles"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Los enlaces tienen nombres reconocibles"},"lighthouse-core/audits/accessibility/list.js | description":{
message:"Los lectores de pantalla leen las listas en voz alta de una forma concreta. Se recomienda utilizar una estructura de listas adecuada para que los lectores de pantalla puedan leer las listas de forma correcta. [Más información](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Las listas no contienen únicamente elementos `<li>` y elementos que admiten secuencias de comandos (`<script>` y `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Las listas contienen únicamente elementos `<li>` y elementos que admiten secuencias de comandos (`<script>` y `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Los lectores de pantalla requieren que los elementos de lista (`<li>`) estén incluidos dentro de un elemento `<ul>` o `<ol>` principal para poder leerlos correctamente en voz alta. [Más información](https://web.dev/listitem/)"},
"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Los elementos de lista (`<li>`) no están incluidos dentro de elementos principales `<ul>` o `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Los elementos de lista (`<li>`) están incluidos dentro de los elementos principales `<ul>` o `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Los usuarios no esperan que las páginas se actualicen automáticamente; si es así, se les volverá a dirigir a la parte superior de la página. Esto puede dar lugar a una experiencia frustrante o confusa. [Más información](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'El documento usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'El documento no usa `<meta http-equiv="refresh">`'},
"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Inhabilitar el zoom provoca problemas a los usuarios con visión reducida que necesitan ampliar la pantalla para poder ver correctamente el contenido de las páginas web. [Más información](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'El atributo `[user-scalable="no"]` se usa en el elemento `<meta name="viewport">` o el valor del atributo `[maximum-scale]` es inferior a 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` no se utiliza en el elemento `<meta name="viewport">` y el valor del atributo `[maximum-scale]` no es inferior a 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Los lectores de pantalla no pueden traducir contenido que no sea texto. Al añadir texto alternativo a los elementos `<object>`, los lectores de pantalla podrán transmitir su significado a los usuarios. [Más información](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Los elementos `<object>` no tienen texto `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Los elementos `<object>` contienen texto `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Si el valor es superior a 0, significa que el orden de navegación es explícito. Aunque técnicamente es válido, esto suele producir experiencias frustrantes para los usuarios que necesitan usar tecnologías de asistencia. [Más información](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Algunos elementos tienen un valor de `[tabindex]` superior a 0"},
"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"No hay ningún elemento con un valor de `[tabindex]` superior a 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Los lectores de pantalla incluyen funciones para facilitar la navegación por las tablas. Asegurarse de que las celdas `<td>` que usan el atributo `[headers]` solo hacen referencia a otras celdas de la misma tabla mejora la experiencia de los usuarios de lectores de pantalla. [Más información](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Las celdas de un elemento `<table>` que usan el atributo `[headers]` hacen referencia a un elemento `id` que no se encuentra en la misma tabla."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Las celdas de un elemento `<table>` que usan el atributo `[headers]` hacen referencia a otras celdas de la misma tabla."},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Los lectores de pantalla incluyen funciones para facilitar la navegación por las tablas. Si te aseguras de que los encabezados de las tablas siempre hagan referencia a un conjunto de celdas, puedes mejorar la experiencia de los usuarios de lectores de pantalla. [Más información](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Los elementos `<th>` y los elementos con `[role="columnheader"/"rowheader"]` no contienen las celdas de datos que describen.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Los elementos `<th>` y los elementos con atributos `[role="columnheader"/"rowheader"]` contienen las celdas de datos que describen.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Especificar un [idioma BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) en los elementos ayuda a asegurar que los lectores de pantalla pronuncien correctamente las palabras del texto. [Más información](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Los atributos `[lang]` no tienen un valor válido"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Los atributos `[lang]` tienen un valor válido"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Si un vídeo tiene subtítulos, los usuarios sordos o con problemas auditivos pueden acceder a la información con más facilidad. [Más información](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Los elementos `<video>` no contienen ningún elemento `<track>` con el atributo `[kind="captions"]`.'},
"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Los elementos `<video>` contienen un elemento `<track>` con el atributo `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Para que el aspecto en iOS sea perfecto cuando los usuarios añadan una aplicación web progresiva a la pantalla de inicio, define un `apple-touch-icon`. Debe apuntar a una imagen PNG cuadrada de 192 px (o 180 px) que sea opaca. [Más información](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"No proporciona un `apple-touch-icon` válido"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` está obsoleto; se recomienda usar `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Proporciona un `apple-touch-icon` válido"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valor actual"},
"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Token sugerido"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` ayuda a los usuarios a enviar formularios más rápido. Para reducir el esfuerzo de los usuarios, considera habilitarlo definiendo un valor válido para el atributo `autocomplete`. [Más información](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Los elementos `<input>` no tienen los atributos `autocomplete` correctos"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Requiere revisión manual"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Revisa el orden de los tokens"},"lighthouse-core/audits/autocomplete.js | title":{message:"Los elementos `<input>` usan `autocomplete` correctamente"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'Tokens de `autocomplete`: "{token}" no es válido en {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Revisa el orden de tokens: "{tokens}" en {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Las extensiones de Chrome han afectado de forma negativa al rendimiento de carga de esta página. Prueba a auditarla en modo incógnito o desde un perfil de Chrome sin extensiones."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Evaluación de la secuencia de comandos"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Análisis de la secuencia de comandos"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Tiempo de CPU total"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Te recomendamos que reduzcas el tiempo de análisis, compilación y ejecución de JavaScript. Para ello, puedes utilizar cargas útiles de JavaScript más pequeñas. [Más información](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Reduce el tiempo de ejecución de JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Tiempo de ejecución de JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Quita los módulos de JavaScript grandes y duplicados de los paquetes para reducir el número de bytes innecesarios que consume la actividad de red. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Quita los módulos duplicados de los paquetes de JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Los GIF de gran tamaño no son eficientes para mostrar contenido animado. Para usar menos bytes de la red, te recomendamos que utilices los formatos de vídeo MPEG4 o WebM para incluir animaciones y los formatos PNG o WebP para añadir imágenes estáticas en lugar del formato GIF. [Más información](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Usa formatos de vídeo para incluir contenido animado"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Los polyfills y los transforms permiten que los navegadores antiguos utilicen las nuevas funciones de JavaScript. Sin embargo, muchos de estos polyfills y transforms no son necesarios para los navegadores nuevos. Para tu JavaScript empaquetado, adopta una estrategia moderna de implementación de secuencias de comandos usando la detección de funciones module/nomodule para reducir la cantidad de código que se envía a los navegadores modernos sin perder la compatibilidad con los navegadores antiguos. [Más información](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Evita usar JavaScript antiguo en navegadores modernos"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Los formatos JPEG 2000, JPEG XR y WebP comprimen mejor las imágenes que los formatos PNG o JPEG, lo que hace que se descarguen más rápido y consuman menos datos. [Más información](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Publica imágenes con formatos de próxima generación"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Te recomendamos que uses la carga diferida con imágenes ocultas y que no aparecen en pantalla una vez que todos los recursos críticos hayan terminado de cargarse para reducir el tiempo que pasa hasta que la página es interactiva. [Más información](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Pospón la carga de imágenes que no aparecen en pantalla"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Hay recursos que bloquean el primer renderizado de la página. Te recomendamos que muestres los elementos de JavaScript y CSS críticos insertados y pospongas todos los que no sean esenciales. [Más información](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimina los recursos que bloqueen el renderizado"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Si la carga útil de la red es muy grande, los usuarios consumen más datos móviles y las páginas tardan más en cargarse. [Más información](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Tamaño total: {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evita cargas útiles de red de gran tamaño"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Evita cargas útiles de red de gran tamaño"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Si minificas los archivos CSS, se puede reducir el tamaño de la carga útil de la red. [Más información](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minifica los archivos CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Si minificas los archivos de JavaScript, se puede reducir el tamaño de la carga útil y el tiempo de análisis de la secuencia de comandos. [Más información](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minifica los recursos JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Reduce las reglas que no se usen de las hojas de estilo y retrasa las CSS que no se utilicen para el contenido de la parte visible a primera vista. Así, se reducirán los bytes consumidos por la actividad de red. [Más información](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduce el contenido CSS que no se use"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reduce el contenido JavaScript que no se use y retrasa la carga de secuencias de comandos hasta que se necesiten. Así, se reducirán los bytes consumidos por la actividad de red. [Más información](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduce el contenido JavaScript que no se use"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Una duración en caché más larga puede aumentar el número de visitas repetidas a tu página. [Más información](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Se ha encontrado 1 recurso}other{Se han encontrado # recursos}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Publica recursos estáticos con una política de caché eficaz"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Usa una política de caché eficaz en recursos estáticos"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Las imágenes optimizadas se cargan más rápido y consumen menos datos móviles. [Más información](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Codifica las imágenes de forma eficaz"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Muestra imágenes con un tamaño adecuado para ahorrar datos móviles y mejorar el tiempo de carga. [Más información](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Usa un tamaño adecuado para las imágenes"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Los recursos de texto se deberían publicar comprimidos (gzip, deflate o brotli) para minimizar el total de bytes de la red. [Más información](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Habilita la compresión de texto"},"lighthouse-core/audits/content-width.js | description":{
message:"Si el ancho del contenido de tu aplicación no coincide con el ancho del viewport, es posible que no esté optimizada para pantallas de dispositivos móviles. [Más información](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"El tamaño del viewport es de {innerWidth} px y no coincide con el de la ventana, que es de {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"El contenido no tiene el tamaño adecuado para el viewport"},"lighthouse-core/audits/content-width.js | title":{message:"El contenido tiene el tamaño adecuado para el viewport"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Las cadenas de solicitud crítica que se muestran a continuación indican qué recursos son de alta prioridad. Te recomendamos que reduzcas la longitud de las cadenas, disminuyas el tamaño de los recursos o pospongas la descarga de recursos innecesarios para mejorar la carga de la página. [Más información](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Se ha encontrado 1 cadena}other{Se han encontrado # cadenas}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Evita encadenar solicitudes críticas"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravedad"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Una política de seguridad de contenido (CSP) sólida reduce considerablemente el riesgo de ataques de cross-site scripting (XSS). [Más información](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaxis"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"La página contiene una CSP definida en una etiqueta <meta>. Si puedes, te recomendamos definir la CSP en un encabezado HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"No se ha encontrado ninguna CSP en el modo obligatorio"},"lighthouse-core/audits/csp-xss.js | title":{message:"Asegura que la CSP sea efectiva frente a ataques XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Desactivación/Advertencia"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Línea"},"lighthouse-core/audits/deprecations.js | description":{
message:"Las API obsoletas se eliminarán del navegador en el futuro. [Más información](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Se ha encontrado 1 advertencia}other{Se han encontrado # advertencias}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Usa API obsoletas"},"lighthouse-core/audits/deprecations.js | title":{message:"Evita las API obsoletas"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"La caché de aplicación está obsoleta. [Más información](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Se ha detectado "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Usa caché de aplicación"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Evita la caché de aplicación"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Es necesario declarar una codificación de caracteres. Puedes hacerlo utilizando una etiqueta `<meta>` situada en los primeros 1024 bytes del código HTML o en el encabezado de respuesta HTTP Content-Type. [Más información](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Falta la declaración del conjunto de caracteres o se ha definido demasiado tarde en el código HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"El conjunto de caracteres está definido correctamente"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Especificar un DOCTYPE evita que el navegador cambie al modo Quirks. [Más información](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"El nombre del DOCTYPE debe ser la cadena `html` en minúsculas"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"El documento debe contener un elemento DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Se esperaba que publicId fuera una cadena vacía"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Se esperaba que systemId fuera una cadena vacía"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"A la página le falta el DOCTYPE de HTML, por lo que se ha activado el modo Quirks"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"La página tiene el DOCTYPE de HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Estadística"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valor"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Los DOM de gran tamaño aumentan el uso de memoria, hacen que los [cálculos de estilo](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) duren más y generan costosos [reinicios del flujo del diseño](https://developers.google.com/speed/articles/reflow). [Más información](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elemento}other{# elementos}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evita un tamaño excesivo de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profundidad máxima de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total de elementos DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Número máximo de elementos secundarios"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Evita un tamaño excesivo de DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Anclas con errores"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Añade `rel="noopener"` o `rel="noreferrer"` a cualquier enlace externo para mejorar el rendimiento y evitar vulnerabilidades de seguridad. [Más información](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Los enlaces a destinos de origen cruzado no son seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Los enlaces a destinos de origen cruzado son seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"No se ha podido determinar el destino del enlace ({anchorHTML}). Si no se usa como hiperenlace, se recomienda eliminar el atributo target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Los usuarios dudan o desconfían de los sitios web que solicitan su ubicación sin contexto. Como alternativa, puedes vincular la solicitud a una acción del usuario. [Más información](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Solicita el permiso de geolocalización al cargar la página"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evita solicitar el permiso de geolocalización al cargar la página"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipo de problema"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Los problemas registrados en el panel `Issues` de las herramientas para desarrolladores de Chrome indican que hay errores sin resolver. Pueden proceder de solicitudes fallidas de red, controles de seguridad insuficientes y otros errores del navegador. Abre el panel Issues de las herramientas para desarrolladores de Chrome para obtener más información sobre cada error."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Se han registrado problemas en el panel `Issues` de las herramientas para desarrolladores de Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloqueado por la política de orígenes cruzados"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Uso intenso de recursos por parte de anuncios"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{
message:"No hay ningún problema en el panel `Issues` de las herramientas para desarrolladores de Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versión"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Todas las bibliotecas frontend de JavaScript detectadas en la página. [Más información](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Bibliotecas de JavaScript detectadas"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Las secuencias de comandos externas inyectadas dinámicamente mediante `document.write()` pueden retrasar la carga de la página varias decenas de segundos en conexiones lentas. [Más información](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evitar `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{
message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Gravedad máxima"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Versión de la biblioteca"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Número de vulnerabilidades"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Algunas secuencias de comandos externas pueden contener vulnerabilidades de seguridad conocidas que pueden ser detectadas y aprovechadas por los atacantes. [Más información](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 vulnerabilidad detectada}other{# vulnerabilidades detectadas}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{
message:"Incluye bibliotecas en el frontend de JavaScript con vulnerabilidades de seguridad conocidas"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Evita en el frontend las bibliotecas de JavaScript con vulnerabilidades de seguridad conocidas"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Los usuarios dudan o desconfían de los sitios web que solicitan enviar notificaciones sin contexto. Como alternativa, puedes vincular la solicitud a los gestos de los usuarios. [Más información](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Solicita el permiso de notificación al cargar la página"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evita solicitar el permiso de notificación al cargar la página"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Evitar que se pueda pegar texto en el campo de contraseña debilita una buena política de seguridad. [Más información](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Impide que los usuarios peguen texto en los campos de contraseña"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Permite que los usuarios peguen texto en los campos de contraseña"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocolo"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ofrece muchas ventajas con respecto a HTTP/1.1, como los encabezados binarios y la multiplexación. [Más información](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 solicitud no atendida mediante HTTP/2}other{# solicitudes no atendidas mediante HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Usa HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Se recomienda que los procesadores de eventos táctiles y de la rueda sean `passive` para mejorar el desplazamiento de tu página. [Más información](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"No usa listeners pasivos para mejorar el desplazamiento"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Usa listeners pasivos para mejorar el desplazamiento"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Los errores registrados en la consola indican que hay problemas sin resolver. Pueden proceder de solicitudes fallidas de la red y otros errores del navegador. [Más información](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Se han registrado errores del navegador en la consola"},"lighthouse-core/audits/errors-in-console.js | title":{message:"No se ha registrado en la consola ningún error del navegador"},"lighthouse-core/audits/font-display.js | description":{message:'Utiliza la característica de CSS "font-display" para que los usuarios vean el texto mientras se carga la fuente web. [Más información](https://web.dev/font-display/)'},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Asegúrate de que el texto permanece visible mientras se carga la fuente web"},"lighthouse-core/audits/font-display.js | title":{message:"Todo el texto permanece visible mientras se carga la fuente web"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse no ha podido comprobar automáticamente el valor `font-display` de la URL de origen: {fontOrigin}.}other{Lighthouse no ha podido comprobar automáticamente los valores `font-display` de la URL de origen: {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Relación de aspecto (real)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Relación de aspecto (mostrada)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Las dimensiones de las imágenes mostradas deberían mantener su relación de aspecto natural. [Más información](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Muestra imágenes con una relación de aspecto incorrecta"},"lighthouse-core/audits/image-aspect-ratio.js | title":{
message:"Muestra imágenes con la relación de aspecto adecuada"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Tamaño real"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Tamaño mostrado"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Tamaño esperado"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Para mejorar la claridad de la imagen, las dimensiones normales de la imagen deberían ser proporcionales al tamaño de la pantalla y a la proporción de píxeles. [Más información](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Muestra imágenes con una resolución baja"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Muestra imágenes con una resolución adecuada"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"La aplicación ya está instalada"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"No se ha podido descargar un icono necesario del archivo de manifiesto"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motivo del error"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker es la tecnología que te permite usar en tu aplicación las funciones de las aplicaciones web progresivas, como el modo sin conexión, las notificaciones push y la posibilidad de añadir tu aplicación a la pantalla de inicio. Si el service worker y el archivo de manifiesto se implementan de forma adecuada, los navegadores pueden preguntar a los usuarios si quieren añadir tu aplicación a su pantalla de inicio, lo que puede incrementar el número de interacciones. [Más información](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 motivo}other{# motivos}}"},
"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"El archivo de manifiesto de la aplicación web o el service worker no cumplen los requisitos de instalación"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"La URL de Play Store de la aplicación y el ID de Play Store no coinciden"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"La página se ha cargado en una ventana de incógnito"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'La propiedad "display" del archivo de manifiesto debe tener el valor "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'El archivo de manifiesto contiene el campo "display_override", y el primer modo de visualización admitido debe ser "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{
message:"El archivo de manifiesto no se ha podido obtener, está vacío o no se ha podido analizar"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"La URL del archivo de manifiesto ha cambiado mientras se estaba obteniendo el archivo de manifiesto."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'El archivo de manifiesto no contiene ningún campo "name" ni "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'El archivo de manifiesto no contiene un icono apto. Debe estar en formato PNG, SVG o WebP de al menos {value0} píxeles, debe definirse el atributo "sizes" y, si se define el atributo "purpose", debe tener el valor "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{
message:'Ninguno de los iconos proporcionados tiene al menos {value0} píxeles en formato de imagen cuadrada PNG, SVG o WebP, con el atributo "purpose" sin definir o definido con el valor "any".'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"El icono descargado estaba vacío o dañado"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"No se ha proporcionado ningún ID de Play Store"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"La página no tiene ninguna URL del archivo de manifiesto <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"No se ha detectado ningún service worker que coincida. Es posible que tengas que volver a cargar la página, o comprueba que el alcance del service worker en la página actual incluya el alcance y la URL de inicio del archivo de manifiesto."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{
message:'No se ha podido comprobar el service worker porque no hay ningún campo "start_url" en el archivo de manifiesto'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'No se reconoce el ID de error de instalación "{errorId}"'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"La página no está alojada en un origen seguro"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"La página no se ha cargado en el marco principal"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"La página no funciona sin conexión"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"La plataforma de aplicaciones especificada no es compatible con Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:'El archivo de manifiesto especifica que "prefer_related_applications" tiene el valor true'},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:'"prefer_related_applications" solo es compatible con Chrome Beta y con canales estables de Android.'},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"La URL de inicio del archivo de manifiesto no es válida"},"lighthouse-core/audits/installable-manifest.js | title":{message:"El archivo de manifiesto de la aplicación web y el service worker cumplen los requisitos de instalación"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Una URL del archivo de manifiesto contiene un nombre de usuario, una contraseña o un puerto"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"La página no funciona sin conexión. La página no se considerará instalable a partir de Chrome 93, la versión estable de agosto del 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Permitida"
},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloqueada"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL poco segura"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Resolución de solicitudes"},"lighthouse-core/audits/is-on-https.js | description":{message:"Todos los sitios web deberían estar protegidos con el protocolo HTTPS, incluso los que no gestionen datos sensibles. Esto incluye evitar el [contenido mixto](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), en el que algunos recursos se cargan mediante HTTP a pesar de que la solicitud inicial se haya servido mediante HTTPS. HTTPS evita que los intrusos manipulen o escuchen de forma pasiva las comunicaciones entre tu aplicación y tus usuarios. Además, es un requisito previo para poder usar HTTP/2 y las API de muchas plataformas web nuevas. [Más información](https://web.dev/is-on-https/)"},
"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Se ha encontrado 1 solicitud poco segura}other{Se han encontrado # solicitudes poco seguras}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"No usa HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Usa HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Actualizada a HTTPS automáticamente"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Permitida con advertencia"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteca"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"Las bibliotecas de JavaScript de gran tamaño pueden reducir el rendimiento. Elige bibliotecas más pequeñas y funcionalmente equivalentes para reducir el tamaño del paquete. [Más información](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 biblioteca de tamaño grande encontrada}other{# bibliotecas de tamaño grande encontradas}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Sustituye las bibliotecas de JavaScript innecesariamente grandes"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evita las bibliotecas de JavaScript de gran tamaño con alternativas más pequeñas"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{
message:"Este es el mayor elemento con contenido renderizado en el viewport. [Más información](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Renderizado del mayor elemento con contenido"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribución al CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Estos elementos DOM son los que más contribuyen al CLS de la página."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Evitar cambios de diseño importantes"},"lighthouse-core/audits/long-tasks.js | description":{message:"Enumera las tareas más largas del hilo principal, lo cual es útil para identificar las que más contribuyen a la latencia. [Más información](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{
message:"{itemCount,plural, =1{# tarea larga encontrada}other{# tareas largas encontradas}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evita tareas largas del hilo principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categoría"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Te recomendamos que reduzcas el tiempo de análisis, compilación y ejecución de JavaScript. Para ello, puedes utilizar cargas útiles de JavaScript más pequeñas. [Más información](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimiza el trabajo del hilo principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimiza el trabajo del hilo principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{
message:"Para llegar al mayor número de usuarios, los sitios web deben funcionar en los navegadores más habituales. [Más información](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"El sitio web funciona en diferentes navegadores"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Asegúrate de que cada página permita generar un enlace profundo en forma de URL, y de que dichas URL se utilicen solo para compartir las páginas fácilmente en las redes sociales. [Más información](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Cada página tiene una URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Las transiciones deberían ser rápidas al tocar en diferentes partes de la aplicación, incluso si la red es lenta. Esta experiencia es fundamental para la percepción del usuario sobre el funcionamiento de la aplicación. [Más información](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"No parece que se bloqueen las transiciones de la página en la red"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Los iconos adaptables permiten que la imagen ocupe toda la forma sin que se produzca un efecto panorámico al instalar la aplicación en un dispositivo. [Más información](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"El archivo de manifiesto no tiene un icono adaptable"},"lighthouse-core/audits/maskable-icon.js | title":{message:"El archivo de manifiesto tiene un icono adaptable"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Los cambios de diseño acumulados miden el movimiento de los elementos visibles dentro de la ventana gráfica. [Más información](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"El primer renderizado con contenido indica el momento en el que se renderiza el primer texto o la primera imagen. [Más información](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"El primer renderizado significativo mide el momento en que se muestra el contenido principal de la página. [Más información](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"El tiempo hasta que está interactiva es el tiempo que tarda una página en ser totalmente interactiva. [Más información](https://web.dev/interactive/)"},
"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"El renderizado del mayor elemento con contenido indica el tiempo que se tarda en dibujar el texto o la imagen de mayor tamaño. [Más información](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"La latencia potencial máxima de la primera interacción que podrían experimentar los usuarios es la duración de la tarea más larga. [Más información](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"El índice de velocidad indica la rapidez con la que se puede ver el contenido de una página. [Más información](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Suma de los periodos, en milisegundos, entre FCP y Time to Interactive cuando la duración de la tarea excede los 50 ms. [Más información](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{message:"Los tiempos de ida y vuelta (RTT) de la red afectan mucho al rendimiento. Un RTT alto hasta un origen indica que usar servidores más cercanos al usuario podría mejorar el rendimiento. [Más información](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Tiempos de ida y vuelta de la red"},"lighthouse-core/audits/network-server-latency.js | description":{message:"La latencia del servidor puede afectar al rendimiento del sitio web. Una latencia del servidor alta en un origen indica que el servidor está sobrecargado o que su rendimiento de backend es bajo. [Más información](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},
"lighthouse-core/audits/network-server-latency.js | title":{message:"Latencias de backend del servidor"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"El evento `unload` no se activa de manera fiable y esperar a que se detecte puede impedir optimizaciones del navegador, como la caché de páginas completas. Considera usar los eventos `pagehide` o `visibilitychange` en su lugar. [Más información](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registra un procesador `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Impide el uso de procesadores de eventos `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Las animaciones no compuestas pueden aparecer entrecortadas e incrementar el CLS. [Más información](https://web.dev/non-composited-animations)"},
"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# elemento animado encontrado}other{# elementos animados encontrados}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:'La propiedad "filter" relacionada puede tener píxeles en movimiento'},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"El destino contiene otra animación no compatible"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'El efecto tiene un modo compuesto distinto de "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Evita las animaciones no compuestas"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:'La propiedad "transform" relacionada depende del tamaño de la caja'},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Propiedad CSS no admitida: {properties}}other{Propiedades CSS no admitidas: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Este efecto incluye parámetros de temporización no compatibles"},"lighthouse-core/audits/performance-budget.js | description":{message:"Mantiene la cantidad y el tamaño de las solicitudes de red por debajo de los límites definidos en los límites de rendimiento. [Más información](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 solicitud}other{# solicitudes}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Límites de rendimiento"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Precarga las fuentes `optional` para que los usuarios puedan utilizarlas en su primera visita. [Más información](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Las fuentes con `font-display: optional` no están precargadas"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Se han precargado las fuentes con `font-display: optional`"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Precarga la imagen usada por el elemento LCP (renderizado del mayor elemento con contenido) para mejorar el tiempo de LCP. [Más información](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Precargar la imagen de renderizado del mayor elemento con contenido"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Si ya has configurado HTTPS, asegúrate de redireccionar todo el tráfico HTTP a HTTPS a fin de habilitar funciones web seguras para todos los usuarios. [Más información](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"No redirige el tráfico HTTP a HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redirige el tráfico HTTP a HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Las redirecciones provocan retrasos adicionales antes de que la página se pueda cargar. [Más información](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Evita que haya varias redirecciones de página"},"lighthouse-core/audits/resource-summary.js | description":{message:"Para definir la cantidad y el tamaño de los recursos de la página, añade un archivo budget.json. [Más información](https://web.dev/use-lighthouse-for-performance-budgets/)"},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 solicitud • {byteCount, number, bytes} KiB}other{# solicitudes • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Reduce el número de solicitudes y el tamaño de las transferencias"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Los enlaces canónicos sugieren qué URL se debe mostrar en los resultados de búsqueda. [Más información](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Varias URL en conflicto ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Dirige a un dominio diferente ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"La URL no es válida ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Apunta a una ubicación de `hreflang` distinta ({url})"
},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relativa ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Apunta a la URL raíz del dominio (la página principal), en lugar de a una página de contenido equivalente"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"El documento no tiene un atributo `rel=canonical` válido"},"lighthouse-core/audits/seo/canonical.js | title":{message:"El documento tiene un atributo `rel=canonical` válido"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Enlace no rastreable"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Es posible que los buscadores usen atributos `href` en los enlaces para rastrear sitios web. Asegúrate de que el atributo `href` de los elementos de anclaje enlace con un destino adecuado para que se puedan descubrir más páginas del sitio web. [Más información](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Los enlaces no son rastreables"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Los enlaces son rastreables"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Texto ilegible adicional"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Tamaño de la fuente"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% de texto de página"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Las fuentes con un tamaño inferior a 12 px son demasiado pequeñas y poco legibles, lo que obliga a los visitantes que acceden con dispositivos móviles a pellizcar la pantalla para ampliarla y poder leer el texto. Intenta que más del 60 % del texto de la página tenga un tamaño igual o superior a 12 px. [Más información](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"El {decimalProportion, number, extendedPercent} del texto es legible"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"El texto es ilegible porque no hay metaetiquetas de viewport optimizadas para pantallas de dispositivos móviles."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"El documento no usa tamaños de fuente legibles"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Texto legible"},"lighthouse-core/audits/seo/font-size.js | title":{message:"El documento usa tamaños de fuente legibles"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:'Los enlaces "hreflang" indican a los buscadores qué versiones de las páginas deben incluir en los resultados de búsqueda de una región o un idioma determinados. [Más información](https://web.dev/hreflang/)'},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"El atributo `hreflang` del documento no es válido"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valor href relativo"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"El documento tiene un atributo `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Código de idioma inesperado"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Es posible que las páginas con códigos de estado HTTP no válidos no estén bien indexadas. [Más información](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"El código de estado HTTP de la página no es válido"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"El código de estado HTTP de la página es válido"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Los buscadores no pueden incluir tus páginas en los resultados de búsqueda si no tienen permiso para rastrearlas. [Más información](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Se ha bloqueado la indexación de la página"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"No se ha bloqueado la indexación de la página"},"lighthouse-core/audits/seo/link-text.js | description":{message:"El texto descriptivo de los enlaces ayuda a los buscadores a entender tu contenido. [Más información](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 enlace encontrado}other{# enlaces encontrados}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Los enlaces no tienen texto descriptivo"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Los enlaces tienen texto descriptivo"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Ejecuta la [Herramienta de prueba de datos estructurados](https://search.google.com/structured-data/testing-tool/) y la herramienta [Structured Data Linter](http://linter.structured-data.org/) para validar los datos estructurados. [Más información](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Los datos estructurados son válidos"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Se pueden incluir metadescripciones en los resultados de búsqueda para resumir brevemente el contenido de la página. [Más información](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{
message:"El texto de la descripción está vacío."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"El documento no tiene una metadescripción"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"El documento tiene una metadescripción"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Los buscadores no pueden indexar el contenido de los complementos, y muchos dispositivos limitan el uso de complementos o no los admiten. [Más información](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"El documento usa complementos"},"lighthouse-core/audits/seo/plugins.js | title":{message:"El documento no usa complementos"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Si el formato del archivo robots.txt no es correcto, es posible que los rastreadores no puedan interpretar cómo quieres que se rastree o indexe tu sitio web. [Más información](https://web.dev/robots-txt/)"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"La solicitud de robots.txt ha devuelto el siguiente código de estado HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 error encontrado}other{# errores encontrados}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse no ha podido descargar un archivo robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt no es válido"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt es válido"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Los elementos interactivos, como los botones y enlaces, deben ser lo suficientemente grandes (48x48 px) y tener suficiente espacio alrededor para poder tocarlos con facilidad sin superponerse con otros elementos. [Más información](https://web.dev/tap-targets/)"},
"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"El {decimalProportion, number, percent} de los elementos táctiles tiene un tamaño adecuado"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Los elementos táctiles son demasiado pequeños porque no hay metaetiquetas de viewport optimizadas para pantallas de dispositivos móviles"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"El tamaño de los elementos táctiles no es el adecuado"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Elementos superpuestos"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Elemento táctil"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"El tamaño de los elementos táctiles es el adecuado"},"lighthouse-core/audits/server-response-time.js | description":{
message:"Mantén breve el tiempo de respuesta del servidor para el documento principal, puesto que todas las demás solicitudes dependen de él. [Más información](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"El documento raíz ha tardado {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reducir el tiempo de respuesta inicial del servidor"},"lighthouse-core/audits/server-response-time.js | title":{message:"El tiempo de respuesta inicial del servidor fue breve"},"lighthouse-core/audits/service-worker.js | description":{message:"El service worker es la tecnología que te permite usar las funciones de las aplicaciones web progresivas, como el modo sin conexión, poder añadirlas a la pantalla de inicio y las notificaciones push. [Más información](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"Un service worker controla esta página, pero no se ha encontrado ninguna propiedad `start_url` porque el archivo de manifiesto no es un JSON válido"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Un service worker controla esta página, pero la propiedad `start_url` ({startUrl}) está fuera del rango del service worker ({scopeUrl})."},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Un service worker controla esta página, pero no se ha encontrado la propiedad `start_url` porque no se ha recuperado ningún archivo de manifiesto."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Este origen tiene al menos un service worker, pero la página ({pageUrl}) no está dentro del rango."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"No registra un service worker que controle la página y la propiedad `start_url`"},"lighthouse-core/audits/service-worker.js | title":{
message:"Hay un service worker que controla la página y la propiedad `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Una pantalla de inicio personalizada asegura una experiencia de calidad cuando los usuarios ejecuten tu aplicación desde sus pantallas de inicio. [Más información](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"No se ha configurado para una pantalla de inicio personalizada"},"lighthouse-core/audits/splash-screen.js | title":{message:"Se ha configurado para una pantalla de inicio personalizada"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"El color de la barra de direcciones del navegador puede adaptarse a tu sitio web. [Más información](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"No establece un color personalizado en la barra de direcciones."},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"Establece un color personalizado en la barra de direcciones."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (casos de éxito de clientes)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (medios sociales)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (vídeo)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Producto"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Algunas inserciones de terceros se pueden cargar en diferido. Puedes sustituirlas por una fachada hasta que sean necesarias. [Más información](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# alternativa de fachada disponible}other{# alternativas de fachada disponibles}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Algunos recursos de terceros se pueden cargar en diferido con una fachada"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Cargar recursos de terceros en diferido con fachadas"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Proveedor externo"},"lighthouse-core/audits/third-party-summary.js | description":{message:"El código externo puede afectar mucho a la velocidad de carga. Limita el número de proveedores externos redundantes e intenta cargar el código externo cuando se haya completado la carga principal de tu página. [Más información](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{
message:"El código de un tercero ha bloqueado el hilo principal durante {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduce el impacto del código de terceros"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Reducir el uso de código de terceros"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Medición"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Métrica"},"lighthouse-core/audits/timing-budget.js | description":{message:"Establece límites de tiempo para que te ayuden a controlar el rendimiento de tu sitio web. Los sitios web eficientes cargan su contenido y responden a los eventos de entrada del usuario con rapidez. [Más información](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Límites de tiempo"},"lighthouse-core/audits/unsized-images.js | description":{
message:"En los elementos de imagen, especifica un ancho y una altura explícitos para reducir los cambios de diseño y mejorar el CLS. [Más información](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Los elementos de imagen no tienen `width` y `height` explícitos"},"lighthouse-core/audits/unsized-images.js | title":{message:"Los elementos de imagen tienen `width` y `height` explícitos"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tipo"},"lighthouse-core/audits/user-timings.js | description":{message:"Te recomendamos que uses la API Tiempos de usuario en tu aplicación para calcular su rendimiento real durante las principales experiencias de usuario. [Más información](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 tiempo de usuario}other{# tiempos de usuario}}"},"lighthouse-core/audits/user-timings.js | title":{
message:"Medidas y marcas de User Timing"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Se ha encontrado un elemento `<link rel=preconnect>` para "{securityOrigin}", pero el navegador no lo ha usado. Comprueba que el atributo `crossorigin` se esté usando correctamente.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Puedes añadir sugerencias de recursos `preconnect` o `dns-prefetch` para establecer conexiones previas con orígenes importantes de terceros. [Más información](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Establece conexión previamente con los orígenes necesarios"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Se han encontrado más de 2 conexiones `<link rel=preconnect>`. Se deben usar con moderación y solo deben conectar con los orígenes más importantes."},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Se ha encontrado un elemento `<link rel=preconnect>` para "{securityOrigin}", pero el navegador no lo ha usado. Usa `preconnect` solo para los orígenes importantes que seguramente solicitará la página.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'Se ha encontrado un elemento `<link>` de precarga para "{preloadURL}", pero el navegador no lo ha usado. Comprueba que el atributo `crossorigin` se esté usando correctamente.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Te recomendamos usar `<link rel=preload>` para dar prioridad a los recursos que se solicitan más tarde al cargar la página. [Más información](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Carga previamente las solicitudes clave"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL de mapa"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"Los mapas de origen traducen el código minificado al código fuente original. Esto ayuda a los desarrolladores a depurar en producción. Además, Lighthouse puede proporcionar sugerencias adicionales. Plantéate desplegar mapas de origen para disfrutar de estas ventajas. [Más información](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"No hay mapas de origen para JavaScript propio de gran tamaño"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"La biblioteca de JavaScript de gran tamaño no tiene un mapa de origen"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Advertencia: Falta 1 elemento en `.sourcesContent`}other{Advertencia: Faltan # elementos en `.sourcesContent`}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"La página tiene mapas de origen válidos"},"lighthouse-core/audits/viewport.js | description":{message:'Añade una etiqueta `<meta name="viewport">` para que tu aplicación se vea mejor en las pantallas de los dispositivos móviles. [Más información](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'No se ha encontrado ninguna etiqueta `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'No tiene una etiqueta `<meta name="viewport">` con `width` o `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Contiene una etiqueta `<meta name="viewport">` con `width` o `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"A continuación se indican consejos para optimizar el uso de ARIA en tu aplicación, lo que puede mejorar la experiencia de los usuarios de tecnologías de asistencia, como los lectores de pantalla."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Aquí tienes consejos para proporcionar contenido alternativo para audio y vídeo. Así se puede mejorar la experiencia de los usuarios con dificultades auditivas o visuales."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio y vídeo"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Estos elementos destacan las prácticas recomendadas de accesibilidad más habituales."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Prácticas recomendadas"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Estas comprobaciones incluyen consejos para [mejorar la accesibilidad de tu aplicación web](https://developers.google.com/web/fundamentals/accessibility). Solo se pueden detectar un subconjunto de problemas de accesibilidad de forma automática. Por eso, te recomendamos realizar pruebas manuales."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Estos elementos se ocupan de áreas que las herramientas de prueba automáticas no pueden analizar. Consulta más información sobre cómo [revisar la accesibilidad](https://developers.google.com/web/fundamentals/accessibility/how-to-review) en nuestra guía."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accesibilidad"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"A continuación se indican consejos para facilitar la lectura del contenido."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contraste"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"A continuación se indican consejos para que los usuarios con diversas configuraciones regionales puedan interpretar mejor el contenido de las páginas."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalización y localización"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"A continuación se indican consejos para mejorar la semántica de los controles de tu aplicación. Estos consejos pueden mejorar la experiencia de los usuarios de tecnologías de asistencia, como los lectores de pantalla."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nombres y etiquetas"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Aquí tienes consejos para facilitar el desplazamiento con el teclado en tu aplicación."},
"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navegación"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"A continuación se indican consejos para mejorar la lectura de datos en tablas o en listas con tecnología asistencial, como los lectores de pantalla."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tablas y listas"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilidad con navegadores"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Prácticas recomendadas"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"General"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Confianza y seguridad"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Experiencia de usuario"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Los límites de rendimiento definen los estándares de rendimiento de tu sitio web."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Límites"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Consulta más información sobre el rendimiento de tu aplicación. Estos datos no [afectan directamente](https://web.dev/performance-scoring/) a la puntuación del rendimiento."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnósticos"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"El aspecto más importante del rendimiento es la rapidez con la que se renderizan los píxeles en la pantalla. Métricas clave: Primer renderizado con contenido y Primer renderizado significativo"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{
message:"Mejoras del primer renderizado"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Estas sugerencias pueden ayudar a que tu página cargue más rápido. No [afectan directamente](https://web.dev/performance-scoring/) a la puntuación del rendimiento"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Oportunidades"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Métricas"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Mejora la experiencia de carga general para que la página responda bien y se pueda usar lo antes posible. Métricas clave: Tiempo hasta que está interactiva, Índice de velocidad"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Mejoras generales"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Rendimiento"},
"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Estas comprobaciones se centran en diferentes aspectos de las aplicaciones web progresivas. [Más información](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Estas comprobaciones son necesarias según el documento de referencia [PWA Checklist](https://developers.google.com/web/progressive-web-apps/checklist) (lista de comprobación para aplicaciones web progresivas), pero Lighthouse no las verifica automáticamente. Es importante que las verifiques manualmente (aunque no afectan a la puntuación)."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Aplicación web progresiva"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Instalabilidad"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimizado para PWA"},
"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Estas comprobaciones aseguran que tu página esté optimizada para posicionarse en los resultados de los buscadores. Hay otros factores que Lighthouse no comprueba y que pueden afectar a tu posicionamiento en los buscadores. [Más información](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Ejecuta estos validadores adicionales en tu sitio web para comprobar más prácticas recomendadas de SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Edita el código HTML de tu página web de forma que los rastreadores puedan entender mejor el contenido de tu aplicación."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Prácticas recomendadas de contenido"},
"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Para aparecer en los resultados de búsqueda, los rastreadores necesitan acceder a tu aplicación."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Rastrear e indexar"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Asegúrate de que tus páginas están optimizadas para móviles de forma que los usuarios no tengan que pellizcar la pantalla o ampliarla para poder leer su contenido. [Más información](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Optimización para móviles"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Parece que el dispositivo probado tiene una CPU más lenta de lo que espera Lighthouse. Esto puede afectar negativamente a la puntuación de rendimiento. Más información sobre cómo [calibrar un multiplicador de ralentización de CPU adecuado](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Es posible que la página no se esté cargando correctamente porque la URL de prueba ({requested}) se ha redirigido a {final}. Prueba directamente la segunda URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"La página ha tardado demasiado en cargar como para terminar dentro del límite de tiempo. Es posible que el resultado esté incompleto."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Es posible que algunos datos almacenados hayan afectado al rendimiento de las subidas en esta ubicación: {locations}. Haz una auditoría de esta página en una ventana de incógnito para evitar que esos recursos afecten a tus puntuaciones.}other{Es posible que algunos datos almacenados hayan afectado al rendimiento de las subidas en estas ubicaciones: {locations}. Haz una auditoría de esta página en una ventana de incógnito para evitar que esos recursos afecten a tus puntuaciones.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Puedes añadir esquemas de URL https: y http: (los navegadores que admiten strict-dynamic los ignoran) para que sea retrocompatible con navegadores anteriores."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"La directiva disown-opener está obsoleta desde CSP3. Usa el encabezado Cross-Origin-Opener-Policy en su lugar."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"La directiva referrer está obsoleta desde CSP2. Usa el encabezado Referrer-Policy en su lugar."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"La directiva reflected-xss está obsoleta desde CSP2. Usa el encabezado X-XSS-Protection en su lugar."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"La falta de base-uri permite que las etiquetas <base> insertadas establezcan la URL base para todas las URLs relativas (por ejemplo, secuencias de comandos) en un dominio controlado por un atacante. Puedes asignar el valor 'none' o 'self' a base-uri."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Los elementos que controla la directiva object-src se consideran características antiguas. Puedes asignar el valor none a object-src para evitar la inserción de complementos que ejecuten secuencias de comandos que no son seguras."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"Falta la directiva script-src. Esta directiva permite que se ejecuten secuencias de comandos que no son seguras."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"¿Te has olvidado del punto y coma? Parece que {keyword} es una directiva, no una palabra clave."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Los nonces deben usar el conjunto de caracteres base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Los nonces deben tener un mínimo de 8 caracteres."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"El destino de los informes solo se configura con la directiva report-to. Esta directiva solo la admiten los navegadores Chromium, así que se recomienda usar también una directiva report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"Ninguna CSP proporciona un destino de informes. Por ello, es más difícil mantener la CSP a lo largo del tiempo y monitorizar las vulnerabilidades."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"La lista de hosts permitidos se puede sortear con frecuencia. Puedes usar la directiva strict-dynamic combinada con nonces o hashes de la CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Directiva CSP desconocida."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Parece que {keyword} no es una palabra clave válida."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"La directiva unsafe-inline permite que se ejecuten secuencias de comandos in-page y gestores de eventos que no son seguros. Puedes usar nonces o hashes de CSP para permitir secuencias de comandos individualmente."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:"Puedes añadir la directiva unsafe-inline (los navegadores que admiten nonces o hashes la ignoran) para que sea retrocompatible con navegadores anteriores."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tiempo de bloqueo del hilo principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Tiempo de vida en caché"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descripción"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duración"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemento"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementos con errores"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Ubicación"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nombre"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Por encima del límite"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Solicitudes"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Tamaño del recurso"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tipo de recurso"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Tamaño"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Fuente"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Hora de inicio"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Duración"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Tamaño de la transferencia"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Ahorro potencial"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Ahorro potencial"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Ahorro potencial de {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 elemento encontrado}other{# elementos encontrados}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Ahorro potencial de {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Documento"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Primer renderizado significativo"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Fuente"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Imagen"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Alta"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{
message:"Baja"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Latencia potencial máxima de la primera interacción"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Contenido multimedia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Otros"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Otros recursos"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Secuencia de comandos"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Hoja de estilo"},
"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Recursos externos"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Se ha producido un error al registrar el rastro durante la carga de la página. Ejecuta Lighthouse de nuevo. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Se ha agotado el tiempo de espera de la conexión inicial del protocolo del depurador."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome no ha recopilado ninguna captura de pantalla al cargar la página. Comprueba que haya contenido visible en la página e intenta ejecutar Lighthouse de nuevo. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Los servidores DNS no han podido resolver el dominio proporcionado."},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"No se ha podido recuperar el recurso {artifactName} necesario: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Se ha producido un error interno de Chrome. Reinicia Chrome y prueba a ejecutar Lighthouse de nuevo."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"No se ha podido recuperar el recurso {artifactName} necesario."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"La página no ha renderizado ningún contenido. Comprueba que la ventana del navegador se mantenga en primer plano durante la carga y vuelve a intentarlo. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"La página proporcionada no es HTML (publicada en tipo de MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{
message:"Esta versión de Chrome es demasiado antigua y no es compatible con {featureName}. Usa una versión más reciente para ver resultados completos."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse no ha podido cargar correctamente la página que has solicitado. Comprueba que estás probando la URL correcta y que el servidor responde correctamente a todas las solicitudes."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse no ha podido cargar correctamente la URL que has solicitado porque la página ha dejado de responder."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"La URL que has proporcionado no tiene un certificado de seguridad válido. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome ha evitado la carga de la página con un intersticial. Comprueba que estás probando la URL correcta y que el servidor responde correctamente a todas las solicitudes."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse no ha podido cargar correctamente la página que has solicitado. Comprueba que estás probando la URL correcta y que el servidor responde correctamente a todas las solicitudes. (Detalles: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse no ha podido cargar correctamente la página que has solicitado. Comprueba que estás probando la URL correcta y que el servidor responde correctamente a todas las solicitudes. (Código de estado: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"La página ha tardado demasiado tiempo en cargarse. Sigue los consejos del informe para reducir el tiempo de carga de la página y prueba a ejecutar Lighthouse de nuevo. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Se ha superado el tiempo asignado para la respuesta de protocolo de DevTools. (Método: {protocolMethod})"
},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Se ha superado el tiempo asignado para obtener el contenido de los recursos"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"La URL que has proporcionado no es válida."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Todo"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Todas las secuencias de comandos"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Cobertura"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Módulos duplicados"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bytes del recurso"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nombre"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Mostrar/Ocultar tabla"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Bytes sin usar"},
"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"En el caso del contenido animado, usa [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) para reducir el uso de la CPU mientras el contenido no aparece en pantalla."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Considera mostrar todos los componentes [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) en formatos WebP y especificar una alternativa adecuada para otros navegadores. [Más información](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Comprueba que estés usando [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) para cargar imágenes en diferido. [Más información](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Utiliza herramientas como [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) para [renderizar diseños AMP en el servidor](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consulta la [documentación de AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) para asegurarte de que todos los estilos sean compatibles."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"El componente [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) admite el atributo [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) para especificar las imágenes que se deben usar según el tamaño de la pantalla. [Más información](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Si se están renderizando listas muy largas, puedes usar el desplazamiento virtual con el Component Dev Kit (CDK). [Más información](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"[Divide el código de ruta](https://web.dev/route-level-code-splitting-in-angular/) para reducir el tamaño de los paquetes de JavaScript. También puedes almacenar elementos en caché previamente con el [service worker de Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Si utilizas Angular CLI, asegúrate de que las compilaciones se generen en el modo de producción. [Más información](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Si utilizas Angular CLI, incluye mapas de origen en tu compilación de producción para inspeccionar tus paquetes. [Más información](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Precarga rutas para acelerar la navegación. [Más información](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Puedes usar la utilidad `BreakpointObserver` del Component Dev Kit (CDK) para gestionar los puntos de interrupción de imágenes. [Más información](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Considera subir tu GIF a un servicio que permita insertarlo como un vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Especifica `@font-display` al definir fuentes personalizadas en el tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Considera instalar y configurar [un módulo para aprovechar formatos de imagen WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) en tu sitio web. Estos módulos generan automáticamente una versión WebP de las imágenes cargadas para optimizar los tiempos de carga."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instala [un módulo de Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) que pueda cargar imágenes en diferido. Estos módulos proporcionan la capacidad de posponer las imágenes que no aparecen en pantalla para mejorar el rendimiento."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Considera utilizar un módulo para insertar CSS y JavaScript crítico, o cargar recursos de forma asíncrona mediante JavaScript, como el módulo [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Ten en cuenta que las optimizaciones que ofrece este módulo pueden hacer que tu sitio no funcione correctamente, por lo que es probable que tengas que hacer cambios en el código."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Los temas, los módulos y las especificaciones del servidor afectan al tiempo de respuesta. Considera buscar un tema más optimizado, seleccionar un módulo de optimización pertinente o actualizar tu servidor. Tus servidores de alojamiento deben utilizar almacenamiento en caché de opcode PHP y almacenamiento en caché de memoria para reducir los tiempos de consulta a la base de datos como Redis o Memcached, así como una lógica de aplicaciones optimizada para preparar más rápido las páginas."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Considera utilizar [Estilos de imagen adaptable](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) para reducir el tamaño de las imágenes que se cargan en tu página. Si utilizas Vistas para mostrar varios elementos de contenido en una página, plantéate implementar la paginación para limitar el número de elementos de contenido que se muestran en una página determinada."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Comprueba que has habilitado "Agregar archivos de CSS" en la página Administración > Configuración > Desarrollo. También puedes configurar opciones más avanzadas de agregación mediante [módulos adicionales](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) que pueden concatenar, minificar y comprimir los estilos de CSS para acelerar tu sitio web.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Comprueba que has habilitado "Agregar archivos de JavaScript" en la página Administración > Configuración > Desarrollo. También puedes configurar opciones más avanzadas de agregación mediante [módulos adicionales](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) que pueden concatenar, minificar y comprimir los recursos de JavaScript para acelerar tu sitio web.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Considera eliminar las reglas de CSS no utilizadas y adjunta únicamente las bibliotecas de Drupal necesarias para la página o el componente relevantes de una página. Consulta el [enlace a la documentación de Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para obtener información más detallada. Para identificar las bibliotecas adjuntas que añaden archivos CSS no pertinentes, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o módulo responsable en la URL de la hoja de estilos cuando la agregación de CSS está inhabilitada en tu sitio web de Drupal. Presta atención a los temas o módulos con varias hojas de estilo en la lista y con muchos elementos en rojo en la cobertura de código. Un tema o módulo solo debería poner en cola una hoja de estilos si esta se usa en la página."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Considera eliminar los recursos de JavaScript no utilizados y adjunta únicamente las bibliotecas de Drupal necesarias para la página o el componente correspondientes de una página. Consulta el [enlace a la documentación de Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para obtener información más detallada. Para identificar las bibliotecas adjuntas que añaden archivos de JavaScript no pertinentes, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o módulo responsable en la URL de la secuencia de comandos cuando la agregación de JavaScript está inhabilitada en tu sitio web de Drupal. Presta atención a los temas o módulos con varias secuencias de comandos en la lista y con muchos elementos en rojo en la cobertura de código. Un tema o módulo solo debería poner en cola una secuencia de comandos si esta se usa en la página."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Configura la "Antigüedad máxima de la caché del navegador y el proxy" en la página Administración > Configuración > Desarrollo. Más información sobre [la caché de Drupal y optimizar para el rendimiento](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Puedes utilizar [un módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) que optimice y reduzca automáticamente el tamaño de las imágenes subidas en el sitio web sin perder calidad. Comprueba también que estás utilizando los [estilos de imágenes adaptables](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) proporcionados por Drupal (disponibles en Drupal 8 y versiones posteriores)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Puedes añadir sugerencias de recursos Preconnect o dns-prefetch instalando y configurando [un módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) que proporcione facilidades de sugerencias de recursos para el user-agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Comprueba que estás utilizando los [estilos de imágenes adaptables](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) proporcionados por Drupal (disponibles en Drupal 8 y versiones posteriores). Utiliza los estilos de imágenes adaptables al renderizar campos de imagen en modos de vista, vistas o imágenes subidas a través del editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Considera subir tu GIF a un servicio que permita insertarlo como un vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Considera utilizar un [complemento](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) o servicio que convierta automáticamente las imágenes que subas a los formatos óptimos."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instala un [complemento de carga en diferido de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) con la capacidad de posponer imágenes que no aparecen en pantalla, o cambia a una plantilla que incluya esa función. A partir de Joomla 4.0, todas las imágenes nuevas obtendrán el atributo `loading` [automáticamente](https://github.com/joomla/joomla-cms/pull/30748) del núcleo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Existen varios complementos de Joomla que pueden ayudarte a [insertar recursos fundamentales](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) o a [posponer recursos menos importantes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Ten en cuenta que las optimizaciones que ofrecen estos complementos pueden romper funciones de tus plantillas o complementos, por lo que asegúrate de verificarlas completamente."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Las plantillas, las extensiones y las especificaciones del servidor afectan al tiempo de respuesta. Puedes buscar una plantilla más optimizada, seleccionar una extensión de optimización pertinente o actualizar tu servidor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Puedes mostrar fragmentos en tus categorías de artículos (por ejemplo, mediante un enlace "leer más"), reducir la cantidad de artículos que se muestran en cada página, dividir tus entradas más largas en varias páginas o usar un complemento para posponer la carga de los comentarios.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Hay varias [extensiones de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que pueden concatenar, minificar y comprimir tus estilos para acelerar tu sitio web. También hay plantillas que proporcionan esta funcionalidad."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Hay varias [extensiones de Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que pueden concatenar, minificar y comprimir tus secuencias de comandos para acelerar tu sitio web. También hay plantillas que proporcionan esta funcionalidad."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Puedes reducir o cambiar la cantidad de [extensiones de Joomla](https://extensions.joomla.org/) que cargan archivos CSS sin usar en tu página. Para identificar las extensiones que añaden archivos CSS no pertinentes, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o complemento responsable en la URL de la hoja de estilo. Presta atención a los complementos con varias hojas de estilo en la lista y con muchos elementos en rojo en la cobertura de código. Un complemento solo debería poner en cola una hoja de estilo (si esta se usa en la página)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Considera reducir o cambiar la cantidad de [extensiones de Joomla](https://extensions.joomla.org/) que cargan código de JavaScript sin usar en tu página. Para identificar los complementos que añaden código de JavaScript no pertinente, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar la extensión responsable en la URL de la secuencia de comandos. Presta atención a las extensiones con varias secuencias de comandos en la lista y con muchos elementos en rojo en la cobertura de código. Una extensión solo debería poner en cola una secuencia de comandos si esta se usa en la página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Consulta más información sobre el [almacenamiento en la memoria caché del navegador en Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Considera utilizar un [complemento de optimización de imágenes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que comprima tus imágenes conservando la calidad."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Considera utilizar un [complemento de imágenes adaptables](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) para utilizar imágenes adaptables en tu contenido."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Puedes habilitar la compresión de texto activando la compresión de página Gzip en Joomla (Sistema > Configuración global > Servidor)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Si no vas a agrupar los elementos de JavaScript, puedes usar [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Inhabilita los [paquetes de JavaScript y la minificación](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrados de Magento y, en su lugar, utiliza [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Especifica `@font-display` al [definir fuentes personalizadas](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"En [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp), puedes buscar extensiones de terceros para utilizar formatos de imagen más recientes."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Puedes cambiar tus plantillas de producto y de catálogo para usar la función [carga en diferido](https://web.dev/native-lazy-loading) de la plataforma web."},
"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Usa la [integración Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Habilita la opción Minificar archivos CSS en los ajustes para desarrolladores de tu tienda. [Más información](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Usa [Terser](https://www.npmjs.com/package/terser) para minificar todos los recursos de JavaScript procedentes de implementaciones de contenido estático e inhabilitar la función de minificación integrada."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"Permite inhabilitar los [paquetes de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrados de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"En [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image), puedes encontrar diferentes extensiones de terceros para mejorar imágenes."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Puedes añadir sugerencias de recursos Preconnect o dns-prefetch [modificando el diseño de un tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Es posible añadir etiquetas `<link rel=preload>` [cambiando el diseño de un tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Sustituye los GIF animados por vídeos](https://web.dev/replace-gifs-with-videos/) para cargar las páginas web más rápidamente. También puedes usar formatos de archivo modernos como [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) o [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) para mejorar la eficiencia de compresión más de un 30 % en comparación con VP9, el códec de vídeo de última generación."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Te recomendamos que utilices un [complemento](https://octobercms.com/plugins?search=image) o un servicio que convierta automáticamente a los formatos óptimos las imágenes que subas. Las [imágenes WebP sin pérdida](https://developers.google.com/speed/webp) tienen un tamaño un 26 % inferior en comparación con el formato PNG y entre un 25 % y un 34 % inferior en comparación con las imágenes JPEG con el índice de calidad SSIM equivalente. [AVIF](https://jakearchibald.com/2020/avif-has-landed/) es otro formato de imagen de nueva generación que deberías tener en cuenta."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"Te recomendamos que instales un [complemento de carga en diferido de imágenes](https://octobercms.com/plugins?search=lazy) con la capacidad de posponer imágenes que no aparecen en pantalla, o que cambies a un tema que incluya esa función. También puedes usar el [complemento AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Hay muchos complementos que ayudan a [insertar recursos fundamentales](https://octobercms.com/plugins?search=css). Estos complementos pueden hacer que otros complementos no funcionen correctamente, por lo que deberías probarlos minuciosamente."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"Los temas, los complementos y las especificaciones del servidor afectan al tiempo de respuesta. Te recomendamos que busques un tema más optimizado, que selecciones un complemento de optimización pertinente o que actualices el servidor. El CMS October también permite a los desarrolladores usar [`Queues`](https://octobercms.com/docs/services/queues) para posponer el procesamiento de una tarea que consuma mucho tiempo, como enviar un correo. Esto acelera considerablemente las solicitudes web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"Puedes mostrar fragmentos en tus listas de publicaciones (por ejemplo, mediante un botón `show more`), reducir la cantidad de publicaciones que se muestran en cada página web, dividir las publicaciones largas en varias páginas web o usar un complemento para cargar los comentarios en diferido."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{
message:"Hay muchos [complementos](https://octobercms.com/plugins?search=css) que pueden acelerar un sitio web mediante la concatenación, la minificación y la compresión de estilos. Usar un proceso de compilación para realizar la minificación de forma anticipada puede acelerar el desarrollo."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Hay muchos [complementos](https://octobercms.com/plugins?search=javascript) que pueden acelerar un sitio web mediante la concatenación, la minificación y la compresión de secuencias de comandos. Usar un proceso de compilación para realizar la minificación de forma anticipada puede acelerar el desarrollo."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Puedes comprobar los [complementos](https://octobercms.com/plugins) que cargan archivos CSS sin usar en el sitio web. Para identificar los complementos que añaden archivos CSS innecesarios, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en las herramientas para desarrolladores de Chrome. Identifica el tema o el complemento responsable en la URL de la hoja de estilo. Busca complementos con varias hojas de estilo y muchos elementos en rojo en la cobertura de código. Un complemento solo debería añadir una hoja de estilo si esta se usa en la página web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Te recomendamos que revises los [complementos](https://octobercms.com/plugins?search=javascript) que cargan código de JavaScript sin usar en la página web. Para identificar los complementos que añaden código de JavaScript innecesario, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en las herramientas para desarrolladores de Chrome. Identifica el tema o el complemento responsable en la URL de la secuencia de comandos. Busca complementos con varias secuencias de comandos y muchos elementos en rojo en la cobertura de código. Un complemento solo debería añadir una secuencia de comandos si se usa en la página web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Consulta más información sobre cómo [evitar solicitudes de red innecesarias con la caché de HTTP](https://web.dev/http-cache/#caching-checklist). Hay muchos [complementos](https://octobercms.com/plugins?search=Caching) que se pueden usar para acelerar el almacenamiento en caché."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Te recomendamos que utilices un [complemento de optimización de imágenes](https://octobercms.com/plugins?search=image) que comprima imágenes conservando la calidad."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Sube imágenes directamente al administrador de medios para asegurarte de que los tamaños de imagen necesarios estén disponibles. Te recomendamos que uses el [filtro de modificación de tamaño](https://octobercms.com/docs/markup/filter-resize) o un [complemento de modificación de tamaño de imágenes](https://octobercms.com/plugins?search=image) para asegurarte de que se utilicen los tamaños de imagen óptimos."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Habilita la compresión de texto en la configuración del servidor web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Puedes usar una biblioteca "windowing", como `react-window`, para reducir el número de nodos de DOM creados si vas a renderizar muchos elementos repetidos en una página. [Más información](https://web.dev/virtualize-long-lists-react-window/) También puedes reducir las renderizaciones repetidas e innecesarias usando [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) o [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo), y [evitar los efectos](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) solo hasta que ciertas dependencias hayan cambiado (si estás usando el hook `Effect` para mejorar el rendimiento del tiempo de ejecución).'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Si usas React Router, minimiza el uso del componente `<Redirect>` en el caso de las [navegaciones de ruta](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Si estás renderizando componentes React en el servidor, puedes usar `renderToNodeStream()` o `renderToStaticNodeStream()` para permitir al cliente recibir e hidratar distintas partes de las etiquetas en vez de todas a la vez. [Más información](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Si tu sistema de compilación minifica los archivos CSS automáticamente, comprueba que estés implementando la compilación de producción de tu aplicación. Puedes comprobarlo con la extensión de las herramientas de desarrollo de React. [Más información](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Si tu sistema de compilación minifica los archivos JS automáticamente, comprueba que estés implementando la compilación de producción de tu aplicación. Puedes comprobarlo con la extensión de las herramientas de desarrollo de React. [Más información](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Si no vas a renderizar en el servidor, [divide tus paquetes de JavaScript](https://web.dev/code-splitting-suspense/) con `React.lazy()`. También puedes dividir el código con una biblioteca de terceros, como [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Usa DevTools Profiler de React, que utiliza la API del profiler, para medir el rendimiento de tus componentes al renderizar. [Más información](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Considera subir tu GIF a un servicio que permita insertarlo como un vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Considera utilizar un [complemento](https://wordpress.org/plugins/search/convert+webp/) o servicio que convierta automáticamente las imágenes que subas a los formatos óptimos."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instala un [complemento de carga en diferido de WordPress](https://wordpress.org/plugins/search/lazy+load/) con la capacidad de posponer imágenes que no aparecen en la pantalla, o cambia a un tema con esa función. También puedes usar el [complemento de AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Existen varios complementos de WordPress que pueden ayudarte a [insertar recursos fundamentales](https://wordpress.org/plugins/search/critical+css/) o [posponer recursos menos importantes](https://wordpress.org/plugins/search/defer+css+javascript/). Ten en cuenta que las optimizaciones que ofrecen estos complementos pueden bloquear funciones de tu tema o tus complementos, así que seguramente tengas que hacer cambios en el código."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Los temas, los complementos y las especificaciones del servidor afectan al tiempo de respuesta. Puedes buscar un tema más optimizado, seleccionar un complemento de optimización o actualizar tu servidor."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:'Puedes mostrar fragmentos en tus listas de entradas (por ejemplo, mediante la etiqueta "more"), reducir la cantidad de entradas que se muestran en cada página, dividir tus entradas más largas en múltiples páginas o usar un complemento para posponer la carga de los comentarios.'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Hay varios [complementos de WordPress](https://wordpress.org/plugins/search/minify+css/) que pueden concatenar, minificar y comprimir tus estilos para acelerar tu sitio web. Te recomendamos que, si es posible, uses un proceso de creación para realizar la minificación de forma anticipada."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Hay varios [complementos de WordPress](https://wordpress.org/plugins/search/minify+javascript/) que pueden concatenar, minificar y comprimir tus secuencias de comandos para acelerar tu sitio web. Te recomendamos que, si es posible, uses un proceso de creación para realizar la minificación de forma anticipada."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Puedes reducir o cambiar la cantidad de [complementos de WordPress](https://wordpress.org/plugins/) que cargan archivos CSS sin usar en tu página. Para identificar los complementos que añaden archivos CSS externos, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o complemento concreto en la URL de la hoja de estilo. Presta atención a los complementos con varias hojas de estilo en la lista y con muchos elementos en rojo en la cobertura de código. Un complemento solo debería poner en cola una hoja de estilo (si esta se usa en la página)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Puedes reducir o cambiar la cantidad de [complementos de WordPress](https://wordpress.org/plugins/) que cargan código de JavaScript sin usar en tu página. Para identificar los complementos que añaden código de JavaScript externo, ejecuta la [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) en DevTools de Chrome. Puedes identificar el tema o complemento concreto en la URL de la secuencia de comandos. Presta atención a los complementos con varias secuencias de comandos en la lista y con muchos elementos en rojo en la cobertura de código. Un complemento solo debería poner en cola una secuencia de comandos (si esta se usa en la página)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Consulta más información sobre el [almacenamiento en la memoria caché del navegador en WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Puedes utilizar un [complemento de optimización de imágenes de WordPress](https://wordpress.org/plugins/search/optimize+images/) que comprima tus imágenes conservando la calidad."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Sube imágenes directamente a la [biblioteca multimedia](https://wordpress.org/support/article/media-library-screen/) para asegurarte de que estén disponibles los tamaños de imagen necesarios y, después, insértalas desde esa biblioteca multimedia o utiliza el widget de imagen para usar los tamaños de imagen óptimos (incluidos los tamaños de los puntos de interrupción adaptables). Evita usar imágenes `Full Size`, a no ser que las dimensiones sean las adecuadas para su uso. [Más información](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Puedes habilitar la compresión de texto en la configuración de tu servidor web."},"report/renderer/util.js | calculatorLink":{message:"Ver calculadora."},"report/renderer/util.js | crcInitialNavigation":{message:"Navegación inicial"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latencia de ruta crítica máxima:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copiar JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Activar o desactivar el tema oscuro"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Imprimir versión ampliada"},"report/renderer/util.js | dropdownPrintSummary":{message:"Imprimir resumen"},"report/renderer/util.js | dropdownSaveGist":{message:"Guardar como gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Guardar como HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Guardar como JSON"},
"report/renderer/util.js | dropdownViewer":{message:"Abrir en el visor"},"report/renderer/util.js | errorLabel":{message:"Error"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Error del informe: no hay información de la auditoría"},"report/renderer/util.js | footerIssue":{message:"Notificar un problema"},"report/renderer/util.js | labDataTitle":{message:"Datos de experimentos"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) ha analizado la página actual en una red móvil emulada. Los valores son estimaciones y pueden variar."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Elementos adicionales que se deben comprobar manualmente"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"No aplicable"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Oportunidad"},"report/renderer/util.js | opportunitySavingsColumnLabel":{
message:"Ahorro estimado"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Auditorías aprobadas"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Escritorio emulado"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 emulado"},"report/renderer/util.js | runtimeNoEmulation":{message:"Sin emulación"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versión de Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Potencia de CPU/Memoria"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitación de CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispositivo"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Hora de obtención"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitación de red"},"report/renderer/util.js | runtimeSettingsTitle":{
message:"Ajustes del entorno de ejecución"},"report/renderer/util.js | runtimeSettingsUA":{message:"User-agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User-agent (red)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Desconocido"},"report/renderer/util.js | showRelevantAudits":{message:"Mostrar auditorías relacionadas con:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Ocultar fragmento"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Mostrar fragmento"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Mostrar recursos externos"},"report/renderer/util.js | throttlingProvided":{message:"Proporcionado por el entorno"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Algunos problemas han afectado a la ejecución de Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Los valores son estimaciones y pueden variar. La [puntuación del rendimiento se calcula](https://web.dev/performance-scoring/) directamente a partir de estas métricas."},"report/renderer/util.js | viewTreemapLabel":{message:"Ver gráfico de rectángulos"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Auditorías aprobadas con advertencias"},"report/renderer/util.js | warningHeader":{message:"Advertencias: "}}},{}],113:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Pääsyavaimien avulla käyttäjät voivat nopeasti kohdistaa tiettyyn sivun osaan. Jotta sivulla siirtyminen onnistuu, jokaisen pääsyavaimen on oltava yksilöllinen. [Lue lisää](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]`-arvot eivät ole yksilöllisiä"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]`-arvot ovat yksilöllisiä."},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Jokainen ARIA-`role` tukee tiettyä `aria-*`-määritteiden osaa. Vastaavuusjärjestyksen sekoittaminen mitätöi `aria-*`-määritteet. [Lue lisää](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]`-määritteet eivät vastaa rooleja"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]`-määritteet vastaavat roolejaan"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Jos elementin nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementeillä (`button`, `link` ja `menuitem`) ei ole esteettömiä nimiä"},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementeillä (`button`, `link` ja `menuitem`) on esteettömät nimet"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Näytönlukuohjelmat ja muut avustavat teknologiat toimivat arvaamattomasti, kun `aria-hidden="true"` asetetaan dokumentin kohdassa `<body>`. [Lue lisää](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` on dokumentin kohdassa `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` ei ole dokumentin kohdassa `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Jos `[aria-hidden="true"]`-elementillä on tarkennettavia alaosia, näytönlukuohjelmat ja muut avustavat teknologiat eivät löydä niitä. [Lue lisää](https://web.dev/aria-hidden-focus/).'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]`-elementeissä on tarkennettavia alaosia'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]`-elementeissä ei ole tarkennettavia alaosia'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Jos syötekentän nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA-syötekenttien nimet eivät ole esteettömiä"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA-syötekenttien nimet ovat esteettömiä"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Jos elementin nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA-elementeillä (`meter`) ei ole esteettömiä nimiä"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA-elementeillä (`meter`) on esteettömät nimet"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Jos elementin (`progressbar`) nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA-elementeillä (`progressbar`) ei ole esteettömiä nimiä"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{
message:"ARIA-elementeillä (`progressbar`) on esteettömät nimet"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Joillakin ARIA-rooleilla on pakollisia määritteitä, jotka kuvaavat elementin tilaa näytönlukuohjelmille. [Lue lisää](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`-elementeissä ei ole kaikkia vaadittuja `[aria-*]`-määritteitä"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`-elementeissä on kaikki vaaditut `[aria-*]`-määritteet"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Voidakseen suorittaa esteettömyyteen liittyvät toiminnot joidenkin alatason ARIA-roolien on kuuluttava tiettyihin ylätason rooleihin. [Lue lisää](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"ARIAn `[role]` sisältämät elementit edellyttävät alatasoilta tiettyä elementtiä (`[role]`), mutta se puuttuu osalta tai kaikilta alatasoilta."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"ARIAn `[role]` sisältämät elementit edellyttävät alatasoilta tiettyä elementtiä (`[role]`), joka on kaikilla alatasoilla."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Voidakseen suorittaa esteettömyyteen liittyvät toiminnot joidenkin alatason ARIA-roolien on kuuluttava tiettyihin ylätason rooleihin. [Lue lisää](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`-elementit eivät sisälly niiden pakolliseen ylätason elementtiin"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`-elementit sisältyvät niiden pakolliseen ylätason elementtiin"},
"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Voidakseen suorittaa esteettömyyteen liittyvät toiminnot ARIA-rooleilla on oltava kelvolliset arvot. [Lue lisää](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]`-arvot eivät ole kelvollisia"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]`-arvot ovat kelvollisia"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Jos päälle/pois-kentän nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIAn päälle/pois-kenttien nimet eivät ole esteettömiä"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{
message:"ARIAn päälle/pois-kenttien nimet ovat esteettömiä"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Jos elementin nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA-elementeillä (`tooltip`) ei ole esteettömiä nimiä"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA-elementeillä (`tooltip`) on esteettömät nimet"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Jos elementin nimi ei ole esteetön, näytönlukuohjelmat sanovat sen kohdalla geneerisen nimen, jolloin näytönlukuohjelmien käyttäjät eivät voi käyttää sitä. [Lue lisää](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"ARIA-elementeillä (`treeitem`) ei ole esteettömiä nimiä"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA-elementeillä (`treeitem`) on esteettömät nimet"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Avustustekniikat (kuten näytönlukuohjelmat) eivät voi tulkita ARIA-määritteitä, joissa on virheelliset arvot. [Lue lisää](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]`-määritteiden arvot eivät ole kelvollisia"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]`-määritteiden arvot ovat kelvollisia"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Avustustekniikat (kuten näytönlukuohjelmat) eivät voi tulkita ARIA-määritteitä, joilla on virheelliset nimet. [Lue lisää](https://web.dev/aria-valid-attr/)."},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]`-määritteet eivät ole kelvollisia tai sisältävät kirjoitusvirheitä"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]`-määritteet ovat kelvollisia eivätkä sisällä kirjoitusvirheitä"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Hylätyt elementit"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Kun painikkeen nimi ei ole esteetön, näytönlukuohjelmat ilmoittavat sen painikkeeksi, jolloin se on hyödytön näytönlukuohjelmia tarvitseville käyttäjille. [Lue lisää](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Painikkeiden nimet eivät ole esteettömiä"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Painikkeiden nimet ovat esteettömiä"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"Tapojen lisääminen toistuvan sisällön ohittamiseen auttaa näppäimistön käyttäjiä siirtymään sivulla tehokkaammin. [Lue lisää](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Sivu ei sisällä otsikkoa, ohituslinkkiä tai maamerkin aluetta"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Sivu sisältää otsikon, ohituslinkin tai maamerkin alueen"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Alhaisen kontrastin teksti on monelle vaikea tai mahdoton lukea. [Lue lisää](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Taustan ja etualan värien kontrastisuhde ei ole riittävä."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Taustan ja etualan värien kontrastisuhde on riittävä"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"Kun määritelmäluetteloita ei ole merkitty kunnolla, näytönlukuohjelmien tuottama sisältö voi olla sekavaa tai epätarkkaa. [Lue lisää](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`-elementit eivät sisällä vain oikein järjestettyjä `<dt>`- ja `<dd>`-ryhmiä ja `<script>`-, `<template>`- tai `<div>`-elementtejä."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`-elementit sisältävät vain oikein järjestettyjä `<dt>`- ja `<dd>`-ryhmiä ja `<script>`-, `<template>` tai `<div>`-elementtejä"},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Määritelmien luettelokohdat (`<dt>` ja `<dd>`) on yhdistettävä ylätason `<dl>`-elementtiin, jotta näytönlukuohjelmat voivat varmasti lukea ne oikein. [Lue lisää](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"Määritelmien luettelokohtia ei ole yhdistetty `<dl>`-elementeillä"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Määritelmien luettelokohdat on yhdistetty `<dl>`-elementeillä"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Nimi antaa näytönlukuohjelmaa käyttäville yleiskuvan sivusta, ja hakukoneen käyttäjille nimi on tärkeä oleellisten sivujen löytämiseen hakutuloksista. [Lue lisää](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokumentissa ei ole `<title>`-elementtiä"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumentissa on `<title>`-elementti"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Tarkentamista tukevilla elementeillä on oltava yksilöllinen `id`, jotta avustava teknologia havaitsee ne. [Lue lisää](https://web.dev/duplicate-id-active/)."},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Aktiivisten, tarkennettavien elementtien `[id]`-määritteet eivät ole yksilöllisiä"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Aktiivisten, tarkennettavien elementtien `[id]`-määritteet ovat yksilöllisiä"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA-tunnisteen on oltava yksilöllinen, jotta avustavat teknologiat eivät jätä muita esiintymiä huomioimatta. [Lue lisää](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA-tunnisteet eivät ole yksilöllisiä"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA-tunnisteet ovat yksilöllisiä"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"Jos lomakekentillä on useita tunnisteita, näytönlukuohjelmat ja muut avustavat teknologiat saattavat viitata niihin hämmentävästi käyttäen ensimmäistä, viimeistä tai jokaista tunnistetta. [Lue lisää](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Lomakekentillä on useita tunnisteita"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Lomakekentillä ei ole useita tunnisteita"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Näytönlukuohjelman käyttäjät saavat tietää kehysten sisällöt vain kehysten nimien avulla. [Lue lisää](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>`- tai `<iframe>`-elementeillä ei ole nimeä"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>`- tai `<iframe>`-elementeillä on nimi"},
"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Loogisesti järjestetyt ja kaikki tasot käsittävät otsikot kertovat sivun semanttisesta rakenteesta, jolloin sen selaaminen ja ymmärtäminen avustavilla teknologioilla on helpompaa. [Lue lisää](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Otsikkoelementit eivät ole laskevassa järjestyksessä"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Otsikkoelementit ovat laskevassa järjestyksessä"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Jos sivulla ei ole kielimääritettä, näytönlukuohjelma arvioi kieleksi oletuskielen, jonka käyttäjä valitsi ottaessaan näytönlukuohjelman käyttöön. Jos oletuskieli ei ole käytössä sivulla, näytönlukuohjelma voi ilmoittaa sivun tekstin väärin. [Lue lisää](https://web.dev/html-has-lang/)."},
"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>`-elementissä ei ole `[lang]`-määritettä"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>`-elementissä on `[lang]`-määrite"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Kelvollisen [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ‑määritteen ilmoittaminen elementeille auttaa näytönlukuohjelmaa kertomaan tekstin oikein. [Lue lisää](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>`-elementin `[lang]`-määritteen arvo ei ole kelvollinen"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>`-elementin `[lang]`-määritteen arvo on kelvollinen"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"Informatiivisilla elementeillä pitäisi olla lyhyt ja kuvaileva vaihtoehtoinen teksti. Koristeelliset elementit voidaan ohittaa tyhjällä Alt-määritteellä. [Lue lisää](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Kuvaelementeillä ei ole `[alt]`-määritteitä"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Kuvaelementeillä on `[alt]`-määritteet"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Kun `<input>`-painikkeena käytetään kuvaa, vaihtoehtoisen tekstin lisääminen voi auttaa näytönlukuohjelman käyttäjiä ymmärtämään painikkeen tarkoituksen. [Lue lisää](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">`-elementeissä ei ole `[alt]`-tekstiä'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">`-elementeissä on `[alt]`-teksti'
},"lighthouse-core/audits/accessibility/label.js | description":{message:"Tunnisteilla varmistetaan, että avustustekniikat (kuten näytönlukuohjelmat) ilmoittavat lomakkeiden ohjaimista oikein. [Lue lisää](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Lomakkeiden elementeillä ei ole niihin liittyviä tunnisteita"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Lomake-elementeillä on niihin liittyvät tunnisteet"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Linkkiteksti (ja vaihtoehtoinen teksti kuvia varten, kun niitä käytetään linkkeinä), joka on erottuva, yksilöllinen ja tarkennettavissa, parantaa näytönlukuohjelmaa käyttävien navigointikokemusta. [Lue lisää](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Linkkien nimet eivät ole helposti erottuvia"},"lighthouse-core/audits/accessibility/link-name.js | title":{
message:"Linkkien nimet ovat helposti erottuvia"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Näytönlukuohjelmat ilmoittavat luettelot tietyillä tavoilla. Kelvollinen luettelorakenne tukee näytönlukuohjelman tuottamaa sisältöä. [Lue lisää](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Luettelot eivät sisällä ainoastaan `<li>`-elementtejä ja skriptiä tukevia elementtejä (`<script>` ja `<template>`)"},"lighthouse-core/audits/accessibility/list.js | title":{message:"Luettelot sisältävät ainoastaan `<li>`-elementtejä ja skriptiä tukevia elementtejä (`<script>` ja `<template>`)"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Näytönlukuohjelmat edellyttävät, että luettelokohdat (`<li>`) sisältyvät ylätason elementteihin `<ul>` tai `<ol>`, jotta ne voidaan ilmoittaa oikein. [Lue lisää](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{
message:"Luettelokohteet (`<li>`) eivät sisälly ylätason `<ul>`- tai `<ol>`-elementtiin"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Luettelokohdat (`<li>`) sisältyvät ylätason elementteihin `<ul>` tai `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Käyttäjät eivät odota sivun päivittyvän automaattisesti, ja päivittäminen siirtää kohdistuksen takaisin sivun yläreunaan. Tämä voi tehdä käytöstä turhauttavaa tai sekavaa. [Lue lisää](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokumentissa on käytössä `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokumentti ei käytä `<meta http-equiv="refresh">`-tagia'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Zoomauksen poistaminen käytöstä aiheuttaa ongelmia heikkonäköisille käyttäjille, jotka tarvitsevat näytön suurennusta nähdäkseen verkkosivun sisällön kunnolla. [Lue lisää](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` on käytössä `<meta name="viewport">`-elementissä tai `[maximum-scale]`-määrite on pienempi kuin 5'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` ei ole käytössä `<meta name="viewport">`-elementissä, ja `[maximum-scale]`-määrite on vähintään 5'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Näytönlukuohjelmat eivät voi kääntää sisältöä, joka ei ole tekstiä. Vaihtoehtoisen tekstin lisääminen `<object>`-elementteihin auttaa näytönlukuohjelmia esittämään sisällön merkityksen käyttäjille. [Lue lisää](https://web.dev/object-alt/)."},
"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>`-elementeissä ei ole `[alt]`-tekstiä"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>`-elementeissä on `[alt]`-teksti"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Navigointijärjestys on eksplisiittinen, jos arvo on suurempi kuin 0. Vaikka ratkaisu on teknisesti käypä, se tekee usein kokemuksesta turhauttavan avustustekniikkaa tarvitseville käyttäjille. [Lue lisää](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Joidenkin elementtien `[tabindex]`-arvo on suurempi kuin 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Yhdenkään elementin `[tabindex]`-arvo ei ole suurempi kuin 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Näytönlukuohjelmissa on ominaisuuksia, jotka tekevät taulukoissa siirtymisestä helpompaa. Voit parantaa näytönlukuohjelman käyttäjien kokemusta varmistamalla, että `[headers]`-määritettä käyttävät `<td>`-solut viittaavat vain toisiin soluihin samassa taulukossa. [Lue lisää](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`[headers]`-määritettä käyttävät `<table>`-elementin solut viittaavat elementtiin (`id`), joka ei ole samassa taulukossa."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`[headers]`-määritettä käyttävät `<table>`-elementin solut viittaavat soluihin samassa taulukossa"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Näytönlukuohjelmissa on ominaisuuksia, jotka tekevät taulukoissa siirtymisestä helpompaa. Voit parantaa näytönlukuohjelmaa käyttävien kokemusta varmistamalla, että taulukoiden otsikot viittaavat aina johonkin solujoukkoon. [Lue lisää](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>`-elementit ja elementit, joissa on `[role="columnheader"/"rowheader"]`, eivät sisällä niissä kuvattuja datasoluja'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>`-elementit ja elementit, joissa on `[role="columnheader"/"rowheader"]`, sisältävät niissä kuvatut datasolut'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Kelvollisen [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ‑määritteen ilmoittaminen elementeille auttaa varmistamaan, että näytönlukuohjelma ääntää tekstin oikein. [Lue lisää](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]`-määritteiden arvot eivät ole kelvollisia"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]`-määritteillä on kelvollinen arvo"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Kun videossa on tekstitykset, kuurot ja heikkokuuloiset saavat videon tiedot paremmin. [Lue lisää](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elementit (`<video>`) eivät sisällä elementtiä (`<track>`), jossa on `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{
message:'Elementit (`<video>`) sisältävät elementin (`<track>`), jossa on `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Määritä `apple-touch-icon`, jotta iOS-näkyvyys on paras mahdollinen, kun käyttäjä lisää progressiivisen web-sovelluksen aloitusnäytölle. Sen on viitattava läpinäkymättömään neliön muotoiseen (192 px tai 180 px) PNG-tiedostoon. [Lue lisää](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Ei sisällä kelvollista `apple-touch-icon`-arvoa"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` on vanhentunut; `apple-touch-icon`-määritettä suositellaan."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Sisältää kelvollisen `apple-touch-icon`-määritteen"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Nykyinen arvo"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{
message:"Ehdotettu tunnus"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` auttaa käyttäjiä lähettämään lomakkeita nopeammin. Voit helpottaa lomakkeiden täyttämistä, jos otat ominaisuuden käyttöön lisäämällä `autocomplete`-määritteelle kelvollisen arvon. [Lue lisää](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>`-elementeillä ei ole tarvittavia `autocomplete`-määritteitä"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Edellyttää manuaalista tarkistusta"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Tarkista tunnusten järjestys"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>`-elementeillä on käytössä tarvittava `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'`autocomplete`-tunnukset: "{token}" on virheellinen ({snippet})'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Tarkista tunnusten järjestys: {tokens} ({snippet})"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chromen laajennukset heikensivät tämän sivun latausnopeutta. Yritä tarkastaa sivu incognito-tilassa tai Chrome-profiililla, johon ei ole lisätty laajennuksia."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Skriptin arviointi"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Skriptin jäsennys"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Prosessoriaika yhteensä"},"lighthouse-core/audits/bootup-time.js | description":{message:"Suosittelemme lyhentämään JS:n jäsentämiseen, kääntämiseen ja suorittamiseen kuluvaa aikaa. Pienempien JS-resurssien jakaminen voi helpottaa tätä. [Lue lisää](https://web.dev/bootup-time/)."},
"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Vähennä JavaScriptin suorittamiseen kuluvaa aikaa"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScriptin suorittamiseen kuluva aika"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Poista suuret, kopioidut JavaScript-moduulit paketeista pienentääksesi verkkotoiminnan tarpeetonta tavunkulutusta. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Poista kaksoismoduulit JavaScript-paketeista"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Suuret GIFit eivät ole tehokas tapa jaella animoitua sisältöä. Voit pienentää ladattavien tavujen määrää jakelemalla animaatioita MPEG4- tai WebM-muodossa ja staattisia kuvia PNG- tai WebP-muodossa. [Lue lisää](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{
message:"Jakele animaatiosisältöä videomuodossa"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill- ja transform-merkintöjen avulla vanhat selaimet voivat käyttää uusia JavaScript-ominaisuuksia. Monia ei kuitenkaan tarvita nykyaikaisissa selaimissa. Käytä JavaScript-paketissasi nykyaikaista käyttöönottostrategiaa, jossa havaitaan moduuli/ei-moduuli-ominaisuus, minkä avulla vähennetään nykyaikaisiin selaimiin lähetetyn koodin määrää mutta säilytetään silti vanhojen selaimien tuki. [Lue lisää](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)."},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Vältä vanhan JavaScriptin näyttämistä nykyaikaisilla selaimilla"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Tietyt kuvamuodot, kuten JPEG 2000, JPEG XR ja WebP, pakkaavat sisältöä usein paremmin kuin PNG tai JPEG, minkä vuoksi ne auttavat nopeuttamaan latauksia ja vähentämään datan kulutusta. [Lue lisää](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Jakele kuvat seuraavan sukupolven muodoissa"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Suosittelemme lykkäämään poissa näkyvistä olevien ja piilotettujen kuvien lataamista, kunnes kaikki kriittiset resurssit on ladattu. [Lue lisää](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Lykkää kuvien lataamista, jos ne eivät ole näkyvissä"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Resurssit estävät sivun ensimmäisen renderöinnin. Suosittelemme jakelemaan kriittiset JS- ja CSS-osat sivuun upotettuina ja lykkäämään kaikkien ei-kriittisten JS- tai tyyliosien lataamista. [Lue lisää](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Poista renderöinnin estävät resurssit"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Suuret verkkoresurssit aiheuttavat kuluja käyttäjille ja liittyvät vahvasti pitkiin latausaikoihin. [Lue lisää](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Yhteenlaskettu koko oli {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Vältä valtavia verkkoresursseja"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Välttää valtavia verkkoresursseja"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS-tiedostojen pienentäminen voi auttaa pienentämään verkkoresurssien kokoa. [Lue lisää](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Pienennä CSS-tiedostoja"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"JavaScript-tiedostojen pienentäminen voi auttaa pienentämään resurssien kokoa ja lyhentämään skriptin jäsentämiseen kuluvaa aikaa. [Lue lisää](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Pienennä JavaScript-tiedostoja"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Vähennä tyylisivujen käyttämättömiä sääntöjä ja lykkää sellaista CSS:ää, jota ei käytetä sivun yläosan sisältöön, niin vähennät verkkotoiminnan tavujen kulutusta. [Lue lisää](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Vähennä käyttämätöntä CSS:ää"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Vähennä käyttämätöntä JavaScriptiä ja lykkää skriptien lataamista, kunnes niiden on vähennettävä verkkotoiminnan tavujen kulutusta. [Lue lisää](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Vähennä käyttämätöntä JavaScriptiä"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Pitkä välimuistin käyttöikä voi nopeuttaa sivun lataamista, kun käyttäjä avaa sen uudelleen. [Lue lisää](https://web.dev/uses-long-cache-ttl/)."},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 resurssi löydetty}other{# resurssia löydetty}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Käytä tehokasta välimuistikäytäntöä staattisten resurssien jakelemiseen"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Käyttää tehokasta välimuistikäytäntöä staattisten resurssien käsittelyyn"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimoidut kuvat latautuvat nopeammin ja kuluttavat vähemmän mobiilidataa. [Lue lisää](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Koodaa kuvat tehokkaasti"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"Näytä sopivan kokoisia kuvia, jotta voit vähentää mobiilidatan kulutusta ja lyhentää latausaikoja. [Lue lisää](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Määritä kuvien koko oikein"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Tekstipohjaiset resurssit on hyvä pakata ennen jakelua (gzip, deflate tai brotli), jotta ladattavien tavujen määrä voidaan minimoida. [Lue lisää](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Ota tekstin pakkaus käyttöön"},"lighthouse-core/audits/content-width.js | description":{message:"Jos sovelluksesi leveys ei vastaa näkymän leveyttä, sovelluksesi ei välttämättä ole mobiilinäytöille optimoitu. [Lue lisää](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{
message:"Näkymän koko, {innerWidth} px, ei vastaa ikkunan kokoa, {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Sisällön koko ei vastaa näkymää"},"lighthouse-core/audits/content-width.js | title":{message:"Sisällön koko on näkymän mukainen"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Alla olevat kriittiset pyyntöketjut kertovat, minkä resurssien lataaminen priorisoidaan. Suosittelemme parantamaan sivun latausaikaa lyhentämällä ketjuja, pienentämällä resurssien latauskokoa ja lykkäämällä tarpeettomien resurssien lataamista. [Lue lisää](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 ketju löydetty}other{# ketjua löydetty}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Vältä kriittisten pyyntöjen ketjuttamista"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Sääntö"},
"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Vakavuus"},"lighthouse-core/audits/csp-xss.js | description":{message:"Vahva Content Security Policy ‑käytäntö (CSP) vähentää merkittävästi cross-site scripting (XSS) ‑hyökkäyksien riskiä. [Lue lisää](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntaksi"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Sivu sisältää <meta>-tagissa määritetyn CSP:n. Harkitse CSP:n määrittämistä HTTP-ylätunnisteessa, jos mahdollista."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Täytäntöönpanotilasta ei löytynyt CSP:tä"},"lighthouse-core/audits/csp-xss.js | title":{message:"Varmista, että CSP tehoaa XSS-hyökkäyksiä vastaan"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Käytöstä poistaminen / varoitus"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Rivi"},"lighthouse-core/audits/deprecations.js | description":{
message:"Käytöstä poistetut käyttöliittymät poistetaan aikanaan selaimesta. [Lue lisää](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 varoitus löydetty}other{# varoitusta löydetty}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Käyttää käytöstä poistettuja sovellusliittymiä"},"lighthouse-core/audits/deprecations.js | title":{message:"Välttää käytöstä poistettuja sovellusliittymiä"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Sovellusvälimuisti on poistettu käytöstä. [Lue lisää](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Löydetty {AppCacheManifest}"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Käyttää sovellusvälimuistia"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Välttää sovellusvälimuistia"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Merkistökoodausilmoitus vaaditaan. Sen voi tehdä `<meta>`-tagilla HTML:n ensimmäisen 1 024 tavun sisällä tai HTTP:n vastauksen otsikon sisältötyyppi-kohdassa. [Lue lisää](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Merkistöilmoitus puuttuu tai näkyy liian myöhään HTML:ssä"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Merkistö määritelty oikein"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Dokumenttityypin määrittäminen estää selainta siirtymästä quirks-tilaan. [Lue lisää](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Dokumenttityypin nimen on oltava pienillä kirjaimilla kirjoitettu merkkijono `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokumentin täytyy sisältää dokumenttityyppi"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Oletettu publicId-arvo on tyhjä merkkijono"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Oletettu systemId-arvo on tyhjä merkkijono"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Sivulta puuttuu HTML-tiedostotyyppi, mikä käynnistää quirks-tilan"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Sivulla on HTML-dokumenttityyppi"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Tilastotieto"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Arvo"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Suuri DOM lisää muistin käyttöä, pidentää [tyylilaskelmia](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) ja aiheuttaa työläitä [asettelun uudelleenjuoksutuksia](https://developers.google.com/speed/articles/reflow). [Lue lisää](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elementti}other{# elementtiä}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Vältä liian suurta DOM:ää"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"DOM:n enimmäissyvyys"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"DOM-elementit yhteensä"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Alatason elementtien maksimimäärä"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Välttää liian suurta DOM:ää"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Hylätyt ankkurit"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Lisää ulkoisiin linkkeihin `rel="noopener"` tai `rel="noreferrer"` parantaaksesi tehokkuutta ja estääksesi tietoturvahaavoittuvuuksia. [Lue lisää](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Eri lähteisiin johtavat linkit eivät ole turvallisia"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Eri lähteisiin johtavat linkit ovat turvallisia"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Ankkurin ({anchorHTML}) kohteen määritys epäonnistui. Sinun kannattaa ehkä poistaa target=_blank, jos sitä ei käytetä linkkinä."},
"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Sivustot, jotka pyytävät sijainnin käyttöoikeutta ilman asiayhteyttä, saavat käyttäjät epäluuloisiksi tai hämmentävät heitä. Kokeile sen sijaan yhdistää pyyntö käyttäjätoimintoon. [Lue lisää](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Pyytää maantieteellistä sijaintia sivun latauksessa"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Välttää maantieteellisen sijainnin pyytämistä sivun latauksessa"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Ongelmatyyppi"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome DevToolsin `Issues`-paneeliin kirjatut virheet viittaavat ratkaisemattomiin ongelmiin. Ne voivat johtua epäonnistuneista verkkopyynnöistä, riittämättömistä tietoturva-asetuksista ja muista selainongelmista. Katso lisätietoja kustakin ongelmasta avaamalla Chrome DevToolsin Ongelmat-paneeli."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Ongelmat kirjattiin Chrome DevToolsin `Issues`-paneeliin"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Eri lähteitä koskevan käytännön estämä"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Resursseja kuluttavat raskaat mainokset"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Ei ongelmia Chrome DevToolsin `Issues`-paneelissa"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versio"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{
message:"Kaikki käyttöliittymän JavaScript-kirjastot havaittiin sivulla. [Lue lisää](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Havaitut JavaScript-kirjastot"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Hitaiden yhteyksien käyttäjien kohdalla `document.write()`-komennolla dynaamisesti lisätyt ulkoiset skriptit voivat hidastaa sivun latausta kymmenillä sekunneilla. [Lue lisää](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Vältä: `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Vältetty: `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Vakavin mahdollinen"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Kirjaston versio"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Haavoittuvuuksien määrä"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Jotkin kolmannen osapuolen skriptit voivat sisältää tunnettuja tietoturvahaavoittuvuuksia, joita hyökkääjien on helppo tunnistaa ja hyödyntää. [Lue lisää](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 haavoittuvuus havaittu}other{# haavoittuvuutta havaittu}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Sisältää käyttöliittymän JavaScript-kirjastot, joissa on tunnettuja tietoturvahaavoittuvuuksia"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Välttää käyttöliittymän JavaScript-kirjastoja, joissa on tunnettuja tietoturvahaavoittuvuuksia"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Sivustot, jotka pyytävät lupaa ilmoitusten lähettämiseen ilman asiayhteyttä, saavat käyttäjät epäluuloisiksi tai hämmentävät heitä. Kokeile sen sijaan yhdistää pyyntö käyttäjäeleisiin. [Lue lisää](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Pyytää ilmoitusten käyttöoikeutta sivun latauksessa"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Välttää ilmoitusten käyttöoikeuden pyytämistä sivun latauksessa"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Salasanan liittämisen estäminen on hyvän tietoturvakäytännön vastaista. [Lue lisää](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{
message:"Estää käyttäjiä liittämästä sisältöä salasanakenttiin"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Sallii käyttäjien liittää sisältöä salasanakenttiin"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokolla"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 tarjoaa monia etuja HTTP/1.1:een verrattuna, mukaan lukien binaariotsikot ja kanavoinnin. [Lue lisää](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 pyyntöä ei tehty HTTP/2:n kautta}other{# pyyntöä ei tehty HTTP/2:n kautta}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Käytä HTTP/2:ta"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Sinun kannattaa ehkä merkitä kosketus- ja vieritystapahtumien seurainten arvoksi `passive` sivun vieritystoiminnan parantamiseksi. [Lue lisää](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Ei käytä passiivisia seuraimia vieritystoiminnan parantamiseen"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Käyttää passiivisia seuraimia vieritystoiminnan parantamiseen"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Konsoliin kirjatut virheet viittaavat ratkaisemattomiin ongelmiin. Ne voivat johtua epäonnistuneista verkkopyynnöistä ja muista selainongelmista. [Lue lisää](https://web.dev/errors-in-console/)."},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Selainvirheet kirjattiin konsoliin"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Konsoliin ei kirjattu selainvirheitä"},
"lighthouse-core/audits/font-display.js | description":{message:"Käytä CSS:n fontinnäyttöominaisuutta, jotta voit varmistaa, että käyttäjä näkee tekstin myös verkkofonttien lataamisen aikana. [Lue lisää](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Varmista, että teksti pysyy näkyvissä verkkofontin lataamisen aikana"},"lighthouse-core/audits/font-display.js | title":{message:"Kaikki teksti pysyy näkyvissä verkkofontin lataamisen aikana"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse ei voinut automaattisesti tarkistaa lähteen ({fontOrigin}) arvoa: `font-display`.}other{Lighthouse ei voinut automaattisesti tarkistaa lähteen ({fontOrigin}) arvoja: `font-display`.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Kuvasuhde (todellinen)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Kuvasuhde (näkyvä)"},
"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Kuvan mittasuhteiden tulisi täsmätä luonnolliseen kuvasuhteeseen. [Lue lisää](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Näytä kuvat, joiden kuvasuhde on virheellinen"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Näytä kuvat, joiden kuvasuhde on oikea"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Todellinen koko"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Näkyvä koko"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Odotettu koko"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Kuvan luonnollisten mittojen pitäisi olla suhteutettu näytön kokoon ja pikselisuhteeseen, jotta kuva on mahdollisimman selkeä. [Lue lisää](https://web.dev/serve-responsive-images/)."},
"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Näyttää kuvat alhaisella resoluutiolla"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Näyttää kuvat sopivalla resoluutiolla"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Sovellus on jo asennettu"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Tarvittavan kuvakkeen lataaminen teknisistä tiedoista ei onnistunut"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Epäonnistumisen syy"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Service worker ‑teknologia tuo sovelluksen käyttöön monia progressiivisen web-sovelluksen ominaisuuksia, kuten offline-käytön, aloitusnäytölle lisäämisen ja ilmoitukset. Jos service worker ja manifesti on otettu käyttöön oikein, selaimet voivat aktiivisesti suositella käyttäjille sovelluksesi lisäämistä aloitusnäytölle, mikä voi lisätä aktivoitumisten määrää. [Lue lisää](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 syy}other{# syytä}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Web app manifest ja service worker eivät täytä asennettavuusvaatimuksia"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play Kauppa ‑sovelluksen URL ja Play Kaupan tunnus eivät täsmää"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Sivu ladataan incognito-ikkunassa"},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'Manifestin "display"-omaisuuden on oltava "standalone", "fullscreen" tai "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Manifestissä on "display_override"-kenttä, ja ensimmäisen tuetun näyttötilan on oltava "standalone", "fullscreen" tai "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifestin nouto ei onnistunut, se on tyhjä tai ei jäsenneltävissä"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifestin URL muuttui manifestin noudon aikana"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Manifestiin ei sisälly "name"- tai "short_name"-kenttää'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:'Manifestissa ei ole sopivaa kuvaketta, siinä on oltava vähintään {value0} pikselin kokoinen PNG-, SVG- tai WebP-tiedosto, kokomäärite on lisättävä ja mahdollisen tarkoitusmääritteen on oltava "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Mikään kuvakkeista ei ole vähintään {value0} pikselin kokoinen PNG-, SVG- tai WebP-tiedosto, kun tarkoitusmääritettä ei ole lisätty tai se on "any".'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Ladattu kuvake oli tyhjä tai vioittunut"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Ei Play Kaupan tunnusta"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Sivulta puuttuu manifestin <link>-URL"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Vastaavaa service workeria ei havaittu. Sinun on ehkä päivitettävä sivu ja tarkistettava, kattaako nykyisen sivun service workerin laajuus manifestin ja aloitus-URL:in."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Service workeria ei voitu tarkistaa, koska manifestistä puuttuu "start_url"-kenttä'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'Asennettavuusvirheen tunnusta "{errorId}" ei tunnistettu'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Sivu ei ole peräisin turvallisesta lähteestä"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Sivu ei lataudu pääkehyksessä"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Sivu ei toimi ilman verkkoyhteyttä"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Määritettyä sovellusalustaa ei tueta Androidilla"},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifestin määritys prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications on tuettu vain Chromen betaversioissa ja vakaissa versioissa Androidilla."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Manifestin aloitus-URL ei kelpaa"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Web app manifest ja service worker täyttävät asennettavuusvaatimukset"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Manifestissa oleva URL sisältää käyttäjänimen, salasanan tai portin"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Sivu ei toimi ilman verkkoyhteyttä. Tämä sivu ei enää ole ladattavissa Chrome 93:n vakaan version jälkeen (julkaistaan elokuussa 2021)."},
"lighthouse-core/audits/is-on-https.js | allowed":{message:"Sallittu"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Estetty"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Suojaamaton URL-osoite"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Pyydä ratkaisua"},"lighthouse-core/audits/is-on-https.js | description":{message:"Kaikki sivustot on suojattava HTTPS:llä, vaikka ne eivät käsittelisi arkaluontoista dataa. Vältä myös [yhdistelmäsisältöä](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) eli alkupyyntöön vastaamista HTTPS:llä ja joidenkin resurssien lataamista HTTP:llä. HTTPS estää tunkeutujia peukaloimasta sovelluksesi ja sen käyttäjien välistä toimintaa tai seuraamasta sitä passiivisesti. HTTPS:ää edellytetään HTTP/2:ssa ja monien uusien verkkoalustojen käyttöliittymissä. [Lue lisää](https://web.dev/is-on-https/)."},
"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 suojaamaton pyyntö löytyi}other{# suojaamatonta pyyntöä löytyi}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Ei käytä HTTPS:ää"},"lighthouse-core/audits/is-on-https.js | title":{message:"Käyttää HTTPS:ää"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Siirretty automaattisesti HTTPS:ään"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Sallittu varoituksen kanssa"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Kirjasto"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Suuret JavaScript-kirjastot voivat heikentää suorituskykyä. Pienennä paketin kokoa valitsemalla pienempiä, toiminnoiltaan vastaavia kirjastoja. [Lue lisää](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},
"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 suuri kirjasto löydetty}other{# suurta kirjastoa löydetty}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Korvaa tarpeettoman suuret JavaScript-kirjastot"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Välttää suuria JavaScript-kirjastoja, jos pienempi vaihtoehto on saatavilla"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Tämä on näkymän suurin renderöity sisältö. [Lue lisää](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Suurin renderöity sisältöosa"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS-vaikuttavuus"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Nämä DOM-elementit tuottavat suurimman osan sivun CLS-arvosta."},
"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Vältä suuria asettelun muutoksia"},"lighthouse-core/audits/long-tasks.js | description":{message:"Näyttää pääsäikeen pitkäkestoisimmat tehtävät, mistä on apua syöttöviiveen pahimpien aiheuttajien tunnistamisessa. [Lue lisää](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# pitkäkestoinen tehtävä löydetty}other{# pitkäkestoista tehtävää löydetty}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Vältä pitkäkestoisia pääsäikeen tehtäviä"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Luokka"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Suosittelemme lyhentämään JS:n jäsentämiseen, kääntämiseen ja suorittamiseen kuluvaa aikaa. Pienempien JS-resurssien jakeleminen voi auttaa. [Lue lisää](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimoi pääsäikeen työkuorma"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimoi pääsäikeen työkuorman"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Tavoittaakseen maksimimäärän käyttäjiä sivustojen tulee toimia kaikilla tärkeillä selaimilla. [Lue lisää](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Sivusto toimii eri selaimilla"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Varmista, että yksittäisiin sivuihin voi täsmälinkittää URL-osoitteella ja että URL-osoitteet ovat ainutlaatuisia, jotta jaettavuus somessa paranee. [Lue lisää](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Joka sivulla on URL-osoite"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Napautuksilla navigoitaessa siirtymien tulee olla saumattomia, vaikka verkko olisi hidas. Näin syntyy vaikutelma toimivuudesta. [Lue lisää](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Verkko ei estä sivujen välisiä siirtymiä"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Peitettävällä kuvakkeella varmistetaan, että kuva täyttää koko muodon ilman vaakapalkkien käyttöä, kun sovellusta asennetaan laitteelle. [Lue lisää](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Teknisissä tiedoissa ei ole peitettävää kuvaketta"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Teknisissä tiedoissa on peitettävä kuvake"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Kumulatiivinen asettelumuutos mittaa näkymässä olevien elementtien liikettä. [Lue lisää](https://web.dev/cls/)."},
"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Ensimmäinen sisällön renderöinti kertoo, milloin ensimmäinen tekstikohde tai kuva renderöidään. [Lue lisää](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Ensimmäinen merkityksellinen renderöinti kertoo, milloin sivun ensisijainen sisältö tulee näkyviin. [Lue lisää](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Interaktiivisuutta edeltävä aika tarkoittaa aikaa, joka sivulla kestää siihen, että se on täysin interaktiivinen. [Lue lisää](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Suurimman sisällön renderöinti mittaa suurimman tekstikohteen tai kuvan renderöintiaikaa. [Lue lisää](https://web.dev/lighthouse-largest-contentful-paint/)"},
"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Käyttäjien ensitoiminnon suurin mahdollinen viive on sama kuin pisimmän tehtävän kesto. [Lue lisää](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Nopeusindeksi kertoo, kuinka nopeasti sivun sisältö tulee näkyviin. [Lue lisää](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Kaikkien FCP:n ja interaktiivisuutta edeltävän ajan väliset ajanjaksot yhteenlaskettuna, kun tehtävän pituus on yli 50 ms (ilmoitettu millisekunteina). [Lue lisää](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Verkon meno-paluuajoilla (RTT) on suuri vaikutus suorituskykyyn. Jos RTT lähtöpaikkaan on korkea, se on merkki siitä, että käyttäjää lähellä olevien palvelimien suorituskyvyssä on parantamisen varaa. [Lue lisää](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Verkon meno-paluuajat"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Palvelimen viiveet voivat vaikuttaa verkon suorituskykyyn. Jos lähtöpaikan palvelimen viive on korkea, se on merkki siitä, että palvelin on ylikuormittunut tai sen taustasuorituskyky on huono. [Lue lisää](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Palvelimen taustaviiveet"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` ei käynnisty luotettavasti, ja sen kuuntelu voi estää selaimen optimoinnin, esim. Back-Forward-välimuistin toiminnan. Harkitse sen sijaan näiden tapahtumien käyttämistä: `pagehide` tai `visibilitychange`. [Lue lisää](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Rekisteröi (`unload`) kuuntelijan"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Ohittaa (`unload`) kuuntelijat"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Sommittelemattomat animaatiot voivat olla huonolaatuisia ja nostaa CLS:ää. [Lue lisää](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animaatioelementti löydetty}other{# animaatioelementtiä löydetty}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{
message:"filter-omaisuus voi siirtää pikseleitä"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Kohteessa on toinen yhteensopimaton animaatio"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Tehosteen sommittelutila on muu kuin replace"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Vältä sommittelemattomia animaatioita"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"transform-omaisuus riippuu kentän koosta"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Ei-tuettu CSS-omaisuus: {properties}}other{Ei-tuetut CSS-omaisuudet: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Tehosteessa on ei-tuettuja ajoitusparametreja"},"lighthouse-core/audits/performance-budget.js | description":{
message:"Pidä verkkopyyntöjen määrä ja koko tehokkuusbudjetissa määritettyjen tavoitteiden rajoissa. [Lue lisää](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 pyyntö}other{# pyyntöä}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Tehokkuusbudjetti"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Esilataa `optional` fonttia ensikertalaisten kävijöiden saataville. [Lue lisää](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fontteja, joissa on `font-display: optional`, ei ole esiladattu"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Fontit, joissa on `font-display: optional`, on esiladattu"},"lighthouse-core/audits/preload-lcp-image.js | description":{
message:"Esilataa LCP-elementin käyttämä kuva, jotta voit parantaa sivun latautumisaikaa. [Lue lisää](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Esilataa sivun latautumisajan kuva"},"lighthouse-core/audits/redirects-http.js | description":{message:"Jos määritit jo HTTPS:n, varmista että ohjaat kaiken HTTP-liikenteen HTTPS:ään, jotta kaikki käyttäjät saavat turvalliset verkko-ominaisuudet. [Lue lisää](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Ei uudelleenohjaa HTTP-liikennettä HTTPS:ään"},"lighthouse-core/audits/redirects-http.js | title":{message:"Uudelleenohjaa HTTP-liikennettä HTTPS:ään"},"lighthouse-core/audits/redirects.js | description":{message:"Uudelleenohjaukset viivästyttävät sivun lataamista. [Lue lisää](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Vältä useita uudelleenohjauksia"},
"lighthouse-core/audits/resource-summary.js | description":{message:"Jos haluat asettaa sivuresurssien määrälle ja koolle budjetin, lisää budget.json-tiedosto. [Lue lisää](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 pyyntö • {byteCount, number, bytes} KiB}other{# pyyntöä • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Pidä pyyntöjen määrät alhaisina ja siirtojen koot pieninä"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Ensisijaiset linkit ehdottavat, mitä URL-osoitteita näyttää hakutuloksissa. [Lue lisää](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Useita ristiriitaisia URL-osoitteita ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Viittaa toiseen verkkotunnukseen ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Virheellinen URL-osoite ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Viittaa toiseen `hreflang`-sijaintiin ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Suhteellinen URL-osoite ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Osoittaa verkkotunnuksen juuri-URL-osoitteeseen (kotisivulle) sitä vastaavan sisältösivun sijaan"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokumentissa ei ole kelvollista `rel=canonical`-määritettä"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumentissa on kelvollinen `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Linkki ei indeksoitavissa"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Hakukoneet voivat käyttää linkeissä `href`-attribuutteja sivustojen indeksointia varten. Varmista, että ankkurielementtien `href`-attribuutti linkittää sopivaan kohteeseen, jotta useammat sivuston sivut ovat löydettävissä. [Lue lisää](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Linkit eivät ole indeksoitavissa"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Linkit ovat indeksoitavissa"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Muu lukukelvoton teksti"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Fonttikoko"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% sivun tekstistä"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Valitsin"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Alle 12 pikselin fonttikoot ovat liian pieniä luettavaksi ja edellyttävät mobiilivierailijoiden zoomaavan nipistämällä voidakseen lukea. Pyri siihen, että >60 % sivun tekstistä on ≥12 px. [Lue lisää](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} lukukelpoista tekstiä"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Teksti on lukukelvotonta, koska näkymän sisällönkuvauskenttää ei ole optimoitu mobiilinäytöille."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumentissa ei käytetä lukukelpoisia fonttikokoja"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Lukukelpoista tekstiä"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokumentti käyttää lukukelpoisia fonttikokoja"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"hreflang-linkit kertovat hakukoneille, mikä sivuversio niiden pitäisi lisätä tietyn kielen tai alueen hakutuloksiin. [Lue lisää](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumentissa ei ole kelvollista `hreflang`-elementtiä"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Suhteellinen href-arvo"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumentissa on kelvollinen `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Odottamaton kielikoodi"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Epäonnistuneita HTTP-tilakoodeja sisältäviä sivuja ei välttämättä indeksoida oikein. [Lue lisää](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Sivun HTTP-tilakoodi on epäonnistunut"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Sivun HTTP-tilakoodi on onnistunut"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Hakukoneet eivät voi sisällyttää sivujasi hakutuloksiin, jos niillä ei ole lupaa indeksoida niitä. [Lue lisää](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Sivun indeksointi on estetty"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Sivun indeksointia ei ole estetty"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Kuvailevat linkkitekstit auttavat hakukoneita ymmärtämään sisältöäsi. [Lue lisää](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 linkki löydetty}other{# linkkiä löydetty}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Linkeissä ei ole kuvaavaa tekstiä"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Linkeissä on kuvailevaa tekstiä"},
"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Suorita [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) ja [Structured Data Linter](http://linter.structured-data.org/) vahvistaaksesi strukturoidun datan. [Lue lisää](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturoitu data on kelvollinen"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Hakutuloksiin voidaan lisätä sisällönkuvauskenttiä, joissa kuvaillaan sivun sisältöä lyhyesti. [Lue lisää](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Kuvausteksti on tyhjä."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumentissa ei ole sisällönkuvauskenttää"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokumentissa on sisällönkuvauskenttä"},
"lighthouse-core/audits/seo/plugins.js | description":{message:"Hakukoneet eivät voi indeksoida laajennusten sisältöä, ja monet laitteet rajoittavat laajennusten käyttöä tai eivät tue niitä. [Lue lisää](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumentti käyttää laajennuksia"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumentti välttää laajennuksia"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Jos robots.txt-tiedostosi on muotoiltu väärin, indeksointirobotit eivät välttämättä ymmärrä, miten haluat sivustosi indeksoitavan. [Lue lisää](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Robots.txt-pyyntö palautti HTTP-tilan: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 virhe löydetty}other{# virhettä löydetty}}"},
"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse ei voinut ladata robots.txt-tiedostoa"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt ei ole kelvollinen"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt on kelvollinen"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktiivisten elementtien, kuten painikkeiden ja linkkien, on oltava tarpeeksi suuria (48 x 48 px) ja niiden ympärillä on oltava tarpeeksi tilaa, jotta niiden napauttaminen onnistuu helposti niin, etteivät ne ole muiden elementtien päällä. [Lue lisää](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} oikean kokoisia napautuskohteita"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"Napautuskohteet ovat liian pieniä, koska näkymän sisällönkuvauskenttää ei ole optimoitu mobiilinäytöille"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Napautuskohteet eivät ole sopivan kokoisia"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Päällekkäinen kohde"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Napautuskohde"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Napautuskohteet ovat sopivan kokoisia"},"lighthouse-core/audits/server-response-time.js | description":{message:"Varmista, että päädokumentin palvelimen vasteaika on lyhyt, koska kaikki muut pyynnöt ovat riippuvaisia siitä. [Lue lisää](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Päädokumentti käytti {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{
message:"Lyhennä palvelimen vasteaikaa alussa"},"lighthouse-core/audits/server-response-time.js | title":{message:"Palvelimen vasteaika alussa oli lyhyt"},"lighthouse-core/audits/service-worker.js | description":{message:"Service worker ‑teknologia tuo sovelluksen käyttöön monia progressiivisen web-sovelluksen ominaisuuksia, kuten offline-käytön, aloitusnäytölle lisäämisen ja ilmoitukset. [Lue lisää](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Service worker hallitsee sivua, mutta osoitetta (`start_url`) ei löytynyt, koska luetteloa ei voitu jäsentää kelvollisena JSONina."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Service worker hallitsee sivua, mutta `start_url` ({startUrl}) ei ole workerin toiminta-alueella ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{
message:"Service worker hallitsee sivua, mutta osoitetta (`start_url`) ei löytynyt, koska luetteloa ei noudettu."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Lähteessä on ainakin yksi service worker, mutta sivu ({pageUrl}) ei kuulu sen toiminta-alueeseen."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Ei rekisteröi service workeria, jonka hallinnassa sivu ja `start_url` ovat"},"lighthouse-core/audits/service-worker.js | title":{message:"Rekisteröi service workerin, jonka hallinnassa sivu ja `start_url` ovat"},"lighthouse-core/audits/splash-screen.js | description":{message:"Teeman sisältävä aloitussivu varmistaa laadukkaan kokemuksen, kun käyttäjä avaa sovelluksen aloitusnäytöltään. [Lue lisää](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Yksilöityä aloitusnäyttöä ei ole määritetty"},"lighthouse-core/audits/splash-screen.js | title":{
message:"Yksilöity aloitusnäyttö määritetty"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Voit muokata selaimen osoitepalkkia sivustosi teeman mukaiseksi. [Lue lisää](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Ei aseta osoitepalkin teemaväriä"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Asettaa osoitepalkin teemavärin"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (asiakkaiden menestystarinat)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (markkinointi)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (some)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Tuote"},
"lighthouse-core/audits/third-party-facades.js | description":{message:"Osa kolmansien osapuolten upotuksista on ladattavissa laiskasti. Kannattaa ehkä korvata ne fasadeilla, kunnes niitä tarvitaan. [Lue lisää](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# vaihtoehtoinen fasadi saatavilla}other{# vaihtoehtoista fasadia saatavilla}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Osa kolmansien osapuolten sisällöstä on ladattavissa laiskasti fasadin avulla"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Lataa kolmansien osapuolten sisältöä laiskemmin fasadeilla"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Kolmas osapuoli"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Kolmannen osapuolen koodi voi vaikuttaa lataustehokkuuteen merkittävästi. Rajoita tarpeettomien kolmannen osapuolen palveluntarjoajien määrää ja yritä ladata kolmannen osapuolen koodi sen jälkeen, kun sivun ensisijainen lataus on valmis. [Lue lisää](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Kolmannen osapuolen koodi esti pääsäikeen {timeInMs, number, milliseconds} ms:n ajan"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Vähennä kolmannen osapuolen koodin vaikutusta"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimoi kolmannen osapuolen käyttö"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Arvo"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Mittari"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Aseta aikabudjetti, niin voit seurata sivustosi nopeutta. Kun sivusto toimii oikein, sen latausaika on lyhyt ja se vastaa käyttäjän syötteisiin nopeasti. [Lue lisää](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Aikabudjetti"},"lighthouse-core/audits/unsized-images.js | description":{message:"Lisää kuvaelementeille kiinteä leveys ja pituus, jotta asettelu muuttuu vähemmän ja CLS paranee. [Lue lisää](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Kuvaelementeiltä puuttuu kiinteä `width` ja `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Kuvaelementeillä on kiinteä `width` ja `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tyyppi"},"lighthouse-core/audits/user-timings.js | description":{
message:"Suosittelemme käyttämään sovelluksen kehittämisessä User Timing ‑sovellusliittymää mittaamaan todellista toimivuutta tärkeiden käyttökokemusten aikana. [Lue lisää](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 käyttäjän ajankäyttömerkintä}other{# käyttäjän ajankäyttömerkintää}}"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing ‑merkinnät ja ‑mitat"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"`<link rel=preconnect>` löytyi osoitteelle {securityOrigin}, mutta selain ei käyttänyt sitä. Varmista, että käytät eri lähteiden `crossorigin`-määritettä oikein."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Suosittelemme lisäämään sivulle `preconnect`- tai `dns-prefetch` ‑resurssivihjeitä, joiden avulla yhteydet tärkeisiin kolmannen osapuolen lähteisiin voidaan muodostaa ajoissa. [Lue lisää](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Muodosta yhteydet pakollisiin kohteisiin etukäteen"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"`<link rel=preconnect>`-yhteyksiä löytyi enemmän kuin kaksi. Niitä tulee käyttää säästeliäästi ja vain tärkeimpiin alkuperiin."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"`<link rel=preconnect>` löytyi osoitteelle {securityOrigin}, mutta selain ei käyttänyt sitä. Valitse `preconnect` vain tärkeille alkuperille, joita sivu pyytää varmasti."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Latausta edeltävä `<link>` löytyi osoitteelle {preloadURL}, mutta selain ei käyttänyt sitä. Varmista, että käytät eri lähteiden `crossorigin`-määritettä oikein."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Suosittelemme käyttämään `<link rel=preload>`-tagia, jotta voit priorisoida resursseja, joiden noutamista pyydetään sivun lataamisen myöhemmässä vaiheessa. [Lue lisää](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Lataa tärkeät pyynnöt etukäteen"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Kartan URL"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Lähdekartat muuntavat pienennetyn koodin alkuperäiseksi lähdekoodiksi. Tämä auttaa kehittäjiä jäljittämään ja korjaamaan virheet tuotantovaiheessa. Lisätietoja saa myös Lighthousesta. Sinun kannattaa ehkä ottaa lähdekartat käyttöön, jotta voit hyödyntää näitä mahdollisuuksia. [Lue lisää](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Suuresta ensimmäisen osapuolen JavaScript-kirjastosta puuttuu lähdekarttoja"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Suuresta JavaScript-tiedostosta puuttuu lähdekartta"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Varoitus: 1 puuttuva kohde (`.sourcesContent`)}other{Varoitus: # puuttuvaa kohdetta (`.sourcesContent`)}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Sivulla on kelvollisia lähdekarttoja"
},"lighthouse-core/audits/viewport.js | description":{message:'Lisää `<meta name="viewport">`-tagi optimoidaksesi sovelluksen mobiilinäytöille. [Lue lisää](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'`<meta name="viewport">`-tagia ei löytynyt'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'`<meta name="viewport">` ‑tagi, jossa `width` tai `initial-scale`, puuttuu'},"lighthouse-core/audits/viewport.js | title":{message:'`<meta name="viewport">` ‑tagi, jossa `width` tai `initial-scale`, löytyy'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Näillä voit parantaa ARIA:n käyttöä sovelluksessasi, mikä voi tehdä avustusteknologiaa (kuten näytönlukuohjelmaa) käyttävien kokemuksesta paremman."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"Näillä voit antaa vaihtoehtoista sisältöä äänelle ja videolle. Tämä voi parantaa kuulo- tai näkörajoitteisten käyttäjien kokemusta."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Ääni ja video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Näissä kohdissa kerrotaan yleisistä esteettömyyden parhaista käytännöistä."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Parhaat käytännöt"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Nämä tarkistukset tuovat esiin kohtia, joissa voit [parantaa verkkosovelluksesi esteettömyyttä](https://developers.google.com/web/fundamentals/accessibility). Vain pieni joukko esteettömyysongelmia voidaan havaita automaattisesti, joten myös manuaalista testaamista suositellaan."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"Nämä kohteet koskevat alueita, joita automaattinen testaustyökalu ei voi testata. Lue lisää [esteettömyystarkistuksen tekemisen](https://developers.google.com/web/fundamentals/accessibility/how-to-review) oppaastamme."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Esteettömyys"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Näillä voit parantaa sisältösi luettavuutta."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrasti"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Näillä voit parantaa tulkintoja, joita eri alueiden käyttäjät tekevät sisällöstäsi."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Kansainvälistyminen ja lokalisointi"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"Näillä voit parantaa sovelluksen ohjainten semantiikkaa. Tämä voi parantaa avustusteknologiaa (kuten näytönlukuohjelmaa) käyttävien kokemusta."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nimet ja tunnisteet"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Nämä ovat tilaisuuksia parantaa näppäimistöllä siirtymistä sovelluksessasi."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Siirtyminen"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Näillä voit parantaa taulukko- tai listadatan lukukokemusta avustusteknologian (esim. näytönlukuohjelman) kanssa."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Taulukot ja luettelot"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Selainten yhteensopivuus"},
"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Parhaat käytännöt"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Yleiset"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Luottamus ja turvallisuus"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Käyttökokemus"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Tehokkuusbudjetit määrittävät sivuston tehokkuuden standardit."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budjetit"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Lisätietoja sovelluksen toiminnasta. Luvut eivät [suoraan vaikuta](https://web.dev/performance-scoring/) tehokkuusprosenttiin."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostiikka"},
"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Tehokkuuden tärkein osa-alue on se, kuinka nopeasti pikselit renderöidään näytölle. Tärkeimmät mittarit ovat ensimmäinen sisällön renderöinti ja ensimmäinen merkityksellinen renderöinti."},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Ensimmäistä renderöintiä koskevat parannusehdotukset"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Nämä ehdotukset voivat auttaa sivua latautumaan nopeammin. Ne eivät [suoraan vaikuta](https://web.dev/performance-scoring/) tehokkuusprosenttiin."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Suositukset"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Tiedot"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"Paranna latauskokemusta kokonaisuutena, jotta sivu on responsiivisempi ja käytettävissä mahdollisimman pian. Tärkeimmät mittarit ovat interaktiivisuutta edeltävä aika ja nopeusindeksi."},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Yleiset parannusehdotukset"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Tehokkuus"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Näillä testeillä vahvistetaan progressiivisen web-sovelluksen ominaisuudet. [Lue lisää](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Normaali [PWA Checklist](https://developers.google.com/web/progressive-web-apps/checklist) sisältää nämä kohdat, mutta Lighthouse ei tarkista niitä automaattisesti. Ne eivät vaikuta tulokseesi, mutta on tärkeää, että tarkistat kohdat manuaalisesti."},
"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressiivinen web-sovellus"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Asennettavissa"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA optimoitu"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Näillä tarkistuksilla varmistetaan, että sivusi optimoidaan hakukoneiden tulossijoituksia varten. Hakusijoitukseesi voivat vaikuttaa myös muut tekijät, joita Lighthouse ei tarkista. [Lue lisää](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Käytä näitä lisätarkistustyökaluja sivustollasi tarkistaaksesi kaikki hakukoneoptimoinnin parhaat käytännöt."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"Hakukoneoptimointi"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"Muotoile HTML niin, että indeksointirobottien on helpompi ymmärtää sovelluksen sisältöä."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Parhaat sisältökäytännöt"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Indeksointiroboteilla on oltava pääsy sovellukseen, jotta se voi näkyä hakutuloksissa."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Indeksointi ja hakemistoon lisääminen"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Varmista, että sivut ovat mobiiliystävällisiä, jotta käyttäjien ei tarvitse nipistää tai lähentää sisältösivuja lukeakseen niitä. [Lue lisää](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobiiliystävällinen"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Testatun laitteen CPU näyttää olevan hitaampi kuin Lighthouse olettaa. Tämä voi vaikuttaa tuloksiin negatiivisesti. Lue lisää [sopivan CPU-hidastuskertoimen kalibroinnista](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Sivun lataus ei ehkä onnistu odotetusti, koska testi-URL ({requested}) ohjattiin uudelleen osoitteeseen {final}. Kokeile suoraan toista URL-osoitetta."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Sivu ei ehtinyt latautua loppuun aikarajan sisällä. Tuloksista voi puuttua osa."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Tähän sijaintiin on voitu tallentaa dataa, joka vaikuttaa lataukseen: {locations}. Tarkista sivu incognito-ikkunassa, jotta voit estää kyseisten resurssien vaikutuksen tuloksiisi.}other{Näihin sijainteihin on voitu tallentaa dataa, joka vaikuttaa lataukseen: {locations}. Tarkista sivu incognito-ikkunassa, jotta voit estää kyseisten resurssien vaikutuksen tuloksiisi.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Harkitse https:- ja http:-URL-osoitteen kaavojen (joita "strict-dynamicia" tukevat selaimet ohittavat) lisäämistä, niin voit saavuttaa taaksepäinyhteensopivuuden vanhempien selainten kanssa.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"CSP3:sta lähtien disown-opener on poistettu käytöstä. Käytä sen sijaan Cross-Origin-Opener-Policy-ylätunnistetta."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"CSP2:sta lähtien referrer on poistettu käytöstä. Käytä sen sijaan Referrer-Policy-ylätunnistetta."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"CSP2:sta lähtien reflected-xss on poistettu käytöstä. Käytä sen sijaan X-XSS-Protection-ylätunnistetta."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'Puuttuva base-uri sallii injektoitujen <base>-tagien määrittää kaikkien suhteellisten URL-osoitteiden (esim. skriptien) pohja-URL-osoitteen hyökkääjän hallitsemaan verkkotunnukseen. Sinun kannattaa valita base-urin arvoksi "none" tai "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'object-srcin ohjaamat elementit ovat vanhoja ominaisuuksia. Määritä object-srcin arvoksi "none" estääksesi vaarallisten skriptejä suorittavien liitännäisten injektointi.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src-sääntö puuttuu. Tämä mahdollistaa vaarallisten skriptien suorittamisen."},
"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Unohditko puolipisteen? Näyttää siltä, että {keyword} on sääntö eikä avainsana."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Noncesien on käytettävä base64-merkistöä."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Noncesien on oltava vähintään kahdeksan merkkiä."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Raportointimääränpään voi määrittää vain report-to-säännön kautta. Vain Chromium-pohjaiset selaimet tukevat kyseistä sääntöä, joten on suositeltavaa käyttää myös report-uri-sääntöä."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Raportointimääränpäätä määrittävää CSP:tä ei ole. Tämän takia on hankala säilyttää CSP:tä ajan mittaa ja seurata vaurioita."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{
message:'Isännän sallitut luettelot ovat usein ohitettavissa. Harkitse "strict-dynamicin" käyttöä CSP-noncesien tai ‑hashien kanssa.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Tuntematon CSP-sääntö."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Näyttää siltä, että {keyword} on virheellinen avainsana."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'"unsafe-inlinen" avulla voidaan suorittaa vaarallisia sivun sisäisiä skriptejä ja tapahtumien käsittelijöitä. Harkitse skriptien salliminen yksitellen käyttämällä CSP-nonceja tai ‑hasheja.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:'Harkitse "unsafe-inlinen" (jonka nonceja/hasheja tukevat selaimet ohittavat) lisäämistä, niin voit saavuttaa taaksepäinyhteensopivuuden vanhempien selainten kanssa.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Pääsäikeen estoaika"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{
message:"Välimuistin käyttöikä"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Kuvaus"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Kesto"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elementti"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Hylätyt elementit"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Sijainti"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nimi"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Ylittää budjetin"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Pyynnöt"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Resurssin koko"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Resurssin tyyppi"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Koko"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Lähde"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{
message:"Aloitusaika"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Käytetty aika"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Siirron koko"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL-osoite"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potentiaalinen säästö"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potentiaalinen säästö"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potentiaalinen säästö: {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 elementti löydetty}other{# elementtiä löydetty}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potentiaalinen säästö: {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{
message:"Dokumentti"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Ensimmäinen merkityksellinen renderöinti"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Fontti"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Kuva"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Vakava"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Vähäinen"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Kohtalainen"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Suurin mahdollinen ensimmäisen toiminnon viive"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},
"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Muu"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Muut resurssit"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skripti"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Tyylisivu"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Kolmas osapuoli"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Yhteensä"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Sivun lataamisen jäljen tallennuksessa tapahtui virhe. Suorita Lighthouse uudelleen. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Aikakatkaisu: odotetaan yhteyttä virheenkorjausprotokollaan"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome ei kerännyt kuvakaappauksia sivun latautumisen aikana. Varmista, että sisältö näkyy sivulla, ja suorita sitten Lighthouse uudelleen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS-palvelimet eivät voineet ratkaista verkkotunnusta."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Vaadittu {artifactName}-keräystoiminto kohtasi virheen: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Tapahtui sisäinen Chrome-virhe. Käynnistä Chrome uudelleen ja yritä suorittaa Lighthouse sen jälkeen."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Vaadittua {artifactName}-keräystoimintoa ei suoritettu."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"Sivu ei renderöinyt mitään sisältöä. Pidä selainikkuna etualalla latauksen aikana ja yritä uudelleen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Sivu ei ole HTML-muodossa (MIME-tyyppi on {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Tämä Chrome-versio ei tue ominaisuutta ({featureName}). Käytä uudempaa versiota, jotta näet tulokset kokonaisuudessaan."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse ei pystynyt lataamaan pyytämääsi sivua luotettavasti. Varmista, että testaat oikeaa URL-osoitetta ja että palvelin vastaa kunnolla kaikkiin pyyntöihin."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse ei pystynyt lataamaan pyytämääsi URL-osoitetta luotettavasti, koska sivu lakkasi vastaamasta."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Ilmoittamasi URL-osoitteen suojausvarmenne ei ole kelvollinen. {securityMessages}"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome esti sivun lataamisen välimainoksella. Varmista, että testaat oikeaa URL-osoitetta ja että palvelin vastaa kunnolla kaikkiin pyyntöihin."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse ei pystynyt lataamaan pyytämääsi sivua luotettavasti. Varmista, että testaat oikeaa URL-osoitetta ja että palvelin vastaa kunnolla kaikkiin pyyntöihin. (Tiedot: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse ei pystynyt lataamaan pyytämääsi sivua luotettavasti. Varmista, että testaat oikeaa URL-osoitetta ja että palvelin vastaa kunnolla kaikkiin pyyntöihin. (Tilakoodi: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Sivun lataaminen kesti liian kauan. Lyhennä sivun latausaikaa raportin ehdotusten mukaisesti ja yritä suorittaa Lighthouse sen jälkeen. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools-protokollan vastauksen odotus on ylittänyt sille lasketun ajan. (Tapa: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Resurssisisällön hakeminen on ylittänyt sille varatun ajan"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Kirjoittamasi URL-osoite näyttää olevan virheellinen."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Kaikki"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Kaikki skriptit"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Kattavuus"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Moduulien kaksoiskappaleet"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Resurssin tavut"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nimi"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Näytä/piilota taulukko"},
"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Käyttämättömät tavut"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Käytä animoidun sisällön kanssa [`amp-anim`](https://amp.dev/documentation/components/amp-anim/)-ominaisuutta, joka minimoi suoritinkäytön, kun sisältö ei ole näytöllä."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Harkitse kaikkien [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-komponenttien näyttämistä WebP-muodoissa ja lisää varavaihtoehto muita selaimia varten. [Lue lisää](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Varmista, että käytössä on [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites), jotta kuvien lataamista lykätään automaattisesti. [Lue lisää](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Käytä [AMP-optimoijaa](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) ja muita työkaluja [AMP-asettelujen palvelinpuolen renderöintiin](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Lue [AMP-dokumentaatio](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) ja varmista, että kaikkia tyylejä tuetaan."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-komponentti tukee [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/)-määritettä, jolla määritetään käytettävä kuvasisältö näytön koon perusteella. [Lue lisää](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Harkitse virtuaalivieritystä Component Dev Kitissä (CDK), jos laajoja listoja renderöidään. [Lue lisää](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Minimoi JavaScript-nippujen koko [reittitason koodinjakamisella](https://web.dev/route-level-code-splitting-in-angular/). Harkitse myös sisällön tallentamista välimuistiin etukäteen [Angular-service workerilla](https://web.dev/precaching-with-the-angular-service-worker/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Jos käytät Angular CLI:tä, varmista että versiot luodaan tuotantotilassa. [Lue lisää](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Jos käytät Angular CLI:tä, lisää tuotantoversioosi lähdekartat nippujen tarkistamista varten. [Lue lisää](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Lataa reittejä ennalta navigoinnin nopeuttamiseksi. [Lue lisää](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Harkitse `BreakpointObserver` ‑avustajan käyttöä Component Dev Kitissä (CDK) kuvien raja-arvojen hallintaan. [Lue lisää](https://material.angular.io/cdk/layout/overview)."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"GIF kannattaa ehkä ladata palveluun, jonka avulla se voidaan upottaa HTML5-videona."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Valitse `@font-display`, kun määrität teemaasi yksilöityjä fontteja."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Sinun kannattaa ehkä asentaa ja määrittää [moduuli, jolla voit käyttää WebP-kuvamuotoja](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) sivustollasi. Tällaiset moduulit optimoivat latautumisaikoja luomalla WebP-versioita lataamistasi kuvista automaattisesti."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Asenna [Drupal-moduuli](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), joka voi ladata kuvia tarveohjatusti. Tällaiset moduulit voivat parantaa toimintaa lykkäämällä näytön ulkopuolella olevien kuvien lataamista."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Sinun kannattaa ehkä käyttää moduulia, joka voi tuoda kriittistä CSS:ää tai JavaScriptiä sivun sisälle tai mahdollisesti ladata sisältöä asynkronisesti JavaScriptin avulla (esim. [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) ‑moduuli). Huomaathan, että tämän moduulin suorittamat optimoinnit voivat rikkoa sivustosi, joten sinun on todennäköisesti muutettava koodia."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Teemat, moduulit ja palvelinasetukset vaikuttavat kaikki palvelimen vastausaikaan. Sinun kannattaa ehkä etsiä optimoidumpi teema, valita optimointimoduuli tai päivittää palvelimesi. Hosting-palvelimiesi olisi hyvä käyttää PHP-toimintokoodin ja muun sisällön tallentamista välimuistiin, mikä auttaa lyhentämään tietokantojen kyselyaikoja (esim. Redis tai Memcached). Lisäksi niiden tulee käyttää optimoitua sovelluslogiikkaa sivujen nopeampaan valmisteluun."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Sinun kannattaa ehkä käyttää [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Responsiiviset kuvatyylit) ‑toimintoa sivullasi ladattavien kuvien pienentämiseen. Jos näytät sivulla useita kohteita Viewsin avulla, sinun kannattaa ehkä rajoittaa yhdellä sivulla näkyvien kohteiden määrää ottamalla sivunumerointi käyttöön."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Varmista, että Aggregate CSS files (Kokoa CSS-tiedostot) ‑toiminto on otettu käyttöön kohdassa Administration > Configuration > Development (Järjestelmänvalvonta > Määritys > Kehitys). Voit myös määrittää lisää koontiasetuksia käyttämällä [lisämoduuleja](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), mikä voi nopeuttaa sivustosi toimintaa ketjuttamalla, pienentämällä ja pakkaamalla CSS-tyylejä."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Varmista, että Aggregate JavaScript files (Kokoa JavaScript-tiedostot) ‑toiminto on otettu käyttöön kohdassa Administration > Configuration > Development (Järjestelmänvalvonta > Määritys > Kehitys). Voit myös määrittää lisää koontiasetuksia käyttämällä [lisämoduuleja](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), mikä voi nopeuttaa sivustosi toimintaa ketjuttamalla, pienentämällä ja pakkaamalla JavaScript-sisältöä."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Sinun kannattaa ehkä poistaa käyttämättömät CSS-säännöt ja liittää relevanttiin sivuun tai sivun osaan vain tarvittavat Drupal-kirjastot. Saat lisätietoja [Drupal-dokumentaatiosta](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Voit etsiä tarpeetonta CSS:ää lisääviä liitettyjä kirjastoja tutkimalla [koodin testikattavuutta](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Löydät syynä olevan teeman tai moduulin tarkistamalla tyyliarkin URL-osoitteen, kun CSS-koonti on poistettuna käytöstä Drupal-sivustollasi. Etsi teemoja ja moduuleja, joilla on monia tyyliarkkeja luettelossa ja paljon punaista koodin testikattavuudessa. Teeman tai moduulin pitäisi lisätä tyyliarkki jonoon vain, jos sitä todella käytetään sivulla."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Sinun kannattaa ehkä poistaa käyttämätön JavaScript-sisältö ja liittää relevanttiin sivuun tai sivun osaan vain tarvittavat Drupal-kirjastot. Saat lisätietoja [Drupal-dokumentaatiosta](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Voit etsiä tarpeetonta JavaScriptiä lisääviä liitettyjä kirjastoja tutkimalla [koodin testikattavuutta](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Löydät syynä olevan teeman tai moduulin tarkistamalla skriptin URL-osoitteen, kun JavaScript-koonti on poistettuna käytöstä Drupal-sivustollasi. Etsi teemoja ja moduuleja, joilla on monia skriptejä luettelossa ja paljon punaista koodin testikattavuudessa. Teeman tai moduulin pitäisi lisätä skripti jonoon vain, jos sitä todella käytetään sivulla."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Määritä Browser and proxy cache maximum age (Selaimen ja välityspalvelimen välitysmuistin enimmäisikä) ‑asetus kohdassa Administration > Configuration > Development (Järjestelmänvalvonta > Määritys > Kehitys). Lue lisää [Drupalin välimuistista ja toiminnan optimoinnista](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Sinun kannattaa ehkä käyttää [moduulia](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), joka optimoi ja pienentää sivuston kautta ladattuja kuvia, mutta säilyttää niiden laadun. Varmista lisäksi, että käytät kaikkien sivustolla renderöitävien kuvien kanssa Drupalin natiivia [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Responsiiviset kuvatyylit) ‑toimintoa, joka on saatavilla Drupalin versiosta 8 alkaen."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Voit lisätä preconnect- tai dns-prefetch-resurssivihjeitä asentamalla ja määrittämällä [moduulin](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), joka edesauttaa käyttäjäagentin resurssivihjeiden toimintaa."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Varmista, että käytät Drupalin natiivia [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Responsiiviset kuvatyylit) ‑toimintoa, joka on saatavilla Drupalin versiosta 8 alkaen. Käytä Responsive Image Styles ‑toimintoa, kun renderöit kuvakenttiä hyödyntämällä katselutiloja, näkymiä tai WYSIWYG-muokkaustyökalulla ladattuja kuvia."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"GIF kannattaa ehkä ladata palveluun, jonka avulla se voidaan upottaa HTML5-videona."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Sinun kannattaa ehkä käyttää [laajennusta](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) tai palvelua, joka muuntaa ladatut kuvat automaattisesti oikeisiin muotoihin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Asenna [Joomlan laiskan latautumisen liitännäinen](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), joka lykkää muiden kuin näytöllä näkyvien kuvien latautumista, tai vaihda malliin, joka tarjoaa tämän ominaisuuden. Joomla 4.0:sta alkaen kaikille kuville lisätään [automaattisesti](https://github.com/joomla/joomla-cms/pull/30748) `loading`-ydinmäärite."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Tietyt Joomla-laajennukset voivat [tuoda tärkeää sisältöä sivun sisälle](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) tai [lykätä vähemmän tärkeiden resurssien lataamista](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Huomaa, että näiden laajennusten suorittamat optimoinnit voivat rikkoa mallien tai muiden laajennusten toimintoja, joten sinun on testattava ne huolellisesti."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Mallit, laajennukset ja palvelinasetukset vaikuttavat kaikki palvelimen vastausaikaan. Sinun kannattaa ehkä etsiä optimoidumpi malli, valita optimointilaajennus tai päivittää palvelimesi."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Sinun kannattaa ehkä näyttää näytteitä artikkeliluokistasi (esim. lue lisää ‑linkillä), vähentää yhdellä sivulla näkyvien artikkelien määrää, jakaa pitkät postaukset useille sivuille tai käyttää laajennusta kommenttien lataamiseen tarveohjatusti."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Tietyt [Joomla-laajennukset](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) voivat nopeuttaa sivustosi toimintaa ketjuttamalla, pienentämällä ja pakkaamalla CSS-tyylejä. Nämä toiminnot sisältyvät myös joihinkin malleihin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Tietyt [Joomla-laajennukset](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) voivat nopeuttaa sivustosi toimintaa ketjuttamalla, pienentämällä ja pakkaamalla skriptejä. Nämä toiminnot sisältyvät myös joihinkin malleihin."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Sinun kannattaa ehkä vähentää tai vaihtaa [Joomla-laajennuksia](https://extensions.joomla.org/), jotka lataavat käyttämätöntä CSS:ää sivullasi. Etsi tarpeetonta CSS:ää lisääviä laajennuksia tutkimalla [koodin testikattavuutta](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Löydät syynä olevan teeman tai laajennuksen tarkistamalla tyyliarkin URL-osoitteen. Etsi laajennuksia, joilla on monia tyyliarkkeja luettelossa ja paljon punaista koodin testikattavuudessa. Laajennuksen pitäisi lisätä tyyliarkki jonoon vain, jos sitä todella käytetään sivulla."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Sinun kannattaa ehkä vähentää tai vaihtaa [Joomla-laajennuksia](https://extensions.joomla.org/), jotka lataavat käyttämätöntä JavaScriptiä sivullasi. Etsi tarpeetonta JS:ää lisääviä laajennuksia tutkimalla [koodin testikattavuutta](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Löydät syynä olevan laajennuksen tarkistamalla skriptin URL-osoitteen. Etsi laajennuksia, joilla on monia skriptejä luettelossa ja paljon punaista koodin testikattavuudessa. Laajennuksen pitäisi lisätä skripti jonoon vain, jos sitä todella käytetään sivulla."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Lue lisää [selaimen välimuistin käytöstä Joomlassa](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Sinun kannattaa ehkä käyttää [kuvaoptimointilaajennusta](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), joka pakkaa kuvat mutta säilyttää niiden laadun."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Sinun kannattaa ehkä käyttää [responsiivisten kuvien laajennusta](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), jolloin voit käyttää responsiivisia kuvia sisällössäsi."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Voit ottaa tekstin pakkaamisen käyttöön laittamalla Gzip Page Compression (Sivun Gzip-pakkaus) ‑toiminnon päälle Joomlassa. Valitse System > Global configuration > Server (Järjestelmä > Yleiset asetukset > Palvelin)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{
message:"Jos et vielä kokoa JavaScript-sisältöä nipuiksi, harkitse[niputtajan (baler)](https://github.com/magento/baler) käyttöä."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Poista käytöstä Magenton sisäänrakennettu [JavaScriptin niputus ja pienennys](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ja harkitse sen sijaan [niputtajan](https://github.com/magento/baler/) käyttöä."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Valitse `@font-display`, kun[määrität omia kirjasimia](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Etsi [Magento Marketplacesta](https://marketplace.magento.com/catalogsearch/result/?q=webp) erilaisia kolmannen osapuolen laajennuksia uusien kuvamuotojen hyödyntämiseksi."},
"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Muokkaa tuote- ja kuvastomalleja niin, että ne hyödyntävät verkkoalustan [lykätty lataus](https://web.dev/native-lazy-loading) ‑ominaisuutta."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Käytä Magenton [Varnish-integraatiota](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Ota kaupan kehittäjäasetuksista käyttöön vaihtoehto Pienennä CSS-tiedostot. [Lue lisää](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Pienennä kaikki JavaScript-sisältö [Terserillä](https://www.npmjs.com/package/terser) staattisen julkaisun vaiheesta ja poista sisäänrakennettu pienennysominaisuus käytöstä."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Poista käytöstä Magenton sisäänrakennettu [JavaScript-niputus](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Etsi [Magento Marketplacesta](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) erilaisia kolmannen osapuolen laajennuksia kuvien optimointiin."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Preconnect- tai dns-prefetch-resurssivihjeitä voidaan lisätä [muuttamalla teeman asettelua](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>`-tagit voidaan lisätä [muuttamalla teeman asettelua](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Korvaa animoidut GIFit videoilla](https://web.dev/replace-gifs-with-videos/), mikä nopeuttaa verkkosivujen latautumista. Kannattaa myös käyttää nykyaikaisia tiedostomuotoja (esim. [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) tai [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder)), jotka voivat pakata yli 30 % tehokkaammin kuin VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Harkitse [laajennusta](https://octobercms.com/plugins?search=image) tai palvelua, joka muuntaa ladatut kuvat automaattisesti oikeaan muotoon. [Häviöttömät WebP-kuvat](https://developers.google.com/speed/webp) ovat kooltaan 26 % pienempiä kuin PNG:t ja 25–34 % pienempiä kuin vertailukelpoiset JPEG-kuvat vastaavassa SSIM-laatuindeksissä. Myös [AVIF](https://jakearchibald.com/2020/avif-has-landed/) on mahdollinen seuraavan sukupolven kuvamuoto."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Kannattaa ehkä asentaa [kuvien laiskan latautumisen liitännäinen](https://octobercms.com/plugins?search=lazy), joka lykkää muiden kuin näytöllä näkyvien kuvien latautumista, tai vaihtaa malliin, joka tarjoaa tämän ominaisuuden. Harkitse myös [AMP-liitännäisen](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) käyttöä."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Liitännäisistä (plugin) voi olla apua [tärkeiden osien järjestelemisessä](https://octobercms.com/plugins?search=css). En voivat kuitenkin rikkoa muita liitännäisiä, joten testaa ne huolellisesti."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Teemat, liitännäiset ja palvelinasetukset vaikuttavat kaikki palvelimen vastausaikaan. Kannattaa ehkä etsiä optimoidumpi teema, valita optimointiliitännäinen tai päivittää palvelin. October CMSin ansiosta [`Queues`](https://octobercms.com/docs/services/queues) voivat auttaa kehittäjiä aikaa vievien tehtävien (esim. sähköpostin lähettämisen) lykkäämisessä. Tämä nopeuttaa verkkopyyntöjä merkittävästi."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Kannattaa ehkä näyttää postauslistalla katkelmia (esim. `show more`-painikkeella), vähentää yhdellä verkkosivulla näkyvien postauksien määrää, jakaa pitkät postaukset usealle sivulle tai käyttää liitännäistä kommenttien laiskempaan latautumiseen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Monet [liitännäiset](https://octobercms.com/plugins?search=css) voivat nopeuttaa sivustoja ketjuttamalla, pienentämällä ja pakkaamalla tyylejä. Kun tämä tehdään etukäteen rakennusvaiheessa, kehittäminen voi olla nopeampaa."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Monet [liitännäiset](https://octobercms.com/plugins?search=javascript) voivat nopeuttaa sivustojen toimintaa ketjuttamalla, pienentämällä ja pakkaamalla skriptiä. Kun tämä tehdään etukäteen rakennusvaiheessa, kehittäminen voi olla nopeampaa."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Kannattaa ehkä tarkistaa [liitännäiset](https://octobercms.com/plugins), jotka lataavat käyttämätöntä CSS:ää sivustolla. Löydät tarpeetonta CSS:ää lisäävät liitännäiset testaamalla [koodin käyttötason](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Tunnista syynä oleva teema tai liitännäinen tyyliarkin URL-osoitteen perusteella. Yritä löytää liitännäiset, joissa on paljon skriptiä ja punaista koodin käyttötasossa. Liitännäisen pitäisi lisätä tyyliarkki vain, jos sitä todella käytetään verkkosivulla."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Kannattaa ehkä tarkistaa [liitännäiset](https://octobercms.com/plugins?search=javascript), jotka lataavat käyttämätöntä JavaScriptiä verkkosivulla. Löydät tarpeetonta JavaScriptiä lisäävät liitännäiset testaamalla [koodin käyttötason](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Tunnista syynä oleva teema tai liitännäinen skriptin URL-osoitteen perusteella. Yritä löytää liitännäiset, joissa on paljon skriptiä ja punaista koodin käyttötasossa. Liitännäisen pitäisi lisätä skriptiä vain, jos sitä todella käytetään verkkosivulla."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Lue lisää [tarpeettomien verkkopyyntöjen estämisestä HTTP-välimuistilla](https://web.dev/http-cache/#caching-checklist). Välimuistiin tallentamista voi nopeuttaa eri [liitännäisillä](https://octobercms.com/plugins?search=Caching)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Kannattaa ehkä käyttää [kuvanoptimointilaajennusta](https://octobercms.com/plugins?search=image), joka pakkaa kuvat niiden laadun säilyttäen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Lataa kuvat suoraan mediatyökalulla, jolloin oikeat kuvakoot ovat varmasti saatavilla. Kannattaa varmistaa koon muuttamiseen tarkoitetulla [suodattimella](https://octobercms.com/docs/markup/filter-resize) tai [liitännäisellä](https://octobercms.com/plugins?search=image), että kuvien koko on optimaalinen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Ota tekstin pakkaaminen käyttöön palvelimen määrityksistä."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Kannattaa ehkä käyttää "windowing"-kirjastoa (esim. `react-window`) DOM-säikeiden määrän vähentämiseksi, jos sivulla renderöidään monia toistuvia elementtejä. [Lue lisää](https://web.dev/virtualize-long-lists-react-window/). [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) tai [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) auttavat välttämään tarpeettomia uudelleenrenderöintejä. [Ohita tehosteet](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) vain siihen asti, kunnes tietyt riippuvuudet ovat muuttuneet, jos käytät `Effect` -koukkua suoritusaikaisen toiminnan parantamiseen.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Jos käytät React Routeria, minimoi `<Redirect>`-komponentin käyttö [reittinavigoinnissa](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Jos renderöit React-komponentteja palvelinpuolella, `renderToNodeStream()` tai `renderToStaticNodeStream()` voi auttaa niin, että asiakas saa vastaanottaa ja aktivoida merkintöjen eri kohtia kerralla käsittelyn sijaan. [Lue lisää](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Jos versiojärjestelmäsi kutistaa CSS-tiedostoja automaattisesti, varmista että käyttöönotto koskee sovelluksen tuotantoversiota. Voit tarkistaa tämän Reactin kehittäjätyökalut ‑laajennuksella. [Lue lisää](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"Jos versiojärjestelmäsi kutistaa JS-tiedostoja automaattisesti, varmista että käyttöönotto koskee sovelluksen tuotantoversiota. Voit tarkistaa tämän Reactin kehittäjätyökalut ‑laajennuksella. [Lue lisää](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Jos et vielä renderöi palvelinpuolella, [jaa JavaScript-niput osiin](https://web.dev/code-splitting-suspense/) – `React.lazy()` voi auttaa. Jaa muussa tapauksessa koodi osiin kolmannen osapuolen kirjastolla, esimerkiksi [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Käytä React DevTools Profileria, joka käyttää React-sovellusliittymää, komponenttien renderöinnin mittaamiseen. [Lue lisää.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"GIF kannattaa ehkä ladata palveluun, jonka avulla se voidaan upottaa HTML5-videona."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Sinun kannattaa ehkä käyttää [laajennusta](https://wordpress.org/plugins/search/convert+webp/) tai palvelua, joka muuntaa ladatut kuvat automaattisesti oikeisiin muotoihin."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Asenna [WordPressin lazy load ‑laajennus](https://wordpress.org/plugins/search/lazy+load/), joka lykkää näytöllä näkymättömien kuvien lataamista, tai vaihda teemaan, joka tarjoaa tämän ominaisuuden. Harkitse myös [AMP-laajennuksen](https://wordpress.org/plugins/amp/) käyttöä."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Monet WordPress-laajennukset voivat [tuoda tärkeää materiaalia sivun sisälle](https://wordpress.org/plugins/search/critical+css/) tai [lykätä vähemmän tärkeiden resurssien lataamista](https://wordpress.org/plugins/search/defer+css+javascript/). Huomaa, että näiden laajennusten tuomat optimoinnit voivat rikkoa teeman tai laajennusten toimintoja, joten sinun on todennäköisesti muutettava koodia."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Teemat, laajennukset ja palvelinasetukset vaikuttavat kaikki palvelimen vastausaikaan. Sinun kannattaa ehkä etsiä optimoidumpi teema, valita optimointilaajennus tai päivittää palvelimesi."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Sinun kannattaa ehkä näyttää postausluettelossa katkelmia (esim. more-tagin avulla), näyttää yhdellä sivulla vähemmän postauksia, jakaa pitkät postaukset usealle sivulle tai käyttää kommenttien lazy load ‑laajennusta."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Monet [WordPress-laajennukset](https://wordpress.org/plugins/search/minify+css/) voivat nopeuttaa sivustosi toimintaa yhdistämällä, kutistamalla ja pakkaamalla tyylejä. Tämä kutistaminen voidaan mahdollisesti tehdä jo aiemmin kehitysvaiheen prosessilla."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Monet [WordPress-laajennukset](https://wordpress.org/plugins/search/minify+javascript/) voivat nopeuttaa sivustosi toimintaa yhdistämällä, kutistamalla ja pakkaamalla skriptejä. Tämä kutistaminen voidaan mahdollisesti tehdä jo aiemmin kehitysvaiheen prosessilla."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Sinun kannattaa ehkä poistaa tai vaihtaa toisiin [WordPress-laajennuksia](https://wordpress.org/plugins/), jotka lataavat sivulla käyttämätöntä CSS:ää. Etsi tarpeetonta CSS:ää lisääviä laajennuksia [tutkimalla koodin testikattavuutta](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Löydät syynä olevan teeman tai laajennuksen tyylitiedoston URL-osoitteen avulla. Etsi laajennuksia, joilla on monia tyylitiedostoja luettelossa ja paljon punaista koodin testikattavuudessa. Laajennuksen pitäisi lisätä tyylitiedosto jonoon vain, jos sitä todella käytetään sivulla."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Sinun kannattaa ehkä poistaa tai vaihtaa toisiin [WordPress-laajennuksia](https://wordpress.org/plugins/), jotka lataavat sivulla käyttämätöntä JavaScriptiä. Etsi tarpeetonta JS:ää lisääviä laajennuksia [tutkimalla koodin testikattavuutta](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) Chromen DevToolsissa. Löydät syynä olevan teeman tai laajennuksen skriptin URL-osoitteen avulla. Etsi laajennuksia, joilla on monia skriptejä luettelossa ja paljon punaista koodin testikattavuudessa. Laajennuksen pitäisi lisätä skripti jonoon vain, jos sitä todella käytetään sivulla."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Lue lisää [selaimen välimuistin käytöstä WordPressissä](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Harkitse [WordPressin kuvaoptimointilaajennusta](https://wordpress.org/plugins/search/optimize+images/), joka pakkaa kuvat mutta säilyttää niiden laadun."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Lataa kuvat suoraan [mediakirjastosta](https://wordpress.org/support/article/media-library-screen/), jolloin oikeat kuvakoot ovat varmasti saatavilla, ja lisää ne kuvakirjastosta tai varmista oikeiden kuvakokojen käyttö kuva-widgetillä (myös responsiivisuuden raja-arvojen kohdalla). Älä käytä kuvia, joiden koko on `Full Size`, paitsi jos sivun koko on riittävä. [Lue lisää](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Voit ottaa tekstin pakkaamisen käyttöön palvelimen määrityksistä."},"report/renderer/util.js | calculatorLink":{message:"Katso laskin."},"report/renderer/util.js | crcInitialNavigation":{
message:"Ensimmäinen navigointi"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Kriittisen polun enimmäisviive:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopioi JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Tumma teema päälle/pois"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Laajennettu tulostus"},"report/renderer/util.js | dropdownPrintSummary":{message:"Tulosta yhteenveto"},"report/renderer/util.js | dropdownSaveGist":{message:"Tallenna Gistinä"},"report/renderer/util.js | dropdownSaveHTML":{message:"Tallenna HTML-muodossa"},"report/renderer/util.js | dropdownSaveJSON":{message:"Tallenna JSON-tiedostona"},"report/renderer/util.js | dropdownViewer":{message:"Avaa katseluohjelmassa"},"report/renderer/util.js | errorLabel":{message:"Virhe!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Raporttivirhe: ei tarkastustietoja"},"report/renderer/util.js | footerIssue":{message:"Ilmoita ongelmasta"},
"report/renderer/util.js | labDataTitle":{message:"Laboratoriodata"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analysoi nykyisen sivun mobiiliverkon emulaation avulla. Arvot ovat arvioita ja voivat vaihdella."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Lisää manuaalisesti tarkistettavia kohteita"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Ei sovellu"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Suositus"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Arvioitu säästö"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Hyväksytyt tarkastukset"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emuloitu työpöytä"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emuloitu Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Ei emulointia"},
"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe-versio"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Suorittimen/muistin teho"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Suorittimen rajoittaminen"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanava"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Laite"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Noutoaika"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Verkon hidastaminen"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Suoritusajan asetukset"},"report/renderer/util.js | runtimeSettingsUA":{message:"Käyttäjäagentti (isäntä)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Käyttäjäagentti (verkko)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL-osoite"},"report/renderer/util.js | runtimeUnknown":{message:"Ei tietoa"},
"report/renderer/util.js | showRelevantAudits":{message:"Näytä tähän liittyvät tarkastukset:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Tiivistä koodinpätkä"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Laajenna koodinpätkä"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Näytä kolmannen osapuolen resurssit"},"report/renderer/util.js | throttlingProvided":{message:"Ympäristön tarjoama"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Lighthousen suorituksessa havaittiin ongelmia:"},"report/renderer/util.js | varianceDisclaimer":{message:"Arvot ovat arvioita ja voivat vaihdella. [Tehokkuusprosentti lasketaan](https://web.dev/performance-scoring/) suoraan näistä mittareista."},"report/renderer/util.js | viewTreemapLabel":{message:"Katso Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Läpäisi tarkastukset, mutta sai varoituksia"},"report/renderer/util.js | warningHeader":{
message:"Varoitukset: "}}},{}],114:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Hinahayaan ng mga access key ang mga user na mabilis na makatuon sa isang bahagi ng page. Para sa maayos na navigation, natatangi dapat ang bawat access key. [Matuto pa](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Hindi natatangi ang mga value na `[accesskey]`"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Natatangi ang mga value ng `[accesskey]`"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Sinusuportahan ng bawat `role` ng ARIA ang isang partikular na subset ng mga attribute na `aria-*`. Kapag hindi pinagtugma ang mga ito, magiging invalid ang mga attribute na `aria-*`. [Matuto pa](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{
message:"Hindi tumutugma ang mga attribute na `[aria-*]` sa mga tungkulin ng mga ito"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Tumutugma ang mga attribute na `[aria-*]` sa mga tungkulin ng mga ito"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Kapag walang naa-access na pangalan ang isang element, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga element ng `button`, `link`, at `menuitem`."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"May mga naa-access na pangalan ang mga element ng `button`, `link`, at `menuitem`"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Ang mga pantulong na teknolohiya, tulad ng mga screen reader, ay hindi tuloy-tuloy na gumagana kapag nakatakda ang `aria-hidden="true"` sa dokumentong `<body>`. [Matuto pa](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'May `[aria-hidden="true"]` sa dokumentong `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Walang `[aria-hidden="true"]` sa dokumentong `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Pinipigilan ng mga nafo-focus na descendent sa isang element na `[aria-hidden="true"]`ang mga interactive na element na maging available sa mga user ng mga pantulong na teknolohiya tulad ng mga screen reader. [Matuto pa](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'May mga nafo-focus na descendent ang mga element na `[aria-hidden="true"]`'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Walang nafo-focus na descendent ang mga element na `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Kapag walang naa-access na pangalan ang isang field ng input, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga field ng input ng ARIA"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"May mga naa-access na pangalan ang mga field ng input ng ARIA"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Kapag walang naa-access na pangalan ang isang element, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga element ng `meter` ng ARIA."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"May mga naa-access na pangalan ang mga element ng `meter` ng ARIA"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Kapag walang naa-access na pangalan ang isang `progressbar` element, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{
message:"Walang naa-access na pangalan ang mga element ng `progressbar` ng ARIA."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"May mga naa-access na pangalan ang mga element ng `progressbar` ng ARIA"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Ang ilang tungkulin ng ARIA ay may mga kinakailangang attribute na naglalarawan sa status ng element sa mga screen reader. [Matuto pa](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"May mga kulang na kinakailangang attribute na `[aria-*]` ang mga `[role]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Mayroon ng lahat ng kinakailangang attribute na `[aria-*]` ang mga `[role]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Dapat maglaman ang ilang parent role ng ARIA ng mga partikular na child role para maisagawa nito ang mga nilalayong function sa pagiging accessible. [Matuto pa](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Ang mga element na may ARIA na `[role]` na nag-aatas sa mga child na maglaman ng partikular na `[role]` ay kulang ng ilan sa o lahat ng mga kinakailangang child na iyon."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Ang mga element na may ARIA na `[role]` na nag-aatas sa mga child na maglaman ng partikular na `[role]` ay mayroon ng lahat ng kinakailangang child."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Ang ilang child role ng ARIA ay laman dapat ng mga partikular na parent role para maayos na maisagawa ang mga nilalayong function sa pagiging accessible. [Matuto pa](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Hindi nakapaloob ang mga `[role]` sa kinakailangang parent element ng mga ito"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Nakapaloob ang mga `[role]` sa kinakailangang pangunahing element ng mga ito"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Dapat ay may mga valid na value ang mga tungkulin ng ARIA para maisagawa ang mga nilalayong function sa pagiging accessible. [Matuto pa](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Hindi valid ang mga value ng `[role]`"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{
message:"Valid ang mga value ng `[role]`"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Kapag walang naa-access na pangalan ang isang toggle field, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga toggle field ng ARIA"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"May mga naa-access na pangalan ang mga toggle field ng ARIA"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Kapag walang naa-access na pangalan ang isang element, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga element ng `tooltip` ng ARIA."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"May mga naa-access na pangalan ang mga element ng `tooltip` ng ARIA"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Kapag walang naa-access na pangalan ang isang element, iaanunsyo ito ng mga screen reader gamit ang generic na pangalan, kaya hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga element ng `treeitem` ng ARIA."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"May mga naa-access na pangalan ang mga element ng `treeitem` ng ARIA"},
"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Hindi mauunawaan ng mga nakakatulong na teknolohiya, gaya ng mga screen reader, ang mga attribute ng ARIA na may mga invalid na value. [Matuto pa](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Walang valid na value ang mga attribute na`[aria-*]`"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"May valid na value ang mga attribute na `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Hindi mauunawaan ng mga nakakatulong na teknolohiya, gaya ng mga screen reader, ang mga attribute ng ARIA na may mga invalid na pangalan. [Matuto pa](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Hindi valid o hindi mali ang spelling ng mga attribute na `[aria-*]`"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Valid at hindi mali ang spelling ng mga attribute na `[aria-*]`"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Mga Hindi Nakapasang Element"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Kapag walang naa-access na pangalan ang isang button, iaanunsyo ito ng mga screen reader bilang "button," kaya naman hindi ito magagamit ng mga user na umaasa sa mga screen reader. [Matuto pa](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Walang naa-access na pangalan ang mga button"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"May naa-access na pangalan ang mga button"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"Kapag nagdagdag ng mga paraan para i-bypass ang paulit-ulit na content, mas madaling makakapag-navigate sa page ang mga user ng keyboard. [Matuto pa](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Walang heading, link ng paglaktaw, o rehiyon ng landmark ang page"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Ang page ay naglalaman ng heading, link ng paglaktaw, o rehiyon ng landmark"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Mahirap o imposibleng mabasa ng maraming user ang text na mababa ang contrast. [Matuto pa](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Kulang ang ratio ng contrast ng mga kulay ng background at foreground."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"May sapat na ratio ng contrast ang mga kulay ng background at foreground"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Kapag hindi naka-mark up nang maayos ang mga listahan ng kahulugan, puwedeng gumawa ng nakakalito o hindi tumpak na output ang mga screen reader. [Matuto pa](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Hindi lang mga grupo ng `<dt>` at `<dd>`, at mga element na `<script>`, `<template>` o `<div>` na nakaayos nang tama ang nilalaman ng `<dl>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Mga grupo lang ng `<dt>` at `<dd>`, at mga element na `<script>`, `<template>` o `<div>` na nakaayos nang tama ang nilalaman ng `<dl>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Nakapaloob dapat ang mga item sa listahan ng kahulugan (`<dt>` at `<dd>`) sa isang parent element na `<dl>` para matiyak na maayos na maiaanunsyo ng mga screen reader ang mga ito. [Matuto pa](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Hindi nakapaloob sa mga element na `<dl>` ang mga item sa listahan ng kahulugan"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Nakapaloob sa mga element na `<dl>` ang mga item sa listahan ng kahulugan"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Binibigyan ng pamagat ang mga user ng screen reader ng pangkalahatang-ideya ng page, at lubos na umaasa rito ang mga user ng search engine para matukoy kung may kaugnayan ang isang page sa kanilang paghahanap. [Matuto pa](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Walang element na `<title>` ang dokumento"},
"lighthouse-core/audits/accessibility/document-title.js | title":{message:"May `<title>` na element ang dokumento"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Ang lahat ng nafo-focus na element ay dapat na may natatanging `id` para matiyak na nakikita ang mga ito ng mga pantulong na teknolohiya. [Matuto pa](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Hindi natatangi ang mga attribute na `[id]` sa aktibo at nafo-focus na element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Natatangi ang mga attribute na `[id]` sa mga aktibo at nafo-focus na element"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Dapat ay natatangi ang value ng isang ARIA ID para hindi makaligtaan ng mga pantulong na teknolohiya ang iba pang instance. [Matuto pa](https://web.dev/duplicate-id-aria/)."},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Hindi natatangi ang mga ARIA ID"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Natatangi ang mga ARIA ID"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Ang mga field ng form na may maraming label ay puwedeng hindi sinasadyang ianunsyo ng mga pantulong na teknolohiya tulad ng mga screen reader na ginagamit ang una, huli, o lahat ng label. [Matuto pa](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"May maraming label ang mga field ng form"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Walang field ng form ang may maraming label"},"lighthouse-core/audits/accessibility/frame-title.js | description":{
message:"Umaasa ang mga user ng screen reader sa mga pamagat ng frame para ilarawan ang mga content ng mga frame. [Matuto pa](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Walang pamagat ang mga element na`<frame>` o `<iframe>`"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"May pamagat ang mga elemento na`<frame>` o `<iframe>`"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Ipinaparating ng mga mahusay na nakaayos na heading na hindi lumalaktaw ng mga antas ang semantic na istruktura ng page, na mas pinapadali ang pag-navigate at pag-unawa kapag gumagamit ng mga pantulong na teknolohiya. [Matuto pa](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Hindi sunod-sunod na pababa ang pagkakaayos ng mga heading element"},"lighthouse-core/audits/accessibility/heading-order.js | title":{
message:"Lumalabas ang mga heading element nang sunod-sunod na pababa"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Kung hindi tutukoy ng lang attribute ang isang page, ipagpapalagay ng screen reader na ang page ay nasa default na wikang pinili ng user noong sine-set up ang screen reader. Kung wala talaga sa default na wika ang page, puwedeng hindi maianunsyo nang tama ng screen reader ang text ng page. [Matuto pa](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Walang attribute na `[lang]` ang element na `<html>`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Ang `<html>` na element ay may attribute na `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Ang pagtukoy ng valid na [wika ng BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ay nakakatulong na maianunsyo nang maayos ang text. [Matuto pa](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Walang valid na value ang element na `<html>` para sa attribute nitong `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"May valid na value ang element na `<html>` para sa `[lang]` na attribute nito"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Layunin dapat ng mga nagbibigay-impormasyong element na magkaroon ng maikli at naglalarawang alternatibong text. Puwedeng balewalain ang mga palamuting element sa pamamagitan ng walang lamang kahaliling attribute. [Matuto pa](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{
message:"Walang attribute na `[alt]` ang mga element ng larawan"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"May mga attribute na `[alt]` ang mga element na larawan"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Kapag gumagamit ng larawan bilang button na `<input>`, makakatulong sa mga user ng screen reader ang pagbibigay ng alternatibong text na maunawaan kung para saan ang button. [Matuto pa](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Walang text na `[alt]` ang mga element na `<input type="image">`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'May text na `[alt]` ang mga element na `<input type="image">`'},"lighthouse-core/audits/accessibility/label.js | description":{
message:"Tinitiyak ng mga label na maayos na inaanunsyo ang mga kontrol ng form ng mga nakakatulong na teknolohiya, tulad ng mga screen reader. [Matuto pa](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Walang nauugnay na label ang mga element ng form"},"lighthouse-core/audits/accessibility/label.js | title":{message:"May mga nauugnay na label ang mga element ng form"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Pinapahusay ng text ng link (at alternatibong text para sa mga larawan, kapag ginamit bilang mga link) na nakikita, natatangi, at nafo-focus ang karanasan sa navigation para sa mga user ng screen reader. [Matuto pa](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Walang nakikitang pangalan ang mga link"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"May nakikitang pangalan ang mga link"},
"lighthouse-core/audits/accessibility/list.js | description":{message:"May partikular na paraan ng pag-aanunsyo ng mga listahan ang mga screen reader. Makakatulong sa output ng screen reader ang pagtiyak na maayos ang istruktura ng listahan. [Matuto pa](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Hindi lang naglalaman ang listahan ng mga element na `<li>` at element na sumusuporta sa script (`<script>` at `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Naglalaman lang ang mga listahan ng mga element na `<li>` at element na sumusuporta sa script (`<script>` at `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Kailangang nakapaloob sa parent `<ul>` o `<ol>` ang mga item sa listahan `<li>` para maayos itong maianunsyo ng mga screen reader. [Matuto pa](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{
message:"Hindi nakapaloob ang mga item sa listahan (`<li>`) sa mga parent element na `<ul>` o `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Nakapaloob ang mga item sa listahan (`<li>`) sa mga pangunahing element na `<ul>` o `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Hindi inaasahan ng mga user na awtomatikong magre-refresh ang isang page, at babalik sa itaas ng page ang focus kapag ginawa ito. Puwede itong gumawa ng nakakainis o nakakalitong karanasan. [Matuto pa](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Gumagamit ng `<meta http-equiv="refresh">` ang dokumento'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Hindi gumagamit ng `<meta http-equiv="refresh">` ang dokumento'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Problema ang pag-disable ng pag-zoom para sa mga user na malabo ang paningin na umaasa sa pag-magnify ng screen para maayos na makita ang mga content ng isang web page. [Matuto pa](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'Ginagamit ang `[user-scalable="no"]` sa element na `<meta name="viewport">` o `[maximum-scale]` na attribute na mas mababa sa 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Hindi ginagamit ang `[user-scalable="no"]` sa element na `<meta name="viewport">` at hindi mas mababa sa 5 ang attribute na `[maximum-scale]`.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Hindi makakapag-translate ng hindi text na content ang mga screen reader. Kapag nagdagdag ng alt text sa mga element na `<object>`, matutulungan ang mga screen reader sa pagpaparating ng kahulugan sa mga user. [Matuto pa](https://web.dev/object-alt/)."},
"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Walang text na `[alt]` ang mga element na `<object>`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"May text na `[alt]` ang mga element na `<object>`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Nagpapahiwatig ng tahasang pagsasaayos ng navigation ang value na mas mataas sa 0. Bagama't kung tutuusin ay valid ito, madalas itong nagdudulot ng mga nakakainis na karanasan para sa mga user na umaasa sa mga nakakatulong na teknolohiya. [Matuto pa](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Ang ilang element ay may value ng `[tabindex]` na mas mataas sa 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Walang element na may value na `[tabindex]` na mas mataas sa 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"May mga feature ang mga screen reader na mas nagpapadali ng pag-navigate sa mga talahanayan. Kapag tiniyak na ang mga cell na `<td>` na gumagamit sa attribute na `[headers]` ay tumutukoy lang sa iba pang cell sa talahanayang ding iyon, puwedeng mapaganda ang karanasan para sa mga user ng screen reader. [Matuto pa](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Tumutukoy sa isang element na `id` na hindi makikita sa parehong talahanayan ang mga cell sa element na `<table>` na gumagamit ng attribute na `[headers]`."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Tumutukoy sa iba pang cell sa kaparehong talahanayan ang mga cell sa isang element na `<table>` na gumagamit ng attribute na `[headers]`."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"May mga feature ang mga screen reader na mas nagpapadali ng pag-navigate sa mga talahanayan. Kapag tiniyak na ang mga header ng talahanayan ay tumutukoy sa ilang hanay ng mga cell, puwedeng mapahusay ang karanasan para sa mga user ng screen reader. [Matuto pa](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Ang mga element na `<th>` at element na may `[role="columnheader"/"rowheader"]` ay walang cell ng data na inilalarawan ng mga ito.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'May mga inilalarawang cell ng data ang mga element na `<th>` at element na may `[role="columnheader"/"rowheader"]`.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Ang pagtukoy ng valid na [wika ng BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) sa mga element ay nakakatulong sa pagtiyak na tama ang pagbigkas ng screen reader sa text. [Matuto pa](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Walang valid na value ang mga attribute na `[lang]`"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"May valid na value ang mga attribute na `[lang]`"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Kapag nagbigay ng caption ang isang video, mas madaling maa-access ng mga user na bingi at may problema sa pandinig ang impormasyon nito. [Matuto pa](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Hindi naglalaman ng element na `<track>` na may `[kind="captions"]` ang mga element ng `<video>`'},
"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Naglalaman ng element na `<track>` na may `[kind="captions"]` ang mga element ng `<video>`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Para sa magandang hitsura sa iOS kapag nagdagdag ang mga user ng progressive web app sa home screen, tumukoy ng `apple-touch-icon`. Dapat itong nakadirekta sa isang hindi transparent na kuwadradong 192px (o 180px) PNG. [Matuto Pa](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Hindi nagbibigay ng valid na `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Hindi napapanahon ang `apple-touch-icon-precomposed`; mas gusto ang `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Nagbibigay ng valid na `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Kasalukuyang Value"},
"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Iminumungkahing Token"},"lighthouse-core/audits/autocomplete.js | description":{message:"Nakakatulong ang `autocomplete` sa mga user na magsumite ng mga form nang mas mabilis. Para mabawasan ang gawain ng user, pag-isipan ang pag-enable sa pamamagitan ng pagtatakda sa attribute na `autocomplete` sa isang valid na value. [Matuto pa](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Hindi tama ang mga attribute ng mga element ng `<input>` para sa `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Nangangailangan ng manual na pagsusuri"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Suriin ang pagkakasunod-sunod ng mga token"},"lighthouse-core/audits/autocomplete.js | title":{
message:"Tama ang paggamit ng mga element ng `<input>` sa `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'(Mga) token ng `autocomplete`: Invalid ang "{token}" sa {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Suriin ang pagkakasunod-sunod ng mga token: "{tokens}" sa {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Nagkaroon ng negatibong epekto ang mga extension ng Chrome sa performance ng pag-load ng page na ito. Subukang i-audit ang page sa incognito mode o mula sa isang profile sa Chrome nang walang extension."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Pagsusuri ng Script"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Pag-parse ng Script"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Kabuuang Oras ng CPU"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Pag-isipang bawasan ang oras na ginugugol sa pag-parse, pag-compile, at pagpapagana ng JS. Puwedeng mapansin mong nakakatulong dito ang paghahatid ng mas maliliit na payload ng JS. [Matuto pa](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Pabilisin ang pagpapagana ng JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Bilis ng pagpapagana ng JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Alisin ang mga malaki at duplicate na module ng JavaScript mula sa mga bundle para mabawasan ang mga hindi kinakailangang byte na nakokonsumo ng aktibidad ng network. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Alisin ang mga duplicate na module sa mga bundle ng JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Hindi mahusay ang malalaking GIF sa paghahatid ng animated na content. Pag-isipang gumamit ng mga MPEG4/WebM na video para sa mga animation at PNG/WebP para sa mga static na larawan sa halip na GIF para makatipid ng mga byte ng network. [Matuto pa](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Gumamit ng mga format ng video para sa animated na content"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Nagbibigay-daan ang mga polyfill at transform na magamit ng mga legacy na browser ang mga bagong feature ng JavaScript. Gayunpaman, marami ang hindi kinakailangan para sa mga modernong browser. Para sa iyong naka-bundle na JavaScript, gumamit ng modernong diskarte sa deployment ng script gamit ang pag-detect ng feature na module/nomodule para mabawasan ang dami ng code na ipinapadala sa mga modernong browser, habang pinapanatili ang suporta para sa mga legacy na browser. [Matuto Pa](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Iwasan ang paghahatid ng legacy na JavaScript sa mga modernong browser"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Kadalasan, mas mahusay ang pag-compress ng mga format ng larawan gaya ng JPEG 2000, JPEG XR, at WebP kaysa sa pag-compress ng PNG o JPEG, kaya mas mabilis ang pag-download at mas kaunti ang nakokonsumong data. [Matuto pa](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Maghatid ng mga larawan sa mga makabagong format"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Pag-isipang i-lazy load ang mga larawang wala sa screen at nakatago kapag tapos nang mag-load ang lahat ng mahalagang resource para mapabilis ang oras bago maging interactive. [Matuto pa](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Ipagpaliban ang mga larawang wala sa screen"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Bina-block ng mga resource ang first paint ng iyong page. Pag-isipang ihatid ang mahalagang JS/CSS inline at ipagpaliban ang lahat ng hindi mahalagang JS/istilo. [Matuto pa](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Alisin ang mga resource na nagba-block ng pag-render"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Napapagastos ang mga user sa malalaking payload ng network, at malaki ang kaugnayan ng mga ito sa matagal na pag-load. [Matuto pa](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Ang kabuuang laki ay {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Iwasan ang malalaking payload ng network"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Umiiwas sa malalaking payload ng network"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Puwedeng bawasan ng pagpapaliit ng mga file ng CSS ang laki ng payload ng network. [Matuto pa](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Paliitin ang CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Puwedeng bawasan ng pagpapaliit ng mga file ng JavaScript ang laki ng payload at oras ng pag-parse ng script. [Matuto pa](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Paliitin ang JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Bawasan ang mga hindi ginagamit na panuntunan mula sa mga stylesheet at ipagpaliban ang CSS na hindi ginagamit para sa content sa itaas ng fold para mabawasan ang mga byte na kinokonsumo ng aktibidad ng network. [Matuto pa](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Bawasan ang hindi ginagamit na CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Bawasan ang hindi ginagamit na JavaScript at ipagpaliban ang pag-load ng mga script hanggang sa kailanganin ang mga ito para mabawasan ang mga byte na kinokonsumo ng aktibidad ng network. [Matuto pa](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Bawasan ang hindi ginagamit na JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Puwedeng mapabilis ng mahabang lifetime ng cache ang mga umuulit na pagbisita sa iyong page. [Matuto pa](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Nakakita ng 1 resource}one{Nakakita ng # resource}other{Nakakita ng # na resource}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Maghatid ng mga static na asset nang may mahusay na patakaran sa cache"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Gumagamit ng mahusay na patakaran sa cache sa mga static na asset"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Mas mabilis mag-load ang mga na-optimize na larawan at mas kaunti ang nakokonsumong cellular data ng mga ito. [Matuto pa](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"Mahusay na mag-encode ng mga larawan"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Maghatid ng mga larawang naaangkop ang laki para makatipid sa cellular data at mapabilis ang pag-load. [Matuto pa](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Iangkop ang laki ng mga larawan"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Dapat maghatid ang mga text-based na resource nang may compression (gzip, deflate, o brotli) para mabawasan ang kabuuang mga byte ng network. [Matuto pa](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"I-enable ang compression ng text"},"lighthouse-core/audits/content-width.js | description":{
message:"Kung hindi tumutugma ang lapad ng content ng iyong app sa lapad ng viewport, puwedeng hindi ma-optimize ang app mo para sa mga screen ng mobile. [Matuto pa](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Hindi tumutugma ang laki ng viewport na {innerWidth}px sa laki ng window na {outerWidth}px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Hindi tama ang laki ng content para sa viewport"},"lighthouse-core/audits/content-width.js | title":{message:"Tama ang laki ng content para sa viewport"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Ipinapakita sa iyo ng Mga Chain ng Mahahalagang Kahilingan kung anong mga resource ang nilo-load nang may mataas na priyoridad. Pag-isipang paikliin ang mga chain, paliitin ang mga dina-download na resource, o ipagpaliban ang pag-download ng mga hindi kinakailangang resource para mapabilis ang pag-load ng page. [Matuto pa](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Nakakita ng 1 chain}one{Nakakita ng # chain}other{Nakakita ng # na chain}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Iwasan ang pagsusunod-sunod ng mga kritikal na kahilingan"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiba"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Tindi"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Malaki ang nagagawa ng mahigpit na Patakaran sa Seguridad ng Content (Content Security Policy o CSP) para mabawasan ang panganib ng mga cross-site scripting (XSS) na pag-atake. [Matuto pa](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntax"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Naglalaman ang page ng CSP na tinukoy sa isang <meta> tag. Pag-isipang tukuyin ang CSP sa isang HTTP header kung puwede."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Walang nakitang CSP sa enforcement mode"},"lighthouse-core/audits/csp-xss.js | title":{message:"Tiyaking epektibo ang CSP laban sa mga XSS na pag-atake"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Paghinto sa Paggamit / Babala"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Linya"},"lighthouse-core/audits/deprecations.js | description":{
message:"Aalisin sa browser ang mga hindi na ginagamit na API sa paglaon. [Matuto pa](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{May nakitang 1 babala}one{May nakitang # babala}other{May nakitang # na babala}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Gumagamit ng mga hindi na ginagamit na API"},"lighthouse-core/audits/deprecations.js | title":{message:"Iniiwasan ang mga hindi na ginagamit na API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Hindi na ginagamit ang Cache ng Application. [Matuto pa](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Nakita ang "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Gumagamit ng Cache ng Application"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Iniiwasan ang Application Cache"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Kailangang mag-declare ng pag-encode ng character. Magagawa ito gamit ang isang `<meta>` tag sa unang 1024 na byte ng HTML o sa header ng sagot ng HTTP na Uri ng Content. [Matuto pa](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Walang na-declare na charset o sa bandang dulo na ng HTML lumilitaw"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Maayos na tinutukoy ang charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Ang pagtukoy ng doctype ay pumipigil sa browser na lumipat sa quirks-mode. [Matuto pa](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Ang pangalan ng doctype ay dapat ang nasa maliliit na titik na string na `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"Dapat maglaman ng doctype ang dokumento"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Walang lamang string ang inaasahang publicId"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Walang lamang string ang inaasahang systemId"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Walang HTML na doctype ang page, at dahil dito, na-trigger nito ang quirks-mode"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"May HTML na doctype ang page"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Istatistika"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Value"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Kapag malaki ang DOM, madaragdagan ang paggamit ng memory, magkakaroon ng mas mahahabang [pagkalkula ng istilo](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), at lilikha ito ng mga magastos na [reflow ng layout](https://developers.google.com/speed/articles/reflow). [Matuto pa](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}one{# element}other{# na element}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Umiwas sa masyadong malaking DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximum na Lalim ng DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Kabuuang Element ng DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximum na Mga Child na Elemento"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Umiiwas sa masyadong malaking DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Mga Hindi Nakapasang Anchor"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Idagdag ang `rel="noopener"` o `rel="noreferrer"` sa anumang external na link para pahusayin ang performance at pigilan ang mga kahinaan sa seguridad. [Matuto pa](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Hindi ligtas ang mga link sa mga cross-origin na destinasyon"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Ligtas ang mga link sa mga cross-origin na destinasyon"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Hindi matukoy ang destinasyon para sa anchor na ({anchorHTML}). Kung hindi ginagamit bilang hyperlink, pag-isipang alisin ang target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Walang tiwala o nalilito ang mga user sa mga site na humihiling ng kanilang lokasyon nang walang konteksto. Sa halip ay pag-isipang iugnay ang kahilingan sa pagkilos ng user. [Matuto pa](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Humihiling ng pahintulot sa geolocation sa pag-load ng page"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Iniiwasan ang paghiling ng pahintulot sa geolocation sa pag-load ng page"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Uri ng isyu"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Nagsasaad ng mga hindi naresolbang problema ang mga isyung naka-log sa panel na `Issues`. Puwedeng magmula ang mga ito sa mga hindi naisagawang kahilingan sa network, hindi sapat na kontrol sa seguridad, at iba pang alalahanin sa browser. Buksan ang panel na Mga Isyu sa Chrome DevTools para sa higit pang detalye tungkol sa bawat isyu."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Na-log ang mga isyu sa panel na `Issues` sa Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Na-block ng patakaran sa cross-origin"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Labis na paggamit ng resource ng mga ad"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Walang isyu sa panel na `Issues` sa Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Bersyon"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Lahat ng front-end na library ng JavaScript na natukoy sa page. [Matuto pa](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Natukoy na mga library ng JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Para sa mga user na may mabagal na koneksyon, puwedeng maantala ang pag-load ng page dahil sa mga external na script na dynamic na inilagay sa pamamagitan ng `document.write()`. [Matuto pa](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Iwasan ang `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Umiiwas sa `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Pinakamataas na Kalalaan"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Bersyon ng Library"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Bilang ng Kahinaan"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Puwedeng maglaman ng mga kilalang kahinaan sa seguridad ang ilang script ng third party na madaling natutukoy at nasasamantala ng mga nang-aatake. [Matuto pa](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 kahinaan ang natukoy}one{# kahinaan ang natukoy}other{# na kahinaan ang natukoy}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"May mga kasamang front-end na library ng JavaScript na may mga kilalang kahinaan sa seguridad"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Umiiwas sa mga front-end na library ng JavaScript na may mga kilalang kahinaan sa seguridad"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Walang tiwala o nalilito ang mga user sa mga site na humihiling na magpadala ng mga notification nang walang konteksto. Sa halip ay pag-isipang iugnay ang kahilingan sa mga galaw ng user. [Matuto pa](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Humihiling ng pahintulot sa notification sa pag-load ng page"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Iniiwasan ang paghiling ng pahintulot sa notification sa pag-load ng page"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Pinapahina ng paghadlang sa pag-paste ng password ang magandang patakarang panseguridad. [Matuto pa](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Pinipigilan ang mga user na mag-paste sa mga field ng password"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Pinapayagan ang mga user na mag-paste sa mga field ng password"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"Nag-aalok ang HTTP/2 ng mas maraming benepisyo kaysa sa HTTP/1.1, kasama ang mga binary header at multiplexing. [Matuto pa](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 kahilingan ang hindi naihatid sa pamamagitan ng HTTP/2}one{# kahilingan ang hindi naihatid sa pamamagitan ng HTTP/2}other{# na kahilingan ang hindi naihatid sa pamamagitan ng HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{
message:"Gumamit ng HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Pag-isipang markahan ang iyong pan-detect ng event sa pagpindot at wheel bilang `passive` para mapahusay ang performance sa pag-scroll ng iyong page. [Matuto pa](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Hindi gumagamit ng mga passive na listener para pahusayin ang performance sa pag-scroll"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Gumagamit ng mga passive na listener para pahusayin ang performance sa pag-scroll"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Nagsasaad ng mga hindi naresolbang problema ang mga error na naka-log sa console. Puwedeng manggaling ang mga ito sa mga hindi nagawang kahilingan sa network at iba pang alalahanin sa browser. [Matuto pa](https://web.dev/errors-in-console/)"
},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Na-log sa console ang mga error sa browser"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Walang naka-log na mga error sa browser sa console"},"lighthouse-core/audits/font-display.js | description":{message:"Gamitin ang feature na font-display ng CSS para matiyak na nakikita ng user ang text habang nilo-load ang mga webfont. [Matuto pa](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Tiyaking patuloy na nakikita ang text sa pag-load ng webfont"},"lighthouse-core/audits/font-display.js | title":{message:"Patuloy na nakikita ang lahat ng text sa pag-load ng webfont"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Hindi awtomatikong nasuri ng Lighthouse ang `font-display` value para sa pinagmulang {fontOrigin}.}one{Hindi awtomatikong nasuri ng Lighthouse ang `font-display` value para sa pinagmulang {fontOrigin}.}other{Hindi awtomatikong nasuri ng Lighthouse ang `font-display` na value para sa pinagmulang {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Aspect Ratio (Aktwal)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Aspect Ratio (Ipinakita)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Dapat na tumugma ang mga dimensyon ng display ng larawan sa natural na aspect ratio. [Matuto pa](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Ipinapakita ang mga larawang may maling aspect ratio"},"lighthouse-core/audits/image-aspect-ratio.js | title":{
message:"Ipinapakita ang mga larawang may tamang aspect ratio"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Aktwal na laki"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Ipinapakitang laki"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Inaasahang laki"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Dapat ay kasukat ng mga natural na dimensyon ng larawan ang laki ng display at ratio ng pixel para ma-maximize ang pagiging malinaw ng larawan. [Matuto pa](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Nagpapakita ng mga larawang may mababang resolution"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Nagpapakita ng mga larawang may naaangkop na resolution"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Naka-install na ang app"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Hindi ma-download ang kinakailangang icon mula sa manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Dahilan ng pagpalya"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Ang service worker ay ang teknolohiyang nagbibigay-daan sa iyong app na gumamit ng maraming feature ng Progressive Web App, gaya ng offline, pagdaragdag sa homescreen, at mga push notification. Gamit ang naaangkop na service worker at mga pagpapatupad ng manifest, puwedeng proactive na i-prompt ng mga browser ang mga user na idagdag ang iyong app sa kanilang homescreen, na puwedeng magresulta sa mas maraming engagement. [Matuto pa](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 dahilan}one{# dahilan}other{# na dahilan}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Hindi natutugunan ng manifest ng web app o service worker ang mga kinakailangan sa installability"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Hindi magkatugma ang URL ng app sa Play Store at Play Store ID"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Na-load ang page sa incognito window"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Dapat ay isa sa 'standalone,' 'fullscreen,' o 'minimal-ui' ang property na 'display' ng manifest."},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Naglalaman ang manifest ng field na 'display_override,' at ang unang sinusuportahang display mode ay dapat isa sa 'standalone,' 'fullscreen,' o 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Hindi ma-fetch, walang laman, o hindi ma-parse ang manifest"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Nagbago ang manifest URL habang fine-fetch ang manifest."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Walang field na 'name' o 'short_name' ang manifest"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Walang lamang naaangkop na icon ang manifest - kinakailangang nasa format na PNG, SVG, o WebP at hindi bababa sa {value0} px dapat nakatakda ang attribute ng mga laki, at kung nakatakda ang attribute ng layunin, may "any."'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Walang ibinigay na icon na may sukat na kahit {value0} px square at nasa format na PNG, SVG, o WebP, na may attribute ng layunin na naka-unset o nakatakda sa "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Walang laman o sira ang na-download na icon"},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Walang ibinigay na Play store ID"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Walang URL ng manifest <link> ang page"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Walang na-detect na tumutugmang service worker. Posibleng kailanganin mong i-reload ang page, o tingnan kung nakapaloob sa saklaw ng service worker para sa kasalukuyang page ang saklaw at start URL mula sa manifest."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Hindi masusuri ang service worker kapag walang field na 'start_url' sa manifest"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Hindi natutukoy ang installability error id na '{errorId}'"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Hindi inihahatid ang page mula sa isang secure na pinagmulan"},
"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Hindi na-load ang page sa pangunahing frame"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Hindi gumagana offline ang page"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Hindi sinusuportahan ang tinukoy na platform ng application sa Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Itinatakda ng manifest ang prefer_related_applications sa: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Sinusuportahan lang ang prefer_related_applications sa Chrome Beta at mga Stable na channel sa Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Hindi valid ang start URL ng manifest"},"lighthouse-core/audits/installable-manifest.js | title":{
message:"Natutugunan ng manifest ng web app at service worker ang mga kinakailangan sa installability"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Naglalaman ang URL sa manifest ng username, password, o port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Hindi gumagana offline ang page. Hindi ituturing na nai-install ang page kapag nailunsad na ang stable release ng Chrome 93 sa Agosto 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Pinapayagan"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Naka-block"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Hindi secure na URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Humiling ng Pasya"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Dapat protektahan ang lahat ng site sa pamamagitan ng HTTPS, kahit ang mga site na hindi nangangasiwa ng sensitibong data. Kasama rito ang pag-iwas sa [halo-halong content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), kung saan nilo-load ang ilang resource sa pamamagitan ng HTTP kahit na inihahatid ang unang kahilingan sa pamamagitan ng HTTPS. Pinipigilan ng HTTPS ang mga nanghihimasok na makialam o tahimik na makinig sa mga pakikipag-ugnayan sa pagitan ng iyong app at mga user, at isa itong prerequisite para sa HTTP/2 at maraming bagong API ng web platform. [Matuto pa](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 hindi secure na kahilingan ang nakita}one{# hindi secure na kahilingan ang nakita}other{# na hindi secure na kahilingan ang nakita}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Hindi gumagamit ng HTTPS"},
"lighthouse-core/audits/is-on-https.js | title":{message:"Gumagamit ng HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Awtomatikong na-upgrade sa HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Pinapayagan nang may babala"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Library"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Kapag malalaki ang JavaScript library, posibleng maging hindi maganda ang performance. Gumamit ng mas maliliit na library na ganoon din ang function para mabawasan ang laki ng iyong bundle. [Matuto pa](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 malaking library ang nakita}one{# malaking library ang nakita}other{# na malaking library ang nakita}}"},
"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Palitan ang mga napakalaking JavaScript library"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Umiiwas sa malalaking JavaScript library gamit ang mas maliliit na alternatibo"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Ito ang pinakamalaking contentful element na na-paint sa viewport. [Matuto Pa](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element na Largest Contentful Paint"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Kontribusyon sa CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ang mga DOM element na ito ang may pinakamalaking kontribusyon sa CLS ng page."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Iwasan ang malalaking pagbabago ng layout"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Naglilista ng mga pinakamatagal na gawain sa pangunahing thread, na kapaki-pakinabang para sa pagtukoy ng mga pinakanakakapagpatagal ng input delay. [Matuto pa](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# matagal na gawain ang nakita}one{# matagal na gawain ang nakita}other{# na matagal na gawain ang nakita}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Iwasan ang matatagal na gawain sa pangunahing thread"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorya"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Pag-isipang bawasan ang oras na ginugugol sa pag-parse, pag-compile, at pagpapagana ng JS. Posibleng mapansin mong nakakatulong dito ang paghahatid ng mas maliliit na payload ng JS. [Matuto pa](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Bawasan ang gawain sa pangunahing thread"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Binabawasan ang gawain sa pangunahing thread"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Para maabot ang pinakamaraming user, dapat gumana ang mga site sa bawat pangunahing browser. [Matuto pa](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Gumagana ang site sa iba't ibang browser"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Tiyaking puwedeng i-deep link ang mga indibidwal na page sa pamamagitan ng URL at natatangi ang mga URL para sa pagbabahagi sa social media. [Matuto pa](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"May URL ang bawat page"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Mabilis dapat ang mga transition habang nagta-tap ka, kahit sa mabagal na network. Ang karanasang ito ay susi sa pagtingin ng user sa performance. [Matuto pa](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Mukhang hindi nagba-block sa network ang mga transition ng page"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Tinitiyak ng nama-mask na icon na nasasakop ng larawan ang buong hugis nang hindi nagiging naka-letterbox habang ini-install ang app sa isang device. [Matuto pa](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Walang nama-mask na icon ang manifest"},"lighthouse-core/audits/maskable-icon.js | title":{message:"May nama-mask na icon ang manifest"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Sinusukat ng Cumulative Layout Shift ang paggalaw ng mga nakikitang element sa loob ng viewport. [Matuto pa](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Minamarkahan ng First Contentful Paint ang tagal bago ma-paint ang unang text o larawan. [Matuto pa](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Sinusukat ng First Meaningful Paint ang bilis ng pagpapakita ng pangunahing content ng isang page. [Matuto pa](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Ang oras bago maging interactive ay ang haba ng oras na inaabot bago maging ganap na interactive ang page. [Matuto pa](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Minamarkahan ng Largest Contentful Paint ang tagal bago ma-paint ang pinakamalaking text o larawan. [Matuto pa](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Ang maximum na potensyal na First Input Delay na puwedeng maranasan ng iyong mga user ay ang tagal ng pinakamahabang gawain. [Matuto pa](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Ipinapakita ng Speed Index ang bilis ng nakikitang pag-populate ng mga content ng isang page. [Matuto pa](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Kabuuan ng lahat ng yugto ng panahon sa pagitan ng FCP at Oras bago maging Interactive, kapag lumampas ang haba ng gawain sa 50ms, na ipinapahayag sa milliseconds. [Matuto pa](https://web.dev/lighthouse-total-blocking-time/)."},
"lighthouse-core/audits/network-rtt.js | description":{message:"Malaki ang epekto ng mga round trip time (RTT) ng network sa performance. Kung mataas ang RTT sa isang pinagmulan, isa itong palatandaan na mapapahusay ng mga server na malapit sa user ang performance. [Matuto pa](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Mga Round Trip Time ng Network"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Puwedeng makaapekto sa performance sa web ang mga latency ng server. Kung mataas ang latency ng server ng isang pinagmulan, ito ay palatandaang na-overload ang server o hindi mahusay ang performance nito sa backend. [Matuto pa](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Mga Latency sa Backend ng Server"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Hindi maaasahan ang paggana ng event na `unload` at puwedeng mahadlangan ng paghihintay dito ang mga pag-optimize ng browser tulad ng Back-Forward Cache. Pag-isipang gamitin na lang ang event na `pagehide` o `visibilitychange`. [Matuto pa](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Nagrerehistro ng listener na `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Umiiwas sa mga event listener na `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Kapag hindi na-composite ang animation, posibleng hindi maganda ang kalidad ng mga ito at posible ring mapataas ng mga ito ang CLS. [Matuto pa](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{# animated na element ang nakita}one{# animated na element ang nakita}other{# na animated na element ang nakita}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Posibleng mapagalaw ng property na nauugnay sa filter ang mga pixel"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"May isa pang animation ang target na hindi compatible"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'May composite mode ang effect na bukod pa sa "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Iwasan ang mga hindi na-composite na animation"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Nakadepende sa laki ng box ang property na nauugnay sa pag-transform"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Hindi Sinusuportahang Property ng CSS: {properties}}one{Mga Hindi Sinusuportahang Property ng CSS: {properties}}other{Mga Hindi Sinusuportahang Property ng CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"May mga hindi sinusuportahang parameter ng timing ang effect"},"lighthouse-core/audits/performance-budget.js | description":{message:"Panatilihin ang dami at laki ng mga kahilingan sa network sa ilalim ng mga target na itinakda ng ibinigay na badyet sa performance. [Matuto pa](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 kahilingan}one{# kahilingan}other{# na kahilingan}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Badyet sa performance"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Mag-preload ng mga `optional` na font para magamit ng mga unang beses na bisita ang mga ito. [Matuto pa](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Hindi na-preload ang mga font na may `font-display: optional`"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Na-preload ang mga font na may `font-display: optional`"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"I-preload ang larawang ginamit ng element ng LCP para mapahusay ang iyong oras ng LCP. [Matuto pa](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"I-preload ang larawan ng Largest Contentful Paint"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Kung na-set up mo na ang HTTPS, tiyaking ire-redirect mo sa HTTPS ang lahat ng trapiko sa HTTP para ma-enable ang mga ligtas na feature sa web para sa lahat ng iyong user. [Matuto pa](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Hindi nire-redirect sa HTTPS ang trapiko sa HTTP"},"lighthouse-core/audits/redirects-http.js | title":{message:"Nire-redirect sa HTTPS ang trapiko sa HTTP"},"lighthouse-core/audits/redirects.js | description":{message:"Nagpapasimula ang mga pag-redirect ng mga karagdagang pagkaantala bago ma-load ang page. [Matuto pa](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Iwasan ang mga pag-redirect sa maraming page"},"lighthouse-core/audits/resource-summary.js | description":{message:"Para magtakda ng mga badyet para sa dami at laki ng mga resource ng page, magdagdag ng budget.json na file. [Matuto pa](https://web.dev/use-lighthouse-for-performance-budgets/)."},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 kahilingan • {byteCount, number, bytes} KiB}one{# kahilingan • {byteCount, number, bytes} KiB}other{# na kahilingan • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Panatilihing mababa ang mga bilang ng kahilingan at maliit ang mga paglipat"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Iminumungkahi ng mga canonical na link kung aling URL ang ipapakita sa mga resulta ng paghahanap. [Matuto pa](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Maraming URL ang hindi magkakatugma ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Tumuturo sa ibang domain ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Invalid na URL ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Tumuturo sa ibang lokasyon ng `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relatibong URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Tumuturo sa root URL ng domain (ang homepage), sa halip na sa katumbas na page ng content"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Walang valid na `rel=canonical` ang dokumento"},"lighthouse-core/audits/seo/canonical.js | title":{message:"May valid na `rel=canonical` ang dokumento"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Hindi Nako-crawl na Link"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Puwedeng gumamit ng mga attribute na `href` ang mga search engine sa mga link para mag-crawl ng mga website. Tiyaking naka-link ang attribute na `href` ng mga anchor element sa isang naaangkop na destinasyon, para mas marami pang page ng site ang matuklasan. [Matuto Pa](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Hindi nako-crawl ang mga link"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Nako-crawl ang mga link"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Karagdagang hindi nababasang text"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Laki ng Font"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% ng Text ng Page"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Ang mga laki ng font na mas mababa sa 12px ay masyadong maliit para mabasa at kinakailangan ng mga bisita sa mobile na “mag-pinch para mag-zoom in” para mabasa ito. Subukang gawing ≥12px ang >60% ng text sa page. [Matuto pa](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} nababasang text"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Hindi nababasa ang text dahil walang viewport meta tag na naka-optimize para sa mga screen ng mobile."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Hindi gumagamit ng mga nababasang laki ng font ang dokumento"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Nababasang text"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Gumagamit ng mga nababasang laki ng font ang dokumento"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Sinasabi ng mga link na hreflang sa mga search engine kung anong bersyon ng isang page ang dapat ilista ng mga ito sa mga resulta ng paghahanap para sa isang partikular na wika o rehiyon. [Matuto pa](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Walang valid na `hreflang` ang dokumento"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Kaugnay na value ng href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"May valid na `hreflang` ang dokumento"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Hindi inaasahang code ng wika"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Puwedeng hindi ma-index nang maayos ang mga page na may mga hindi matagumpay na status code ng HTTP. [Matuto pa](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Hindi matagumpay ang status code ng HTML ng page"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Matagumpay ang status code ng HTTP ng page"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Hindi maisasama ng mga search engine ang iyong mga page sa mga resulta ng paghahanap kung walang pahintulot ang mga ito na i-crawl ang mga iyon. [Matuto pa](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Naka-block ang page mula sa pag-index"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Hindi naka-block ang page mula sa pag-index"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Nakakatulong ang naglalarawang text ng link sa mga search engine na maunawaan ang iyong content. [Matuto pa](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{May nakitang 1 link}one{May nakitang # link}other{May nakitang # na link}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Walang naglalarawang text ang mga link"},"lighthouse-core/audits/seo/link-text.js | title":{message:"May naglalarawang text ang mga link"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Patakbuhin ang [Tool sa Pag-test ng Structured Data](https://search.google.com/structured-data/testing-tool/) at ang [Structured Data Linter](http://linter.structured-data.org/) para i-validate ang structured data. [Matuto pa](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Valid ang structured data"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Puwedeng magsama ng mga paglalarawan ng meta sa mga resulta ng paghahanap para makapagbigay ng maikling buod ng content ng page. [Matuto pa](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{
message:"Walang laman ang text ng paglalarawan."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Walang paglalarawan ng meta ang dokumento"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"May paglalarawan ng meta ang dokumento"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Hindi nai-index ng mga search engine ang content ng plugin, at maraming device ang naglilimita sa mga plugin o hindi sumusuporta sa mga ito. [Matuto pa](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Gumagamit ng mga plugin ang dokumento"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Iniiwasan ng dokumento ang mga plugin"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Kung sira ang iyong robots.txt, puwedeng hindi maunawaan ng mga crawler kung paano mo gustong ma-crawl o ma-index ang iyong website. [Matuto pa](https://web.dev/robots-txt/)."},
"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Ang kahilingan para sa robots.txt ay nagbalik ng status ng HTTP na: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{May nakitang 1 error}one{May nakitang # error}other{May nakitang # na error}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Hindi nakapag-download ng robots.txt file ang Lighthouse"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Hindi valid ang robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Valid ang robots.txt"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Sapat dapat ang laki (48x48px) at mayroon dapat sapat na espasyo sa paligid ang mga interactive na element gaya ng mga button at link, para madaling ma-tap ang mga ito nang hindi nag-o-overlap sa iba pang element. [Matuto pa](https://web.dev/tap-targets/)."},
"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} ng mga target sa pag-tap ang may angkop na laki"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Masyadong maliit ang mga target ng pag-tap dahil walang viewport meta tag na naka-optimize para sa mga screen ng mobile"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Hindi angkop ang laki ng mga target ng pag-tap"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Nag-o-overlap na Target"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Target ng Pag-tap"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Angkop ang laki ng mga target ng pag-tap"},"lighthouse-core/audits/server-response-time.js | description":{
message:"Panatilihing mabilis ang pagtugon ng server para sa pangunahing dokumento dahil nakadepende rito ang lahat ng iba pang kahilingan. [Matuto pa](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Inabot nang {timeInMs, number, milliseconds} ms ang root na dokumento"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Pabilisin ang unang pagtugon ng server"},"lighthouse-core/audits/server-response-time.js | title":{message:"Mabilis ang unang pagtugon ng server"},"lighthouse-core/audits/service-worker.js | description":{message:"Ang service worker ay ang teknolohiyang nagbibigay-daan sa iyong app na gumamit ng maraming feature ng Progressive Web App, gaya ng offline, pagdaragdag sa homescreen, at mga push notification. [Matuto pa](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"Kinokontrol ng service worker ang page na ito, gayunpaman, walang nakitang `start_url` dahil hindi na-parse ang manifest bilang valid na JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Kinokontrol ng service worker ang page na ito, gayunpaman, wala ang `start_url` ({startUrl}) sa saklaw ng service worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Kinokontrol ng service worker ang page na ito, gayunpaman, walang nakitang `start_url` dahil walang nakuhang manifest."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"May isa o higit pang service worker ang pinagmulang ito, gayunpaman, wala sa saklaw ang page ({pageUrl})."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Hindi nagrerehistro ng service worker na kumokontrol sa page at `start_url`"},"lighthouse-core/audits/service-worker.js | title":{
message:"Nagrerehistro ng service worker na kumokontrol sa page at `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Tinitiyak ng splash screen na may tema na magkakaroon ng karanasang may mataas na kalidad kapag inilunsad ng mga user ang iyong app sa kanilang mga homescreen. [Matuto pa](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Hindi naka-configure para sa custom na splash screen"},"lighthouse-core/audits/splash-screen.js | title":{message:"Naka-configure para sa custom na splash screen"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Puwedeng lagyan ng tema ang address bar ng browser para tumugma sa iyong site. [Matuto pa](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Hindi nagtatakda ng kulay ng tema para sa address bar."},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"Nagtatakda ng kulay ng tema para sa address bar."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Tagumpay ng Customer)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkto"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Puwedeng i-lazy load ang ilang third-party na embed. Pag-isipang palitan ang mga ito ng facade hanggang sa kailanganin na ang mga ito. [Matuto pa](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# alternatibo sa facade ang available}one{# alternatibo sa facade ang available}other{# na alternatibo sa facade ang available}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Puwedeng mag-lazy load ng facade sa ilang third-party na resource"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Mag-lazy load ng mga facade sa mga third-party na resource"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Third-Party"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Puwedeng lubos na makaapekto ang code ng third party sa performance ng pag-load. Limitahan ang bilang ng paulit-ulit na mga third-party na provider at subukang i-load ang code ng third party pagkatapos ng pangunahing pag-load ng iyong page. [Matuto pa](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},
"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Na-block ng code ng third party ang pangunahing thread sa loob ng {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Bawasan ang epekto ng code ng third party"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Bawasan ang paggamit ng third-party"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Pagsukat"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Sukatan"},"lighthouse-core/audits/timing-budget.js | description":{message:"Magtakda ng badyet sa timing para matulungan kang subaybayan ang performance ng iyong site. Mabilis na naglo-load ang mga site na maayos na gumagana at mabilis na tumutugon ang mga ito sa mga input event ng user. [Matuto pa](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{
message:"Badyet sa timing"},"lighthouse-core/audits/unsized-images.js | description":{message:"Magtakda ng tahasang lapad at taas sa mga element na larawan para mabawasan ang mga pagbabago sa layout at mapahusay ang CLS. [Matuto pa](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Walang tahasang `width` at `height` ang mga element na larawan"},"lighthouse-core/audits/unsized-images.js | title":{message:"May tahasang `width` at `height`ang mga element na larawan"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Uri"},"lighthouse-core/audits/user-timings.js | description":{message:"Pag-isipang gumamit ng User Timing API sa iyong app para sukatin ang makatotohanang performance ng app mo sa mahahalagang karanasan ng user. [Matuto pa](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{
message:"{itemCount,plural, =1{1 timing ng user}one{# timing ng user}other{# na timing ng user}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Mga marka at sukat ng User Timing"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'May nakitang `<link rel=preconnect>` para sa "{securityOrigin}" pero hindi ito ginamit ng browser. Tingnan kung ginagamit mo nang tama ang attribute na `crossorigin`.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Pag-isipang magdagdag ng mga hint ng resource na `preconnect` o `dns-prefetch` para magtakda ng mga paunang koneksyon sa mahahalagang third-party na pinagmulan. [Matuto pa](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Mag-preconnect sa mga kinakailangang origin"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{
message:"Mahigit 2 koneksyong `<link rel=preconnect>` ang nakita. Bihira lang dapat gamitin ang mga ito at tanging sa mga pinakamahalagang pinagmulan lang."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'May nakitang `<link rel=preconnect>` para sa "{securityOrigin}" pero hindi ito ginamit ng browser. Gamitin lang ang `preconnect` para sa mahahalagang pinagmulan na tiyak na hihilingin ng page.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'May nakitang preload na `<link>` para sa "{preloadURL}" pero hindi ito ginamit ng browser. Tingnan kung ginagamit mo nang tama ang attribute na `crossorigin`.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Pag-isipang gumamit ng `<link rel=preload>` para mabigyang-priyoridad ang pagkuha ng mga resource na kasalukuyang hinihiling sa huling bahagi ng pag-load ng page. [Matuto pa](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{
message:"I-preload ang mahahalagang kahilingan"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL ng Map"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Tina-translate ng mga source map ang pinaliit na code sa orihinal na source code. Nakakatulong ito sa mga developer na mag-debug sa produksyon. Dagdag pa rito, nakakapagbigay ang Lighthouse ng higit pang insight. Pag-isipang mag-deploy ng mga source map para masulit ang mga benepisyong ito. [Matuto pa](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Nawawala ang mga source map para sa malaking first-party na JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"May nawawalang source map sa malaking JavaScript file"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Babala: may nawawalang 1 item sa `.sourcesContent`}one{Babala: may nawawalang # item sa `.sourcesContent`}other{Babala: may nawawalang # na item sa `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"May mga valid na source map ang page"},"lighthouse-core/audits/viewport.js | description":{message:'Magdagdag ng tag na `<meta name="viewport">` para i-optimize ang iyong app para sa mga screen ng mobile. [Matuto pa](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Walang nahanap na tag na `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Walang tag na `<meta name="viewport">` na may `width` o `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'May tag na `<meta name="viewport">` na may `width` o `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"Mga pagkakataon ito na pahusayin ang paggamit ng ARIA sa iyong application na maaaring mapahusay ang karanasan para sa mga user ng nakakatulong na teknolohiya, tulad ng screen reader."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Ito ay mga pagkakataong magbigay ng alternatibong content para sa audio at video. Puwede nitong mapaganda ang karanasan para sa mga user na may mga problema sa paningin o pandinig."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio at video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Hina-highlight ng mga item na ito ang mga karaniwang pinakamahusay na kagawian sa pagiging accessible."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Pinakamahuhusay na kagawian"},
"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Hina-highlight ng mga pagsusuring ito ang mga pagkakataong [gawing mas accessible ng iyong web app](https://developers.google.com/web/fundamentals/accessibility). Isang subset lang ng mga isyu sa pagiging accessible ang awtomatikong matutukoy kaya hinihikayat din ang manual na pagsusuri."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Tinutugunan ng mga item na ito ang mga bahaging hindi masasakop ng naka-automate na tool sa pagsusuri. Matuto pa sa aming gabay sa [pagsasagawa ng pagsusuri sa pagiging accessible](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Pagiging accessible"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Mga pagkakataon ito na pahusayin ang pagiging nababasa ng iyong content."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Mga pagkakataon ito na pahusayin ang pagsasalin ng mga user sa iyong content sa iba't ibang lokal."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Pag-internationalize at pag-localize"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Mga pagkakataon ito ng pahusayin ang mga semantic ng mga kontrol sa iyong application. Maaari nitong pahusayin ang karanasan para sa mga user ng nakakatulong na teknolohiya, tulad ng screen reader."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Mga pangalan at label"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Ito ay mga pagkakataong pahusayin ang pag-navigate gamit ang keyboard sa iyong application."},
"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigation"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Ang mga ito ay mga pagkakataong mapahusay ang karanasan ng pagbabasa ng data na nasa talahanayan o listahan gamit ang pantulong na teknolohiya, gaya ng screen reader."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Mga talahanayan at listahan"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibility ng Browser"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Pinakamahuhusay na Kagawian"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Pangkalahatan"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Tiwala at Kaligtasan"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{
message:"Karanasan ng User"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Nagtatakda ng mga pamantayan para sa performance ng iyong site ang mga badyet ng performance."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Mga Badyet"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Higit pang impormasyon tungkol sa performance ng iyong application. Ang mga numerong ito ay hindi [direktang makakaapekto ](https://web.dev/performance-scoring/) sa score sa Performance."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Mga Diagnostic"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Ang pinakamahalagang aspeto ng performance ay ang bilis ng pag-render ng mga pixel sa screen. Mahahalagang sukatan: First Contentful Paint, First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{
message:"Mga Pagpapahusay sa First Paint"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Puwedeng makatulong ang mga suhestyon na ito na mapabilis ang pag-load ng iyong page. Hindi [direktang nakakaapekto](https://web.dev/performance-scoring/) ang mga ito sa score sa Performance."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Mga Pagkakataon"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Mga Sukatan"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Pagandahin ang pangkalahatang karanasan sa pag-load para bumilis ang pagtugon ng page at magamit ito kaagad. Mahahalagang sukatan: Time to Interactive, Speed Index"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Mga Pangkalahatang Pagpapahusay"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performance"},
"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Vina-validate ng mga pagsusuring ito ang mga aspeto ng isang Progressive Web App. [Matuto pa](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Kinakailangan ang mga pagsusuring ito ng baseline na [Checklist ng PWA ](https://developers.google.com/web/progressive-web-apps/checklist) pero hindi ito awtomatikong sinusuri ng Lighthouse. Hindi nakakaapekto ang mga ito sa iyong score pero mahalagang ma-verify mo ang mga ito nang manual."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Nai-install"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Na-optimize ang PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Tinitiyak ng mga pagsusuring ito na naka-optimize ang iyong page para sa ranking ng mga resulta ng search engine. May mga karagdagang salik na hindi sinusuri ng Lighthouse na puwedeng makaapekto sa iyong ranking sa paghahanap. [Matuto pa](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Paganahin ang mga karagdagang validator na ito sa iyong site para tingnan ang karagdagang pinakamahuhusay na kagawian sa SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"I-format ang iyong HTML sa paraang nag-e-enable sa mga crawler na mas maunawaan ang content ng app mo."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Pinakamahuhusay na Kagawian sa Content"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Para lumabas sa mga resulta ng paghahanap, kailangan ng mga crawler ng access sa iyong app."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Pag-crawl at Pag-index"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Tiyaking pang-mobile ang iyong mga page para hindi na kailangang mag-pinch o mag-zoom in ng mga user para mabasa ang mga page ng content. [Matuto pa](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Pang-mobile"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Mukhang mas mabagal ang CPU ng tine-test na device kaysa sa inaasahan ng Lighthouse. Puwede itong magkaroon ng negatibong epekto sa score ng iyong performance. Matuto pa tungkol sa [pag-calibrate ng naaangkop na CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},
"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Posibleng hindi naglo-load ang page gaya ng inaasahan dahil na-redirect ang iyong pansubok na URL ({requested}) sa {final}. Direktang subukan ang pangalawang URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Masyadong matagal ang pag-load ng page para matapos sa inilaang limitasyon sa oras. Posibleng hindi kumpleto ang mga resulta."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Posibleng may naka-store na data na nakakaapekto sa bilis ng pag-load sa lokasyong ito: {locations}. I-audit ang page na ito sa incognito window para hindi maapektuhan ng mga resource na iyon ang iyong mga score.}one{Posibleng may naka-store na data na nakakaapekto sa bilis ng pag-load sa mga lokasyong ito: {locations}. I-audit ang page na ito sa incognito window para hindi maapektuhan ng mga resource na iyon ang iyong mga score.}other{Posibleng may naka-store na data na nakakaapekto sa bilis ng pag-load sa mga lokasyong ito: {locations}. I-audit ang page na ito sa incognito window para hindi maapektuhan ng mga resource na iyon ang iyong mga score.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Pag-isipang magdagdag ng https: at http: na URL scheme (binabalewala ng mga browser na sumusuporta sa 'strict-dynamic') para maging backward compatible sa mga lumang browser."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Hindi na ginagamit ang disown-opener simula sa CSP3. Pakigamit na lang ang header na Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Hindi na ginagamit ang referrer simula sa CSP2. Pakigamit na lang ang header na Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Hindi na ginagamit ang reflected-xss simula sa CSP2. Pakigamit na lang ang header na X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Binibigyang-daan ng nawawalang base-uri ang mga na-inject na <base> na tag na itakda ang base na URL para sa lahat ng relative URL (hal. mga script) sa isang domain na kinokontrol ng attacker. Pag-isipang itakda ang base-uri sa 'none' o 'self.'"},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Itinuturing na mga legacy na feature ang mga element na kinokontrol ng object-src. Pag-isipang itakda ang object-src sa 'none' para maiwasan ang pag-inject ng mga plugin na nagpapatupad ng mga hindi ligtas na script."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Walang script-src na direktiba. Puwede nitong bigyang-daan ang pagpapatupad ng mga hindi ligtas na script."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Nakalimutan mo ba ang semicolon? Mukhang direktiba ang {keyword} at hindi isang keyword."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Dapat gamitin ng mga nonce ang base64 na charset."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Dapat ay hindi bababa sa 8 character ang haba ng mga nonce."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"Nako-configure lang ang destinasyon ng pag-uulat sa pamamagitan ng report-to na direktiba. Sinusuportahan lang ang direktibang ito sa mga browser na batay sa Chromium kung kaya inirerekomendang gumamit din ng report-uri na direktiba."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Walang CSP na nagko-configure ng destinasyon ng pag-uulat. Pinapahirap nitong mapanatili ang CSP sa paglipas ng panahon at masubaybayan ang anumang pagkasira."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Puwedeng madalas na ma-bypass ang mga allowlist ng host. Pag-isipang gamitin ang 'strict-dynamic' kasama ng mga CSP nonce o hash."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Hindi kilalang direktiba ng CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Mukhang invalid na keyword ang {keyword}."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"Nagbibigay-daan ang 'unsafe-inline' sa pagpapatupad ng mga hindi ligtas na in-page na script at tagapangasiwa ng event. Pag-isipang gumamit ng mga CSP nonce o hash para indibidwal na payagan ang mga script."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Pag-isipang magdagdag ng 'unsafe-inline' (binabalewala ng mga browser na sumusuporta sa mga nonce/hash) para maging backward compatible sa mga lumang browser."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Oras ng Pag-block ng Pangunahing Thread"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL ng Cache"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Paglalarawan"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Tagal"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemento"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Mga Hindi Nakapasang Element"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Lokasyon"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Pangalan"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Lampas sa Badyet"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Mga Kahilingan"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Laki ng Resource"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Uri ng Resource"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Laki"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Pinagmulan"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Oras ng Pagsisimula"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Oras na Ginugol"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Laki ng Paglipat"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{
message:"Puwedeng Matipid"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Puwedeng Matipid"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Puwedeng makatipid ng {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 element ang nakita}one{# element ang nakita}other{# na element ang nakita}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Puwedeng makatipid ng {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokumento"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Larawan"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Mataas"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Mababa"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Katamtaman"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Max na Potensyal na First Input Delay"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Iba pa"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Iba pang resource"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stylesheet"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Third-party"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Kabuuan"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Nagkaroon ng problema sa pag-record ng trace sa pag-load ng iyong page. Paganahin ulit ang Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Nag-timeout habang naghihintay para sa paunang koneksyon sa Protocol ng Debugger."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Hindi nangolekta ang Chrome ng anumang screenshot habang nilo-load ang page. Pakitiyak na may nakikitang content sa page, at pagkatapos ay subukang paganahin ulit ang Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Hindi malutas ng mga DNS server ang ibinigay na domain."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Ang kinakailangang gatherer na {artifactName} ay nagkaroon ng error: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Nagkaroon ng internal na error sa Chrome. Paki-restart ang Chrome at subukang muling paganahin ang Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Hindi tumakbo ang kinakailangang gatherer na {artifactName}."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"Hindi nag-paint ang page ng anumang content. Pakitiyak na papanatilihin mong nasa foreground ang window ng browser habang naglo-load at subukan ulit. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Hindi HTML ang ibinigay na page (inihatid bilang uri ng MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Masyadong luma ang bersyong ito ng Chrome para suportahan ang '{featureName}.' Gumamit ng mas bagong bersyon para makita ang mga buong resulta."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Hindi na-load nang maayos ng Lighthouse ang page na hiniling mo. Tiyaking tamang URL ang sinusubukan mo at tumutugon nang maayos ang server sa lahat ng kahilingan."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Hindi na-load nang maayos ng Lighthouse ang URL na hiniling mo dahil huminto sa pagtugon ang page."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{
message:"Walang valid na panseguridad na certificate ang URL na ibinigay mo. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Pinigilan ng Chrome ang pag-load ng page gamit ang interstitial. Tiyaking tamang URL ang sinusubukan mo at tumutugon nang maayos ang server sa lahat ng kahilingan."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Hindi na-load nang maayos ng Lighthouse ang page na hiniling mo. Tiyaking tamang URL ang sinusubukan mo at tumutugon nang maayos ang server sa lahat ng kahilingan. (Mga Detalye: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Hindi na-load nang maayos ng Lighthouse ang page na hiniling mo. Tiyaking tamang URL ang sinusubukan mo at tumutugon nang maayos ang server sa lahat ng kahilingan. (Status code: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"Masyadong matagal na na-load ang iyong page. Pakisunod ang mga pagkakataon sa ulat para mabawasan ang tagal ng pag-load ng iyong page, at pagkatapos ay paganahin ulit ang Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Lumampas na sa nakalaang oras ang paghihintay ng tugon ng DevTools protocol. (Pamamaraan: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Lumampas na sa nakalaang panahon ang pag-fetch ng content ng resource"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Mukhang invalid ang URL na ibinigay mo."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Lahat"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Lahat ng Script"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Sakop"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Mga Duplicate na Module"},
"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Mga Byte ng Resource"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Pangalan"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"I-toggle ang Talahanayan"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Mga Hindi Nagamit na Byte"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Para sa animated na content, gamitin ang [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) para mabawasan ang paggamit ng CPU kapag offscreen ang content."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Pag-isipang ipakita ang lahat ng bahagi ng [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) sa mga WebP na format habang tumutukoy ng naaangkop na fallback para sa iba pang browser. [Matuto pa](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Tiyaking ginagamit mo ang [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) para sa mga larawan para awtomatikong mag-lazy load. [Matuto pa](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Gumamit ng mga tool na gaya ng [Optimizer ng AMP](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) para [ma-render sa server-side ang mga layout ng AMP](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Sumangguni sa [dokumentasyon ng AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) para matiyak na sinusuportahan ang lahat ng istilo."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Sinusuportahan ng bahaging [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ang attribute na [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) para tukuyin kung aling mga asset na larawan ang gagamitin batay sa laki ng screen. [Matuto pa](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Pag-isipan ang virtual na pag-scroll sa Component Dev Kit (CDK) kung napakalaki ng mga listahang nire-render. [Matuto pa](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Ilapat ang [paghati ng code sa antas ng ruta](https://web.dev/route-level-code-splitting-in-angular/) para mabawasan ang laki ng iyong mga bundle ng JavaScript. Gayundin, pag-isipang i-precache ang mga asset sa pamamagitan ng [service worker sa Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Kung gumagamit ka ng Angular CLI, tiyaking binubuo ang mga build sa production mode. [Matuto pa](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Kung gumagamit ka ng Angular CLI, magsama ng mga mapa ng source sa build ng iyong produksyon para masuri ang mga bundle mo. [Matuto pa](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"I-preload ang mga ruta nang maaga para mapabilis ang pag-navigate. [Matuto pa](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Pag-isipang gamitin ang utility na `BreakpointObserver` sa Component Dev Kit (CDK) para pamahalaan ang mga breakpoint ng imahe. [Matuto pa](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Pag-isipang i-upload ang iyong GIF sa isang serbisyo kung saan gagawin itong available para i-embed bilang HTML5 video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Tukuyin ang `@font-display` kapag nagtuturo ng mga custom na font sa iyong tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Pag-isipang mag-install at mag-configure [ng module para gamitin ang mga WebP na format ng larawan](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) sa iyong site. Awtomatikong bubuo ang mga module na iyon ng WebP na bersyon ng mga na-upload na larawan mo para i-optimize ang mga oras ng pag-load."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Mag-install [ng module ng Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) na puwedeng mag-lazy load ng mga larawan. Nagbibigay ang mga module na iyon ng kakayahang ipagpaliban ang anumang offscreen na larawan para mapahusay ang performance."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Pag-isipang gumamit ng module sa inline na mahalagang CSS at JavaScript, o puwedeng asynchronous na i-load ang mga asset sa pamamagitan ng JavaScript gaya ng module ng[Advanced na Pagsasama-sama ng CSS/JS](https://www.drupal.org/project/advagg). Tandaang puwedeng makasira sa iyong site ang mga pag-optimize na inihahatid ng module na ito, kaya malamang na kakailanganin mong gumawa ng mga pagbabago sa code."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Nakakaapekto ang mga tema, module, at detalye ng server sa oras ng pagtugon ng server. Pag-isipang maghanap ng mas naka-optimize na tema, maingat na pumili ng module sa pag-optimize, at/o i-upgrade ang iyong server. Dapat gamitin ng iyong mga nagho-host na server ang pag-cache ng PHP opcode at pag-cache ng memory para mabawasan ang mga oras ng query sa database gaya ng Redis o Memcached, pati na ang naka-optimize na logic ng application para mas mabilis na maihanda ang mga page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Pag-isipang gumamit ng [Mga Istilo ng Responsive na Larawan](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) para mabawasan ang laki ng mga larawang nilo-load sa iyong page. Kung gumagamit ka ng Views para magpakita ng maraming item ng content sa isang page, pag-isipang magpatupad ng pagination para limitahan ang bilang ng mga item ng content na ipinapakita sa isang page."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Tiyaking na-enable mo ang "Pagsama-samahin ang mga file sa CSS" sa page na "Pangangasiwa » Configuration » Pag-develop." Puwede mo ring i-configure ang mga mas advanced na opsyon sa pagsasama-sama sa pamamagitan ng [mga karagdagang module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) para pabilisin ang iyong site sa pamamagitan ng pag-concatenate, pagpapaliit, at pag-compress sa mga CSS style.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Tiyaking na-enable mo ang "Pagsama-samahin ang mga file sa JavaScript" sa page na "Pangangasiwa » Configuration » Pag-develop." Puwede mo ring i-configure ang mga mas advanced na opsyon sa pagsasama-sama sa pamamagitan ng [mga karagdagang module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) para pabilisin ang iyong site sa pamamagitan ng pag-concatenate, pagpapaliit, at pag-compress sa mga asset ng JavaScript mo.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Pag-isipang alisin ang mga hindi ginagamit na panuntunan sa CSS at i-attach lang ang mga kinakailangang library ng Drupal sa kaugnay na page o component sa isang page. Tingnan ang [link ng dokumentasyon ng Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para sa mga detalye. Para tukuyin ang mga naka-attach na library na nagdaragdag ng hindi nauugnay na CSS, subukang patakbuhin ang [sakop ng code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Puwede mong tukuyin ang tema/module na responsable mula sa URL ng stylesheet kapag naka-disable ang pagsasama-sama sa CSS sa iyong site ng Drupal. Abangan ang mga tema/module na maraming stylesheet sa listahang mayroong maraming pula sa sakop ng code. Dapat lang i-enqueue ng tema/module ang isang stylesheet kung talagang ginagamit ito sa page."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Pag-isipang alisin ang mga hindi ginagamit na JavaScript asset at i-attach lang ang mga kinakailangang library ng Drupal sa kaugnay na page o bahagi sa isang page. Tingnan ang [link ng dokumentasyon ng Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para sa mga detalye. Para tukuyin ang mga naka-attach na library na nagdaragdag ng hindi nauugnay na JavaScript, subukang patakbuhin ang [sakop ng code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Puwede mong tukuyin ang tema/module na responsable mula sa URL ng script kapag naka-disable ang pagsasama-sama ng JavaScript sa iyong site ng Drupal. Abangan ang mga tema/module na maraming script sa listahang mayroong maraming pula sa sakop ng code. Dapat lang i-enqueue ng tema/module ang isang script kung talagang ginagamit ito sa page."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Itakda ang "Maximum na tagal ng cache ng browser at proxy" sa page na "Pangangasiwa » Configuration » Pag-develop." Magbasa tungkol sa [Cache ng Drupal at pag-optimize para sa performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Pag-isipang gumamit [ng module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) na awtomatikong nag-o-optimize at nagbabawas sa laki ng mga larawang na-upload sa pamamagitan ng site habang pinapanatili ang kalidad. Tiyakin ding ginagamit mo ang native na [Mga Istilo ng Responsive na Larawan](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) na inihahatid mula sa Drupal (available sa Drupal 8 at mas bago) para sa lahat ng larawang na-render sa site."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Puwedeng idagdag ang mga hint sa resource na preconnect o dns-prefetch resource sa pamamagitan ng pag-install at pag-configure [ng module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) na nagbibigay ng mga pasilidad para sa mga hint sa resource ng user agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Tiyaking ginagamit mo ang native na [Mga Istilo ng Responsive na Larawan](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) na inihahatid mula sa Drupal (available sa Drupal 8 at mas bago). Gamitin ang Mga Istilo ng Responsive na Larawan kapag nagre-render ng mga field ng larawan sa pamamagitan ng mga view mode, view, o larawang na-upload sa pamamagitan ng WYSIWYG editor."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"Pag-isipang i-upload ang iyong GIF sa isang serbisyo kung saan gagawin itong available para i-embed bilang HTML5 video."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Pag-isipang gumamit ng [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) o serbisyong awtomatikong magko-convert ng iyong mga na-upload na larawan sa mga pinakamagandang format."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{
message:"Mag-install ng [lazy-load na plugin sa Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) na nagbibigay ng kakayahang ipagpaliban ang anumang offscreen na larawan, o lumipat sa isang template na nagbibigay ng functionality na iyon. Simula sa Joomla 4.0, [awtomatikong](https://github.com/joomla/joomla-cms/pull/30748) kukunin ng lahat ng bagong larawan ang attribute na `loading` mula sa core."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"May ilang plugin sa Joomla na makakatulong sa iyong [i-inline ang mahahalagang asset](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) o [ipagpaliban ang hindi masyadong mahahalagang resource](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Tandaang puwedeng makasira sa mga feature ng iyong mga template o plugin ang mga pag-optimize na mula sa mga plugin na ito, kaya kakailanganin mong subukang mabuti ang mga ito."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Nakakaapekto ang mga template, extension, at detalye ng server sa oras ng pagtugon ng server. Pag-isipang maghanap ng mas naka-optimize na template, maingat na pumili ng extension sa pag-optimize, at/o i-upgrade ang iyong server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Pag-isipang magpakita ng mga sipi sa iyong mga kategorya ng artikulo (hal. sa pamamagitan ng link ng magbasa pa), bawasan ang bilang ng mga artikulong ipinapakita sa isang page, hatiin ang mahahaba mong post sa maraming page, o gumamit ng plugin para sa mga mag-lazy load na komento."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Mapapabilis ng ilang [extension ng Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ang iyong site sa pamamagitan ng pag-concatenate, pagpapaliit, at pag-compress sa mga css style mo. Mayroon ding mga template na nagbibigay ng functionality na ito."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Mapapabilis ng ilang [extension ng Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ang iyong site sa pamamagitan ng pag-concatenate, pagpapaliit, at pag-compress sa mga script mo. Mayroon ding mga template na nagbibigay ng functionality na ito."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Pag-isipang bawasan, o baguhin, ang bilang ng [mga extension ng Joomla](https://extensions.joomla.org/) na naglo-load ng hindi ginagamit na CSS sa iyong page. Para tukuyin ang mga extension na nagdaragdag ng hindi nauugnay na CSS, subukang patakbuhin ang [sakop ng code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Puwede mong tukuyin ang tema/plugin na responsable mula sa URL ng stylesheet. Abangan ang mga plugin na maraming stylesheet sa listahang mayroong maraming pula sa sakop ng code. Dapat lang i-enqueue ng plugin ang isang stylesheet kung talagang ginagamit ito sa page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Pag-isipang bawasan, o baguhin, ang bilang ng [mga extension ng Joomla](https://extensions.joomla.org/) na naglo-load ng hindi ginagamit na JavaScript sa iyong page. Para tukuyin ang mga plugin na nagdaragdag ng hindi nauugnay na JS, subukang patakbuhin ang [sakop ng code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Puwede mong tukuyin ang extension na responsable mula sa URL ng script. Abangan ang mga extension na maraming script sa listahang mayroong maraming pula sa sakop ng code. Dapat lang i-enqueue ng extension ang isang script kung talagang ginagamit ito sa page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Magbasa tungkol sa [Pag-cache ng Browser sa Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Pag-isipang gumamit ng [plugin para sa pag-optimize ng larawan](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) na nagko-compress ng iyong mga larawan habang pinapanatili ang kalidad."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Pag-isipang gumamit ng [plugin para sa mga responsive na larawan](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) para makagamit ng mga responsive na larawan sa iyong content."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Puwede mong i-enable ang pag-compress ng text sa pamamagitan ng pag-enable sa Pag-compress ng Page ng Gzip sa Joomla (System > Pangkalahatang configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{
message:"Kung hindi mo iba-bundle ang iyong mga asset ng JavaScript, pag-isipang gamitin ang [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"I-disable ang built-in na [pag-bundle at pagpapaliit ng JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ng Magento, at pag-isipang gamitin na lang ang [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Tukuyin ang `@font-display` kapag [tumutukoy ng mga custom na font](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Pag-isipang maghanap sa [Marketplace ng Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) para sa iba't ibang third-party na extension para magamit ang mga mas bagong format ng imahe."
},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Pag-isipang baguhin ang iyong mga template ng produkto at catalog para magamit ang feature na [pag-lazy load](https://web.dev/native-lazy-loading) ng web platform."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Gamitin ang [pagsasama ng Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) ng Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'I-enable ang opsyong "Paliitin ang Mga CSS File" sa mga setting ng Developer ng iyong store. [Matuto pa](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Gamitin ang [Terser](https://www.npmjs.com/package/terser) para mapaliit ang lahat ng asset ng JavaScript mula sa deployment ng static na content, at i-disable ang built-in na feature ng pagpapaliit."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"I-disable ang built-in na [pag-bundle ng JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ng Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Pag-isipang maghanap sa [Marketplace ng Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) para sa iba't ibang third party na extension para ma-optimize ang mga imahe."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Maidaragdag ang mga hint sa resource na preconnect o dns-prefetch sa pamamagitan ng [pagbabago ng layout ng tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Maidaragdag ang mga tag ng `<link rel=preload>` sa pamamagitan ng [pagbabago ng layout ng tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Palitan ang mga animated na GIF ng video](https://web.dev/replace-gifs-with-videos/) para sa mas mabibilis na pag-load ng web page at pag-isipang gumamit ng mga modernong format ng file gaya ng [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) o [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) para mapahusay ang efficiency ng pag-compress nang mahigit 30% kaysa sa kasalukuyang state-of-the-art na video codec na VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Pag-isipang gumamit ng [plugin](https://octobercms.com/plugins?search=image) o serbisyong awtomatikong magko-convert ng mga na-upload na larawan sa mga pinakamagandang format. Mas maliit nang 26% ang [mga WebP lossless na larawan](https://developers.google.com/speed/webp) kaysa sa mga PNG at 25-34% mas maliit kaysa sa mga JPEG na larawan sa katumbas ng index ng kalidad ng SSIM. Ang isa pang next-gen na format ng larawan na dapat pag-isipang gamitin ay ang [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Pag-isipang mag-install ng [plugin sa pag-lazy load ng larawan](https://octobercms.com/plugins?search=lazy) na nagbibigay ng kakayahang ipagpaliban ang anumang offscreen na larawan, o lumipat sa isang temang nagbibigay ng naturang functionality. Pag-isipan ding gamitin [ang AMP na plugin](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Maraming plugin ang makakatulong na [i-inline ang mahahalagang asset](https://octobercms.com/plugins?search=css). Puwedeng masira ng mga plugin na ito ang iba pang plugin, kaya dapat kang mag-test nang masinsinan."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Nakakaapekto ang mga tema, plugin, at detalye ng server sa tagal ng pagtugon ng server. Pag-isipang maghanap ng mas naka-optimize na tema, maingat na pumili ng plugin sa pag-optimize, at/o i-upgrade ang server. Binibigyang-daan din ng October CMS ang mga developer na gamitin ang [`Queues`](https://octobercms.com/docs/services/queues) para ipagpaliban ang pagpoproseso ng gawaing nakakaubos ng oras, gaya ng pagpapadala ng e-mail. Talagang pinapabilis nito ang mga kahilingan sa web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Pag-isipang magpakita ng mga sipi sa mga listahan ng post (hal. gamit ang button na `show more`), bawasan ang bilang ng mga post na ipinapakita sa isang web page, o gumamit ng plugin para mag-lazy load ng mga komento."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Maraming [plugin](https://octobercms.com/plugins?search=css) na makakapagpabilis ng website sa pamamagitan ng pag-concatenate, pagpapaliit, at pag-compress sa mga istilo. Kapag gumamit ng proseso ng build para gawin ang pagpapaliit na ito nang mas maaga, puwedeng mapabilis ang pag-develop."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Maraming [plugin](https://octobercms.com/plugins?search=javascript) na makakapagpabilis ng website sa pamamagitan ng pag-concatenate, pagpapaliit, at pag-compress sa mga script. Kapag gumamit ng proseso ng build para gawin ang pagpapaliit na ito nang mas maaga, puwedeng mapabilis ang pag-develop."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Pag-isipang suriin ang [mga plugin](https://octobercms.com/plugins) na naglo-load ng hindi ginagamit na CSS sa website. Para matukoy ang mga plugin na nagdaragdag ng hindi kinakailangang CSS, patakbuhin ang [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Tukuyin ang tema/plugin na responsable mula sa URL ng stylesheet. Hanapin ang mga plugin na maraming stylesheet na may napakaraming pula sa code coverage. Dapat lang magdagdag ang isang plugin ng stylesheet kung talagang ginagamit ito sa web page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Pag-isipang suriin ang [mga plugin](https://octobercms.com/plugins?search=javascript) na naglo-load ng hindi ginagamit na JavaScript sa web page. Para matukoy ang mga plugin na nagdaragdag ng hindi kinakailangang JavaScript, patakbuhin ang [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Tukuyin ang tema/plugin na responsable mula sa URL ng script. Hanapin ang mga plugin na maraming script na may napakaraming pula sa code coverage. Dapat lang magdagdag ang isang plugin ng script kung talagang ginagamit ito sa web page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Magbasa tungkol sa [pagpigil sa mga hindi kinakailangang kahilingan sa network gamit ang HTTP Cache](https://web.dev/http-cache/#caching-checklist). Maraming [plugin](https://octobercms.com/plugins?search=Caching) na magagamit para mapabilis ang pag-cache."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Pag-isipang gumamit ng [plugin sa pag-optimize ng larawan](https://octobercms.com/plugins?search=image) para mag-compress ng mga larawan habang pinapanatili ang kalidad."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Direktang i-upload ang mga larawan sa media manager para matiyak na available ang mga kinakailangang laki ng larawan. Pag-isipang gumamit ng [filter na i-resize](https://octobercms.com/docs/markup/filter-resize) o [plugin sa pag-resize ng larawan](https://octobercms.com/plugins?search=image) para matiyak na ginagamit ang mga pinakanaaangkop na laki ng larawan."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"I-enable ang pag-compress ng text sa configuration ng server sa web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Pag-isipang gumamit ng "windowing" library tulad ng `react-window` para mabawasan ang bilang ng mga node ng DOM na nagagawa kung nagre-render ka ng maraming umuulit na element sa page. [Matuto pa](https://web.dev/virtualize-long-lists-react-window/). Gayundin, bawasan ang mga hindi kinakailangang pag-render ulit gamit ang [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), o [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) at [laktawan lang ang mga effect](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) hanggang sa may ilang partikular na dependency na magbago kung ginagamit mo ang hook na `Effect` para mapahusay ang performance sa runtime.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Kung gumagamit ka ng Router ng React, bawasan ang paggamit ng bahaging `<Redirect>` para sa [mga pag-navigate sa ruta](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Kung may nire-render ka sa server-side na anumang bahagi ng React, pag-isipang gamitin ang `renderToNodeStream()` o `renderToStaticNodeStream()` para payagan ang client na makatanggap at mag-hydrate ng iba't ibang bahagi ng markup sa halip na sabay-sabay. [Matuto pa](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Kung awtomatikong pinapaliit ng iyong system ng build ang mga CSS file, tiyaking ide-deploy mo ang build ng produksyon ng iyong application. Puwede mo itong suriin sa pamamagitan ng extension na Mga Tool ng Developer ng React. [Matuto pa](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Kung awtomatikong pinapaliit ng iyong system ng build ang mga JS file, tiyaking ide-deploy mo ang build ng produksyon ng iyong application. Puwede mo itong suriin sa pamamagitan ng extension na Mga Tool ng Developer ng React. [Matuto pa](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Kung hindi ka nagre-render sa server-side, [hatiin ang iyong mga bundle ng JavaScript](https://web.dev/code-splitting-suspense/) gamit ang `React.lazy()`. Kung hindi naman, hatiin ang code gamit ang isang third-party na library na gaya ng [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Gamitin ang React DevTools Profiler, na gumagamit ng Profiler API para sukatin ang performance sa pag-render ng iyong mga bahagi. [Matuto pa.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Pag-isipang i-upload ang iyong GIF sa isang serbisyo kung saan gagawin itong available para i-embed bilang HTML5 video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Pag-isipang gumamit ng [plugin](https://wordpress.org/plugins/search/convert+webp/) o serbisyong awtomatikong magko-convert ng iyong mga na-upload na larawan sa mga pinakamagandang format."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Mag-install ng [lazy-load na plugin sa WordPress](https://wordpress.org/plugins/search/lazy+load/) na nagbibigay ng kakayahang ipagpaliban ang anumang offscreen na larawan, o lumipat sa isang temang nagbibigay ng functionality. Pag-isipan ding gamiting [ang AMP na plugin](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"May ilang plugin sa WordPress na makakatulong sa iyong [i-inline ang mahahalagang asset](https://wordpress.org/plugins/search/critical+css/) o [ipagpaliban ang hindi masyadong mahahalagang resource](https://wordpress.org/plugins/search/defer+css+javascript/). Tandaang puwedeng makasira sa mga feature ng iyong tema o mga plugin ang mga pag-optimize na mula sa mga plugin na ito, kaya malamang na kakailanganin mong gumawa ng mga pagbabago sa code."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Nakakaapekto ang mga tema, plugin, at detalye ng server sa oras ng pagtugon ng server. Pag-isipang maghanap ng mas naka-optimize na tema, maingat na pumili ng plugin sa pag-optimize, at/o i-upgrade ang iyong server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"Pag-isipang magpakita ng mga sipi sa iyong mga listahan ng post (hal. sa pamamagitan ng tag na higit pa), bawasan ang bilang ng post na ipinapakita sa isang page, hatiin ang mahahaba mong post sa maraming page, o gumamit ng plugin sa mga lazy-load na komento."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Puwedeng pabilisin ng ilang [plugin sa WordPress](https://wordpress.org/plugins/search/minify+css/) ang iyong site sa pamamagitan ng pagsasama-sama, pagpapaliit, at pagko-compress ng mga istilo mo. Puwede ka ring gumamit ng proseso ng pagbuo para gawin ang pagpapaliit na ito nang mas maaga kung posible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Puwedeng pabilisin ng ilang [plugin sa WordPress](https://wordpress.org/plugins/search/minify+javascript/) ang iyong site sa pamamagitan ng pagsasama-sama, pagpapaliit, at pagko-compress ng mga script mo. Puwede ka ring gumamit ng proseso ng pagbuo para gawin ang pagpapaliit na ito nang mas maaga kung posible."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Pag-isipang bawasan, o baguhin, ang bilang ng [mga plugin sa WordPress](https://wordpress.org/plugins/) na naglo-load ng mga hindi ginagamit na CSS sa iyong page. Para tukuyin ang mga plugin na nagdaragdag ng mga hindi nauugnay na CSS, subukang patakbuhin ang [sakop ng code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Puwede mong tukuyin ang tema/plugin na sanhi nito mula sa URL ng stylesheet. Abangan ang mga plugin na maraming stylesheet sa listahang maraming pula sa sakop ng code. Dapat lang i-enqueue ng plugin ang isang stylesheet kung talagang ginagamit ito sa page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Pag-isipang bawasan, o baguhin, ang bilang ng [mga plugin sa WordPress](https://wordpress.org/plugins/) na naglo-load ng mga hindi ginagamit na JavaScript sa iyong page. Para tukuyin ang mga plugin na nagdaragdag ng mga hindi nauugnay na JS, subukang patakbuhin ang [sakop ng code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) sa Chrome DevTools. Puwede mong tukuyin ang tema/plugin na sanhi nito mula sa URL ng script. Abangan ang mga plugin na maraming script sa listahang may maraming pula sa sakop ng code. Dapat lang i-enqueue ng plugin ang isang script kung talagang ginagamit ito sa page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Magbasa tungkol sa [Pag-cache ng Browser sa WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Pag-isipang gumamit ng [plugin sa WordPress para sa pag-optimize ng larawan](https://wordpress.org/plugins/search/optimize+images/) na nagko-compress ng iyong mga larawan habang pinapanatili ang kalidad."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Direktang i-upload ang mga larawan sa pamamagitan ng [library ng media](https://wordpress.org/support/article/media-library-screen/) para tiyaking available ang mga kinakailangang laki ng larawan, at pagkatapos ay ilagay ang mga ito mula sa library ng media o gamitin ang widget ng larawan para tiyaking ginagamit ang mga pinakaangkop na laki ng larawan (kabilang ang para sa mga tumutugong breakpoint). Iwasang gamitin ang mga larawang nasa `Full Size` maliban kung sapat ang mga dimensyon para sa paggamit ng mga ito. [Matuto Pa](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Puwede mong i-enable ang pag-compress ng text sa configuration ng iyong server sa web."},"report/renderer/util.js | calculatorLink":{message:"Tingnan ang calculator."},"report/renderer/util.js | crcInitialNavigation":{message:"Unang Navigation"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maximum na latency ng critical path:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopyahin ang JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"I-toggle ang Madilim na Tema"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Pinalawak ang Pag-print"},"report/renderer/util.js | dropdownPrintSummary":{message:"Buod sa Pag-print"},"report/renderer/util.js | dropdownSaveGist":{message:"I-save bilang Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"I-save bilang HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"I-save bilang JSON"},
"report/renderer/util.js | dropdownViewer":{message:"Buksan sa Viewer"},"report/renderer/util.js | errorLabel":{message:"Nagka-error!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Error sa ulat: walang impormasyon sa pag-audit"},"report/renderer/util.js | footerIssue":{message:"Mag-file ng isyu"},"report/renderer/util.js | labDataTitle":{message:"Data ng Lab"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Ang pagsusuri ng [Lighthouse](https://developers.google.com/web/tools/lighthouse/) ng kasalukuyang page sa isang na-emulate na mobile network. Tinantya at puwedeng mag-iba ang mga value."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Mga karagdagang item na manual na susuriin"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Hindi naaangkop"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Pagkakataon"},"report/renderer/util.js | opportunitySavingsColumnLabel":{
message:"Tinatayang Matitipid"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Mga pumasang pag-audit"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Na-emulate na Desktop"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Na-emulate na Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Walang pag-emulate"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Bersyon ng Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Power ng CPU/Memory"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Pag-throttle ng CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Channel"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Device"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Oras ng Pagkuha"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Pag-throttle ng network"},"report/renderer/util.js | runtimeSettingsTitle":{
message:"Mga Setting ng Runtime"},"report/renderer/util.js | runtimeSettingsUA":{message:"User agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User agent (network)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Hindi alam"},"report/renderer/util.js | showRelevantAudits":{message:"Ipakita ang mga audit na may kaugnayan sa:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"I-collapse ang snippet"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"I-expand ang snippet"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Ipakita ang mga resource ng 3rd party"},"report/renderer/util.js | throttlingProvided":{message:"Ibinigay ng environment"},"report/renderer/util.js | toplevelWarningsMessage":{message:"May mga isyung nakakaapekto sa pagpapatakbong ito ng Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Tinantya at puwedeng mag-iba ang mga value. [Kinakalkula ang score ng performance](https://web.dev/performance-scoring/) nang direkta mula sa mga sukatang ito."},"report/renderer/util.js | viewTreemapLabel":{message:"Tingnan ang Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Pumasa sa mga pag-audit ngunit may mga babala"},"report/renderer/util.js | warningHeader":{message:"Mga Babala: "}}},{}],115:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Les clés d'accès permettent aux utilisateurs de positionner rapidement le curseur dans une partie spécifique de la page. Pour les aider à naviguer correctement, pensez à définir des clés d'accès uniques. [En savoir plus](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Les valeurs `[accesskey]` ne sont pas uniques"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{
message:"Les valeurs `[accesskey]` sont uniques"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Chaque `role` ARIA est rattaché à un sous-ensemble spécifique d'attributs `aria-*`. S'ils ne sont pas correctement associés, les attributs `aria-*` ne seront pas valides. [En savoir plus](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Les attributs `[aria-*]` ne correspondent pas à leurs rôles"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Les attributs `[aria-*]` correspondent à leurs rôles"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Lorsqu'un élément n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Les éléments `button`, `link` et `menuitem` n'ont pas de noms accessibles."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Les éléments `button`, `link` et `menuitem` ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:"Les technologies d'assistance, telles que les lecteurs d'écran, présentent un fonctionnement irrégulier lorsque `aria-hidden=\"true\"` est défini sur l'élément `<body>` du document. [En savoir plus](https://web.dev/aria-hidden-body/)"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` figure sur le document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` ne figure pas sur le document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:"La présence de descendants sélectionnables dans un élément `[aria-hidden=\"true\"]` empêche les utilisateurs de technologies d'assistance, telles que des lecteurs d'écran, de se servir de ces éléments interactifs. [En savoir plus](https://web.dev/aria-hidden-focus/)"},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Les éléments `[aria-hidden="true"]` contiennent des descendants sélectionnables'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Les éléments `[aria-hidden="true"]` ne contiennent pas de descendants sélectionnables'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Lorsqu'un champ de saisie n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Les champs de saisie ARIA n'ont pas de noms accessibles"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Les champs de saisie ARIA ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Lorsqu'un élément n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Les éléments ARIA `meter` n'ont pas de noms accessibles."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Les éléments ARIA `meter` ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Lorsqu'un élément `progressbar` n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Les éléments ARIA `progressbar` n'ont pas de noms accessibles."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Les éléments ARIA `progressbar` ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Certains rôles ARIA ont des attributs obligatoires qui décrivent l'état de l'élément aux lecteurs d'écran. [En savoir plus](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Les éléments `[role]` ne possèdent pas tous les attributs `[aria-*]` requis"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Tous les éléments `[role]` contiennent les attributs `[aria-*]` requis"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Certains rôles ARIA parents doivent contenir des rôles enfants spécifiques afin de remplir correctement leurs fonctions d'accessibilité. [En savoir plus](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Les éléments ayant un `[role]` ARIA, qui exigent que les enfants incluent un `[role]` spécifique, ne possèdent pas certains ou l'ensemble des enfants requis."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Les éléments ayant un `[role]` ARIA, qui exigent que les enfants incluent un `[role]` spécifique, possèdent tous les enfants requis."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Certains rôles ARIA enfants doivent être inclus dans un rôle parent spécifique afin de remplir correctement leurs fonctions d'accessibilité. [En savoir plus](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Les éléments `[role]` ne sont pas inclus dans l'élément parent requis"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Les éléments `[role]` sont inclus dans l'élément parent approprié"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Les rôles ARIA doivent comporter des valeurs valides afin de remplir correctement leurs fonctions d'accessibilité. [En savoir plus](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Les valeurs `[role]` ne sont pas valides"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Les valeurs `[role]` sont valides"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Lorsqu'un champ d'activation/de désactivation n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Les champs d'activation/de désactivation ARIA n'ont pas de noms accessibles"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Les champs d'activation/de désactivation ARIA ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Lorsqu'un élément n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Les éléments ARIA `tooltip` n'ont pas de noms accessibles."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Les éléments ARIA `tooltip` ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Lorsqu'un élément n'a pas de nom accessible, les lecteurs d'écran l'annoncent avec un nom générique, ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Les éléments ARIA `treeitem` n'ont pas de noms accessibles."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Les éléments ARIA `treeitem` ont des noms accessibles"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Les technologies d'assistance telles que les lecteurs d'écran ne peuvent pas interpréter les attributs ARIA si leurs valeurs ne sont pas valides. [En savoir plus](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"La valeur des attributs `[aria-*]` n'est pas valide"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Les attributs `[aria-*]` ont des valeurs valides"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Les technologies d'assistance telles que les lecteurs d'écran ne peuvent pas interpréter les attributs ARIA si leurs noms ne sont pas valides. [En savoir plus](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Les attributs `[aria-*]` ne sont pas valides ou sont mal orthographiés"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{
message:"Les attributs `[aria-*]` sont valides et correctement orthographiés"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Éléments non conformes"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Lorsqu'un bouton n'a pas de nom accessible, les lecteurs d'écran annoncent simplement qu'il s'agit d'un \"bouton\", ce qui le rend inutilisable pour les personnes qui se servent de tels outils. [En savoir plus](https://web.dev/button-name/)"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Les boutons n'ont pas de nom accessible"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Les boutons ont un nom accessible"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"En ajoutant des méthodes pour contourner les contenus répétitifs, vous permettez aux internautes qui utilisent un clavier de naviguer plus efficacement sur la page. [En savoir plus](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:'La page ne contient pas de titre, de lien "Ignorer" ni de point de repère'},"lighthouse-core/audits/accessibility/bypass.js | title":{message:'La page contient un titre, un lien "Ignorer" ou un point de repère'},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Un texte faiblement contrasté est difficile, voire impossible à lire pour de nombreux utilisateurs. [En savoir plus](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Les couleurs d'arrière-plan et de premier plan ne sont pas suffisamment contrastées"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{
message:"Les couleurs d'arrière-plan et de premier plan sont suffisamment contrastées"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Si les listes de définition ne sont pas correctement balisées, les lecteurs d'écran risquent de donner des résultats confus ou imprécis. [En savoir plus](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Les éléments `<dl>` ne contiennent pas uniquement des groupes `<dt>` et `<dd>` ainsi que des éléments `<script>`, `<template>` ou `<div>` dans le bon ordre."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Les éléments `<dl>` ne contiennent que des groupes `<dt>` et `<dd>` ainsi que des éléments `<script>`, `<template>` ou `<div>` dans le bon ordre."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Les éléments de liste de définition (`<dt>` et `<dd>`) doivent être encapsulés dans un élément `<dl>` parent afin que les lecteurs d'écran puissent les énoncer correctement. [En savoir plus](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Les éléments de liste de définition ne sont pas encapsulés dans des éléments `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Les éléments de liste de définition sont encapsulés dans des éléments `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Le titre donne aux utilisateurs de lecteurs d'écran un aperçu de la page. En outre, les moteurs de recherche s'appuient principalement sur ce dernier pour déterminer la pertinence du contenu proposé. [En savoir plus](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Le document ne contient pas d'élément `<title>`"},
"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Le document contient un élément `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Tous les éléments sélectionnables doivent être associés à un `id` unique pour qu'ils soient visibles par les technologies d'assistance. [En savoir plus](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Les attributs `[id]` sur des éléments sélectionnables actifs ne sont pas uniques"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Les attributs `[id]` sur des éléments sélectionnables actifs sont uniques"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"La valeur d'un ID ARIA doit être unique afin que les différentes instances soient toutes prises en compte par les technologies d'assistance. [En savoir plus](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Les ID ARIA ne sont pas uniques"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Les ID ARIA sont uniques"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Les champs de formulaire comprenant plusieurs libellés peuvent être annoncés par les technologies d'assistance comme des lecteurs d'écran utilisant le premier, le dernier ou tous les libellés, ce qui peut prêter à confusion. [En savoir plus](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Les champs de formulaire comprennent plusieurs libellés"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Aucun champ de formulaire ne comporte plusieurs libellés"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Les lecteurs d'écran s'appuient sur le titre des frames pour décrire le contenu de ces derniers aux utilisateurs. [En savoir plus](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Les éléments `<frame>` ou `<iframe>` n'ont pas de titre"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Les éléments `<frame>` ou `<iframe>` ont un titre"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"Les en-têtes correctement classés qui respectent les niveaux transmettent la structure sémantique de la page, ce qui garantit une navigation plus aisée et permet d'identifier plus facilement dans quels cas utiliser les technologies d'assistance. [En savoir plus](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Les éléments d'en-tête ne sont pas classés séquentiellement par ordre décroissant"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Les éléments d'en-tête sont classés séquentiellement par ordre décroissant"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Lorsqu'une page ne spécifie pas d'attribut \"lang\", les lecteurs d'écran considèrent qu'elle est rédigée dans la langue par défaut sélectionnée au moment de leur configuration par l'utilisateur. Si la page n'est pas rédigée dans cette langue par défaut, les lecteurs d'écran risquent de ne pas énoncer correctement son contenu. [En savoir plus](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"L'élément `<html>` n'a pas d'attribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"L'élément `<html>` contient un attribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Le fait de spécifier une [langue BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) valide permet d'aider les lecteurs d'écran à énoncer correctement le texte. [En savoir plus](https://web.dev/html-lang-valid/)"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"La valeur de l'attribut `[lang]` de l'élément `<html>` n'est pas valide."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"La valeur de l'attribut `[lang]` de l'élément `<html>` est valide"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Les éléments informatifs doivent contenir un texte de substitution court et descriptif. L'attribut alt peut rester vide pour les éléments décoratifs. [En savoir plus](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Des éléments d'image n'ont pas d'attribut `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Les éléments d'image possèdent des attributs `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Lorsqu'une image est utilisée comme bouton `<input>`, vous pouvez aider les utilisateurs de lecteurs d'écran à comprendre son utilité en ajoutant un texte de substitution. [En savoir plus](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Les éléments `<input type="image">` n\'ont pas de texte `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Les éléments `<input type="image">` contiennent du texte `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Les libellés permettent de s'assurer que les éléments de contrôle des formulaires sont énoncés correctement par les technologies d'assistance, comme les lecteurs d'écran. [En savoir plus](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Les éléments de formulaire ne sont pas associés à des libellés"},
"lighthouse-core/audits/accessibility/label.js | title":{message:"Les éléments de formulaire sont associés à des libellés"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Rédigez du texte visible et unique pour les liens (et pour le texte de substitution des images, si vous vous en servez dans des liens), afin que les utilisateurs de lecteurs d'écran puissent facilement positionner le curseur dessus et bénéficient d'une meilleure expérience de navigation. [En savoir plus](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Les liens n'ont pas de nom visible"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Les liens ont un nom visible"},"lighthouse-core/audits/accessibility/list.js | description":{
message:"Les lecteurs d'écran ont une façon spécifique d'énoncer les listes. Pour leur permettre de donner de bons résultats, pensez à bien structurer ces dernières. [En savoir plus](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Les listes ne contiennent pas uniquement des éléments `<li>` et des éléments de type script (`<script>` et `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Les listes contiennent uniquement des éléments `<li>` et des éléments de type script (`<script>` et `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Les lecteurs d'écran requièrent que les éléments de liste (`<li>`) soient contenus dans un élément parent `<ul>` ou `<ol>` pour les énoncer correctement. [En savoir plus](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{
message:"Les éléments de liste (`<li>`) ne sont pas inclus dans des éléments parents `<ul>` ni `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Les éléments de liste (`<li>`) sont inclus dans des éléments parents `<ul>` ou `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Les utilisateurs ne s'attendent pas à ce qu'une page s'actualise automatiquement. De plus, lorsque cela se produit, le curseur est aussitôt repositionné en haut de la page. Cela peut générer de la frustration et perturber l'expérience utilisateur. [En savoir plus](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Le document utilise une balise Meta `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Le document n\'utilise pas de balise Meta `<meta http-equiv="refresh">`'},
"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"La désactivation de la fonction de zoom peut être problématique pour les utilisateurs qui ne voient pas bien et qui ont besoin d'agrandir le contenu d'une page Web pour en saisir le sens. [En savoir plus](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'L\'attribut `[user-scalable="no"]` est utilisé dans l\'élément `<meta name="viewport">`, ou l\'attribut `[maximum-scale]` est inférieur à 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:"`[user-scalable=\"no\"]` n'est pas utilisé dans l'élément `<meta name=\"viewport\">`, et l'attribut `[maximum-scale]` n'est pas inférieur à 5."},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Les lecteurs d'écran ne peuvent pas traduire les contenus non textuels. En ajoutant un texte de substitution aux éléments `<object>`, vous aiderez les lecteurs d'écran à transmettre votre message aux utilisateurs. [En savoir plus](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Les éléments `<object>` n'ont pas de texte `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Les éléments `<object>` contiennent du texte `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Une valeur supérieure à 0 implique un ordre de navigation explicite. Bien que cela soit valide d'un point de vue technique, cela crée souvent une expérience frustrante pour les utilisateurs qui s'appuient sur des technologies d'assistance. [En savoir plus](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{
message:"Certains éléments ont une valeur `[tabindex]` supérieure à 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Aucun élément n'a de valeur `[tabindex]` supérieure à 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Les lecteurs d'écran proposent des fonctionnalités qui permettent de naviguer plus simplement dans les tableaux. En vous assurant que les cellules `<td>` qui comportent l'attribut `[headers]` fassent référence à d'autres cellules dans le même tableau uniquement, vous pourrez améliorer l'expérience des utilisateurs de lecteurs d'écran. [En savoir plus](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Les cellules d'un élément `<table>` qui utilisent l'attribut `[headers]` font référence à un élément `id` ne figurant pas dans le même tableau."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{
message:"Les cellules d'un élément `<table>` qui utilisent l'attribut `[headers]` font référence à des cellules figurant dans le même tableau."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Les lecteurs d'écran proposent des fonctionnalités qui permettent de naviguer plus simplement dans les tableaux. En vous assurant que les en-têtes de tableaux fassent toujours référence à un ensemble de cellules spécifique, vous pourrez améliorer l'expérience des utilisateurs de lecteurs d'écran. [En savoir plus](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Les éléments `<th>` et ceux portant l\'attribut `[role="columnheader"/"rowheader"]` ne décrivent aucune cellule de données.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Les éléments `<th>` et ceux portant l\'attribut `[role="columnheader"/"rowheader"]` décrivent des cellules de données.'},
"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Le fait de spécifier une [langue BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) valide pour les éléments permet de s'assurer que le texte sera prononcé correctement par les lecteurs d'écran. [En savoir plus](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"La valeur des attributs `[lang]` n'est pas valide"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Les attributs `[lang]` ont une valeur valide"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Le fait d'ajouter des sous-titres à une vidéo rend cette dernière plus accessible aux personnes sourdes et malentendantes. [En savoir plus](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Les éléments `<video>` ne contiennent pas d\'élément `<track>` avec `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Les éléments `<video>` contiennent un élément `<track>` avec `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Définissez un attribut `apple-touch-icon` afin d'optimiser l'affichage de votre progressive web app sur l'écran d'accueil des appareils iOS. Il doit mener vers une image PNG carrée opaque de 180 ou 192 pixels. [Découvrez-en davantage](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"La valeur de l'attribut `apple-touch-icon` n'est pas valide"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` est obsolète. Utilisez plutôt `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"La valeur de l'attribut `apple-touch-icon` est valide"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valeur actuelle"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Jeton suggéré"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` permet aux utilisateurs d'envoyer des formulaires plus rapidement. Pour leur faire gagner du temps, envisagez d'activer cette fonctionnalité en définissant l'attribut `autocomplete` sur une valeur valide. [En savoir plus](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Les éléments `<input>` ne possèdent pas d'attributs `autocomplete` corrects"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Nécessite une vérification manuelle"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Vérifiez l'ordre des jetons"},
"lighthouse-core/audits/autocomplete.js | title":{message:"Les éléments `<input>` utilisent correctement `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Jeton(s) `autocomplete` : "{token}" n\'est pas valide dans {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Vérifier l\'ordre des jetons : "{tokens}" dans {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Les extensions Chrome ont eu un impact négatif sur les performances de chargement de la page. Essayez de contrôler la page en mode navigation privée ou depuis un profil Chrome sans extensions."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Évaluation des scripts"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Analyse des scripts"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Temps CPU total"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Envisagez de réduire le temps consacré à l'analyse, la compilation et l'exécution de JavaScript. La livraison de charges utiles JavaScript plus petites peut vous aider. [En savoir plus](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Réduisez le temps d'exécution de JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Délai d'exécution de JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Supprimez les modules JavaScript volumineux et en double de vos groupes pour réduire les débits d'octets superflus sur le réseau. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Supprimez les modules en double dans les groupes JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Les grandes images GIF sont inefficaces pour diffuser du contenu animé. Envisagez d'utiliser des vidéos MPEG4/WebM pour les animations et PNG/WebP pour les images statiques au lieu d'images GIF afin d'économiser des octets réseau. [En savoir plus](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Utilisez des formats vidéo pour le contenu animé"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:'Les polyfills et les attributs "transform" permettent aux anciens navigateurs d\'utiliser les nouvelles fonctionnalités JavaScript. Dans la majorité des cas cependant, ils ne sont pas nécessaires aux navigateurs modernes. Adoptez une stratégie de déploiement de script moderne pour votre groupe JavaScript : utilisez la détection de fonctionnalité module/nomodule pour réduire la quantité de code envoyée aux navigateurs modernes tout en continuant de prendre en charge les plus anciens. [En savoir plus](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)'},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Évitez d'utiliser de l'ancien code JavaScript dans les navigateurs récents"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Les formats d'image comme JPEG 2000, JPEG XR et WebP proposent souvent une meilleure compression que les formats PNG ou JPEG. Par conséquent, les téléchargements sont plus rapides et la consommation de données est réduite. [En savoir plus](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Diffusez des images aux formats nouvelle génération"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Envisagez de charger des images masquées ou hors écran après le chargement de toutes les ressources essentielles afin de réduire le délai avant interactivité. [En savoir plus](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Différez le chargement des images hors écran"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Des ressources bloquent la première visualisation (first paint) de votre page. Envisagez de diffuser des feuilles JS/CSS essentielles en ligne et de différer la diffusion de toutes les feuilles JS/de style non essentielles. [En savoir plus](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Éliminez les ressources qui bloquent le rendu"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Les charges utiles des grands réseaux coûtent de l'argent réel aux utilisateurs et sont fortement corrélées aux délais de chargement interminables. [En savoir plus](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"La taille totale était de {totalBytes, number, bytes} Kio"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Évitez d'énormes charges utiles de réseau"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Éviter d'énormes charges utiles de réseau"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"La réduction des fichiers CSS peut réduire la taille des charges utiles de réseau. [En savoir plus](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Réduisez la taille des ressources CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"La minimisation des fichiers JavaScript peut réduire la taille des charges utiles et la durée d'analyse des scripts. [En savoir plus](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Réduisez la taille des ressources JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Réduisez les règles inutilisées des feuilles de style et différez les ressources CSS non utilisées pour le contenu au-dessus de la ligne de flottaison afin de réduire la quantité d'octets consommés par l'activité réseau. [En savoir plus](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Réduisez les ressources CSS inutilisées"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Réduisez les ressources JavaScript inutilisées et différez le chargement des scripts tant qu'ils ne sont pas requis afin de réduire la quantité d'octets consommés par l'activité réseau. [En savoir plus](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Réduisez les ressources JavaScript inutilisées"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Une longue durée de vie du cache peut accélérer les visites répétées sur votre page. [En savoir plus](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 ressource trouvée}one{# ressource trouvée}other{# ressources trouvées}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Diffusez des éléments statiques grâce à des règles de cache efficaces"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Utiliser des règles de cache efficaces sur les éléments statiques"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Les images optimisées se chargent plus rapidement et consomment moins de données mobiles. [En savoir plus](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"Encodez les images de manière efficace"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Diffusez des images de taille appropriée afin d'économiser des données mobiles et de réduire le temps de chargement. [En savoir plus](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Dimensionnez correctement les images"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Les ressources textuelles doivent être diffusées compressées (Gzip, Deflate ou Brotli) pour réduire le nombre total d'octets du réseau. [En savoir plus](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Activez la compression de texte"},"lighthouse-core/audits/content-width.js | description":{
message:"Si la largeur du contenu de votre application ne correspond pas à la largeur de la fenêtre d'affichage, il se peut que votre application ne soit pas optimisée pour les écrans mobiles. [Découvrez-en davantage](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"La dimension de la fenêtre d'affichage ({innerWidth} pixels) ne correspond pas à la taille de la fenêtre ({outerWidth} pixels)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Le contenu n'est pas correctement dimensionné pour la fenêtre d'affichage"},"lighthouse-core/audits/content-width.js | title":{message:"Le contenu est correctement dimensionné pour la fenêtre d'affichage"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Les chaînes de demandes critiques ci-dessous vous montrent quelles ressources sont chargées avec une priorité élevée. Envisagez de réduire la longueur des chaînes et la taille de téléchargement des ressources ou de reporter le téléchargement de ressources inutiles afin d'améliorer le chargement des pages. [En savoir plus](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 chaîne trouvée}one{# chaîne trouvée}other{# chaînes trouvées}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Évitez de créer des chaînes de requêtes critiques"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directive"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravité"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Une CSP (Content Security Policy) efficace réduit considérablement le risque d'attaques de script intersites (XSS). [En savoir plus](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntaxe"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"La page contient une CSP définie dans une balise <meta>. Si possible, définissez la CSP dans un en-tête HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Aucune CSP trouvée en mode de mise en conformité"},"lighthouse-core/audits/csp-xss.js | title":{message:"Garantir l'efficacité de la CSP contre les attaques XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"API obsolète/Avertissement"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Ligne"},"lighthouse-core/audits/deprecations.js | description":{message:"Les API obsolètes seront finalement supprimées du navigateur. [En savoir plus](https://web.dev/deprecations/)"},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 avertissement détecté}one{# avertissement détecté}other{# avertissements détectés}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"API obsolètes utilisées"},"lighthouse-core/audits/deprecations.js | title":{message:"La page n'utilise pas d'API obsolètes"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"L'API Application Cache est obsolète. [En savoir plus](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" trouvé'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"API Application Cache utilisée"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"API Application Cache non utilisée"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"La déclaration d'encodage des caractères est obligatoire. Elle peut être effectuée avec une balise `<meta>` dans les 1 024 premiers octets du code HTML, ou dans l'en-tête de réponse HTTP Content-Type. [En savoir plus](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"La déclaration de charset est manquante ou intervient trop tard dans le code HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Le charset est défini correctement"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"La spécification d'un attribut doctype empêche le navigateur de passer en mode quirks. [Découvrez-en davantage](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Le nom de l'attribut doctype doit être en minuscules `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Le document doit contenir un attribut doctype"
},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"La chaîne publicId est censée être vide"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"La chaîne systemId est censée être vide"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"La page n'a pas d'attribut doctype HTML, ce qui déclenche le mode quirks"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"La page n'a pas d'attribut doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistique"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valeur"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Un grand DOM sollicite davantage la mémoire, et entraîne de plus longs [calculs de style](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) et de coûteux [ajustements de la mise en page](https://developers.google.com/speed/articles/reflow). [En savoir plus](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 élément}one{# élément}other{# éléments}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Évitez une taille excessive de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profondeur maximum de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Nombre total d'éléments DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Nombre maximal d'éléments enfants"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Éviter une taille excessive de DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Ancres non conformes"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Ajoutez les attributs `rel="noopener"` ou `rel="noreferrer"` à tous les liens externes pour améliorer les performances et prévenir les failles de sécurité. [En savoir plus](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Les liens vers les destinations multi-domaines sont dangereux"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Les liens vers les destinations multi-domaines sont sûrs"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Impossible de déterminer la destination de l'ancrage ({anchorHTML}). S'il n'est pas utilisé comme lien hypertexte, envisagez de supprimer target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Les utilisateurs se méfient des sites qui demandent leur position sans contexte. Envisagez plutôt d'associer la demande à des actions de l'utilisateur. [En savoir plus](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Demandes d'autorisation de géolocalisation lors du chargement de page"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Aucune autorisation de géolocalisation n'est demandée au chargement de la page"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Type de problème"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:'Les problèmes enregistrés dans le panneau `Issues` des outils de développement Chrome indiquent des problèmes non résolus. Ceux-ci peuvent être dus à des requêtes réseau qui ont échoué, à des contrôles de sécurité insuffisants ou à d\'autres problèmes du navigateur. Ouvrez le panneau "Issues" dans les outils de développement Chrome pour en savoir plus sur chaque problème.'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Des problèmes ont été enregistrés dans le panneau `Issues` des outils de développement Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloqué par le règlement multi-origines"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Utilisation intensive de ressources par les annonces"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Aucun problème dans le panneau `Issues` des outils de développement Chrome"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Version"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Toutes les bibliothèques JavaScript frontales détectées sur la page. [Découvrez-en davantage](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Bibliothèques JavaScript détectées"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Pour les utilisateurs rencontrant des problèmes de connexion lente, les scripts externes injectés dynamiquement via `document.write()` peuvent retarder le chargement des pages de plusieurs dizaines de secondes. [En savoir plus](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Évitez `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Évite `document.write()`"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Extrême"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Version de la bibliothèque"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Nombre de failles"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Certains scripts tiers peuvent présenter des failles de sécurité connues, faciles à identifier et à exploiter par des pirates informatiques. [En savoir plus](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 faille détectée}one{# faille détectée}other{# failles détectées}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"La page utilise des bibliothèques JavaScript frontales présentant des failles de sécurité connues"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Les bibliothèques JavaScript frontales ne présentent aucune faille de sécurité connue"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Les utilisateurs se méfient des sites qui demandent à envoyer des notifications sans contexte. Envisagez plutôt d'associer la demande à des gestes de l'utilisateur. [En savoir plus](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Demandes d'autorisation d'envoi de notifications lors du chargement de page"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Aucune autorisation d'envoi de notifications n'est demandée au chargement de la page"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Empêcher la copie de contenu dans les champs de mot de passe nuit aux règles de sécurité. [En savoir plus](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"La copie de contenu n'est pas autorisée dans les champs de mot de passe"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Autoriser les utilisateurs à copier un contenu dans les champs de mot de passe"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocole"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"Le protocole HTTP/2 offre de nombreux avantages par rapport à HTTP/1.1, comme les en-têtes binaires et le multiplexage. [En savoir plus](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 requête non traitée via le protocole HTTP/2}one{# requête non traitée via le protocole HTTP/2}other{# requêtes non traitées via le protocole HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Utilisez HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Envisagez de marquer vos écouteurs d'événements tactiles et à la molette comme `passive` pour améliorer les performances de défilement de votre page. [En savoir plus](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"La page n'utilise pas d'écouteurs d'événements passifs pour améliorer les performances de défilement"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"La page utilise des écouteurs d'événements passifs pour améliorer les performances de défilement"},
"lighthouse-core/audits/errors-in-console.js | description":{message:"Les erreurs enregistrées dans la console indiquent des problèmes non résolus. Ces derniers peuvent être dus à des requêtes réseau qui ont échoué et à d'autres problèmes du navigateur. [En savoir plus](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Les erreurs de navigateur ont été enregistrées dans la console"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Aucune erreur de navigateur enregistrée dans la console"},"lighthouse-core/audits/font-display.js | description":{message:"Utilisez la fonction d'affichage de la police CSS afin que le texte soit visible par l'utilisateur pendant le chargement des polices Web. [En savoir plus](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Assurez-vous que le texte reste visible pendant le chargement des polices Web"},
"lighthouse-core/audits/font-display.js | title":{message:"La totalité du texte reste visible pendant le chargement des polices Web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse n'a pas pu vérifier automatiquement la valeur `font-display` pour l'origine {fontOrigin}.}one{Lighthouse n'a pas pu vérifier automatiquement la valeur `font-display` pour l'origine {fontOrigin}.}other{Lighthouse n'a pas pu vérifier automatiquement les valeurs `font-display` pour l'origine {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Format (image réelle)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Format (image affichée)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Les dimensions d'affichage des images doivent correspondre au format naturel. [En savoir plus](https://web.dev/image-aspect-ratio/)"},
"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Images affichées dans un format incorrect"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Images affichées au bon format"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Taille réelle"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Taille affichée"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Taille attendue"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Pour que la clarté de l'image soit optimale, ses dimensions naturelles doivent être proportionnelles à la taille d'affichage et au taux de pixels. [En savoir plus](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Images diffusées en basse résolution"},"lighthouse-core/audits/image-size-responsive.js | title":{
message:"Images diffusées dans la résolution appropriée"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"L'application est déjà installée"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Impossible de télécharger une icône requise depuis le fichier manifeste"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motif de l'échec"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Service worker est une technologie qui permet à votre application d'exploiter de nombreuses fonctionnalités propres aux progressive web apps, comme le fonctionnement hors connexion, l'ajout à l'écran d'accueil et les notifications push. Lorsqu'un service worker et un fichier manifeste sont correctement implémentés, les utilisateurs peuvent être invités à ajouter votre application à leur écran d'accueil par le biais de leur navigateur. Cette fonctionnalité peut contribuer à une hausse de l'engagement. [En savoir plus](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 motif}one{# motif}other{# motifs}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Le fichier manifeste ou le service worker de l'application Web ne respectent pas les conditions d'installation requises"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{
message:"L'URL de l'application Play Store et l'ID Play Store ne correspondent pas"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"La page est chargée dans une fenêtre de navigation privée"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'La propriété "display" du fichier manifeste doit avoir la valeur "standalone", "fullscreen" ou "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Le fichier manifeste contient le champ "display_override" et le premier mode d\'affichage pris en charge doit être "standalone", "fullscreen" ou "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Le fichier manifeste n'a pas pu être récupéré, est vide ou n'a pas pu être analysé"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"L'URL du fichier manifeste a changé pendant la récupération du fichier manifeste."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Le fichier manifeste ne contient ni un champ "name", ni un champ "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Le fichier manifeste ne contient pas d'icône éligible : format PNG, SVG ou WebP d'au moins {value0} px, avec l'attribut de taille défini et l'attribut de fonction non défini ou défini sur \"any\"."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Aucune icône fournie ne fait au moins {value0} px carré(s) au format PNG, SVG ou WebP, avec l\'attribut de fonction non défini ou défini sur "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"L'icône téléchargée était vide ou corrompue"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{
message:"Aucun ID Play Store fourni"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"La page n'a aucune URL <lien> de fichier manifeste"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Aucun service worker correspondant n'a été détecté. Vous devrez peut-être recharger la page ou vérifier que le champ d'application du service worker pour la page actuelle inclut le champ d'application et l'URL de démarrage du fichier manifeste."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Impossible de contrôler le service worker sans un champ "start_url" dans le fichier manifeste'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Le code d'erreur d'installation \"{errorId}\" n'est pas reconnu"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"L'origine de la page n'est pas sécurisée"},
"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"La page n'est pas chargée dans le frame principal"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"La page ne fonctionne pas hors connexion"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"La plate-forme d'applications indiquée n'est pas compatible avec Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Le fichier manifeste indique prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications est uniquement disponible dans la version bêta et les versions stables de Chrome sur Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"L'URL de démarrage du fichier manifeste n'est pas valide"},
"lighthouse-core/audits/installable-manifest.js | title":{message:"Le fichier manifeste et le service worker de l'application Web respectent les conditions d'installation requises"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Une URL du fichier manifeste contient un nom d'utilisateur, un mot de passe ou un port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"La page ne fonctionne pas hors connexion. La page ne sera pas considérée comme installable après le lancement de la version stable de Chrome 93 en août 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Autorisée"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloquée"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL non sécurisée"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Demande de résolution"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Tous les sites doivent être protégés par le protocole HTTPS, même ceux qui ne traitent pas de données sensibles. Par conséquent, vous devez éviter le [contenu mixte](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), qui provoque le chargement de certaines ressources sur HTTP bien que la demande initiale soit diffusée via HTTPS. Le protocole HTTPS empêche les intrus de détourner ou d’écouter passivement les communications entre votre application et les utilisateurs. Il constitue également une condition préalable à l'utilisation de HTTP/2 et de nombreuses nouvelles API de plates-formes Web. [En savoir plus](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 requête non sécurisée trouvée}one{# requête non sécurisée trouvée}other{# requêtes non sécurisées trouvées}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{
message:"La page n'utilise pas le protocole HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Requêtes HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Mise à niveau automatique au format HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Autorisée avec un avertissement"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliothèque"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Les bibliothèques JavaScript volumineuses peuvent être à l'origine de performances médiocres. Optez pour des bibliothèques plus petites aux fonctions équivalentes afin de réduire la taille du lot. [En savoir plus](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{
message:"{libraryCount,plural, =1{1 bibliothèque volumineuse trouvée}one{# bibliothèque volumineuse trouvée}other{# bibliothèques volumineuses trouvées}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Remplacer les bibliothèques JavaScript inutilement volumineuses"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Évite les bibliothèques JavaScript volumineuses à l'aide d'alternatives plus petites"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Il s'agit de l'élément identifié comme \"Largest Contentful Paint\" dans la fenêtre d'affichage. [En savoir plus](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:'Élément identifié comme "Largest Contentful Paint"'},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribution au CLS"},
"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ces éléments DOM contribuent en grande partie au CLS de la page."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Éviter les changements de mise en page importants"},"lighthouse-core/audits/long-tasks.js | description":{message:"Indique les tâches les plus longues du thread principal, ce qui est utile pour identifier celles qui entraînent le plus de retard. [En savoir plus](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# tâche longue trouvée}one{# tâche longue trouvée}other{# tâches longues trouvées}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Évitez les tâches longues dans le thread principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Catégorie"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"Envisagez de réduire le temps consacré à l'analyse, la compilation et l'exécution de JavaScript. La livraison de charges utiles JavaScript plus petites peut vous aider. [En savoir plus](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Réduisez le travail du thread principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Réduire le travail du thread principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Afin de toucher le plus grand nombre d'utilisateurs possible, les sites doivent fonctionner sur tous les principaux navigateurs. [Découvrez-en davantage](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Le site fonctionne sur différents navigateurs"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"Veillez à ce que les URL de vos pages puissent être utilisées dans des liens profonds. En outre, chaque URL doit être unique afin de pouvoir être correctement partagée sur les réseaux sociaux. [Découvrez-en davantage](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Chaque page a sa propre URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"La navigation sur les pages doit être rapide et fluide, même pour les utilisateurs avec une connexion lente. C'est un critère de performance fondamental pour les utilisateurs. [Découvrez-en davantage.](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"La navigation entre les différentes pages du site doit être rapide et fluide"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"Une icône masquable empêche l'apparition de bandes noires (format letterbox) et assure que l'image remplit totalement l'espace disponible lorsque l'application est installée sur un appareil. [En savoir plus](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Le fichier manifeste ne comporte pas d'icône masquable"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Le fichier manifeste comporte une icône masquable"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Cumulative Layout Shift mesure le mouvement des éléments visibles dans la fenêtre d'affichage. [En savoir plus](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:'La statistique "First Contentful Paint" indique le moment où le premier texte ou la première image sont affichés. [En savoir plus](https://web.dev/first-contentful-paint/)'},
"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:'La statistique "First Meaningful Paint" mesure quand le contenu principal d\'une page est visible. [En savoir plus](https://web.dev/first-meaningful-paint/)'},"lighthouse-core/audits/metrics/interactive.js | description":{message:'La valeur "Time to Interactive" correspond au temps nécessaire pour que la page devienne entièrement interactive. [En savoir plus](https://web.dev/interactive/)'},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:'La statistique "Largest Contentful Paint" indique le moment où le texte le plus long ou l\'image la plus grande sont affichés. [En savoir plus](https://web.dev/lighthouse-largest-contentful-paint/)'},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{
message:"Le retard maximal (Maximum Potential First Input Delay) auquel vos utilisateurs peuvent éventuellement être confrontés correspond à la durée de la tâche la plus longue. [En savoir plus](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:'La valeur "Speed Index" indique la rapidité avec laquelle le contenu d\'une page est disponible. [En savoir plus](https://web.dev/speed-index/)'},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Somme en millisecondes de toutes les périodes entre le First Contentful Paint et le Time to Interactive, lorsque la durée de la tâche a dépassé 50 ms. [En savoir plus](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{
message:"Les délais aller-retour (DAR) du réseau ont un impact important sur les performances. Si le DAR par rapport à un point d'origine est élevé, cela signifie que les performances des serveurs proches de l'utilisateur peuvent sans doute être améliorées. [En savoir plus](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Délai aller-retour réseau"},"lighthouse-core/audits/network-server-latency.js | description":{message:"La latence du serveur peut avoir une incidence sur les performances Web. Si la latence serveur d'une origine est élevée, cela signifie que le serveur est en surcharge ou que ses performances backend sont médiocres. [En savoir plus](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latences du backend serveur"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"L'événement `unload` ne se déclenche pas de manière fiable, et son analyse risque d'empêcher les optimisations du navigateur telles que la mise en cache des pages précédentes et suivantes. Nous vous conseillons d'utiliser à la place les événements `pagehide` ou `visibilitychange`. [En savoir plus](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Permet d'enregistrer un écouteur `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Permet d'éviter les écouteurs d'événements `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Les animations non composées peuvent être lentes et augmenter le CLS. [En savoir plus](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{# élément animé trouvé}one{# élément animé trouvé}other{# éléments animés trouvés}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"La propriété liée à filter peut déplacer des pixels"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"La cible contient une autre animation incompatible"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Le mode de composite de l'effet n'est pas \"replace\""},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Éviter les animations non composées"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"La propriété liée à transform dépend de la taille de la zone"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Propriété CSS incompatible : {properties}}one{Propriété CSS incompatible : {properties}}other{Propriétés CSS incompatibles : {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"L'effet comporte des paramètres de minutage non compatibles"},"lighthouse-core/audits/performance-budget.js | description":{message:"Maintenez le volume et la taille des requêtes réseau sous les objectifs définis par le budget de performances fourni. [En savoir plus](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 requête}one{# requête}other{# requêtes}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Budget de performances"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Préchargez les polices `optional` pour que les nouveaux visiteurs puissent les utiliser. [En savoir plus](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Les polices qui utilisent `font-display: optional` ne sont pas préchargées"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Les polices qui utilisent `font-display: optional` sont préchargées"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Préchargez l'image utilisée par l'élément LCP pour améliorer la durée de votre LCP. [En savoir plus](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Précharger l'image Largest Contentful Paint"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Si vous avez déjà configuré le protocole HTTPS, veillez à rediriger tout le trafic HTTP vers HTTPS afin de proposer des fonctionnalités Web sûres à tous vos utilisateurs. [Découvrez-en davantage](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Ne redirige pas le trafic HTTP vers HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Trafic HTTP redirigé vers HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Les redirections entraînent des retards supplémentaires avant que la page ne puisse être chargée. [En savoir plus](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Évitez les redirections de page multiples"},"lighthouse-core/audits/resource-summary.js | description":{
message:"Pour définir des budgets liés à la quantité et à la taille des ressources de pages, ajoutez un fichier budget.json. [En savoir plus](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 requête • {byteCount, number, bytes} Kio}one{# requête • {byteCount, number, bytes} Kio}other{# requêtes• {byteCount, number, bytes} Kio}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Réduisez au maximum le nombre de requêtes et la taille des transferts"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Les liens canoniques suggèrent l'URL à afficher dans les résultats de recherche. [En savoir plus](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Plusieurs URL en conflit ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"L'URL mène à un autre domaine ({url})"
},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL incorrecte ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"URL qui mène à un autre emplacement `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relative ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Pointe vers l'URL racine du domaine (la page d'accueil), et non vers une page de contenu équivalente"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"L'attribut `rel=canonical` du document n'est pas valide"},"lighthouse-core/audits/seo/canonical.js | title":{message:"L'attribut `rel=canonical` du document est valide"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Lien non explorable"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Les moteurs de recherche peuvent utiliser les attributs `href` des liens pour explorer les sites Web. Assurez-vous que l'attribut `href` des éléments d'ancrage pointe vers une destination appropriée, pour que davantage de pages du site puissent être détectées. [En savoir plus](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Les liens ne peuvent pas être explorés"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Les liens peuvent être explorés"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Texte supplémentaire illisible"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Taille de police"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% du texte de la page"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Sélecteur"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Les tailles de police inférieures à 12 pixels sont trop petites pour être lisibles et nécessitent que les visiteurs sur la version mobile pincent l'écran pour zoomer et lire le texte. Veuillez utiliser une police de texte de plus de 12 pixels sur plus de 60 % du texte de la page. [En savoir plus](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} du texte lisibles"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Le texte est illisible, car aucune balise Meta de fenêtre d'affichage n'est optimisée pour les écrans mobiles."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Les tailles de police utilisées dans le document ne sont pas lisibles"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Texte lisible"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Le document utilise des tailles de police lisibles"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:"Les liens hreflang indiquent aux moteurs de recherche la version de la page qu'ils doivent répertorier dans les résultats de recherche pour une page ou une région donnée. [En savoir plus](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Le document ne contient pas d'attribut `hreflang` valide"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valeur href relative"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"L'attribut `hreflang` du document est valide"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Code de langue inattendu"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Les pages renvoyant des codes d'état HTTP d'échec peuvent ne pas être indexées correctement. [En savoir plus](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"La page renvoie un code d'état HTTP d'échec"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"La page renvoie un code d'état HTTP de réussite"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Les moteurs de recherche ne peuvent pas inclure vos pages dans les résultats de recherche s'ils ne sont pas autorisés à les explorer. [En savoir plus](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"L'indexation de la page est bloquée"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"L'indexation de cette page n'est pas bloquée"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Le texte descriptif d'un lien aide les moteurs de recherche à comprendre votre contenu. [En savoir plus](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 lien trouvé}one{# lien trouvé}other{# liens trouvés}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Les liens ne contiennent pas de texte descriptif"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Les liens contiennent un texte descriptif"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Exécutez l'[outil de test des données structurées](https://search.google.com/structured-data/testing-tool/) et le [validateur Lint de données structurées](http://linter.structured-data.org/) pour valider les données structurées. [En savoir plus](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Les données structurées sont valides"},"lighthouse-core/audits/seo/meta-description.js | description":{message:'Les résultats de recherche peuvent inclure des attributs "meta description" pour résumer de façon concise le contenu de la page. [En savoir plus](https://web.dev/meta-description/)'},
"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Le texte de la description est vide."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:'Le document ne contient pas d\'attribut "meta description"'},"lighthouse-core/audits/seo/meta-description.js | title":{message:'Le document contient un attribut "meta description"'},"lighthouse-core/audits/seo/plugins.js | description":{message:"Les moteurs de recherche ne peuvent pas indexer le contenu des plug-ins, et de nombreux appareils limitent l'utilisation de ces derniers, voire ne les acceptent pas. [En savoir plus](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Le document utilise des plug-ins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Le document évite les plug-ins"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Si votre fichier robots.txt n'est pas créé correctement, il se peut que les robots d'exploration ne puissent pas comprendre comment votre site Web doit être exploré ou indexé. [Découvrez-en davantage](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"La requête pour le fichier robots.txt a renvoyé l'état HTTP {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 erreur détectée}one{# erreur détectée}other{# erreurs détectées}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse n'est pas parvenu à télécharger le fichier robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Le fichier robots.txt n'est pas valide"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Le fichier robots.txt est valide"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Les éléments interactifs comme les boutons et les liens doivent être suffisamment larges (48 x 48 pixels) et avoir suffisamment d'espace autour d'eux pour que l'utilisateur puisse appuyer facilement dessus sans appuyer en même temps sur d'autres éléments. [En savoir plus](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} des éléments tactiles sont correctement dimensionnés"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Les éléments tactiles sont trop petits, car aucune balise Meta de fenêtre d'affichage n'est optimisée pour les écrans mobiles"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Les éléments tactiles ne sont pas dimensionnés correctement"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Cible en chevauchement"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{
message:"Élément tactile"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Les éléments tactiles sont dimensionnés correctement"},"lighthouse-core/audits/server-response-time.js | description":{message:"Le temps de réponse du serveur pour le document principal doit rester court, car toutes les autres requêtes en dépendent. [En savoir plus](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Le document racine a pris {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Réduire le temps de réponse initial du serveur"},"lighthouse-core/audits/server-response-time.js | title":{message:"Le temps de réponse initial du serveur était court"},"lighthouse-core/audits/service-worker.js | description":{
message:"Un service worker est une technologie qui permet à votre application d'exploiter de nombreuses fonctionnalités propres aux progressive web apps, comme le fonctionnement hors connexion, l'ajout à un écran d'accueil et les notifications push. [Découvrez-en davantage](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Un service worker contrôle cette page. Toutefois, aucun attribut `start_url` n'a été trouvé en raison d'un échec lors de l'analyse du fichier manifeste (JSON non valide)"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Un service worker contrôle cette page. Toutefois, l'attribut `start_url` ({startUrl}) est situé en dehors du champ d'application du service worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{
message:"Un service worker contrôle cette page. Toutefois, aucun attribut `start_url` n'a été trouvé, car le fichier manifeste n'a pas pu être récupéré."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Plusieurs service workers existent pour cette origine. Toutefois, la page ({pageUrl}) est située en dehors du champ d'application."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Aucun service worker de contrôle de la page et de `start_url` n'est enregistré"},"lighthouse-core/audits/service-worker.js | title":{message:"Un service worker de contrôle de la page et de `start_url` est enregistré"},"lighthouse-core/audits/splash-screen.js | description":{message:"Avec un écran d'accueil à thème, vous garantissez une expérience de qualité aux utilisateurs qui lancent votre application depuis leur écran d'accueil. [Découvrez-en davantage](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{
message:"Écran d'accueil personnalisé non disponible"},"lighthouse-core/audits/splash-screen.js | title":{message:"Écran d'accueil personnalisé disponible"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Vous pouvez définir un thème assorti à votre site pour la barre d'adresse du navigateur. [Découvrez-en davantage](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Aucune couleur de thème n'est configurée pour la barre d'adresse."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Une couleur de thème est configurée pour la barre d'adresse."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (témoignages)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (réseau social)"},
"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (vidéo)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produit"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Certaines intégrations tierces peuvent être chargées de manière différée. Vous pouvez envisager de les remplacer par une façade tant qu'elles ne sont pas requises. [En savoir plus](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# autre façade disponible}one{# autre façade disponible}other{# autres façades disponibles}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Certaines ressources tierces peuvent être chargées en différé avec une façade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Ressources tierces pouvant être chargées de façon différée avec des façades"},
"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Tiers"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Le code tiers peut affecter considérablement les performances de chargement des pages. Limitez le nombre de fournisseurs tiers redondants, et essayez de charger du code tiers une fois le chargement de votre page terminé. [En savoir plus](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Le thread principal a été bloqué par du code tiers pendant {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Réduire l'impact du code tiers"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Réduire au maximum l'utilisation de code tiers"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Mesure"},
"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Statistique"},"lighthouse-core/audits/timing-budget.js | description":{message:"Définit un budget de minutage pour vous permettre de surveiller les performances de votre site. Les sites performants se chargent plus vite et répondent plus rapidement aux événements de saisie des utilisateurs. [En savoir plus](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Budget de minutage"},"lighthouse-core/audits/unsized-images.js | description":{message:"Indiquez une largeur et une hauteur explicites sur les éléments d'image afin de réduire les décalages de mise en page et d'améliorer le CLS. [En savoir plus](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Les éléments d'image ne possèdent pas de `width` ni de `height` explicites"},
"lighthouse-core/audits/unsized-images.js | title":{message:"Les éléments d'image possèdent une `width` et une `height` explicites"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Type"},"lighthouse-core/audits/user-timings.js | description":{message:"Envisagez de doter votre application de l'API User Timing pour mesurer ses performances réelles lors d'expériences utilisateur clés. [En savoir plus](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{[=1]1 temps utilisateur}one{# temps utilisateur}other{# temps utilisateur}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Marques et mesures du temps utilisateur"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Un élément `<link rel=preconnect>` a été trouvé pour \"{securityOrigin}\", mais il n'a pas été utilisé par le navigateur. Vérifiez que vous utilisez correctement l'attribut `crossorigin`."},
"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Envisagez d'ajouter les indices de ressources `preconnect` ou `dns-prefetch` pour établir les premières connexions avec des origines tierces importantes. [Découvrez-en davantage](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Connectez-vous à l'avance aux origines souhaitées"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Plusieurs connexions `<link rel=preconnect>` ont été identifiées. Elles doivent être utilisées avec parcimonie et limitées aux origines les plus importantes."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Un élément `<link rel=preconnect>` a été trouvé pour \"{securityOrigin}\", mais il n'a pas été utilisé par le navigateur. N'utilisez `preconnect` que pour des origines importantes que la page demandera certainement."},
"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Un préchargement `<link>` a été trouvé pour \"{preloadURL}\", mais il n'a pas été utilisé par le navigateur. Vérifiez que vous utilisez correctement l'attribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Envisagez d'utiliser `<link rel=preload>` pour hiérarchiser la récupération des ressources actuellement requises pour le chargement ultérieur de la page. [En savoir plus](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Préchargez les demandes clés"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL de mappage du code source"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Les mappages source traduisent le code minimisé pour obtenir le code source d'origine. Ce processus aide les développeurs à effectuer le débogage en phase de production. De plus, Lighthouse est en mesure de fournir d'autres renseignements. Envisagez de déployer des mappages source pour profiter de ces avantages. [En savoir plus](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Mappages source manquants pour des fichiers JavaScript propriétaires volumineux"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Il manque un mappage source dans un fichier JavaScript volumineux"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Avertissement : 1 élément manquant dans `.sourcesContent`}one{Avertissement : # élément manquant dans `.sourcesContent`}other{Avertissement : # éléments manquants dans `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"La page contient des mappages source valides"},"lighthouse-core/audits/viewport.js | description":{message:'Ajoutez une balise `<meta name="viewport">` afin d\'optimiser votre application pour les écrans mobiles. [Découvrez-en davantage](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Aucune balise `<meta name="viewport">` trouvée'},"lighthouse-core/audits/viewport.js | failureTitle":{message:"Aucune balise `<meta name=\"viewport\">` ayant l'attribut `width` ou `initial-scale` n'est configurée"},"lighthouse-core/audits/viewport.js | title":{message:'Une balise `<meta name="viewport">` ayant l\'attribut `width` ou `initial-scale` est configurée'},
"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Servez-vous de ces indications pour améliorer l'utilisation des éléments ARIA dans votre application et ainsi optimiser l'expérience des utilisateurs de technologies d'assistance, comme les lecteurs d'écran."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Servez-vous de ces indications pour fournir un contenu alternatif pour l'audio et la vidéo. Vous pourrez ainsi améliorer l'expérience des utilisateurs malvoyants ou malentendants."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio et vidéo"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Ces indications présentent les bonnes pratiques courantes en matière d'accessibilité."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{
message:"Bonnes pratiques"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Ces vérifications permettent de connaître les possibilités d'[amélioration de l'accessibilité de vos applications Web](https://developers.google.com/web/fundamentals/accessibility). Seule une partie des problèmes d'accessibilité peut être détectée automatiquement. Il est donc conseillé d'effectuer un test manuel."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Ces éléments concernent des zones qu'un outil de test automatique ne peut pas couvrir. Consultez notre guide sur la [réalisation d'un examen d'accessibilité](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accessibilité"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{
message:"Servez-vous de ces indications pour améliorer la lisibilité de votre contenu."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contraste"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Servez-vous de ces indications pour améliorer l'interprétation de votre contenu en fonction des différents paramètres régionaux choisis par les utilisateurs."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internationalisation et localisation"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Servez-vous de ces indications pour améliorer la sémantique des éléments de contrôle de votre application. Vous optimiserez ainsi l'expérience des utilisateurs de technologies d'assistance, comme les lecteurs d'écran."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Noms et étiquettes"},
"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Servez-vous de ces indications pour améliorer la navigation au clavier de votre application."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigation"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Servez-vous de ces indications pour améliorer l'expérience de lecture des listes ou tableaux de données en utilisant une technologie d'assistance, comme un lecteur d'écran."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tableaux et listes"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilité du navigateur"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Bonnes pratiques"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Général"},
"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Fiabilité et sécurité"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Expérience utilisateur"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Les budgets de performances établissent des normes sur les performances de votre site."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Au niveau des budgets"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Plus d'informations sur les performances de votre application. Ces chiffres n'ont pas d'[incidence directe](https://web.dev/performance-scoring/) sur le score lié aux performances."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostic"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{
message:"L'aspect le plus essentiel des performances est la rapidité avec laquelle les pixels sont affichés à l'écran. Statistiques clés : First Contentful Paint, First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Amélioration de First Paint"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Ces suggestions peuvent contribuer à charger votre page plus rapidement. En revanche, elles n'ont pas d'[incidence directe](https://web.dev/performance-scoring/) sur le score lié aux performances."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Opportunités"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Statistiques"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"Améliorez l'expérience globale de chargement, afin que la page soit réactive et disponible dès que possible. Statistiques clés : Time to Interactive, Speed Index"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Améliorations générales"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performances"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Ces contrôles permettent de vérifier que les conditions requises pour les progressive web apps sont remplies. [Découvrez-en davantage](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Ces contrôles font partie des [vérifications de base de la checklist PWA](https://developers.google.com/web/progressive-web-apps/checklist), mais ne sont pas exécutés automatiquement par Lighthouse. Même s'ils n'ont pas d'influence sur votre score, il est important de les effectuer manuellement."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive web app"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Possibilités d'installation"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimisation PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Ces vérifications vous permettent de vous assurer que votre page est optimisée pour le classement dans les résultats sur les moteurs de recherche. Lighthouse ne vérifie pas certains facteurs supplémentaires susceptibles d'avoir un impact sur votre classement dans les moteurs de recherche. [En savoir plus](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Exécutez ces outils de validation supplémentaires sur votre site pour vérifier les bonnes pratiques de SEO complémentaires."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Rédigez votre code HTML de sorte à autoriser les robots d'exploration à analyser le contenu de votre application."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Bonnes pratiques relatives au contenu"},
"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Pour que votre contenu apparaisse dans les résultats de recherche, les robots d'exploration doivent accéder à votre application."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Exploration et indexation"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Assurez-vous que vos pages sont adaptées aux mobiles, afin que les utilisateurs n'aient pas besoin de pincer l'écran ni de zoomer pour lire votre contenu. [En savoir plus](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Adapté aux mobiles"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"L'appareil testé semble avoir un processeur plus lent qu'attendu par Lighthouse. Cela peut avoir des répercussions négatives sur votre score lié aux performances. En savoir plus sur le [calibrage d'un multiplicateur de ralentissement de processeur adapté](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Il est possible que cette page ne se charge pas comme prévu, car votre URL de test ({requested}) redirige vers {final}. Essayez de tester directement la seconde URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Le chargement de la page a été trop lent et a dépassé la limite de temps. Il est possible que les résultats soient incomplets."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{L'emplacement suivant peut contenir des données qui affectent les performances de chargement : {locations}. Effectuez un audit de cette page dans une fenêtre de navigation privée afin que ces ressources n'affectent pas vos scores.}one{L'emplacement suivant peut contenir des données qui affectent les performances de chargement : {locations}. Effectuez un audit de cette page dans une fenêtre de navigation privée afin que ces ressources n'affectent pas vos scores.}other{Les emplacements suivants peuvent contenir des données qui affectent les performances de chargement : : {locations}. Effectuez un audit de cette page dans une fenêtre de navigation privée afin que ces ressources n'affectent pas vos scores.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Pensez à ajouter les schémas d'URL https: et http: (ignorés par les navigateurs prenant en charge 'strict-dynamic') pour assurer la rétrocompatibilité avec les anciens navigateurs."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener est obsolète depuis CSP3. Veuillez utiliser l'en-tête Cross-Origin-Opener-Policy à la place."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer est obsolète depuis CSP2. Veuillez utiliser l'en-tête Referrer-Policy à la place."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss est obsolète depuis CSP2. Veuillez utiliser l'en-tête X-XSS-Protection à la place."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:'L\'absence de directive base-uri permet aux balises <base> injectées de définir l\'URL de base pour toutes les URL relatives (scripts, par exemple) en tant que domaine contrôlé par un pirate informatique. Envisagez de définir base-uri sur "none" ou "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Les éléments contrôlés par object-src sont considérés comme des anciennes fonctionnalités. Pensez à définir object-src sur 'none' pour empêcher l'injection de plug-ins qui exécutent des scripts non sécurisés."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Directive script-src manquante. Elle permet d'exécuter des scripts non sécurisés."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Avez-vous oublié le point-virgule ? {keyword} semble être une directive, et non un mot clé."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Les nonces doivent utiliser le charset base64."},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Les nonces doivent comporter au moins huit caractères."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"La destination de rapport est configurée uniquement via la directive report-to qui n'est compatible qu'avec les navigateurs basés sur Chromium. Il est donc recommandé d'utiliser aussi une directive report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Aucune CSP ne configure de destination de rapport. Il est donc difficile de respecter la CSP au fil du temps et de surveiller les éventuelles failles."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Les listes d'autorisation des hôtes peuvent souvent être contournées. Pensez à utiliser la valeur 'strict-dynamic' et à l'associer à des nonces ou des hachages CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Directive CSP inconnue."},
"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} semble être un mot clé non valide."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline' permet d'exécuter des gestionnaires d'événements et des scripts non sécurisés sur la page. Pensez à utiliser des nonces ou des hachages CSP pour autoriser les scripts un à un."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Pensez à ajouter la commande 'unsafe-inline' (ignorée par les navigateurs prenant en charge les nonces/hachages) pour assurer la rétrocompatibilité avec les anciens navigateurs."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Durée de blocage du thread principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache de la valeur TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Description"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Durée"},
"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Élément"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Éléments non conformes"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Emplacement"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nom"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Au-dessus du budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Requêtes"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Taille de la ressource"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Type de ressource"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Taille"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Source"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Heure de début"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Temps passé"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{
message:"Taille de transfert"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Économies potentielles"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Économies potentielles"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Économies potentielles de {wastedBytes, number, bytes} Kio"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 élément trouvé}one{# élément trouvé}other{# éléments trouvés}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Économies potentielles de {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Document"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Police de caractères"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Image"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Élevée"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Faible"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Moyenne"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Max Potential First Input Delay"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Contenu multimédia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},
"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Autre"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Autres ressources"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Feuille de style"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Tiers"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Un problème est survenu lors de l'enregistrement de la trace du chargement de votre page. Veuillez relancer Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{
message:"Expiration du délai pendant la tentative de connexion initiale du protocole du débogueur."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome n'a collecté aucune capture d'écran pendant le chargement de la page. Veuillez vous assurer que du contenu est visible sur la page, puis essayez de relancer Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Les serveurs DNS n'ont pas pu résoudre le domaine fourni."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Une erreur s'est produite lors de la collecte de la ressource {artifactName} requise : {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Une erreur Chrome interne s'est produite. Veuillez redémarrer Chrome et essayer de relancer Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"La ressource {artifactName} nécessaire n'a pas été collectée."},
"lighthouse-core/lib/lh-error.js | noFcp":{message:"Aucun contenu n'a été affiché sur la page. Assurez-vous de conserver la fenêtre du navigateur au premier plan pendant le chargement et réessayez. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"La page fournie n'est pas au format HTML (diffusée avec le type MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Cette version de Chrome est trop ancienne pour être compatible avec "{featureName}". Utilisez une version plus récente pour afficher les résultats complets.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse n'a pas pu charger correctement la page que vous avez demandée. Assurez-vous de tester la bonne URL et vérifiez que le serveur répond correctement à toutes les requêtes."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{
message:"Lighthouse n'a pas pu charger correctement l'URL que vous avez demandée, car la page a cessé de répondre."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"L'URL que vous avez fournie n'est pas associée à un certificat de sécurité valide. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Le chargement de la page dans Chrome a été bloqué et remplacé par un écran interstitiel. Assurez-vous de tester la bonne URL et vérifiez que le serveur répond correctement à toutes les requêtes."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse n'a pas pu charger correctement la page que vous avez demandée. Assurez-vous de tester la bonne URL et vérifiez que le serveur répond correctement à toutes les requêtes. (Détails : {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Lighthouse n'a pas pu charger correctement la page que vous avez demandée. Assurez-vous de tester la bonne URL et vérifiez que le serveur répond correctement à toutes les requêtes. (Code d'état : {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Le chargement de la page a pris trop de temps. Veuillez suivre les indications du rapport pour réduire le temps de chargement de la page, puis essayez de relancer Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Le délai d'attente de la réponse du protocole DevTools est arrivé à expiration. (Méthode : {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Le délai alloué à la récupération des ressources a été atteint"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"L'URL que vous avez fournie ne semble pas valide."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tout"},
"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Tous les scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Couverture"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Modules en double"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Octets de la ressource"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nom"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Activer/Désactiver le tableau"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Octets inutilisés"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Pour le contenu animé, utilisez [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) afin que le processeur soit sollicité le moins possible lorsque le contenu se situe hors écran."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Envisagez d'afficher tous vos composants [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) dans des formats WebP tout en spécifiant une solution de remplacement appropriée pour les autres navigateurs. [En savoir plus](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Vérifiez si vous utilisez bien [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) pour les images qui doivent être chargées automatiquement de manière différée. [En savoir plus](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Utilisez des outils comme [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) pour [effectuer un rendu côté serveur de la mise en page de pages AMP](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consultez la [documentation AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) pour vérifier si tous les styles sont bien compatibles."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Le composant [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) accepte l'attribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) afin de spécifier les éléments image à utiliser en fonction de la taille de l'écran. [En savoir plus](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Envisagez d'utiliser le défilement virtuel avec le kit de développement de composants si des listes très volumineuses sont affichées. [En savoir plus](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"[Divisez le code au niveau du routage](https://web.dev/route-level-code-splitting-in-angular/) afin de réduire au maximum la taille de vos groupes JavaScript. Envisagez également de mettre préalablement en cache les éléments avec le [service worker Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Si vous utilisez Angular CLI, assurez-vous que les builds sont générées en mode de production. [En savoir plus](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Si vous utilisez l'interface de ligne de commande Angular, incluez des mappages sources dans votre build de production pour inspecter vos groupes. [En savoir plus](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Préchargez les routages à l'avance pour une navigation plus rapide. [En savoir plus](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Envisagez d'utiliser l'outil `BreakpointObserver` du kit de développement de composants pour gérer les points d'arrêt de l'image. [En savoir plus](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Vous pouvez envisager d'importer votre GIF dans un service qui permettra de l'intégrer dans une vidéo HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Lorsque vous définissez des polices personnalisées dans votre thème, vous pouvez le spécifier avec `@font-display`."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Vous pouvez envisager d'installer et de configurer un [module pour utiliser les images au format WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) sur votre site. Ces modules génèrent automatiquement une version WebP de vos images importées afin d'optimiser les temps de chargement."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Installez un [module Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) qui peut effectuer le chargement différé des images. Ce type de module offre la possibilité de différer le chargement des images hors écran pour améliorer les performances."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Vous pouvez envisager d'utiliser un module permettant d'aligner les codes CSS et JavaScript critiques, ou éventuellement de charger les éléments de manière asynchrone via JavaScript (le module [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg), par exemple). Gardez en tête qu'à cause des optimisations fournies par ce module, votre site peut cesser de fonctionner. Vous devrez donc probablement modifier le code."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Les thèmes, les modules et les spécifications du serveur sont autant d'éléments qui influent sur le temps de réponse du serveur. Vous pouvez envisager d'utiliser un module plus optimisé ou un plug-in d'optimisation plus performant, ou bien de mettre à niveau votre serveur. Vos serveurs d'hébergement doivent exploiter la mise en cache du code d'opération PHP, la mise en cache de la mémoire pour réduire les temps d'interrogation des bases de données (avec Redis ou Memcached, par exemple), ainsi qu'une logique applicative optimisée pour accélérer la préparation des pages."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Vous pouvez également envisager d'utiliser [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) pour réduire la taille des images chargées sur votre page. Si vous utilisez la fonctionnalité Vues pour afficher plusieurs éléments de contenu sur une même page, pensez à définir la pagination pour limiter le nombre d'éléments de contenu affichés sur une page."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Assurez-vous que vous avez activé l'option \"Regrouper les fichiers CSS\" sur la page Administration > Configuration > Développement. Vous pouvez également effectuer une configuration plus avancée des regroupements au moyen de [modules supplémentaires](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search). Ceux-ci vous permettront d'améliorer la rapidité de votre site en concaténant, en minimisant et en compressant vos styles CSS."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Assurez-vous que vous avez activé l'option \"Regrouper les fichiers JavaScript\" sur la page Administration > Configuration > Développement. Vous pouvez également effectuer une configuration plus avancée des regroupements au moyen de [modules supplémentaires](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search). Ceux-ci vous permettront d'améliorer la rapidité de votre site en concaténant, en minimisant et en compressant vos éléments JavaScript."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Vous pouvez envisager de supprimer les règles CSS inutilisées et de n'attacher que les bibliothèques Drupal nécessaires à la page (ou au composant de page) concernés. Pour plus d'informations, consultez la [documentation Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Pour déterminer quelles bibliothèques attachées ajoutent des CSS superflus, essayez d'exécuter la [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans Chrome DevTools. Lorsque le regroupement de CSS est désactivé sur votre site Drupal, vous pouvez identifier le thème ou le module qui en est responsable à partir de l'URL de la feuille de style. Recherchez les thèmes ou les modules pour lesquels un grand nombre de feuilles de style présentent beaucoup d'éléments en rouge dans la couverture de code. Un thème ou un module ne doit mettre une feuille de style en file d'attente que si elle est effectivement utilisée sur la page."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Vous pouvez envisager de supprimer les éléments JavaScript inutilisés et d'attacher uniquement les bibliothèques Drupal nécessaires à la page ou au composant de page concernés. Pour plus d'informations, consultez la [documentation Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Pour déterminer quelles bibliothèques attachées ajoutent des scripts JavaScript superflus, exécutez une [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans Chrome DevTools. Lorsque l'agrégation JavaScript est désactivée sur votre site Drupal, vous pouvez identifier le thème ou le module responsable à partir de l'URL du script. Recherchez les thèmes ou les modules pour lesquels un grand nombre de scripts présentent beaucoup d'éléments en rouge dans la couverture de code. Un thème ou un module ne doit mettre un script en file d'attente que s'il est effectivement utilisé dans la page."
},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Définissez le paramètre "Âge maximum du navigateur et du proxy cache" sur la page "Administration > Configuration > Développement. Apprenez-en davantage sur le [cache Drupal et l\'optimisation des performances](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Vous pouvez envisager d'utiliser [un module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) qui optimise et réduit automatiquement la taille des images importées sur le site sans perdre en qualité. Assurez-vous également que vous utilisez le module natif [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) fourni par Drupal (disponible avec Drupal 8 et versions ultérieures)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Il est possible d'ajouter des indices de ressources de préconnexion ou dns-prefetch en installant et en configurant [un module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) qui fournit une fonction pour les indices de ressources user-agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Assurez-vous que vous utilisez le module natif [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) fourni par Drupal (disponible sous Drupal 8 et versions ultérieures). Utilisez Responsive Image Styles lors du rendu des champs d'image par les modes Vue, les vues ou les images importés via l'éditeur WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Vous pouvez envisager d'importer votre GIF dans un service qui permettra de l'intégrer dans une vidéo HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Vous pouvez envisager d'utiliser un [plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ou un service qui convertit automatiquement les images que vous importez dans un format optimal."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Installez un [plug-in Joomla de chargement différé](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) pour différer le chargement des images hors écran, ou remplacez le modèle par un autre qui offre cette fonctionnalité. À partir de Joomla 4.0, toutes les nouvelles images obtiendront [automatiquement](https://github.com/joomla/joomla-cms/pull/30748) l'attribut `loading` du noyau."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"Divers plug-ins Joomla peuvent vous aider à [aligner des éléments critiques](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ou à [différer le chargement des ressources moins importantes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Gardez en tête qu'à cause des optimisations fournies par ces plug-ins, certaines fonctionnalités de votre thème ou de vos plug-ins peuvent rencontrer des problèmes. Vous devez donc les tester minutieusement."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Les thèmes, les extensions et les spécifications du serveur sont autant d'éléments qui influent sur le temps de réponse du serveur. Vous pouvez envisager d'utiliser un thème plus optimisé ou une extension d'optimisation plus performante, ou bien de mettre à niveau votre serveur."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"Vous pouvez envisager d'afficher des extraits dans vos catégories d'articles (par exemple en utilisant les liens \"en savoir plus\"), de réduire le nombre d'articles affichés dans une page donnée, de répartir vos articles longs sur plusieurs pages ou d'utiliser un plug-in qui charge de façon différée les commentaires."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Un certain nombre d'[extensions Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) peuvent accélérer l'affichage de votre site en concaténant, en minimisant et en compressant vos styles CSS. Certains thèmes offrent également cette fonctionnalité."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Un certain nombre d'[extensions Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) peuvent accélérer l'affichage de votre site en concaténant, en minimisant et en compressant vos scripts. Certains thèmes offrent également cette fonctionnalité."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Envisagez de réduire le nombre d'[extensions Joomla](https://extensions.joomla.org/) qui chargent du code CSS inutilisé dans votre page. Pour déterminer les extensions qui ajoutent des feuilles de style CSS superflues, exécutez une [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans Chrome DevTools. Vous pouvez identifier le thème ou le plug-in responsable à partir de l'URL de la feuille de style. Recherchez les plug-ins pour lesquels un grand nombre de feuilles de style présentent beaucoup d'éléments en rouge dans la couverture de code. Un plug-in ne doit mettre une feuille de style en file d'attente que si elle est effectivement utilisée dans la page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Envisagez de réduire le nombre d'[extensions Joomla](https://extensions.joomla.org/) qui chargent du code JavaScript inutilisé dans votre page. Pour déterminer les plug-ins qui ajoutent des scripts JavaScript superflus, exécutez une [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans Chrome DevTools. Vous pouvez déterminer quelle extension en est responsable à partir de l'URL de votre script. Recherchez les extensions pour lesquelles un grand nombre de scripts présentent beaucoup d'éléments en rouge dans la couverture de code. Une extension ne doit mettre un script en file d'attente que s'il est effectivement utilisé dans la page."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"En savoir plus sur la [mise en cache dans le navigateur dans Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Vous pouvez envisager d'utiliser un [plug-in d'optimisation d'image](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) pour compresser vos images sans dégrader leur qualité."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Vous pouvez envisager d'utiliser un [plug-in d'images responsives](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) pour ajouter des images responsives à votre contenu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Vous pouvez permettre la compression de texte en activant la compression des pages avec Gzip dans Joomla (Système > Configuration globale > Serveur)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Si vous ne groupez pas vos éléments JavaScript, envisagez d'utiliser [baler](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Désactivez les fonctionnalités de [regroupement et minimisation JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) de Magento, et envisagez plutôt d'utiliser [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Indiquez `@font-display` quand [vous définissez des polices personnalisées](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Pensez à rechercher des extensions tierces sur la [Place de marché de Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) afin de profiter des nouveaux formats d'image."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Envisagez de modifier vos modèles de produit et de catalogue pour utiliser la fonctionnalité de [chargement différé](https://web.dev/native-lazy-loading) de la plate-forme Web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Utilisez l'[intégration de Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Activez l\'option "Minifier les fichiers CSS" dans les paramètres développeur. [En savoir plus](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Utilisez [Terser](https://www.npmjs.com/package/terser) pour minimiser tous les éléments JavaScript en commençant par le déploiement de contenu statique, et désactivez la fonctionnalité de minimisation intégrée."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Désactivez la fonctionnalité de [regroupement JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) intégrée de Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Pensez à rechercher des extensions tierces sur la [Place de marché de Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) afin d'optimiser les images."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Vous pouvez ajouter des indices de ressources de préconnexion ou dns-prefetch en [modifiant la mise en page d'un thème](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Vous pouvez ajouter des balises `<link rel=preload>` [en modifiant la mise en page d'un thème](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Remplacez les GIF animés par des vidéos](https://web.dev/replace-gifs-with-videos/) pour un chargement plus rapide de la page et envisagez d'utiliser des formats de fichiers modernes comme [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ou [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) pour améliorer le rendement de compression et atteindre un niveau 30 % supérieur au niveau du codec vidéo phare du moment, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Vous pouvez envisager d'utiliser un [plug-in](https://octobercms.com/plugins?search=image) ou un service qui convertit automatiquement les images importées dans un format optimal. Les [images sans perte WebP](https://developers.google.com/speed/webp) sont 26 % plus petites que les images au format PNG et 25 à 34 % plus petites que les images au format JPEG comparables avec un indice de qualité SSIM équivalent. Vous pouvez également envisager d'utiliser le format d'image nouvelle génération [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"Envisagez d'installer un [plug-in de chargement différé des images](https://octobercms.com/plugins?search=lazy) offrant la possibilité de différer le chargement des images hors écran, ou passez à un thème qui offre cette fonctionnalité. Vous pouvez également envisager d'utiliser [le plug-in AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Il existe de nombreux plug-ins qui aident à [aligner des éléments critiques](https://octobercms.com/plugins?search=css). Ces plug-ins peuvent affecter le fonctionnement d'autres plug-ins. Vous devez donc les tester minutieusement."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"Les thèmes, les plug-ins et les spécifications du serveur sont autant d'éléments qui influent sur le temps de réponse du serveur. Vous pouvez envisager d'utiliser un thème plus optimisé ou un plug-in d'optimisation plus performant, ou bien de mettre le serveur à niveau. Le CMS October permet également aux développeurs d'utiliser [`Queues`](https://octobercms.com/docs/services/queues) pour reporter le traitement d'une tâche chronophage, par exemple l'envoi d'un e-mail. Cela accélère considérablement les requêtes Web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"Vous pouvez envisager d'afficher des extraits dans vos listes d'articles (par exemple en utilisant un bouton `show more`), de réduire le nombre d'articles affichés sur une page Web donnée, de répartir vos articles longs sur plusieurs pages ou d'utiliser un plug-in qui charge les commentaires de façon différée."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"De nombreux [plug-ins](https://octobercms.com/plugins?search=css) permettent d'accélérer un site Web en concaténant, minimisant et compressant les styles. L'utilisation d'un processus de compilation pour réaliser cette minimisation en amont peut accélérer le développement."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"De nombreux [plug-ins](https://octobercms.com/plugins?search=javascript) permettent d'accélérer un site Web en concaténant, minimisant et compressant les scripts. L'utilisation d'un processus de compilation pour réaliser cette minimisation en amont peut accélérer le développement."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Vous pouvez vérifier si des [plug-ins](https://octobercms.com/plugins) chargent des feuilles de style CSS inutilisées sur le site Web. Pour identifier les plug-ins qui ajoutent des feuilles de style CSS superflues, lancez la [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans les outils de développement Chrome. Identifiez le thème/plug-in responsable à partir de l'URL de la feuille de style. Recherchez les plug-ins pour lesquels un grand nombre de feuilles de style présentent beaucoup d'éléments en rouge dans la couverture de code. Un plug-in ne doit ajouter une feuille de style que si elle est effectivement utilisée sur la page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Vous pouvez vérifier si des [plug-ins](https://octobercms.com/plugins?search=javascript) chargent du code JavaScript inutilisé dans la page Web. Pour identifier les plug-ins qui ajoutent du code JavaScript superflu, lancez la [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans les outils de développement Chrome. Identifiez le thème/plug-in responsable à partir de l'URL du script. Recherchez les plug-ins pour lesquels un grand nombre de scripts présentent beaucoup d'éléments en rouge dans la couverture de code. Un plug-in ne doit ajouter un script que s'il est effectivement utilisé sur la page."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"En savoir plus sur la [prévention de requêtes réseau inutiles avec le cache HTTP](https://web.dev/http-cache/#caching-checklist). De nombreux [plug-ins](https://octobercms.com/plugins?search=Caching) peuvent être utilisés pour accélérer la mise en cache."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Vous pouvez envisager d'utiliser un [plug-in d'optimisation d'image](https://octobercms.com/plugins?search=image) pour compresser les images sans dégrader leur qualité."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Importez des images directement via le gestionnaire de médias pour vous assurer que les tailles d'images requises sont disponibles. Envisagez d'utiliser le [filtre de redimensionnement](https://octobercms.com/docs/markup/filter-resize) ou un [plug-in de redimensionnement d'images](https://octobercms.com/plugins?search=image) pour vous assurer que les tailles d'image optimales sont utilisées."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Activez la compression de texte dans la configuration de votre serveur Web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Envisagez d'utiliser une bibliothèque de fenêtrage comme `react-window` pour réduire au maximum le nombre de nœuds DOM créés si vous affichez de nombreux éléments répétés sur la page. [En savoir plus](https://web.dev/virtualize-long-lists-react-window/) Limitez également autant que possible les nouveaux rendus inutiles avec [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ou [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo), et [ignorez les effets](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) jusqu'à ce que certaines dépendances aient changé si vous utilisez le hook `Effect` pour améliorer les performances d'exécution."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Si vous utilisez React Router, réduisez au maximum l'utilisation du composant `<Redirect>` pour la [navigation vers des itinéraires](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Si vous êtes en train d'effectuer un rendu de composants React côté serveur, envisagez d'utiliser `renderToNodeStream()` ou `renderToStaticNodeStream()` pour permettre au client de recevoir et d'hydrater différentes parties du balisage au lieu de tout faire simultanément. [En savoir plus](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Si votre système de compilation réduit automatiquement la taille de vos fichiers CSS, assurez-vous de déployer le build de production de votre application. Vous pouvez le vérifier avec l'extension React Developer Tools. [En savoir plus](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Si votre système de compilation réduit automatiquement la taille des fichiers JS, assurez-vous de déployer le build de production de votre application. Vous pouvez le vérifier avec l'extension React Developer Tools. [En savoir plus](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Si vous n'effectuez pas de rendu côté serveur, [divisez vos groupes JavaScript](https://web.dev/code-splitting-suspense/) avec `React.lazy()`. Sinon, divisez le code en utilisant une bibliothèque tierce, telle que [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Utilisez React DevTools Profiler, qui utilise l'API Profiler, pour mesurer les performances de rendu de vos composants. [En savoir plus](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Vous pouvez envisager d'importer votre GIF dans un service qui permettra de l'intégrer dans une vidéo HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Vous pouvez envisager d'utiliser un [plug-in](https://wordpress.org/plugins/search/convert+webp/) ou un service qui convertit automatiquement les images que vous importez dans un format optimal."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Installez un [plug-in WordPress de chargement différé](https://wordpress.org/plugins/search/lazy+load/) pour différer le chargement des images qui ne sont pas à l'écran, ou remplacez le thème par un autre qui offre cette fonctionnalité. Vous pouvez également envisager d'utiliser [le plug-in AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Divers plug-ins WordPress peuvent vous aider à [aligner des éléments critiques](https://wordpress.org/plugins/search/critical+css/) ou à [différer le chargement des ressources moins importantes](https://wordpress.org/plugins/search/defer+css+javascript/). Gardez en tête qu'à cause des optimisations fournies par ces plug-ins, certaines fonctionnalités de votre thème ou de vos plug-ins peuvent cesser de fonctionner. Vous devrez donc probablement modifier le code."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Les thèmes, les plug-ins et les spécifications du serveur sont autant d'éléments qui influent sur le temps de réponse du serveur. Vous pouvez envisager d'utiliser un thème plus optimisé ou un plug-in d'optimisation plus performant, ou bien de mettre à niveau votre serveur."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"Vous pouvez envisager d'afficher des extraits dans vos listes d'articles (par exemple en utilisant la balise \"more\"), de réduire le nombre d'articles affichés dans une page donnée, de répartir vos articles longs sur plusieurs pages ou d'utiliser un plug-in qui charge de façon différée les commentaires."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Un certain nombre de [plug-ins WordPress](https://wordpress.org/plugins/search/minify+css/) peuvent accélérer l'affichage de votre site en concaténant, en minimisant et en compressant vos styles. Si possible, utilisez un processus de build pour réaliser cette minimisation en amont."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Un certain nombre de [plug-ins WordPress](https://wordpress.org/plugins/search/minify+javascript/) peuvent accélérer l'affichage de votre site en concaténant, en minimisant et en compressant vos scripts. Si possible, utilisez un processus de build pour réaliser cette minimisation en amont."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Vous pouvez envisager de réduire le nombre de [plug-ins WordPress](https://wordpress.org/plugins/) qui chargent des feuilles de style CSS inutilisées dans votre page, ou désactiver certains de ces plug-ins. Pour déterminer les plug-ins qui ajoutent des feuilles de style CSS superflues, exécutez une [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans Chrome DevTools. Vous pouvez identifier le thème ou le plug-in responsable à partir de l'URL de la feuille de style. Recherchez les plug-ins pour lesquels un grand nombre de feuilles de style présentent beaucoup d'éléments en rouge dans la couverture de code. Un plug-in ne doit mettre une feuille de style en file d'attente que si elle est effectivement utilisée dans la page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Vous pouvez envisager de réduire le nombre de [plug-ins WordPress](https://wordpress.org/plugins/) qui chargent des scripts JavaScript inutilisés dans votre page, ou désactiver certains de ces plug-ins. Pour déterminer les plug-ins qui ajoutent des scripts JavaScript superflus, exécutez une [couverture de code](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) dans Chrome DevTools. Vous pouvez identifier le thème ou le plug-in responsable à partir de l'URL du script. Recherchez les plug-ins pour lesquels un grand nombre de scripts présentent beaucoup d'éléments en rouge dans la couverture de code. Un plug-in ne doit mettre un script en file d'attente que s'il est effectivement utilisé dans la page."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"En savoir plus sur la [mise en cache dans le navigateur dans WordPress](https://wordpress.org/support/article/optimization/#browser-caching)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Vous pouvez envisager d'utiliser un [plug-in WordPress d'optimisation d'image](https://wordpress.org/plugins/search/optimize+images/) pour compresser vos images sans dégrader leur qualité."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Importez des images directement via la [bibliothèque multimédia](https://wordpress.org/support/article/media-library-screen/) pour vous assurer que les tailles d'images requises sont disponibles. Ensuite, insérez-les depuis la bibliothèque multimédia ou utilisez le widget d'image pour vous assurer que les tailles d'images optimales sont utilisées (y compris celles pour les points d'arrêt réactifs). Évitez d'utiliser les images `Full Size`, sauf si les dimensions sont adéquates pour l'utilisation prévue. [En savoir plus](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Vous pouvez activer la compression du texte dans la configuration de votre serveur Web."},"report/renderer/util.js | calculatorLink":{message:"Affichez la calculatrice."},"report/renderer/util.js | crcInitialNavigation":{message:"Navigation initiale"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latence de chemin d'accès critique maximale :"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copier l'objet JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Activer/Désactiver le thème sombre"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Imprimer la version complète"},"report/renderer/util.js | dropdownPrintSummary":{message:"Imprimer le résumé"},"report/renderer/util.js | dropdownSaveGist":{message:"Enregistrer en tant que Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Enregistrer au format HTML"},
"report/renderer/util.js | dropdownSaveJSON":{message:"Enregistrer au format JSON"},"report/renderer/util.js | dropdownViewer":{message:"Ouvrir dans la visionneuse"},"report/renderer/util.js | errorLabel":{message:"Erreur"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Erreur de rapport : pas d'information d'audit"},"report/renderer/util.js | footerIssue":{message:"Signaler un problème"},"report/renderer/util.js | labDataTitle":{message:"Données de test"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analyse [Lighthouse](https://developers.google.com/web/tools/lighthouse/) de la page actuelle sur un réseau mobile émulé. Les valeurs sont estimées et peuvent varier."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Autres éléments à vérifier manuellement"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Non applicable"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Opportunité"},
"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Estimation des économies"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Audits réussis"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Émulation (ordinateur)"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Émulation (Moto G4)"},"report/renderer/util.js | runtimeNoEmulation":{message:"Aucune émulation"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Version d'axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Puissance processeur/mémoire"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitation du processeur"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Version"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Appareil"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Heure d'exécution"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{
message:"Limitation de bande passante réseau"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Paramètres d'exécution"},"report/renderer/util.js | runtimeSettingsUA":{message:"User-agent (hôte)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User-agent (réseau)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Inconnu"},"report/renderer/util.js | showRelevantAudits":{message:"Afficher les audits pertinents pour :"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Réduire l'extrait"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Développer l'extrait"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Afficher les ressources tierces"},"report/renderer/util.js | throttlingProvided":{message:"Limitation fournie par l'environnement"},"report/renderer/util.js | toplevelWarningsMessage":{
message:"Cette exécution de Lighthouse a rencontré des problèmes :"},"report/renderer/util.js | varianceDisclaimer":{message:"Les valeurs sont estimées et peuvent varier. Le [calcul du score lié aux performances](https://web.dev/performance-scoring/) repose directement sur ces statistiques."},"report/renderer/util.js | viewTreemapLabel":{message:"Consultez la carte proportionnelle"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Réussite des audits, mais avec des avertissements"},"report/renderer/util.js | warningHeader":{message:"Avertissements : "}}},{}],116:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"מקשי גישה מאפשרים למשתמשים להתמקד במהירות בחלק מסוים בדף. כדי לאפשר ניווט תקין, כל מקש גישה צריך להיות ייחודי. [מידע נוסף](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"יש ערכי `[accesskey]` שאינם ייחודיים"},
"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` הערכים ייחודיים"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"כל ARIA `role` תומכת בקבוצת משנה ספציפית של `aria-*` מאפיינים. חוסר התאמה בין המאפיינים הופך אותם `aria-*` ללא חוקיים. [מידע נוסף](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"יש מאפייני `[aria-*]` שלא תואמים לתפקידים שלהם"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"מאפייני ה-`[aria-*]`‎ תואמים לתפקידים שלהם"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"כשאין לרכיב שם נגיש, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בשדה. [למידע נוסף](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"לרכיבים `button`, `link` וגם `menuitem` אין שמות נגישים."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"לרכיבים `button`, `link` וגם `menuitem` יש שמות נגישים"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'טכנולוגיות מסייעות, כמו קוראי מסך, פועלים באופן לא עקבי כשמוגדר `aria-hidden="true"` ב-`<body>` של המסמך. [מידע נוסף](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'יש `[aria-hidden="true"]` ב-`<body>` של המסמך'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'אין `[aria-hidden="true"]` ב-`<body>` של המסמך'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'רכיבי צאצא שיכולים לקבל פוקוס וממוקמים בתוך רכיב `[aria-hidden="true"]`, גורמים לכך שהרכיבים האינטראקטיביים האלה לא יהיו זמינים למשתמשים בטכנולוגיות מסייעות, כמו קוראי מסך. [מידע נוסף](https://web.dev/aria-hidden-focus/)'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'רכיבי `[aria-hidden="true"]` כוללים רכיבי צאצא שיכולים לקבל פוקוס'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'רכיבי `[aria-hidden="true"]` אינם מכילים רכיבי צאצא שיכולים לקבל פוקוס'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"כשאין לשדה להזנת קלט שם נגיש, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בשדה. [מידע נוסף](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"לשדות הזנת קלט של ARIA אין שמות נגישים"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"לשדות ARIA להזנת קלט יש שמות נגישים"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"כשאין לרכיב שם נגיש, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בשדה. [למידע נוסף](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"לרכיבי `meter` מסוג ARIA אין שמות נגישים."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"לרכיבי `meter` מסוג ARIA יש שמות נגישים"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"כשאין לרכיב `progressbar` תווית נגישות, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בו. [מידע נוסף](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"לרכיבי `progressbar` מסוג ARIA אין שמות נגישים."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"לרכיבי `progressbar` מסוג ARIA יש שמות נגישים"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"חלק מתפקידי ה-ARIA כוללים מאפיינים נדרשים שמתארים לקוראי המסך את מצב הרכיב. [מידע נוסף](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"יש רכיבים מסוג `[role]` שאין להם את כל מאפייני ה-`[aria-*]` הנדרשים"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"לכל הרכיבים מסוג `[role]` יש את כל מאפייני ה-`[aria-*]` הדרושים"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"תפקידי הורה מסוימים של ARIA צריכים לכלול תפקידי צאצא ספציפיים כדי לבצע את פונקציות הנגישות שלהם. [מידע נוסף](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"ברכיבים עם `[role]` של ARIA שדורשים מצאצאים לכלול `[role]` ספציפי, חסרים חלק מהצאצאים הנדרשים האלה, או שכולם חסרים בהם."},
"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"ברכיבים עם `[role]` של ARIA שדורשים מצאצאים לכלול `[role]` ספציפי, קיימים כל הצאצאים הנדרשים."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"חלק מתפקידי הצאצא מסוג ARIA חייבים להיכלל בין תפקידי הורה ספציפיים כדי למלא באופן תקין את פונקציות הנגישות שלהם. [מידע נוסף](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"מאפייני `[role]` לא נמצאים בתוך רכיב ההורה הנדרש שלהם"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"רכיבים מסוג `[role]` נמצאים בתוך רכיב ההורה הנדרש שלהם"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"תפקידי ARIA חייבים לכלול ערכים חוקיים כדי לבצע את פונקציות הנגישות שלהם. [מידע נוסף](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{
message:"יש ערכי `[role]` לא חוקיים"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"ערכי ה-`[role]` חוקיים"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"כשהשם של שדה החלפת מצב (toggle) אינו נגיש, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בשדה. [מידע נוסף](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"לשדות החלפת מצב (toggle) של ARIA אין שמות נגישים"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"לשדות החלפת מצב (toggle) של ARIA יש שמות נגישים"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"כשאין לרכיב שם נגיש, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בשדה. [למידע נוסף](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{
message:"לרכיבי `tooltip` מסוג ARIA אין שמות נגישים."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"לרכיבי `tooltip` מסוג ARIA יש שמות נגישים"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"כשאין לרכיב שם נגיש, קוראי מסך מציינים שם גנרי, ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בשדה. [למידע נוסף](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"לרכיבי `treeitem` מסוג ARIA אין שמות נגישים."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"לרכיבי `treeitem` מסוג ARIA יש שמות נגישים"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"טכנולוגיות לנגישות, כמו קוראי מסך, לא יכולות לפענח מאפייני ARIA שהערכים שלהם לא חוקיים. [מידע נוסף](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{
message:"למאפייני ‎`[aria-*]`‎ אין ערכים חוקיים"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"למאפייני ה-`[aria-*]` יש ערכים חוקיים"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"טכנולוגיות לנגישות, כמו קוראי מסך, לא יכולות לפענח מאפייני ARIA עם שמות לא חוקיים. [מידע נוסף](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"יש מאפייני `[aria-*]` שאינם חוקיים או שכוללים שגיאות איות"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"מאפייני ה-`[aria-*]` חוקיים ולא כוללים שגיאות איות"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"רכיבים שנכשלו בבדיקה"},"lighthouse-core/audits/accessibility/button-name.js | description":{
message:'כשאין ללחצן שם נגיש, קוראי מסך אומרים את המילה "לחצן", ובמצב כזה אנשים שמסתמכים על קוראי מסך יתקשו להשתמש בלחצן. [מידע נוסף](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"ללחצנים אין שמות ייחודיים"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"ללחצנים יש שם נגיש"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"הוספה של דרכים לעקיפת תוכן שחוזר על עצמו מאפשרת לאנשים שמשתמשים במקלדת לנווט בדף בצורה יעילה יותר. [מידע נוסף](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"הדף לא כולל כותרת, קישור לדילוג או קטע שמסומן כ-landmark"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"הדף כולל כותרת, קישור לדילוג או קטע שמסומן כ-landmark"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{
message:"משתמשים רבים מתקשים לקרוא טקסט עם ניגודיות נמוכה, או לא מסוגלים לקרוא אותו. [מידע נוסף](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"יחס הניגודיות של צבעי הרקע והחזית אינו מספיק."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"יש יחס ניגודיות מספיק בין צבעי הרקע והחזית"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"כשרשימות של הגדרות לא מסומנות כראוי, קוראי מסך עשויים לספק פלט מבלבל או לא מדויק. [מידע נוסף](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"יש רכיבי `<dl>` שלא מכילים רק קבוצות `<dt>` ו-`<dd>` עם סדר תקין, `<script>`, `<template>` או רכיבי `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"רכיבי `<dl>` מכילים רק קבוצות `<dt>` ו-`<dd>` עם סדר תקין, `<script>`, `<template>` או רכיבי `<div>`."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"פריטים ברשימות של הגדרות (`<dt>` ו-`<dd>`) צריכים להיות תחומים בתוך רכיב הורה מסוג `<dl>` כדי שקוראי מסך יוכלו להקריא אותם בצורה נכונה. [מידע נוסף](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"יש פריטים ברשימות של הגדרות שלא תחומים בין רכיבי `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"פריטים ברשימות של הגדרות מוצבים בין רכיבי `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"הכותרת מספקת סקירה כללית של הדף למשתמשים הנעזרים בקוראי מסך. בנוסף, משתמשים של מנועי חיפוש מסתמכים במידה רבה על הכותרת כדי להבין אם הדף רלוונטי לחיפוש שלהם. [מידע נוסף](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"למסמך אין רכיב `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"המסמך מכיל רכיב `<title>`"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"כל הרכיבים שיכולים לקבל פוקוס חייבים לכלול `id` ייחודי כדי לוודא שטכנולוגיות מסייעות יוכלו לזהות אותם. [מידע נוסף](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"נעשה שימוש במאפייני `[id]` לא ייחודיים ברכיבים פעילים שיכולים לקבל פוקוס"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"נעשה שימוש במאפייני `[id]` ייחודיים ברכיבים פעילים שיכולים לקבל פוקוס"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"הערך של מזהה ARIA חייב להיות ייחודי כדי למנוע מטכנולוגיות מסייעות להתעלם ממופעים אחרים. [מידע נוסף](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"מזהי ה-ARIA אינם ייחודיים"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"מזהי ה-ARIA ייחודיים"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"טכנולוגיות מסייעות עלולות להקריא באופן מבלבל שדות טופס עם תוויות מרובות. קוראי מסך, למשל, מקריאים את התווית הראשונה, האחרונה או את כולן. [מידע נוסף](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"לשדות טופס יש תוויות מרובות"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"אין שדות טופס עם תוויות מרובות"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"משתמשים הנעזרים בקוראי מסך מסתמכים על כותרות של מסגרות כדי להבין מה תוכן המסגרות. [מידע נוסף](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"לרכיבי `<frame>` או `<iframe>` אין מאפיין title"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"לרכיבי `<frame>` או `<iframe>` יש מאפיין title"},
"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"כשהכותרות מופיעות בסדר הנכון ואינן מדלגות על רמות, הן מבהירות את המבנה הסמנטי של הדף. כך קל יותר לנווט ולהבין את הדף כשמשתמשים בטכנולוגיות מסייעות. [מידע נוסף](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"רכיבי כותרת אינם מופיעים ברצף יורד"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"רכיבי כותרת מופיעים ברצף יורד"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"אם בדף לא מצוין מאפיין lang, קורא המסך יפעל כאילו שהדף כתוב בשפת ברירת המחדל שהמשתמש בחר במהלך הגדרת קורא המסך. אם שפת הדף שונה משפת ברירת המחדל, ייתכן שקורא המסך לא יקרא בצורה נכונה את הטקסט שבדף. [מידע נוסף](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"לרכיב `<html>` אין רכיב `[lang]`"},
"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"לרכיב `<html>` יש מאפיין `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"ציון של [שפת BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) חוקית עוזר לקוראי מסך להקריא טקסט בצורה נכונה. [מידע נוסף](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"לרכיב `<html>` אין ערך חוקי עבור המאפיין `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"לרכיב `<html>` יש ערך חוקי עבור המאפיין `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"רכיבים אינפורמטיביים צריכים לכלול טקסט חלופי קצר ותיאורי. אפשר להתעלם מרכיבי עיצוב עם מאפיין alt ריק. [מידע נוסף](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"יש רכיבי תמונה ללא מאפייני `[alt]`"},
"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"לרכיבי תמונה יש מאפייני `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"כשתמונה משמשת כלחצן `<input>`, הוספה של טקסט חלופי יכולה לעזור למשתמשים הנעזרים בקוראי מסך להבין מה הלחצן עושה. [מידע נוסף](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'יש רכיבי `<input type="image">` שאין להם טקסט `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'לרכיבים מסוג `<input type="image">` יש טקסט `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"תוויות עוזרות לוודא ששמות של פקדי טפסים מוקראים באופן תקין על ידי טכנולוגיות לנגישות, כמו קוראי מסך. [מידע נוסף](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"לא שויכו תוויות אל רכיבי טופס"},"lighthouse-core/audits/accessibility/label.js | title":{
message:"לרכיבי טופס יש תוויות המשויכות אליהם"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"כשהטקסט של הקישור מובן וייחודי ואפשר להתמקד בו, משתמשים שנעזרים בקורא מסך נהנים מחוויית ניווט משופרת. מצב זה נכון גם לגבי טקסט חלופי של תמונות כשנעשה בהן שימוש כקישורים. [מידע נוסף](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"לקישורים אין שמות ייחודיים"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"לקישורים יש שמות ייחודיים"},"lighthouse-core/audits/accessibility/list.js | description":{message:"קוראי מסך מקריאים רשימות בצורה מסוימת. שמירה על מבנה רשימות תקין מאפשרת הקראה תקינה על ידי קורא המסך. [מידע נוסף](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"הרשימות לא מכילות רק רכיבי `<li>` ורכיבים שתומכים בסקריפט (`<script>` ו- `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{
message:"הרשימות מכילות רק רכיבי `<li>` ורכיבים שתומכים בסקריפט (`<script>` ו-`<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"כדי שקוראי מסך יוכלו לקרוא כראוי פריטים ברשימות, (`<li>`) הם צריכים להופיע בין רכיבי הורה מסוג `<ul>` או `<ol>`. [מידע נוסף](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"יש פריטים ברשימות (`<li>`) שלא נמצאים בין רכיבי הורה של `<ul>` או `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"פריטים ברשימות (`<li>`) מופיעים בין רכיבי הורה `<ul>` או `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"משתמשים לא מצפים לרענון אוטומטי של הדף, ושימוש ברענון כזה יחזיר את ההתמקדות אל ראש הדף. מצב כזה יכול ליצור חוויה מתסכלת או מבלבלת. [מידע נוסף](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'המסמך מכיל `<meta http-equiv="refresh">`'},
"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'המסמך לא כולל שימוש ב-`<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"השבתת האפשרות להגדיל את תצוגת התוכן יוצרת בעיה עבור משתמשים עם ליקויי ראייה שנוהגים להגדיל את המסך כדי לראות היטב את תוכן דף האינטרנט. [מידע נוסף](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'נעשה שימוש ב-`[user-scalable="no"]` ברכיב `<meta name="viewport">`, או שערך המאפיין `[maximum-scale]` קטן מ-5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'לא נעשה שימוש ב-`[user-scalable="no"]` ברכיב `<meta name="viewport">` וערך המאפיין `[maximum-scale]` לא קטן מ-5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"קוראי מסך לא יכולים לתרגם תוכן שאינו טקסט. הוספה של טקסט חלופי לרכיבי `<object>` עוזרת להבהיר את המשמעות כשמשתמשים בקוראי מסך. [מידע נוסף](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"יש רכיבי `<object>` שאין להם טקסט `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"לרכיבים מסוג `<object>` יש טקסט `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"ערך גדול מ-0 מרמז על סדר ניווט מפורש. זו אפשרות תקינה מבחינה טכנית, אבל במקרים רבים היא גורמת לחוויה מתסכלת עבור משתמשים שמסתמכים על טכנולוגיות לנגישות. [מידע נוסף](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"לחלק מהרכיבים יש ערך `[tabindex]` גדול מ-0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"לאף רכיב אין ערך `[tabindex]` גדול מ-0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"קוראי מסך כוללים תכונות שמקלות את הניווט בטבלאות. כשתאי `<td>` שמשתמשים במאפיין `[headers]` מתייחסים רק לתאים אחרים באותה טבלה, משתמשים הנעזרים בקוראי מסך יכולים ליהנות מחוויה טובה יותר. [מידע נוסף](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"תאים ברכיב `<table>` שמשתמשים במאפיין `[headers]`, מתייחסים לרכיב `id` שלא נמצא באותה טבלה."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"תאים ברכיב `<table>` שמשתמשים במאפיין `[headers]`, מתייחסים לתאים אחרים באותה הטבלה."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"קוראי מסך כוללים תכונות שמקלות את הניווט בטבלאות. כשכותרות של טבלאות מתייחסות תמיד לקבוצה כלשהי של תאים, משתמשים הנעזרים בקורא מסך יכולים ליהנות מחוויה טובה יותר. [מידע נוסף](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{
message:'יש רכיבי `<th>` ורכיבים עם `[role="columnheader"/"rowheader"]` שאין להם את תאי הנתונים שהם מתארים.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'לרכיבי `<th>` ולרכיבים עם `[role="columnheader"/"rowheader"]` יש תאי נתונים שהם מתארים.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"ציון של [שפת BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) חוקית ברכיבים עוזר להבטיח הגייה נכונה של הטקסט על ידי קורא המסך. [מידע נוסף](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"יש מאפייני `[lang]` שאין להם ערך חוקי"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"למאפייני `[lang]` יש ערך חוקי"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"כשסרטון כולל כתוביות, המידע שהוא כולל נגיש יותר למשתמשים חרשים ולקויי שמיעה. [מידע נוסף](https://web.dev/video-caption/)."},
"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'יש רכיבי `<video>` שלא מכילים רכיב `<track>` עם `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'רכיבי `<video>` מכילים רכיב `<track>` עם `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"כדי שהדף יוצג למשתמשים באופן אידיאלי ב-iOS לאחר הוספת Progressive Web App למסך הבית, מומלץ להגדיר `apple-touch-icon`. המאפיין חייב להפנות לתמונת PNG לא שקופה בפורמט ריבוע בגודל 192 פיקסלים (או 180 פיקסלים). [מידע נוסף](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"הדף לא מכיל `apple-touch-icon` חוקי"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` לא עדכני; עדיף להשתמש ב-`apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"האתר מכיל `apple-touch-icon` חוקי"},
"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"ערך נוכחי"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"האסימון המוצע"},"lighthouse-core/audits/autocomplete.js | description":{message:"בעזרת `autocomplete`, משתמשים יכולים לשלוח טפסים מהר יותר. כדי להקל על משתמשים, מומלץ להפעיל זאת על ידי הגדרת ערך חוקי למאפיין `autocomplete`. [מידע נוסף](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"רכיבי `<input>` לא מכילים את מאפייני `autocomplete` הנכונים"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"נדרשת בדיקה ידנית"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"בדיקת סדר האסימונים"},"lighthouse-core/audits/autocomplete.js | title":{message:"רכיבי `<input>` משתמשים באופן תקין במאפיין `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'אסימוני `autocomplete`: האסימון "{token}" לא חוקי ב-{snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'בדיקת סדר האסימונים: "{tokens}" בתוך {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"תוספים ל-Chrome השפיעו לרעה על ביצועי הטעינה של הדף הזה. כדאי לבדוק את הדף במצב גלישה בסתר או באמצעות פרופיל Chrome שאינו כולל תוספים."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"הערכת סקריפט"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"ניתוח סקריפט"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"זמן כולל של CPU (יחידת עיבוד מרכזית)"},"lighthouse-core/audits/bootup-time.js | description":{message:"כדאי לשקול את האפשרות לקצר את הזמן הדרוש לניתוח, הידור וביצוע של JS. לשם כך כדאי להשתמש במטענים ייעודיים (payloads) קטנים יותר של JS. [מידע נוסף](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{
message:"יש לקצר את זמן הביצוע של JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"זמן ביצוע של JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"אם קיימים מודולים משוכפלים גדולים בחבילות JavaScript, יש להסיר אותם מהחבילות האלה כדי לצמצם צריכה של בייטים מיותרים על ידי פעילות הרשת. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"יש להסיר עותקים כפולים של מודולים בחבילות JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"קובצי GIF גדולים לא מעבירים אנימציות בצורה יעילה. כדי לצמצם את מספר הבייטים שמועברים ברשת, במקום קובצי GIF כדאי לשקול את האפשרות להשתמש בסרטוני MPEG4/WebM בשביל אנימציות ובקובצי PNG/WebP בשביל תמונות סטטיות. [מידע נוסף](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{
message:"יש להשתמש בפורמטים של וידאו כדי להציג תוכן אנימציה"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"רכיבי Polyfill וטרנספורמציות מאפשרים לדפדפנים מדור קודם להשתמש בתכונות JavaScript חדשות. עם זאת, רבים מהם לא נחוצים לדפדפנים מודרניים. כשפורסים סקריפטים בחבילת JavaScript, מומלץ לעשות זאת בשיטה מודרנית שכוללת זיהוי של תכונות עם או בלי מודולים. שיטה זו מאפשרת לצמצם את כמות הקוד שנשלחת לדפדפנים מודרניים, מבלי לוותר על התמיכה בדפדפנים מדור קודם. [מידע נוסף](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"יש להימנע משימוש ב-JavaScript מדור קודם בדפדפנים מודרניים"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"לעתים קרובות, פורמטים של תמונות כמו JPEG 2000‏, JPEG XR ו-WebP מספקים דחיסה טובה יותר מאשר PNG או JPEG. הדחיסה המשופרת מקצרת את זמן ההורדות ומצמצמת את צריכת הנתונים. [מידע נוסף](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"יש להציג תמונות בפורמטים עדכניים"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"כדי לקצר את הזמן עד לפעילות מלאה, כדאי לשקול לבצע טעינה הדרגתית של תמונות מוסתרות ותמונות שלא מופיעות מיד במסך, כך שייטענו רק אחרי סיום הטעינה של כל המשאבים הקריטיים. [מידע נוסף](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"יש לעכב טעינה של תמונות שאינן מופיעות במסך"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"משאבים חוסמים את הצגת התמונה הראשונית של הדף במסך כדאי לשקול את האפשרות לספק תוכן JS/CSS קריטי באופן מוטבע ולדחות את הטעינה של כל תוכן ה-JS/הסגנונות שאינם קריטיים. [מידע נוסף](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"יש להימנע ממשאבים שחוסמים עיבוד"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"מטענים ייעודיים (payload) בנפח גדול המועברים ברשת עולים למשתמשים כסף ולעתים קרובות מאריכים את זמני הטעינה. [מידע נוסף](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"הגודל הכולל היה ‎{totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"יש להימנע מהעברה של מטענים ייעודיים ענקיים (payload) ברשת"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"נמנע מהעברה של מטענים ייעודיים ענקיים (payload) ברשת"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"הקטנה של קובצי CSS יכולה לצמצם את הגודל של מטענים ייעודיים (payloads) שמועברים ברשת. [מידע נוסף](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"יש להקטין קובצי CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"הקטנה של קובצי JavaScript יכולה לצמצם את המטען הייעודי (payload) ולקצר את משך הזמן הנדרש לניתוח סקריפט. [מידע נוסף](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"יש לקצר את קוד JavaScript למינימום ההכרחי"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"ניתן לצמצם את צריכת הבייטים כתוצאה מפעילות הרשת על ידי הפחתת כללים שאינם בשימוש מגיליונות הסגנונות ודחיית הטעינה של רכיבי CSS שלא משמשים את התוכן בחלק העליון והקבוע. [מידע נוסף](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"הפחתת CSS שאינו בשימוש"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"ניתן לצמצם את צריכת הבייטים כתוצאה מפעילות הרשת על ידי הפחתת תוכן JavaScript שלא נמצא בשימוש ודחיית הטעינה של הסקריטפים עד שהם יידרשו. [מידע נוסף](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"הפחתת תוכן JavaScript שאינו בשימוש"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"משך חיים ארוך של מטמון יכול לזרז את הביקורים החוזרים בדף. [מידע נוסף](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{
message:"{itemCount,plural, =1{נמצא משאב אחד}two{נמצאו # משאבים}many{נמצאו # משאבים}other{נמצאו # משאבים}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"יש להציג נכסים סטטיים בעזרת מדיניות מטמון יעילה"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"יש להשתמש במדיניות מטמון יעילה בנכסים סטטיים"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"תמונות שעברו אופטימיזציה נטענות מהר יותר וצורכות פחות נתונים בחבילת הגלישה. [מידע נוסף](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"יש לקודד תמונות בצורה יעילה"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"הצגת תמונות שהגודל שלהן הוגדר בצורה נכונה עוזרת לחסוך בניצול חבילת הגלישה ולקצר את זמן הטעינה. [מידע נוסף](https://web.dev/uses-responsive-images/)."},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"יש להגדיר את גודל התמונות בצורה נכונה"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"הצגת משאבים המבוססים על טקסט צריכה להתבצע עם דחיסה (gzip‏, deflate או brotli) כדי לצמצם את כמות הבייטים שמועברים ברשת. [מידע נוסף](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"יש להפעיל דחיסת טקסט"},"lighthouse-core/audits/content-width.js | description":{message:"אם הרוחב של תוכן האפליקציה לא תואם לרוחב של אזור התצוגה, ייתכן שלא בוצעה אופטימיזציה לאפליקציה שלך עבור מסכים של ניידים. [מידע נוסף](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"גודל אזור התצוגה של {innerWidth} פיקסלים לא תואם לגודל החלון של {outerWidth} פיקסלים."},"lighthouse-core/audits/content-width.js | failureTitle":{
message:"הגודל של התוכן הוגדר בצורה לא תקינה עבור אזור התצוגה"},"lighthouse-core/audits/content-width.js | title":{message:"הגודל של התוכן הוגדר בצורה תקינה עבור אזור התצוגה"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"בקטע 'שרשראות בקשה קריטיות' שבהמשך מוצגים המשאבים שנטענים עם עדיפות גבוהה. כדי לשפר את מהירות טעינת הדף, מומלץ לקצר את השרשראות, להקטין את גודל ההורדה של משאבים או לעכב את ההורדה של משאבים לא נחוצים. [מידע נוסף](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{נמצאה שרשרת אחת}two{נמצאו # שרשראות}many{נמצאו # שרשראות}other{נמצאו # שרשראות}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"יש להימנע משרשור של בקשות קריטיות"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"הוראה"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"מידת החומרה"},"lighthouse-core/audits/csp-xss.js | description":{
message:"שימוש במדיניות חזקה מסוג Content Security Policy (‏CSP) מפחית באופן משמעותי את הסיכון למתקפות שמקורן בפרצת אבטחה מסוג XSS ‏(cross-site scripting). [למידע נוסף](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"תחביר"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"הדף מכיל מדיניות CSP שהוגדרה עם תג <meta>. אם אפשר, כדאי להגדיר את ה-CSP בכותרת HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"אין CSP במצב האכיפה"},"lighthouse-core/audits/csp-xss.js | title":{message:"איך לוודא שמדיניות CSP מגינה ביעילות ממתקפות XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"הוצאה משימוש/אזהרה"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"שורה"},"lighthouse-core/audits/deprecations.js | description":{message:"רכיבי API שהוצאו משימוש יוסרו בסופו של דבר מהדפדפן. [מידע נוסף](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{
message:"{itemCount,plural, =1{נמצאה אזהרה אחת}two{נמצאו # אזהרות}many{נמצאו # אזהרות}other{נמצאו # אזהרות}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"הדף מכיל רכיבי API שהוצאו משימוש"},"lighthouse-core/audits/deprecations.js | title":{message:"אין רכיבי API שהוצאו משימוש"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache הוצא משימוש. [מידע נוסף](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'בשימוש: "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"נעשה שימוש ב-Application Cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"לא נעשה שימוש ב-Application Cache"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"נדרשת הצהרה של קידוד תווים. ניתן להגדיר אותה באמצעות תג `<meta>` שממוקם ב-1,024 הבייטים הראשונים של ה-HTML או ברכיב ה-Content-Type בכותרת התגובה של ה-HTTP. [מידע נוסף](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"חסרה הצהרה (declaration) של Charset ב-HTML, או שהיא ממוקמת בקטע מאוחר מדי בתוך ה-HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"ה-Charset מוגדר כמו שצריך"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"ציון של doctype מונע מהדפדפן לעבור למצב תאימות (quirks mode). [מידע נוסף](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"שם של Doctype חייב להיות המחרוזת `html` עם אותיות קטנות"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"המסמך חייב להכיל doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId אמור להיות מחרוזת ריקה"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId אמור להיות מחרוזת ריקה"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"ה-doctype של הדף אינו מוגדר ל-HTML, ולכן הופעל מצב תאימות (quirks mode)"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"ה-doctype של הדף מוגדר ל-HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"נתון סטטיסטי"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"ערך"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"DOM גדול מגביר את צריכת משאבי הזיכרון, מאריך את הזמן הדרוש ל[חישובי סגנונות](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) ומוביל ל[זרימה חוזרת של פריסות](https://developers.google.com/speed/articles/reflow) שגוזלת משאבים יקרים. [מידע נוסף](https://web.dev/dom-size/)."},
"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{רכיב אחד}two{# רכיבים}many{# רכיבים}other{# רכיבים}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"יש להימנע מ-DOM גדול מדי"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"עומק DOM מרבי"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"סך רכיבי DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"מקסימום רכיבי צאצא"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"נמנע מ-DOM גדול מדי"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"עוגנים שנכשלו"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{
message:'כדי לשפר את הביצועים ולמנוע פגיעויות המסכנות את האבטחה, יש להוסיף `rel="noopener"` או `rel="noreferrer"` לקישורים חיצוניים. [מידע נוסף](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"הדף מכיל קישורים לא בטוחים ליעדים ממקורות שונים"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"כל הקישורים ליעדים ממקורות שונים בטוחים לשימוש"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"לא ניתן לקבוע את יעד העוגן ({anchorHTML}). אם target=_blank לא משמש כהיפר-קישור, כדאי לשקול להסיר אותו."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"אתרים שמבקשים לקבל גישה למיקום של המשתמשים, בלי לציין הקשר, מעוררים אצל המשתמשים תחושת בלבול או חשדנות. במקום זאת, כדאי לשקול לקשר את הבקשות לפעולה של המשתמשים. [מידע נוסף](https://web.dev/geolocation-on-start/)."},
"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"הדף מבקש הרשאות למיקום גאוגרפי במהלך טעינת הדף"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"הדף לא מבקש הרשאות למיקום גאוגרפי במהלך טעינת הדף"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"סוג הבעיה"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"שגיאות שנרשמו בחלונית `Issues` ב-Chrome Devtools מעידות על בעיות לא פתורות. הן עשויות להופיע בעקבות כשל בבקשות ברשת, אמצעי אבטחה לא מספיקים או בעיות אחרות בדפדפן. יש לפתוח את חלונית הבעיות ב-Chrome DevTools כדי לקבל פרטים נוספים על כל בעיה."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"נרשמו בעיות בחלונית `Issues` ב-Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"נחסם עקב מדיניות ממקורות שונים"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"המודעות מנצלות הרבה מקורות"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"אין בעיות בחלונית `Issues` ב-Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"גרסה"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"זו ביקורת שמטרתה לזהות את כל ספריות ה-JavaScript החזיתיות בדף. [מידע נוסף](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"ספריות JavaScript שזוהו"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"אם החיבור איטי, סקריפטים חיצוניים המושתלים באופן דינמי דרך `document.write()` יכולים לעכב את טעינת הדף בעשרות שניות. [מידע נוסף](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"יש להימנע מ-`document.write()`"},
"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"לא נעשה שימוש ב-`document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"רמת החומרה הגבוהה ביותר"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"גרסת הספרייה"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"מספר הפגיעויות"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"סקריפטים של צד שלישי עשויים להכיל פגיעויות ידועות באבטחה, שתוקפים יכולים לזהות ולנצל בקלות. [מידע נוסף](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{זוהתה פגיעוּת אחת}two{זוהו # פגיעויות}many{זוהו # פגיעויות}other{זוהו # פגיעויות}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{
message:"הדף מכיל ספריות JavaScript חזיתיות בעלות פגיעויות ידועות באבטחה"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"הדף לא מכיל ספריות JavaScript חזיתיות בעלות פגיעויות ידועות באבטחה"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"אתרים שמבקשים לשלוח התראות ללא הקשר מעוררים תחושת בלבול או חשדנות בקרב המשתמשים. במקום זאת, כדאי לשקול לקשר את הבקשות למחוות של המשתמשים. [מידע נוסף](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"הדף מבקש הרשאה להודעות במהלך טעינת הדף"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"הדף לא מבקש הרשאה להתראות במהלך טעינת הדף"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"מניעה של הדבקת סיסמאות פוגעת ביכולת לקיים מדיניות אבטחה טובה. [מידע נוסף](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"בדף הזה משתמשים לא יכולים להדביק תוכן מועתק לתוך שדות של סיסמאות"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"בדף הזה משתמשים יכולים להדביק תוכן מועתק לתוך שדות של סיסמאות"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"פרוטוקול"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"ל-HTTP/2 יש הרבה יתרונות על-פני HTTP/1.1, ביניהם כותרות בינאריות וריבוב. [למידע נוסף](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{בקשה אחת לא מולאה דרך HTTP/2}two{# בקשות לא מולאו דרך HTTP/2}many{# בקשות לא מולאו דרך HTTP/2}other{# בקשות לא מולאו דרך HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"עליך להשתמש ב-HTTP/2"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"כדי לשפר את ביצועי הגלילה של הדף, מומלץ לשקול להוסיף סימון `passive` למעבדים של אירועי נגיעה וגלילה עם גלגל העכבר. [מידע נוסף](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"לא נעשה שימוש ברכיבי listener פסיביים לשיפור ביצועי הגלילה"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"נעשה שימוש ברכיבי listener פסיביים לשיפור ביצועי הגלילה"},"lighthouse-core/audits/errors-in-console.js | description":{message:"שגיאות שנרשמו במסוף מצביעות על בעיות לא פתורות. הן עשויות להופיע בעקבות כשל בבקשות ברשת או בעיות אחרות בדפדפן. [מידע נוסף](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"נרשמו שגיאות דפדפן במסוף"},"lighthouse-core/audits/errors-in-console.js | title":{message:"לא נרשמו במסוף שגיאות דפדפן"},
"lighthouse-core/audits/font-display.js | description":{message:"שימוש בתכונת תצוגת הגופן של CSS מבטיח שהטקסט מוצג למשתמש בזמן טעינה של גופני webfont. [מידע נוסף](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"יש לוודא שטקסט ממשיך להופיע במהלך טעינת webfont"},"lighthouse-core/audits/font-display.js | title":{message:"כל הטקסט ממשיך להופיע במהלך טעינות של webfont"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{מערכת Lighthouse לא הצליחה לבדוק את הערך `font-display` של המקור {fontOrigin} באופן אוטומטי.}two{מערכת Lighthouse לא הצליחה לבדוק את ערכי `font-display` של המקור {fontOrigin} באופן אוטומטי.}many{מערכת Lighthouse לא הצליחה לבדוק את ערכי `font-display` של המקור {fontOrigin} באופן אוטומטי.}other{מערכת Lighthouse לא הצליחה לבדוק את ערכי `font-display` של המקור {fontOrigin} באופן אוטומטי.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{
message:"יחס גובה-רוחב (בפועל)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"יחס גובה-רוחב (בתצוגה)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"מידות התצוגה של התמונה צריכות להתאים ליחס הגובה-רוחב הטבעי. [מידע נוסף](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"יש תמונות עם יחס גובה-רוחב שגוי"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"התמונות מוצגות ביחס גובה-רוחב נכון"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"גודל בפועל"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"גודל מוצג"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"הגודל הצפוי"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"המימדים הטבעיים של התמונה צריכים להיות פרופורציונליים לגודל המסך וליחס הפיקסלים כדי שהתמונה תהיה ברורה ככל האפשר. [מידע נוסף](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"מציג תמונות עם רזולוציה נמוכה"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"מציג תמונות עם רזולוציה מתאימה"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"האפליקציה כבר מותקנת"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"לא ניתן היה להוריד סמל נדרש מהמניפסט"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"סיבה לכשל"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"קובץ השירות (service worker) הוא הטכנולוגיה שמאפשרת לאפליקציה שלך להשתמש במספר תכונות Progressive Web App, כמו 'מצב אופליין', 'הוספה לדף הבית' ו'התראות'. בעזרת הטמעה נכונה של קובצי מניפסט וקובצי שירות (service worker), הדפדפנים יכולים לבקש ממשתמשים באופן יזום להוסיף את האפליקציה שלך למסך הבית שלהם. פעולה זו מגדילה את הסיכוי להשגת מעורבות גבוהה יותר. [למידע נוסף](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{סיבה אחת}two{שתי סיבות}many{# סיבות}other{# סיבות}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"קובץ המניפסט של האפליקציה או קובץ השירות (service worker) אינם עומדים בדרישות יכולת ההתקנה"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"כתובת ה-URL של האפליקציה בחנות Play והמזהה בחנות Play אינם תואמים"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"הדף נטען בחלון אנונימי"},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"המאפיין 'display' במניפסט צריך לכלול את אחד מהערכים האלה: 'standalone',‏ 'fullscreen' או 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"המניפסט מכיל את השדה 'display_override' ומצב התצוגה הראשון הנתמך צריך להיות 'standalone',‏ 'fullscreen' או 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"לא ניתן לאחזר או לנתח את קובץ המניפסט, או שהוא ריק"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"כתובת ה-URL של המניפסט השתנתה במהלך אחזור המניפסט."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"קובץ המניפסט אינו מכיל את השדות 'שם' או 'שם מקוצר'"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:"קובץ המניפסט אינו מכיל סמל מתאים. דרוש פורמט PNG‏, SVG או WebP ברזולוציה של ‎{value0}px לפחות, ויש להגדיר את מאפיין הגודל. אם הוגדר המאפיין 'שימוש', הוא חייב לציין \"הכול\"."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'לא סופק סמל ברזולוציה של {value0}px לפחות, בצורת ריבוע, בפורמט PNG‏, SVG או WebP, עם מאפיין מטרה לא מוגדר או מוגדר ל"הכול"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"הסמל שהורד היה ריק או פגום"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"לא סופק מזהה חנות Play"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"אין לדף כתובת URL של מניפסט <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"לא נמצא קובץ שירות (service worker) תואם. ייתכן שצריך לטעון מחדש את הדף, או לבדוק אם ההיקף של קובץ השירות (service worker) של הדף הנוכחי כולל את ההיקף ואת כתובת ה-URL להתחלה של קובץ המניפסט."},
"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"לא ניתן לבדוק את קובץ השירות (service worker) ללא השדה 'כתובת url להתחלה'"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"המזהה '{errorId}' של השגיאה ביכולת ההתקנה אינו מוכר"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"הדף מוצג ממקור לא מאובטח"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"הדף לא נטען במסגרת הראשית"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"הדף לא פועל ללא חיבור לאינטרנט"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"פלטפורמת האפליקציה שסופקה לא נתמכת ב-Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"המניפסט מפרט אפליקציות שקשורות להעדפות: TRUE"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{
message:"התכונה prefer_related_applications נתמכת רק בגרסת הבטא של Chrome ובערוצים יציבים ב-Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"כתובת ה-URL להתחלה של המניפסט לא חוקית"},"lighthouse-core/audits/installable-manifest.js | title":{message:"המניפסט של אפליקציית האינטרנט וקובץ השירות (service worker) עומדים בדרישות יכולת ההתקנה"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"המניפסט מכיל כתובת URL הכוללת שם משתמש, סיסמה או יציאה"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"הדף לא פועל ללא חיבור לאינטרנט. הדף לא ייחשב כדף שניתן להתקנה אחרי Chrome 93, בגרסה היציבה של אוגוסט 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"הכתובת אושרה"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"הכתובת נחסמה"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"כתובת URL של בקשה לא מאובטחת"},
"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"תגובה לבקשה"},"lighthouse-core/audits/is-on-https.js | description":{message:"יש להגן באמצעות פרוטוקול HTTPS על כל האתרים, אפילו אם הם לא מכילים נתונים רגישים. ההגנה הזו כוללת גם הימנעות מ[תוכן מעורב](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), שבו חלק מהמשאבים נטענים באמצעות HTTP למרות העובדה שהבקשה הראשונית נשלחת באמצעות HTTPS. פרוטוקול HTTPS מונע מפורצים להשתמש לרעה בתקשורת המתקיימת בין האפליקציה למשתמשים או לצותת לה. השימוש בפרוטוקול הזה הוא תנאי מוקדם של HTTP/2 ושל רכיבי ה-API של רבות מפלטפורמות האינטרנט החדשות. [מידע נוסף](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{נמצאה בקשה לא מאובטחת אחת}two{נמצאו # בקשות לא מאובטחות}many{נמצאו # בקשות לא מאובטחות}other{נמצאו # בקשות לא מאובטחות}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"לא נעשה שימוש ב-HTTPS"},
"lighthouse-core/audits/is-on-https.js | title":{message:"שימוש ב-HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"הכתובת שודרגה ל-HTTPS באופן אוטומטי"},"lighthouse-core/audits/is-on-https.js | warning":{message:"הכתובת אושרה עם אזהרה"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"ספרייה"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"שימוש בספריות JavaScript גדולות עלול להוביל לביצועים נמוכים. עדיף להשתמש בספריות קטנות יותר, בעלות פונקציונליות זהה, כדי להקטין את גודל החבילה. [למידע נוסף](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{נמצאה ספרייה גדולה אחת}two{נמצאו # ספריות גדולות}many{נמצאו # ספריות גדולות}other{נמצאו # ספריות גדולות}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"יש להחליף ספריות JavaScript גדולות מדי"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"כדאי להימנע משימוש בספריות JavaScript גדולות כשיש חלופות קטנות יותר"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"זהו הרכיב הגדול ביותר המכיל תוכן שמוצג בתוך אזור התצוגה. [מידע נוסף](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"רכיב ה-Largest Contentful Paint (‏LCP)"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"השפעה על CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"רכיבי DOM אלה הם המרכיבים המשמעותיים ביותר של ה-CLS בדף זה."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"יש להימנע משינויים משמעותיים בפריסה"},"lighthouse-core/audits/long-tasks.js | description":{
message:"מציין את המשימות הארוכות ביותר בתהליכון הראשי. מסייע לזהות את המשימות שמאטות את הקלט במידה הרבה ביותר. [מידע נוסף](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{נמצאה משימה ארוכה אחת}two{נמצאו # משימות ארוכות}many{נמצאו # משימות ארוכות}other{נמצאו # משימות ארוכות}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"יש להימנע ממשימות ארוכות בתהליכון הראשי"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"קטגוריה"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"כדאי לשקול את האפשרות לקצר את הזמן הדרוש לניתוח, הידור וביצוע של JS. לשם כך, כדאי להשתמש במטענים ייעודיים (payloads) קטנים יותר של JS. [מידע נוסף](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"צריך לצמצם את העבודה על התהליכון הראשי"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"מצמצם את העבודה על התהליכון הראשי"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"כדי להגדיל את היקף החשיפה לכמה שיותר משתמשים, האתרים צריכים לעבוד בכל הדפדפנים המובילים. [מידע נוסף](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"האתר עובד בדפדפנים שונים"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"יש לוודא שניתן לבצע קישור עמוק לדפים נפרדים דרך כתובת URL ושכתובות ה-URL ייחודיות, כדי שניתן יהיה לשתף אותן ברשתות חברתיות. [מידע נוסף](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"לכל דף יש כתובת URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"כשמקישים באפליקציה, התחושה של המעברים צריכה להיות מהירה, גם ברשת איטית. החוויה הזו היא אחד הגורמים החשובים לתפיסת הביצועים בעיני משתמשים. [מידע נוסף](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"מעברי הדפים לא מרגישים חסומים ברשת"},"lighthouse-core/audits/maskable-icon.js | description":{message:"סמל שניתן למיסוך מבטיח שכשהאפליקציה תותקן במכשיר התמונה תמלא את כל הצורה במקום שתוצג בפורמט letterbox. [מידע נוסף](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"המניפסט לא מכיל סמלים שניתנים למיסוך"},"lighthouse-core/audits/maskable-icon.js | title":{message:"המניפסט מכיל לפחות סמל אחד שניתן למיסוך"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"המדד Cumulative Layout Shift מודד את התנועה של הרכיבים הגלויים לעין בתוך אזור התצוגה. [מידע נוסף](https://web.dev/cls/)."},
"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"המדד 'הצגת תוכן ראשוני (FCP)' מציין את הזמן שבו הטקסט או התמונה הראשונים מוצגים. [מידע נוסף](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"הערך 'הצגת התוכן העיקרי (FMP)' מציין מתי מוצג התוכן העיקרי של הדף. [מידע נוסף](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"הזמן עד לפעילות מלאה הוא משך הזמן שחולף עד שהדף מאפשר פעילות מלאה. [מידע נוסף](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"הצגת חלק התוכן הגדול ביותר (LCP) מציינת את הזמן שבו התמונה או הטקסט הגדולים ביותר מוצגים. [למידע נוסף](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{
message:"ההשהיה הפוטנציאלית המרבית שהמשתמשים יכולים לחוות לאחר קלט ראשוני (FID) היא משך הזמן של המשימה הארוכה ביותר. [מידע נוסף](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"מדד המהירות (Speed Index) מראה באיזו מהירות מוצג התוכן בדף [מידע נוסף](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"משך הזמן המצטבר של כל פרקי הזמן מרגע הצגת התוכן הראשוני (FCP) ועד לפעילות מלאה, במקרים שבהם משך המשימה חורג מ-50 אלפיות שנייה. הערך מבוטא באלפיות שנייה. [מידע נוסף](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{message:"לזמני הלוך ושוב (RTT) ברשת יש השפעה גדולה על הביצועים. אם נדרש RTT ארוך בתקשורת עם מקור, זה סימן לכך שאפשר לשפר את הביצועים בעזרת שרתים שממוקמים קרוב יותר אל המשתמש. [מידע נוסף](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{
message:"זמני הלוך ושוב ברשת"},"lighthouse-core/audits/network-server-latency.js | description":{message:"זמני האחזור של שרתים יכולים להשפיע על ביצועי האינטרנט. אם נדרש זמן אחזור ארוך בתקשורת עם המקור, זה סימן לכך שהשרת עמוס או שביצועי הקצה העורפי שלו נמוכים. [מידע נוסף](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"זמני אחזור בקצה עורפי של שרת"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"האירוע `unload` לא מופעל בצורה אמינה, והאזנה כדי לקלוט את האירוע הזה עשויה למנוע את השימוש באופטימיזציות שונות של הדפדפן, כמו שמירה במטמון לצורך מעבר לדף הקודם או הבא. מומלץ להשתמש במקומו באירוע `pagehide` או `visibilitychange`. [למידע נוסף](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"רישום מעבד אירוע של `unload`"},
"lighthouse-core/audits/no-unload-listeners.js | title":{message:"הימנעות ממעבדי אירוע של `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"אנימציות ללא הרכבת שכבות עלולות להיות איטיות ולהגדיל את ה-CLS. [למידע נוסף](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{נמצא אלמנט אנימציה אחד}two{נמצאו # אלמנטים של אנימציה}many{נמצאו # אלמנטים של אנימציה}other{נמצאו # אלמנטים של אנימציה}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"נכס הקשור למסנן יכול להניע פיקסלים"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"קיימת אנימציה נוספת ביעד, שאינה תואמת"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'באפקט יש מצב הרכבה, השונה ממצב "החלפה"'},"lighthouse-core/audits/non-composited-animations.js | title":{
message:"אין להשתמש באנימציות ללא הרכבת שכבות"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"מאפיין הקשור לטרנספורמציה תלוי בגודל התיבה"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{מאפיין CSS שאינו נתמך: {properties}}two{מאפייני CSS שאינם נתמכים: {properties}}many{מאפייני CSS שאינם נתמכים: {properties}}other{מאפייני CSS שאינם נתמכים: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"האפקט כולל פרמטרים של תזמון שאינם נתמכים"},"lighthouse-core/audits/performance-budget.js | description":{message:"הכמות והגודל של בקשות ברשת צריכים להיות מתחת ליעדים שהוגדרו בתקציב הביצועים הרלוונטי. [מידע נוסף](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{בקשה אחת}two{# בקשות}many{# בקשות}other{# בקשות}}"},
"lighthouse-core/audits/performance-budget.js | title":{message:"תקציב ביצועים"},"lighthouse-core/audits/preload-fonts.js | description":{message:"כדאי לטעון מראש גופנים `optional` כדי שמבקרים לראשונה יוכלו להשתמש בהם. [למידע נוסף](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"גופנים עם `font-display: optional` לא נטענו מראש"},"lighthouse-core/audits/preload-fonts.js | title":{message:"גופנים עם `font-display: optional` נטענו מראש"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"יש לטעון מראש את התמונה שתשמש את רכיב ה-LCP כדי לשפר את זמן ה-LCP. [מידע נוסף](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"טעינה מראש של תמונת ה-Largest Contentful Paint (‏LCP)"},"lighthouse-core/audits/redirects-http.js | description":{
message:"אם כבר הגדרת HTTPS, יש לוודא שכל תנועת ה-HTTP מופנית אוטומטית ל-HTTPS כדי להפעיל תכונות רשת מאובטחות לכל המשתמשים שלך. [מידע נוסף](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"לא מפנה תנועת HTTP באופן אוטומטי אל HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"מפנה תנועת HTTP באופן אוטומטי אל HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"הפניות אוטומטיות מעכבות את טעינת הדף. [מידע נוסף](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"יש להימנע מהפניות אוטומטיות מרובות"},"lighthouse-core/audits/resource-summary.js | description":{message:"כדי להגדיר תקציבים עבור הכמות והגודל של משאבי הדף, יש להוסיף קובץ budget.json. [מידע נוסף](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{בקשה אחת • ‎{byteCount, number, bytes} KiB}two{# בקשות • ‎{byteCount, number, bytes} KiB}many{# בקשות • ‎{byteCount, number, bytes} KiB}other{# בקשות • ‎{byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"יש לצמצם ככל האפשר את מספר הבקשות ואת גודל ההעברות"},"lighthouse-core/audits/seo/canonical.js | description":{message:"קישורים קנוניים מציעים את כתובת ה-URL שיש להציג בתוצאות החיפוש. [מידע נוסף](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"התנגשויות בין כתובות URL מרובות ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"הכתובת מפנה לדומיין אחר ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"כתובת אתר לא חוקית ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"הכתובת מפנה למיקום `hreflang` אחר ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"כתובת URL יחסית ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"מצביע אל כתובת ה-URL הבסיסית של הדומיין (דף הבית), במקום אל דף תוכן מתאים"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"למסמך אין `rel=canonical` חוקי"},"lighthouse-core/audits/seo/canonical.js | title":{message:"למסמך יש `rel=canonical` חוקי"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"קישור שלא ניתן לסרוק"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"מנועי חיפוש עשויים להשתמש במאפייני `href` בקישורים כדי לסרוק אתרים. יש לוודא כי המאפיין `href` של רכיבי עוגן מקשר אל יעד מתאים, כך שניתן יהיה לגלות יותר דפים באתר. [מידע נוסף](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"לא ניתן לסרוק את הקישורים"},
"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"ניתן לסרוק את הקישורים"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"טקסט נוסף שאינו קריא"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"גודל גופן"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% מהטקסט בדף"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"בורר"},"lighthouse-core/audits/seo/font-size.js | description":{message:"גופן בגודל של פחות מ-12 פיקסלים הוא קטן מדי לקריאה: מבקרים עם מכשיר נייד ייאלצו לעשות תנועת צביטה של התקרבות לתצוגה על מנת לקרוא את הטקסט. ההמלצה היא שיותר מ-60% מהטקסט יהיה בגודל של 12 פיקסלים לפחות. [מידע נוסף](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"טקסט קריא: {decimalProportion, number, extendedPercent}"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{
message:"הטקסט לא קריא כי לא בוצעה אופטימיזציית מטא תג של אזור התצוגה בשביל מסכים של ניידים."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"מידות הגופן במסך מקשות על הקריאה"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"טקסט קריא"},"lighthouse-core/audits/seo/font-size.js | title":{message:"במסמך נעשה שימוש בגופן בגודל קריא"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"קישורי hreflang עוזרים למנועי חיפוש להבין איזו גרסה של הדף הם צריכים להציג בתוצאות החיפוש בשביל שפה מסוימת או אזור מסוים. [מידע נוסף](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"למסמך אין `hreflang` חוקי"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"ערך href יחסי"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"למסמך יש `hreflang` חוקי"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"קוד שפה בלתי צפוי"},
"lighthouse-core/audits/seo/http-status-code.js | description":{message:"כשלדפים יש קוד מצב HTTP לא תקין, עשויות להיות שגיאות בהוספה שלהם לאינדקס. [מידע נוסף](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"לדף יש קוד מצב HTTP המצביע על בעיה"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"קוד מצב ה-HTTP של הדף הוא 'הצלחה'"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"מנועי חיפוש לא יכולים לכלול את הדפים בתוצאות החיפוש אם אין להם הרשאה לסרוק אותם. [מידע נוסף](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"הוספת הדף לאינדקס חסומה"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"הוספת הדף לאינדקס אינה חסומה"},"lighthouse-core/audits/seo/link-text.js | description":{message:"טקסט שמתאר את הקישורים עוזר למנועי חיפוש להבין במה עוסק התוכן. [מידע נוסף](https://web.dev/link-text/)."},
"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{נמצא קישור אחד}two{נמצאו # קישורים}many{נמצאו # קישורים}other{נמצאו # קישורים}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"אין לקישורים טקסט תיאורי"},"lighthouse-core/audits/seo/link-text.js | title":{message:"לקישורים יש טקסט תיאורי"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"כדי לאמת את תקינות הנתונים המובְנים צריך להפעיל את [הכלי לבדיקת הנתונים המובְנים](https://search.google.com/structured-data/testing-tool/) ואת [הלינטר (Linter) לנתונים מובנְים](http://linter.structured-data.org/). [מידע נוסף](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"הנתונים המובְנים חוקיים"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"תיאורי מטא יכולים להופיע בתוצאות החיפוש כדי לספק סיכום תמציתי של תוכן הדף. [מידע נוסף](https://web.dev/meta-description/)."},
"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"טקסט התיאור ריק."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"אין למסמך מטא תיאור"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"יש למסמך מטא תיאור"},"lighthouse-core/audits/seo/plugins.js | description":{message:"מנועי חיפוש לא יכולים להוסיף לאינדקס תוכן של פלאגין, ומכשירים רבים מגבילים יישומי פלאגין או לא תומכים בהם. [מידע נוסף](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"במסמך נעשה שימוש ביישומי פלאגין"},"lighthouse-core/audits/seo/plugins.js | title":{message:"אין במסמך שימוש ביישומי פלאגין"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"אם קובץ robots.txt אינו תקין, ייתכן שסורקים לא יוכלו להבין איך ברצונך שהאתר ייסרק או ייתווסף לאינדקס. [מידע נוסף](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{
message:"הבקשה לקובץ robots.txt החזירה מצב HTTP‏: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{נמצאה שגיאה אחת}two{נמצאו # שגיאות}many{נמצאו # שגיאות}other{נמצאו # שגיאות}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"מערכת Lighthouse לא הצליחה להוריד קובץ robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt אינו חוקי"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"הקובץ robots.txt חוקי"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"כדי שיהיה קל להקיש על רכיבים אינטראקטיביים, כמו לחצנים וקישורים, בלי לגעת ברכיבים אחרים, הם צריכים להיות גדולים מספיק (48x48 פיקסלים) ועם ריווח גדול מספיק סביבם. [מידע נוסף](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} מבין יעדי ההקשה הם בגודל תקין"},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"רכיבי ההקשה קטנים מדי כי לא בוצעה אופטימיזציית מטא תגים של אזור התצוגה למסכים של ניידים"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"הגודל של רכיבי ההקשה הוגדר בצורה לא תקינה"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"יעד חופף"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"רכיב הקשה"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"הרכיבים להקשה הוגדרו בגודל המתאים"},"lighthouse-core/audits/server-response-time.js | description":{message:"כדאי לוודא שזמן התגובה של השרת בנוגע למסמך הראשי הוא קצר, מאחר שכל שאר הבקשות תלויות בו. [מידע נוסף](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"טעינת מסמך השורש ארכה {timeInMs, number, milliseconds} אלפיות שנייה"},"lighthouse-core/audits/server-response-time.js | failureTitle":{
message:"יש לקצר את זמן התגובה הראשונית של השרת"},"lighthouse-core/audits/server-response-time.js | title":{message:"זמן התגובה הראשונית של השרת היה קצר"},"lighthouse-core/audits/service-worker.js | description":{message:"קובץ השירות (service worker) הוא הטכנולוגיה שמאפשרת לאפליקציה שלך להשתמש במספר תכונות Progressive Web App, כמו 'מצב לא מקוון', 'הוספה לדף הבית' ו'התראות'. [מידע נוסף](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"דף זה נשלט על ידי קובץ שירות (service worker), אך לא נמצא `start_url` כי לא ניתן היה לנתח את המניפסט בתור JSON תקף"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"דף זה נשלט על ידי קובץ שירות (service worker), אך ה-`start_url` ({startUrl}) לא נמצא בטווח ({scopeUrl}) של קובץ השירות"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"דף זה נשלט על ידי קובץ שירות (service worker), אך לא נמצא `start_url` כי לא אוחזר מניפסט."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"למקור זה יש לפחות קובץ שירות (service worker) אחד, אך הדף ({pageUrl}) לא נמצא בטווח."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"לא רושם קובץ שירות (service worker) ששולט בדף וב-`start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"רושם קובץ שירות (service worker) ששולט בדף וב-`start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"מסך פתיחה מעוצב מבטיח חוויה באיכות גבוהה כשמשתמשים מפעילים את האפליקציה שלך ממסכי הבית שלהם. [מידע נוסף](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"לא מוגדר עבור מסך פתיחה בהתאמה אישית"},"lighthouse-core/audits/splash-screen.js | title":{message:"מוגדר עבור מסך פתיחה בהתאמה אישית"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"ניתן לעצב את סרגל הכתובות של הדפדפן כך שיתאים לאתר שלך. [מידע נוסף](https://web.dev/themed-omnibox/)."},
"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"לא מגדיר צבע עיצוב עבור סרגל הכתובות."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"מגדיר צבע עיצוב עבור סרגל הכתובות."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (הצלחה של לקוחות)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (שיווק)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (רשתות חברתיות)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (סרטון)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"מוצר"},"lighthouse-core/audits/third-party-facades.js | description":{message:"טעינה מדורגת אפשרית לרכיבים מסוימים שהוטמעו בדף, שיצרו צדדים שלישיים. ניתן להחליף רכיבים אלה בתבנית Facade עד שהם יידרשו. [למידע נוסף](https://web.dev/third-party-facades/)."},
"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{יש תבנית Facade אחת שזמינה כחלופה}two{יש # תבניות Facade שזמינות כחלופות}many{יש # תבניות Facade שזמינות כחלופות}other{יש # תבניות Facade שזמינות כחלופות}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"טעינה מדורגת אפשרית במשאבים מסוימים של צדדים שלישיים בעזרת תבנית Facade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"טעינה מדורגת של משאבים של צדדים שלישיים באמצעות תבניות Facade"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"צד שלישי"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"קוד של צד שלישי עשוי להשפיע בצורה משמעותית על ביצועי הטעינה. מומלץ להגביל את הכמות של ספקי צד שלישי שאינם הכרחיים ולהשתדל לטעון קודים של צד שלישי רק אחרי שמסתיימת הטעינה של הדף. [מידע נוסף](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"קוד של צד שלישי חסם את התהליכון הראשי למשך {timeInMs, number, milliseconds} אלפיות השנייה"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"עליך להפחית את השפעת הקוד של צד שלישי"},"lighthouse-core/audits/third-party-summary.js | title":{message:"צמצום השימוש בצדדים שלישיים"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"הערך שנמדד"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"מדד"},"lighthouse-core/audits/timing-budget.js | description":{
message:"עליך להגדיר תקציב תזמון שיעזור לך לעקוב אחר ביצועי האתר. אתרים עם ביצועים טובים נטענים מהר ומגיבים בזריזות כשהמשתמש מזין קלט. [מידע נוסף](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"תקציב תזמון"},"lighthouse-core/audits/unsized-images.js | description":{message:"כדי להפחית שינויים בפריסה וכדי לשפר את ה-CLS, יש להגדיר רוחב וגובה מפורשים ברכיבי תמונות. [למידע נוסף](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"יש רכיבי תמונה ללא מאפייני `width` ו-`height` מפורשים"},"lighthouse-core/audits/unsized-images.js | title":{message:"לרכיבי תמונה יש מאפייני `width` ו-`height` מפורשים"},"lighthouse-core/audits/user-timings.js | columnType":{message:"סוג"},"lighthouse-core/audits/user-timings.js | description":{
message:"כדי למדוד את ביצועי האפליקציה בפועל במהלך חוויות משתמש חשובות, כדאי לשקול את האפשרות להוסיף לאפליקציה את User Timing API. [מידע נוסף](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{תזמון משתמש אחד}two{# תזמוני משתמש}many{# תזמוני משתמש}other{# תזמוני משתמש}}"},"lighthouse-core/audits/user-timings.js | title":{message:"סימונים ומדידות של User Timing"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'נמצא `<link rel=preconnect>` עבור "{securityOrigin}", אבל הדפדפן לא השתמש בו. יש לוודא שנעשה שימוש תקין במאפיין `crossorigin`.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"כדאי לשקול להוסיף את ההינטים של המשאבים `preconnect` או `dns-prefetch` כדי ליצור מראש קישורים אל מקורות חשובים של צד שלישי. [מידע נוסף](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"יש להתחבר מראש למקורות נדרשים"},
"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"נמצאו יותר משני קישורים `<link rel=preconnect>`. השימוש בקישורים מקדימים צריך להיות מצומצם מאוד ומוגבל למקורות החשובים ביותר."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'נמצא `<link rel=preconnect>` עבור "{securityOrigin}", אבל הדפדפן לא השתמש בו. יש לבצע `preconnect` רק למקורות חשובים שהדף יבקש בוודאות.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'נמצא קישור טעינה מראש `<link>` ל-"{preloadURL}", אך הדפדפן לא השתמש בו. יש לוודא שנעשה שימוש תקין במאפיין `crossorigin`.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"כדאי לשקול את האפשרות להשתמש ב-`<link rel=preload>` כדי לקבוע את סדר העדיפויות של אחזור משאבים שנדרשים בשלב מאוחר יותר של טעינת הדף. [מידע נוסף](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"יש לטעון מראש בקשות עיקריות"},
"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"כתובת URL של מפה"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"מפות מקור מתרגמות קוד מוקטן לקוד המקורי. פעולה זו עוזרת למפתחים לנפות באגים בסביבת ייצור. בנוסף, ניתן לקבל תובנות נוספות ב-Lighthouse. כדאי לשקול לפרוס את מפות המקור כדי לנצל את ההטבות האלה. [למידע נוסף](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"חסרות מפות מקור לספריית JavaScript של צד ראשון"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"מפת מקור חסרה בקובץ JavaScript גדול"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{אזהרה: פריט אחד חסר ב-`.sourcesContent`}two{אזהרה: חסרים # פריטים ב-`.sourcesContent`}many{אזהרה: חסרים # פריטים ב-`.sourcesContent`}other{אזהרה: חסרים # פריטים ב-`.sourcesContent`}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"הדף מכיל מפות מקור חוקיות"},"lighthouse-core/audits/viewport.js | description":{message:'כדי לבצע אופטימיזציה של האפליקציה למסכים של ניידים, עליך להוסיף את התג `<meta name="viewport">`. [מידע נוסף](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'לא נמצא תג `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'אין תג `<meta name="viewport">` עם `width` או `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'יש תג `<meta name="viewport">` עם `width` או `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"אלו הזדמנויות לשיפור השימוש ב-ARIA באפליקציה, והן יכולות לשפר את החוויה של משתמשים שנעזרים בטכנולוגיות לנגישות, כמו קוראי מסך."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},
"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"אלה הזדמנויות לספק תוכן חלופי לווידאו ואודיו. הפעולות האלה יכולות לשפר את החוויה של משתמשים עם לקויות שמיעה או ראייה."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"וידאו ואודיו"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"הפריטים האלה מדגישים שיטות מומלצות נפוצות בשביל נגישות."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"שיטות מומלצות"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"הבדיקות האלה מדגישות הזדמנויות [לשפר את הנגישות של אפליקציית האינטרנט](https://developers.google.com/web/fundamentals/accessibility). אפשר לזהות באופן אוטומטי רק חלק מבעיות הנגישות, ולכן מומלץ לבצע גם בדיקות ידניות."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"הפריטים האלה בודקים תחומים שלא ניתן לבדוק באמצעות כלי בדיקה אוטומטיים. מידע נוסף זמין במדריך שלנו שבו מוסבר [איך לערוך בדיקת נגישות](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"נגישות"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"אלו הזדמנויות לשיפורים שיאפשרו לקרוא את התוכן בצורה קלה יותר."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"ניגודיות"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"אלו הזדמנויות לשיפור של פענוח התוכן על-ידי משתמשים בלוקאלים שונים."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"התאמה לשוק המקומי והבינלאומי"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"אלו הזדמנויות לשיפור הסמנטיקה של פקדים באפליקציה. הן יכולות לשפר את החוויה של משתמשים שנעזרים בטכנולוגיות לנגישות, כמו קורא מסך."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"שמות ותוויות"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"אלו הזדמנויות לשיפור הניווט באפליקציה באמצעות מקלדת."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"ניווט"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"אלו הזדמנויות לשיפור חוויית הקריאה של נתונים בטבלאות או ברשימות באמצעות טכנולוגיה מסייעת, כמו קורא מסך."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"טבלאות ורשימות"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"תאימות לדפדפנים"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"שיטות מומלצות"},
"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"כללי"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"אמון ובטיחות"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"חוויית משתמש"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"באמצעות תקציבי ביצועים ניתן להגדיר יעדי ביצועים עבור האתר."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"תקציבים"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"מידע נוסף לגבי ביצועי האפליקציה. למספרים האלה אין [השפעה ישירה](https://web.dev/performance-scoring/) על ציון הביצועים."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"ניתוחים"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{
message:"היבט הביצועים הקריטי ביותר הוא מהירות העיבוד של פיקסלים במסך. ערכי מפתח: הצגת התוכן הראשוני, הצגת התוכן העיקרי"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"שיפורים בעיבוד ראשון"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"ההצעות האלה יכולות לעזור לך להאיץ את טעינת הדף. אין להן [השפעה ישירה](https://web.dev/performance-scoring/) על ציון הביצועים."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"הזדמנויות"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"ערכים"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"צריך לשפר את חוויית הטעינה הכללית, כך שהדף יגיב ויהיה מוכן לשימוש במהירות האפשרית. ערכי מפתח: זמן עד לאינטראקטיביות (Time to Interactive), מדד מהירות (Speed Index)"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"סך השיפורים"},
"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"ביצועים"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"בדיקות אלה נותנות תוקף להיבטים של Progressive Web App. [מידע נוסף](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"בדיקות אלה נדרשות עבור שורת הבסיס [רשימת משימות של PWA](https://developers.google.com/web/progressive-web-apps/checklist), אך הן לא נבדקות באופן אוטומטי על ידי Lighthouse. הן לא משפיעות על הניקוד שלך, אך חשוב לאמת אותן באופן ידני."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"ניתן להתקנה"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"מותאם ל-PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"הבדיקות האלה עוזרות לוודא שהתוכן בדף עבר אופטימיזציה לשיפור הדירוג בתוצאות של מנועי חיפוש. יש גורמים נוספים שעשויים להשפיע על הדירוג בחיפוש, אבל מערכת Lighthouse לא בודקת אותם. [מידע נוסף](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"אפשר להפעיל באתר את המאמתים הנוספים האלה כדי לבדוק עוד שיטות מומלצות של אופטימיזציה למנועי חיפוש."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"אופטימיזציה למנועי חיפוש"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"יש לכתוב את קוד ה-HTML באופן שיאפשר לסורקים להבין את תוכן האפליקציה בצורה טובה יותר."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"שיטות מומלצות לגבי תוכן"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"כדי שהאפליקציה תופיע בתוצאות החיפוש, סורקים צריכים לקבל גישה אליה."},
"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"סריקה והוספה לאינדקס"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"הדפים צריכים להתאים לניידים, כדי שמשתמשים לא יצטרכו לעשות תנועת צביטה או לשנות את המרחק מהתצוגה כדי לקרוא את דפי התוכן. [מידע נוסף](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"התאמה לניידים"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"יחידת העיבוד המרכזית (CPU) במכשיר שנבדק איטית ממה שצפוי ב-Lighthouse. זה עשוי להשפיע לרעה על ציון הביצועים שלך. בקישור הבא אפשר למצוא מידע נוסף על [כיול של מכפיל מתאים להאטה ביחידת העיבוד המרכזית (CPU)](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{
message:"ייתכן שהדף לא נטען כמו שציפית כי כתובת ה-URL הנבדקת ({requested}) הופנתה לכתובת {final}. כדאי לנסות לבדוק ישירות את כתובת ה-URL השנייה."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"הדף נטען לאט מדי והפעולה לא הסתיימה במסגרת הזמן שהוקצבה. ייתכן שהתוצאות לא יהיו מלאות."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{ייתכן שיש נתונים שמורים שמשפיעים על ביצועי הטעינה במיקום הזה: {locations}. יש לבדוק את הדף הזה בחלון אנונימי כדי למנוע מהמשאבים האלה להשפיע על תוצאות הניקוד.}two{ייתכן שיש נתונים שמורים שמשפיעים על ביצועי הטעינה במיקומים האלה: {locations}. יש לבדוק את הדף הזה בחלון אנונימי כדי למנוע מהמשאבים האלה להשפיע על תוצאות הניקוד.}many{ייתכן שיש נתונים שמורים שמשפיעים על ביצועי הטעינה במיקומים האלה: {locations}. יש לבדוק את הדף הזה בחלון אנונימי כדי למנוע מהמשאבים האלה להשפיע על תוצאות הניקוד.}other{ייתכן שיש נתונים שמורים שמשפיעים על ביצועי הטעינה במיקומים האלה: {locations}. יש לבדוק את הדף הזה בחלון אנונימי כדי למנוע מהמשאבים האלה להשפיע על תוצאות הניקוד.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"כדאי להוסיף סכימות של כתובות URL מסוג https:‎ ו-http:‎ (דפדפנים שתומכים ב-strict-dynamic יתעלמו מהן) לצורך תאימות לאחור עם דפדפנים ישנים."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:"הוראת disown-opener הוצאה משימוש החל מ-CSP3. במקום זאת, יש להשתמש בכותרת Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"הוראת referrer הוצאה משימוש החל מ-CSP2. במקום זאת, יש להשתמש בכותרת Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"הוראת reflected-xss הוצאה משימוש החל מ-CSP2. במקום זאת, יש להשתמש בכותרת X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"חסר base-uri, המאפשר להחדיר תגי <base> כדי להגדיר את כתובת ה-URL הבסיסית לכל כתובות ה-URL היחסיות (למשל, סקריפטים) לדומיין שנשלט על ידי תוקף. כדאי להגדיר את base-uri ל-none או ל-self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"רכיבים שנשלטים על ידי object-src נחשבים לתכונות מדור קודם. כדאי להגדיר את object-src ל-none כדי למנוע החדרת יישומי פלאגין שמפעילים סקריפטים לא בטוחים."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"חסרה ההוראה script-src. מצב כזה מאפשר הפעלה של סקריפטים לא בטוחים."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"שכחת להוסיף נקודה-פסיק? נראה ש-{keyword} זו הוראה ולא מילת מפתח."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"צפנים חד-פעמיים צריכים להיכתב ב-charset מסוג base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"צפנים חד-פעמיים (nonce) צריכים להכיל 8 תווים לפחות."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"אפשר להגדיר יעד לדיווח רק באמצעות הוראת report-to. ההוראה הזו נתמכת רק בדפדפנים המבוססים על Chromium, לכן מומלץ להשתמש גם בהוראת report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"אין CSP עם הגדרה של יעד לדיווח. במצב כזה קשה לתחזק את ה-CSP לאורך זמן ולעקוב אחר פריצות."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{
message:"ניתן לעקוף את רשימת ההיתרים של המארח לעיתים קרובות. כדאי להשתמש ברכיב strict-dynamic יחד עם צפנים חד-פעמיים או גיבובים של CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"הוראת CSP לא ידועה."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"נראה שמילת המפתח {keyword} אינה תקנית."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"הרכיב unsafe-inline מאפשר להפעיל בדף סקריפטים וגורמים מטפלים באירועים שאינם בטוחים. רצוי להשתמש בגיבובים או בצפנים חד-פעמיים של CSP כדי להתיר הפעלה של כל סקריפט בנפרד."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"כדאי להוסיף רכיב 'unsafe-inline' (דפדפנים שתומכים בגיבובים/צפנים חד-פעמיים יתעלמו ממנו) לצורך תאימות לאחור עם דפדפנים ישנים."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"משך החסימה של התהליכון הראשי"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"אורך חיים (TTL) של מטמון"},
"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"תיאור"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"משך זמן"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"רכיב"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"רכיבים שנכשלו בבדיקה"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"מיקום"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"שם"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"גובה החריגה מהתקציב"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"בקשות"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"גודל המשאב"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"סוג המשאב"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"גודל"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"מקור"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"שעת התחלה"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"משך הזמן שנדרש"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"גודל ההעברה"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"כתובת ה-URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"פוטנציאל חיסכון"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"פוטנציאל חיסכון"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"חיסכון פוטנציאלי של ‎{wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{נמצא רכיב אחד}two{נמצאו # רכיבים}many{נמצאו # רכיבים}other{נמצאו # רכיבים}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"פוטנציאל לקיצור זמן הטעינה ב-{wastedMs, number, milliseconds} אלפיות שנייה"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{
message:"מסמך"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"הצגת התוכן העיקרי"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"גופן"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"תמונה"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"גבוהה"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"נמוכה"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"בינונית"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"השהיה פוטנציאלית מרבית לאחר קלט ראשוני"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"מדיה"},"lighthouse-core/lib/i18n/i18n.js | ms":{
message:"{timeInMs, number, milliseconds} אלפיות שנייה"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"אחר"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"משאבים אחרים"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"סקריפט"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} שנ'"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"גליון סגנונות"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"צד שלישי"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:'סה"כ'},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"משהו השתבש בתיעוד המעקב אחרי טעינת הדף. יש להריץ שוב את Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{
message:"חלף הזמן הקצוב לתפוגה בהמתנה לחיבור הראשוני של פרוטוקול Debugger."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"לא נאספו צילומי מסך ב-Chrome במהלך טעינת הדף. כדאי לוודא תחילה שיש תוכן גלוי בדף, ורק אז להריץ מחדש את Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"שרתי DNS לא הצליחו לפענח את הדומיין שצוין."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"בפעולת האיסוף של המשאב הנדרש {artifactName} הייתה שגיאה: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"קרתה שגיאה פנימית של Chrome. יש להפעיל מחדש את Chrome ולנסות להריץ שוב את Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"פעולת האיסוף של המשאב הנדרש {artifactName} לא בוצעה."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"לא בוצע רינדור של תוכן בדף. יש לוודא שהחלון של הדפדפן נמצא בחזית בזמן הטעינה, ולנסות שוב. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | notHtml":{message:"הדף שסופק אינו מסוג HTML (הוא הוגדר כסוג ה-MIME הבא: {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"זו גרסה ישנה מידי של Chrome שלא תומכת ב-'{featureName}'. כדי לראות תוצאות מלאות, יש להשתמש בגרסה חדשה יותר."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"מערכת Lighthouse לא הצליחה לטעון באופן מהימן את הדף שביקשת. יש לוודא שהבדיקה מתבצעת בכתובת ה-URL הנכונה ושהשרת מגיב באופן תקין לכל הבקשות."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"מערכת Lighthouse לא הצליחה לטעון באופן מהימן את כתובת ה-URL שביקשת, כי הדף הפסיק להגיב."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"לכתובת ה-URL שסיפקת אין אישור אבטחה חוקי. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"דפדפן Chrome מנע טעינה של דף והציג מסך מעברון במקומו. יש לוודא שהבדיקה מתבצעת בכתובת ה-URL הנכונה ושהשרת מגיב באופן תקין לכל הבקשות."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"מערכת Lighthouse לא הצליחה לטעון באופן מהימן את הדף שביקשת. יש לוודא שהבדיקה מתבצעת בכתובת ה-URL הנכונה ושהשרת מגיב באופן תקין לכל הבקשות. (פרטים: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"מערכת Lighthouse לא הצליחה לטעון באופן מהימן את הדף שביקשת. יש לוודא שהבדיקה מתבצעת בכתובת ה-URL הנכונה ושהשרת מגיב באופן תקין לכל הבקשות. (קוד סטטוס: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"טעינת הדף ארכה זמן רב מדי. מומלץ ליישם את ההמלצות שבדוח כדי לקצר את זמן הטעינה של הדף, ואז לנסות להריץ שוב את Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"משך ההמתנה לפרוטוקול DevTools חרג מהזמן המוקצב. (שיטה: {protocolMethod})"},
"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"אחזור תוכן של משאבים חרג מהזמן המוקצב"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"נראה שכתובת ה-URL שסיפקת אינה חוקית."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"הכול"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"כל הסקריפטים"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"כיסוי"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"מודולים כפולים"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"בייטים בשימוש המשאב"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"שם"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"החלפת מצב התצוגה של הטבלה"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"בייטים לא בשימוש"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"להצגת תוכן באנימציה, כשהתוכן לא מוצג במסך כדאי להשתמש ב-[`amp-anim`](https://amp.dev/documentation/components/amp-anim/) כדי לצמצם את השימוש ביחידת העיבוד המרכזית (CPU)."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"כדאי להציג את כל רכיבי [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) בפורמטים של WebP, וכן לציין פורמט גיבוי חלופי שמתאים לדפדפנים אחרים. [מידע נוסף](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"יש להקפיד להשתמש ב-[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) לטעינה הדרגתית של תמונות באופן אוטומטי. [מידע נוסף](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"אפשר להשתמש בכלים כמו [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) כדי [לרנדר פריסות AMP בצד השרת](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"יש לעיין ב[תיעוד של AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) כדי לוודא שכל הסגנונות שלך נתמכים."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"הרכיב [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) תומך במאפיין [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) כדי לציין באילו נכסי תמונות להשתמש על סמך גודל המסך. [מידע נוסף](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{
message:"אם מתבצע רינדור של רשימות גדולות מאוד, כדאי לשקול גלילה וירטואלית עם ה-Component Dev Kit ‏(CDK). [מידע נוסף](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"אפשר להשתמש ב[פיצול קוד ברמת המסלול](https://web.dev/route-level-code-splitting-in-angular/) כדי לצמצם את גודל חבילות JavaScript. בנוסף, כדאי לשקול העברה מראש למטמון בעזרת [קובץ השירות (service worker) של Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"אם בחרת להשתמש ב-Angular CLI, יש לוודא שגרסאות ה-build נוצרות במצב סביבת הייצור. [מידע נוסף](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"אם בחרת להשתמש ב-Angular CLI, יש לכלול מפות מקור ב-build של סביבת הייצור כדי לבדוק חבילות. [מידע נוסף](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"אפשר לטעון מראש מסלולים כדי להאיץ את הניווט. [מידע נוסף](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"כדאי לשקול להשתמש בכלי העזר `BreakpointObserver` ב-Component Dev Kit ‏(CDK) כדי לנהל נקודות מעבר בין תמונות. [מידע נוסף](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"כדאי לשקול העלאה של ה-GIF לשירות שיאפשר להטמיע אותו כסרטון HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"ניתן לציין `@font-display` כשמגדירים גופנים בהתאמה אישית בעיצוב."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"כדאי לשקול התקנה והגדרה של [מודול לשיפור פורמט תמונה מסוג WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) באתר. מודולים מסוג זה ייצרו באופן אוטומטי גרסת WebP של התמונות שהעלית כדי לבצע אופטימיזציה של זמני הטעינה."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"כדאי להתקין [מודול של Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) שיכול לטעון תמונות בהדרגה. כדי לשפר ביצועים, מודולים מסוג זה מאפשרים לדחות את טעינת התמונות שאינן מופיעות מייד במסך."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"יש לשקול להשתמש במודול כדי להטביע נכסים קריטיים של CSS ושל JavaScript או כדי לטעון נכסים באופן אסינכרוני באמצעות JavaScript כגון מודול של [צבירת CSS/JS מתקדמת](https://www.drupal.org/project/advagg). חשוב: ייתכן שהאופטימיזציות המבוצעות על ידי המודול הזה יגרמו לתקלות באתר, ולכן כנראה שיהיה צורך לערוך שינויים בקוד."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"עיצובים, מודולים ומפרטי שרתים משפיעים על זמן התגובה של השרת. אפשר להשתמש בעיצוב שעבר אופטימיזציה, לבחור בקפידה מודול לאופטימיזציה ו/או לשדרג את השרת. שרתי האירוח שלך צריכים להשתמש בהעברה למטמון של PHP opcode ושל הזיכרון כדי לצמצם את זמני השאילתות של מסדי נתונים כגון Redis או Memcache, וגם להשתמש בלוגיקה באיכות אופטימלית של האפליקציה כדי להכין דפים במהירות רבה יותר."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"כדאי לשקול שימוש ב[סגנונות התמונות הרספונסיביות](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) כדי לצמצם את הגודל של התמונות שטענת לדף. אם נעשה שימוש בתצוגות להצגת פריטי תוכן מרובים בדף, כדאי לשקול יישום עימוד כדי להגביל את מספר פריטי התוכן המופיעים בכל דף נתון."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'יש לוודא ש"קובצי ה-CSS המצטברים" מופעלים בדף "ניהול » הגדרה » פיתוח". ניתן גם להגדיר אפשרויות צבירה מתקדמות יותר באמצעות [מודולים נוספים](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) שיכולים להאיץ את האתר בעזרת שרשור, הקטנה ודחיסה של סגנונות CSS.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'יש לוודא ש"קובצי ה-JavaScript המצטברים" מופעלים בדף "ניהול » הגדרה » פיתוח". ניתן גם להגדיר אפשרויות צבירה מתקדמות יותר באמצעות [מודולים נוספים](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) שיכולים להאיץ את האתר בעזרת שרשור, הקטנה ודחיסה של נכסי JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"כדאי לשקול הסרה של כללי CSS שאינם בשימוש, ולצרף לדף הרלוונטי או לרכיב בדף רק את ספריות ה-Drupal הנדרשות. לפרטים נוספים, ניתן לעיין ב[קישור לתיעוד של Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). כדי לזהות ספריות מצורפות שמוסיפות תוכן CSS מיותר, כדאי להפעיל [כיסוי קוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. לאחר השבתה של צבירת CSS באתר ה-Drupal שלך, ניתן יהיה לזהות את העיצוב/המודול שאחראים להוספת גיליון הסגנונות. העיצובים/המודולים הבעייתיים הם אלה שברשימת גיליונות הסגנונות שלהם יש כמות גדולה של כיסוי קוד באדום. עיצוב/מודול צריך להכניס גיליון סגנונות לתור רק אם נעשה בו שימוש בפועל בדף."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"כדאי לשקול הסרה של נכסי JavaScript שאינם בשימוש, וצירוף של ספריות ה-Drupal הנדרשות בלבד לדף הרלוונטי או לרכיב בדף. לפרטים נוספים, ניתן לעיין ב[קישור לתיעוד של Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). כדי לזהות ספריות מצורפות שמוסיפות תוכן JavaScript מיותר, כדאי להפעיל [כיסוי קוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. לאחר השבתה של צבירת JavaScript באתר ה-Drupal שלך, ניתן יהיה לזהות את העיצוב/המודול שאחראים להוספת הסקריפט. העיצובים/המודולים הבעייתיים הם אלה שברשימת הסקריפטים שלהם יש כמות גדולה של כיסוי קוד באדום. עיצוב/מודול צריך להכניס סקריפט לתור רק אם נעשה בו שימוש בפועל בדף."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'בדף "ניהול » הגדרה » פיתוח" יש להגדיר "גיל מרבי של דפדפן ומטמון של שרת proxy". למידע על [מטמון Drupal ואופטימיזציה של ביצועים](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{message:"כדאי לשקול שימוש ב[מודול](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) שמבצע אופטימיזציה ומצמצם את גודל התמונות שהעלית לאתר באופן אוטומטי, בלי לפגוע באיכות שלהן. כמו כן, יש לוודא שנעשה שימוש ב[סגנונות המותאמים של התמונות הרספונסיביות](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) שסופקו על ידי Drupal (זמינים ב-Drupal בגרסה 8 ואילך)."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"ניתן להוסיף רמזים של משאב חיבור מראש או שליפה מראש של DNS באמצעות התקנה והגדרה של [מודול](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) שמוסיף מתקנים לרמזים של משאב סוכן משתמש."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"יש לוודא שנעשה שימוש ב[סגנונות המותאמים לתמונות הרספונסיביות](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) שסופקו על ידי Drupal (זמינים ב-Drupal בגרסה 8 ואילך). ניתן להשתמש בסגנונות התמונות הרספונסיביות כשמתבצע רינדור של שדות תמונה במצב תצוגה, בתצוגות, או בתמונות שהועלו באמצעות עורך WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"כדאי לשקול העלאה של ה-GIF לשירות שיאפשר להטמיע אותו כסרטון HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"כדאי לשקול להשתמש ב[פלאגין](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) או בשירות שימירו את התמונות שהועלו לפורמטים האופטימליים באופן אוטומטי."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"ניתן להתקין [פלאגין של Joomla לטעינה מדורגת](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) שמאפשר לדחות את הטעינה של תמונות שאינן מופיעות מיד במסך. ניתן גם לעבור לתבנית שמספקת את הפונקציונליות הזו. בגרסה 4.0 ואילך של Joomla, כל התמונות החדשות יקבלו את המאפיין `loading` [באופן אוטומטי](https://github.com/joomla/joomla-cms/pull/30748) מהליבה."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"יש כמה יישומי פלאגין של Joomla שיכולים לעזור לך [להטביע נכסים קריטיים](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) או [לדחות טעינה של משאבים פחות חשובים](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). חשוב: ייתכן שהאופטימיזציות המבוצעות על ידי יישומי הפלאגין האלה יגרמו לתקלות בתכונות של התבניות או יישומי הפלאגין האחרים, ולכן יהיה צורך לבדוק אותם באופן יסודי."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"עיצובים, תוספים ומפרטי שרתים משפיעים על זמן התגובה של השרת. אפשר להשתמש בתבנית שעברה אופטימיזציה, לבחור בקפידה תוסף לאופטימיזציה ו/או לשדרג את השרת."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"כדאי לשקול להציג קטעים בקטגוריות המאמרים (למשל, בעזרת קישור 'למידע נוסף'), לצמצם את מספר המאמרים המוצגים בדף נתון, לחלק פוסטים ארוכים למספר דפים או להשתמש בפלאגין כדי לטעון תגובות בצורה מדורגת."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"יש כמה [תוספי Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) שיכולים להאיץ את האתר בעזרת שרשור, הקטנה ודחיסה של סגנונות CSS. קיימות גם תבניות עם הפונקציונליות הזו."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"יש כמה [תוספי Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) שיכולים להאיץ את האתר בעזרת שרשור, הקטנה ודחיסה של סקריפטים. קיימות גם תבניות עם הפונקציונליות הזו."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"כדאי לשקול לצמצם את המספר של [תוספי Joomla](https://extensions.joomla.org/) שטוענים תוכן CSS שאינו בשימוש בדף שלך. כדי לזהות תוספים שמוסיפים תוכן CSS מיותר, אפשר להפעיל [כיסוי קוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. ניתן לזהות את העיצוב/הפלאגין שאחראים להוספת התוכן המיותר לפי כתובת ה-URL שבגיליון הסגנונות. יישומי הפלאגין הבעייתיים הם אלה שברשימת גיליונות הסגנונות שלהם יש כמות גדולה של כיסוי קוד באדום. פלאגין צריך להכניס גיליון סגנונות לתור רק אם נעשה בו שימוש בדף."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"כדאי לשקול לצמצם את המספר של [תוספי Joomla](https://extensions.joomla.org/) שטוענים תוכן JavaScript שאינו בשימוש בדף שלך. כדי לזהות יישומי פלאגין שמוסיפים תוכן JavaScript מיותר, אפשר להפעיל [כיסוי קוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. ניתן לזהות את התוסף שאחראי לתוכן המיותר לפי כתובת ה-URL שבסקריפט. התוספים הבעייתיים הם אלה שברשימת הסקריפטים שלהם יש כמות גדולה של כיסוי קוד באדום. תוסף צריך להכניס סקריפט לתור רק אם נעשה בו שימוש בפועל בדף."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"למידע על [שמירה במטמון הדפדפן ב-Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"כדאי לשקול להשתמש ב[פלאגין לאופטימיזציית תמונות](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) שדוחס את התמונות בלי לפגוע באיכות שלהן."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"כדאי לשקול שימוש ב[פלאגין לתמונות רספונסיביות](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) לצורך הוספת תמונות רספונסיביות לתוכן."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"ניתן להפעיל דחיסת טקסט באמצעות הפעלת שיטת Gzip לדחיסת נתונים בדף במערכת Joomla (מערכת > הגדרה גלובלית > שרת)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"אם בחרת לא לקבץ את נכסי JavaScript בחבילות, כדאי לשקול שימוש ב[כלי ליצירת חבילות](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"אפשר להשבית את [יצירת והקטנת חבילות ה-JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) המובנית ב-Magento, ולשקול להשתמש במקום זאת ב[כלי ליצירת חבילות](https://github.com/magento/baler/)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"אפשר לציין `@font-display` כש[מגדירים גופנים בהתאמה אישית](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"ב-[Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) אפשר למצוא מגוון תוספים של צד שלישי שבעזרתם ניתן להשתמש בפורמטים חדשים של תמונות, וכדאי לשקול לבצע בו חיפוש."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"כדאי לשקול את שינוי המוצר ותבניות הקטלוג כך שישתמשו בתכונת ה[טעינה המדורגת](https://web.dev/native-lazy-loading) של פלטפורמת האינטרנט."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"אפשר להשתמש ב[שילוב Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) של Magento."},
"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'ניתן להפעיל את האפשרות "הקטנת קובצי CSS" בהגדרות המפתח של החנות. [מידע נוסף](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"ניתן להשתמש ב-[Terser](https://www.npmjs.com/package/terser) כדי להקטין את כל נכסי JavaScript מפריסת התוכן הסטטית ולהשבית את תכונת ההקטנה המובנית."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"השבתה של [יצירת חבילות JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) המובנית ב-Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{
message:"ב-[Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) אפשר למצוא מגוון תוספים של צד שלישי לאופטימיזציה של תמונות, וכדאי לשקול לבצע בו חיפוש."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"על-ידי [שינוי פריסה של עיצוב](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) אפשר להוסיף רמזים של משאבי חיבור מראש או אחזור מראש של DNS."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"אפשר להוסיף תגי `<link rel=preload>` על-ידי [שינוי פריסה של עיצוב](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[כדאי להחליף אנימציות GIF בסרטונים](https://web.dev/replace-gifs-with-videos/) כדי להאיץ את הטעינה של דפי אינטרנט. מומלץ גם להשתמש בפורמטים מודרניים של קבצים כמו [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) או [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) כדי לייעל את דחיסת הנתונים ביותר מ-30% עם קידוד הווידאו המתקדם ביותר, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"כדאי לשקול להשתמש ב[פלאגין](https://octobercms.com/plugins?search=image) או בשירות שימירו את התמונות שהועלו לפורמטים האופטימליים באופן אוטומטי. הגודל של [תמונות WebP ללא אובדן נתונים](https://developers.google.com/speed/webp) קטן ב-26% ביחס לתמונות בפורמט PNG וקטן ב-25-34% ביחס לתמונות JPEG דומות באינדקס המתאים של ציוני איכות SSIM. אפשר גם להשתמש בפורמט תמונות נוסף מהדור הבא, [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"כדאי לשקול להתקין [פלאגין לטעינה מדורגת של תמונות](https://octobercms.com/plugins?search=lazy) שמאפשר לדחות את הטעינה של תמונות שאינן מופיעות מיד במסך. ניתן גם לעבור לעיצוב שמספק את הפונקציונליות הזו. אפשרות נוספת היא להשתמש ב[פלאגין של AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"יש הרבה יישומי פלאגין שעוזרים [להטביע נכסים קריטיים](https://octobercms.com/plugins?search=css). יישומי הפלאגין האלה עשויים לגרום לתקלות ביישומי פלאגין אחרים, לכן כדאי לבדוק אותם באופן יסודי."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"עיצובים, יישומי פלאגין ומפרטי שרתים משפיעים על זמן התגובה של השרת. אפשר להשתמש בעיצוב שעבר אופטימיזציה, לבחור בקפידה פלאגין לאופטימיזציה ו/או לשדרג את השרת. מערכת ניהול התוכן October גם מאפשרת למפתחים להשתמש ב[`Queues`](https://octobercms.com/docs/services/queues) כדי לדחות את העיבוד של משימה שגוזלת זמן רב, כמו שליחת אימייל. אפשרות זו מאיצה בקשות אינטרנט באופן משמעותי."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"אפשר להציג קטעים ברשימות הפוסטים (למשל, עם לחצן `show more`), לצמצם את מספר הפוסטים המוצגים בדף נתון, לחלק פוסטים ארוכים למספר דפים או להשתמש בפלאגין כדי לטעון תגובות בצורה מדורגת."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"יש הרבה [יישומי פלאגין](https://octobercms.com/plugins?search=css) שיכולים להאיץ את האתר בעזרת שרשור, הקטנה ודחיסה של סגנונות. ניתן להאיץ את הפיתוח בעזרת הקטנה מראש בתהליך build."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"יש הרבה [יישומי פלאגין](https://octobercms.com/plugins?search=javascript) שיכולים להאיץ את האתר בעזרת שרשור, הקטנה ודחיסה של סקריפטים. ניתן להאיץ את הפיתוח בעזרת הקטנה מראש בתהליך build."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"כדאי לעיין ב[יישומי פלאגין](https://octobercms.com/plugins) שטוענים תוכן CSS שאינו בשימוש בדף האינטרנט. כדי לזהות יישומי פלאגין שמוסיפים תוכן CSS מיותר, יש להפעיל את [רמת הכיסוי של הקוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. זיהוי העיצוב/הפלאגין שאחראים להוספת התוכן המיותר לפי כתובת ה-URL שבגיליון הסגנונות. יש לשים לב ליישומי פלאגין שיש להם הרבה גיליונות סגנונות שכמות גדולה של רמת כיסוי הקוד שלהם מופיעה באדום. פלאגין צריך להוסיף גיליון סגנונות רק אם נעשה בו שימוש בדף האינטרנט."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"כדאי לעיין [ביישומי פלאגין](https://octobercms.com/plugins?search=javascript) שטוענים תוכן JavaScript שאינו בשימוש בדף האינטרנט. כדי לזהות יישומי פלאגין שמוסיפים תוכן JavaScript מיותר, יש להפעיל את [רמת הכיסוי של הקוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. זיהוי העיצוב/הפלאגין שאחראים להוספת התוכן המיותר לפי כתובת ה-URL שבסקריפט. יש לשים לב ליישומי פלאגין שכמות גדולה של רמת כיסוי הקוד שלהם מופיעה באדום. פלאגין צריך להוסיף סקריפט רק אם נעשה בו שימוש בדף האינטרנט."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"אפשר לקרוא על [מניעת בקשות מיותרות ברשת באמצעות מטמון HTTP](https://web.dev/http-cache/#caching-checklist). יש הרבה [יישומי פלאגין](https://octobercms.com/plugins?search=Caching) שיכולים להאיץ את השמירה במטמון."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{
message:"כדאי לשקול להשתמש ב[פלאגין לאופטימיזציית תמונות](https://octobercms.com/plugins?search=image) כדי לדחוס את תמונות בלי לפגוע באיכות שלהן."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"העלאה של תמונות באופן ישיר למנהל המדיה תאפשר לך לוודא שהתמונות זמינות בגודל הדרוש. כדאי לשקול להשתמש ב[מסנן לשינוי גודל](https://octobercms.com/docs/markup/filter-resize) או ב[פלאגין לשינוי גודל תמונות](https://octobercms.com/plugins?search=image) כדי לוודא שהגודל של התמונות אופטימלי."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"יש להפעיל דחיסת טקסט בהגדרות של שרת האינטרנט."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'כדאי לשקול להשתמש בספריית "windowing", כמו `react-window`, כדי לצמצם את מספר צומתי DOM שנוצרים כשמתבצע רינדור של רכיבים רבים שחוזרים בדף. [למידע נוסף](https://web.dev/virtualize-long-lists-react-window/). כמו כן, אם בחרת להשתמש ב-hook של `Effect` כדי לשפר את הביצועים בזמן ריצה, יש להשתמש ב-[`shouldComponentUpdate`,‏ ](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) או ב-[`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) ו[לוותר על אפקטים](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), כדי לצמצם רינדור מחדש שאינו נחוץ עד לשינוי של יחסי תלות מסוימים בלבד.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"אם בחרת להשתמש ב-React Router, יש לצמצם את השימוש ברכיב `<Redirect>` בשביל [ניווט במסלול](https://reacttraining.com/react-router/web/api/Redirect)."},
"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"אם מתבצע רינדור בצד השרת של רכיבי React כלשהם, כדאי לשקול להשתמש ב-`renderToNodeStream()` או `renderToStaticNodeStream()` כדי לאפשר ללקוח לקבל ולמלא חלקים שונים של הסימון, במקום את הכול בבת אחת. [מידע נוסף](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"אם מערכת ה-build שלך מקטינה את קובצי ה-CSS באופן אוטומטי, יש להקפיד לפרוס את גרסת ה-build של סביבת הייצור של האפליקציה. אפשר לבדוק זאת עם תוסף הכלים למפתחים של React. [מידע נוסף](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"אם מערכת ה-build שלך מקטינה באופן אוטומטי את קובצי ה-JS, יש להקפיד לפרוס את גרסת ה-build של סביבת הייצור של האפליקציה. אפשר לבדוק זאת עם תוסף הכלים למפתחים של React. [מידע נוסף](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"אם לא מתבצע רינדור בצד השרת, [יש לפצל חבילות JavaScript](https://web.dev/code-splitting-suspense/) עם `React.lazy()`. אפשרות אחרת היא לפצל את הקוד בעזרת ספרייה של צד שלישי, כמו [רכיבים שניתן לטעון](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"כדי למדוד את ביצועי הרינדור של הרכיבים, אפשר להיעזר ב-React DevTools Profiler, שמשתמש ב-Profiler API. [מידע נוסף.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{
message:"כדאי לשקול העלאה של ה-GIF לשירות שיאפשר להטמיע אותו כסרטון HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"כדאי לשקול להשתמש ב[פלאגין](https://wordpress.org/plugins/search/convert+webp/) או בשירות שימירו את התמונות שהועלו לפורמטים האופטימליים באופן אוטומטי."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"ניתן להתקין [פלאגין של WordPress לטעינה מדורגת](https://wordpress.org/plugins/search/lazy+load/) שמאפשר לדחות את הטעינה של רכיבים שאינם מופיעים מיד במסך. ניתן גם להשתמש בעיצוב שמספק את האפשרות הזו. אפשרות נוספת היא להשתמש ב[פלאגין של AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"יש כמה יישומי פלאגין של WordPress שיכולים לעזור לך [להטביע נכסים קריטיים](https://wordpress.org/plugins/search/critical+css/) או [לדחות טעינה של משאבים פחות חשובים](https://wordpress.org/plugins/search/defer+css+javascript/). חשוב: ייתכן שהאופטימיזציות המבוצעות על ידי יישומי הפלאגין האלה יגרמו לתקלות בתכונות של העיצוב או יישומי הפלאגין האחרים, ולכן כנראה שיהיה צורך לבצע שינויים בקוד."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"עיצובים, יישומי פלאגין ומפרטי שרתים משפיעים על זמן התגובה של השרת. אפשר להשתמש בעיצוב שעבר אופטימיזציה, לבחור בקפידה פלאגין לאופטימיזציה ו/או לשדרג את השרת."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"אפשר להציג קטעים ברשימות הפוסטים (למשל, עם תג 'עוד'), לצמצם את מספר הפוסטים המוצגים בדף נתון, לחלק פוסטים ארוכים למספר דפים או להשתמש בפלאגין כדי לטעון תגובות בצורה מדורגת."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{
message:"יש כמה [יישומי פלאגין של WordPress](https://wordpress.org/plugins/search/minify+css/) שיכולים להאיץ את האתר על ידי שרשור, הקטנה ודחיסה של סגנונות. ניתן גם להשתמש בתהליך build כדי לבצע את ההקטנה מראש, אם אפשר."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"יש כמה [יישומי פלאגין של WordPress](https://wordpress.org/plugins/search/minify+javascript/) שיכולים להאיץ את האתר על ידי שרשור, הקטנה ודחיסה של סקריפטים. ניתן גם להשתמש בתהליך build כדי לבצע את ההקטנה מראש, אם אפשר."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"כדאי לשקול לצמצם את מספר [יישומי הפלאגין של WordPress](https://wordpress.org/plugins/) שטוענים תוכן CSS בלתי נחוץ בדף, או להשבית אותם. כדי לזהות יישומי פלאגין שמוסיפים תוכן CSS מיותר, אפשר להפעיל [כיסוי קוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. לפי כתובת ה-URL של גיליון הסגנונות, ניתן לזהות את העיצוב/הפלאגין שאחראים להוספת התוכן. יישומי הפלאגין הבעייתיים הם אלה שברשימת גיליונות הסגנונות שלהם יש כמות גדולה של כיסוי קוד באדום. פלאגין צריך להכניס גיליון סגנונות לתור רק אם נעשה בו שימוש בדף."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"כדאי לשקול לצמצם את מספר [יישומי הפלאגין של WordPress](https://wordpress.org/plugins/) שטוענים תוכן JavaScript בלתי נחוץ בדף, או להשבית אותם. כדי לזהות יישומי פלאגין שמוסיפים תוכן JS מיותר, אפשר להפעיל [כיסוי קוד](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ב-Chrome DevTools. לפי כתובת ה-URL של הסקריפט, ניתן לזהות את העיצוב/הפלאגין שאחראים להוספת התוכן. יישומי הפלאגין הבעייתיים הם אלה שברשימת הסקריפטים שלהם יש כמות גדולה של כיסוי קוד באדום. פלאגין צריך להכניס סקריפט לתור רק אם נעשה בו שימוש בדף."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"למידע על [שמירה במטמון הדפדפן ב-WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"כדאי לשקול להשתמש ב[פלאגין של WordPress לאופטימיזציית תמונות](https://wordpress.org/plugins/search/optimize+images/) שדוחס את התמונות בלי לפגוע באיכות שלהן."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"העלאה של תמונות באופן ישיר דרך [ספריית המדיה](https://wordpress.org/support/article/media-library-screen/) תאפשר לך לוודא שהתמונות זמינות במידות הדרושות. אחר כך אפשר להוסיף אותן מספריית המדיה או להשתמש בווידג'ט התמונות כדי לוודא שנעשה שימוש בתמונות במידות האופטימליות (כולל תמונות בשביל נקודות מעבר רספונסיביות). יש להימנע משימוש בתמונות ב`Full Size`, אלא אם המימדים מתאימים לשימוש שנעשה בהן. [מידע נוסף](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"אפשר להפעיל דחיסת טקסט בהגדרות שרת האינטרנט."},"report/renderer/util.js | calculatorLink":{message:"להצגת המחשבון."},
"report/renderer/util.js | crcInitialNavigation":{message:"ניווט התחלתי"},"report/renderer/util.js | crcLongestDurationLabel":{message:"זמן אחזור מקסימלי של נתיב קריטי:"},"report/renderer/util.js | dropdownCopyJSON":{message:"העתקת ה-JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"מעבר לעיצוב כהה"},"report/renderer/util.js | dropdownPrintExpanded":{message:"פרטי הדפסה מורחבים"},"report/renderer/util.js | dropdownPrintSummary":{message:"סיכום הדפסות"},"report/renderer/util.js | dropdownSaveGist":{message:"שמירה כ-Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"שמירה כ-HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"שמירה כ-JSON"},"report/renderer/util.js | dropdownViewer":{message:"פתיחה ב-Viewer"},"report/renderer/util.js | errorLabel":{message:"שגיאה!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"שגיאה בדוח: אין מידע על הבדיקה"},"report/renderer/util.js | footerIssue":{message:"דיווח על בעיה"},
"report/renderer/util.js | labDataTitle":{message:"נתוני בדיקה"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"ניתוח [Lighthouse](https://developers.google.com/web/tools/lighthouse/) של הדף הנוכחי באמולציה של רשת סלולרית. הערכים מהווים אומדן והם עשויים להשתנות."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"פריטים נוספים שיש לבדוק באופן ידני"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"לא רלוונטי"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"הזדמנות"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"אומדן חיסכון"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"בדיקות עם ציון 'עובר'"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"אמולציה של מחשב שולחני"},"report/renderer/util.js | runtimeMobileEmulation":{message:"אמולציה של Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"ללא אמולציה"},
"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"גרסת Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"יכולת זיכרון/יחידת עיבוד מרכזית (CPU)"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"ויסות נתונים (throttle) של יחידת עיבוד מרכזית (CPU)"},"report/renderer/util.js | runtimeSettingsChannel":{message:"ערוץ"},"report/renderer/util.js | runtimeSettingsDevice":{message:"מכשיר"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"מועד האחזור"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"הגבלת רוחב פס"},"report/renderer/util.js | runtimeSettingsTitle":{message:"הגדרות זמן ריצה"},"report/renderer/util.js | runtimeSettingsUA":{message:"סוכן משתמש (מארח)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"סוכן משתמש (רשת)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"כתובת ה-URL"},"report/renderer/util.js | runtimeUnknown":{message:"ערך לא ידוע"},
"report/renderer/util.js | showRelevantAudits":{message:"הצגת הביקורות שרלוונטיות למדדים:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"כיווץ קטע הטקסט"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"הרחבת קטע הטקסט"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"הצגה של משאבי צד שלישי"},"report/renderer/util.js | throttlingProvided":{message:"שסיפקה הסביבה"},"report/renderer/util.js | toplevelWarningsMessage":{message:"היו בעיות שהשפיעו על ההרצה הזו של Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"הערכים משוערים והם עשויים להשתנות. [ציון הביצועים מחושב](https://web.dev/performance-scoring/) ישירות לפי הערכים האלה."},"report/renderer/util.js | viewTreemapLabel":{message:"הצגת תרשים Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"בדיקות שהסתיימו בציון 'עובר', אבל עם אזהרות"},"report/renderer/util.js | warningHeader":{message:"אזהרות: "}}},{}],117:[function(e,s,t){s.exports={
"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"ऐक्सेस कुंजी से उपयोगकर्ता तेज़ी से पेज के किसी भाग पर फ़ोकस कर सकते हैं. सही नेविगेशन के लिए, हर ऐक्सेस कुंजी सबसे अलग होनी चाहिए. [ज़्यादा जानें](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` मान सबसे अलग नहीं हैं"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` के मान सबसे अलग हैं"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"हर एआरआईए `role`, `aria-*` विशेषताओं के खास सबसेट पर काम करती है. इनमें मिलान न होने पर `aria-*` विशेषताएं गलत हो जाती हैं. [ज़्यादा जानें](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` विशेषताएं और उनकी भूमिकाएं आपस में मेल नहीं खातीं"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{
message:"`[aria-*]` विशेषताएं और उनकी भूमिकाएं एक-दूसरे से मेल खाती हैं"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"अगर किसी एलिमेंट का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता हो, तो स्क्रीन रीडर उस एलिमेंट को किसी सामान्य नाम से बुलाते हैं. इस वजह से, एलिमेंट का मूल नाम उन लोगों के लिए किसी काम का नहीं रहता जो स्क्रीन रीडर की मदद से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link`, और `menuitem` एलिमेंट के नाम ऐक्सेस नहीं किए जा सकते."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link`, और `menuitem` एलिमेंट के नाम ऐक्सेस किए जा सकते हैं"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'जब `aria-hidden="true"`, `<body>` दस्तावेज़ पर सेट होता है, तो स्क्रीन रीडर जैसी सहायक टेक्नोलॉजी हर समय एक जैसा काम नहीं करती हैं. [ज़्यादा जानें](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`<body>` दस्तावेज़ में `[aria-hidden="true"]` मौजूद है'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`<body>` दस्तावेज़ में `[aria-hidden="true"]` मौजूद नहीं है'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'किसी `[aria-hidden="true"]` एलिमेंट में फ़ोकस करने लायक डिसेंडेंट की वजह से, स्क्रीन रीडर जैसी सहायक टेक्नोलॉजी का इस्तेमाल करने वाले लोग, ये एलिमेंट इस्तेमाल नहीं कर पाते. [ज़्यादा जानें](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` एलिमेंट में फ़ोकस करने लायक डिसेंडेंट हैं'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` एलिमेंट में फ़ोकस करने लायक डिसेंडेंट नहीं हैं'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"अगर किसी इनपुट फ़ील्ड का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता है, तो स्क्रीन रीडर उसे किसी सामान्य नाम से बुलाते हैं. इस वजह से, यह उनके लिए किसी काम का नहीं रहता जो स्क्रीन रीडर से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA इनपुट फ़ील्ड का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता हो"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA इनपुट फ़ील्ड के ऐसे नाम हैं जिन्हें ऐक्सेस किया जा सकता है"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"अगर किसी एलिमेंट का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता हो, तो स्क्रीन रीडर उस एलिमेंट को किसी सामान्य नाम से बुलाते हैं. इस वजह से, एलिमेंट का मूल नाम उन लोगों के लिए किसी काम का नहीं रहता जो स्क्रीन रीडर की मदद से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` एलिमेंट के नाम ऐक्सेस नहीं किए जा सकते."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` एलिमेंट के नाम ऐक्सेस किए जा सकते हैं"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"अगर किसी `progressbar` एलिमेंट का नाम ऐसा है जिसे ऐक्सेस नहीं किया जा सकता, तो स्क्रीन रीडर उसे किसी सामान्य नाम से बुलाते हैं. इस वजह से, यह उन उपयोगकर्ताओं के लिए किसी काम का नहीं रहता जो स्क्रीन रीडर की मदद से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` एलिमेंट के नाम ऐक्सेस नहीं किए जा सकते."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` एलिमेंट के नाम ऐक्सेस किए जा सकते हैं"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"कुछ ARIA भूमिकाओं में ऐसी विशेषताओं की ज़रूरत होती है जो स्क्रीन रीडर को एलिमेंट की स्थिति बताती हैं. [ज़्यादा जानें](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`s में सभी ज़रूरी `[aria-*]` विशेषताएं नहीं हैं"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` के पास सभी ज़रूरी `[aria-*]` विशेषताएं हैं"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"कुछ ARIA पैरंट भूमिकाओं में खास चाइल्ड भूमिकाएं होनी चाहिए ताकि वे तय किए गए सुलभता फ़ंक्शन कर सकें. [ज़्यादा जानें](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"ARIA `[role]` वाले एलिमेंट में बच्चों के लिए खास `[role]` शामिल करने की ज़रूरत होती है. इन एलिमेंट में बच्चों के लिए कुछ या पूरी जानकारी नहीं है."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"ARIA `[role]` वाले एलिमेंट में बच्चों के लिए खास `[role]` शामिल करने की ज़रूरत होती है. इन एलिमेंट में बच्चों के लिए पूरी जानकारी है."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"कुछ ARIA चाइल्ड रोल अपने तय सुलभता फ़ंक्शन को ठीक से कर पाएं. इसके लिए, उन्हें खास पैरंट रोल में शामिल होना चाहिए. [ज़्यादा जानें](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{
message:"`[role]` अपने ज़रूरी पैरंट एलिमेंट में शामिल नहीं हैं"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`अपने लिए ज़रूरी पैरंट एलिमेंट में शामिल हैं."},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA भूमिकाओं में सही मान होने चाहिए, ताकि वे तय किए गए सुलभता फ़ंक्शन कर सकें. [ज़्यादा जानें](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` मान सही नहीं हैं"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` मान सही हैं"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"अगर किसी टॉगल फ़ील्ड का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता है, तो स्क्रीन रीडर उसे किसी सामान्य नाम से बुलाते हैं. इस वजह से यह उनके लिए किसी काम का नहीं रहता जो स्क्रीन रीडर से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA टॉगल फ़ील्ड का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता हो"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA टॉगल फ़ील्ड के ऐसे नाम हैं जिन्हें ऐक्सेस किया जा सकता है"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"अगर किसी एलिमेंट का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता हो, तो स्क्रीन रीडर उस एलिमेंट को किसी सामान्य नाम से बुलाते हैं. इस वजह से, एलिमेंट का मूल नाम उन लोगों के लिए किसी काम का नहीं रहता जो स्क्रीन रीडर की मदद से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` एलिमेंट के नाम ऐक्सेस नहीं किए जा सकते."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` एलिमेंट के नाम ऐक्सेस किए जा सकते हैं"},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"अगर किसी एलिमेंट का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता हो, तो स्क्रीन रीडर उस एलिमेंट को किसी सामान्य नाम से बुलाते हैं. इस वजह से, एलिमेंट का मूल नाम उन लोगों के लिए किसी काम का नहीं रहता जो स्क्रीन रीडर की मदद से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` एलिमेंट के नाम ऐक्सेस नहीं किए जा सकते."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` एलिमेंट के नाम ऐक्सेस किए जा सकते हैं"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"स्क्रीन रीडर जैसी सहायक तकनीक, गलत मानों वाली ARIA विशेषताओं को समझ नहीं सकतीं. [ज़्यादा जानें](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{
message:"`[aria-*]` विशेषताओं में सही मान नहीं हैं"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` विशेषताओं के मान सही हैं"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"स्क्रीन रीडर जैसी सहायक तकनीक, गलत नामों वाली ARIA विशेषताओं को समझ नहीं सकतीं. [ज़्यादा जानें](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` विशेषताएं गलत हैं या उनकी वर्तनी गलत है"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` विशेषताएं सही हैं और उनकी वर्तनी गलत नहीं है"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"फ़ेल होने वाले एलिमेंट"},"lighthouse-core/audits/accessibility/button-name.js | description":{
message:'अगर बटन का कोई ऐसा नाम नहीं है जिसे ऐक्सेस किया जा सकता है, तो स्क्रीन रीडर उसे "बटन" के रूप में बताते हैं. इस वजह से यह उन इस्तेमाल करने वालों के लिए किसी काम का नहीं रहता जो स्क्रीन रीडर से ही टेक्स्ट पढ़ या समझ सकते हैं. [ज़्यादा जानें](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"बटन के नाम ऐक्सेस करने लायक नहीं हैं"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"बटनों का एक सुलभता नाम है"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"दोहराव वाली सामग्री को नज़रअंदाज करके आगे बढ़ने के तरीके जोड़ने से, कीबोर्ड इस्तेमाल करने वाले लोग पेज पर ज़्यादा अच्छे से नेविगेट कर सकते हैं. [ज़्यादा जानें](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"पेज में 'हेडिंग', 'स्किप लिंक' या 'लैंडमार्क' क्षेत्र नहीं है"},"lighthouse-core/audits/accessibility/bypass.js | title":{
message:"पेज में 'हेडिंग', 'स्किप लिंक' या 'लैंडमार्क' क्षेत्र हैं"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"इस्तेमाल करने वाले कई लोगों के लिए कम कंट्रास्ट वाला टेक्स्ट पढ़ना मुश्किल या नामुमकिन होता है. [ज़्यादा जानें](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"बैकग्राउंड और फ़ोरग्राउंड रंगों में काफ़ी कंट्रास्ट अनुपात नहीं है."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"बैकग्राउंड और फ़ोरग्राउंड के रंगों का कंट्रास्ट अनुपात काफ़ी है"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"जब परिभाषा सूचियां ठीक से मार्क अप नहीं की जातीं, तो स्क्रीन रीडर उलझन भरे या गलत आउटपुट दे सकते हैं. [ज़्यादा जानें](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{
message:"`<dl>` में सिर्फ़ ठीक तरह से क्रम में लगे `<dt>` और `<dd>` ग्रुप, `<script>`, `<template>` या `<div>` एलिमेंट नहीं हैं."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` में सिर्फ़ ठीक तरह से क्रम से लगे `<dt>` और `<dd>` ग्रुप, `<script>`, `<template>` या `<div>` एलिमेंट हैं."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"परिभाषा सूची आइटम (`<dt>` और `<dd>`) को पैरंट `<dl>` एलिमेंट में रैप किया जाना चाहिए, ताकि यह पक्का किया जा सके कि स्क्रीन रीडर उन्हें ठीक तरीके से बोल सकते हैं. [ज़्यादा जानें](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"परिभाषा सूची के आइटम `<dl>` एलिमेंट में रैप नहीं किए जाते"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"परिभाषा सूची के आइटम `<dl>` एलिमेंट में रैप किए जाते हैं"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"शीर्षक से स्क्रीन रीडर उपयोगकर्ताओं को पेज की खास जानकारी मिलती है. सर्च इंजन के उपयोगकर्ता शीर्षक के भरोसे यह तय करते हैं कि कोई पेज उनकी खोज के हिसाब से सही है या नहीं. [ज़्यादा जानें](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"दस्तावेज़ में कोई `<title>` एलिमेंट नहीं है"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"दस्तावेज़ में `<title>` एलिमेंट है"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"फ़ोकस करने लायक सभी एलिमेंट में खास `id` होना चाहिए, ताकि यह पक्का किया जा सके कि वे सहायक टेक्नोलॉजी को दिख रहे हैं. [ज़्यादा जानें](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"फ़ोकस करने लायक चालू एलिमेंट में `[id]` विशेषताएं खास नहीं हैं"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{
message:"फ़ोकस करने लायक चालू एलिमेंट में `[id]` विशेषताएं खास हैं"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA आईडी का मान सबसे अलग होना चाहिए, ताकि सहायक टेक्नोलॉजी दूसरे इंस्टेंस को नज़रअंदाज़ न कर दें. [ज़्यादा जानें](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA आईडी खास नहीं हैं"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA आईडी खास हैं"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"एक से ज़्यादा लेबल वाले फ़ॉर्म फ़ील्ड का नाम, स्क्रीन रीडर जैसी सहायक टेक्नोलॉजी गलत तरीके से बोल सकती है. ये टेक्नोलॉजी सिर्फ़ पहला, आखिरी या सभी लेबल इस्तेमाल करती हैं. [ज़्यादा जानें](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"फ़ॉर्म फ़ील्ड के कई लेबल हैं"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"किसी भी फ़ॉर्म फ़ील्ड में एक से ज़्यादा लेबल नहीं हैं"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"स्क्रीन रीडर उपयोगकर्ता, फ़्रेम की सामग्री के बारे में जानने के लिए फ़्रेम के शीर्षकों का इस्तेमाल करते हैं. [ज़्यादा जानें](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` या `<iframe>` एलिमेंट का कोई शीर्षक नहीं है"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` या `<iframe>` एलिमेंट का एक शीर्षक है"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"सही क्रम में लगाई गई ऐसी हेडिंग जो लेवल को नहीं छोड़ती, पेज का सिमेंटिक स्ट्रक्चर दिखाती हैं. ऐसा होने से, सहायक टेक्नोलॉजी इस्तेमाल करते समय पेज पर एक जगह से दूसरी जगह जाना और उसे समझना आसान हो जाता है. [ज़्यादा जानें](https://web.dev/heading-order/)."},
"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"हेडिंग एलिमेंट, कम होने वाले क्रम में नहीं हैं"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"हेडिंग एलिमेंट, कम होने वाले क्रम में दिखते हैं"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"अगर कोई पेज, भाषा विशेषता तय नहीं करता है, तो स्क्रीन रीडर को लगता है कि पेज उस डिफ़ॉल्ट भाषा में है जो उपयोगकर्ता ने स्क्रीन रीडर सेट अप करते समय चुनी थी. अगर वह पेज डिफ़ॉल्ट भाषा में नहीं है, तो शायद स्क्रीन रीडर, पेज का टेक्स्ट ठीक से न बोल पाए. [ज़्यादा जानें](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` एलिमेंट में `[lang]` विशेषता नहीं है"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` एलिमेंट में `[lang]` विशेषता है"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"सही [BCP 47 भाषा ](https://www.w3.org/International/questions/qa-choosing-language-tags#question) तय करने से स्क्रीन रीडर को टेक्स्ट ठीक से बोलने में मदद मिलती है. [ज़्यादा जानें](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` एलिमेंट के पास अपनी `[lang]`विशेषता के लिए कोई सही मान नहीं है."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` एलिमेंट के पास अपनी `[lang]` विशेषता के लिए एक सही मान है"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"जानकारी वाले एलिमेंट का मकसद यह होना चाहिए कि उनमें छोटा और पूरी जानकारी देने वाला वैकल्पिक टेक्स्ट शामिल हो. डेकोरेटिव एलिमेंट, एक खाली ऑल्ट एट्रिब्यूट के साथ अनदेखे किया जा सकते हैं. [ज़्यादा जानें](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"इमेज एलिमेंट में `[alt]` विशेषताएं नहीं हैं"},
"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"इमेज एलिमेंट में `[alt]` विशेषताएं शामिल हैं"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"जब किसी इमेज को `<input>` बटन के रूप में इस्तेमाल किया जा रहा हो, तब वैकल्पिक टेक्स्ट देने से, स्क्रीन रीडर इस्तेमाल करने वाले लोगों को उस बटन के मकसद को समझने में मदद मिलती है. [ज़्यादा जानें](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` एलिमेंट में `[alt]` टेक्स्ट नहीं है'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` एलिमेंट में`[alt]` टेक्स्ट है'},"lighthouse-core/audits/accessibility/label.js | description":{message:"लेबल यह पक्का करते हैं कि स्क्रीन रीडर जैसी सहायक तकनीकें, फ़ॉर्म नियंत्रणों को सही तरीके से बोलें. [ज़्यादा जानें](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{
message:"फ़ॉर्म एलिमेंट में जुड़े हुए लेबल नहीं हैं"},"lighthouse-core/audits/accessibility/label.js | title":{message:"फ़ॉर्म एलिमेंट में सहभागी लेबल हैं"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"जो लिंक टेक्स्ट (और इमेज के लिए इस्तेमाल किया वैकल्पिक टेक्स्ट) समझने लायक, सबसे अलग, और फ़ोकस करने लायक है, उससे स्क्रीन रीडर उपयोगकर्ताओं का नेविगेशन अनुभव बेहतर बनता है. [ज़्यादा जानें](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"लिंक का समझने लायक नहीं है"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"लिंक का समझने लायक नाम है"},"lighthouse-core/audits/accessibility/list.js | description":{message:"स्क्रीन रीडर, सूचियों को एक खास तरीके से बोलते हैं. सूची की सही बनावट पक्की करने से स्क्रीन रीडर को आउटपुट देने में मदद मिलती है. [ज़्यादा जानें](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"सूचियों में सिर्फ़ `<li>` एलिमेंट और स्क्रिप्ट के साथ काम करने वाले एलिमेंट (`<script>`और `<template>`) ही शामिल नहीं हैं."},"lighthouse-core/audits/accessibility/list.js | title":{message:"सूची में सिर्फ़ `<li>` एलिमेंट और स्क्रिप्ट के साथ काम करने वाले एलिमेंट शामिल हैं (`<script>` और `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"स्क्रीन रीडर के लिए ज़रूरी है कि उनमें `<ul>` या `<ol>` पैरंट में सूची आइटम (`<li>`) शामिल हों, ताकि उन्हें ठीक तरह से बोला जा सके. [ज़्यादा जानें](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"सूची आइटम (`<li>`) `<ul>` या `<ol>` पैरंट एलिमेंट में शामिल नहीं हैं."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"सूची वाले आइटम (`<li>`) `<ul>` या `<ol>` पैरंट एलिमेंट में हैं"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"उपयोगकर्ताओं को ऐसी उम्मीद नहीं होती कि कोई पेज अपने आप रीफ़्रेश हो जाएगा. इसके बाद, फ़ोकस वापस पेज के सबसे ऊपर चला जाएगा. इससे उन्हें परेशानी या उलझन हो सकती है. [ज़्यादा जानें](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'यह दस्तावेज़ `<meta http-equiv="refresh">` का इस्तेमाल करता है'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'दस्तावेज़ `<meta http-equiv="refresh">` का इस्तेमाल नहीं करते'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"ज़ूम करने की सुविधा को बंद करने से उन उपयोगकर्ताओं को परेशानी होती है जिन्हें कम दिखाई देता है. ऐसे उपयोगकर्ता वेब पेज की सामग्री को ठीक तरह से देखने के लिए स्क्रीन को बड़ा करते हैं. [ज़्यादा जानें](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]` का इस्तेमाल `<meta name="viewport">` एलिमेंट में किया जाता है या `[maximum-scale]`विशेषता पांच से कम है.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` का इस्तेमाल `<meta name="viewport">` एलिमेंट में नहीं किया जाता और `[maximum-scale]`विशेषता पाँच से कम नहीं है.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"स्क्रीन रीडर ऐसी सामग्री का अनुवाद नहीं कर सकते जिसमें टेक्स्ट नहीं है. `<object>` एलिमेंट में वैकल्पिक टेक्स्ट जोड़ने से, स्क्रीन रीडर आसानी से उपयोगकर्ताओं को बात का मतलब समझा सकते हैं. [ज़्यादा जानें](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` एलिमेंट में `[alt]` टेक्स्ट नहीं है"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` एलिमेंट में`[alt]` टेक्स्ट है"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"0 से ज़्यादा मान साफ़ तौर पर नेविगेशन क्रम को लागू करता है. हालांकि, यह तकनीकी रूप से सही है, लेकिन यह अक्सर उन इस्तेमाल करने वालों को निराश करता है जो सहायक तकनीकों पर भरोसा करते हैं. [ज़्यादा जानें](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"कुछ एलिमेंट का `[tabindex]` मान 0 से ज़्यादा होता है"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"किसी भी एलिमेंट का `[tabindex]` मान 0 से ज़्यादा नहीं हो सकता"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"स्क्रीन रीडर में ऐसी सुविधाएं होती हैं जिनसे टेबल में जाना आसान हो जाता है. `[headers]` विशेषता का इस्तेमाल करके `<td>` सेल की मौजूदगी पक्की करने के लिए उसी टेबल में मौजूद दूसरे सेल का हवाला दिया जाता है. इससे स्क्रीन रीडर उपयोगकर्ताओं के अनुभव को बेहतर बनाया जा सकता है. [ज़्यादा जानें](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"`<table>` एलिमेंट में शामिल सेल जिस `[headers]` विशेषता का इस्तेमाल करते हैं वे उस एलिमेंट `id` का हवाला देते हैं जाे उसी टेबल में शामिल नहीं हाेता."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`<table>` एलिमेंट में शामिल सेल जो `[headers]` विशेषता का इस्तेमाल करते हैं वे सिर्फ़ उसी टेबल में शामिल सेल का हवाला देते हैं."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"स्क्रीन रीडर में ऐसी सुविधाएं होती हैं जिनसे टेबल में जाना आसान हो जाता है. यह पक्का करें कि टेबल हेडर हमेशा कुछ सेल के सेट के बारे में बताते हों. इससे स्क्रीन रीडर के उपयोगकर्ताओं को बेहतर अनुभव मिल सकता है. [ज़्यादा जानें](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` एलिमेंट और `[role="columnheader"/"rowheader"]` वाले एलिमेंट में वे डेटा सेल मौजूद नहीं हैं जो उनके ब्यौरे में शामिल हैं.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'`<th>` एलिमेंट और `[role="columnheader"/"rowheader"]` वाले एलिमेंट में वे डेटा सेल शामिल हैं जिनकी वे जानकारी देते हैं.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"एलिमेंट पर एक सही [BCP 47 भाषा ](https://www.w3.org/International/questions/qa-choosing-language-tags#question) तय करने से आप पक्का कर सकते हैं कि स्क्रीन रीडर, टेक्स्ट को सही से बोले. [ज़्यादा जानें](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` विशेषताओं का कोई सही मान नहीं है"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` विशेषताओं का मान सही है"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"वीडियो में कैप्शन उपलब्ध कराने पर वे उपयोगकर्ता आसानी से जानकारी समझ सकते हैं जो सुन नहीं पाते और जिन्हें कम सुनाई देता है. [ज़्यादा जानें](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'`<video>` एलिमेंट में `[kind="captions"]` वाला कोई `<track>` एलिमेंट नहीं है.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` एलिमेंट में `[kind="captions"]` वाला एक `<track>` एलिमेंट है'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"उपयोगकर्ता जब होम स्क्रीन पर प्रगतिशील वेब ऐप्लिकेशन जोड़ें, तो iOS पर वह अच्छे से नज़र आए, इसके लिए `apple-touch-icon` तय करें. यह ज़रूरी है कि यह आइकॉन किसी ऐसे 192px (या 180px) के वर्गाकार PNG की तरफ़ इशारा करे जिसके आर-पार न देखा जा सके. [ज़्यादा जानें](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"एक सही `apple-touch-icon` नहीं उपलब्ध कराता"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` पुराना हो गया है; `apple-touch-icon` को प्राथमिकता दी जाती है."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"एक सही `apple-touch-icon` देता है"},
"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"मौजूदा मान"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"सुझाया गया टोकन"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` से उपयोगकर्ताओं को तेज़ी से फ़ॉर्म सबमिट करने में मदद मिलती है. उपयोगकर्ताओं की मेहनत कम करने के लिए, `autocomplete` एट्रिब्यूट को सही मान पर सेट करके चालू करें. [ज़्यादा जानें](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` एलिमेंट में सही `autocomplete` एट्रिब्यूट नहीं हैं"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"मैन्युअल समीक्षा की ज़रूरत है"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"टोकन के लिए किए गए अपने ऑर्डर की समीक्षा करें"},"lighthouse-core/audits/autocomplete.js | title":{
message:"`<input>` एलिमेंट, `autocomplete` का ठीक से इस्तेमाल कर रहे हैं"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'`autocomplete` टोकन: {snippet} में "{token}" अमान्य है'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'टोकन के ऑर्डर की समीक्षा करें: {snippet} में "{tokens}"'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome एक्सटेंशन ने इस पेज के लोड परफ़ॉर्मेंस पर नकारात्मक रूप से असर डाला है. 'गुप्त मोड' में या बिना किसी एक्सटेंशन के Chrome प्रोफ़ाइल से पेज ऑडिट करके देखें."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"स्क्रिप्ट मूल्यांकन"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"स्क्रिप्ट पार्स"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"कुल सीपीयू समय"},"lighthouse-core/audits/bootup-time.js | description":{
message:"JS को पार्स करने, कंपाइल करने, और एक्ज़ीक्यूट करने में लगने वाला समय कम करें. आप देखेंगे कि इसकी मदद से छोटे-छोटे JS पेलोड डिलीवर करने में मदद मिलती है. [ज़्यादा जानें](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"JavaScript क्रियान्वयन समय कम करें"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript क्रियान्वयन समय"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"बंडल से बड़े और डुप्लीकेट JavaScript मॉड्यूल हटाएं. ऐसा करके, नेटवर्क गतिविधि में खर्च होने वाले गैर-ज़रूरी बाइट कम किए जा सकते हैं. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"JavaScript बंडल में मौजूद डुप्लीकेट मॉड्यूल हटाएं"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"बड़ी GIFs ऐनिमेशन वाली सामग्री डिलीवर नहीं कर सकते. नेटवर्क बाइट बचाने के लिए GIF का इस्तेमाल करने के बजाय, ऐनिमेशन के लिए MPEG4/WebM वीडियो और स्टैटिक इमेज के लिए PNG/WebP का इस्तेमाल करें. [ज़्यादा जानें](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"ऐनिमेट की गई सामग्री के लिए वीडियो फ़ॉर्मेट का इस्तेमाल करें"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"पॉलिफ़िल और ट्रांसफ़ॉर्म की मदद से पुराने ब्राउज़र पर नई JavaScript सुविधाओं का इस्तेमाल किया जा सकता है. हालांकि, नए ब्राउज़र के लिए इनमें से कई की ज़रूरत नहीं है. बंडल किए गए JavaScript के लिए, मॉड्यूल/नोमॉड्यूल सुविधा पहचान टूल का इस्तेमाल करके नई स्क्रिप्ट डिप्लॉयमेंट रणनीति अपनाएं. इससे नए ब्राउज़र पर कोड भेजने की संख्या कम करने और पुराने ब्राउज़र को चालू रखने में मदद मिलती है. [ज़्यादा जानें](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"पुरानी JavaScript को नए ब्राउज़र में खोलने से बचें"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000, JPEG XR, और WebP जैसे इमेज फ़ॉर्मैट, ज़्यादातर PNG या JPEG से बेहतर कंप्रेस करते हैं जिससे उपयोगकर्ता कम डेटा खर्च करके तेज़ डाउनलोड कर सकते हैं. [ज़्यादा जानें](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"इमेज अगली जेनरेशन के फ़ॉर्मेट में ऑफ़र करें"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"इंटरैक्टिव में लगने वाला समय कम करने के लिए, सभी अहम संसाधन लोड हो जाने के बाद ऑफ़स्क्रीन और छिपी हुई इमेज को धीरे-धीरे लोड करें. [ज़्यादा जानें](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"ऑफ़स्क्रीन इमेज टालें"},
"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"संसाधन आपके पेज का फ़र्स्ट पेंट ब्लॉक कर रहे हैं. ज़रूरी JS/सीएसएस इनलाइन डिलीवर करने और सभी गैर-ज़रूरी JS/शैलियों को टाल दें. [ज़्यादा जानें](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"रेंडर ब्लॉक करने वाले संसाधनों को खत्म करें"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"बड़े नेटवर्क वाले पेलोड के लिए उपयोगकर्ताओं को रकम खर्च करनी होती है. साथ ही, उन पर लोड होने में ज़्यादा समय भी लगता है. [ज़्यादा जानें](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"कुल साइज़ {totalBytes, number, bytes} किबीबाइट था"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"बहुत ज़्यादा नेटवर्क पेलोड से बचें"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"भारी नेटवर्क पेलोड से बचाता है"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS फ़ाइलों को छोटा करने से नेटवर्क पेलोड आकार कम किए जा सकते हैं. [ज़्यादा जानें](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"CSS कम करें"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"JavaScript फ़ाइलों को छोटा करने से पेलोड का आकार और स्क्रिप्ट पार्स करने में लगने वाला समय कम हो सकता है. [ज़्यादा जानें](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScript का आकार कम करें"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"स्टाइलशीट से इस्तेमाल न किए गए नियमों को कम करें और पेज के ऊपरी हिस्से वाले कॉन्टेंट के लिए जो सीएसएस इस्तेमाल न हुए हों उन्हें अभी लोड न होने दें. इससे नेटवर्क गतिविधि के लिए खपत होने वाले बाइट कम होंगे. [ज़्यादा जानें](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"इस्तेमाल न किए गए सीएसएस को कम करना"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"इस्तेमाल न किए गए JavaScript को कम करें और स्क्रिप्ट को तब तक लोड न करें, जब तक उनके लिए नेटवर्क गतिविधि के तहत खपत होने वाले बाइट को कम करना ज़रूरी न हो जाए. [ज़्यादा जानें](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"इस्तेमाल न किए गए JavaScript को कम करना"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"अगर कैश मेमोरी ज़्यादा समय तक रहेगी, तो लोगों के आपकी साइट पर लौटने की प्रक्रिया में तेज़ी आएगी. [ज़्यादा जानें](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 संसाधन मिला}one{# संसाधन मिले}other{# संसाधन मिले}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"कुशल कैश नीति के साथ स्थिर एसेट ऑफ़र करें"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"स्थिर एसेट पर कुशल कैश नीति का इस्तेमाल करता है"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"ऑप्टिमाइज़ की गई इमेज तेज़ी से लोड होती हैं. साथ ही, इसमें कम सेल्युलर डेटा खर्च होता है. [ज़्यादा जानें](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"इमेज को कुशलता से एन्कोड करें"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"ऐसी इमेज ऑफ़र करें जिनका आकार सही हो, ताकि सेल्युलर डेटा बचाया जा सके और लोड होने में लगने वाले समय को कम किया जा सके. [ज़्यादा जानें](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"सही तरीके के आकार वाली इमेज"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"कुल नेटवर्क बाइट को कम से कम करने के लिए, टेक्स्ट आधारित संसाधन, कंप्रेशन (gzip, deflate या brotli) के साथ ऑफ़र किए जाने चाहिए. [ज़्यादा जानें](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"लेख कंप्रेशन चालू करें"},"lighthouse-core/audits/content-width.js | description":{
message:"अगर आपके ऐप्लिकेशन की सामग्री की चौड़ाई व्यूपोर्ट की चौड़ाई से मेल नहीं खाती है, तो आपका ऐप्लिकेशन मोबाइल स्क्रीन पर ऑप्टिमाइज़ नहीं किया जा सकेगा. [ज़्यादा जानें](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"{innerWidth}px के व्यूपोर्ट का आकार {outerWidth}px की विंडो के आकार से मेल नहीं खाता है."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"सामग्री का आकार व्यूपोर्ट (किसी वेब पेज के स्क्रीन पर दिखने वाले हिस्से) के मुताबिक नहीं है"},"lighthouse-core/audits/content-width.js | title":{message:"सामग्री का आकार व्यूपोर्ट (किसी वेब पेज के स्क्रीन पर दिखने वाले हिस्से) के मुताबिक है"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"नीचे दी गई अहम अनुरोध शृंखलाएं बताती हैं कि किन संसाधनों को ज़्यादा प्राथमिकता से लोड किया गया है. शृंखलाओं की अवधि कम करें. इससे संसाधनों का डाउनलोड आकार कम हो जाएगा या पेज लोड को बेहतर बनाने के लिए गैर-ज़रूरी संसाधनों का डाउनलोड टल जाएगा. [ज़्यादा जानें](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 शृंखला मिली}one{# शृंखलाएं मिलीं}other{# शृंखलाएं मिलीं}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"गंभीर अनुरोधों की चेन न बनाएं"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"डायरेक्टिव"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"गंभीरता"},"lighthouse-core/audits/csp-xss.js | description":{message:"कॉन्टेंट की सुरक्षा के बारे में एक मज़बूत नीति (CSP) से, क्रॉस-साइट स्क्रिप्टिंग (XSS) हमलाें का खतरा काफ़ी हद तक कम हो जाता है. [ज़्यादा जानें](https://web.dev/csp-xss/)"},
"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"सिंटैक्स"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"इस पेज पर एक <meta> टैग में CSP की जानकारी दी गई है. अगर हो पाए, तो CSP की जानकारी किसी एचटीटीपी हेडर में दें."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"एनफ़ोर्समेंट मोड में कोई CSP नहीं मिला"},"lighthouse-core/audits/csp-xss.js | title":{message:"पक्का करें कि CSP, XSS हमलों से बेहतर तरीके से सुरक्षा देता है"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"रुक गया है / चेतावनी"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"लाइन"},"lighthouse-core/audits/deprecations.js | description":{message:"काम न करने वाले एपीआई आपके ब्राउज़र से हटा दिए जाएंगे. [ज़्यादा जानें](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 चेतावनी मिली}one{# चेतावनियां मिलीं}other{# चेतावनियां मिलीं}}"},
"lighthouse-core/audits/deprecations.js | failureTitle":{message:"रुके हुए एपीआई का इस्तेमाल करता है"},"lighthouse-core/audits/deprecations.js | title":{message:"रुके हुई एपीआई का इस्तेमाल नहीं किया जाता"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"ऐप्लिकेशन की कैश मेमोरी अब काम नहीं करती. [ज़्यादा जानें](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" मिल गया'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"ऐप्लिकेशन की कैश मेमोरी का इस्तेमाल किया जाता है"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"ऐप्लिकेशन की कैश मेमोरी का इस्तेमाल नहीं किया जाता"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"कैरेक्टर एन्कोडिंग को सेट करना ज़रूरी है. एचटीएमएल की पहली 1024 बाइट या कॉन्टेंट-टाइप एचटीटीपी रिस्पॉन्स हेडर में `<meta>` टैग की मदद से ऐसा किया जा सकता है. [ज़्यादा जानें](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"एचटीएमएल में charset को सेट नहीं है या बहुत देरी से सेट किया गया है."},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"सही तरीके से सेट किया गया charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"doctype तय करने से, ब्राउज़र क्वर्क-मोड (पुराने वर्शन पर काम करने की सुविधा) पर स्विच नहीं करता है. [ज़्यादा जानें](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Doctype का नाम अंग्रेज़ी के छोटे अक्षरों वाली स्ट्रिंग `html` में होना चाहिए"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"दस्तावेज़ में doctype होना ज़रूरी है"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"उम्मीद थी कि publicId खाली स्ट्रिंग होगी"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"उम्मीद थी कि systemId खाली स्ट्रिंग होगी"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"पेज में HTML doctype नहीं है जिसकी वजह से क्वर्क-मोड (पुराने वर्शन पर काम करने की सुविधा) ट्रिगर हो रही है"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"पेज में एचटीएमएल doctype है"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"आंकड़े"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"मान"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"ज़्यादा बड़े डॉक्यूमेंट ऑब्जेक्ट मॉडल (DOM) से मेमोरी का इस्तेमाल बढ़ सकता है. इससे ज़्यादा लंबे [स्टाइल कैल्क्युलेशन](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) हो सकते हैं. साथ ही, महंगे [लेआउट रीफ़्लो](https://developers.google.com/speed/articles/reflow) बन सकते हैं. [ज़्यादा जानें](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 ऐलिमेंट}one{# ऐलिमेंट}other{# ऐलिमेंट}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"बहुत ज़्यादा बड़े DOM आकार से बचें"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"सबसे ज़्यादा DOM गहराई"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"कुल डीओएम ऐलिमेंट"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"ज़्यादातर बच्चों की चीजें"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"बहुत ज़्यादा बड़े DOM आकार से बचता है"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"फ़ेल होने वाले एंकर"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'किसी बाहरी लिंक में `rel="noopener"` या `rel="noreferrer"` जोड़कर परफ़ॉर्मेंस बेहतर करें और सुरक्षा जोखिमों से बचें. [ज़्यादा जानें](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"जिन जगहों पर दो डोमेन से होकर जाना होता है वे सुरक्षित नहीं हैं"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"जिन जगहों पर दो डोमेन से होकर जाना होता है वे सुरक्षित हैं"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"एंकर ({anchorHTML}) के भेजे जाने की जगह नहीं पता की जा सकी. अगर target=_blank का इस्तेमाल हाइपरलिंक की तरह नहीं हो रहा, तो इसे हटा दें."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"उपयोगकर्ता ऐसी साइटों पर भरोसा नहीं करते या उनकी वजह से उलझन में रहते हैं जो बिना किसी संदर्भ के उनकी जगह की जानकारी पता करने का अनुरोध करती हैं. इसके बजाय, उपयोगकर्ता के जेस्चर के हिसाब से अनुरोध करें. [ज़्यादा जानें](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"पेज लोड पर भौगोलिक स्थान जानने का अनुरोध किया जाता है"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"पेज लोड पर भौगोलिक स्थान जानने की मंज़ूरी का अनुरोध नहीं किया जाता"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"इस तरह की समस्या है"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome डेवलपर टूल के `Issues` पैनल में मौजूद वेबसाइट से जुड़ी समस्याएं उन मुश्किलों की तरफ़ इशारा करती हैं जिनका समाधान करना बाकी है. ये मुश्किलें, नेटवर्क अनुरोधों के काम न करने और ब्राउज़र से जुड़ी अन्य वजहों से हो सकती हैं. साथ ही, ये तब भी हो सकती हैं, जब सुरक्षा कंट्रोल काफ़ी न हों. हर समस्या के बारे में ज़्यादा जानकारी पाने के लिए, Chrome डेवलपर टूल में 'समस्याएं' पैनल खोलें."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Chrome डेवलपर टूल के `Issues` पैनल में वेबसाइट से जुड़ी समस्याएं मौजूद हैं"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"क्रॉस-ओरिजन नीति ने ब्लॉक किया"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"विज्ञापनों में बड़े साइज़ के संसाधनों का इस्तेमाल"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome डेवलपर टूल के `Issues` पैनल में वेबसाइट से जुड़ी कोई भी समस्या मौजूद नहीं है"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"वर्शन"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"इस पेज पर पहचानी गई सभी फ़्रंट-एंड JavaScript लाइब्रेरी. [ज़्यादा जानें](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"पहचानी गई JavaScript लाइब्रेरी"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"धीमे कनेक्शन वाले उपयोगकर्ताओं के लिए, `document.write()` की दी गई बाहरी स्क्रिप्ट की वजह से पेज लोड होने में दस से ज़्यादा सेकंड की देरी हो सकती है. [ज़्यादा जानें](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"`document.write()` से बचें"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"`document.write()` का इस्तेमाल नहीं किया जाता"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{
message:"सबसे ज़्यादा गंभीर"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"लाइब्रेरी वर्शन"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"जोखिम की संभावना की संख्या"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"तीसरे पक्ष की कुछ स्क्रिप्ट में सुरक्षा के ऐसे जोखिम हो सकते हैं जिनके बारे में लोगों को पता है. साथ ही, जिन्हें हमलावर आसानी से पहचानकर उनका फ़ायदा उठा सकते हैं. [ज़्यादा जानें](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 जोखिम की संभावना का पता चला}one{# जोखिमों की संभावना का पता चला}other{# जोखिमों की संभावना का पता चला}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"ऐसी फ़्रंट-एंड JavaScript लाइब्रेरी का इस्तेमाल करता है जिनमें शामिल सुरक्षा जोखिमों के बारे में सबको पता होता है."},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"ऐसी फ़्रंट-एंड JavaScript लाइब्रेरी का इस्तेमाल नहीं करता जिनमें शामिल सुरक्षा जोखिमों के बारे में सबको पता होता है."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"उपयोगकर्ता ऐसी साइटों पर भरोसा नहीं करते या उनकी वजह से उलझन में रहते हैं जो उन्हें बिना किसी संदर्भ के सूचनाएं भेजने का अनुरोध करती हैं. इसके बजाय, उपयोगकर्ता के जेस्चर के हिसाब से अनुरोध करें. [ज़्यादा जानें](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"पेज लोड पर सूचनाओं की अनुमति पाने का अनुरोध किया जाता है"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"पेज लोड पर सूचना भेजने की मंज़ूरी का अनुरोध नहीं किया जाता"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"पासवर्ड वाले फ़ील्ड में कुछ कॉपी करके चिपकाने की सुविधा न लागू करने का मतलब है एक अच्छी सुरक्षा नीति को कमज़ोर समझना. [ज़्यादा जानें](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"इस्तेमाल करने वालों को पासवर्ड फ़ील्ड में पहले से कॉपी की गई जानकारी चिपकाने से रोकता है"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"इस्तेमाल करने वालों को पासवर्ड फ़ील्ड में पहले से कॉपी की गई जानकारी चिपकाने देता है"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"प्रोटोकॉल"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 , HTTP/1.1 से ज़्यादा फ़ायदे देता है. इन फ़ायदों में बाइनरी हैडर और मल्टिप्लेक्सिंग शामिल हैं. [ज़्यादा जानें](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 अनुरोध HTTP/2 से सर्व नहीं किया गया}one{# अनुरोध HTTP/2 से सर्व नहीं किए गए}other{# अनुरोध HTTP/2 से सर्व नहीं किए गए}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2 का इस्तेमाल करें"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"अपने 'टच एंड व्हील' घटना श्रोता पर `passive` का निशान लगाएं, ताकि आपके पेज की स्क्रोल परफ़ॉर्मेंस को बेहतर किया जा सके. [ज़्यादा जानें](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"स्क्रोल परफ़ॉर्मेंस बेहतर करने के लिए पैसिव श्रोताओं का इस्तेमाल नहीं करता"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"पैसिव श्रोताओं की मदद से स्क्रोल परफ़ॉर्मेंस बेहतर की जाती है"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"कंसोल में लॉग की गई गड़बड़ियां उन मुश्किलों की तरफ़ इशारा करती हैं जिनका समाधान किया जाना अभी बाकी है. ये गड़बड़ियां, नेटवर्क अनुरोधों के काम न करने और ब्राउज़र से जुड़ी दूसरी वजहों से हो सकती हैं. [ज़्यादा जानें](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"ब्राउज़र की गड़बड़ियां कंसोल में लॉग की गईं"},"lighthouse-core/audits/errors-in-console.js | title":{message:"ब्राउज़र की किसी गड़बड़ी को कंसोल में लॉग नहीं किया गया"},"lighthouse-core/audits/font-display.js | description":{message:"यह पक्का करने के लिए कि वेबफ़ॉन्ट लोड होने के दौरान उपयोगकर्ता को टेक्स्ट दिखाई देता रहे, फ़ॉन्ट-डिसप्ले सीएसएस फ़ीचर का फ़ायदा लें. [ज़्यादा जानें](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"पक्का करें कि वेबफ़ॉन्ट लोड होने के दौरान लेख दिखाई देता रहे"},"lighthouse-core/audits/font-display.js | title":{message:"वेबफ़ॉन्ट लोड होने के दौरान सभी लेख दिखाई देते रहते हैं"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse, अपने-आप मूल {fontOrigin} के लिए `font-display` का मान नहीं देख सका.}one{Lighthouse, अपने-आप मूल {fontOrigin} के लिए `font-display` का मान नहीं देख सका.}other{Lighthouse, अपने-आप मूल {fontOrigin} के लिए `font-display` के मान नहीं देख सका.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"चौड़ाई-ऊंचाई का अनुपात (असल)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"चौड़ाई-ऊंचाई का अनुपात (डिसप्ले किया गया)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"इमेज डिसप्ले डाइमेंशन, चौड़ाई-ऊंचाई के अनुपात जितने होने चाहिए. [ज़्यादा जानें](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"चौड़ाई-ऊंचाई के गलत अनुपात वाली इमेज दिखाता है"},"lighthouse-core/audits/image-aspect-ratio.js | title":{
message:"चौड़ाई-ऊंचाई के सही अनुपात वाली इमेज दिखाता है"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"इमेज का असल साइज़"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"इमेज का दिखाया गया साइज़"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"इमेज का अनुमानित साइज़"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"इमेज का डाइमेंशन उसके डिसप्ले साइज़ और पिक्सल के अनुपात में होना चाहिए, ताकि वह ज़्यादा से ज़्यादा साफ़ दिख सके. [ज़्यादा जानें](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"पेज पर दिख रही इमेज का रिज़ॉल्यूशन कम है"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"पेज पर दिख रही इमेज का रिज़ॉल्यूशन ठीक है"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"यह ऐप्लिकेशन पहले से इंस्टॉल किया जा चुका है"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"मेनिफ़ेस्ट में से एक ज़रूरी आइकॉन को डाउनलोड नहीं किया जा सका"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"इंस्टॉल न हो पाने की वजह"},"lighthouse-core/audits/installable-manifest.js | description":{message:"सर्विस वर्कर एक ऐसी टेक्नोलॉजी है जो आपके ऐप्लिकेशन के लिए कई प्रगतिशील वेब ऐप्लिकेशन फ़ीचर चालू करती है, जैसे कि ऑफ़लाइन मोड, होमस्क्रीन पर जोड़ना, और पुश नोटिफ़िकेशन. सर्विस वर्कर और मेनिफ़ेस्ट में सही तरीके से किए गए बदलावों की मदद से, ब्राउज़र अपने-आप उपयोगकर्ताओं को आपके ऐप्लिकेशन को उनकी होमस्क्रीन पर जोड़ने का सुझाव दे सकते हैं. इस तरह, आपको उपयोगकर्ताओं के साथ बेहतर तरीके से जुड़ने में मदद मिल सकती है. [ज़्यादा जानें](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 गड़बड़ी}one{# गड़बड़ी}other{# गड़बड़ियां}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"वेब ऐप्लिकेशन मेनिफ़ेस्ट या सर्विस वर्कर, इंस्टॉल करने की ज़रूरी शर्तों को नहीं पूरा करते"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play स्टोर ऐप्लिकेशन का यूआरएल और आईडी आपस में मेल नहीं खाते"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"पेज को गुप्त विंडो में लोड किया गया है"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"'standalone', 'fullscreen' या 'minimal-ui' में से किसी एक मेनिफ़ेस्ट 'display' प्रॉपर्टी का होना ज़रूरी है"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"मेनिफ़ेस्ट में 'display_override' फ़ील्ड है, जबकि इसमें 'standalone', 'fullscreen' या 'minimal-ui' में से कोई एक डिसप्ले मोड होना ज़रूरी है. यह पहले डिसप्ले मोड के तौर पर काम करता है"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"मेनिफ़ेस्ट को फ़ेच नहीं किया जा सका, वह खाली है या उसे पार्स नहीं किया जा सका"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"मेनिफ़ेस्ट को फ़ेच करते समय उसका यूआरएल बदल गया."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"मेनिफ़ेस्ट में 'name' या 'short_name' फ़ील्ड नहीं है"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'मेनिफ़ेस्ट में सही आइकॉन नहीं है. इसमें PNG, SVG या WebP फ़ॉर्मैट में ऐसा आइकॉन होना ज़रूरी है जो कम से कम {value0} पिक्सल का हो. साथ ही, sizes एट्रिब्यूट को सेट करना ज़रूरी है. अगर purpose एट्रिब्यूट को भी सेट किया जाता है, तो यह ज़रूरी है कि उसमें "any" शामिल हो.'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'सेट न करें या "any" पर सेट करें वाले purpose एट्रिब्यूट के साथ दिया गया कोई भी आइकॉन, ऐसे PNG, SVG या WebP फ़ॉर्मैट में नहीं है जो कम से कम {value0} पिक्सल स्क्वेयर का हो'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{
message:"डाउनलोड किया गया आइकॉन खाली या खराब था"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"'Play स्टोर' आईडी नहीं दिया गया"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"पेज में कोई भी मेनिफ़ेस्ट <link> यूआरएल नहीं है"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"कोई भी मिलता-जुलता सर्विस वर्कर नहीं मिला. हो सकता है कि आपको पेज फिर से लोड करना पड़े या यह जांच करनी पड़े कि मौजूदा पेज के लिए सर्विस वर्कर का दायरा, मेनिफ़ेस्ट के दायरे और स्टार्ट यूआरएल जितना हो."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"मेनिफ़ेस्ट में 'start_url' फ़ील्ड न होने की वजह से सर्विस वर्कर की जांच नहीं की जा सकती"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"इंस्टॉल करने के दौरान हुई गड़बड़ी के '{errorId}' आईडी की पहचान नहीं हो पाई"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{
message:"पेज को किसी सुरक्षित ओरिजन पर नहीं खोला गया है"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"पेज को मुख्य फ़्रेम में लोड नहीं किया गया"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"यह पेज, ऑफ़लाइन मोड में काम नहीं करता"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"बताया गया ऐप्लिकेशन प्लैटफ़ॉर्म, Android पर काम नहीं करता"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"मेनिफ़ेस्ट, prefer_related_applications देता है: सही"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications सिर्फ़ Chrome बीटा और Android पर स्थिर चैनलों पर काम करता है."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"दिया गया मेनिफ़ेस्ट स्टार्ट यूआरएल मान्य नहीं है"},"lighthouse-core/audits/installable-manifest.js | title":{
message:"वेब ऐप्लिकेशन मेनिफ़ेस्ट और सर्विस वर्कर, इंस्टॉल करने की ज़रूरी शर्तों को पूरा करते हैं"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"मेनिफ़ेस्ट में मौजूद किसी यूआरएल में एक उपयोगकर्ता नाम, पासवर्ड या पोर्ट है"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"यह पेज, ऑफ़लाइन मोड में काम नहीं करता. अगस्त 2021 में Chrome 93 स्थिर चैनल रिलीज़ होने के बाद इस पेज को इंस्टॉल नहीं किया जा सकेगा."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"अनुमति दी गई"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"ब्लॉक किया गया"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"असुरक्षित यूआरएल"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"अनुरोध का रिज़ॉल्यूशन"},"lighthouse-core/audits/is-on-https.js | description":{
message:"सभी साइटों को एचटीटीपीएस की मदद से सुरक्षित किया जाना चाहिए. उन साइटों को भी जिनमें संवेदनशील जानकारी न हो. ऐसा करते समय, हमें [मिले-जुले कॉन्टेंट](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) से बचना होगा, जहां एचटीटीपीएस के शुरुआती अनुरोध के बावजूद कुछ संसाधन, एचटीटीपी पर लोड किए गए हैं. एचटीटीपीएस की वजह से अनचाहे लोग (घुसपैठिये), आपके ऐप्लिकेशन और उसके उपयोगकर्ताओं के बीच होने वाली बातों को न तो सुन पाएंगे और न ही उसके साथ किसी तरह की छेड़खानी कर पाएंगे. एचटीटीपी/2 और कई नए वेब प्लैटफ़ॉर्म एपीआई के लिए, एचटीटीपीएस इस्तेमाल करना ज़रूरी है. [ज़्यादा जानें](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 असुरक्षित अनुरोध मिला}one{# असुरक्षित अनुरोध मिले}other{# असुरक्षित अनुरोध मिले}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"HTTPS का इस्तेमाल नहीं किया जाता"},"lighthouse-core/audits/is-on-https.js | title":{
message:"HTTPS का इस्तेमाल करता है"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"अपने-आप एचटीटीपीएस भाषा कोड में अपग्रेड हो गया"},"lighthouse-core/audits/is-on-https.js | warning":{message:"चेतावनी के साथ अनुमति दी गई"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"लाइब्रेरी"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"JavaScript की लाइब्रेरी बड़ी होने से परफ़ॉर्मेंस खराब हो सकती है. इस बंडल का साइज़ कम करने के लिए छोटी और बराबर काम करने वाली लाइब्रेरी को प्राथमिकता दें. [ज़्यादा जानें](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 बड़ी लाइब्रेरी मिली}one{# बड़ी लाइब्रेरी मिली}other{# बड़ी लाइब्रेरी मिलीं}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"गैर-ज़रूरी रूप से बड़ी JavaScript लाइब्रेरी को बदलें"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"बड़ी JavaScript लाइब्रेरी से बचें, इनकी जगह छोटे विकल्प आज़माएं"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"यह व्यूपोर्ट में पेंट किया गया सबसे बड़ा कॉन्टेंटफ़ुल एलिमेंट है. [ज़्यादा जानें](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"सबसे बड़ा कॉन्टेंटफ़ुल पेंट वाला एलिमेंट"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"सीएलएस में योगदान"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"पेज के सीएलएस में सबसे ज़्यादा योगदान ये डीओएम एलिमेंट देते हैं."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"बड़े लेआउट शिफ़्ट से बचें"},"lighthouse-core/audits/long-tasks.js | description":{
message:"यह मुख्य थ्रेड पर सबसे लंबे टास्क की सूची बनाता है. इससे इनपुट डिले के लिए, सबसे खराब योगदान देने वालों की पहचान करने में मदद मिलती है. [ज़्यादा जानें](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# लंबा टास्क मिला}one{# लंबा टास्क मिला}other{# लंबे टास्क मिले}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"मुख्य थ्रेड के लंबे टास्क से बचें"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"श्रेणी"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"JS को पार्स करने, कंपाइल करने, और एक्ज़ीक्यूट करने में लगने वाला समय कम करें. इससे, छोटे-छोटे JS पेलोड डिलीवर करने में मदद मिलती है. [ज़्यादा जानें](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"मुख्य थ्रेड के काम को कम करना"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{
message:"मुख्य थ्रेड के काम को कम करता है"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"ज़्यादा से ज़्यादा उपयोगकर्ताओं तक पहुंचने के लिए, साइटों का सभी प्रमुख ब्राउज़र पर काम करना ज़रूरी है. [ज़्यादा जानें](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"यह वेबसाइट अलग-अलग ब्राउज़र पर काम करती है"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"पक्का करें कि हर पेज को यूआरएल के ज़रिए डीप लिंक किया जा सकता हो. साथ ही, वे ऐसे खास यूआरएल हों जिन्हें सोशल मीडिया पर शेयर किया जा सकता है. [ज़्यादा जानें](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"हर पेज का एक यूआरएल होता है"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"नेटवर्क धीमा होने पर भी वेब ऐप्लिकेशन में टैप करने पर ट्रांज़िशन की रफ़्तार तेज़ महसूस होनी चाहिए. इससे उपयाेगकर्ता की नज़र में आपके पेज की परफ़ॉर्मेंस अच्छी रहेगी. [ज़्यादा जानें](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"पेज ट्रांज़िशन को देखकर ऐसा नहीं लगना चाहिए जैसे कि वे नेटवर्क लोड होने का इंतज़ार कर रहे हैं"},"lighthouse-core/audits/maskable-icon.js | description":{message:"मास्क का इस्तेमाल किए जा सकने वाले आइकॉन से यह पक्का किया जाता है कि डिवाइस पर ऐप्लिकेशन इंस्टॉल करते समय, लेटरबॉक्स किए बिना इमेज पूरी जगह पर दिखती है. [ज़्यादा जानें](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"मेनिफ़ेस्ट में ऐसा कोई भी आइकॉन नहीं मिला जिसके लिए मास्क का इस्तेमाल किया जा सके"},"lighthouse-core/audits/maskable-icon.js | title":{message:"मेनिफ़ेस्ट में ऐसा आइकॉन है जिसके लिए मास्क का इस्तेमाल किया जा सकता है"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"कुल लेआउट शिफ़्ट, व्यूपोर्ट में दिखने वाले एलिमेंट की हलचल बताता है. [ज़्यादा जानें](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"फ़र्स्ट कॉन्टेंटफ़ुल पेंट से उस समय का पता चलता है जब पहले टेक्स्ट या इमेज को पेंट किया गया था. [ज़्यादा जानें](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"फ़र्स्ट मीनिंगफ़ुल पेंट, पेज की मुख्य सामग्री दिखाई देने का समय बताता है. [ज़्यादा जानें](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"इंटरैक्टिव में लगने वाला समय, वह समय है जितनी देर में पेज पूरी तरह से इंटरैक्टिव हो जाता है. [ज़्यादा जानें](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"सबसे बड़ा कॉन्टेंटफ़ुल पेंट, सबसे बड़े टेक्स्ट या इमेज को लोड करने में लगा समय बताता है. [ज़्यादा जानें](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"आपके उपयोगकर्ताओं को अनुभव होने वाले संभावित फ़र्स्ट इनपुट डिले में सबसे लंबे टास्क की अवधि शामिल होती है. [ज़्यादा जानें](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"स्पीड इंडेक्स से पता चलता है कि किसी पेज की सामग्री, विज़ुअल रूप से कितनी तेज़ी से डाली गई है. [ज़्यादा जानें](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"टास्क में 50 मि. से. से ज़्यादा होने पर एफ़सीपी और इंटरैक्टिव में लगने वाले कुल समय को मिलीसेकंड में बताया जाता है. [ज़्यादा जानें](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"नेटवर्क के 'दोतरफ़ा यात्रा के समय' (आरटीटी) का परफ़ॉर्मेंस पर बहुत गहरा असर होता है. शुरुआत की जगह पर आरटीटी ज़्यादा होने से यह पता चलता है कि अगर सर्वर इस्तेमाल करने वालों के करीब होंगे, तो परफ़ॉर्मेंस बेहतर हो सकती है. [ज़्यादा जानें](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"नेटवर्क का दोतरफ़ा यात्रा का समय"},"lighthouse-core/audits/network-server-latency.js | description":{message:"सर्वर के इंतज़ार के समय का असर वेब परफ़ॉर्मेंस पर हो सकता है. शुरुआती जगह के सर्वर के 'इंतज़ार का समय' ज़्यादा होने से यह पता चलता है कि सर्वर ओवरलोड हो गया है या उसकी बैकएंड परफ़ॉर्मेंस खराब है. [ज़्यादा जानें](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"सर्वर बैकएंड के इंतज़ार का समय"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` इवेंट भरोसेमंद तरीके से नहीं होता और इसे सुनने की वजह से, ब्राउज़र ऑप्टिमाइज़ेशन की कुछ सुविधाएं रुक सकती हैं. जैसे, बैक-फ़ॉरवर्ड कैश मेमोरी. इसके बजाय, `pagehide` या `visibilitychange` इवेंट इस्तेमाल करें. [ज़्यादा जानें](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"एक `unload` लिसनर रजिस्टर करता है"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"`unload` इवेंट लिसनर का इस्तेमाल नहीं किया जाता"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"कंपोज़िट नहीं किए गए ऐनिमेशन की क्वालिटी खराब हो सकती है और सीएलएस बढ़ सकता है. [ज़्यादा जानें](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# ऐनिमेशन वाला एलिमेंट मिला}one{# ऐनिमेशन वाला एलिमेंट मिला}other{# ऐनिमेशन वाले एलिमेंट मिले}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"फ़िल्टर से जुड़ी प्रॉपर्टी पिक्सल को अपनी जगह से हटा सकती है"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"टारगेट में दूसरा एनिमेशन है जो इसके साथ काम नहीं करता है"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'इफ़ेक्ट में "replace" के अलावा कंपोज़िट मोड है'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"कंपोज़िट नहीं किए गए ऐनिमेशन से बचें"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"रूपांतरण से जुड़ी प्रॉपर्टी बॉक्स के साइज़ पर निर्भर करती है"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{इसके साथ काम नहीं करने वाली सीएसएस प्रॉपर्टी: {properties}}one{इसके साथ काम नहीं करने वाली सीएसएस प्रॉपर्टी: {properties}}other{इसके साथ काम नहीं करने वाली सीएसएस प्रॉपर्टी: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"इस इफ़ेक्ट में समय के ऐसे पैरामीटर हैं जो काम नहीं करते"},"lighthouse-core/audits/performance-budget.js | description":{message:"नेटवर्क अनुरोधों की संख्या और उनकी क्वालिटी, आपको दिए गए परफ़ॉर्मेंस बजट की ओर से सेट किए गए लक्ष्यों के हिसाब से होनी चाहिए. [ज़्यादा जानें](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{अनुरोध}one{# अनुरोध}other{# अनुरोध}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"परफ़ॉर्मेंस बजट"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"`optional` फ़ॉन्ट पहले से लोड करें, ताकि वेबसाइट पर पहली बार आने वाले उपयोगकर्ता उन्हें इस्तेमाल कर सकें. [ज़्यादा जानें](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"`font-display: optional` वाले फ़ॉन्ट पहले से लोड नहीं किए गए हैं"},"lighthouse-core/audits/preload-fonts.js | title":{message:"`font-display: optional` वाले फ़ॉन्ट पहले से लोड किए गए हैं"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"एलसीपी एलिमेंट में मौजूद इमेज को पहले से लोड करें, ताकि एलसीपी लोड होने में लगने वाला समय कम किया जा सके. [ज़्यादा जानें](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"सबसे बड़े कॉन्टेंटफ़ुल पेंट वाली इमेज को पहले से लोड करें"},"lighthouse-core/audits/redirects-http.js | description":{
message:"अगर आप एचटीटीपीएस पहले ही सेट अप कर चुके हैं, तो पक्का करें कि अपने सभी उपयोगकर्ताओं के लिए सुरक्षित वेब फ़ीचर चालू करने के मकसद से आप सभी एचटीटीपी ट्रैफ़िक को एचटीटीपीएस पर रीडायरेक्ट करें. [ज़्यादा जानें](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"वेब पेज, एचटीटीपी ट्रैफ़िक को एचटीटीपीएस पर रीडायरेक्ट नहीं करता है"},"lighthouse-core/audits/redirects-http.js | title":{message:"वेब पेज, एचटीटीपी ट्रैफ़िक को एचटीटीपीएस पर रीडायरेक्ट करता है"},"lighthouse-core/audits/redirects.js | description":{message:"रीडायरेक्ट की वजह से पेज के लोड होने से लगने वाला समय और बढ़ जाता है. [ज़्यादा जानें](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"एक से ज़्यादा पेज रीडायरेक्ट करने से बचें"},"lighthouse-core/audits/resource-summary.js | description":{
message:"पेज संसाधनों की संख्या और आकार के बजट सेट करने के लिए, एक budget.json फ़ाइल जोड़ें. [ज़्यादा जानें](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 अनुरोध • {byteCount, number, bytes} किबीबाइट}one{# अनुरोध • {byteCount, number, bytes} किबीबाइट}other{# अनुरोध • {byteCount, number, bytes} किबीबाइट}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"अनुरोधों की संख्या कम और ट्रांसफ़र का आकार छोटा रखें"},"lighthouse-core/audits/seo/canonical.js | description":{message:"कैननिकल लिंक, खोज नतीजों में दिखाए जाने वाले यूआरएल के बारे में बताते हैं. [ज़्यादा जानें](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"कई कॉन्फ़्लिक्टिंग यूआरएल हैं ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"किसी दूसरे डोमेन की तरफ़ इशारा करता है ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"गलत यूआरएल ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"किसी दूसरी `hreflang` जगह वाली विशेषता ({url}) की तरफ़ इशारा करता है"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"मिलता-जुलता यूआरएल ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"मिलती-जुलती सामग्री वाले पेज पर ले जाने के बजाय डोमेन के रूट यूआरएल (होम पेज) पर ले जाता है"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"दस्तावेज़ में सही `rel=canonical` नहीं है"},"lighthouse-core/audits/seo/canonical.js | title":{message:"दस्तावेज़ में सही `rel=canonical` शामिल है"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"ऐसा लिंक जिसे क्रॉल नहीं किया जा सकता"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"वेबसाइटें क्रॉल करने के लिए, सर्च इंजन, लिंक पर `href` विशेषताएं इस्तेमाल कर सकते हैं. पक्का करें कि एंकर एलिमेंट की `href` विशेषता किसी सही डेस्टिनेशन से लिंक हो, ताकि साइट के ज़्यादा पेज खोजे जा सकें. [ज़्यादा जानें](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"ये लिंक क्रॉल नहीं किए जा सकते"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"ये लिंक क्रॉल किए जा सकते हैं"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"पढ़ा न जा सकने वाला अन्य टेक्स्ट"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"फ़ॉन्ट का साइज़"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"पेज के टेक्स्ट का %"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"सिलेक्टर"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"पढ़ने के नज़रिए से, 12px से कम आकार वाले फ़ॉन्ट काफ़ी छोटे होते हैं. ऐसा होने पर, मोबाइल से वेबसाइट पर आने वालों को पढ़ने के लिए “पिंच करके ज़ूम करना” होगा. कोशिश करें कि पेज का 60% से ज़्यादा टेक्स्ट 12px या उससे बड़े आकार का हो. [ज़्यादा जानें](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} टेक्स्ट पढ़ने लायक है"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"मोबाइल स्क्रीन के लिए कोई व्यूपोर्ट मेटा टैग ऑप्टिमाइज़ नहीं किए जाने की वजह से टेक्स्ट पढ़ने लायक नहीं है."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"दस्तावेज़ पढ़ने लायक फ़ॉन्ट आकारों का इस्तेमाल नहीं करता है"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"पढ़ा जा सकने वाला टेक्स्ट"},"lighthouse-core/audits/seo/font-size.js | title":{message:"दस्तावेज़ पढ़ने लायक फ़ॉन्ट आकारों का इस्तेमाल करता है"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"hreflang लिंक से सर्च इंजन को यह पता चलता है कि किसी खास भाषा या क्षेत्र के लिए पेज के किस वर्शन को खोज नतीजों में रखना चाहिए. [ज़्यादा जानें](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"दस्तावेज़ में सही `hreflang` नहीं है"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"मिलते-जुलते href मान को गलत तरीके से इस्तेमाल किया गया"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"दस्तावेज़ में सही `hreflang` शामिल है"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"ऐसे भाषा कोड का इस्तेमाल किया गया जिसकी उम्मीद नहीं थी"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"ऐसे पेज ठीक से इंडेक्स नहीं किए जा सकते जिनमें काम न करने वाले एचटीटीपी स्टेटस कोड हों. [ज़्यादा जानें](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"पेज में काम नहीं करने वाला एचटीटीपी स्थिति कोड है"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"पेज में काम करने वाला एचटीटीपी स्थिति कोड है"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"अगर सर्च इंजन के पास आपके पेज क्रॉल करने की मंज़ूरी नहीं होती, तो वे खोज नतीजों में आपके पेज शामिल नहीं कर पाएंगे. [ज़्यादा जानें](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"पेज को इंडेक्स करने से ब्लॉक किया गया है"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"पेज को इंडेक्स करने से ब्लॉक नहीं किया गया है"},"lighthouse-core/audits/seo/link-text.js | description":{message:"लिंक की पूरी जानकारी देने वाले टेक्स्ट की मदद से सर्च इंजन आपकी सामग्री के बारे में समझ पाते हैं. [ज़्यादा जानें](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 लिंक मिला}one{# लिंक मिले}other{# लिंक मिले}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{
message:"लिंक में पूरी जानकारी देने वाला टेक्स्ट नहीं है"},"lighthouse-core/audits/seo/link-text.js | title":{message:"लिंक में पूरी जानकारी देने वाला टेक्स्ट है"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"स्ट्रक्चर्ड डेटा की पुष्टि करने के लिए [स्ट्रक्चर्ड डेटा टेस्टिंग टूल](https://search.google.com/structured-data/testing-tool/) और [ स्ट्रक्चर्ड डेटा लिंटर](http://linter.structured-data.org/) चलाएं. [ज़्यादा जानें](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"स्ट्रक्चर्ड डेटा सही है"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"खोज नतीजों में मुख्य जानकारी शामिल हो सकती है, ताकि पेज सामग्री के बारे में थोड़े शब्दों में खास जानकारी दी जा सके. [ज़्यादा जानें](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"ब्यौरे का टेक्स्ट खाली है."},
"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"दस्तावेज़ में संक्षिप्त विवरण नहीं है"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"दस्तावेज़ में संक्षिप्त विवरण है"},"lighthouse-core/audits/seo/plugins.js | description":{message:"सर्च इंजन प्लग इन की सामग्री इंडेक्स नहीं कर सकते. साथ ही, कई डिवाइस प्लग इन पर पाबंदी लगाते हैं या वे उन पर काम नहीं करते. [ज़्यादा जानें](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"दस्तावेज़ प्लग इन का इस्तेमाल करता है"},"lighthouse-core/audits/seo/plugins.js | title":{message:"दस्तावेज़ प्लग इन से बचता है"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"अगर आपकी robots.txt फ़ाइल सही नहीं है, तो क्रॉलर यह नहीं समझ पाएंगे कि आप अपनी वेबसाइट को किस तरह क्रॉल या इंडेक्स करना चाहते हैं. [ज़्यादा जानें](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{
message:"robots.txt के अनुरोध ने यह एचटीटीपी स्थिति लौटाई है: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 गड़बड़ी मिली}one{# गड़बड़ियां मिलीं}other{# गड़बड़ियां मिलीं}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse, robots.txt फ़ाइल डाउनलोड नहीं कर सका"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt सही नहीं है"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt सही है"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"बटन और लिंक जैसे इंटरैक्टिव एलिमेंट, आकार में बड़े (48x48px) होने चाहिए और इनके आस-पास बड़ी जगह होनी चाहिए. ऐसा करने से, दूसरे एलिमेंट को ओवरलैप किए बिना आसानी से उन पर टैप किया जा सकेगा. [ज़्यादा जानें](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} टैप की जाने वाली जगहें सही आकार में हैं"},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"मोबाइल स्क्रीन के लिए कोई व्यूपोर्ट मेटा टैग ऑप्टिमाइज़ नहीं किए जाने की वजह से टैप की जाने वाली जगहें काफ़ी छोटी हैं"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"टैप की जाने वाली जगहें सही आकार में नहीं हैं"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"ओवरलैप करने वाली जगह"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"टैप की जाने वाली जगह"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"टैप की जाने वाली जगहें सही आकार में हैं"},"lighthouse-core/audits/server-response-time.js | description":{message:"मुख्य दस्तावेज़ के लिए, अनुरोध का जवाब देने में सर्वर को लगने वाला समय कम रखें, क्योंकि सभी अनुरोध इस पर ही निर्भर हैं. [ज़्यादा जानें](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{
message:"रुट दस्तावेज़ बनने में {timeInMs, number, milliseconds} मि.से. का समय लगा"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"जवाब देने में सर्वर को लगने वाला शुरुआती समय कम करें"},"lighthouse-core/audits/server-response-time.js | title":{message:"जवाब देने में सर्वर को लगने वाला शुरुआती समय कम था"},"lighthouse-core/audits/service-worker.js | description":{message:"सर्विस वर्कर एक ऐसी तकनीक है जो आपके ऐप्लिकेशन के लिए कई प्रगतिशील वेब ऐप्लिकेशन फ़ीचर जैसे कि ऑफ़लाइन, होमस्क्रीन पर जोड़ें, और पुश नोटिफ़िकेशन को चालू करती है. [ज़्यादा जानें](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"इस पेज का नियंत्रण सर्विस वर्कर के पास है. हालांकि, कोई `start_url` नहीं मिला, क्योंकि मेनिफ़ेस्ट को मान्य JSON के रूप में पार्स नहीं किया जा सका"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"इस पेज का नियंत्रण सर्विस वर्कर के पास है. हालांकि, `start_url` ({startUrl}) सर्विस वर्कर के दायरे में नहीं है ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"इस पेज का नियंत्रण सर्विस वर्कर के पास है. हालांकि, कोई `start_url` नहीं मिला, क्योंकि किसी पेज पर कोई मेनिफ़ेस्ट ही नहीं था."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"यहां पर एक या ज़्यादा सर्विस वर्कर हैं. हालांकि, पेज ({pageUrl}) दायरे में नहीं है."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"किसी ऐसे सर्विस वर्कर को रजिस्टर नहीं करता जो पेज और `start_url` को नियंत्रित करता है"},"lighthouse-core/audits/service-worker.js | title":{message:"किसी ऐसे सर्विस वर्कर को रजिस्टर करता है जो पेज और `start_url` को नियंत्रित करता है"},"lighthouse-core/audits/splash-screen.js | description":{
message:"उपयोगकर्ता जब अपनी होमस्क्रीन से आपका ऐप्लिकेशन लॉन्च करते हैं, तो थीम वाली स्प्लैश स्क्रीन की वजह से इस्तेमाल करने वालों को अच्छा अनुभव मिलता है. [ज़्यादा जानें](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"पसंद के मुताबिक स्प्लैश स्क्रीन के लिए कॉन्फ़िगर नहीं किया गया"},"lighthouse-core/audits/splash-screen.js | title":{message:"पसंद के मुताबिक स्प्लैश स्क्रीन के लिए कॉन्फ़िगर किया गया"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"ब्राउज़र के 'पता बार' की थीम ऐसी हो सकती है जो आपकी वेबसाइट से मेल खाए. [ज़्यादा जानें](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"'पता बार' के लिए थीम का रंग सेट नहीं करता है."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"'पता बार' के लिए थीम का रंग सेट करता है."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (ग्राहक सहायता)"},
"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (मार्केटिंग)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (सोशल)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (वीडियो)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"प्रॉडक्ट"},"lighthouse-core/audits/third-party-facades.js | description":{message:"तीसरे पक्ष के एम्बेड किए गए कुछ ऑब्जेक्ट को धीमी रफ़्तार से लोड किया जा सकता है. जब तक ये ऑब्जेक्ट ज़रूरी न हों, तब तक इनकी जगह फ़साड का इस्तेमाल करें. [ज़्यादा जानें](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{विकल्प के तौर पर # फ़साड उपलब्ध है}one{विकल्प के तौर पर # फ़साड उपलब्ध है}other{विकल्प के तौर पर # फ़साड उपलब्ध हैं}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{
message:"तीसरे पक्ष के कुछ संसाधनों को फ़साड की मदद से धीमी रफ़्तार से लोड किया जा सकता है"},"lighthouse-core/audits/third-party-facades.js | title":{message:"तीसरे पक्ष के संसाधनों को फ़साड की मदद से धीमी रफ़्तार से लोड करें"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"तीसरा पक्ष"},"lighthouse-core/audits/third-party-summary.js | description":{message:"तीसरे पक्ष के कोड आपके पेज की लोड परफ़ॉर्मेंस पर गहरा असर कर सकते हैं. ऐसी तीसरे-पक्ष की सेवा देने वाली कंपनियों का इस्तेमाल ज़्यादा न करें जिनके कोड अब आपके काम के नहीं हैं. साथ ही, तीसरे पक्ष का कोड तब लोड करें जब आपके पेज पर मुख्य लोडिंग का काम पूरा हो गया हो. [ज़्यादा जानें](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"तीसरे पक्ष के कोड ने {timeInMs, number, milliseconds} एमएस के लिए मुख्य थ्रेड को ब्लॉक कर दिया है"},
"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"तीसरे पक्ष के कोड का असर कम करें"},"lighthouse-core/audits/third-party-summary.js | title":{message:"तीसरे पक्ष के इस्तेमाल को कम करें"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"माप"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"मेट्रिक"},"lighthouse-core/audits/timing-budget.js | description":{message:"अपनी साइट की परफ़ॉर्मेस पर नज़र रखने के लिए टाइमिंग बजट सेट करें. अच्छा परफ़ॉर्म करने वाली साइटें जल्दी लोड होती हैं. साथ ही, उपयोगकर्ताओं के इनपुट इवेंट का जल्दी जवाब देती हैं. [ज़्यादा जानें](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"टाइमिंग बजट"},"lighthouse-core/audits/unsized-images.js | description":{
message:"इमेज एलिमेंट पर, चौड़ाई और ऊंचाई की जानकारी साफ़ तौर पर दें, ताकि लेआउट शिफ़्ट कम किया जा सके और सीएलएस को बेहतर बनाया जा सके. [ज़्यादा जानें](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"इमेज एलिमेंट पर, `width` और `height` के बारे में साफ़-साफ़ नहीं बताया गया है"},"lighthouse-core/audits/unsized-images.js | title":{message:"इमेज एलिमेंट पर, `width` और `height` की जानकारी साफ़ तौर पर दी गई है"},"lighthouse-core/audits/user-timings.js | columnType":{message:"प्रकार"},"lighthouse-core/audits/user-timings.js | description":{message:"मुख्य उपयोगकर्ता अनुभवों के दौरान, असली दुनिया के माप तैयार करने के लिए अपने ऐप्लिकेशन को 'उपयोगकर्ता समय एपीआई' की मदद से तैयार करें. [ज़्यादा जानें](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 उपयोगकर्ता समय}one{# उपयोगकर्ता समय}other{# उपयोगकर्ता समय}}"},
"lighthouse-core/audits/user-timings.js | title":{message:"उपयोगकर्ता समय अंक और मापन"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'"{securityOrigin}" के लिए एक `<link rel=preconnect>` मिला था, लेकिन ब्राउज़र ने इसका इस्तेमाल नहीं किया. जांच करें कि आप `crossorigin` एट्रिब्यूट का ठीक से इस्तेमाल कर रहे हैं.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"तीसरे पक्ष से जल्दी कनेक्शन बनाने के लिए `preconnect` या `dns-prefetch` संसाधन संकेत जोड़ें. [ज़्यादा जानें](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"ज़रूरी मूल से प्री-कनेक्ट करें"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"दो से ज़्यादा `<link rel=preconnect>` लिंक पाए गए. इनका इस्तेमाल सिर्फ़ अहम कनेक्शन के लिए सावधानी के साथ किया जाना चाहिए."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:'"{securityOrigin}" के लिए एक `<link rel=preconnect>` मिला था, लेकिन ब्राउज़र ने इसका इस्तेमाल नहीं किया. `preconnect` का इस्तेमाल सिर्फ़ उन ज़रूरी वेबसाइटों के लिए करें जिनके लिए कोई पेज खास तौर पर अनुरोध करेगा.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'"{preloadURL}" के लिए पहले से लोड किया गया एक `<link>` मिला था, लेकिन ब्राउज़र ने इसका इस्तेमाल नहीं किया. जांच करें कि आप `crossorigin` एट्रिब्यूट का ठीक से इस्तेमाल कर रहे हैं.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"`<link rel=preload>` का इस्तेमाल करके उन संसाधनों को पाने को प्राथमिकता दें जिन्हें फ़िलहाल पेज लोड में 'बाद में चाहिए होंगे' का दर्जा दिया गया है. [ज़्यादा जानें](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"प्रमुख अनुरोधों को पहले से लोड करें"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"मैप का यूआरएल"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"सोर्स मैप, छोटे किए गए कोड का मूल सोर्स कोड में अनुवाद करते हैं. यह डेवलपर को डेटा तैयार करने के दौरान, डीबग करने में मदद करता है. इसके अलावा, Lighthouse, आगे की अहम जानकारी दे सकता है. ये फ़ायदे पाने के लिए, सोर्स मैप को डिप्लॉय करने पर विचार करें. [ज़्यादा जानें](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"पहले पक्ष की बड़ी JavaScript के लिए सोर्स मैप नहीं मिले"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"बड़ी JavaScript फ़ाइल में एक सोर्स मैप नहीं है"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{चेतावनी: `.sourcesContent` में 1 आइटम नहीं है}one{चेतावनी: `.sourcesContent` में # आइटम नहीं है}other{चेतावनी: `.sourcesContent` में # आइटम नहीं हैं}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"पेज में मान्य सोर्स मैप हैं"},
"lighthouse-core/audits/viewport.js | description":{message:'अपने ऐप्लिकेशन को किसी भी मोबाइल स्क्रीन पर ऑप्टिमाइज़ करने के लिए `<meta name="viewport">` टैग जोड़ें. [ज़्यादा जानें](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'कोई `<meta name="viewport">` टैग नहीं मिला'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'वेब पेज पर कोई `width` या `initial-scale` वाला `<meta name="viewport">` टैग नहीं है'},"lighthouse-core/audits/viewport.js | title":{message:'वेब पेज पर `width` या `initial-scale` वाला `<meta name="viewport">` टैग है'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"ये आपके ऐप्लिकेशन में ARIA के इस्तेमाल को बेहतर बनाने के अवसर हैं, जिससे उपयोगकर्ताओं का स्क्रीन रीडर जैसी सहायक तकनीक का अनुभव बेहतर हो सकता है."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"ये अवसर ऑडियो और वीडियो के लिए वैकल्पिक सामग्री मुहैया कराते हैं. इससे ऐसे इस्तेमाल करने वालों को बेहतर सुविधा मिल सकती है जो ठीक से सुन या देख नहीं पाते हैं."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"ऑडियो और वीडियो"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"ये आइटम सुलभता के सबसे अच्छे सामान्य तरीके हाइलाइट करते हैं."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"सबसे अच्छे तरीके"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"ये सभी जांच आपको [आपके वेब ऐप्लिकेशन की सुलभता बेहतर करने](https://developers.google.com/web/fundamentals/accessibility) के अवसर देती हैं. सुलभता गड़बड़ियों के सिर्फ़ एक उपसेट के बारे में अपने आप पता लगाया जा सकता है, इसलिए हम मैन्युअल टेस्टिंग का सुझाव देते हैं."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"ये आइटम ऐसे मामलों में भी काम करते हैं जहां अपने आप काम करने वाला टेस्टिंग टूल नाकाम रहता है. हमारी गाइड में जाकर [सुलभता समीक्षा करने](https://developers.google.com/web/fundamentals/accessibility/how-to-review) के बारे में ज़्यादा जानें."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"सुलभता"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"आपकी सामग्री को पढ़ने में आसान बनाने के अवसर मौजूद हैं."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"कंट्रास्ट"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"इन अवसरों की मदद से कई भाषाओं में उपयोगकर्ताओं के ज़रिए आपकी सामग्री के प्रस्तुतिकरण को बेहतर बनाया जा सकता है."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"अंतरराष्ट्रीय और स्थानीय भाषा के अनुसार"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"इन अवसरों से आपके ऐप्लिकेशन में नियंत्रणों के सीमेंटिक (शब्दार्थ विज्ञान) को बेहतर बनाया जा सकता है. इससे उपयोगकर्ता का स्क्रीन रीडर जैसी सहायक तकनीक का अनुभव बेहतर हो सकता है."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"नाम और लेबल"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"ये अवसर आपके ऐप्लिकेशन में कीबोर्ड नेविगेशन को बेहतर बनाते हैं."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"नेविगेशन"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"स्क्रीन रीडर जैसी इन सहायक टेक्नोलॉजी का इस्तेमाल करके, आप टेबल या सूची का डेटा पढ़ने की सुविधा को बेहतर बना सकते हैं."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"टेबल और सूचियां"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"ब्राउज़र किस-किस के साथ काम करता है"},
"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"सबसे अच्छे तरीके"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"सामान्य"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"भरोसा और सुरक्षा"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"उपयोगकर्ता का अनुभव"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"परफ़ॉर्मेंस बजट बनाकर आप अपनी साइट की परफ़ॉर्मेंस के मानक तय करते हैं."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"बजट"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"आपके ऐप्लिकेशन के परफ़ॉर्मेंस के बारे में ज़्यादा जानकारी. इन आंकड़ों का परफ़ॉर्मेंस स्कोर पर [सीधा असर](https://web.dev/performance-scoring/) नहीं पड़ता."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"निदान"},
"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"परफ़ॉर्मेंस का सबसे अहम पहलू यह है कि स्क्रीन पर पिक्सेल कितनी तेज़ी से रेंडर होते हैं. प्रमुख मेट्रिक: उपयोगी सामग्री वाला पहला पेंट, पहला उपयोगी पेंट"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"पहले पेंट के सुधार"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"इन सुझावों से आप अपने पेज को तेज़ी से लोड करा सकते हैं. इनसे आपके परफ़ॉर्मेंस स्कोर पर [सीधा असर](https://web.dev/performance-scoring/) नहीं होगा."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"अवसर"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"मेट्रिक"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"पूरे लोडिंग अनुभव को बेहतर बनाएं ताकि पेज जवाब दे और जल्दी से जल्दी इस्तेमाल के लिए तैयार हो जाए. प्रमुख मेट्रिक: इंटरेक्टिव में लगने वाला समय, गति इंडेक्स"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"समस्त सुधार"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"परफ़ॉर्मेंस"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"ये जांच प्रगतिशील वेब ऐप्लिकेशन के पहलुओं की पुष्टि करती हैं. [ज़्यादा जानें](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"इस तरह की जांच, बेसलाइन [PWA चेकलिस्ट](https://developers.google.com/web/progressive-web-apps/checklist) के लिए ज़रूरी हैं, लेकिन Lighthouse इनकी जांच अपने आप नहीं करता है. वे आपके स्कोर पर असर नहीं डालते हैं, लेकिन इनकी मैन्युअल तरीके से पुष्टि करना ज़रूरी है."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{
message:"प्रगतिशील वेब ऐप्लिकेशन"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"इंस्टॉल किया जा सकता है"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA ऑप्टिमाइज़ किया गया"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"ये जांच पक्का करती हैं कि आपका पेज, सर्च इंजन के नतीजे रैंक करने के लिए ऑप्टिमाइज़ किया हुआ है. दूसरी वजहों से Lighthouse जांच नहीं करता है. इसका असर आपकी खोज की रैंकिंग पर हो सकता है. [ज़्यादा जानें](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"SEO के दूसरे सबसे अच्छे तरीके देखने के लिए अपनी साइट पर पुष्टि करने वाले ये और भी टूल चलाएं."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"अपने एचटीएमएल को इस तरह फ़ॉर्मैट करें जिससे क्रॉलर आपके ऐप्लिकेशन की सामग्री को बेहतर ढंग से समझ सकें."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"सामग्री से जुड़े सबसे अच्छे तरीके"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"खोज नतीजों में दिखाई देने के लिए, क्रॉलर को आपके ऐप्लिकेशन का ऐक्सेस चाहिए."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"क्रॉल करना और इंडेक्स करना"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"यह पक्का करें कि आपके पेज मोबाइल फ़्रेंडली हों. इससे सामग्री वाले पेज पढ़ने के लिए उपयोगकर्ताओं को पिंच या ज़ूम नहीं करना पड़ेगा. [ज़्यादा जानें](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"मोबाइल फ़्रेंडली"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"ऐसा लगता है कि जांचे गए डिवाइस का सीपीयू, अनुमानित Lighthouse बेसलाइन से धीमा है. इससे आपके परफ़ॉर्मेंस स्कोर पर बुरा असर पड़ सकता है. [सही सीपीयू स्लोडाउन मल्टिप्लायर को कैलिब्रेट करने](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling) के बारे में ज़्यादा जानें."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"शायद पेज उम्मीद के मुताबिक लोड नहीं हो रहा है, क्योंकि आपके टेस्ट यूआरएल ({requested}) को {final} की ओर रीडायरेक्ट किया गया था. टेस्टिंग के लिए दूसरा यूआरएल आज़माएं."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"धीरे लोड होने की वजह से, पेज तय समयसीमा में पूरी तरह लोड नहीं हो पाया. नतीजे अधूरे हो सकते हैं."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{हो सकता है कि सेव किया गया डेटा इस जगह पर, लोड होने की परफ़ॉर्मेंस पर असर डाल रहा हो: {locations}. इस पेज को गुप्त विंडो में ऑडिट करें, ताकि उन संसाधनों का आपके स्कोर पर कोई असर न पड़े.}one{हो सकता है कि सेव किया गया डेटा इस जगह पर, लोड होने की परफ़ॉर्मेंस पर असर डाल रहा हो: {locations}. इस पेज को गुप्त विंडो में ऑडिट करें, ताकि उन संसाधनों का आपके स्कोर पर कोई असर न पड़े.}other{हो सकता है कि सेव किया गया डेटा इन जगहों पर, लोड होने की परफ़ॉर्मेंस पर असर डाल रहा हो: {locations}. इस पेज को गुप्त विंडो में ऑडिट करें, ताकि उन संसाधनों का आपके स्कोर पर कोई असर न पड़े.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"https: और http: यूआरएल स्कीम जोड़ें, ताकि CSP पुराने ब्राउज़र के साथ काम कर सके. 'strict-dynamic' के साथ काम करने वाले ब्राउज़र पर इन स्कीम को अनदेखा किया जा सकता है."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:"CSP3 के बाद से disown-opener काम नहीं करता. इसके बजाय, कृपया Cross-Origin-Opener-Policy हेडर का इस्तेमाल करें."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"CSP2 के बाद से referrer काम नहीं करता. इसके बजाय, कृपया Referrer-Policy हेडर का इस्तेमाल करें."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"CSP2 के बाद से reflected-xss काम नहीं करता. इसके बजाय, कृपया X-XSS-Protection हेडर का इस्तेमाल करें."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"base-uri डायरेक्टिव शामिल न करने पर, इंजेक्ट किए गए <base> टैग की मदद से सभी मिलते-जुलते यूआरएल (जैसे, स्क्रिप्ट) के लिए बेस यूआरएल सेट हो जाता है. ऐसा उस डोमेन में होता है जिसे कोई हमलावर कंट्रोल करता है. base-uri को 'none' या 'self' पर सेट करें."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"object-src की मदद से कंट्रोल किए जा रहे एलिमेंट, विरासती फ़ीचर माने जाते हैं. object-src को 'none' पर सेट करें, ताकि प्लग इन न डाले जा सकें. इनमें ऐसे प्लग इन शामिल हैं जो असुरक्षित स्क्रिप्ट चलाते हैं."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src डायरेक्टिव मौजूद नहीं है. इस वजह से, असुरक्षित स्क्रिप्ट चल सकती हैं."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"क्या आप सेमीकोलन डालना भूल गए? {keyword} एक कीवर्ड नहीं, डायरेक्टिव लग रहा है."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces में base64 charset का इस्तेमाल किया जाना चाहिए."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces में कम से कम आठ वर्ण होने चाहिए."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"रिपोर्टिंग डेस्टिनेशन को सिर्फ़ report-to डायरेक्टिव की मदद से कॉन्फ़िगर किया जाता है. यह डायरेक्टिव सिर्फ़ Chromium कोड वाले ब्राउज़र में काम करता है, इसलिए report-uri डायरेक्टिव भी इस्तेमाल करने का सुझाव दिया जाता है."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"कोई भी CSP, रिपोर्टिंग डेस्टिनेशन को कॉन्फ़िगर नहीं करता. समय के साथ, इसकी वजह से CSP को मेंटेन करने और किसी भी तरह के ब्रेकेज को मॉनिटर करने में दिक्कत होती है."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"होस्ट की 'अनुमति वाली सूचियों' को अक्सर बायपास किया जा सकता है. 'strict-dynamic' को CSP nonces या hashes के साथ इस्तेमाल करें."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"इस CSP डायरेक्टिव की जानकारी नहीं है."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} एक गलत/अमान्य कीवर्ड लग रहा है."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"'unsafe-inline', असुरक्षित इन-पेज स्क्रिप्ट और इवेंट हैंडलर चलाने की अनुमति देता है. एक-एक करके स्क्रिप्ट को अनुमति देने के लिए, CSP nonces या hashes इस्तेमाल करें."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"'unsafe-inline' जोड़ें, ताकि CSP पुराने ब्राउज़र के साथ काम कर सके. nonces/hashes के साथ काम करने वाले ब्राउज़र पर 'unsafe-inline' को अनदेखा किया जा सकता है."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"मुख्य थ्रेड ब्लॉक होने का समय"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"कैश TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"ब्यौरा"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"कुल समय"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"तत्व"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"काम नहीं कर पाने वाले एलिमेंट"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"जगह की जानकारी"},
"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"नाम"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"बजट से ज़्यादा"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"अनुरोध"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"संसाधन का साइज़"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"संसाधन का प्रकार"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"आकार"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"स्रोत"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"शुरुआत का समय"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"बिताया गया समय"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"ट्रांसफ़र आकार"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"यूआरएल"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"संभावित बचत"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"संभावित बचत"},
"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"{wastedBytes, number, bytes} किबीबाइट मेमोरी बचाई जा सकती है"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 एलिमेंट मिला}one{# एलिमेंट मिला}other{# एलिमेंट मिले}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"{wastedMs, number, milliseconds} मि. से. की संभावित बचत"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"दस्तावेज़"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"पहला सार्थक पेंट"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"फ़ॉन्ट"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"इमेज"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{
message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"ज़्यादा"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"कम"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"मीडियम"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"सबसे ज़्यादा संभावित फ़र्स्ट इनपुट डिले"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"मीडिया"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} मि.से."},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"कोई दूसरा विकल्प"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"अन्य संसाधन"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"स्क्रिप्ट"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} से."},
"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"स्टाइलशीट"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"तीसरा पक्ष"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"कुल"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"आपके पेज लोड में ट्रेस की रिकॉर्डिंग करते समय कोई गड़बड़ी हुई. कृपया Lighthouse को फिर से चलाएं. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"शुरुआती डीबगर प्रोटोकॉल कनेक्शन का इंतज़ार करते हुए समय खत्म हो गया."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome ने पेज लोड के दौरान कोई भी स्क्रीन शॉट इकट्ठा नहीं किया. कृपया पक्का करें कि पेज पर सामग्री दिखाई दे रही है. इसके बाद, Lighthouse को फिर से चलाकर देखें. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS सर्वर दिए गए डोमेन को हल नहीं कर सका."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"ज़रूरी {artifactName} इकट्ठा करने वाला संसाधन चलाने में गड़बड़ी हुई: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"एक अंदरूनी Chrome गड़बड़ी हुई. कृपया Chrome को रीस्टार्ट करें और Lighthouse को फिर से चलाकर देखें."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"ज़रूरी {artifactName} इकट्ठा करने वाला संसाधन नहीं चलाया जा सका."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"पेज ने किसी भी कॉन्टेंट को पेंट नहीं किया. कृपया पक्का करें कि आप पेज को लोड करते समय, ब्राउज़र विंडो को फ़ोरग्राउंड में रखें और फिर से कोशिश करें. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"यह पेज, एचटीएमएल भाषा कोड में नहीं है. यह MIME टाइप {mimeType} में दिया गया है."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{
message:"Chrome का यह वर्शन बहुत पुराना है, इसलिए यह '{featureName}' के साथ काम नहीं करता. पूरे नतीजे देखने के लिए, नए वर्शन का इस्तेमाल करें."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse आपका अनुरोध किया गया पेज ठीक से लोड नहीं कर सका. पक्का करें कि आप सही यूआरएल को टेस्ट कर रहे हैं और सर्वर सभी अनुरोधों के लिए ठीक से काम कर रहा है."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse उस यूआरएल को भरोसेमंद रूप से लोड नहीं कर सका जिसका आपने अनुरोध किया था क्योंकि पेज ने काम करना बंद कर दिया था."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"आपके दिए यूआरएल में सही सुरक्षा सर्टिफ़िकेट नहीं है. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome ने वे पेज लोड नहीं किए जिन पर अचानक दिखने वाले विज्ञापन होते हैं. पक्का करें कि आप सही यूआरएल को टेस्ट कर रहे हैं और सर्वर सभी अनुरोधों के लिए ठीक से काम कर रहा है."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse आपका अनुरोध किया गया पेज ठीक से लोड नहीं कर सका. पक्का करें कि आप सही यूआरएल को टेस्ट कर रहे हैं और सर्वर सभी अनुरोधों के लिए ठीक से काम कर रहा है. (जानकारी: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse आपका अनुरोध किया गया पेज ठीक से लोड नहीं कर सका. पक्का करें कि आप सही यूआरएल को टेस्ट कर रहे हैं और सर्वर सभी अनुरोधों के लिए ठीक से काम कर रहा है. (स्थिति कोड: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"आपके पेज को लोड होने में बहुत ज़्यादा समय लगा. अपने पेज के लोड होने का समय कम करने के लिए, कृपया रिपोर्ट में दिए गए अवसरों का फ़ायदा लें. इसके बाद, Lighthouse को फिर से चलाकर देखें. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools प्रोटोकॉल जवाब के लिए इंतज़ार का समय, तय समय से ज़्यादा हो गया है. (तरीका:{protocolMethod})"},
"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"संसाधन की सामग्री लाने में दिए गए समय से ज़्यादा समय लगा"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"आपका दिया हुआ यूआरएल गलत लगता है."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"सभी"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"सभी स्क्रिप्ट"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"कवरेज"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"डुप्लीकेट मॉड्यूल"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"फ़ाइल का साइज़ (बाइट में)"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"नाम"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"टेबल को टॉगल करें"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"इस्तेमाल न की गई बाइट की संख्या"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"ऐनिमेशन वाले कॉन्टेंट के लिए, [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) का इस्तेमाल करें. इससे, कॉन्टेंट के ऑफ़स्क्रीन होने पर सीपीयू का इस्तेमाल कम होगा."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"अपने सभी [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) कॉम्पोनेंट को WebP फ़ॉर्मैट में दिखाएं. साथ ही, अन्य ब्राउज़र के लिए सही फ़ॉलबैक तय करें. [ज़्यादा जानें](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"पक्का करें कि आप इमेज को अपने-आप धीमे लोड करने के लिए, [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) का इस्तेमाल कर रहे हैं. [ज़्यादा जानें](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"[एएमपी लेआउट को सर्वर-साइड पर रेंडर करने](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) के लिए, [एएमपी ऑप्टिमाइज़र](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) जैसे टूल इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"[AMP दस्तावेज़](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) देखें और पक्का करें कि सभी स्टाइल इसके साथ काम करते हैं."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) कॉम्पोनेंट, [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) एट्रिब्यूट के साथ काम करता है. यह बताता है कि अलग-अलग साइज़ की स्क्रीन के हिसाब से किन इमेज एसेट का इस्तेमाल किया जाए. [ज़्यादा जानें](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"अगर बहुत बड़ी सूचियां रेंडर की जा रही हैं, तो कॉम्पोनेंट डेवलपमेंट किट (सीडीके) के साथ इसे वर्चुअल तरीके से स्क्रोल करें. [ज़्यादा जानें](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"अपने JavaScript बंडलों को छोटा करने के लिए, [रूट-लेवल पर कोड को अलग-अलग करने की सुविधा](https://web.dev/route-level-code-splitting-in-angular/) लागू करें. साथ ही, [ऐंगुलर सर्विस वर्कर](https://web.dev/precaching-with-the-angular-service-worker/) की मदद से, एसेट को पहले से कैश मेमोरी में सेव करें."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"अगर आप Angular CLI का इस्तेमाल कर रहे हैं, तो पक्का करें कि बिल्ड, प्रोडक्शन मोड में जनरेट किए गए हैं. [ज़्यादा जानें](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"अगर आप ऐंगुलर सीएलआई का इस्तेमाल कर रहे हैं, तो अपने बंडलों की जांच करने के लिए प्रोडक्शन बिल्ड में स्रोत मैप जोड़ें. [ज़्यादा जानें](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"नेविगेशन की रफ़्तार बढ़ाने के लिए रूट समय से पहले लोड करें. [ज़्यादा जानें](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"इमेज ब्रेकपॉइंट प्रबंधित करने के लिए, कॉम्पोनेंट डेवलपमेंट किट (सीडीके) में `BreakpointObserver` सुविधा का इस्तेमाल करें. [ज़्यादा जानें](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"किसी ऐसी सेवा में अपनी GIF अपलोड करें जो उसे HTML5 वीडियो में जोड़ने के लिए तैयार रख सके."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"अपनी थीम में पसंद के मुताबिक फ़ॉन्ट की जानकारी देने के दौरान, `@font-display` के बारे में बताएं."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"अपनी साइट में [WebP इमेज फ़ॉर्मैट का ज़्यादा फ़ायदा पाने के लिए, किसी मॉड्यूल](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) को इंस्टॉल और कॉन्फ़िगर करें. ऐसे मॉड्यूल, आपकी अपलोड की गई इमेज का WebP वर्शन अपने-आप जनरेट कर देते हैं, ताकि कॉन्टेंट लोड होने में लगने वाले समय को ऑप्टिमाइज़ किया जा सके."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"ऐसा [Drupal मॉड्यूल](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) इंस्टॉल करें जो इमेज को धीमे लोड कर पाए. परफ़ॉर्मेंस को बेहतर बनाने के लिए, इस तरह के मॉड्यूल किसी भी ऑफ़स्क्रीन इमेज को अलग करने की सुविधा देते हैं."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"ज़रूरी सीएसएस और JavaScipt को इनलाइन करने के लिए या एसिंक्रोनस तौर पर JavaScript से लोड हो सकने वाली एसेट के लिए किसी मॉड्यूल का इस्तेमाल करें, जैसे कि [सीएसएस/जेएस का, बेहतर तरीके से एक साथ दिखने वाला](https://www.drupal.org/project/advagg) मॉड्यूल. ध्यान रखें कि इस मॉड्यूल से मिलने वाली ऑप्टिमाइज़ेशन आपकी साइट को नुकसान पहुंचा सकती हैं. इसलिए, शायद आपको कोड में बदलाव करना पड़े."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"थीम, मॉड्यूल, और सर्वर की खास बातें, सर्वर से जवाब मिलने का समय तय करने में मदद करती हैं. ज़्यादा ऑप्टिमाइज़ की हुई थीम ढूंढें, ऑप्टिमाइज़ेशन मॉड्यूल को सावधानी से चुनें, और/या अपना सर्वर अपग्रेड करें. आपके होस्टिंग सर्वर को डेटाबेस क्वेरी में लगने वाले समय को कम करने के लिए, Redis या Memcached जैसे PHP opcode कैशिंग, मेमोरी-कैशिंग का इस्तेमाल करना चाहिए. साथ ही, पेजों को तेज़ी से तैयार करने के लिए, ऑप्टिमाइज़ किए हुए ऐप्लिकेशन का लॉजिक भी होना चाहिए."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"आपके पेज पर लोड की गई इमेज के साइज़ को कम करने के लिए, [जवाब देने वाली इमेज की शैली](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) का इस्तेमाल करें. अगर आप किसी पेज पर कई कॉन्टेंट आइटम को दिखाने के लिए, व्यू की सुविधा का इस्तेमाल कर रहे हैं, तो उस पेज पर दिखने वाले कॉन्टेंट आइटम को कम करने के लिए, आप पेज पर नंबर डालने की सुविधा को लागू कर सकते हैं."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'पक्का करें कि आपने "Administration » Configuration » Development" पेज में "सीएसएस फ़ाइलों को एक साथ दिखाने" की सुविधा को चालू किया है. आप फ़ाइलों को एक साथ दिखाने के ज़्यादा बेहतर विकल्पों को [अतिरिक्त मॉड्यूल](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) की मदद से भी कॉन्फ़िगर करके, अपनी साइट की रफ़्तार को तेज़ कर सकते हैं. ऐसा करने के लिए, आपको सीएसएस शैली को जोड़ना, छोटा करना, और कंप्रेस करना होगा.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'पक्का करें कि आपने "Administration » Configuration » Development" पेज में, "JavaScript फ़ाइलों को एक साथ दिखाने" की सुविधा को चालू किया है. आप फ़ाइलों को एक साथ दिखाने के ज़्यादा बेहतर विकल्पों को [अतिरिक्त मॉड्यूल](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) की मदद से भी कॉन्फ़िगर करके, अपनी साइट की रफ़्तार को तेज़ कर सकते हैं. ऐसा करने के लिए, आपको अपनी JavaScript एसेट को जोड़ना, छोटा करना, और कंप्रेस करना होगा.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"ऐसे सीएसएस नियमों को हटाएं जिनका इस्तेमाल नहीं हुआ है. साथ ही, सही पेज या पेज के कॉम्पोनेंट में सिर्फ़ ज़रूरी Drupal लाइब्रेरी अटैच करें. ज़्यादा जानकारी के लिए, [Drupal के दस्तावेज़ का लिंक](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) देखें. Chrome DevTools में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाकर, उन अटैच की गई लाइब्रेरी की पहचान करें जो आपके पेज में बाहरी सीएसएस को जोड़ रही हैं. जब आपकी Drupal साइट में सीएसएस के एक साथ दिखने की सुविधा बंद हो जाती है, तो आप स्टाइलशीट के यूआरएल से पहचान सकते हैं कि ऐसा किस थीम/मॉड्यूल की वजह से हुआ है. ऐसे थीम/मॉड्यूल खोजें जिनके पास उस सूची में कई ऐसी स्टाइलशीट हैं जिनके कोड कवरेज में बहुत से लाल निशान हैं. थीम/मॉड्यूल को स्टाइलशीट तभी क्यू में लगानी चाहिए, जब पेज पर उसका वाकई इस्तेमाल किया गया हो."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"ऐसी JavaScript एसेट हटाएं जिनका इस्तेमाल नहीं हुआ है. साथ ही, सही पेज या पेज के कॉम्पोनेंट में, सिर्फ़ ज़रूरी Drupal लाइब्रेरी अटैच करें. ज़्यादा जानकारी के लिए, [Drupal के दस्तावेज़ का लिंक](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) देखें. Chrome DevTools में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाकर, अटैच की गई उन लाइब्रेरी की पहचान करें जो आपके पेज में बाहरी JavaScript जोड़ रही हैं. जब आपकी Drupal साइट में JavaScript के एक साथ दिखने की सुविधा बंद हो जाती है, तो आप स्क्रिप्ट के यूआरएल से पहचान सकते हैं कि ऐसा किस थीम/मॉड्यूल की वजह से हुआ है. ऐसी थीम/मॉड्यूल खोजें जिनके पास उस सूची में कई ऐसी स्क्रिप्ट हैं जिनके कोड कवरेज में बहुत सारे लाल निशान हैं. थीम/मॉड्यूल को स्क्रिप्ट तभी क्यू में लगानी चाहिए, जब पेज पर उसका वाकई इस्तेमाल किया गया हो."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'"Administration » Configuration » Development" पेज में, "ब्राउज़र और प्रॉक्सी कैश मेमोरी की ज़्यादा से ज़्यादा उम्र" सेट करें. [Drupal कैश मेमोरी और परफ़ॉर्मेंस ऑप्टिमाइज़ करने](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources) के बारे में पढ़ें.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"आप ऐसे [मॉड्यूल](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) का इस्तेमाल करें जो क्वालिटी को बनाए रखते हुए, साइट पर अपलोड होने वाली इमेज के साइज़ को अपने-आप कम और ज़्यादा कर सके. यह भी पक्का करें कि आप साइट पर रेंडर की गई सभी इमेज के लिए, Drupal के [जवाब देने वाली इमेज की मूल शैली](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) का इस्तेमाल कर रहे हैं (यह Drupal 8 और इसके बाद वाले वर्शन में उपलब्ध है)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"प्रीकनेक्ट या डीएनएस-प्रीफ़ेच संसाधन संकेतों को, किसी ऐसे [मॉड्यूल](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) को इंस्टॉल और कॉन्फ़िगर करके जोड़ा जा सकता है जो उपयोगकर्ता एजेंट के संसाधन संकेतों के लिए सुविधाएं उपलब्ध कराता हो."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"पक्का करें कि आप Drupal के [जवाब देने वाली इमेज की मूल शैली](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) का इस्तेमाल कर रहे हैं (यह Drupal 8 और इसके बाद वाले वर्शन में उपलब्ध है). इमेज फ़ील्ड को व्यू मोड से रेंडर करने के दौरान, देखते समय या WYSIWYG एडिटर की मदद से अपलोड करने के दौरान, जवाब देने वाली इमेज की शैली का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"किसी ऐसी सेवा में अपनी GIF अपलोड करें जो उसे HTML5 वीडियो में जोड़ने के लिए तैयार रख सके."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"ऐसे [प्लग इन](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) या सेवा का इस्तेमाल करें जो आपकी अपलोड की गई इमेज को अपने-आप ही सबसे सही फ़ॉर्मैट में बदल दे."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"[धीमी रफ़्तार से लोड करने वाला ऐसा Joomla प्लग इन](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) इंस्टॉल करें जिसमें किसी भी ऑफ़स्क्रीन इमेज को अलग करने की सुविधा हो या किसी ऐसे टेंप्लेट का इस्तेमाल करें जो यह सुविधा मुहैया कराता हो. Joomla 4.0 से शुरू करते हुए, सभी नई इमेज में `loading` एट्रिब्यूट [अपने-आप](https://github.com/joomla/joomla-cms/pull/30748) शामिल हो जाएगा."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"ऐसे कई Joomla प्लग इन हैं जो [क्रिटिकल एसेट इनलाइन करने ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) या [कम ज़रूरी संसाधनों को अलग करने](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) में आपकी मदद कर सकते हैं. ध्यान रखें कि ऐसे प्लग इन से मिलने वाली ऑप्टिमाइज़ेशन आपके टेंप्लेट या प्लग इन की सुविधाओं में दिक्कतें पैदा कर सकती हैं. इसलिए, आपको पूरी तरह इनकी जांच करनी होगी."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"टेंप्लेट, एक्सटेंशन, और सर्वर की खास बातें, सर्वर से जवाब मिलने का समय तय करने में मदद करती हैं. ज़्यादा ऑप्टिमाइज़ किया हुआ टेंप्लेट ढूंढें, किसी ऑप्टिमाइज़ेशन एक्सटेंशन को सावधानी से चुनें, और/या अपना सर्वर अपग्रेड करने पर विचार करें."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"अपनी लेख कैटगरी में खास हिस्से दिखाएं (जैसे, ज़्यादा पढ़ें लिंक की मदद से), किसी पेज पर दिखाए गए लेख की संख्या कम करें, अपनी लंबी पोस्ट को कई पेज में बांटें या फिर टिप्पणियों को धीरे-धीरे लोड करने वाले प्लग इन का इस्तेमाल करने पर विचार करें."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"कई [Joomla एक्सटेंशन](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) आपकी साइट की रफ़्तार को बढ़ा सकते हैं. ऐसा करने के लिए वे आपके सीएसएस स्टाइल को जोड़ते हैं, छोटा करते हैं, और कंप्रेस करते हैं. ऐसे टेंप्लेट भी हैं जिनमें यह फ़ंक्शन है."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"कई [Joomla एक्सटेंशन](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) आपकी साइट की रफ़्तार बढ़ा सकते हैं. ऐसा करने के लिए, वे आपकी स्क्रिप्ट को जोड़ते हैं, छोटा करते हैं, और कंप्रेस करते हैं. ऐसे टेंप्लेट भी हैं जिनमें यह फ़ंक्शन है."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"आपके पेज में बिना इस्तेमाल वाले सीएसएस को लोड करने वाले, [Joomla एक्सटेंशन](https://extensions.joomla.org/) की संख्या को कम करें या स्विच करें. Chrome DevTools में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाकर, उन एक्सटेंशन की पहचान करें जो आपके पेज में बाहरी सीएसएस जोड़ रहे हैं. आप स्टाइलशीट के यूआरएल से पहचान सकते हैं कि ऐसा किस थीम/प्लग इन ने किया. ऐसे प्लग इन खोजें जिनके पास उस सूची की कई स्टाइलशीट हैं जिनके कोड कवरेज में बहुत से लाल निशान हैं. प्लग इन को स्क्रिप्ट तभी क्यू में लगानी चाहिए, जब पेज पर उसका वाकई इस्तेमाल किया गया हो."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"आपके पेज में बिना इस्तेमाल वाले JavaScript को लोड करने वाले, [Joomla एक्सटेंशन](https://extensions.joomla.org/) की संख्या को कम करें या स्विच करें. Chrome DevTools में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाकर, उन प्लग इन की पहचान करें जो आपके पेज में बाहरी JS जोड़ रहे हैं. आप स्क्रिप्ट के यूआरएल से पहचान सकते हैं कि ऐसा किस एक्सटेंशन की वजह से हुआ है. ऐसे एक्सटेंशन खोजें जिनके पास उस सूची में ऐसी कई स्क्रिप्ट हैं जिनके कोड कवरेज में बहुत से लाल निशान हैं. एक्सटेंशन को स्क्रिप्ट तभी क्यू में लगानी चाहिए, जब पेज पर उसका वाकई इस्तेमाल किया गया हो."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"[Joomla में ब्राउज़र कैशिंग](https://docs.joomla.org/Cache) के बारे में पढ़ें."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"ऐसे [इमेज ऑप्टिमाइज़ेशन प्लग इन](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) का इस्तेमाल करें जो आपकी क्वालिटी बरकरार रखते हुए आपकी इमेज कंप्रेस करता हो."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"अपने कॉन्टेंट में जवाब देने वाली इमेज का इस्तेमाल करने के लिए, [जवाब देने वाली इमेज के प्लग इन](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"आप Joomla में Gzip की पेज कंप्रेस करने की सुविधा चालू करके, टेक्स्ट कंप्रेस करने की सुविधा चालू कर सकते हैं (सिस्टम > ग्लोबल कॉन्फ़िगरेशन > सर्वर)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"अगर आप अपने JavaScript एसेट का बंडल नहीं बना रहे हैं, तो [baler](https://github.com/magento/baler) का इस्तेमाल करें."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Magento की डिफ़ॉल्ट [JavaScript बंडलिंग और छोटा करने की सुविधा](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) बंद करें. इसके बजाय, [baler](https://github.com/magento/baler/) का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[पसंद के मुताबिक फ़ॉन्ट बनाते समय](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html), `@font-display` तय करें."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"तीसरे पक्ष के कई तरह के एक्सटेंशन [Magento मार्केटप्लेस](https://marketplace.magento.com/catalogsearch/result/?q=webp) में खोजें, ताकि आप नए इमेज फ़ॉर्मैट का फ़ायदा पा सकें."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"वेब प्लैटफ़ॉर्म की [धीमे लोड होने](https://web.dev/native-lazy-loading) की सुविधा का इस्तेमाल करने के लिए, अपने प्रॉडक्ट और कैटलॉग टेम्प्लेट में बदलाव करें."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Magento का [Varnish इंटीग्रेशन](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'अपने स्टोर की डेवलपर सेटिंग में, "सीएसएस फ़ाइलें छोटी करें" विकल्प चालू करें. [ज़्यादा जानें](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"स्टैटिक कॉन्टेंट डिप्लॉयमेंट से मिली सभी JavaScript एसेट को छोटा करने के लिए, [Terser](https://www.npmjs.com/package/terser) का इस्तेमाल करें. साथ ही, छोटा करने की पहले से मौजूद सुविधा को बंद करें."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Magento की डिफ़ॉल्ट [JavaScript बंडलिंग](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) बंद करें."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"तीसरे पक्ष के कई तरह के एक्सटेंशन [Magento मार्केटप्लेस](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) में खोजें, ताकि आप इमेज ऑप्टिमाइज़ कर सकें."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"[किसी थीम के लेआउट में बदलाव करके](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) Preconnect या dns-prefetch संसाधन संकेत जोड़े जा सकते हैं."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` टैग, [किसी थीम के लेआउट में बदलाव करके](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) जोड़े जा सकते हैं."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"वेब पेजों को तेज़ी से लोड करने के लिए, [ऐनिमेट किए गए GIF की जगह वीडियो का इस्तेमाल करें](https://web.dev/replace-gifs-with-videos/). साथ ही, [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) या [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) जैसे मॉडर्न फ़ाइल फ़ॉर्मैट इस्तेमाल करें, ताकि कंप्रेस करने पर क्वालिटी, मौजूदा state-of-the-art वीडियो कोडेक VP9 के मुकाबले 30% से ज़्यादा हो."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"ऐसे [प्लग इन](https://octobercms.com/plugins?search=image) या सेवा का इस्तेमाल करें जो अपलोड की गई इमेज को अपने-आप सबसे सही फ़ॉर्मैट में बदल दे. [WebP लॉसलेस इमेज](https://developers.google.com/speed/webp), PNG इमेज से साइज़ में 26% छोटी होती हैं. साथ ही, इक्विवैलेंट SSIM क्वालिटी इंडेक्स में JPEG इमेज से 25-34% छोटी होती हैं. आप अगली जनरेशन के [AVIF](https://jakearchibald.com/2020/avif-has-landed/) इमेज फ़ॉर्मैट का भी इस्तेमाल कर सकते हैं."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"[इमेज को धीमी रफ़्तार से लोड करने वाला ऐसा प्लग इन](https://octobercms.com/plugins?search=lazy) इंस्टॉल करें जो किसी भी ऑफ़स्क्रीन इमेज को अलग करने की सुविधा देता हो या किसी ऐसी थीम का इस्तेमाल करें जो यह सुविधा मुहैया कराती हो. साथ ही, [एएमपी प्लग इन](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"ऐसे कई प्लग इन हैं जो [क्रिटिकल एसेट को इनलाइन](https://octobercms.com/plugins?search=css) करने में आपकी मदद कर सकते हैं. ये प्लग इन अन्य प्लग इन के काम में रुकावट डाल सकते हैं, इसलिए आपको इनकी अच्छी तरह जांच करनी चाहिए."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"थीम, प्लग इन, और सर्वर की विशेषताओं से तय होता है कि सर्वर से कितनी देर में रिस्पॉन्स मिलेगा. ज़्यादा ऑप्टिमाइज़ की गई थीम ढूंढें, किसी ऑप्टिमाइज़ेशन प्लग इन को सावधानी से चुनें, और/या अपना सर्वर अपग्रेड करें. October CMS, डेवलपर को [`Queues`](https://octobercms.com/docs/services/queues) का भी इस्तेमाल करने देता है, ताकि वे किसी ऐसे टास्क की प्रोसेस को अलग कर सकें जिसमें ज़्यादा समय लगता हो. जैसे, ईमेल भेजना. इससे, वेब अनुरोधों की रफ़्तार बहुत ज़्यादा बढ़ जाती है."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"पोस्ट की सूचियों में खास हिस्से दिखाएं (जैसे, `show more` बटन की मदद से), किसी वेब पेज पर दिखाई गई पोस्ट की संख्या कम करें, लंबी पोस्ट को कई वेब पेजों में बांटें या टिप्पणियों को धीमी रफ़्तार से लोड करने वाले प्लग इन का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"ऐसे कई [प्लग इन](https://octobercms.com/plugins?search=css) हैं जो किसी वेबसाइट के लोड होने की रफ़्तार बढ़ा सकते हैं. इसके लिए, आपको स्टाइल को जोड़ना, उनमें काट-छांट करना, और उन्हें कंप्रेस करना होगा. पहले से काट-छांट करने के लिए बिल्ड प्रोसेस का इस्तेमाल करने से डेवलपमेंट की रफ़्तार बढ़ सकती है."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"ऐसे कई [प्लग इन](https://octobercms.com/plugins?search=javascript) हैं जो किसी वेबसाइट के लोड होने की रफ़्तार बढ़ा सकते हैं. इसके लिए, आपको स्क्रिप्ट को जोड़ना, उनमें काट-छांट करना, और उन्हें कंप्रेस करना होगा. पहले से काट-छांट करने के लिए बिल्ड प्रोसेस का इस्तेमाल करने से डेवलपमेंट की रफ़्तार बढ़ सकती है."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"वेबसाइट पर, इस्तेमाल न किए जाने वाले सीएसएस लोड करने वाले [प्लग इन](https://octobercms.com/plugins) की समीक्षा करें. ग़ैर-ज़रूरी सीएसएस जोड़ने वाले प्लग इन पहचानने के लिए, Chrome डेवलपर टूल में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाएं. इसके बाद, स्टाइलशीट के यूआरएल से उस थीम या प्लग इन को पहचानें. ऐसी कई स्टाइलशीट वाले प्लग इन ढूंढें जिनके कोड कवरेज में बहुत सारे लाल निशान हों. किसी प्लग इन को कोई स्टाइलशीट सिर्फ़ तब जोड़नी चाहिए, जब वेब पेज पर उस स्टाइलशीट को वाकई में इस्तेमाल किया जाता हो."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"वेब पेज में, इस्तेमाल न की जाने वाली JavaScript फ़ाइलें लोड करने वाले [प्लग इन](https://octobercms.com/plugins?search=javascript) की समीक्षा करें. ग़ैर-ज़रूरी JavaScript फ़ाइलें जोड़ने वाले प्लग इन पहचानने के लिए, Chrome डेवलपर टूल में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाएं. इसके बाद, स्क्रिप्ट के यूआरएल से उस थीम या प्लग इन को पहचानें. ऐसी कई स्क्रिप्ट वाले प्लग इन ढूंढें जिनके कोड कवरेज में बहुत सारे लाल निशान हों. किसी प्लग इन को कोई स्क्रिप्ट सिर्फ़ तब जोड़नी चाहिए, जब वेब पेज पर उस स्क्रिप्ट को वाकई में इस्तेमाल किया जाता हो."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"[एचटीटीपी कैश मेमोरी की मदद से ग़ैर-ज़रूरी नेटवर्क अनुरोधों से बचने](https://web.dev/http-cache/#caching-checklist) के बारे में पढ़ें. ऐसे कई [प्लग इन](https://octobercms.com/plugins?search=Caching) हैं जो कैश मेमोरी में डेटा सेव करने की रफ़्तार बढ़ाने के लिए इस्तेमाल किए जा सकते हैं."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"इमेज की क्वालिटी को बरकरार रखते हुए, उसे कंप्रेस करने के लिए, [इमेज ऑप्टिमाइज़ेशन प्लग इन](https://octobercms.com/plugins?search=image) का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"सीधे मीडिया मैनेजर में इमेज अपलोड करें, ताकि आप यह पक्का कर सकें कि इमेज के ज़रूरी साइज़ उपलब्ध हैं. [साइज़ बदलने वाला फ़िल्टर](https://octobercms.com/docs/markup/filter-resize) या [इमेज का साइज़ बदलने वाला प्लग इन](https://octobercms.com/plugins?search=image) इस्तेमाल करें, ताकि आप यह पक्का कर सकें कि सबसे सही साइज़ की इमेज इस्तेमाल की जाएं."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"वेब सर्वर कॉन्फ़िगरेशन में टेक्स्ट कंप्रेस करने की सुविधा चालू करें."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'अगर आप पेज पर कई एलिमेंट एक से ज़्यादा बार रेंडर कर रहे हैं, तो बनाए गए डीओएम नोड की संख्या कम करने के लिए, `react-window` जैसी "छोटी विंडो वाली" लाइब्रेरी का इस्तेमाल करें. [ज़्यादा जानें](https://web.dev/virtualize-long-lists-react-window/). साथ ही, ज़रूरी न होने पर बार-बार रेंडर करने से बचने के लिए, [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) या [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) और [इफ़ेक्ट छोड़ें](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) का इस्तेमाल करें. ऐसा तब तक करें, जब तक कुछ और करने की ज़रूरत न हो. साथ ही, जब आप रनटाइम परफ़ॉर्मेंस को बेहतर बनाने के लिए `Effect` हुक का इस्तेमाल कर रहे हों.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"अगर आप React Router इस्तेमाल कर रहे हैं, तो [रूट नेविगेशन](https://reacttraining.com/react-router/web/api/Redirect) के लिए `<Redirect>` कॉम्पोनेंट का इस्तेमाल कम करें."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"अगर आप सर्वर-साइड पर किसी React कॉम्पोनेंट को रेंडर कर रहे हैं, तो `renderToNodeStream()` या `renderToStaticNodeStream()` का इस्तेमाल करें. इससे क्लाइंट को एक साथ पूरे मार्कअप के बजाय, उसके अलग-अलग हिस्से मिलेंगे और वह उन्हें अलग-अलग हाइड्रेट कर पाएगा. [ज़्यादा जानें](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"अगर बिल्ड सिस्टम आपकी सीएसएस फ़ाइलों को अपने-आप छोटा कर देता है, तो पक्का करें कि आप अपने ऐप्लिकेशन के प्रोडक्शन बिल्ड को डिप्लॉय कर रहे हैं. आप React डेवलपर टूल एक्सटेंशन की मदद से इसकी पुष्टि कर सकते हैं. [ज़्यादा जानें](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"अगर बिल्ड सिस्टम आपकी जेएस फ़ाइलों को अपने-आप छोटा कर देता है, तो पक्का करें कि आप अपने ऐप्लिकेशन के प्रोडक्शन बिल्ड को डिप्लॉय कर रहे हैं. आप React डेवलपर टूल एक्सटेंशन की मदद से इसकी पुष्टि कर सकते हैं. [ज़्यादा जानें](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"अगर आप सर्वर-साइड पर रेंडर नहीं कर रहे हैं, तो `React.lazy()` के साथ [अपने JavaScript बंडलों को अलग-अलग करें](https://web.dev/code-splitting-suspense/). इसके अलावा, आप तीसरे पक्ष की लाइब्रेरी का इस्तेमाल करके कोड को अलग-अलग कर सकते हैं, जैसे कि [वे कॉम्पोनेंट जो लोड हो सकते हैं](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"React DevTools प्रोफ़ाइलर इस्तेमाल करें. यह आपके कॉम्पोनेंट की रेंडरिंग परफ़ॉर्मेंस मापने के लिए प्रोफ़ाइलर एपीआई का इस्तेमाल करता है. [ज़्यादा जानें](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"किसी ऐसी सेवा में अपनी GIF अपलोड करें जो उसे HTML5 वीडियो में जोड़ने के लिए तैयार रख सके."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"ऐसे [प्लग इन](https://wordpress.org/plugins/search/convert+webp/) या सेवा का इस्तेमाल करें जो आपकी अपलोड की गई इमेज को अपने-आप ही सबसे सही फ़ॉर्मैट में बदल दे."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"ऐसा [धीमे लोड होने वाले WordPress प्लग इन](https://wordpress.org/plugins/search/lazy+load/) इंस्टॉल करें जिसमें किसी भी ऑफ़स्क्रीन इमेज को अलग करने की सुविधा हो. अगर नहीं, तो किसी ऐसी थीम पर जाएं जो यह सुविधा मुहैया कराती हो. साथ ही, [एएमपी प्लग इन](https://wordpress.org/plugins/amp/) का इस्तेमाल करें."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"ऐसे कई WordPress प्लग इन हैं जो [क्रिटिकल एसेट इनलाइन करने ](https://wordpress.org/plugins/search/critical+css/) या [कम ज़रूरी संसाधनों को डेफ़र करने](https://wordpress.org/plugins/search/defer+css+javascript/) में आपकी मदद कर सकते हैं. ध्यान रखें कि ऐसी प्लग इन से मिलने वाले ऑप्टिमाइज़ेशन आपकी थीम या प्लग इन की सुविधाएं बिगाड़ सकते हैं. इसलिए, आपको कोड में बदलावों को करने की ज़रुरत हो सकती है."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"थीम, प्लगइन, और सर्वर की खास बातें सर्वर से जवाब मिलने के समय में योगदान करती हैं. ज़्यादा ऑप्टिमाइज़ की हुई थीम ढूंढने, एक ऑप्टिमाइज़ेशन प्लगइन को सावधानी से चुनने, और/या अपना सर्वर अपग्रेड करने पर विचार करें."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"अपनी पोस्ट सूचियों में खास हिस्से दिखाने पर विचार करें (जैसे 'ज़्यादा' टैग से), किसी पेज पर दिखाई गई पोस्ट की संख्या घटाने, अपनी लंबी पोस्ट को कई पेज में बाँटने या फिर टिप्पणियों को धीरे-धीरे लोड करने वाले प्लगइन का इस्तेमाल करने पर विचार करें."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"कई [WordPress प्लग इन](https://wordpress.org/plugins/search/minify+css/) आपकी साइट की गति को बढ़ा सकते हैं. ऐसा करने के लिए वे आपके स्टाइल को जोड़ते हैं, उन्हें छोटा करते हैं, और कंप्रेस करते हैं. ऐसा हो सकता है कि आप काट-छांट करने के लिए, एक बिल्ड प्रोसेस का इस्तेमाल भी करना चाहें, अगर ऐसा करना मुमकिन हो."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"कई [WordPress प्लग इन](https://wordpress.org/plugins/search/minify+javascript/) आपकी साइट की गति को बढ़ा सकते हैं. ऐसा करने के लिए वह आपकी स्क्रिप्ट को जोड़ते हैं, उन्हें छोटा करते हैं, और कंप्रेस करते हैं. ऐसा हो सकता है कि आप काट-छांट करने की इस प्रक्रिया के लिए, एक बिल्ड प्रोसेस का इस्तेमाल भी करना चाहें, अगर ऐसा करना मुमकिन हो."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"उन [WordPress प्लग इन](https://wordpress.org/plugins/) की संख्या कम करके या स्विच करके देखें जो आपके पेज में ऐसी सीएसएस लोड कर रहे हैं जिसका कभी इस्तेमाल नहीं हुआ. Chrome DevTools में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाकर उन प्लग इन की पहचान करें जो आपके पेज में गैर-ज़रूरी सीएसएस जोड़ रहे हैं. आप स्क्रिप्ट के यूआरएल से पहचान सकते हैं कि ऐसा किस थीम/प्लग इन ने किया. ऐसे प्लग इन खोजें जिनके पास उस सूची की कई स्टाइल शीट हैं जिसमें कोड कवरेज में बहुत से लाल निशान हैं. प्लग इन को स्क्रिप्ट तभी क्यू में लगानी चाहिए, अगर पेज पर उसका वाकई इस्तेमाल किया गया हो."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"उन [WordPress प्लग इन](https://wordpress.org/plugins/) की संख्या कम करके या स्विच करके देखें जो आपके पेज में ऐसी JavaScript लोड कर रहे हैं जिसका कभी इस्तेमाल नहीं हुआ. Chrome DevTools में [कोड कवरेज](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) चलाकर उन प्लग इन की पहचान करें जो आपके पेज में गैर-ज़रूरी JS जोड़ रहे हैं. आप स्क्रिप्ट के यूआरएल से पहचान सकते हैं कि ऐसा किस थीम/प्लग इन ने किया. ऐसे प्लग इन खोजें जिनके पास उस सूची में कई स्क्रिप्ट हैं जिसमें कोड कवरेज में बहुत से लाल निशान हैं. प्लग इन को स्क्रिप्ट तभी क्यू में लगानी चाहिए, अगर पेज पर उसका वाकई इस्तेमाल किया गया हो."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[WordPress में ब्राउज़र कैशिंग](https://wordpress.org/support/article/optimization/#browser-caching) के बारे में पढ़ें."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"ऐसे [इमेज ऑप्टिमाइज़ेशन WordPress प्लग इन](https://wordpress.org/plugins/search/optimize+images/) का इस्तेमाल करें जो आपकी क्वालिटी बरकरार रखते हुए आपकी इमेज कंप्रेस करता है."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"[मीडिया लाइब्रेरी](https://wordpress.org/support/article/media-library-screen/) की मदद से इमेज सीधे अपलोड करें, ताकि आप यह पक्का कर सकें कि आपके पास इमेज के वे आकार मौजूद हैं जिनकी आपको ज़रूरत पड़ेगी. इसके बाद, उन्हें डालने के लिए मीडिया लाइब्रेरी या इमेज विजेट का इस्तेमाल करें, ताकि आप यह पक्का कर सकें कि सबसे बेहतर इमेज आकारों का इस्तेमाल किया गया है (इसमें जवाब देने वाले ब्रेकपॉइंट की इमेज भी शामिल हैं). `Full Size` इमेज का इस्तेमाल तब तक न करें जब तक डाइमेंशन उनके इस्तेमाल के हिसाब से ठीक न हों. [ज़्यादा जानें](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"आप अपने वेब सर्वर कॉन्फ़िगरेशन में टेक्स्ट कंप्रेस करने की सुविधा चालू कर सकते हैं."},"report/renderer/util.js | calculatorLink":{message:"कैलकुलेटर देखें."},"report/renderer/util.js | crcInitialNavigation":{message:"शुरुआती नेविगेशन"},"report/renderer/util.js | crcLongestDurationLabel":{message:"पाथ का ज़्यादा से ज़्यादा अहम प्रतीक्षा समय:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSON कॉपी करें"},"report/renderer/util.js | dropdownDarkTheme":{message:"गहरे रंग वाली थीम को टॉगल करें"},"report/renderer/util.js | dropdownPrintExpanded":{message:"प्रिंट को बड़ा किया गया"},"report/renderer/util.js | dropdownPrintSummary":{message:"प्रिंट के बारे में खास जानकारी"},"report/renderer/util.js | dropdownSaveGist":{message:"Gist के रूप में सेव करें"},"report/renderer/util.js | dropdownSaveHTML":{message:"एचटीएमएल के रूप में सेव करें"},"report/renderer/util.js | dropdownSaveJSON":{message:"JSON के रूप में सेव करें"},"report/renderer/util.js | dropdownViewer":{
message:"व्यूअर में खोलें"},"report/renderer/util.js | errorLabel":{message:"गड़बड़ी!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"गड़बड़ी की रिपोर्ट करें: कोई ऑडिट जानकारी नहीं"},"report/renderer/util.js | footerIssue":{message:"समस्या की रिपोर्ट करें"},"report/renderer/util.js | labDataTitle":{message:"किसी नई या दुबारा जाँची जाने वाली ऐप्लिकेशन के लिए तैयार किया गया डेटा"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"एम्युलेट किए गए मोबाइल नेटवर्क पर मौजूद पेज का [Lighthouse](https://developers.google.com/web/tools/lighthouse/) विश्लेषण. मान अनुमान के हिसाब से लिखे गए हैं और इनमें अंतर हो सकता है."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"मैन्युअल रूप से देखे जाने वाले और ज़्यादा आइटम"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"लागू नहीं"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"अवसर"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"अनुमानित बचत"
},"report/renderer/util.js | passedAuditsGroupTitle":{message:"पास हुए ऑडिट"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"एम्युलेट किया गया डेस्कटॉप"},"report/renderer/util.js | runtimeMobileEmulation":{message:"एम्युलेट किया गया Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"कोई भी एम्युलेशन नहीं"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe वर्शन"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"सीपीयू/मेमोरी पावर"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"सीपीयू थ्रॉटलिंग"},"report/renderer/util.js | runtimeSettingsChannel":{message:"चैनल"},"report/renderer/util.js | runtimeSettingsDevice":{message:"डिवाइस"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Lighthouse के चलाए जाने का समय"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"नेटवर्क थ्रॉटलिंग"},"report/renderer/util.js | runtimeSettingsTitle":{message:"रनटाइम सेटिंग"},
"report/renderer/util.js | runtimeSettingsUA":{message:"उपयोगकर्ता एजेंट (होस्ट)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"उपयोगकर्ता एजेंट (नेटवर्क)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"यूआरएल"},"report/renderer/util.js | runtimeUnknown":{message:"अज्ञात"},"report/renderer/util.js | showRelevantAudits":{message:"वे ऑडिट दिखाएं जो इनके लिए काम के हों:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"स्निपेट को छोटा करें"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"स्निपेट को बड़ा करें"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"तीसरे पक्ष के संसाधन दिखाएं"},"report/renderer/util.js | throttlingProvided":{message:"रनटाइम एनवायरमेंट से मिला"},"report/renderer/util.js | toplevelWarningsMessage":{message:"कुछ समस्याएं आने के कारण Lighthouse के इस रन पर असर पड़ा है:"},"report/renderer/util.js | varianceDisclaimer":{
message:"मान अनुमानित हैं और इनमें बदलाव हो सकता है. सीधे तौर पर इन मेट्रिक से [परफ़ॉर्मेंस स्कोर तय किए ](https://web.dev/performance-scoring/) जाते हैं."},"report/renderer/util.js | viewTreemapLabel":{message:"Treemap देखें"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"चेतावनियों के साथ पास हुए ऑडिट"},"report/renderer/util.js | warningHeader":{message:"चेतावनियां: "}}},{}],118:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Pristupne tipke omogućuju korisnicima da se brzo usredotoče na određeni dio stranice. Za pravilno kretanje svaka pristupna tipka mora biti jedinstvena. [Saznajte više](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Vrijednosti `[accesskey]` nisu jedinstvene"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` vrijednosti su jedinstvene"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Svaki ARIA `role` podržava određeni podskup `aria-*` atributa. Njihovo nepodudaranje poništava `aria-*` atribute. [Saznajte više](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atributi `[aria-*]` ne podudaraju se sa svojim ulogama"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atributi `[aria-*]` podudaraju se sa svojim ulogama"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Kad element nema pristupačan naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementi `button`, `link` i `menuitem` nemaju pristupačne nazive."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementi `button`, `link` i `menuitem` imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Asistivne tehnologije, poput čitača zaslona, ne funkcioniraju dosljedno kad je oznaka `aria-hidden="true"` postavljena na `<body>` dokumenta. [Saznajte više](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Element `<body>` dokumenta sadrži atribut `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Element `<body>` dokumenta ne sadrži atribut `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Podređeni elementi koji se mogu fokusirati unutar elementa `[aria-hidden="true"]` onemogućuju dostupnost tih interaktivnih elemenata korisnicima asistivnih tehnologija kao što su čitači zaslona. [Saznajte više](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Elementi `[aria-hidden="true"]` sadržavaju podređene elemente koji se mogu fokusirati'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Elementi `[aria-hidden="true"]` ne sadrže podređene elemente koji se mogu fokusirati'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Kad polje za unos nema pristupačan naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"ARIA polja za unos nemaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA polja za unos imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Kad element nema pristupačan naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA elementi `meter` nemaju pristupačne nazive."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA elementi `meter` imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Kad element `progressbar` nema pristupačni naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA elementi `progressbar` nemaju pristupačne nazive."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA elementi `progressbar` imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Neke uloge ARIA-e zahtijevaju atribute koji opisuju stanje elementa čitačima zaslona. [Saznajte više](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Elementi `[role]` nemaju sve potrebne atribute `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{
message:"`[role]` imaju sve obavezne atribute`[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Neke nadređene uloge ARIA moraju sadržavati posebne podređene uloge za izvršavanje svojih namijenjenih funkcija pristupačnosti. [Saznajte više](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementi s ARIA-om `[role]` koji zahtijevaju da podređeni elementi sadrže određenu ulogu `[role]` ne sadrže neke ili sve te obavezne podređene elemente."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementi s ARIA-om `[role]` koji zahtijevaju da podređeni elementi sadrže određenu ulogu `[role]` imaju sve obavezne podređene elemente."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Određene nadređene uloge moraju sadržavati neke podređene uloge ARIA kako bi mogle pravilno izvršavati namijenjene funkcije pristupačnosti. [Saznajte više](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Potrebni nadređeni element ne sadrži `[role]`"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Potrebni nadređeni element sadrži `[role]`."},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Uloge ARIA moraju sadržavati valjane vrijednosti da bi se mogle izvršavati njihove namijenjene funkcije pristupačnosti. [Saznajte više](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Vrijednosti `[role]` nisu valjane"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Vrijednosti `[role]` su valjane"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Kad polje prekidača nema pristupačan naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA polja prekidača nemaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA polja prekidača imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Kad element nema pristupačan naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{
message:"ARIA elementi `tooltip` nemaju pristupačne nazive."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA elementi `tooltip` imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Kad element nema pristupačan naziv, čitači zaslona najavljuju ga generičkim nazivom, što ga čini neupotrebljivim za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA elementi `treeitem` nemaju pristupačne nazive."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA elementi `treeitem` imaju pristupačne nazive"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Pomoćne tehnologije, poput čitača zaslona, ne mogu tumačiti atribute ARIA s nevažećim vrijednostima. [Saznajte više](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atributi `[aria-*]` ne sadrže valjane vrijednosti"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Atributi `[aria-*]` sadrže valjane vrijednosti"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Pomoćne tehnologije, poput čitača zaslona, ne mogu tumačiti atribute ARIA s nevažećim nazivima. [Saznajte više](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atributi `[aria-*]` nisu valjani ili su pogrešno napisani"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atributi `[aria-*]` su valjani i nisu pogrešno napisani"},
"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementi koji nisu prošli provjeru"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Kada gumb nema pristupačan naziv, čitači zaslona najavljuju ga kao "gumb" te je on neupotrebljiv za korisnike koji se oslanjaju na čitače zaslona. [Saznajte više](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Gumbi nemaju pristupačan naziv"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Gumbi imaju pristupačan naziv"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Dodavanje načina za zaobilaženje repetitivnog sadržaja omogućuje korisnicima tipkovnice učinkovitije kretanje po stranici. [Saznajte više](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Stranica ne sadrži naslov, vezu za preskakanje ili regiju kao orijentir"
},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Stranica sadrži naslov, vezu za preskakanje ili regiju kao orijentir"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Mnogim je korisnicima teško ili nemoguće čitati tekst niskog kontrasta. [Saznajte više](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Boje u pozadini i prednjem planu nemaju zadovoljavajući omjer kontrasta."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Boje u pozadini i prednjem planu imaju zadovoljavajući omjer kontrasta"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Kada popisi definicija nisu valjano označeni, čitači zaslona mogu proizvesti zbunjujuć ili netočan izlaz. [Saznajte više](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{
message:"Elementi `<dl>` ne sadrže samo pravilno poredane grupe `<dt>` i `<dd>` i elemente `<script>`, `<template>` ili `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Elementi `<dl>` sadrže samo pravilno poredane grupe `<dt>` i `<dd>` i elemente `<script>`, `<template>` ili `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Stavke na popisu definicija (`<dt>` i `<dd>`) moraju biti sadržane u nadređenom elementu `<dl>` da bi ih čitači zaslona mogli pravilno najaviti. [Saznajte više](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Stavke na popisu definicija nisu upakirane u elemente `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Stavke na popisu definicija upakirane su u elemente `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"Naslov korisnicima čitača zaslona pruža pregled stranice, a korisnici tražilice značajno se na njega oslanjaju kako bi odredili je li neka stranica relevantna za njihovo pretraživanje. [Saznajte više](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokument ne sadrži element `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokument sadrži element `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Svi elementi koji se mogu fokusirati moraju imati jedinstveni `id` kako bi bili vidljivi asistivnim tehnologijama. [Saznajte više](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atributi `[id]` na aktivnim elementima koji se mogu fokusirati nisu jedinstveni"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{
message:"Atributi `[id]` na aktivnim elementima koji se mogu fokusirati jedinstveni su"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Vrijednost ARIA ID-ja mora biti jedinstvena kako bi se spriječilo da asistivne tehnologije previde druge instance. [Saznajte više](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ID-jevi nisu jedinstveni"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ID-jevi su jedinstveni"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Ako polja obrasca imaju više oznaka, asistivne tehnologije kao što su čitači zaslona koji koriste prvu, zadnju ili sve oznake mogu ih najavljivati na zbunjujući način. [Saznajte više](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{
message:"Polja obrasca imaju više oznaka"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nijedno polje obrasca nema više oznaka"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Korisnici čitača zaslona oslanjaju se na naslove okvira za opisivanje sadržaja okvira. [Saznajte više](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Elementi `<frame>` ili `<iframe>` nemaju naslov"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementi `<frame>` ili `<iframe>` imaju naslov"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Pravilno poredani naslovi koji ne preskaču razine otkrivaju semantičku strukturu stranice, što olakšava navigaciju i razumijevanje prilikom upotrebe asistivnih tehnologija. [Saznajte više](https://web.dev/heading-order/)."},
"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Elementi naslova nisu u postupno silaznom redoslijedu"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Elementi naslova pojavljuju se postupno silaznim redoslijedom"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Ako za stranicu nije naveden atribut jezika, čitač zaslona pretpostavlja da je stranica na zadanom jeziku koji je korisnik odabrao prilikom postavljanja čitača zaslona. Ako stranica nije stvarno na zadanom jeziku, čitač zaslona možda neće ispravno najaviti tekst sa stranice. [Saznajte više](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Element `<html>` nema atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Element `<html>` ima atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Navođenje valjanog [BCP 47 jezika](https://www.w3.org/International/questions/qa-choosing-language-tags#question) pomaže čitačima zaslona u pravilnom najavljivanju teksta. [Saznajte više](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Element `<html>` ne sadrži valjanu vrijednost za atribut `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Element `<html>` ima valjanu vrijednost za svoj atribut `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informativni elementi trebali bi sadržavati kratak, opisni zamjenski tekst. Ukrasni elementi mogu se zanemariti praznim atributom alt. [Saznajte više](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Elementi slike nemaju atribute `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{
message:"Elementi slike imaju `[alt]` atribute"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Kada se slika upotrebljava kao gumb `<input>`, navođenje zamjenskog teksta može pomoći korisnicima čitača zaslona da shvate svrhu gumba. [Saznajte više](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elementi `<input type="image">` nemaju tekst`[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementi `<input type="image">` sadrže `[alt]` tekst'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Oznake osiguravaju da pomoćne tehnologije, poput čitača zaslona, pravilno najavljuju kontrole oblika. [Saznajte više](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Elementi oblika ne sadrže povezane oznake"},"lighthouse-core/audits/accessibility/label.js | title":{
message:"Elementi oblika imaju povezane oznake"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Tekst veze (i zamjenski tekst za slike kada se upotrebljava kao veze) koji je prepoznatljiv, jedinstven i može se fokusirati omogućuje lakše kretanje korisnicima čitača zaslona. [Saznajte više](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Veze nemaju naziv koji je moguće raspoznati"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Veze imaju naziv koji je moguće raspoznati"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Čitači zaslona imaju poseban način najavljivanja popisa. Osiguravanje pravilne strukture popisa pomaže izlazu čitača zaslona. [Saznajte više](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Popisi ne sadrže samo elemente `<li>` i elemente koji podupiru skriptu (`<script>` i`<template>`)."},
"lighthouse-core/audits/accessibility/list.js | title":{message:"Popisi sadrže samo elemente `<li>` i elemente koji podupiru skriptu (`<script>` i`<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Za čitače zaslona stavke na popisu (`<li>`) moraju biti sadržane unutar nadređenog `<ul>` ili `<ol>` kako bi ih se moglo pravilno najaviti. [Saznajte više](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Stavke popisa (`<li>`) nisu sadržane unutar nadređenih elemenata `<ul>` ili `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Stavke popisa (`<li>`) sadržane su unutar nadređenih elemenata `<ul>` ili `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Korisnici ne očekuju automatsko osvježavanje stranice, pa se fokus vraća na vrh stranice. To može biti frustrirajuće i zbuniti korisnike. [Saznajte više](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokument upotrebljava `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokument ne upotrebljava `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Onemogućavanje zumiranja problematično je za slabovidne korisnike koji se oslanjaju na povećavanje zaslona kako bi pravilno vidjeli sadržaj web-stranice. [Saznajte više](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` se upotrebljava u elementu `<meta name="viewport">` ili je atribut `[maximum-scale]` manji od pet.'},
"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` se ne upotrebljava u elementu `<meta name="viewport">` i atribut `[maximum-scale]` nije manji od pet.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Čitači zaslona ne mogu prevesti sadržaj osim teksta. Dodavanje zamjenskog teksta elementima `<object>` pomaže čitačima zaslona u prenošenju značenja korisnicima. [Saznajte više](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elementi `<object>` nemaju tekst`[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementi `<object>` sadrže `[alt]` tekst"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Vrijednost viša od 0 podrazumijeva eksplicitno naređivanje kretanja. Iako je tehnički valjano, to često frustrira korisnike koji se oslanjaju na pomoćne tehnologije. [Saznajte više](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Neki elementi imaju vrijednost `[tabindex]` višu od 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Nijedan element nema vrijednost `[tabindex]` veću od 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Čitači zaslona sadrže značajke za olakšavanje kretanja po tablicama. Potrebno je pripaziti da se ćelije `<td>` koje upotrebljavaju atribut `[headers]` odnose samo na druge ćelije u istoj tablici kako bi se korisnicima čitača zaslona omogućio bolji doživljaj. [Saznajte više](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Ćelije u elementu `<table>` koje upotrebljavaju atribut `[headers]` odnose se na element `id` koji nije pronađen unutar iste tablice."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Ćelije u elementu `<table>` koje upotrebljavaju atribut `[headers]` odnose se na ćelije tablice unutar iste tablice."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Čitači zaslona sadrže značajke za olakšavanje kretanja po tablicama. Osiguravanje da se zaglavlja tablice uvijek odnose na neki skup ćelija može poboljšati doživljaj za korisnike čitača zaslona. [Saznajte više](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elementi `<th>` i elementi s`[role="columnheader"/"rowheader"]` nemaju podatkovne ćelije koje oni opisuju.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'Elementi `<th>` i elementi s `[role="columnheader"/"rowheader"]` imaju podatkovne ćelije koje opisuju.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Navođenje valjanog [BCP 47 jezika](https://www.w3.org/International/questions/qa-choosing-language-tags#question) u elementima pomaže osigurati da čitač zaslona ispravno izgovara tekst. [Saznajte više](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atributi `[lang]` ne sadrže valjanu vrijednost"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atributi `[lang]` imaju valjanu vrijednost"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Kada videozapis sadrži titlove, gluhim i nagluhim osobama jednostavnije je pristupiti njegovim informacijama. [Saznajte više](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Elementi `<video>` ne sadrže element `<track>` s `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementi `<video>` sadržavaju element `<track>` s `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Za idealan izgled na iOS-u kad korisnici na početni zaslon dodaju progresivnu web-aplikaciju definirajte `apple-touch-icon`. Mora ukazivati na neprozirni kvadratni PNG od 192 px (ili 180 px). [Saznajte više](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Ne pruža valjani `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` je zastario; prednost ima `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Ima valjanu ikonu `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Trenutačna vrijednost"},
"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Predložena oznaka"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` pomaže korisnicima da brže šalju obrasce. Kako biste pomogli korisnicima, savjetujemo vam da to omogućite tako što ćete postaviti atribut `autocomplete` na važeću vrijednost. [Saznajte više](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Elementi `<input>` nemaju točne atribute za `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Zahtijeva ručni pregled"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Pregledajte narudžbu oznaka"},"lighthouse-core/audits/autocomplete.js | title":{message:"Elementi `<input>` pravilno upotrebljavaju `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'Oznake `autocomplete`: "{token}" nije važeće u {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Pregledajte narudžbu oznaka: "{tokens}" u {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chromeova proširenja negativno su utjecala na izvedbu učitavanja ove stranice. Pokušajte pregledati stranicu anonimno ili putem Chromeovog profila bez proširenja."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Procjena skripte"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Raščlamba skripte"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Ukupno vrijeme CPU-a"},"lighthouse-core/audits/bootup-time.js | description":{message:"Savjetujemo vam da skratite vrijeme potrebno za raščlambu, kompiliranje i izvršavanje JS-a. Isporuka manjih JS-ova mogla bi vam pomoći da to postignete. [Saznajte više](https://web.dev/bootup-time/)."},
"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Skratite vrijeme izvršavanja JavaScripta"},"lighthouse-core/audits/bootup-time.js | title":{message:"Vrijeme izvršavanja JavaScripta"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Uklonite velike i dvostruke JavaScript module iz skupova kako biste smanjili nepotrebne bajtove koje troši aktivnost na mreži. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Uklanjanje dvostrukih modula u JavaScript paketima"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Veliki GIF-ovi nisu učinkoviti za prikaz animiranog sadržaja. Savjetujemo vam da umjesto GIF-a upotrebljavate MPEG4/WebM videozapise za animacije i PNG/WebP za statične slike da biste smanjili količinu mrežnih bajtova. [Saznajte više](https://web.dev/efficient-animated-content/)"},
"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Upotrebljavajte formate videozapisa za animirani sadržaj"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill i transforms omogućuju starim preglednicima da upotrebljavaju nove značajke za JavaScript. Međutim, mnogi nisu potrebni za suvremene preglednike. Za svoj skupni JavaScript usvojite modernu strategiju implementacije skripte upotrebom otkrivanja značajke modula/nemodula kako bi se smanjila količina koda koji se šalje modernim preglednicima, uz istodobno zadržavanje podrške za stare preglednike. [Saznajte više](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Izbjegavajte posluživanje starog JavaScripta u modernim preglednicima"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Formati slike kao što su JPEG 2000, JPEG XR i WebP često pružaju bolje sažimanje nego PNG ili JPEG, što znači brža preuzimanja i manju potrošnju podataka. [Saznajte više](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Poslužite slike u modernim formatima"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Za slike izvan zaslona i skrivene slike savjetujemo odgođeno učitavanje nakon što se učitaju svi kritični resursi da biste skratili vrijeme do interaktivnosti. [Saznajte više](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Odgodite slike izvan zaslona"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Resursi blokiraju prvo renderiranje vaše stranice. Savjetujemo vam da kljulan JS/CSS isporučite u tekstu te da da odgodite sve JS-ove/stilove koji nisu ključni. [Saznajte više](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Uklonite resurse koji blokiraju generiranje"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Veliki mrežni resursi korisnicima uzrokuju stvarne novčane troškove i usko koreliraju s dugim vremenom učitavanja. [Saznajte više](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Ukupna veličina bila je {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Izbjegavajte ogromne mrežne resurse"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Izbjegava ogromne mrežne resurse"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Umanjenjem CSS datoteka mogu se smanjiti veličine mrežnih resursa. [Saznajte više](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Umanjite CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Umanjenjem JavaScript datoteka mogu se smanjiti veličine resursa i skratiti vrijeme raščlambe skripte. [Saznajte više](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Umanjite JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Smanjite nekorištena pravila iz stilskih tablica i odgodite CSS koji se ne koristi za sadržaj na vidljivom dijelu stranice kako biste smanjili potrošnju bajtova u mrežnoj aktivnosti. [Saznajte više](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Smanjite nekorišteni CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Smanjite nekorišteni JavaScript i odgodite učitavanje skripti dok ne budu potrebne kako biste smanjili potrošnju bajtova u mrežnoj aktivnosti. [Saznajte više](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Smanjite nekorišteni JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Dugotrajno predmemoriranje može ubrzati ponovljene posjete vašoj stranici. [Saznajte više](https://web.dev/uses-long-cache-ttl/)."},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je jedan resurs}one{Pronađen je # resurs}few{Pronađena su # resursa}other{Pronađeno je # resursa}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Poslužite statične elemente s pravilima učinkovitog predmemoriranja"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Upotrebljava pravila učinkovitog predmemoriranja za statične elemente"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimizirane slike učitavaju se brže i troše manje mobilnih podataka. [Saznajte više](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Kodirajte slike učinkovito"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"Poslužite slike prikladnih veličina da biste uštedjeli mobilne podatke i poboljšali vrijeme učitavanja. [Saznajte više](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Postavite slike u odgovarajućoj veličini"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Tekstualni resursi trebaju se posluživati s kompresijom (gzip, deflate ili brotli) radi minimiziranja ukupne količine mrežnih bajtova. [Saznajte više](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Omogućite sažimanje teksta"},"lighthouse-core/audits/content-width.js | description":{message:"Ako se širina sadržaja vaše aplikacije ne podudara s vidljivim dijelom, vaša aplikacija možda neće biti optimizirana za mobilne zaslone. [Saznajte više](https://web.dev/content-width/)."},
"lighthouse-core/audits/content-width.js | explanation":{message:"Veličina vidljivog dijela od {innerWidth} px ne podudara se s veličinom prozora od {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Sadržaj nije ispravne veličine za vidljivi dio."},"lighthouse-core/audits/content-width.js | title":{message:"Sadržaj je ispravne veličine za vidljivi dio"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Lanci kritičkih zahtjeva u nastavku prikazuju koji se resursi učitavaju s visokim prioritetom. Savjetujemo vam da skratite duljinu lanaca, smanjite veličinu resursa za preuzimanje ili odgodite preuzimanje resursa koji nisu nužni kako biste poboljšali učitavanje stranice. [Saznajte više](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{
message:"{itemCount,plural, =1{Pronađen je jedan lanac}one{Pronađen je # lanac}few{Pronađena su # lanca}other{Pronađeno je # lanaca}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Izbjegavajte ulančavanje kritičnih zahtjeva"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Ozbiljnost"},"lighthouse-core/audits/csp-xss.js | description":{message:"Snažna pravila o sigurnosti sadržaja (CSP) značajno smanjuju opasnost od napada skriptiranjem na više web-lokacija (XSS). [Saznajte više](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaksa"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Stranica sadrži CSP definiran u oznaci <meta>. Savjetujemo vam da definirate CSP u HTTP zaglavlju ako možete."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"U načinu provedbe nije pronađen CSP"},
"lighthouse-core/audits/csp-xss.js | title":{message:"Provjera učinkovitosti CSP-a protiv XSS napada"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Ukidanje / upozorenje"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Redak"},"lighthouse-core/audits/deprecations.js | description":{message:"Ukinuti API-ji na kraju će se ukloniti iz preglednika. [Saznajte više](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Pronađeno je jedno upozorenje}one{Broj pronađenih upozorenja: #}few{Broj pronađenih upozorenja: #}other{Broj pronađenih upozorenja: #}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Upotrebljava ukinute API-je"},"lighthouse-core/audits/deprecations.js | title":{message:"Izbjegava ukinute API-je"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{
message:"Ukinuta je predmemorija aplikacije. [Saznajte više](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"„{AppCacheManifest}” je pronađen"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Upotrebljava predmemoriju aplikacije"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Izbjegava predmemoriju aplikacije"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Potrebna je izjava o kodiranju znakova. To je moguće napraviti uz oznaku `<meta>` u prva 1024 bajta HTML-a ili u HTTP zaglavlju odgovora vrste sadržaja. [Saznajte više](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Izjava o skupu znakova nedostaje ili se javlja prekasno u HTML-u"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Ispravno definira skup znakova"},
"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Specificiranje vrste dokumenta (doctype) sprječava preglednik da prijeđe u način rada sa starijim značajkama. [Saznajte više](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Naziv vrste dokumenta (doctype) mora biti niz napisan malim slovima `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"URL mora sadržavati vrstu dokumenta."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Očekivani javni ID bit će prazan niz"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Očekivani ID sustava bit će prazan niz"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Stranici nedostaje vrsta dokumenta HTML, stoga pokreće način rada sa starijim značajkama"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{
message:"Stranica ima HTML vrstu dokumenta"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistika"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Vrijednost"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"Veliki DOM zahtijeva više memorije, produljuje [izračune stila](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) te dovodi do skupih [preoblikovanja izgleda](https://developers.google.com/speed/articles/reflow). [Saznajte više](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{Jedan element}one{# element}few{# elementa}other{# elemenata}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Izbjegavajte pretjeranu veličinu DOM-a"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{
message:"Maksimalna dubina DOM-a"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Ukupan broj elemenata DOM-a"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksimalni broj podređenih elemenata"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Izbjegava pretjeranu veličinu DOM-a"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Neuspješna sidra"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Dodajte `rel="noopener"` ili `rel="noreferrer"` bilo kojoj eksternoj vezi da biste unaprijedili uspješnost i spriječili sigurnosne propuste. [Saznajte više](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Veze na odredišta različitih polazišta nisu sigurne"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Veze na odredišta različitih polazišta sigurne su"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Nije moguće odrediti odredište sidrenja za ({anchorHTML}). Ako se ne upotrebljava kao hiperveza, razmislite o tome da uklonite target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Korisnici ne vjeruju web-lokacijama koje žele znati njihovu lokaciju bez konteksta ili ih takve web-lokacije zbunjuju. Razmislite o tome da umjesto toga zahtjev povežete s radnjama korisnika. [Saznajte više](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Zahtijeva dopuštenje za geolociranje pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{
message:"Izbjegava traženje dopuštenja za geolociranje pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Vrsta poteškoće"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Poteškoće zabilježene na ploči `Issues` u Razvojnim alatima za Chrome ukazuju na neriješene probleme. Rezultat su neuspjelih mrežnih zahtjeva, nedovoljnih sigurnosnih kontrola i ostalih pitanja povezanih s preglednikom. Da biste saznali više pojedinosti o svakoj poteškoći, otvorite ploču Poteškoće u Razvojnim alatima za Chrome."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Poteškoće su zabilježene na ploči `Issues` u Razvojnim alatima za Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blokirano zbog pravila o različitim izvorima"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{
message:"Oglasi upotrebljavaju veliku količinu resursa"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Nema poteškoća na ploči `Issues` u Razvojnim alatima za Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Verzija"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Sve pristupne JavaScript biblioteke otkrivene na stranici. [Saznajte više](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Pronađene JavaScript biblioteke"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Ako korisnici imaju spore veze, vanjske skripte koje se dinamički ubacuju pomoću `document.write()` mogu odgoditi učitavanje stranice za desetke sekundi. [Saznajte više](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Izbjegavajte `document.write()`"},
"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Izbjegava `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Najviši stupanj ozbiljnosti"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Verzija biblioteke"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Broj propusta"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Neke skripte treće strane mogu sadržavati poznate sigurnosne propuste te ih napadači mogu lako identificirati i iskoristiti. [Saznajte više](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Otkriven je jedan sigurnosni propust}one{Broj otkrivenih sigurnosnih propusta: #}few{Broj otkrivenih sigurnosnih propusta: #}other{Broj otkrivenih sigurnosnih propusta: #}}"
},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Uključuje pristupne JavaScript biblioteke s poznatim sigurnosnim propustima"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Izbjegava pristupne JavaScript biblioteke s poznatim sigurnosnim propustima"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Korisnici ne vjeruju web-lokacijama koje traže slanje obavijesti bez konteksta ili ih takve web-lokacije zbunjuju. Razmislite o tome da umjesto toga zahtjev povežete s pokretima korisnika. [Saznajte više](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Zahtijeva dopuštenje za obavještavanje pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Izbjegava traženje dopuštenja za obavještavanje pri učitavanju stranice"},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Sprječavanje lijepljenja zaporke narušava kvalitetu dobrih sigurnosnih pravila. [Saznajte više](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Onemogućuje korisnicima lijepljenje u polja za zaporku"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Omogućuje korisnicima lijepljenje u polja za zaporku"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ima brojne prednosti u odnosu na HTTP/1.1, uključujući binarna zaglavlja i multipleksiranje. [Saznajte više](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{Jedan zahtjev koji nije poslužen protokolom HTTP/2}one{Broj zahtjeva koji nisu posluženi protokolom HTTP/2: #}few{Broj zahtjeva koji nisu posluženi protokolom HTTP/2: #}other{Broj zahtjeva koji nisu posluženi protokolom HTTP/2: #}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Koristi HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Razmislite o tome da svoje pasivne slušatelje događaja označite kao `passive` da biste poboljšali rezultate pretraživanja. [Saznajte više](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Ne upotrebljava pasivne osluškivače za unaprjeđenje rezultata pretraživanja"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Upotrebljava pasivne osluškivače za unaprjeđenje rezultata pretraživanja"},
"lighthouse-core/audits/errors-in-console.js | description":{message:"Pogreške zabilježene u konzoli ukazuju na neriješene probleme. Rezultat su neuspjelih mrežnih zahtjeva i ostalih pitanja povezanih s preglednikom. [Saznajte više](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Pogreške preglednika zabilježene su u konzoli"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Na konzoli nema zabilježenih pogrešaka preglednika"},"lighthouse-core/audits/font-display.js | description":{message:"Iskoristite CSS značajku za prikaz fontova kako bi tekst bio vidljiv korisnicima dok se web-fontovi učitavaju. [Saznajte više](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Neka tekst ostaje vidljiv tijekom učitavanja web-fontova"},"lighthouse-core/audits/font-display.js | title":{message:"Sav tekst ostaje vidljiv tijekom učitavanja web-fontova"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse nije mogao automatski provjeriti vrijednost `font-display` za izvor {fontOrigin}.}one{Lighthouse nije mogao automatski provjeriti vrijednost `font-display` za izvor {fontOrigin}.}few{Lighthouse nije mogao automatski provjeriti vrijednost `font-display` za izvor {fontOrigin}.}other{Lighthouse nije mogao automatski provjeriti vrijednost `font-display` za izvor {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Omjer slike (stvarni)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Omjer slike (prikazane)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Dimenzije prikaza slike trebale bi odgovarati prirodnom omjeru slike. [Saznajte više](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Prikazuje slike netočnog omjera"
},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Prikazuje slike točnog omjera"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Stvarna veličina"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Prikazana veličina"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Očekivana veličina"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Prirodne dimenzije slike trebale bi biti proporcionalne omjeru veličina zaslona i piksela radi dobivanja maksimalne jasnoće slike. [Saznajte više](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Poslužuje slike s niskom razlučivošću"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Poslužuje slike s odgovarajućom razlučivošću"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplikacija je već instalirana"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Preuzimanje obavezne ikone iz manifesta nije uspjelo"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Razlog neuspjeha"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Uslužni alat jest tehnologija koja aplikaciji omogućava korištenje brojnih značajki progresivne web-aplikacije, kao što su izvanmrežni rad, dodavanje na početni zaslon i push obavijesti. Uz odgovarajuće implementacije uslužnog alata i manifesta preglednici mogu proaktivno zatražiti od korisnika da dodaju vašu aplikaciju na početni zaslon, što može dovesti do veće angažiranosti. [Saznajte više](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 razlog}one{# razlog}few{# razloga}other{# razloga}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Manifest web-aplikacije ili uslužni alat ne udovoljavaju zahtjevima za instalaciju"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL aplikacije u Trgovini Play i ID u Trgovini Play ne podudaraju se"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Stranica je učitana u anonimnom prozoru"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'Entitet manifesta "display" mora biti "standalone", "fullscreen" ili "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Manifest sadrži polje "display_override", pa prvi podržani način prikaza mora biti "standalone", "fullscreen" ili "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest se ne može dohvatiti, prazan je ili se ne može raščlaniti"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"URL manifesta promijenio se tijekom dohvaćanja manifesta."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Manifest ne sadrži polje "name" ili "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Manifest ne sadrži odgovarajuću ikonu – potreban je PNG, SVG ili WebP format od najmanje {value0} px, mora biti postavljen atribut veličina, a atribut svrhe, ako je postavljen, mora sadržavati "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Nijedna priložena ikona nije kvadrat od najmanje {value0} px u PNG, SVG ili WebP formatu te s atributom svrhe koji je poništen ili postavljen na "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Preuzeta ikona bila je prazna ili oštećena"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nije naveden ID u Trgovini Play"},
"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Stranica nema URL manifesta <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nije pronađen podudaran uslužni alat. Možda ćete trebati ponovo učitati stranicu ili provjeriti obuhvaća li opseg uslužnog alata za trenutačnu stranicu opseg i početni URL iz manifesta."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Uslužni alat ne može se provjeriti bez polja "start_url" u manifestu'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'ID pogreške instalacije "{errorId}" nije prepoznat'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Stranica se ne poslužuje iz sigurnog izvora"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Stranica se ne učitava u glavnom okviru"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{
message:"Stranica ne radi izvanmrežno"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Navedena platforma za aplikacije nije podržana na Androidu"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest navodi prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications podržan je samo na beta i stabilnom kanalu Chromea na Androidu."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Početni URL manifesta nije važeći"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifest web-aplikacije i uslužni alat udovoljavaju zahtjevima za instalaciju"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL u manifestu sadrži korisničko ime, zaporku ili priključak"},
"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Stranica ne radi izvanmrežno. Nakon Chromea 93, stabilnog izdanja u kolovozu 2021., smatrat će se da se stranica ne može instalirati."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Dopušteno"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blokirano"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nesiguran URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Razrješavanje zahtjeva"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Sve web-lokacije trebale bi biti zaštićene HTTPS-om, čak i one koje ne obrađuju osjetljive podatke. To uključuje izbjegavanje [miješanog sadržaja](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), odnosno učitavanja dijela resursa putem HTTP-a iako se početni zahtjev poslužuje putem HTTPS-a. HTTPS onemogućuje uljezima neovlašteno pristupanje komunikacijama između vaše aplikacije i vaših korisnika, kao i pasivno slušanje tih komunikacija. Preduvjet je za HTTP/2 i API-je brojnih novih web-platformi. [Saznajte više](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je jedan zahtjev koji nije siguran}one{Broj pronađenih zahtjeva koji nisu sigurni: #}few{Broj pronađenih zahtjeva koji nisu sigurni: #}other{Broj pronađenih zahtjeva koji nisu sigurni: #}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Ne upotrebljava HTTPS"},
"lighthouse-core/audits/is-on-https.js | title":{message:"Upotrebljava HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatski nadograđeno na HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Dopušteno uz upozorenje"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteka"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Veće biblioteke JavaScripta mogu uzrokovati lošu izvedbu. Dajte prednost manjim bibliotekama s ekvivalentnim funkcijama kako biste smanjili veličinu paketa. [Saznajte više](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Pronađena je jedna velika biblioteka}one{Pronađena je # velika biblioteka}few{Pronađene su # velike biblioteke}other{Pronađeno je # velikih biblioteka}}"},
"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Zamijenite nepotrebno velike biblioteke JavaScripta"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Izbjegavajte velike biblioteke JavaScripta ako postoje manje alternative"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Ovo je element s najvećim renderiranjem sadržaja unutar vidljivog dijela. [Saznajte više](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element s najvećim renderiranjem sadržaja"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Doprinos CLS-u"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ti DOM elementi najviše doprinose CLS-u stranice."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Izbjegavajte velike pomake izgleda"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Navodi najduže zadatke na glavnoj niti, što je korisno za otkrivanje onih koji najviše doprinose kašnjenju unosa. [Saznajte više](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je # dugački zadatak}one{Pronađen je # dugački zadatak}few{Pronađena su # dugačka zadatka}other{Pronađeno je # dugačkih zadataka}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Izbjegavajte dugačke zadatke na glavnoj niti"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorija"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Savjetujemo vam da skratite vrijeme potrebno za raščlambu, kompiliranje i izvršavanje JS-a. Isporuka manjih JS-ova mogla bi vam pomoći da to postignete. [Saznajte više](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimizirajte rad glavne niti"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimizira rad glavne niti"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Da bi dosegle najveći broj korisnika, web-lokacije bi trebale funkcionirati u svakom značajnijem pregledniku. [Saznajte više](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Web-lokacija funkcionira na različitim preglednicima"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Pobrinite se da su sve individualne stranice dubinski povezane putem URL-a i da su URL-ovi jedinstveni radi dijeljenja na društvenim mrežama. [Saznajte više](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Svaka stranica ima URL"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Pri dodirivanju stavki prijelazi bi trebali biti brzi, čak i na sporoj mreži. To je ključno za korisnikovu percepciju izvedbe. [Saznajte više](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Ne čini se da se prijelazi stranica blokiraju na mreži"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Ikona koju je moguće maskirati osigurava da slika ispunjava cjelokupan oblik, a da nije u letterbox formatu pri instaliranju aplikacije na uređaj. [Saznajte više](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest nema ikonu koju je moguće maskirati"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest ima ikonu koju je moguće maskirati"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Kumulativni pomak izgleda mjeri kretanje vidljivih elemenata u vidljivom dijelu. [Saznajte više](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Prvo renderiranje sadržaja označava vrijeme renderiranja prvog teksta ili slike. [Saznajte više](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Prvo korisno renderiranje mjeri kada je vidljiv primarni sadržaj stranice. [Saznajte više](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Vrijeme do interaktivnosti količina je vremena koje je potrebno da stranica postane potpuno interaktivna. [Saznajte više](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Najveće renderiranje sadržaja označava vrijeme renderiranja najvećeg teksta ili slike. [Saznajte više](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Maksimalno potencijalno kašnjenje odgovora na prvi unos koje bi korisnik mogao doživjeti trajanje je najduljeg zadatka. [Saznajte više](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Indeks brzine prikazuje koliko se brzo sadržaj stranice vidljivo popunjava. [Saznajte više](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Zbroj svih razdoblja između PRS-a i vremena do interaktivnosti kad trajanje zadatka premašuje 50 ms, iskazano u milisekundama. [Saznajte više](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Vrijeme od slanja upita do primanja odgovora (RTT) za mrežu ima velik utjecaj na izvedbu. Ako je RTT do polazišta visok, to je znak da bi poslužitelji bliže korisniku mogli poboljšati izvedbu. [Saznajte više](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Vrijeme od slanja upita do primanja odgovora za mrežu"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Latencije poslužitelja mogu utjecati na izvedbu na webu. Ako je latencija poslužitelja polazišta visoka, to je znak da je poslužitelj preopterećen ili da ima lošu pozadinsku izvedbu. [Saznajte više](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Pozadinske latencije poslužitelja"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Događaj `unload` ne aktivira se na pouzdan način i njegovo osluškivanje može spriječiti optimizacije preglednika kao što je predmemoriranje cijele stranice. Umjesto toga savjetujemo vam upotrebu događaja `pagehide` ili `visibilitychange`. [Saznajte više](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registrira se kao slušatelj za događaj `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Izbjegava slušatelje događaja za `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animacije koje nisu kompozitne mogu biti lošije kvalitete i povisiti CLS. [Saznajte više](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Pronađen je # animirani element}one{Pronađen je # animirani element}few{Pronađena su # animirana elementa}other{Pronađeno je # animiranih elemenata}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Svojstvo koje se odnosi na filtar može pomicati piksele"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Cilj ima neku drugu animaciju koja nije kompatibilna"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Efekt sadrži kompozitni način koji nije "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Izbjegavajte animacije koje nisu kompozitne"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Svojstvo koje se odnosi na preobrazbu ovisi o veličini okvira"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Nepodržano svojstvo CSS-a: {properties}}one{Nepodržana svojstva CSS-a: {properties}}few{Nepodržana svojstva CSS-a: {properties}}other{Nepodržana svojstva CSS-a: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efekt sadrži parametre tempiranja koji nisu podržani"},"lighthouse-core/audits/performance-budget.js | description":{message:"Zahtjeve za količinom i veličinom mreže održavajte ispod ciljeva utvrđenih danim proračunom za izvršavanje. [Saznajte više](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{Jedan zahtjev}one{Broj zahtjeva: #}few{Broj zahtjeva: #}other{Broj zahtjeva: #}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Proračun za izvedbu"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Predučitajte fontove s opcijom `optional` kako bi ih novi posjetitelji mogli koristiti. [Saznajte više](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fontovi s opcijom `font-display: optional` nisu predučitani"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Predučitani su fontovi s opcijom `font-display: optional`"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Predučitajte sliku koju LCP element koristi kako bi se smanjilo vaše LCP vrijeme. [Saznajte više](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Predučitavanje slike Najveće renderiranje sadržaja"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Ako ste već postavili HTTPS, provjerite preusmjeravate li sav HTTP promet na HTTPS kako biste omogućili sigurne web-značajke za sve korisnike. [Saznajte više](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Ne preusmjerava HTTP promet na HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Preusmjerava HTTP promet na HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Preusmjeravanja uvode dodatna kašnjenja prije nego što se stranica može učitati. [Saznajte više](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Izbjegavajte višestruka preusmjeravanja stranica"},"lighthouse-core/audits/resource-summary.js | description":{message:"Da biste postavili proračune za količinu i veličinu resursa stranice, dodajte datoteku budget.json. [Saznajte više](https://web.dev/use-lighthouse-for-performance-budgets/)."},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{Jedan zahtjev • {byteCount, number, bytes} KiB}one{# zahtjev • {byteCount, number, bytes} KiB}few{# zahtjeva • {byteCount, number, bytes} KiB}other{# zahtjeva • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Neka zahtjevi budu malobrojni, a veličine prijenosa male"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanonske veze ukazuju na to koji URL prikazati u rezultatima pretraživanja. [Saznajte više](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Više URL-ova u sukobu ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Usmjerava na drugu domenu ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Nevažeći URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{
message:"Usmjerava na drugu `hreflang` lokaciju ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relativni URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Upućuje na korijenski URL domene (početnu stranicu), a ne na ekvivalentnu stranicu sadržaja"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument ne sadrži valjanu vezu `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument ima valjani `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Veza koju nije moguće pretražiti i indeksirati"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Tražilice mogu koristiti atribute `href` na vezama da bi pretražile i indeksirale web-lokacije. Pobrinite se da atribut `href` sidrenih elemenata povezuje s odgovarajućim odredištem kako biste omogućili otkrivanje više stranica web-lokacije. [Saznajte više](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Veze se ne mogu pretražiti i indeksirati"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Veze se mogu pretražiti i indeksirati"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Dodatan nečitljiv tekst"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Veličina fonta"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Postotak teksta na stranici"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selektor"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Fontovi manji od 12 px premali su da bi bili čitljivi, pa posjetitelji na mobilnim uređajima moraju zumirati prstima. Neka više od 60% teksta na stranici ima veličinu od najmanje 12px. [Saznajte više](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} čitljivog teksta"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Tekst nije čitljiv jer nijedna metaoznaka vidljivog dijela nije optimizirana za zaslone mobilnih uređaja."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokument ne sadrži čitljive veličine fontova"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Čitljiv tekst"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokument upotrebljava čitljive veličine fontova"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Veze s atributom hreflang govore tražilicama koju verziju stranice trebaju navesti u rezultatima pretraživanja za određeni jezik ili regiju. [Saznajte više](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument ne sadrži važeći `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativna href vrijednost"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument ima valjani `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Neočekivani jezični kôd"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Stranice s neuspješnim HTTP kodom statusa možda se neće pravilno indeksirati. [Saznajte više](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Stranica ima neuspješan HTTP kôd statusa"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Stranica ima uspješan HTTP kôd statusa"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Tražilice ne mogu uključiti vaše stranice u rezultate pretraživanja ako nemaju dopuštenje da ih pretraže i indeksiraju. [Saznajte više](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Indeksiranje je stranice blokirano"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Indeksiranje stranice nije blokirano"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Opisni tekst veze pomaže tražilicama da razumiju vaš sadržaj. [Saznajte više](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Pronađena je jedna veza}one{Pronađena je # veza}few{Pronađene su # veze}other{Pronađeno je # veza}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Veze nemaju opisni tekst"},
"lighthouse-core/audits/seo/link-text.js | title":{message:"Veze sadrže deskriptivan tekst"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Pokrenite [Alat za testiranje strukturiranih podataka](https://search.google.com/structured-data/testing-tool/) i [Datoteku za provjeru koda (linter) strukturiranih podataka](http://linter.structured-data.org/) da biste potvrdili strukturirane podatke. [Saznajte više](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturirani su podaci važeći"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Metaopisi mogu se uključiti u rezultate pretraživanja kako bi se jezgrovito sažeo sadržaj stranice. [Saznajte više](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Tekst opisa nema sadržaj."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{
message:"Dokument ne sadrži metaopis"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument sadrži metaopis"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Tražilice ne mogu indeksirati sadržaj dodataka, pa mnogi uređaji ograničavaju dodatke ili ih ne podržavaju. [Saznajte više](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument upotrebljava dodatke"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokument izbjegava dodatke"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Ako je vaša robots.txt datoteka oštećena, alati za indeksiranje možda neće moći razumjeti kako želite da se vaša web-lokacija pretraži ili indeksira. [Saznajte više](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Zahtjevi za robots.txt vraćaju HTTP status: {statusCode}"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Pronađena je jedna pogreška}one{Pronađena je # pogreška}few{Pronađene su # pogreške}other{Pronađeno je # pogrešaka}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse nije uspio preuzeti robots.txt datoteku"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt nije valjan"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt je valjan"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktivni elementi kao što su gumbi i veze trebali bi biti dovoljno veliki (48 x 48 px) i oko njih bi trebalo biti dovoljno prostora da ih se može lako dodirnuti bez preklapanja s drugim elementima. [Saznajte više](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} ciljeva dodira odgovarajuće veličine"},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Ciljevi dodira nisu dovoljno veliki jer nijedna metaoznaka vidljivog dijela nije optimizirana za zaslone mobilnih uređaja"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Ciljevi dodira nisu odgovarajuće veličine"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Preklapanje cilja"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Cilj dodira"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Ciljevi dodira odgovarajuće su veličine"},"lighthouse-core/audits/server-response-time.js | description":{message:"Neka vrijeme odgovora poslužitelja za glavni dokument bude kratko jer svi ostali zahtjevi ovise o njemu. [Saznajte više](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{
message:"Za korijenski dokument bilo je potrebno {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Skratite inicijalno vrijeme odgovora poslužitelja"},"lighthouse-core/audits/server-response-time.js | title":{message:"Inicijalno vrijeme odgovora poslužitelja bilo je kratko"},"lighthouse-core/audits/service-worker.js | description":{message:"Uslužni alat jest tehnologija koja aplikaciji omogućava korištenje brojnih značajki progresivne web-aplikacije, kao što je offline rad, dodavanje na početni zaslon i push obavijesti. [Saznajte više](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Ovom stranicom upravlja uslužni alat, no nije pronađen `start_url` jer manifest nije raščlanjen kao važeći JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"Ovom stranicom upravlja uslužni alat, no `start_url` ({startUrl}) nije u rasponu uslužnog alata ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Ovom stranicom upravlja uslužni alat, no nije pronađen `start_url` jer nije dohvaćen manifest."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Ova izvor ima jedan ili više uslužnih alata, no stranica ({pageUrl}) nije u rasponu."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Ne registrira uslužni alat koji kontrolira stranicu i `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registrira uslužni alat koji upravlja stranicom i `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Tematski pozdravni zaslon pruža bolji doživljaj korisnicima koji pokreću vašu aplikaciju na početnom zaslonu. [Saznajte više](https://web.dev/splash-screen/)."},
"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nije konfigurirano za prilagođeni pozdravni zaslon"},"lighthouse-core/audits/splash-screen.js | title":{message:"Konfiguriran za prilagođeni pozdravni zaslon"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Adresna traka preglednika može se tematski podudarati s vašom web-lokacijom. [Saznajte više](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Ne postavlja boju teme za adresnu traku."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Postavlja boju teme za adresnu traku."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (uspjeh klijenata)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (društvene mreže)"},
"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (videozapis)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Proizvod"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Neka ugrađivanja trećih strana mogu se učitavati s odgodom. Savjetujemo da ih zamijenite fasadom dok ne budu potrebni. [Saznajte više](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{dostupna je # alternativa s fasadom}one{dostupna je # alternativa s fasadom}few{dostupne su # alternative s fasadom}other{dostupno je # alternativa s fasadom}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Neki resursi trećih strana mogu se učitavati s odgodom pomoću fasade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Odgođeno učitavanje resursa trećih strana pomoću fasada"},
"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Treća strana"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Kôd treće strane može znatno utjecati na uspješnost učitavanja. Ograničite broj suvišnih pružatelja treće strane i pokušajte učitati kôd treće strane nakon primarnog zavšetka učitavanja vaše stranice. [Saznajte više](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Kôd treće strane blokirao je glavnu nit na {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Smanjite utjecaj koda trećih strana"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Smanjenje upotrebe koda trećih strana"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Mjerenje"},
"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Mjerni podatak"},"lighthouse-core/audits/timing-budget.js | description":{message:"Postavite proračun za tempiranje kako biste lakše pratili izvedbu na svojoj web-lokaciji. Web-lokacije koje funkcioniraju dobro brzo se učitavaju i reagiraju na unose korisnika. [Saznajte više](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Proračun za tempiranje"},"lighthouse-core/audits/unsized-images.js | description":{message:"Postavite eksplicitnu širinu i visinu na elementima slika da bi se smanjili pomaci izgleda i poboljšao CLS. [Saznajte više](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Elementi slike nemaju eksplicitnu `width` i `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Elementi slike imaju eksplicitnu `width` i `height`"},
"lighthouse-core/audits/user-timings.js | columnType":{message:"Vrsta"},"lighthouse-core/audits/user-timings.js | description":{message:"Savjetujemo vam da na aplikaciju primijenite API za praćenje korisničkog vremena radi mjerenja izvedbe aplikacije u stvarnom vremenu tijekom važnih korisničkih doživljaja. [Saznajte više](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{Jedno praćenje korisničkog vremena}one{# praćenje korisničkog vremena}few{# praćenja korisničkog vremena}other{# praćenja korisničkog vremena}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Oznake i izmjere Praćenja korisničkog vremena"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Pronađen je element `<link rel=preconnect>` za "{securityOrigin}", ali ga preglednik nije upotrijebio. Provjerite upotrebljavate li atribut `crossorigin` pravilno.'},
"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Savjetujemo vam da dodate `preconnect` ili `dns-prefetch` prilagodbe resursa radi uspostavljanja ranih veza s važnim izvorima trećih strana. [Saznajte više](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Rano se povežite s potrebnim izvorima"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Pronađeno je više od dviju veza `<link rel=preconnect>`. Te bi se veze trebale upotrebljavati štedljivo i samo za najvažnije izvore."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Pronađen je element `<link rel=preconnect>` za "{securityOrigin}", ali ga preglednik nije upotrijebio. Koristite `preconnect` samo za važne izvore koje će stranica sigurno zahtijevati.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:'Pronađen je element `<link>` za predučitavanje za "{preloadURL}", ali ga preglednik nije upotrijebio. Provjerite upotrebljavate li atribut `crossorigin` pravilno.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Savjetujemo vam da koristite `<link rel=preload>` da biste dali prednost dohvaćanju resursa koji se trenutačno traže kasnije u učitavanju stranice. [Saznajte više](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Unaprijed učitajte ključne zahtjeve"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL karte"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Karte izvora prevode umanjeni kôd u originalni izvorni kôd. To pomaže razvojnim programerima pri otklanjanju pogrešaka u produkciji. Osim toga, Lighthouse može pružiti daljnje uvide. Savjetujemo vam da primijenite karte izvora kako biste iskoristili te pogodnosti. [Saznajte više](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Nedostaju karte izvora za veliki JavaScript prve strane"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"U velikoj datoteci JavaScripta nedostaje karta izvora"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Upozorenje: u atributu `.sourcesContent` nedostaje jedna stavka}one{Upozorenje: u atributu `.sourcesContent` nedostaje # stavka}few{Upozorenje: u atributu `.sourcesContent` nedostaju # stavke}other{Upozorenje: u atributu `.sourcesContent` nedostaje # stavki}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Stranica ima važeće karte izvora"},"lighthouse-core/audits/viewport.js | description":{message:'Dodajte oznaku `<meta name="viewport">` da biste optimizirali svoju aplikaciju za mobilne zaslone. [Saznajte više](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nijedna oznaka `<meta name="viewport">` nije pronađena'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nema oznaku `<meta name="viewport">` s `width` ili `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Ima oznaku `<meta name="viewport">` s `width` ili `initial-scale`'},
"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"To su prilike za poboljšanje uporabe sustava ARIA u vašoj aplikaciji, što može unaprijediti doživljaj za korisnike pomoćne tehnologije, primjerice čitača zaslona."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Ovo su prilike za poboljšanje zamjenskog sadržaja za zvuk i videoprikaz. To može poboljšati doživljaj za korisnike s oštećenjem sluha ili vida."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Zvuk i videoprikaz"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Ove stavke ističu uobičajene najbolje primjere iz prakse za pristupačnost."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Najbolji primjeri iz prakse"},
"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Ove provjere ističu prilike za [poboljšanje pristupačnosti vaše web-aplikacije](https://developers.google.com/web/fundamentals/accessibility). Budući da se automatskom provjerom može otkriti samo dio poteškoća s pristupačnošću, savjetujemo i ručno testiranje."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Područja adresa za te stavke koja alat za automatizirano testiranje ne može pokriti. Saznajte više u našem vodiču o [provođenju pregleda pristupačnosti](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Pristupačnost"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"To su mogućnosti za poboljšanje čitljivosti vašeg sadržaja."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"To su prilike da unaprijedite tumačenje svojeg sadržaja za korisnike na različitim jezicima."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizacija i lokalizacija"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"To su prilike za poboljšanje semantike kontrola u vašoj aplikaciji. Na taj način možete poboljšati doživljaj za korisnike pomoćne tehnologije, primjerice čitača zaslona."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nazivi i oznake"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Ovo su prilike za poboljšanje kretanja tipkovnicom u vašoj aplikaciji."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Kretanje"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"Ovo su prilike za poboljšanje doživljaja čitanja podataka u tablicama ili na popisima koristeći se asistivnom tehnologijom, primjerice čitačem zaslona."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tablice i popisi"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Kompatibilnost preglednika"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Najbolji primjeri iz prakse"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Općenito"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Povjerenje i sigurnost"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Korisnički doživljaj"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Proračuni za izvedbu postavljaju standarde izvedbe vaše stranice."},
"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Proračuni"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Više informacija o izvedbi vaše aplikacije. Ovi brojevi ne [utječu izravno](https://web.dev/performance-scoring/) na rezultat izvedbe."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Dijagnostika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Najkritičniji je aspekt izvedbe brzina kojom se pikseli generiraju na zaslonu. Ključni mjerni podaci: Prvo bojenje sadržaja, Prvo smisleno bojenje"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Poboljšanja prvog bojenja"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Ovi prijedlozi mogu vam pomoći da brže učitate stranicu. Oni ne [utječu izravno](https://web.dev/performance-scoring/) na rezultat izvedbe."},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Prilike"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Mjerni podaci"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Poboljšajte općeniti doživljaj učitavanja tako da stranica bude responzivna i spremna za upotrebu što je prije moguće. Ključni mjerni podaci: Vrijeme do interaktivnosti, Indeks brzine"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Općenita poboljšanja"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Izvedba"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Te provjere potvrđuju aspekte progresivne web-aplikacije. [Saznajte više](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Te su provjere potrebne za osnovni [PWA kontrolni popis](https://developers.google.com/web/progressive-web-apps/checklist), no Lighthouse ih ne izvodi automatski. One ne utječu na vaš rezultat, no važno je da ih ručno izvršite."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresivna web-aplikacija"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Može se instalirati"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA je optimiziran"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Ove provjere služe za optimizaciju vaše stranice za rangiranje rezultata tražilice. Lighthouse ne provjerava neke dodatne čimbenike koji mogu utjecati na vaše rangiranje u pretraživanju. [Saznajte više](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"Pokrenite ove dodatne validatore na svojoj web-lokaciji da biste pregledali dodatne najbolje primjere iz prakse za SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatirajte HTML na način koji omogućuje alatima za indeksiranje da bolje razumiju sadržaj vaše aplikacije."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Najbolji primjeri sadržaja"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Da bi se vaša aplikacija pojavila u rezultatima pretraživanja, omogućite alatima za indeksiranje da joj pristupe."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Pretraživanje i indeksiranje"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Prilagodite svoje stranice mobilnim uređajima kako ih korisnici ne bi trebali sami povećavati da bi čitali sadržaj. [Saznajte više](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Prilagođeno mobilnim uređajima"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Čini se da testirani uređaj ima sporiji procesor nego što Lighthouse očekuje. To može negativno utjecati na vaš rezultat izvedbe. Saznajte više o [kalibraciji odgovarajućeg množitelja usporavanja procesora](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Stranica se možda ne učitava kako je očekivano jer je vaš testni URL ({requested}) bio preusmjeren na {final}. Pokušajte izravno testirati drugi URL"},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{
message:"Učitavanje stranice bilo je presporo da bi se dovršilo unutar vremenskog ograničenja. Rezultati možda nisu potpuni."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{Na ovoj lokaciji možda ima pohranjenih podataka koji utječu na izvedbu učitavanja: {locations}. Provjerite stranicu u anonimnom prozoru da ti resursi ne bi utjecali na rezultate.}one{Na ovim lokacijama možda ima pohranjenih podataka koji utječu na izvedbu učitavanja: {locations}. Provjerite stranicu u anonimnom prozoru da ti resursi ne bi utjecali na rezultate.}few{Na ovim lokacijama možda ima pohranjenih podataka koji utječu na izvedbu učitavanja: {locations}. Provjerite stranicu u anonimnom prozoru da ti resursi ne bi utjecali na rezultate.}other{Na ovim lokacijama možda ima pohranjenih podataka koji utječu na izvedbu učitavanja: {locations}. Provjerite stranicu u anonimnom prozoru da ti resursi ne bi utjecali na rezultate.}}"},
"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Savjetujemo vam da dodate https: i http: URL sheme (koje ignoriraju preglednici koji podržavaju strict-dynamic) radi kompatibilnosti s prijašnjim verzijama preglednika."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Direktiva disown-opener obustavljena je od pravila CSP3. Upotrijebite zaglavlje Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Direktiva referrer obustavljena je od pravila CSP2. Upotrijebite zaglavlje Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Direktiva reflected-xss obustavljena je od pravila CSP2. Upotrijebite zaglavlje X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Base-uri koji nedostaje dopušta ugrađenim oznakama <base> da postave osnovni URL za sve relativne URL-ove (npr. skripte) na domenu kojom upravljaju napadači. Savjetujemo vam da base-uri postavite na none ili self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elementi kojima upravlja object-src smatraju se starim značajkama. Savjetujemo vam da object-src postavite na none kako biste spriječili ugradnju dodataka koji izvršavaju nesigurne skripte."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Nedostaje direktiva script-src. To može omogućiti izvršavanje nesigurnih skripti."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Jeste li zaboravili točku sa zarezom? Čini se da je {keyword} direktiva, a ne ključna riječ."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonceovi trebaju upotrebljavati base64 skup znakova."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{
message:"Nonceovi trebaju imati najmanje osam znakova."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Odredište izvješća konfigurira se samo putem direktive report-to. Ta je direktiva podržana samo u preglednicima koji se temelje na Chromiumu, pa se preporučuje da se upotrijebi i direktiva report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Nijedan CSP ne konfigurira odredište izvješća. To otežava održavanje CSP-a tijekom vremena i nadzor mogućih prekida."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Popis dopuštenih hostova često se može zaobići. Savjetujemo vam da koristite strict-dynamic u kombinaciji s CSP nonceovima ili hashevima."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Nepoznata direktiva CSP-a."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Čini se da {keyword} nije važeća ključna riječ."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"Direktiva unsafe-inline omogućuje izvršavanje nesigurnih skripti i rukovatelja događajima unutar stranice. Savjetujemo vam da koristite CSP nonceove ili hasheve kako biste omogućavali skripte pojedinačno."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Savjetujemo vam da koristite unsafe-inline (koji ignoriraju preglednici koji podržavaju nonceove/hasheve) radi kompatibilnosti s prijašnjim verzijama preglednika."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Vrijeme blokiranja glavne niti"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL predmemoriranja"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Opis"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Trajanje"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementi koji nisu prošli provjeru"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Lokacija"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Naziv"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Više od proračuna"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Zahtjevi"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Veličina resursa"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Vrsta resursa"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Veličina"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Izvor"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Vrijeme početka"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Utrošeno vrijeme"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Veličina prijenosa"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potencijalna ušteda"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potencijalna ušteda"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potencijalna ušteda {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Pronađen je jedan element}one{Pronađen je # element}few{Pronađena su # elementa}other{Pronađeno je # elemenata}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potencijalna ušteda {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Prvo smisleno bojenje"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Slika"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Visok"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Nisko"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Srednje"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maks. potencijalno kašnjenje odgovora na prvi unos"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Mediji"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Drugo"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Ostali resursi"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skripta"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"List stila"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Treća strana"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Ukupno"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Nešto nije u redu sa snimanjem traga preko učitavanja stranice. Ponovno pokrenite Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Isteklo je vrijeme čekanja za inicijalnu vezu za protokol za otklanjanje pogrešaka."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Chrome nije prikupio nikakve snimke zaslona tijekom učitavanja stranice. Provjerite je li sadržaj vidljiv na stranici, a zatim pokušajte ponovno pokrenuti Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS poslužitelji nisu mogli razriješiti navedenu domenu."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Potrebni prikupljač {artifactName} naišao je na pogrešku: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Došlo je do interne pogreške u Chromeu. Ponovo pokrenite Chrome i pokušajte ponovo pokrenuti Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Nije se pokrenuo potrebni prikupljač {artifactName}."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Stranica nije prikazala nikakav sadržaj. Pobrinite se da prozor preglednika ostane u prednjem planu tijekom učitavanja i pokušajte ponovo. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | notHtml":{message:"Navedena stranica nije HTML (poslužuje se kao vrsta MIME-a {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Ova je verzija Chromea prestara da bi podržavala "{featureName}". Upotrijebite noviju verziju da biste vidjeli potpune rezultate.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse nije mogao pouzdano učitati stranicu koju ste zatražili. Provjerite testirate li ispravan URL i odgovara li poslužitelj pravilno na sve zahtjeve."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse nije mogao pouzdano učitati URL koji ste zatražili jer je stranica prestala reagirati."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"URL koji ste naveli nema valjani sigurnosni certifikat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome je spriječio međuprostorno učitavanje stranice. Provjerite testirate li ispravan URL i odgovara li poslužitelj pravilno na sve zahtjeve."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse nije mogao pouzdano učitati stranicu koju ste zatražili. Provjerite testirate li ispravan URL i odgovara li poslužitelj pravilno na sve zahtjeve. (Pojedinosti: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse nije mogao pouzdano učitati stranicu koju ste zatražili. Provjerite testirate li ispravan URL i odgovara li poslužitelj pravilno na sve zahtjeve. (Statusni kôd: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Učitavanje stranice trajalo je predugo. Slijedite mogućnosti u izvješću da biste smanjili vrijeme učitavanja stranice, a zatim pokušajte ponovno pokrenuti Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Čekanje odgovora protokola DevTools premašilo je dodijeljeno vrijeme. (Način: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Dohvaćanje sadržaja resursa premašilo je dodijeljeno vrijeme"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Čini se da URL koji ste naveli nije važeći."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Sve"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Sve skripte"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Pokrivenost"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplicirani moduli"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bajtovi resursa"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Naziv"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Prikaži/sakrij tablicu"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{
message:"Neiskorišteni bajtovi"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Za animirani sadržaj upotrijebite [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) da biste smanjili upotrebu procesora kad sadržaj nije na zaslonu."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Razmislite o prikazivanju svih komponenti [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) u WebP formatima uz određivanje odgovarajuće zamjene za druge preglednike. [Saznajte više](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Pobrinite se da upotrebljavate [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) kako bi se slike automatski učitavale s odgodom. [Saznajte više](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Upotrebljavajte alate kao što je [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) za [generiranje AMP izgleda na poslužitelju](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"U [AMP dokumentaciji](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) provjerite jesu li svi stilovi podržani."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Komponenta [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) podržava atribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) za određivanje slikovnih elemenata koji će se upotrebljavati ovisno o veličini zaslona. [Saznajte više](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"U slučaju generiranja vrlo velikih popisa savjetujemo vam virtualno pomicanje pomoću paketa Component Dev Kit (CDK). [Saznajte više](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Primijenite [razdvajanje koda na razini rute](https://web.dev/route-level-code-splitting-in-angular/) da biste smanjili veličinu JavaScript paketa. Također razmislite o predmemoriranju elemenata pomoću [uslužnog alata Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Ako upotrebljavate Angular CLI, međuverzije se trebaju generirati u produkcijskom načinu rada. [Saznajte više](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Ako upotrebljavate Angular CLI, uključite karte izvora u produkcijsku međuverziju kako biste provjerili pakete. [Saznajte više](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Unaprijed predučitajte rute da biste ubrzali navigaciju. [Saznajte više](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Za upravljanje prijelomnim točkama slike savjetujemo vam upotrebu uslužnog programa `BreakpointObserver` u paketu Component Dev Kit (CDK). [Saznajte više](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Savjetujemo vam da prenesete GIF na uslugu na kojoj će se kodirati za ugrađivanje kao HTML5 videozapis."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Navedite `@font-display` prilikom definiranja prilagođenih fontova u svojoj temi."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Razmislite o instaliranju i konfiguriranju [modula da biste na svojoj web-lokaciji iskoristili WebP formate slike](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search). Takvi moduli automatski generiraju WebP verziju vaših prenesenih slika radi optimizacije vremena učitavanja."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instalirajte [Drupalov modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) koji može učitavati slike s odgodom. Takvi moduli omogućuju odgađanje svih slika koje nisu na zaslonu kako bi se poboljšala izvedba."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Razmislite o modulu kojim bi se ugradili ključni CSS i JavaScript ili o potencijalnoj mogućnosti asinkronog učitavanja elemenata pomoću JavaScripta, kao što je modul [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Upozoravamo da optimizacije koje pruža taj modul mogu oštetiti vašu web-lokaciju, pa ćete vjerojatno trebati unijeti promjene u kôd."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Teme, moduli i specifikacije poslužitelja produljuju vrijeme odgovora poslužitelja. Savjetujemo vam da pronađete optimiziraniju temu, pažljivo odaberete modul za optimizaciju i/ili nadogradite poslužitelja. Hosting poslužitelji trebali bi koristiti predmemoriranje za PHP opkôd, predmemoriranje radi smanjenja vremena odgovaranja na upit iz baze podataka kao što su Redis ili Memcached, kao i optimiziranje logike aplikacije kako bi se stranice brže pripremile."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Savjetujemo vam da upotrebljavate [responzivne stilove slika](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) kako biste smanjili veličinu slika učitanih na vašu stranicu. Ako koristite prikaze za prikazivanje više stavki sadržaja na stranici, savjetujemo vam da numeriranjem stranica ograničite broj stavki sadržaja koje se prikazuju na toj stranici."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Provjerite jeste li aktivirali opciju "Agregiraj CSS datoteke" na stranici "Administracija » Konfiguracija » Razvoj". Kroz [dodatne module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) također možete konfigurirati naprednije opcije agregacije kako biste ubrzali svoju web-lokaciju ulančavanjem, umanjivanjem i komprimiranjem CSS stilova.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Provjerite jeste li aktivirali opciju "Agregiraj JavaScript datoteke" na stranici "Administracija » Konfiguracija » Razvoj". Kroz [dodatne module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) također možete konfigurirati naprednije opcije agregacije kako biste ubrzali svoju web-lokaciju ulančavanjem, umanjivanjem i komprimiranjem JavaScript elemenata.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Razmislite o uklanjanju nekorištenih pravila CSS-a te relevantnoj stranici ili komponenti stranice priložite samo potrebne Drupalove zbirke. Pojedinosti pročitajte na [vezi na Drupalove dokumente](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Da biste pronašli priložene zbirke koje dodaju suvišan CSS, pokušajte pokrenuti [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatu Chrome DevTools. Odgovornu temu ili modul možete pronaći u URL-u list stilova kad je na web-lokaciji Drupala onemogućena agregacija CSS-a. Obratite pažnju na teme ili module koji na popisu imaju mnogo stilskih tablica s mnogo crvenog u pokrivenosti koda. Tema ili modul trebali bi postaviti list stilova u red samo ako se ona doista upotrebljava na stranici."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Razmislite o uklanjanju nekorištenih elemenata JavaScripta te relevantnoj stranici ili komponenti stranice priložite samo potrebne Drupalove biblioteke. Pojedinosti pročitajte na [vezi na Drupalovu dokumentaciju](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Da biste pronašli priložene biblioteke koje dodaju suvišan JavaScript, pokušajte pokrenuti [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatu Chrome DevTools. Odgovornu temu ili modul možete pronaći u URL-u skripte kad je na Drupalovoj web-lokaciji onemogućena JavaScriptova agregacija. Obratite pažnju na teme ili module koji na popisu imaju mnogo skripti s mnogo crvenog u pokrivenosti koda. Tema ili modul trebali bi postaviti skriptu u red samo ako se ona doista upotrebljava na stranici."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Postavite "Maksimalno trajanje predmemorije preglednika i proxyja" na stranici "Administracija » Konfiguracija » Razvoj". Pročitajte o [Drupalovoj predmemoriji i optimiziranju za rad](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Savjetujemo vam da upotrebljavate [modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) koji automatski optimizira i smanjuje veličinu slika prenesenih preko web-lokacije te istodobno zadržava kvalitetu. Također provjerite koristite li izvorne [responzivne stilove slika](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) koje pruža Drupal (dostupni u Drupalu 8 i novijim verzijama) za sve slike generirane na web-lokaciji."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Nagovještaji resursa za rano povezivanje ili prethodno dohvaćanje DNS-a mogu se dodati instaliranjem i konfiguriranjem [modula](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) koji pruža infrastrukturu za nagovještaje resursa korisničkog agenta."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Provjerite koristite li izvorne [responzivne stilove slika](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) koje pruža Drupal (dostupni u Drupalu 8 i novijim verzijama). Responzivne stilove slika koristite kada generirate slikovna polja kroz načine prikaza, prikaze ili slike prenesene WYSIWYG uređivačem."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Savjetujemo vam da prenesete GIF na uslugu na kojoj će se kodirati za ugrađivanje kao HTML5 videozapis."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Savjetujemo vam upotrebu [dodatka](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ili usluge koji će prenesene slike automatski konvertirati u optimalne formate."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instalirajte [Joomlin dodatak za učitavanje s odgodom](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) koji pruža mogućnost odgode slika koje nisu na zaslonu ili prijeđite na predložak koji pruža tu funkciju. Počevši od Joomle 4.0, sve nove slike [automatski](https://github.com/joomla/joomla-cms/pull/30748) će dobiti atribut `loading` od jezgre."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Brojni Joomlini dodaci omogućuju vam da [ugradite kritične elemente](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ili [odgodite nevažnije resurse](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Upozoravamo da optimizacije koje pružaju ti dodaci mogu oštetiti značajke vaših predložaka ili dodataka, pa ćete ih trebati temeljito testirati."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Predlošci, proširenja i specifikacije poslužitelja produljuju vrijeme odgovora poslužitelja. Savjetujemo vam da pronađete optimiziraniji predložak, pažljivo odaberete proširenje za optimizaciju i/ili nadogradite poslužitelj."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Savjetujemo vam da prikažete odlomke u kategorijama članaka (na primjer pomoću veze "pročitajte više"), smanjite broj članaka koji se prikazuju na određenoj stranici, razlomite dugačke postove na više stranica ili koristite dodatak za lijeno učitavanje komentara.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Brojna [Joomlina proširenja](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) mogu ubrzati vašu web-lokaciju ulančavanjem, umanjivanjem i komprimiranjem css stilova. Postoje i predlošci koji nude tu funkcionalnost."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Brojna [Joomlina proširenja](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) mogu ubrzati vašu web-lokaciju ulančavanjem, umanjivanjem i komprimiranjem skripti. Postoje i predlošci koji nude tu funkcionalnost."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Savjetujemo vam da smanjite ili isključite broj [Joomlinih proširenja](https://extensions.joomla.org/) koja učitavaju CSS koji se ne koristi na vašoj stranici. Da biste pronašli proširenja koja dodaju suvišan CSS, pokrenite [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatu Chrome DevTools. Odgovornu temu ili dodatak možete pronaći u URL-u stilske tablice. Obratite pažnju na dodatke koji na popisu imaju mnogo stilskih tablica s mnogo crvenog u pokrivenosti koda. Dodatak bi trebao postaviti stilsku tablicu u red samo ako se ona doista upotrebljava na stranici."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Savjetujemo vam da smanjite ili isključite broj [Joomlinih proširenja](https://extensions.joomla.org/) koja učitavaju JavaScript koji se ne koristi na vašoj stranici. Da biste pronašli dodatke koji dodaju suvišan JS, pokrenite [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatu Chrome DevTools. Odgovorno proširenje možete pronaći u URL-u skripte. Obratite pažnju na proširenja koja na popisu imaju mnogo skripti s mnogo crvenog u pokrivenosti koda. Proširenje bi trebalo postaviti skriptu u red samo ako se ona doista upotrebljava na stranici."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Pročitajte više o [predmemoriranju koje preglednici obavljaju u Joomli](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Savjetujemo vam upotrebu [ dodatka za optimizaciju slika](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) koji komprimira slike bez gubitka kvalitete."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Savjetujemo vam upotrebu [dodatka za responzivne slike](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) da biste u svojem sadržaju koristili responzivne slike."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Možete omogućiti kompresiju teksta omogućavanjem Gzip kompresije stranice u Joomli (Sustav > Globalna konfiguracija > Poslužitelj)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ako ne grupirate JavaScript elemente, savjetujemo vam upotrebu [balera](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Onemogućite ugrađeno [JavaScript grupiranje i umanjivanje](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) na platformi Magento i umjesto toga razmotrite upotrebu [balera](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Navedite `@font-display` kada [definirate prilagođene fontove](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Savjetujemo vam da pretražite [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) kako biste pronašli razna proširenja trećih strana za korištenje novijih formata slike."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Savjetujemo vam da izmijenite predloške proizvoda i kataloga da biste iskoristili značajku [odgođenog učitavanja](https://web.dev/native-lazy-loading) web-platforme."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Upotrijebite [integraciju Varnisha](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) na platformi Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Omogućite opciju "Umanji CSS datoteke" u postavkama razvojnog programera svoje trgovine. [Saznajte više](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Upotrijebite [Terser](https://www.npmjs.com/package/terser) da biste umanjili implementaciju statičkog sadržaja u svim JavaScript elementima i onemogućite ugrađenu značajku umanjivanja."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Onemogućite ugrađeno [JavaScript grupiranje](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) na platformi Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Savjetujemo vam da pretražite [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) kako biste pronašli razna proširenja trećih strana za optimizaciju slika."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Nagovještaji resursa za rano povezivanje ili prethodno dohvaćanje DNS-a mogu se dodati [promjenom izgleda tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` oznake mogu se dodati [promjenom izgleda tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Zamijenite animirane GIF-ove videozapisima](https://web.dev/replace-gifs-with-videos/) za brže učitavanje web-stranice i razmislite o upotrebi modernih formata datoteka kao što su [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ili [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) kako biste poboljšali učinkovitost kompresije za više od 30% u odnosu na trenutačno najnapredniji videokodek, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Savjetujemo vam upotrebu [dodatka](https://octobercms.com/plugins?search=image) ili usluge koji će prenesene slike automatski konvertirati u optimalne formate. [WebP slike bez gubitaka](https://developers.google.com/speed/webp) 26% su manje u odnosu na slike u formatu PNG i 25 – 34% manje od usporedivih slika u formatu JPEG pri ekvivalentnom indeksu kvalitete SSIM. Još jedan moderan format slike koji vam savjetujemo je [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Savjetujemo vam instalaciju [dodatka za učitavanje slika s odgodom](https://octobercms.com/plugins?search=lazy) koji pruža mogućnost odgode slika koje nisu na zaslonu ili prelazak na temu koja pruža tu funkciju. Savjetujemo vam i upotrebu [dodatka za AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Postoje brojni dodaci koji pomažu [ugraditi kritične elemente](https://octobercms.com/plugins?search=css). Ti dodaci mogu oštetiti druge dodatke, pa biste ih trebali temeljito testirati."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Specifikacije za teme, dodatke i poslužitelj produljuju vrijeme odgovora poslužitelja. Savjetujemo vam da pronađete optimiziraniju temu, pažljivo odaberete dodatak za optimizaciju i/ili nadogradite poslužitelj. Sustav upravljanja sadržajem October razvojnim programerima omogućuje i upotrebu [`Queues`](https://octobercms.com/docs/services/queues) za odgađanje obrade dugotrajnog zadatka poput slanja e-poruke. Time se značajno ubrzavaju web-zahtjevi."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Savjetujemo vam da prikažete odlomke na popisu postova (npr. pomoću gumba `show more`), smanjite broj postova koji se prikazuju na određenoj web-stranici, razlomite dugačke postove na više web-stranica ili koristite dodatak za učitavanje komentara s odgodom."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Postoje brojni [dodaci](https://octobercms.com/plugins?search=css) koji mogu ubrzati web-lokaciju nizanjem, umanjivanjem i komprimiranjem stilova. Izvršavanje umanjivanja unaprijed, tijekom postupka izrade, može ubrzati razvoj."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Postoje brojni [dodaci](https://octobercms.com/plugins?search=javascript) koji mogu ubrzati web-lokaciju nizanjem, umanjivanjem i komprimiranjem skripti. Izvršavanje umanjivanja unaprijed, tijekom postupka izrade, može ubrzati razvoj."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Savjetujemo vam da pregledate [dodatke](https://octobercms.com/plugins) koji učitavaju CSS koji se ne koristi na web-lokaciji. Da biste pronašli dodatke koji dodaju nepotreban CSS, pokrenite [iskorištenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u Razvojnim alatima za Chrome. Pronađite odgovornu temu ili dodatak u URL-u lista stilova. Obratite pažnju na dodatke koji imaju mnogo listova stilova s mnogo crvenog u iskorištenosti koda. Dodatak bi trebao dodati list stilova samo ako se on doista upotrebljava na web-stranici."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Savjetujemo vam da pregledate [dodatke](https://octobercms.com/plugins?search=javascript) koji učitavaju JavaScript koji se ne koristi na web-stranici. Da biste pronašli dodatke koji dodaju nepotreban JavaScript, pokrenite [iskorištenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u Razvojnim alatima za Chrome. Pronađite odgovornu temu ili dodatak u URL-u skripte. Obratite pozornost na dodatke koji imaju mnogo skripti s mnogo crvenog u iskorištenosti koda. Dodatak bi trebao dodati skriptu samo ako se ona doista upotrebljava na web-stranici."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Pročitajte više o [sprječavanju nepotrebnih mrežnih zahtjeva s HTTP predmemorijom](https://web.dev/http-cache/#caching-checklist). Postoje brojni [dodaci](https://octobercms.com/plugins?search=Caching) koji se mogu upotrijebiti za ubrzavanje predmemoriranja."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Savjetujemo vam upotrebu [dodatka za optimizaciju slika](https://octobercms.com/plugins?search=image) kako biste komprimirali slike bez gubitka kvalitete."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Prenesite slike izravno u upravitelj medija kako biste bili sigurni da će biti dostupne potrebne veličine slike. Savjetujemo vam upotrebu [filtra za promjenu veličine](https://octobercms.com/docs/markup/filter-resize) ili [dodatka za promjenu veličine slike](https://octobercms.com/plugins?search=image) kako biste se pobrinuli da se upotrebljavaju optimalne veličine slike."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Omogućite kompresiju teksta u konfiguraciji web-poslužitelja."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Ako na stranici generirate mnogo elemenata koji se ponavljaju, savjetujemo vam upotrebu zbirke "u prozorima" kao što je `react-window` radi smanjivanja broja izrađenih čvorova DOM-a. [Saznajte više](https://web.dev/virtualize-long-lists-react-window/). Osim toga, smanjite broj nepotrebnih ponovnih generiranja tako da upotrijebite [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ili [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) i [preskočite efekte](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) samo dok se određene zavisnosti ne promijene ako za poboljšanje vremena izvođenja upotrebljavate kuku `Effect`.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ako upotrebljavate React Router, smanjite upotrebu komponente `<Redirect>` za [kretanja rutom](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ako generirate komponente React na poslužitelju, savjetujemo vam upotrebu `renderToNodeStream()` ili `renderToStaticNodeStream()` da biste klijentu omogućili primanje različitih dijelova označavanja i njihovo popunjavanje podacima umjesto da se to učini odjednom. [Saznajte više](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Ako vaš sustav za izradu automatski umanjuje CSS datoteke, trebate implementirati produkcijsku međuverziju aplikacije. To možete provjeriti pomoću proširenja React Developer Tools. [Saznajte više](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ako vaš sustav za izradu automatski umanjuje JS datoteke, trebate implementirati produkcijsku međuverziju aplikacije. To možete provjeriti pomoću proširenja React Developer Tools. [Saznajte više](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Ako ne generirate na poslužitelju, [podijelite svoje JavaScript pakete](https://web.dev/code-splitting-suspense/) pomoću `React.lazy()`. U suprotnom razdvojite kôd pomoću zbirke treće strane, primjerice [komponenti koje se mogu učitati](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Upotrebljavajte React DevTools Profiler, koji se koristi Profiler API-jem, za mjerenje uspješnosti generiranja komponenti. [Saznajte više.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Savjetujemo vam da prenesete GIF na uslugu na kojoj će se kodirati za ugrađivanje kao HTML5 videozapis."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Savjetujemo vam upotrebu [dodatka](https://wordpress.org/plugins/search/convert+webp/) ili usluge koji će prenesene slike automatski konvertirati u optimalne formate."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instalirajte [WordPressov dodatak za lijeno učitavanje](https://wordpress.org/plugins/search/lazy+load/) koji pruža mogućnost odgode slika koje nisu na zaslonu ili prijeđite na temu koja pruža tu funkciju. Savjetujemo vam i upotrebu [dodatka za AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Brojni WordPressovi dodaci omogućuju vam da [ugradite kritične elemente](https://wordpress.org/plugins/search/critical+css/) ili [odgodite nevažnije resurse](https://wordpress.org/plugins/search/defer+css+javascript/). Upozoravamo da optimizacije koje pružaju ti dodaci mogu oštetiti značajke vaše teme ili dodataka, pa ćete vjerojatno trebati unijeti promjene u kôd."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Specifikacije za teme, dodatke i poslužitelj produljuju vrijeme odgovora poslužitelja. Savjetujemo vam da pronađete optimiziraniju temu, pažljivo odaberete dodatak za optimizaciju i/ili nadogradite poslužitelj."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Savjetujemo vam da prikažete odlomke na popisu postova (na primjer pomoću više oznaka), smanjite broj postova koji se prikazuju na određenoj stranici, razlomite dugačke postove na više stranica ili koristite dodatak za lijeno učitavanje komentara."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Brojni [WordPressovi dodaci](https://wordpress.org/plugins/search/minify+css/) mogu ubrzati vašu web-lokaciju ulančavanjem, umanjivanjem i komprimiranjem stilova. Umanjivanje je dobro izvršiti i unaprijed, tijekom postupka razvoja."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Brojni [WordPressovi dodaci](https://wordpress.org/plugins/search/minify+javascript/) mogu ubrzati vašu web-lokaciju ulančavanjem, umanjivanjem i komprimiranjem skripti. Umanjivanje je dobro izvršiti i unaprijed, tijekom postupka razvoja."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Savjetujemo vam da smanjite broj [WordPressovih dodataka](https://wordpress.org/plugins/) koji učitavaju CSS koji se ne koristi na vašoj stranici ili da ih isključite. Da biste pronašli dodatke koji dodaju suvišan CSS, pokrenite [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatu Chrome DevTools. Odgovornu temu ili dodatak možete pronaći u URL-u stilske tablice. Obratite pažnju na dodatke koji na popisu imaju mnogo stilskih tablica s mnogo crvenog u pokrivenosti koda. Dodatak bi trebao postaviti stilsku tablicu u red samo ako se ona doista upotrebljava na stranici."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"Savjetujemo vam da smanjite broj [WordPressovih dodataka](https://wordpress.org/plugins/) koji učitavaju JavaScript koji se ne koristi na vašoj stranici ili da ih isključite. Da biste pronašli dodatke koji dodaju suvišan JS, pokrenite [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatu Chrome DevTools. Odgovornu temu ili dodatak možete pronaći u URL-u skripte. Obratite pažnju na dodatke koji na popisu imaju mnogo skripti s mnogo crvenog u pokrivenosti koda. Dodatak bi trebao postaviti skriptu u red samo ako se ona doista upotrebljava na stranici."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Pročitajte više o [predmemoriranju koje preglednici obavljaju u WordPressu](https://wordpress.org/support/article/optimization/#browser-caching)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Savjetujemo vam upotrebu [WordPressovog dodatka za optimizaciju slika](https://wordpress.org/plugins/search/optimize+images/) koji komprimira slike bez gubitka kvalitete."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Prenesite slike izravno pomoću  [medijske biblioteke](https://wordpress.org/support/article/media-library-screen/) kako bi bile dostupne potrebne veličine slika, a zatim ih umetnite iz medijske biblioteke ili upotrijebite widget za slike da bi se koristile optimalne veličine slika (uključujući one za responzivne prijelomne točke). Izbjegavajte upotrebu slika `Full Size` osim ako dimenzije odgovaraju njihovoj upotrebi. [Saznajte više](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Možete omogućiti kompresiju teksta u konfiguraciji web-poslužitelja."},"report/renderer/util.js | calculatorLink":{message:"Pogledajte kalkulator."},"report/renderer/util.js | crcInitialNavigation":{message:"Početna navigacija"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksimalna latencija kritičkog puta:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopiranje JSON-a"},"report/renderer/util.js | dropdownDarkTheme":{message:"Prebacivanje na Tamnu temu"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Ispiši prošireno"},"report/renderer/util.js | dropdownPrintSummary":{message:"Ispis sažetka"},"report/renderer/util.js | dropdownSaveGist":{message:"Spremanje kao Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Spremanje kao HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Spremi kao JSON"},"report/renderer/util.js | dropdownViewer":{message:"Otvori u pregledaču"},"report/renderer/util.js | errorLabel":{
message:"Pogreška!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Pogreška izvješća: nema podataka o pregledu"},"report/renderer/util.js | footerIssue":{message:"Prijavljivanje poteškoće"},"report/renderer/util.js | labDataTitle":{message:"Laboratorijski podaci"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analiza trenutačne stranice na emuliranoj mobilnoj mreži. Vrijednosti se procjenjuju i mogu se razlikovati."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Dodatne stavke za ručnu provjeru"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nije primjenjivo"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Prilika"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Procijenjena ušteda"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Uspješni pregledi"},
"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulirana radna površina"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulirani Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Nema emulacije"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axeova verzija"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Snaga procesora/memorije"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Potiskivanje procesora"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Uređaj"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Vrijeme dohvaćanja"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Ograničavanje podatkovnog prometa mreže"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Postavke vremena izvođenja"},"report/renderer/util.js | runtimeSettingsUA":{
message:"Korisnički agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Korisnički agent (mreža)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Nepoznato"},"report/renderer/util.js | showRelevantAudits":{message:"Prikaži revizije relevantne za sljedeće:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Sažmi isječak"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Proširi isječak"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Pokaži resurse treće strane"},"report/renderer/util.js | throttlingProvided":{message:"Omogućuje okruženje"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Na ovo izvođenje Lighthousea utjecale su neke poteškoće:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Vrijednosti se procjenjuju i mogu se razlikovati. [Rezultat izvedbe računa se](https://web.dev/performance-scoring/) izravno pomoću tih mjernih podataka."},"report/renderer/util.js | viewTreemapLabel":{message:"Pregledajte Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Uspješni pregledi no s upozorenjima"},"report/renderer/util.js | warningHeader":{message:"Upozorenja: "}}},{}],119:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"A hozzáférési kulcsok segítségével a felhasználók gyorsan fókuszálhatnak az oldal adott részére. A megfelelő navigáció érdekében az összes hozzáférési kulcsnak egyedinek kell lennie. [További információ](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"A(z) `[accesskey]` értékek nem egyediek"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"A következő értékek egyediek: `[accesskey]`"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Minden egyes ARIA `role` szerepkör `aria-*` attribútumok konkrét részhalmazát támogatja. A hibás párosításuk érvényteleníti a(z) `aria-*` attribútumokat. [További információ](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Bizonyos `[aria-*]` attribútumok nem felelnek meg szerepkörüknek"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"A(z) `[aria-*]` attribútumok megfelelnek szerepüknek"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Ha valamelyik elem nem rendelkezik akadálymentes névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{
message:"A(z) `button`, `link` és `menuitem` elemek nem rendelkeznek akadálymentes névvel."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"A(z) `button`, `link` és `menuitem` elemek akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'A segítő technológiák (például a képernyőolvasók) nem működnek konzisztensen, ha a(z) `aria-hidden="true"` be van állítva a dokumentum `<body>` elemében. [További információ](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'A(z) `[aria-hidden="true"]` megtalálható a dokumentum `<body>` elemében'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'A(z) `[aria-hidden="true"]` nem található meg a dokumentum `<body>` elemében'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'A(z) `[aria-hidden="true"]` elemen belüli fókuszálható utódelemek megakadályozzák azt, hogy a segítő technológiák (például a képernyőolvasók) felhasználói hozzáférhessenek az érintett interaktív elemekhez. [További információ](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'A(z) `[aria-hidden="true"]` elemek fókuszálható utódelemeket tartalmaznak'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'A(z) `[aria-hidden="true"]` elemek nem tartalmaznak fókuszálható utódelemeket'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Ha valamelyik beviteli mező nem rendelkezik akadálymentes névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"Egyes ARIA beviteli mezők nem rendelkeznek akadálymentes névvel"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Az ARIA beviteli mezők akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Ha valamelyik elem nem rendelkezik akadálymentes névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"A(z) `meter` ARIA-elemek nem rendelkeznek akadálymentes névvel."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"A(z) `meter` ARIA-elemek akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Ha egy `progressbar` elem nem rendelkezik kisegítő névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"A(z) `progressbar` ARIA-elemek nem rendelkeznek akadálymentes névvel."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"A(z) `progressbar` ARIA-elemek akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Bizonyos ARIA-szerepkörök kötelező attribútumokkal rendelkeznek, amelyek az elem állapotát írják le a képernyőolvasók számára. [További információ](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"A(z) `[role]` elemek nem rendelkeznek minden szükséges `[aria-*]` attribútummal"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"A(z) `[role]` attribútumok minden szükséges `[aria-*]` attribútummal rendelkeznek"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Bizonyos fölérendelt ARIA-szerepköröknek meghatározott alárendelt szerepköröket kell tartalmazniuk, hogy megfelelően teljesíthessék a kívánt kisegítő funkciójukat. [További információ](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Olyan ARIA `[role]` attribútummal rendelkező elemekből, melyek gyermekelemeiben kell lennie adott `[role]` attribútumnak, hiányzik ezeknek a kötelező gyermekelemeknek mindegyike vagy némelyike."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{
message:"Olyan ARIA `[role]` attribútummal rendelkező elemekben, melyek gyermekelemeiben kell lennie adott `[role]` attribútumnak, megvan a kötelező gyermekelemek mindegyike."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Bizonyos alárendelt ARIA-szerepköröket meghatározott fölérendelt szerepköröknek kell tartalmazniuk, hogy megfelelően teljesíthessék a kívánt kisegítő funkciójukat. [További információ](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"A(z) `[role]` elemek nem a megfelelő szülőelemben vannak"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"A(z) `[role]` elemek a megfelelő szülőelemben vannak"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"Az ARIA-szerepköröknek érvényes értékekkel kell rendelkezniük, hogy megfelelően teljesíthessék a kívánt kisegítő funkciójukat. [További információ](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"A(z) `[role]` értékek nem érvényesek"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"A(z) `[role]` értékek érvényesek"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Ha valamelyik kapcsolómező nem rendelkezik akadálymentes névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Egyes ARIA-kapcsolómezők nem rendelkeznek akadálymentes névvel"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{
message:"Az ARIA-kapcsolómezők akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Ha valamelyik elem nem rendelkezik akadálymentes névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"A(z) `tooltip` ARIA-elemek nem rendelkeznek akadálymentes névvel."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"A(z) `tooltip` ARIA-elemek akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Ha valamelyik elem nem rendelkezik akadálymentes névvel, a képernyőolvasók általános néven olvassák fel, ami használhatatlan a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"A(z) `treeitem` ARIA-elemek nem rendelkeznek akadálymentes névvel."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"A(z) `treeitem` ARIA-elemek akadálymentes névvel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"A kisegítő technológiák (például a képernyőolvasók) nem tudják értelmezni az érvénytelen értékkel rendelkező ARIA-attribútumokat. [További információ](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"A(z) `[aria-*]` attribútumoknak nincs érvényes értékük"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"A(z) `[aria-*]` attribútumok érvényes értékkel rendelkeznek"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"A kisegítő technológiák (például a képernyőolvasók) nem tudják értelmezni az érvénytelen névvel rendelkező ARIA-attribútumokat. [További információ](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"A(z) `[aria-*]` attribútumok nem érvényesek vagy elgépelést tartalmaznak"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"A(z) `[aria-*]` attribútumok érvényesek és nincsenek elgépelve"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Hibás elemek"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Ha valamelyik gomb nem rendelkezik hozzáférhető névvel, a képernyőolvasók „gomb” néven olvassák fel, ami nem igazán hasznos a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{
message:"Bizonyos gombok nem rendelkeznek hozzáférhető névvel"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"A gombok rendelkeznek kisegítő névvel"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Az ismétlődő tartalmakat megkerülő módszerek megvalósításával a billentyűzetet használó személyek hatékonyabban navigálhatnak az oldalon. [További információ](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Az oldal nem tartalmaz címsort, átugró linket vagy igazodásipont-régiót"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Az oldal címsort, átugró linket vagy igazodásipont-régiót tartalmaz"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Az alacsony kontrasztú szöveg sokak számára nehezen vagy egyáltalán nem olvasható. [További információ](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Nem megfelelő a háttér- és előtérszínek közötti kontrasztarány."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Megfelelő a háttér- és előtérszínek közötti kontrasztarány"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Ha nem megfelelő a definíciós listák jelölése, a képernyőolvasók zavaros vagy pontatlan szöveget generálhatnak. [További információ](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"A `<dl>` elemek nem csak megfelelően rendezett `<dt>` és `<dd>` csoportokat, illetve `<script>`, `<template>` vagy `<div>` elemeket tartalmaznak."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"A `<dl>` elemek csak megfelelően rendezett `<dt>` és `<dd>` csoportokat, illetve `<script>`, `<template>` vagy `<div>` elemeket tartalmaznak."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"A definíciós listák elemeit (`<dt>` és `<dd>`) `<dl>` szülőelembe kell foglalni, hogy a képernyőolvasók megfelelően felolvashassák őket. [További információ](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"A definíciós listák elemei nincsenek `<dl>` elemekben"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"A definíciós listák elemei `<dl>` elemekben vannak"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"A cím áttekintést ad az oldalról a képernyőolvasót használó személyeknek, a keresőmotorok pedig nagymértékben hagyatkoznak rá annak meghatározásához, hogy az oldal releváns-e az adott kereséshez. [További információ](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"A dokumentum nem rendelkezik `<title>` elemmel"},
"lighthouse-core/audits/accessibility/document-title.js | title":{message:"A dokumentum tartalmaz `<title>` elemet"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Egyéni `id` meglétére van szükség az összes fókuszálható elemnél, hogy biztosan láthatók legyenek a segítő technológiák számára. [További információ](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Egyes aktív, fókuszálható elemek `[id]` attribútumai nem egyediek"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Az aktív, fókuszálható elemek `[id]` attribútumai egyediek"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Az ARIA-azonosító értékének egyedinek kell lennie, hogy a kisegítő technológiák ne hagyják figyelmen kívül a többi előfordulást. [További információ](https://web.dev/duplicate-id-aria/)."},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Egyes ARIA-azonosítók nem egyediek"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Az ARIA-azonosítók egyediek"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"A több címkével rendelkező űrlapmezőket félreérthetően olvashatják fel a segítő technológiák (például a képernyőolvasók), amelyek az első, az utolsó vagy pedig az összes címkét használják. [További információ](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Az űrlapmezők több címkével rendelkeznek"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nincsenek több címkével rendelkező űrlapmezők"},"lighthouse-core/audits/accessibility/frame-title.js | description":{
message:"A képernyőolvasók a keretcímek alapján írják le a keretek tartalmát. [További információ](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"A(z) `<frame>` és a(z) `<iframe>` elemeknek nincs címük"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Van címe a(z) `<frame>` és `<iframe>` elemeknek"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"A megfelelően rendezett fejlécek (amelyek nem ugranak át szinteket) megfelelően közvetítik az oldal szemantikai struktúráját, így könnyebbé teszik a navigációt és a megértést a segítő technológiák használata esetén. [További információ](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"A fejlécelemek nem egymást követő csökkenő sorrendben jelennek meg"},"lighthouse-core/audits/accessibility/heading-order.js | title":{
message:"A fejlécelemek egymást követve, csökkenő sorrendben jelennek meg"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Ha az oldal nem határoz meg „lang” attribútumot, a képernyőolvasók azt feltételezik majd, hogy az oldal nyelve megegyezik azzal az alapértelmezett nyelvvel, amelyet a felhasználó a képernyőolvasó beállításakor választott. Ha az oldal tényleges nyelve eltér az alapértelmezett nyelvtől, akkor előfordulhat, hogy a képernyőolvasók helytelen kiejtéssel olvassák majd fel az oldal szövegét. [További információ](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"A(z) `<html>` elem nem rendelkezik `[lang]` attribútummal"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"A(z) `<html>` elemhez tartozik `[lang]` attribútum"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Ha érvényes [BCP 47 által definiált nyelvet](https://www.w3.org/International/questions/qa-choosing-language-tags#question) használ, a képernyőolvasók könnyebben felolvassák a szövegeket. [További információ](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"A(z) `<html>` elem `[lang]` attribútumának nincs érvényes értéke."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"A(z) `<html>` elem `[lang]` attribútumának értéke érvényes"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Rövid, beszédes alternatív szöveget használjon a tájékoztató elemekhez. A díszítőelemek figyelmen kívül hagyhatók üres „alt” attribútummal. [További információ](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"A képelemekhez nem tartozik `[alt]` attribútum"},"lighthouse-core/audits/accessibility/image-alt.js | title":{
message:"A képelemekhez tartozik `[alt]` attribútum"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Ha a(z) `<input>` típusú gombként használt képekhez alternatív szöveget is megad, segíthet a képernyőolvasót használó látogatóknak a gomb rendeltetésének megértésében. [További információ](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'A(z) `<input type="image">` elemekhez nem tartozik `[alt]` szöveg'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'A(z) `<input type="image">` elemek rendelkeznek `[alt]` szöveggel'},"lighthouse-core/audits/accessibility/label.js | description":{message:"A címkék biztosítják, hogy a kisegítő technológiák (pl. a képernyőolvasók) megfelelően jelezzék az űrlapvezérlőket. [További információ](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{
message:"Bizonyos formátumelemek nem rendelkeznek társított címkékkel"},"lighthouse-core/audits/accessibility/label.js | title":{message:"A formátumelemekhez megfelelő címkék vannak társítva"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"A felismerhető, egyedi és fókuszálható linkszövegek (és linkként használt képek alternatív szövegei) jobb navigációs élményt biztosítanak a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"A linkekhez nem tartozik felismerhető név"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"A linkekhez felismerhető név tartozik"},"lighthouse-core/audits/accessibility/list.js | description":{message:"A képernyőolvasók sajátos módon olvassák fel a listákat. A megfelelő listastruktúra biztosítása segíti a képernyőolvasók működését. [További információ](https://web.dev/list/)."},
"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"A listák nem csak `<li>` elemeket és szkripttámogató elemeket (`<script>` és `<template>`) tartalmaznak."},"lighthouse-core/audits/accessibility/list.js | title":{message:"A listák csak `<li>` elemeket és szkripttámogató elemeket (`<script>`, `<template>`) tartalmaznak."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"A listaelemeket (`<li>`) fölérendelt `<ul>` vagy `<ol>` elemekben kell elhelyezni, hogy a képernyőolvasók megfelelően olvassák fel őket. [További információ](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"A listaelemek (`<li>`) nem `<ul>` vagy `<ol>` szülőelemekben vannak."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"A listaelemek (`<li>`) `<ul>` vagy `<ol>` szülőelemekben vannak"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"A felhasználók nem számítanak az oldal automatikus frissítésére, ráadásul a frissítés visszahelyezi a fókuszt az oldal tetejére. Ez frusztráló lehet, valamint összezavarhatja a felhasználót. [További információ](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'A dokumentum `<meta http-equiv="refresh">` címkét használ'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'A dokumentum nem használja a(z) `<meta http-equiv="refresh">` címkét'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"A nagyítás letiltása problémát jelent a gyengén látó felhasználók számára, akik a képernyőnagyításra hagyatkoznak ahhoz, hogy megfelelően láthassák a weboldal tartalmát. [További információ](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'A(z) `[user-scalable="no"]` szerepel a(z) `<meta name="viewport">` elemben, vagy a(z) `[maximum-scale]` attribútum 5-nél kisebb.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Nem használja a(z) `[user-scalable="no"]` attribútumot a(z) `<meta name="viewport">` elemben, a(z) `[maximum-scale]` attribútum pedig nem kevesebb 5-nél.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"A képernyőolvasók nem tudják lefordítani a nem szövegalapú tartalmakat. Ha alternatív szöveget helyez el a(z) `<object>` elemekben, a képernyőolvasók kommunikálhatják az elemek jelentését a felhasználóknak. [További információ](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"A(z) `<object>` elemekhez nem tartozik `[alt]` szöveg"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"A(z) `<object>` elemek rendelkeznek `[alt]` szöveggel"},
"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"A 0-nál nagyobb érték explicit navigációs sorrendet jelent. Ez ugyan technikailag érvényes, azonban gyakran problémát jelent a kisegítő technológiákra hagyatkozó felhasználók számára. [További információ](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Bizonyos elemek `[tabindex]` attribútuma 0-nál nagyobb értékkel rendelkezik."},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Egyetlen elem `[tabindex]` attribútumának sem 0-nál nagyobb az értéke"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"A képernyőolvasók olyan funkciókkal is rendelkeznek, amelyek megkönnyítik a táblázatokban való navigációt. Ha a(z) `[headers]` attribútumot használó `<td>` cellák csak a saját táblázatuk más celláira hivatkoznak, jobb felhasználói élményt nyújthat a képernyő felolvasása során. [További információ](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Az egyik `<table>` elemben lévő, `[headers]` attribútumot használó cellák olyan `id` elemre hivatkoznak, amely nem található meg ugyanabban a táblázatban."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Az egyik `<table>` elemben lévő, `[headers]` attribútumot használó cellák a saját táblázatuk celláira hivatkoznak."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"A képernyőolvasók olyan funkciókkal is rendelkeznek, amelyek megkönnyítik a táblázatokban való navigációt. Ha biztosítja, hogy a táblák fejlécei mindig hivatkozzanak cellákra, megkönnyítheti az oldal használatát a képernyőolvasóra hagyatkozó felhasználók számára. [További információ](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'A(z) `<th>` elemekhez és a(z) `[role="columnheader"/"rowheader"]` tartalmú elemekhez nem tartoznak általuk leírt adatcellák.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'A(z) `<th>` elemek és a(z) `[role="columnheader"/"rowheader"]` tartalmú elemek rendelkeznek a leírt adatcellákkal.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Ha az elemeken érvényes [BCP 47 által definiált nyelvet](https://www.w3.org/International/questions/qa-choosing-language-tags#question) határoz meg, akkor segíthet a képernyőolvasóknak a szöveg helyes kiejtésében. [További információ](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"A(z) `[lang]` attribútumokhoz nem tartozik érvényes érték"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"A(z) `[lang]` attribútumok érvényes értékkel rendelkeznek"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Ha a videóhoz felirat tartozik, a siket és hallássérült felhasználók egyszerűbben hozzájuthatnak a videóban található információkhoz. [További információ](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'A(z) `<video>` elemekhez nem tartozik `[kind="captions"]` tartalmú `<track>` elem.'},
"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'A(z) `<video>` elemekhez `[kind="captions"]` tartalmú `<track>` elem tartozik'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Ha azt szeretné, hogy a megjelenés ideális legyen iOS rendszeren, amikor a felhasználók progresszív webes alkalmazást adnak hozzá a kezdőképernyőhöz, határozzon meg egy `apple-touch-icon` elemet. Az ikonnak 192 képpont (vagy 180 képpont) méretű, nem átlátszó, négyzetes PNG-re kell mutatnia. [További információ](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Nincs érvényes `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"A(z) `apple-touch-icon-precomposed` elavult; a(z) `apple-touch-icon` használandó helyette."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Érvényes `apple-touch-icon` elemet tartalmaz"},
"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Jelenlegi érték"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Javasolt token"},"lighthouse-core/audits/autocomplete.js | description":{message:"Az `autocomplete` segítségével a felhasználók gyorsabban kitölthetik az űrlapokat. A felhasználók dolgának megkönnyítése érdekében fontolja meg az automatikus kiegészítés engedélyezését az `autocomplete` attribútum érvényes értékre állításával. [További információ](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)."},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"A(z) `<input>` elemekhez nem tartozik megfelelő `autocomplete` attribútum"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Kézi ellenőrzés szükséges"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Tokenek sorrendjének áttekintése"},
"lighthouse-core/audits/autocomplete.js | title":{message:"A(z) `<input>` elemek megfelelően használják az `autocomplete` attribútumot."},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` tokenek: a(z) „{token}” érvénytelen itt: {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Nézze át a(z) „{tokens}” tokenek sorrendjét itt: {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Egyes Chrome-bővítmények kedvezőtlenül befolyásolták az oldal betöltési teljesítményét. Próbálkozzon az oldal inkognitó módban vagy bővítmények nélküli Chrome-profilból történő ellenőrzésével."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Szkriptértékelés"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Szkriptelemzés"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Teljes processzoridő"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Érdemes csökkenteni a JavaScript értelmezésére, összeállítására és végrehajtására fordított időt. Ebben segíthet, ha kisebb méretű JavaScript-forrásokat továbbít. [További információ](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Csökkentse a JavaScript végrehajtási idejét"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript végrehajtási ideje"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Távolítsa el a csomagjaiból a nagy méretű, többször előforduló JavaScript-modulokat, hogy kevesebb hálózati forgalmat okozzanak. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Távolítsa el a többször szereplő modulokat a JavaScript-csomagokból"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"A túl nagy GIF-fájlokkal nem lehet hatékonyan animált tartalmakat nyújtani. Az adatforgalom csökkentésének érdekében a GIF-ek helyett érdemes az animációkhoz MPEG4-/WebM-videókat használnia, a statikus képekhez pedig PNG-/WebP-képeket. [További információ](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Használjon videoformátumot az animált tartalmakhoz"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"A polifill és az átalakítás lehetővé teszi, hogy a régi böngészők is használhassák az újabb JavaScript-funkciókat. Az új böngészők esetében azonban sok polifill és átalakítás szükségtelen. Használjon modern szkripttelepítő módszert csomagolt JavaScript-kódjaihoz, amely észleli a module/nomodule utasításokat. Így kevesebb kódot küld a modern böngészőknek, mégis megtarthatja a régi böngészők támogatását. [További információ.](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Kerülje régi JavaScript megjelenítését a modern böngészőkben"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Az olyan képformátumok, mint a JPEG 2000, a JPEG XR és a WebP gyakran jobb tömörítést nyújtanak, mint a PNG és a JPEG, azaz kevesebb adatforgalom mellett gyorsabb letöltést biztosítanak. [További információ](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Jelenítse meg a képeket következő generációs formátumokban"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Vegye fontolóra a képernyőn kívüli és rejtett képek késleltetett, kritikus források utáni betöltését, hogy az oldal hamarabb interaktívvá váljon. [További információ](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Késleltesse a képernyőn kívüli képek betöltését"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Források blokkolják az oldal első vizuális válaszát. Javasoljuk, hogy a legfontosabb JavaScript-/CSS-elemeket beágyazva továbbítsa, a nem fontos JS-t/CSS-t pedig késleltesse [További információ](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{
message:"Távolítsa el a megjelenítést gátló erőforrásokat"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"A nagy hálózati terhelés tényleges anyagi költséget jelenthet a felhasználóknak, és jellemzően jelentősen megnöveli a betöltési időt. [További információ](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"A teljes méret {totalBytes, number, bytes} KiB volt"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Kerülje a nagyon nagy hálózati hasznosadat-forgalmat"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"A nagyon nagy hálózati terhelés elkerülése"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"A CSS-fájlok minimalizálása csökkentheti a hálózaton továbbított adatok méretét. [További információ](https://web.dev/unminified-css/)."},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minimalizálja a CSS-fájlokat"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"A JavaScript-fájlok minimalizálásával csökkenthető a továbbított adatok mérete és a szkriptek értelmezésére fordított idő. [További információ](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minimalizálja a JavaScript-kódot"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"A stíluslapok nem használt szabályainak eltávolításával és a hajtás feletti tartalomhoz nem használt CSS-kódok késleltetésével csökkentheti a hálózati tevékenység által felhasznált bájtmennyiséget. [További információ](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Nem használt CSS-kódok számának csökkentése"},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"A nem használt JavaScript-kódok számának csökkentésével és a betöltési szkriptek késleltetésével csökkentheti a hálózati tevékenység által felhasznált bájtmennyiséget. [További információ](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Nem használt JavaScript-kódok számának csökkentése"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Ha a gyorsítótárak élettartama hosszú, gyorsabbá válnak a weboldal későbbi ismételt megnyitásai. [További információ](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 erőforrás található}other{# erőforrás található}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{
message:"Jelenítse meg a statikus eszközöket hatékony gyorsítótár-házirend használatával"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Használjon hatékony gyorsítótár-házirendet a statikus eszközöknél"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Az optimalizált képek gyorsabban betöltődnek és kevesebb adatforgalmat generálnak. [További információ](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Kódolja hatékonyan a képeket"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Használjon olyan képeket, amelyek megfelelő méretükkel elősegítik a mobiladat-forgalom csökkentését és a betöltési idő javulását. [További információ](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Méretezze megfelelően a képeket"},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"A szövegalapú forrásokat tömörítéssel (gzip, Deflate vagy Brotli) célszerű továbbítani a hálózati adatforgalom minimalizálása érdekében. [További információ](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Engedélyezze a szövegtömörítést"},"lighthouse-core/audits/content-width.js | description":{message:"Ha az alkalmazás tartalmának szélessége nem egyezik a megjelenítési terület szélességével, akkor lehet, hogy alkalmazása nincs optimalizálva a mobilok képernyőjére. [További információ](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"A megjelenítési terület mérete ({innerWidth} képpont) nem egyezik az ablak méretével ({outerWidth} képpont)."},"lighthouse-core/audits/content-width.js | failureTitle":{
message:"A tartalom nincs megfelelően méretezve a megjelenítési területhez"},"lighthouse-core/audits/content-width.js | title":{message:"A tartalom megfelelően van méretezve a megjelenítési területhez"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Az alábbi kritikus kérésláncok megjelenítik, hogy milyen források töltődnek be magas prioritással. Az oldalbetöltés javítása érdekében fontolja meg a láncok hosszának csökkentését, a letöltött források méretének csökkentését, vagy a felesleges források letöltésének késleltetését. [További információ](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 lánc található}other{# lánc található}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Kerülje el a kritikus kérések láncba fűzését"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Utasítás"},
"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Súlyosság"},"lighthouse-core/audits/csp-xss.js | description":{message:"A hatékony tartalombiztonsági irányelvek jelentősen csökkentik az XSS-támadások (webhelyek közötti, parancsfájlt alkalmazó támadások) kockázatát. [További információ](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Szintaxis"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Az oldal tartalmaz egy <meta> címkében definiált CSP-t. Ha lehet, inkább a HTTP-fejlécben határozza meg a CSP-t."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Nem található CSP a kényszerítő módban"},"lighthouse-core/audits/csp-xss.js | title":{message:"Gondoskodjon arról, hogy a CSP hatékony az XSS-támadásokkal szemben"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Elavulás / Figyelmeztetés"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Sor"},
"lighthouse-core/audits/deprecations.js | description":{message:"Az elavult API-k előbb-utóbb kikerülnek a böngészőből. [További információ](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 figyelmeztetés}other{# figyelmeztetés}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Elavult API-kat használ"},"lighthouse-core/audits/deprecations.js | title":{message:"Kerüli az elavult API-kat"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Az alkalmazás-gyorsítótár elavult. [További információ](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"A(z) „{AppCacheManifest}” van használatban"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Alkalmazás-gyorsítótárat használ"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Kerüli az alkalmazás-gyorsítótárat"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Kötelező deklarálnia a karakterkódolást. Megteheti a `<meta>` címkében, ha a HTML első 1024 bájtjába kerül, vagy a HTTP-válasz Content-Type fejlécében. [További információ](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"A charset deklarációja hiányzik, vagy túl későn szerepel a HTML-ben"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Megfelelően meghatározott charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"A doctype meghatározásával elkerülhető, hogy a böngésző visszafelé kompatibilis módra váltson. [További információ](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"A doctype nevének a kisbetűs `html` szövegnek kell lennie"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"A dokumentumnak doctype szakaszt kell tartalmaznia"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"A publicId nem üres karakterlánc"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"A systemId mező nem üres karakterlánc"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Az oldalon nincs HTML doctype, ezért visszafelé kompatibilis módot indít"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Az oldalon szerepel a HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Jellemző"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Érték"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"A nagy méretű DOM megnöveli a memóriahasználatot, hosszabb ideig tartó [stílusszámítást](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) igényel, valamint költséges [elrendezés-áttördeléssel](https://developers.google.com/speed/articles/reflow) jár. [További információ](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elem}other{# elem}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Kerülje a túl nagy DOM-méretet"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximális DOM-mélység"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"DOM-elemek száma"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Alárendelt elemek maximális száma"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Kerüli a túlzó DOM-méretet"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Hibás horgonyok"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Adjon `rel="noopener"` vagy `rel="noreferrer"` címkét a külső linkekhez, hogy javíthassa a teljesítményt és elkerülhesse a sebezhetőségeket. [További információ](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Az eredetközi célokra mutató linkek nem biztonságosak"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Az eredetközi célokra mutató linkek biztonságosak"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"A horgony célpontja nem meghatározható ({anchorHTML}). Ha nem hiperlinkről van szó, érdemes eltávolítania a target=_blank részt."
},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"A tartózkodási helyre vonatkozó engedély váratlan kérése bizalmatlanságra adhat okot, valamint összezavarhatja a felhasználókat. Érdemes inkább felhasználói műveletekhez kötni a kérést. [További információ](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Oldalbetöltéskor a földrajzi helyre vonatkozó engedélyt kéri"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Kerüli a földrajzi helyre vonatkozó engedély kérését oldalbetöltéskor"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"A probléma típusa"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"A Chrome fejlesztői eszközök `Issues` panelén feltüntetett problémák megoldatlan problémákat jeleznek. A problémák okai lehetnek sikertelen hálózati kérések, nem megfelelő biztonsági vezérlők, valamint más, böngészővel kapcsolatos tényezők is. Nyissa meg a Chrome fejlesztői eszközök Issues (Problémák) panelét, ahol további információkat találhat az egyes problémákról."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problémák találhatók a(z) `Issues` panelen a Chrome fejlesztői eszközökben"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Eredeteken átívelő kérelmekre vonatkozó házirend tiltja"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"A hirdetések magas erőforráshasználata"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Nem találhatók problémák a Chrome fejlesztői eszközök `Issues` panelén"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Verzió"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Az oldalon észlelt minden front-end JavaScript-függvénytár. [További információ](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Észlelt JavaScript-függvénytárak"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"A külső szkriptek `document.write()` segítségével történő dinamikus beillesztése több tíz másodperccel lassíthatja az oldalbetöltést a lassú kapcsolaton csatlakozó felhasználók esetében. [További információ](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Ne használja a következőt: `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Kerüli a(z) `document.write()` használatát"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Legmagasabb súlyosság"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Függvénytár verziója"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Sebezhetőségek száma"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"A harmadik felektől származó szkriptek ismert sebezhetőségeket tartalmazhatnak, melyeket a támadók könnyedén felismerhetnek és kihasználhatnak. [További információ](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 észlelt sebezhetőség}other{# észlelt sebezhetőség}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Ismert sebezhetőségeket tartalmazó front-end JavaScript-függvénytárakat használ"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Kerüli az ismert sebezhetőségeket tartalmazó front-end JavaScript-függvénytárakat"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Az értesítésekre vonatkozó engedély váratlan kérése bizalmatlanságra adhat okot, valamint összezavarhatja a felhasználókat. Érdemes inkább felhasználói műveletekhez kötni a kérést. [További információ](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Oldalbetöltéskor az értesítésekre vonatkozó engedélyt kéri"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Kerüli az értesítésekre vonatkozó engedély kérését oldalbetöltéskor"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"A jelszóbeillesztés megakadályozása rossz biztonsági gyakorlat. [További információ](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Megakadályozza, hogy a felhasználók szöveget illesszenek be a jelszómezőkbe"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Lehetővé teszi, hogy a felhasználók beillesszenek a jelszómezőkbe"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokoll"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"A HTTP/2 számos előnyt nyújt a HTTP/1.1-hez képest, például bináris fejléceket és multiplexelést. [További információ](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 nem HTTP/2-t használó kérés}other{# nem HTTP/2-t használó kérés}}"},
"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Használjon HTTP/2-t"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Fontolja meg az érintési és görgetési eseményfigyelők megjelölését mint `passive`, hogy javuljon az oldal görgetést érintő teljesítménye. [További információ](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Nem használ passzív figyelőket a görgetés teljesítményének javításához"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Passzív figyelőket alkalmaz a görgetés teljesítményének javításához"},"lighthouse-core/audits/errors-in-console.js | description":{message:"A konzolon megjelenő hibák megoldatlan problémákat jeleznek. Okaik lehetnek sikertelen hálózati kérések, valamint más böngészős tényezők is. [További információ](https://web.dev/errors-in-console/)"},
"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"A böngészőhibák a konzolon láthatók"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Nem került böngészőhiba a konzolra"},"lighthouse-core/audits/font-display.js | description":{message:"Használja a CSS font-display leíróját, hogy a szövegek a webes betűtípusok betöltése közben is biztosan láthatók legyenek a felhasználók számára. [További információ](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Biztosítsa, hogy a szöveg látható marad a webes betűtípusok betöltése során"},"lighthouse-core/audits/font-display.js | title":{message:"Az összes szöveg látható marad a webes betűtípusok betöltésekor"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{A Lighthouse nem tudta automatikusan ellenőrizni a(z) `font-display` értéket a(z) {fontOrigin} eredetnél.}other{A Lighthouse nem tudta automatikusan ellenőrizni a(z) `font-display` értékeket a(z) {fontOrigin} eredetnél.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Képarány (tényleges)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Képarány (megjelenített)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"A képmegjelenítési méretek ideális esetben természetes képarányt alkalmaznak. [További információ](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Hibás képaránnyal jeleníti meg a képeket"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Helyes képaránnyal jeleníti meg a képeket"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Valós méret"},
"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Megjelenített méret"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Várt méret"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"A kép természetes méreteinek arányosnak kell lennie a megjelenítési mérettel és a pixelaránnyal a lehető legnagyobb képtisztaság érdekében. [További információ](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"A képek megjelenítése alacsony felbontásban történik"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"A képek megjelenítése megfelelő felbontásban történik"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Az alkalmazás már telepítve van."},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Nem sikerült letölteni a szükséges ikont a manifestből"},
"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"A hiba oka"},"lighthouse-core/audits/installable-manifest.js | description":{message:"A service worker elnevezésű technológia lehető teszi az alkalmazás számára a progresszív webes alkalmazások funkcióinak használatát. Ilyen funkció például az offline működés, a kezdőképernyőhöz való hozzáadás és a leküldött (push) értesítések. A megfelelő service worker- és manifestmegvalósítással rendelkező böngészők proaktív módon kérhetik a felhasználókat, hogy adják hozzá az Ön alkalmazását a kezdőképernyőjükhöz, ami erősebb elköteleződéshez vezethet. [További információ](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 ok}other{# ok}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Az internetes alkalmazás manifestje vagy service workere nem felel meg a telepíthetőségi követelményeknek"},
"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"A Play Áruház alkalmazás-URL-je és a Play Áruház azonosítója nem egyezik."},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Az oldal inkognitó módban lett betöltve."},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"A manifest „display” tulajdonságának a következők egyikének kell lennie: „standalone”, „fullscreen” vagy „minimal-ui”."},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"A manifest tartalmazza a „display_override” mezőt, és az első támogatott megjelenítési módnak a következők egyikének kell lennie: „standalone”, „fullscreen” vagy „minimal-ui”."},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Nem sikerült a manifest lekérése vagy elemzése, vagy üres a manifest."},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"A manifest URL-je módosítva lett a manifest lekérése során."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"A manifest nem tartalmaz „name” vagy „short_name” mezőt."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"A manifest nem tartalmaz megfelelő ikont. PNG-, SVG- vagy WebP-formátumra van szükség legalább {value0} px méretben. Be kell állítani a méretek attribútumát. Ha be van állítva a cél attribútuma, tartalmaznia kell az „any” (bármilyen) értéket."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Nincs megadva olyan ikon legalább {value0} képpontos, négyzetes méretben, PNG-, SVG- vagy WebP-formátumban, amelynek célattribútuma nincs beállítva, vagy „any” (bármely) értékre van állítva."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"A letöltött ikon üres vagy sérült"},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nincs megadva Play Áruház-azonosító."},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Az oldalon nem található manifest-URL (<link>)"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nem található egyező service worker. Elképzelhető, hogy újra be kell töltenie az oldalt, vagy ellenőriznie kell, hogy a service worker jelenlegi oldalra vonatkozó scope-ja tartalmazza-e a manifestben található scope-ot és start_url-t."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Nem sikerült a service worker ellenőrzése, mivel nem található „start_url” mező a manifestben."},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Nem lehet felismerni a következő telepíthetőségi hibaazonosítót: {errorId}"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{
message:"Az oldal megjelenítése nem biztonságos eredetről történik"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Az oldal nem töltődött be a fő keretbe."},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Az oldal nem működik offline állapotban"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"A megadott alkalmazásplatform nem támogatott Androidon."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"A manifest meghatározza a következőt: „prefer_related_applications: true”"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"A prefer_related_applications csak a Chrome bétaverziójában és a Stabil csatornákon támogatott Androidon."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"A manifest kezdési URL-je érvénytelen"},
"lighthouse-core/audits/installable-manifest.js | title":{message:"Az internetes alkalmazás manifestje és a service worker nem felel meg a telepíthetőségi követelményeknek"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"A manifestben található URL felhasználónevet, jelszót vagy portot tartalmaz."},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Az oldal nem működik offline állapotban. A rendszer nem tekinti telepíthetőnek az oldalt a Chrome 93-as verziója után (stabil kiadás: 2021. augusztus)."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Engedélyezve"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Letiltva"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nem biztonságos URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Kérés megoldása"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Minden webhelyet HTTPS-sel kell védeni, még akkor is, ha nem kezelnek bizalmas adatokat Ez vonatkozik a [vegyes tartalmak](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) elkerülésére is, amelyek esetében egyes források annak ellenére HTTP-kapcsolaton keresztül töltődnek be, hogy a kezdeti kérés HTTPS-kapcsolaton keresztül lett kiszolgálva. A HTTPS megakadályozza, hogy behatolók módosítsák vagy megfigyeljék az alkalmazás és a felhasználók közötti kommunikációt. Ezt a protokollt megköveteli a HTTP/2, valamint számos új webes API is. [További információ](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 nem biztonságos kérés}other{# nem biztonságos kérés}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Nem használ HTTPS-t"},"lighthouse-core/audits/is-on-https.js | title":{message:"HTTPS-t használ"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatikusan frissítve HTTPS-re"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Figyelmeztetéssel engedélyezve"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Függvénytár"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"A nagy JavaScript-függvénytárak gyenge teljesítményhez vezethetnek. Használjon inkább kisebb, funkcionálisan egyenértékű függvénytárakat a csomag méretének csökkentése érdekében. [További információ](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 nagy függvénytár található}other{# nagy függvénytár található}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Cserélje le a szükségtelenül nagy JavaScript-függvénytárakat"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Kerülje a kisebb alternatívákkal rendelkező nagy JavaScript-függvénytárakat"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Ez a legnagyobb tartalommal rendelkező elem a megjelenítési területen. [További információ](https://web.dev/lighthouse-largest-contentful-paint/)."},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"A legnagyobb vizuális tartalomválasz eleme"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS-hozzájárulás"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ezek a DOM-elemek járulnak hozzá leginkább az oldal elrendezésének összmozgásához (Cumulative Layout Shift, CLS)."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Az elrendezés nagy mértékű mozgásának elkerülése"},"lighthouse-core/audits/long-tasks.js | description":{
message:"A fő szál leghosszabb feladatait listázza. Hasznos az interakciótól számított késéshez legnagyobb mértékben hozzájáruló elemek azonosításához. [További információ](https://web.dev/long-tasks-devtools/)."},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# hosszú feladat található}other{# hosszú feladat található}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Kerülje a fő szálban a hosszú feladatokat"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategória"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Érdemes csökkenteni a JavaScript elemzésére, kompilálására és végrehajtására fordított időt. Ebben segíthet, ha kisebb méretű JavaScript-forrásokat továbbít. [További információ](https://web.dev/mainthread-work-breakdown/)."},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimalizálja a fő szál terhelését"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimalizálja a fő szál terhelését"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"A lehető legtöbb felhasználó elérése érdekében a webhelyeknek minden elterjedtebb böngészőben működniük kell. [További információ](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"A webhely többféle böngészőben is működik"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Lássa el az egyes oldalakat mélylinkként használható URL-ekkel, és ügyeljen arra, hogy ezek az URL-ek egyediek legyenek a közösségi médiában való megosztás céljából. [További információ](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Minden oldal rendelkezik URL-címmel"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"A koppintgatás során az átmeneteknek még lassú hálózaton is gyorsnak kell lenniük. Ez az egyik legfontosabb tényező a felhasználók által észlelt teljesítmény tekintetében. [További információ](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Az oldalak közti váltásnak nem szabadna akadályozni a hálózati forgalmat"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Maszkolható ikonnal biztosíthatja, hogy a kép a forma egészét kitöltse: ne kerüljön köré letterbox, amikor a felhasználó telepíti. [További információ](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"A manifest nem tartalmaz maszkolható ikont"},"lighthouse-core/audits/maskable-icon.js | title":{message:"A manifest tartalmaz maszkolható ikont"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Az Elrendezés összmozgása mutató az oldal megjelenítési területén látható elemek mozgását méri. [További információ](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Az első vizuális tartalomválasz azt az időpontot jelöli, amikor a rendszer megkezdi az első szöveg vagy kép megjelenítését. [További információ](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Az első releváns vizuális válasz azt méri, hogy mikor válik láthatóvá az oldal elsődleges tartalma. [További információ](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Az interaktivitásig eltelt idő az az idő, amely ahhoz szükséges, hogy az oldal teljesen interaktívvá váljon. [További információ](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"A legnagyobb vizuális tartalomválasz azt az időpontot jelöli, amikor a rendszer megjeleníti a legnagyobb szöveget vagy képet. [További információ](https://web.dev/lighthouse-largest-contentful-paint/)."},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"A felhasználók által tapasztalható, első interakciótól számított esetleges maximális válaszkésés a leghosszabb feladat időtartama. [További információ](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"A Sebességindex mutató azt jelzi, hogy az adott oldal tartalmai milyen gyorsan válnak láthatóvá. [További információ](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Az első vizuális tartalomválasz és az interaktivitásig eltelt idő közötti minden (50 ms-nál hosszabb feladatot jelentő) periódus időtartamának összege milliszekundumban kifejezve. [További információ](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"A hálózati oda-vissza út ideje (round trip time, RTT) nagy hatással van a teljesítményre. Ha túl magas az RTT értéke valamelyik eredet esetében, az azt jelenti, hogy a felhasználóhoz közelebbi szerverek javíthatják a teljesítményt. [További információ](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Oda-visszautak ideje a hálózaton"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"A szerverek várakozási ideje hatással lehet a webes teljesítményre. Túlterhelést vagy nem megfelelő back-end teljesítmény jelez, ha az eredetszerver várakozási ideje túl magas. [További információ](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Várakozási idő a háttérszervereknél"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"A(z) `unload` esemény működése nem megbízható, és figyelése megakadályozhatja a böngésző optimalizálását (például az előre-vissza gyorsítótárazást). Vegye fontolóra helyette a(z) `pagehide` vagy a(z) `visibilitychange` esemény használatát. [További információ](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)."},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"`unload`-figyelőt regisztrál"},"lighthouse-core/audits/no-unload-listeners.js | title":{
message:"Elkerüli a(z) `unload`-eseményfigyelőket"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"A nem kompozit animációk minősége elégtelen lehet, és az ilyen animációk növelhetik a CLS-t. [További információ](https://web.dev/non-composited-animations)."},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animált elem található}other{# animált elem található}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"A szűrővel kapcsolatos tulajdonság elmozdíthatja a képpontokat"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"A cél másik, nem kompatibilis animációval rendelkezik"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Az effekt nem a „replace” kompozitmóddal rendelkezik"},"lighthouse-core/audits/non-composited-animations.js | title":{
message:"Kerülje a nem kompozit animációk használatát"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Az átalakítással kapcsolatos tulajdonság a mező méretétől függ"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Nem támogatott CSS-tulajdonság: {properties}}other{Nem támogatott CSS-tulajdonságok: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Az effekt nem támogatott időzítési paraméterekkel rendelkezik"},"lighthouse-core/audits/performance-budget.js | description":{message:"A hálózati kérések száma és mérete maradjon a megadott teljesítménybüdzsé célpontjai alatt. [További információ](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 kérés}other{# kérés}}"},
"lighthouse-core/audits/performance-budget.js | title":{message:"Teljesítménybüdzsé"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Töltse elő a(z) `optional` betűtípusokat, hogy az első alkalommal érkező látogatók is használhassák őket. [További információ](https://web.dev/preload-optional-fonts/)."},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"A(z) `font-display: optional` attribútumot használó betűtípusokat nem tölti elő a rendszer"},"lighthouse-core/audits/preload-fonts.js | title":{message:"A(z) `font-display: optional` attribútumot használó betűtípusokat előtölti a rendszer"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Az LCP idejének javításához előtöltheti az LCP-elem által használt képet. [További információ](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"A legnagyobb vizuális tartalomválasz képének előtöltése"},
"lighthouse-core/audits/redirects-http.js | description":{message:"Ha már beállította a HTTPS protokollt, gondoskodjon a teljes HTTP-forgalom HTTPS-re történő átirányításáról, hogy a biztonságos webes funkciók az összes felhasználó számára rendelkezésre álljanak. [További információ](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Nem irányítja át a HTTP-forgalmat HTTPS-re"},"lighthouse-core/audits/redirects-http.js | title":{message:"Átirányítja a HTTP-forgalmat HTTPS-re"},"lighthouse-core/audits/redirects.js | description":{message:"Az átirányítások további késlekedéssel hosszabbítják meg az oldalbetöltéshez szükséges időt. [További információ](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Kerülje a többszörös oldalátirányítást"},"lighthouse-core/audits/resource-summary.js | description":{
message:"Az oldal forrásainak mennyiségére és méretére vonatkozó büdzséket budget.json fájl hozzáadásával határozhatja meg. [További információ](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 kérelem • {byteCount, number, bytes} KiB}other{# kérelem • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"A kérések száma legyen kevés, az átvitelek pedig kis méretűek"},"lighthouse-core/audits/seo/canonical.js | description":{message:"A gyűjtőlinkek a keresési eredményként megjelenítendő URL-re tesznek javaslatot. [További információ](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Több ütköző URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Más domainre mutat ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{
message:"Érvénytelen URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Másik `hreflang` helyre mutat ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relatív URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"A domain gyökér-URL-jére (a kezdőlapra) mutat egyenértékű tartalommal rendelkező oldal helyett"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"A dokumentumhoz nem tartozik érvényes `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"A dokumentum érvényes `rel=canonical` attribútumot tartalmaz"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Feltérképezhetetlen link"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"A keresőmotorok `href` attribútumokat használhatnak a linkeknél a webhelyek feltérképezéséhez. Biztosítsa, hogy a horgonyelemek `href` attribútuma a megfelelő céloldalra hivatkozik, hogy a webhely minél több oldala felfedezhető legyen. [További információ](https://support.google.com/webmasters/answer/9112205)."},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Nem lehetséges a linkek feltérképezése"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"A linkek feltérképezhetők"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"További olvashatatlan szöveg"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Betűméret"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Oldal szövegének %-a"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Választó"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"A 12 képpontnál kisebb betűméretek nehezen láthatók, ezért a mobilhasználóknak a szöveget elolvasásához fel kell nagyítaniuk a képernyő tartalmát. Törekedjen arra, hogy az oldal szövegének legalább 60%-a minimum 12 képpontos betűmérettel jelenjen meg. [További információ](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent}-nyi olvasható szöveg"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"A szöveg olvashatatlan, ugyanis a látható terület metacímkéje nincs optimalizálva a mobilképernyőkre"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"A dokumentum olvashatatlan betűméreteket használ"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Olvasható szöveg"},"lighthouse-core/audits/seo/font-size.js | title":{message:"A dokumentum olvasható betűméreteket tartalmaz"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"A hreflang linkek azt mondják meg a keresőmotoroknak, hogy nyelvtől vagy régiótól függően az oldal melyik változatát kell megjeleníteniük a keresési találatokban. [További információ](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"A dokumentum nem rendelkezik érvényes `hreflang` attribútummal"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relatív href-érték"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"A dokumentum érvényes `hreflang` attribútumot tartalmaz"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Váratlan nyelvi kód"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"A sikertelenséget jelző HTTP-állapotkóddal rendelkező oldalak indexelése eredménytelen lehet. [További információ](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"Az oldal sikertelenséget jelző HTTP-állapotkóddal rendelkezik"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Az oldal sikerességet jelző HTTP-állapotkóddal rendelkezik"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"A keresőmotorok azokat az oldalakat nem tudják keresési eredményként megjeleníteni, amelyek feltérképezésére nincs engedélyük. [További információ](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Az oldal indexelését letiltották"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Az oldalnál nincs letiltva az indexelés"},"lighthouse-core/audits/seo/link-text.js | description":{message:"A leíró jellegű linkszövegek segítenek a keresőmotoroknak a tartalmak értelmezésében. [További információ](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link található}other{# link található}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"A linkek nem rendelkeznek leíró jellegű szöveggel"},"lighthouse-core/audits/seo/link-text.js | title":{message:"A linkek leíró jellegű szöveggel rendelkeznek"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Ellenőrizze a strukturált adatok érvényességét a [Strukturált adatok tesztelőeszköz](https://search.google.com/structured-data/testing-tool/) és a [Structured Data Linter](http://linter.structured-data.org/) segítségével. [További információ](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"A strukturált adatok érvényesek"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Az oldaltartalom tömör összefoglalásának érdekében metaleírások szerepelhetnek a keresési eredményekben. [További információ](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{
message:"A Leírás mező üres."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"A dokumentum nem rendelkezik metaleírással"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"A dokumentum rendelkezik metaleírással"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Sok eszköz korlátozza vagy nem támogatja a beépülő modulokat, a keresőmotorok pedig nem tudják indexelni a modulok által megjelenített tartalmakat. [További információ](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"A dokumentum beépülő modulokat használ"},"lighthouse-core/audits/seo/plugins.js | title":{message:"A dokumentum nem használ beépülő modulokat"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Ha a robots.txt fájl formázása rossz, előfordulhat, hogy a feltérképező robotok nem tudják értelmezni, hogy Ön hogyan szeretné feltérképeztetni vagy indexeltetni a webhelyét. [További információ](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"A robots.txt fájlra irányuló kérés a következő HTTP-állapotkóddal tért vissza: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 hiba található}other{# hiba található}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"A Lighthouse nem tudta letölteni a robots.txt fájlt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"A robots.txt fájl nem érvényes"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"A robots.txt fájl érvényes"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Az interaktív elemeknek (például a gomboknak és a linkeknek) elég nagynak kell lenniük (48 × 48 képpont), és elég helynek kell lennie közöttük, hogy könnyen rájuk lehessen koppintani a szomszédos elemek megérintése nélkül. [További információ](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent}-nyi megfelelően méretezett koppintható elem"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"A koppintási célok túl kicsik, ugyanis a látható terület metacímkéje nincs optimalizálva a mobilképernyőkre"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"A koppintási célok mérete nem megfelelő"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Átfedésben lévő cél"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Koppintási cél"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"A koppintási célok mérete megfelelő"},"lighthouse-core/audits/server-response-time.js | description":{message:"Érdemes a szerver válaszidejét lerövidíteni a fő dokumentum esetében, mert az összes további kérés függ tőle. [További információ](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"{timeInMs, number, milliseconds} ms a gyökérdokumentumhoz"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"A szerver kezdeti válaszidejének csökkentése"},"lighthouse-core/audits/server-response-time.js | title":{message:"A kezdeti szerverválaszidő rövid volt"},"lighthouse-core/audits/service-worker.js | description":{
message:"A szolgáltató munkatárs elnevezésű technológia lehető teszi az alkalmazás számára a progresszív webes alkalmazások funkcióinak használatát. Ilyen funkció például az offline működés, a kezdőképernyőhöz való hozzáadás és a leküldött (push) értesítések. [További információ](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Az oldalt szolgáltató munkatárs vezérli, azonban a(z) `start_url` nem található, ugyanis nem sikerült a manifest érvényes JSON-ként való elemzése"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Az oldalt szolgáltató munkatárs vezérli, azonban a(z) `start_url` ({startUrl}) nincs a szolgáltató munkatárs hatókörében ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Az oldalt szolgáltató munkatárs vezérli, azonban a(z) `start_url` nem található, mert nem sikerült lekérni a manifestfájlt."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Ez a forrás rendelkezik legalább egy szolgáltató munkatárssal, azonban az oldal ({pageUrl}) nincs a hatókörükben."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Nem regisztrál szolgáltató munkatársat, amely vezérli az oldalt és a(z) `start_url` URL-t"},"lighthouse-core/audits/service-worker.js | title":{message:"Olyan szolgáltató munkatársat regisztrál, amely vezérli az oldalt és a(z) `start_url` URL-t"},"lighthouse-core/audits/splash-screen.js | description":{message:"A saját témájú betöltési képernyő jó felhasználói élményt eredményez, amikor a kezdőképernyőről indítják el az alkalmazást. [További információ](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nincs beállítva egyéni betöltési képernyő"},"lighthouse-core/audits/splash-screen.js | title":{message:"Be van állítva egyéni betöltési képernyő"},
"lighthouse-core/audits/themed-omnibox.js | description":{message:"A böngésző címsávjához megadható a webhelyhez illő téma. [További információ](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Nem állítja be a téma színét a címsávon."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"A téma színét állítja be a címsávon."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Ügyfélszolgálat)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Közösségi)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Videó)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Termék"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Egyes külső forrásoktól származó beágyazásoknál késleltetett betöltés lehet észlelhető. Fontolja meg a facade-ra való lecserélésüket, amíg nincs rájuk szükség. [További információ](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# facade-alternatíva áll rendelkezésre}other{# facade-alternatíva áll rendelkezésre}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Egyes külső forrásoknál késleltetett betöltés lehet észlelhető facade-dal"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Külső források késleltetett betöltése facade-okkal"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Harmadik fél"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"A harmadik felektől származó kódok jelentős hatással lehetnek a betöltés teljesítményére. Minél kevesebb harmadik féltől származó kódot használjon, és lehetőleg azután töltse be őket, hogy az oldal nagyrészt már betöltődött. [További információ](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Harmadik féltől származó kód {timeInMs, number, milliseconds} ms-ig akadályozta a fő szál végrehajtását"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Csökkentse a harmadik felek kódjai által kiváltott hatást"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimalizálja a harmadik felektől származó kódok használatát"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Mérés"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Mutató"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Időkeret beállításával könnyebben figyelheti a webhelye teljesítményét. A jól teljesítő webhelyek gyorsan töltődnek be, és gyorsan válaszolnak a felhasználói beviteli eseményekre. [További információ](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Időkeret"},"lighthouse-core/audits/unsized-images.js | description":{message:"Adja meg a képelemek pontos szélességét és magasságát, hogy kevésbé csússzon el az elrendezés, és javuljon a CLS. [További információ](https://web.dev/optimize-cls/#images-without-dimensions)."},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"A képelemekhez nem tartozik meghatározott `width` és `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"A képelemekhez meghatározott `width` és `height` tartozik"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Típus"},
"lighthouse-core/audits/user-timings.js | description":{message:"Érdemes lehet felhasználnia alkalmazásában a User Timing API-t, amellyel valós használat során mért teljesítményadatokat kaphat a legfontosabb felhasználói műveletekről. [További információ](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 felhasználói időmérés}other{# felhasználói időmérés}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Felhasználói időzítőjelek és intézkedések"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"`<link rel=preconnect>` tartozik a(z) „{securityOrigin}” címhez, de a böngésző nem használta. Ellenőrizze, hogy megfelelően használja-e a(z) `crossorigin` attribútumot."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Vegye fontolóra `preconnect` vagy `dns-prefetch` erőforrástipp hozzáadását, hogy korai kapcsolatokat hozhasson létre harmadik felekhez tartozó fontos forrásokkal. [További információ](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Csatlakozzon előre a szükséges forrásokhoz"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Több mint két `<link rel=preconnect>` kapcsolat található. Ezeket érdemes csak ritkán használnia, a legfontosabb eredethelyekhez."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"`<link rel=preconnect>` tartozik a(z) „{securityOrigin}” címhez, de a böngésző nem használta. Csak az oldal által majd biztosan kérelmezett, fontos forrásokhoz használja a `preconnect` lehetőséget."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Előtöltési `<link>` tartozik a(z) „{preloadURL}” címhez, de a böngésző nem használta. Ellenőrizze, hogy megfelelően használja-e a(z) `crossorigin` attribútumot."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Fontolja meg a(z) `<link rel=preload>` használatát, hogy prioritással tölthesse be azokat a forrásokat, melyeket az aktuális oldalbetöltés egyébként későbbre sorolt. [További információ](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Töltse be előre a kulcsfontosságú kéréseket"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL-hozzárendelés"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"A forrás-hozzárendelések lefordítják a kicsinyített kódot az eredeti forráskódra. Ez segít a fejlesztőknek az éles verzión végzett hibaelhárításban. A Lighthouse további statisztikákat is tud biztosítani. Fontolja meg a forrás-hozzárendelések használatát, hogy kihasználhassa ezeket az előnyöket. [További információ](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Hiányzó forrás-hozzárendelések a nagy belső JavaScriptnél"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Forrás-hozzárendelés hiányzik az egyik nagy JavaScript-fájlból"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Figyelmeztetés: hiányzik 1 elem a `.sourcesContent` attribútumból}other{Figyelmeztetés: hiányzik # elem a `.sourcesContent` attribútumból}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"Az oldal érvényes forrás-hozzárendelésekkel rendelkezik"},"lighthouse-core/audits/viewport.js | description":{message:'Adjon hozzá `<meta name="viewport">` címkét, amellyel mobilképernyőkre optimalizálhatja az alkalmazást. [További információ](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nem található `<meta name="viewport">` címke'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nincs `width` vagy `initial-scale` beállítással rendelkező `<meta name="viewport">` címkéje'},"lighthouse-core/audits/viewport.js | title":{message:'Van `width` vagy `initial-scale` beállítással rendelkező `<meta name="viewport">` címkéje'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"Ezek a lehetőségek segíthetnek az ARIA alkalmazásban való használatának javításában, ami jobb felhasználói élményt biztosíthat a kisegítő technológiákat (például képernyőolvasót) használó személyeknek."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Több lehetőség van, melyek révén alternatív tartalmakat biztosíthat videókhoz és hanganyagokhoz. Ezzel javíthatja a hallás- és látássérült felhasználók élményét."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Hang- és videohívások"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Itt a kisegítő lehetőségekkel kapcsolatos bevált módszereket találja."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Bevált módszerek"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Ezek az ellenőrzések olyan lehetőségeket emelnek ki, melyekkel javíthatók a [webalkalmazás kisegítő lehetőségei](https://developers.google.com/web/fundamentals/accessibility). A kisegítő lehetőségekkel kapcsolatos problémáknak csak egy része észlelhető automatikusan, ezért a manuális ellenőrzés is ajánlott."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Az alábbiak automatikus tesztelőeszközzel nem ellenőrizhető területekre vonatkoznak. További információt a [kisegítő lehetőségek felülvizsgálatáról](https://developers.google.com/web/fundamentals/accessibility/how-to-review) szóló útmutatónkban talál."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Kisegítő lehetőségek"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Ezek a lehetőségek a tartalom olvashatóságát segítik."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontraszt"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Ezek a lehetőségek a tartalom különböző országokban élő felhasználók általi értelmezését segítik."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Nemzetközi megoldások és honosítás"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Ezek a lehetőségek az alkalmazás szemantikai jellemzőinek fejlesztését segítik. Javíthatják a kisegítő technológiákat (például képernyőolvasót) használó személyek felhasználói élményét."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nevek és címkék"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Több lehetőség is van a billentyűzettel való navigáció fejlesztésére az alkalmazásban."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigáció"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Ezek a lehetőségek a táblázatos és listaformátumú adatok olvasási élményét javítják olyan kisegítő technológiák használata esetén, mint a képernyőolvasó."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Táblázatok és listák"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Böngészőkompatibilitás"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Bevált módszerek"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Általános"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Bizalom és biztonság"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Felhasználói élmény"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"A teljesítménybüdzsék elvárásokat határoznak meg a webhely teljesítményére vonatkozóan."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Büdzsék"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"További információ alkalmazása teljesítményéről. Ezek a számok [nem befolyásolják közvetlenül](https://web.dev/performance-scoring/) a teljesítménypontszámot."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnosztika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"A teljesítmény legfontosabb szempontja az, hogy milyen gyorsan jelennek meg a képpontok a képernyőn. Legfontosabb mutatók: Első, tartalommal rendelkező leképezés, Első releváns leképezés"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Az első leképezést érintő fejlesztések"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Ezek a javaslatok segíthetnek az oldalbetöltés felgyorsításában. Mindazonáltal a teljesítménypontszámra [nincs közvetlen hatásuk](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Lehetőségek"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Mutatók"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Növelje az átfogó betöltési élményt annak érdekében, hogy az oldal reszponzív legyen, és a lehető legrövidebb időn belül használhatóvá váljon. Főbb mutatók: interaktivitásig eltelt idő, sebességindex"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Átfogó javítások"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Teljesítmény"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Ezek az ellenőrzések különböző szempontokból érvényesítik a progresszív webes alkalmazásokat. [További információ](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Ezek az ellenőrzések kötelezők a [progresszív webes alkalmazások alapvető ellenőrzőlistáján](https://developers.google.com/web/progressive-web-apps/checklist), de a Lighthouse nem végzi el őket automatikusan. Az ellenőrzések a kapott pontszámot nem befolyásolják, de fontos a manuális végrehajtásuk."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresszív webes alkalmazás"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Telepíthető"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA-optimalizálás"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Ezekkel az ellenőrzésekkel győződhet meg arról, hogy oldala megfelelően optimalizált-e a keresőmotorok találati rangsorolásához. Vannak olyan egyéb, a Lighthouse által nem ellenőrzött tényezők is, amelyek befolyásolhatják a keresésekben elért helyezést. [További információ](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Ha ezeket a további érvényesítőket is futtatja webhelyén, egyéb bevált SEO-módszereket is ellenőrizhet."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"Keresőoptimalizálás"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formázza úgy a HTML-kódot, hogy a feltérképező robotok jobban megérthessék az alkalmazás tartalmait."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Tartalommal kapcsolatos bevált módszerek"},
"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"A feltérképező robotoknak hozzáférésre van szükségük az alkalmazáshoz annak érdekében, hogy a webhely megjelenhessen a keresési találatok között."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Feltérképezés és indexelés"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Ha mobilbarát oldalakat készít, a tartalmak felnagyítás nélkül is olvashatók lesznek. [További információ](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobilbarát"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Úgy tűnik, a tesztelt eszköz lassabb CPU-val rendelkezik, mint amire a Lighthouse számít. Ez negatív hatással lehet a teljesítményre kapott pontszámra. További információ a [megfelelő CPU-lassulási szorzó kalibrálásáról](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Előfordulhat, hogy az oldal nem az elvártaknak megfelelően töltődik be, mert a teszt-URL ({requested}) átirányít ide: {final}. Próbálkozzon a második URL közvetlen tesztelésével."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Az oldal túl lassan töltődött be, és túllépte az időkeretet. Az eredmények hiányosak lehetnek."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Előfordulhat, hogy a tárolt adatok befolyásolják a betöltési sebességet ezen a helyen: {locations}. Ellenőrizze ezt az oldalt inkognitó ablakban, hogy az érintett források ne lehessenek hatással a teljesítmény értékelésére.}other{Előfordulhat, hogy a tárolt adatok befolyásolják a betöltési sebességet ezeken a helyeken: {locations}. Ellenőrizze ezt az oldalt inkognitó ablakban, hogy az érintett források ne lehessenek hatással a teljesítmény értékelésére.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"A régebbi böngészőkkel való kompatibilitás érdekében fontolja meg https: és http: URL-sémák megadását (a „strict-dynamic” kulcsszót támogató böngészők figyelmen kívül hagyják ezeket)."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"A disown-opener a CSP3 bevezetésekor megszűnt. Használja helyette a Cross-Origin-Opener-Policy fejlécet."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"A referrer a CSP2 bevezetésekor megszűnt. Használja helyette a Referrer-Policy fejlécet."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"A reflected-xss a CSP2 bevezetésekor megszűnt. Használja helyette az X-XSS-Protection fejlécet."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"A hiányzó base-uri lehetővé teszi az injektált <base> címkéknek alap-URL-ek beállítását minden relatív URL-nél (pl. szkripttel) a támadó által irányított domainre. Állítsa a base-uri direktívát „none” vagy „self” értékre."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Az object-src által vezérelt elemek régi funkcióknak minősülnek. Fontolja meg az object-src beállítását a „none” értékre, hogy megakadályozza nem biztonságos szkriptek végrehajtását lehetővé tévő beépülő modulok beszúrását."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"Hiányzik a script-src utasítás. Ez lehetővé teheti nem biztonságos szkriptek futtatását."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Elfelejtette kitenni a pontosvesszőt? Úgy tűnik, hogy a(z) {keyword} utasítás, nem pedig kulcsszó."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"A nonce-oknak a base64 charsetet kell használniuk."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"A nonce-nak legalább nyolc karakterből kell állnia."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"A jelentés célhelye csak a report-to utasítással van beállítva. Ezt az utasítást csak a Chromium-alapú böngészők támogatják, ezért ajánlott a report-uri utasítás használata is."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"A jelentési célt nem állítja be CSP. Ez később megnehezíti a CSP karbantartását, illetve a sebezhetőségek figyelemmel kísérését."},
"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"A gazdagépek engedélyezőlistáit gyakran meg lehet kerülni. Fontolja meg a „strict-dynamic” kulcsszó és CSP nonce-ok vagy hashek együttes használatát."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Ismeretlen CSP-utasítás."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Úgy tűnik, hogy a(z) {keyword} érvénytelen kulcsszó."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"Az „unsafe-inline” lehetővé teszi nem biztonságos oldalon belüli szkriptek és eseménykezelők végrehajtását. A szkriptek egyenként történő engedélyezése érdekében fontolja meg CSP nonce-ok vagy hashek használatát."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"A régebbi böngészőkkel való kompatibilitás érdekében használhatja az „unsafe-inline” kulcsszót (a nonce-t/hasht támogató böngészők figyelmen kívül hagyják)."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{
message:"Fő szál akadályozásának időtartama"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Gyorsítótár-TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Leírás"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Időtartam"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elem"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Hibás elemek"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Hely"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Név"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Büdzsén kívül"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Kérések"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Forrás mérete"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Forrás típusa"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Méret"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{
message:"Forrás"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Kezdés ideje"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Eltöltött idő"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Átviteli méret"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potenciális megtakarítás"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potenciális megtakarítás"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Akár {wastedBytes, number, bytes} KiB megtakarítás"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 talált elem}other{# talált elem}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potenciálisan {wastedMs, number, milliseconds} ms megtakarítás"},
"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokumentum"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Első releváns leképezés"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Betűtípus"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Kép"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Magas"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Alacsony"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Közepes"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Első interakciótól számított max. potenciális késés"},
"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Média"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Egyéb"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Egyéb források"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Szkript"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} mp"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stíluslap"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Harmadik féltől származó"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Összes"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{
message:"Hiba történt az oldalbetöltés nyomának rögzítése során. Futtassa újra a Lighthouse szolgáltatást. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Időtúllépés a hibaelhárító protokoll kezdeti kapcsolatára való várakozás során."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"A Chrome nem gyűjtött képernyőképeket az oldal betöltése során. Ellenőrizze, hogy van-e látható tartalom az oldalon, majd próbálja újra futtatni a Lighthouse szolgáltatást. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"A DNS-szerverek nem tudták értelmezni a megadott domaint."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"A szükséges {artifactName} begyűjtő hibába ütközött: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Belső Chrome-hiba történt. Indítsa újra a Chrome-ot, és próbálja újra futtatni a Lighthouse szolgáltatást."},
"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"A kötelező {artifactName} nem futott le."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Az oldal nem jelenített meg semmilyen tartalmat. Gondoskodjon arról, hogy a böngészőablak legyen az előtérben a betöltés során, majd próbálja újra. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"A megadott oldal nem HTML formátumú ({mimeType} MIME-típusként jelent meg)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Ez a Chrome-verzió túl régi a(z) „{featureName}” támogatásához. A teljes eredmények megtekintéséhez használjon újabb verziót."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"A Lighthouse nem tudta megfelelően betölteni a kért oldalt. Győződjön meg arról, hogy a helyes URL-t teszteli, és a szerver megfelelően válaszol az összes kérelemre."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{
message:"A Lighthouse nem tudta megfelelően betölteni a kért URL-t, mert az oldal nem válaszol."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"A megadott URL-hez nem tartozik érvényes biztonsági tanúsítvány. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"A Chrome közbeiktatott képernyő megjelenítésével megakadályozta az oldal betöltését. Ellenőrizze, hogy a helyes URL-t teszteli-e, és hogy a szerver minden kérésre megfelelően reagál-e."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"A Lighthouse nem tudta megbízhatóan betölteni a kért oldalt. Ellenőrizze, hogy a helyes URL-t teszteli-e, és hogy a szerver minden kérésre megfelelően reagál-e. (Részletek: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"A Lighthouse nem tudta megbízhatóan betölteni a kért oldalt. Ellenőrizze, hogy a helyes URL-t teszteli-e, és hogy a szerver minden kérésre megfelelően reagál-e. (Állapotkód: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Túl sokáig tartott az oldal betöltése. Csökkentse az oldalbetöltési időt a jelentésben leírt lehetőségeket követve, majd futtassa újra a Lighthouse-t. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"A DevTools protokoll válaszára való várakozás túllépte a megengedett időt. (Módszer: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"A tartalom lekérése túllépte a megengedett időt"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Úgy tűnik, a megadott URL érvénytelen."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Összes"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Minden szkript"},
"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Lefedettség"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Ismétlődő modulok"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Forrásfájl mérete bájtokban"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Név"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Táblázat elrejtése/megjelenítése"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Fel nem használt bájtok"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Animált tartalmak esetében csökkentheti a processzorhasználatot az [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) segítségével, amikor a tartalom nem látható a képernyőn."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Vegye fontolóra az összes [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) komponens WebP-formátumban való megjelenítését és megfelelő tartalékképek megadását más böngészők számára. [További információ](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"A képeket az [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) címkével adja meg, hogy automatikusan késleltetve töltődjenek be. [További információ](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Ha [szerveroldalon jeleníti meg az AMP-elrendezéseket](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/), használhat olyan eszközöket, mint az [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Nézzen utána az [AMP dokumentációjában](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/), hogy az összes stílus támogatott-e."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Az [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) elem támogatja az [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribútumot annak megadásához, hogy mely képtartalmat használja a képernyő mérete alapján. [További információ](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Ha nagy listák megjelenítésére készül, fontolja meg a Component Dev Kit (CDK) és a virtuális görgetés használatát. [További információ](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"A JavaScript-csomagok méretének minimálisra csökkentése érdekében alkalmazzon [útvonalszintű kódfelbontást](https://web.dev/route-level-code-splitting-in-angular/). Ezenkívül vegye fontolóra a tartalmak előzetes gyorsítótárba helyezését az [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/) használatával."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Az Angular CLI használata esetén gondoskodjon arról, hogy a buildek létrehozása éles módban történjen. [További információ](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Az Angular CLI használata esetén vegye fel a forrás-hozzárendeléseket az éles buildbe, hogy meg tudja vizsgálni a csomagjait. [További információ](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"A navigáció gyorsítása érdekében töltse be előre az útvonalakat. [További információ](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Fontolja meg a Component Dev Kit (CDK) `BreakpointObserver` segédprogramjának használatát a képek töréspontjainak kezeléséhez. [További információ](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Fontolja meg a GIF-fájlok olyan szolgáltatóhoz való feltöltését, amely lehetővé teszi a fájlok HTML5-videóként történő beágyazását."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Adja meg a `@font-display` leírót, amikor témájához egyéni betűtípusokat határoz meg."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Érdemes lehet webhelyén [olyan modult telepítenie, amellyel WebP-képformátumot használhat](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search). Az ilyen modulok automatikusan WebP-verziót generálnak a feltöltött képekből, így optimalizálják a betöltési időt."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Telepítsen olyan [Drupal-modult](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), amellyel késleltetve töltheti be a képeket. Egy ilyen modul javíthatja a teljesítményt a képernyőn kívül eső képek késleltetett betöltésével."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Érdemes lehet valamilyen (például az [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg)) modult használni a kritikus CSS- és JavaScript-elemek beágyazásához, illetve a tartalmak JavaScripten keresztüli, lehetőség szerint aszinkron módon történő betöltéséhez. Fontos, hogy az ilyen jellegű modulok által nyújtott optimalizációk működésképtelenné tehetik webhelyét, ezért valószínűleg módosítania kell majd a meglévő kódokat."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"A témák, a modulok és a szerver specifikációi mind befolyásolják a szerver válaszidejét. Érdemes lehet jobban optimalizált témát keresnie, megfelelő optimalizáló modult választania és/vagy nagyobb teljesítményű szerverre váltania. Alkalmazásszolgáltató szerverei a PHP-műveletkódok és a memória gyorsítótárazásával (pl. Redis vagy Memcached) csökkenthetik az adatbázisok lekérdezési idejét, illetve az alkalmazások optimalizált logikai hálózatával gyorsabban előkészíthetik az oldalakat."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Érdemes lehet [reszponzív képstílusokat](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) használni, melyek csökkentik az oldalon betöltött képek méretét. Ha a Views funkciót használja ahhoz, hogy egy oldalon több tartalmi elemet jelenítsen meg, fontolja meg az oldalak számozását, amivel korlátozhatja az egy adott oldalon megjelenő tartalmi elemek számát."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Győződjön meg róla, hogy bekapcsolta a „CSS fájlok összegyűjtése” lehetőséget az „Adminisztráció » Beállítás » Fejlesztés” oldalon. Speciális összesítési lehetőségeket is beállíthat [további modulokon](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) keresztül, hogy összefűzéssel, minimalizálással és a CSS-stílusok tömörítésével felgyorsítsa webhelyét."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Győződjön meg róla, hogy bekapcsolta a „JavaScript-fájlok összesítése” lehetőséget az „Adminisztráció » Beállítás » Fejlesztés” oldalon. Speciális összesítési lehetőségeket is beállíthat [további modulokon](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) keresztül, hogy összefűzéssel, minimalizálással és a JavaScript-tartalmak tömörítésével felgyorsítsa webhelyét."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Érdemes lehet eltávolítani a nem használt CSS-szabályokat, és csak a szükséges Drupal-könyvtárakat csatolni a releváns oldalhoz vagy összetevőhöz. További részleteket a [Drupal dokumentációjában](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) találhat. A felesleges CSS-t elhelyező csatolt könyvtárak azonosításában a Chrome DevTools [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) eszköze is segíthet. A felelős téma vagy modul a stíluslap URL-je alapján azonosítható, ha a CSS-összesítés ki van kapcsolva az Ön Drupal webhelyén. Keressen olyan témákat vagy modulokat, amelyeknek több stíluslapjában is sok piros szín szerepel a kódlefedettségi listán. Ideális esetben a témák vagy modulok csak az oldalon ténylegesen használt stíluslapokat állítják sorba."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Érdemes lehet eltávolítani a nem használt JavaScript-tartalmakat, és csak a szükséges Drupal-függvénytárakat csatolni a releváns oldalhoz vagy összetevőhöz. További részleteket a [Drupal dokumentációjában](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) találhat. A felesleges JavaScriptet elhelyező csatolt függvénytárak azonosításában a Chrome DevTools [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) eszköze is segíthet. A felelős téma vagy modul a szkript URL-je alapján azonosítható, ha a JavaScript-összesítés ki van kapcsolva az Ön Drupal webhelyén. Keressen olyan témákat vagy modulokat, amelyeknek több szkriptjében is sok piros szín szerepel a kódlefedettségi listán. Ideális esetben a témák vagy modulok csak az oldalon ténylegesen használt szkripteket állítják sorba."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Állítsa be a „Böngésző és proxy gyorsítótár maximális élettartama” lehetőséget az „Adminisztráció » Beállítás » Fejlesztés” oldalon. A Drupal gyorsítótárról és a jobb teljesítmény érdekében történő optimalizálásról [itt olvashat részleteket](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Érdemes lehet olyan [modult](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) használnia, amely minőségromlás nélkül, automatikusan optimalizálja és csökkenti az oldalon keresztül feltöltött képek méretét. Ezen kívül győződjön meg róla, hogy azokat a natív [reszponzív képstílusokat](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) használja minden, a webhelyen megjelenített kép esetén, amelyek a Drupal (Drupal 8 vagy újabb) rendszeréből származnak."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Megadhat előcsatlakozási vagy a DNS előzetes lekérésére vonatkozó jelzéseket, ha telepít és beállít egy olyan [modult](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), amely lehetővé teszi felhasználói ügynöki jelzések használatát."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Győződjön meg róla, hogy azokat a natív [reszponzív képstílusokat](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) használja, amelyek a Drupal (Drupal 8 vagy újabb) rendszeréből származnak. Használja a reszponzív képstílusokat, ha megtekintési módokon, megtekintéseken vagy a WYSIWYG-szerkesztővel feltöltött képeken keresztül jeleníti meg a képmezőket."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Fontolja meg a GIF-fájlok olyan szolgáltatóhoz való feltöltését, amely lehetővé teszi a fájlok HTML5-videóként történő beágyazását."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Érdemes olyan [bővítményt](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) vagy szolgáltatást használnia, amely automatikusan az optimális formátumba konvertálja a feltöltött képeket."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Telepítsen [késleltetett betöltést biztosító Joomla-bővítményt](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), amely lehetőséget ad a képernyőn kívül eső képek késleltetett betöltésére; vagy váltson olyan sablonra, amely rendelkezik ezzel a funkcióval. A Joomla 4.0-tól kezdődően az összes új kép [automatikusan](https://github.com/joomla/joomla-cms/pull/30748) megkapja a(z) `loading` attribútumot a core-tól."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"Számos Joomla-bővítmény segíthet a [kritikus elemek beágyazásában](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) és a [kevésbé fontos források](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) késleltetésében. Fontos, hogy az ilyen jellegű beépülő modulok által nyújtott optimalizációk működésképtelenné tehetik a sablonok vagy más modulok funkcióit, ezért körültekintően tesztelni kell majd őket."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"A sablonok, a bővítmények és a szerver specifikációi mind befolyásolják a szerver válaszidejét. Érdemes lehet jobban optimalizált sablont keresnie, megfelelő optimalizáló bővítményt választania és/vagy nagyobb teljesítményű szerverre váltania."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Fontolja meg kivonatok megjelenítését a cikk-kategóriákban (pl. a read more linken keresztül), az oldalanként megjelenített bejegyzések számának csökkentését, a hosszabb bejegyzések több oldalra tördelését, valamint a hozzászólások késleltetett betöltését valamilyen beépülő modul segítségével."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Számos [Joomla-bővítmény](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) gyorsíthatja webhelyét a CSS-stílusok összefűzésével, minimalizálásával és tömörítésével. Egyes sablonok is nyújtanak ilyen funkciókat."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Számos [Joomla-bővítmény](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) gyorsíthatja webhelyét a szkriptek összefűzésével, minimalizálásával és tömörítésével. Egyes sablonok is nyújtanak ilyen funkciókat."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Fontolja meg a nem használt CSS-t betöltő [Joomla-bővítmények](https://extensions.joomla.org/) lecserélését vagy számuk csökkentését. A felesleges CSS-t elhelyező bővítmények azonosításában a Chrome DevTools [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) eszköze is segíthet. A felelős téma vagy bővítmény a stíluslap URL-je alapján azonosítható. Keressen olyan bővítményeket, amelyeknek több stíluslapjában is sok piros szín szerepel a kódlefedettségi listán. Ideális esetben a bővítmények csak az oldalon ténylegesen használt stíluslapokat állítják sorba."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Fontolja meg a nem használt JavaScriptet betöltő [Joomla-bővítmények](https://extensions.joomla.org/) lecserélését vagy számuk csökkentését. A felesleges JavaScriptet elhelyező bővítmények azonosításában a Chrome DevTools [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) eszköze is segíthet. A felelős bővítmény a szkript URL-je alapján azonosítható. Keressen olyan bővítményeket, amelyeknek több szkriptjében is sok piros szín szerepel a kódlefedettségi listán. Ideális esetben a bővítmények csak az oldalon ténylegesen használt szkripteket állítják sorba."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"A Joomla böngészős gyorsítótárazásáról [itt olvashat részleteket](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Fontolja meg olyan [képoptimalizáló bővítmény](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) használatát, amellyel minőségromlás nélkül tömöríthetők a képek."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Ha tartalmaiban reszponzív képeket szeretne elhelyezni, érdemes lehet [reszponzív képekkel kapcsolatos beépülő modult](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) használni."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"A szövegtömörítést a Gzip oldaltömörítés bekapcsolásával engedélyezheti a Joomlában (Rendszer > Globális konfiguráció > Kiszolgáló)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ha a JavaScript-tartalmakat nem teszi csomagba, fontolja meg a [baler](https://github.com/magento/baler) metódus használatát."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Tiltsa le a Magento beépített [JavaScript-csomagolási és -kicsinyítési](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) funkcióját, és fontolja meg helyettük a [baler](https://github.com/magento/baler/)metódus használatát."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Adja meg a `@font-display` elemet, ha [egyedi betűtípusokat határoz meg](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Ha ki szeretné használni az újabb képformátumok előnyeit, keressen harmadik felektől származó bővítményeket a [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) webhelyén."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"A webes platformok [késleltetett betöltés](https://web.dev/native-lazy-loading) funkciójának használata érdekében vegye fontolóra a termék- és katalógussablonok módosítását."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Használja a Magento [Varnish-integrációját](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Engedélyezze a „Minify CSS Files” (CSS-fájlok kicsinyítése) beállítást az üzlet fejlesztői beállításaiban. [További információ](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Használja a [Tersert](https://www.npmjs.com/package/terser) a statikus tartalomtelepítés összes JavaScript-tartalmának minimalizálásához, és tiltsa le a beépített minimalizáló funkciót."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Tiltsa le a Magento beépített [JavaScript-csomagolási funkcióját](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Ha optimalizálni szeretné a képeket, keressen harmadik felektől származó bővítményeket a [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) webhelyén."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Úgy adhat hozzá előcsatlakozási vagy a DNS előzetes lehívására vonatkozó tippeket, hogy [módosítja valamelyik téma elrendezését](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` címkéket [valamelyik téma elrendezésének módosításával](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) adhat hozzá."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Cserélje le az animált GIF-eket videókra](https://web.dev/replace-gifs-with-videos/) a gyorsabban betöltődő weboldalak érdekében, és fontolja meg modern fájlformátumok (pl. [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) vagy [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder)) használatát, amelyekkel a tömörítési hatékonyságot több mint 30%-kal javíthatja a jelenlegi legmodernebb videokodekkel, a VP9-cel szemben."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Érdemes olyan [bővítményt](https://octobercms.com/plugins?search=image) vagy szolgáltatást használnia, amely automatikusan az optimális formátumba konvertálja a feltöltött képeket. A [WebP veszteségmentes képek](https://developers.google.com/speed/webp) mérete 26%-kal kisebb a PNG-knél, és 25-34%-kal kisebb a hasonló JPEG-képeknél azonos SSIM minőségi index mellett. Érdemes megfontolni az [AVIF](https://jakearchibald.com/2020/avif-has-landed/) következő generációs képformátum használatát is."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Fontolja meg [késleltetett képbetöltési bővítmény](https://octobercms.com/plugins?search=lazy) telepítését, amely lehetőséget ad a képernyőn kívül eső képek késleltetett betöltésére, vagy váltson olyan témára, amely rendelkezik ezzel a funkcióval. Fontolja meg az [AMP-bővítmény](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) használatát is."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Számos bővítmény segíthet a [kritikus elemek beágyazásában](https://octobercms.com/plugins?search=css). Ezek a bővítmények elronthatják más bővítmények működését, ezért végezzen alapos tesztelést."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"A témák, a bővítmények és a szerver specifikációi mind befolyásolják a szerver válaszidejét. Érdemes lehet jobban optimalizált témát keresnie, megfelelő optimalizáló bővítményt választania és/vagy nagyobb teljesítményű szerverre váltania. Az October CMS a(z) [`Queues`](https://octobercms.com/docs/services/queues) használatát is lehetővé teszi a fejlesztőknek az időigényes feladatok (pl. e-mail-küldés) feldolgozásának késleltetéséhez. Ez drámaian felgyorsítja a webes kéréseket."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Fontolja meg kivonatok megjelenítését a bejegyzéslistákban (pl. a[z] `show more` gombbal), az oldalanként megjelenített bejegyzések számának csökkentését, a hosszabb bejegyzések több oldalra tördelését, valamint a hozzászólások késleltetett betöltését bővítmény segítségével."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Számos olyan [bővítmény](https://octobercms.com/plugins?search=css) létezik, amely felgyorsíthatja webhelyét a stílusok összefűzésével, minimalizálásával és tömörítésével. Felgyorsíthatja a fejlesztést, ha a minimalizálást buildfolyamat használatával előre elvégzi."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Számos olyan [bővítmény](https://octobercms.com/plugins?search=javascript) létezik, amely felgyorsíthatja webhelyét a szkriptek összefűzésével, minimalizálásával és tömörítésével. Felgyorsíthatja a fejlesztést, ha a minimalizálást buildfolyamat használatával előre elvégzi."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Fontolja meg a webhelyen nem használt CSS-t betöltő [bővítmények](https://octobercms.com/plugins) ellenőrzését. A szükségtelen CSS-t hozzáadó bővítmény azonosításához futtassa a Chrome fejlesztői eszközök [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) mutatóját. A felelős téma vagy bővítmény a stíluslap URL-je alapján azonosítható. Keressen olyan stíluslapokkal rendelkező bővítményt, amelyben sok a piros a kódlefedettségben. Ideális esetben a bővítmények csak a weboldalon ténylegesen használt stíluslapokat állítják sorba."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Fontolja meg annak a [bővítménynek](https://octobercms.com/plugins?search=javascript) az eltávolítását, amely nem használt JavaScriptet tölt be a weboldalon. A szükségtelen JavaScriptet hozzáadó bővítmény azonosításához futtassa a Chrome fejlesztői eszközök [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) mutatóját. A felelős téma vagy bővítmény a szkript URL-je alapján azonosítható. Keressen olyan szkriptekkel rendelkező bővítményt, amelyben sok a piros a kódlefedettségben. Ideális esetben a bővítmények csak a weboldalon ténylegesen használt szkripteket állítják sorba."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"További információ a [szükségtelen hálózati kérések megakadályozásáról a HTTP Cache segítségével](https://web.dev/http-cache/#caching-checklist). Számos [bővítmény](https://octobercms.com/plugins?search=Caching) használható a gyorsítótárazás felgyorsításához."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Fontolja meg olyan [képoptimalizáló bővítmény](https://octobercms.com/plugins?search=image) használatát, amellyel minőségromlás nélkül tömöríthetők a képek."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"A képeket közvetlenül a médiakezelőbe töltse fel, hogy biztosan minden szükséges képméret rendelkezésre álljon. Fontolja meg az [átméretezési szűrő](https://octobercms.com/docs/markup/filter-resize) vagy [képátméretező bővítmény](https://octobercms.com/plugins?search=image) használatát annak biztosításához, hogy az optimális méretű képeket használja."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"A szövegtömörítést a webszerver konfigurációjában engedélyezheti."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Ha sok ismétlődő elemet jelenít meg az oldalon, fontolja meg „windowing” függvénytár (pl. `react-window`) használatát annak érdekében, hogy csökkentse a létrehozott DOM-csomópontok számát. [További információ](https://web.dev/virtualize-long-lists-react-window/). Ezenkívül csökkentse a szükségtelen újrarenderelések számát a [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), a [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) vagy a [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) segítségével, valamint [hagyja ki az effektusokat](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), amíg bizonyos függőségek nem módosulnak, amennyiben az `Effect` hook használatával javítja a futásidejű teljesítményt."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ha a React Routert használja, csökkentse minimálisra a `<Redirect>` komponens használatát az [útválasztási navigációban](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ha szerveroldali renderelést alkalmaz bármilyen React-összetevőnél, fontolja meg a következők valamelyikének használatát: `renderToNodeStream()` vagy `renderToStaticNodeStream()`. Ezekkel engedélyezheti az ügyfél számára, hogy a markupot ne egyben, hanem részletekben kapja meg és hidratálja. [További információ](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Ha a buildrendszere automatikusan kicsinyíti a CSS-fájlokat, akkor ügyeljen arra, hogy az alkalmazás éles buildjét telepítse. Ezt a React Developer Tools bővítménnyel ellenőrizheti. [További információ](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ha a buildrendszere automatikusan kicsinyíti a JS-fájlokat, akkor ügyeljen arra, hogy az alkalmazás éles buildjét telepítse. Ezt a React Developer Tools bővítménnyel ellenőrizheti. [További információ](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Ha nem szerveroldali renderelést alkalmaz, [ossza fel a JavaScript-csomagokat](https://web.dev/code-splitting-suspense/) a `React.lazy()` függvény használatával. Máskülönben harmadik fél könyvtárának (pl. [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)) használatával bontsa fel a kódot."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Használja a React DevTools Profilert, amely a Profiler API segítségével méri az összetevők megjelenítési teljesítményét. [További információ](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Fontolja meg a GIF-fájlok olyan szolgáltatóhoz való feltöltését, amely lehetővé teszi a fájlok HTML5-videóként történő beágyazását."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Érdemes olyan [bővítményt](https://wordpress.org/plugins/search/convert+webp/) vagy szolgáltatást használnia, amely automatikusan az optimális formátumba konvertálja a feltöltött képeket."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Telepítsen [lusta betöltést biztosító WordPress-bővítményt](https://wordpress.org/plugins/search/lazy+load/), amely lehetőséget ad a képernyőn kívül eső képek késleltetett betöltésére – vagy váltson olyan témára, amely rendelkezik ezzel a funkcióval. Fontolja meg az [AMP-bővítmény](https://wordpress.org/plugins/amp/) használatát is."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Számos WordPress-bővítmény segíthet a [kritikus elemek beágyazásában](https://wordpress.org/plugins/search/critical+css/) és a [kevésbé fontos források](https://wordpress.org/plugins/search/defer+css+javascript/) késleltetésében. Fontos, hogy az ilyen jellegű bővítmények által nyújtott optimalizációk működésképtelenné tehetik a témák vagy más bővítmények funkcióit, ezért valószínűleg módosítania kell majd a meglévő kódot."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"A témák, a bővítmények és a szerver specifikációi mind befolyásolják a szerver válaszidejét. Érdemes lehet jobban optimalizált témát keresnie, megfelelő optimalizáló bővítményt választania és/vagy nagyobb teljesítményű szerverre váltania."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"Fontolja meg kivonatok megjelenítését a bejegyzéslistákban (pl. a more címkével), az oldalanként megjelenített bejegyzések számának csökkentését, a hosszabb bejegyzések több oldalra tördelését, valamint a hozzászólások lusta betöltését bővítmény segítségével."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Számos [WordPress-bővítmény](https://wordpress.org/plugins/search/minify+css/) gyorsíthat webhelyén a stíluslapok egyesítésével, minimalizálásával és tömörítésével. Ha lehetséges, a minimalizálást érdemes buildfolyamat használatával előre elvégezni."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Számos [WordPress-bővítmény](https://wordpress.org/plugins/search/minify+javascript/) gyorsíthat webhelyén a szkriptek egyesítésével, minimalizálásával és tömörítésével. Ha lehetséges, a minimalizálást érdemes buildfolyamat használatával előre elvégezni."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Fontolja meg a nem használt CSS-t betöltő [WordPress-bővítmények](https://wordpress.org/plugins/) lecserélését, vagy számuk csökkentését. A felesleges CSS-t elhelyező bővítmények azonosításában a Chrome DevTools [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) eszköze is segíthet. A felelős téma vagy bővítmény a stíluslap URL-je alapján azonosítható. Keressen olyan bővítményeket, amelyeknek több stíluslapjában is sok piros szín szerepel a kódlefedettségi listán. Ideális esetben a bővítmények csak az oldalon ténylegesen használt stíluslapokat állítják sorba."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Fontolja meg a nem használt JavaScriptet betöltő [WordPress-bővítmények](https://wordpress.org/plugins/) lecserélését vagy számuk csökkentését. A felesleges JavaScriptet elhelyező bővítmények azonosításában a Chrome DevTools [kódlefedettség](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) eszköze is segíthet. A felelős téma vagy bővítmény a szkript URL-je alapján azonosítható. Keressen olyan bővítményeket, amelyeknek több szkriptjében is sok piros szín szerepel a kódlefedettségi listán. Ideális esetben a bővítmények csak az oldalon ténylegesen használt szkripteket állítják sorba."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"További információ a [WordPress böngészős gyorsítótárazásáról](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Fontolja meg olyan [képoptimalizáló WordPress-bővítmény](https://wordpress.org/plugins/search/optimize+images/) használatát, mellyel minőségromlás nélkül tömöríthetők a képek."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"A képeket közvetlenül a [Media Library](https://wordpress.org/support/article/media-library-screen/) felületén töltse fel, hogy biztosan minden szükséges képméret rendelkezésre álljon, ezután pedig innen szúrja be őket, vagy használja az Image Widgetet, hogy biztosan az optimális képméreteket alkalmazza (a reszponzív töréspontok esetében is) `Full Size` képeket csak akkor használjon, ha méretük megfelel a felhasználás módjának. [További információ](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"A szövegtömörítést a webszerver konfigurációjában engedélyezheti."},
"report/renderer/util.js | calculatorLink":{message:"Számológép megtekintése"},"report/renderer/util.js | crcInitialNavigation":{message:"Kezdeti navigáció"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Kritikus elérési út maximális várakozási ideje:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSON másolása"},"report/renderer/util.js | dropdownDarkTheme":{message:"Sötét téma be-/kikapcsolása"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Teljes jelentés nyomtatása"},"report/renderer/util.js | dropdownPrintSummary":{message:"Összefoglalás nyomtatása"},"report/renderer/util.js | dropdownSaveGist":{message:"Mentés Gistként"},"report/renderer/util.js | dropdownSaveHTML":{message:"Mentés HTML-ként"},"report/renderer/util.js | dropdownSaveJSON":{message:"Mentés JSON-ként"},"report/renderer/util.js | dropdownViewer":{message:"Megnyitás a megtekintőben"},"report/renderer/util.js | errorLabel":{message:"Hiba!"},
"report/renderer/util.js | errorMissingAuditInfo":{message:"Jelentési hiba: nincs ellenőrzési információ"},"report/renderer/util.js | footerIssue":{message:"Probléma beküldése"},"report/renderer/util.js | labDataTitle":{message:"Laboradatok"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Az aktuális oldal [Lighthouse](https://developers.google.com/web/tools/lighthouse/)-elemzése emulált mobilhálózaton. Az értékek becsültek és változhatnak."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"További manuálisan elemzendő elemek"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nem alkalmazható"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Lehetőség"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Becsült megtakarítás"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Sikeresen teljesített ellenőrzések"},"report/renderer/util.js | runtimeDesktopEmulation":{
message:"Emulált asztal"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulált Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Emuláció nélkül"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe-verzió"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/memória teljesítménye"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU-korlátozás"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Csatorna"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Eszköz"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Lekérdezési idő"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Hálózatkorlátozás"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Futási időre vonatkozó beállítások"},"report/renderer/util.js | runtimeSettingsUA":{message:"Felhasználói ügynök (gazdagép)"},"report/renderer/util.js | runtimeSettingsUANetwork":{
message:"Felhasználói ügynök (hálózat)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Ismeretlen"},"report/renderer/util.js | showRelevantAudits":{message:"A következővel kapcsolatos naplóbejegyzések megjelenítése:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Kódrészlet összecsukása"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Kódrészlet kibontása"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Harmadik féltől származó források megjelenítése"},"report/renderer/util.js | throttlingProvided":{message:"A környezettől származik"},"report/renderer/util.js | toplevelWarningsMessage":{message:"A Lighthouse-futtatást befolyásoló problémák fordultak elő:"},"report/renderer/util.js | varianceDisclaimer":{message:"Az értékek becsültek és változhatnak. A [teljesítménypontszám kiszámítása](https://web.dev/performance-scoring/) közvetlenül e mutatók alapján történik."},
"report/renderer/util.js | viewTreemapLabel":{message:"Fastruktúra megtekintése"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Átment az ellenőrzéseken – figyelmeztetésekkel"},"report/renderer/util.js | warningHeader":{message:"Figyelmeztetések: "}}},{}],120:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Kunci akses memungkinkan pengguna memfokuskan bagian halaman dengan cepat. Untuk navigasi yang tepat, setiap kunci akses harus unik. [Pelajari lebih lanjut](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Nilai `[accesskey]` tidak unik."},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Nilai `[accesskey]` bersifat unik"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Setiap ARIA `role` mendukung subset tertentu dari atribut `aria-*`. Membatalkan pencocokan ini akan membuat atribut `aria-*` menjadi tidak valid. [Pelajari lebih lanjut](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atribut `[aria-*]` tidak cocok dengan perannya"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atribut `[aria-*]` cocok dengan perannya"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Jika elemen tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elemen `button`, `link`, dan `menuitem` tidak memiliki nama yang dapat diakses."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elemen `button`, `link`, dan `menuitem` memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Teknologi pendukung seperti pembaca layar tidak berfungsi secara konsisten jika `aria-hidden="true"` ditetapkan pada`<body>` dokumen. [Pelajari lebih lanjut](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` tersedia di `<body>` dokumen'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` tidak tersedia di `<body>` dokumen'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Turunan yang dapat difokuskan dalam elemen `[aria-hidden="true"]` mencegah elemen interaktif tersebut tersedia bagi pengguna teknologi pendukung seperti pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Elemen `[aria-hidden="true"]` memuat turunan yang dapat difokuskan'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Elemen `[aria-hidden="true"]` tidak memuat turunan yang dapat difokuskan'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Jika kolom masukan tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"Kolom masukan ARIA tidak memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Kolom masukan ARIA memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Jika elemen tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Elemen `meter` ARIA tidak memiliki nama yang dapat diakses."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Elemen `meter` ARIA memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Jika elemen `progressbar` tidak memiliki label aksesibilitas, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Elemen `progressbar` ARIA tidak memiliki nama yang dapat diakses."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Elemen `progressbar` ARIA memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Beberapa peran ARIA memiliki atribut wajib yang menjelaskan status elemen ke pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` tidak memiliki semua atribut `[aria-*]` yang diperlukan"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` memiliki semua atribut `[aria-*]` yang diperlukan"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Beberapa peran induk ARIA harus memuat peran turunan tertentu agar dapat menjalankan fungsi aksesibilitas yang diinginkan. [Pelajari lebih lanjut](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elemen dengan `[role]` ARIA yang mewajibkan turunannya berisi `[role]` tertentu tidak memiliki beberapa atau semua turunan yang diperlukan."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elemen dengan `[role]` ARIA yang mewajibkan turunannya berisi `[role]` tertentu memiliki semua turunan yang diperlukan."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Beberapa peran turunan ARIA harus dimuat oleh peran induk tertentu agar dapat menjalankan fungsi aksesibilitas yang diinginkan dengan tepat. [Pelajari lebih lanjut](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` tidak dimuat oleh elemen induk wajibnya"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` dimuat oleh elemen induk wajibnya"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Peran ARIA harus memiliki nilai yang valid agar dapat menjalankan fungsi aksesibilitas yang diinginkan. [Pelajari lebih lanjut](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Nilai `[role]` tidak valid"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Nilai `[role]` valid"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"Jika kolom beralih tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Kolom beralih ARIA tidak memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Kolom beralih ARIA memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Jika elemen tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{
message:"Elemen `tooltip` ARIA tidak memiliki nama yang dapat diakses."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Elemen `tooltip` ARIA memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Jika elemen tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya dengan nama umum, sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Elemen `treeitem` ARIA tidak memiliki nama yang dapat diakses."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Elemen `treeitem` ARIA memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Teknologi asistif, seperti pembaca layar, tidak dapat menafsirkan atribut ARIA dengan nilai yang tidak valid. [Pelajari lebih lanjut](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atribut `[aria-*]` tidak memiliki nilai yang valid"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Atribut `[aria-*]` memiliki nilai yang valid"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Teknologi asistif, seperti pembaca layar, tidak dapat menafsirkan atribut ARIA dengan nama yang tidak valid. [Pelajari lebih lanjut](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atribut `[aria-*]` tidak valid atau salah eja"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atribut `[aria-*]` valid dan tidak salah eja"},
"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elemen yang Gagal"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Jika tombol tidak memiliki nama yang dapat diakses, pembaca layar akan mengucapkannya sebagai "tombol", sehingga tidak dapat digunakan oleh pengguna yang mengandalkan pembaca layar. [Pelajari lebih lanjut](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Tombol tidak memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Tombol memiliki nama yang dapat diakses"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Dengan menambahkan cara untuk mengabaikan konten berulang, pengguna keyboard dapat membuka halaman dengan lebih efisien. [Pelajari lebih lanjut](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{
message:"Halaman ini tidak memuat judul, link lewati, atau wilayah landmark"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Halaman ini memuat judul, link lewati, atau wilayah landmark"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Teks yang memiliki kontras rendah sulit atau tidak mungkin dibaca oleh kebanyakan pengguna. [Pelajari lebih lanjut](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Warna latar belakang dan latar depan tidak memiliki rasio kontras yang cukup."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Warna latar belakang dan latar depan memiliki rasio kontras yang cukup"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"Jika daftar definisi tidak di-markup dengan tepat, pembaca layar dapat menghasilkan output yang membingungkan atau tidak akurat. [Pelajari lebih lanjut](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` tidak hanya memuat grup `<dt>` dan `<dd>`, `<script>`, `<template>`, atau elemen `<div>` yang diurutkan dengan tepat."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` hanya memuat grup `<dt>` dan `<dd>`, `<script>`, `<template>`, atau elemen `<div>` yang diurutkan dengan tepat."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Item daftar definisi (`<dt>` dan `<dd>`) harus tergabung dalam elemen `<dl>` induk untuk memastikan bahwa pembaca layar dapat mengucapkannya dengan tepat. [Pelajari lebih lanjut](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"Item daftar definisi tidak tergabung dalam elemen `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Item daftar definisi tergabung dalam elemen `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Judul ini memberi pengguna pembaca layar ringkasan halaman, dan pengguna mesin telusur sangat mengandalkannya untuk menentukan apakah halaman relevan dengan penelusurannya atau tidak. [Pelajari lebih lanjut](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokumen tidak memiliki elemen `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumen memiliki elemen `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Semua elemen yang dapat difokuskan harus memiliki `id` yang unik untuk memastikannya dapat dilihat oleh teknologi pendukung. [Pelajari lebih lanjut](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atribut `[id]` pada elemen aktif yang dapat difokuskan tidak unik"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Atribut `[id]` pada elemen aktif yang dapat difokuskan unik"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Nilai ID ARIA harus unik untuk mencegah instance lain terabaikan oleh teknologi pendukung. [Pelajari lebih lanjut](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ID ARIA tidak unik"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ID ARIA unik"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Teknologi pendukung seperti pembaca layar yang menggunakan label pertama, terakhir, atau semua label akan mungkin salah mengucapkan kolom formulir yang memiliki beberapa label. [Pelajari lebih lanjut](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Kolom formulir memiliki beberapa label"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Tidak ada kolom formulir yang memiliki beberapa label"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Pengguna pembaca layar mengandalkan judul bingkai untuk menjelaskan isi bingkai. [Pelajari lebih lanjut](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Elemen `<frame>` atau `<iframe>` tidak memiliki judul"},
"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elemen `<frame>` atau `<iframe>` memiliki judul"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Judul yang diurutkan dengan benar yang tidak melewati level akan menyampaikan struktur semantik halaman, membuatnya lebih mudah dilihat dan dipahami ketika menggunakan teknologi pendukung. [Pelajari lebih lanjut](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Elemen judul muncul tidak dalam urutan menurun yang berurutan"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Elemen judul muncul dalam urutan menurun yang berurutan"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Jika halaman tidak menentukan atribut bahasa, pembaca layar akan mengasumsikan bahwa halaman menggunakan bahasa default yang dipilih pengguna saat menyiapkan pembaca layar. Jika halaman tidak dalam bahasa default, pembaca layar mungkin tidak dapat mengucapkan teks di halaman tersebut dengan benar. [Pelajari lebih lanjut](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Elemen `<html>` tidak memiliki atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Elemen `<html>` memiliki atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Menentukan [bahasa BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) yang valid akan membantu pembaca layar mengucapkan teks dengan tepat. [Pelajari lebih lanjut](https://web.dev/html-lang-valid/)."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Elemen `<html>` tidak memiliki nilai yang valid untuk atribut `[lang]`-nya."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Elemen `<html>` memiliki nilai yang valid untuk atribut `[lang]`-nya"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Elemen informatif harus memberikan teks alternatif yang singkat dan deskriptif. Elemen dekoratif dapat diabaikan dengan atribut alt kosong. [Pelajari lebih lanjut](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Elemen gambar tidak memiliki atribut `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Elemen halaman memiliki atribut `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Saat suatu gambar digunakan sebagai tombol `<input>`, menyediakan teks alternatif dapat membantu pengguna pembaca layar memahami fungsi tombol tersebut. [Pelajari lebih lanjut](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elemen `<input type="image">` tidak memiliki teks `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elemen `<input type="image">` memiliki teks `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Label memastikan bahwa kontrol bentuk diucapkan dengan tepat oleh teknologi asistif, seperti pembaca layar. [Pelajari lebih lanjut](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Elemen formulir tidak memiliki label yang terkait"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Elemen formulir memiliki label yang terkait"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Teks link (dan teks alternatif untuk gambar, saat digunakan sebagai link) yang mudah dilihat, unik, dan dapat difokuskan menyempurnakan pengalaman navigasi bagi pengguna pembaca layar. [Pelajari lebih lanjut](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Link tidak memiliki nama yang dapat dikenali"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Link memiliki nama yang dapat dikenali"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Pembaca layar memiliki cara tertentu untuk membacakan daftar. Memastikan struktur daftar dengan tepat akan membantu output pembaca layar. [Pelajari lebih lanjut](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Daftar tidak hanya berisi elemen `<li>` dan skrip yang mendukung elemen (`<script>` dan `<template>`)."},
"lighthouse-core/audits/accessibility/list.js | title":{message:"Daftar hanya memuat elemen `<li>` dan skrip yang mendukung elemen (`<script>` dan `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Pembaca layar mengharuskan item daftar (`<li>`) untuk dimuat dalam `<ul>` atau `<ol>` induk agar dapat diucapkan dengan tepat. [Pelajari lebih lanjut](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Daftar item (`<li>`) tidak dimuat dalam elemen induk `<ul>` atau `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Item daftar (`<li>`) dimuat dalam elemen induk `<ul>` atau `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Pengguna tidak mengharapkan halaman dimuat ulang secara otomatis, karena tindakan tersebut akan memindahkan fokus kembali ke bagian atas halaman. Hal ini dapat menimbulkan pengalaman yang menjengkelkan atau membingungkan. [Pelajari lebih lanjut](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokumen menggunakan `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokumen tidak menggunakan `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Menonaktifkan zoom akan menimbulkan masalah bagi pengguna dengan gangguan penglihatan yang mengandalkan pembesaran layar untuk melihat konten halaman dengan tepat. [Pelajari lebih lanjut](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]` digunakan dalam elemen `<meta name="viewport">` atau atribut `[maximum-scale]` kurang dari 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` tidak digunakan dalam elemen `<meta name="viewport">` dan atribut `[maximum-scale]` tidak kurang dari 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Pembaca layar tidak dapat menerjemahkan konten yang bukan teks. Menambahkan teks alternatif ke elemen `<object>` membantu pembaca layar menyampaikan makna kepada pengguna. [Pelajari lebih lanjut](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elemen `<object>` tidak memiliki teks `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elemen `<object>` memiliki teks `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Nilai yang lebih besar dari 0 menunjukkan pengurutan navigasi eksplisit. Walaupun secara teknis valid, hal ini sering menciptakan pengalaman yang membingungkan bagi pengguna yang mengandalkan teknologi asistif. [Pelajari lebih lanjut](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Beberapa elemen memiliki nilai `[tabindex]` yang lebih besar dari 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Tidak ada elemen yang memiliki nilai `[tabindex]` lebih besar dari 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Pembaca layar memiliki fitur yang memudahkan navigasi tabel. Memastikan sel `<td>` yang menggunakan atribut `[headers]` hanya merujuk ke sel lain dalam tabel yang sama dapat menyempurnakan pengalaman bagi pengguna pembaca layar. [Pelajari lebih lanjut](https://web.dev/td-headers-attr/)."},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Sel di elemen `<table>` yang menggunakan atribut `[headers]` yang merujuk pada elemen `id` tidak ditemukan dalam tabel yang sama."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Sel dalam elemen `<table>` yang menggunakan atribut `[headers]` merujuk pada sel tabel dalam tabel yang sama."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Pembaca layar memiliki fitur yang memudahkan navigasi tabel. Memastikan header tabel selalu merujuk ke sekumpulan sel dapat menyempurnakan pengalaman bagi pengguna pembaca layar. [Pelajari lebih lanjut](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elemen `<th>` dan elemen dengan `[role="columnheader"/"rowheader"]` tidak memiliki sel data yang dideskripsikannya.'},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Elemen `<th>` dan elemen dengan `[role="columnheader"/"rowheader"]` memiliki sel data yang dideskripsikan.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Menentukan [bahasa BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) yang valid pada elemen membantu memastikan bahwa teks diucapkan dengan benar oleh pembaca layar. [Pelajari lebih lanjut](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atribut `[lang]` tidak memiliki nilai yang valid"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atribut `[lang]` memiliki nilai yang valid"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"Video yang menyediakan teks akan memudahkan pengguna yang menyandang gangguan pendengaran dan tunarungu untuk mengakses informasinya. [Pelajari lebih lanjut](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elemen `<video>` tidak memuat elemen `<track>` dengan `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elemen `<video>` memuat elemen `<track>` dengan `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Untuk tampilan ideal pada iOS saat pengguna menambahkan progressive web app ke layar utama, tentukan `apple-touch-icon`. Ikon harus mengarah ke PNG persegi 192 piksel (atau 180 piksel) yang tidak transparan. [Pelajari Lebih Lanjut](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Tidak menyediakan `apple-touch-icon` yang valid"},
"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` sudah usang; `apple-touch-icon` dipilih."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Memberikan `apple-touch-icon` yang valid"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Nilai Saat Ini"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Token yang Disarankan"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` membantu pengguna mengirim formulir lebih cepat. Untuk mempermudah pengguna, sebaiknya lakukan pengaktifan dengan menyetel atribut `autocomplete` ke nilai yang valid. [Pelajari lebih lanjut](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Elemen `<input>` tidak memiliki atribut `autocomplete` yang benar"},
"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Memerlukan tinjauan manual"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Tinjau urutan token"},"lighthouse-core/audits/autocomplete.js | title":{message:"Elemen `<input>` menggunakan `autocomplete` dengan benar"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Token `autocomplete`: "{token}" tidak valid dalam {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Tinjau urutan token: "{tokens}" di {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Ekstensi Chrome berpengaruh negatif terhadap performa pemuatan halaman ini. Coba audit halaman dalam mode samaran atau dari profil Chrome tanpa ekstensi."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Evaluasi Skrip"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Penguraian Skrip"},
"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Waktu CPU Total"},"lighthouse-core/audits/bootup-time.js | description":{message:"Sebaiknya kurangi waktu yang dihabiskan untuk mengurai, mengompilasi, dan mengeksekusi JS. Coba kirim payload JS yang lebih kecil untuk membantu mengurangi waktu. [Pelajari lebih lanjut](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Mengurangi waktu eksekusi JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Waktu eksekusi JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Menghapus modul JavaScript duplikat yang besar dari paket untuk mengurangi byte tidak perlu yang digunakan oleh aktivitas jaringan. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Hapus modul duplikat di paket JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"GIF berukuran besar tidak efisien untuk menayangkan konten animasi. Sebaiknya gunakan video MPEG4/WebM sebagai animasi dan PNG/WebP sebagai gambar statis untuk menggantikan GIF guna menghemat byte jaringan. [Pelajari lebih lanjut](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Gunakan format video untuk konten animasi"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Polyfill dan transformasi memungkinkan browser lama menggunakan fitur JavaScript yang baru. Namun, banyak di antara fitur tersebut yang tidak diperlukan browser modern. Untuk paket JavaScript Anda, terapkan strategi deployment skrip modern menggunakan deteksi fitur modul/nomodule untuk mengurangi jumlah kode yang dikirimkan ke browser modern, sambil terus menyediakan dukungan untuk browser lama. [Pelajari Lebih Lanjut](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Hindari penayangan JavaScript lama di browser modern"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Format gambar seperti JPEG 2000, JPEG XR, dan WebP biasanya memberikan kompresi yang lebih baik daripada PNG atau JPEG, sehingga download lebih cepat dan konsumsi data lebih kecil. [Pelajari lebih lanjut](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Tayangkan gambar dalam format generasi berikutnya"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Sebaiknya lakukan pemuatan lambat di balik layar dan gambar tersembunyi setelah semua resource kritis selesai dimuat guna mengurangi waktu untuk interaktif. [Pelajari lebih lanjut](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Tunda gambar di balik layar"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Resource memblokir first paint halaman. Sebaiknya kirim inline JS/CSS kritis dan tunda semua JS/gaya yang tidak kritis. [Pelajari lebih lanjut](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Hilangkan resource yang memblokir render"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Payload jaringan yang besar menimbulkan biaya yang tinggi bagi pengguna dan berkorelasi erat dengan waktu pemuatan yang lama. [Pelajari lebih lanjut](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Ukuran total adalah {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Menghindari payload jaringan yang sangat besar"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Menghindari payload jaringan yang sangat besar"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Meminifikasi file CSS dapat mengurangi ukuran payload jaringan. [Pelajari lebih lanjut](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Kecilkan CSS"},
"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Meminifikasi file JavaScript dapat mengurangi ukuran payload dan waktu penguraian skrip. [Pelajari lebih lanjut](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Kecilkan ukuran JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Mengurangi aturan yang tidak digunakan dari stylesheet dan menunda CSS yang tidak digunakan untuk konten paruh atas guna menurunkan byte yang digunakan oleh aktivitas jaringan. [Pelajari lebih lanjut](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Kurangi CSS yang tidak digunakan"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Mengurangi JavaScript yang tidak digunakan dan menunda pemuatan skrip sampai diperlukan untuk menurunkan byte yang digunakan oleh aktivitas jaringan. [Pelajari lebih lanjut](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Kurangi JavaScript yang tidak digunakan"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Durasi cache yang panjang dapat mempercepat kunjungan berulang ke halaman Anda. [Pelajari lebih lanjut](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 resource ditemukan}other{# resource ditemukan}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Tayangkan aset statis dengan kebijakan cache yang efisien"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{
message:"Menggunakan kebijakan cache yang efisien pada aset statis"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Gambar yang dioptimalkan dimuat lebih cepat dan menghabiskan lebih sedikit data seluler. [Pelajari lebih lanjut](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Enkode gambar secara efisien"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Menayangkan gambar yang berukuran sesuai untuk menghemat kuota dan meningkatkan waktu pemuatan. [Pelajari lebih lanjut](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Ubah ukuran gambar dengan tepat"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Resource berbasis teks harus ditayangkan dengan kompresi (gzip, deflate, atau brotli) untuk meminimalkan total byte jaringan. [Pelajari lebih lanjut](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Aktifkan kompresi teks"},"lighthouse-core/audits/content-width.js | description":{message:"Jika lebar konten aplikasi Anda tidak cocok dengan lebar area pandang, aplikasi mungkin tidak dioptimalkan untuk layar perangkat seluler. [Pelajari lebih lanjut](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Ukuran area pandang {innerWidth} piksel tidak cocok dengan ukuran jendela {outerWidth} piksel."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Ukuran konten untuk area pandang tidak tepat"},"lighthouse-core/audits/content-width.js | title":{message:"Ukuran konten untuk area pandang sudah tepat"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"Rantai Permintaan Penting di bawah menampilkan resource apa saja yang dimuat dengan prioritas tinggi. Sebaiknya kurangi panjang rantai, kurangi ukuran download resource, atau tunda download resource yang tidak penting untuk mempercepat pemuatan halaman. [Pelajari lebih lanjut](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 rantai ditemukan}other{# rantai ditemukan}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Hindari perantaian permintaan penting"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Perintah"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Keparahan"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Kebijakan Keamanan Konten (CSP) yang kuat mengurangi risiko serangan pembuatan skrip lintas situs (XSS) secara signifikan. [Pelajari lebih lanjut](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaksis"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Halaman ini memuat CSP yang ditentukan dalam tag <meta>. Sebaiknya tentukan CSP di header HTTP jika Anda dapat melakukannya."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"CSP tidak ditemukan dalam mode penerapan"},"lighthouse-core/audits/csp-xss.js | title":{message:"Pastikan CSP efektif melawan serangan XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Penghentian/Peringatan"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Baris"},"lighthouse-core/audits/deprecations.js | description":{
message:"API yang tidak digunakan lagi pada akhirnya akan dihapus dari browser. [Pelajari lebih lanjut](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 peringatan ditemukan}other{# peringatan ditemukan}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Menggunakan API yang tidak digunakan lagi"},"lighthouse-core/audits/deprecations.js | title":{message:"Menghindari API yang tidak digunakan lagi"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Cache Aplikasi tidak digunakan lagi. [Pelajari lebih lanjut](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Menemukan "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Menggunakan Cache Aplikasi"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Menghindari Cache Aplikasi"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Diperlukan deklarasi encoding karakter. Tindakan ini dapat dilakukan dengan tag `<meta>` pada 1024 byte pertama HTML atau di header respons HTTP Jenis Konten. [Pelajari lebih lanjut](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Deklarasi charset tidak ada atau terlambat muncul di HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Charset yang ditentukan dengan benar"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Menentukan doctype akan mencegah browser beralih ke quirks mode. [Pelajari lebih lanjut](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Nama doctype harus berupa string huruf kecil `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokumen harus berisi doctype"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"PublicId diperkirakan menjadi string kosong"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"SystemId diperkirakan menjadi string kosong"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Halaman tidak memiliki doctype HTML sehingga memicu quirks mode"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Halaman memiliki doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistik"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Nilai"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"DOM yang berukuran besar akan meningkatkan penggunaan memori, menyebabkan [penghitungan gaya](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) yang lebih lama, dan menghasilkan [penyesuaian tata letak](https://developers.google.com/speed/articles/reflow) yang mahal. [Pelajari lebih lanjut](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elemen}other{# elemen}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Menghindari ukuran DOM yang berlebihan"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Kedalaman DOM Maksimum"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Elemen DOM Total"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Elemen Turunan Maksimum"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Menghindari ukuran DOM yang berlebihan"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Anchor gagal"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Tambahkan `rel="noopener"` atau `rel="noreferrer"` ke link eksternal mana pun untuk menyempurnakan performa dan mencegah kerentanan keamanan. [Pelajari lebih lanjut](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Link ke tujuan lintas asal tidak aman"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Link ke tujuan lintas asal aman"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Tidak dapat menentukan tujuan untuk anchor ({anchorHTML}). Jika tidak digunakan sebagai hyperlink, sebaiknya hapus target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Pengguna tidak percaya atau bingung dengan situs yang meminta lokasi mereka tanpa konteks. Sebaiknya kaitkan permintaan dengan tindakan pengguna. [Pelajari lebih lanjut](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Meminta izin geolokasi pada pemuatan halaman"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Menghindari meminta izin geolokasi pada pemuatan halaman"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Jenis masalah"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Masalah yang dicatat pada panel `Issues` di Chrome DevTools menunjukkan masalah yang belum terselesaikan. Error dapat berasal dari kegagalan permintaan jaringan, kontrol keamanan yang tidak cukup, dan masalah browser lainnya. Buka panel Issues di Chrome DevTools untuk melihat detail setiap masalah selengkapnya."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Masalah dicatat di panel `Issues` di Chrome DevTools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Diblokir oleh kebijakan lintas asal"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Penggunaan resource yang berat oleh iklan"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Tidak ada masalah pada panel `Issues` di Chrome DevTools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versi"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Semua library JavaScript front-end terdeteksi di halaman. [Pelajari lebih lanjut](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Library JavaScript yang terdeteksi"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Untuk pengguna dengan koneksi lambat, skrip eksternal secara dinamis dimasukkan melalui `document.write()` dapat menunda pemuatan halaman selama puluhan detik. [Pelajari lebih lanjut](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Hindari `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Menghindari `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Keparahan Tertinggi"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Versi Library"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Jumlah Kerentanan"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Beberapa skrip pihak ketiga dapat berisi kerentanan keamanan umum yang mudah diidentifikasi dan dimanfaatkan oleh penyerang. [Pelajari lebih lanjut](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 kerentanan terdeteksi}other{# kerentanan terdeteksi}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Menyertakan library JavaScript front-end yang memiliki kerentanan keamanan umum"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Menghindari library JavaScript front-end yang memiliki kerentanan keamanan umum"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Pengguna tidak percaya atau bingung dengan situs yang meminta untuk mengirim pemberitahuan tanpa konteks. Sebaiknya kaitkan permintaan dengan gestur pengguna. [Pelajari lebih lanjut](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Meminta izin notifikasi pada pemuatan halaman"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Menghindari meminta izin notifikasi pada pemuatan halaman"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Mencegah menempelkan sandi akan merusak kebijakan keamanan yang baik. [Pelajari lebih lanjut](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Mencegah pengguna menempelkan sesuatu ke kolom sandi."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Mengizinkan pengguna menempelkan sesuatu ke kolom sandi"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 memiliki banyak manfaat dibandingkan HTTP/1.1, termasuk header biner dan multiplexing. [Pelajari lebih lanjut](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 permintaan tidak dilayani melalui HTTP/2}other{# permintaan tidak dilayani melalui HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Gunakan HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Sebaiknya tandai sentuhan Anda dan pemroses peristiwa gulir sebagai `passive` untuk menyempurnakan performa scroll halaman Anda. [Pelajari lebih lanjut](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Tidak menggunakan pemroses pasif untuk menyempurnakan performa scroll"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Menggunakan pemroses pasif untuk menyempurnakan performa scroll"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Error yang dicatat di konsol menunjukkan masalah yang belum terselesaikan. Error dapat berasal dari permintaan jaringan yang gagal dan masalah browser lainnya. [Pelajari lebih lanjut](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Error browser dicatat di konsol"},"lighthouse-core/audits/errors-in-console.js | title":{
message:"Tidak ada error browser yang dicatat ke konsol"},"lighthouse-core/audits/font-display.js | description":{message:"Memanfaatkan fitur CSS tampilan font untuk memastikan teks terlihat oleh pengguna saat font web sedang dimuat. [Pelajari lebih lanjut](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Pastikan teks tetap terlihat selama pemuatan font web"},"lighthouse-core/audits/font-display.js | title":{message:"Semua teks tetap terlihat selama pemuatan font web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse tidak dapat secara otomatis memeriksa nilai `font-display` untuk {fontOrigin} asal.}other{Lighthouse tidak dapat secara otomatis memeriksa nilai `font-display` untuk {fontOrigin} asal.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Rasio Tinggi Lebar (Aktual)"},
"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Rasio Tinggi Lebar (Ditampilkan)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Dimensi tampilan gambar harus cocok dengan rasio tinggi lebar natural. [Pelajari lebih lanjut](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Menampilkan gambar dengan rasio tinggi lebar yang salah"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Menampilkan gambar dengan rasio tinggi lebar yang benar"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Ukuran sebenarnya"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Ukuran yang ditampilkan"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Ukuran yang diharapkan"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Dimensi alami gambar sebaiknya proporsional dengan ukuran tampilan dan rasio piksel untuk memaksimalkan kejelasan gambar. [Pelajari lebih lanjut](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Menampilkan gambar dengan resolusi rendah"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Menampilkan gambar dengan resolusi yang sesuai"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplikasi sudah diinstal"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Tidak dapat mendownload ikon yang diperlukan dari manifes"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Alasan kegagalan"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Pekerja layanan adalah teknologi yang memungkinkan aplikasi Anda menggunakan banyak fitur Progressive Web App, seperti fitur offline, tambahkan ke layar utama, dan notifikasi push. Dengan implementasi pekerja layanan dan manifes yang benar, browser dapat meminta pengguna secara proaktif untuk menambahkan aplikasi Anda ke layar utama pengguna sehingga tingkat interaksi menjadi lebih tinggi. [Pelajari lebih lanjut](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 alasan}other{# alasan}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Manifes aplikasi web atau pekerja layanan tidak memenuhi persyaratan kemampuan penginstalan"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL aplikasi Play Store dan ID Play Store tidak cocok"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{
message:"Halaman dimuat di jendela Samaran"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Properti 'display' manifest harus berupa salah satu dari 'standalone', 'fullscreen', atau 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifes berisi kolom 'display_override', dan nilai pertama di kolom tersebut harus salah satu dari 'standalone', 'fullscreen', atau 'minimal-ui'"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifes tidak dapat diambil, kosong, atau tidak dapat diurai"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"URL manifes berubah saat manifes sedang diambil."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifes tidak berisi kolom 'name' atau 'short_name'"},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Manifes tidak berisi ikon yang cocok - perlu format PNG, SVG, atau WebP minimal {value0} px, atribut sizes harus disetel, dan atribut purpose harus menyertakan "any" jika disetel.'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Tidak ada ikon yang disediakan berukuran minimal {value0} px persegi dalam format PNG, SVG, atau WebP, dengan atribut purpose yang tidak disetel atau disetel ke "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Ikon yang didownload kosong atau rusak"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"ID Play Store tidak ada"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Halaman tidak memiliki URL <link> manifes"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Pekerja layanan yang cocok tidak terdeteksi. Anda harus memuat ulang halaman, atau memeriksa apakah cakupan pekerja layanan untuk halaman saat ini menyertakan scope dan start_URL dari manifes."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Tidak dapat memeriksa pekerja layanan tanpa kolom 'start_url' di manifes"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ID error kemampuan penginstalan '{errorId}' tidak dikenali"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Halaman tidak ditayangkan dari asal yang aman"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Halaman tidak dimuat di frame utama"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Halaman tidak berfungsi saat offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"Platform aplikasi yang ditentukan tidak didukung di Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifes menentukan prefer_related_applications: benar (true)"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications hanya didukung di saluran Beta dan Stabil Chrome di Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"URL mulai manifes tidak valid"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifes aplikasi web dan pekerja layanan memenuhi persyaratan kemampuan penginstalan"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL di manifes berisi nama pengguna, sandi, atau port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"Halaman tidak berfungsi saat offline. Halaman tidak akan dianggap sebagai dapat diinstal setelah rilis stabil Chrome 93 pada Agustus 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Diizinkan"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Diblokir"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL yang tidak aman"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Resolusi Permintaan"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Semua situs harus dilindungi dengan HTTPS, termasuk situs-situs yang tidak menangani data sensitif. Ini termasuk menghindari [konten campuran](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), tempat beberapa resource dimuat melalui HTTP meskipun permintaan awal dilayani melalui HTTPS. HTTPS mencegah penyusup merusak atau mendengarkan komunikasi secara pasif antara aplikasi dan pengguna, serta merupakan prasyarat untuk HTTP/2 dan banyak API platform web baru. [Pelajari lebih lanjut](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 permintaan tidak aman ditemukan}other{# permintaan tidak aman ditemukan}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Tidak menggunakan HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Menggunakan HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{
message:"Diupgrade secara otomatis ke HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Diizinkan dengan peringatan"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Library"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Library JavaScript berukuran besar dapat menyebabkan performa yang buruk. Gunakan library lebih kecil dengan fungsi yang sama untuk mengurangi ukuran paket. [Pelajari lebih lanjut](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 library berukuran besar ditemukan}other{# library berukuran besar ditemukan}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Ganti library JavaScript berukuran besar yang tidak diperlukan"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Menghindari library JavaScript berukuran besar dengan alternatif yang lebih kecil"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Ini adalah elemen contentful terbesar yang di-paint dalam area pandang. [Pelajari Lebih Lanjut](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elemen Largest Contentful Paint (LCP)"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Kontribusi CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Elemen DOM ini paling banyak berkontribusi untuk CLS halaman."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Hindari peralihan tata letak berukuran besar"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Mencantumkan tugas yang berjalan paling lama di thread utama, berguna untuk mengidentifikasi kontributor utama penundaan input. [Pelajari lebih lanjut](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# tugas berjalan lama}other{# tugas berjalan lama}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Hindari tugas thread utama yang berjalan lama"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategori"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Sebaiknya kurangi waktu yang dihabiskan untuk mengurai, mengompilasi, dan mengeksekusi JS. Coba kirim payload JS yang lebih kecil untuk membantu mengurangi waktu. [Pelajari lebih lanjut](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimalkan pekerjaan thread utama"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Meminimalkan pekerjaan thread utama"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Untuk menjangkau jumlah pengguna terbanyak, situs harus berjalan di seluruh browser utama. [Pelajari lebih lanjut](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Situs dapat berjalan lintas-browser"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Pastikan halaman individu dapat dijadikan deep link melalui URL, dan URL tersebut unik agar dapat dibagikan di media sosial. [Pelajari lebih lanjut](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Setiap halaman memiliki URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Transisi harus terasa cepat ketika Anda mengetuk-ngetuk, bahkan saat jaringan lambat. Pengalaman ini berperan penting pada persepsi pengguna terhadap performa. [Pelajari lebih lanjut](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Transisi halaman sepertinya tidak diblokir di jaringan"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Ikon maskable memastikan bahwa gambar mengisi bentuk secara penuh tanpa efek tampilan lebar saat aplikasi diinstal pada perangkat. [Pelajari lebih lanjut](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifes tidak memiliki ikon maskable"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifes memiliki ikon maskable"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Pergeseran Tata Letak Kumulatif (CLS) mengukur gerakan elemen yang terlihat dalam area pandang. [Pelajari lebih lanjut](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"First Contentful Paint menandai waktu saat teks atau gambar pertama di-paint. [Pelajari lebih lanjut](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"First Meaningful Paint mengukur waktu saat konten utama halaman terlihat. [Pelajari lebih lanjut](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Waktu untuk interaktif adalah lamanya waktu yang diperlukan halaman untuk menjadi interaktif sepenuhnya. [Pelajari lebih lanjut](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Largest Contentful Paint menandai waktu saat teks atau gambar terbesar di-paint. [Pelajari lebih lanjut](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Potensi maksimal Penundaan Input Pertama yang dapat dialami pengguna Anda adalah durasi tugas terpanjang. [Pelajari lebih lanjut](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Indeks Kecepatan menunjukkan seberapa cepat konten halaman terlihat terisi lengkap. [Pelajari lebih lanjut](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Jumlah semua jangka waktu antara FCP dan Waktu untuk Interaktif, ketika durasi tugas melebihi 50 md, dinyatakan dalam milidetik. [Pelajari lebih lanjut](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Waktu round trip (RTT) jaringan berdampak besar pada performa. RTT ke asal yang tinggi merupakan indikasi bahwa server yang berjarak lebih dekat ke pengguna dapat meningkatkan performa. [Pelajari lebih lanjut](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Waktu Round Trip Jaringan"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Latensi server dapat memengaruhi performa web. Latensi server untuk suatu asal yang tinggi merupakan indikasi bahwa server kelebihan muatan atau memiliki performa backend yang buruk. [Pelajari lebih lanjut](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latensi Backend Server"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Peristiwa `unload` tidak diaktifkan dengan andal, dan memprosesnya dapat mencegah pengoptimalan browser seperti Back-Forward Cache. Sebaiknya gunakan peristiwa `pagehide` atau `visibilitychange`. [Pelajari lebih lanjut](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Mendaftarkan pemroses `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Menghindari pemroses peristiwa `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animasi yang tidak digabungkan dapat tersendat dan menambah CLS. [Pelajari lebih lanjut](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# elemen animasi ditemukan}other{# elemen animasi ditemukan}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{
message:"Properti terkait filter dapat memindahkan piksel"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Target memiliki animasi lain yang tidak kompatibel"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Efek memiliki mode gabungan selain "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Menghindari animasi yang tidak digabungkan"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Properti terkait transformasi bergantung pada ukuran kotak"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Properti CSS Tidak Didukung: {properties}}other{Properti CSS Tidak Didukung: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efek memiliki parameter waktu yang tidak didukung"},
"lighthouse-core/audits/performance-budget.js | description":{message:"Pertahankan jumlah dan ukuran permintaan jaringan di bawah target yang ditetapkan oleh anggaran performa yang disediakan. [Pelajari lebih lanjut](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 permintaan}other{# permintaan}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Anggaran performa"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Pramuat font `optional` agar pengunjung kali pertama dapat menggunakannya. [Pelajari lebih lanjut](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Font dengan `font-display: optional` tidak dipramuat"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Font dengan `font-display: optional` telah dipramuat"},
"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Pramuat gambar yang digunakan oleh elemen LCP untuk mengoptimalkan waktu LCP Anda. [Pelajari lebih lanjut](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Pramuat gambar Largest Contentful Paint (LCP)"},"lighthouse-core/audits/redirects-http.js | description":{message:"Jika Anda sudah menyiapkan HTTPS, pastikan mengalihkan semua traffic HTTP ke HTTPS agar dapat menyediakan fitur web yang aman bagi semua pengguna. [Pelajari lebih lanjut](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Tidak mengalihkan traffic HTTP ke HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Mengalihkan traffic HTTP ke HTTPS"},"lighthouse-core/audits/redirects.js | description":{
message:"Pengalihan mencakup penundaan tambahan sebelum halaman dapat dimuat. [Pelajari lebih lanjut](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Hindari pengalihan lebih dari satu halaman"},"lighthouse-core/audits/resource-summary.js | description":{message:"Untuk mengatur anggaran jumlah dan ukuran resource halaman, tambahkan file budget.json. [Pelajari lebih lanjut](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 permintaan • {byteCount, number, bytes} KiB}other{# permintaan • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Pertahankan jumlah permintaan tetap rendah dan ukuran transfer tetap kecil"},"lighthouse-core/audits/seo/canonical.js | description":{
message:"Link kanonis menyarankan URL yang akan ditampilkan dalam hasil penelusuran. [Pelajari lebih lanjut](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Ada beberapa URL yang bertentangan ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Mengarahkan ke domain yang berbeda ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL tidak valid ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Mengarahkan ke lokasi `hreflang` lain ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relatif ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Mengarah ke URL root domain (halaman beranda), bukan ke halaman yang setara untuk konten itu"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokumen tidak memiliki `rel=canonical` yang valid"},
"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumen memiliki `rel=canonical` yang valid"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link yang Tidak Dapat Di-Crawl"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Mesin telusur dapat menggunakan atribut `href` pada link untuk meng-crawl situs. Pastikan atribut `href` elemen anchor tertaut ke tujuan yang sesuai, sehingga lebih banyak halaman situs yang dapat ditemukan. [Pelajari Lebih Lanjut](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Link tidak dapat di-crawl"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Link dapat di-crawl"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Teks tambahan yang tidak terbaca"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Ukuran Font"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% Teks Halaman"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Pemilih"},"lighthouse-core/audits/seo/font-size.js | description":{message:'Ukuran font di bawah 12 piksel terlalu kecil untuk dapat dibaca dan memaksa pengunjung seluler “mencubit untuk memperbesar" agar dapat membacanya. Usahakan untuk menampilkan >60% teks halaman dalam ukuran ≥12 piksel. [Pelajari lebih lanjut](https://web.dev/font-size/).'},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"Teks yang dapat dibaca {decimalProportion, number, extendedPercent}"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Teks tidak terbaca karena tidak ada tag meta viewport yang dioptimalkan untuk layar seluler."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumen tidak menggunakan ukuran font yang terbaca"},"lighthouse-core/audits/seo/font-size.js | legibleText":{
message:"Teks yang dapat dibaca"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokumen menggunakan ukuran font yang terbaca"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Link hreflang memberi tahu mesin telusur versi halaman yang harus dicantumkan dalam hasil penelusuran untuk wilayah atau bahasa tertentu. [Pelajari lebih lanjut](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumen tidak memiliki `hreflang` yang valid"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Nilai href relatif"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumen memiliki `hreflang` yang valid"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Kode bahasa tidak terduga"},"lighthouse-core/audits/seo/http-status-code.js | description":{
message:"Halaman dengan kode status HTTP yang tidak berhasil mungkin tidak akan diindeks dengan tepat. [Pelajari lebih lanjut](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Halaman memiliki kode status HTTP yang tidak berhasil"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Halaman memiliki kode status HTTP yang berhasil"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Mesin telusur tidak dapat menyertakan halaman Anda dalam hasil penelusuran jika tidak memiliki izin untuk meng-crawl halaman tersebut. [Pelajari lebih lanjut](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Halaman diblokir dari pengindeksan"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Halaman tidak diblokir dari pengindeksan"},"lighthouse-core/audits/seo/link-text.js | description":{
message:"Teks link deskriptif membantu mesin telusur memahami konten Anda. [Pelajari lebih lanjut](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link ditemukan}other{# link ditemukan}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Link tidak memiliki teks deskriptif"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Link memiliki teks deskriptif"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Jalankan [Alat Pengujian Data Terstruktur](https://search.google.com/structured-data/testing-tool/) dan [Linter Data Terstruktur](http://linter.structured-data.org/) untuk memvalidasi data terstruktur. [Pelajari lebih lanjut](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Data terstruktur valid"},"lighthouse-core/audits/seo/meta-description.js | description":{
message:"Deskripsi meta mungkin disertakan dalam hasil penelusuran untuk merangkum isi halaman dengan singkat. [Pelajari lebih lanjut](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Teks deskripsi kosong."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumen tidak memiliki deskripsi meta"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokumen memiliki deskripsi meta"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Mesin telusur tidak dapat mengindeks konten plugin, dan banyak perangkat yang membatasi plugin atau tidak mendukungnya. [Pelajari lebih lanjut](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumen menggunakan plugin"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumen menghindari plugin"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Jika file robots.txt Anda salah format, crawler mungkin tidak dapat memahami cara crawling atau pengindeksan situs yang Anda inginkan. [Pelajari lebih lanjut](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Permintaan untuk robots.txt menampilkan status HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 error ditemukan}other{# error ditemukan}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse tidak dapat mendownload file robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt tidak valid"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt valid"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Elemen interaktif seperti tombol dan link harus berukuran cukup besar (48x48 piksel), dan memiliki cukup ruang di sekelilingnya, agar cukup mudah diketuk tanpa tumpang-tindih dengan elemen lain. [Pelajari lebih lanjut](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} target ketuk memiliki ukuran yang tepat"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Target ketuk terlalu kecil karena tidak ada tag meta viewport yang dioptimalkan untuk layar seluler"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Target ketuk tidak memiliki ukuran yang tepat"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Target Tumpang-Tindih"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Target Ketuk"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"Target ketuk memiliki ukuran yang tepat"},"lighthouse-core/audits/server-response-time.js | description":{message:"Pertahankan waktu respons server untuk dokumen utama tetap singkat karena semua permintaan lain bergantung padanya. [Pelajari lebih lanjut](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Dokumen root memerlukan waktu {timeInMs, number, milliseconds} md"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Kurangi waktu respons server awal"},"lighthouse-core/audits/server-response-time.js | title":{message:"Respons server awal memakan waktu singkat"},"lighthouse-core/audits/service-worker.js | description":{message:"Pekerja layanan adalah teknologi yang memungkinkan aplikasi Anda menggunakan banyak fitur Progressive Web App, seperti fitur offline, tambahkan ke layar utama, dan notifikasi push. [Pelajari lebih lanjut](https://web.dev/service-worker/)."},
"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Halaman ini dikontrol oleh pekerja layanan, tetapi `start_url` tidak ditemukan karena manifes gagal diurai sebagai JSON yang valid"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Halaman ini dikontrol oleh pekerja layanan, tetapi `start_url` ({startUrl}) tidak termasuk dalam cakupan pekerja layanan ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Halaman ini dikontrol oleh pekerja layanan, tetapi `start_url` tidak ditemukan karena tidak ada manifes yang diambil."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Asal memiliki satu pekerja layanan atau lebih, tetapi halaman ({pageUrl}) tidak termasuk dalam cakupan."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Tidak mendaftarkan pekerja layanan yang mengontrol halaman dan `start_url`"},
"lighthouse-core/audits/service-worker.js | title":{message:"Mendaftarkan pekerja layanan yang mengontrol halaman dan `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Layar pembuka yang diberi tema akan memberikan pengalaman berkualitas tinggi saat pengguna meluncurkan aplikasi dari layar utama. [Pelajari lebih lanjut](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Tidak dikonfigurasi untuk layar pembuka khusus"},"lighthouse-core/audits/splash-screen.js | title":{message:"Dikonfigurasi untuk layar pembuka khusus"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Kolom URL browser dapat diberi tema agar cocok dengan situs Anda. [Pelajari lebih lanjut](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Tidak menyetel warna tema untuk kolom URL."},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"Menyetel warna tema untuk kolom URL."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Keberhasilan Dukungan Pelanggan)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Pemasaran)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Media Sosial)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produk"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Beberapa sematan pihak ketiga dapat lambat dimuat. Sebaiknya ganti sematan dengan fasad sampai diperlukan. [Pelajari lebih lanjut](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# alternatif fasad tersedia}other{# alternatif fasad tersedia}}"},
"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Beberapa resource pihak ketiga dapat lambat dimuat dengan fasad"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Memuat lambat resource pihak ketiga dengan fasad"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Pihak Ketiga"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Kode pihak ketiga dapat memberikan dampak signifikan terhadap performa muatan. Batasi jumlah penyedia pihak ketiga yang berlebihan dan coba muat kode pihak ketiga terutama setelah halaman selesai memuat. [Pelajari lebih lanjut](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Kode pihak ketiga memblokir thread utama untuk {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{
message:"Kurangi dampak kode pihak ketiga"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Meminimalkan penggunaan pihak ketiga"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Pengukuran"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metrik"},"lighthouse-core/audits/timing-budget.js | description":{message:"Menetapkan anggaran waktu untuk membantu mengawasi performa situs Anda. Situs dengan performa yang baik akan memuat dengan cepat dan merespons peristiwa masukan pengguna dengan cepat. [Pelajari lebih lanjut](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Anggaran waktu"},"lighthouse-core/audits/unsized-images.js | description":{message:"Setel lebar dan tinggi yang jelas pada elemen gambar untuk mengurangi pergeseran tata letak dan memperbaiki CLS. [Pelajari lebih lanjut](https://web.dev/optimize-cls/#images-without-dimensions)"},
"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Elemen gambar tidak memiliki `width` dan `height` yang jelas"},"lighthouse-core/audits/unsized-images.js | title":{message:"Elemen gambar memiliki `width` dan `height` yang jelas"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Jenis"},"lighthouse-core/audits/user-timings.js | description":{message:"Sebaiknya lengkapi aplikasi Anda dengan User Timing API untuk mengukur performa aplikasi Anda yang sebenarnya selama pengalaman pengguna utama. [Pelajari lebih lanjut](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 waktu pengguna}other{# waktu pengguna}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Tanda dan ukuran Waktu Pengguna"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{
message:'Sebuah `<link rel=preconnect>` ditemukan untuk "{securityOrigin}", tetapi tidak digunakan oleh browser. Pastikan Anda menggunakan atribut `crossorigin` dengan benar.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Sebaiknya tambahkan petunjuk resource `preconnect` atau `dns-prefetch` guna membuat sambungan lebih awal ke asal pihak ketiga yang penting. [Pelajari lebih lanjut](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Sambungkan terlebih dahulu ke nama domain yang diperlukan"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Ditemukan lebih dari 2 koneksi `<link rel=preconnect>`. Koneksi tersebut sebaiknya tidak sering digunakan dan hanya untuk asal yang paling penting."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:'Sebuah `<link rel=preconnect>` ditemukan untuk "{securityOrigin}", tetapi tidak digunakan oleh browser. Hanya gunakan `preconnect` untuk asal yang penting dan pasti akan diminta halaman.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'Sebuah `<link>` pramuat ditemukan untuk "{preloadURL}", tetapi tidak digunakan oleh browser. Pastikan Anda menggunakan atribut `crossorigin` dengan benar.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Sebaiknya gunakan `<link rel=preload>` untuk memprioritaskan pengambilan resource yang saat ini diminta selama pemuatan halaman. [Pelajari lebih lanjut](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Muat permintaan utama terlebih dahulu"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL Peta"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Peta sumber menerjemahkan kode yang diminifikasi ke kode sumber asli. Ini akan membantu developer melakukan debug dalam produksi. Selain itu, Lighthouse dapat memberikan data lebih lanjut. Sebaiknya deploy peta sumber untuk mendapatkan manfaat yang optimal. [Pelajari lebih lanjut](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Tidak ada peta sumber untuk JavaScript pihak pertama berukuran besar"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"File JavaScript berukuran besar tidak memiliki peta sumber"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Peringatan: kurang 1 item dalam `.sourcesContent`}other{Peringatan: kurang # item dalam `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Halaman memiliki peta sumber yang valid"},
"lighthouse-core/audits/viewport.js | description":{message:'Tambahkan tag `<meta name="viewport">` guna mengoptimalkan aplikasi Anda untuk layar perangkat seluler. [Pelajari lebih lanjut](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Tag `<meta name="viewport">` tidak ditemukan'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Tidak memiliki tag `<meta name="viewport">` dengan `width` atau `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Memiliki tag `<meta name="viewport">` dengan `width` atau `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Ini adalah peluang untuk meningkatkan penggunaan ARIA pada aplikasi Anda, yang dapat meningkatkan pengalaman bagi pengguna teknologi asistif, seperti pembaca layar."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},
"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Ini adalah peluang untuk memberikan konten alternatif untuk audio dan video. Hal ini dapat meningkatkan pengalaman bagi pengguna yang menyandang gangguan penglihatan atau pendengaran."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio dan video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Item berikut memperjelas praktik terbaik yang umum untuk aksesibilitas."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Praktik terbaik"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Pemeriksaan ini menandai peluang untuk [menyempurnakan aksesibilitas aplikasi web Anda](https://developers.google.com/web/fundamentals/accessibility). Hanya sejumlah kecil masalah aksesibilitas yang dapat terdeteksi secara otomatis, sehingga pengujian manual juga dianjurkan."},
"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Item berikut ini menangani area yang tidak dapat dicakup oleh fitur pengujian otomatis. Pelajari lebih lanjut dalam panduan kami tentang [menjalankan tinjauan aksesibilitas](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Aksesibilitas"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Ini adalah peluang untuk meningkatkan keterbacaan konten Anda."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontras"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Ini adalah peluang untuk menyempurnakan interpretasi konten Anda oleh pengguna dalam lokal yang berbeda."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internasionalisasi dan pelokalan"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Ini adalah peluang untuk meningkatkan semantik kontrol dalam aplikasi Anda. Hal ini dapat menyempurnakan pengalaman bagi pengguna teknologi asistif, seperti pembaca layar."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nama dan label"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Ini adalah peluang untuk menyempurnakan navigasi keyboard pada aplikasi Anda."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigasi"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Ini adalah peluang untuk menyempurnakan pengalaman membaca data dalam format tabel atau daftar menggunakan teknologi pendukung, seperti pembaca layar."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabel dan daftar"},
"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Kompatibilitas Browser"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Praktik Terbaik"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Umum"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Kepercayaan dan Keamanan"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Pengalaman Pengguna"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Anggaran performa menetapkan standar performa situs Anda."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Anggaran"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Informasi selengkapnya tentang performa aplikasi Anda. Angka ini tidak [secara langsung memengaruhi](https://web.dev/performance-scoring/) skor Performa."},
"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostik"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Aspek terpenting dari performa adalah seberapa cepat piksel dirender di layar. Metrik utama: First Contentful Paint, First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Penyempurnaan First Paint"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Saran ini dapat membantu pemuatan halaman menjadi lebih cepat. Saran tersebut tidak [secara langsung memengaruhi](https://web.dev/performance-scoring/) skor Performa."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Peluang"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrik"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"Menyempurnakan pengalaman pemuatan halaman keseluruhan, sehingga halaman responsif dan siap untuk digunakan secepatnya. Metrik utama: Waktu untuk Interaktif, Indeks Kecepatan"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Penyempurnaan Keseluruhan"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performa"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Pemeriksaan ini memvalidasi aspek-aspek Progressive Web App. [Pelajari lebih lanjut](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Pemeriksaan ini diperlukan oleh [Checklist PWA](https://developers.google.com/web/progressive-web-apps/checklist) untuk dasar pengukuran tetapi tidak otomatis diperiksa oleh Lighthouse. Pemeriksaan tersebut tidak memengaruhi skor, tetapi penting karena hal ini berarti Anda memverifikasi situs-situs secara manual."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Dapat Diinstal"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA yang Dioptimalkan"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Pemeriksaan ini memastikan bahwa halaman Anda dioptimalkan untuk pemeringkatan hasil mesin telusur. Ada faktor lain yang tidak diperiksa Lighthouse yang dapat memengaruhi pemeringkatan penelusuran Anda. [Pelajari lebih lanjut](https://support.google.com/webmasters/answer/35769)."},
"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Jalankan validator tambahan ini di situs Anda untuk memeriksa praktik terbaik SEO lainnya."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Format HTML Anda dengan cara yang memungkinkan crawler untuk lebih memahami konten aplikasi Anda."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Praktik Terbaik Konten"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Agar muncul di hasil penelusuran, crawler perlu mengakses aplikasi Anda."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Crawling dan Pengindeksan"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Pastikan halaman Anda mobile-friendly agar pengguna tidak perlu mencubit atau memperbesar untuk membaca halaman konten. [Pelajari lebih lanjut](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobile Friendly"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Perangkat yang diuji sepertinya memiliki CPU yang lebih lambat daripada perkiraan Lighthouse. Hal ini dapat berdampak buruk pada skor performa Anda. Pelajari lebih lanjut [cara mengalibrasi pengali pelambatan CPU yang sesuai](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Halaman tersebut mungkin tidak dimuat sesuai harapan karena URL uji Anda ({requested}) dialihkan ke {final}. Coba uji URL kedua secara langsung."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{
message:"Pemuatan halaman terlalu lambat untuk bisa selesai tepat waktu. Hasil mungkin tidak lengkap."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{Mungkin terdapat data tersimpan yang memengaruhi performa pemuatan di lokasi ini: {locations}. Audit halaman ini di jendela Samaran untuk mencegah resource tersebut memengaruhi performa Anda.}other{Mungkin terdapat data tersimpan yang memengaruhi performa pemuatan di lokasi ini {locations}. Audit halaman ini di jendela Samaran untuk mencegah resource tersebut memengaruhi performa Anda.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Sebaiknya tambahkan skema URL https: dan http: (diabaikan oleh browser yang mendukung 'strict-dynamic') agar kompatibel dengan browser versi lama."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener tidak digunakan lagi sejak CSP3. Sebagai gantinya, gunakan header Cross-Origin-Opener-Policy."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer tidak digunakan lagi sejak CSP2. Sebagai gantinya, gunakan header Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss tidak digunakan lagi sejak CSP2. Sebagai gantinya, gunakan header X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Base-uri yang tidak ada memungkinkan injeksi tag <base> untuk menyetel URL dasar bagi semua URL relatif (misalnya, skrip) ke domain yang dikontrol penyerang. Sebaiknya setel base-uri ke 'none' atau 'self'."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elemen yang dikontrol oleh object-src dianggap sebagai fitur lama. Sebaiknya setel object-src ke 'none' untuk mencegah injeksi plugin yang mengeksekusi skrip yang tidak aman."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"Perintah script-src tidak ada. Ini dapat mengizinkan eksekusi skrip yang tidak aman."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Apakah Anda lupa tanda titik koma? Tampaknya {keyword} adalah perintah, bukan kata kunci."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonce harus menggunakan charset base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonce harus terdiri dari minimal 8 karakter."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Tujuan pelaporan hanya dikonfigurasi melalui perintah report-to. Perintah ini hanya didukung di browser berbasis Chromium. Jadi, sebaiknya gunakan juga perintah report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Tidak ada CSP yang mengonfigurasi tujuan pelaporan. Mempertahankan CSP dari waktu ke waktu dan memantau setiap kerusakan menjadi sulit dilakukan."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{
message:"Daftar host yang diizinkan sering kali dapat diabaikan. Sebaiknya gunakan 'strict-dynamic' bersama dengan nonce atau hash CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Perintah CSP tidak dikenal."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Tampaknya {keyword} adalah kata kunci yang tidak valid."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline' mengizinkan eksekusi skrip dalam halaman dan pengendali peristiwa yang tidak aman. Sebaiknya gunakan nonce atau hash CSP untuk mengizinkan skrip satu per satu."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Sebaiknya tambahkan 'unsafe-inline' (diabaikan oleh browser yang mendukung nonce/hash) agar kompatibel dengan browser versi lama."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Waktu Pemblokiran Thread Utama"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL Cache"},
"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Deskripsi"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Durasi"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemen"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elemen yang Gagal"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Lokasi"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nama"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Melebihi Anggaran"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Permintaan"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Ukuran Resource"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Jenis Resource"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Ukuran"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Sumber"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Waktu Mulai"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Waktu yang Dihabiskan"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Ukuran Transfer"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potensi Penghematan"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potensi Penghematan"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potensi penghematan {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 elemen ditemukan}other{# elemen ditemukan}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potensi penghematan {wastedMs, number, milliseconds} md"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokumen"},
"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Gambar"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Tinggi"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Rendah"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Sedang"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Potensi Maksimal Penundaan Input Pertama"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{
message:"{timeInMs, number, milliseconds} md"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Lainnya"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Resource lainnya"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skrip"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} dtk"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stylesheet"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Pihak ketiga"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Terjadi kesalahan saat merekam jejak selama pemuatan halaman Anda. Harap jalankan Lighthouse kembali. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Waktu tunggu untuk sambungan Protokol Debugger awal berakhir."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome tidak mengumpulkan screenshot apa pun selama pemuatan halaman. Pastikan terdapat konten yang terlihat pada halaman, kemudian coba jalankan kembali Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Server DNS tidak dapat menetapkan domain yang disediakan."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Terjadi error pada pengumpul {artifactName} wajib: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Terjadi error Chrome internal. Harap mulai ulang Chrome dan coba jalankan kembali Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Pengumpul {artifactName} yang diperlukan tidak berjalan."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"Halaman tidak menampilkan konten apa pun. Pastikan jendela browser tetap di latar depan selama pemuatan, lalu coba lagi. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Halaman yang diberikan bukan HTML (ditayangkan sebagai jenis MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Versi Chrome ini terlalu lama untuk mendukung '{featureName}'. Gunakan versi yang lebih baru untuk melihat hasil lengkap."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse tidak dapat memuat halaman yang Anda minta dengan lancar. Pastikan Anda menguji URL yang benar dan server merespons semua permintaan dengan baik."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse tidak dapat memuat URL yang Anda minta dengan lancar karena halaman berhenti merespons."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{
message:"URL yang Anda berikan tidak memiliki sertifikat keamanan yang valid. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome mencegah pemuatan halaman dengan interstisial. Pastikan Anda menguji URL yang benar dan server merespons semua permintaan dengan baik."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse tidak dapat memuat halaman yang Anda minta dengan lancar. Pastikan Anda menguji URL yang benar dan server merespons semua permintaan dengan baik. (Detail: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse tidak dapat memuat halaman yang Anda minta dengan lancar. Pastikan Anda menguji URL yang benar dan server merespons semua permintaan dengan baik. (Kode status: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"Waktu pemuatan halaman Anda terlalu lama. Harap ikuti peluang dalam laporan untuk mengurangi waktu muat halaman Anda, kemudian coba jalankan kembali Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Waktu tunggu respons protokol DevTools telah melampaui waktu yang dialokasikan. (Metode: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Pengambilan konten resource telah melampaui waktu yang dialokasikan"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"URL yang Anda berikan tampaknya tidak valid."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Semua"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Semua Skrip"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Cakupan"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Modul Duplikat"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Byte Resource"
},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nama"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Tampilkan/Sembunyikan Tabel"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Byte yang Tidak Digunakan"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Untuk konten animasi, gunakan [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) untuk meminimalkan penggunaan CPU saat konten tidak berada di layar."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Sebaiknya tampilkan semua komponen [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) dalam format WebP saat menentukan fallback yang tepat untuk browser lainnya. [Pelajari lebih lanjut](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Pastikan Anda menggunakan [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) untuk gambar agar otomatis dimuat dengan lambat. [Pelajari lebih lanjut](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Gunakan alat semacam [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) untuk [merender sistem server tata letak AMP](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Pelajari [dokumentasi AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) untuk memastikan semua gaya didukung."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Komponen [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) mendukung atribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) untuk menentukan aset gambar yang akan digunakan berdasarkan ukuran layar. [Pelajari lebih lanjut](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Pertimbangkan untuk menggunakan scroll virtual dengan Component Dev Kit (CDK) jika daftar yang sangat besar sedang dirender. [Pelajari lebih lanjut](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Terapkan [pemisahan kode tingkat rute](https://web.dev/route-level-code-splitting-in-angular/) untuk meminimalkan ukuran paket JavaScript Anda. Selain itu, sebaiknya simpan aset ke cache terlebih dahulu menggunakan [pekerja layanan Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Jika Anda menggunakan Angular CLI, pastikan bahwa build dibuat dalam mode produksi. [Pelajari lebih lanjut](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Jika Anda menggunakan Angular CLI, sertakan peta sumber dalam build produksi untuk memeriksa paket Anda. [Pelajari lebih lanjut](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Pramuat rute terlebih dahulu untuk mempercepat navigasi. [Pelajari lebih lanjut](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Pertimbangkan untuk menggunakan utilitas `BreakpointObserver` dalam Component Dev Kit (CDK) guna mengelola titik henti image sementara. [Pelajari lebih lanjut](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Sebaiknya upload GIF ke layanan yang akan menyediakannya untuk disematkan sebagai video HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Sebutkan `@font-display` saat menentukan font khusus di tema Anda."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Sebaiknya instal dan konfigurasi [modul untuk memanfaatkan format gambar WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) di situs Anda. Modul tersebut otomatis menghasilkan versi WebP dari gambar yang Anda upload untuk mengoptimalkan waktu pemuatan."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instal [modul Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) yang dapat memuat gambar dengan lambat. Modul tersebut mampu menunda pemuatan gambar di bagian halaman yang belum ditampilkan untuk meningkatkan performa."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Sebaiknya gunakan modul untuk menyejajarkan CSS dan JavaScript penting, atau memuat aset potensial secara asinkron melalui JavaScript, seperti modul [Agregasi CSS/JS Lanjutan](https://www.drupal.org/project/advagg). Harap berhati-hati karena pengoptimalan yang disediakan oleh modul ini dapat merusak situs, sehingga Anda cenderung perlu mengubah kode."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Semua spesifikasi tema, modul, dan server berkontribusi pada waktu respons server. Sebaiknya cari tema yang lebih optimal, pilih modul pengoptimalan dengan hati-hati, dan/atau upgrade server Anda. Server hosting Anda harus memanfaatkan cache opcode dan cache memori PHP untuk mengurangi waktu kueri database, seperti Redis atau Memcached, serta logika aplikasi yang dioptimalkan guna menyiapkan halaman dengan lebih cepat."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Sebaiknya gunakan [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) untuk mengurangi ukuran gambar yang dimuat di halaman Anda. Jika Anda menggunakan Views untuk menampilkan beberapa item konten di halaman, sebaiknya implementasikan penomoran halaman guna membatasi jumlah item konten yang ditampilkan di halaman tersebut."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Pastikan Anda mengaktifkan "Aggregate CSS files" di halaman "Administration » Configuration » Development". Anda juga dapat mengonfigurasi opsi agregasi lanjutan lainnya melalui [modul tambahan](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) untuk mempercepat situs dengan menyambungkan, meminifikasi, dan mengompresi gaya CSS Anda.'},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:'Pastikan Anda mengaktifkan "Aggregate JavaScript files" di halaman "Administration » Configuration » Development". Anda juga dapat mengonfigurasi opsi agregasi lanjutan lainnya melalui [modul tambahan](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) untuk mempercepat situs dengan menyambungkan, meminifikasi, dan mengompresi aset JavaScript Anda.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Sebaiknya hapus aturan CSS yang tidak digunakan dan hanya lampirkan library Drupal yang diperlukan ke halaman atau komponen yang relevan di halaman. Buka [Link dokumentasi Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) untuk mengetahui detailnya. Untuk mengidentifikasi library yang dilampirkan yang menambahkan CSS tidak relevan, coba jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Anda dapat mengidentifikasi tema/modul yang bertanggung jawab dari URL stylesheet saat agregasi CSS dinonaktifkan di situs Drupal Anda. Cari tema/modul dengan banyak stylesheet dalam daftar yang memiliki banyak warna merah dalam cakupan kode. Tema/modul sebaiknya hanya menambahkan stylesheet ke antrean jika memang benar digunakan di halaman."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Sebaiknya hapus aset JavaScript yang tidak digunakan dan hanya lampirkan library Drupal yang diperlukan ke halaman atau komponen yang relevan di halaman. Buka [Link dokumentasi Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) untuk mengetahui detailnya. Untuk mengidentifikasi library yang dilampirkan yang menambahkan JavaScript tidak relevan, coba jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Anda dapat mengidentifikasi tema/modul yang bertanggung jawab dari URL skrip saat agregasi JavaScript dinonaktifkan di situs Drupal Anda. Cari tema/modul dengan banyak skrip dalam daftar yang memiliki banyak warna merah dalam cakupan kode. Tema/modul sebaiknya hanya menambahkan skrip ke antrean jika memang benar digunakan di halaman."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Setel "Browser and proxy cache maximum age" di halaman "Administration » Configuration » Development". Baca [Cache Drupal dan mengoptimalkan performa](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Sebaiknya gunakan [modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) yang otomatis mengoptimalkan dan mengurangi ukuran gambar yang diupload melalui situs dengan tetap mempertahankan kualitas. Selain itu, pastikan Anda menggunakan [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) native yang disediakan oleh Drupal (tersedia di Drupal 8 dan yang lebih tinggi) untuk semua gambar yang dirender di halaman."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Petunjuk resource preconnect atau dns-prefetch dapat ditambahkan dengan menginstal dan mengonfigurasi [modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) yang memberikan fasilitas untuk petunjuk resource agen pengguna."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Pastikan Anda menggunakan [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) native yang disediakan oleh Drupal (tersedia di Drupal 8 dan yang lebih tinggi). Gunakan Responsive Image Styles saat merender kolom gambar melalui mode tampilan, tampilan, atau gambar yang diupload melalui editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Sebaiknya upload GIF ke layanan yang akan menyediakannya untuk disematkan sebagai video HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Sebaiknya gunakan [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) atau layanan yang otomatis mengonversi gambar yang diupload ke format optimal."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instal [plugin pemuatan lambat di Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) yang menyediakan kemampuan untuk menunda pemuatan gambar di bagian halaman yang belum ditampilkan, atau beralihlah ke template yang menyediakan fungsi tersebut. Mulai dari Joomla 4.0, semua gambar baru akan [otomatis](https://github.com/joomla/joomla-cms/pull/30748) mendapatkan atribut `loading` dari core."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Terdapat sejumlah plugin di Joomla yang dapat membantu Anda [menyejajarkan aset penting](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) atau [menunda resource yang kurang penting](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Harap berhati-hati karena pengoptimalan yang disediakan oleh plugin ini dapat merusak fitur template atau plugin, sehingga Anda akan perlu mengujinya secara menyeluruh."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Semua spesifikasi template, ekstensi, dan server berkontribusi pada waktu respons server. Sebaiknya cari template yang lebih optimal, pilih ekstensi pengoptimalan dengan hati-hati, dan/atau upgrade server Anda."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Sebaiknya tampilkan kutipan dalam kategori artikel (misalnya melalui link baca selengkapnya), kurangi jumlah artikel yang ditampilkan pada halaman yang ada, bagi postingan panjang menjadi beberapa halaman, atau gunakan plugin untuk memuat komentar dengan lambat."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Sejumlah [ekstensi Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) dapat mempercepat situs Anda dengan menyambungkan, meminifikasi, dan mengompresi gaya CSS. Ada juga template yang memberikan fungsi ini."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Sejumlah [ekstensi Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) dapat mempercepat situs Anda dengan menyambungkan, meminifikasi, dan mengompresi skrip. Ada juga template yang memberikan fungsi ini."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Sebaiknya kurangi atau ubah jumlah [ekstensi Joomla](https://extensions.joomla.org/) yang memuat CSS yang tidak digunakan di halaman Anda. Untuk mengidentifikasi ekstensi yang menambahkan CSS tidak relevan, coba jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Anda dapat mengidentifikasi tema/plugin yang bertanggung jawab dari URL stylesheet. Cari plugin yang memiliki banyak stylesheet dalam daftar yang memiliki banyak warna merah dalam cakupan kode. Plugin sebaiknya hanya menambahkan stylesheet ke antrean jika memang benar digunakan di halaman."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Sebaiknya kurangi atau ubah jumlah [ekstensi Joomla](https://extensions.joomla.org/) yang memuat JavaScript yang tidak digunakan di halaman Anda. Untuk mengidentifikasi plugin yang menambahkan JS tidak relevan, coba jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Anda dapat mengidentifikasi ekstensi yang bertanggung jawab dari URL skrip. Cari ekstensi dengan banyak skrip dalam daftar yang memiliki banyak warna merah dalam cakupan kode. Ekstensi sebaiknya hanya menambahkan skrip ke antrean jika memang benar digunakan di halaman."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Baca [Cache Browser di Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Sebaiknya gunakan [plugin pengoptimalan gambar](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) yang mengompresi gambar Anda dengan tetap mempertahankan kualitas."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Sebaiknya gunakan [plugin gambar responsif](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) untuk menggunakan gambar yang responsif pada konten Anda."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Anda dapat mengaktifkan kompresi teks dengan mengaktifkan Gzip Page Compression di Joomla (System > Global configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Jika Anda tidak memaketkan aset JavaScript, pertimbangkan untuk menggunakan [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Nonaktifkan [paket dan minifikasi JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) bawaan Magento, dan pertimbangkan untuk menggunakan [baler](https://github.com/magento/baler/) saja."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Tetapkan `@font-display` saat [menentukan font kustom](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Pertimbangkan untuk menelusuri [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) guna menemukan berbagai ekstensi pihak ketiga untuk memanfaatkan format gambar terbaru."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Pertimbangkan untuk mengubah template produk dan katalog Anda untuk memanfaatkan fitur [pemuatan lambat](https://web.dev/native-lazy-loading) platform web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Gunakan [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) dari Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Aktifkan opsi "Minifikasi File CSS" di setelan Developer toko Anda. [Pelajari lebih lanjut](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Gunakan [Terser](https://www.npmjs.com/package/terser) untuk meminifikasi semua aset JavaScript dari deployment konten statis, dan nonaktifkan fitur minifikasi bawaan."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Nonaktifkan [paket JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) bawaan Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Pertimbangkan untuk menelusuri [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) guna menemukan berbagai ekstensi pihak ketiga untuk mengoptimalkan gambar."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Petunjuk resource preconnect atau dns-prefetch dapat ditambahkan dengan [mengubah tata letak tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Tag `<link rel=preload>` dapat ditambahkan dengan [mengubah tata letak tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Ganti animasi GIF dengan video](https://web.dev/replace-gifs-with-videos/) untuk pemuatan halaman yang lebih cepat dan sebaiknya gunakan format file modern seperti [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) atau [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) untuk meningkatkan efisiensi kompresi lebih dari 30% dibandingkan codec video tercanggih saat ini, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Sebaiknya gunakan [plugin](https://octobercms.com/plugins?search=image) atau layanan yang otomatis mengonversi gambar yang diupload ke format optimal. [Gambar WebP lossless](https://developers.google.com/speed/webp) berukuran 26% lebih kecil daripada PNG dan 25-34% lebih kecil daripada gambar JPEG yang sebanding pada indeks kualitas SSIM yang setara. [AVIF](https://jakearchibald.com/2020/avif-has-landed/) juga bisa dipertimbangkan sebagai format gambar generasi berikutnya."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Sebaiknya instal [plugin pemuatan lambat gambar](https://octobercms.com/plugins?search=lazy) yang menyediakan kemampuan untuk menunda pemuatan gambar di bagian halaman yang belum ditampilkan, atau beralihlah ke tema yang menyediakan fungsi tersebut. Selain itu, sebaiknya gunakan [plugin AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Terdapat banyak plugin yang membantu [menyejajarkan aset penting](https://octobercms.com/plugins?search=css). Plugin ini dapat merusak plugin lain, sehingga Anda perlu mengujinya secara menyeluruh."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Semua spesifikasi tema, plugin, dan server berkontribusi pada waktu respons server. Sebaiknya cari tema yang lebih optimal, pilih plugin pengoptimalan dengan hati-hati, dan/atau upgrade server. CMS Oktober juga memungkinkan developer menggunakan [`Queues`](https://octobercms.com/docs/services/queues) untuk menunda pemrosesan tugas yang memakan waktu lama, seperti pengiriman email. Ini mempercepat permintaan web secara drastis."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Sebaiknya tampilkan kutipan dalam daftar postingan (misalnya menggunakan tombol `show more`), kurangi jumlah postingan yang ditampilkan pada halaman web yang ada, bagi postingan panjang menjadi beberapa halaman web, atau gunakan plugin untuk memuat komentar dengan lambat."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Terdapat banyak [plugin](https://octobercms.com/plugins?search=css) yang dapat mempercepat situs dengan menyambungkan, meminifikasi, dan mengompresi gaya. Menggunakan proses build untuk melakukan minifikasi ini di tahap awal dapat mempercepat pengembangan."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Terdapat banyak [plugin](https://octobercms.com/plugins?search=javascript) yang dapat mempercepat situs dengan menyambungkan, meminifikasi, dan mengompresi skrip. Menggunakan proses build untuk melakukan minifikasi ini di tahap awal dapat mempercepat pengembangan."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Sebaiknya tinjau [plugin](https://octobercms.com/plugins) yang memuat CSS yang tidak digunakan di situs. Untuk mengidentifikasi plugin yang menambahkan CSS yang tidak diperlukan, jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Identifikasi tema/plugin yang bertanggung jawab dari URL stylesheet. Cari plugin dengan banyak stylesheet yang memiliki banyak warna merah dalam cakupan kode. Plugin sebaiknya hanya menambahkan stylesheet jika memang benar digunakan di halaman web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Sebaiknya tinjau [plugin](https://octobercms.com/plugins?search=javascript) yang memuat JavaScript yang tidak digunakan di halaman web. Untuk mengidentifikasi plugin yang menambahkan JavaScript yang tidak diperlukan, jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Identifikasi tema/plugin yang bertanggung jawab dari URL skrip. Cari plugin dengan banyak skrip yang memiliki banyak warna merah dalam cakupan kode. Plugin sebaiknya hanya menambahkan skrip jika memang benar digunakan di halaman web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Baca [cara mencegah permintaan jaringan yang tidak diperlukan dengan Cache HTTP](https://web.dev/http-cache/#caching-checklist). Terdapat banyak [plugin](https://octobercms.com/plugins?search=Caching) yang dapat digunakan untuk mempercepat proses penyimpanan ke cache."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Sebaiknya gunakan [plugin pengoptimalan gambar](https://octobercms.com/plugins?search=image) untuk mengompresi gambar dengan tetap mempertahankan kualitas."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Upload gambar langsung di pengelola media untuk memastikan ukuran gambar yang diperlukan tersedia. Sebaiknya gunakan [filter ubah ukuran](https://octobercms.com/docs/markup/filter-resize) atau [plugin pengubah ukuran gambar](https://octobercms.com/plugins?search=image) untuk memastikan penggunaan ukuran gambar yang optimal."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Aktifkan kompresi teks di konfigurasi server web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Sebaiknya gunakan library “windowing” seperti `react-window` untuk meminimalkan jumlah node DOM yang dibuat jika Anda merender banyak elemen berulang pada halaman. [Pelajari lebih lanjut](https://web.dev/virtualize-long-lists-react-window/). Selain itu, minimalkan render ulang yang tidak perlu menggunakan [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), atau [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) dan [lewati efek](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) hanya sampai dependensi tertentu berubah jika Anda menggunakan hook `Effect` untuk meningkatkan performa runtime."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Jika Anda menggunakan React Router, minimalkan penggunaan komponen `<Redirect>` untuk [navigasi rute](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Jika Anda merender komponen React pada sistem server, pertimbangkan untuk menggunakan `renderToNodeStream()` atau `renderToStaticNodeStream()` agar klien dapat menerima dan mengisi beberapa bagian markup yang berbeda, bukan sekaligus. [Pelajari lebih lanjut](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Jika sistem build otomatis meminifikasi file CSS, pastikan Anda men-deploy build produksi aplikasi Anda. Anda dapat memeriksanya dengan ekstensi React Developer Tools. [Pelajari lebih lanjut](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Jika sistem build otomatis meminifikasi file JS, pastikan Anda men-deploy build produksi aplikasi Anda. Anda dapat memeriksanya dengan ekstensi React Developer Tools. [Pelajari lebih lanjut](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Jika Anda tidak melakukan rendering sistem server, [pisahkan paket JavaScript Anda](https://web.dev/code-splitting-suspense/) dengan `React.lazy()`. Atau, pisahkan kode menggunakan library pihak ketiga seperti [komponen yang dapat dimuat](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Gunakan React DevTools Profiler, yang memanfaatkan Profiler API untuk mengukur performa rendering komponen Anda. [Pelajari lebih lanjut.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Sebaiknya upload GIF ke layanan yang akan menyediakannya untuk disematkan sebagai video HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Sebaiknya gunakan [plugin](https://wordpress.org/plugins/search/convert+webp/) atau layanan yang otomatis mengonversi gambar yang diupload ke format optimal."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instal [plugin pemuatan lambat di WordPress ](https://wordpress.org/plugins/search/lazy+load/) yang menyediakan kemampuan untuk menunda pemuatan gambar di bagian halaman yang belum ditampilkan, atau beralihlah ke tema yang menyediakan fungsi tersebut. Sebaiknya juga gunakan [plugin AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Terdapat sejumlah plugin di WordPress yang dapat membantu Anda [menyejajarkan aset penting](https://wordpress.org/plugins/search/critical+css/) atau [menunda resource yang tidak penting](https://wordpress.org/plugins/search/defer+css+javascript/). Harap berhati-hati karena pengoptimalan yang disediakan oleh plugin ini dapat merusak fitur tema atau plugin, sehingga Anda cenderung perlu mengubah kode."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Semua spesifikasi tema, plugin, dan server berkontribusi pada waktu respons server. Sebaiknya cari tema yang lebih optimal, pilih plugin pengoptimalan dengan hati-hati, dan/atau upgrade server Anda."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Sebaiknya tampilkan kutipan dalam daftar postingan (misalnya melalui tag lainnya), kurangi jumlah postingan yang ditampilkan pada halaman yang ada, bagi postingan panjang menjadi beberapa halaman, atau gunakan plugin untuk menunda pemuatan (lazy-load) komentar."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Sejumlah [plugin WordPress](https://wordpress.org/plugins/search/minify+css/) dapat mempercepat situs Anda dengan menggabungkan, meminifikasi, dan mengompresi gaya Anda. Anda juga dapat menggunakan proses pembuatan build untuk melakukan minifikasi di tahap awal jika memungkinkan."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Sejumlah [plugin WordPress](https://wordpress.org/plugins/search/minify+javascript/) dapat mempercepat situs Anda dengan menggabungkan, meminifikasi, dan mengompresi skrip. Anda juga dapat menggunakan proses pembuatan build untuk melakukan minifikasi di awal jika mungkin."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Sebaiknya kurangi atau ubah jumlah [plugin WordPress](https://wordpress.org/plugins/) yang memuat CSS yang tidak digunakan di halaman Anda. Untuk mengidentifikasi plugin yang menambahkan CSS tidak relevan, coba jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Anda dapat mengidentifikasi tema/plugin yang bertanggung jawab dari URL stylesheet. Cari plugin yang memiliki banyak stylesheet dalam daftar yang memiliki banyak warna merah dalam cakupan kode. Plugin sebaiknya hanya menambahkan stylesheet ke antrean jika memang benar digunakan di halaman."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Sebaiknya kurangi atau ubah jumlah [plugin WordPress](https://wordpress.org/plugins/) yang memuat JavaScript yang tidak digunakan di halaman Anda. Untuk mengidentifikasi plugin yang menambahkan JS tidak relevan, coba jalankan [cakupan kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) di Chrome DevTools. Anda dapat mengidentifikasi tema/plugin yang bertanggung jawab dari URL skrip. Cari plugin dengan banyak skrip dalam daftar yang memiliki banyak warna merah dalam cakupan kode. Plugin sebaiknya hanya menambahkan skrip ke dalam antrean jika memang benar digunakan di halaman."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Baca [Cache Browser di WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Sebaiknya gunakan [plugin WordPress untuk pengoptimalan gambar](https://wordpress.org/plugins/search/optimize+images/) yang mengompresi gambar Anda dengan tetap mempertahankan kualitas."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Upload gambar langsung melalui [koleksi media](https://wordpress.org/support/article/media-library-screen/) untuk memastikan ukuran gambar yang diperlukan tersedia, lalu masukkan koleksi media atau gunakan widget gambar untuk memastikan ukuran gambar optimal digunakan (termasuk untuk titik henti sementara responsif). Hindari menggunakan gambar `Full Size`, kecuali dimensinya memungkinkan untuk digunakan. [Pelajari Lebih Lanjut](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Anda dapat mengaktifkan kompresi teks di konfigurasi server web."},
"report/renderer/util.js | calculatorLink":{message:"Lihat kalkulator."},"report/renderer/util.js | crcInitialNavigation":{message:"Navigasi Awal"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latensi jalur kritis maksimal:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Salin JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Tombol Tema Gelap"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Cetak Lengkap"},"report/renderer/util.js | dropdownPrintSummary":{message:"Cetak Ringkasan"},"report/renderer/util.js | dropdownSaveGist":{message:"Simpan sebagai Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Simpan sebagai HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Simpan sebagai JSON"},"report/renderer/util.js | dropdownViewer":{message:"Buka di Penampil"},"report/renderer/util.js | errorLabel":{message:"Error!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Error laporan: tidak ada informasi audit"},"report/renderer/util.js | footerIssue":{message:"Laporkan masalah"},"report/renderer/util.js | labDataTitle":{message:"Data Lab"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analisis [Lighthouse](https://developers.google.com/web/tools/lighthouse/) untuk halaman saat ini di jaringan seluler teremulasi. Nilai adalah hasil perkiraan dan dapat berbeda-beda."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Item tambahan untuk diperiksa secara manual"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Tidak berlaku"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Peluang"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Perkiraan Penghematan"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Lulus audit"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Desktop Emulasi"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 Emulasi"},"report/renderer/util.js | runtimeNoEmulation":{message:"Tidak ada emulasi"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versi Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Daya CPU/Memori"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Throttling CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Saluran"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Perangkat"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Waktu Pengambilan"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Throttling jaringan"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Setelan Runtime"},"report/renderer/util.js | runtimeSettingsUA":{message:"Agen pengguna (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Agen pengguna (jaringan)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Tidak dikenal"},"report/renderer/util.js | showRelevantAudits":{message:"Tampilkan audit yang relevan dengan:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Ciutkan cuplikan"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Luaskan cuplikan"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Tampilkan resource pihak ketiga"},"report/renderer/util.js | throttlingProvided":{message:"Disediakan oleh lingkungan"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Ada masalah yang memengaruhi jalannya Lighthouse ini:"},"report/renderer/util.js | varianceDisclaimer":{message:"Nilai adalah hasil perkiraan dan dapat bervariasi. [Skor performa dihitung](https://web.dev/performance-scoring/) secara langsung dari metrik ini."},"report/renderer/util.js | viewTreemapLabel":{message:"Lihat Peta Hierarki"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Lulus audit tetapi dengan peringatan"},"report/renderer/util.js | warningHeader":{message:"Peringatan: "}}},{}],121:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Le chiavi di accesso consentono agli utenti di impostare rapidamente lo stato attivo su una parte della pagina. Per assicurare una navigazione corretta, ogni chiave di accesso deve essere univoca. [Ulteriori informazioni](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"I valori `[accesskey]` non sono univoci"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"I valori `[accesskey]` sono univoci"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Ogni elemento `role` di ARIA supporta un determinato sottoinsieme di attributi `aria-*`. Se non dovessero corrispondere, gli attributi `aria-*` non saranno considerati validi. [Ulteriori informazioni](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Gli attributi `[aria-*]` non corrispondono ai rispettivi ruoli"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Gli attributi `[aria-*]` corrispondono ai rispettivi ruoli"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Quando un elemento non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Scopri di più](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{
message:"Gli elementi `button`, `link` e `menuitem` non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Gli elementi `button`, `link` e `menuitem` hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Le tecnologie per la disabilità, come gli screen reader, funzionano in modo incoerente se viene impostato il valore `aria-hidden="true"` nel documento `<body>`. [Ulteriori informazioni](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'L\'attributo `[aria-hidden="true"]` è presente nel documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'L\'attributo `[aria-hidden="true"]` non è presente nel documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'I discendenti per cui è possibile impostare lo stato attivo all\'interno di un elemento `[aria-hidden="true"]` impediscono di mettere tali elementi interattivi a disposizione degli utenti che usano tecnologie per la disabilità come gli screen reader. [Ulteriori informazioni](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Gli elementi `[aria-hidden="true"]` contengono discendenti per cui è possibile impostare lo stato attivo'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Gli elementi `[aria-hidden="true"]` non contengono discendenti per cui è possibile impostare lo stato attivo'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{
message:"Quando un campo di immissione non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Ulteriori informazioni](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"I campi di immissione ARIA non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"I campi di immissione ARIA hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Quando un elemento non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Scopri di più](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Gli elementi ARIA `meter` non hanno nomi accessibili"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Gli elementi ARIA `meter` hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Quando un elemento `progressbar` non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Scopri di più](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Gli elementi ARIA `progressbar` non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Gli elementi ARIA `progressbar` hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Alcuni ruoli di ARIA hanno attributi obbligatori che descrivono lo stato dell'elemento agli screen reader. [Ulteriori informazioni](https://web.dev/aria-required-attr/)."},
"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Gli elementi `[role]` non hanno tutti gli attributi `[aria-*]` obbligatori"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Gli elementi `[role]` hanno tutti gli attributi `[aria-*]` obbligatori"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Alcuni ruoli principali di ARIA devono contenere specifici ruoli secondari per poter eseguire le funzionalità per l'accessibilità previste. [Ulteriori informazioni](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Negli elementi con un ruolo ARIA `[role]` che richiedono che gli elementi secondari contengano un ruolo `[role]` specifico mancano alcuni o tutti questi elementi secondari obbligatori."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{
message:"Gli elementi con un ruolo ARIA `[role]` che richiedono che gli elementi secondari contengano un ruolo `[role]` specifico hanno tutti gli elementi secondari obbligatori."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Alcuni ruoli secondari di ARIA devono essere contenuti in specifici ruoli principali per poter eseguire in modo corretto le funzionalità per l'accessibilità previste. [Ulteriori informazioni](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Gli elementi `[role]` non sono contenuti nei rispettivi elementi principali obbligatori"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Gli elementi `[role]` sono contenuti nei rispettivi elementi principali obbligatori"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"I ruoli di ARIA devono contenere valori validi per poter eseguire le funzionalità per l'accessibilità previste. [Ulteriori informazioni](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"I valori `[role]` non sono validi"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"I valori `[role]` sono validi"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Quando un campo di attivazione/disattivazione non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Ulteriori informazioni](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"I campi di attivazione/disattivazione ARIA non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{
message:"I campi di attivazione/disattivazione ARIA hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Quando un elemento non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Scopri di più](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Gli elementi ARIA `tooltip` non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Gli elementi ARIA `tooltip` hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Quando un elemento non ha un nome accessibile, gli screen reader lo descrivono con un nome generico, rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Scopri di più](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Gli elementi ARIA `treeitem` non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Gli elementi ARIA `treeitem` hanno nomi accessibili"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Le tecnologie di ausilio per la disabilità, come gli screen reader, non sono in grado di interpretare gli attributi di ARIA con valori non validi. [Ulteriori informazioni](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Gli attributi `[aria-*]` non hanno valori validi"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Gli attributi `[aria-*]` hanno valori validi"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"Le tecnologie di ausilio per la disabilità, come gli screen reader, non sono in grado di interpretare gli attributi di ARIA con nomi non validi. [Ulteriori informazioni](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Gli attributi `[aria-*]` non sono validi o contengono errori ortografici"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Gli attributi `[aria-*]` sono validi e non contengono errori ortografici"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementi respinti"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Quando un pulsante non ha un nome accessibile, gli screen reader lo descrivono semplicemente come "pulsante", rendendolo inutilizzabile per gli utenti che si affidano agli screen reader. [Ulteriori informazioni](https://web.dev/button-name/).'},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"I pulsanti non hanno nomi accessibili"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"I pulsanti hanno un nome accessibile"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Se aggiungi metodi per ignorare contenuti ripetitivi, la navigazione della pagina diventa più efficiente per chi usa la tastiera. [Ulteriori informazioni](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"La pagina non contiene alcun titolo, skip link o area di riferimento"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"La pagina contiene un titolo, uno skip link o un'area di riferimento"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Il testo a basso contrasto è difficile, se non impossibile, da leggere per molti utenti. [Ulteriori informazioni](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Il rapporto di contrasto tra i colori di sfondo e primo piano non è sufficiente."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Il rapporto di contrasto tra i colori di sfondo e primo piano è sufficiente"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Se il markup degli elenchi di definizioni non è stato eseguito in modo corretto, gli screen reader possono generare risultati ambigui o imprecisi. [Ulteriori informazioni](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Gli elementi `<dl>` non contengono solo gruppi `<dt>` e `<dd>` ed elementi `<script>`, `<template>` o `<div>` nell'ordine corretto."},"lighthouse-core/audits/accessibility/definition-list.js | title":{
message:"Gli elementi `<dl>` contengono solo gruppi `<dt>` e `<dd>` ed elementi `<script>`, `<template>` o `<div>` nell'ordine corretto."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Gli elementi dell'elenco di definizioni (`<dt>` e `<dd>`) devono essere aggregati in un elemento `<dl>` principale affinché gli screen reader possano descriverli correttamente. [Ulteriori informazioni](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Gli elementi dell'elenco di definizioni non sono aggregati negli elementi `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Gli elementi dell'elenco di definizioni sono aggregati negli elementi `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"Il titolo fornisce agli utenti di screen reader una panoramica della pagina, mentre per gli utenti di motori di ricerca è utile per stabilire se una pagina è attinente alla loro ricerca. [Ulteriori informazioni](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Il documento non ha un elemento `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Il documento ha un elemento `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Tutti gli elementi per cui è possibile impostare lo stato attivo devono avere un valore `id` univoco per garantirne la visibilità alle tecnologie per la disabilità. [Ulteriori informazioni](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{
message:"Gli attributi `[id]` in elementi attivi per cui è possibile impostare lo stato attivo non sono univoci"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Gli attributi `[id]` in elementi attivi per cui è possibile impostare lo stato attivo sono univoci"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Il valore di un ID ARIA deve essere univoco per evitare che altre istanze vengano ignorate dalle tecnologie per la disabilità. [Ulteriori informazioni](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Gli ID ARIA non sono univoci"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Gli ID ARIA sono univoci"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"I campi dei moduli con più etichette potrebbero essere descritti in modo confuso dalle tecnologie per la disabilità come gli screen reader, che usano la prima etichetta, l'ultima o tutte le etichette. [Ulteriori informazioni](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"I campi del modulo hanno più etichette"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nessun campo del modulo ha più etichette"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Gli screen reader si affidano ai titoli dei frame per descrivere i contenuti dei frame agli utenti. [Ulteriori informazioni](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Gli elementi `<frame>` o `<iframe>` non hanno un titolo"},"lighthouse-core/audits/accessibility/frame-title.js | title":{
message:"Gli elementi `<frame>` o `<iframe>` hanno un titolo"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Le intestazioni nell'ordine corretto che non saltano livelli descrivono la struttura semantica della pagina, facilitando la navigazione e la comprensione quando vengono usate tecnologie per la disabilità. [Ulteriori informazioni](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Gli elementi di intestazione non sono in ordine decrescente sequenziale"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Gli elementi di intestazione vengono visualizzati in ordine decrescente sequenziale"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Se per una pagina non viene specificato alcun attributo lang, lo screen reader presuppone che la lingua della pagina sia quella predefinita scelta dall'utente durante la configurazione dello screen reader. Se la lingua della pagina non è effettivamente quella predefinita, lo screen reader potrebbe non pronunciare correttamente il testo della pagina. [Ulteriori informazioni](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"L'elemento `<html>` non ha un attributo `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"L'elemento `<html>` ha un attributo `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"La specifica di una [lingua BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) valida consente agli screen reader di pronunciare correttamente il testo. [Ulteriori informazioni](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"L'attributo `[lang]` dell'elemento `<html>` non ha un valore valido."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"L'attributo `[lang]` dell'elemento `<html>` ha un valore valido"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Gli elementi informativi dovrebbero mostrare testo alternativo breve e descrittivo. Gli elementi decorativi possono essere ignorati con un attributo alt vuoto. [Ulteriori informazioni](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Gli elementi immagine non hanno attributi `[alt]`"},
"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Gli elementi immagine hanno attributi `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Quando viene utilizzata un'immagine come pulsante `<input>`, fornire del testo alternativo può aiutare gli utenti di screen reader a comprendere lo scopo del pulsante. [Ulteriori informazioni](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Gli elementi `<input type="image">` non hanno testo `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Gli elementi `<input type="image">` hanno testo `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{
message:"Le etichette consentono di assicurarsi che i comandi dei moduli vengano descritti in modo corretto dalle tecnologie di ausilio per la disabilità, come gli screen reader. [Ulteriori informazioni](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Gli elementi del modulo non hanno le corrispondenti etichette"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Gli elementi del modulo sono associati a etichette"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Un testo dei link (incluso il testo alternativo delle immagini, se usate come link) distinguibile, univoco e per cui sia impostabile lo stato attivo migliora l'esperienza di navigazione per gli utenti di screen reader. [Ulteriori informazioni](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Il nome dei link non è distinguibile"},
"lighthouse-core/audits/accessibility/link-name.js | title":{message:"I link hanno un nome distinguibile"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Gli screen reader descrivono gli elenchi in un determinato modo. Una struttura dell'elenco corretta agevola il compito dello screen reader. [Ulteriori informazioni](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Gli elenchi non contengono solo elementi `<li>` ed elementi che supportano script (`<script>` e `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Gli elenchi contengono solo elementi `<li>` ed elementi che supportano gli script (`<script>` e `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Gli screen reader richiedono che gli elementi dell'elenco (`<li>`) siano contenuti in un elemento `<ul>` o `<ol>` principale per poterli descrivere in modo corretto. [Ulteriori informazioni](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Gli elementi dell'elenco (`<li>`) non sono contenuti in elementi principali `<ul>` o `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Gli elementi dell'elenco (`<li>`) sono contenuti in elementi principali `<ul>` o `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"L'aggiornamento automatico della pagina è un evento imprevisto per l'utente e, una volta verificatosi, imposta di nuovo lo stato attivo sulla parte superiore della pagina. Ciò può costituire motivo di frustrazione o confusione per l'utente. [Ulteriori informazioni](https://web.dev/meta-refresh/)."},
"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Il documento usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Il documento non usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Disattivare lo zoom è problematico per gli utenti ipovedenti che si affidano all'ingrandimento dello schermo per vedere in modo chiaro i contenuti di una pagina web. [Ulteriori informazioni](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` viene usato nell\'elemento `<meta name="viewport">` o l\'attributo `[maximum-scale]` è inferiore a 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` non viene usato nell\'elemento `<meta name="viewport">` e l\'attributo `[maximum-scale]` non è inferiore a 5.'},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Gli screen reader non possono tradurre contenuti non testuali. Aggiungere testo alternativo agli elementi `<object>` aiuta gli screen reader a comunicare il significato agli utenti. [Ulteriori informazioni](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Gli elementi `<object>` non hanno testo `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Gli elementi `<object>` hanno testo `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Un valore maggiore di 0 implica un ordine di navigazione esplicito. Sebbene sia tecnicamente valido, spesso genera un'esperienza frustrante per gli utenti che usano tecnologie di ausilio per la disabilità. [Ulteriori informazioni](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{
message:"Alcuni elementi hanno un valore `[tabindex]` maggiore di 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Nessun elemento ha un valore `[tabindex]` maggiore di 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Gli screen reader sono dotati di funzionalità che semplificano lo spostamento nelle tabelle. Se ti assicuri che le celle `<td>` che usano l'attributo `[headers]` facciano riferimento esclusivamente ad altre celle nella stessa tabella puoi migliorare l'esperienza degli utenti di screen reader. [Ulteriori informazioni](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Le celle in un elemento `<table>` che utilizzano l'attributo `[headers]` fanno riferimento a un elemento `id` non trovato all'interno della stessa tabella."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{
message:"Le celle in un elemento `<table>` che utilizzano l'attributo `[headers]` fanno riferimento a celle della stessa tabella."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Gli screen reader sono dotati di funzionalità che semplificano lo spostamento nelle tabelle. Se ti assicuri che le intestazioni delle tabelle facciano sempre riferimento a un insieme di celle puoi migliorare l'esperienza degli utenti di screen reader. [Ulteriori informazioni](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Gli elementi `<th>` e gli elementi con `[role="columnheader"/"rowheader"]` non hanno le celle di dati da essi descritte.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Gli elementi `<th>` e gli elementi con ruolo `[role="columnheader"/"rowheader"]` hanno le celle di dati da essi descritte.'},
"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"La specifica di una [lingua BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) valida per gli elementi consente di assicurarsi che il testo sia pronunciato correttamente dallo screen reader. [Ulteriori informazioni](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Gli attributi `[lang]` non hanno un valore valido"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Gli attributi `[lang]` hanno un valore valido"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Se un video ha i sottotitoli, per i non udenti o gli utenti con problemi di udito è più facile accedere alle relative informazioni. [Ulteriori informazioni](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Gli elementi `<video>` non contengono un elemento `<track>` con `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Gli elementi `<video>` contengono un elemento `<track>` con `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Per una visualizzazione ottimale su iOS quando gli utenti aggiungono un'app web progressiva alla schermata Home, definisci un elemento `apple-touch-icon`, che deve rimandare a un'immagine PNG quadrata di 192 px (o 180 px) non trasparente. [Ulteriori informazioni](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Non fornisce un valore `apple-touch-icon` valido"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Il valore `apple-touch-icon-precomposed` è obsoleto, pertanto è preferibile usare `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"Fornisce un valore `apple-touch-icon` valido"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valore corrente"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Token suggerito"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` consente agli utenti di inviare più velocemente i moduli. Per facilitare le cose agli utenti, potresti attivare la funzionalità impostando un valore valido per l'attributo `autocomplete`. [Ulteriori informazioni](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Gli elementi `<input>` non hanno attributi `autocomplete` corretti"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Richiede revisione manuale"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Rivedi l'ordine dei token"},
"lighthouse-core/audits/autocomplete.js | title":{message:"Gli elementi `<input>` usano correttamente `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Token `autocomplete`: valore "{token}" non valido in {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Rivedi l\'ordine dei token: "{tokens}" in {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Le estensioni di Chrome incidono negativamente sulle prestazioni di caricamento di questa pagina. Prova a controllare la pagina in modalità di navigazione in incognito o da un profilo Chrome senza estensioni."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Valutazione degli script"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Analisi script"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Tempo di CPU totale"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Potresti ridurre i tempi di analisi, compilazione ed esecuzione di JavaScript. A tale scopo potrebbe essere utile pubblicare payload JavaScript di dimensioni inferiori. [Ulteriori informazioni](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Riduci il tempo di esecuzione di JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Tempo di esecuzione JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Rimuovi i moduli JavaScript duplicati di grandi dimensioni dai bundle per ridurre i byte superflui consumati dall'attività di rete. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Rimuovi moduli duplicati nei bundle JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"I file GIF di grandi dimensioni non sono efficaci per la pubblicazione di contenuti animati. Anziché il formato GIF potresti usare video MPEG4/WebM per le animazioni e PNG/WebP per le immagini statiche. In questo modo userai meno byte di rete. [Ulteriori informazioni](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Usa formati video per i contenuti animati"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Polyfill e trasformazioni consentono ai browser precedenti di usare nuove funzionalità JavaScript. Tanti non sono però necessari per i browser moderni. Per il tuo codice JavaScript in bundle, adotta una moderna strategia di deployment degli script usando il rilevamento di funzionalità module/nomodule per ridurre la quantità di codice inviata ai browser moderni e mantenere il supporto dei browser precedenti. [Ulteriori informazioni](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Evita di pubblicare codice JavaScript precedente in browser moderni"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"I formati delle immagini come JPEG 2000, JPEG XR e WebP spesso consentono una compressione migliore rispetto a quella dei formati PNG o JPEG, che comporta download più veloci e un minor consumo di dati. [Ulteriori informazioni](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Pubblica immagini in formati più recenti"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Potresti usare il caricamento lento per le immagini fuori schermo e nascoste al termine del caricamento di tutte le risorse fondamentali per ridurre il tempo necessario per la completa interattività. [Ulteriori informazioni](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Rimanda immagini fuori schermo"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Alcune risorse bloccano la prima visualizzazione della pagina. Potresti pubblicare le risorse JS/CSS fondamentali incorporate e rimandare tutte le risorse JS/styles non fondamentali. [Ulteriori informazioni](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimina le risorse di blocco della visualizzazione"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"I payload di rete di grandi dimensioni comportano costi reali per gli utenti e sono strettamente correlati a lunghi tempi di caricamento. [Ulteriori informazioni](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Dimensioni totali: {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evita payload di rete enormi"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Vengono evitati payload di rete enormi"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Minimizza i file CSS per ridurre le dimensioni dei payload di rete. [Ulteriori informazioni](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minimizza CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Minimizza i file JavaScript per ridurre le dimensioni dei payload e i tempi di analisi degli script. [Ulteriori informazioni](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minimizza JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Riduci le regole inutilizzate dei fogli di stile e rimanda i contenuti CSS non utilizzati per i contenuti above the fold al fine di ridurre i byte consumati dall'attività di rete. [Scopri di più](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Riduci i contenuti CSS inutilizzati"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Riduci il codice JavaScript inutilizzato e rimanda il caricamento degli script finché non sono necessari al fine di ridurre i byte consumati dall'attività di rete. [Scopri di più](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Riduci il codice JavaScript inutilizzato"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"La memorizzazione nella cache per un lungo periodo di tempo può velocizzare le visite abituali alla tua pagina. [Ulteriori informazioni](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 risorsa trovata}other{# risorse trovate}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Pubblica le risorse statiche con criteri della cache efficaci"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Vengono usati criteri della cache efficaci per le risorse statiche"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Le immagini ottimizzate vengono caricate più velocemente e consumano meno traffico della rete dati. [Ulteriori informazioni](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"Codifica in modo efficace le immagini"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Pubblica immagini di dimensioni adeguate per consumare meno traffico della rete dati e ridurre i tempi di caricamento. [Ulteriori informazioni](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Usa immagini di dimensioni adeguate"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Le risorse basate sul testo dovrebbero essere pubblicate con compressione (gzip, deflate o brotli) per ridurre al minimo il numero totale di byte di rete. [Ulteriori informazioni](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Attiva la compressione del testo"},"lighthouse-core/audits/content-width.js | description":{
message:"Se la larghezza dei contenuti dell'app non corrisponde alla larghezza dell'area visibile, l'app potrebbe non essere ottimizzata per gli schermi dei dispositivi mobili. [Ulteriori informazioni](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Le dimensioni di {innerWidth} px dell'area visibile non corrispondono alle dimensioni di {outerWidth} px della finestra."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Le dimensioni dei contenuti non sono corrette per l'area visibile"},"lighthouse-core/audits/content-width.js | title":{message:"Le dimensioni dei contenuti sono corrette per l'area visibile"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Nella sezione Catene di richieste fondamentali indicata di seguito vengono mostrate le risorse caricate con priorità elevata. Potresti ridurre la lunghezza delle catene e le dimensioni del download delle risorse oppure rimandare il download delle risorse non necessarie per velocizzare il caricamento della pagina. [Ulteriori informazioni](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 catena trovata}other{# catene trovate}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Evita di concatenare le richieste fondamentali"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Istruzione"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravità"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Un Criterio di sicurezza del contenuto (CSP) efficace riduce notevolmente il rischio di attacchi cross-site scripting (XSS). [Scopri di più](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintassi"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"La pagina contiene un criterio CSP definito in un tag <meta>. Se possibile, definisci il criterio CSP in un'intestazione HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Nessun criterio CSP trovato in modalità di applicazione forzata"},"lighthouse-core/audits/csp-xss.js | title":{message:"Assicurati che il criterio CSP sia efficace contro gli attacchi XSS (cross-site scripting)"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Ritiro/avviso"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Riga"},"lighthouse-core/audits/deprecations.js | description":{
message:"Le API obsolete verranno rimosse dal browser prima o poi. [Ulteriori informazioni](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 avviso trovato}other{# avvisi trovati}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Usa API obsolete"},"lighthouse-core/audits/deprecations.js | title":{message:"Evita le API obsolete"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"L'API Cache applicazione è obsoleta. [Ulteriori informazioni](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" trovato'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Usa l'API Cache applicazione"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Evita l'API Cache applicazione"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Dichiarazione della codifica dei caratteri obbligatoria. Può essere inserita con un tag `<meta>` nei primi 1024 byte del codice HTML oppure nell'intestazione della risposta HTTP Content-Type. [Ulteriori informazioni](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"La dichiarazione del set di caratteri non è presente o è definita troppo tardi nel codice HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Set di caratteri definito correttamente"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"La specifica di un doctype impedisce al browser di passare alla modalità non standard. [Ulteriori informazioni](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Il nome del doctype deve essere la stringa minuscola `html`"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Il documento deve contenere un doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Il campo publicId dovrebbe essere vuoto"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Il campo systemId dovrebbe essere vuoto"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Nella pagina manca il doctype HTML e viene quindi attivata la modalità non standard"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"La pagina ha il doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistica"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valore"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Un DOM di grandi dimensioni aumenta l'utilizzo di memoria, causa [calcoli di stile](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) più lunghi e genera costosi [adattamenti dinamici del layout](https://developers.google.com/speed/articles/reflow). [Ulteriori informazioni](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elemento}other{# elementi}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evita di usare un DOM di dimensioni eccessive"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profondità massima DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Elementi DOM totali"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Elementi secondari massimi"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Viene evitato un DOM di dimensioni eccessive"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Anchor respinti"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Aggiungi `rel="noopener"` o `rel="noreferrer"` a eventuali link esterni per migliorare le prestazioni ed evitare vulnerabilità di sicurezza. [Ulteriori informazioni](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"I link che rimandano a destinazioni multiorigine non sono sicuri"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"I link che rimandano a destinazioni multiorigine sono sicuri"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Impossibile stabilire la destinazione dell'ancoraggio ({anchorHTML}). Se non viene usato come link ipertestuale, potresti rimuovere target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Gli utenti sono sospettosi nei confronti dei siti che chiedono la loro posizione senza contesto o sono confusi da tali siti. Potresti associare la richiesta a un'azione dell'utente. [Ulteriori informazioni](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Chiede l'autorizzazione alla geolocalizzazione durante il caricamento della pagina"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evita di chiedere l'autorizzazione alla geolocalizzazione durante il caricamento della pagina"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipo di errore"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Gli errori registrati nel riquadro `Issues` in Strumenti per sviluppatori di Chrome indicano la presenza di problemi irrisolti. Tali errori potrebbero riguardare richieste di rete non andate a buon fine, controlli di sicurezza insufficienti e altri problemi del browser. Apri il riquadro Errori in Strumenti per sviluppatori di Chrome per ulteriori dettagli su ciascun errore."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Sono stati registrati degli errori nel riquadro `Issues` in Strumenti per sviluppatori di Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloccata dal criterio multiorigine"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Utilizzo intensivo delle risorse da parte degli annunci"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{
message:"Nessun errore nel riquadro `Issues` in Strumenti per sviluppatori di Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versione"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Tutte le librerie JavaScript front-end rilevate nella pagina. [Ulteriori informazioni](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Librerie JavaScript rilevate"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Per gli utenti con connessioni lente, gli script esterni inseriti in modo dinamico tramite `document.write()` potrebbero ritardare il caricamento della pagina di decine di secondi. [Ulteriori informazioni](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{
message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Massima gravità"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Versione libreria"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Numero di vulnerabilità"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Alcuni script di terze parti potrebbero contenere vulnerabilità di sicurezza note facilmente identificate e sfruttate dai malintenzionati. [Ulteriori informazioni](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 vulnerabilità rilevata}other{# vulnerabilità rilevate}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Include librerie JavaScript front-end con vulnerabilità di sicurezza note"
},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Evita librerie JavaScript front-end con vulnerabilità di sicurezza note"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Gli utenti sono sospettosi nei confronti dei siti che chiedono di inviare notifiche senza contesto o sono confusi da tali siti. Potresti associare la richiesta ai gesti dell'utente. [Ulteriori informazioni](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Chiede l'autorizzazione di accesso alle notifiche durante il caricamento della pagina"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evita di chiedere l'autorizzazione di accesso alle notifiche durante il caricamento della pagina"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Impedire di incollare le password pregiudica l'efficacia delle norme di sicurezza. [Ulteriori informazioni](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Impedisce agli utenti di incollare contenuti nei campi delle password"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Consente agli utenti di incollare contenuti nei campi delle password"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocollo"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 offre tanti vantaggi rispetto a HTTP/1.1, tra cui intestazioni binarie e multiplexing. [Scopri di più](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 richiesta non pubblicata tramite HTTP/2}other{# richieste non pubblicate tramite HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Usa HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Potresti contrassegnare i listener di eventi di tocco e rotellina come `passive` per migliorare le prestazioni di scorrimento della pagina. [Ulteriori informazioni](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Non usa listener passivi per migliorare le prestazioni dello scorrimento"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Usa listener passivi per migliorare le prestazioni dello scorrimento"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Gli errori registrati nella console indicano la presenza di problemi irrisolti che potrebbero riguardare richieste di rete non andate a buon fine e altri problemi del browser. [Ulteriori informazioni](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Gli errori del browser sono stati registrati nella console"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Nessun errore del browser registrato nella console"},"lighthouse-core/audits/font-display.js | description":{message:"Usa la funzionalità CSS font-display per assicurarti che il testo sia visibile agli utenti durante il caricamento dei caratteri web. [Ulteriori informazioni](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Assicurati che il testo rimanga visibile durante il caricamento dei caratteri web"},"lighthouse-core/audits/font-display.js | title":{
message:"Tutto il testo rimane visibile durante il caricamento dei caratteri web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Impossibile controllare automaticamente in Lighthouse il valore `font-display` per l'origine {fontOrigin}.}other{Impossibile controllare automaticamente in Lighthouse i valori `font-display` per l'origine {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Proporzioni (effettive)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Proporzioni (visualizzate)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Le dimensioni di visualizzazione delle immagini dovrebbero corrispondere alle proporzioni naturali. [Ulteriori informazioni](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Visualizza immagini con proporzioni errate"},
"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Visualizza immagini con proporzioni corrette"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Dimensioni effettive"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Dimensioni visualizzate"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Dimensioni previste"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Le dimensioni naturali delle immagini dovrebbero essere proporzionali alle dimensioni dello schermo e alle proporzioni pixel per ottimizzare la nitidezza delle immagini. [Ulteriori informazioni](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Vengono pubblicate immagini a bassa risoluzione"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Vengono pubblicate immagini con risoluzione appropriata"},
"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"L'app è già installata"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Impossibile scaricare un'icona richiesta dal file manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motivo dell'errore"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Il service worker è la tecnologia che consente alla tua app di usare tante funzionalità delle app web progressive, ad esempio il funzionamento offline, l'aggiunta alla schermata Home e le notifiche push. Grazie a implementazioni adeguate del service worker e del file manifest, i browser possono chiedere proattivamente agli utenti di aggiungere la tua app alla schermata Home. Ciò potrebbe comportare un maggiore coinvolgimento. [Scopri di più](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{
message:"{itemCount,plural, =1{1 motivo}other{# motivi}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Il file manifest o il service worker dell'app web non soddisfano i requisiti di installabilità"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"L'URL e l'ID dell'app nel Play Store non corrispondono"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"La pagina è stata caricata in una finestra di navigazione in incognito"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'La proprietà "display" del file manifest deve essere "standalone", "fullscreen" o "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Il file manifest contiene il campo "display_override" e la prima modalità di visualizzazione supportata deve essere "standalone", \'"fullscreen" o "minimal-ui"'},
"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Non è stato possibile recuperare il file manifest, è vuoto o non è stato possibile analizzarlo"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"L'URL del file manifest è cambiato durante il recupero del file manifest."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Il file manifest non contiene un campo "name" o "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Il file manifest non contiene un'icona adatta, deve essere in formato PNG, SVG o WebP e avere una dimensione di almeno {value0} px. L'attributo sizes deve essere impostato e l'attributo purpose, se configurato, deve includere \"any\"."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{
message:'Nessuna delle icone fornite ha una dimensione minima di {value0} px quadrati in formato PNG, SVG o WebP, con l\'attributo purpose non impostato o impostato su "any".'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"L'icona scaricata era vuota o danneggiata"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nessun ID Play Store fornito"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"La pagina non contiene URL del file manifest <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nessun service worker corrispondente trovato. Potrebbe essere necessario ricaricare la pagina o verificare che l'ambito del service worker per la pagina corrente includa l'ambito e l'URL di avvio dal file manifest."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{
message:'Impossibile verificare il service worker se il file manifest non contiene un campo "start_url"'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'L\'ID errore di installabilità "{errorId}" non è riconosciuto'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"La pagina non è pubblicata da un'origine sicura"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"La pagina non è caricata nel frame principale"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"La pagina non funziona offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"La piattaforma di applicazioni specificata non è supportata su Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Il file manifest specifica prefer_related_applications: vero"},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications è supportato solo sui canali beta e stabili di Chrome su Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"L'URL di avvio del file manifest non è valido"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Il file manifest e il service worker dell'app web soddisfano i requisiti di installabilità"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Un URL nel file manifest contiene uno username, una password o una porta"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"La pagina non funziona offline. La pagina non sarà considerata installabile nelle versioni successive a Chrome 93, la cui versione stabile sarà rilasciata ad agosto 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Consentito"},
"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloccato"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL non sicuro"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Richiedi risoluzione"},"lighthouse-core/audits/is-on-https.js | description":{message:"Tutti i siti dovrebbero essere protetti con HTTPS, anche quelli che non trattano dati sensibili. Si dovrebbero quindi evitare i [contenuti misti](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) perché alcune risorse vengono caricate tramite HTTP nonostante la richiesta iniziale venga pubblicata tramite HTTPS. HTTPS impedisce agli intrusi di manomettere o ascoltare passivamente le comunicazioni tra la tua app e i tuoi utenti ed è un prerequisito per HTTP/2 e tante nuove API delle piattaforme web. [Ulteriori informazioni](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{
message:"{itemCount,plural, =1{1 richiesta non sicura trovata}other{# richieste non sicure trovate}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Non usa HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Usa HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Upgrade a HTTPS eseguito automaticamente"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Consentito con avviso"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Libreria"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Le librerie JavaScript di grandi dimensioni possono causare scarse prestazioni. Usa preferibilmente librerie di dimensioni ridotte con funzionalità equivalenti per ridurre le dimensioni dei bundle. [Ulteriori informazioni](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},
"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 libreria di grandi dimensioni trovata}other{# librerie di grandi dimensioni trovate}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Sostituisci le librerie JavaScript di dimensioni inutilmente grandi"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evita librerie JavaScript di grandi dimensioni per cui esistono alternative di dimensioni inferiori"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Si tratta dell'elemento identificato come Largest Contentful Paint all'interno dell'area visibile. [Ulteriori informazioni](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elemento Largest Contentful Paint"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contributo a CLS"},
"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Questi elementi DOM contribuiscono maggiormente alla metrica CLS della pagina."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Evita significative variazioni di layout"},"lighthouse-core/audits/long-tasks.js | description":{message:"Vengono elencate le attività più lunghe nel thread principale; è utile per identificare gli elementi che contribuiscono maggiormente al ritardo dell'interazione. [Ulteriori informazioni](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# attività lunga trovata}other{# attività lunghe trovate}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evita attività lunghe nel thread principale"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categoria"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"Potresti ridurre i tempi di analisi, compilazione ed esecuzione di JavaScript. A tale scopo potrebbe essere utile pubblicare payload JavaScript di dimensioni inferiori. [Ulteriori informazioni](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Riduci al minimo il lavoro del thread principale"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Il lavoro del thread principale è ridotto al minimo"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Per raggiungere il maggior numero di utenti, i siti dovrebbero funzionare su ogni browser più usato. [Ulteriori informazioni](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Il sito funziona su più browser"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"Assicurati che le singole pagine siano collegabili tramite link diretti sotto forma di URL e che gli URL siano univoci per la condivisione sui social media. [Ulteriori informazioni](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Ogni pagina ha un URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Le transizioni dovrebbero sembrare rapide mentre esegui i tocchi, anche con una rete lenta. Questa esperienza è un fattore che incide sulle prestazioni percepite dall'utente. [Ulteriori informazioni](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Non sembra che le transizioni di pagina si blocchino sulla rete"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"Un'icona mascherabile assicura che l'immagine riempia l'intera forma senza effetto letterbox durante l'installazione dell'app su un dispositivo. [Ulteriori informazioni](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Il file manifest non contiene un'icona mascherabile"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Il file manifest contiene un'icona mascherabile"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"La metrica Cumulative Layout Shift misura lo spostamento degli elementi visibili all'interno dell'area visibile. [Ulteriori informazioni](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{
message:"La metrica First Contentful Paint (prima visualizzazione con contenuti) indica il momento in cui vengono visualizzati il primo testo o la prima immagine. [Ulteriori informazioni](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"La metrica First Meaningful Paint (visualizzazione primo elemento utile) indica quando diventano visibili i contenuti principali di una pagina. [Ulteriori informazioni](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"La metrica Tempo all'interattività indica il tempo necessario affinché la pagina diventi completamente interattiva. [Ulteriori informazioni](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"La metrica Largest Contentful Paint indica il momento in cui vengono visualizzati il testo o l'immagine più grandi. [Scopri di più](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Il potenziale First Input Delay massimo che i tuoi utenti potrebbero riscontrare è la durata del task più lungo. [Ulteriori informazioni](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"La metrica Indice velocità mostra la velocità con cui diventano visibili i contenuti di una pagina. [Ulteriori informazioni](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Somma di tutti i periodi di tempo, espressi in millisecondi, tra FCP e Tempo all'interattività, quando la durata del task ha superato 50 ms. [Ulteriori informazioni](https://web.dev/lighthouse-total-blocking-time/)."},
"lighthouse-core/audits/network-rtt.js | description":{message:"I tempi di round trip della rete (RTT) influiscono notevolmente sulle prestazioni. Quando l'RTT verso un'origine è elevato, significa che i server più vicini all'utente potrebbero migliorare le prestazioni. [Ulteriori informazioni](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Tempi di round trip della rete"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Le latenze dei server possono influire sulle prestazioni del Web. Quando la latenza del server di un'origine è elevata, significa che il server è sovraccarico oppure ha prestazioni di backend scadenti. [Ulteriori informazioni](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latenze server backend"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"L'evento `unload` non viene attivato in modo affidabile e il relativo ascolto potrebbe impedire ottimizzazioni del browser quali la cache back-forward. Potresti usare gli eventi `pagehide` o `visibilitychange`. [Scopri di più](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registra un listener `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Evita i listener di eventi `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Le animazioni non composite possono essere scadenti e aumentare il valore CLS. [Ulteriori informazioni](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# elemento animato trovato}other{# elementi animati trovati}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"La proprietà relativa al filtro potrebbe spostare i pixel"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Il target ha un'altra animazione che non è compatibile"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'L\'effetto ha una modalità composita diversa da "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Evita animazioni non composite"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"La proprietà relativa alla trasformazione dipende dalle dimensioni della casella"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Proprietà CSS non supportata: {properties}}other{Proprietà CSS non supportate: {properties}}}"},
"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"L'effetto ha parametri di timing non supportati"},"lighthouse-core/audits/performance-budget.js | description":{message:"Mantieni la quantità e le dimensioni delle richieste di rete al di sotto dei target impostati tramite il budget per le prestazioni fornito. [Ulteriori informazioni](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 richiesta}other{# richieste}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Budget per le prestazioni"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Precarica caratteri `optional` per consentirne l'utilizzo ai visitatori alla prima visita. [Scopri di più](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{
message:"I caratteri con `font-display: optional` non vengono precaricati"},"lighthouse-core/audits/preload-fonts.js | title":{message:"I caratteri con `font-display: optional` vengono precaricati"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Precarica l'immagine usata dall'elemento LCP per migliorare il tuo tempo LCP. [Ulteriori informazioni](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Precarica l'immagine Largest Contentful Paint"},"lighthouse-core/audits/redirects-http.js | description":{message:"Se hai già configurato HTTPS, assicurati di reindirizzare tutto il traffico HTTP a HTTPS per attivare funzionalità web sicure per tutti i tuoi utenti. [Ulteriori informazioni](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Non reindirizza il traffico HTTP a HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{
message:"Reindirizza il traffico HTTP a HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"I reindirizzamenti comportano ulteriori ritardi prima del caricamento della pagina. [Ulteriori informazioni](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Evita i reindirizzamenti tra più pagine"},"lighthouse-core/audits/resource-summary.js | description":{message:"Per impostare budget relativi alla quantità e alle dimensioni delle risorse della pagina, aggiungi un file budget.json. [Ulteriori informazioni](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 richiesta • {byteCount, number, bytes} KiB}other{# richieste • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Mantieni un numero ridotto di richieste e dimensioni di trasferimento limitate"},
"lighthouse-core/audits/seo/canonical.js | description":{message:"I link canonici suggeriscono quale URL mostrare nei risultati di ricerca. [Ulteriori informazioni](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Diversi URL in conflitto ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Rimanda a un altro dominio ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL non valido ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Rimanda a un'altra posizione `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relativo ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Indirizza all'URL principale del dominio (la home page), anziché a una pagina di contenuto equivalente"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{
message:"Il documento non ha un valore `rel=canonical` valido"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Il documento ha un elemento `rel=canonical` valido"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link non sottoponibile a scansione"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"I motori di ricerca potrebbero usare gli attributi `href` dei link per eseguire la scansione dei siti web. Assicurati che l'attributo `href` degli elementi anchor rimandi a una destinazione appropriata per consentire il rilevamento di un numero maggiore di pagine del sito. [Ulteriori informazioni](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"I link non possono essere sottoposti a scansione"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"I link possono essere sottoposti a scansione"},
"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Ulteriore testo illeggibile"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Dimensione carattere"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% di testo della pagina"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selettore"},"lighthouse-core/audits/seo/font-size.js | description":{message:'Le dimensioni dei caratteri minori di 12 px sono troppo piccole per essere leggibili e richiederebbero ai visitatori di dispositivi mobili di "pizzicare per eseguire lo zoom" e poter leggere la pagina. Cerca di avere più del 60% del testo della pagina con una dimensione uguale o superiore a 12 px. [Ulteriori informazioni](https://web.dev/font-size/).'},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} del testo leggibile"},
"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Il testo è illeggibile perché non esiste un meta tag viewport ottimizzato per gli schermi dei dispositivi mobili."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Il documento non usa dimensioni dei caratteri leggibili"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Testo leggibile"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Il documento utilizza dimensioni dei caratteri leggibili"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"I link hreflang indicano ai motori di ricerca quale versione di una pagina devono elencare nei risultati di ricerca per una determinata lingua o area geografica. [Ulteriori informazioni](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Il documento non ha un elemento `hreflang` valido"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{
message:"Valore href relativo"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Il documento ha un elemento `hreflang` valido"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Codice lingua imprevisto"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Le pagine con codici di stato HTTP non validi potrebbero non essere indicizzate correttamente. [Ulteriori informazioni](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"La pagina ha un codice di stato HTTP non valido"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"La pagina ha un codice di stato HTTP valido"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"I motori di ricerca non sono in grado di includere le pagine nei risultati di ricerca se non dispongono dell'autorizzazione per eseguirne la scansione. [Ulteriori informazioni](https://web.dev/is-crawable/)."},
"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"L'indicizzazione della pagina è bloccata"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"L'indicizzazione della pagina non è bloccata"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Il testo descrittivo dei link aiuta i motori di ricerca a comprendere i tuoi contenuti. [Ulteriori informazioni](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link trovato}other{# link trovati}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"I link non contengono testo descrittivo"},"lighthouse-core/audits/seo/link-text.js | title":{message:"I link hanno un testo descrittivo"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{
message:"Esegui lo [Strumento di test per i dati strutturati](https://search.google.com/structured-data/testing-tool/) e [Structured Data Linter](http://linter.structured-data.org/) per convalidare i dati strutturati. [Ulteriori informazioni](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Dati strutturati validi"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Le meta descrizioni possono essere incluse nei risultati di ricerca per riassumere brevemente i contenuti della pagina. [Ulteriori informazioni](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Il testo della descrizione è vuoto."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Il documento non ha una meta descrizione"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Il documento ha una meta descrizione"},
"lighthouse-core/audits/seo/plugins.js | description":{message:"I motori di ricerca non possono indicizzare i contenuti dei plug-in e molti dispositivi limitano i plug-in o non li supportano. [Ulteriori informazioni](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Il documento utilizza plug-in"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Il documento non fa uso di plug-in"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Se il file robots.txt non è valido, i crawler potrebbero non essere in grado di capire come vuoi che il tuo sito web venga sottoposto a scansione o indicizzato. [Ulteriori informazioni](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"La richiesta per robots.txt ha restituito uno stato HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{1 errore trovato}other{# errori trovati}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse non può completare il download del file robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt non è valido"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt è valido"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Gli elementi interattivi come pulsanti e link dovrebbero essere abbastanza grandi (48 x 48 px) e avere abbastanza spazio intorno a loro, per essere facili da toccare senza sovrapporsi ad altri elementi. [Ulteriori informazioni](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"Il {decimalProportion, number, percent} dei target dei tocchi ha dimensioni appropriate"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"I target dei tocchi sono troppo piccoli perché non esiste un meta tag viewport ottimizzato per gli schermi dei dispositivi mobili"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"I target dei tocchi non sono dimensionati in modo appropriato"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Target sovrapposto"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Target dei tocchi"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"I target dei tocchi sono dimensionati in modo appropriato"},"lighthouse-core/audits/server-response-time.js | description":{message:"Fai in modo che il tempo di risposta del server per il documento principale sia breve perché tutte le altre richieste dipendono da questo. [Ulteriori informazioni](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{
message:"Il documento radice ha richiesto {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Riduci il tempo di risposta iniziale del server"},"lighthouse-core/audits/server-response-time.js | title":{message:"Il tempo di risposta iniziale del server è stato breve"},"lighthouse-core/audits/service-worker.js | description":{message:"Il service worker è la tecnologia che consente alla tua app di usare tante funzionalità delle app web progressive, ad esempio il funzionamento offline, l'aggiunta alla schermata Home e le notifiche push. [Ulteriori informazioni](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Questa pagina è controllata tramite un service worker, ma non è stato trovato alcun elemento `start_url` perché non è stato possibile analizzare il file manifest come JSON valido"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"Questa pagina è controllata tramite un service worker, ma `start_url` ({startUrl}) non rientra nell'ambito del service worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Questa pagina è controllata tramite un service worker, ma non è stato trovato alcun elemento `start_url` perché non è stato recuperato alcun file manifest."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Questa origine contiene uno o più service worker, ma la pagina ({pageUrl}) non rientra nell'ambito."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Non registra un service worker che controlla la pagina e `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registra un service worker che controlla la pagina e `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{
message:"Una schermata iniziale a tema assicura un'esperienza di alta qualità quando gli utenti avviano la tua app dalla schermata Home. [Ulteriori informazioni](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Non è configurato con una schermata iniziale personalizzata"},"lighthouse-core/audits/splash-screen.js | title":{message:"Configurato con una schermata iniziale personalizzata"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"È possibile impostare per la barra degli indirizzi del browser un tema corrispondente a quello del tuo sito. [Ulteriori informazioni](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Non imposta un colore tema per la barra degli indirizzi."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Imposta un colore tema per la barra degli indirizzi."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{
message:"{productName} (Supporto ai clienti)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Prodotto"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Alcuni incorporamenti di terze parti possono essere caricati tramite caricamento lento. Puoi sostituirli con un facade finché non sono richiesti. [Scopri di più](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# alternativa facade disponibile}other{# alternative facade disponibili}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{
message:"Alcune risorse di terze parti possono essere caricate tramite caricamento lento con un facade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Carica risorse di terze parti tramite caricamento lento con i facade"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Terza parte"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Il codice di terze parti può incidere notevolmente sulle prestazioni del caricamento. Limita il numero di provider di terze parti superflui e prova a caricare il codice di terze parti al termine del caricamento della pagina. [Ulteriori informazioni](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Il codice di terze parti ha bloccato il thread principale per {timeInMs, number, milliseconds} ms"},
"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Riduci l'impatto del codice di terze parti"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Riduci al minimo l'utilizzo di codice di terze parti"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Misurazione"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metrica"},"lighthouse-core/audits/timing-budget.js | description":{message:"Imposta un budget per le tempistiche per tenere sotto controllo le prestazioni del tuo sito. I siti con ottime prestazioni vengono caricati velocemente e rispondono rapidamente agli eventi di input degli utenti. [Ulteriori informazioni](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Budget per le tempistiche"},"lighthouse-core/audits/unsized-images.js | description":{
message:"Imposta larghezza e altezza esplicite negli elementi immagine per ridurre le variazioni di layout e migliorare la metrica CLS. [Ulteriori informazioni](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Gli elementi immagine non hanno `width` e `height` esplicite"},"lighthouse-core/audits/unsized-images.js | title":{message:"Gli elementi immagine hanno `width` e `height` esplicite"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tipo"},"lighthouse-core/audits/user-timings.js | description":{message:"Potresti dotare la tua app dell'API User Timing per misurare le prestazioni reali dell'app durante le esperienze utente chiave. [Ulteriori informazioni](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 tempo utente}other{# tempi utente}}"},"lighthouse-core/audits/user-timings.js | title":{
message:"Indicatori e misure User Timing"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'È stato trovato un elemento `<link rel=preconnect>` per "{securityOrigin}", ma non è stato utilizzato dal browser. Verifica che l\'attributo `crossorigin` sia utilizzato in modo corretto.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Potresti aggiungere hint delle risorse `preconnect` o `dns-prefetch` per collegarti anticipatamente a importanti origini di terze parti. [Ulteriori informazioni](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Precollegati alle origini necessarie"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Sono state trovate più di 2 connessioni `<link rel=preconnect>`. Queste connessioni devono essere usate con moderazione e soltanto per le origini più importanti."},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'È stato trovato un elemento `<link rel=preconnect>` per "{securityOrigin}", ma non è stato utilizzato dal browser. Usa `preconnect` soltanto per origini importanti che verranno sicuramente richieste dalla pagina.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'È stato trovato un precaricamento `<link>` per "{preloadURL}", ma non è stato utilizzato dal browser. Verifica che l\'attributo `crossorigin` sia utilizzato in modo corretto.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Potresti usare `<link rel=preload>` per dare la priorità al recupero delle risorse attualmente richieste in un secondo momento nel caricamento della pagina. [Ulteriori informazioni](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Precarica le richieste fondamentali"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{
message:"URL mappa"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Le mappe di origine convertono il codice minimizzato nel codice sorgente originale. Questo facilita il debug agli sviluppatori in fase di produzione. Inoltre, Lighthouse può fornire ulteriori informazioni. Valuta la possibilità di implementare le mappe di origine per usufruire di questi vantaggi. [Ulteriori informazioni](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Mancano le mappe di origine per il file JavaScript proprietario di grandi dimensioni"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Nel file JavaScript di grandi dimensioni manca una mappa di origine"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Avviso: manca 1 elemento in `.sourcesContent`}other{Avviso: mancano # elementi in `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"La pagina ha mappe di origine valide"},"lighthouse-core/audits/viewport.js | description":{message:'Aggiungi un tag `<meta name="viewport">` per ottimizzare la tua app per gli schermi dei dispositivi mobili. [Ulteriori informazioni](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nessun tag `<meta name="viewport">` trovato'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Non ha un tag `<meta name="viewport">` con `width` o `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Ha un tag `<meta name="viewport">` con `width` o `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"Si tratta di opportunità per facilitare l'uso di ARIA nella tua applicazione e migliorare l'esperienza per gli utenti di tecnologie per la disabilità, come uno screen reader."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Si tratta di opportunità per fornire contenuti alternativi per audio e video. Ciò può migliorare l'esperienza per gli utenti con problemi di udito o di vista."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio e video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Questi elementi evidenziano le best practice di accessibilità comuni."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Best practice"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Questi controlli mettono in evidenza le opportunità per [migliorare l'accessibilità della tua applicazione web](https://developers.google.com/web/fundamentals/accessibility). È possibile rilevare automaticamente soltanto un sottoinsieme di problemi di accessibilità, pertanto sono consigliati anche i test manuali."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Questi elementi riguardano aree che uno strumento di test automatizzato non può coprire. Leggi ulteriori informazioni nella nostra guida su come [effettuare un esame di accessibilità](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accessibilità"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Si tratta di opportunità per migliorare la leggibilità dei contenuti."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{
message:"Contrasto"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Si tratta di opportunità per migliorare l'interpretazione data ai tuoi contenuti da utenti di lingua diversa."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internazionalizzazione e localizzazione"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Si tratta di opportunità per migliorare la semantica dei comandi della tua applicazione. Ciò può migliorare l'esperienza per gli utenti di tecnologie per la disabilità, come uno screen reader."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nomi ed etichette"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Si tratta di opportunità per migliorare la navigazione da tastiera nella tua applicazione."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigazione"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Si tratta di opportunità per migliorare l'esperienza di lettura dei dati nelle tabelle o negli elenchi per gli utenti di tecnologie per la disabilità, come gli screen reader."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabelle ed elenchi"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilità dei browser"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Best practice"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Generali"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Affidabilità e sicurezza"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Esperienza utente"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"I budget per le prestazioni consentono di stabilire gli standard per le prestazioni del tuo sito."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budget"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Ulteriori informazioni sulle prestazioni della tua applicazione. Questi valori non [incidono direttamente](https://web.dev/performance-scoring/) sul punteggio Prestazioni."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostica"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"L'aspetto più importante delle prestazioni è la velocità di visualizzazione dei pixel sullo schermo. Metriche chiave: First Contentful Paint, First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Miglioramenti della prima visualizzazione"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Questi suggerimenti possono aiutarti a velocizzare il caricamento della pagina. Non [incidono direttamente](https://web.dev/performance-scoring/) sul punteggio Prestazioni."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Opportunità"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metriche"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Migliora l'esperienza di caricamento generale per fare in modo che la pagina diventi reattiva e pronta all'uso nel più breve tempo possibile. Metriche chiave: Tempo per interattività, Indice velocità"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Miglioramenti generali"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Prestazioni"},
"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Questi controlli consentono di convalidare gli aspetti di un'app web progressiva. [Ulteriori informazioni](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Questi controlli sono richiesti in base all'[Elenco di controllo PWA](https://developers.google.com/web/progressive-web-apps/checklist) di riferimento, ma non vengono eseguiti automaticamente da Lighthouse. Non incidono sul tuo punteggio, ma è importante verificarli manualmente."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"App web progressiva"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Installabile"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Ottimizzato per PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Questi controlli assicurano che la pagina sia ottimizzata per il ranking dei risultati del motore di ricerca. Ci sono altri fattori che Lighthouse non controlla che potrebbero incidere sul ranking nella ricerca. [Ulteriori informazioni](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Esegui questi altri strumenti di convalida sul tuo sito per controllare ulteriori best practice per SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatta il tuo codice HTML in modo che i crawler possano comprendere meglio i contenuti della tua app."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Best practice per i contenuti"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Per poter mostrare la tua app nei risultati di ricerca, i crawler devono potervi accedere."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Scansione e indicizzazione"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Assicurati che le tue pagine siano ottimizzate per i dispositivi mobili in modo che gli utenti non debbano pizzicare o aumentare lo zoom per riuscire a leggere i contenuti delle pagine. [Ulteriori informazioni](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Ottimizzata per i dispositivi mobili"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Il dispositivo testato sembra disporre di una CPU più lenta rispetto a quella prevista da Lighthouse. Ciò può influire negativamente sul tuo punteggio relativo alle prestazioni. Scopri di più sulla [calibrazione di un moltiplicatore di rallentamento CPU adeguato](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"La pagina potrebbe non essere caricata come previsto perché l'URL di prova ({requested}) è stato reindirizzato a {final}. Prova a testare direttamente il secondo URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Il caricamento della pagina è stato troppo lento e non è stato completato entro il limite di tempo. I risultati potrebbero essere incompleti."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Potrebbero esserci dei dati memorizzati che incidono sulle prestazioni di caricamento in questa posizione: {locations}. Controlla questa pagina in una finestra di navigazione in incognito per evitare che queste risorse incidano sui tuoi punteggi.}other{Potrebbero esserci dei dati memorizzati che incidono sulle prestazioni di caricamento in queste posizioni: {locations}. Controlla questa pagina in una finestra di navigazione in incognito per evitare che queste risorse incidano sui tuoi punteggi.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Potresti aggiungere schemi URL https: e http: (ignorati dai browser che supportano "strict-dynamic") per la compatibilità con le versioni precedenti dei browser.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"L'istruzione disown-opener è deprecata da CSP3. Usa invece l'intestazione Cross-Origin-Opener-Policy."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"L'istruzione referrer è deprecata da CSP2. Usa invece l'intestazione Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"L'istruzione reflected-xss è deprecata da CSP2. Usa invece l'intestazione X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'A causa della mancanza di un\'istruzione base-uri, i tag <base> inseriti possono impostare l\'URL di base di tutti gli URL relativi (ad esempio gli script) per un dominio controllato da un utente malintenzionato. Potresti impostare base-uri su "none" o "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Gli elementi controllati tramite object-src sono considerati funzionalità precedenti. Potresti impostare object-src su "none" per impedire l\'inserimento di plug-in che eseguono script non sicuri.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"Manca l'istruzione script-src. Potrebbe essere consentita l'esecuzione di script non sicuri."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Hai dimenticato il punto e virgola? {keyword} sembra essere un'istruzione, non una parola chiave."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Per i valori nonce dovresti usare il set di caratteri Base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"I valori nonce devono essere di almeno 8 caratteri."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"La destinazione di reporting è configurata soltanto tramite l'istruzione report-to. Questa istruzione è supportata soltanto nei browser basati su Chromium, pertanto è consigliato usare anche un'istruzione report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"Nessun criterio CSP configura una destinazione di reporting. In questo modo è difficile mantenere il criterio CSP nel tempo e monitorare eventuali interruzioni."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'Spesso le liste consentite di host possono essere aggirate. Potresti usare "strict-dynamic" insieme ad hash o nonce CSP.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Istruzione CSP sconosciuta."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} sembra essere una parola chiave non valida."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"L'istruzione \"unsafe-inline\" consente l'esecuzione di gestori di eventi e script in-page non sicuri. Potresti usare hash o nonce CSP per consentire singoli script."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:'Potresti aggiungere l\'istruzione "unsafe-inline" (ignorata dai browser che supportano nonce/hash) per la compatibilità con le versioni precedenti dei browser.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Durata blocco thread principale"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL cache"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descrizione"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Durata"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemento"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementi respinti"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Posizione"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nome"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Oltre il budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Richieste"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Dimensioni risorsa"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tipo di risorsa"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Dimensioni"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Origine"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Inizio"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Tempo trascorso"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Dimensioni trasferimento"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potenziali riduzioni"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potenziali riduzioni"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Potenziali riduzioni di {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 elemento trovato}other{# elementi trovati}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potenziali riduzioni di {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Documento"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Carattere"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Immagine"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Alta"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Bassa"
},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"First Input Delay potenziale max"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Contenuti multimediali"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Altro"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Altre risorse"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Foglio di stile"},
"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Terze parti"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Totale"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Si è verificato un problema con la registrazione della traccia durante il caricamento della pagina. Esegui di nuovo Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Timeout durante l'attesa della connessione iniziale al protocollo del debugger."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome non ha raccolto nessuno screenshot durante il caricamento pagina. Assicurati che nella pagina siano presenti contenuti visibili, quindi riprova a eseguire Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"I server DNS non sono stati in grado di risolvere il dominio fornito."},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Il gatherer {artifactName} richiesto ha riscontrato un errore: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Errore interno di Chrome. Riavvia Chrome e prova a eseguire di nuovo Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Il gatherer {artifactName} richiesto non è stato eseguito."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"La pagina non ha visualizzato alcun contenuto. Assicurati che la finestra del browser rimanga in primo piano durante il caricamento e riprova. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"La pagina specificata non è HTML (pubblicata come tipo MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Questa versione di Chrome è troppo vecchia e non supporta "{featureName}". Usa una versione più recente per vedere i risultati completi.'},
"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse non può completare il caricamento della pagina richiesta. Assicurati che l'URL verificato sia quello corretto e che il server stia rispondendo opportunamente a tutte le richieste."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse non può completare il caricamento dell'URL richiesto perché la pagina non risponde più."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"L'URL fornito non ha un certificato di sicurezza valido. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome ha impedito il caricamento della pagina con un interstitial. Assicurati che l'URL verificato sia quello corretto e che il server stia rispondendo opportunamente a tutte le richieste."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"Impossibile caricare la pagina richiesta in modo affidabile in Lighthouse. Assicurati che l'URL verificato sia quello corretto e che il server stia rispondendo opportunamente a tutte le richieste. Informazioni dettagliate: {errorDetails}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Impossibile caricare la pagina richiesta in modo affidabile in Lighthouse. Assicurati che l'URL verificato sia quello corretto e che il server stia rispondendo opportunamente a tutte le richieste. (Codice di stato: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Il caricamento della tua pagina ha richiesto troppo tempo. Segui le opportunità fornite nel rapporto per ridurre il tempo di caricamento della pagina e prova a eseguire di nuovo Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Il tempo di attesa allocato per ricevere una risposta dal protocollo DevTools è scaduto. (Metodo: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Il tempo allocato per il recupero dei contenuti della risorsa è scaduto"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"L'URL fornito non è valido."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tutto"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Tutti gli script"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Copertura"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Moduli duplicati"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Byte risorsa"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nome"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Mostra/nascondi tabella"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{
message:"Byte non utilizzati"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Per i contenuti animati, usa [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) per ridurre al minimo l'utilizzo di CPU mentre i contenuti sono fuori dallo schermo."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Potresti visualizzare tutti i componenti [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) nei formati WebP e specificare un'immagine di riserva appropriata per altri browser. [Ulteriori informazioni](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Assicurati di usare un attributo [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) per attivare il caricamento lento automatico delle immagini. [Ulteriori informazioni](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Usa strumenti quali lo [strumento di ottimizzazione AMP](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) per [eseguire il rendering lato server dei layout AMP](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consulta la [documentazione relativa ad AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) per verificare che tutti i tuoi stili siano supportati."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Il componente [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) supporta l'attributo [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/), che consente di specificare quali asset immagine usare in base alle dimensioni dello schermo. [Ulteriori informazioni](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Potresti usare lo scorrimento virtuale con Component Dev Kit (CDK) se viene eseguito il rendering di elenchi di dimensioni molto grandi. [Ulteriori informazioni](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Applica la [suddivisione del codice a livello di route](https://web.dev/route-level-code-splitting-in-angular/) per ridurre al minimo le dimensioni dei bundle JavaScript. Potresti anche memorizzare anticipatamente nella cache gli asset usando il [service worker Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Se usi l'interfaccia a riga di comando Angular, assicurati che le build vengano generate in modalità di produzione. [Ulteriori informazioni](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Se usi l'interfaccia a riga di comando Angular, includi mappe di origine nella build di produzione per controllare i tuoi bundle. [Ulteriori informazioni](https://angular.io/guide/deployment#inspect-the-bundles)"},
"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Precarica in anticipo le route per velocizzare la navigazione. [Ulteriori informazioni](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Potresti usare l'utility `BreakpointObserver` di Component Dev Kit (CDK) per gestire i punti di interruzione delle immagini. [Ulteriori informazioni](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Potresti caricare la tua GIF su un servizio che la renda disponibile per l'incorporamento come video HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Specifica `@font-display` durante la definizione dei caratteri personalizzati per il tuo tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Potresti installare e configurare [un modulo per usare i formati dell'immagine WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) sul tuo sito. Questi moduli generano automaticamente una versione WebP delle tue immagini caricate per ottimizzare i tempi di caricamento."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Installa [un modulo Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) che consenta il caricamento lento delle immagini. Questi moduli offrono la possibilità di rimandare qualsiasi immagine fuori schermo per migliorare le prestazioni."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Potresti usare un modulo per incorporare codice JavaScript e CSS fondamentale o potenzialmente caricare asset in modo asincrono tramite JavaScript, come il modulo [CSS avanzato/Aggregazione JS](https://www.drupal.org/project/advagg). Fai attenzione perché le ottimizzazioni offerte da questo modulo potrebbero interrompere la funzionalità del tuo sito, pertanto potresti dover apportare modifiche al codice."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Le specifiche del server, i moduli e i temi contribuiscono al tempo di risposta del server. Potresti usare un tema più ottimizzato, selezionando con cura un modulo per l'ottimizzazione e/o eseguendo l'upgrade del server. I server hosting dovrebbero usare la memorizzazione nella cache opcode PHP, la memorizzazione nella cache per ridurre i tempi di query del database come Redis o memcache e una logica dell'applicazione ottimizzata per preparare più rapidamente le pagine."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Potresti usare gli [stili di immagini adattabili](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) per ridurre le dimensioni delle immagini caricate nella tua pagina. Se usi Views per mostrare diversi contenuti su una pagina, potresti implementare l'impaginazione per limitare il numero di contenuti mostrati su una data pagina."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'Assicurati di aver attivato l\'opzione "Aggregate CSS files" (Aggrega file CSS) nella pagina "Administration » Configuration » Development" (Amministrazione » Configurazione » Sviluppo). Inoltre, puoi configurare altre opzioni di aggregazione avanzate tramite i [moduli aggiuntivi](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) per velocizzare il tuo sito concatenando, minimizzando e comprimendo i tuoi stili CSS.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Assicurati di aver attivato l\'opzione "Aggregate JavaScript files" (Aggrega file JavaScript) nella pagina "Administration » Configuration » Development" (Amministrazione » Configurazione » Sviluppo). Inoltre, puoi configurare altre opzioni di aggregazione avanzate tramite i [moduli aggiuntivi](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) per velocizzare il tuo sito concatenando, minimizzando e comprimendo i tuoi asset JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Potresti rimuovere le regole CSS inutilizzate e collegare solo le librerie Drupal necessarie alle pagine o ai componenti in una pagina pertinenti. Per i dettagli, apri il [link alla documentazione relativa a Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Per individuare le librerie collegate che aggiungono CSS estraneo, prova a eseguire la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Puoi individuare il tema/modulo responsabile nell'URL del foglio di stile quando l'aggregazione CSS è disattivata sul tuo sito Drupal. Cerca i temi/moduli che nell'elenco hanno diversi fogli di stile con molto rosso nella copertura del codice. Un tema/modulo dovrebbe aggiungere in coda un foglio di stile solo se viene effettivamente utilizzato nella pagina."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Potresti rimuovere gli asset JavaScript inutilizzati e collegare solo le librerie Drupal necessarie alle pagine o ai componenti in una pagina pertinenti. Per informazioni dettagliate, apri il [link che rimanda alla documentazione relativa a Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Per individuare le librerie collegate che aggiungono JavaScript estraneo, prova a eseguire la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Strumenti per sviluppatori di Chrome. Puoi individuare il tema/modulo responsabile nell'URL dello script quando l'aggregazione JavaScript è disattivata sul tuo sito Drupal. Cerca i temi/moduli che nell'elenco hanno diversi script con molto rosso nella copertura del codice. Un tema/modulo dovrebbe aggiungere in coda uno script solo se viene effettivamente utilizzato nella pagina."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Imposta l\'opzione "Browser and proxy cache maximum age" (Durata massima cache browser e proxy) nella pagina "Administration » Configuration » Development" (Amministrazione » Configurazione » Sviluppo). Leggi informazioni su [cache e ottimizzazione di Drupal per le prestazioni](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Potresti usare [un modulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) che ottimizza e riduce automaticamente le dimensioni delle immagini caricate tramite il sito preservandone la qualità. Inoltre, assicurati di stare utilizzando gli [stili di immagini adattabili](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) nativi forniti da Drupal (disponibili in Drupal 8 e versioni successive) per tutte le immagini visualizzate sul sito."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Puoi aggiungere hint di precollegamento o prelettura DNS delle risorse installando e configurando [un modulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) che offre servizi per gli hint delle risorse user agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Assicurati di stare utilizzando gli [stili di immagini adattabili](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) nativi forniti da Drupal (disponibili in Drupal 8 e versioni successive). Usa gli stili di immagini adattabili per il rendering dei campi immagine con modalità di visualizzazione, visualizzazioni o immagini caricate tramite l'editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Potresti caricare la tua GIF su un servizio che la renda disponibile per l'incorporamento come video HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Potresti usare un [plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) o un servizio che converta automaticamente le immagini caricate nei formati ottimali."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Installa un [plug-in Joomla per il caricamento lento](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) che consenta di rimandare qualsiasi immagine fuori schermo oppure passa a un modello che offra questa funzionalità. A partire da Joomla 4.0, tutte le nuove immagini riceveranno [automaticamente](https://github.com/joomla/joomla-cms/pull/30748) l'attributo `loading` dal core."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Esistono diversi plug-in Joomla che possono esserti utili per [incorporare asset di importanza critica](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) o [rimandare le risorse meno importanti](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Fai attenzione perché le ottimizzazioni offerte da questi plug-in potrebbero interrompere le funzionalità dei tuoi modelli o plug-in, pertanto potresti dover effettuare un test accurato."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Le specifiche del server, i modelli e le estensioni contribuiscono al tempo di risposta del server. Potresti usare un modello più ottimizzato, selezionando con cura un'estensione per l'ottimizzazione e/o eseguendo l'upgrade del server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Potresti mostrare degli estratti nelle categorie dei tuoi articoli (ad esempio utilizzando il link "Ulteriori informazioni"), riducendo il numero di articoli che vengono mostrati su una determinata pagina, dividendo i post più lunghi in più pagine o utilizzando un plug-in per il caricamento lento dei commenti.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Esistono diverse [estensioni di Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) in grado di velocizzare il tuo sito concatenando, minimizzando e comprimendo i tuoi stili CSS. Ci sono anche dei modelli che offrono questa funzionalità."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Esistono diverse [estensioni di Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) in grado di velocizzare il tuo sito concatenando, minimizzando e comprimendo i tuoi script. Ci sono anche dei modelli che offrono questa funzionalità."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Potresti ridurre, o cambiare, il numero di [estensioni di Joomla](https://extensions.joomla.org/) che caricano file CSS inutilizzati nella tua pagina. Per individuare le estensioni che aggiungono CSS estraneo, prova a eseguire la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Puoi individuare il tema/plug-in responsabile nell'URL del foglio di stile. Cerca i plug-in che nell'elenco hanno diversi fogli di stile con molto rosso nella copertura del codice. Un plug-in dovrebbe aggiungere in coda un foglio di stile solo se la pagina lo utilizza davvero."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"Potresti ridurre, o cambiare, il numero di [estensioni di Joomla](https://extensions.joomla.org/) che caricano file JavaScript inutilizzati nella tua pagina. Per individuare i plug-in che aggiungono JavaScript estraneo, prova a eseguire la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Puoi individuare l'estensione responsabile nell'URL dello script. Cerca le estensioni che nell'elenco hanno diversi script con molto rosso nella copertura del codice. Un'estensione dovrebbe aggiungere in coda uno script solo se viene effettivamente utilizzato nella pagina."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Leggi informazioni sulla [memorizzazione nella cache del browser in Joomla](https://docs.joomla.org/Cache)."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"Potresti usare un [plug-in per l'ottimizzazione delle immagini](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) in grado di comprimere le tue immagini preservandone la qualità."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Potresti usare un [plug-in di immagini adattabili](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) per usare questo tipo di immagini nei tuoi contenuti."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Puoi attivare la compressione del testo abilitando la compressione Gzip della pagina in Joomla: System (Sistema) > Global configuration (Configurazione globale) > Server."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{
message:"Se non crei bundle per gli asset JavaScript, potresti usare [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Disattiva le funzionalità di [minimizzazione e creazione di bundle JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) incorporate in Magento; al loro posto potresti usare [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Specifica `@font-display` quando [definisci caratteri personalizzati](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Potresti cercare sul [Marketplace Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) una serie di estensioni di terze parti per utilizzare i formati di immagine più recenti."},
"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Potresti modificare i modelli del prodotto e del catalogo in modo da usare la funzionalità di [caricamento lento](https://web.dev/native-lazy-loading) della piattaforma web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Usa l'[integrazione Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) di Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Attiva l'opzione per minimizzare i file CSS nelle impostazioni sviluppatore del tuo store. [Ulteriori informazioni](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Usa [Terser](https://www.npmjs.com/package/terser) per minimizzare tutti gli asset JavaScript del deployment dei contenuti statici e disattiva la funzionalità di minimizzazione incorporata."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Disattiva la [funzionalità di creazione di bundle JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) incorporata in Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Potresti cercare sul [Marketplace Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) una serie di estensioni di terze parti per ottimizzare le immagini."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Puoi aggiungere hint di precollegamento o prelettura DNS delle risorse [modificando il layout di un tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Puoi aggiungere i tag `<link rel=preload>` [modificando il layout di un tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Sostituisci le GIF animate con i video](https://web.dev/replace-gifs-with-videos/) per caricamenti della pagina web più rapidi e valuta l'utilizzo di formati file moderni come [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) o [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) per migliorare l'efficienza della compressione di oltre il 30% rispetto al codec video attualmente più avanzato, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Valuta l'utilizzo di un [plug-in](https://octobercms.com/plugins?search=image) o di un servizio che converta automaticamente le immagini caricate nei formati ottimali. Le [immagini WebP senza perdita](https://developers.google.com/speed/webp) sono il 26% più piccole rispetto a quelle in formato PNG e il 25-34% più piccole rispetto alle immagini JPEG in base all'indice di qualità SSIM equivalente. Un altro formato dell'immagine innovativo da valutare è [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Valuta l'installazione di un [plugin per il caricamento lento delle immagini](https://octobercms.com/plugins?search=lazy) che consenta di rimandare qualsiasi immagine fuori schermo oppure passa a un tema che offra questa funzionalità. Potresti anche valutare l'utilizzo del [plug-in AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Esistono diversi plug-in che possono essere utili per [incorporare le risorse di importanza critica](https://octobercms.com/plugins?search=css). Questi plug-in potrebbero interrompere altri plug-in, pertanto dovresti effettuare un test accurato."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Le specifiche del server, i plug-in e i temi contribuiscono al tempo di risposta del server. Valuta l'utilizzo di un tema più ottimizzato, selezionando con cura un plug-in di ottimizzazione e/o eseguendo l'upgrade del server. Il CMS October consente inoltre agli sviluppatori di utilizzare [`Queues`](https://octobercms.com/docs/services/queues) per rimandare l'elaborazione di un'attività lunga, ad esempio l'invio di un'email. In questo modo le richieste web si velocizzano drasticamente."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"Potresti mostrare degli estratti negli elenchi dei tuoi post (ad es. utilizzando un pulsante `show more`), ridurre il numero di post che vengono mostrati su una determinata pagina web, dividere i post più lunghi su più pagine o utilizzare un plug-in per il caricamento lento dei commenti."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Esistono diversi [plugin](https://octobercms.com/plugins?search=css) in grado di velocizzare un sito web tramite la concatenazione, la minimizzazione e la compressione degli stili. L'utilizzo di un processo di compilazione per eseguire la minimizzazione in anticipo può velocizzare lo sviluppo."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Esistono diversi [plug-in](https://octobercms.com/plugins?search=javascript) in grado di velocizzare un sito web tramite la concatenazione, la minimizzazione e la compressione degli script. L'utilizzo di un processo di compilazione per eseguire la minimizzazione in anticipo può velocizzare lo sviluppo."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Valuta la revisione dei [plug-in](https://octobercms.com/plugins) che caricano CSS inutilizzato sul sito web. Per identificare i plug-in che aggiungono CSS non necessario, esegui la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Strumenti per sviluppatori di Chrome. Individua il tema/plugin responsabile dall'URL del foglio di stile. Cerca i plug-in che hanno diversi fogli di stile con molto rosso nella copertura del codice. Un plug-in dovrebbe aggiungere un foglio di stile solo se viene effettivamente utilizzato nella pagina web."
},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Valuta la revisione dei [plug-in](https://octobercms.com/plugins?search=javascript) che caricano JavaScript inutilizzati nella pagina web. Per identificare i plug-in che aggiungono JavaScript non necessari, esegui la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Strumenti per sviluppatori di Chrome. Individua il tema/plug-in responsabile nell'URL dello script. Cerca i plug-in che hanno diversi script con molto rosso nella copertura del codice. Un plug-in dovrebbe aggiungere uno script solo se viene effettivamente utilizzato nella pagina web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Scopri come [impedire le richieste di rete non necessarie con la cache HTTP](https://web.dev/http-cache/#caching-checklist). Esistono numerosi [plug-in](https://octobercms.com/plugins?search=Caching) che si possono utilizzare per velocizzare la memorizzazione nella cache."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Valuta l'utilizzo di un [plug-in per l'ottimizzazione delle immagini](https://octobercms.com/plugins?search=image) per comprimere le tue immagini preservandone la qualità."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"Carica le immagini direttamente sul gestore contenuti multimediali per assicurarti che le dimensioni delle immagini richieste siano disponibili. Valuta l'utilizzo del [filtro di ridimensionamento](https://octobercms.com/docs/markup/filter-resize) o di un [plug-in per il ridimensionamento delle immagini](https://octobercms.com/plugins?search=image) per assicurarti che vengano utilizzate le dimensioni delle immagini ottimali."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Attiva la compressione del testo nella configurazione del server web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Valuta l'utilizzo di una libreria di \"windowing\" come `react-window` per ridurre al minimo il numero di nodi DOM creati se esegui il rendering di tanti elementi ripetuti nella pagina. [Scopri di più](https://web.dev/virtualize-long-lists-react-window/) Riduci al minimo anche le ripetizioni del rendering superflue usando [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) o [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) e [salta gli effetti](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) soltanto fino alla modifica di determinate dipendenze se usi l'hook `Effect` per migliorare le prestazioni di runtime."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Se usi React Router, riduci al minimo l'utilizzo del componente `<Redirect>` per la [navigazione tra route](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Se usi il rendering lato server per i componenti React, potresti usare `renderToNodeStream()` o `renderToStaticNodeStream()` per consentire al client di ricevere e compilare parti diverse del markup anziché tutto il markup contemporaneamente. [Ulteriori informazioni](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"Se il tuo sistema di compilazione minimizza automaticamente i file CSS, assicurati di eseguire il deployment della build di produzione della tua applicazione. Puoi verificare usando l'estensione React Developer Tools. [Ulteriori informazioni](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Se il tuo sistema di compilazione minimizza automaticamente i file JS, assicurati di eseguire il deployment della build di produzione della tua applicazione. Puoi verificare usando l'estensione React Developer Tools. [Ulteriori informazioni](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"Se non usi il rendering lato server, [suddividi i tuoi bundle JavaScript](https://web.dev/code-splitting-suspense/) con `React.lazy()`. In alternativa, suddividi il codice usando una libreria di terze parti come [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Usa lo strumento React DevTools Profiler, che usa l'API Profiler, per misurare le prestazioni di rendering dei tuoi componenti. [Ulteriori informazioni](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Potresti caricare la tua GIF su un servizio che la renda disponibile per l'incorporamento come video HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"Potresti usare un [plug-in](https://wordpress.org/plugins/search/convert+webp/) o un servizio che converta automaticamente le immagini caricate nei formati ottimali."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"Installa un [plug-in di WordPress per il caricamento lento](https://wordpress.org/plugins/search/lazy+load/) che consenta di rimandare qualsiasi immagine fuori schermo oppure passa a un tema che offra questa funzionalità. Potresti anche usare [il plug-in AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"Esistono diversi plug-in di WordPress che possono esserti utili per [incorporare le risorse di importanza critica](https://wordpress.org/plugins/search/critical+css/) o [rimandare le risorse meno importanti](https://wordpress.org/plugins/search/defer+css+javascript/). Fai attenzione perché le ottimizzazioni offerte da questi plug-in potrebbero interrompere le funzionalità del tuo tema o dei tuoi plug-in, pertanto potresti dover modificare il codice."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Le specifiche del server, i plug-in e i temi contribuiscono al tempo di risposta del server. Prendi in considerazione l'idea di utilizzare un tema più ottimizzato, selezionando con cura un plug-in per l'ottimizzazione e/o eseguendo l'upgrade del server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"Prendi in considerazione la possibilità di mostrare degli estratti nell'elenco dei tuoi post (ad esempio utilizzando il tag more), riducendo il numero di post che vengono mostrati su una determinata pagina, spezzando i post più lunghi su più pagine o utilizzando un plug-in per il caricamento differito dei commenti."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Esistono diversi [plug-in di WordPress](https://wordpress.org/plugins/search/minify+css/) in grado di velocizzare il tuo sito concatenando, minimizzando e comprimendo i tuoi stili. Se possibile, puoi anche utilizzare un processo di compilazione per eseguire la minimizzazione in anticipo."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Esistono diversi [plug-in di WordPress](https://wordpress.org/plugins/search/minify+javascript/) in grado di velocizzare il tuo sito concatenando, minimizzando e comprimendo i tuoi script. Se possibile, puoi anche utilizzare un processo di compilazione per eseguire la minimizzazione in anticipo."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Potresti ridurre, o cambiare, il numero di [plug-in di WordPress](https://wordpress.org/plugins/) che caricano file CSS inutilizzati nella tua pagina. Per individuare i plug-in che aggiungono CSS estraneo, prova a eseguire la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Puoi individuare il tema o il plug-in responsabile nell'URL del foglio di stile. Cerca i plug-in che nell'elenco hanno diversi fogli di stile con molto rosso nella copertura del codice. Un plug-in dovrebbe aggiungere in coda un foglio di stile solo se viene effettivamente utilizzato nella pagina."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Potresti ridurre, o cambiare, il numero di [plug-in di WordPress](https://wordpress.org/plugins/) che caricano file JavaScript inutilizzati nella tua pagina. Per individuare i plug-in che aggiungono JavaScript estraneo, prova a eseguire la [copertura del codice](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Puoi individuare il tema o il plug-in responsabile nell'URL dello script. Cerca i plug-in che nell'elenco hanno diversi script con molto rosso nella copertura del codice. Un plug-in dovrebbe aggiungere in coda uno script solo se viene effettivamente utilizzato nella pagina."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Leggi informazioni sulla [memorizzazione nella cache del browser in WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Potresti usare un [plug-in di WordPress per l'ottimizzazione delle immagini](https://wordpress.org/plugins/search/optimize+images/) in grado di comprimere le tue immagini preservandone la qualità."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Carica le immagini direttamente tramite la [libreria multimediale](https://wordpress.org/support/article/media-library-screen/) per assicurarti che siano disponibili le dimensioni delle immagini richieste, quindi inseriscile dalla libreria multimediale o utilizza il widget per immagini per assicurarti che vengano utilizzate le dimensioni ottimali (incluse quelle per i punti di interruzione adattabili). Evita di utilizzare immagini `Full Size`, a meno che le dimensioni siano adatte all'utilizzo previsto. [Ulteriori informazioni](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Puoi attivare la compressione del testo nella configurazione del server web."},"report/renderer/util.js | calculatorLink":{message:"Vai al calcolatore."},"report/renderer/util.js | crcInitialNavigation":{message:"Navigazione iniziale"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latenza massima del percorso critico:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copia JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Attiva/disattiva Tema scuro"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Stampa espansa"},"report/renderer/util.js | dropdownPrintSummary":{message:"Stampa riepilogo"},"report/renderer/util.js | dropdownSaveGist":{message:"Salva come Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Salva come HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Salva come JSON"},"report/renderer/util.js | dropdownViewer":{message:"Apri nell'app Viewer"},"report/renderer/util.js | errorLabel":{
message:"Errore"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Errore segnalato: nessuna informazione sul controllo"},"report/renderer/util.js | footerIssue":{message:"Segnala un problema"},"report/renderer/util.js | labDataTitle":{message:"Dati di prova controllati"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analisi [Lighthouse](https://developers.google.com/web/tools/lighthouse/) della pagina corrente su una rete mobile emulata. I valori sono delle stime e potrebbero variare."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Ulteriori elementi da controllare manualmente"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Non applicabile"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Opportunità"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Risparmi stimati"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Controlli superati"},
"report/renderer/util.js | runtimeDesktopEmulation":{message:"Desktop emulato"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 emulato"},"report/renderer/util.js | runtimeNoEmulation":{message:"Nessuna emulazione"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versione Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Potenza CPU/memoria"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitazione CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canale"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispositivo"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Data/ora recupero"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitazione della larghezza di banda della rete"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Impostazioni runtime"},"report/renderer/util.js | runtimeSettingsUA":{message:"User-agent (host)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User-agent (rete)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Valore sconosciuto"},"report/renderer/util.js | showRelevantAudits":{message:"Mostra controlli relativi a:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Comprimi snippet"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Espandi snippet"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Mostra risorse di terze parti"},"report/renderer/util.js | throttlingProvided":{message:"Fornita dall'ambiente"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Si sono verificati dei problemi che incidono su questa esecuzione di Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"I valori sono delle stime e potrebbero variare. Il [punteggio relativo alle prestazioni viene calcolato](https://web.dev/performance-scoring/) direttamente in base a queste metriche."},"report/renderer/util.js | viewTreemapLabel":{message:"Visualizza Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Controlli superati ma con avvisi"},"report/renderer/util.js | warningHeader":{message:"Avvisi: "}}},{}],122:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"アクセスキーは、ユーザーがページの特定の部分にすばやくフォーカスを移動するときに使います。正しく操作できるよう、各アクセスキーは一意にする必要があります。[詳細](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` の値が一意ではありません"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` の値は一意です"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"各 ARIA `role` は、`aria-*` 属性の特定のサブセットに対応しています。これらが一致しない場合、`aria-*` 属性は無効になります。[詳細](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` 属性は役割と一致していません"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` 属性は役割と一致しています"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"要素にユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには用途がわかりません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`、`link`、`menuitem` 要素にユーザー補助機能向けの名前が設定されていません。"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`、`link`、`menuitem` 要素にユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'スクリーン リーダーなどの支援技術は、ドキュメントの `<body>` に `aria-hidden="true"` が設定されていると、正常に動作しません。[詳細](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'ドキュメントの `<body>` に `[aria-hidden="true"]` が設定されています'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'ドキュメントの `<body>` に `[aria-hidden="true"]` は設定されていません'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'`[aria-hidden="true"]` 要素内にフォーカス可能な子要素がある場合、スクリーン リーダーなどの支援技術を使用するユーザーはこれらの操作可能な要素を使用できません。[詳細](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` 要素にフォーカス可能な子要素が含まれています'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` 要素にフォーカス可能な子要素は含まれていません'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{
message:"入力フィールドにユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには用途がわかりません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA 入力フィールドにユーザー補助機能向けの名前が設定されていません"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA 入力フィールドにユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"要素にユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには用途がわかりません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` 要素にユーザー補助機能向けの名前が設定されていません。"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` 要素にユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"`progressbar` 要素にユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには用途がわかりません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` 要素にユーザー補助機能向けの名前が設定されていません。"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` 要素にユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"一部の ARIA 役割には、スクリーン リーダーに要素の状態を伝える必須の属性があります。[詳細](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` に必須の `[aria-*]` 属性が一部指定されていません"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` に必須の `[aria-*]` 属性がすべて指定されています"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"目的のユーザー補助機能を実行するには、一部の ARIA 親役割に特定の子役割を含める必要があります。[詳細](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"ARIA `[role]` が指定されている要素には、特定の `[role]` を含む子を指定する必要がありますが、その一部またはすべてが指定されていません。"},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"ARIA `[role]` が指定されている要素に、特定の `[role]` を含む必要な子がすべて指定されています。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"目的のユーザー補助機能を正しく実行するには、一部の ARIA 子役割を特定の親役割に含める必要があります。[詳細](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` が必須の親要素に含まれていません"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` は必須の親要素に含まれています"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"目的のユーザー補助機能を実行するには、ARIA 役割に有効な値を指定してください。[詳細](https://web.dev/aria-roles/)"},
"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` の値は無効です"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` の値は有効です"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"切り替えフィールドにユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには使えません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA 切り替えフィールドにユーザー補助機能向けの名前が設定されていません"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA 切り替えフィールドにユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"要素にユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには用途がわかりません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` 要素にユーザー補助機能向けの名前が設定されていません。"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` 要素にユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"要素にユーザー補助機能向けの名前が設定されていない場合、スクリーン リーダーでは一般名で読み上げられるため、スクリーン リーダーのみを使用するユーザーには用途がわかりません。[詳細](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` 要素にユーザー補助機能向けの名前が設定されていません。"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` 要素にユーザー補助機能向けの名前が設定されています"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"支援技術（スクリーン リーダーなど）で、無効な値が指定された ARIA 属性を解釈できません。[詳細](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` 属性に有効な値が指定されていません"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` 属性に有効な値が指定されています"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"支援技術（スクリーン リーダーなど）で、無効な名前が指定された ARIA 属性を解釈できません。[詳細](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` 属性は無効か、スペルミスがあります"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` 属性は有効で、スペルミスもありません"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"問題のある要素"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"ボタンにユーザー補助機能名が指定されていない場合、スクリーン リーダーでは「ボタン」と読み上げられるため、スクリーン リーダーを使用しているユーザーはボタンの用途がわからず、使用することができなくなります。[詳細](https://web.dev/button-name/)"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"ボタンにユーザー補助機能名が指定されていません"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"ボタンにユーザー補助機能名が指定されています"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"重複するコンテンツをスキップする手段を追加すると、キーボードを使ったページの移動を効率化できます。[詳細](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"ページに見出し、スキップリンク、またはランドマーク領域が設定されていません"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"ページに見出し、スキップリンク、またはランドマーク領域が設定されています"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"低コントラストのテキストを使用すると、多くのユーザーは読むことが困難または不可能になります。[詳細](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"背景色と前景色には十分なコントラスト比がありません"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"背景色と前景色には十分なコントラスト比があります"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"定義リストが適切にマークアップされていないと、スクリーン リーダーで、誤解を招く内容や不正確な内容が読み上げられる可能性があります。[詳細](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{
message:"`<dl>` には、正しく順序付けられた `<dt>` および `<dd>` グループ、`<script>`、`<template>`、または `<div>` 要素以外も含まれています。"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` には、正しく順序付けられた `<dt>` および `<dd>` グループ、`<script>`、`<template>`、または `<div>` 要素のみが含まれています。"},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"スクリーン リーダーで正しく読み上げられるようにするには、定義リストの項目（`<dt>` と `<dd>`）を親の `<dl>` 要素でラップする必要があります。[詳細](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"定義リストの項目が `<dl>` 要素でラップされていません"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"定義リストの項目は `<dl>` 要素でラップされています"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"タイトルを指定すると、スクリーン リーダーのユーザーがページの概要を把握できるようになります。検索エンジンの使用時には、検索語句に関連するページかどうかを判断するための重要な要素となります。[詳細](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"ドキュメントに `<title>` 要素が指定されていません"},
"lighthouse-core/audits/accessibility/document-title.js | title":{message:"ドキュメントに `<title>` 要素が指定されています"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"支援技術で認識できるように、フォーカス可能な要素にはすべて一意の `id` を設定する必要があります。[詳細](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` 属性が有効でフォーカス可能な要素の ID が一意ではありません"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` 属性が有効でフォーカス可能な要素の ID はすべて一意です"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"他のインスタンスが支援技術によって見落とされることのないように、ARIA ID の値は一意にする必要があります。[詳細](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ID が一意ではありません"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ID は一意です"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"フォーム フィールドに複数のラベルが設定されている場合、スクリーン リーダーなどの支援技術で最初または最後のラベルだけ、もしくはすべてのラベルが読み上げられるため、混乱が生じる可能性があります。[詳細](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"フォーム フィールドに複数のラベルが設定されています"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"複数のラベルが設定されたフォーム フィールドはありません"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"スクリーン リーダーでは、フレームのコンテンツを説明するためにフレームのタイトルが使用されます。[詳細](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` または `<iframe>` の要素にタイトルが指定されていません"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` または `<iframe>` の要素にタイトルが指定されています"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"見出しを適切なレベルの順序で配置すると、ページのセマンティック構造を伝えることができ、支援技術を使用した操作やコンテンツの把握が簡単になります。[詳細](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"見出し要素は降順になっていません"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"見出し要素は降順になっています"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"ページで lang 属性が指定されていない場合、スクリーン リーダーは、スクリーン リーダーの設定時にユーザーが選択したデフォルト言語がページで使用されているものと見なします。そのページでデフォルト言語が実際には使用されていない場合、スクリーン リーダーはページのテキストを正しく読み上げられない可能性があります。[詳細](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` 要素に `[lang]` 属性が指定されていません"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` 要素に `[lang]` 属性が指定されています"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"有効な [BCP 47 言語](https://www.w3.org/International/questions/qa-choosing-language-tags#question)を指定すると、スクリーン リーダーでテキストが正しく読み上げられるようになります。[詳細](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` 要素の `[lang]` 属性に有効な値が指定されていません。"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` 要素の `[lang]` 属性に有効な値が指定されています"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"説明的要素は、簡潔でわかりやすい代替テキストにする必要があります。装飾的要素は、alt 属性が空の場合は無視される可能性があります。[詳細](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"画像要素に `[alt]` 属性が指定されていません"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"画像要素に `[alt]` 属性が指定されています"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"画像を `<input>` ボタンとして使用している場合は、代替テキストを指定すると、スクリーン リーダーのユーザーがボタンの用途を理解しやすくなります。[詳細](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` 要素に `[alt]` テキストが指定されていません'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` 要素に `[alt]` テキストが指定されています'},"lighthouse-core/audits/accessibility/label.js | description":{message:"ラベルを使用すると、フォームの各コントロールが支援技術（スクリーン リーダーなど）によって正しく読み上げられるようになります。[詳細](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"フォームの要素にラベルが関連付けられていません"},"lighthouse-core/audits/accessibility/label.js | title":{message:"フォームの要素にラベルが関連付けられています"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"識別可能、フォーカス可能な一意のリンクテキスト（および画像をリンクとして使用している場合はその代替テキスト）を使用すると、スクリーン リーダーでのナビゲーションの操作性が向上します。[詳細](https://web.dev/link-name/)"},
"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"リンクに識別可能な名前が指定されていません"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"リンクに識別可能な名前が指定されています"},"lighthouse-core/audits/accessibility/list.js | description":{message:"スクリーン リーダーでは、特殊な方法でリストが読み上げられます。適切に読み上げられるようにするには、正しいリスト構造を指定する必要があります。[詳細](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"リストには、`<li>` 要素と、スクリプト対応要素（`<script>` と `<template>`）以外も含まれています。"},"lighthouse-core/audits/accessibility/list.js | title":{message:"リストには、`<li>` 要素と、スクリプト対応要素（`<script>` と `<template>`）のみが含まれています。"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"スクリーン リーダーで正しく読み上げられるようにするには、リスト項目（`<li>`）を親の `<ul>` または `<ol>` に含める必要があります。[詳細](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"リスト項目（`<li>`）が `<ul>` または `<ol>` の親要素に含まれていません。"},
"lighthouse-core/audits/accessibility/listitem.js | title":{message:"リスト項目（`<li>`）は `<ul>` または `<ol>` の親要素に含まれています"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"ユーザーはページが自動的に更新されると思っていないため、自動更新によってフォーカスがページ上部に戻ると、ユーザーの利便性が低下する可能性があります。[詳細](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'ドキュメントで `<meta http-equiv="refresh">` が使用されています'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'ドキュメントで `<meta http-equiv="refresh">` が使用されていません'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"ズーム機能を無効にすると、画面の拡大操作を利用する視力の弱いユーザーがウェブページのコンテンツを確認できなくなります。[詳細](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` が `<meta name="viewport">` 要素で使用されているか、`[maximum-scale]` 属性が 5 未満に指定されています。'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{
message:'`[user-scalable="no"]` は `<meta name="viewport">` 要素で使用されておらず、`[maximum-scale]` 属性も 5 未満ではありません。'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"スクリーン リーダーは、テキスト以外のコンテンツを解釈できません。`<object>` 要素に代替テキストを追加すると、スクリーン リーダーを使用するユーザーが意味を把握するのに役立ちます。[詳細](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` 要素に `[alt]` テキストが指定されていません"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` 要素に `[alt]` テキストが指定されています"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"値が 0 より大きい場合は、明示的なナビゲーション順序を示します。技術的には有効ですが、多くの場合、支援技術を使用しているユーザーにとって利便性が低下します。[詳細](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"一部の要素で `[tabindex]` に 0 より大きい値が指定されています"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"`[tabindex]` に 0 より大きい値を指定している要素はありません"},
"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"スクリーン リーダーには、表内の移動を補助する機能があります。`[headers]` 属性を使用している `<td>` セルが同じ表の他のセルのみを参照するように設定すると、スクリーン リーダーの利便性が向上する可能性があります。[詳細](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`<table>` 要素で `[headers]` 属性を使用しているセルが、同じ表内にない要素 `id` を参照しています。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`<table>` 要素で `[headers]` 属性を使用しているセルは、同じ表内の表セルを参照しています。"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"スクリーン リーダーには、表内の移動を補助する機能があります。表のヘッダーが常に一部のセルを参照するように設定すると、スクリーン リーダーの利便性が向上する可能性があります。[詳細](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` 要素および `[role="columnheader"/"rowheader"]` が指定された要素に、記述されたデータセルがありません。'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'`<th>` 要素および `[role="columnheader"/"rowheader"]` が指定された要素に、記述されたデータセルがあります。'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"要素に有効な [BCP 47 言語](https://www.w3.org/International/questions/qa-choosing-language-tags#question)を指定すると、スクリーン リーダーでテキストが正しく読み上げられるようになります。[詳細](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` 属性に有効な値が指定されていません"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` 属性に有効な値が指定されています"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"動画に字幕を設定すると、聴覚障がいのあるユーザーが情報にアクセスしやすくなります。[詳細](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` 要素に、`[kind="captions"]` が指定された `<track>` 要素が含まれていません。'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` 要素に `[kind="captions"]` が指定された `<track>` 要素が含まれています'},
"lighthouse-core/audits/apple-touch-icon.js | description":{message:"ユーザーがプログレッシブ ウェブアプリを iOS のホーム画面に追加したとき、アプリが希望どおりのデザインで表示されるようにするには、`apple-touch-icon` を定義します。参照先は不透明な 192 ピクセル（または 180 ピクセル）の正方形の PNG 画像とする必要があります。[詳細](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"有効な `apple-touch-icon` が提供されていません"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` は古いバージョンです。`apple-touch-icon` を使用することをおすすめします。"},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"有効な `apple-touch-icon` が提供されています"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"現在の値"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"推奨トークン"},"lighthouse-core/audits/autocomplete.js | description":{
message:"`autocomplete` を使用すると、ユーザーがフォームを迅速に送信できます。ユーザーの負担を軽減するため、`autocomplete` 属性を有効な値に設定することを検討してください。[詳細](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` 要素に正しい `autocomplete` 属性が指定されていません"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"手動での確認が必要です"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"トークンの順序を確認する"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` 要素で `autocomplete` が正しく使用されています"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` トークン: 「{token}」は {snippet} で無効です"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"トークンの順序を確認: {snippet} の「{tokens}」"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome 拡張機能がこのページの読み込みに悪影響を及ぼしています。シークレット モードで、または拡張機能なしの Chrome プロファイルからページを監査してみてください。"},
"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"スクリプトの評価"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"スクリプトの解析"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"合計 CPU 時間"},"lighthouse-core/audits/bootup-time.js | description":{message:"JavaScript の解析、コンパイル、実行にかかる時間の短縮をご検討ください。配信する JavaScript ペイロードのサイズを抑えると効果が見込めます。[詳細](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"JavaScript の実行にかかる時間の低減"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript の実行にかかる時間"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"重複する大きい JavaScript モジュールをバンドルから削除すると、データ通信量を減らすことができます。 "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"JavaScript バンドル内の重複モジュールを削除する"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"サイズの大きい GIF は、アニメーション コンテンツの配信方法として効率的ではありません。ネットワークの通信量を抑えるため、GIF を使用する代わりに、アニメーションには MPEG4/WebM 動画、静止画像には PNG/WebP を使用することをご検討ください。[詳細](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"アニメーション コンテンツでの動画フォーマットの使用"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"ポリフィルと変換を使用すると、従来のブラウザで新しい JavaScript 機能を使用できるようになります。ただし、その機能の多くは最新ブラウザでは必要ありません。バンドルされた JavaScript の場合、モジュールあり / モジュールなしの機能検出を使用する最新スクリプトの導入戦略を採用することにより、従来のブラウザに対するサポートを維持しながら、最新ブラウザに送るコード量を減らすことができます。[詳細](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"最新ブラウザに従来の JavaScript を配信しないようにしてください"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"JPEG 2000、JPEG XR、WebP などの画像フォーマットは、PNG や JPEG より圧縮性能が高く、ダウンロード時間やデータ使用量を抑えることができます。[詳細](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"次世代フォーマットでの画像の配信"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"オフスクリーンの非表示の画像は、重要なリソースをすべて読み込んだ後に遅れて読み込むようにして、操作可能になるまでの時間を短縮することをご検討ください。[詳細](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"オフスクリーン画像の遅延読み込み"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"ページの First Paint をリソースがブロックしています。重要な JavaScript や CSS はインラインで配信し、それ以外の JavaScript やスタイルはすべて遅らせることをご検討ください。[詳細](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"レンダリングを妨げるリソースの除外"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{
message:"ネットワーク ペイロードのサイズが大きいと、ユーザーの金銭的負担が大きくなり、多くの場合、読み込み時間が長くなります。[詳細](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"合計サイズは {totalBytes, number, bytes} KiB でした"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"過大なネットワーク ペイロードの回避"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"過大なネットワーク ペイロードの回避"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS ファイルを最小化すると、ネットワーク ペイロードのサイズを抑えることができます。[詳細](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"CSS の最小化"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"JavaScript ファイルを最小化すると、ペイロード サイズとスクリプトの解析時間を抑えることができます。[詳細](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScript の最小化"
},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"スタイルシートから使用していないルールを削除して、スクロールせずに見える範囲のコンテンツで使用されていない CSS の読み込みを遅らせると、ネットワークの通信量を減らすことができます。[詳細](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"使用していない CSS の削減"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"使用していない JavaScript を減らして、必要になるまでスクリプトの読み込みを遅らせると、ネットワークの通信量を減らすことができます。[詳細](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"使用していない JavaScript の削減"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"キャッシュの有効期間を長くすると、再訪問したユーザーへのページの読み込み速度を向上できます。[詳細](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 件のリソースが見つかりました}other{# 件のリソースが見つかりました}}"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"静的なアセットと効率的なキャッシュ ポリシーの配信"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"静的なアセットでの効率的なキャッシュ ポリシーの使用"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"画像を最適化すると、読み込み時間を短縮しモバイルデータ量を抑えることができます。[詳細](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"効率的な画像フォーマット"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"適切なサイズの画像を配信して、モバイルデータ量を節約し読み込み時間を短縮してください。[詳細](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"適切なサイズの画像"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"テキストベースのリソースは圧縮（gzip、deflate、または brotli）して配信し、ネットワークの全体的な通信量を最小限に抑えてください。[詳細](https://web.dev/uses-text-compression/)"},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"テキスト圧縮の有効化"},"lighthouse-core/audits/content-width.js | description":{message:"アプリのコンテンツの幅がビューポートの幅と一致しない場合、アプリがモバイル画面に合わせて最適化されない可能性があります。[詳細](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"ビューポートのサイズ（{innerWidth} ピクセル）がウィンドウのサイズ（{outerWidth} ピクセル）と一致していません。"},"lighthouse-core/audits/content-width.js | failureTitle":{message:"コンテンツのサイズとビューポートのサイズが一致していません"},"lighthouse-core/audits/content-width.js | title":{message:"コンテンツのサイズとビューポートのサイズが一致しています"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"下のクリティカル リクエスト チェーンでは、高い優先度で読み込まれたリソースを確認できます。チェーンの長さを縮小する、リソースのダウンロード サイズを抑える、不要なリソースのダウンロードを遅らせるなどの手段を行って、ページの読み込み速度を改善することをご検討ください。[詳細](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 件のチェーンが見つかりました}other{# 件のチェーンが見つかりました}}"},
"lighthouse-core/audits/critical-request-chains.js | title":{message:"クリティカル リクエスト チェーンを回避してください"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"ディレクティブ"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"重大度"},"lighthouse-core/audits/csp-xss.js | description":{message:"厳格なコンテンツ セキュリティ ポリシー（CSP）を設定すると、クロスサイト スクリプティング（XSS）攻撃のリスクを大幅に軽減できます。[詳細](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"構文"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"このページでは CSP が <meta> タグで定義されています。可能な場合は、HTTP ヘッダーで CSP を定義することを検討してください。"},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"適用されている CSP はありません"},"lighthouse-core/audits/csp-xss.js | title":{message:"CSP が XSS 攻撃を防げるよう設定されているか確認する"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"非推奨 / 警告"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"行"},"lighthouse-core/audits/deprecations.js | description":{
message:"サポートの終了した API は最終的にブラウザから削除されます。[詳細](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 件の警告が見つかりました}other{# 件の警告が見つかりました}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"サポートを終了した API が使用されています"},"lighthouse-core/audits/deprecations.js | title":{message:"サポートを終了した API は使用されていません"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"アプリケーション キャッシュはサポートを終了しました。[詳細](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"「{AppCacheManifest}」が見つかりました"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"アプリケーション キャッシュを使用しています"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"アプリケーション キャッシュは使用していません"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"文字エンコードの宣言が必要です。これには、HTML の最初の 1,024 バイトか Content-Type HTTP レスポンス ヘッダーの中で `<meta>` タグを使用します。[詳細](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"文字セットが宣言されていないか、HTML での宣言が遅すぎます"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"文字セットを適切に定義する"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"doctype を指定すると、ブラウザは後方互換モードに切り替えることができなくなります。[詳細](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"doctype 名には `html` を小文字の文字列で指定する必要があります"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"ドキュメントには doctype を指定する必要があります"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId は空の文字列であることが想定されています"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId は空の文字列であることが想定されています"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{
message:"ページに HTML doctype が指定されていないため、後方互換モードに切り替わります"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"ページに HTML doctype が指定されています"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"統計情報"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"値"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"DOM サイズが大きいと、メモリの使用量が増え、[スタイルの計算](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations)に時間がかかり、[レイアウトのリフロー](https://developers.google.com/speed/articles/reflow)というコストが発生します。[詳細](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 件の要素}other{# 件の要素}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"過大な DOM サイズの回避"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"DOM の最大深さ"},
"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"合計 DOM 要素数"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"子要素の上限数"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"過大な DOM サイズの回避"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"問題のあるアンカー"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'パフォーマンスを向上し、セキュリティの脆弱性が生じないようにするには、`rel="noopener"` または `rel="noreferrer"` を外部リンクに追加します。[詳細](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"クロスオリジンへのリンクは安全ではありません"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"クロスオリジンへのリンクは安全です"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"アンカー（{anchorHTML}）のリンク先を特定できません。ハイパーリンクとして使用していない場合は、target=_blank を削除することをご検討ください。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"サイトから脈絡なしに位置情報の許可を求められると、ユーザーは不信感を抱き、困惑します。リクエストはユーザーの操作と関連付けて行うようにしてください。[詳細](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"ページの読み込み時に位置情報の許可がリクエストされます"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"ページの読み込み時に位置情報の許可はリクエストされません"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"問題の種類"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Chrome デベロッパー ツールの [`Issues`] パネルに記録された問題は未解決のものです。ネットワーク リクエストの失敗、不十分なセキュリティ コントロールや、他のブラウザの問題が原因で表示される可能性があります。各問題について詳しくは、Chrome DevTools の [Issues] パネルを開いてご確認ください。"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"問題が Chrome デベロッパー ツールの [`Issues`] パネルに記録されました"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"クロスオリジンのポリシーによってブロック"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"広告によるリソース使用量が多い"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome デベロッパー ツールの [`Issues`] パネルに記録されている問題はありません"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"バージョン"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"ページで検出されたすべてのフロントエンドの JavaScript ライブラリです。[詳細](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript ライブラリが検出されました"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"接続速度が遅い環境のユーザーの場合、`document.write()` で動的に挿入される外部スクリプトによってページの読み込みが数十秒遅れる可能性があります。[詳細](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{
message:"`document.write()` を使用しない"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"`document.write()` は使用されていません"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"最も高い重大度"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"ライブラリのバージョン"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"脆弱性の件数"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"一部の第三者スクリプトには、悪意のあるユーザーによって簡単に特定され利用されるような、既知のセキュリティの脆弱性が含まれていることがあります。[詳細](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 件の脆弱性が検出されました}other{# 件の脆弱性が検出されました}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"既知のセキュリティの脆弱性を含んだフロントエンドの JavaScript ライブラリが含まれています"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"既知のセキュリティの脆弱性を含んだフロントエンドの JavaScript ライブラリは除外されています"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"サイトから脈絡なしに通知の送信許可を求められると、ユーザーは不信感を抱き、困惑します。リクエストはユーザーの操作と関連付けて行うようにしてください。[詳細](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"ページの読み込み時に通知の許可がリクエストされます"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"ページの読み込み時に通知の許可はリクエストされません"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"パスワードの貼り付けを禁止すると、良好なセキュリティ ポリシーが損なわれます。[詳細](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"ユーザーはパスワード欄に貼り付けできません"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{
message:"ユーザーはパスワード欄に貼り付けできます"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"プロトコル"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 には、バイナリ ヘッダー、多重化など、HTTP/1.1 と比べて多くのメリットがあります。[詳細](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{HTTP/2 経由で配信されなかったリクエストが 1 件あります}other{HTTP/2 経由で配信されなかったリクエストが # 件あります}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2 を使用してください"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"ページのスクロール パフォーマンスを高めるには、touch および wheel イベント リスナーを `passive` として指定することをご検討ください。[詳細](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"スクロール パフォーマンスを高める受動的なリスナーが使用されていません"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{
message:"スクロール パフォーマンスを高める受動的なリスナーが使用されています"},"lighthouse-core/audits/errors-in-console.js | description":{message:"コンソールに記録されたエラーは未解決の問題を表します。これらはネットワーク リクエストの失敗や他のブラウザの問題が原因で表示される可能性があります。[詳細](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"ブラウザのエラーがコンソールに記録されました"},"lighthouse-core/audits/errors-in-console.js | title":{message:"コンソールに記録されたブラウザのエラーはありません"},"lighthouse-core/audits/font-display.js | description":{message:"フォント表示の CSS 機能を使用して、Web フォントの読み込み中にユーザーがテキストを読めるようにしてください。[詳細](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"ウェブフォント読み込み中のテキストの表示"},"lighthouse-core/audits/font-display.js | title":{message:"ウェブフォント読み込み中の全テキストの表示"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{オリジンの {fontOrigin} の `font-display` の値を Lighthouse で確認できませんでした。}other{オリジンの {fontOrigin} の `font-display` の値を Lighthouse で確認できませんでした。}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"アスペクト比（実際）"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"アスペクト比（表示）"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"画像は本来のアスペクト比で表示する必要があります。[詳細](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"不適切なアスペクト比の画像が表示されています"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"正しいアスペクト比の画像が表示されています"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"実サイズ"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"表示されるサイズ"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"適切なサイズ"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"画像をできるだけ鮮明に表示するには、画像の実サイズを、表示するサイズとピクセル比に比例させる必要があります。[詳細](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"画像が低い解像度で表示されています"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"画像が適切な解像度で表示されています"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"このアプリはすでにインストールされています"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"マ二フェストから必要なアイコンをダウンロードできませんでした"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"失敗の理由"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service Worker は、多くのプログレッシブ ウェブアプリ機能（オフライン、ホーム画面への追加、プッシュ通知など）をアプリで使用できるようにするための技術です。適切な Service Worker とマニフェストの実装により、ホーム画面にアプリを追加するようユーザーに促すメッセージをブラウザに自動的に表示でき、これによりエンゲージメントを高めることができます。[詳細](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{
message:"{itemCount,plural, =1{理由: 1 件}other{理由: # 件}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"ウェブアプリ マニフェストまたは Service Worker がインストール可能となる要件を満たしていません"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play ストア アプリの URL と Play ストアの ID が一致しません"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"ページがシークレット ウィンドウで読み込まれます"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"マニフェストの「display」プロパティは、「standalone」、「fullscreen」、「minimal-ui」のいずれかに設定する必要があります"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"マニフェストの「display_override」フィールドで、最初のサポート表示モードを「standalone」、「fullscreen」、「minimal-ui」のいずれかに設定する必要があります"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"マニフェストを取得または解析できなかったか、マニフェストが空です"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"マニフェストの取得中にマニフェストの URL が変更されました。"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"マニフェストに「name」または「short_name」フィールドがありません"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"マニフェストに適切なアイコンが含まれていません。{value0} ピクセル以上の PNG、SVG、または WebP 形式のアイコンが必要です。また、そのアイコンには sizes 属性を設定し、purpose 属性が設定されている場合は「any」を含める必要があります。"},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"purpose 属性を設定しないか、「any」に設定した状態で、PNG、SVG、または WebP 形式の {value0} ピクセル以上の正方形のアイコンが提供されていません"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"ダウンロードしたアイコンが空か、破損しています"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Play ストアの ID が提供されていません"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"ページにマニフェストの <link> URL がありません"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"一致する Service Worker が検出されませんでした。ページを再読み込みするか、現在のページの Service Worker のスコープにマニフェストのスコープと開始 URL が含まれていることを確認する必要があります。"},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"マニフェストに「start_url」フィールドがないため Service Worker をチェックできませんでした"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"インストール可能エラー ID「{errorId}」は認識されません"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"ページが安全な提供元から配信されていません"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"ページがメインフレームに読み込まれません"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"ページがオフラインに対応していません"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"指定されたアプリ プラットフォームは Android でサポートされていません"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"マニフェストの prefer_related_applications が true に指定されています"},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Android の Chrome の Beta チャンネルと Stable チャンネルでサポートされるのは、prefer_related_applications のみです。"},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"マニフェストの開始 URL が無効です"},"lighthouse-core/audits/installable-manifest.js | title":{message:"ウェブアプリ マニフェストと Service Worker はインストール可能となる要件を満たしています"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"マニフェストの URL にユーザー名、パスワード、またはポートが含まれています"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"ページがオフラインに対応していません。このページは、Chrome 93（2021 年 8 月の安定版リリース）以後はインストール可能と見なされません。"},"lighthouse-core/audits/is-on-https.js | allowed":{message:"許可"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"ブロック"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"安全でない URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{
message:"リクエストの解決方法"},"lighthouse-core/audits/is-on-https.js | description":{message:"すべてのサイトは、機密性の高い情報を扱っていない場合でも、HTTPS で保護する必要があります。たとえば、[混合コンテンツ](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)（HTTPS で送信されたリクエストに対して一部のリソースを HTTP で読み込む）などは使用しないようにします。HTTPS は、侵入者があなたのアプリとユーザー間の通信を改ざんしたり、傍受したりするのを防ぎます。HTTPS は、HTTP/2 や多くの新しいウェブ プラットフォーム API を使用するための前提条件となります。[詳細](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{安全でないリクエストが 1 件見つかりました}other{安全でないリクエストが # 件見つかりました}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"HTTPS が使用されていません"},"lighthouse-core/audits/is-on-https.js | title":{message:"HTTPS を使用しています"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"HTTPS に自動アップグレード"},"lighthouse-core/audits/is-on-https.js | warning":{message:"許可（警告あり）"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"ライブラリ"},
"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"JavaScript ライブラリのサイズが大きいと、パフォーマンスが低下することがあります。小さいサイズで同等の機能を持つライブラリを使用して、バンドルサイズを抑えてください。[詳細](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 件のサイズの大きいライブラリが見つかりました}other{# 件のサイズの大きいライブラリが見つかりました}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"必要以上にサイズの大きい JavaScript ライブラリを置き換えます"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"サイズの大きい JavaScript ライブラリをサイズの小さいものに置き換えます"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"ビューポート内で描画された最大のコンテンツ要素です。[詳細](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"「最大コンテンツの描画」要素"},
"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS への影響"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"ページの CLS への影響が特に大きい DOM 要素です。"},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"レイアウトが大きく変わらないようにする"},"lighthouse-core/audits/long-tasks.js | description":{message:"メインスレッドで長時間実行されているタスクを表示します。入力の遅延に最も影響しているタスクを特定する際に役立ちます。[詳細](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{長時間実行されているタスクが # 件見つかりました}other{長時間実行されているタスクが # 件見つかりました}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"メインスレッドでタスクが長時間実行されないようにしてください"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"カテゴリ"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"JavaScript の解析、コンパイル、実行にかかる時間を短縮することをご検討ください。JavaScript ペイロードのサイズを抑えるなどの方法があります。[詳細](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"メインスレッド処理の最小化"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"メインスレッド処理の最小化"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"ユーザー数を最大限に増やすには、サイトがすべての主要ブラウザで機能するようにします。[詳細](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"サイトがクロスブラウザに対応している"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"ソーシャル メディアで共有できるように、個々のページが URL によるディープリンクに対応していることと、それらの URL が固有であることを確認してください。[詳細](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"ページごとに 1 つの URL を使用している"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"遅いネットワークであってもタップしたときに画面がすばやく切り替われば、ユーザーはパフォーマンスの遅さを感じにくくなります。[詳細](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{
message:"ページの切り替え時、ネットワークが遅いという印象を与えない"},"lighthouse-core/audits/maskable-icon.js | description":{message:"マスク可能なアイコンでは、アプリをデバイスにインストールする際に、画像がレターボックス化されることなく図形全体が埋められます。[詳細](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"マニフェストにマスク可能なアイコンは含まれていません"},"lighthouse-core/audits/maskable-icon.js | title":{message:"マニフェストにマスク可能なアイコンが含まれています"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Cumulative Layout Shift はビューポート内の視覚要素がどのくらい移動しているかを測定する指標です。[詳細](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"First Contentful Paint は、テキストまたは画像が初めてペイントされるまでにかかった時間です。[詳細](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"First Meaningful Paint は、ページの主要なコンテンツが可視化されるまでにかかった時間です。[詳細](https://web.dev/first-meaningful-paint/)"},
"lighthouse-core/audits/metrics/interactive.js | description":{message:"操作可能になるまでの時間とは、ページが完全に操作可能になるのに要する時間です。[詳細](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"最大コンテンツの描画は、最も大きなテキストまたは画像が描画されるまでにかかった時間です。[詳細](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"初回入力遅延の最大推定時間は、ユーザーが最も長いタスクを行うのにかかると推定される時間です。[詳細](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"速度インデックスは、ページのコンテンツが取り込まれて表示される速さを表します。[詳細](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"タスクの処理時間が 50 ミリ秒を上回った場合の、コンテンツの初回描画から操作可能になるまでの合計時間（ミリ秒）です。[詳細](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{
message:"ネットワークのラウンドトリップ時間（RTT）はパフォーマンスに大きく影響します。発信元への RTT が高い場合は、サーバーの場所をユーザーの近くにするとパフォーマンスを改善できることを示しています。[詳細](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"ネットワークのラウンドトリップ時間"},"lighthouse-core/audits/network-server-latency.js | description":{message:"サーバーの待ち時間はウェブ パフォーマンスに影響することがあります。発信元のサーバーのレイテンシが高い場合は、サーバーが過負荷であるか、サーバーのバックエンド パフォーマンスが低いことを示しています。[詳細](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"サーバーのバックエンド待ち時間"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"`unload` イベントの発生は安定していないため、これをリッスンするとブラウザの最適化機能（バックフォワード キャッシュなど）が妨げられる可能性があります。代わりに `pagehide` または `visibilitychange` イベントの使用をご検討ください。[詳細](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"`unload` リスナーの登録"},
"lighthouse-core/audits/no-unload-listeners.js | title":{message:"`unload` イベントのリスナーの回避"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"合成されていないアニメーションは動きが不自然になり、CLS が大きくなることがあります。[詳細](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# 件のアニメーション要素が見つかりました}other{# 件のアニメーション要素が見つかりました}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"filter 関連のプロパティはピクセルの移動につながる可能性があります"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"ターゲットに互換性のない別のアニメーションが含まれています"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"エフェクトに「replace」以外の合成モードが含まれています"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"合成されていないアニメーションは使用しないでください"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{
message:"transform 関連のプロパティがボックスのサイズに依存しています"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{サポートされていない CSS プロパティ: {properties}}other{サポートされていない CSS プロパティ: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"サポートされていないタイミング パラメータがエフェクトで使用されています"},"lighthouse-core/audits/performance-budget.js | description":{message:"ネットワーク リクエストの数とサイズが、指定したパフォーマンス予算の設定目標内に収まるよう維持します。[詳細](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 件のリクエスト}other{# 件のリクエスト}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"パフォーマンス予算"},"lighthouse-core/audits/preload-fonts.js | description":{message:"`optional` のフォントをプリロードすると、初めてのユーザーも使用できます。[詳細](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{
message:"`font-display: optional` を使用するフォントがプリロードされていません"},"lighthouse-core/audits/preload-fonts.js | title":{message:"`font-display: optional` を使用するフォントがプリロードされています"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"LCP 時間を改善するため、LCP 要素で使用する画像をプリロードしてください。[詳細](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Largest Contentful Paint の画像のプリロード"},"lighthouse-core/audits/redirects-http.js | description":{message:"HTTPS を設定済みの場合は、すべてのユーザーに安全なウェブ機能を提供できるように、すべての HTTP トラフィックが HTTPS にリダイレクトされることを確認してください。[詳細](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"HTTP トラフィックは HTTPS にリダイレクトされません"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTP トラフィックは HTTPS にリダイレクトされます"},"lighthouse-core/audits/redirects.js | description":{message:"リダイレクトを行うと、ページの読み込みにさらに時間がかかる可能性があります。[詳細](https://web.dev/redirects/)"},
"lighthouse-core/audits/redirects.js | title":{message:"複数のページ リダイレクトの回避"},"lighthouse-core/audits/resource-summary.js | description":{message:"ページリソースの数とサイズの予算を設定するには、budget.json ファイルを追加します。[詳細](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 件のリクエスト • {byteCount, number, bytes} KiB}other{# 件のリクエスト • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"リクエスト数を少なく、転送サイズを小さく維持してください"},"lighthouse-core/audits/seo/canonical.js | description":{message:"正規リンクで、検索結果に表示する URL を指定します。[詳細](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"複数の URL が競合しています（{urlList}）"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"別のドメイン（{url}）を指しています"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL（{url}）が無効です"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"別の `hreflang` 位置（{url}）を指しています"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"相対 URL（{url}）"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"コンテンツの同等のページではなく、ドメインのルート URL（ホームページ）を参照しています。"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"ドキュメントに有効な `rel=canonical` が指定されていません"},"lighthouse-core/audits/seo/canonical.js | title":{message:"ドキュメントに有効な `rel=canonical` が指定されています"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"クロール不可のリンク"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"検索エンジンでは、ウェブサイトのクロールにリンクの `href` 属性を使用する場合があります。アンカー要素の `href` 属性に適切なリンク先が設定されていて、ウェブサイトの他のページを見つけられるようになっていることを確認してください。[詳細](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"リンクはクロールできません"},
"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"リンクはクロール可能です"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"追加の判読不可能なテキスト"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"フォントサイズ"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"ページテキストの割合"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"選択ツール"},"lighthouse-core/audits/seo/font-size.js | description":{message:"12 px より小さいフォントサイズは小さすぎて判読できず、モバイル ユーザーには「ピンチしてズーム」の操作が必要になります。60% を超えるページ テキストでフォント サイズが 12 px 以上になるようにしてください。[詳細](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"判読可能なテキスト: {decimalProportion, number, extendedPercent}"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"テキストが判読できません。モバイル スクリーン向けに最適化されたビューポート メタタグがありません。"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"ドキュメントで判読可能なフォントサイズが使用されていません"},
"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"判読可能なテキスト"},"lighthouse-core/audits/seo/font-size.js | title":{message:"ドキュメントで判読可能なフォントサイズが使用されています"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang リンクを利用して、所定の言語や地域の検索結果に掲載する必要があるページのバージョンを検索エンジンに伝えます。[詳細](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"ドキュメントに有効な `hreflang` が指定されていません"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"関連する href 値"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"ドキュメントに有効な `hreflang` が指定されています"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"予期しない言語コード"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"HTTP ステータス コードが正しくないページはインデックスに適切に登録されていない可能性があります。[詳細](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"ページに設定されている HTTP ステータス コードが正しくありません"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"ページに適切な HTTP ステータス コードが指定されています"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"ページのクロールを許可しない場合、検索エンジンはそのページを検索結果に追加できません。[詳細](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"ページのインデックス登録を行えません"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"ページのインデックス登録はブロックされていません"},"lighthouse-core/audits/seo/link-text.js | description":{message:"リンクテキストをわかりやすくすると、検索エンジンがコンテンツを認識しやすくなります。[詳細](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 件のリンクが見つかりました}other{# 件のリンクが見つかりました}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"リンクにわかりやすいテキストが設定されていません"},"lighthouse-core/audits/seo/link-text.js | title":{message:"リンクにわかりやすいテキストが設定されています"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{
message:"[構造化データ テストツール](https://search.google.com/structured-data/testing-tool/)と[構造化データ用 Linter](http://linter.structured-data.org/) を実行して構造化データを検証してください。[詳細](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"構造化データが無効です"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"メタ ディスクリプションを検索結果に追加すると、ページ コンテンツの内容を簡潔にまとめることができます。[詳細](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"説明のテキストが空です。"},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"ドキュメントにメタ ディスクリプションが指定されていません"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"ドキュメントにメタ ディスクリプションが指定されています"},"lighthouse-core/audits/seo/plugins.js | description":{message:"検索エンジンはプラグイン コンテンツをインデックスに登録できません。多くのデバイスで、プラグインが制限され、プラグインがサポートされていないこともあります。[詳細](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{
message:"ドキュメントでプラグインを使用しています"},"lighthouse-core/audits/seo/plugins.js | title":{message:"ドキュメントではプラグインを使用できません"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"robots.txt ファイルの形式が間違っていると、ウェブサイトのクロールやインデックス登録について指定した設定をクローラが認識できない可能性があります。[詳細](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txt のリクエストで返された HTTP ステータス: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 件のエラーが見つかりました}other{# 件のエラーが見つかりました}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse は robots.txt ファイルをダウンロードできませんでした"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt が無効です"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt は有効です"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"ボタンやリンクなどの操作可能な要素は十分な大きさ（48x48 px）に設定し、他の要素と重ならずに簡単にタップできるよう、要素の周囲にスペースを取る必要があります。[詳細](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} でタップ ターゲットが適切なサイズに設定されています"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"タップ ターゲットが小さすぎます。モバイル スクリーン向けに最適化されたビューポート メタタグがありません。"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"タップ ターゲットのサイズが適切に設定されていません"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"重複するターゲット"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"タップ ターゲット"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"タップ ターゲットのサイズは適切に設定されています"},"lighthouse-core/audits/server-response-time.js | description":{message:"メイン ドキュメントのサーバー応答時間は、他のすべてのリクエストに影響するため、速くする必要があります。[詳細](https://web.dev/time-to-first-byte/)"},
"lighthouse-core/audits/server-response-time.js | displayValue":{message:"ルート ドキュメントの読み込みに {timeInMs, number, milliseconds} ミリ秒かかりました"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"最初のサーバー応答時間を速くしてください"},"lighthouse-core/audits/server-response-time.js | title":{message:"最初のサーバー応答時間は問題ない速さです"},"lighthouse-core/audits/service-worker.js | description":{message:"Service Worker は、多くのプログレッシブ ウェブアプリ機能（オフライン、ホーム画面への追加、プッシュ通知など）をアプリで使用できるようにするための技術です。[詳細](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"このページは Service Worker によって制御されていますが、マニフェストが有効な JSON としてパースされなかったため、`start_url` は見つかりませんでした"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"このページは Service Worker によって制御されていますが、`start_url`（{startUrl}）が Service Worker のスコープ（{scopeUrl}）内にありません"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{
message:"このページは Service Worker によって制御されていますが、マニフェストが取得されなかったため、`start_url` は見つかりませんでした。"},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"この発信元には Service Worker が存在しますが、ページ（{pageUrl}）がスコープ内にありません。"},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"ページと `start_url` を制御する Service Worker が登録されていません"},"lighthouse-core/audits/service-worker.js | title":{message:"ページと `start_url` を制御する Service Worker が登録されています"},"lighthouse-core/audits/splash-screen.js | description":{message:"テーマのあるスプラッシュ画面を設定すると、ホーム画面からのアプリの起動時に、質の良いアプリであることをユーザーにアピールできます。[詳細](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"カスタムのスプラッシュ画面が設定されていません"},"lighthouse-core/audits/splash-screen.js | title":{message:"カスタムのスプラッシュ画面が設定されています"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"ブラウザのアドレスバーにサイトに合わせたテーマを設定できます。[詳細](https://web.dev/themed-omnibox/)"},
"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"アドレスバーにテーマの色が設定されていません。"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"アドレスバーにテーマの色が設定されています。"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName}（カスタマー サポート）"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName}（マーケティング）"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName}（ソーシャル）"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName}（動画）"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"プロダクト"},"lighthouse-core/audits/third-party-facades.js | description":{message:"一部のサードパーティ埋め込みは遅延読み込みできます。必要になるまで、ファサードと置き換えることをご検討ください。[詳細](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{利用可能な代替ファサード: # 件}other{利用可能な代替ファサード: # 件}}"},
"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"一部のサードパーティ リソースはファサードで遅延読み込みできます。"},"lighthouse-core/audits/third-party-facades.js | title":{message:"ファサードでのサードパーティ リソースの遅延読み込み"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"第三者"},"lighthouse-core/audits/third-party-summary.js | description":{message:"第三者コードによって、読み込み速度が著しく低下する可能性があります。重複する第三者プロバイダの数を制限したうえで、ページのメインの部分を読み込み終えた後に第三者コードを読み込んでみてください。[詳細](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"第三者コードによってメインスレッドが {timeInMs, number, milliseconds} ミリ秒間ブロックされました"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"第三者コードの影響を抑えてください"},"lighthouse-core/audits/third-party-summary.js | title":{message:"第三者の使用の最小化"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"測定値"},
"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"指標"},"lighthouse-core/audits/timing-budget.js | description":{message:"タイミング予算を設定すると、サイトのパフォーマンス管理に役立ちます。パフォーマンスが高いサイトは読み込みが早く、ユーザーの入力イベントにすばやく応答できます。[詳細](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"タイミング予算"},"lighthouse-core/audits/unsized-images.js | description":{message:"画像要素で幅と高さを明示的に設定すると、レイアウトの移動を減らして、CLS を改善できます。[詳細](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"画像要素で `width` と `height` が明示的に指定されていない"},"lighthouse-core/audits/unsized-images.js | title":{message:"画像要素で `width` と `height` が明示的に指定されている"},"lighthouse-core/audits/user-timings.js | columnType":{message:"タイプ"},"lighthouse-core/audits/user-timings.js | description":{
message:"User Timing API を使用してアプリをインストルメント化し、主要なユーザー エクスペリエンスでのアプリの実際のパフォーマンスを測定できるようにしてください。[詳細](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 件のカスタム速度}other{# 件のカスタム速度}}"},"lighthouse-core/audits/user-timings.js | title":{message:"カスタム速度の記録と計測"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"「{securityOrigin}」で `<link rel=preconnect>` が見つかりましたが、ブラウザで使用されませんでした。`crossorigin` 属性を適切に使用していることをご確認ください。"},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"重要な第三者ドメインへの接続を早期に確立できるように、`preconnect` または `dns-prefetch` のリソースヒントを追加することを検討してください。[詳細](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"必須のドメインへの事前接続"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"3 つ以上の `<link rel=preconnect>` 接続が見つかりました。これらの接続は控えめに、重要なソースにのみ使用してください。"},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"「{securityOrigin}」で `<link rel=preconnect>` が見つかりましたが、ブラウザで使用されませんでした。`preconnect` は、ページで確実にリクエストされる重要なソースにのみ使用してください。"},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"「{preloadURL}」でプリロード `<link>` が見つかりましたが、ブラウザで使用されませんでした。`crossorigin` 属性を適切に使用していることをご確認ください。"},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"`<link rel=preload>` を使用して、現在ページ読み込みの後のほうでリクエストしているリソースを優先的に取得することをご検討ください。[詳細](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"キー リクエストのプリロード"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"マップ URL"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"ソースマップは軽量化したコードを元のソースコードに変換するもので、デベロッパーが本番環境でデバッグする際に役立ちます。また、Lighthouse で詳しい分析情報を提供することも可能になります。このようなメリットをふまえ、ソースマップの導入をご検討ください。[詳細](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},
"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"サイズの大きいファーストパーティの JavaScript でソースマップが使用されていません"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"サイズの大きい JavaScript ファイルでソースマップが使用されていません"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{警告: `.sourcesContent` に 1 件のアイテムが不足しています}other{警告: `.sourcesContent` に # 件のアイテムが不足しています}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"ページで有効なソースマップが使用されています"},"lighthouse-core/audits/viewport.js | description":{message:'モバイル画面用にアプリを最適化するには、`<meta name="viewport">` タグを追加してください。[詳細](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'`<meta name="viewport">` タグが見つかりません'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'`width` または `initial-scale` を指定した `<meta name="viewport">` タグがありません'},"lighthouse-core/audits/viewport.js | title":{
message:'`width` または `initial-scale` を指定した `<meta name="viewport">` タグがあります'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"ここには、アプリでの ARIA の使用方法に関する改善点が表示されます。修正すると、支援技術（スクリーン リーダーなど）の利便性が向上する可能性があります。"},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"ここで、音声と動画の代替コンテンツを提供できます。代替コンテンツを提供すると、聴覚や視覚に障がいがあるユーザーの利便性が向上する可能性があります。"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"音声と動画"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"ここで、一般的なユーザー補助機能のおすすめの方法を確認できます。"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"おすすめの方法"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"これらのチェックにより、[ウェブアプリのユーザー補助機能の改善点](https://developers.google.com/web/fundamentals/accessibility)が明確になります。自動的に検出できるユーザー補助の問題は一部に過ぎないため、手動テストも実施することをおすすめします。"},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"ここに、自動テストツールではカバーできない範囲に対処する項目が表示されます。詳しくは、[ユーザー補助機能の審査を実施する](https://developers.google.com/web/fundamentals/accessibility/how-to-review)方法についてのガイドをご覧ください。"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"ユーザー補助"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"ここには、コンテンツの読みやすさに関する改善点が表示されます。"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"コントラスト"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"ここには、地域ユーザー別のコンテンツの解釈に関する改善点が表示されます。"},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"多言語対応とローカライズ"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"ここには、アプリ内のコントロールのセマンティクスに関する改善点が表示されます。修正すると、支援技術（スクリーン リーダーなど）の利便性が向上する可能性があります。"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"名前とラベル"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"ここには、アプリのキーボード操作性に関する改善点が表示されます。"},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"操作性"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"ここには、支援技術（スクリーン リーダーなど）を使用した表やリストのデータの読み取りの利便性に関する改善点が表示されます。"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"表とリスト"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"ブラウザの互換性"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"おすすめの方法"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"全般"},
"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"信頼性と安全性"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"ユーザー エクスペリエンス"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"パフォーマンス予算は、サイトのパフォーマンスに関する基準を設定します。"},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"予算（リソースの上限）"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"アプリケーションのパフォーマンスに関する詳細。これらの数値は、パフォーマンス スコアには[直接影響](https://web.dev/performance-scoring/)しません。"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"診断"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"パフォーマンスの最も重要な点は、ピクセルをどのくらい速く画面にレンダリングできるかです。主要な指標: First Contentful Paint、First Meaningful Paint"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"First Paint の改善点"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"これらの提案を実施すると、ページの読み込み時間を短縮できる可能性があります。なお、パフォーマンス スコアには[直接影響](https://web.dev/performance-scoring/)しません。"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"改善できる項目"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"指標"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"読み込みの全体的なパフォーマンスを改善して、ページの反応性や操作性を高めましょう。主要な指標: インタラクティブになるまでの時間、速度インデックス"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"全体的な改善点"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"パフォーマンス"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"これらのチェックではプログレッシブ ウェブアプリのさまざまな側面が検証されます。[詳細](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"これらのチェック項目は基本の [PWA チェックリスト](https://developers.google.com/web/progressive-web-apps/checklist)で必須とされていますが、Lighthouse では自動的にチェックされません。スコアには影響しませんが、手動で確認することが重要です。"},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"プログレッシブ ウェブアプリ"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"インストール対応"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA の最適化"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"これらのチェックを実行することで、ページが検索エンジンの検索結果ランキングに対し最適化されていることを確認できます。Lighthouse ではチェックされない、検索結果ランキングに影響する可能性がある他の要因もあります。[詳細](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"サイトでこれらの他の検証ツールを実行し、SEO のその他のおすすめの方法をご確認ください。"},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"クローラがアプリのコンテンツを正確に読み取れるように HTML を適切な形式で記述します。"},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"コンテンツ制作のおすすめの方法"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"検索結果に表示するには、クローラがアプリにアクセスできるようにする必要があります。"},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"クロールとインデックス登録"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"ページをスマホ対応にして、ピンチ操作や拡大操作なしでコンテンツを読めるようにします。[詳細](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"スマホ対応"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"テストしたデバイスの CPU が Lighthouse の推定より遅いようです。これは、パフォーマンス スコアに悪影響を与える可能性があります。詳しくは、[適切な CPU 速度低下乗数の調整](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)についての説明をご覧ください。"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{
message:"テスト URL（{requested}）が「{final}」にリダイレクトされているため、このページは想定どおりに読み込まれない可能性があります。2 番目の URL を直接テストしてみてください。"},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"ページの読み込みに時間がかかり、制限時間内に完了できませんでした。結果は不完全な場合があります。"},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{次の場所に保存されているデータが読み込みパフォーマンスに影響を与えている可能性があります: {locations}。これらのリソースがスコアに影響しないようにするためには、シークレット ウィンドウでこのページを監査してください。}other{次の場所に保存されているデータが読み込みパフォーマンスに影響を与えている可能性があります: {locations}。これらのリソースがスコアに影響しないようにするためには、シークレット ウィンドウでこのページを監査してください。}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"古いブラウザとの下位互換性を保つため、https: と http: の URL スキームを追加することを検討してください（'strict-dynamic' をサポートしているブラウザでは無視されます）。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener は CSP3 以降ではサポートされていません。代わりに、Cross-Origin-Opener-Policy ヘッダーを使用してください。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"referrer は CSP2 以降ではサポートされていません。代わりに、Referrer-Policy ヘッダーを使用してください。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss は CSP2 以降ではサポートされていません。代わりに、X-XSS-Protection ヘッダーを使用してください。"},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"base-uri を指定しないと、挿入された <base> タグによって、すべての相対 URL（スクリプトなど）のベース URL が攻撃者の管理ドメインに設定される可能性があります。base-uri を 'none' か 'self' に設定することをご検討ください。"},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"object-src で制御される要素は、古い機能とみなされます。安全でないスクリプトを実行するプラグインが挿入されないよう、object-src を 'none' に設定することを検討してください。"},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src ディレクティブが指定されていません。このため、安全でないスクリプトを実行できる状態になっています。"},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"セミコロンが指定されていません。{keyword} はキーワードではなくディレクティブのようです。"},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"nonce には base64 文字セットを使用する必要があります。"},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"nonce は 8 文字以上である必要があります。"},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"報告先が report-to ディレクティブ経由でのみ設定されています。このディレクティブは、Chromium ベースのブラウザでしかサポートされていないため、report-uri ディレクティブも使用することをおすすめします。"},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"CSP で報告先が設定されていません。CSP の動作状況や問題が発生した場合の確認が難しくなります。"},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"ホストの許可リストが頻繁に回避されています。'strict-dynamic' と CSP nonce または hash を組み合わせて使用することを検討してください。"},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"不明な CSP ディレクティブです。"},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} は無効なキーワードのようです。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline' が指定されているため、安全でないページ内スクリプトやイベント ハンドラを実行できる状態になっています。CSP nonce または hash を使用して、スクリプトを個別に許可することを検討してください。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:"古いブラウザとの下位互換性を保つため、'unsafe-inline' を追加することを検討してください（nonce / hash をサポートしているブラウザでは無視されます）。"},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"メインスレッドのブロック時間"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"キャッシュの TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"説明"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"継続時間"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"要素"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"問題のある要素"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"場所"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"名前"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"予算超過"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"リクエスト"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"リソースのサイズ"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"リソースの種類"},
"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"サイズ"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"ソース"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"開始時間"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"かかった時間"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"転送サイズ"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"減らせるデータ量"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"短縮できる時間"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"{wastedBytes, number, bytes} KiB 削減可能"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 件の要素が見つかりました}other{# 件の要素が見つかりました}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{
message:"{wastedMs, number, milliseconds} ミリ秒短縮できます"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"ドキュメント"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"First Meaningful Paint"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"フォント"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"画像"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"高"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"低"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"中"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"初回入力遅延の最大推定時間"},
"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"メディア"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ミリ秒"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"その他"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"その他のリソース"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"スクリプト"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} 秒"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"スタイルシート"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"第三者"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"合計"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{
message:"ページを読み込む際のトレースの記録中にエラーが発生しました。もう一度 Lighthouse を実行してください。（{errorCode}）"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Debugger プロトコル接続の開始中にタイムアウトが発生しました。"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome でページの読み込み中にスクリーンショットが収集されませんでした。ページにコンテンツが表示されていることを確認してから、Lighthouse を再実行してください。（{errorCode}）"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS サーバーは指定したドメインを解決できませんでした。"},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"必須の {artifactName} の収集でエラー（{errorMessage}）が発生しました"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Chrome 内部エラーが発生しました。Chrome を再起動して Lighthouse を再実行してください。"},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"必須の {artifactName} の収集は行われませんでした。"},"lighthouse-core/lib/lh-error.js | noFcp":{message:"ページにコンテンツが描画されませんでした。読み込みの際にブラウザ ウィンドウをフォアグラウンドのままにして、もう一度お試しください（{errorCode}）。"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"指定されたページは HTML ではありません（MIME タイプ {mimeType} として配信されています）。"},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"このバージョンの Chrome は古すぎて「{featureName}」に対応していません。すべての結果を表示するには最新バージョンを使用してください。"},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"リクエストしたページを Lighthouse で正確に読み込めませんでした。正しい URL でテストを行い、すべてのリクエストに対してサーバーからの応答が適切であることを確認してください。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"ページからの応答が停止されたため、リクエストした URL を Lighthouse で正確に読み込めませんでした。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"指定した URL には有効なセキュリティ証明書がありません。{securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome によりページ読み込みが停止され、中間ページが表示されました。テスト対象の URL が正しいこと、サーバーがすべてのリクエストに適切に応答していることを確認してください。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"リクエストしたページを Lighthouse で正確に読み込めませんでした。テスト対象の URL が正しいこと、サーバーがすべてのリクエストに適切に応答していることを確認してください。（詳細: {errorDetails}）"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"リクエストしたページを Lighthouse で正確に読み込めませんでした。テスト対象の URL が正しいこと、サーバーがすべてのリクエストに適切に応答していることを確認してください。（ステータス コード: {statusCode}）"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"ページの読み込み時間が長すぎます。ページの読み込み時間を短縮するには、レポートに示される提案を実施してください。その後で、Lighthouse を再実行してください。（{errorCode}）"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools プロトコルからの応答の待ち時間が、割り当てられた時間を超えました。（メソッド: {protocolMethod}）"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"リソース コンテンツの取得時間が、割り当てられた時間を超えました"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"指定した URL は無効の可能性があります。"},"lighthouse-treemap/app/src/util.js | allLabel":{message:"すべて"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"すべてのスクリプト"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"カバレッジ"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"重複モジュール"},
"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"リソースのサイズ（バイト）"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"名前"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"表を切り替える"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"使用していないバイト"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"アニメーション コンテンツの場合は、[`amp-anim`](https://amp.dev/documentation/components/amp-anim/) を使用して、コンテンツが画面外にあるときの CPU 使用量を最小限に抑えることができます。"},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"すべての [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) コンポーネントを WebP 形式で表示し、他のブラウザには適切な代替画像を表示することを検討してください。[詳細](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"自動的に遅延読み込みされる画像に対し、[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) を使用していることを確認します。[詳細](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) などのツールを使用して、[AMP レイアウトをサーバーサイドでレンダリング](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)します。"},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"[AMP のドキュメント](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)で、スタイルがすべてサポートされているか確認します。"},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) コンポーネントは [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) 属性に対応しており、画面サイズに応じてどの画像アセットを使用するかを指定できます。[詳細](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"大きなリストをレンダリングする場合は、Component Dev Kit（CDK）で仮想スクロールを行うことを検討してください。[詳細](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"JavaScript バンドルのサイズを最小限に抑えるには、[ルートレベルのコード分割](https://web.dev/route-level-code-splitting-in-angular/)を適用します。また、[Angular Service Worker](https://web.dev/precaching-with-the-angular-service-worker/) でアセットを事前キャッシュすることも検討してください。"},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{
message:"Angular CLI を使用している場合は、本番環境モードでビルドを生成していることを確認します。[詳細](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Angular CLI を使用している場合は、ソースマップを本番環境用ビルドに含め、バンドルを調べられるようにします。[詳細](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"ナビゲーションの速度を上げるにはルートをプリロードします。[詳細](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"画像のブレークポイントを管理するには、Component Dev Kit（CDK）の `BreakpointObserver` ユーティリティを使用することを検討してください。[詳細](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"GIF を HTML5 動画として埋め込み可能なサービスにアップロードすることをご検討ください。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{
message:"テーマ内でカスタム フォントを定義する際に `@font-display` を指定します。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"サイトで [WebP 画像形式を活用するためのモジュール](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)をインストールして設定することをご検討ください。このようなモジュールにより、アップロードした画像の WebP バージョンが自動的に生成され、読み込み時間が最適化されます。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"[Drupal のモジュール](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)をインストールすると、画像を遅延読み込みできます。このようなモジュールにより、画面外の画像の読み込みを遅らせてパフォーマンスを改善できます。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"モジュールを使用して、重要な CSS と JavaScript をインラインで読み込むか、JavaScript 経由でアセットを非同期で読み込むことをご検討ください（[Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) モジュールなど）。ただし、このモジュールの最適化処理によってサイトが破壊されることがあります。その場合は、コードを変更する必要があります。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"テーマ、モジュール、サーバー仕様はすべてサーバーの応答時間に影響します。より最適化されたテーマを探す、最適化モジュールを慎重に選ぶ、サーバーをアップグレードすることをおすすめします。ホスティング サーバーでは、PHP OPcode キャッシング、データベースのクエリ時間を減らす Redis や Memcached などのメモリ キャッシング、ページの準備を速くするために最適化されたアプリケーション ロジックを利用する必要があります。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"ページに読み込まれる画像のサイズを小さくするには、[Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) の使用をご検討ください。Views を使用して複数のコンテンツ アイテムを 1 つのページに表示している場合、ページに表示されるコンテンツ アイテムの数を制限するため、ページ分けの実装をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"[Administration] > [Configuration] > [Development] ページで、[Aggregate CSS files] を有効にしていることを確認してください。[追加のモジュール](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)を使用してより高度な集約オプションを設定し、CSS スタイルを結合、軽量化、圧縮してサイトの動作を速くすることもできます。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:"[Administration] > [Configuration] > [Development] ページで [Aggregate JavaScript files] を有効にしていることを確認してください。[追加のモジュール](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)を使用してより高度な集約オプションを設定し、JavaScript アセットを結合、軽量化、圧縮してサイトの動作を速くすることもできます。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"使用されていない CSS ルールの削除を検討し、必要な Drupal ライブラリのみを関連性の高いページまたはページのコンポーネントに接続してください。詳しくは、[Drupal のドキュメントのリンク](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)をご覧ください。不要な CSS を読み込んでいる接続済みライブラリを特定するには、Chrome DevTools で[コードの Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) を確認します。Drupal のサイトで CSS の集約が無効になっている場合、スタイルシートの URL から、該当のテーマやモジュールを特定できます。多くのスタイルシートを使用しているテーマやモジュール（コードの Coverage で赤色の部分が多いもの）をリストで探します。テーマやモジュールによってキューに追加されるスタイルシートは、実際にページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"使用されていない JavaScript アセットの削除を検討し、必要な Drupal ライブラリのみを関連性の高いページまたはページのコンポーネントに接続してください。詳しくは、[Drupal のドキュメントのリンク](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)をご覧ください。不要な JavaScript を読み込んでいる接続済みライブラリを特定するには、Chrome DevTools で[コードの Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) を確認します。Drupal のサイトで JavaScript の集約が無効になっている場合は、スクリプトの URL から該当するテーマやモジュールを特定できます。多くのスクリプトを使用しているテーマやモジュール（コードの Coverage で赤色の部分が多いもの）をリストで探します。テーマやモジュールによってキューに追加されるスクリプトは、実際にページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"[Administration] > [Configuration] > [Development] ページで [Browser and proxy cache maximum age] を設定してください。[Drupal のキャッシュとパフォーマンスの最適化](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)についてご確認ください。"},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{message:"画質を落とさずにサイトでアップロードされる画像のサイズを自動的に最適化して縮小できる[モジュール](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)の使用をご検討ください。また、サイトにレンダリングされるすべての画像に対して、Drupal から提供されるネイティブの [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)（Drupal 8 以降で利用可能）を使用していることをご確認ください。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"ユーザー エージェントのリソースヒント用の機能がある[モジュール](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)をインストールして設定することで、事前接続または DNS プリフェッチのリソースヒントを追加できます。"},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Drupal から提供されるネイティブの [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)（Drupal 8 以降で利用可能）を使用していることをご確認ください。表示モード、ビュー、WYSIWYG エディタでアップロードした画像を使って画像フィールドをレンダリングする際は、Responsive Image Styles を使用してください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"GIF を HTML5 動画として埋め込み可能なサービスにアップロードすることをご検討ください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"アップロードした画像を最適なフォーマットに自動変換する[プラグイン](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)またはサービスの使用をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{
message:"[Joomla の遅延読み込みプラグイン](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)をインストールして画面外の画像の読み込みを遅らせるか、遅延読み込み機能のあるテンプレートに切り替えてください。Joomla 4.0 より、新しい画像はすべて、コアから[自動的に](https://github.com/joomla/joomla-cms/pull/30748) `loading` 属性を取得します。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"[重要なアセットをインラインで読み込む](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)または[重要度が低いリソースの読み込みを遅らせる](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ために役立つ、さまざまな Joomla プラグインがあります。ただし、これらのプラグインの最適化処理によって、テンプレートやプラグインの機能が阻害されることがあります。これらのプラグインを使用する場合は、十分にテストする必要があります。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"テンプレート、拡張機能、サーバー仕様はすべてサーバーの応答時間に影響します。より最適化されたテンプレートを探す、最適化拡張機能を慎重に選ぶ、サーバーをアップグレードすることをおすすめします。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"「詳しく読む」リンクなどを使用して記事のカテゴリに抜粋を表示する、ページに表示する記事の数を減らす、長い投稿を複数のページに分けて表示する、またはコメントを遅延読み込みするプラグインを使用することをご検討ください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"CSS スタイルを結合、軽量化、圧縮してサイトの動作を速くする、さまざまな [Joomla 拡張機能](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)があります。この機能を提供するテンプレートもあります。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"スクリプトを結合、軽量化、圧縮してサイトの動作を速くする、さまざまな [Joomla 拡張機能](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)があります。この機能を提供するテンプレートもあります。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"ページで使用されていない CSS を読み込む [Joomla 拡張機能](https://extensions.joomla.org/)の数を減らすか、他の拡張機能に切り替えることをご検討ください。不要な CSS を読み込んでいる拡張機能を特定するには、Chrome DevTools で[コードの Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) を確認します。該当するテーマやプラグインは、スタイルシートの URL から特定できます。多くのスタイルシートを使用しているプラグイン（コードの Coverage で赤色の部分が多いもの）をリストで探します。プラグインによってキューに追加されるスタイルシートは、実際にページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"ページで使用されていない JavaScript を読み込む [Joomla 拡張機能](https://extensions.joomla.org/)の数を減らすか、他の拡張機能に切り替えることをご検討ください。不要な JavaScript を読み込んでいるプラグインを特定するには、Chrome DevTools で[コードの Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) を確認します。該当する拡張機能は、スクリプトの URL から特定できます。多くのスクリプトを使用している拡張機能（コードの Coverage で赤色の部分が多いもの）をリストで探します。拡張機能によってキューに追加されるスクリプトは、実際にページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{
message:"[Joomla のブラウザ キャッシング](https://docs.joomla.org/Cache)についてご確認ください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"画質を落とさずに画像を圧縮できる[画像最適化プラグイン](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)の使用をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"コンテンツでレスポンシブ画像を使用する場合は、[レスポンシブ画像のプラグイン](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)の使用をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Joomla で Gzip ページ圧縮を有効にすると（[システム] > [グローバル設定] > [サーバ]）、テキスト圧縮を有効にできます。"},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"JavaScript アセットをバンドルしていない場合は、[baler](https://github.com/magento/baler) の使用を検討してください。"},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Magento の組み込みの [JavaScript バンドルと圧縮](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)を無効にします。代わりに [baler](https://github.com/magento/baler/) の使用を検討してください。"},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[カスタム フォントを定義](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)する際に `@font-display` を指定します。"},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"より新しい画像形式を活用するには、[Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) にさまざまな第三者の拡張機能がありますので、検索してみてください。"},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"ウェブ プラットフォームの[遅延読み込み](https://web.dev/native-lazy-loading)機能を活用できるように、ご使用のサービスとカタログのテンプレートを編集することを検討してください。"},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{
message:"Magento の [Varnish 統合](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)を使用します。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"ストアのデベロッパー設定で [CSS ファイルを圧縮] オプションを有効にします。[詳細](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"[Terser](https://www.npmjs.com/package/terser) を使用して静的なコンテンツ実装からの JavaScript アセットをすべて圧縮するとともに、組み込みの圧縮機能を無効にします。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Magento の組み込みの [JavaScript バンドル](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)を無効にします。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{
message:"画像を最適化するには、[Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) にさまざまな第三者の拡張機能がありますので、検索してみてください。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"[テーマのレイアウトを編集](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)して、事前接続または DNS プリフェッチのリソースヒントを追加できます。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"[テーマのレイアウトを編集](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)して、`<link rel=preload>` タグを追加できます。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[アニメーション GIF を動画に置き換えて](https://web.dev/replace-gifs-with-videos/)ウェブページの読み込みを速くし、[WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos)、[AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) などの最先端のファイル形式を使用して、圧縮効率を現在の最新の動画コーデック VP9 より 30% 以上改善することをご検討ください。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"アップロードした画像を最適なフォーマットに自動変換する[プラグイン](https://octobercms.com/plugins?search=image)またはサービスの使用をご検討ください。[WebP の非可逆圧縮画像](https://developers.google.com/speed/webp)のサイズは、PNG に比べて 26%、SSIM 画質指標が同等の JPEG 画像より 25～34% 小さくなります。検討すべきもう 1 つの次世代画像形式は [AVIF](https://jakearchibald.com/2020/avif-has-landed/) です。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"[画像遅延読み込みプラグイン](https://octobercms.com/plugins?search=lazy)をインストールして画面外の画像の読み込みを遅らせるか、遅延読み込み機能のあるテーマに切り替えることをご検討ください。[AMP プラグイン](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)の使用もご検討ください。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"[重要なアセットをインラインで読み込む](https://octobercms.com/plugins?search=css)ために役立つさまざまなプラグインがあります。これらのプラグインは他のプラグインを阻害することがあるため、十分にテストする必要があります。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"テーマ、プラグイン、サーバー仕様はすべてサーバーの応答時間に影響します。より最適化されたテーマを探す、最適化プラグインを慎重に選ぶ、サーバーをアップグレードすることをご検討ください。October CMS でも、デベロッパーは [`Queues`](https://octobercms.com/docs/services/queues) を使用して、メールの送信など、時間のかかるタスクの処理を遅延させることができます。この方法を使用すると、ウェブ リクエストの処理が大幅に迅速化されます。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"[`show more`] ボタンなどを使用して投稿リストに抜粋を表示する、所定のウェブページに表示する投稿の数を減らず、長い投稿を複数のページに分けて表示する、またはコメントを遅延読み込みするプラグインを使用することをご検討ください。"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"スタイルを結合、軽量化、圧縮してウェブサイトの動作を速くする、さまざまな[プラグイン](https://octobercms.com/plugins?search=css)があります。ビルドプロセスで事前にこの軽量化を行っておくと、開発時間を短縮できます。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"スクリプトを結合、軽量化、圧縮してウェブサイトの動作を速くする、さまざまな[プラグイン](https://octobercms.com/plugins?search=javascript)があります。ビルドプロセスで事前にこの軽量化を行っておくと、開発時間を短縮できます。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"ウェブサイトで使用されていない CSS を読み込んでいる[プラグイン](https://octobercms.com/plugins)を確認することをご検討ください。不要な CSS を読み込むプラグインを特定するには、Chrome デベロッパー ツールで[コード カバレッジ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)を実行します。該当するテーマやプラグインは、スタイルシートの URL から特定できます。多くのスタイルシートを使用しているプラグイン（コード カバレッジで赤色の部分が多いもの）を探します。プラグインによって追加されるスタイルシートは、実際にウェブページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"ウェブページで使用されていない JavaScript を読み込む[プラグイン](https://octobercms.com/plugins?search=javascript)を確認することをご検討ください。不要な JavaScript を読み込むプラグインを特定するには、Chrome デベロッパー ツールで[コード カバレッジ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)を実行します。該当するテーマやプラグインは、スクリプトの URL から特定できます。多くのスクリプトを使用しているプラグイン（コード カバレッジで赤色の部分が多いもの）を探します。プラグインによって追加されるスクリプトは、実際にウェブページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"[HTTP キャッシュで不要なネットワーク リクエストを防ぐ](https://web.dev/http-cache/#caching-checklist)方法についての説明をご覧ください。キャッシュ保存を高速化するためのさまざまな[プラグイン](https://octobercms.com/plugins?search=Caching)があります。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"画質を落とさずに画像を圧縮できる[画像最適化プラグイン](https://octobercms.com/plugins?search=image)の使用をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{
message:"メディア マネージャーに画像を直接アップロードして、必要な画像サイズを利用できるようにします。[サイズ変更フィルタ](https://octobercms.com/docs/markup/filter-resize)または[画像サイズ変更プラグイン](https://octobercms.com/plugins?search=image)を使用して、最適な画像サイズが使用されるようにすることをご検討ください。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"ウェブサーバーの設定でテキスト圧縮を有効にしてください"},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"ページに多くの繰り返し要素をレンダリングする場合は、作成される DOM ノードの数が最小限で済むように、`react-window` などの「ウィンドウ処理」用のライブラリを使用することを検討してください。[詳細](https://web.dev/virtualize-long-lists-react-window/)をご確認ください。また、ランタイム パフォーマンスの向上に `Effect` フックを使用している場合は、[`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action)、[`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent)、または [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) を使用した不要な再レンダリングを抑えるとともに、特定の依存関係が変化するところまでのみ[効果をスキップ](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)します。"},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"React Router を使用している場合、`<Redirect>` コンポーネントを使った[ナビゲーションのルーティング](https://reacttraining.com/react-router/web/api/Redirect)は最小限にします。"},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{
message:"React コンポーネントをサーバーサイドでレンダリングする場合は、クライアントでマークアップの全体を一度に受信するのではなく一部ずつ受信してデータを挿入できるように、`renderToNodeStream()` または `renderToStaticNodeStream()` を使用することを検討してください。[詳細](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"ご使用のビルドシステムで CSS ファイルが自動的に圧縮される場合は、アプリケーションの本番環境用ビルドをデプロイしていることを確認します。確認には React Developer Tools 拡張機能を使用できます。[詳細](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"ご使用のビルドシステムで JS ファイルが自動的に圧縮される場合は、アプリケーションの本番環境用ビルドをデプロイしていることを確認します。確認には React Developer Tools 拡張機能を使用できます。[詳細](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"サーバーサイドのレンダリングを行わない場合は、`React.lazy()` で [JavaScript バンドルを分割](https://web.dev/code-splitting-suspense/)します。それ以外は、[loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/) などの第三者ライブラリを使用してコードを分割します。"},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Profiler API を採用している React DevTools Profiler を使用して、コンポーネントのレンダリング性能を測定します。[詳細](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"GIF を HTML5 動画として埋め込み可能なサービスにアップロードすることをご検討ください。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"アップロードした画像を最適なフォーマットに自動変換する[プラグイン](https://wordpress.org/plugins/search/convert+webp/)またはサービスの使用をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"[WordPress の遅延読み込みプラグイン](https://wordpress.org/plugins/search/lazy+load/)をインストールすると、画面外の画像の読み込みを遅らせたり、遅延読み込み機能のあるテーマに切り替えたりできます。[AMP プラグイン](https://wordpress.org/plugins/amp/)の使用もご検討ください。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"[重要なアセットをインラインで読み込む](https://wordpress.org/plugins/search/critical+css/)または[重要度が低いリソースの読み込みを遅らせる](https://wordpress.org/plugins/search/defer+css+javascript/)ために役立つ、さまざまな WordPress プラグインがあります。ただし、これらのプラグインの最適化処理によって、テーマやプラグインの機能が阻害されることがあります。その場合は、コードを変更する必要があります。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"テーマ、プラグイン、サーバー仕様はすべてサーバーの応答時間に影響します。より最適化されたテーマを探す、最適化プラグインを慎重に選ぶ、サーバーをアップグレードすることをおすすめします。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"「詳しく読む」タグなどを使用して投稿リストに抜粋を表示する、ページに表示する投稿の数を減らす、長い投稿を複数のページに分けて表示する、またはコメントを遅延読み込みするプラグインを使用することをご検討ください。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"スタイルを結合、軽量化、圧縮してサイトの動作を速くする、さまざまな [WordPress プラグイン](https://wordpress.org/plugins/search/minify+css/)があります。可能な場合は、ビルド処理で事前に軽量化しておくこともおすすめします。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"スクリプトを結合、軽量化、圧縮してサイトの動作を速くする、さまざまな [WordPress プラグイン](https://wordpress.org/plugins/search/minify+javascript/)があります。可能な場合は、ビルド処理で事前に軽量化しておくこともおすすめします。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"ページで使用されていない CSS を読み込む [WordPress プラグイン](https://wordpress.org/plugins/)の数を減らすか、他のプラグインに切り替えることをご検討ください。不要な CSS を読み込んでいるプラグインを特定するには、Chrome DevTools で[コードの Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) を確認します。スタイルシートの URL から、それを使用しているテーマやプラグインを特定できます。多くのスタイルシートを使用しているプラグイン（コードの Coverage で赤色の部分が多いもの）をリストで探します。プラグインによってキューに追加されるスタイルシートは、実際にページで使用されるもののみにする必要があります。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"ページで使用されていない JavaScript を読み込む [WordPress プラグイン](https://wordpress.org/plugins/)の数を減らすか、他のプラグインに切り替えることをご検討ください。不要な JavaScript を読み込んでいるプラグインを特定するには、Chrome DevTools で[コードの Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) を確認します。スクリプトの URL から、該当のテーマやプラグインを特定できます。多くのスクリプトを使用しているプラグイン（コードの Coverage で赤色の部分が多いもの）をリストで探します。プラグインによってキューに追加されるスクリプトは、実際にページで使用されるもののみにする必要があります。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[WordPress のブラウザ キャッシング](https://wordpress.org/support/article/optimization/#browser-caching)についてご確認ください。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"画質を落とさずに画像を圧縮できる [WordPress の画像最適化プラグイン](https://wordpress.org/plugins/search/optimize+images/)の使用をご検討ください。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"[メディア ライブラリ](https://wordpress.org/support/article/media-library-screen/)から直接画像をアップロードして必要な画像サイズを利用できるようにしたうえで、メディア ライブラリから挿入するか、画像ウィジェットを使用して、最適な画像サイズ（レスポンシブ ブレークポイントのサイズを含む）が使用されるようにします。「`Full Size`」の画像は、十分なスペースがある場合を除いて使用しないようにします。[詳細](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"ウェブサーバーの設定でテキスト圧縮を有効にできます。"},"report/renderer/util.js | calculatorLink":{message:"計算ツールはこちら。"},"report/renderer/util.js | crcInitialNavigation":{message:"最初の移動先"},"report/renderer/util.js | crcLongestDurationLabel":{message:"クリティカル パスの最大待ち時間:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSON をコピー"},"report/renderer/util.js | dropdownDarkTheme":{message:"ダークモードの切り替え"},"report/renderer/util.js | dropdownPrintExpanded":{message:"完全版を印刷"},"report/renderer/util.js | dropdownPrintSummary":{message:"概要を印刷"},"report/renderer/util.js | dropdownSaveGist":{
message:"Gist 形式で保存"},"report/renderer/util.js | dropdownSaveHTML":{message:"HTML 形式で保存"},"report/renderer/util.js | dropdownSaveJSON":{message:"JSON 形式で保存"},"report/renderer/util.js | dropdownViewer":{message:"ビューアで開く"},"report/renderer/util.js | errorLabel":{message:"エラー"},"report/renderer/util.js | errorMissingAuditInfo":{message:"レポートエラー: 監査情報はありません"},"report/renderer/util.js | footerIssue":{message:"問題を提出"},"report/renderer/util.js | labDataTitle":{message:"ラボデータ"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"エミュレート済みモバイル ネットワークでの現在のページに関する [Lighthouse](https://developers.google.com/web/tools/lighthouse/) 分析です。推定値のため変動する可能性があります。"},"report/renderer/util.js | manualAuditsGroupTitle":{message:"個別の検証が必要な他の項目"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"該当なし"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"改善できる項目"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"短縮できる時間（推定）"},
"report/renderer/util.js | passedAuditsGroupTitle":{message:"合格した監査"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"デスクトップのエミュレーション"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 のエミュレーション"},"report/renderer/util.js | runtimeNoEmulation":{message:"エミュレーションなし"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe バージョン"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU / メモリの処理能力"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU スロットリング"},"report/renderer/util.js | runtimeSettingsChannel":{message:"チャネル"},"report/renderer/util.js | runtimeSettingsDevice":{message:"デバイス"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"取得日時"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"ネットワーク スロットリング"},"report/renderer/util.js | runtimeSettingsTitle":{message:"ランタイム設定"},"report/renderer/util.js | runtimeSettingsUA":{message:"ユーザー エージェント（ホスト）"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"ユーザー エージェント（ネットワーク）"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"不明"},"report/renderer/util.js | showRelevantAudits":{message:"次に関連する監査を表示:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"スニペットを折りたたむ"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"スニペットを展開"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"第三者リソースを表示"},"report/renderer/util.js | throttlingProvided":{message:"環境により提供"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Lighthouse の実行に影響する問題が発生しました。"},"report/renderer/util.js | varianceDisclaimer":{message:"推定値のため変動する可能性があります。[パフォーマンス スコアの計算](https://web.dev/performance-scoring/)は、これらの指標を基に行っています。"},"report/renderer/util.js | viewTreemapLabel":{message:"ツリーマップを見る"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"監査には合格しましたが警告があります"},
"report/renderer/util.js | warningHeader":{message:"警告: "}}},{}],123:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"액세스 키를 사용하면 사용자가 페이지의 특정 부분에 신속하게 포커스를 맞출 수 있습니다. 정상적으로 탐색하려면 모든 액세스 키가 고유해야 합니다. [자세히 알아보기](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` 값이 고유하지 않음"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` 값이 고유합니다"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"각 ARIA `role`은(는) `aria-*` 속성으로 구성된 특정 하위 세트를 지원합니다. 이 두 가지가 일치하지 않으면 `aria-*` 속성이 유효하지 않게 됩니다. [자세히 알아보기](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` 속성이 역할과 일치하지 않음"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` 속성이 역할과 일치함"},
"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"접근성을 위한 이름이 요소에 없는 경우 스크린 리더가 일반적인 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 이용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link` 및 `menuitem` 요소에 접근성을 위한 이름이 없음"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link` 및 `menuitem` 요소에 접근성을 위한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'스크린 리더와 같은 보조 기술은 `aria-hidden="true"`이(가) 문서 `<body>`에 설정된 경우 일관성 없게 작동합니다. [자세히 알아보기](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]`이(가) 문서 `<body>`에 있음'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]`이(가) 문서 `<body>`에 없음'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'`[aria-hidden="true"]` 요소 내 포커스할 수 있는 하위 요소는 스크린 리더와 같은 보조 기술 사용자가 상호 작용 가능한 요소를 사용하지 못하게 합니다. [자세히 알아보기](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` 요소에 포커스할 수 있는 하위 요소가 있음'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` 요소에 포커스할 수 있는 하위 요소가 없음'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"입력란에 접근 가능한 이름이 없는 경우 스크린 리더에서 일반 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 사용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA 입력란에 접근 가능한 이름이 없음"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA 입력란에 접근 가능한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"접근성을 위한 이름이 요소에 없는 경우 스크린 리더가 일반적인 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 이용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` 요소에 접근성을 위한 이름이 없음"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` 요소에 접근성을 위한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"`progressbar` 요소에 접근성을 위한 이름이 없는 경우 스크린 리더가 일반적인 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 이용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` 요소에 접근성을 위한 이름이 없음"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` 요소에 접근성을 위한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"일부 ARIA 역할에는 스크린 리더에 관한 요소의 상태를 설명하는 속성이 필요합니다. [자세히 알아보기](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`에 필요한 `[aria-*]` 속성이 일부 포함되지 않음"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`에 필요한 모든 `[aria-*]` 속성이 있음"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"일부 ARIA 상위 역할에서 의도한 접근성 기능을 실행하려면 특정 하위 역할을 포함하고 있어야 합니다. [자세히 알아보기](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"하위 요소에 특정 `[role]`을(를) 포함해야 하는 ARIA `[role]` 지원 요소에 일부 또는 전체 하위 요소가 누락되었습니다."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"하위 요소에 특정 `[role]`을(를) 포함해야 하는 ARIA `[role]` 지원 요소에 필요한 모든 하위 요소가 있습니다."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"일부 ARIA 하위 역할에서 의도한 접근성 기능을 올바르게 실행하려면 특정 상위 역할에 포함되어 있어야 합니다. [자세히 알아보기](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`이(가) 필수 상위 요소에 포함되지 않음"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`이(가) 필수 상위 요소에 포함됨"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA 역할에서 의도한 접근성 기능을 실행하려면 유효한 값을 포함하고 있어야 합니다. [자세히 알아보기](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` 값이 유효하지 않음"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` 값이 유효함"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"토글 입력란에 접근 가능한 이름이 없는 경우 스크린 리더에서 일반적인 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 사용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA 토글 입력란에 접근 가능한 이름이 없음"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA 토글 입력란에 접근 가능한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"접근성을 위한 이름이 요소에 없는 경우 스크린 리더가 일반적인 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 이용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` 요소에 접근성을 위한 이름이 없음"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` 요소에 접근성을 위한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"접근성을 위한 이름이 요소에 없는 경우 스크린 리더가 일반적인 이름으로 읽기 때문에 스크린 리더에 의존하는 사용자는 이용할 수 없게 됩니다. [자세히 알아보기](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` 요소에 접근성을 위한 이름이 없음"},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` 요소에 접근성을 위한 이름이 있음"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"스크린 리더와 같은 보조 기술은 잘못된 값이 있는 ARIA 속성을 해석하지 못합니다. [자세히 알아보기](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` 속성에 유효한 값이 없음"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` 속성에 유효한 값이 있음"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"스크린 리더와 같은 보조 기술은 잘못된 이름이 있는 ARIA 속성을 해석하지 못합니다. [자세히 알아보기](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` 속성이 유효하지 않거나 맞춤법 오류가 있음"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` 속성이 유효하며 맞춤법 오류가 없음"},
"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"통과하지 못한 요소"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"버튼에 접근 가능한 이름이 없는 경우 스크린 리더에서 '버튼'으로만 읽기 때문에 스크린 리더에 의존하는 사용자에게는 해당 버튼이 유용하지 않게 됩니다. [자세히 알아보기](https://web.dev/button-name/)"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"버튼에 접근 가능한 이름이 없습니다"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"버튼에 접근 가능한 이름이 있습니다"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"반복적인 콘텐츠를 건너뛸 방법을 추가하면 키보드 사용자가 페이지를 더 효율적으로 탐색할 수 있습니다. [자세히 알아보기](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"페이지에 제목, 링크 건너뛰기, 랜드마크 영역이 포함되어 있지 않습니다"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"페이지에 제목, 링크 건너뛰기, 랜드마크 영역이 포함되어 있습니다"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{
message:"많은 사용자가 저대비 텍스트를 읽는 데 어려움을 겪거나 전혀 읽지 못합니다. [자세히 알아보기](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"백그라운드 및 포그라운드 색상의 대비율이 충분하지 않습니다"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"백그라운드 및 포그라운드 색상의 대비율이 충분합니다"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"정의 목록이 올바르게 표시되지 않으면 스크린 리더에서 혼란스럽거나 정확하지 않은 내용을 말할 수 있습니다. [자세히 알아보기](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`에 순서가 올바른 `<dt>` 및 `<dd>` 그룹, `<script>`, `<template>` 또는 `<div>` 요소만 포함되어 있지 않음"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`에 순서가 올바른 `<dt>` 및 `<dd>` 그룹, `<script>`, `<template>` 또는 `<div>` 요소만 포함되어 있음"},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"스크린 리더에서 정의 목록 항목(`<dt>` 및 `<dd>`)을 올바르게 읽으려면 정의 목록 항목이 상위 `<dl>` 요소에 래핑되어 있어야 합니다. [자세히 알아보기](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"정의 목록 항목이 `<dl>` 요소에서 래핑되어 있지 않음"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"정의 목록 항목이 `<dl>` 요소에서 래핑되어 있음"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"제목을 사용하면 스크린 리더 사용자에게는 페이지의 개요를 제공할 수 있습니다. 검색엔진 사용자는 제목으로 페이지가 자신의 검색어와 관련되어 있는지 여부를 판단합니다. [자세히 알아보기](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"문서에 `<title>` 요소가 없음"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"문서에 `<title>` 요소가 있음"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"포커스할 수 있는 모든 요소에는 고유한 `id`이(가) 있어 보조 기술에 올바르게 표시되어야 합니다. [자세히 알아보기](https://web.dev/duplicate-id-active/)"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"포커스할 수 있는 활성 요소에 중복되는 `[id]` 속성이 있음"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"포커스할 수 있는 활성 요소에 중복되는 `[id]` 속성이 없음"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"중복되는 ARIA ID 값이 없어야 보조 기술이 다른 인스턴스를 놓치지 않습니다. [자세히 알아보기](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"중복되는 ARIA ID가 있음"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"중복되는 ARIA ID가 없음"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"라벨이 여러 개인 양식 입력란은 첫 번째, 마지막 또는 모든 라벨을 사용하는 스크린 리더와 같은 보조 기술에서 잘못 읽을 수 있습니다. [자세히 알아보기](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"양식 입력란에 라벨이 여러 개 있음"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"양식 입력란에 라벨이 여러 개가 아님"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"스크린 리더 사용자는 프레임 콘텐츠를 설명해 주는 프레임 제목을 사용합니다. [자세히 알아보기](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` 또는 `<iframe>` 요소에 제목이 없음"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` 또는 `<iframe>` 요소에 제목이 있음"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"레벨을 건너뛰지 않고 제대로 정렬된 제목은 페이지의 시맨틱 구조를 포함하여, 보조 기술을 사용할 때 더 쉽게 이동하고 이해하는 데 도움이 됩니다. [자세히 알아보기](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"제목 요소가 내림차순으로 표시되지 않음"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"제목 요소가 내림차순으로 표시됨"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"페이지에서 lang 속성을 지정하지 않는 경우 스크린 리더는 사용자가 스크린 리더를 설정할 때 선택한 기본 언어로 페이지가 작성되어 있다고 가정합니다. 페이지가 기본 언어로 작성되어 있지 않으면 스크린 리더에서 페이지에 있는 텍스트를 제대로 읽어줄 수 없습니다. [자세히 알아보기](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` 요소에 `[lang]` 속성이 없음"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` 요소에 `[lang]` 속성이 있음"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"유효한 [BCP 47 언어](https://www.w3.org/International/questions/qa-choosing-language-tags#question)를 지정하면 스크린 리더에서 텍스트를 올바르게 읽는 데 도움이 됩니다. [자세히 알아보기](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` 요소의 `[lang]` 속성에 유효한 값이 없음"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` 요소에 `[lang]` 속성의 유효한 값이 있음"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"정보 요소는 짧아야 하며 설명을 제공하는 대체 텍스트를 목표로 해야 합니다. 장식 요소는 Alt 속성이 비어 있는 경우 무시될 수 있습니다. [자세히 알아보기](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"이미지 요소에 `[alt]` 속성 없음"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"이미지 요소에 `[alt]` 속성이 있음"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"이미지가 `<input>` 버튼으로 사용되는 경우 대체 텍스트를 제공하면 스크린 리더 사용자가 버튼의 목적을 쉽게 이해하는 데 도움이 됩니다. [자세히 알아보기](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` 요소에 `[alt]` 텍스트가 없음'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` 요소에 `[alt]` 텍스트가 있음'},"lighthouse-core/audits/accessibility/label.js | description":{message:"라벨을 사용하면 스크린 리더와 같은 보조 기술에서 양식 컨트롤을 올바르게 읽을 수 있습니다. [자세히 알아보기](https://web.dev/label/)"},
"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"양식 요소에 관련 라벨이 포함되어 있지 않습니다"},"lighthouse-core/audits/accessibility/label.js | title":{message:"양식 요소에 관련 라벨이 포함되어 있습니다"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"인식하기 쉽고, 고유하고, 초점을 맞추기 쉬운 링크 텍스트(및 이미지가 링크로 사용되는 경우 이미지의 대체 텍스트)를 사용하면 스크린 리더 사용자의 탐색 환경을 개선할 수 있습니다. [자세히 알아보기](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"링크에 인식 가능한 이름이 포함되어 있지 않습니다"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"링크에 인식 가능한 이름이 포함되어 있습니다"},"lighthouse-core/audits/accessibility/list.js | description":{message:"스크린 리더에는 목록을 읽는 특정 방식이 있습니다. 목록 구조를 적절히 작성하면 스크린 리더 출력에 도움이 됩니다. [자세히 알아보기](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"목록에 `<li>` 요소와 스크립트 지원 요소(`<script>` 및 `<template>`)만 포함되지 않음"},"lighthouse-core/audits/accessibility/list.js | title":{
message:"목록에 `<li>` 요소와 요소 지원 스크립트(`<script>` 및 `<template>`)만 포함됨"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"스크린 리더에서 목록 항목(`<li>`)을 올바르게 읽으려면 목록 항목이 상위 `<ul>` 또는 `<ol>`에 포함되어 있어야 합니다. [자세히 알아보기](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"목록 항목(`<li>`)이 `<ul>` 또는 `<ol>` 상위 요소 내에 포함되지 않음"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"목록 항목(`<li>`)이 `<ul>` 또는 `<ol>` 상위 요소 내에 포함되어 있음"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"사용자는 페이지가 자동으로 새로고침된다고 예상하지 못하기 때문에 페이지가 자동으로 새로고침되면 초점이 다시 페이지 상단에 맞춰집니다. 이로 인해 불쾌하거나 혼란스러운 상황이 발생할 수 있습니다. [자세히 알아보기](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'문서에서 `<meta http-equiv="refresh">` 사용됨'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'문서에서 `<meta http-equiv="refresh">`이(가) 사용되지 않음'},
"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"확대/축소를 사용 중지하면 저시력으로 인해 웹페이지의 콘텐츠를 제대로 확인하기 위해 화면 확대를 사용하는 사용자에게 문제가 될 수 있습니다. [자세히 알아보기](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]`이(가) `<meta name="viewport">` 요소에서 사용되거나 `[maximum-scale]` 속성이 5보다 작음'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]`은(는) `<meta name="viewport">` 요소에 사용되지 않으며 `[maximum-scale]` 속성이 5보다 작지 않음'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"스크린 리더는 텍스트가 아닌 콘텐츠를 번역할 수 없습니다. `<object>` 요소에 Alt 텍스트를 추가하면 스크린 리더에서 사용자에게 텍스트의 의미를 전달하는 데 도움이 됩니다. [자세히 알아보기](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` 요소에 `[alt]` 텍스트가 없음"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` 요소에 `[alt]` 텍스트가 있음"},
"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"0보다 큰 값은 명시적인 탐색 순서를 나타냅니다. 기술적으로는 유효하나 보조 기술에 의존하는 사용자에게 불편한 환경이 생기는 경우가 많습니다. [자세히 알아보기](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"일부 요소의 `[tabindex]` 값이 0보다 큼"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"`[tabindex]` 값이 0보다 큰 요소가 없음"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"스크린 리더에는 표를 좀 더 쉽게 탐색하는 기능이 있습니다. `[headers]` 속성을 사용하는 `<td>` 셀이 동일한 테이블에 있는 다른 셀만 참조하게 하면 스크린 리더 사용자 환경을 개선할 수 있습니다. [자세히 알아보기](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`[headers]` 속성을 사용하는 `<table>` 요소의 셀은 동일한 테이블 내에 없는 요소 `id`만 참조합니다."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`[headers]` 속성을 사용하는 `<table>` 요소의 셀이 동일한 테이블 내의 테이블 셀을 참조합니다."},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"스크린 리더에는 표를 좀 더 쉽게 탐색하는 기능이 있습니다. 표 헤더에서 항상 셀 세트 일부를 참조하게 하면 스크린 리더 사용자 환경이 개선될 수 있습니다. [자세히 알아보기](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` 요소와 `[role="columnheader"/"rowheader"]` 지원 요소가 설명하는 데이터 셀이 해당 요소에 포함되지 않음'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` 요소와 `[role="columnheader"/"rowheader"]` 지원 요소가 설명하는 데이터 셀이 해당 요소에 포함됨'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"요소에 유효한 [BCP 47 언어](https://www.w3.org/International/questions/qa-choosing-language-tags#question)를 지정하면 스크린 리더에서 텍스트를 올바르게 읽는 데 도움이 됩니다. [자세히 알아보기](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` 속성에 유효한 값이 없음"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` 속성에 유효한 값이 있음"
},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"동영상에 자막이 제공되면 청각장애인이나 난청이 있는 사용자가 동영상의 정보에 더 쉽게 접근할 수 있습니다. [자세히 알아보기](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` 요소에 `[kind="captions"]` 지원 `<track>` 요소가 포함되지 않음'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` 요소에 `[kind="captions"]` 지원 `<track>` 요소가 포함됨'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"프로그레시브 웹 앱을 홈 화면에 추가했을 때 iOS에서 제대로 표시되려면 `apple-touch-icon`을(를) 정의해야 합니다. 투명하지 않은 192px 또는 180px 정사각형 PNG로 설정되어야 합니다. [자세히 알아보기](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"유효한 `apple-touch-icon`이(가) 제공되지 않음"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed`이(가) 최신 버전이 아니므로 `apple-touch-icon`이(가) 적합합니다."},
"lighthouse-core/audits/apple-touch-icon.js | title":{message:"유효한 `apple-touch-icon` 제공"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"현재 값"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"추천 토큰"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete`를 사용하면 사용자가 양식을 빨리 제출할 수 있습니다. 사용자가 더 쉽게 입력할 수 있도록 `autocomplete` 속성에 유효한 값을 지정하여 기능을 사용 설정하세요. [자세히 알아보기](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` 요소에 올바른 `autocomplete` 속성이 없음"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"직접 검토가 필요함"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"토큰 순서 검토"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` 구성요소가 `autocomplete`를 올바르게 사용함"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:"`autocomplete` 토큰: {snippet}에서 '{token}' 이름이 유효하지 않습니다."},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"{snippet}에서 '{tokens}' 토큰의 순서를 검토하세요."},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome 확장 프로그램이 이 페이지의 로드 성능에 부정적인 영향을 미쳤습니다. 시크릿 모드나 확장 프로그램이 없는 Chrome 프로필에서 페이지를 검사해 보세요."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"스크립트 평가"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"스크립트 파싱"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"총 CPU 시간"},"lighthouse-core/audits/bootup-time.js | description":{message:"JS 파싱, 컴파일, 실행에 소요되는 시간을 줄여 보세요. 용량이 적은 JS 페이로드를 제공하면 도움이 될 수 있습니다. [자세히 알아보기](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"자바스크립트 실행 시간 단축"},"lighthouse-core/audits/bootup-time.js | title":{message:"자바스크립트 실행 시간"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{
message:"번들에서 큰 중복 자바스크립트 모듈을 삭제하여 네트워크 활동이 소비하는 불필요한 바이트 수를 줄입니다. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"자바스크립트 번들에서 중복 모듈 삭제"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"대용량의 GIF는 애니메이션 콘텐츠를 전달하는 데 비효율적입니다. 애니메이션에는 MPEG4/WebM 동영상을, 정적인 이미지에는 GIF 대신 PNG/WebP를 사용하여 네트워크 바이트를 절약하세요. [자세히 알아보기](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"애니메이션 콘텐츠에 동영상 형식 사용하기"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill 및 변환을 통해 레거시 브라우저에서 새로운 자바스크립트 기능을 사용할 수 있습니다. 하지만 최신 브라우저에서는 대부분 필요하지 않습니다. 번들로 포함된 자바스크립트의 경우, module/nomodule 기능 감지를 사용하는 최신 스크립트 배포 전략을 채택하여 최신 브라우저에 적용되는 코드를 줄이고 레거시 브라우저 지원을 유지할 수 있습니다. [자세히 알아보기](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"레거시 JavaScript를 최신 브라우저에 제공하지 않기"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000, JPEG XR, WebP와 같은 이미지 형식을 사용하면 PNG 또는 JPEG보다 압축률이 높으므로 다운로드 속도가 빠르고 데이터 소비량도 줄어듭니다. [자세히 알아보기](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"차세대 형식을 사용해 이미지 제공하기"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"중요한 리소스의 로드가 모두 완료된 후에는 오프스크린 및 숨겨진 이미지를 지연 로드함으로써 상호작용 시간을 줄이는 것이 좋습니다. [자세히 알아보기](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"오프스크린 이미지 지연하기"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"리소스가 페이지의 첫 페인트를 차단하고 있습니다. 중요한 JS/CSS를 인라인으로 전달하고 중요하지 않은 모든 JS/Style을 지연하는 것이 좋습니다. [자세히 알아보기](https://web.dev/render-blocking-resources/)"},
"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"렌더링 차단 리소스 제거하기"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"네트워크 페이로드가 커지면 사용자에게 실제 비용 부담이 되며 로드 시간이 길어질 수 있습니다. [자세히 알아보기](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"총 크기: {totalBytes, number, bytes}KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"네트워크 페이로드가 커지지 않도록 관리하기"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"대규모 네트워크 페이로드 방지하기"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS 파일을 축소하면 네트워크 페이로드 크기를 줄일 수 있습니다. [자세히 알아보기](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"CSS 축소하기"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{
message:"자바스크립트 파일을 축소하면 페이로드 크기와 스크립트 파싱 시간을 줄일 수 있습니다. [자세히 알아보기](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"자바스크립트 줄이기"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"스타일시트에서 사용하지 않는 규칙을 줄이고 스크롤 없이 볼 수 있는 부분에 사용되지 않는 CSS의 로딩을 지연시켜 네트워크 활동에 소비되는 바이트를 줄이세요. [자세히 알아보기](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"사용하지 않는 CSS 줄이기"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"사용하지 않는 자바스크립트를 줄이고 스크립트가 필요할 때까지 로딩을 지연시켜 네트워크 활동에 소비되는 바이트를 줄이세요. [자세히 알아보기](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"사용하지 않는 자바스크립트 줄이기"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"캐시 수명이 길면 페이지를 반복해서 방문하는 속도가 빨라질 수 있습니다. [자세히 알아보기](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{리소스 1개 발견됨}other{리소스 #개 발견됨}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"효율적인 캐시 정책을 사용하여 정적인 애셋 제공하기"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"정적인 애셋에 효율적인 캐시 정책 사용하기"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"최적화된 이미지는 빠르게 로드되며 모바일 데이터를 적게 소비합니다. [자세히 알아보기](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"효율적으로 이미지 인코딩하기"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"적절한 크기의 이미지를 게재하여 모바일 데이터를 절약하고 로드 시간을 단축하세요. [자세히 알아보기](https://web.dev/uses-responsive-images/)"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"이미지 크기 적절하게 설정하기"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"총 네트워크 바이트를 최소화하려면 텍스트 기반 리소스를 압축(gzip, deflate, brotli)하여 제공해야 합니다. [자세히 알아보기](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"텍스트 압축 사용"},"lighthouse-core/audits/content-width.js | description":{message:"앱 콘텐츠의 너비가 표시 영역의 너비와 일치하지 않을 경우 앱이 휴대기기 화면에 최적화되지 않을 수 있습니다. [자세히 알아보기](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"{innerWidth}px의 표시 영역 크기는 {outerWidth}px인 창 크기와 일치하지 않습니다."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"콘텐츠의 크기가 표시 영역에 알맞지 않음"},"lighthouse-core/audits/content-width.js | title":{message:"콘텐츠의 크기가 표시 영역에 알맞음"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"다음의 크리티컬 요청 체인은 로드 시 우선순위가 높은 리소스를 보여줍니다. 체인의 길이를 줄이고, 리소스의 다운로드 크기를 줄이거나 불필요한 리소스의 다운로드를 지연하여 페이지 로드 속도를 높이는 것이 좋습니다. [자세히 알아보기](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1개 체인 발견됨}other{#개 체인 발견됨}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"중요 요청 체이닝 차단"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"명령어"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"심각도"},"lighthouse-core/audits/csp-xss.js | description":{message:"강력한 콘텐츠 보안 정책(CSP)을 사용하면 교차 사이트 스크립팅(XSS) 공격을 받을 위험이 크게 줄어듭니다. [자세히 알아보기](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"구문"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"페이지에 <meta> 태그에서 정의된 CSP가 포함되어 있습니다. 가능하면 HTTP 헤더에서 CSP를 정의하는 것이 좋습니다."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"시행 모드에 CSP가 없습니다."},
"lighthouse-core/audits/csp-xss.js | title":{message:"CSP가 XSS 공격에 효과적인지 확인"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"지원 중단/경고"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"행"},"lighthouse-core/audits/deprecations.js | description":{message:"이후에 지원 중단된 API는 브라우저에서 삭제됩니다. [자세히 알아보기](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{경고 1개가 발견됨}other{경고 #개가 발견됨}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"지원 중단된 API 사용"},"lighthouse-core/audits/deprecations.js | title":{message:"지원 중단 API 사용하지 않기"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"애플리케이션 캐시는 지원이 중단되었습니다. [자세히 알아보기](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"검색된 ‘{AppCacheManifest}’"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{
message:"애플리케이션 캐시 사용"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"애플리케이션 캐시 사용하지 않기"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"문자 인코딩 선언이 필요합니다. HTML의 첫 1,024바이트 또는 Content-Type HTTP 응답 헤더에서 `<meta>` 태그를 사용하여 선언할 수 있습니다. [자세히 알아보기](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"문자 집합 선언이 없거나 HTML에서 너무 뒤에 있음"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"문자 집합을 제대로 정의함"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Doctype을 지정하면 브라우저가 쿼크 모드로 전환할 수 없습니다. [자세히 알아보기](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Doctype 이름은 소문자 문자열 `html`이어야 합니다."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"문서에는 Doctype이 포함되어 있어야 합니다."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId가 빈 문자열일 것으로 예상됨"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId가 빈 문자열일 것으로 예상됨"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"페이지에 HTML Doctype이 없으므로 쿼크 모드가 트리거됨"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"페이지에 HTML Doctype 있음"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"통계"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"값"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"DOM이 크면 메모리 사용량이 늘어나고 [스타일 계산](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) 시간이 길어질 수 있으며 큰 비용이 드는 [레이아웃 리플로우](https://developers.google.com/speed/articles/reflow)가 발생할 수 있습니다. [자세히 알아보기](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{요소 1개}other{요소 #개}}"},
"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"과도한 DOM 크기 지양하기"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"최대 DOM 깊이"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"총 DOM 요소 개수"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"최대 하위 요소"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"과도한 DOM 크기 지양하기"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"통과하지 못한 앵커"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'성능을 개선하고 보안 취약점을 예방하려면 `rel="noopener"` 또는 `rel="noreferrer"`을(를) 외부 링크에 추가합니다. [자세히 알아보기](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"교차 도메인 대상 링크가 안전하지 않음"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"교차 도메인 대상 링크가 안전함"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"앵커({anchorHTML})의 대상을 확인하지 못했습니다. 하이퍼링크로 사용되지 않는 경우 target=_blank를 삭제하는 것이 좋습니다."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"사용자가 컨텍스트 없이 위치 정보를 요청한 사이트를 신뢰할 수 없거나 이로 인해 혼란스러운 상태입니다. 대신 사용자 작업 요청 입력을 고려해 보세요. [자세히 알아보기](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"페이지 로드 시 위치정보 권한 요청"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"페이지 로드 시 위치정보 권한 요청 방지하기"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"문제 유형"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome Devtools의 `Issues` 패널에 로그된 문제는 아직 해결되지 않은 문제들입니다. 이러한 문제는 네트워크 요청 실패, 충분하지 않은 보안 제어를 비롯한 기타 브라우저 문제로 인해 발생할 수 있습니다. 각 문제에 관한 자세한 내용은 Chrome DevTools의 문제 패널에서 확인하세요."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"문제가 Chrome Devtools의 `Issues` 패널에 로그됨"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"교차 도메인 정책에 의해 차단됨"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"광고에서 과도한 리소스 사용"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome Devtools의 `Issues` 패널에 문제 없음"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"버전"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"페이지에서 감지된 모든 프런트 엔드 JavaScript 라이브러리입니다. [자세히 알아보기](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"감지된 JavaScript 라이브러리"},
"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"연결이 느린 사용자의 경우 `document.write()`에서 동적으로 삽입된 외부 스크립트로 인해 페이지 로드가 몇십 초까지 지연될 수 있습니다. [자세히 알아보기](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"`document.write()` 피하기"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"`document.write()` 지양하기"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"높은 심각도순"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"라이브러리 버전"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"취약점 수"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"일부 타사 스크립트에는 공격자가 쉽게 식별하고 공격할 수 있는 알려진 보안 취약점이 포함되어 있을 수 있습니다. [자세히 알아보기](https://web.dev/no-vulnerable-libraries/)"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{취약점 1개가 감지됨}other{취약점 #개가 감지됨}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"알려진 보안 취약점이 있는 프런트 엔드 JavaScript 라이브러리가 포함됨"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"알려진 보안 취약점이 있는 프런트 엔드 JavaScript 라이브러리를 사용하지 않음"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"사용자가 컨텍스트 없이 알림 전송을 요청한 사이트를 신뢰할 수 없거나 이로 인해 혼란스러운 상태입니다. 대신 사용자 동작에 대한 요청 입력을 고려해 보세요. [자세히 알아보기](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"페이지 로드 시 알림 권한 요청"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"페이지 로드 시 알림 권한 요청 방지하기"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"비밀번호 붙여넣기 방지로 인해 타당한 보안 정책이 저해됩니다. [자세히 알아보기](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"사용자가 비밀번호 입력란에 내용을 붙여넣지 못하도록 차단"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"사용자가 비밀번호 입력란에 붙여넣을 수 있도록 허용"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"프로토콜"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2는 HTTP/1.1에 비해 바이너리 헤더, 멀티플렉싱 등의 다양한 이점을 제공합니다. [자세히 알아보기](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{HTTP/2를 통해 게재되지 않는 요청 1건}other{HTTP/2를 통해 게재되지 않는 요청 #건}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2를 사용하세요"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"터치 및 휠 이벤트 리스너를 `passive`(으)로 표시하면 페이지 스크롤 성능을 개선할 수 있습니다. [자세히 알아보기](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"스크롤 성능 개선에 패시브 리스너를 사용하지 않음"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"스크롤 성능 개선에 패시브 리스너 사용"},"lighthouse-core/audits/errors-in-console.js | description":{message:"콘솔에 로그된 오류는 해결되지 않은 문제를 의미합니다. 네트워크 요청 실패를 비롯한 기타 브라우저 문제로 인해 발생할 수 있습니다. [자세히 알아보기](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"브라우저 오류가 콘솔에 로그됨"},"lighthouse-core/audits/errors-in-console.js | title":{message:"콘솔에 로그된 브라우저 오류 없음"},"lighthouse-core/audits/font-display.js | description":{message:"웹폰트가 로드되는 동안 사용자에게 텍스트가 표시되도록 글꼴 표시 CSS 기능을 사용합니다. [자세히 알아보기](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"웹폰트가 로드되는 동안 텍스트가 계속 표시되는지 확인하기"},
"lighthouse-core/audits/font-display.js | title":{message:"웹폰트가 로드되는 동안 모든 텍스트가 계속 표시됩니다"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse에서 원본 {fontOrigin}의 `font-display` 값을 자동으로 확인할 수 없습니다.}other{Lighthouse에서 원본 {fontOrigin}의 `font-display` 값을 자동으로 확인할 수 없습니다.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"가로세로 비율(실제)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"가로세로 비율(표시됨)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"이미지 표시 측정기준은 원래 가로세로 비율과 일치해야 합니다. [자세히 알아보기](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"이미지를 올바르지 않은 가로세로 비율로 표시"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"이미지를 올바른 가로세로 비율로 표시"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"실제 크기"},
"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"표시된 크기"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"예상 크기"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"이미지의 본래 크기가 표시 크기와 픽셀 비율에 비례해야 이미지가 가장 선명하게 보입니다. [자세히 알아보기](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"이미지가 낮은 해상도로 제공됨"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"이미지가 적절한 해상도로 제공됨"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"앱이 이미 설치되어 있습니다."},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"매니페스트에서 필요한 아이콘을 다운로드할 수 없음"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"실패 이유"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"서비스 워커는 앱에서 오프라인, 홈 화면에 추가, 푸시 알림 등 다양한 프로그레시브 웹 앱 기능을 사용할 수 있도록 설정하는 기술입니다. 적절한 서비스 워커와 매니페스트를 구현할 경우 브라우저는 사용자에게 홈 화면에 앱을 추가하라는 메시지를 사전에 표시할 수 있으며 이렇게 하면 참여도가 높아질 수 있습니다. [자세히 알아보기](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{이유: 1개}other{이유: #개}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"웹 앱 매니페스트 또는 서비스 워커가 설치 가능 요건을 충족하지 않음"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play 스토어 앱 URL 및 Play 스토어 ID가 일치하지 않습니다."},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"페이지가 시크릿 창에 로드되었습니다."},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"매니페스트 'display' 속성은 'standalone', 'fullscreen', 'minimal-ui' 중 하나여야 합니다."},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{
message:"매니페스트에 'display_override' 입력란이 포함되어 있으며 첫 번째 지원되는 디스플레이 모드는 'standalone', 'fullscreen', 'minimal-ui' 중 하나여야 합니다."},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"매니페스트를 가져올 수 없거나 비어있거나 파싱할 수 없습니다."},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"매니페스트를 가져오는 중에 매니페스트 URL이 변경되었습니다."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"매니페스트에 'name' 또는 'short_name' 필드가 포함되어 있지 않습니다."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"매니페스트에 적절한 아이콘이 포함되어 있지 않습니다. 아이콘은 최소 {value0}px 크기의 PNG, SVG 또는 WebP 형식으로 sizes 속성이 설정되어야 하며 purpose 속성이 설정된 경우 'any'를 포함해야 합니다."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"제공된 아이콘 중 최소 {value0}px인 PNG, SVG, WebP 형식의 정사각형이며, purpose 속성이 설정되어 있지 않거나 'any'로 설정되어 있는 아이콘이 없습니다."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{
message:"다운로드된 아이콘이 비어 있거나 손상됨"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"제공된 Play 스토어 ID 없음"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"페이지에 매니페스트 <link> URL이 없습니다."},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"일치하는 서비스 워커가 감지되지 않았습니다. 페이지를 새로고침하거나 현재 페이지에 관한 서비스 워커의 범위가 범위와 매니페스트의 시작 URL을 포괄하는지 확인하세요."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"매니페스트에 'start_url' 필드가 없는 서비스 워크를 확인할 수 없습니다."},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"설치 가능 오류 ID ‘{errorId}’을(를) 인식할 수 없습니다."},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"페이지가 보안이 설정된 출처에서 제공되지 않았습니다."},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"메인 프레임에 페이지가 로드되지 않았습니다."},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"페이지가 오프라인에서 작동하지 않습니다."},
"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"지정된 애플리케이션 플랫폼이 Android에서 지원되지 않습니다."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"매니페스트에서 다음과 같이 지정합니다. prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications는 Android의 Chrome 베타 및 공개 버전 채널에서만 지원됩니다."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"잘못된 매니페스트 시작 URL입니다."},"lighthouse-core/audits/installable-manifest.js | title":{message:"웹 앱 매니페스트 및 서비스 워커가 설치 가능 요건을 충족함"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"매니페스트의 URL에 사용자 이름, 비밀번호 또는 포트가 포함되어 있습니다."},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"페이지가 오프라인에서 작동하지 않습니다. Chrome 93 안정화 버전이 2021년 8월 출시된 이후에는 이 페이지가 설치 가능한 것으로 간주되지 않을 것입니다."},
"lighthouse-core/audits/is-on-https.js | allowed":{message:"허용됨"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"차단됨"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"안전하지 않은 URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"해결 요청"},"lighthouse-core/audits/is-on-https.js | description":{message:"민감한 정보를 다루지 않는 사이트를 비롯해 모든 사이트는 HTTPS로 보호해야 합니다. 또한 [혼합 콘텐츠](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)도 피해야 합니다. 혼합 콘텐츠에서는 초기 요청은 HTTPS로 전송되지만 일부 리소스가 HTTP를 통해 로드됩니다. HTTPS는 침입자가 앱과 사용자 사이의 통신을 조작하거나 통신에 대해 패시브 리스너를 사용하지 못하도록 방지하며 HTTP/2와 여러 신규 웹 플랫폼 API의 필수 요건이기도 합니다. [자세히 알아보기](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{안전하지 않은 요청 1건 검색됨}other{안전하지 않은 요청 #건 검색됨}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"HTTPS 사용하지 않음"},"lighthouse-core/audits/is-on-https.js | title":{
message:"HTTPS 사용"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"HTTPS로 자동 업그레이드됨"},"lighthouse-core/audits/is-on-https.js | warning":{message:"허용됨(경고 포함)"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"라이브러리"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"큰 자바스크립트 라이브러리는 성능을 저하시킬 수 있습니다. 기능은 동일하되 크기가 작은 라이브러리를 사용하여 번들 크기를 줄이세요. [자세히 알아보기](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{큰 라이브러리 1개 발견됨}other{큰 라이브러리 #개 발견됨}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"불필요하게 큰 자바스크립트 라이브러리 대체"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"큰 자바스크립트 라이브러리를 작은 라이브러리로 대체"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{
message:"표시 영역에 페인팅된 가장 큰 콘텐츠가 포함된 요소입니다. [자세히 알아보기](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"콘텐츠가 포함된 최대 페인트 요소"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS에 기여한 양"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"DOM 요소가 페이지 CLS의 대부분을 차지합니다."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"대규모 레이아웃 변경 피하기"},"lighthouse-core/audits/long-tasks.js | description":{message:"기본 스레드의 가장 긴 작업을 열거합니다. 입력 지연을 가장 많이 유발하는 작업을 찾을 때 용이합니다. [자세히 알아보기](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{긴 작업 #개 발견}other{긴 작업 #개 발견}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"긴 기본 스레드 작업 피하기"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"카테고리"},
"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"JS 파싱, 컴파일, 실행에 소요되는 시간을 줄여 보세요. 용량이 적은 JS 페이로드를 제공하면 도움이 될 수 있습니다. [자세히 알아보기](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"기본 스레드 작업 최소화하기"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"기본 스레드 작업 최소화하기"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"최대한 많은 사용자가 이용할 수 있으려면 사이트가 모든 주요 브라우저에서 작동해야 합니다. [자세히 알아보기](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"사이트가 다양한 브라우저에서 작동함"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"페이지를 소셜 미디어에 공유하려면 개별 페이지가 URL을 통해 딥 링크로 연결될 수 있어야 하며 페이지별로 URL이 달라야 합니다. [자세히 알아보기](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"페이지마다 URL이 있음"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"탭을 했을 때 느린 네트워크에서도 전환이 빠르게 느껴져야 합니다. 이 전환 경험이야말로 사용자의 성능에 대한 인식에 중요한 영향을 미칩니다. [자세히 알아보기](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"페이지 전환 시 네트워크에서 막히는 느낌이 들지 않음"},"lighthouse-core/audits/maskable-icon.js | description":{message:"마스크 가능한 아이콘은 앱을 기기에 설치할 때 레터박스 없이 이미지가 도형 전체를 채울 수 있게 합니다. [자세히 알아보기](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"매니페스트에 마스크 가능한 아이콘이 없음"},"lighthouse-core/audits/maskable-icon.js | title":{message:"매니페스트에 마스크 가능한 아이콘이 있음"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"누적 레이아웃 변경은 표시 영역 안에 보이는 요소의 이동을 측정합니다. [자세히 알아보기](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{
message:"콘텐츠가 포함된 첫 페인트는 첫 번째 텍스트 또는 이미지가 표시되는 시간을 나타냅니다. [자세히 알아보기](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"유의미한 첫 페인트는 페이지의 기본 콘텐츠가 표시되는 경우를 측정합니다. [자세히 알아보기](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"사용할 수 있을 때까지 걸리는 시간은 완전히 페이지와 상호작용할 수 있게 될 때까지 걸리는 시간입니다. [자세히 알아보기](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"콘텐츠가 포함된 최대 페인트는 최대 텍스트 또는 이미지가 표시되는 시간을 나타냅니다. [자세히 알아보기](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"사용자가 경험할 수 있는 최대 첫 입력 지연 예상 시간은 가장 긴 작업의 길이입니다. [자세히 알아보기](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"속도 색인은 페이지 콘텐츠가 얼마나 빨리 표시되는지 보여줍니다. [자세히 알아보기](https://web.dev/speed-index/)"},
"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"FCP와 상호작용 시간 사이의 모든 시간의 합으로 작업 지속 시간이 50ms를 넘으면 밀리초 단위로 표현됩니다. [자세히 알아보기](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{message:"네트워크 왕복 시간(RTT)이 성능에 큰 영향을 줍니다. 출발지로의 RTT가 크면 서버가 사용자에게 가까울 때 성능이 향상될 수 있음을 나타냅니다. [자세히 알아보기](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"네트워크 왕복 시간"},"lighthouse-core/audits/network-server-latency.js | description":{message:"서버 지연 시간은 웹 성능에 영향을 줄 수 있습니다. 출발지의 서버 지연 시간이 길면 서버에 과부하가 걸렸거나 백엔드 성능이 낮음을 나타냅니다. [자세히 알아보기](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"서버 백엔드 지연 시간"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` 이벤트는 안정적으로 실행되지 않으며 이 이벤트를 리스닝하면 '뒤로-앞으로' 캐시와 같은 브라우저 최적화 기능을 사용하지 못할 수 있습니다. `pagehide` 또는 `visibilitychange` 이벤트를 대신 사용해 보세요. [자세히 알아보기](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"`unload` 리스너 등록"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"`unload` 이벤트 리스너를 사용하지 않음"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"합성 작업을 거치지 않은 애니메이션은 품질이 나쁘고 CLS를 높일 수 있습니다. [자세히 알아보기](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{애니메이션 요소 #개 발견됨}other{애니메이션 요소 #개 발견됨}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"필터 관련 속성으로 인해 픽셀이 움직일 수 있음"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"타겟에 호환되지 않는 다른 애니메이션이 있음"},
"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"효과에 'replace'가 아닌 합성 모드가 있음"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"합성 작업을 거치지 않은 애니메이션 지양하기"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"변환 관련 속성은 박스 크기에 의존합니다."},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{지원되지 않는 CSS 속성: {properties}}other{지원되지 않는 CSS 속성: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"지원되지 않는 타이밍 매개변수가 효과에 포함됨"},"lighthouse-core/audits/performance-budget.js | description":{message:"네트워크 요청의 양과 크기는 제공된 성능 예산에 따라 설정된 목표치 아래로 유지하세요. [자세히 알아보기](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{요청 1건}other{요청 #건}}"},
"lighthouse-core/audits/performance-budget.js | title":{message:"성능 예산"},"lighthouse-core/audits/preload-fonts.js | description":{message:"신규 방문자가 사용할 수 있도록 `optional` 글꼴을 미리 로드하세요. [자세히 알아보기](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"`font-display: optional`을 사용하는 글꼴이 미리 로드되지 않음"},"lighthouse-core/audits/preload-fonts.js | title":{message:"`font-display: optional`을 사용하는 글꼴이 미리 로드됨"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"LCP 요소에서 사용된 이미지를 미리 로드하여 LCP 시간을 개선하세요. [자세히 알아보기](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"콘텐츠가 포함된 최대 페인트 이미지 미리 로드"},"lighthouse-core/audits/redirects-http.js | description":{message:"HTTPS를 이미 설정한 경우 모든 사용자가 안전한 웹 기능을 사용하기 위해서는 모든 HTTP 트래픽이 HTTPS로 리디렉션되어야 합니다. [자세히 알아보기](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{
message:"HTTP 트래픽을 HTTPS로 리디렉션하지 않음"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTP 트래픽을 HTTPS로 리디렉션함"},"lighthouse-core/audits/redirects.js | description":{message:"리디렉션을 사용하면 페이지가 로드되기 전 추가적인 지연이 발생합니다. [자세히 알아보기](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"여러 차례의 페이지 리디렉션 피하기"},"lighthouse-core/audits/resource-summary.js | description":{message:"페이지 리소스의 수량과 크기와 관련해 예산을 설정하려면 budget.json 파일을 추가하세요. [자세히 알아보기](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{요청 1개 • {byteCount, number, bytes}KiB}other{요청 #개 • {byteCount, number, bytes}KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"요청 수는 낮게, 전송 크기는 작게 유지하기"},"lighthouse-core/audits/seo/canonical.js | description":{message:"표준 링크는 검색결과에 어떤 URL을 표시할지 알려줍니다. [자세히 알아보기](https://web.dev/canonical/)"},
"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"여러 개의 URL({urlList})이 충돌됨"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"다른 도메인({url})을 가리킵니다."},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"잘못된 URL({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"다른 `hreflang` 위치({url})를 가리킵니다."},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"상대 URL({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"콘텐츠 페이지가 아닌 도메인의 루트 URL(홈페이지)을 가리킴"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"문서에 유효한 `rel=canonical` 없음"},"lighthouse-core/audits/seo/canonical.js | title":{message:"문서에 유효한 `rel=canonical` 있음"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"크롤링할 수 없는 링크"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"검색엔진에서 링크에 대해 `href` 속성을 사용하여 웹사이트를 크롤링할 수 있습니다. 앵커 요소의 `href` 속성이 적절한 대상에 연결되어 사이트에서 더 많은 페이지가 검색되도록 하세요. [자세히 알아보기](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"링크를 크롤링할 수 없음"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"링크를 크롤링할 수 있음"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"읽을 수 없는 추가 텍스트"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"글꼴 크기"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"페이지 텍스트 비율(%)"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"선택기"},"lighthouse-core/audits/seo/font-size.js | description":{message:"12px보다 글꼴 크기가 작으면 읽기 어렵기 때문에 모바일 방문자가 '손가락으로 확대'해야만 읽을 수 있습니다. 페이지 텍스트의 60% 이상을 12px 이상으로 유지하도록 노력하세요. [자세히 알아보기](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{
message:"{decimalProportion, number, extendedPercent} 읽기 쉬운 텍스트"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"모바일 화면에 최적화된 표시 영역 메타 태그가 없어서 텍스트를 알아볼 수 없음"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"문서에서 읽기 쉬운 글꼴 크기를 사용하지 않음"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"읽기 쉬운 텍스트"},"lighthouse-core/audits/seo/font-size.js | title":{message:"문서가 읽기 쉬운 글꼴 크기를 사용함"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang 링크는 검색엔진에 특정 언어나 지역에서 페이지의 어떤 버전을 검색결과로 표시해야 할지 알려줍니다. [자세히 알아보기](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"문서에 유효한 `hreflang` 없음"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"상대적인 href 값"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"문서에 유효한 `hreflang` 있음"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"예상치 못한 언어 코드"},
"lighthouse-core/audits/seo/http-status-code.js | description":{message:"실패한 HTTP 상태 코드가 있는 페이지는 제대로 색인이 생성되지 않을 수 있습니다. [자세히 알아보기](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"페이지에 실패한 HTTP 상태 코드가 있음"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"페이지에 성공적인 HTTP 상태 코드가 있음"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"검색엔진이 페이지를 크롤링할 권한이 없으면 검색결과에 포함할 수 없습니다. [자세히 알아보기](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"페이지의 색인 생성이 차단됨"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"페이지의 색인 생성이 차단되지 않음"},"lighthouse-core/audits/seo/link-text.js | description":{message:"구체적인 링크 텍스트는 검색엔진에서 콘텐츠를 이해하는 데 도움이 됩니다. [자세히 알아보기](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{링크 1개 찾음}other{링크 #개 찾음}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"링크에 설명 텍스트가 없음"},"lighthouse-core/audits/seo/link-text.js | title":{message:"링크에 설명 텍스트가 있음"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"[구조화된 데이터용 테스트 도구](https://search.google.com/structured-data/testing-tool/)와 [구조화된 데이터 Linter](http://linter.structured-data.org/)를 실행하여 구조화된 데이터를 검증합니다. [자세히 알아보기](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"구조화된 데이터가 유효함"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"검색결과에 페이지 콘텐츠를 간략하게 요약하기 위한 메타 설명이 포함될 수 있습니다. [자세히 알아보기](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"설명 텍스트가 비어 있습니다."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"문서에 메타 설명이 없음"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"문서에 메타 설명이 있음"},
"lighthouse-core/audits/seo/plugins.js | description":{message:"검색엔진은 플러그인 콘텐츠의 색인을 생성할 수 없고 플러그인을 제한하거나 지원하지 않는 기기도 많습니다. [자세히 알아보기](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"문서가 플러그인을 사용함"},"lighthouse-core/audits/seo/plugins.js | title":{message:"문서에서 플러그인을 사용할 수 없음"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"robots.txt 파일 형식이 잘못된 경우 크롤러가 웹사이트를 어떻게 크롤링하고 색인을 생성해야 할지 파악하지 못할 수 있습니다. [자세히 알아보기](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txt 요청에 반환된 HTTP 상태: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{오류 1개 발견}other{오류 #개 발견}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse에서 robots.txt 파일을 다운로드할 수 없음"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt가 유효하지 않음"},
"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt가 유효함"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"버튼이나 링크 같은 상호작용 요소는 충분히 커야 하며(48 x 48px), 주변에 충분한 공간이 있고 다른 요소와 겹치지 않아 쉽게 탭할 수 있어야 합니다. [자세히 알아보기](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} 탭 타겟 크기가 적절함"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"모바일 화면에 최적화된 표시 영역 메타 태그가 없어서 탭 타겟이 너무 작음"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"탭 타겟 크기가 적절하지 않음"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"타겟이 중복됨"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"탭 타겟"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"탭 타겟의 크기가 적절함"},"lighthouse-core/audits/server-response-time.js | description":{
message:"다른 모든 요청이 기본 문서의 영향을 받으므로 기본 문서에 대한 서버 응답 시간을 짧게 유지하세요. [자세히 알아보기](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"루트 문서에 {timeInMs, number, milliseconds} ms 소요됨"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"초기 서버 응답 시간 단축"},"lighthouse-core/audits/server-response-time.js | title":{message:"초기 서버 응답 시간 짧음"},"lighthouse-core/audits/service-worker.js | description":{message:"서비스 워커는 앱에서 오프라인, 홈 화면에 추가, 푸시 알림 등 다양한 프로그레시브 웹 앱 기능을 사용할 수 있도록 설정하는 기술입니다. [자세히 알아보기](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"이 페이지는 서비스 워커로 인해 제어되지만 매니페스트가 유효한 JSON으로 파싱하는 데 실패했으므로 `start_url`을(를) 찾지 못했습니다."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"이 페이지는 서비스 워커로 인해 제어되지만 `start_url`({startUrl})이(가) 서비스 워커의 범위({scopeUrl})에 있지 않습니다."},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{
message:"이 페이지는 서비스 워커로 인해 제어되지만 가져온 매니페스트가 없으므로 `start_url`을(를) 찾지 못했습니다."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"이 원본에 하나 이상의 서비스 워커가 있지만 페이지({pageUrl})가 범위 내에 있지 않습니다."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"페이지와 `start_url`을(를) 제어하는 서비스 워커를 등록하지 않음"},"lighthouse-core/audits/service-worker.js | title":{message:"페이지와 `start_url`을(를) 제어하는 서비스 워커를 등록함"},"lighthouse-core/audits/splash-screen.js | description":{message:"테마 스플래시 화면을 사용하면 사용자가 홈 화면에서 앱을 실행했을 때 고품질의 환경을 경험할 수 있습니다. [자세히 알아보기](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"맞춤 스플래시 화면에 맞게 구성되지 않음"},"lighthouse-core/audits/splash-screen.js | title":{message:"맞춤 스플래시 화면에 맞게 구성됨"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"브라우저 주소 표시줄에는 사이트와 맞는 테마를 설정할 수 있습니다. [자세히 알아보기](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{
message:"주소 표시줄의 테마 색상을 설정하지 않음"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"주소 표시줄의 테마 색상을 설정함"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName}(고객 성공 사례)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName}(마케팅)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName}(소셜)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName}(동영상)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"제품"},"lighthouse-core/audits/third-party-facades.js | description":{message:"일부 타사 임베딩은 지연 로드될 수 있습니다. 필요할 때까지 파사드로 대체해 보세요. [자세히 알아보기](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{대체 퍼사드 #개 사용 가능}other{대체 퍼사드 #개 사용 가능}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{
message:"일부 타사 리소스는 퍼사드와 함께 지연 로드될 수 있음"},"lighthouse-core/audits/third-party-facades.js | title":{message:"퍼사드로 타사 리소스 지연 로드"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"타사"},"lighthouse-core/audits/third-party-summary.js | description":{message:"타사 코드는 로드 성능에 크게 영향을 미칠 수 있습니다. 페이지에서 먼저 로딩을 끝낸 후 중복되는 타사 공급업체의 수를 제한하고 타사 코드를 로드해 보세요. [자세히 알아보기](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"타사 코드가 {timeInMs, number, milliseconds} ms 동안 기본 스레드를 차단했습니다."},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"타사 코드의 영향을 줄임"},"lighthouse-core/audits/third-party-summary.js | title":{message:"타사 사용량 최소화"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"측정값"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"측정항목"},
"lighthouse-core/audits/timing-budget.js | description":{message:"시기 예산을 설정하면 사이트 실적을 확인하는 데 도움이 됩니다. 성능 기준에 맞는 사이트는 빠르게 로드되고 사용자 입력 이벤트에 빠르게 응답합니다. [자세히 알아보기](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"시기 예산"},"lighthouse-core/audits/unsized-images.js | description":{message:"이미지 요소에 명시적인 너비 및 높이를 설정하여 레이아웃 변경 횟수를 줄이고 누적 레이아웃 변경을 개선합니다. [자세히 알아보기](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"이미지 요소에 `width` 및 `height`가 명시되어 있지 않습니다"},"lighthouse-core/audits/unsized-images.js | title":{message:"이미지 요소에 `width` 및 `height`가 명시되어 있습니다"},"lighthouse-core/audits/user-timings.js | columnType":{message:"유형"},"lighthouse-core/audits/user-timings.js | description":{message:"앱에서 User Timing API를 사용하여 중요 사용자 경험이 이루어지는 동안의 실제 성능을 측정하세요. [자세히 알아보기](https://web.dev/user-timings/)"},
"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{사용자 시간 1회}other{사용자 시간 #회}}"},"lighthouse-core/audits/user-timings.js | title":{message:"사용자 타이밍 표시 및 측정 값"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"'{securityOrigin}'에 `<link rel=preconnect>` 링크가 있으나 브라우저에서 사용되지 않았습니다. `crossorigin` 속성을 올바르게 사용하고 있는지 확인하세요."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"`preconnect` 또는 `dns-prefetch` 리소스 힌트를 추가하여 중요한 타사 원본에 대한 조기 연결을 수립하는 것이 좋습니다. [자세히 알아보기](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"필수 원본 미리 연결하기"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"`<link rel=preconnect>` 연결이 3개 이상 발견되었습니다. 사전 연결 링크는 가장 중요한 원본에 한해 조금만 사용해야 합니다."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:"'{securityOrigin}'에 `<link rel=preconnect>` 링크가 있으나 브라우저에서 사용되지 않았습니다. 페이지에서 확실하게 요청하는 중요 출처에만 `preconnect`를 사용합니다."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"'{preloadURL}'에 미리 로드된 `<link>` 링크가 있으나 브라우저에서 사용되지 않았습니다. `crossorigin` 속성을 올바르게 사용하고 있는지 확인하세요."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"`<link rel=preload>`을(를) 사용하여 현재 요청되는 리소스를 페이지 로드에 나중에 가져올 때 우선순위를 정하는 것이 좋습니다. [자세히 알아보기](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"중요한 요청을 미리 로드하기"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"맵 URL"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"소스 맵은 축소된 코드를 원본 소스 코드로 변환합니다. 이는 프로덕션 단계에서 개발자의 디버깅에 도움이 됩니다. 또한 Lighthouse에서 더 많은 정보를 확인할 수 있습니다. 소스 맵을 배포하여 이러한 이점을 활용해 보세요. [자세히 알아보기](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},
"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"큰 자사 자바스크립트에 소스 맵이 누락됨"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"큰 자바스크립트 파일에 소스 맵이 없음"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{경고: `.sourcesContent`에 항목 1개 누락}other{경고: `.sourcesContent`에 항목 #개 누락}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"페이지에 유효한 소스 맵이 있음"},"lighthouse-core/audits/viewport.js | description":{message:'휴대기기 화면에 앱을 최적화하려면 `<meta name="viewport">` 태그를 추가합니다. [자세히 알아보기](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'`<meta name="viewport">` 태그 없음'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'`width` 또는 `initial-scale`이(가) 포함된 `<meta name="viewport">` 태그가 없음'},"lighthouse-core/audits/viewport.js | title":{message:'`width` 또는 `initial-scale`이(가) 포함된 `<meta name="viewport">` 태그가 있음'},
"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"애플리케이션의 ARIA 사용을 개선하도록 추천된 사항입니다. 이를 통해 스크린 리더와 같은 지원 기술을 사용하는 사용자의 환경을 개선할 수 있습니다."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"오디오 및 비디오의 대체 콘텐츠를 제공하도록 추천된 사항입니다. 이를 통해 청각 장애나 시각 장애가 있는 사용자의 환경을 개선할 수 있습니다."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"오디오 및 동영상"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"일반적인 접근성 권장사항을 강조표시합니다."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"권장사항"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"이 검사에서는 [웹 앱의 접근성을 개선](https://developers.google.com/web/fundamentals/accessibility)하도록 추천된 사항을 강조합니다. 접근성 문제의 일부만 자동으로 감지되므로 직접 테스트하는 것도 좋습니다."},
"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"자동화된 테스트 도구가 처리할 수 없는 영역을 다루는 항목입니다. [접근성 검토 실시](https://developers.google.com/web/fundamentals/accessibility/how-to-review)에 관한 가이드에서 자세히 알아보세요."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"접근성"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"콘텐츠의 가독성을 개선할 추천 내용입니다."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"대비"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"다른 언어를 사용하는 사용자가 콘텐츠를 더 쉽게 이해할 수 있게 개선하도록 추천된 사항입니다."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"다국어화 및 현지화"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"애플리케이션 컨트롤의 의미 해석을 개선하도록 추천된 사항입니다. 이를 통해 스크린 리더와 같은 지원 기술을 사용하는 사용자의 환경을 개선할 수 있습니다."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{
message:"이름 및 라벨"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"애플리케이션에서 키보드 탐색을 개선하도록 추천된 사항입니다."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"탐색"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"다음은 스크린 리더와 같은 보조 기술을 사용하여 표나 목록 데이터를 읽는 사용자의 경험을 개선할 수 있는 기회입니다."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"표와 목록"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"브라우저 호환성"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"권장사항"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"일반"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"신뢰와 안전"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"사용자 환경"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"성능 예산은 사이트 성능의 표준을 설정합니다."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"예산"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"애플리케이션 성능과 관련된 추가 정보입니다. 이러한 숫자는 성능 점수에 [직접적인 영향](https://web.dev/performance-scoring/)을 미치지 않습니다."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"진단"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"성능에서 가장 중요한 측면은 픽셀이 화면에 렌더링되는 속도입니다. 주요 측정항목: 최초 만족 페인트, 최초 유의미 페인트"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"최초 페인트 개선"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"이러한 권장사항은 페이지를 더 빠르게 로드하는 데 도움이 될 수 있습니다. 성능 점수에는 [직접적인 영향](https://web.dev/performance-scoring/)을 미치지 않습니다."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{
message:"추천"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"측정항목"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"페이지가 빠르게 반응하고 가능한 한 빨리 사용할 수 있는 준비가 되도록 전반적인 로드 환경을 강화하세요. 주요 측정항목: 상호작용 시간, 속도 색인"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"전반적인 개선사항"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"성능"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"이 검사는 프로그레시브 웹 앱의 요소를 검사합니다. [자세히 알아보기](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"이 검사는 기준 [PWA 체크리스트](https://developers.google.com/web/progressive-web-apps/checklist)의 필수 항목이지만 Lighthouse에서 자동으로 확인되지는 않습니다. 점수에 영향을 미치지는 않지만 직접 확인하는 것이 중요합니다."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"프로그레시브 웹 앱"},
"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"설치 가능"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA 최적화됨"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"이와 같은 검사를 통해 페이지가 검색엔진 결과 순위에 최적화되도록 할 수 있습니다. Lighthouse에서 점검하지 않는 추가적인 요소가 검색 순위에 영향을 줄 수도 있습니다. [자세히 알아보기](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"사이트에서 이러한 추가 검증 도구를 실행하여 추가적인 검색엔진 최적화 권장사항을 확인합니다."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"검색엔진 최적화"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"크롤러가 앱 콘텐츠를 효과적으로 파악할 수 있도록 HTML 형식을 지정하세요."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"콘텐츠 권장사항"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"검색결과에 표시하려면 크롤러가 앱에 액세스할 수 있어야 합니다."},
"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"크롤링 및 색인 생성"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"사용자가 콘텐츠를 읽기 위해 페이지를 확대하거나 축소할 필요가 없도록 모바일 친화적인 페이지를 지원하세요. [자세히 알아보기](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"모바일 친화적"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"테스트된 기기의 CPU가 Lighthouse의 예상보다 느린 것으로 보입니다. 이는 성능 점수에 부정적인 영향을 줄 수 있습니다. [적절한 CPU 감속 배율기 보정](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)에 관해 자세히 알아보세요."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"테스트 URL({requested})이 {final}(으)로 리디렉션되었기 때문에 페이지가 예상대로 로드되지 않을 수 있습니다. 두 번째 URL을 직접 테스트해 보세요."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"페이지 로드가 너무 느려 시간 제한 내에 완료되지 않았습니다. 결과가 불완전할 수 있습니다."},
"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{{locations}에 저장된 데이터가 로드 성능에 영향을 줄 수 있습니다. 시크릿 창에서 페이지를 감사하여 이러한 리소스가 점수에 영향을 주지 않도록 하세요.}other{{locations}에 저장된 데이터가 로드 성능에 영향을 줄 수 있습니다. 시크릿 창에서 페이지를 감사하여 이러한 리소스가 점수에 영향을 주지 않도록 하세요.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"기존 브라우저와의 하위 호환성을 위하여 https: 및 http: URL 스킴('strict-dynamic'을 지원하는 브라우저에서 무시됨)을 추가하는 것이 좋습니다."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener는 CSP3부터 지원 중단되었습니다. 대신 Cross-Origin-Opener-Policy 헤더를 사용해 주세요."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer는 CSP2부터 지원 중단되었습니다. 대신 Referrer-Policy 헤더를 사용해 주시기 바랍니다."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss는 CSP2부터 지원 중단되었습니다. 대신 X-XSS-Protection 헤더를 사용해 주시기 바랍니다."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"base-uri가 없으면 삽입된 <base> 태그로 인해 모든 상대 URL(예: 스크립트)에 대한 기본 URL이 공격자가 관리하는 도메인으로 설정될 수 있습니다. base-uri를 'none' 또는 'self'로 설정하는 것을 고려하세요."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"object-src에 의해 제어되는 요소는 레거시 기능으로 간주됩니다. object-src를 'none'으로 설정하여 안전하지 않은 스크립트를 실행하는 플러그인이 삽입되지 않도록 하는 것이 좋습니다."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src 명령어가 누락되었습니다. 이렇게 되면 안전하지 않은 스크립트의 실행이 허용됩니다."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"세미콜론 사용을 잊어버리셨나요? {keyword}은(는) 키워드가 아닌 명령어인 것 같습니다."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"nonce는 base64 문자 집합을 사용해야 합니다."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"nonce는 8자 이상이어야 합니다."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"보고 도착지는 report-to 명령어로만 구성할 수 있습니다. 이 명령어는 Chromium 기반 브라우저에서만 지원되므로 report-uri 명령어도 사용하는 것이 좋습니다."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"보고 도착지를 구성하는 CSP가 없습니다. 이렇게 되면 시간이 지날수록 CSP를 유지 관리하고 손상 여부를 모니터링하기가 어려워집니다."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"호스트 허용 목록은 자주 우회될 수 있습니다. CSP nonce 또는 hash와 'strict-dynamic'을 함께 사용하는 것이 좋습니다."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"알 수 없는 CSP 명령어입니다."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword}은(는) 잘못된 키워드인 것 같습니다."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline'은 안전하지 않은 인페이지 스크립트 및 이벤트 핸들러의 실행을 허용합니다. CSP nonce 또는 hash를 사용해 스크립트를 개별적으로 허용하는 것이 좋습니다."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"기존 브라우저와의 하위 호환성을 위하여 'unsafe-inline(nonce/hash를 지원하는 브라우저에서 무시됨)'을 추가하는 것이 좋습니다."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"기본 스레드 차단 시간"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"캐시 TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"설명"},
"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"시간"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"요소"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"통과하지 못한 요소"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"위치"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"이름"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"예산 초과"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"요청"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"리소스 크기"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"리소스 유형"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"크기"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"소스"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"시작 시간"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"소요 시간"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"전송 크기"},
"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"가능한 절감 효과"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"가능한 절감 효과"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"절감 가능치: {wastedBytes, number, bytes}KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{요소 1개 발견됨}other{요소 #개 발견됨}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"절감 가능치: {wastedMs, number, milliseconds} 밀리초"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"문서"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"최초 유의미 페인트"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"글꼴"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"이미지"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"높음"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"낮음"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"보통"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"최대 첫 입력 지연 예상 시간"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"미디어"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} 밀리초"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"기타"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"기타 리소스"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"스크립트"},"lighthouse-core/lib/i18n/i18n.js | seconds":{
message:"{timeInMs, number, seconds} 초"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"스타일시트"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"타사"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"합계"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"페이지 로드 중 처리한 추적을 기록하던 중 문제가 발생했습니다. Lighthouse를 다시 실행하세요. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"초기 디버거 프로토콜 연결 대기 시간이 초과되었습니다."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome이 페이지 로드 중 스크린샷을 수집하지 않았습니다. 페이지에 표시된 콘텐츠가 있는지 확인한 다음 Lighthouse를 다시 실행해 보세요. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS 서버에서 제공된 도메인을 해결하지 못했습니다."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{
message:"필수 {artifactName} 수집기에 다음 오류가 발생했습니다. {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Chrome 내부 오류가 발생했습니다. Chrome을 다시 시작한 다음 Lighthouse를 다시 실행해 주세요."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"필수 {artifactName} 수집기가 실행되지 않았습니다."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"페이지에서 콘텐츠를 페인트하지 않았습니다. 로드 중 포그라운드에서 브라우저 창이 실행되었는지 확인 후 다시 시도해 보세요. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"입력한 페이지가 HTML이 아닙니다(MIME {mimeType} 유형으로 게시됨)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"이 Chrome 버전은 너무 오래되어 '{featureName}'을(를) 지원할 수 없습니다. 전체 결과를 보려면 최신 버전을 사용하세요."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse에서 사용자가 요청한 페이지를 안정적으로 로드하지 못했습니다. 올바른 URL을 테스트하고 있으며 서버에서 모든 요청에 적절하게 응답하고 있는지 확인하세요."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"페이지 응답이 중지되었기 때문에 Lighthouse에서 사용자가 요청한 URL을 안정적으로 로드하지 못했습니다."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"제공한 URL에 유효한 보안 인증서가 포함되어 있지 않습니다. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome에서 전면 광고가 있는 페이지를 로드하지 못하도록 했습니다. 올바른 URL로 테스트하고 있으며 서버가 모든 요청에 적절하게 응답하고 있는지 확인하세요."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse에서 사용자가 요청한 페이지를 안정적으로 로드하지 못했습니다. 올바른 URL로 테스트하고 있으며 서버가 모든 요청에 적절하게 응답하고 있는지 확인하세요. (세부정보: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse에서 사용자가 요청한 페이지를 안정적으로 로드하지 못했습니다. 올바른 URL로 테스트하고 있으며 서버가 모든 요청에 적절하게 응답하고 있는지 확인하세요. (상태 코드: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"페이지 로드에 시간이 너무 오래 걸립니다. 보고서의 추천에 따라 페이지 로드 시간을 줄인 다음 Lighthouse를 다시 실행해 보세요. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools 프로토콜 응답 대기가 할당된 시간을 초과했습니다. (메서드: {protocolMethod})"},
"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"리소스 콘텐츠 가져오기 시간이 할당된 시간을 초과했습니다"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"사용자가 제공한 URL이 잘못되었습니다."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"전체"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"모든 스크립트"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"범위"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"중복 모듈"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"리소스 바이트"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"이름"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"표 전환"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"사용하지 않은 바이트"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"애니메이션 콘텐츠의 경우 [`amp-anim`](https://amp.dev/documentation/components/amp-anim/)을 사용하여 콘텐츠가 화면에 표시되지 않을 때 CPU 사용량을 최소화하세요."
},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"WebP 형식의 모든 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 구성요소를 표시하면서 다른 브라우저의 적절한 대체 텍스트를 지정해 보세요. [자세히 알아보기](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"이미지를 자동으로 지연 로드하는 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)를 사용하고 있는지 확인하세요. [자세히 알아보기](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[AMP 최적화 도구](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)와 같은 도구를 사용하여 [서버 측에서 AMP 레이아웃을 렌더링](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)합니다."},
"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"[AMP 문서](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)를 참고하여 모든 스타일이 지원되는지 확인하세요."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 구성요소는 [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) 속성을 지원하여 화면 크기를 바탕으로 어떤 이미지 애셋을 사용할지 지정합니다. [자세히 알아보기](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"너무 큰 목록을 렌더링하는 경우 구성요소 개발자 키트(CDK)로 가상 스크롤을 고려해 보세요. [자세히 알아보기](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"[경로 수준 코드 분할](https://web.dev/route-level-code-splitting-in-angular/)을 적용하여 자바스크립트 번들의 크기를 최소화하세요. 또한 [Angular 서비스 워커](https://web.dev/precaching-with-the-angular-service-worker/)로 애셋을 미리 캐시해 보세요."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Angular CLI를 사용하는 경우 빌드가 프로덕션 모드에서 생성되었는지 확인하세요. [자세히 알아보기](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Angular CLI를 사용하는 경우 소스 맵을 프로덕션 빌드에 포함하여 번들을 검사하세요. [자세히 알아보기](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"미리 경로를 로드하여 탐색 속도를 높입니다. [자세히 알아보기](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{
message:"구성요소 개발자 키트(CDK)에서 `BreakpointObserver` 유틸리티를 사용하여 이미지 중단점을 관리해 보세요. [자세히 알아보기](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"GIF를 HTML5 동영상으로 삽입할 수 있게 해 주는 서비스에 GIF를 업로드해 보세요."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"테마에서 맞춤 글꼴을 정의할 때 `@font-display`를 지정합니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"사이트에 [WebP 이미지 형식을 활용하는 모듈](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)을 설치하고 구성해 보세요. 이러한 모듈은 업로드된 이미지의 WebP 버전을 자동으로 생성하여 로드 시간을 최적화해 줍니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"이미지를 지연 로드할 수 있는 [Drupal 모듈](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)을 설치하세요. 이러한 모듈은 오프스크린 이미지를 지연하여 성능을 개선해 줍니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"모듈을 사용하여 중요 CSS 및 자바스크립트를 인라인으로 표시해 보세요. 또는 [고급 CSS/JS 집계](https://www.drupal.org/project/advagg) 모듈과 같은 자바스크립트를 통해 애셋을 비동기식으로 로드할 수 있습니다. 이 모듈에서 제공하는 최적화로 인해 사용 중인 사이트가 제대로 작동하지 않을 수 있으므로 코드를 변경해야 할 가능성이 큽니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"테마, 모듈, 서버 사양은 모두 서버 응답 시간에 영향을 미칩니다. 더욱 최적화된 테마를 찾고, 최적화 모듈을 신중하게 선택하고, 서버를 업그레이드해 보세요. 호스팅 서버에서는 PHP opcode 캐싱 및 데이터베이스 쿼리 시간을 단축하기 위한 Redis나 Memcached 등의 메모리 캐싱을 사용하고, 페이지를 더 빠르게 준비하기 위해 최적화된 애플리케이션 로직을 사용해야 합니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"페이지에서 로드되는 이미지의 크기를 줄이려면 [반응형 이미지 스타일](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)을 사용해 보세요. 페이지에 여러 콘텐츠 항목을 표시하는 데 Views를 사용하고 있다면 페이지로 나누기를 구현하여 주어진 페이지에 표시되는 콘텐츠 항목의 수를 제한하는 것이 좋습니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"'Administration(관리) » Configuration(구성) » Development(개발)' 페이지에서 'Aggregate CSS files(CSS 파일 집계)'를 사용 설정했는지 확인합니다. [추가 모듈](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)을 통해 고급 집계 옵션을 구성하면 CSS 스타일을 연결, 축소, 압축함으로써 사이트 속도를 높일 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"'Administration(관리) » Configuration(구성) » Development(개발)' 페이지에서 'Aggregate JavaScript files(자바스크립트 파일 집계)'를 사용 설정했는지 확인합니다. [추가 모듈](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)을 통해 고급 집계 옵션을 구성하면 자바스크립트 애셋을 연결, 축소, 압축함으로써 사이트 속도를 높일 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"미사용 CSS 규칙을 삭제하는 방안을 고려하고, 관련 페이지 또는 페이지의 구성요소에 필요한 Drupal 라이브러리만 연결합니다. 자세한 정보는 [Drupal 문서 링크](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)를 참고하세요. 연결된 라이브러리 중 불필요한 CSS를 추가하는 라이브러리를 확인하려면 Chrome DevTools의 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행해 보세요. Drupal 사이트에서 CSS 집계가 사용 중지되어 있으면 스타일시트의 URL에서 원인이 되는 테마 또는 모듈을 확인할 수 있습니다. 목록에서 코드 범위에 빨간색이 많이 보이는 스타일시트가 여러 개 있는 테마 또는 모듈을 찾아보세요. 테마 또는 모듈은 페이지에서 실제 사용되는 스타일시트만 대기열에 포함해야 합니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"미사용 자바스크립트 애셋을 삭제하는 방안을 고려하고, 관련 페이지 또는 페이지의 구성요소에 필요한 Drupal 라이브러리만 연결하세요. 자세한 정보는 [Drupal 문서 링크](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)를 참고하세요. 연결된 라이브러리 중 불필요한 자바스크립트를 추가하는 라이브러리를 확인하려면 Chrome DevTools의 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행해 보세요. Drupal 사이트에서 자바스크립트 집계가 사용 중지된 경우 스크립트의 URL에서 원인이 되는 테마 또는 모듈을 확인할 수 있습니다. 목록에서 코드 범위에 빨간색이 많이 보이는 스크립트가 여러 개 있는 테마 또는 모듈을 찾아보세요. 테마 또는 모듈은 페이지에서 실제 사용되는 스크립트만 대기열에 포함해야 합니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"'Administration(관리) » Configuration(구성) » Development(개발)' 페이지에서 'Browser and proxy cache maximum age(브라우저 및 프록시 캐시 최대 기간)'를 설정합니다. [Drupal 캐시 및 성능 최적화](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)에 관해 읽어 보세요."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{message:"품질은 유지하면서 사이트를 통해 업로드하는 이미지의 크기를 자동으로 최적화하고 줄여 주는 [모듈](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)을 사용해 보세요. 또한 사이트에서 렌더링된 모든 이미지에 Drupal(Drupal 8 이상에서 사용 가능)에서 제공한 네이티브 [반응형 이미지 스타일](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)을 사용 중인지도 확인합니다."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"사용자 에이전트 리소스 힌트 기능을 제공하는 [모듈](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)을 설치하고 구성하여 사전 연결 또는 DNS 미리 가져오기 리소스 힌트를 추가할 수 있습니다."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Drupal(Drupal 8 이상에서 사용 가능)에서 제공한 네이티브 [반응형 이미지 스타일](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)을 사용 중인지 확인합니다. 보기 모드, 보기 또는 WYSIWYG 편집기를 통해 업로드된 이미지로 이미지 필드를 렌더링할 경우 반응형 이미지 스타일을 사용합니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"GIF를 HTML5 동영상으로 삽입할 수 있게 해 주는 서비스에 GIF를 업로드해 보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"업로드한 이미지를 최적화된 형식으로 자동 변환해 주는 [플러그인](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) 또는 서비스를 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{
message:"[지연 로드 Joomla 플러그인](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)을 설치하면 모든 오프스크린 이미지를 지연하거나 이 기능을 제공하는 템플릿으로 전환할 수 있습니다. Joomla 4.0부터 모든 새 이미지가 [자동으로](https://github.com/joomla/joomla-cms/pull/30748) 코어로부터 `loading` 속성을 받게 됩니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"[중요한 애셋을 인라인으로 로드](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)하거나 [덜 중요한 리소스를 지연](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)할 수 있게 도와주는 다양한 Joomla 플러그인이 있습니다. 이러한 플러그인에서 제공하는 최적화로 인해 사용 중인 템플릿 또는 플러그인의 기능이 제대로 작동하지 않을 수 있으므로 신중하게 테스트해야 합니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"템플릿, 확장 프로그램, 서버 사양은 모두 서버 응답 시간에 영향을 미칩니다. 더욱 최적화된 템플릿을 찾고, 최적화 확장 프로그램을 신중하게 선택하고, 서버를 업그레이드해 보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"도움말 카테고리에 발췌문을 표시하거나(예: 더 읽어 보기 링크 사용), 특정 페이지에 표시되는 도움말의 개수를 줄이거나, 길이가 긴 게시물을 여러 페이지로 나누거나, 플러그인을 사용하여 댓글을 지연 로드해 보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"다양한 [Joomla 확장 프로그램](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)을 사용해 스타일을 연결, 축소, 압축함으로써 사이트 속도를 높일 수 있습니다. 이 기능을 제공하는 템플릿도 있습니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"다양한 [Joomla 확장 프로그램](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)을 사용해 스크립트를 연결, 축소, 압축함으로써 사이트 속도를 높일 수 있습니다. 이 기능을 제공하는 템플릿도 있습니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"페이지에서 사용되지 않는 CSS를 로드하는 [Joomla 확장 프로그램](https://extensions.joomla.org/) 개수를 줄이거나 전환하는 것이 좋습니다. 불필요한 CSS를 추가하는 확장 프로그램을 확인하려면 Chrome DevTools의 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행해 보세요. 스타일시트의 URL에서 원인이 되는 테마 또는 플러그인을 확인할 수 있습니다. 목록에서 코드 범위에 빨간색이 많이 보이는 스타일시트가 여러 개 있는 플러그인을 찾아보세요. 플러그인은 페이지에서 실제 사용되는 스타일시트만 대기열에 포함해야 합니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"페이지에서 사용되지 않는 자바스크립트를 로드하는 [Joomla 확장 프로그램](https://extensions.joomla.org/) 개수를 줄이거나 전환하는 것이 좋습니다. 불필요한 JS를 추가하는 플러그인을 확인하려면 Chrome DevTools의 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행해 보세요. 스크립트의 URL에서 원인이 되는 확장 프로그램을 확인할 수 있습니다. 목록에서 코드 범위에 빨간색이 많이 보이는 스크립트가 여러 개 있는 확장 프로그램을 찾아보세요. 확장 프로그램은 페이지에서 실제 사용되는 스크립트만 대기열에 포함해야 합니다."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{
message:"[Joomla 브라우저 캐싱](https://docs.joomla.org/Cache)에 관해 자세히 알아보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"품질은 유지하면서 이미지를 압축해 주는 [이미지 최적화 플러그인](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)을 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"콘텐츠에 반응형 이미지를 사용하려면 [반응형 이미지 플러그인](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)을 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Joomla(System(시스템) > Global configuration(전역 구성) > Server(서버))에서 Gzip 페이지 압축을 사용 설정하여 텍스트 압축을 사용할 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"자바스크립트 애셋을 번들로 구성하지 않는 경우 [baler](https://github.com/magento/baler)를 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Magento의 내장 [자바스크립트 번들 구성 및 축소](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)를 사용 중지하고 대신 [baler](https://github.com/magento/baler/)를 사용하세요."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[맞춤 글꼴을 정의](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)할 때 `@font-display`을(를) 지정합니다."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"[Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp)에서 새 이미지 형식을 활용하는 다양한 타사 확장 프로그램을 검색해 보세요."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"제품과 카탈로그 템플릿을 수정하여 웹 플랫폼의 [지연 로드](https://web.dev/native-lazy-loading) 기능을 활용해 보세요."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Magento의 [Varnish 통합](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)을 사용합니다."},
"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"스토어의 개발자 설정에서 'CSS 파일 축소' 옵션을 사용 설정하세요. [자세히 알아보기](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"[Terser](https://www.npmjs.com/package/terser)를 사용하여 정적 콘텐츠 배포에서 모든 자바스크립트 애셋을 축소하고 내장 축소 기능을 사용 중지합니다."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Magento의 내장 [자바스크립트 번들 구성](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)을 사용 중지합니다."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"[Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image)에서 이미지를 최적화하는 다양한 타사 확장 프로그램을 검색해 보세요."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"[테마의 레이아웃을 수정](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)하여 사전 연결 또는 DNS 프리페치 리소스 힌트를 추가할 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"[테마의 레이아웃을 수정](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)하여 `<link rel=preload>` 태그를 추가할 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"빠른 웹페이지 로딩을 위해서는 [애니메이션 GIF를 동영상으로 대체](https://web.dev/replace-gifs-with-videos/)하고 [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) 또는 [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder)과 같은 최신 파일 형식을 사용하여 압축 효율성을 현재 최첨단으로 여겨지는 동영상 코덱 VP9 대비 30% 이상 높여 보세요."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"업로드한 이미지를 최적화된 형식으로 자동 변환해 주는 [플러그인](https://octobercms.com/plugins?search=image) 또는 서비스를 사용해 보세요. [WebP 무손실 이미지](https://developers.google.com/speed/webp)는 동등한 SSIM 품질 색인에서 PNG 이미지보다 26% 더 작고, JPEG 이미지보다 25~34% 더 작습니다. 고려해 볼 만한 또 다른 차세대 이미지 형식으로는 [AVIF](https://jakearchibald.com/2020/avif-has-landed/)가 있습니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"[이미지 지연 로드 플러그인](https://octobercms.com/plugins?search=lazy)을 설치하면 모든 오프스크린 이미지를 지연하거나 이 기능을 제공하는 테마로 전환할 수 있습니다. [AMP 플러그인](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) 사용도 고려해 보세요."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"[중요한 애셋을 인라인하게 로드](https://octobercms.com/plugins?search=css)할 수 있도록 도와주는 다양한 플러그인이 있습니다. 이러한 플러그인으로 인해 다른 플러그인이 작동하지 않을 수 있으니 신중하게 테스트해야 합니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"테마, 플러그인, 서버 사양은 모두 서버 응답 시간을 길어지게 만듭니다. 더욱 최적화된 테마를 찾고, 최적화 플러그인을 신중하게 선택하고, 서버를 업그레이드해 보세요. October CMS는 또한 개발자가 [`Queues`](https://octobercms.com/docs/services/queues)을(를) 사용해 이메일 전송과 같이 시간이 많이 소모되는 작업 처리를 지연하도록 도와줍니다. 이는 웹 요청 속도를 크기 높여줍니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"게시물 목록에 발췌문을 표시하거나(예: `show more` 사용), 특정 웹페이지에 표시되는 게시물의 개수를 줄이거나, 길이가 긴 게시물을 여러 웹페이지로 나누거나, 플러그인을 사용하여 댓글을 지연 로드하는 것이 좋습니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"다양한 [플러그인](https://octobercms.com/plugins?search=css)을 사용해 스타일을 연결, 축소, 압축함으로써 웹사이트 속도를 높일 수 있습니다. 빌드 프로세스로 축소 작업을 미리 실행하면 개발 속도를 높일 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"다양한 [플러그인](https://octobercms.com/plugins?search=javascript)을 사용해 스크립트를 연결, 축소, 압축함으로써 웹사이트 속도를 높일 수 있습니다. 빌드 프로세스로 축소 작업을 미리 실행하면 개발 속도를 높일 수 있습니다."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"웹사이트에서 사용되지 않는 CSS를 로드하는 [플러그인](https://octobercms.com/plugins)을 검토해 보세요. 불필요한 CSS를 추가하는 플러그인을 확인하려면 Chrome Devtools에서 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행하세요. 스타일시트 URL에서 원인이 되는 테마 또는 플러그인을 확인하세요. 코드 범위에 빨간색이 많이 보이는 스타일시트가 여러 개 있는 플러그인을 찾아보세요. 플러그인은 웹페이지에서 실제 사용되는 스타일시트만 추가해야 합니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"웹페이지에서 사용되지 않은 자바스크립트를 로드하는 [플러그인](https://octobercms.com/plugins?search=javascript)을 검토해 보세요. 불필요한 자바스크립트를 추가시키는 플러그인을 확인하려면 Chrome Devtools에서 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행하세요. 스크립트의 URL에서 이러한 현상을 유발하는 테마나 플러그인을 확인하세요. 코드 적용 범위에 빨간색이 많이 보이는 스크립트가 여러 개 있는 플러그인을 찾아보세요. 플러그인은 웹페이지에서 실제 사용되는 스크립트만 추가해야 합니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"[HTTP 캐시를 이용한 불필요한 네트워크 요청 예방](https://web.dev/http-cache/#caching-checklist)에 관해 알아보세요. 다양한 [플러그인](https://octobercms.com/plugins?search=Caching)을 사용하여 캐싱 속도를 높일 수 있습니다."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"품질은 유지하면서 이미지를 압축해 주는 [이미지 최적화 플러그인](https://octobercms.com/plugins?search=image)을 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"필수 이미지 크기를 사용할 수 있도록 미디어 매니저에서 직접 이미지를 업로드하세요. [크기 조절 필터](https://octobercms.com/docs/markup/filter-resize) 또는 [이미지 크기 조절 플러그인](https://octobercms.com/plugins?search=image)을 사용하여 최적의 이미지 크기를 사용하는지 확인하세요."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"웹 서버 구성에서 텍스트 압축을 사용 설정하세요."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"페이지에서 많은 반복 구성요소를 렌더링하는 경우 `react-window`와 같은 '윈도윙' 라이브러리를 사용하여 생성된 DOM 노드의 수를 최소화해 보세요. [자세히 알아보기](https://web.dev/virtualize-long-lists-react-window/) 또한 [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) 또는 [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo)를 사용하여 불필요한 재렌더링을 최소화하고 `Effect` 후크를 사용하는 경우 특정 종속 항목이 변경될 때까지만 [효과를 건너뛰어](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) 런타임 성능을 개선하세요."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"React Router를 사용하는 경우 [경로 탐색](https://reacttraining.com/react-router/web/api/Redirect)의 `<Redirect>` 구성요소 사용량을 축소합니다."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{
message:"서버 측에서 React 구성요소를 렌더링하는 경우 `renderToNodeStream()` 또는 `renderToStaticNodeStream()`을(를) 사용하여 클라이언트가 모든 마크업이 아닌 마크업의 서로 다른 부분을 받아서 하이드레이션할 수 있도록 허용해 보세요. [자세히 알아보기](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"빌드 시스템에서 CSS 파일을 자동으로 축소하는 경우 애플리케이션의 프로덕션 빌드를 배포하고 있는지 확인하세요. 이는 React 개발자 도구 확장 프로그램으로 확인할 수 있습니다. [자세히 알아보기](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"빌드 시스템에서 JS 파일을 자동으로 축소하는 경우 애플리케이션의 프로덕션 빌드를 배포하고 있는지 확인하세요. 이는 React 개발자 도구 확장 프로그램으로 확인할 수 있습니다. [자세히 알아보기](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"서버 측에서 렌더링하지 않는 경우 `React.lazy()`(으)로 [자바스크립트 번들을 분할](https://web.dev/code-splitting-suspense/)해 보세요. 또는 [로드 가능한 구성요소](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)와 같은 타사 라이브러리를 사용하여 코드를 분할하세요."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"Profiler API를 활용하는 React 개발자 도구 프로파일러를 사용하여 구성요소의 렌더링 성능을 측정합니다. [자세히 알아보기](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"GIF를 HTML5 동영상으로 삽입할 수 있게 해 주는 서비스에 GIF를 업로드해 보세요."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"업로드한 이미지를 최적화된 형식으로 자동 변환해 주는 [플러그인](https://wordpress.org/plugins/search/convert+webp/) 또는 서비스를 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"[지연 로드 WordPress 플러그인](https://wordpress.org/plugins/search/lazy+load/)을 설치하면 화면에 모든 오프스크린 이미지를 지연하거나 이 기능을 제공하는 테마로 전환할 수 있습니다. [AMP 플러그인](https://wordpress.org/plugins/amp/) 사용도 고려해 보세요."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"[중요한 애셋을 인라인](https://wordpress.org/plugins/search/critical+css/)하거나 [덜 중요한 리소스를 지연](https://wordpress.org/plugins/search/defer+css+javascript/)할 수 있게 도와주는 다양한 WordPress 플러그인이 있습니다. 이러한 플러그인에서 제공하는 최적화로 인해 내가 사용하는 테마 또는 플러그인의 기능이 깨질 수 있으므로 코드를 변경해야 할 가능성이 큽니다."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"테마, 플러그인, 서버 사양은 모두 서버 응답 시간을 길어지게 만듭니다. 보다 최적화된 테마를 찾고, 최적화 플러그인을 신중하게 선택하고, 서버 업그레이드를 고려해 보세요."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"게시물 목록에 발췌문을 표시하거나(예: 더 많은 태그 사용), 특정 페이지에 표시되는 게시물의 개수를 줄이거나, 길이가 긴 게시물을 여러 페이지로 나누거나, 플러그인을 사용하여 댓글을 지연 로드하는 것이 좋습니다."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"다양한 [WordPress 플러그인](https://wordpress.org/plugins/search/minify+css/)을 사용해 스타일을 연결, 축소, 압축함으로써 사이트 속도를 높일 수 있습니다. 또한 가능한 경우 빌드 프로세스를 사용하여 축소 작업을 미리 실행할 수도 있습니다."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"다양한 [WordPress 플러그인](https://wordpress.org/plugins/search/minify+javascript/)을 사용해 스크립트를 연결, 축소, 압축함으로써 사이트 속도를 높일 수 있습니다. 또한 가능한 경우 빌드 프로세스를 사용하여 축소 작업을 미리 실행할 수도 있습니다."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"페이지에서 사용되지 않는 CSS를 로드하는 [WordPress 플러그인](https://wordpress.org/plugins/) 개수를 줄이거나 전환하는 것이 좋습니다. 과도한 CSS를 부가하는 플러그인이 무엇인지 확인하려면 Chrome DevTools의 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행해 보세요. 스타일시트의 URL에서 관련된 테마 또는 플러그인을 확인할 수 있습니다. 목록에서 코드 범위에 빨간색이 길게 표시된 스타일시트가 있는 플러그인을 찾아보세요. 실제로 페이지에서 사용되는 플러그인은 대기열에 하나의 스타일시트만 포함해야 합니다."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"페이지에서 사용되지 않는 JavaScript를 로드하는 [WordPress 플러그인](https://wordpress.org/plugins/) 개수를 줄이거나 전환하는 것이 좋습니다. 과도한 JS를 부가하는 플러그인이 무엇인지 확인하려면 Chrome DevTools의 [코드 범위](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)를 실행해 보세요. 스크립트의 URL에서 관련 테마 또는 플러그인을 확인할 수 있습니다. 목록에서 코드 범위에 빨간색이 길게 표시된 스크립트가 있는 플러그인을 찾아보세요. 실제로 페이지에서 사용되는 플러그인은 대기열에 하나의 스크립트만 포함해야 합니다."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[WordPress 브라우저 캐싱](https://wordpress.org/support/article/optimization/#browser-caching)에 관해 자세히 알아보세요."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"품질은 그대로 유지하면서 이미지를 압축해주는 [이미지 최적화 WordPress 플러그인](https://wordpress.org/plugins/search/optimize+images/)을 사용해 보세요."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"필수 이미지 크기를 사용할 수 있도록 [미디어 라이브러리](https://wordpress.org/support/article/media-library-screen/)에서 직접 이미지를 업로드하세요. 그런 다음 미디어 라이브러리에서 이미지를 삽입하거나 이미지 위젯을 사용하여 최적의 이미지 크기를 사용하는지 확인하세요(반응형 중단점용 이미지 포함). 이미지 크기가 용도에 적합하지 않다면 `Full Size` 이미지는 사용하지 않는 것이 좋습니다. [자세히 알아보기](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"웹 서버 구성에서 텍스트 압축을 사용 설정할 수 있습니다."},"report/renderer/util.js | calculatorLink":{message:"계산기 보기"},"report/renderer/util.js | crcInitialNavigation":{message:"초기 탐색"},"report/renderer/util.js | crcLongestDurationLabel":{message:"최상 경로 최대 지연 시간:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSON 복사"},"report/renderer/util.js | dropdownDarkTheme":{message:"어두운 테마 전환"},"report/renderer/util.js | dropdownPrintExpanded":{message:"인쇄 확장됨"},"report/renderer/util.js | dropdownPrintSummary":{message:"인쇄 요약"},
"report/renderer/util.js | dropdownSaveGist":{message:"Gist로 저장"},"report/renderer/util.js | dropdownSaveHTML":{message:"HTML로 저장"},"report/renderer/util.js | dropdownSaveJSON":{message:"JSON으로 저장"},"report/renderer/util.js | dropdownViewer":{message:"뷰어에서 열기"},"report/renderer/util.js | errorLabel":{message:"오류!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"보고 오류: 감사 정보 없음"},"report/renderer/util.js | footerIssue":{message:"문제 신고"},"report/renderer/util.js | labDataTitle":{message:"실험실 데이터"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"에뮬레이션된 모바일 네트워크에서 분석한 현재 페이지의 [Lighthouse](https://developers.google.com/web/tools/lighthouse/) 결과입니다. 값은 추정치이며 달라질 수 있습니다."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"직접 확인해야 하는 추가 항목"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"해당 사항 없음"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"추천"},
"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"예상 절감치"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"통과한 감사"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"에뮬레이션된 데스크톱"},"report/renderer/util.js | runtimeMobileEmulation":{message:"에뮬레이션된 Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"에뮬레이션 없음"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe 버전"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/메모리 성능"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU 제한"},"report/renderer/util.js | runtimeSettingsChannel":{message:"채널"},"report/renderer/util.js | runtimeSettingsDevice":{message:"기기"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"가져온 시간"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"네트워크 제한"},"report/renderer/util.js | runtimeSettingsTitle":{message:"런타임 설정"},"report/renderer/util.js | runtimeSettingsUA":{
message:"사용자 에이전트(호스트)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"사용자 에이전트(네트워크)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"알 수 없음"},"report/renderer/util.js | showRelevantAudits":{message:"다음과 관련된 감사 표시:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"스니펫 접기"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"스니펫 펼치기"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"타사 리소스 표시"},"report/renderer/util.js | throttlingProvided":{message:"런타임 환경을 통해 제공"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Lighthouse 실행에 영향을 미치는 문제가 발생했습니다."},"report/renderer/util.js | varianceDisclaimer":{message:"값은 추정치이며 달라질 수 있습니다. 이러한 측정항목에서 [성능 점수가 직접 계산됩니다](https://web.dev/performance-scoring/)."},"report/renderer/util.js | viewTreemapLabel":{message:"트리맵 보기"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"감사를 통과했으나 경고를 받음"},
"report/renderer/util.js | warningHeader":{message:"경고: "}}},{}],124:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Naudodami prieigos raktus naudotojai gali greitai suaktyvinti puslapio dalį. Kad naršymas veiktų tinkamai, kiekvienas prieigos raktas turi būti unikalus. [Sužinokite daugiau](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Elemento „`[accesskey]`“ vertės nėra unikalios"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"„`[accesskey]`“ vertės yra unikalios"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Kiekviename ARIA elemente „`role`“ palaikoma tik dalis konkrečių atributų „`aria-*`“. Jei jie nebus suderinti, atributai „`aria-*`“ taps netinkami. [Sužinokite daugiau](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{
message:"Atributai „`[aria-*]`“ neatitinka savo vaidmenų"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atributai „`[aria-*]`“ atitinka savo vaidmenis"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Kai nenurodytas neįgaliesiems pritaikytas elemento pavadinimas, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti elementų „`button`“, „`link`“ ir „`menuitem`“ pavadinimai."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti elementų „`button`“, „`link`“ ir „`menuitem`“ pavadinimai"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Pagalbinės technologijos, pvz., ekrano skaitytuvai, veikia nepastoviai, kai dokumente „`<body>`“ nustatytas elementas „`aria-hidden="true"`“. [Sužinokite daugiau](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Dokumente „`<body>`“ yra elementas „`[aria-hidden="true"]`“'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Dokumente „`<body>`“ nėra elemento „`[aria-hidden="true"]`“'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Dėl elemente „`[aria-hidden="true"]`“ esančių išryškinamų mažėjančia tvarka pateiktų elementų tie interaktyvūs elementai tampa nepasiekiami pagalbinių technologijų, pvz., ekrano skaitytuvų, naudotojams. [Sužinokite daugiau](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{
message:'Elementuose „`[aria-hidden="true"]`“ yra išryškinamų mažėjančia tvarka pateiktų elementų'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Elementuose „`[aria-hidden="true"]`“ nėra išryškinamų mažėjančia tvarka pateiktų elementų'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Kai nenurodytas neįgaliesiems pritaikytas įvesties lauko pavadinimas, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti ARIA įvesties laukų pavadinimai"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti ARIA įvesties laukų pavadinimai"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Kai nenurodytas neįgaliesiems pritaikytas elemento pavadinimas, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti ARIA elementų „`meter`“ pavadinimai."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti ARIA elementų „`meter`“ pavadinimai"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Kai elementas „`progressbar`“ neturi pasiekiamojo pavadinimo, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvais pasikliaujantys naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{
message:"Nenurodyti neįgaliesiems pritaikyti ARIA elementų „`progressbar`“ pavadinimai."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti ARIA elementų „`progressbar`“ pavadinimai"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Kai kuriems ARIA vaidmenims reikia atributų, aprašančių elementų būseną ekrano skaitytuvams. [Sužinokite daugiau](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Elementuose „`[role]`“ nėra visų privalomų atributų „`[aria-*]`“"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Elementuose „`[role]`“ yra visi būtini atributai „`[aria-*]`“"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Kai kuriuose ARIA pirminiuose vaidmenyse turi būti konkrečių antrinių vaidmenų, kad būtų galima atlikti numatytas pritaikomumo funkcijas. [Sužinokite daugiau](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementuose su ARIA vaidmeniu „`[role]`“, kurių antriniuose elementuose turi būti nurodytas konkretus „`[role]`“, trūksta kai kurių arba visų būtinų antrinių elementų."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementuose su ARIA vaidmeniu „`[role]`“, kurių antriniuose elementuose turi būti nurodytas konkretus „`[role]`“, yra visi būtini antriniai elementai."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Kai kurie ARIA antriniai vaidmenys turi būti konkrečiuose pirminiuose vaidmenyse, kad būtų tinkamai vykdomos numatytosios pritaikomumo funkcijos. [Sužinokite daugiau](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Elementų „`[role]`“ nėra būtiname pirminiame elemente"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Elementai „`[role]`“ yra būtiname pirminiame elemente"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA vaidmenų vertės turi būti tinkamos, kad būtų galima atlikti numatytas pritaikomumo funkcijas. [Sužinokite daugiau](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Elemento „`[role]`“ vertės yra netinkamos"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Elemento „`[role]`“ vertės yra tinkamos"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Kai nenurodytas neįgaliesiems pritaikytas perjungimo lauko pavadinimas, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti ARIA perjungimo laukų pavadinimai"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti ARIA perjungimo laukų pavadinimai"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Kai nenurodytas neįgaliesiems pritaikytas elemento pavadinimas, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti ARIA elementų „`tooltip`“ pavadinimai."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti ARIA elementų „`tooltip`“ pavadinimai"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Kai nenurodytas neįgaliesiems pritaikytas elemento pavadinimas, ekrano skaitytuvai apie jį praneša naudodami bendrąjį pavadinimą, todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti ARIA elementų „`treeitem`“ pavadinimai."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Nurodyti neįgaliesiems pritaikyti ARIA elementų „`treeitem`“ pavadinimai"},
"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Pagalbinės technologijos, pvz., ekrano skaitytuvai, negali interpretuoti ARIA atributų su netinkamomis vertėmis. [Sužinokite daugiau](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atributuose „`[aria-*]`“ nėra tinkamų verčių"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Atributų „`[aria-*]`“ vertės yra tinkamos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Pagalbinės technologijos, pvz., ekrano skaitytuvai, negali tinkamai interpretuoti ARIA atributų su netinkamais pavadinimais. [Sužinokite daugiau](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atributai „`[aria-*]`“ netinkami arba yra rašybos klaidų"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atributai „`[aria-*]`“ yra tinkami, rašybos klaidų nėra"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Netinkami elementai"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Kai nenurodytas neįgaliesiems pritaikytas mygtuko pavadinimas, ekrano skaitytuvai apie jį praneša kaip „button“ (mygtukas), todėl jo negali naudoti ekrano skaitytuvo naudotojai. [Sužinokite daugiau](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Nenurodyti neįgaliesiems pritaikyti mygtukų pavadinimai"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Mygtukų pavadinimai pritaikyti neįgaliesiems"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"Pridėjus būdų apeiti pasikartojantį turinį, klaviatūros naudotojai galės efektyviau naršyti puslapį. [Sužinokite daugiau](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Puslapyje nėra antraštės, praleidimo nuorodos arba orientyro regiono"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Puslapyje yra antraštė, praleidžiama nuoroda arba orientyro regionas"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Mažo kontrasto tekstą daugumai naudotojų yra sudėtinga arba neįmanoma perskaityti. [Sužinokite daugiau](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Nepakankamas fono ir priekinio fono spalvų kontrasto santykis."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Fono ir priekinio plano spalvų kontrasto santykis pakankamas"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Kai aprašo sąrašai netinkamai pažymėti, ekrano skaitytuvai gali pateikti klaidinančią arba netikslią išvestį. [Sužinokite daugiau](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Elementuose „`<dl>`“ nurodytos ne tik tinkamai surikiuotos grupės „`<dt>`“ ir „`<dd>`“ bei elementai „`<script>`“, „`<template>`“ arba „`<div>`“."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Elementuose „`<dl>`“ nurodytos tik tinkamai surikiuotos grupės „`<dt>`“ ir „`<dd>`“ bei elementai „`<script>`“, „`<template>`“ arba „`<div>`“."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Aprašo sąrašo elementai („`<dt>`“ ir „`<dd>`“) turi būti sujungti pirminiame elemente „`<dl>`“, kad ekrano skaitytuvai galėtų apie juos tinkamai pranešti. [Sužinokite daugiau](https://web.dev/dlitem/)."},
"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Aprašo sąrašo elementai nesujungti elementuose „`<dl>`“"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Aprašo sąrašo elementai sujungti elementuose „`<dl>`“"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Pagal pavadinimą ekrano skaitytuvo naudotojai sužino, apie ką yra puslapio turinys, o paieškos variklio naudotojai gali nuspręsti, ar puslapis atitinka jų paiešką. [Sužinokite daugiau](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokumente nėra elemento „`<title>`“"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumente yra elementas „`<title>`“"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Visų išryškinamų elementų `id` turi būti unikalūs, siekiant užtikrinti, kad elementai bus matomi pagalbinėms technologijoms. [Sužinokite daugiau](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` atributai aktyviuose, išryškinamuose elementuose nėra unikalūs"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` atributai aktyviuose, išryškinamuose elementuose yra unikalūs"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA ID vertė turi būti unikali, kad pagalbinės technologijos nepraleistų kitų objektų. [Sužinokite daugiau](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ID nėra unikalūs"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ID yra unikalūs"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Apie formos laukus su keliomis etiketėmis gali klaidinančiai pranešti pagalbinės technologijos, pvz., ekrano skaitytuvai, naudojantys pirmą, paskutinę arba visas etiketes. [Sužinokite daugiau](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Formos laukai yra su keliomis etiketėmis"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nėra jokių formos laukų su keliomis etiketėmis"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Pagal rėmelių pavadinimus ekrano skaitytuvų naudotojai sužino, koks yra rėmelių turinys. [Sužinokite daugiau](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Elementas „`<frame>`“ arba „`<iframe>`“ neturi pavadinimo"},
"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementai „`<frame>`“ arba „`<iframe>`“ turi pavadinimą"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Tinkamai pagal lygius surikiuotos antraštės perteikia semantinę puslapio struktūrą, todėl jas galima lengviau naršyti ir suprasti, naudojant pagalbines technologijas. [Sužinokite daugiau](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Antraščių elementai nepateikiami nuosekliai mažėjimo tvarka"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Antraščių elementai pateikiami nuosekliai mažėjimo tvarka"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Jei puslapyje nenurodytas atributas „lang“, ekrano skaitytuvas manys, kad puslapio kalba atitinka naudotojo pasirinktą numatytąją kalbą, kai buvo nustatomas ekrano skaitytuvas. Jei puslapio kalba neatitinka numatytosios kalbos, gali būti, kad ekrano skaitytuvas netinkamai skaitys puslapio tekstą. [Sužinokite daugiau](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Elemente „`<html>`“ nėra atributo „`[lang]`“"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Elemente „`<html>`“ yra atributas „`[lang]`“"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Nurodžius tinkamą [BCP 47 kalbą](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ekrano skaitytuvai gali tinkamai pranešti tekstą. [Sužinokite daugiau](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"Elemente „`<html>`“ nenurodyta tinkama atributo „`[lang]`“ vertė."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Elemento „`<html>`“ atributo „`[lang]`“ vertė yra tinkama"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informaciniuose elementuose turėtų būti pateiktas trumpas, aprašomasis alternatyvus tekstas. Dekoratyvinių elementų galima nepaisyti nurodžius tuščią alternatyvų atributą. [Sužinokite daugiau](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Vaizdo elementuose nėra atributų „`[alt]`“"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Vaizdo elementuose yra atributų „`[alt]`“"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Kai vaizdas naudojamas kaip mygtukas „`<input>`“, pateikus alternatyvų tekstą ekrano skaitytuvo naudotojams bus lengviau suprasti mygtuko tikslą. [Sužinokite daugiau](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elementuose „`<input type="image">`“ nėra „`[alt]`“ teksto'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementuose „`<input type="image">`“ yra „`[alt]`“ teksto'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etiketės užtikrina, kad pagalbinės technologijos, pvz., ekrano skaitytuvai, tinkamai praneštų apie formų valdiklius. [Sužinokite daugiau](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Nėra susietų formos elementų etikečių"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Formos elementuose yra atitinkamų etikečių"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Aiškus ir unikalus nuorodos tekstas (ir alternatyvusis vaizdų tekstas, kai jie naudojami kaip nuorodos), į kurį lengva sutelkti dėmesį, pagerina naršymo patirtį ekrano skaitytuvų naudotojams. [Sužinokite daugiau](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Nėra aiškių nuorodų pavadinimų"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Nuorodų pavadinimai aiškūs"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Ekrano skaitytuvai apie sąrašus praneša tam tikru būdu. Tinkama sąrašo struktūra padeda ekrano skaitytuvams pateikti tinkamą išvestį. [Sužinokite daugiau](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Sąrašuose pateikiami ne tik elementai „`<li>`“ ir scenarijaus palaikymo elementai („`<script>`“ ir „`<template>`“)."},
"lighthouse-core/audits/accessibility/list.js | title":{message:"Sąrašuose pateikiami tik elementai „`<li>`“ ir scenarijaus palaikymo elementai („`<script>`“ ir „`<template>`“)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Naudojant ekrano skaitytuvus reikia, kad sąrašo elementai („`<li>`“) būtų pirminiame elemente „`<ul>`“ arba „`<ol>`“, kad apie juos būtų galima tinkamai pranešti. [Sužinokite daugiau](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Sąrašo elementų („`<li>`“) nėra pirminiuose elementuose „`<ul>`“ arba „`<ol>`“."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Sąrašo elementai („`<li>`“) yra pirminiuose elementuose „`<ul>`“ arba „`<ol>`“"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Naudotojai nesitiki, kad puslapis bus atnaujintas automatiškai. Tai atlikus dėmesys vėl sutelkiamas į puslapio viršų. Dėl to galima erzinanti arba klaidinanti patirtis. [Sužinokite daugiau](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokumente naudojama metažyma „`<meta http-equiv="refresh">`“'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokumente nenaudojama metažyma „`<meta http-equiv="refresh">`“'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Išjungus mastelio keitimą gali kilti problemų sutrikusio regėjimo naudotojams, kurie padidina ekraną, kad tinkamai matytų tinklalapio turinį. [Sužinokite daugiau](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'Atributas „`[user-scalable="no"]`“ naudojamas elemente „`<meta name="viewport">`“ arba atributas „`[maximum-scale]`“ yra mažesnis nei 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Atributas „`[user-scalable="no"]`“ nenaudojamas elemente „`<meta name="viewport">`“, o atributas „`[maximum-scale]`“ yra ne mažesnis nei 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Ekrano skaitytuvai negali išversti turinio, kuris nėra tekstas. Prie elementų „`<object>`“ pridėjus alternatyviojo teksto, ekrano skaitytuvai naudotojams geriau perteikia reiškmę. [Sužinokite daugiau](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elementuose „`<object>`“ nėra „`[alt]`“ teksto"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementuose „`<object>`“ yra „`[alt]`“ teksto"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Didesnė nei 0 vertė aiškiai nurodo naršymo tvarką. Iš tiesų tai yra tinkamas sprendimas, tačiau tai dažnai gali erzinti pagalbinių technologijų naudotojus. [Sužinokite daugiau](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Kai kurių elementų „`[tabindex]`“ vertė yra didesnė nei 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Nėra elemento su didesne nei 0 „`[tabindex]`“ verte"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Ekrano skaitytuvuose naudojamos funkcijos, padedančios lengviau naršyti lenteles. Užtikrinus, kad langeliai „`<td>`“, kuriuose naudojamas atributas „`[headers]`“, nurodo tik langelius toje pačioje lentelėje, gali būti pagerinta ekrano skaitytuvų naudotojų patirtis. [Sužinokite daugiau](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Langeliai elemente „`<table>`“, kuriuose naudojamas atributas „`[headers]`“, nurodo elementą „`id`“, nerastą toje pačioje lentelėje."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Langeliai elemente „`<table>`“, kuriuose naudojamas atributas „`[headers]`“, nurodo lentelės langelius, esančius toje pačioje lentelėje."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Ekrano skaitytuvuose naudojamos funkcijos, padedančios lengviau naršyti lenteles. Užtikrinus, kad lentelės antraštės visada nurodo tam tikrą langelių rinkinį, gali būti pagerinta ekrano skaitytuvų naudotojų patirtis. [Sužinokite daugiau](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elementuose „`<th>`“ ir elementuose su atributu „`[role="columnheader"/"rowheader"]`“ nėra duomenų langelių, kuriuos jie aprašo.'},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Elementuose „`<th>`“ ir elementuose su atributu „`[role="columnheader"/"rowheader"]`“ yra duomenų langelių, kuriuos jie aprašo.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Nurodžius tinkamą elementų [BCP 47 kalbą](https://www.w3.org/International/questions/qa-choosing-language-tags#question), užtikrinama, kad ekrano skaitytuvas tinkamai ištars tekstą. [Sužinokite daugiau](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atributuose „`[lang]`“ nėra tinkamos vertės"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atributų „`[lang]`“ vertė tinkama"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"Kai pateikiama vaizdo įrašo antraštė, kurtiems ir sutrikusios klausos naudotojams lengviau suprasti pateikiamą informaciją. [Sužinokite daugiau](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elementuose „`<video>`“ nėra elemento „`<track>`“ su atributu „`[kind="captions"]`“.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementuose „`<video>`“ yra elementas „`<track>`“ su atributu „`[kind="captions"]`“'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Kad būtų tinkamai rodoma sistemoje „iOS“, kai naudotojai prideda laipsniškąją žiniatinklio programą prie pagrindinio ekrano, nurodykite `apple-touch-icon`. Ji turi nukreipti į neskaidrų 192 tšk. (arba 180 tšk.) kvadratinį PNG failą. [Sužinokite daugiau](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Nepateikiama tinkama piktograma „`apple-touch-icon`“"
},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"„`apple-touch-icon-precomposed`“ paseno, verčiau naudokite „`apple-touch-icon`“."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Pateikiama tinkama piktograma „`apple-touch-icon`“"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Dabartinė vertė"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Siūlomas prieigos raktas"},"lighthouse-core/audits/autocomplete.js | description":{message:"Funkcija „`autocomplete`“ padeda naudotojams greičiau pateikti formas. Kad naudotojams būtų paprasčiau, apsvarstykite galimybę įgalinti šią funkciją nustatydami tinkamą atributo „`autocomplete`“ vertę. [Sužinokite daugiau](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{
message:"Kai kuriuose elementuose (`<input>`) nėra tinkamų atributų „`autocomplete`“"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Reikalinga neautomatinė peržiūra"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Prieigos raktų išdėstymo tvarkos peržiūra"},"lighthouse-core/audits/autocomplete.js | title":{message:"Elementuose „`<input>`“ atributas „`autocomplete`“ naudojamas tinkamai"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Prieigos raktas (-ai) „`autocomplete`“: „{token}“ yra netinkamas sistemoje {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Peržiūrėkite prieigos raktų išdėstymo tvarką: „{tokens}“ sistemoje {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"„Chrome“ plėtiniai neigiamai paveikė šio puslapio įkėlimo našumą. Pabandykite patikrinti puslapį inkognito režimu arba naudodami „Chrome“ profilį be plėtinių."},
"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Scenarijaus įvertinimas"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Scenarijaus analizė"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Bendras centrinio procesoriaus laikas"},"lighthouse-core/audits/bootup-time.js | description":{message:"Apsvarstykite galimybę sutrumpinti JS analizei, kompiliavimui ir vykdymui skiriamą laiką. Mažesnės JS naudingosios apkrovos gali padėti tai padaryti. [Sužinokite daugiau](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Sutrumpinkite „JavaScript“ vykdymo laiką"},"lighthouse-core/audits/bootup-time.js | title":{message:"„JavaScript“ vykdymo laikas"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Pašalinkite didelius, pasikartojančius „JavaScript“ modulius iš grupių, kad tinklo veikla be reikalo nenaudotų baitų. "},
"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Pašalinkite tikslias modulių kopijas „JavaScript“ grupėse"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Dideli GIF failai nėra efektyvus animuoto turinio pateikimo būdas. Kad sutaupytumėte tinklo baitų, vietoje GIF failų galite naudoti MPEG4 ar „WebM“ vaizdo įrašų animacijai ir PNG ar „WebP“ statiniams vaizdams pateikti. [Sužinokite daugiau](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Naudokite vaizdo įrašo formatus animuotam turiniui pateikti"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Naudojant kodus ir transformacijas pasenusiose naršyklėse galima naudoti naujas „JavaScript“ funkcijas. Tačiau dauguma jų nereikalingi modernioms naršyklėms. Į grupę įtrauktai „JavaScript“ pritaikykite modernią scenarijaus diegimo strategiją naudodami modulio ir (arba) ne modulio funkcijos aptikimą, kad sumažintumėte į modernias naršykles siunčiamo kodo kiekį, išlaikydami pasenusių naršyklių palaikymą. [Sužinokite daugiau](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Neteikite pasenusios „JavaScript“ modernioms naršyklėms"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Tokių formatų kaip JPEG 2000, JPEG XR ir „WebP“ vaizdai dažniausiai glaudinami geriau nei PNG ar JPEG vaizdai, todėl yra atsisiunčiami greičiau ir sunaudoja mažiau duomenų. [Sužinokite daugiau](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Pateikite naujos kartos formatų vaizdus"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Apsvarstykite galimybę įkelti ne ekraninius ir paslėptus vaizdus tik tada, kai bus įkelti visi svarbiausi ištekliai, kad sutrumpėtų laikas iki sąveikos. [Sužinokite daugiau](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Atidėkite ne ekraninius vaizdus"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Šaltiniai blokuoja puslapio pirmą žymėjimą. Apsvarstykite galimybę pateikti svarbiausius JS ar CSS kaip eilutinius elementus ir atidėti visus nesvarbius JS ar stilius. [Sužinokite daugiau](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Pašalinkite pateikimą blokuojančius išteklius"
},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Naudotojai turi mokėti už dideles tinklo naudingąsias apkrovas, be to, jos glaudžiai susijusios su ilgu įkėlimo laiku. [Sužinokite daugiau](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Bendras dydis: {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Išvenkite didelių tinklo naudingųjų apkrovų"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Išvengiama didelių tinklo naudingųjų apkrovų"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Sumažinus CSS failų dydį, gali sumažėti tinklo naudingosios apkrovos. [Sužinokite daugiau](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Sumažinkite CSS failus"},
"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Sumažinus „JavaScript“ failus, galima sumažinti naudingąsias apkrovas ir sutrumpinti scenarijaus analizavimo laiką. [Sužinokite daugiau](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Sumažinkite „JavaScript“"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Sumažinkite nenaudojamas taisykles iš stiliaus failų ir atidėkite CSS scenarijų, nenaudojamų turiniui virš matomos ribos, įkėlimą, kad tinklo veikla sunaudotų mažiau baitų. [Sužinokite daugiau](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Sumažinkite nenaudojamą CSS turinį"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Sumažinkite nenaudojamą „JavaScript“ turinį ir atidėkite scenarijų įkėlimą, kol jų prireiks, kad tinklo veikla sunaudotų mažiau baitų. [Sužinokite daugiau](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Sumažinkite nenaudojamą „JavaScript“ turinį"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Jei talpykla galios ilgiau, greičiau sulauksite pakartotinių apsilankymų puslapyje. [Sužinokite daugiau](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Rastas 1 išteklius}one{Rastas # išteklius}few{Rasti # ištekliai}many{Rasta # ištekliaus}other{Rasta # išteklių}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Statiniams ištekliams taikykite efektyvią talpyklos politiką"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Naudojama efektyvi statinių išteklių talpyklos politika"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimizuoti vaizdai įkeliami greičiau ir sunaudoja mažiau mobiliojo ryšio duomenų. [Sužinokite daugiau](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Efektyviai koduokite vaizdus"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Teikite tinkamo dydžio vaizdus, kad būtų taupomi mobiliojo ryšio duomenys ir puslapis būtų įkeliamas greičiau. [Sužinokite daugiau](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Pasirinkite tinkamo dydžio vaizdus"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Tekstinius išteklius reikėtų suglaudinti (naudojant „Gzip“, „Deflate“ arba „Brotli“), kad bendrai būtų sunaudojama kuo mažiau tinklo baitų. [Sužinokite daugiau](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Įgalinkite teksto glaudinimą"},"lighthouse-core/audits/content-width.js | description":{message:"Jei programos turinio plotis nesutampa su peržiūros srities pločiu, jūsų programa gali būti neoptimizuota mobiliųjų įrenginių ekranams. [Sužinokite daugiau](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"{innerWidth} tšk. peržiūros sritis neatitinka {outerWidth} tšk. lango dydžio."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Turinys nėra tinkamo dydžio peržiūros sričiai"},"lighthouse-core/audits/content-width.js | title":{message:"Turinys yra tinkamo dydžio peržiūros sričiai"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"Toliau pateiktose svarbiausių užklausų grandinėse nurodoma, kurie ištekliai įkelti nurodant aukštą prioritetą. Kad puslapio įkėlimas būtų sklandesnis, apsvarstykite galimybę sutrumpinti grandines, sumažinti atsisiunčiamų išteklių dydį arba atidėti nebūtinų išteklių atsisiuntimą. [Sužinokite daugiau](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Rasta 1 grandinė}one{Rasta # grandinė}few{Rastos # grandinės}many{Rasta # grandinės}other{Rasta # grandinių}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Nekurkite svarbių užklausų grandinių"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktyva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Svarba"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Griežta turinio apsaugos politika (CSP) gerokai sumažina svetainių scenarijų (XSS) atakų riziką. [Sužinokite daugiau](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaksė"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Puslapyje yra CSP, apibrėžta žymoje <meta>. Jei galite, apsvarstykite galimybę apibrėžti CSP HTTP antraštėje."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Nerasta jokios vykdomos CSP"},"lighthouse-core/audits/csp-xss.js | title":{message:"Įsitikinkite, kad CSP efektyviai saugo nuo XSS atakų"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Naudojimo nutraukimas / įspėjimas"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Linija"},"lighthouse-core/audits/deprecations.js | description":{message:"Nebenaudojamos API galiausiai bus pašalintos iš naršyklės. [Sužinokite daugiau](https://web.dev/deprecations/)."},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Rastas 1 įspėjimas}one{Rastas # įspėjimas}few{Rasti # įspėjimai}many{Rasta # įspėjimo}other{Rasta # įspėjimų}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Naudojamos pasenusios API"},"lighthouse-core/audits/deprecations.js | title":{message:"Vengiama nebenaudojamų API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Programos talpykla nebenaudojama. [Sužinokite daugiau](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Rastas elementas „{AppCacheManifest}“"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Naudojama programos talpykla"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Vengiama naudoti programos talpyklą"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"Reikalinga ženklų koduotės deklaracija. Tai galima atlikti naudojant žymą „`<meta>`“ pirmuose 1 024 HTML baituose arba turinio tipo HTTP atsako antraštėje. [Sužinokite daugiau](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Nėra simbolių rinkinio deklaracijos arba HTML ji pateikiama per vėlai"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Tinkamai apibrėžia simbolių rinkinį"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Nurodžius DOCTYPE, naršyklė neperjungia į seno standarto tinklalapių palaikymo režimą. [Sužinokite daugiau](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"DOCTYPE pavadinimas turi būti mažosiomis raidėmis nurodyta eilutė „`html`“"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokumente turi būti nurodytas DOCTYPE"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Laukas „publicId“ turėtų būti tuščias"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Laukas „systemId“ turėtų būti tuščias"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Puslapyje trūksta HTML DOCTYPE, todėl aktyvinamas seno standarto tinklalapių palaikymo režimas"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Puslapyje yra HTML DOCTYPE"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistika"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Vertė"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Dėl didelio DOM elementų skaičiaus bus sunaudojama daugiau atminties, ilgiau [skaičiuojami stiliai](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) ir gali reikėti brangių [išdėstymo perskaičiavimų](https://developers.google.com/speed/articles/reflow). [Sužinokite daugiau](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elementas}one{# elementas}few{# elementai}many{# elemento}other{# elementų}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Venkite per didelių DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksimalus DOM gylis"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Bendras DOM elementų skaičius"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksimalus antrinių elementų skaičius"
},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Išvengiama per didelių DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Netinkami prieraišai"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Pridėkite fragmentus „`rel="noopener"`“ arba „`rel="noreferrer"`“ prie bet kurių išorinių nuorodų, kad pagerintumėte našumą ir išvengtumėte saugos pažeidimų. [Sužinokite daugiau](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Nuorodos į mišrios kilmės paskirties vietas yra nesaugios"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Nuorodos į mišrios kilmės paskirties vietas yra saugios"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nepavyko nustatyti prieraišo ({anchorHTML}) paskirties vietos. Jei jo nenaudojate kaip hipersaito, apsvarstykite galimybę pašalinti atributą „target=_blank“."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Naudotojai gali būti įtarūs arba sumišę, jei svetainėse bus prašoma suteikti leidimą pasiekti vietovės duomenis be jokio konteksto. Apsvarstykite galimybę susieti užklausą su naudotojų veiksmu. [Sužinokite daugiau](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Įkeliant puslapį pateikiama užklausa dėl pranešimų leidimo"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Įkeliant puslapį vengiama pateikti užklausą dėl leidimo nustatyti geografinę vietovę"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Problemos tipas"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problemos, užregistruotos skydelyje „`Issues`“ naudojant „Chrome“ kūrėjo įrankius, parodo, kad yra neišspręstų problemų. Jos galėjo kilti nepavykus pateikti tinklo užklausų, dėl nepakankamų saugos valdiklių arba dėl kitų naršyklės problemų. Jei reikia daugiau informacijos apie kiekvieną problemą, atidarykite problemų skydelį naudodami „Chrome“ kūrėjo įrankius."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problemos užregistruotos skydelyje „`Issues`“ naudojant „Chrome“ kūrėjo įrankius"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Užblokuota pagal kelių šaltinių politiką"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Skelbimai naudoja daug išteklių"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Skydelyje „`Issues`“ naudojant „Chrome“ kūrėjo įrankius problemų nėra"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versija"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Puslapyje aptiktos visos „JavaScript“ sąsajos bibliotekos. [Sužinokite daugiau](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Aptikta „JavaScript“ bibliotekų"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Esant lėtam ryšiui, išoriniai scenarijai, dinamiškai įterpiami naudojant „`document.write()`“, gali atidėti puslapio įkėlimą dešimtimis sekundžių. [Sužinokite daugiau](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"„`document.write()`“ vengimas"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Vengiama naudoti „`document.write()`“"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{
message:"Rimčiausias pažeidimas"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Bibliotekos versija"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Pažeidimų skaičius"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Kai kuriuose trečiųjų šalių scenarijuose gali būti žinomų saugos pažeidimų, kuriuos užpuolėjai gali lengvai nustatyti ir jais pasinaudoti. [Sužinokite daugiau](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Aptiktas 1 pažeidimas}one{Aptiktas # pažeidimas}few{Aptikti # pažeidimai}many{Aptikta # pažeidimo}other{Aptikta # pažeidimų}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Puslapyje yra „JavaScript“ sąsajos bibliotekų, kuriose yra žinomų saugos pažeidimų"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Vengiama „JavaScript“ sąsajos bibliotekų, kuriose yra žinomų saugos pažeidimų"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Naudotojai gali būti įtarūs arba sumišę, jei svetainėse bus prašoma suteikti pranešimų leidimą be jokio konteksto. Apsvarstykite galimybę susieti užklausą su naudotojų gestais. [Sužinokite daugiau](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Įkeliant puslapį pateikiama užklausa dėl pranešimų leidimo"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Įkeliant puslapį vengiama pateikti užklausą dėl pranešimų leidimo"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Neleidžiant įklijuoti slaptažodžių, pažeidžiama tinkamos saugos politika. [Sužinokite daugiau](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Naudotojams neleidžiama įklijuoti teksto į slaptažodžių laukus"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Naudotojams leidžiama įklijuoti tekstą į slaptažodžių laukus"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokolas"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"Naudodami HTTP/2 gaunate daugiau privalumų nei naudodami HTTP/1.1, įskaitant dvigubas antraštes ir tankinimą. [Sužinokite daugiau](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 užklausa nepateikta naudojant HTTP/2}one{# užklausa nepateikta naudojant HTTP/2}few{# užklausos nepateiktos naudojant HTTP/2}many{# užklausos nepateikta naudojant HTTP/2}other{# užklausų nepateikta naudojant HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Naudokite HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Apsvarstykite galimybę pažymėti lietimo ir pelės ratuko sukimo įvykių apdorojimą kaip „`passive`“, kad pagerintumėte puslapio slinkimo našumą. [Sužinokite daugiau](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Nenaudojamos pasyvios apdorojimo priemonės siekiant pagerinti slinkimo našumą"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Naudojamos pasyvios apdorojimo priemonės siekiant pagerinti slinkimo našumą"},
"lighthouse-core/audits/errors-in-console.js | description":{message:"Pulte užregistruotos klaidos nurodo, kad esama neišspręstų problemų. Jos galėjo kilti nepavykus pateikti tinklo užklausų arba dėl kitų naršyklės problemų. [Sužinokite daugiau](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Naršyklės klaidos registruojamos pulte"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Pulte neužregistruota naršyklės klaidų"},"lighthouse-core/audits/font-display.js | description":{message:"Pasinaudokite šriftų pateikimo CSS funkcija, kad tekstas būtų matomas naudotojui, kol įkeliami žiniatinklio šriftai. [Sužinokite daugiau](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Užtikrinkite, kad įkeliant žiniatinklio šriftą būtų matomas tekstas"},"lighthouse-core/audits/font-display.js | title":{message:"Įkeliant žiniatinklio šriftą matomas visas tekstas"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{„Lighthouse“ nepavyko automatiškai patikrinti `font-display` vertės (pradinis URL: {fontOrigin}).}one{„Lighthouse“ nepavyko automatiškai patikrinti `font-display` vertės (pradinis URL: {fontOrigin}).}few{„Lighthouse“ nepavyko automatiškai patikrinti `font-display` verčių (pradinis URL: {fontOrigin}).}many{„Lighthouse“ nepavyko automatiškai patikrinti `font-display` vertės (pradinis URL: {fontOrigin}).}other{„Lighthouse“ nepavyko automatiškai patikrinti `font-display` verčių (pradinis URL: {fontOrigin}).}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Formato koeficientas (faktinis)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Formato koeficientas (rodomas)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{
message:"Rodomo vaizdo matmenys turi atitikti natūralų formato koeficientą. [Sužinokite daugiau](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Rodomi vaizdai su netinkamu formato koeficientu"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Rodomi vaizdai su tinkamu formato koeficientu"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Tikrasis dydis"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Pateikto vaizdo dydis"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Numatytas dydis"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Kad vaizdas būtų kuo aiškesnis, natūralūs vaizdo aspektai turi būti proporcingi ekrano dydžiui ir taškų koeficientui. [Sužinokite daugiau](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{
message:"Teikiami žemos raiškos vaizdai"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Teikiami tinkamos raiškos vaizdai"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Programa jau įdiegta"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Nepavyko atsisiųsti būtinos piktogramos iš aprašo"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Trikties priežastis"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Pagalbinis „JavaScript“ failas – tai technologija, įgalinanti jūsų programą naudoti daug laipsniškosios žiniatinklio programos funkcijų, pvz., naudoti neprisijungus, pridėti prie pagrindinio ekrano ar naudoti iš karto gaunamus pranešimus. Pasirinkus tinkamą pagalbinį „JavaScript“ failą ir aprašą, naršyklės gali aktyviai raginti naudotojus pridėti jūsų programą prie pagrindinio ekrano, tai paskatintų geresnį įtraukimą. [Sužinokite daugiau](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{Viena priežastis}one{# priežastis}few{# priežastys}many{# priežasties}other{# priežasčių}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Žiniatinklio programos aprašas arba pagalbinis „JavaScript“ failas neatitinka diegiamumo reikalavimų."},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{
message:"Neatitinka „Play“ parduotuvės programos URL ir „Play“ parduotuvės ID"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Puslapis įkeliamas inkognito lange"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Aprašo nuosavybėje „display“ turi būti viena iš šių parinkčių: „standalone“, „fullscreen“ arba „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Apraše yra laukas „display_override“ ir pirmas palaikomas rodymo režimas turi būti „standalone“, „fullscreen“ arba „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Aprašas negautas, yra tuščias arba nepavyko jo išanalizuoti"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Gaunant aprašą pasikeitė jo URL."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{
message:"Apraše nėra lauko „name“ arba „short_name“"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Apraše nėra tinkamos piktogramos – reikia PNG, SVG ar „WebP“ formato, ne mažiau kaip {value0} tšk., turi būti nustatytas atributas „sizes“, o jei nustatytas atributas „purpose“, jis turi apimti parinktį „any“."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Neteikiama piktograma yra ne mažesnis nei {value0} tšk. PNG, SVG ar „WebP“ formato kvadratas, kurio paskirties atributas nenustatytas arba nustatytas kaip „any“."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Atsisiųsta piktograma buvo tuščia arba sugadinta"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nepateiktas „Play“ parduotuvės ID"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Puslapyje nėra aprašo <link> URL"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Neaptikta atitinkančio pagalbinio „JavaScript“ failo. Gali reikėti iš naujo įkelti puslapį arba patikrinti, ar dabartinis pagalbinis „JavaScript“ failas apima aprašo apimtį ir pradžios URL."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Nepavyko patikrinti pagalbinio „JavaScript“ failo, nes apraše nėra lauko „start_url“"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Diegiamumo klaidos ID „{errorId}“ neatpažintas"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Puslapis teikiamas iš nesaugaus šaltinio"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Puslapis neįkeliamas pagrindiniame kadre"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Puslapis neveikia neprisijungus"},
"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Nurodyta programų platforma nepalaikoma sistemoje „Android“"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Apraše nurodoma „prefer_related_applications: true“"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"„prefer_related_applications“ palaikoma tik beta versijos „Chrome“ ir pastoviuose kanaluose sistemoje „Android“."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Aprašo pradžios URL netinkamas"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Žiniatinklio programos aprašas ir pagalbinis „JavaScript“ failas atitinka diegiamumo reikalavimus"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Aprašo URL yra naudotojo vardas, slaptažodis arba prievadas"},
"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Puslapis neveikia neprisijungus. 2021 m. rugpjūtį išleidus stabilią „Chrome“ 93 versiją puslapis nebus laikomas tinkamu diegti."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Leidžiama"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Užblokuota"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nesaugus URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Užklausos sprendimas"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Visos svetainės turėtų būti apsaugotos naudojant HTTPS, net ir tos, kuriose nėra neskelbtinų duomenų. Reikėtų vengti [įvairaus turinio](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), kai tam tikri šaltiniai įkeliami naudojant HTTP, nors pradinė užklausa pateikiama naudojant HTTPS. Naudojant HTTPS įsibrovėliams neleidžiama gadinti ar pasyviai klausytis jūsų programos ir jos naudotojų komunikacijos, be to, jį privaloma naudoti HTTP/2 ir daugelyje naujų žiniatinklio platformų API. [Sužinokite daugiau](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Rasta 1 nesaugi užklausa}one{Rasta # nesaugi užklausa}few{Rastos # nesaugios užklausos}many{Rasta # nesaugos užklausos}other{Rasta # nesaugių užklausų}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Nenaudojamas HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{
message:"Naudojamas HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatiškai naujovinta į HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Leidžiama su įspėjimu"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteka"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Dėl didelių „JavaScript“ bibliotekų našumas gali būti prastas. Pirmenybę teikite mažesnėms atitinkamoms bibliotekoms, kad sumažintumėte rinkinio dydį. [Sužinokite daugiau](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Rasta 1 didelė biblioteka}one{Rasta # didelė biblioteka}few{Rastos # didelės bibliotekos}many{Rasta # didelės bibliotekos}other{Rasta # didelių bibliotekų}}"},
"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Pakeiskite nepagrįstai dideles „JavaScript“ bibliotekas"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Vengiama didelių „JavaScript“ bibliotekų – naudojamos mažesnės alternatyvos"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Tai didžiausias turiningas elementas, pažymėtas peržiūros srityje. [Sužinokite daugiau](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Didžiausio turiningo žymėjimo elementas"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Prisideda prie KIP rezultato"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Šie DOM elementai labiausiai prisideda prie puslapio KIP."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Venkite didelių išdėstymo poslinkių"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Sudaromas ilgiausių pagrindinės grupės užduočių sąrašas, naudingas siekiant nustatyti, kas labiausiai prisideda prie įvesties delsos. [Sužinokite daugiau](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Rasta # ilga užduotis}one{Rasta # ilga užduotis}few{Rastos # ilgos užduotys}many{Rasta # ilgos užduoties}other{Rasta # ilgų užduočių}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Venkite ilgų pagrindinės grupės užduočių"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorija"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Apsvarstykite galimybę sutrumpinti JS analizei, kompiliavimui ir vykdymui skiriamą laiką. Mažesnės JS naudingosios apkrovos gali padėti tai padaryti. [Sužinokite daugiau](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Pagrindinės grupės veikimo sutrumpinimas"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Sutrumpinamas pagrindinės grupės veikimas"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Norint pasiekti daugiausia naudotojų, svetainės turi veikti visose svarbiausiose naršyklėse. [Sužinokite daugiau](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Svetainė veikia skirtingose naršyklėse"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Užtikrinkite, kad atskiri puslapiai būtų susiejami giliąja nuoroda naudojant URL ir kad URL yra unikalūs pagal bendrinimo visuomeninėje medijoje tikslą. [Sužinokite daugiau](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Kiekvienas puslapis turi URL"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Palietus ekraną perėjimai turi būti sklandūs, net esant lėtam interneto ryšiui. Tai labai svarbu, kad naudotojas tinkamai suvoktų našumą. [Sužinokite daugiau](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Neatrodo, kad puslapio perėjimai būtų blokuojami tinklo"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Maskuojama piktograma užtikrina, kad vaizdas užpildytų visą formą netaikant pašto dėžutės efekto, įdiegiant programą įrenginyje. [Sužinokite daugiau](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Nėra maskuojamos aprašo piktogramos"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Pateikta maskuojama aprašo piktograma"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Nustatant kaupiamąjį išdėstymo poslinkį įvertinamas peržiūros srityje matomų elementų judėjimas. [Sužinokite daugiau](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Pirmas turiningas žymėjimas nurodo laiką, kada pažymimas pirmasis tekstas ar vaizdas. [Sužinokite daugiau](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Pirmasis reikšmingas parodymas nurodo, kada parodomas pagrindinis puslapio turinys. [Sužinokite daugiau](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Laikas iki sąveikos yra vertė, nurodanti, kiek laiko reikia, kol puslapis tampa visiškai interaktyvus. [Sužinokite daugiau](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Didžiausias turiningas žymėjimas nurodo laiką, kada pažymimas didžiausias tekstas ar vaizdas. [Sužinokite daugiau](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Didžiausia potenciali naudotojų patiriama pirmosios įvesties delsa yra ilgiausios užduoties trukmė. [Sužinokite daugiau](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Greičio rodiklis parodo, kaip greitai pavaizduojamas puslapio turinys. [Sužinokite daugiau](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Visų laikotarpių tarp PTŽ ir laiko iki sąveikos suma milisekundėmis, kai užduoties atlikimo laikas viršija 50 ms. [Sužinokite daugiau](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Abipusis tinklo laikas (RTT) turi didelės įtakos našumui. Didelė RTT į šaltinį vertė nurodo, kad arčiau naudotojo esantys serveriai galėtų padidinti našumą. [Sužinokite daugiau](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Abipusis tinklo laikas"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Serverio delsa gali turėti įtakos žiniatinklio našumui. Didelė šaltinio serverio delsa nurodo, kad serveris per daug apkrautas arba mažas vidinės pusės našumas. [Sužinokite daugiau](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Serverio vidinės pusės delsa"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Įvykis „`unload`“ patikimai nesuaktyvinamas ir jį apdorojant gali būti neleidžiama optimizuoti naršyklės, pvz., persiuntimo atgal ir pirmyn talpyklos. Apsvarstykite galimybę naudoti įvykius „`pagehide`“ arba „`visibilitychange`“. [Sužinokite daugiau](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Užregistruojama „`unload`“ apdorojimo priemonė"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Vengiama įvykio „`unload`“ apdorojimo priemonių"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Nesudėtinės animacijos gali būti prastos kokybės ir dėl jų gali padidėti KIP. [Sužinokite daugiau](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Rastas # animuotas elementas}one{Rastas # animuotas elementas}few{Rasti # animuoti elementai}many{Rasta # animuoto elemento}other{Rasta # animuotų elementų}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Su filtrais susijusi nuosavybė gali perkelti taškus"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Elemente yra kita animacija, kuri yra nesuderinama"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Nustatytas sudėtinis efekto režimas, kuris nėra „replace“"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Venkite nesudėtinių animacijų"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Su transformavimu susijusi nuosavybė priklauso nuo laukelio dydžio"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Nepalaikoma CSS nuosavybė: {properties}}one{Nepalaikomos CSS nuosavybės: {properties}}few{Nepalaikomos CSS nuosavybės: {properties}}many{Nepalaikomos CSS nuosavybės: {properties}}other{Nepalaikomos CSS nuosavybės: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efekto laiko parametrai nepalaikomi"},"lighthouse-core/audits/performance-budget.js | description":{message:"Tinklo užklausų kiekis ir dydis neturi viršyti tikslinių verčių, nustatytų našumo biudžete. [Sužinokite daugiau](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 užklausa}one{# užklausa}few{# užklausos}many{# užklausos}other{# užklausų}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Našumo biudžetas"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Iš anksto įkelkite šriftus su atributu „`optional`“, kad pirmą kartą apsilankantieji galėtų juos naudoti. [Sužinokite daugiau](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Šriftai su „`font-display: optional`“ nebuvo iš anksto įkelti"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Šriftai su „`font-display: optional`“ buvo iš anksto įkelti"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Iš anksto įkelkite vaizdą, kurį naudoja DTŽ elementas, kad pagerintumėte DTŽ laiką. [Sužinokite daugiau](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Iš anksto įkelkite didžiausio turiningo žymėjimo vaizdą"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Jei jau nustatėte HTTPS, būtinai peradresuokite visą HTTP srautą į HTTPS, kad visi naudotojai galėtų naudotis saugiomis žiniatinklio funkcijomis. [Sužinokite daugiau](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Nenukreipia HTTP srauto į HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Nukreipia HTTP srautą į HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Peradresuojant puslapio įkėlimo delsos laikas dar labiau pailgėja. [Sužinokite daugiau](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Venkite kelių puslapio peradresavimų"},"lighthouse-core/audits/resource-summary.js | description":{message:"Kad nustatytumėte puslapio išteklių kiekio ir dydžio biudžetus, pridėkite biudžeto .json failą. [Sužinokite daugiau](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{Viena užklausa • {byteCount, number, bytes} KiB}one{# užklausa • {byteCount, number, bytes} KiB}few{# užklausos • {byteCount, number, bytes} KiB}many{# užklausos • {byteCount, number, bytes} KiB}other{# užklausų • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Pasistenkite neteikti daug užklausų ir neperkelti daug duomenų"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Standartizuotos nuorodos siūlo, kurį URL rodyti paieškos rezultatuose. [Sužinokite daugiau](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Keli nesuderinami URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Nukreipia į kitą domeną ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Negaliojantis URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{
message:"Nukreipia į kitą „`hreflang`“ vietą ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Susijęs URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Nukreipiama į domeno šakninį URL (pagrindinį puslapį) vietoje atitinkamo turinio puslapio"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokumente nėra tinkamo atributo „`rel=canonical`“"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumente yra tinkamas atributas „`rel=canonical`“"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Netikrinama nuoroda"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Paieškos varikliuose, nuorodose į tikrinimo svetaines, gali būti naudojami „`href`“ atributai. Įsitikinkite, kad prieraišo elementų „`href`“ atributas susieja su tinkama paskirties vieta, kad būtų galima rasti daugiau svetainės puslapių. [Sužinokite daugiau](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Nuorodos netikrinamos"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Nuorodos tikrinamos"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Papildomas neįskaitomas tekstas"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Šrifto dydis"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Puslapio tekstas, %"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Parinkiklis"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Mažesnis nei 12 piks. šriftas yra per mažas, kad būtų įskaitomas, todėl mobiliuosius įrenginius naudojantys lankytojai turi keisti mastelį suėmę pirštais, kad galėtų perskaityti. Pasistenkite, kad daugiau nei 60 proc. puslapio teksto šrifto dydis būtų 12 piks. arba didesnis. [Sužinokite daugiau](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} aiškaus teksto"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Tekstas neįskaitomas, nes nėra mobiliųjų įrenginių ekranams optimizuotos peržiūros srities metažymos"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumente naudojami neįskaitomo dydžio šriftai"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Įskaitomas tekstas"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokumente naudojami aiškaus dydžio šriftai"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:"„hreflang“ nuorodos nurodo paieškos varikliams, kokią puslapio versiją jie turėtų pateikti paieškos rezultatuose pagal nurodytą kalbą ar regioną. [Sužinokite daugiau](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumente nėra tinkamo atributo „`hreflang`“"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Santykinė atributo „href“ vertė"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumente yra tinkamas atributas „`hreflang`“"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Netikėtas kalbos kodas"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Puslapiai, kurių HTTP būsenos kodų nepavyko pateikti, gali būti indeksuojami netinkamai. [Sužinokite daugiau](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"Nepavyko pateikti puslapio HTTP būsenos kodo"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Sėkmingai pateiktas puslapio HTTP būsenos kodas"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Paieškos varikliai negali įtraukti puslapių į paieškos rezultatus, jei neturi leidimo jų tikrinti. [Sužinokite daugiau](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Puslapio indeksavimas blokuojamas"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Puslapio indeksavimas nėra užblokuotas"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Pagal aprašomąjį nuorodų tekstą paieškos varikliai gali lengviau suprasti jūsų turinį. [Sužinokite daugiau](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{
message:"{itemCount,plural, =1{Rasta 1 nuoroda}one{Rasta # nuoroda}few{Rastos # nuorodos}many{Rasta # nuorodos}other{Rasta # nuorodų}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Nuorodose nėra aprašomojo teksto"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Nuorodose yra aprašomojo teksto"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Paleiskite [struktūrinių duomenų bandymo įrankį](https://search.google.com/structured-data/testing-tool/) ir [„Structured Data Linter“](http://linter.structured-data.org/), kad būtų patvirtinti struktūriniai duomenys. [Sužinokite daugiau](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Struktūriniai duomenys tinkami"},"lighthouse-core/audits/seo/meta-description.js | description":{
message:"Norint glaustai apibendrinti puslapio turinį, į paieškos rezultatus galima įtraukti metaaprašų. [Sužinokite daugiau](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Nepateiktas aprašomasis tekstas."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumente nėra metaaprašo"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokumente yra metaaprašas"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Paieškos varikliai negali indeksuoti papildinių turinio ir daug įrenginių riboja papildinius arba jų nepalaiko. [Sužinokite daugiau](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumente naudojami papildiniai"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumente vengiama papildinių"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Jei failas „robots.txt“ netinkamai suformatuotas, tikrintuvai gali nesuprasti, kaip norite tikrinti ar indeksuoti svetainę. [Sužinokite daugiau](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Pateikus „robots.txt“ užklausą gauta HTTP būsena: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Rasta 1 klaida}one{Rasta # klaida}few{Rastos # klaidos}many{Rasta # klaidos}other{Rasta # klaidų}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"„Lighthouse“ nepavyko atsisiųsti failo robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Failas robots.txt netinkamas"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt tinkamas"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Interaktyvūs elementai, pvz., mygtukai ir nuorodos, turi būti pakankamai dideli (48 x 48 piks.) ir aplink juos turi būti pakankamai vietos, kad būtų galima lengvai paliesti ir kad jie nepersidengtų su kitais elementais. [Sužinokite daugiau](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} tinkamo dydžio liečiamų objektų"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Liečiami objektai per maži, nes nėra mobiliųjų įrenginių ekranams optimizuotos peržiūros srities metažymos"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Liečiami objektai netinkamo dydžio"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Persidengiantis objektas"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Liečiamas objektas"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"Liečiami objektai tinkamo dydžio"},"lighthouse-core/audits/server-response-time.js | description":{message:"Padarykite, kad pagrindinio dokumento serverio atsako laikas būtų trumpas, nes nuo jo priklauso visos kitos užklausos. [Sužinokite daugiau](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Šakninio dokumento įkėlimas užtruko {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Pradinio serverio atsako laiko sumažinimas"},"lighthouse-core/audits/server-response-time.js | title":{message:"Pradinio serverio atsako laikas buvo trumpas"},"lighthouse-core/audits/service-worker.js | description":{
message:"Pagalbinis „JavaScript“ failas – tai technologija, įgalinanti jūsų programą naudoti daug laipsniškosios žiniatinklio programos funkcijų, pvz., naudoti neprisijungus, pridėti prie pagrindinio ekrano ar naudoti iš karto gaunamus pranešimus. [Sužinokite daugiau](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Šis puslapis valdomas naudojant pagalbinį „JavaScript“ failą, tačiau `start_url` nerasta, nes aprašo nepavyko analizuoti kaip galiojančio JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Šs puslapis valdomas naudojant pagalbinį „JavaScript“ failą, tačiau `start_url` ({startUrl}) nepatenka į pagalbinio „JavaScript“ failo aprėptį ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Šis puslapis valdomas naudojant pagalbinį „JavaScript“ failą, tačiau neaptikta `start_url`, nes neįkeltas joks aprašas."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Šiame pradiniame puslapyje yra vienas ar daugiau pagalbinių „JavaScript“ failų, tačiau puslapis ({pageUrl}) neįtrauktas."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Neregistruojamas pagalbinis „JavaScript“ failas, naudojamas puslapiams ir `start_url` valdyti"},"lighthouse-core/audits/service-worker.js | title":{message:"Registruojamas pagalbinis „JavaScript“ failas, naudojamas puslapiams ir `start_url` valdyti"},"lighthouse-core/audits/splash-screen.js | description":{message:"Teminis prisistatymo langas užtikrina kokybišką patirtį naudotojui paleidžiant jūsų programą iš pagrindinio ekrano. [Sužinokite daugiau](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nesukonfigūruota tinkintam prisistatymo langui"},"lighthouse-core/audits/splash-screen.js | title":{message:"Sukonfigūruota tinkintam prisistatymo langui"},
"lighthouse-core/audits/themed-omnibox.js | description":{message:"Naršyklės adreso juostos temos negalima pakeisti taip, kad atitiktų svetainės temą. [Sužinokite daugiau](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Nenustatoma adreso juostos temos spalva."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Nustatoma adreso juostos temos spalva."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (klientų sėkmės istorijos)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Rinkodara)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (socialiniai tinklai)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (vaizdo įrašas)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produktas"},
"lighthouse-core/audits/third-party-facades.js | description":{message:"Kai kurių trečiųjų šalių įterptų elementų įkėlimas gali būti atidėtas. Apsvarstykite galimybę pakeisti juos fasadu, kol nėra būtini. [Sužinokite daugiau](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Pasiekiamas # alternatyvus fasadas}one{Pasiekiamas # alternatyvus fasadas}few{Pasiekiami # alternatyvūs fasadai}many{Pasiekiama # alternatyvaus fasado}other{Pasiekiama # alternatyvių fasadų}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Kai kurių trečiųjų šalių išteklių įkėlimas gali būti atidėtas naudojant fasadą"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Atidėtojo įkėlimo trečiųjų šalių ištekliai su fasadais"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Trečioji šalis"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Trečiosios šalies kodas gali smarkiai paveikti įkėlimo našumą. Apribokite trečiosios šalies teikėjų skaičių ir pabandykite įkelti trečiosios šalies kodą, kai puslapis bus įkeltas. [Sužinokite daugiau](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Trečiosios šalies kodas {timeInMs, number, milliseconds} ms užblokavo pagrindinę grupę"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Sumažina trečiosios šalies kodo poveikį"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Trečiųjų šalių kodo naudojimo sumažinimas"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Matavimas"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metrika"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Nustatykite laiko biudžetą, kad galėtumėte lengviau stebėti svetainės našumą. Našios svetainės įkeliamos sparčiau ir greičiau reaguoja į naudotojų įvesties įvykius. [Sužinokite daugiau](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Laiko biudžetas"},"lighthouse-core/audits/unsized-images.js | description":{message:"Nustatykite tikslų vaizdo elementų plotį ir aukštį, kad būtų mažiau išdėstymo poslinkių ir pagerinamas KIP. [Sužinokite daugiau](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Vaizdo elementų matmenys nėra tikslūs: `width` ir `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Tikslūs vaizdo elementų matmenys: `width` ir `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tipas"},"lighthouse-core/audits/user-timings.js | description":{
message:"Apsvarstykite galimybę apdoroti programą naudojant naudotojo laiko API ir įvertinti programos realų našumą, kai naudotojas naudoja pagrindines funkcijas. [Sužinokite daugiau](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 naudotojo laikas}one{# naudotojo laikas}few{# naudotojo laikai}many{# naudotojo laiko}other{# naudotojo laikų}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Naudotojo laiko žymės ir matavimas"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Rastas „{securityOrigin}“ atributas „`<link rel=preconnect>`“, tačiau jis nebuvo naudojamas naršyklėje. Patikrinkite, ar atributas „`crossorigin`“ naudojamas tinkamai."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Apsvarstykite galimybę pridėti `preconnect` arba `dns-prefetch` ištekliaus nurodymus, kad ryšys su svarbiais trečiųjų šalių šaltiniais būtų užmezgamas iš anksto. [Sužinokite daugiau](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Iš anksto prisijunkite prie reikiamų šaltinių"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Rastos daugiau nei dvi „`<link rel=preconnect>`“ sąsajos. Jos turi būti naudojamos taupiai ir susiejant tik su svarbiausiais šaltiniais."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Rastas „{securityOrigin}“ atributas „`<link rel=preconnect>`“, tačiau jis nebuvo naudojamas naršyklėje. Svarbiuose šaltiniuose naudokite tik atributą „`preconnect`“, kurio užklausą puslapis tikrai pateiks."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Rastas „{preloadURL}“ iš anksto įkeliamas atributas „`<link>`“, tačiau jis nebuvo naudojamas naršyklėje. Patikrinkite, ar atributas „`crossorigin`“ naudojamas tinkamai."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Apsvarstykite galimybę naudoti „`<link rel=preload>`“ ir suteikti pirmenybę gaunamiems ištekliams, kurių užklausos šiuo metu teikiamos vėliau įkeliant puslapį. [Sužinokite daugiau](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Iš anksto įkelkite svarbiausias užklausas"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Žemėlapio URL"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Šaltinio žemėlapiai išverčia sumažintą kodą į originalų šaltinio kodą. Tai kūrėjams padeda derinti kuriant gamybinę versiją. Be to, „Lighthouse“ gali pateikti daugiau įžvalgų. Apsvarstykite galimybę pritaikyti šaltinio žemėlapius ir pasinaudoti šiais privalumais. [Sužinokite daugiau](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Trūksta didelio pirmosios šalies „JavaScript“ failo šaltinio žemėlapių"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Dideliame „JavaScript“ faile nėra šaltinio žemėlapio"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Įspėjimas: trūksta 1 elemento atribute „`.sourcesContent`“}one{Įspėjimas: trūksta # elemento atribute „`.sourcesContent`“}few{Įspėjimas: trūksta # elementų atribute „`.sourcesContent`“}many{Įspėjimas: trūksta # elemento atribute „`.sourcesContent`“}other{Įspėjimas: trūksta # elementų atribute „`.sourcesContent`“}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Puslapyje yra galiojančių šaltinio žemėlapių"},"lighthouse-core/audits/viewport.js | description":{message:'Pridedama žyma `<meta name="viewport">`, siekiant optimizuoti programą mobiliųjų ekranams. [Sužinokite daugiau](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Žyma `<meta name="viewport">` nerasta'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nėra žymos `<meta name="viewport">` su `width` arba `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Yra žyma `<meta name="viewport">` su `width` arba `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Tai yra galimybės, skirtos pagerinti ARIA naudojimą programoje. Jos gali pagerinti pagalbinių technologijų, pvz., ekrano skaitytuvų, naudotojų patirtį."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Tai yra galimybės, skirtos alternatyviam garso ir vaizdo įrašų turiniui teikti. Tai gali pagerinti klausos ar regėjimo sutrikimų turinčių naudotojų patirtį."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Garsas ir vaizdas"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Šie elementai paryškina dažniausiai naudojamus pritaikomumo geriausios praktikos metodus."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{
message:"Geriausia praktika"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Atlikę šias patikras sužinosite, kaip galite [geriau pritaikyti žiniatinklio programą](https://developers.google.com/web/fundamentals/accessibility). Automatiškai galima aptikti tik dalį pritaikomumo problemų, todėl rekomenduojama atlikti ir neautomatinį tikrinimą."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Šie elementai apima sritis, kurių automatinio bandymo įrankis negali aprėpti. Mūsų vadove sužinokite daugiau apie tai, kaip [atlikti pritaikomumo peržiūrą](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Pritaikomumas"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Tai yra galimybės, kaip pagerinti turinio skaitomumą."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrastas"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Tai yra galimybės, skirtos pagerinti, kaip skirtingų lokalių naudotojai interpretuoja jūsų turinį."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizavimas ir lokalizavimas"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Tai yra galimybės, skirtos pagerinti programos valdiklių semantiką. Tai gali pagerinti pagalbinių technologijų, pvz., ekrano skaitytuvų, naudotojų patirtį."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Pavadinimai ir etiketės"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Tai yra galimybės, skirtos pagerinti naršymą klaviatūra programoje."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Naršymas"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Tai yra galimybės, skirtos pagerinti lentelėse ar sąrašuose pateiktų duomenų skaitymą naudojant pagalbines technologijas, pvz., ekrano skaitytuvą."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Lentelės ir sąrašai"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Naršyklės suderinamumas"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Geriausios praktikos pavyzdžiai"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Bendra"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Patikima ir saugu"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Naudotojo patirtis"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Nuo kategorijoje „Našumas“ nustatyto biudžeto priklauso svetainės našumas."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Biudžetai"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Daugiau informacijos apie programos našumą. Šie skaičiai [tiesiogiai nepaveikia](https://web.dev/performance-scoring/) našumo įvertinimo."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Svarbiausias našumo rodiklis – kaip greitai taškai pateikiami ekrane. Svarbiausia metrika: pirmasis „Contentful“ parodymas, pirmasis reikšmingas parodymas"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Pirmojo parodymo patobulinimai"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Pasinaudojus šiais pasiūlymais puslapis gali būti įkeliamas greičiau. Tai [tiesiogiai nepaveiks](https://web.dev/performance-scoring/) našumo įvertinimo."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Galimybės"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrika"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Pagerinkite bendrą įkėlimo našumą, kad puslapis reaguotų ir būtų parengtas naudoti kuo greičiau. Svarbiausia metrika: laikas iki sąveikos, greičio rodiklis"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Bendri patobulinimai"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Našumas"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Per šias patikras vertinami laipsniškosios žiniatinklio programos aspektai. [Sužinokite daugiau](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Šios patikros būtinos pagal pradinį [LŽP kontrolinį sąrašą](https://developers.google.com/web/progressive-web-apps/checklist), tačiau „Lighthouse“ jų neatlieka automatiškai. Jos neturi įtakos jūsų rezultatui, tačiau svarbu, kad patvirtintumėte patys."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Laipsniškoji žiniatinklio programa"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Galima įdiegti"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimizuota PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Šios patikros užtikrina, kad jūsų puslapis optimizuotas paieškos variklio rezultatams reitinguoti. Yra papildomų veiksnių, galinčių paveikti paieškos reitingavimą, kurių „Lighthouse“ netikrina. [Sužinokite daugiau](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Paleiskite šias papildomas patvirtinimo priemones svetainėje, kad patikrintumėte papildomus PVO geriausios praktikos metodus."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"PVO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatuokite HTML taip, kad tikrintuvai galėtų geriau suprasti programos turinį."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Geriausios turinio praktikos pavyzdžiai"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Kad programa būtų rodoma paieškos rezultatuose, tikrintuvams reikalinga prieiga prie jos."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Tikrinimas ir indeksavimas"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Įsitikinkite, kad puslapiai yra pritaikyti mobiliesiems, kad naudotojams nereikėtų suėmus artinti ar keisti mastelio norint perskaityti puslapių turinį. [Sužinokite daugiau](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Pritaikyta mobiliesiems"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Išbandyto įrenginio centrinis procesorius pasirodė lėtesnis, nei tikėjosi „Lighthouse“. Tai gali neigiamai paveikti našumo įvertinimą. Sužinokite daugiau apie [atitinkamo centrinio procesoriaus sulėtėjimo koeficiento kalibravimą](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Puslapis gali būti neįkeliamas, kaip numatyta, nes bandomasis URL ({requested}) peradresavo į {final}. Išbandykite antrąjį URL tiesiogiai."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Puslapis įkeliamas per lėtai, kad įkėlimas būtų baigtas atitinkant laiko apribojimą. Rezultatai gali būti neišsamūs."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Šioje vietoje gali būti išsaugotų duomenų, turinčių poveikio įkėlimo našumui: {locations}. Patikrinkite šį puslapį inkognito lange, kad šie šaltiniai nepaveiktų rezultatų.}one{Šiose vietose gali būti išsaugotų duomenų, turinčių poveikio įkėlimo našumui: {locations}. Patikrinkite šį puslapį inkognito lange, kad šie šaltiniai nepaveiktų rezultatų.}few{Šiose vietose gali būti išsaugotų duomenų, turinčių poveikio įkėlimo našumui: {locations}. Patikrinkite šį puslapį inkognito lange, kad šie šaltiniai nepaveiktų rezultatų.}many{Šiose vietose gali būti išsaugotų duomenų, turinčių poveikio įkėlimo našumui: {locations}. Patikrinkite šį puslapį inkognito lange, kad šie šaltiniai nepaveiktų rezultatų.}other{Šiose vietose gali būti išsaugotų duomenų, turinčių poveikio įkėlimo našumui: {locations}. Patikrinkite šį puslapį inkognito lange, kad šie šaltiniai nepaveiktų rezultatų.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Apsvarstykite galimybę pridėti https: ir http: URL schemas (nepaisoma naršyklėse, palaikančiose raktinį žodį „strict-dynamic“), kad būtų užtikrintas atgalinis suderinamumas su senesnėmis naršyklėmis."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Direktyva „disown-opener“ nebenaudojama nuo CSP3. Vietoj jos naudokite antraštę „Cross-Origin-Opener-Policy“."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Direktyva „referrer“ nebenaudojama nuo CSP2. Vietoj jos naudokite antraštę „Referrer-Policy“."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Direktyva „reflected-xss“ nebenaudojama nuo CSP2. Vietoj jos naudokite antraštę „X-XSS-Protection“."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Jei nėra direktyvos „base-uri“, galima įterpti žymas <base>. Jas naudojant galima nustatyti visų susijusių URL (pvz., scenarijų) pagrindinį URL kaip atakos vykdytojo kontroliuojamą domeną. Apsvarstykite galimybę nustatyti direktyvos „base-uri“ vertę „none“ arba „self“."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elementai, kuriuos kontroliuoja direktyva „object-src“, laikomi pasenusiomis funkcijomis. Apsvarstykite galimybę nustatyti direktyvos „object-src“ vertę „none“, kad nebūtų leidžiama įterpti papildinių, vykdančių nesaugius scenarijus."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Nėra direktyvos „script-src“. Gali būti leidžiama vykdyti nesaugius scenarijus."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Gal pamiršote įvesti kabliataškį? Panašu, kad „{keyword}“ yra direktyva, o ne raktinis žodis."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{
message:"Vertėse „nonce“ reikia naudoti „base64“ simbolių rinkinį."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Vertės „nonce“ turi būti bent 8 simbolių ilgio."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Ataskaitų teikimo paskirties vietą galima sukonfigūruoti tik naudojant direktyvą „report-to“. Ši direktyva palaikoma tik „Chromium“ pagrindo naršyklėse, todėl taip pat rekomenduojama naudoti direktyvą „report-uri“."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Jokioje CSP nesukonfigūruota ataskaitų teikimo paskirties vieta. Tai apsunkins tolesnę CSP priežiūrą ir problemų stebėjimo procesą."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Prieglobos leidžiamųjų sąrašus neretai galima apeiti. Apsvarstykite galimybę naudoti raktinį žodį „strict-dynamic“ kartu su CSP vertėmis „nonce“ ar „hash“."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Nežinoma CSP direktyva."},
"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Panašu, kad „{keyword}“ yra netinkamas raktinis žodis."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"Raktinis žodis „unsafe-inline“ leidžia vykdyti nesaugius puslapio scenarijus ir įvykių dorokles. Apsvarstykite galimybę naudoti CSP vertes „nonce“ arba „hash“, kad scenarijų vykdymas būtų leidžiamas atskirai."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Apsvarstykite galimybę pridėti raktinį žodį „unsafe-inline“ (nepaisoma naršyklėse, palaikančiose vertes „nonce“ / „hash“), kad būtų užtikrintas atgalinis suderinamumas su senesnėmis naršyklėmis."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Pagrindinės grupės blokavimo laikas"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Talpyklos TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Aprašas"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Trukmė"},
"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elementas"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Netinkami elementai"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Vietovė"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Pavadinimas"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Viršijo biudžetą"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Užklausos"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Šaltinio dydis"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Ištekliaus tipas"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Dydis"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Šaltinis"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Pradžios laikas"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Sugaištas laikas"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{
message:"Failų perkėlimo dydis"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Galima sutaupyti"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Galima sutaupyti"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Galima sutaupyti {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Rastas 1 elementas}one{Rastas # elementas}few{Rasti # elementai}many{Rasta # elemento}other{Rasta # elementų}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Galima sutaupyti {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokumentas"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Pirmasis reikšmingas parodymas"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Šriftas"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Vaizdas"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Didelis"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Mažas"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Vidutinis"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maksimali potenciali pirmosios įvesties delsa"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Medija"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},
"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Kita"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Kiti ištekliai"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Scenarijus"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} sek."},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stiliaus failas"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Trečioji šalis"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Iš viso"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Įkeliant puslapį kilo su pėdsako įrašymu susijusi problema. Dar kartą paleiskite „Lighthouse“. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{
message:"Laukiant, kol bus inicijuotas derintuvės protokolo ryšys, baigėsi skirtasis laikas."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Įkeliant puslapį „Chrome“ nesukūrė ekrano kopijų. Užtikrinkite, kad puslapyje yra matomo turinio, tada pabandykite iš naujo paleisti „Lighthouse“. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS serveriams nepavyko nustatyti pateikto domeno."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Įvyko su reikiamo ištekliaus „{artifactName}“ rinkimo priemone susijusi klaida: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Įvyko vidinės „Chrome“ klaida. Iš naujo paleiskite „Chrome“ ir pabandykite iš naujo paleisti „Lighthouse“."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Reikiamo ištekliaus „{artifactName}“ rinkimo priemonė nebuvo paleista."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"Puslapyje nėra jokio turinio. Įsitikinkite, kad įkeliant naršyklės langas veikia priekiniame plane, ir bandykite dar kartą. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Pateiktas puslapis nėra HTML (pateiktas kaip MIME tipas {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Ši „Chrome“ versija yra per sena ir nepalaiko „{featureName}“. Jei norite peržiūrėti visus rezultatus, naudokite naujesnę versiją."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"„Lighthouse“ nepavyko patikimai įkelti puslapio, kurio užklausą pateikėte. Įsitikinkite, kad testuojate tinkamą URL ir kad serveris tinkamai atsako į visas užklausas."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"„Lighthouse“ nepavyko patikimai įkelti URL, kurio užklausą pateikėte, nes puslapis nebeatsako."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{
message:"Pateiktame URL nėra tinkamo saugos sertifikato: {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"„Chrome“ neleido įkelti puslapio ir buvo parodytas tarpinis ekranas. Įsitikinkite, kad tikrinate tinkamą URL ir kad serveris tinkamai atsako į visas užklausas."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"„Lighthouse“ nepavyko patikimai įkelti puslapio, kurio užklausą pateikėte. Įsitikinkite, kad tikrinate tinkamą URL ir kad serveris tinkamai atsako į visas užklausas. (Išsami informacija: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"„Lighthouse“ nepavyko patikimai įkelti puslapio, kurio užklausą pateikėte. Įsitikinkite, kad tikrinate tinkamą URL ir kad serveris tinkamai atsako į visas užklausas. (Būsenos kodas: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"Puslapis buvo įkeliamas per ilgai. Pasinaudokite ataskaitoje pateiktomis galimybėmis ir sumažinkite puslapio įkėlimo laiką, tada pabandykite iš naujo paleisti „Lighthouse“. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Laukiama, kol „DevTools“ protokolo atsakymas viršys skirtąjį laiką. (Metodas: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Šaltinio turinio gavimas viršijo skirtąjį laiką"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Panašu, kad pateiktas URL netinkamas."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Viskas"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Visi scenarijai"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Aprėptis"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Tikslios modulių kopijos"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Šaltinių baitai"},
"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Pavadinimas"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Perjungti lentelę"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Nenaudojami baitai"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Jei teikiate animuotą turinį, naudokite [„`amp-anim`“](https://amp.dev/documentation/components/amp-anim/), kad būtų naudojama mažiau centrinio procesoriaus galios, kai turinys nerodomas ekrane."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Apsvarstykite galimybę pateikti visus [„`amp-img`“](https://amp.dev/documentation/components/amp-img/?format=websites) komponentus „WebP“ formatais ir nurodyti atitinkamus kitų naršyklių atsarginius elementus. [Sužinokite daugiau](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Įsitikinkite, kad naudojate [„`amp-img`“](https://amp.dev/documentation/components/amp-img/?format=websites), kad vaizdai būtų įkeliami automatiškai naudojant atidėtąjį įkėlimą. [Sužinokite daugiau](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[Serveryje pateikdami AMP išdėstymus](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) naudokite tokius įrankius kaip [AMP optimizavimo priemonė](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Peržiūrėkite [AMP dokumentus](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) ir isitikinkite, kad visi stiliai yra palaikomi."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Komponentas [„`amp-img`“](https://amp.dev/documentation/components/amp-img/?format=websites) palaiko atributą [„`srcset`“](https://web.dev/use-srcset-to-automatically-choose-the-right-image/), kad būtų galima nurodyti, kuriuos vaizdo išteklius naudoti pagal ekrano dydį. [Sužinokite daugiau](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Jei pateikiami labai dideli sąrašai, apsvarstykite galimybę naudoti virtualų slinkimą naudojant komponentų kūrimo rinkinį (CDK). [Sužinokite daugiau](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Jei norite sumažinti „JavaScript“ grupių dydį, taikykite [maršruto lygio kodo skaidymą](https://web.dev/route-level-code-splitting-in-angular/). Taip pat apsvarstykite galimybę išteklius iš anksto įdėti į talpyklą naudojant [pagalbinį „JavaScript“ failą „Angular“](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Jei naudojate „Angular CLI“, įsitikinkite, kad versijos generuojamos gamybos režimu. [Sužinokite daugiau](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Jei naudojate „Angular CLI“, į gamybinę versiją įtraukite šaltinio žemėlapių, kad būtų tikrinamos jūsų grupės. [Sužinokite daugiau](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Iš anksto įkelkite maršrutus, kad būtų galima greičiau naršyti. [Sužinokite daugiau](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Apsvarstykite galimybę naudoti komponentų kūrimo rinkinyje (CDK) esančią paslaugų priemonę „`BreakpointObserver`“ vaizdų atskaitos taškams tvarkyti. [Sužinokite daugiau](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Apsvarstykite galimybę įkelti savo GIF į paslaugą, kuri leis jį įterpti kaip HTML5 vaizdo įrašą."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Nurodykite „`@font-display`“ apibrėždami tinkintus temos šriftus."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Apsvarstykite galimybę įdiegti ir konfigūruoti [modulį, kad galėtumėte naudoti „WebP“ vaizdo formatus](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) svetainėje. Tokie moduliai automatiškai generuoja įkeltų vaizdų „WebP“ versiją, kad būtų optimizuotas įkėlimo laikas."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Įdiekite [„Drupal“ modulį](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), kuris galėtų įkelti vaizdus naudojant atidėtąjį įkėlimą. Naudojant tokius modulius galima atidėti bet kokius ne ekraninius vaizdus, kad būtų padidintas našumas."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Apsvarstykite galimybę naudoti modulį, kad galėtumėte įterpti svarbią CSS kalbą ir „JavaScript“ arba galimai nesinchronizuotai įkelti išteklius naudodami „JavaScript“, pvz., [išplėstinio CSS kalbos ir (arba) JS apibendrinimo](https://www.drupal.org/project/advagg) modulį. Atminkite, kad dėl šio modulio teikiamo optimizavimo gali būti pažeistos jūsų svetainės funkcijos, todėl tikriausiai turėsite atlikti kodo pakeitimų."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Temos, moduliai ir serverio specifikacijos – visa tai turi įtakos serverio atsako laikui. Galbūt vertėtų surasti geriau optimizuotą temą, atidžiai pasirinkti optimizavimo modulį ir (arba) naujovinti serverį. Prieglobos serveriai turėtų naudoti PHP operacijos kodų talpyklą, atminties talpyklą, kad sumažintų duomenų bazės užklausų skaičių, pvz., „Redis“ ar „Memcached“, bei optimizuotą programos logiką, kad puslapiai būtų sparčiau parengti."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Apsvarstykite galimybę naudoti [interaktyvių vaizdų stilius](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), kad sumažintumėte puslapyje įkeliamus vaizdus. Jei naudojate rodinius keliems turinio elementams rodyti puslapyje, apsvarstykite galimybę įdiegti puslapių numeravimą, kad apribotumėte nurodytame puslapyje rodomų turinio elementų skaičių."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Būtinai įgalinkite funkciją „Apibendrinti CSS kalbos failus“ puslapyje „Administravimas“ » „Konfigūravimas“ » „Diegimas“. Be to, galite konfigūruoti išplėstines apibendrinimo parinktis naudodami [papildomus modulius](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), kad svetainė sparčiau veiktų, sujungiant, suglaudinant CSS kalbos stilius ir pašalinant jų nereikalingus duomenis."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Būtinai įgalinkite funkciją „Apibendrinti „JavaScript“ failus“ puslapyje „Administravimas“ » „Konfigūravimas“ » „Diegimas“. Be to, galite konfigūruoti išplėstines apibendrinimo parinktis naudodami [papildomus modulius](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), kad svetainė sparčiau veiktų, sujungiant, suglaudinant „JavaScript“ išteklius ir pašalinant jų nereikalingus duomenis."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Apsvarstykite galimybę pašalinti nenaudojamas CSS kalbos taisykles ir pridėti tik reikalingas „Drupal“ bibliotekas prie atitinkamo puslapio ar komponento puslapyje. Jei reikia išsamios informacijos, žr. [„Drupal“ dokumentų nuorodą](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Kad nustatytumėte pridėtas bibliotekas, pridedančias nesusijusios CSS kalbos, pabandykite vykdyti [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome DevTools“. Susijusią temą ir (arba) modulį galite nustatyti pagal stiliaus aprašo URL, kai CSS kalbos apibendrinimas išjungtas „Drupal“ svetainėje. Ieškokite temų ir (arba) modulių, kurių sąraše pateikta daug stiliaus aprašų, kurių kodo aprėptyje yra daug raudonos spalvos. Tema ir (arba) modulis įtraukti stiliaus aprašą į eilę turėtų tik tokiu atveju, jei jis tikrai naudojamas puslapyje."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Apsvarstykite galimybę pašalinti nenaudojamus „JavaScript“ išteklius ir pridėti tik reikalingas „Drupal“ bibliotekas prie atitinkamo puslapio ar komponento puslapyje. Jei reikia išsamios informacijos, žr. [„Drupal“ dokumentų nuorodą](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Kad nustatytumėte pridėtas bibliotekas, pridedančias nesusijusios „JavaScript“ kalbos, pabandykite vykdyti [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome DevTools“. Susijusią temą ir (arba) modulį galite nustatyti pagal scenarijaus URL, kai „JavaScript“ apibendrinimas išjungtas „Drupal“ svetainėje. Ieškokite temų ir (arba) modulių, kurių sąraše pateikta daug scenarijų, kurių kodo aprėptyje yra daug raudonos spalvos. Tema ir (arba) modulis įtraukti scenarijų į eilę turėtų tik tokiu atveju, jei jis tikrai naudojamas puslapyje."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Nustatykite parinktį „Naršyklės ir tarpinio serverio talpyklos maksimalus amžius“ puslapyje „Administravimas“ » „Konfigūravimas“ » „Diegimas“. Skaitykite apie [„Drupal“ talpyklą ir našumo optimizavimą](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Apsvarstykite galimybę naudoti [modulį](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), kuris automatiškai optimizuoja ir sumažina svetainėje įkeltus vaizdus, išlaikydamas jų kokybę. Be to, įsitikinkite, kad naudojate „Drupal“ teikiamus savuosius [interaktyvių vaizdų stilius](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) visiems svetainėje pateikiamiems vaizdams (pasiekiama naudojant 8 ar naujesnės versijos „Drupal“)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Įdiegiant ir konfigūruojant [modulį](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), kurį naudojant galima teikti naudotojo priemonės šaltinio nurodymus, galima pridėti išankstinio prijungimo arba DNS išankstinės iškvietos ištekliaus nurodymų."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Įsitikinkite, kad naudojate „Drupal“ teikiamus savuosius [interaktyvių vaizdų stilius](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (pasiekiama naudojant 8 ar naujesnės versijos „Drupal“). Naudokite interaktyvių vaizdų stilius pateikdami vaizdų failus peržiūros režimais, per rodinius ar vaizdus, įkeltus naudojant WYSIWYG redagavimo priemonę."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Apsvarstykite galimybę įkelti savo GIF į paslaugą, kuri leis jį įterpti kaip HTML5 vaizdo įrašą."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Apsvarstykite galimybę naudoti [papildinį](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) arba paslaugą, kuri automatiškai konvertuotų įkeltus vaizdus į optimalius formatus."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Įdiekite [atidėtojo įkėlimo „Joomla“ papildinį](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), leidžiantį atidėti bet kokius ne ekraninius vaizdus, arba perjunkite į šią funkciją teikiantį šabloną. Nuo „Joomla“ 4.0 versijos visi nauji vaizdai [automatiškai](https://github.com/joomla/joomla-cms/pull/30748) gaus svarbų atributą „`loading`“."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Yra įvairių „Joomla“ papildinių, kuriuos naudodami galite [įterpti svarbių išteklių](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) arba [atidėti mažiau svarbius šaltinius](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Atminkite, kad dėl šių papildinių teikiamo optimizavimo gali būti pažeistos jūsų šablonų ar papildinių funkcijos, todėl reikės juos nuodugniai patikrinti."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Šablonai, plėtiniai ir serverio specifikacijos – visa tai turi įtakos serverio atsako laikui. Galbūt vertėtų surasti geriau optimizuotą šabloną, atidžiai pasirinkti optimizavimo plėtinį ir (arba) naujovinti serverį."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Apsvarstykite galimybę rodyti ištraukas straipsnių kategorijose (pvz., naudodami daugiau informacijos skaitymo nuorodą), sumažinti nurodytame puslapyje rodomų straipsnių skaičių, suskaidyti ilgus įrašus į kelis puslapius arba naudoti komentarų atidėtojo įkėlimo papildinį."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Įvairūs [„Joomla“ plėtiniai](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) gali padėti svetainei sparčiau veikti sujungdami, suglaudindami CSS kalbos stilius ar pašalindami jų nereikalingus duomenis. Be to, yra šias funkcijas teikiančių šablonų."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Įvairūs [„Joomla“ plėtiniai](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) gali padėti svetainei sparčiau veikti sujungdami, suglaudindami scenarijus ar pašalindami jų nereikalingus duomenis. Be to, yra šias funkcijas teikiančių šablonų."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Apsvarstykite galimybę sumažinti [„Joomla“ plėtinių](https://extensions.joomla.org/), įkeliančių nenaudojamą CSS kalbą jūsų puslapyje, skaičių arba juos pakeisti. Kad nustatytumėte plėtinius, pridedančius nesusijusios CSS kalbos, pabandykite vykdyti [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome DevTools“. Susijusią temą ir (arba) papildinį galite nustatyti pagal stiliaus aprašo URL. Ieškokite papildinių, kurių sąraše pateikta daug stiliaus aprašų, kurių kodo aprėptyje yra daug raudonos spalvos. Papildinys turėtų įtraukti į eilę stiliaus aprašą, tik jei jis tikrai naudojamas puslapyje."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Apsvarstykite galimybę sumažinti [„Joomla“ plėtinių](https://extensions.joomla.org/), įkeliančių nenaudojamą „JavaScript“ jūsų puslapyje, skaičių arba juos pakeisti. Kad nustatytumėte papildinius, pridedančius nesusijusios JS, pabandykite vykdyti [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome DevTools“. Susijusį plėtinį galite nustatyti pagal scenarijaus URL. Ieškokite plėtinių, kurių sąraše pateikta daug scenarijų, kurių kodo aprėptyje yra daug raudonos spalvos. Plėtinys įtraukti scenarijų į eilę turėtų tik tokiu atveju, jei jis tikrai naudojamas puslapyje."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Skaitykite apie [naršyklės saugojimo talpykloje funkciją sistemoje „Joomla“](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Apsvarstykite galimybę naudoti [vaizdų optimizavimo papildinį](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), leidžiantį suglaudinti vaizdus išlaikant kokybę."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Apsvarstykite galimybę naudoti [interaktyvių vaizdų papildinį](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), kad galėtumėte naudoti interaktyvius vaizdus turinyje."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Teksto glaudinimą galite įgalinti įgalinę „Gzip“ puslapių glaudinimą sistemoje „Joomla“ („Sistema“ > „Visuotinė konfigūracija“ > „Serveris“)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Jei negrupuojate „JavaScript“ išteklių, apsvarstykite galimybę naudoti [presavimo įrankį](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Išjunkite platformos „Magento“ įtaisytą [„JavaScript“ grupavimą ir nereikalingų duomenų pašalinimą](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ir apsvarstykite galimybę vietoje jų naudoti [presavimo įrankį](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[Apibrėždami tinkintus šriftus](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html) nurodykite „`@font-display`“."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Apsvarstykite galimybę [„Magento Marketplace“](https://marketplace.magento.com/catalogsearch/result/?q=webp) ieškoti įvairių trečiųjų šalių plėtinių, kad galėtumėte pasinaudoti naujesniais vaizdo formatais."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Apsvarstykite galimybę keisti produkto ir katalogo šablonus, kad galėtumėte išnaudoti žiniatinklio platformos [atidėtojo įkėlimo](https://web.dev/native-lazy-loading) funkciją."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Naudokite platformos „Magento“ [„Varnish“ integravimą](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Parduotuvės skiltyje „Kūrėjų nustatymai“ įgalinkite parinktį „Pašalinti nereikalingus CSS failų duomenis“. [Sužinokite daugiau](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Naudodami [„Terser“](https://www.npmjs.com/package/terser) pašalinkite visų „JavaScript“ išteklių nereikalingus duomenis iš statinio turinio diegimo ir išjunkite įtaisytą nereikalingų duomenų pašalinimo funkciją."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Išjunkite platformos „Magento“ įtaisytą [„JavaScript“ grupavimą](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Apsvarstykite galimybę [„Magento Marketplace“](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) ieškoti įvairių trečiųjų šalių plėtinių, kad galėtumėte optimizuoti vaizdus."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"[Keičiant temos išdėstymą](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) galima pridėti išankstinio prijungimo arba DNS išankstinės iškvietos ištekliaus nurodymų."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Žymas „`<link rel=preload>`“ galima pridėti [keičiant temos išdėstymą](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Pakeiskite animuotus GIF failus vaizdo įrašu](https://web.dev/replace-gifs-with-videos/), taip tinklalapis bus įkeliamas greičiau. Taip pat apsvarstykite galimybę naudoti modernius failų formatus, pvz., [„WebM“](https://web.dev/replace-gifs-with-videos/#create-webm-videos) arba [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), taip pagerinsite glaudinimo efektyvumą daugiau nei 30 proc., palyginti su dabartiniu naujausiu vaizdo kodeku – VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Apsvarstykite galimybę naudoti [papildinį](https://octobercms.com/plugins?search=image) arba paslaugą, kuri automatiškai konvertuotų įkeltus vaizdus į optimalius formatus. [„WebP“ nenuostolingai suglaudinti vaizdai](https://developers.google.com/speed/webp) yra 26 proc. mažesni, palyginti su PNG, ir 25–34 proc. mažesni, palyginti su JPEG formato tapataus SSIM kokybės indekso vaizdais. Apsvarstykite galimybę naudoti ir kitą naujos kartos vaizdo formatą – [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Apsvarstykite galimybę įdiegti [atidėtojo vaizdų įkėlimo papildinį](https://octobercms.com/plugins?search=lazy), kuriuo galima atidėti bet kokius ne ekraninius vaizdus, arba perjunkite į šią funkciją teikiantį šabloną. Be to, apsvarstykite galimybę naudoti [AMP papildinį](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Yra daugybė papildinių, kuriuos naudodami galite [įterpti svarbių išteklių](https://octobercms.com/plugins?search=css). Šie papildiniai gali sugadinti kitus papildinius, todėl reikia bandyti atidžiai."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Temos, papildiniai ir serverio specifikacijos – visa tai turi įtakos serverio atsako laikui. Apsvarstykite galimybę paieškoti geriau optimizuotos temos, atidžiau pasirinkti optimizavimo papildinį ir (arba) naujovinti serverį. Platfomoje „October CMS“ kūrėjams taip pat leidžiama naudoti atributą[„`Queues`“](https://octobercms.com/docs/services/queues), kad galėtų atidėti daug laiko reikalaujančių užduočių, pvz., el. laiško siuntimo, apdorojimą. Tai žymiai paspartina žiniatinklio užklausas."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Apsvarstykite galimybę rodyti ištraukas įrašų sąrašuose (pvz., naudodami mygtuką „`show more`“), sumažinti nurodytame tinklalapyje rodomų įrašų skaičių, suskaidyti ilgus įrašus į kelis tinklalapius arba naudoti komentarų atidėtojo įkėlimo papildinį."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Yra daugybė [papildinių](https://octobercms.com/plugins?search=css), kuriuos naudodami galite paspartinti svetainę, sujungę ir suglaudinę stilius bei pašalinę nereikalingus duomenis. Pasinaudoję kompiliavimo procesu nereikalingiems duomenims iš anksto pašalinti, galite paspartinti kūrimą."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Yra daugybė [papildinių](https://octobercms.com/plugins?search=javascript), kuriuos naudodami galite paspartinti svetainę, sujungę ir suglaudinę scenarijus bei pašalinę nereikalingus duomenis. Pasinaudoję kompiliavimo procesu nereikalingiems duomenims iš anksto pašalinti, galite paspartinti kūrimą."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Apsvarstykite galimybę peržiūrėti [papildinius](https://octobercms.com/plugins) svetainėje įkeldami nenaudojamą CSS. Norėdami nustatyti, kurie plėtiniai prideda nenaudojamą CSS, vykdykite [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome“ kūrėjo įrankius. Susijusią temą ir (arba) papildinį nustatykite pagal stiliaus aprašo URL. Ieškokite papildinių su daug stiliaus aprašų, kuriuose naudojamoje kodo dalyje yra daug raudonų sričių. Papildinys turėtų pridėti stiliaus aprašą tik jei jis tikrai naudojamas tinklalapyje."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Apsvarstykite galimybę peržiūrėti [papildinius](https://octobercms.com/plugins?search=javascript), įkeliančius nenaudojamą „JavaScript“ tinklalapyje. Norėdami nustatyti, kurie plėtiniai prideda nenaudojamą „JavaScript“, vykdykite [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome“ kūrėjo įrankius. Susijusią temą ir (arba) papildinį nustatykite pagal scenarijaus URL. Ieškokite papildinių su daug scenarijų, kuriuose naudojamoje kodo dalyje yra daug raudonų sričių. Papildinys turėtų pridėti scenarijų tik jei jis tikrai naudojamas tinklalapyje."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Skaitykite apie tai, [kaip išvengti nereikalingų tinklo užklausų naudojant HTTP talpyklą](https://web.dev/http-cache/#caching-checklist). Yra daugybė [papildinių](https://octobercms.com/plugins?search=Caching), kuriuos naudodami galite paspartinti išsaugojimą talpykloje."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Apsvarstykite galimybę naudoti [vaizdų optimizavimo papildinį](https://octobercms.com/plugins?search=image), kuriuo galima suglaudinti vaizdus išlaikant kokybę."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Įkelkite vaizdus tiesiai į medijos biblioteką, kad būtų pasiekiami reikiami vaizdų dydžiai. Apsvarstykite galimybę naudoti [dydžio keitimo filtrą](https://octobercms.com/docs/markup/filter-resize) arba [vaizdo dydžio keitimo papildinį](https://octobercms.com/plugins?search=image), kad būtų naudojami optimalaus dydžio vaizdai."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Įgalinkite teksto glaudinimą žiniatinklio serverio konfigūracijoje."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Jei puslapyje pateikiate daug pasikartojančių elementų, apsvarstykite galimybę naudoti langų pateikimo biblioteką, pvz., „`react-window`“, kad sumažintumėte sukurtų DOM mazgų skaičių. [Sužinokite daugiau](https://web.dev/virtualize-long-lists-react-window/). Be to, sumažinkite nebūtinus pakartotinius pateikimus naudodami elementą [„`shouldComponentUpdate`“](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [„`PureComponent`“](https://reactjs.org/docs/react-api.html#reactpurecomponent) arba [„`React.memo`“](https://reactjs.org/docs/react-api.html#reactmemo) ir [praleiskite efektus](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) tik iki to laiko, kai bus pakeistos tam tikros priklausomybės, jei naudojate „`Effect` Hook“ siekdami pagerinti vykdymo laiko našumą."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Jei naudojate „React“ maršruto parinktuvą, sumažinkite komponento „`<Redirect>`“ naudojimą [parenkant maršrutą](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Jei serveryje pateikiate „React“ komponentų, apsvarstykite galimybę naudoti „`renderToNodeStream()`“ arba „`renderToStaticNodeStream()`“, kad klientas galėtų gauti ir užpildyti skirtingas žymėjimo dalis, o ne viską iš karto. [Sužinokite daugiau](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Jei versijų sistemoje iš CSS failų nereikalingi duomenys pašalinami automatiškai, įsitikinkite, kad pritaikote gamybinę programos versiją. Galite tai patikrinti naudodami „React“ kūrėjo įrankių plėtinį. [Sužinokite daugiau](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Jei versijų sistemoje iš JS failų nereikalingi duomenys pašalinami automatiškai, įsitikinkite, kad pritaikote gamybinę programos versiją. Galite tai patikrinti naudodami „React“ kūrėjo įrankių plėtinį. [Sužinokite daugiau](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Jei nepateikiate serveryje, [išskaidykite „JavaScript“ grupes](https://web.dev/code-splitting-suspense/) naudodami „`React.lazy()`“. Kitu atveju išskaidykite kodą naudodami trečiosios šalies biblioteką, pvz., [„loadable-components“](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Naudokite „React“ kūrimo įrankių analizės įrankį (kurį naudojant pasitelkiama analizės įrankio API) komponentų pateikimo našumui įvertinti. [Sužinokite daugiau.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Apsvarstykite galimybę įkelti savo GIF į paslaugą, kuri leis jį įterpti kaip HTML5 vaizdo įrašą."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Apsvarstykite galimybę naudoti [papildinį](https://wordpress.org/plugins/search/convert+webp/) arba paslaugą, kuri automatiškai konvertuotų įkeltus vaizdus į optimalius formatus."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Įdiekite [atidėtojo įkėlimo „WordPress“ papildinį](https://wordpress.org/plugins/search/lazy+load/), leidžiantį atidėti bet kokius ne ekraninius vaizdus, arba perjunkite į šią funkciją teikiančią temą. Be to, apsvarstykite galimybę naudoti [AMP papildinį](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Yra įvairių „WordPress“ papildinių, kuriuos naudodami galite [įterpti svarbių išteklių](https://wordpress.org/plugins/search/critical+css/) arba [atidėti mažiau svarbius šaltinius](https://wordpress.org/plugins/search/defer+css+javascript/). Atminkite, kad dėl šių papildinių teikiamo optimizavimo gali būti pažeistos jūsų temos ar papildinių funkcijos, todėl tikriausiai turėsite atlikti kodo pakeitimų."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Temos, papildiniai ir serverio specifikacijos – visa tai turi įtakos serverio atsako laikui. Galbūt vertėtų surasti geriau optimizuotą temą, atidžiai pasirinkti optimizavimo papildinį ir (arba) naujovinti serverį."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Apsvarstykite galimybę rodyti ištraukas įrašų sąrašuose (pvz., naudodami daugiau elementų žymą), sumažinti nurodytame puslapyje rodomų įrašų skaičių, suskaidyti ilgus įrašus į kelis puslapius arba naudoti komentarų atidėtojo įkėlimo papildinį."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Įvairūs [„WordPress“ papildiniai](https://wordpress.org/plugins/search/minify+css/) gali padėti svetainei sparčiau veikti sujungdami, sumažindami ar suglaudindami stilius. Be to, galbūt norėsite pasinaudoti kūrimo procesu, kad sumažintumėte iš anksto (jei tai įmanoma)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Įvairūs [„WordPress“ papildiniai](https://wordpress.org/plugins/search/minify+javascript/) gali padėti svetainei sparčiau veikti sujungdami, sumažindami ar suglaudindami scenarijus. Be to, galbūt norėsite pasinaudoti kūrimo procesu, kad sumažintumėte iš anksto (jei tai įmanoma)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Apsvarstykite galimybę sumažinti [„WordPress“ papildinių](https://wordpress.org/plugins/), įkeliančių nenaudojamą CSS kalbą jūsų puslapyje, skaičių arba juos pakeisti. Kad nustatytumėte papildinius, pridedančius nesusijusios CSS kalbos, pabandykite vykdyti [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome DevTools“. Susijusią temą / papildinį galite nustatyti pagal stiliaus failo URL. Ieškokite papildinių, kurių sąraše pateikta daug stiliaus failų, kurių kodo aprėptyje yra daug raudonos spalvos. Papildinys įtraukti stiliaus failą į eilę turėtų tik tokiu atveju, jei jis tikrai naudojamas puslapyje."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Apsvarstykite galimybę sumažinti [„WordPress“ papildinių](https://wordpress.org/plugins/), įkeliančių nenaudojamą „JavaScript“ jūsų puslapyje, skaičių arba juos pakeisti. Kad nustatytumėte papildinius, pridedančius nesusijusios JS, pabandykite vykdyti [kodo aprėpties procesą](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) naudodami „Chrome DevTools“. Susijusią temą / papildinį galite nustatyti pagal scenarijaus URL. Ieškokite papildinių, kurių sąraše pateikta daug scenarijų, kurių kodo aprėptyje yra daug raudonos spalvos. Papildinys įtraukti scenarijų į eilę turėtų tik tokiu atveju, jei jis tikrai naudojamas puslapyje."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Skaitykite apie [naršyklės saugojimo talpykloje funkciją sistemoje „WordPress“](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Apsvarstykite galimybę naudoti [vaizdų optimizavimo „WordPress“ papildinį](https://wordpress.org/plugins/search/optimize+images/), leidžiantį suglaudinti vaizdus išlaikant kokybę."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Įkelkite vaizdus tiesiai per [medijos biblioteką](https://wordpress.org/support/article/media-library-screen/), kad būtų pasiekiami reikiami vaizdų dydžiai, tada įterpkite juos iš medijos bibliotekos arba naudokite vaizdų valdiklį, kad užtikrintumėte, jog naudojami optimalaus dydžio vaizdai (įskaitant tuos, kurie naudojami interaktyviems atskaitos taškams). Stenkitės nenaudoti vaizdų „`Full Size`“, nebent galima naudoti tokių matmenų vaizdus. [Sužinokite daugiau](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Galite įgalinti teksto glaudinimą žiniatinklio serverio konfigūracijoje."},
"report/renderer/util.js | calculatorLink":{message:"Žr. skaičiuotuvą."},"report/renderer/util.js | crcInitialNavigation":{message:"Pradinis naršymas"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Didžiausia svarbiausio kelio delsa:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopijuoti JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Perjungti Tamsiąją temą"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Išskleista spausdintinė kopija"},"report/renderer/util.js | dropdownPrintSummary":{message:"Spausdintinė suvestinė"},"report/renderer/util.js | dropdownSaveGist":{message:"Išsaugoti kaip „Gist“"},"report/renderer/util.js | dropdownSaveHTML":{message:"Išsaugoti kaip HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Išsaugoti kaip JSON"},"report/renderer/util.js | dropdownViewer":{message:"Atidaryti naudojant žiūriklį"},"report/renderer/util.js | errorLabel":{message:"Klaida!"},
"report/renderer/util.js | errorMissingAuditInfo":{message:"Ataskaitos klaida: nėra patikros informacijos"},"report/renderer/util.js | footerIssue":{message:"Pateikti problemą"},"report/renderer/util.js | labDataTitle":{message:"Laboratorijos duomenys"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[„Lighthouse“](https://developers.google.com/web/tools/lighthouse/) dabartinio puslapio analizė emuliuotame mobiliojo ryšio tinkle. Vertės yra apytikslės ir gali skirtis."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Papildomi elementai, kuriuos reikia patikrinti neautomatiškai"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Netaikoma"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Galimybė"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Numatomos santaupos"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Sėkmingos patikros"},
"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emuliuotas stalinis kompiuteris"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emuliuotas „Moto G4“"},"report/renderer/util.js | runtimeNoEmulation":{message:"Nėra emuliacijos"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"„Axe“ versija"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Centrinio procesoriaus ir (arba) atminties galia"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Centrinio procesoriaus pralaidumo ribojimas"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanalas"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Įrenginys"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Gavimo laikas"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Tinklo pralaidumo ribojimas"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Vykdymo laiko nustatymai"},
"report/renderer/util.js | runtimeSettingsUA":{message:"Naudotojo priemonė (priegloba)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Naudotojo priemonė (tinklas)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Nežinoma"},"report/renderer/util.js | showRelevantAudits":{message:"Rodyti patikras, aktualias:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Sutraukti fragmentą"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Išplėsti fragmentą"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Rodyti trečiųjų šalių išteklius"},"report/renderer/util.js | throttlingProvided":{message:"Pateikta pagal aplinką"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Paleidžiant „Lighthouse“ kilo problemų."},"report/renderer/util.js | varianceDisclaimer":{
message:"Vertės yra apytikslės ir gali skirtis. [Našumo įvertinimas apskaičiuojamas](https://web.dev/performance-scoring/) tiesiogiai pagal šias metrikas."},"report/renderer/util.js | viewTreemapLabel":{message:"Žr. medžio žemėlapį"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Sėkmingos patikros, bet pateikta įspėjimų"},"report/renderer/util.js | warningHeader":{message:"Įspėjimai: "}}},{}],125:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Piekļuves atslēgas ļauj lietotājiem ātri pievērsties lapas daļai. Lai navigācija būtu pareiza, katrai piekļuves atslēgai ir jābūt unikālai. [Uzziniet vairāk](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Atribūtu `[accesskey]` vērtības nav unikālas"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Atribūta “`[accesskey]`” vērtības ir unikālas"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Katrs ARIA elements “`role`” atbalsta konkrētu atribūtu “`aria-*`” apakškopu. Ja tie netiek norādīti pareizi, atribūti “`aria-*`” nav derīgi. [Uzziniet vairāk](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atribūti `[aria-*]` neatbilst savām lomām"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atribūti `[aria-*]` atbilst savām lomām"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Ja elementam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, padarot to nelietojamu ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementiem “`button`”, “`link`” un “`menuitem`” nav pieejamu nosaukumu"},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementiem “`button`”, “`link`” un “`menuitem`” ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Atbalsta tehnoloģijas, piemēram, ekrāna lasītāji, darbojas nekonsekventi, kad `aria-hidden="true"` ir iestatīts dokumentam `<body>`. [Uzziniet vairāk](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` ir dokumentā `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` nav dokumentā `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Fokusējami pēcteči `[aria-hidden="true"]` elementā novērš to interaktīvo elementu pieejamību atbalsta tehnoloģiju, piemēram, ekrāna lasītāju, lietotājiem. [Uzziniet vairāk](https://web.dev/aria-hidden-focus/).'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` elementi satur fokusējamus pēctečus'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` elementos nav fokusējamu pēcteču'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Ja ievades laukam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, padarot to nelietojamu ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA ievades laukiem nav pieejamu nosaukumu"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA ievades laukiem ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Ja elementam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, padarot to nelietojamu ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA elementiem “`meter`” nav pieejamu nosaukumu"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA elementiem “`meter`” ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Ja `progressbar` elementam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, līdz ar to elements kļūst nelietojams ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA elementiem “`progressbar`” nav pieejamu nosaukumu"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{
message:"ARIA elementiem “`progressbar`” ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Dažām ARIA lomām ir obligāti atribūti, kas ekrāna lasītājiem norāda elementa statusu. [Uzziniet vairāk](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Elementiem `[role]` nav visu pieprasīto atribūtu `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Visiem elementiem `[role]` ir nepieciešamie atribūti `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Dažām ARIA vecāklomām ir jāietver konkrētas pakārtotās lomas, lai varētu nodrošināt pieejamības funkcijas. [Uzziniet vairāk](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"Elementos ar ARIA lomu `[role]`, kuru pakārtotajiem elementiem ir jāsatur konkrēts vienums `[role]`, trūkst dažu vai visu šo obligāto pakārtoto elementu."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementos ar ARIA lomu `[role]`, kuru pakārtotajiem elementiem ir jāsatur konkrēts vienums `[role]`, ir visi obligātie pakārtotie elementi."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Dažām ARIA pakārtotajām lomām ir jābūt ietvertām konkrētās vecāklomās, lai varētu nodrošināt pieejamības funkcijas. [Uzziniet vairāk](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Atribūts `[role]` neietver pieprasīto vecākelementu"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Atribūtā `[role]` ir ietverts pieprasītais vecākelements"},
"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA lomām ir nepieciešamas derīgas vērtības, lai varētu nodrošināt pieejamības funkcijas. [Uzziniet vairāk](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Atribūta `[role]` vērtības nav derīgas"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Atribūta `[role]` vērtības ir derīgas"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Ja pārslēgšanas laukam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, padarot to nelietojamu ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA pārslēgšanas laukiem nav pieejamu nosaukumu"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{
message:"ARIA pārslēgšanas laukiem ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Ja elementam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, padarot to nelietojamu ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA elementiem “`tooltip`” nav pieejamu nosaukumu"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA elementiem “`tooltip`” ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Ja elementam nav pieejama nosaukuma, ekrāna lasītāji nolasa to ar vispārīgu nosaukumu, padarot to nelietojamu ekrāna lasītāju lietotājiem. [Uzziniet vairāk](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"ARIA elementiem “`treeitem`” nav pieejamu nosaukumu"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA elementiem “`treeitem`” ir pieejami nosaukumi"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Palīgtehnoloģijas, piemēram, ekrāna lasītāji, nevar interpretēt ARIA atribūtus ar nederīgām vērtībām. [Uzziniet vairāk](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atribūtiem `[aria-*]` nav derīgu vērtību"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Atribūtiem `[aria-*]` ir derīgas vērtības"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Palīgtehnoloģijas, piemēram, ekrāna lasītāji, nevar interpretēt ARIA atribūtus ar nederīgiem nosaukumiem. [Uzziniet vairāk](https://web.dev/aria-valid-attr/)."},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atribūti `[aria-*]` nav derīgi vai ir kļūdaini uzrakstīti"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atribūti `[aria-*]` ir derīgi un pareizi uzrakstīti"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Nederīgi elementi"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Ja pogai nav atbilstoša nosaukuma, ko var nolasīt ekrāna lasītāji, tad ekrāna lasītāji to atskaņo kā “Poga”. Tādējādi lietotāji, kuri izmanto ekrāna lasītājus, nesapratīs tās nozīmi. [Uzziniet vairāk](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Pogām nav piekļūstamības principiem atbilstošu nosaukumu"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Pogām ir piekļūstamības principiem atbilstoši nosaukumi"},
"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Ja nodrošināsiet iespēju apiet atkārtotu saturu, tastatūras lietotāji varēs labāk pārvietoties lapā. [Uzziniet vairāk](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Lapā nav virsraksta, izlaišanas saites vai orientieru daļas"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Lapā ir virsraksts, izlaišanas saite vai orientieru daļa"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Daudziem lasītājiem ir grūti vai pat neiespējami izlasīt tekstu ar zemu kontrastu. [Uzziniet vairāk](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Fona un priekšplāna krāsu kontrasta koeficients nav pietiekams."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Fona un priekšplāna krāsām ir pietiekams kontrasta koeficients"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Ja definīciju saraksti nav marķēti pareizi, ekrāna lasītāju atskaņotais saturs var būt mulsinošs vai neprecīzs. [Uzziniet vairāk](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Atribūtā `<dl>` nav ietvertas tikai pareizā secībā sakārtotas elementu `<dt>` un `<dd>` grupas, elements `<script>`, `<template>` vai `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Atribūtā `<dl>` ir ietvertas tikai pareizā secībā sakārtotas elementu`<dt>` un `<dd>` grupas, elements `<script>`, `<template>` vai `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Definīciju saraksta vienumiem (`<dt>` un `<dd>`) ir jābūt ietvertiem vecākelementā `<dl>`, lai ekrāna lasītāji tos varētu pareizi atskaņot. [Uzziniet vairāk](https://web.dev/dlitem/)."},
"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Definīciju saraksta vienumi netiek apvienoti elementos `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Definīciju saraksta vienumi tiek apvienoti elementos `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Nosaukums sniedz lapas kopsavilkumu ekrāna lasītāja lietotājiem, un meklētājprogrammas lietotāji ļoti paļaujas uz to, lai noteiktu, vai lapa ir atbilstoša viņu meklēšanai. [Uzziniet vairāk](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokumentā nav elementa `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumentā ir ietverts elements `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Visiem fokusējamiem elementiem ir jābūt unikālam `id`, lai tie būtu redzami atbalsta tehnoloģijām. [Uzziniet vairāk](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]` atribūti aktīvos, fokusējamos elementos nav unikāli"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]` atribūti aktīvos, fokusējamos elementos ir unikāli"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA ID vērtībai ir jābūt unikālai, lai atbalsta tehnoloģijas neizlaistu citas instances. [Uzziniet vairāk](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA identifikatori nav unikāli"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA identifikatori ir unikāli"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"Veidlapas laukus ar vairākām iezīmēm var nepareizi nolasīt atbalsta tehnoloģijas, piemēram, ekrāna lasītāji, kuri izmanto pirmo, pēdējo vai visas iezīmes. [Uzziniet vairāk](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Veidlapas laukiem ir vairākas iezīmes"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nevienā veidlapas laukā nav vairāku iezīmju"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Ekrāna lasītāji izmanto ietvaru nosaukumus, lai raksturotu ietvaru saturu. [Uzziniet vairāk](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Elementiem `<frame>` vai `<iframe>` nav nosaukuma"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementiem `<frame>` vai `<iframe>` ir nosaukums"},
"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Virsraksti, kas ir sakārtoti pareizi un neizlaižot līmeņus, atveido lapas semantisko struktūru, tādējādi atvieglojot navigāciju un izpratni atbalsta tehnoloģiju lietotājiem. [Uzziniet vairāk](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Virsrakstu elementi nav atveidoti secīgi dilstošā secībā"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Virsrakstu elementi ir atveidoti secīgi dilstošā secībā"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Ja lapā nav norādīts atribūts “lang”, ekrāna lasītājā tiek pieņemts, ka lapas saturs ir noklusējuma valodā, kuru lietotājs izvēlējās, iestatot ekrāna lasītāju. Ja lapas saturs nav noklusējuma valodā, iespējams, ekrāna lasītājs tekstu neatskaņos pareizi. [Uzziniet vairāk](https://web.dev/html-has-lang/)."},
"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Tagam `<html>` nav derīga atribūta `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Tagam `<html>` ir atribūts `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Ja norādīsiet derīgu [BCP 47 valodu](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ), ekrāna lasītāji pareizi atskaņos tekstu. [Uzziniet vairāk](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Tagam `<html>` nav derīgas vērtības tā atribūtam `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Elementam `<html>` ir derīga tā atribūta `[lang]` vērtība"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"Informatīvajiem elementiem ir nepieciešams īss, aprakstošs alternatīvais teksts. Dekoratīvajiem elementiem alternatīvo atribūtu var atstāt tukšu. [Uzziniet vairāk](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Attēlu elementiem nav atribūtu `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Attēlu elementiem ir atribūti `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Ja attēls tiek izmantots kā poga `<input>`, alternatīvais teksts var sniegt informāciju par pogas nozīmi lietotājiem, kuri izmanto ekrāna lasītāju. [Uzziniet vairāk](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elementiem `<input type="image">` nav teksta `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementi `<input type="image">` ietver tekstu `[alt]`'},
"lighthouse-core/audits/accessibility/label.js | description":{message:"Ja norādīsiet iezīmes, palīgtehnoloģijas, piemēram, ekrāna lasītāji, varēs pareizi atskaņot veidlapu vadīklas. [Uzziniet vairāk](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Veidlapu elementiem nav saistīto iezīmju"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Veidlapu elementiem ir saistītas iezīmes"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Atšķirams, unikāls un aktivizējams saites teksts (un alternatīvais teksts attēliem, kas tiek izmantoti kā saites) nodrošina labākas navigācijas iespējas lietotājiem, kuri izmanto ekrāna lasītājus. [Uzziniet vairāk](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Saitēm nav atšķirama nosaukuma"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Saitēm ir atšķirams nosaukums"},
"lighthouse-core/audits/accessibility/list.js | description":{message:"Ekrāna lasītāji nolasa sarakstus īpašā veidā. Ja saraksta struktūra ir pareiza, tiek atvieglota satura atskaņošana ekrāna lasītājā. [Uzziniet vairāk](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Saraksti neietver tikai tos elementus `<li>` un skriptus, kas atbalsta elementus (`<script>` un `<template>`)"},"lighthouse-core/audits/accessibility/list.js | title":{message:"Saraksti ietver tikai elementus `<li>` un skriptus, kas atbalsta elementus (`<script>` un `<template>`)"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Lai ekrāna lasītāji varētu pareizi atskaņot saraksta vienumus (`<li>`), tiem ir jābūt ietvertiem vecākelementos `<ul>` vai `<ol>`. [Uzziniet vairāk](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{
message:"Saraksta vienumi (`<li>`) nav ietverti vecākelementos `<ul>` vai `<ol>`"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Saraksta vienumi (`<li>`) ir ietverti vecākelementos `<ul>` vai `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Lietotāji negaida, ka lapa tiks automātiski atsvaidzināta, un tādējādi atkal tiks pāriets uz lapas augšdaļu. Tas var būt kaitinoši vai mulsinoši. [Uzziniet vairāk](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokumentā tiek izmantots metatags `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokumentā netiek izmantots metatags “`<meta http-equiv="refresh">`”'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Ja tālummaiņa ir atspējota, lietotājiem ar redzes traucējumiem, kuri izmanto ekrāna palielinājumu, ir grūtības piekļūt tīmekļa lapas saturam. [Uzziniet vairāk](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'Parametrs `[user-scalable="no"]` tiek lietots elementā `<meta name="viewport">`, vai atribūts `[maximum-scale]` ir mazāks par 5'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Atribūts `[user-scalable="no"]` netiek izmantots elementā `<meta name="viewport">`, un atribūts `[maximum-scale]` nav mazāks par 5'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Ekrāna lasītāji nevar tulkot saturu, kas nav teksts. Ja elementiem `<object>` pievienosiet alternatīvo tekstu, ekrāna lasītāji varēs lietotājiem paziņot teksta nozīmi. [Uzziniet vairāk](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{
message:"Elementiem `<object>` nav teksta `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementi `<object>` ietver tekstu `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Ja vērtība ir lielāka par “0”, navigācijas secība ir noteikta. Lai gan tehniski šis risinājums ir derīgs, bieži vien tas mulsina lietotājus, kuri izmanto palīgtehnoloģijas. [Uzziniet vairāk](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Dažiem elementiem atribūta “`[tabindex]`” vērtība ir lielāka par 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Nevienam elementam nav atribūta `[tabindex]` vērtības, kas augstāka par 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Ekrāna lasītāju funkcijas atvieglo pārvietošanos tabulās. Ja elementa `<td>` šūnās, kas izmanto atribūtu `[headers]`, ir atsauces tikai uz citām šūnām tajā pašā tabulā, tiek nodrošināta labāka pieredze lietotājiem, kuri izmanto ekrāna lasītājus. [Uzziniet vairāk](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Elementa `<table>` šūnās, kuras izmanto atribūtu `[headers]`, ir atsauces uz elementu `id`, kas netika atrasts tajā pašā tabulā."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Elementa `<table>` šūnās, kuras izmanto atribūtu `[headers]`, ir atsauces uz citām šūnām tajā pašā tabulā."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Ekrāna lasītāju funkcijas atvieglo pārvietošanos tabulās. Ja tabulu virsrakstos vienmēr ir atsauces uz citām šūnām, tas var nodrošināt labāku pieredzi lietotājiem, kuri izmanto ekrāna lasītājus. [Uzziniet vairāk](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elementi `<th>` un elementi ar atribūtu `[role="columnheader"/"rowheader"]` neietver to aprakstītās datu šūnas'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Elementi `<th>` un elementi ar atribūtu `[role="columnheader"/"rowheader"]` ietver to aprakstītās datu šūnas'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Ja elementos norādīsiet derīgu [BCP 47 valodu](https://www.w3.org/International/questions/qa-choosing-language-tags#question), ekrāna lasītājs pareizi atskaņos tekstu. [Uzziniet vairāk](https://web.dev/valid-lang/)."},
"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atribūtiem `[lang]` nav derīgas vērtības"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atribūtiem `[lang]` ir derīga vērtība"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Ja videoklipam ir subtitri, nedzirdīgi lietotāji un lietotāji ar dzirdes traucējumiem varēs vieglāk piekļūt informācijai. [Uzziniet vairāk](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elementi “`<video>`” neietver elementu “`<track>`” ar parametru “`[kind="captions"]`”'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementi “`<video>`” ietver elementu “`<track>`” ar parametru “`[kind="captions"]`”'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"Lai iegūtu ideālu izskatu iOS ierīcē, lietotājiem pievienojot progresīvo tīmekļa lietotni sākuma ekrānam, definējiet atribūtu `apple-touch-icon`. Tam ir jānorāda uz necaurspīdīgu 192 pikseļu (vai 180 pikseļu) kvadrātveida PNG. [Uzziniet vairāk](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Netiek nodrošināts derīgs atribūts “`apple-touch-icon`”"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Atribūts “`apple-touch-icon-precomposed`” ir novecojis; ieteicams izmantot atribūtu “`apple-touch-icon`”."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Nodrošina derīgu atribūtu “`apple-touch-icon`”"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Pašreizējā vērtība"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Ieteicamais marķieris"},"lighthouse-core/audits/autocomplete.js | description":{
message:"Atribūts `autocomplete` palīdz lietotājiem ātrāk iesniegt veidlapas. Lai sekmētu lietotāju darbu, apsveriet iespēju iespējot automātisko pabeigšanu, atribūtam `autocomplete` iestatot derīgu vērtību. [Uzziniet vairāk](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)."},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` elementiem nav pareizu `autocomplete` atribūtu"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Jāveic manuāla pārskatīšana"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Pārskatīt marķieru secību"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` elementos ir pareizi izmantots atribūts `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Viens vai vairāki `autocomplete` marķieri “{token}”, kas atrodas fragmentā {snippet}, nav derīgi"},
"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Pārskatiet secību marķieriem “{tokens}” fragmentā {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome paplašinājumi negatīvi ietekmē šīs lapas ielādes veiktspēju. Mēģiniet lapas pārbaudi veikt inkognito režīmā vai no Chrome profila bez paplašinājumiem."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Skripta novērtēšana"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Skriptu parsēšana"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Kopējais centrālā procesora laiks"},"lighthouse-core/audits/bootup-time.js | description":{message:"Ieteicams samazināt laiku, kas tiek izmantots JS parsēšanai, kompilēšanai un izpildei. Iespējams, konstatēsiet, ka ir noderīgi izmantot mazākas JS lietderīgās slodzes. [Uzziniet vairāk](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{
message:"JavaScript izpildes laika samazināšana"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript izpildes laiks"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Noņemiet lielus, dublētus JavaScript moduļus no pakām, lai samazinātu nevajadzīgu baitu apjomu, ko patērē tīkla darbība. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Noņemiet dublētos moduļus JavaScript pakās"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Lieli GIF attēli nav efektīvi animēta satura rādīšanai. Animācijām ieteicams izmantot MPEG4/WebM video, bet statiskiem attēliem — PNG/WebP, nevis GIF, lai samazinātu tīkla lietojumu (baitos). [Uzziniet vairāk](https://web.dev/efficient-animated-content/)."},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Izmantojiet video failu formātus animētam saturam"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill elementi un pārveidošana ļauj mantotajās pārlūkprogrammās izmantot jaunas JavaScript funkcijas. Tomēr modernās pārlūkprogrammās daudzi no tiem nav nepieciešami. JavaScript pakai pielāgojiet modernu skripta izvietošanas stratēģiju, izmantojot moduļa/bez moduļa funkcijas noteikšanu, lai samazinātu uz modernām pārlūkprogrammām nosūtīta koda apjomu, vienlaikus nodrošinot atbalstu mantotām pārlūkprogrammām. [Uzziniet vairāk](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)."},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Novērsiet mantotā JavaScript koda izmantošanu modernos pārlūkos"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Tādi attēlu formāti kā JPEG 2000, JPEG XR un WebP bieži ir veiksmīgāk saspiežami nekā PNG vai JPEG. Tas nozīmē ātrāku lejupielādi un mazāku datu patēriņu. [Uzziniet vairāk](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Rādiet attēlus nākamās paaudzes formātos"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Lai samazinātu laiku līdz interaktivitātei, ārpus ekrāna attēlus un paslēptos attēlus ar lēnu ielādi ieteicams atlikt līdz visu svarīgo resursu ielādes pabeigšanai. [Uzziniet vairāk](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Ārpus ekrāna esošo attēlu atlikšana"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Resursi bloķē jūsu lapas pirmo satura atveidojumu. Ieteicams rādīt svarīgos JS/CSS iekļautā veidā un atteikties no visiem nesvarīgajiem JS/stiliem. [Uzziniet vairāk](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Samaziniet resursus, kas bloķē renderēšanu"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Lielas tīkla lietderīgās slodzes izmaksā lietotājiem īstu naudu un ir cieši saistītas ar ilgu ielādes laiku. [Uzziniet vairāk](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Kopējais lielums bija {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Pārāk lielas tīkla lietderīgās slodzes nepieļaušana"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Nepieļauj pārāk lielu tīkla lietderīgo slodzi"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Samazinot CSS failus, var samazināties tīkla lietderīgā slodze. [Uzziniet vairāk](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Samaziniet CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Samazinot JavaScript failus, var samazināties lietderīgās slodzes apjomi un skriptu parsēšanas laiks. [Uzziniet vairāk](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScript·samazināšana"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Noņemiet neizmantotās kārtulas no stilu lapām un atlieciet pirmā ekrāna saturā neizmantotā CSS koda ielādi, lai samazinātu tīkla aktivitātes izmantoto baitu apjomu. [Uzziniet vairāk](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Noņemiet neizmantoto CSS kodu"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Noņemiet neizmantoto JavaScript kodu un atlieciet skriptu ielādi, līdz tie būs nepieciešami, lai samazinātu tīkla aktivitātes izmantoto baitu apjomu. [Uzziniet vairāk](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Noņemiet neizmantoto JavaScript kodu"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Iestatot ilgu kešatmiņas mūžu, lapas atkārtoti apmeklējumi varētu paātrināties. [Uzziniet vairāk](https://web.dev/uses-long-cache-ttl/)."},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Atrasts 1 resurss}zero{Atrasti # resursi}one{Atrasts # resurss}other{Atrasti # resursi}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Statisko elementu noteikšana, izmantojot efektīvu kešatmiņas politiku"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Efektīvas kešatmiņas politikas izmantošana statiskiem elementiem"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimizēti attēli tiek ielādēti ātrāk un izmanto mazāku mobilo datu apjomu. [Uzziniet vairāk](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Efektīva attēlu kodēšana"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"Rādiet atbilstoša izmēra attēlus, lai tiktu izmantots mazāks mobilo datu apjoms un tiktu uzlabots ielādes laiks. [Uzziniet vairāk](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Atbilstoša lieluma attēli"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Lai samazinātu kopējo tīkla lietojumu (baitos), ieteicams izmantot saspiešanu (Gzip, Deflate vai Brotli). [Uzziniet vairāk](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Iespējojiet teksta saspiešanu"},"lighthouse-core/audits/content-width.js | description":{message:"Ja lietotnes satura platums neatbilst skatvietas platumam, lietotne var nebūt optimizēta mobilo ierīču ekrāniem. [Uzziniet vairāk](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{
message:"Skatvietas izmērs ({innerWidth} px) neatbilst loga izmēram ({outerWidth} px)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Satura izmērs nav pareizs, salīdzinot ar skatvietu"},"lighthouse-core/audits/content-width.js | title":{message:"Satura izmērs ir pareizs, salīdzinot ar skatvietu"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Metrika “Kritisko pieprasījumu ķēdes” tālāk parāda, kuri resursi ir ielādēti ar augstāko prioritāti. Lai uzlabotu lapas ielādi, ieteicams samazināt ķēžu garumu, samazināt resursu lejupielādes apjomu vai atlikt nevajadzīgo resursu lejupielādi. [Uzziniet vairāk](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Atrasta 1 ķēde}zero{Atrastas # ķēdes}one{Atrasta # ķēde}other{Atrastas # ķēdes}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Novērsiet kritisko pieprasījumu ķēdes"},
"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktīva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Nozīmīgums"},"lighthouse-core/audits/csp-xss.js | description":{message:"Stingra satura drošības politika (SDP) ievērojami samazina starpvietņu skriptēšanas (cross-site scripting — XSS) uzbrukumu risku. [Uzziniet vairāk](https://web.dev/csp-xss/)."},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintakse"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Lapā ir SDP, kas definēta tagā <meta>. Ja varat, SDP ieteicams definēt HTTP galvenē."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Netika atrasta neviena SDP piemērošanas režīmā"},"lighthouse-core/audits/csp-xss.js | title":{message:"Parūpējieties, lai SDP efektīvi novērstu XSS uzbrukumus"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Pārtraukšana/brīdinājums"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Rindiņa"
},"lighthouse-core/audits/deprecations.js | description":{message:"Novecojušas saskarnes API laika gaitā tiks noņemtas no pārlūkprogrammas. [Uzziniet vairāk](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Atrasts 1 brīdinājums}zero{Atrasti # brīdinājumi}one{Atrasts # brīdinājums}other{Atrasti # brīdinājumi}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Tiek izmantotas novecojušas saskarnes API"},"lighthouse-core/audits/deprecations.js | title":{message:"Nav atļautas novecojušas saskarnes API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Lietojumprogrammas kešatmiņa ir novecojusi. [Uzziniet vairāk](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Atrasts parametrs “{AppCacheManifest}”"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{
message:"Tiek izmantota lietojumprogrammas kešatmiņa"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Netiek izmantota lietojumprogrammas kešatmiņa"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Ir nepieciešama rakstzīmju kodējuma deklarācija. To var ietvert tagā `<meta>` HTML koda pirmajos 1024 baitos vai satura veida HTTP atbildes galvenē. [Uzziniet vairāk](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Trūkst rakstzīmju kopuma deklarācijas, vai HTML kodā tā ir ietverta par tālu"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Pareizi definēta rakstzīmju kopa"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Ja norādāt DOCTYPE, pārlūkprogramma nevar pārslēgties uz saderības režīmu. [Uzziniet vairāk](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{
message:"DOCTYPE nosaukumam jābūt mazo burtu virknei “`html`”."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokumentam ir jāietver DOCTYPE."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Paredzamais publiskais ID būs tukša virkne."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Paredzamais sistēmas ID būs tukša virkne."},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Lapai trūkst HTML DOCTYPE, tāpēc tiek aktivizēts saderības režīms"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Lapā ir HTML DOCTYPE"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistikas dati"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Vērtība"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Liels DOM koks palielina atmiņas lietojumu, paildzina [stila aprēķinus](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) un izraisa dārgu [izkārtojuma plūduma sakārtošanu](https://developers.google.com/speed/articles/reflow). [Uzziniet vairāk](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elements}zero{# elementu}one{# elements}other{# elementi}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Pārāk lielu DOM izmēru nepieļaušana"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksimālais DOM dziļums"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"DOM elementu kopskaits"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksimālais pakārtoto elementu skaits"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Nepieļauj pārāk lielus DOM izmērus"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Nederīgi enkuri"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Pievienojiet parametru `rel="noopener"` vai `rel="noreferrer"` jebkurām ārējām saitēm, lai uzlabotu veiktspēju un novērstu drošības ievainojamību. [Uzziniet vairāk](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Saites uz savstarpējās izcelsmes galamērķiem nav drošas"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Saites uz savstarpējās izcelsmes galamērķiem ir drošas"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nevar noteikt enkura ({anchorHTML}) galamērķi. Ja to neizmantojat kā hipersaiti, apsveriet galamērķa noņemšanu (target=_blank)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Lietotājus mulsina un rada neuzticību vietnes, kas pieprasa viņu atrašanās vietu bez konteksta. Tā vietā ieteicams saistīt pieprasījumu ar lietotāja darbību. [Uzziniet vairāk](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Tiek pieprasīta ģeogrāfiskās atrašanās vietas noteikšanas atļauja lapas ielādei"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Netiek pieprasīta ģeogrāfiskās atrašanās vietas noteikšanas atļauja lapas ielādei"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Problēmas veids"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome izstrādātāja rīku panelī `Issues` ir reģistrētas neatrisinātas problēmas, kas jāatrisina. Tās var rasties no tīkla pieprasījuma kļūmēm, nepietiekamām drošības vadīklām un citām pārlūkprogrammas problēmām. Lai skatītu sīkāku informāciju par katru problēmu, Chrome izstrādātāja rīkos atveriet paneli Issues (Problēmas)."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Chrome izstrādātāja rīku panelī `Issues` tika reģistrētas problēmas"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloķēts saskaņā ar politiku par citas izcelsmes resursu kopīgošanu"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Reklāmas patērē daudz resursu"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome izstrādātāja rīku panelī `Issues` netika reģistrētas problēmas"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{
message:"Versija"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Šajā lapā tika noteiktas visas JavaScript priekšgalsistēmas bibliotēkas. [Uzziniet vairāk](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Noteiktās JavaScript bibliotēkas"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Lietotājiem, kuriem ir lēns savienojums, ārējie skripti, kas ir dinamiski ievadīti, izmantojot elementu “`document.write()`”, var ievērojami aizkavēt lapas ielādi. [Uzziniet vairāk](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Izvairieties no: `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Netiek izmantots elements “`document.write()`”"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Vislielākā nozīme"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Bibliotēkas versija"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Ievainojamības gadījumu skaits"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Dažos trešo pušu skriptos var būt zināma drošības ievainojamība, kuras uzbrucēji viegli identificē un izmanto. [Uzziniet vairāk](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Konstatēta 1 ievainojamība}zero{Konstatētas # ievainojamības}one{Konstatēta # ievainojamība}other{Konstatētas # ievainojamības}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Ietver JavaScript priekšgalsistēmas bibliotēkas ar zināmu drošības ievainojamību"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Nepieļauj JavaScript priekšgalsistēmas bibliotēkas ar zināmām drošības ievainojamībām"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Lietotājus mulsina un viņiem rada neuzticību vietnes, kas pieprasa sūtīt paziņojumus bez konteksta. Tā vietā ieteicams saistīt pieprasījumu ar lietotāja žestiem. [Uzziniet vairāk](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Tiek pieprasīta paziņojumu atļauja lapas ielādei"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Netiek pieprasīta paziņojumu atļauja lapas ielādei"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Paroles ielīmēšanas novēršana neatbilst labai drošības politikai. [Uzziniet vairāk](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Neļauj lietotājiem ielīmēt paroles laukos"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Ļauj lietotājiem ielīmēt paroles laukos"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokols"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 piedāvā daudzas priekšrocības salīdzinājumā ar HTTP/1.1, tostarp binārās galvenes un multipleksēšanu. [Uzziniet vairāk](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 pieprasījums nav parādīts, izmantojot HTTP/2}zero{# pieprasījumi nav parādīti, izmantojot HTTP/2}one{# pieprasījums nav parādīts, izmantojot HTTP/2}other{# pieprasījumi nav parādīti, izmantojot HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Izmantojiet HTTP/2"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Llai uzlabotu savas lapas ritināšanas veiktspēju, ieteicams atzīmēt pieskārienu un peles ritentiņa notikumu uztvērējus kā “`passive`”. [Uzziniet vairāk](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Netiek izmantoti pasīvie klausītāji, lai uzlabotu ritināšanas veiktspēju"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Tiek izmantoti pasīvie klausītāji, lai uzlabotu ritināšanas veiktspēju"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Konsolē reģistrētās kļūdas norāda uz neatrisinātām problēmām. Tās var rasties no tīkla pieprasījuma kļūmēm un citām pārlūkprogrammas problēmām. [Uzzināt vairāk](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{
message:"Pārlūkprogrammas kļūdas tika reģistrētas konsolē"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Neviena pārlūkprogrammas kļūda nav reģistrēta konsolē"},"lighthouse-core/audits/font-display.js | description":{message:"Izmantojiet fonta rādīšanas CSS funkciju, lai lietotāji tīmekļa fontu ielādes laikā varētu redzēt tekstu. [Uzziniet vairāk](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Visa teksta redzamības nodrošināšana tīmekļa fonta ielādes laikā"},"lighthouse-core/audits/font-display.js | title":{message:"Tīmekļa fonta ielādes laikā viss teksts paliek redzams"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse nevarēja automātiski pārbaudīt `font-display` vērtību no šī avota: {fontOrigin}.}zero{Lighthouse nevarēja automātiski pārbaudīt `font-display` vērtības no šī avota: {fontOrigin}.}one{Lighthouse nevarēja automātiski pārbaudīt `font-display` vērtības no šī avota: {fontOrigin}.}other{Lighthouse nevarēja automātiski pārbaudīt `font-display` vērtības no šī avota: {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Malu attiecība (faktiskā)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Malu attiecība (attēlotā)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Attēla parādīšanas izmēriem jāatbilst dabiskajai malu attiecībai. [Uzziniet vairāk](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Tiek rādīti attēli ar nepareizu malu attiecību"},
"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Tiek rādīti attēli ar pareizu malu attiecību"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Faktiskie izmēri"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Attēlojuma izmēri"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Paredzamie izmēri"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Lai attēls būtu pēc iespējas skaidrāks, tā sākotnējiem izmēriem ir jābūt proporcionāliem attēlojuma lielumam un pikseļu attiecībai. [Uzziniet vairāk](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Attēli tiek rādīti zemā izšķirtspējā"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Attēli tiek rādīti piemērotā izšķirtspējā"},"lighthouse-core/audits/installable-manifest.js | already-installed":{
message:"Lietotne jau ir instalēta"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Nevarēja ielādēt obligātu ikonu no manifesta."},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Atteices iemesls"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Pakalpojumu skripts ir tehnoloģija, kas palīdz nodrošināt daudzas progresīvo tīmekļa lietotņu funkcijas, piemēram, lietotnes izmantošanu bezsaistē, pievienošanu sākuma ekrānam un informatīvos paziņojumus. Atbilstoši ieviešot pakalpojumu skriptu un manifestu, pārlūkprogrammās var aktīvi rādīt lietotājiem uzvednes ar ierosinājumu pievienot jūsu lietotni sākuma ekrānam. Tādējādi var izdoties palielināt iesaisti. [Uzziniet vairāk](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{Viens iemesls}zero{# iemeslu}one{# iemesls}other{# iemesli}}"},
"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Tīmekļa lietotnes manifests vai pakalpojumu skripts neatbilst instalējamības prasībām"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play veikala ID neatbilst Play veikala lietotnes vietrādim URL"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Lapa ir ielādēta inkognito logā"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Manifestā norādītā rekvizīta “display” vērtībai ir jābūt “standalone”, “fullscreen” vai “minimal-ui”"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifestā ir ietverts lauks “display_override”, un pirmajam atbalstītajam attēlošanas režīmam jābūt “standalone”, “fullscreen” vai “minimal-ui”"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifestu nevarēja ienest, tas ir tukšs, vai to nevarēja parsēt"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifesta ienešanas laikā mainījās manifesta URL."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifestā nav lauka “name” vai “short_name”"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifestā nav piemērotas ikonas. Nepieciešams PNG, SVG vai WebP formāta fails, kura izmēriem jābūt vismaz {value0} piks. un atribūtam “sizes” jābūt iestatītam. Ja ir iestatīts atribūts “purpose”, tā vērtībai jāietver “any”."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Nav nodrošināta neviena PNG, SVG vai WebP formāta ikona, kura ir vismaz {value0} piks. liels kvadrāts un kuras atribūts “purpose” nav iestatīts vai tam iestatīta vērtība “any”."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Lejupielādētā ikona bija tukša vai bojāta."},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nav norādīts Play veikala ID"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Lapā nav <link> taga ar manifesta vietrādi URL"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Netika atrasts atbilstošs pakalpojumu skripts. Iespējams, būs atkārtoti jāielādē lapa vai jāpārliecinās, ka pašreizējās lapas pakalpojumu skripta tvērumā ir iekļauts manifestā norādītais tvērums un sākuma URL."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Nevarēja pārbaudīt pakalpojumu skriptu, jo manifestā nav lauka “start_url”"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Instalējamības kļūdas ID {errorId} netika atpazīts"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Lapas rādīšanai vajadzīgie dati netiek ienesti no droša sākotnējā servera"},
"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Lapa nav ielādēta galvenajā ietvarā"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Lapa nedarbojas bezsaistē"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Norādītā lietojumprogrammu platforma netiek atbalstīta operētājsistēmā Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Rekvizītam “prefer_related_applications” manifestā ir norādīta vērtība “true”"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Rekvizīts “prefer_related_applications” tiek atbalstīts tikai pārlūkprogrammas Chrome beta un stabilās versijās operētājsistēmā Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Manifesta sākuma URL nav derīgs"},"lighthouse-core/audits/installable-manifest.js | title":{
message:"Tīmekļa lietotnes manifests un pakalpojumu skripts atbilst instalējamības prasībām"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Manifestā ir norādīts URL, kas satur lietotājvārdu, paroli vai portu"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Lapa nedarbojas bezsaistē. Lapa vairs netiks uzskatīta par instalējamu, kad 2021. gada augustā būs izlaista Chrome 93 stabilā versija."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Atļauts"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloķēts"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nedrošs URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Pieprasījuma atrisinājums"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Visas vietnes ir jāaizsargā ar protokolu HTTPS, pat ja tajās netiek apstrādāti sensitīvi dati. Tostarp jāizvairās izmantot [jauktu saturu](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) — ielādēt noteiktus resursus, izmantojot HTTP protokolu, kaut gan atbilde uz sākotnējo pieprasījumu nosūtīta, izmantojot HTTPS protokolu. HTTPS neļauj iebrucējiem manipulēt vai pasīvi uztvert sakarus starp jūsu lietotni un lietotājiem, un tas ir HTTP/2 un daudzu jaunu tīmekļa platformu saskarņu API priekšnoteikums. [Uzziniet vairāk](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Noteikts 1 nedrošs pieprasījums}zero{Noteikti # nedroši pieprasījumi}one{Noteikts # nedrošs pieprasījums}other{Noteikti # nedroši pieprasījumi}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Netiek izmantots protokols HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{
message:"Tiek izmantots protokols HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automātiski jaunināts uz HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Atļauts ar brīdinājumu"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliotēka"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Lielu JavaScript bibliotēku izmantošana var sekmēt sliktu veiktspēju. Lai samazinātu komplekta lielumu, ieteicams izmantot mazākas, funkcionāli līdzvērtīgas bibliotēkas. [Uzziniet vairāk](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Tika atrasta viena liela bibliotēka}zero{Tika atrastas # lielas bibliotēkas}one{Tika atrasta # liela bibliotēka}other{Tika atrastas # lielas bibliotēkas}}"},
"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Aizvietojiet pārmērīgi lielas JavaScript bibliotēkas"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Ja ir pieejamas mazākas bibliotēkas, lielas JavaScript bibliotēkas netiek izmantotas"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Tas ir lielākais skatvietā atveidotais satura elements. [Uzzināt vairāk](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Lielākā satura marķējuma elements"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS daļa"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Šie DOM elementi visvairāk veicina lapas CLS."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Centieties novērst lielas izkārtojuma nobīdes"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Šeit ir norādīti galvenā pavediena uzdevumi ar visilgāko izpildes laiku, lai palīdzētu noteikt, kuri uzdevumi visvairāk palielina ievades aizkavi. [Uzzināt vairāk](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Tika atrasts # uzdevums ar ilgu izpildes laiku}zero{Tika atrasti # uzdevumi ar ilgu izpildes laiku}one{Tika atrasts # uzdevums ar ilgu izpildes laiku}other{Tika atrasti # uzdevumi ar ilgu izpildes laiku}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Izvairieties no galvenā pavediena uzdevumiem ar ilgu izpildes laiku"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorija"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"Ieteicams samazināt laiku, kas tiek izmantots JS parsēšanai, kompilēšanai un izpildei. Iespējams, konstatēsiet, ka ir noderīgi izmantot mazākas JS lietderīgās slodzes. [Uzziniet vairāk](https://web.dev/mainthread-work-breakdown/)."},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Samaziniet galvenā pavediena darbu"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Galvenā pavediena darba samazināšana"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Lai sasniegtu pēc iespējas vairāk lietotāju, ieteicams izstrādāt vietnes, kas darbojas visās lielākajās pārlūkprogrammās. [Uzziniet vairāk](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Vietne darbojas dažādās pārlūkprogrammās"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"Nodrošiniet, lai lietotāji varētu veidot un atvērt dziļās saites uz atsevišķām lapām, izmantojot URL. Turklāt URL jābūt unikāliem, lai varētu kopīgot lapas sociālajos saziņas līdzekļos. [Uzziniet vairāk](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Katrai lapai ir URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Ieteicams, lai, pieskaroties lietotnes elementiem, pārejas būtu ātras pat tad, ja tīkla darbība ir lēna. Šis ir galvenais faktors, kas nosaka to, kā lietotājs uztver veiktspēju. [Uzziniet vairāk](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Tīklā nerodas sajūta, ka lēna ielāde bloķētu pārejas starp lapām"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"Maskējama ikona nodrošina, ka attēls aizpilda visu formu, nepielāgojot to standarta platumam, kad lietotne tiek instalēta ierīcē. [Uzziniet vairāk](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifestam nav maskējamas ikonas"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifestā ir maskējama ikona"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Kopējā izkārtojuma nobīde norāda redzamo elementu kustību skatvietā. [Uzziniet vairāk](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:'Metrika "Pirmais satura atveidojums" atzīmē laiku, kad tiek atveidots pirmais teksts vai attēls. [Uzziniet vairāk](https://web.dev/first-contentful-paint/).'},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{
message:"Metrika “Pirmais nozīmīgais satura atveidojums” norāda, kad kļūst redzams lapas galvenais saturs. [Uzziniet vairāk](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Laiks līdz interaktivitātei ir laika apjoms, kas nepieciešams, lai lapa kļūtu pilnībā interaktīva. [Uzziniet vairāk](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Lielākais satura marķējums norāda laiku, kurā tiek atveidots apjomīgākais teksts vai attēls. [Uzziniet vairāk](https://web.dev/lighthouse-largest-contentful-paint/)."},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Iespējamā maksimālā pirmās ievades aizkave, ar ko jūsu lietotāji var saskarties, ir ilgākā uzdevuma ilgums. [Uzziniet vairāk](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{
message:"Ātruma rādītājs norāda, cik ātri tiek parādīts lapas saturs. [Uzziniet vairāk](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Visu laika periodu summa (no PSM līdz “Laiks līdz interaktivitātei”), kad uzdevuma ilgums pārsniedz 50 ms (izteikts milisekundēs). [Uzziniet vairāk](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Tīkla aprites laiks (RTT) spēcīgi ietekmē veiktspēju. Ja aprites laiks uz sākumpunktu ir augsts, tas norāda, ka serveru veiktspēja, kas atrodas tuvāk lietotājam, var tikt uzlabota. [Uzziniet vairāk](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Tīkla aprites laiks"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Tīmekļa veiktspēju var ietekmēt servera latentums. Ja sākumpunkta servera latentums ir augsts, tas norāda, ka serveris ir pārslogots vai arī tam ir vāja aizmugursistēmas veiktspēja. [Uzziniet vairāk](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Servera aizmugursistēmas latentums"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Notikums “`unload`” nenodrošināja uzticamu aktivizēšanu, un tā uztveršana var liegt pārlūkprogrammas optimizāciju, piemēram, pilnīgu saglabāšanu kešatmiņā. Tā vietā izvērtējiet iespēju izmantot notikumus “`pagehide`” vai “`visibilitychange`”. [Uzziniet vairāk](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)."},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Reģistrē notikuma “`unload`” uztvērēju"},"lighthouse-core/audits/no-unload-listeners.js | title":{
message:"Izvairās no notikuma “`unload`” uztvērējiem"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Nesaliktas animācijas var būt lēnas un palielināt kopējo izkārtojuma nobīdi. [Uzzināt vairāk](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Tika atrasts # animēts elements}zero{Tika atrasti # animēti elementi}one{Tika atrasts # animēts elements}other{Tika atrasti # animēti elementi}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Ar filtru saistītais īpašums var pārvietot pikseļus"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Mērķī ir cita, nesaderīga animācija"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Efektam tiek lietots cits salikšanas režīms, nevis “replace”."},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"Nesaliktas animācijas nav ieteicams izmantot"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Ar pārveidošanu saistītā īpašuma darbība ir atkarīga no lodziņa lieluma"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Neatbalstīts CSS īpašums: {properties}}zero{Neatbalstīti CSS īpašumi: {properties}}one{Neatbalstīti CSS īpašumi: {properties}}other{Neatbalstīti CSS īpašumi: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efektam ir norādīti neatbalstīti laika parametri"},"lighthouse-core/audits/performance-budget.js | description":{message:"Saglabājiet tīkla pieprasījumu daudzumu un lielumu zem mērķiem, kas noteikti sniegtajā izpildes budžetā. [Uzziniet vairāk](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},
"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 pieprasījums}zero{# pieprasījumi}one{# pieprasījums}other{# pieprasījumi}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Izpildes budžets"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Lai jaunie apmeklētāji varētu izmantot fontus ar atribūtu `optional`, ielādējiet tos iepriekš. [Uzziniet vairāk](https://web.dev/preload-optional-fonts/)."},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fonti ar atribūtu `font-display: optional` nav iepriekš ielādēti"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Fonti ar atribūtu `font-display: optional` ir ielādēti iepriekš"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Iepriekš ielādējiet attēlu, ko izmanto LCP elements, lai uzlabotu savu LCP laiku. [Uzziniet vairāk](https://web.dev/optimize-lcp/#preload-important-resources)."},
"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Lielākā satura marķējuma attēla iepriekšēja ielāde"},"lighthouse-core/audits/redirects-http.js | description":{message:"Ja HTTPS protokols jau ir iestatīts, noteikti novirziet visu HTTP datplūsmu uz HTTPS, lai visiem lietotājiem iespējotu droša tīmekļa funkcijas. [Uzziniet vairāk](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"HTTP datplūsma netiek novirzīta uz HTTPS lapām"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTP datplūsma tiek novirzīta uz HTTPS lapām"},"lighthouse-core/audits/redirects.js | description":{message:"Novirzīšana rada papildu aizkaves pirms lapas ielādes. [Uzziniet vairāk](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Nepieļaujiet vairākas lapas novirzīšanas"},"lighthouse-core/audits/resource-summary.js | description":{
message:"Lai iestatītu lapas resursu daudzuma un lieluma budžetus, pievienojiet failu budget.json. [Uzziniet vairāk](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{Viens pieprasījums • {byteCount, number, bytes} KiB}zero{# pieprasījumu • {byteCount, number, bytes} KiB}one{# pieprasījums • {byteCount, number, bytes} KiB}other{# pieprasījumi • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Uzturiet nelielu pieprasījumu skaitu un mazu pārsūtīšanas failu lielumu"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanoniskās saites iesaka, kurus URL rādīt meklēšanas rezultātos. [Uzziniet vairāk](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Vairāki konfliktējoši URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{
message:"Norāda uz citu domēnu ({url})."},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Nederīgs URL ({url})."},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Norāda uz citu atribūta “`hreflang`” atrašanās vietu ({url})."},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Atbilstošs URL ({url})."},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Ekvivalenta satura lapas vietā norāda uz domēna saknes piekļuves URL (sākumlapu)"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokumentā nav derīga atribūta “`rel=canonical`”"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumentam ir derīgs atribūts “`rel=canonical`”"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Nepārmeklējama saite"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Saišu `href` atribūti dažreiz tiek izmantoti meklētājprogrammās, lai pārmeklētu tīmekļa vietnes. Nodrošiniet, lai enkurelementu `href` atribūtos būtu ietvertas saites uz piemērotiem galamērķiem, tādējādi ļaujot vietnē atklāt vairāk lapu. [Uzzināt vairāk](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Saites nav pārmeklējamas"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Saites ir pārmeklējamas"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Papildu nesalasāms teksts"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Fonta lielums"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Teksta procentuālā daļa lapā"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Atlasītājs"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Fonta izmērs, kas ir mazāks par 12 pikseļiem, ir pārāk mazs, lai būtu salasāms, un mobilo ierīču lietotāji ir spiesti tuvināt tekstu, lai varētu to salasīt. Centieties, lai vairāk nekā 60% lapas teksta būtu vismaz 12 pikseļu vai lielāka izmēra. [Uzziniet vairāk](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} salasāms teksts"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Teksts nav salasāms, jo mobilo ierīču ekrāniem nav optimizēts skatvietas metatags."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumentā netiek izmantoti salasāmi fonta izmēri"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Salasāms teksts"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokumentā izmantoti salasāmi fonta izmēri"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Atribūta “hreflang” saites norāda meklētājprogrammām, kuru lapas versiju iekļaut meklēšanas rezultātu sarakstā konkrētai valodai vai reģionam. [Uzziniet vairāk](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumentā nav derīga atribūta “`hreflang`”"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relatīva “href” vērtība"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumentam ir derīgs atribūts “`hreflang`”"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Neparedzēts valodas kods"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Lapas ar nesekmīgu HTTP statusa kodu var tikt indeksētas nepareizi. [Uzziniet vairāk](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Lapai ir nesekmīgs HTTP statusa kods"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Lapai ir sekmīgs HTTP statusa kods"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Meklētājprogrammas nevar iekļaut jūsu lapas meklēšanas rezultātos, ja tām nav atļaujas pārmeklēt lapas. [Uzziniet vairāk](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Lapā ir bloķēta indeksēšana"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Lapa ir pieejama indeksēšanai"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Saites aprakstošais teksts palīdz meklētājprogrammām saprast jūsu saturu. [Uzziniet vairāk](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Atrasta 1 saite}zero{Atrastas # saites}one{Atrasta # saite}other{Atrastas # saites}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Saitēm nav aprakstoša teksta"},"lighthouse-core/audits/seo/link-text.js | title":{
message:"Saitēm ir aprakstošs teksts"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Lai validētu strukturētos datus, palaidiet [strukturētu datu testēšanas rīku](https://search.google.com/structured-data/testing-tool/) un rīku [Structured Data Linter](http://linter.structured-data.org/). [Uzziniet vairāk](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturētie dati ir derīgi"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Meklēšanas rezultātos var tikt iekļauti metaapraksti, lai sniegtu īsu kopsavilkumu par lapas saturu. [Uzziniet vairāk](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Apraksta teksts ir tukšs."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumentā nav metaapraksta"},"lighthouse-core/audits/seo/meta-description.js | title":{
message:"Dokumentā ir metaapraksts"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Meklētājprogrammas nevar indeksēt spraudņu saturu, un daudzās ierīcēs spraudņi ir ierobežoti vai netiek atbalstīti. [Uzziniet vairāk](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumentā tiek izmantoti spraudņi"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumentā netiek pieļauti spraudņi"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Ja jūsu robots.txt fails ir nepareizi veidots, rāpuļprogrammas, iespējams, nevarēs saprast, kā vajadzētu pārmeklēt vai indeksēt tīmekļa vietni atbilstoši jūsu vēlmēm. [Uzziniet vairāk](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Atbildē uz robots.txt pieprasījumu tika atgriezts HTTP statuss {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{Tika atrasta 1 kļūda}zero{Tika atrastas # kļūdas}one{Tika atrasta # kļūda}other{Tika atrastas # kļūdas}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse nevarēja ielādēt robots.txt failu"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt nav derīgs"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt ir derīgs"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktīvajiem elementiem, piemēram, pogām un saitēm, ir jābūt pietiekami lieliem (48 x 48 pikseļi), un tiem apkārt ir jābūt pietiekami daudz brīvas vietas, lai tiem varētu viegli pieskarties, neaizskarot citus elementus. [Uzziniet vairāk](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} pieskārienu mērķu izmērs ir atbilstošs."},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Pieskārienu mērķu izmērs ir pārāk mazs, jo mobilo ierīču ekrāniem nav optimizēts skatvietas metatags"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Pieskārienu mērķi nav atbilstoša izmēra"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Mērķis, kas pārklājas"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Pieskārienu mērķis"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Pieskārienu mērķi ir pietiekami liela izmēra"},"lighthouse-core/audits/server-response-time.js | description":{message:"Servera atbildes laikam jābūt īsam, jo no tā ir atkarīga pārējo pieprasījumu izpilde. [Uzziniet vairāk](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Saknes dokumentam nepieciešamais laiks: {timeInMs, number, milliseconds} ms"},
"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Samaziniet servera sākotnējās atbildes laiku"},"lighthouse-core/audits/server-response-time.js | title":{message:"Sākotnējās servera atbildes laika bija īss"},"lighthouse-core/audits/service-worker.js | description":{message:"Pakalpojuma skripts ir tehnoloģija, kas palīdz nodrošināt daudzas progresīvo tīmekļa lietotņu funkcijas, piemēram, lietotnes izmantošanu bezsaistē, pievienošanu sākuma ekrānam un informatīvos paziņojumus. [Uzziniet vairāk](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Lapu kontrolē pakalpojumu skripts, taču netika atrasts `start_url`, jo neizdevās analizēt manifestu kā derīgu JSON failu"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Lapu kontrolē pakalpojumu skripts, taču vietrādis URL `start_url` ({startUrl}) nav ietverts pakalpojumu skripta tvērumā ({scopeUrl})"},
"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Lapu kontrolē pakalpojumu skripts, taču netika atrasts `start_url`, jo manifests netika ienests."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Šim sākumpunktam ir viens vai vairāki pakalpojumu skripti, taču attiecīgā lapa ({pageUrl}) nav tvērumā."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Nav reģistrēts pakalpojumu skripts, kas kontrolētu lapu un `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Ir reģistrēts pakalpojumu skripts, kas kontrolē lapu un `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Uzplaiksnījuma ekrāns ar piemērotu motīvu nodrošina labu pieredzi, lietotājiem palaižot lietotni no sākuma ekrāna. [Uzziniet vairāk](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nav konfigurēta ar pielāgotu uzplaiksnījuma ekrānu"},
"lighthouse-core/audits/splash-screen.js | title":{message:"Konfigurēta ar pielāgotu uzplaiksnījuma ekrānu"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Pārlūkprogrammas adreses joslu var noformēt atbilstoši jūsu vietnes motīvam. [Uzziniet vairāk](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Lapa neiestata adreses joslas motīva krāsu."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Lapa iestata adreses joslas motīva krāsu."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (klientu atbalsts)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (mārketings)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (sociālie tīkli)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},
"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkts"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Dažu trešo pušu iegulto resursu ielādi var atlikt. Apsveriet iespēju aizstāt tos ar fasādi, līdz tie būs vajadzīgi. [Uzziniet vairāk](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Pieejama # fasāde, ar ko var aizstāt resursu}zero{Pieejamas # fasādes, ar ko var aizstāt resursus}one{Pieejama # fasāde, ar ko var aizstāt resursus}other{Pieejamas # fasādes, ar ko var aizstāt resursus}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Dažu trešo pušu resursu ielādi var atlikt, izmantojot fasādi"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Trešo pušu resursu ielādes atlikšana, izmantojot fasādes"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Trešā puse"},
"lighthouse-core/audits/third-party-summary.js | description":{message:"Trešās puses kods var ievērojami ietekmēt ielādes veiktspēju. Ierobežojiet lieko trešo pušu pakalpojumu sniedzēju skaitu un mēģiniet ielādēt trešās puses kodu pēc tam, kad jūsu lapa būs ielādēta. [Uzziniet vairāk](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Trešās puses kods bloķēja galveno pavedienu uz {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Samaziniet trešo pušu koda ietekmi"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Samaziniet trešās puses koda lietojumu"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Mērījums"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metriskā sistēma"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Iestatiet laika budžetu, lai uzraudzītu savas vietnes veiktspēju. Vietnes ar labu veiktspēju tiek ātri ielādētas un ātri reaģē uz lietotāju ievades notikumiem. [Uzziniet vairāk](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Laika budžets"},"lighthouse-core/audits/unsized-images.js | description":{message:"Iestatiet konkrētu platumu un augstumu attēlu elementiem, lai samazinātu izkārtojuma nobīdes un uzlabotu CLS. [Uzziniet vairāk](https://web.dev/optimize-cls/#images-without-dimensions)."},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Attēlu elementiem nav konkrēts `width` un `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Attēlu elementiem ir konkrēts `width` un `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Veids"},
"lighthouse-core/audits/user-timings.js | description":{message:"Ieteicams pievienot lietotnei “Lietotāja laika API”, lai noteiktu lietotnes aktuālo veiktspēju lietotāju pamata darbības laikā. [Uzziniet vairāk](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 lietotāja laiks}zero{# lietotāju laiks}one{# lietotāja laiks}other{# lietotāju laiks}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Lietotāju laika atzīmes un mērījumi"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Adresei {securityOrigin} tika atrasts `<link rel=preconnect>` savienojums, taču pārlūkprogramma to neizmantoja. Pārbaudiet, vai pareizi izmantojat atribūtu `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Ieteicams pievienot “`preconnect`” vai “`dns-prefetch`” resursa norādes, lai savlaicīgi izveidotu savienojumus ar svarīgiem trešo pušu sākumpunktiem. [Uzziniet vairāk](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Veiciet iepriekšēju pieslēgšanu obligātajiem sākumpunktiem"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Tika atrasti vairāk nekā divi `<link rel=preconnect>` savienojumi. Tie jāizmanto ierobežoti un tikai pašām svarīgākajām sākumadresēm."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Adresei {securityOrigin} tika atrasts `<link rel=preconnect>` savienojums, taču pārlūkprogramma to neizmantoja. Izmantojiet `preconnect` savienojumus tikai svarīgām sākumadresēm, ko lapa noteikti pieprasīs."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Adresei {preloadURL} tika atrasts iepriekšējas ielādes parametrs `<link>`, taču pārlūkprogramma to neizmantoja. Pārbaudiet, vai pareizi izmantojat atribūtu `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Ieteicams izmantot atribūtu `<link rel=preload>`, lai noteiktu prioritāti tādu resursu iegūšanai, kas pašlaik lapas ielādē tiek pieprasīti vēlāk. [Uzziniet vairāk](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Veiciet svarīgāko pieprasījumu iepriekšēju ielādi"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Kartes URL"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Avota kartes pārveido saīsināto kodu sākotnējā pirmkodā. Tādējādi izstrādātāji var veikt atkļūdošanu izstrādes kanālā. Turklāt rīkā Lighthouse var gūt plašākus ieskatus. Lai varētu izmantot šīs priekšrocības, apsveriet iespēju izvietot avota kartes. [Uzziniet vairāk](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Lielam pirmās puses JavaScript failam trūkst avota kartes"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Lielā JavaScript failā trūkst avota kartes"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Brīdinājums! Atribūtam `.sourcesContent` trūkst viens vienums}zero{Brīdinājums! Atribūtam `.sourcesContent` trūkst # vienumu}one{Brīdinājums! Atribūtam `.sourcesContent` trūkst # vienums}other{Brīdinājums! Atribūtam `.sourcesContent` trūkst # vienumi}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"Lapā ir derīgas avota kartes"},"lighthouse-core/audits/viewport.js | description":{message:'Pievienojiet tagu `<meta name="viewport">`, lai optimizētu lietotni mobilo ierīču ekrāniem. [Uzziniet vairāk](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Netika atrasts tags `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nav taga `<meta name="viewport">` ar `width` vai `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Ir tags `<meta name="viewport">` ar `width` vai `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Šie ieteikumi ļauj uzlabot ARIA lietojumu jūsu lietojumprogrammā. Tādējādi varat uzlabot pieredzi lietotājiem, kuri izmanto palīgtehnoloģijas, piemēram, ekrāna lasītājus."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},
"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Šie ieteikumi ļauj nodrošināt papildu audio vai video saturu. Tādējādi var uzlabot pieredzi lietotājiem ar dzirdes vai redzes traucējumiem."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio un video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Šie vienumi parāda izplatītas pieejamības paraugprakses."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Paraugprakse"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Šīs atzīmes parāda iespējas [uzlabot jūsu tīmekļa lietotnes pieejamību](https://developers.google.com/web/fundamentals/accessibility). Automātiski var noteikt tikai pieejamības problēmu apakškopu, tāpēc ir ieteicama arī manuālā testēšana."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{
message:"Šie vienumi norāda uz vietām, kurām automātiskais testēšanas rīks nevar piekļūt. Uzziniet vairāk mūsu ceļvedī par [pieejamības pārskata veikšanu](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Pieejamība"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Šie ieteikumi ļauj uzlabot satura lasāmību."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrasts"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Šie ieteikumi lietotājiem, kuri izmanto dažādas lokalizācijas, ļauj labāk izprast jūsu saturu."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizācija un lokalizēšana"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{
message:"Šie ieteikumi ļauj uzlabot lietojumprogrammas vadīklu semantiku. Tādējādi var nodrošināt labāku pieredzi lietotājiem, kuri izmanto palīgtehnoloģijas, piemēram, ekrāna lasītājus."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nosaukumi un iezīmes"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Šie ieteikumi ļauj uzlabot jūsu lietotnes tastatūras navigāciju."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigācija"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Šeit ir norādītas iespējas uzlabot tabulu vai sarakstu datu lasīšanas pieredzi lietotājiem, kas izmanto palīgtehnoloģijas, piemēram, ekrāna lasītājus."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabulas un saraksti"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{
message:"Pārlūka saderība"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Paraugprakse"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Vispārīgi"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Uzticamība un drošība"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Lietotāju pieredze"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Izpildes budžets nosaka jūsu vietnes veiktspējas standartus."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budžeti"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Plašāka informācija par jūsu lietojumprogrammas veiktspēju. Šie skaitļi [tieši neietekmē](https://web.dev/performance-scoring/) veiktspējas rezultātu"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostika"},
"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Vissvarīgākais veiktspējas aspekts ir pikseļu renderēšanas ātrums ekrānā. Galvenās metrikas: “Pirmais saturīgais satura atveidojums”, “Pirmais nozīmīgais satura atveidojums”"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Pirmā satura atveidojuma uzlabojumi"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Šie ieteikumi var palīdzēt ātrāk ielādēt jūsu lapu. Tie [tieša veidā neietekmē](https://web.dev/performance-scoring/) veiktspējas rezultātu."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Iespējas"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrikas"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"Uzlabojiet vispārējo ielādes darbību, lai lapa reaģētu un būtu gatava izmantošanai pēc iespējas ātrāk. Galvenās metrikas: “Laiks līdz interaktivitātei”, “Ātruma rādītājs”"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Vispārēji uzlabojumi"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Veiktspēja"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Veicot šīs pārbaudes, varat validēt progresīvo tīmekļa lietotņu aspektus. [Uzziniet vairāk](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Šīs pārbaudes ir vajadzīgas saskaņā ar standarta [PWA kontrolsarakstu](https://developers.google.com/web/progressive-web-apps/checklist), taču Lighthouse neveic tās automātiski. Tās neietekmē jūsu rezultātu, taču ir svarīgi pārbaudīt šos lietotnes aspektus manuāli."},
"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresīvā tīmekļa lietotne"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Instalēšana"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PTL optimizācija"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Šīs atzīmes nodrošina, ka jūsu lapa ir optimizēta meklētājprogrammu rezultātu ranžēšanai. Pastāv papildu faktori, kurus Lighthouse neatzīmē, bet tie var ietekmēt jūsu meklēšanas rezultātu ranžēšanu. [Uzziniet vairāk](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Palaidiet savā vietnē šos papildu apstiprināšanas rīkus, lai aplūkotu papildu MPO paraugpraksi."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"MPO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"Formatējiet savu HTML tā, lai rāpuļprogrammas varētu labāk saprast jūsu lietotnes saturu."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Satura paraugprakse"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Rāpuļprogrammām ir nepieciešama piekļuve jūsu lietotnei, lai nodrošinātu parādīšanu meklēšanas rezultātos."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Pārmeklēšana un indeksēšana"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Jūsu lapām ir jābūt piemērotām mobilajām ierīcēm, lai lietotājiem nebūtu jāizmanto savilkšana vai tuvināšana lapu satura lasīšanai. [Uzziniet vairāk](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Piemērota mobilajām ierīcēm"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Šķiet, testējamās ierīces centrālā procesora ātrums ir mazāks, nekā paredzēts Lighthouse prasībās. Tas var negatīvi ietekmēt veiktspējas rezultātu. Uzziniet vairāk par to, [kā kalibrēt atbilstošu centrālā procesora palēninājuma reizinātāju](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Iespējams, lapa netiek ielādēta, kā paredzēts, jo jūsu testa URL ({requested}) tika novirzīts uz: {final}. Mēģiniet tieši testēt otro URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Lapa tika ielādēta pārāk lēni, lai ielāde tiktu pabeigta noteiktajā laika ierobežojumā. Rezultāti var būt nepilnīgi."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Iespējams, ielādes veiktspēju ietekmē dati, kas tiek glabāti šajā atrašanās vietā: {locations}. Lai šie resursi neietekmētu jūsu rezultātus, pārbaudiet šo lapu inkognito logā.}zero{Iespējams, ielādes veiktspēju ietekmē dati, kas tiek glabāti šajās atrašanās vietās: {locations}. Lai šie resursi neietekmētu jūsu rezultātus, pārbaudiet šo lapu inkognito logā.}one{Iespējams, ielādes veiktspēju ietekmē dati, kas tiek glabāti šajās atrašanās vietās: {locations}. Lai šie resursi neietekmētu jūsu rezultātus, pārbaudiet šo lapu inkognito logā.}other{Iespējams, ielādes veiktspēju ietekmē dati, kas tiek glabāti šajās atrašanās vietās: {locations}. Lai šie resursi neietekmētu jūsu rezultātus, pārbaudiet šo lapu inkognito logā.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Lai nodrošinātu atpakaļsaderību ar vecākām pārlūkprogrammām, varat pievienot URL shēmas “https:” un “http:” (pārlūkprogrammās, kas atbalsta atslēgvārdu “strict-dynamic”, šīs shēmas tiks ignorētas)."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Direktīvai “disown-opener” ir pārtraukts atbalsts kopš politikas versijas CSP3. Tās vietā izmantojiet galveni Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Direktīvai “referrer” ir pārtraukts atbalsts kopš politikas versijas CSP2. Tās vietā izmantojiet galveni Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Direktīvai “reflected-xss” ir pārtraukts atbalsts kopš politikas versijas CSP2. Tās vietā izmantojiet galveni X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Direktīvai “base-uri” nav iestatīta vērtība, tāpēc var iepludināt <base> tagus, lai visiem relatīvajiem vietrāžiem URL (piemēram, skriptiem) iestatītu pamata URL, kas atbilst uzbrucēju kontrolētam domēnam. Ieteicams direktīvai “base-uri” iestatīt vērtību “none” vai “self”."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elementi, kurus kontrolē direktīva “object-src”, ir uzskatāmi par mantotām funkcijām. Apsveriet iespēju iestatīt direktīvai “object-src” vērtību “none”, lai neļautu iepludināt spraudņus, kas izpilda nedrošus skriptus."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Trūkst direktīvas “script-src”. Tāpēc var būt iespējams izpildīt nedrošus skriptus."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Vai aizmirsāt semikolu? Šķiet, {keyword} ir direktīva, nevis atslēgvārds."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Vienreizējiem kodiem jāizmanto rakstzīmju kopa base64."},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Vienreizējiem kodiem jābūt vismaz astoņas rakstzīmes gariem."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Ziņošanas galamērķa konfigurēšanai ir izmantota tikai direktīva “report-to”. Šo direktīvu atbalsta tikai uz Chromium pamata izstrādātas pārlūkprogrammas, tāpēc ieteicams izmantot arī direktīvu “report-uri”."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Nevienā SDP nav konfigurēts ziņošanas galamērķis. Tāpēc ir grūti ilgtermiņā uzturēt SDP un uzraudzīt, vai nerodas darbības traucējumi."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Saimniekdatoru atļaušanas sarakstus bieži var apiet. Apsveriet iespēju izmantot direktīvu “strict-dynamic” kopā ar SDP vienreizējiem kodiem vai jaucējvērtībām."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Nezināma SDP direktīva."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{
message:"{keyword} ir nederīgs atslēgvārds."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"Atslēgvārds “unsafe-inline” ļauj izpildīt nedrošus lapā ievietotus skriptus un notikumu apdarinātājus. Apsveriet iespēju atļaut skriptus pa vienam, izmantojot SDP vienreizējos kodus vai jaucējvērtības."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Lai nodrošinātu atpakaļsaderību ar vecākām pārlūkprogrammām, varat pievienot atslēgvārdu “unsafe-inline” (pārlūkprogrammās, kas atbalsta vienreizējos kodus vai jaucējvērtības, šis atslēgvārds tiks ignorēts)."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Galvenā pavediena bloķēšanas laiks"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Kešatmiņas TTL vērtība"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Apraksts"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Ilgums"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{
message:"Elements"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Nederīgi elementi"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Atrašanās vieta"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nosaukums"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Pārsniegts budžets"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Pieprasījumi"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Resursa izmēri"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Resursu veids"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Izmērs"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Avots"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Sākuma laiks"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Iztērētais laiks"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Pārsūtīto failu lielums"},
"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potenciālie ietaupījumi"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potenciālie ietaupījumi"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potenciālais ietaupījums: {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Tika atrasts viens elements}zero{Tika atrasti # elementi}one{Tika atrasts # elements}other{Tika atrasti # elementi}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potenciālais ietaupījums: {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokuments"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"
},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Pirmais nozīmīgais satura atveidojums"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Fonts"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Attēls"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Augsts"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Zems"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Vidējs"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maks. potenciālā pirmā ievades aizkave"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Multivide"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},
"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Cits"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Citi resursi"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skripts"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stilu lapa"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Trešā puse"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Kopā"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Nevarēja reģistrēt lapas ielādes trasējumu. Lūdzu, vēlreiz palaidiet Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{
message:"Gaidot sākotnējā atkļūdotāja protokola savienojumu, radās noildze."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Lapas ielādes laikā pārlūkprogramma Chrome nav apkopojusi nevienu ekrānuzņēmumu. Lūdzu, nodrošiniet, ka saturs ir redzams lapā, un pēc tam mēģiniet atkārtoti palaist Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS serveri nevarēja atrast norādīto domēnu."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Nepieciešamajam parametra “{artifactName}” vācējam radās kļūda: {errorMessage}."},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Radās iekšēja Chrome kļūda. Lūdzu, restartējiet Chrome un mēģiniet atkārtoti palaist Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Nepieciešamais parametra “{artifactName}” vācējs nedarbojās."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"Lapā netika atveidots saturs. Mēģiniet vēlreiz, ielādes laikā paturot pārlūkprogrammas logu priekšplānā. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Norādītā lapa nav valodā HTML (tā tiek rādīta MIME veidā {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Šī Chrome versija ir pārāk veca, lai atbalstītu funkciju {featureName}. Lai skatītu visus rezultātus, izmantojiet jaunāku versiju."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse nevarēja droši ielādēt jūsu pieprasīto lapu. Pārliecinieties, ka testējat pareizo URL un serveris pareizi reaģē uz visiem pieprasījumiem."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse nevarēja droši ielādēt jūsu pieprasīto URL, jo lapa pārstāja reaģēt."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Jūsu norādītajam URL nav derīga drošības sertifikāta. {securityMessages}"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Pārlūkprogramma Chrome neļāva ielādēt lapu ar iespiestu reklāmu. Nodrošiniet, ka pārbaudāt pareizo URL un ka serveris pareizi reaģē uz visiem pieprasījumiem."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse nevarēja uzticami ielādēt jūsu pieprasīto lapu. Nodrošiniet, ka pārbaudāt pareizo URL un ka serveris pareizi reaģē uz visiem pieprasījumiem. (Detalizēta informācija: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse nevarēja uzticami ielādēt jūsu pieprasīto lapu. Nodrošiniet, ka pārbaudāt pareizo URL un ka serveris pareizi reaģē uz visiem pieprasījumiem. (Statusa kods: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"Lapas ielādei bija nepieciešams pārāk ilgs laiks. Lūdzu, izmantojiet pārskatā sniegtās iespējas, lai samazinātu lapas ielādes laiku, un pēc tam mēģiniet atkārtoti palaist Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Gaidot DevTools protokola atbildi, ir pārsniegts atvēlētais laiks. (Veids: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Resursu satura izgūšanai ir nepieciešams ilgāks laiks, nekā pieļaujams"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Šķiet, ka jūsu norādītais URL nav derīgs."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Visi"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Visi skripti"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Tvērums"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Dublēti moduļi"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{
message:"Faila lielums baitos"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nosaukums"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Pārslēgt tabulu"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Neizmantotais apjoms baitos"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Animētam saturam izmantojiet komponentu [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), lai samazinātu centrālā procesora lietojumu, kamēr saturs nav redzams ekrānā."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Apsveriet iespēju attēlot visus [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) komponentus WebP formātos un norādīt piemērotu atkāpšanās formātu citām pārlūkprogrammām. [Uzziniet vairāk](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Pārbaudiet, vai izmantojat tagu [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites), lai attēlu ielāde tiktu automātiski atlikta. [Uzziniet vairāk](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Izmantojiet tādus rīkus kā [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer), lai [servera pusē renderētu AMP izkārtojumus](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Skatiet [AMP dokumentāciju](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/), lai pārliecinātos, ka visi stili tiek atbalstīti."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Komponents [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) atbalsta atribūtu [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/), lai varētu norādīt, kurus attēlu līdzekļus izmantot atkarībā no ekrāna izmēra. [Uzziniet vairāk](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Ja tiek renderēti ļoti lieli saraksti, apsveriet iespēju izmantot virtuālo ritināšanu ar komponentu izstrādes komplektu (Component Dev Kit — CDK). [Uzziniet vairāk](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Lietojiet [koda dalīšanu maršruta līmenī](https://web.dev/route-level-code-splitting-in-angular/), lai samazinātu JavaScript komplektu lielumu. Apsveriet arī iespēju iepriekš saglabāt līdzekļus kešatmiņā, izmantojot [Angular pakalpojumu skriptu](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Ja izmantojat Angular CLI, būvējumi jāģenerē produkcijas režīmā. [Uzziniet vairāk](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Ja izmantojat Angular CLI, iekļaujiet produkcijas būvējumā avota kartes, lai pārbaudītu komplektus. [Uzziniet vairāk](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Iepriekš ielādējiet maršrutus, lai paātrinātu navigāciju. [Uzziniet vairāk](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Lai pārvaldītu attēlu robežvērtības, varat izmantot utilītprogrammu `BreakpointObserver`, kas ir pieejama komponentu izstrādes komplektā (Component Dev Kit — CDK). [Uzziniet vairāk](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Ieteicams augšupielādēt GIF failu pakalpojumā, kuru varēs izmantot, lai iegultu GIF failu kā HTML5 videoklipu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Kad motīvā definējat pielāgotus fontus, norādiet fragmentu `@font-display`."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Ieteicams instalēt un konfigurēt [moduli, lai vietnē varētu izmantot WebP attēlu formātus](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search). Šādi moduļi automātiski ģenerē augšupielādēto attēlu WebP versiju, lai optimizētu ielādes laiku."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instalējiet [Drupal moduli](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), ar ko var veikt attēlu atlikto ielādi. Šādi moduļi sniedz iespēju atlikt jebkādu ārpus ekrāna esošu attēlu ielādi, lai uzlabotu veiktspēju."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Ieteicams izmantot moduli, piemēram, moduli [Izvērstā CSS/JS apkopošana](https://www.drupal.org/project/advagg), lai iekļautu būtisku CSS un JavaScript kodu vai potenciāli ielādētu līdzekļus asinhronā veidā, izmantojot JavaScript. Ņemiet vērā, ka šī moduļa nodrošinātā optimizācija var traucēt vietnes darbībai, tādēļ, visticamāk, jums būs jāveic izmaiņas kodā."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Motīvi, moduļi un servera specifikācijas ietekmē servera atbildes laiku. Ieteicams atrast optimizētu motīvu, rūpīgi izvēlēties optimizācijas moduli un/vai jaunināt serveri. Mitināšanas serveros ir jāievieš PHP operācijas koda saglabāšana kešatmiņā, atmiņas saglabāšana kešatmiņā, lai samazinātu datu bāzes vaicājumu apstrādei nepieciešamo laiku, piemēram, Redis vai Memcached, kā arī optimizēta lietojumprogrammas loģika, lai varētu ātrāk sagatavot lapas."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Ieteicams izmantot [adaptīvo attēlu stilus](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), lai samazinātu lapā ielādēto attēlu lielumu. Ja saskarni Views izmantojat, lai lapā rādītu vairākus satura elementus, ieteicams ieviest lapdali, lai ierobežotu attiecīgajā lapā redzamo satura elementu skaitu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Lapā “Administrācija » Konfigurācija » Izstrāde” jābūt iespējotai funkcijai “Apkopot CSS failus”. Varat arī konfigurēt uzlabotas apkopošanas iespējas [papildu moduļos](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), lai paātrinātu vietnes darbību, savienojot, samazinot un saspiežot CSS stilus."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Lapā “Administrācija » Konfigurācija » Izstrāde” jābūt iespējotai funkcijai “Apkopot JavaScript failus”. Varat arī konfigurēt uzlabotas apkopošanas iespējas [papildu moduļos](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), lai paātrinātu vietnes darbību, savienojot, samazinot un saspiežot JavaScript līdzekļus."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Ieteicams noņemt neizmantotās CSS kārtulas un pievienot tikai vajadzīgās Drupal bibliotēkas atbilstošajām lapām vai komponentiem lapā. Lai iegūtu detalizētu informāciju, skatiet [Drupal dokumentācijas saiti](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Lai identificētu pievienotās bibliotēkas, kas pievieno lieku CSS kodu, mēģiniet izpildīt [koda pārklājumu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage), izmantojot Chrome DevTools. Attiecīgo motīvu/moduli varat identificēt stilu lapas vietrādī URL, kad Drupal vietnē ir atspējota CSS apkopošana. Meklējiet motīvus/moduļus, kuriem sarakstā ir daudz stilu lapu ar daudz sarkanām atzīmēm koda pārklājumā. Motīvam/modulim ir jāievieto rindā stilu lapu tikai tad, ja tā faktiski tiek izmantota tīmekļa lapā."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Ieteicams noņemt neizmantotos JavaScript līdzekļus un pievienot tikai vajadzīgās Drupal bibliotēkas atbilstošajām lapām vai komponentiem lapā. Lai iegūtu detalizētu informāciju, skatiet [Drupal dokumentācijas saiti](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Lai identificētu pievienotās bibliotēkas, kas pievieno lieku JavaScript kodu, mēģiniet izpildīt [koda pārklājuma analīzi](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage), izmantojot Chrome izstrādātāju rīkus. Motīvu/moduli, kas rada problēmu, varat identificēt skripta vietrādī URL, kad Drupal vietnē ir atspējota JavaScript apkopošana. Meklējiet motīvus/moduļus, kuru sarakstā ir daudz skriptu ar daudzām sarkanām atzīmēm koda pārklājuma analīzē. Motīvam/modulim ir jāievieto skripts rindā tikai tad, ja tas patiešām tiek izmantots lapā."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Lapā “Administrācija » Konfigurācija » Izstrāde” norādiet iestatījumu “Pārlūka un starpniekservera kešatmiņas maksimālais vecums”. Uzziniet par [Drupal kešatmiņu un veiktspējas optimizēšanu](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Ieteicams izmantot [moduli](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), kas automātiski optimizē un samazina vietnē augšupielādēto attēlu lielumu, vienlaikus saglabājot kvalitāti. Kā arī jāizmanto iebūvētie [adaptīvo attēlu stili](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), kas ir sniegti programmatūrā Drupal (pieejami programmatūrā Drupal 8 un jaunākās versijās) visiem vietnē renderētajiem attēliem."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Varat pievienot norādes par iepriekšējas pieslēgšanas vai DNS priekšieneses resursiem, instalējot un konfigurējot [moduli](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), kas nodrošina lietotāja aģenta resursu norādes."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Jāizmanto iebūvētie [adaptīvo attēlu stili](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), kas ir sniegti programmatūrā Drupal (pieejami programmatūrā Drupal 8 un jaunākās versijās). Lietojiet adaptīvo attēlu stilus, kad renderējat attēlu laukus skatīšanas režīmos, skatos vai attēlos, kas augšupielādēti, izmantojot WYSIWYG redaktoru."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Ieteicams augšupielādēt GIF failu pakalpojumā, kuru varēs izmantot, lai iegultu GIF failu kā HTML5 videoklipu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Ieteicams izmantot [spraudni](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) vai pakalpojumu, kurā jūsu augšupielādētie attēli tiks automātiski pārveidoti optimālos formātos."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instalējiet [atliktās ielādes Joomla spraudni](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), kas sniedz iespēju atlikt ārpus ekrāna esošu attēlu ielādi, vai mainiet veidni uz tādu, kurā šī funkcionalitāte tiek nodrošināta. Sākot ar versiju Joomla 4.0, visiem jaunajiem attēliem tiks [automātiski](https://github.com/joomla/joomla-cms/pull/30748) pievienots atribūts `loading` no kodola."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"Ir vairāki Joomla spraudņi, kas var palīdzēt [iekļaut būtiskus līdzekļus](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) vai [atlikt mazāk svarīgus resursus](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Ņemiet vērā, ka šo spraudņu nodrošinātā optimizācija var traucēt funkciju darbībai jūsu veidnēs vai spraudņos, tādēļ tie būs rūpīgi jāpārbauda."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Veidņu, paplašinājumu un servera specifikācijas ietekmē servera atbildes laiku. Ieteicams atrast optimizētu veidni, rūpīgi izvēlēties optimizācijas paplašinājumu un/vai jaunināt serveri."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Ieteicams rādīt fragmentus rakstu kategorijās (piemēram, izmantojot saiti “Lasīt vairāk”), samazināt attiecīgajā lapā rādāmo rakstu skaitu, sadalīt garas ziņas vairākās lapās vai izmantot spraudni, lai atliktu komentāru ielādi."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Dažādi [Joomla paplašinājumi](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) var paātrināt jūsu vietnes darbību, savienojot, samazinot un saspiežot CSS stilus. Ir pieejamas arī veidnes, kas piedāvā šo funkciju."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Dažādi [Joomla paplašinājumi](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) var paātrināt jūsu vietnes darbību, savienojot, samazinot un saspiežot skriptus. Ir pieejamas arī veidnes, kas piedāvā šo funkciju."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Ieteicams samazināt vai mainīt tādu [Joomla paplašinājumu](https://extensions.joomla.org/) skaitu, kuri ielādē nelietotu CSS kodu jūsu lapā. Lai identificētu paplašinājumus, kuri pievieno lieku CSS kodu, mēģiniet izpildīt [koda pārklājumu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage), izmantojot Chrome DevTools. Attiecīgo motīvu/spraudni varat identificēt stilu lapas vietrādī URL. Meklējiet spraudņus, kuriem sarakstā ir daudz stilu lapu ar daudz sarkanām atzīmēm koda pārklājumā. Spraudnim ir jāievieto rindā stilu lapa tikai tad, ja tā faktiski tiek izmantota lapā."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Ieteicams samazināt vai mainīt tādu [Joomla paplašinājumu](https://extensions.joomla.org/) skaitu, kuri ielādē neizmantotu JavaScript kodu jūsu lapā. Lai identificētu spraudņus, kuri pievieno lieku JS kodu, mēģiniet izpildīt [koda pārklājumu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage), izmantojot Chrome DevTools. Attiecīgo paplašinājumu varat identificēt skripta vietrādī URL. Meklējiet paplašinājumus, kuriem sarakstā ir daudz skriptu ar daudz sarkanām atzīmēm koda pārklājumā. Paplašinājumam ir jāievieto rindā skripts tikai tad, ja tas faktiski tiek izmantots lapā."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Uzziniet par [pārlūka datu saglabāšanu kešatmiņā platformā Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Ieteicams izmantot [attēlu optimizācijas spraudni](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), kas saspiež attēlus, vienlaikus saglabājot kvalitāti."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Ieteicams izmantot [adaptīvo attēlu spraudni](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), lai saturā varētu izmantot adaptīvos attēlus."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Varat iespējot teksta saspiešanu, iespējojot Gzip lapu saspiešanu sistēmā Joomla (Sistēma > Globālā konfigurācija > Serveris)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ja negrupējat JavaScript līdzekļus, apsveriet iespēju izmantot programmu [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Atspējojiet Magento iebūvēto [JavaScript grupēšanu un samazināšanu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) un apsveriet iespēju izmantot programmu [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[Definējot pielāgotus fontus](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html), norādiet mainīgo `@font-display`."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Veikalā [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) varat atrast dažādus trešo pušu paplašinājumus jaunāku attēlu formātu izmantošanai."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Apsveriet iespēju modificēt produktu un katalogu veidnes, lai izmantotu tīmekļa platformas [lēnas ielādes](https://web.dev/native-lazy-loading) funkciju."},
"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Izmantojiet platformas Magento [Varnish integrāciju](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Veikala izstrādātāja iestatījumos iespējojiet opciju Minify CSS Files (Samazināt CSS failus). [Uzziniet vairāk](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Izmantojiet rīkkopu [Terser](https://www.npmjs.com/package/terser), lai samazinātu visus JavaScript līdzekļus no statiskas satura izvietošanas un atspējotu iebūvēto samazināšanas funkciju."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"Atspējojiet Magento iebūvēto [JavaScript grupēšanu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Veikalā [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) varat atrast dažādus trešo pušu paplašinājumus attēlu optimizācijai."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Varat pievienot norādes par iepriekšēju pieslēgšanu vai DNS sākotnējo datu iegūšanas resursu, [modificējot motīva izkārtojumu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Varat pievienot `<link rel=preload>` tagus, [modificējot motīva izkārtojumu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Aizstājiet animētus GIF attēlus ar videoklipiem](https://web.dev/replace-gifs-with-videos/), lai paātrinātu tīmekļa lapas ielādi, un apsveriet iespēju izmantot modernus failu formātus, piemēram, [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) vai [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), lai uzlabotu saspiešanas efektivitāti par vairāk nekā 30%, salīdzinot ar pašreizējo nozarē vadošo video kodeku VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Ieteicams izmantot [spraudni](https://octobercms.com/plugins?search=image) vai pakalpojumu, lai automātiski pārveidotu augšupielādētos attēlus optimālos formātos. [WebP bezzudumu attēlu](https://developers.google.com/speed/webp) faili ir par 26% mazāki nekā PNG faili un par 25–34% mazāki nekā salīdzināmu JPEG attēlu faili ar līdzvērtīgu SSIM kvalitātes rādītāju. Varat izmantot arī citu nākamās paaudzes attēlu formātu — [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Apsveriet iespēju instalēt [attēlu atliktās ielādes spraudni](https://octobercms.com/plugins?search=lazy), kas sniedz iespēju atlikt ārpus ekrāna esošu attēlu ielādi, vai mainīt motīvu uz tādu, kurā šī funkcionalitāte ir nodrošināta. Ieteicams izmantot arī [AMP spraudni](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Ir vairāki spraudņi, kas palīdz [iekļaut būtiskus līdzekļus](https://octobercms.com/plugins?search=css). Šie spraudņi var traucēt citu spraudņu darbību, tāpēc ieteicams tos rūpīgi testēt."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Motīvi, spraudņi un servera specifikācijas ietekmē servera atbildes laiku. Ieteicams atrast optimizētu motīvu, rūpīgi izvēlēties optimizācijas spraudni un/vai jaunināt serveri. Satura pārvaldības sistēmā October izstrādātāji var izmantot arī [`Queues`](https://octobercms.com/docs/services/queues), lai atliktu laikietilpīgu uzdevumu apstrādi, piemēram, e-pasta ziņojumu nosūtīšanu. Tas krietni paātrina tīmekļa pieprasījumus."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Ieteicams ziņu sarakstos rādīt fragmentus (piemēram, izmantojot pogu `show more`), samazināt vienā tīmekļa lapā rādāmo ziņu skaitu, sadalīt garas ziņas starp vairākām tīmekļa lapām vai izmantot spraudni, lai atliktu komentāru ielādi."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Daudzi [spraudņi](https://octobercms.com/plugins?search=css) var paātrināt tīmekļa vietnes darbību, savienojot, samazinot un saspiežot stilus. Lai paātrinātu izstrādi, varat paveikt šo samazināšanu jau iepriekš, būvēšanas procesā."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Daudzi [spraudņi](https://octobercms.com/plugins?search=javascript) var paātrināt tīmekļa vietnes darbību, savienojot, samazinot un saspiežot skriptus. Lai paātrinātu izstrādi, varat paveikt šo samazināšanu jau iepriekš, būvēšanas procesā."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Ieteicams pārskatīt [spraudņus](https://octobercms.com/plugins), kuri tīmekļa vietnē ielādē nelietotu CSS kodu. Lai noteiktu, kuri spraudņi pievieno lieku CSS kodu, Chrome izstrādātāja rīkos izpildiet [koda lietojuma](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) komandu. Stilu lapas vietrādī URL atrodiet attiecīgo motīvu vai spraudni. Meklējiet spraudņus, kuriem ir daudz stilu lapu ar daudzām sarkanām atzīmēm koda lietojuma cilnē. Spraudnim vajadzētu pievienot tikai tādas stilu lapas, kas tīmekļa lapā tiek izmantotas."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Ieteicams pārskatīt [spraudņus](https://octobercms.com/plugins?search=javascript), kuri tīmekļa lapā ielādē neizmantotu JavaScript kodu. Lai noteiktu, kuri spraudņi pievieno lieku JavaScript kodu, Chrome izstrādātāja rīkos izpildiet [koda lietojuma](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) komandu. Skripta vietrādī URL atrodiet attiecīgo motīvu vai spraudni. Meklējiet spraudņus, kuriem ir daudz skriptu ar daudzām sarkanām atzīmēm koda lietojuma cilnē. Spraudnim vajadzētu pievienot tikai tādus skriptus, kas tīmekļa lapā tiek izmantoti."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Lasiet par [lieku tīkla pieprasījumu novēršanu, izmantojot HTTP kešatmiņu](https://web.dev/http-cache/#caching-checklist). Daudzus [spraudņus](https://octobercms.com/plugins?search=Caching) var izmantot, lai paātrinātu datu saglabāšanu kešatmiņā."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Ieteicams izmantot [attēlu optimizācijas spraudni](https://octobercms.com/plugins?search=image), lai saspiestu attēlus, vienlaikus saglabājot kvalitāti."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Lai vajadzīgie attēlu lielumi būtu pieejami, tieši augšupielādējiet attēlus multivides pārvaldniekā. Apsveriet iespēju izmantot [lieluma mainīšanas filtru](https://octobercms.com/docs/markup/filter-resize) vai [attēlu lieluma mainīšanas spraudni](https://octobercms.com/plugins?search=image), lai nodrošinātu pareizo attēlu lielumu lietošanu."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Iespējojiet teksta saspiešanu tīmekļa servera konfigurācijā."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Ja lapā atveidojat daudzus atkārtotus elementus, apsveriet iespēju izmantot logošanas bibliotēku, piemēram, `react-window`, lai samazinātu izveidoto DOM mezglu skaitu. [Uzziniet vairāk](https://web.dev/virtualize-long-lists-react-window/). Turklāt, ja izmantojat `Effect` aizķeri izpildlaika veiktspējas uzlabošanai, varat samazināt lieko atkārtoto atveidošanu, izmantojot [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) vai [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) un [izlaišanas efektus](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) tikai līdz noteiktu atkarību maiņas brīdim."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ja izmantojat bibliotēku React Router, samaziniet komponenta `<Redirect>` lietojumu [maršrutu navigācijai](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ja renderējat React komponentus servera pusē, apsveriet iespēju izmantot metodi `renderToNodeStream()` vai `renderToStaticNodeStream()`, lai klients varētu saņemt un aizpildīt dažādas marķējuma daļas, nevis visu marķējumu reizē. [Uzziniet vairāk](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Ja būvējuma sistēmā CSS faili tiek automātiski samazināti, pārbaudiet, vai ir izvietots jūsu lietojumprogrammas produkcijas būvējums. To var pārbaudīt, izmantojot paplašinājumu React Developer Tools. [Uzziniet vairāk](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ja būvējuma sistēmā JavaScript faili tiek automātiski samazināti, pārbaudiet, vai ir izvietots jūsu lietojumprogrammas produkcijas būvējums. To var pārbaudīt, izmantojot paplašinājumu React Developer Tools. [Uzziniet vairāk](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Ja neveicat renderēšanu servera pusē, [sadaliet JavaScript pakas](https://web.dev/code-splitting-suspense/), izmantojot `React.lazy()`. Pretējā gadījumā sadaliet kodu, izmantojot trešās puses bibliotēku, piemēram, [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Varat mērīt komponentu renderēšanas veiktspēju ar spraudni React DevTools Profiler, kurā tiek izmantots Profiler API. [Uzziniet vairāk.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Ieteicams augšupielādēt GIF failu pakalpojumā, kuru varēs izmantot, lai iegultu GIF failu kā HTML5 videoklipu."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Ieteicams izmantot [spraudni](https://wordpress.org/plugins/search/convert+webp/) vai pakalpojumu, kurā jūsu augšupielādētie attēli tiks automātiski pārveidoti optimālos formātos."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instalējiet [atliktās ielādes WordPress spraudni](https://wordpress.org/plugins/search/lazy+load/), kas sniedz iespēju atlikt jebkādus ārpus ekrāna esošus attēlus vai mainīt motīvu uz tādu, kurā šī funkcija tiek nodrošināta. Ieteicams izmantot arī [AMP spraudni](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Ir vairāki WordPress spraudņi, kas var palīdzēt [iekļaut būtiskus līdzekļus](https://wordpress.org/plugins/search/critical+css/) vai [atlikt mazāk svarīgus resursus](https://wordpress.org/plugins/search/defer+css+javascript/). Ņemiet vērā, ka šo spraudņu nodrošinātā optimizācija var traucēt funkciju darbībai jūsu motīvā vai spraudņos, tādēļ, visticamāk, jums būs jāveic koda izmaiņas."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Motīvi, spraudņi un servera specifikācijas ietekmē servera atbildes laiku. Apsveriet iespēju atrast optimizētāku motīvu, rūpīgi izvēlēties optimizācijas spraudni un/vai jaunināt serveri."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Apsveriet iespēju rādīt fragmentus ziņu sarakstos (piemēram, izmantojot tagu “more”), samazināt attiecīgajā lapā rādāmo ziņu skaitu, sadalīt garas ziņas vairākās lapās vai izmantot spraudni, lai atliktu komentāru ielādi."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Vairāki [WordPress spraudņi](https://wordpress.org/plugins/search/minify+css/) var paātrināt jūsu vietnes darbību, savienojot, samazinot un saspiežot stilus. Ja iespējams, varat arī veikt šo samazināšanu iepriekš izveides procesā."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Vairāki [WordPress spraudņi](https://wordpress.org/plugins/search/minify+javascript/) var paātrināt jūsu vietnes darbību, savienojot, samazinot un saspiežot skriptus. Ja iespējams, varat veikt šo samazināšanu jau iepriekš izveides procesā."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Ieteicams samazināt vai mainīt tādu [WordPress spraudņu](https://wordpress.org/plugins/) skaitu, kuri ielādē nelietotu CSS kodu jūsu lapā. Lai identificētu spraudņus, kuri pievieno lieku CSS kodu, mēģiniet izpildīt [koda pārklājumu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage), izmantojot Chrome DevTools. Saistīto motīvu/spraudni varat identificēt stila lapas vietrādī URL. Meklējiet spraudņus, kuriem sarakstā ir daudz stila lapu ar daudz sarkanām atzīmēm koda pārklājumā. Spraudnim ir jāievieto rindā stilu lapa tikai tad, ja tā faktiski tiek izmantota lapā."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"Ieteicams samazināt vai mainīt tādu [WordPress spraudņu](https://wordpress.org/plugins/) skaitu, kuri ielādē nelietotu JavaScript kodu jūsu lapā. Lai identificētu spraudņus, kuri pievieno lieku JS kodu, mēģiniet izpildīt [koda pārklājumu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage), izmantojot Chrome DevTools. Saistīto motīvu/spraudni varat identificēt skripta vietrādī URL. Meklējiet spraudņus, kuriem sarakstā ir daudz skriptu ar daudz sarkanām atzīmēm koda pārklājumā. Spraudnim ir jāievieto rindā skripts tikai tad, ja tas faktiski tiek izmantots lapā."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Uzziniet par [pārlūkprogrammas datu saglabāšanu kešatmiņā programmatūrā WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Ieteicams izmantot [attēlu optimizācijas WordPress spraudni](https://wordpress.org/plugins/search/optimize+images/), kas saspiež attēlus, vienlaikus saglabājot kvalitāti."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Tieši augšupielādējiet attēlus, izmantojot [multivides bibliotēku](https://wordpress.org/support/article/media-library-screen/), lai nodrošinātu nepieciešamo attēlu lielumu pieejamību. Pēc tam ievietojiet attēlus no multivides bibliotēkas vai izmantojiet attēlu logrīku, lai tiktu izmantoti optimāli attēlu lielumi (tostarp reaģējošām robežvērtībām paredzētie). Neizmantojiet `Full Size` attēlus, ja to izmēri neatbilst to lietojumam. [Uzziniet vairāk](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Varat iespējot teksta saspiešanu tīmekļa servera konfigurācijā."},"report/renderer/util.js | calculatorLink":{message:"Skatiet kalkulatoru."},"report/renderer/util.js | crcInitialNavigation":{message:"Sākotnējā navigācija"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksimālais kritiskais ceļa latentums:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopēt JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Pārslēgt tumšo motīvu"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Drukājamā kopija izvērsta"},"report/renderer/util.js | dropdownPrintSummary":{message:"Drukāt kopsavilkumu"},"report/renderer/util.js | dropdownSaveGist":{message:"Saglabāt kā Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Saglabāt kā HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Saglabāt kā JSON"},"report/renderer/util.js | dropdownViewer":{message:"Atvērt skatītājā"},"report/renderer/util.js | errorLabel":{
message:"Kļūda!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Pārskata kļūda: nav pārbaudes informācijas"},"report/renderer/util.js | footerIssue":{message:"Iesniegt problēmu"},"report/renderer/util.js | labDataTitle":{message:"Laboratorijas dati"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) pašreizējās lapas analīze emulētajā mobilajā tīklā. Vērtības ir aptuvenas un var atšķirties."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Papildu vienumi manuālai pārbaudei"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nav piemērojams"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Iespēja"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Aptuvenais ietaupījums"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Izpildītās pārbaudes"},"report/renderer/util.js | runtimeDesktopEmulation":{
message:"Emulēts dators"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulēts tālrunis Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Nav emulācijas"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe versija"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Centrālā procesora/atmiņas jauda"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Centrālā procesora ierobežošana"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanāls"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Ierīce"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Izgūšanas laiks"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Tīkla ierobežošana"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Izpildlaika iestatījumi"},"report/renderer/util.js | runtimeSettingsUA":{message:"Lietotāja aģents (saimniekdators)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Lietotāja aģents (tīkls)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Nezināms"},"report/renderer/util.js | showRelevantAudits":{message:"Rādīt pārbaudes, kas atbilst:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Sakļaut fragmentu"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Izvērst fragmentu"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Parādīt trešās puses resursus"},"report/renderer/util.js | throttlingProvided":{message:"Nodrošināts atbilstoši videi"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Radās problēmas, kas ietekmēja šo Lighthouse palaišanu:"},"report/renderer/util.js | varianceDisclaimer":{message:"Vērtības ir aptuvenas un var atšķirties. [Veiktspējas rezultāts tiek aprēķināts](https://web.dev/performance-scoring/), pamatojoties tieši uz šiem metrikas veidiem."
},"report/renderer/util.js | viewTreemapLabel":{message:"Skatīt koka struktūru"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Veiktās pārbaudes ar brīdinājumiem"},"report/renderer/util.js | warningHeader":{message:"Brīdinājumi: "}}},{}],126:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Met toegangstoetsen kunnen gebruikers snel de focus op een gedeelte van de pagina plaatsen. Voor correcte navigatie moet elke toegangstoets uniek zijn. [Meer informatie](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]`-waarden zijn niet uniek"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]`-waarden zijn uniek"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Elke ARIA-`role` ondersteunt een specifieke subset van `aria-*`-kenmerken. Als deze verkeerd worden gekoppeld, worden de `aria-*`-kenmerken ongeldig. [Meer informatie](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]`-kenmerken komen niet overeen met hun rollen"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]`-kenmerken komen overeen met hun rollen"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Als een element geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`-, `link`- en `menuitem`-elementen hebben geen toegankelijke namen."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`- `link`- en `menuitem`-elementen hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Ondersteunende technologieën, zoals schermlezers, werken inconsistent als `aria-hidden="true"` is ingesteld in het document `<body>`. [Meer informatie](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` is aanwezig in het document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` is niet aanwezig in het document `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Focusbare onderliggende elementen in een `[aria-hidden="true"]`-element voorkomen dat die interactieve elementen beschikbaar zijn voor gebruikers van ondersteunende technologieën, zoals schermlezers. [Meer informatie](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]`-elementen bevatten focusbare onderliggende elementen'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]`-elementen bevatten geen focusbare onderliggende elementen'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Als een invoerveld geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"ARIA-invoervelden hebben geen toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA-invoervelden hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Als een element geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter`-elementen hebben geen toegankelijke namen."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter`-elementen hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Als een `progressbar`-element geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar`-elementen hebben geen toegankelijke namen."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar`-elementen hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Sommige ARIA-rollen hebben vereiste kenmerken die de status van het element beschrijven voor schermlezers. [Meer informatie](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`-elementen bevatten niet alle vereiste `[aria-*]`-kenmerken"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`-elementen bevatten alle vereiste `[aria-*]`-kenmerken"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Sommige bovenliggende ARIA-rollen moeten specifieke onderliggende rollen bevatten om de beoogde toegankelijkheidsfuncties uit te voeren. [Meer informatie](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"In elementen met een ARIA `[role]` die vereisen dat onderliggende elementen een specifieke `[role]` bevatten, ontbreken enkele (of alle) van die vereiste onderliggende elementen."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementen met een ARIA `[role]` die vereisen dat onderliggende elementen een specifieke `[role]` bevatten, bevatten alle vereiste onderliggende elementen."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Sommige onderliggende ARIA-rollen moeten zijn opgenomen in specifieke bovenliggende rollen om de beoogde toegankelijkheidsfuncties op de juiste manier uit te voeren. [Meer informatie](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`-elementen zijn niet opgenomen in het vereiste bovenliggende element"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`-elementen zijn opgenomen in het vereiste bovenliggende element"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA-rollen moeten geldige waarden hebben om hun beoogde toegankelijkheidsfuncties uit te voeren. [Meer informatie](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]`-waarden zijn niet geldig"},
"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]`-waarden zijn geldig"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Als een schakelveld geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA-schakelvelden hebben geen toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA-schakelvelden hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Als een element geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip`-elementen hebben geen toegankelijke namen."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip`-elementen hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Als een element geen toegankelijke naam heeft, kondigen schermlezers dit aan met een generieke naam, waardoor het veld onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem`-elementen hebben geen toegankelijke namen."},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem`-elementen hebben toegankelijke namen"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"ARIA-kenmerken met ongeldige waarden kunnen niet worden geïnterpreteerd door hulptechnologieën, zoals schermlezers. [Meer informatie](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]`-kenmerken hebben geen geldige waarden"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]`-kenmerken bevatten geldige waarden"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"ARIA-kenmerken met ongeldige namen kunnen niet worden geïnterpreteerd door hulptechnologieën, zoals schermlezers. [Meer informatie](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{
message:"`[aria-*]`-kenmerken zijn niet geldig of zijn verkeerd gespeld"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]`-kenmerken zijn geldig en niet verkeerd gespeld"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Mislukte elementen"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Wanneer een knop geen toegankelijke naam heeft, kondigen schermlezers deze aan als 'knop', waardoor de knop onbruikbaar wordt voor gebruikers die afhankelijk zijn van schermlezers. [Meer informatie](https://web.dev/button-name/)"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Knoppen hebben geen toegankelijke naam"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Knoppen hebben een toegankelijke naam"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"Als je manieren toevoegt om herhaalde content te omzeilen, kunnen toetsenbordgebruikers efficiënter navigeren op de pagina. [Meer informatie](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"De pagina bevat geen kop, link voor overslaan of herkenningspuntregio"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"De pagina bevat een kop, link voor overslaan of herkenningspuntregio"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Voor veel gebruikers is tekst met weinig contrast moeilijk of onmogelijk te lezen. [Meer informatie](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"De contrastverhouding van achtergrond- en voorgrondkleuren is niet voldoende"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"De contrastverhouding van achtergrond- en voorgrondkleuren is voldoende"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Als definitielijsten niet juist zijn opgemaakt, kunnen schermlezers verwarrende of onjuiste uitvoer produceren. [Meer informatie](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`-elementen bevatten niet alleen juist geordende `<dt>`- en `<dd>`-groepen, `<script>`-, `<template>`- of `<div>`-elementen."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`-elementen bevatten alleen juist geordende `<dt>`- en `<dd>`-groepen, `<script>`-, `<template>`- of `<div>`-elementen."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Definitielijstitems (`<dt>` en `<dd>`) moeten zijn verpakt in een bovenliggend `<dl>`-element om ervoor te zorgen dat schermlezers ze juist kunnen aankondigen. [Meer informatie](https://web.dev/dlitem/)"},
"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Definitielijstitems zijn niet verpakt in `<dl>`-elementen"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Definitielijstitems zijn verpakt in `<dl>`-elementen"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"De titel geeft gebruikers van een schermlezer een overzicht van de pagina. Gebruikers van een zoekmachine vertrouwen in hoge mate hierop om te bepalen of een pagina relevant is voor hun zoekopdracht. [Meer informatie](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Document bevat geen `<title>`-element"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Document bevat een `<title>`-element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Alle focusbare elementen moeten een unieke `id` hebben om ervoor te zorgen dat ze zichtbaar zijn voor ondersteunende technologieën. [Meer informatie](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]`-kenmerken voor actieve, focusbare elementen zijn niet uniek"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"`[id]`-kenmerken voor actieve, focusbare elementen zijn uniek"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"De waarde van een ARIA-ID moet uniek zijn om te voorkomen dat andere instanties over het hoofd worden gezien door ondersteunende technologieën. [Meer informatie](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA-ID's zijn niet uniek"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA-ID's zijn uniek"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Formuliervelden met meerdere labels kunnen verwarrend worden aangekondigd door ondersteunende technologieën, zoals schermlezers, die het eerste label, het laatste label of alle labels gebruiken. [Meer informatie](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Er zijn formuliervelden met meerdere labels"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Er zijn geen formuliervelden met meerdere labels"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Gebruikers van een schermlezer zijn afhankelijk van frametitels die de content van de frames beschrijven. [Meer informatie](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>`- of `<iframe>`-elementen hebben geen titel"},
"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>`- of `<iframe>`-elementen hebben een titel"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Correct geordende koppen die geen niveaus overslaan, brengen de semantische structuur van de pagina over. Zo kan er beter op de pagina worden genavigeerd en kan de pagina beter worden geïnterpreteerd door ondersteunende technologieën. [Meer informatie](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Kopelementen worden niet weergegeven in aflopende volgorde"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Kopelementen worden weergegeven in aflopende volgorde"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Als een pagina geen lang-kenmerk specificeert, neemt een schermlezer aan dat de pagina is geschreven in de standaardtaal die de gebruiker heeft gekozen bij het instellen van de schermlezer. Als de pagina niet in de standaardtaal is geschreven, kan de schermlezer de tekst van de pagina mogelijk niet juist aankondigen. [Meer informatie](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>`-element bevat geen `[lang]`-kenmerk"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>`-element bevat een `[lang]`-kenmerk"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Als je een geldige [BCP 47-taal](https://www.w3.org/International/questions/qa-choosing-language-tags#question) opgeeft, kunnen schermlezers de tekst juist aankondigen. [Meer informatie](https://web.dev/html-lang-valid/)"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>`-element bevat geen geldige waarde voor het `[lang]`-kenmerk."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>`-element bevat een geldige waarde voor het `[lang]`-kenmerk"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Voor informatieve elementen moet een korte, beschrijvende alternatieve tekst worden gebruikt. Decoratieve elementen kunnen worden genegeerd met een leeg alt-kenmerk. [Meer informatie](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Afbeeldingselementen hebben geen `[alt]`-kenmerken"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Afbeeldingselementen bevatten `[alt]`-kenmerken"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Wanneer een afbeelding wordt gebruikt als `<input>`-knop en je hiervoor alternatieve tekst opgeeft, kunnen gebruikers van een schermlezer beter begrijpen wat het doel van de knop is. [Meer informatie](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">`-elementen bevatten geen `[alt]`-tekst'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">`-elementen bevatten `[alt]`-tekst'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Labels zorgen ervoor dat formulieropties juist worden aangekondigd door hulptechnologieën, zoals schermlezers. [Meer informatie](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Formulierelementen hebben geen bijbehorende labels"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Formulierelementen hebben bijbehorende labels"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Met linktekst (en alternatieve tekst voor afbeeldingen, indien gebruikt als links) die herkenbaar, uniek en focusbaar is, verbeter je de navigatiefunctionaliteit voor gebruikers van een schermlezer. [Meer informatie](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Links hebben geen herkenbare naam"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Links hebben een herkenbare naam"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Schermlezers hebben een specifieke manier om lijsten aan te kondigen. Een juiste lijststructuur verbetert de uitvoer van schermlezers. [Meer informatie](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Lijsten bevatten niet alleen `<li>`-elementen en elementen voor scriptondersteuning (`<script>` en `<template>`)."},
"lighthouse-core/audits/accessibility/list.js | title":{message:"Lijsten bevatten alleen `<li>`-elementen en elementen voor scriptondersteuning (`<script>` en `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Voor schermlezers moeten lijstitems (`<li>`) binnen een bovenliggende `<ul>` of `<ol>` worden geplaatst om juist te worden aangekondigd. [Meer informatie](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Lijstitems (`<li>`) zijn niet opgenomen in `<ul>` of bovenliggende `<ol>`-elementen."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Lijstitems (`<li>`) zijn tussen bovenliggende `<ul>`- of `<ol>`-elementen geplaatst"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Gebruikers verwachten niet dat een pagina automatisch wordt vernieuwd. Als dit wel gebeurt, wordt de focus teruggezet op de bovenkant van de pagina. Dit kan vervelend of verwarrend zijn voor gebruikers. [Meer informatie](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Het document gebruikt `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Het document gebruikt `<meta http-equiv="refresh">` niet'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Het uitzetten van de zoomfunctie is problematisch voor slechtzienden die afhankelijk zijn van schermvergroting om de content van een webpagina te zien. [Meer informatie](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]` wordt gebruikt in het `<meta name="viewport">`-element of het `[maximum-scale]`-kenmerk is minder dan 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` wordt niet gebruikt in het `<meta name="viewport">`-element en het `[maximum-scale]`-kenmerk is niet minder dan 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Schermlezers kunnen alleen tekstcontent vertalen. Als je alt-tekst aan `<object>`-elementen toevoegt, kunnen schermlezers de betekenis overbrengen aan gebruikers. [Meer informatie](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>`-elementen bevatten geen `[alt]`-tekst"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>`-elementen bevatten `[alt]`-tekst"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Een waarde groter dan 0 impliceert een expliciete navigatievolgorde. Hoewel dit technisch geldig is, is dit vaak vervelend voor gebruikers die afhankelijk zijn van hulptechnologieën. [Meer informatie](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Sommige elementen hebben een `[tabindex]`-waarde die groter is dan 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Geen element dat een `[tabindex]`-waarde heeft die groter is dan 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Schermlezers hebben functies waarmee gemakkelijker kan worden genavigeerd in tabellen. Als je zorgt dat `<td>`-cellen die het `[headers]`-kenmerk gebruiken, alleen verwijzen naar andere cellen in dezelfde tabel, kun je de functionaliteit verbeteren voor gebruikers van een schermlezer. [Meer informatie](https://web.dev/td-headers-attr/)"},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Cellen in een `<table>`-element die het `[headers]`-kenmerk gebruiken, verwijzen naar een element `id` dat niet in dezelfde tabel wordt gevonden."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Cellen in een `<table>`-element dat het `[headers]`-kenmerk gebruikt, verwijzen naar tabelcellen in dezelfde tabel."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Schermlezers hebben functies waarmee gemakkelijker kan worden genavigeerd in tabellen. Als je zorgt dat tabelheaders altijd verwijzen naar een bepaalde reeks cellen, kun je de functionaliteit verbeteren voor gebruikers van een schermlezer. [Meer informatie](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{
message:'`<th>`-elementen en elementen met `[role="columnheader"/"rowheader"]` bevatten niet de gegevenscellen die ze beschrijven.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>`-elementen en elementen met `[role="columnheader"/"rowheader"]` bevatten de gegevenscellen die ze beschrijven.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Als je een geldige [BCP 47-taal](https://www.w3.org/International/questions/qa-choosing-language-tags#question) voor elementen opgeeft, kan de tekst juist wordt uitgesproken door een schermlezer. [Meer informatie](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]`-kenmerken hebben geen geldige waarde"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]`-kenmerken bevatten een geldige waarde"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"Video's met ondertiteling bieden doven en slechthorenden betere toegang tot de bijbehorende informatie. [Meer informatie](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>`-elementen bevatten geen `<track>`-element met `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>`-elementen bevatten een `<track>`-element met `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Definieer een `apple-touch-icon` voor een ideale weergave op iOS wanneer gebruikers een progressive web-app aan het startscherm toevoegen. Deze moet verwijzen naar een niet-transparante vierkante PNG van 192px (of 180px). [Meer informatie](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Geeft geen geldig `apple-touch-icon` op"},
"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` is verouderd; `apple-touch-icon` krijgt de voorkeur."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Verstrekt een geldig `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Huidige waarde"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Voorgestelde token"},"lighthouse-core/audits/autocomplete.js | description":{message:"Met `autocomplete` kunnen gebruikers sneller formulieren indienen. Overweeg deze functie aan te zetten door het kenmerk `autocomplete` in te stellen op een geldige waarde, zodat gebruikers minder hoeven te typen. [Meer informatie](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>`-elementen hebben niet de juiste `autocomplete`-kenmerken"},
"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Handmatige beoordeling vereist"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Check de volgorde van tokens"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>`-elementen gebruiken `autocomplete` op de juiste manier"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete`-token(s): {token} is ongeldig in {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Check de volgorde van tokens: '{tokens}' in {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome-extensies hadden een negatieve invloed op de laadprestaties van deze pagina. Controleer de pagina in de incognitomodus of via een Chrome-profiel zonder extensies."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Scriptevaluatie"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Script parseren"},
"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Totale CPU-tijd"},"lighthouse-core/audits/bootup-time.js | description":{message:"Overweeg de tijd te verminderen die aan parseren, compileren en uitvoeren van JS wordt besteed. Het leveren van kleinere JS-payloads kan hierbij helpen. [Meer informatie](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Verkort de JavaScript-uitvoeringstijd"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript-uitvoeringstijd"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Verwijder grote, dubbele JavaScript-modules uit bundels, zodat er minder onnodige bytes worden verbruikt door netwerkactiviteit. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Dubbele modules verwijderen uit JavaScript-bundels"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Grote gif's zijn niet efficiënt om content met animaties te leveren. Overweeg het gebruik van MPEG4-/WebM-video's voor animaties en PNG/WebP voor statische afbeeldingen in plaats van gif's om netwerkbytes te besparen. [Meer informatie](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Gebruik video-indelingen voor content met animaties"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Met polyfills en transformaties kunnen verouderde browsers nieuwe JavaScript-functies gebruiken. Voor moderne browsers is dit meestal niet nodig. Volg voor je gebundelde JavaScript een implementatiestrategie voor moderne scripts op basis van module/nomodule-detectie. Dan beperk je namelijk de hoeveelheid code die naar moderne browsers wordt gestuurd, terwijl oudere browsers ondersteund blijven. [Meer informatie](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Voorkomen dat verouderde JavaScript wordt geleverd aan moderne browsers"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Afbeeldingsindelingen zoals JPEG 2000, JPEG XR en WebP bieden vaak betere compressie dan PNG of JPEG. Dit resulteert in snellere downloads en minder dataverbruik. [Meer informatie](https://web.dev/uses-webp-images/)"},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Lever afbeeldingen in moderne indelingen"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Overweeg afbeeldingen die niet in beeld zijn en verborgen afbeeldingen via 'lazy loading' te laden nadat alle kritieke bronnen zijn geladen om zo de tijd tot interactief te verlagen. [Meer informatie](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Laad afbeeldingen die niet in beeld zijn nog niet"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Bronnen blokkeren de eerste weergave (FP) voor je pagina. Overweeg kritieke JS/css inline te leveren en alle niet-kritieke JS/stijlen uit te stellen. [Meer informatie](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{
message:"Verwijder bronnen die de weergave blokkeren"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Grote netwerkpayloads kosten gebruikers geld en hebben vaak lange laadtijden. [Meer informatie](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Totale grootte was {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Vermijd enorme netwerkpayloads"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Vermijdt enorme netwerkpayloads"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Als je css-bestanden verkleint, kun je de omvang van netwerkpayloads verkleinen. [Meer informatie](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Verklein de css"},
"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Als je JavaScript-bestanden verkleint, kunnen de omvang van de payload en de parseringstijd van het script worden verkleind. [Meer informatie](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Verklein JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Beperk niet-gebruikte regels uit stylesheets en stel css uit die niet wordt gebruikt voor content boven de vouw zodat er minder bytes worden verbruikt door netwerkactiviteit. [Meer informatie](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Beperk niet-gebruikte css"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Beperk niet-gebruikt JavaScript en stel het laden van scripts uit totdat ze nodig zijn zodat er minder bytes worden verbruikt door netwerkactiviteit. [Meer informatie](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Beperk niet-gebruikt JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Een lange levensduur voor het cachegeheugen kan herhaalde bezoeken aan je pagina versnellen. [Meer informatie](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 bron gevonden}other{# bronnen gevonden}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Lever statische items met een efficiënt cachebeleid"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{
message:"Gebruikt een efficiënt cachebeleid voor statische items"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Geoptimaliseerde afbeeldingen worden sneller geladen en verbruiken minder mobiele data. [Meer informatie](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Codeer afbeeldingen op een efficiënte manier"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Lever afbeeldingen met het juiste formaat om mobiele data te besparen en de laadtijd te verbeteren. [Meer informatie](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Geef afbeeldingen het juiste formaat"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Tekstgebaseerde bronnen moeten worden geleverd met compressie (gzip, deflate of brotli) om het totale aantal netwerkbytes te minimaliseren. [Meer informatie](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Zet tekstcompressie aan"},"lighthouse-core/audits/content-width.js | description":{message:"Als de breedte van de content van je app niet overeenkomt met de breedte van het kijkvenster, is je app mogelijk niet geoptimaliseerd voor mobiele schermen. [Meer informatie](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"Het kijkvensterformaat van {innerWidth}px komt niet overeen met het vensterformaat van {outerWidth}px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"De content heeft niet het juiste formaat voor het kijkvenster"},"lighthouse-core/audits/content-width.js | title":{
message:"De content heeft het juiste formaat voor het kijkvenster"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"De onderstaande kritieke verzoekketens laten zien welke bronnen met een hoge prioriteit worden geladen. Overweeg de lengte van ketens te verkleinen, de downloadgrootte van bronnen te beperken of het downloaden van onnodige bronnen uit te stellen om de laadtijd van de pagina te verbeteren. [Meer informatie](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 keten gevonden}other{# ketens gevonden}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Doorlinken van kritieke verzoeken voorkomen"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Instructie"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Ernst"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Een sterke Content Security Policy (CSP) verlaagt het risico op aanvallen met cross-site scripting (XSS) aanzienlijk. [Meer informatie](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntaxis"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"De pagina bevat een CSP dat is gedefinieerd in een <meta>-tag. Overweeg het CSP te definiëren in een HTTP-header als dat mogelijk is."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Geen CSP gevonden in de handhavingsmodus"},"lighthouse-core/audits/csp-xss.js | title":{message:"Zorgen dat het CSP effectief is tegen XSS-aanvallen"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Beëindiging / Waarschuwing"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Lijn"},"lighthouse-core/audits/deprecations.js | description":{
message:"Beëindigde API's worden uiteindelijk verwijderd uit de browser. [Meer informatie](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 waarschuwing gevonden}other{# waarschuwingen gevonden}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Gebruikt beëindigde API's"},"lighthouse-core/audits/deprecations.js | title":{message:"Vermijdt beëindigde API's"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache is beëindigd. [Meer informatie](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"'{AppCacheManifest}' gevonden"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Gebruikt Application Cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Vermijdt Application Cache"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Een declaratie voor tekencodering is vereist. Dit kan worden gedaan met een `<meta>`-tag in de eerste 1024 bytes van de HTML of in de HTTP-reactiekop voor het contenttype. [Meer informatie](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Tekensetdeclaratie ontbreekt of komt te laat in de HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Definieert tekenset correct"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Door een doctype op te geven, voorkom je dat de browser overschakelt naar de quirks-modus. [Meer informatie](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"De naam van het doctype moet de tekenreeks `html` in kleine letters zijn"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Document moet een doctype bevatten"
},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Verwachtte een lege tekenreeks voor publicId"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Verwachtte een lege tekenreeks voor systemId"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Pagina heeft geen HTML-doctype en activeert dus de quirks-modus"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Pagina bevat HTML-doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistiek"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Waarde"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Een grote DOM vergroot het geheugengebruik, en veroorzaakt [stijlberekeningen](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) en dure [dynamische aanpassingen in de vormgeving](https://developers.google.com/speed/articles/reflow). [Meer informatie](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}other{# elementen}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Vermijd een overmatig grote DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximum DOM-diepte"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Totaal aantal DOM-elementen"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximum aantal onderliggende elementen"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Vermijdt een overmatige grote DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Mislukte ankers"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Voeg `rel="noopener"` of `rel="noreferrer"` toe aan eventuele externe links om de prestaties te verbeteren en kwetsbaarheden in de beveiliging te voorkomen. [Meer informatie](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Links naar cross-originbestemmingen zijn onveilig"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Links naar cross-origin-bestemmingen zijn veilig"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Kan geen bestemming bepalen voor ankeradvertentie ({anchorHTML}). Als deze niet wordt gebruikt als hyperlink, overweeg dan om target=_blank te verwijderen."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Gebruikers wantrouwen of raken in de war van sites die vragen om hun locatie zonder context. Overweeg het verzoek in plaats daarvan te koppelen aan gebruikershandelingen. [Meer informatie](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Verzoekt om de geolocatierechten bij laden van pagina"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Vermijdt verzoeken om de geolocatierechten bij laden van pagina"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Type probleem"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problemen die in het deelvenster `Issues` in Chrome DevTools worden geregistreerd, geven aan dat er onopgeloste problemen zijn. Ze kunnen afkomstig zijn van niet-uitgevoerde netwerkverzoeken, onvoldoende beveiligingsbeheer en andere problemen met de browser. Open het deelvenster met problemen in Chrome DevTools voor meer informatie over elk probleem."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problemen zijn geregistreerd in het deelvenster `Issues` Chrome DevTools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Geblokkeerd door cross-origin-beleid"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Hoog bronverbruik door advertenties"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Geen problemen in het deelvenster `Issues` in Chrome DevTools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{
message:"Versie"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Alle front end JavaScript-bibliotheken op de pagina gedetecteerd. [Meer informatie](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Gedetecteerde JavaScript-bibliotheken"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Externe scripts die dynamisch worden geïnjecteerd via `document.write()` kunnen bij gebruikers met een langzame verbinding het laden van de pagina met tientallen seconden vertragen. [Meer informatie](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Vermijd `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Vermijdt `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Meest ernstig"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Bibliotheekversie"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Aantal kwetsbaarheden"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Sommige scripts van derden kunnen bekende beveiligingskwetsbaarheden bevatten die makkelijk te identificeren zijn en door aanvallers kunnen worden gebruikt. [Meer informatie](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 kwetsbaarheid gedetecteerd}other{# kwetsbaarheden gedetecteerd}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Omvat front end JavaScript-bibliotheken met bekende beveiligingskwetsbaarheden"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Vermijdt front end JavaScript-bibliotheken met bekende beveiligingskwetsbaarheden"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Gebruikers wantrouwen of raken in de war van sites die vragen om meldingen zonder context te versturen. Overweeg het verzoek in plaats daarvan te koppelen aan gebruikersgebaren. [Meer informatie](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Verzoekt om de meldingsrechten bij laden van pagina"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Vermijdt verzoeken om de meldingsrechten bij laden van pagina"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Verhindering van het plakken van wachtwoorden ondermijnt een goed beveiligingsbeleid. [Meer informatie](https://web.dev/password-inputs-can-be-pasted-into/)"},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Voorkomt dat gebruikers kunnen plakken in wachtwoordvelden"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Laat gebruikers plakken in wachtwoordvelden"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 beschikt over veel voordelen ten opzichte van HTTP/1.1, waaronder binaire headers en multiplexing. [Meer informatie](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 verzoek niet getoond via HTTP/2}other{# verzoeken niet getoond via HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2 gebruiken"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Overweeg je touch- en event-listeners te markeren als `passive` om de scrollprestaties van je pagina te verbeteren. [Meer informatie](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Gebruikt geen passieve listeners om scrollprestaties te verbeteren"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Gebruikt passieve listeners voor de verbetering van de scrollprestaties"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Fouten die op de console worden geregistreerd, geven aan dat er onopgeloste problemen zijn. Ze kunnen afkomstig zijn van niet-uitgevoerde netwerkverzoeken en andere problemen met de browser. [Meer informatie](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Er zijn browserfouten gelogd op de console"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"Er zijn geen browserfouten gelogd op de console"},"lighthouse-core/audits/font-display.js | description":{message:"Maak gebruik van de css-functie 'font-display' om ervoor te zorgen dat tekst zichtbaar is voor gebruikers terwijl weblettertypen worden geladen. [Meer informatie](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Zorg ervoor dat tekst zichtbaar blijft tijdens het laden van weblettertypen"},"lighthouse-core/audits/font-display.js | title":{message:"Alle tekst blijft zichtbaar tijdens het laden van weblettertypen"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse kan de `font-display`-waarde voor de herkomst {fontOrigin} niet automatisch checken.}other{Lighthouse kan de `font-display`-waarden voor de herkomst {fontOrigin} niet automatisch checken.}}"},
"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Beeldverhouding (origineel)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Beeldverhouding (weergegeven)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"De weergaveafmetingen van afbeeldingen moeten overeenkomen met de natuurlijke beeldverhouding. [Meer informatie](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Geeft afbeeldingen weer met een onjuiste beeldverhouding"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Geeft afbeeldingen weer met een juiste beeldverhouding"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Werkelijk formaat"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Weergegeven formaat"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Verwacht formaat"},
"lighthouse-core/audits/image-size-responsive.js | description":{message:"De natuurlijke afmetingen van de afbeelding moeten in verhouding zijn tot het weergaveformaat en de pixelratio om de helderheid van de afbeelding te maximaliseren. [Meer informatie](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Levert afbeeldingen met lage resolutie"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Levert afbeeldingen met de juiste resolutie"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"De app is al geïnstalleerd"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Kan een vereist icoon niet downloaden uit het manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Oorzaak van fout"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"De service worker is de technologie waarmee je app veel functies van progressive web-apps kan gebruiken, zoals offline functionaliteit, toevoegen aan het startscherm en pushmeldingen. Met goede implementaties van de service worker en het manifest kunnen browsers gebruikers proactief vragen je app aan hun startscherm toe te voegen. Dit kan leiden tot grotere betrokkenheid. [Meer informatie](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 reden}other{# redenen}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Het manifest van de web-app of de service worker voldoet niet aan de vereisten voor installeerbaarheid"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"De app-URL en de ID van de Play Store komen niet overeen"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Je laadt de pagina in een incognitovenster"
},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"De eigenschap 'display' van het manifest moet 'standalone', 'fullscreen' of 'minimal-ui' zijn"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Het manifest bevat het veld 'display_override'. De eerste ondersteunde weergavemodus moet 'standalone', 'fullscreen' of 'minimal-ui' zijn."},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Het manifest kan niet worden opgehaald, is leeg of kan niet worden geparseerd"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"De manifest-URL is gewijzigd tijdens het ophalen van het manifest."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Het manifest bevat geen veld 'name' of 'short_name'"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:"Het manifest bevat geen geschikt icoon. Een png-, svg- of webp-indeling van ten minste {value0} pixels is vereist, het formaatkenmerk moet zijn ingesteld en het doelkenmerk (indien ingesteld) moet 'any' bevatten."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Geen enkel geleverd icoon is een vierkant van minstens {value0} pixels in png-, svg- of webp-indeling met het doelkenmerk niet ingesteld of ingesteld op 'any'."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Het gedownloade icoon is leeg of beschadigd"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Geen Play Store-ID opgegeven"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"De pagina heeft geen manifest-URL <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Geen overeenkomende service worker gevonden. Laad de pagina opnieuw of check of het bereik van de service worker voor de huidige pagina het bereik en de start-URL van het manifest omvat."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Kan de service worker niet checken zonder een veld 'start_url' in het manifest"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"De ID van de installeerbaarheidsfout '{errorId}' wordt niet herkend"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"De pagina wordt niet weergegeven via een beveiligde bron"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"De pagina wordt niet in het hoofdframe geladen"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"De pagina werkt niet offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"Het opgegeven app-platform wordt niet ondersteund op Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Het manifest specificeert prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications wordt alleen ondersteund op bèta- en stabiele kanalen van Chrome op Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"De start-URL voor het manifest is ongeldig"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Het manifest van de web-app en de service worker voldoen aan de vereisten voor installeerbaarheid"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Een URL in het manifest bevat een gebruikersnaam, wachtwoord of poort"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"De pagina werkt niet offline. Vanaf de stabiele release van Chrome 93 in augustus 2021 wordt deze pagina niet meer als installeerbaar beschouwd."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Toegestaan"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Geblokkeerd"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Niet-beveiligde URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Oplossing voor verzoek"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Alle sites moeten worden beschermd met HTTPS, zelfs sites die geen gevoelige gegevens verwerken. Dit omvat het vermijden van [gemengde content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), waarbij sommige bronnen worden geladen via HTTP ondanks dat het eerste verzoek wordt geleverd via HTTPS. HTTPS voorkomt dat indringers de communicatie tussen je app en je gebruikers manipuleren of hier passief naar luisteren en is een vereiste voor HTTP/2 en veel nieuwe webplatform-API's. [Meer informatie](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 niet-beveiligd verzoek gevonden}other{# niet-beveiligde verzoeken gevonden}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Gebruikt geen HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Gebruikt HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{
message:"Automatisch geüpgraded naar HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Toegestaan met waarschuwing"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliotheek"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Grote JavaScript-bibliotheken kunnen slechte prestaties tot gevolg hebben. Geef de voorkeur aan kleinere, functioneel gelijke bibliotheken om de bundelgrootte te beperken. [Meer informatie](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 grote bibliotheek gevonden}other{# grote bibliotheken gevonden}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Onnodig grote JavaScript-bibliotheken vervangen"},"lighthouse-core/audits/large-javascript-libraries.js | title":{
message:"Vermijdt grote JavaScript-bibliotheken door kleinere alternatieven te gebruiken"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Dit is het grootste element met content dat is weergegeven in het kijkvenster. [Meer informatie](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"LCP-element (grootste weergave met content)"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS-bijdrage"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Deze DOM-elementen dragen het meeste bij aan de CLS van de pagina."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Grote indelingsverschuivingen vermijden"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Vermeldt de langste taken in de primaire thread (dit is handig om de bijdragers te identificeren die zorgen voor de meeste invoervertraging). [Meer informatie](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# lange taak gevonden}other{# lange taken gevonden}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Lange taken in de primaire thread vermijden"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categorie"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Overweeg de tijd te verminderen die aan het parseren, compileren en uitvoeren van JS wordt besteed. Het leveren van kleinere JS-payloads kan hierbij helpen. [Meer informatie](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Primaire threadbewerkingen minimaliseren"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Primaire threadbewerkingen minimaliseren"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Sites moeten werken in alle grote browsers om zoveel mogelijk gebruikers te bereiken. [Meer informatie](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"De site werkt in verschillende browsers"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Zorg ervoor dat deep links voor afzonderlijke pagina's via een URL kunnen worden opgenomen en dat URL's uniek zijn zodat ze op social media kunnen worden gedeeld. [Meer informatie](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Elke pagina heeft een URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Overgangen moeten snel aanvoelen terwijl je op een pagina tikt, zelfs bij gebruik van een langzaam netwerk. Dit is essentieel voor hoe de gebruiker de prestaties waarneemt. [Meer informatie](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Paginaovergangen voelen niet alsof ze vastlopen op het netwerk"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Een maskeerbaar icoon zorgt ervoor dat de afbeelding de hele vorm uitvult zonder horizontale zwarte balken als een app wordt geïnstalleerd op het apparaat. [Meer informatie](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest heeft geen maskeerbaar icoon"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest heeft een maskeerbaar icoon"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Cumulatieve indelingsverschuiving (CLS) meet de beweging van zichtbare elementen binnen het kijkvenster. [Meer informatie](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"'Eerste tekenbewerking met content' (FCP) geeft het tijdstip aan waarop de eerste tekst of afbeelding wordt getoond. [Meer informatie](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"'Eerste nuttige weergave' (FMP) meet wanneer de primaire content van een pagina zichtbaar is. [Meer informatie](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"'Tijd tot interactief' is de hoeveelheid tijd die nodig is voordat een pagina volledig interactief is. [Meer informatie](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Grootste weergave met content (LCP) geeft het tijdstip aan waarop de grootste tekst of afbeelding is weergegeven. [Meer informatie](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"De maximale potentiële vertraging voor de eerste invoer die gebruikers kunnen ervaren, is de duur van de langste taak. [Meer informatie](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Snelheidsindex laat zien hoe snel de content van een pagina zichtbaar is. [Meer informatie](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Som van alle perioden tussen 'Eerste tekenbewerking met content' (FCP) en 'Tijd tot interactief', wanneer de taaklengte langer duurt dan 50 ms, aangegeven in milliseconden. [Meer informatie](https://web.dev/lighthouse-total-blocking-time/)"},
"lighthouse-core/audits/network-rtt.js | description":{message:"Retourtijden (RTT) van netwerken hebben een grote invloed op de prestaties. Een hoge RTT naar een beginpunt geeft aan dat de prestaties van servers dichter bij de gebruiker kunnen worden verbeterd. [Meer informatie](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Retourtijden van netwerk"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Serverlatenties kunnen invloed hebben op de webprestaties. Als de serverlatentie van een beginpunt hoog is, is dit een indicatie dat de server overbelast is of slechte backend-prestaties levert. [Meer informatie](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Wachttijden van server-backend"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"De gebeurtenis `unload` wordt niet op een betrouwbare manier geactiveerd en hierop wachten kan ervoor zorgen dat browseroptimalisaties zoals de Back-Forward Cache niet worden uitgevoerd. Overweeg in plaats daarvan de gebeurtenissen `pagehide` of `visibilitychange` te gebruiken. [Meer informatie](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registreert een `unload`-listener"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Vermijdt `unload`-event-listeners"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animaties die niet samengesteld zijn, kunnen langzaam zijn en ertoe leiden dat de CLS toeneemt. [Meer informatie](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{# animatie-element gevonden}other{# animatie-elementen gevonden}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Een aan filters gerelateerde eigenschap kan pixels verplaatsen"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Het doel heeft een andere animatie die incompatibel is"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Effect heeft een andere composite-modus dan 'replace'"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Niet-samengestelde animaties vermijden"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Een aan transformatie gerelateerde eigenschap is afhankelijk van de grootte van het vak"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Niet-ondersteunde css-eigenschap: {properties}}other{Niet-ondersteunde css-eigenschappen: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effect heeft niet-ondersteunde tijdparameters"},"lighthouse-core/audits/performance-budget.js | description":{message:"Houd de hoeveelheid en grootte van netwerkverzoeken onder de door het verstrekte prestatiebudget ingestelde doelen. [Meer informatie](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 verzoek}other{# verzoeken}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Prestatiebudget"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Laad `optional` lettertypen vooraf zodat nieuwe bezoekers deze kunnen gebruiken. [Meer informatie](https://web.dev/preload-optional-fonts/)"},
"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Lettertypen met `font-display: optional` zijn niet vooraf geladen"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Lettertypen met `font-display: optional` zijn vooraf geladen"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Laad de afbeelding die voor het LCP-element wordt gebruikt, vooraf om de LCP-tijd te verbeteren. [Meer informatie](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Afbeelding voor Grootste weergave met content (LCP) vooraf laden"},"lighthouse-core/audits/redirects-http.js | description":{message:"Als je HTTPS al hebt ingesteld, zorg je ervoor dat je al het HTTP-verkeer omleidt naar HTTPS om beveiligde webfuncties voor alle gebruikers te activeren. [Meer informatie](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{
message:"Hiermee wordt HTTP-verkeer niet omgeleid naar HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Hiermee wordt HTTP-verkeer omgeleid naar HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Omleidingen zorgen voor extra vertraging voordat de pagina kan worden geladen. [Meer informatie](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Vermijd meerdere pagina-omleidingen"},"lighthouse-core/audits/resource-summary.js | description":{message:"Voeg een budget.json-bestand toe om budgetten in te stellen voor de hoeveelheid en grootte van paginabronnen. [Meer informatie](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 verzoek • {byteCount, number, bytes} KiB}other{# verzoeken • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{
message:"Houd het aantal verzoeken laag en de overdrachtsgrootte klein"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Canonieke links geven een suggestie voor welke URL moet worden getoond in de zoekresultaten. [Meer informatie](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Meerdere conflicterende URL's ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Wijst naar een ander domein ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Ongeldige URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Wijst naar een andere `hreflang`-locatie ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relatieve URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{
message:"Verwijst naar de root-URL van het domein (de homepage), in plaats van een equivalente pagina van de content"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Document bevat geen geldig `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Document bevat een geldige `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link die niet kan worden gecrawld"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Zoekmachines kunnen `href`-kenmerken in links gebruiken om websites te crawlen. Zorg ervoor dat het `href`-kenmerk van ankerelementen linkt naar een geschikte bestemming, zodat meer pagina's van de site kunnen worden gevonden. [Meer informatie](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Links kunnen niet worden gecrawld"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{
message:"Links kunnen worden gecrawld"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Aanvullende onleesbare tekst"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Lettergrootte"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% van paginatekst"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Kiezer"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Lettergrootten kleiner dan 12 pixels zijn te klein om leesbaar te zijn en leiden ertoe dat mobiele bezoekers hun 'vingers moeten 'knijpen' om te zoomen voordat ze de tekst kunnen lezen. Probeer om meer dan 60% van de paginatekst gelijk aan of groter dan 12 pixels te maken. [Meer informatie](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} leesbare tekst"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{
message:"Tekst is onleesbaar omdat er geen kijkvenstermetatag is geoptimaliseerd voor mobiele schermen."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Document gebruikt geen leesbare lettergrootten"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Leesbare tekst"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Document gebruikt leesbare lettergrootten"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang-links laten zoekmachines weten welke versie van een pagina ze moeten vermelden in zoekresultaten voor een bepaalde taal of regio. [Meer informatie](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Document bevat geen geldige `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relatieve href-waarde"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Document bevat een geldige `hreflang`"},
"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Onverwachte taalcode"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Pagina's met ongeldige HTTP-statuscodes worden mogelijk niet juist geïndexeerd. [Meer informatie](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Pagina bevat ongeldige HTTP-statuscode"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Pagina bevat geldige HTTP-statuscode"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Zoekmachines kunnen je pagina's niet opnemen in zoekresultaten als de zoekmachines geen rechten hebben om ze te crawlen. [Meer informatie](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Pagina is geblokkeerd tegen indexeren"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Pagina is niet geblokkeerd tegen indexeren"},
"lighthouse-core/audits/seo/link-text.js | description":{message:"Aan de hand van beschrijvende linktekst kunnen zoekmachines je content begrijpen. [Meer informatie](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link gevonden}other{# links gevonden}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Links bevatten geen beschrijvende tekst"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Links bevatten beschrijvende tekst"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Voer de [Tool voor het testen van gestructureerde gegevens](https://search.google.com/structured-data/testing-tool/) en de [Linter voor gestructureerde gegevens](http://linter.structured-data.org/) uit om gestructureerde gegevens te valideren. [Meer informatie](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{
message:"De gestructureerde gegevens zijn geldig"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Er kunnen metabeschrijvingen worden opgenomen in zoekresultaten voor een korte samenvatting van paginacontent. [Meer informatie](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Beschrijvingstekst is leeg."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Document bevat geen metabeschrijving"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Document bevat een metabeschrijving"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Zoekmachines kunnen content van plug-ins niet indexeren en veel apparaten beperken plug-ins of ondersteunen deze niet. [Meer informatie](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Document gebruikt plug-ins"},"lighthouse-core/audits/seo/plugins.js | title":{
message:"Document vermijdt plug-ins"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Als je robots.txt-bestand niet juist is opgemaakt, begrijpen crawlers mogelijk niet hoe je wilt dat je website wordt gecrawld of geïndexeerd. [Meer informatie](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Verzoek voor robots.txt heeft volgende HTTP-status geretourneerd: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 fout gevonden}other{# fouten gevonden}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse kan geen robots.txt-bestand downloaden"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt is niet geldig"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt is geldig"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Interactieve elementen, zoals knoppen en links, moeten groot genoeg zijn (48 x 48 pixels) en moeten voldoende ruimte eromheen hebben, zodat er makkelijk op getikt kan worden zonder dat andere elementen worden aangeraakt. [Meer informatie](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} van de tikdoelen heeft een geschikt formaat"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Tikdoelen zijn te klein, omdat er geen kijkvenstermetatag is geoptimaliseerd voor mobiele schermen"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Tikdoelen hebben niet het juiste formaat"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Overlappend doel"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Tikdoel"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"Tikdoelen hebben het juiste formaat"},"lighthouse-core/audits/server-response-time.js | description":{message:"Houd de reactietijd van de server voor het hoofddocument kort, omdat alle andere verzoeken daarvan afhankelijk zijn. [Meer informatie](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Hoofddocument duurde {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Eerste reactietijd van server verkorten"},"lighthouse-core/audits/server-response-time.js | title":{message:"Eerste reactietijd van server was kort"},"lighthouse-core/audits/service-worker.js | description":{message:"De service worker is de technologie waarmee je app veel functies van progressive web-apps kan gebruiken, zoals offline functionaliteit, toevoegen aan het startscherm en pushmeldingen. [Meer informatie](https://web.dev/service-worker/)"},
"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Deze pagina wordt beheerd door een service worker, maar er is geen `start_url` gevonden omdat het manifest niet kan worden geparseerd als geldig json-bestand"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Deze pagina wordt beheerd door een service worker, maar de `start_url` ({startUrl}) valt niet binnen het bereik van de service worker ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Deze pagina wordt beheerd door een service worker, maar er is geen `start_url` gevonden omdat er geen manifest is opgehaald."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Deze herkomst heeft een of meer service workers, maar de pagina ({pageUrl}) valt niet binnen het bereik."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Registreert geen service worker die de pagina en `start_url` beheert"},
"lighthouse-core/audits/service-worker.js | title":{message:"Registreert een service worker die de pagina en `start_url` beheert"},"lighthouse-core/audits/splash-screen.js | description":{message:"Een startscherm met een thema zorgt voor een gebruikerservaring van hoge kwaliteit wanneer gebruikers je app starten vanaf hun startscherm. [Meer informatie](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Is niet geconfigureerd voor een aangepast startscherm"},"lighthouse-core/audits/splash-screen.js | title":{message:"Is geconfigureerd voor een aangepast startscherm"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Het thema van de adresbalk van de browser kan worden aangepast aan je site. [Meer informatie](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Hiermee wordt geen themakleur voor de adresbalk ingesteld."},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"Hiermee wordt een themakleur voor de adresbalk ingesteld."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (succesverhalen)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (sociaal)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Product"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Bepaalde insluitingen van derden kunnen via lazy loading worden geladen. Overweeg deze door een façade te vervangen tot ze vereist zijn. [Meer informatie](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# alternatief beschikbaar voor façade}other{# alternatieven beschikbaar voor façade}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Bepaalde resources van derden kunnen via lazy loading worden geladen met een façade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Resources van derden laden via lazy loading met façades"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Derden"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Code van derden kan van grote invloed zijn op de laadprestaties. Beperk het aantal overbodige externe providers en probeer code van derden te laden nadat je pagina primair is geladen. [Meer informatie](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{
message:"Code van derden heeft de primaire thread gedurende {timeInMs, number, milliseconds} ms geblokkeerd"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"De impact van code van derden beperken"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Gebruik door derden minimaliseren"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Meting"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Statistiek"},"lighthouse-core/audits/timing-budget.js | description":{message:"Stel een timingbudget in om de prestaties van je site in de gaten te houden. Sites die goed presteren, worden snel geladen en reageren snel op gebruikersinvoer. [Meer informatie](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Timingbudget"},"lighthouse-core/audits/unsized-images.js | description":{
message:"Stel een expliciete breedte en hoogte in voor afbeeldingselementen om opmaakverschuivingen te verminderen en CLS te verbeteren. [Meer informatie](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Afbeeldingselementen hebben geen expliciete `width` en `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Afbeeldingselementen hebben expliciete `width` en `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Type"},"lighthouse-core/audits/user-timings.js | description":{message:"Overweeg je app te voorzien van de API voor gebruikerstiming om de daadwerkelijke prestaties van je app tijdens belangrijke gebruikerservaringen te meten. [Meer informatie](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 gebruikerstiming}other{# gebruikerstimings}}"},"lighthouse-core/audits/user-timings.js | title":{
message:"Markeringen en metingen voor gebruikerstiming"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Er is een `<link rel=preconnect>` gevonden voor {securityOrigin} maar deze is niet gebruikt door de browser. Check of je het kenmerk `crossorigin` juist gebruikt."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Overweeg hints voor `preconnect` of `dns-prefetch` van bronnen toe te voegen om vroege verbindingen met belangrijke externe herkomsten tot stand te brengen. [Meer informatie](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Maak vooraf verbinding met vereiste herkomsten"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Er zijn meer dan 2 `<link rel=preconnect>`-verbindingen gevonden. Deze moeten niet te veel worden gebruikt en alleen voor de belangrijkste herkomsten."},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Er is een `<link rel=preconnect>` gevonden voor {securityOrigin} maar deze is niet gebruikt door de browser. Gebruik `preconnect` alleen voor belangrijke herkomsten die de pagina zeker aanvraagt."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Er is een `<link>` voor vooraf laden gevonden voor {preloadURL} maar deze is niet gebruikt door de browser. Check of je het kenmerk `crossorigin` juist gebruikt."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Overweeg `<link rel=preload>` te gebruiken om prioriteit te geven aan het ophalen van bronnen die momenteel later tijdens het laden van de pagina worden opgehaald. [Meer informatie](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Laad belangrijke verzoeken vooraf"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Kaart-URL"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"Bronkaarten zetten verkleinde code om in de oorspronkelijke broncode. Aan de hand hiervan kunnen ontwikkelaars foutopsporing uitvoeren in productie. Daarnaast kan Lighthouse meer inzichten bieden. Overweeg bronkaarten te implementeren om gebruik te maken van deze voordelen. [Meer informatie](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"De bronkaarten voor een groot first-party JavaScript-bestand ontbreken"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"De bronkaart voor een groot JavaScript-bestand ontbreekt"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Waarschuwing: 1 item ontbreekt in `.sourcesContent`}other{Waarschuwing: # items ontbreken in `.sourcesContent`}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"De pagina heeft geldige bronkaarten"},"lighthouse-core/audits/viewport.js | description":{message:'Voeg een `<meta name="viewport">`-tag toe om je app te optimaliseren voor mobiele schermen. [Meer informatie](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Geen `<meta name="viewport">`-tag gevonden'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Bevat geen `<meta name="viewport">`-tag met `width` of `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Bevat een `<meta name="viewport">`-tag met `width` of `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Dit zijn suggesties om het gebruik van ARIA in je app te verbeteren, wat kan leiden tot betere functionaliteit voor gebruikers van hulptechnologie, zoals een schermlezer."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{
message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Dit zijn mogelijkheden om alternatieve content voor audio en video te bieden. Dit verbetert mogelijk de functionaliteit voor gebruikers met een visuele of gehoorbeperking."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio en video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Deze items geven praktische tips voor algemene toegankelijkheid aan."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Praktische tips"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Deze controles geven mogelijkheden aan om [de toegang tot je web-app te verbeteren](https://developers.google.com/web/fundamentals/accessibility). Alleen een subset van toegankelijkheidsproblemen kan automatisch worden gedetecteerd. Daarom wordt handmatig testen ook aangeraden."},
"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Deze items gaan over gebieden die niet kunnen worden getest met een automatische testtool. Bekijk meer informatie in onze gids over [het uitvoeren van een toegankelijkheidscontrole](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Toegankelijkheid"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Dit zijn suggesties om de leesbaarheid van je content te verbeteren."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Dit zijn suggesties om de interpretatie van je content door gebruikers in verschillende landen te verbeteren."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{
message:"Internationalisering en lokalisatie"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Dit zijn suggesties om de semantiek van de opties in je app te verbeteren. Zo kun je de functionaliteit verbeteren voor gebruikers van hulptechnologie, zoals een schermlezer."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Namen en labels"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Dit zijn de mogelijkheden om toetsenbordnavigatie in je app te verbeteren."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigatie"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Dit zijn mogelijkheden om de functionaliteit voor het lezen van gegevens in tabellen of lijsten te verbeteren met ondersteunende technologie, zoals een schermlezer."},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabellen en lijsten"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Browsercompatibiliteit"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Praktische tips"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Algemeen"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Vertrouwen en veiligheid"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Gebruikerservaring"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Prestatiebudgetten stellen normen in voor de prestaties van je site."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budgetten"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{
message:"Meer informatie over de prestaties van je app. Deze cijfers hebben geen [directe invloed](https://web.dev/performance-scoring/) op de prestatiescore."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostische gegevens"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Het meest essentiële aspect van de prestaties is hoe snel pixels worden weergegeven op het scherm. Belangrijkste statistieken: eerste weergave met content (FCP), eerste nuttige weergave (FMP)"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Verbeteringen voor eerste weergave"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Deze suggesties kunnen helpen je pagina sneller te laden. Ze hebben geen [directe invloed](https://web.dev/performance-scoring/) op de prestatiescore."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{
message:"Aanbevelingen"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Statistieken"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Verbeter de algemene laadfunctionaliteit, zodat de pagina zo snel mogelijk reageert en gebruiksklaar is. Belangrijkste statistieken: Tijd tot interactief, Snelheidsindex"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Algemene verbeteringen"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Prestaties"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Deze controles valideren de aspecten van een progressive web-app. [Meer informatie](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Deze controles worden vereist door de baseline [PWA-checklist](https://developers.google.com/web/progressive-web-apps/checklist) maar worden niet automatisch gecontroleerd door Lighthouse. Ze zijn niet van invloed op je score, maar het is wel belangrijk dat je ze handmatig verifieert."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive web-app"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Installeerbaar"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Geoptimaliseerd voor PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Deze controles zorgen ervoor dat je pagina is geoptimaliseerd voor positionering in zoekmachineresultaten. Er zijn aanvullende factoren die Lighthouse niet controleert en die je positie in de zoekresultaten kunnen beïnvloeden. [Meer informatie](https://support.google.com/webmasters/answer/35769)"},
"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Voer deze extra validators op je site uit om aanvullende praktische tips voor SEO te controleren."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Maak je HTML zo op dat crawlers de content van je app beter begrijpen."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Praktische tips voor content"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Crawlers hebben toegang nodig tot je app om je website in zoekresultaten weer te geven."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Crawlen en indexeren"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Zorg dat je pagina's geschikt zijn voor mobiele apparaten zodat gebruikers niet hun vingers hoeven te knijpen of moeten zoomen om de contentpagina's te lezen. [Meer informatie](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Geschikt voor mobiele apparaten"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Zo te zien heeft het geteste apparaat een langzamere CPU dan Lighthouse verwachtte. Dit kan je prestatiescore negatief beïnvloeden. Meer informatie over hoe je [de juiste vertragingsvermenigvuldiger voor de CPU kalibreert](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"De pagina wordt mogelijk niet geladen zoals verwacht omdat je test-URL ({requested}) is omgeleid naar {final}. Probeer de tweede URL rechtstreeks te testen."},
"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"De pagina is te langzaam geladen om binnen de tijdslimiet te voltooien. De resultaten kunnen onvolledig zijn."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{Er kunnen op de volgende locatie gegevens zijn opgeslagen die van invloed zijn op de laadprestaties: {locations}. Controleer deze pagina in een incognitovenster om te voorkomen dat die bronnen van invloed zijn op je scores.}other{Er kunnen op de volgende locaties gegevens zijn opgeslagen die van invloed zijn op de laadprestaties: {locations}. Controleer deze pagina in een incognitovenster om te voorkomen dat die bronnen van invloed zijn op je scores.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Voor compatibiliteit met oudere browsers kun je overwegen https: en http: URL-schema's toe te voegen (deze worden genegeerd door browsers die 'strict-dynamic' ondersteunen)."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener is beëindigd sinds CSP3. Gebruik in plaats daarvan de header Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer is beëindigd sinds CSP2. Gebruik in plaats daarvan de header Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss is beëindigd sinds CSP2. Gebruik in plaats daarvan de header X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Zonder base-uri kunnen ingevoegde <base>-tags de basis-URL instellen voor alle relatieve URL's (bijv. scripts) naar een door de aanvaller beheerd domein. Overweeg base-uri in te stellen op 'none' of 'self'."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Elementen die worden beheerd door object-src, worden gezien als verouderde functies. Overweeg object-src in te stellen op 'none' om te voorkomen dat er plug-ins worden ingevoegd die onveilige scripts uitvoeren."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"De instructie script-src ontbreekt. Dit kan tot gevolg hebben dat onveilige scripts kunnen worden uitgevoerd."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Ben je de puntkomma vergeten? Zo te zien is {keyword} een instructie en geen zoekwoord."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces moeten de base64-tekenset gebruiken."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces moeten ten minste 8 tekens lang zijn."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"De rapportagebestemming is alleen ingesteld via de instructie report-to. Deze instructie wordt alleen ondersteund in op Chromium gebaseerde browsers, dus het wordt aanbevolen ook een instructie report-uri te gebruiken."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Er is geen CSP waarmee een rapportagebestemming wordt ingesteld. Hierdoor is het moeilijk om het CSP na verloop van tijd te onderhouden en te monitoren op kwetsbaarheden."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Toelatingslijsten van hosts kunnen vaak worden omzeild. Overweeg 'strict-dynamic' te gebruiken in combinatie met CSP-nonces of -hashes."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Onbekende CSP-instructie."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Zo te zien is {keyword} een ongeldig zoekwoord."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"Met 'unsafe-inline' kunnen onveilige scripts en gebeurtenishandlers op de pagina worden uitgevoerd. Overweeg CSP-nonces of -hashes te gebruiken om scripts afzonderlijk toe te staan."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Voor compatibiliteit met oudere browsers kun je overwegen 'unsafe-inline' toe te voegen (dit wordt genegeerd door browsers die nonces/hashes ondersteunen)."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tijd dat primaire thread is geblokkeerd"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache-TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Beschrijving"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duur"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Mislukte elementen"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Locatie"},
"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Naam"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Over het budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Verzoeken"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Brongrootte"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Brontype"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Formaat"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Bron"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Begintijd"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Bestede tijd"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Overdrachtsgrootte"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potentiële besparingen"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potentiële besparingen"},
"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potentiële besparing van {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 element gevonden}other{# elementen gevonden}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potentiële besparing van {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Document"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Eerste nuttige weergave (FMP)"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Lettertype"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Afbeelding"},
"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Hoog"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Laag"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Normaal"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Max. potentiële eerste invoervertraging"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Anders"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Andere bronnen"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},
"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stylesheet"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Derden"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Totaal"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Er is een fout opgetreden bij het opnemen van het netwerkspoor voor het laden van je pagina. Voer Lighthouse opnieuw uit. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Time-out tijdens wachten op eerste verbinding met Debugger-protocol."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome heeft geen screenshots verzameld tijdens het laden van de pagina. Zorg dat er content zichtbaar is op de pagina en voer Lighthouse daarna opnieuw uit. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS-servers kunnen het opgegeven domein niet omzetten."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Er is een fout opgetreden in de vereiste {artifactName}-verzamelaar: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Er is een interne Chrome-fout opgetreden. Start Chrome opnieuw op en probeer Lighthouse nogmaals uit te voeren."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Vereiste {artifactName}-verzamelaar is niet uitgevoerd."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"De pagina geeft geen content weer. Zorg dat het browservenster tijdens het laden op de voorgrond blijft en probeer het opnieuw. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"De opgegeven pagina is geen HTML-pagina (weergegeven als MIME-type {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{
message:"Deze versie van Chrome is te oud om '{featureName}' te ondersteunen. Gebruik een nieuwere versie om volledige resultaten te bekijken."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse kan de door jou aangevraagde pagina niet goed laden. Zorg ervoor dat je de juiste URL test en dat de server correct reageert op alle verzoeken."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse kan de door jou aangevraagde URL niet goed laden omdat de pagina niet meer reageert."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"De URL die je hebt opgegeven, bevat geen geldig beveiligingscertificaat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome heeft laden van pagina met interstitial voorkomen. Zorg ervoor dat je de juiste URL test en dat de server correct reageert op alle verzoeken."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"Lighthouse kan de aangevraagde pagina niet goed laden. Zorg ervoor dat je de juiste URL test en dat de server correct reageert op alle verzoeken. (Details: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse kan de aangevraagde pagina niet goed laden. Zorg ervoor dat je de juiste URL test en dat de server correct reageert op alle verzoeken. (Statuscode: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Het laden van je pagina duurde te lang. Volg de suggesties in het rapport om de laadtijd van je pagina te beperken. Voer Lighthouse daarna opnieuw uit. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Tijdens het wachten op een reactie van het DevTools-protocol is de toegewezen tijd overschreden. (Methode: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Voor het ophalen van broncontent is de toegewezen tijd overschreden"},
"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Het lijkt erop dat je een ongeldige URL hebt opgegeven."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Alle"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Alle scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Dekking"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Dubbele modules"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Resourcebytes"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Naam"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Tabel schakelen"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Ongebruikte bytes"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"Gebruik in het geval van content met animatie [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) om het CPU-gebruik te minimaliseren als de content niet in beeld is."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Overweeg alle [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-componenten weer te geven in WebP-indelingen, terwijl je een geschikte reserve specificeert voor andere browsers. [Meer informatie](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Zorg dat je [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) gebruikt voor afbeeldingen die automatisch worden geladen via lazy loading. [Meer informatie](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},
"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Gebruik tools zoals [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) om [AMP-lay-outs aan de serverzijde te renderen](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Bekijk de [AMP-documentatie](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) om er zeker van te zijn dat al je stijlen worden ondersteund."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"De component [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ondersteunt het kenmerk [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) om te specificeren welke afbeeldingsitems moeten worden gebruikt op basis van het schermformaat. [Meer informatie](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Overweeg virtueel scrollen met de Component Dev Kit (CDK) als er zeer grote lijsten worden weergegeven. [Meer informatie](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Pas [codesplitsing op routeniveau](https://web.dev/route-level-code-splitting-in-angular/) toe om de grootte van je JavaScript-bundels te minimaliseren. Je kunt ook vooraf items cachen met de [Angular-service worker](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Als je Angular CLI gebruikt, moet je ervoor zorgen dat de builds worden gegenereerd in de productiemodus. [Meer informatie](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Als je Angular CLI gebruikt, moet je bronkaarten opnemen in je productiebuild om je bundels te inspecteren. [Meer informatie](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Laad routes vooraf om de navigatie te versnellen. [Meer informatie](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Overweeg het hulpprogramma `BreakpointObserver` in de Component Dev Kit (CDK) te gebruiken voor beheer van breakpoints in afbeeldingen. [Meer informatie](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Overweeg je gif te uploaden naar een service waarmee het mogelijk is de gif in te sluiten als html5-video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Geef `@font-display` op als je aangepaste lettertypen definieert in je thema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Overweeg [een module te installeren en te configureren om gebruik te maken van WebP-afbeeldingsindelingen](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) op je site. Dergelijke modules genereren automatisch een WebP-versie van je geüploade afbeeldingen om de laadtijden te optimaliseren."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Installeer [een Drupal-module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) voor lazy loading van afbeeldingen. Met dergelijke modules kunnen afbeeldingen die niet in beeld zijn, worden uitgesteld om de prestaties te verbeteren."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Overweeg een module te gebruiken om kritieke css en JavaScript inline te plaatsen of items potentieel asynchroon te laden via JavaScript, zoals de module [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Bedenk wel dat de optimalisatie die deze module biedt, de werking van je site kan verstoren. Het is daarom goed mogelijk dat je de code moet wijzigen."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Thema's, modules en serverspecificaties zijn allemaal van invloed op de reactietijd van de server. Overweeg een thema te gebruiken dat beter is geoptimaliseerd, kies met zorg een optimalisatiemodule en/of upgrade je server. Je hostingservers moeten gebruikmaken van PHP-opcode-caching, geheugencaching (zoals Redis of Memcached) om de databasequerytijden te beperken en geoptimaliseerde app-logica om pagina's sneller voor te bereiden."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Overweeg [responsieve afbeeldingsstijlen](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) te gebruiken om de grootte van geladen afbeeldingen op je pagina te verkleinen. Als je Views gebruikt om meerdere contentitems op een pagina te tonen, kun je overwegen paginering te gebruiken om het aantal zichtbare contentitems op een pagina te beperken."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Zorg ervoor dat je Aggregate CSS files (Css-bestanden aggregeren) hebt aangezet op de pagina Administration » Configuration » Development (Beheer > Configuratie > Ontwikkeling). Je kunt ook meer geavanceerde aggregatie-opties instellen via [extra modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) om je site te versnellen door je css-stijlen in te korten, te verkleinen en te comprimeren."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Zorg ervoor dat je Aggregate JavaScript files (JavaScript-bestanden aggregeren) hebt aangezet op de pagina Administration » Configuration » Development (Beheer > Configuratie > Ontwikkeling). Je kunt ook meer geavanceerde aggregatie-opties instellen via [extra modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) om je site te versnellen door je JavaScript-items in te korten, te verkleinen en te comprimeren."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Overweeg ongebruikte css-regels te verwijderen en alleen de benodigde Drupal-bibliotheken bij te voegen bij de relevante pagina of component op een pagina. Klik op de [link naar de Drupal-documentatie](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) voor meer informatie. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je bijgevoegde bibliotheken wilt identificeren die extra css toevoegen. Je kunt identificeren welk thema/welke module verantwoordelijk is voor de URL van de stylesheet als css-aggregatie is uitgezet op je Drupal-site. Ga in de lijst op zoek naar thema's/modules met veel stylesheets en veel rood in de codedekking. Een thema/module zou een stylesheet alleen in de wachtrij moeten plaatsen als de stylesheet daadwerkelijk wordt gebruikt op de pagina."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Overweeg ongebruikte JavaScript-items te verwijderen en alleen de benodigde Drupal-bibliotheken bij te voegen bij de relevante pagina of component op een pagina. Klik op de [link naar de Drupal-documentatie](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) voor meer informatie. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je bijgevoegde bibliotheken wilt identificeren die extra JavaScript toevoegen. Je kunt identificeren welk thema/welke module verantwoordelijk is voor de URL van het script als JavaScript-aggregatie is uitgezet op je Drupal-site. Ga in de lijst op zoek naar thema's/modules met veel scripts en veel rood in de codedekking. Een thema/module zou een script alleen in de wachtrij moeten plaatsen als het script daadwerkelijk wordt gebruikt op de pagina."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Stel 'Browser and proxy cache maximum age' (Maximum leeftijd van browser- en proxycache) in op de pagina Administration » Configuration » Development (Beheer > Configuratie > Ontwikkeling). Bekijk meer informatie over [Drupal-cache en optimalisatie voor prestaties](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Overweeg [een module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) te gebruiken waarmee de grootte van afbeeldingen die via de site worden geüpload automatisch wordt geoptimaliseerd en verkleind terwijl de kwaliteit behouden blijft. Zorg er ook voor dat je de eigen [stijlen voor responsieve afbeeldingen](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) die bij Drupal worden geleverd (beschikbaar in Drupal 8 en hoger) gebruikt voor alle afbeeldingen die op de site worden gerenderd."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Preconnect- of dns-prefetch-resourcehints kunnen worden toegevoegd door [een module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) te installeren en te configureren die voorzieningen biedt voor user-agent-resourcehints."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Zorg ervoor dat je de eigen [stijlen voor responsieve afbeeldingen](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) gebruikt die bij Drupal worden geleverd (beschikbaar in Drupal 8 en hoger). Gebruik de stijlen voor responsieve afbeeldingen voor het renderen van afbeeldingsvelden via weergavemodi, weergaven of afbeeldingen die worden geüpload via de WYSIWYG-editor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Overweeg je gif te uploaden naar een service waarmee het mogelijk is de gif in te sluiten als html5-video."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Overweeg een [plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) of service te gebruiken die je geüploade afbeeldingen automatisch converteert naar de optimale indelingen."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Installeer een [Joomla-plug-in voor lazy loading](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) waarmee afbeeldingen die niet in beeld zijn, kunnen worden uitgesteld, of schakel over naar een template met deze functionaliteit. Vanaf Joomla 4.0 krijgen alle nieuwe afbeeldingen [automatisch](https://github.com/joomla/joomla-cms/pull/30748) het kenmerk `loading` vanuit de kern."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Er zijn een aantal Joomla-plug-ins om [kritieke items inline te plaatsen](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) of [minder belangrijke bronnen uit te stellen](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Bedenk wel dat de optimalisaties die deze plug-ins bieden, bepaalde functies van je templates of plug-ins kunnen verstoren. Je moet ze daarom grondig testen."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Templates, extensies en serverspecificaties zijn allemaal van invloed op de reactietijd van de server. Overweeg een template te gebruiken die beter is geoptimaliseerd, kies met zorg een optimalisatie-extensie en/of upgrade je server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Overweeg fragmenten te tonen in je artikelcategorieën (bijvoorbeeld via de link 'meer lezen'), zodat er per pagina minder artikelen worden getoond. Ook kun je lange posts verdelen over meerdere pagina's of een plug-in voor lazy loading van reacties gebruiken."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Er zijn een aantal [Joomla-extensies](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) die je site sneller kunnen maken door je css-stijlen in te korten, te verkleinen of te comprimeren. Er zijn ook templates die deze functionaliteit bieden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Er zijn een aantal [Joomla-extensies](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) die je site sneller kunnen maken door je scripts in te korten, te verkleinen of te comprimeren. Er zijn ook templates die deze functionaliteit bieden."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Overweeg gebruik te maken van minder of andere [Joomla-extensies](https://extensions.joomla.org/) die ongebruikte css laden op je pagina. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je extensies wilt identificeren die extra css toevoegen. Via de URL van de stylesheet kun je identificeren welk thema/welke plug-in verantwoordelijk is. Ga in de lijst op zoek naar plug-ins met veel stylesheets en veel rood in de codedekking. Een plug-in zou een stylesheet alleen in de wachtrij moeten plaatsen als de stylesheet daadwerkelijk wordt gebruikt op de pagina."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Overweeg gebruik te maken van minder of andere [Joomla-extensies](https://extensions.joomla.org/) die ongebruikte JavaScript laden op je pagina. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je plug-ins wilt identificeren die extra JavaScript toevoegen. Via de URL van het script kun je identificeren welke extensie verantwoordelijk is. Ga in de lijst op zoek naar extensies met veel scripts en veel rood in de codedekking. Een extensie zou een script alleen in de wachtrij moeten plaatsen als het script daadwerkelijk wordt gebruikt op de pagina."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Bekijk meer informatie over [browsercaching in Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Overweeg een [beeldoptimalisatieplug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) te gebruiken om je afbeeldingen te comprimeren terwijl de beeldkwaliteit behouden blijft."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Overweeg een [plug-in voor responsieve afbeeldingen](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) te gebruiken als je responsieve afbeeldingen wilt gebruiken in je content."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Je kunt tekstcompressie aanzetten door Gzip-paginacompressie in Joomla aan te zetten via System > Global configuration > Server (Systeem > Algemene configuratie > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Als je je JavaScript-items niet bundelt, kun je [baler](https://github.com/magento/baler) gebruiken."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Zet de ingebouwde [JavaScript-bundeling en -verkleining](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) van Magento uit en overweeg in plaats daarvan [baler](https://github.com/magento/baler/) te gebruiken."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Specificeer `@font-display` als je [aangepaste lettertypen definieert](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Overweeg te zoeken in de [Magento-marktplaats](https://marketplace.magento.com/catalogsearch/result/?q=webp) voor verschillende extensies van derden om nieuwere afbeeldingsindelingen te gebruiken."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Overweeg om je product- en catalogustemplates te wijzigen voor gebruik van de functie van het webplatform voor [lazy loading](https://web.dev/native-lazy-loading)."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Gebruik de [Varnish-integratie](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) van Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Zet de optie 'Css-bestanden verkleinen' in de ontwikkelaarsinstellingen van je winkel aan. [Meer informatie](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Gebruik [Terser](https://www.npmjs.com/package/terser) om alle JavaScript-items van implementaties van statische content te verkleinen en de ingebouwde verkleiningsfunctie uit te zetten."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Zet de ingebouwde [JavaScript-bundeling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) van Magento uit."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Je kunt in de [Magento-marktplaats](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) zoeken naar verschillende extensies van derden om afbeeldingen te optimaliseren."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Preconnect- of dns-prefetch-resourcehints kunnen worden toegevoegd door [de lay-out van een thema te wijzigen](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>`-tags kunnen worden toegevoegd door [de lay-out van een thema te wijzigen](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Vervang geanimeerde gif's door video](https://web.dev/replace-gifs-with-videos/) zodat de webpagina sneller laadt en overweeg moderne bestandsindelingen zoals [webm](https://web.dev/replace-gifs-with-videos/#create-webm-videos) of [av1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) te gebruiken voor een tot 30% efficiëntere compressie vergeleken met de huidige geavanceerde videocodec, vp9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Overweeg een [plug-in](https://octobercms.com/plugins?search=image) of service te gebruiken die de geüploade afbeeldingen automatisch converteert naar de optimale indelingen. [Webp-afbeeldingen zonder verlies](https://developers.google.com/speed/webp) zijn 26% kleiner vergeleken met png-afbeeldingen en zijn 25-34% kleiner dan vergelijkbare jpeg-afbeeldingen met dezelfde SSIM-kwaliteitsindex. Je kunt ook de moderne bestandsindeling [avif](https://jakearchibald.com/2020/avif-has-landed/) overwegen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Overweeg een [plug-in voor lazy loading van afbeeldingen](https://octobercms.com/plugins?search=lazy) te installeren waarmee je afbeeldingen die niet in beeld zijn, kunt uitstellen of kunt overschakelen naar een thema met deze functionaliteit. Je kunt ook overwegen [de AMP-plug-in](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) te gebruiken."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Er zijn veel plug-ins waarmee [essentiële inline items](https://octobercms.com/plugins?search=css) beter werken. Deze plug-ins kunnen andere plug-ins verstoren. Je moet ze daarom grondig testen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Thema's, plug-ins en serverspecificaties zijn allemaal van invloed op de reactietijd van de server. Overweeg een thema te gebruiken dat beter is geoptimaliseerd, kies met zorg een optimalisatieplug-in en/of upgrade de server. Met de CMS van oktober kunnen ontwikkelaars ook [`Queues`](https://octobercms.com/docs/services/queues) gebruiken om de verwerking van tijdrovende taken uit te stellen, zoals het sturen van een e-mail. Dit kan webverzoeken drastisch versnellen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Overweeg fragmenten te tonen in de postlijsten (bijvoorbeeld met een knop `show more`), zodat er per webpagina minder posts worden getoond. Ook kun je lange posts verdelen over meerdere webpagina's of een plug-in voor lazy loading van reacties gebruiken."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Er zijn veel [plug-ins](https://octobercms.com/plugins?search=css) die een website sneller kunnen maken door de stijlen in te korten, te verkleinen of te comprimeren. Het ontwikkelen kan sneller gaan als je een ontwerpproces gebruikt dat deze verkleining van tevoren toepast."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Er zijn veel [plug-ins](https://octobercms.com/plugins?search=javascript) die een website sneller kunnen maken door de scripts in te korten, te verkleinen of te comprimeren. Het ontwikkelen kan sneller gaan als je een ontwerpproces gebruikt dat deze verkleining van tevoren toepast."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Overweeg de [plug-ins](https://octobercms.com/plugins) te checken die ongebruikte css laden op de website. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je plug-ins wilt identificeren die onnodige css toevoegen. Identificeer via de URL van de stylesheet welk thema/welke plug-in verantwoordelijk is. Zoek naar plug-ins met veel stylesheets en veel rood in de codedekking. Een plug-in zou een stylesheet alleen moeten toevoegen als het daadwerkelijk wordt gebruikt op de webpagina."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Overweeg de [plug-ins](https://octobercms.com/plugins?search=javascript) te checken die ongebruikte JavaScript laden op de webpagina. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je plug-ins wilt identificeren die onnodige JavaScript toevoegen. Identificeer via de URL van het script welk thema/welke plug-in verantwoordelijk is. Zoek naar plug-ins met veel scripts en veel rood in de codedekking. Een plug-in zou een script alleen moeten toevoegen als het daadwerkelijk wordt gebruikt op de webpagina."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Meer informatie over [hoe je onnodige netwerkverzoeken voorkomt met de HTTP-cache](https://web.dev/http-cache/#caching-checklist) Er zijn veel [plug-ins](https://octobercms.com/plugins?search=Caching) waarmee je caching kunt versnellen."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Overweeg een [beeldoptimalisatieplug-in](https://octobercms.com/plugins?search=image) te gebruiken om de afbeeldingen te comprimeren terwijl de beeldkwaliteit behouden blijft."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Upload afbeeldingen rechtstreeks in de mediabeheerder om er zeker van te zijn dat de vereiste afbeeldingsformaten beschikbaar zijn. Overweeg het [filter](https://octobercms.com/docs/markup/filter-resize) of een [plug-in](https://octobercms.com/plugins?search=image) voor het aanpassen van het formaat te gebruiken zodat je de optimale afbeeldingsformaten gebruikt."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Hiermee kun je tekstcompressie aanzetten in de webserverinstellingen."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Overweeg een vensterbibliotheek zoals `react-window` te gebruiken om het aantal gemaakte DOM-nodes te minimaliseren als je veel herhaalde elementen op de pagina weergeeft. [Meer informatie](https://web.dev/virtualize-long-lists-react-window/) Minimaliseer daarnaast onnodige nieuwe weergaven met [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) of [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) en [sla effecten alleen over](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) totdat bepaalde afhankelijkheden zijn gewijzigd als je de `Effect`-hook gebruikt om de runtime-prestaties te verbeteren."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Als je React Router gebruikt, moet je het gebruik van de `<Redirect>`-component voor [routenavigatie](https://reacttraining.com/react-router/web/api/Redirect) minimaliseren."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Als je React-componenten aan de serverzijde rendert, kun je `renderToNodeStream()` of `renderToStaticNodeStream()` gebruiken om de client toestemming te geven verschillende onderdelen van de opmaak te ontvangen en verwerken, in plaats van alles tegelijk. [Meer informatie](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Als je buildsysteem css-bestanden automatisch verkleint, moet je ervoor zorgen dat je de productiebuild van je app implementeert. Je kunt dit checken via de React Developer Tools-extensie. [Meer informatie](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Als je buildsysteem JS-bestanden automatisch verkleint, moet je ervoor zorgen dat je de productiebuild van je app implementeert. Je kunt dit checken via de React Developer Tools-extensie. [Meer informatie](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Als er niet aan de serverzijde wordt gerenderd, kun je [je JavaScript-bundels splitsen](https://web.dev/code-splitting-suspense/) met `React.lazy()`. In andere gevallen kun je de code splitsen via een externe bibliotheek, zoals [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Gebruik de React DevTools Profiler, die gebruikmaakt van de Profiler API, om de weergaveprestaties van je componenten te meten. [Meer informatie.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Overweeg je gif te uploaden naar een service waarmee het mogelijk is de gif in te sluiten als html5-video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Overweeg een [plug-in](https://wordpress.org/plugins/search/convert+webp/) of service te gebruiken die je geüploade afbeeldingen automatisch converteert naar de optimale indelingen."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Installeer een [WordPress-plug-in voor lazy loading](https://wordpress.org/plugins/search/lazy+load/) waarmee afbeeldingen die niet in beeld zijn, kunnen worden uitgesteld, of schakel over naar een thema met deze functionaliteit. Je kunt ook overwegen [de AMP-plug-in](https://wordpress.org/plugins/amp/) te gebruiken."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Er zijn een aantal WordPress-plug-ins om [kritieke items inline te plaatsen](https://wordpress.org/plugins/search/critical+css/) of [minder belangrijke bronnen uit te stellen](https://wordpress.org/plugins/search/defer+css+javascript/). Bedenk wel dat de optimalisatie die deze plug-ins bieden, bepaalde functies van je thema of plug-ins kunnen verstoren. Het is daarom goed mogelijk dat je de code moet wijzigen."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Thema's, plug-ins en serverspecificaties zijn allemaal van invloed op de reactietijd van de server. Overweeg een thema te gebruiken dat beter is geoptimaliseerd, kies met zorg een optimalisatieplug-in en/of upgrade je server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Overweeg fragmenten te tonen in je postlijsten (bijvoorbeeld via de tag 'more'), zodat er per pagina minder posts worden getoond. Ook kun je lange posts verdelen over meerdere pagina's of een plug-in voor lazy loading van reacties gebruiken."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Er zijn enkele [WordPress-plug-ins](https://wordpress.org/plugins/search/minify+css/) die je site sneller kunnen maken door stijlen in te korten, te verkleinen of te comprimeren. Mogelijk wil je ook een ontwerpproces gebruiken om deze verkleining van tevoren toe te passen."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Er zijn enkele [WordPress-plug-ins](https://wordpress.org/plugins/search/minify+javascript/) die je site sneller kunnen maken door je scripts in te korten, te verkleinen of te comprimeren. Indien mogelijk is het bovendien handig zulke verkleining al mee te nemen in het ontwerpproces."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Overweeg gebruik te maken van minder of andere [WordPress-plug-ins](https://wordpress.org/plugins/) die ongebruikte css laden op je pagina. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je plug-ins wilt identificeren die extra css toevoegen. Via de URL van de stylesheet kun je identificeren welk thema/welke plug-in verantwoordelijk is. Ga in de lijst op zoek naar plug-ins met veel stylesheets en veel rood in de codedekking. Een plug-in zou een stylesheet alleen in de wachtrij moeten plaatsen als deze daadwerkelijk wordt gebruikt op de pagina."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Overweeg gebruik te maken van minder of andere [WordPress-plug-ins](https://wordpress.org/plugins/) die ongebruikt JavaScript laden op je pagina. Voer [codedekking](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) uit in Chrome DevTools als je plug-ins wilt identificeren die extra JS toevoegen. Via de URL van het script kun je identificeren welk thema/welke plug-in verantwoordelijk is. Ga in de lijst op zoek naar plug-ins met veel scripts en veel rood in de codedekking. Een plug-in zou een script alleen in de wachtrij moeten plaatsen als het daadwerkelijk wordt gebruikt op de pagina."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Lees meer over [browsercaching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Overweeg een [beeldoptimalisatieplug-in voor WordPress](https://wordpress.org/plugins/search/optimize+images/) te gebruiken om je afbeeldingen te comprimeren terwijl de beeldkwaliteit behouden blijft."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Upload afbeeldingen rechtstreeks via de [mediabibliotheek](https://wordpress.org/support/article/media-library-screen/) om er zeker van te zijn dat de vereiste afbeeldingsformaten beschikbaar zijn. Voeg de afbeeldingen vervolgens in vanuit de mediabibliotheek. Ook kun je de afbeeldingswidget gebruiken om ervoor te zorgen dat de optimale afbeeldingsformaten worden gebruikt (inclusief voor responsieve breakpoints). Vermijd `Full Size`-afbeeldingen, tenzij de afmetingen geschikt zijn voor waar ze worden geplaatst. [Meer informatie](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Je kunt tekstcompressie in de webserverinstellingen aanzetten."},"report/renderer/util.js | calculatorLink":{message:"Rekenmachine bekijken"},"report/renderer/util.js | crcInitialNavigation":{message:"Beginnavigatie"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maximum latentie voor kritiek pad:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Json kopiëren"},"report/renderer/util.js | dropdownDarkTheme":{message:"Donker thema aan-/uitzetten"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Afdrukvenster uitvouwen"},"report/renderer/util.js | dropdownPrintSummary":{message:"Afdrukoverzicht"},"report/renderer/util.js | dropdownSaveGist":{message:"Opslaan als gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Opslaan als HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Opslaan als json"},"report/renderer/util.js | dropdownViewer":{
message:"Openen in viewer"},"report/renderer/util.js | errorLabel":{message:"Fout"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Rapportfout: geen controlegegevens"},"report/renderer/util.js | footerIssue":{message:"Een probleem melden"},"report/renderer/util.js | labDataTitle":{message:"Labgegevens"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analyse met [Lighthouse](https://developers.google.com/web/tools/lighthouse/) van de huidige pagina via een geëmuleerd mobiel netwerk. Waarden worden geschat en kunnen variëren."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Aanvullende items om handmatig te controleren"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"N.v.t."},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Aanbeveling"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Geschatte besparing"},"report/renderer/util.js | passedAuditsGroupTitle":{
message:"Geslaagde controles"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Desktopemulatie"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulatie van Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Geen emulatie"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe-versie"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/geheugen"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU-throttling"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanaal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Apparaat"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Ophaaltijd"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Netwerkbeperking"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Runtime-instellingen"},"report/renderer/util.js | runtimeSettingsUA":{message:"User-agent (host)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User-agent (netwerk)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Onbekend"},"report/renderer/util.js | showRelevantAudits":{message:"Audits laten zien die relevant zijn voor:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Fragment samenvouwen"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Fragment uitvouwen"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Bronnen van derden tonen"},"report/renderer/util.js | throttlingProvided":{message:"Bepaald door omgeving"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Er zijn problemen opgetreden bij deze uitvoering van Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Waarden worden geschat en kunnen variëren. De [prestatiescore wordt rechtstreeks berekend](https://web.dev/performance-scoring/) op basis van deze statistieken."},"report/renderer/util.js | viewTreemapLabel":{message:"Treemap bekijken"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Geslaagd voor controles maar met waarschuwingen"},"report/renderer/util.js | warningHeader":{message:"Waarschuwingen: "}}},{}],127:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Med tilgangsnøkler kan brukere raskt fokusere på deler av siden. Hver tilgangsnøkkel må være unik for at navigeringen skal fungere riktig. [Finn ut mer](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]`-verdier er ikke unike"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]`-verdiene er unike"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Hver ARIA-`role` støtter en spesifikk undergruppe av `aria-*`-attributter. Manglende samsvar mellom disse gjør `aria-*`-attributtene ugyldige. [Finn ut mer](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]`-attributter samsvarer ikke med rollene sine"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]`-attributtene samsvarer med rollene sine"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Når elementer ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`-, `link`- og `menuitem`-elementer har ikke tilgjengelige navn."
},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`-, `link`- og `menuitem`-elementer har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Assisterende teknologi, for eksempel skjermlesere, fungerer ikke konsekvent når `aria-hidden="true"` er angitt på dokumentets `<body>`. [Finn ut mer](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` er til stede på dokumentets `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` er ikke til stede på dokumentets `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Fokuserbare underelementer i `[aria-hidden="true"]`-elementer gjør at disse interaktive elementene ikke er tilgjengelige for brukere av assisterende teknologi, for eksempel skjermlesere. [Finn ut mer](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]`-elementer inneholder fokuserbare underelementer'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]`-elementer inneholder ikke fokuserbare underelementer'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Når inndatafelt ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA-inndatafelt har ikke tilgjengelige navn"},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA-inndatafelt har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Når elementer ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA-`meter`-elementer har ikke tilgjengelige navn."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA-`meter`-elementer har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Når `progressbar` elementer ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA-`progressbar`-elementer har ikke tilgjengelige navn."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA-`progressbar`-elementer har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Noen ARIA-roller har obligatoriske attributter som beskriver elementenes tilstand for skjermlesere. [Finn ut mer](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`-elementer har ikke alle de obligatoriske `[aria-*]`-attributtene"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]`-elementene har alle de obligatoriske `[aria-*]`-attributtene"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Noen overordnede ARIA-roller må inneholde spesifikke underordnede roller for å utføre de tiltenkte tilgjengelighetsfunksjonene. [Finn ut mer](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementer som har en ARIA-`[role]` og krever underordnede elementer som inneholder en spesifikk `[role]`, mangler noen av eller alle disse underordnede elementene."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementer som har en ARIA-`[role]` og krever underordnede elementer som inneholder en spesifikk `[role]`, har alle de nødvendige underordnede elementene."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Noen underordnede ARIA-roller må ligge innenfor de spesifikke overordnede rollene for å utføre de tiltenkte tilgjengelighetsfunksjonene på riktig måte. [Finn ut mer](https://web.dev/aria-required-parent/)."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`-elementer ligger ikke i de obligatoriske overordnede elementene"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`-elementer ligger i de obligatoriske overordnede elementene"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA-roller må ha gyldige verdier for å utføre de tiltenkte tilgjengelighetsfunksjonene. [Finn ut mer](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]`-verdiene er ikke gyldige"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]`-verdiene er gyldige"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"Når av/på-felt ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA-av/på-felt har ikke tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA-av/på-felt har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Når elementer ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA-`tooltip`-elementer har ikke tilgjengelige navn."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{
message:"ARIA-`tooltip`-elementer har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Når elementer ikke har tilgjengelige navn, beskriver skjermlesere dem med generiske navn. Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA-`treeitem`-elementer har ikke tilgjengelige navn."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA-`treeitem`-elementer har tilgjengelige navn"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Assisterende teknologi, for eksempel skjermlesere, kan ikke tolke ARIA-attributter med ugyldige verdier. [Finn ut mer](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{
message:"`[aria-*]`-attributter har ikke gyldige verdier"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]`-attributtene har gyldige verdier"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Assisterende teknologi, som skjermlesere, kan ikke tolke ARIA-attributter med ugyldige navn. [Finn ut mer](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]`-attributter er ugyldige eller feilstavet"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]`-attributtene er gyldige og ikke feilstavet"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementer som ikke besto kontrollen"},"lighthouse-core/audits/accessibility/button-name.js | description":{
message:"Når knapper ikke har tilgjengelige navn, beskriver skjermlesere dem som «knapp». Dermed er de ubrukelige for brukere som er avhengige av skjermlesere. [Finn ut mer](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Knapper har ikke tilgjengelige navn"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Knappene har tilgjengelige navn"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Hvis du legger til måter å hoppe over repeterende innhold på, kan tastaturbrukere navigere mer effektivt på siden. [Finn ut mer](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Siden mangler overskrift, landemerkeregion eller link for å hoppe over innhold"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Siden inneholder en overskrift, en landemerkeregion eller en link for å hoppe over innhold"},
"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Tekst med lav kontrast er vanskelig eller umulig å lese for mange brukere. [Finn ut mer](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Kontrastforholdet mellom bakgrunns- og forgrunnsfarger er ikke tilstrekkelig."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Kontrastforholdet mellom bakgrunns- og forgrunnsfargene er tilstrekkelig"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Når definisjonslister ikke er riktig kodet, kan resultatene fra skjermlesere bli forvirrende eller unøyaktige. [Finn ut mer](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`-elementer inneholder ikke bare velordnede `<dt>`- og `<dd>`-grupper og `<script>`-, `<template>`- eller `<div>`-elementer."},
"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`-elementer inneholder bare velordnede `<dt>`- og `<dd>`-grupper og `<script>`-, `<template>`- eller `<div>`-elementer."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Elementer i definisjonslister (`<dt>` og `<dd>`) må være omsluttet av et overordnet `<dl>`-element for å sørge for at skjermlesere kan lese dem opp riktig. [Finn ut mer](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Elementer i definisjonslister er ikke omsluttet av `<dl>`-elementer"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Elementene i definisjonslister er omsluttet av `<dl>`-elementer"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"Tittelen gir brukere av skjermlesere oversikt over siden, og søkemotorbrukere er svært avhengige av den for å avgjøre om siden er relevant for søket deres. [Finn ut mer](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokumentet har ikke noe `<title>`-element"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumentet har et `<title>`-element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Alle fokuserbare elementer må ha unike `id`-attributter for å sikre at de er synlige for assisterende teknologi. [Finn ut mer](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"`[id]`-attributter på aktive, fokuserbare elementer er ikke unike"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{
message:"`[id]`-attributter på aktive, fokuserbare elementer er unike"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA-ID-attributter må ha unike verdier for å unngå at andre forekomster blir oversett av assisterende teknologi. [Finn ut mer](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA-ID-er er ikke unike"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA-ID-er er unike"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Skjemafelt med flere etiketter kan bli lest opp på en forvirrende måte av assisterende teknologi, for eksempel skjermlesere som bruker enten den første etiketten, den siste etiketten eller alle etikettene. [Finn ut mer](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{
message:"Skjemafelter har flere etiketter"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Det finnes ingen skjemafelt med flere etiketter"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Brukere av skjermlesere er avhengige av titler for «frame»/«iframe»-elementer for å forstå innholdet i dem. [Finn ut mer](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>`- eller `<iframe>`-elementer mangler tittel"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>`- og `<iframe>`-elementer har titler"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Godt organiserte overskrifter som ikke hopper over nivåer, formidler sidens semantiske struktur, slik at den blir enklere å forstå og navigere ved bruk av assisterende teknologi. [Finn ut mer](https://web.dev/heading-order/)."},
"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Overskriftselementer vises ikke i sekvensielt synkende rekkefølge"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Overskriftselementer vises i sekvensielt synkende rekkefølge"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Hvis en side ikke angir noe «lang»-attributt, antar skjermlesere at siden er på standardspråket brukeren valgte ved konfigurering av skjermleseren. Hvis siden ikke faktisk er på standardspråket, kan det hende skjermleseren leser teksten på siden feil. [Finn ut mer](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>`-elementet har ikke noe gyldig `[lang]`-attributt"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>`-elementet har et `[lang]`-attributt"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Ved å angi et gyldig [BCP 47-språk](https://www.w3.org/International/questions/qa-choosing-language-tags#question) hjelper du skjermlesere med å lese opp teksten riktig. [Finn ut mer](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>`-elementet har ikke noen gyldig verdi for `[lang]`-attributtet."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>`-elementet har en gyldig verdi for `[lang]`-attributtet"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informative elementer bør ta sikte på korte og beskrivende alternative tekster. Dekorative elementer kan ignoreres med tomme alt-attributter. [Finn ut mer](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Bildeelementer har ikke `[alt]`-attributter"},
"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Bildeelementene har `[alt]`-attributter"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Når et bilde brukes som `<input>`-knapp, bør du oppgi en alternativ tekst som hjelper brukere av skjermlesere med å forstå hva knappen er til. [Finn ut mer](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">`-elementer har ikke `[alt]`-tekst'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">`-elementer har `[alt]`-tekst'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etiketter sørger for at skjemakontroller leses opp på riktig måte av assisterende teknologi, som skjermlesere. [Finn ut mer](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{
message:"Skjemaelementer har ikke tilknyttede etiketter"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Skjemaelementene har tilknyttede etiketter"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Når du bruker linktekst (og alternativ tekst for bilder som brukes som linker) som er tydelig, unik og mulig å sette fokus på, blir navigeringsopplevelsen bedre for brukere av skjermlesere. [Finn ut mer](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Linker har ikke tydelige navn"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Linkene har tydelige navn"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Skjermlesere har en spesifikk måte å lese opp lister på. Du kan øke kvaliteten på resultatene fra skjermlesere ved å bruke en god listestruktur. [Finn ut mer](https://web.dev/list/)."},
"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Lister inneholder ikke kun `<li>`-elementer og elementer som støtter skript (`<script>` og `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Listene inneholder bare `<li>`-elementer og elementer som støtter skript (`<script>` og `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Skjermlesere krever at listeelementer (`<li>`) ligger i et overordnet `<ul>`- eller `<ol>`-element – ellers kan de ikke leses opp på riktig måte. [Finn ut mer](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Listeelementer (`<li>`) ligger ikke i overordnede `<ul>`- eller `<ol>`-elementer."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Listeelementene (`<li>`) ligger i overordnede `<ul>`- eller `<ol>`-elementer"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Brukere forventer ikke at sider oppdateres automatisk, så hvis dette skjer, flyttes fokuset tilbake til toppen av siden. Dette kan føre til frustrasjon eller forvirring. [Finn ut mer](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokumentet bruker `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokumentet bruker ikke `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Deaktivering av zoom er problematisk for brukere med nedsatt synsevne som har behov for å forstørre skjermen for å se innholdet på nettsider. [Finn ut mer](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` brukes i `<meta name="viewport">`-elementet, eller `[maximum-scale]`-attributtet er mindre enn 5.'},
"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` brukes ikke i `<meta name="viewport">`-elementet, og `[maximum-scale]`-attributtet er ikke mindre enn 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Skjermlesere kan ikke oversette innhold som ikke er tekst. Ved å legge til alternativ tekst i `<object>`-elementer hjelper du skjermlesere med å formidle mening til brukerne. [Finn ut mer](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>`-elementer har ikke `[alt]`-tekst"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>`-elementer har `[alt]`-tekst"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Større verdier enn 0 antyder en eksplisitt navigeringsrekkefølge. Selv om dette teknisk sett er gyldig, kan det ofte være frustrerende for brukere som er avhengige av assisterende teknologi. [Finn ut mer](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Noen elementer har en `[tabindex]`-verdi som er større enn 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Ingen elementer har en `[tabindex]`-verdi som er større enn 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Skjermlesere har funksjonalitet som gjør det enklere å navigere i tabeller. Ved å sørge for at `<td>`-celler som bruker `[headers]`-attributtet, kun refererer til andre celler i den samme tabellen, kan du gjøre opplevelsen bedre for brukere av skjermlesere. [Finn ut mer](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Celler som er en del av et `<table>`-element og bruker `[headers]`-attributtet, refererer til et element (`id`) som ikke finnes i den samme tabellen."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Celler som er en del av et `<table>`-element og bruker `[headers]`-attributtet, refererer til tabellceller i den samme tabellen."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Skjermlesere har funksjonalitet som gjør det enklere å navigere i tabeller. Ved å sørge for at tabelloverskrifter alltid refererer til spesifikke cellesett, kan du gjøre opplevelsen bedre for brukere av skjermlesere. [Finn ut mer](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>`-elementer og elementer med `[role="columnheader"/"rowheader"]` har ikke datacellene de beskriver.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'`<th>`-elementene og elementene med `[role="columnheader"/"rowheader"]` har datacellene de beskriver.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Ved å angi et gyldig [BCP 47-språk](https://www.w3.org/International/questions/qa-choosing-language-tags#question) i elementer bidrar du til at skjermlesere leser opp teksten riktig. [Finn ut mer](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]`-attributter mangler gyldige verdier"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]`-attributtene har gyldige verdier"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Når videoer har teksting, blir det lettere for døve og hørselshemmede brukere å få med seg informasjonen i dem. [Finn ut mer](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'`<video>`-elementer mangler et `<track>`-element med `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>`-elementer inneholder et `<track>`-element med `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"For å oppnå det ideelle utseendet på iOS når brukere legger til progressive nettprogrammer på startskjermen, definer et `apple-touch-icon`. Det må peke til et ugjennomsiktig, kvadratisk PNG-bilde med sidelengde på 192 (eller 180) piksler. [Finn ut mer](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Har ikke noe gyldig `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` er utdatert – `apple-touch-icon` foretrekkes."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Har et gyldig `apple-touch-icon`"},
"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Nåværende verdi"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Foreslått token"},"lighthouse-core/audits/autocomplete.js | description":{message:"Med `autocomplete` kan brukere sende inn skjemaer raskere. For å gjøre ting lettere for brukerne, vurder å slå dette på ved å angi en gyldig verdi for `autocomplete`-attributtet. [Finn ut mer](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>`-elementer har ikke riktige `autocomplete`-attributter"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Krever manuell gjennomgang"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Gjennomgå rekkefølgen på tokener"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>`-elementer bruker `autocomplete` på riktig måte"},
"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete`-tokenet/-tokenene «{token}» er ugyldig(e) i {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Gjennomgå tokenrekkefølgen «{tokens}» i {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome-utvidelser gjør innlastingen av denne siden tregere. Prøv å revidere siden i inkognitomodus eller fra en Chrome-profil uten utvidelser."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Skriptevaluering"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Skriptparsing"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Total CPU-tid"},"lighthouse-core/audits/bootup-time.js | description":{message:"Vurder å redusere tiden som brukes til parsing, kompilering og kjøring av JavaScript. Levering av mindre JS-ressurser kan bidra til dette. [Finn ut mer](https://web.dev/bootup-time/)."},
"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Reduser JavaScript-kjøretiden"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript-kjøretid"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Fjern store, dupliserte JavaScript-moduler fra pakker for å redusere antall byte som brukes unødvendig av nettverksaktiviteten. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Fjern duplikatmoduler i JavaScript-pakker"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Store GIF-er er mindre effektive for visning av animert innhold. I stedet for GIF bør du vurdere å bruke MPEG4/WebM-videoer for animasjon og PNG/WebP for statiske bilder, da dette belaster nettverket mindre. [Finn ut mer](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{
message:"Bruk videoformat for animert innhold"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill- og transform-kode gjør det mulig for nettlesere i eldre versjoner å bruke nye JavaScript-funksjoner. Mange former for slik kode trengs imidlertid ikke i moderne nettlesere. Ta i bruk en moderne skriptimplementeringsstrategi for JavaScript-pakken din ved å bruke module/nomodule-funksjonsoppdagelse for å redusere mengden kode som sendes til moderne nettlesere, samtidig som støtten for nettlesere i eldre versjoner ivaretas. [Finn ut mer](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Unngå å sende JavaScript i en eldre versjon til moderne nettlesere"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Bildeformater som JPEG 2000, JPEG XR og WebP gir ofte bedre komprimering enn PNG eller JPEG, noe som betyr raskere nedlasting og mindre databruk. [Finn ut mer](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Bruk nyere bildeformater"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Vurder «lat» innlasting av bilder som er utenfor skjermen eller skjult, etter at alle kritiske ressurser er ferdig innlastet, for å redusere tiden det tar før siden blir interaktiv. [Finn ut mer](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Utsett bilder utenfor skjermen"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Ressurser blokkerer første opptegning (FP) av siden. Vurder å levere kritisk JS/CSS innebygd og utsette all JS/CSS som ikke er kritisk. [Finn ut mer](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Eliminer ressurser som blokkerer gjengivelse"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Store nettverksressurser koster brukerne ekte penger og er hovedgrunnen til lange innlastingstider. [Finn ut mer](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Den totale størrelsen var {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Unngå enorme nettverksressurser"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Unngår enorme nettverksbelastninger"},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Forminskede CSS-filer kan redusere nettverksbelastningen. [Finn ut mer](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Forminsk CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Forminskede JavaScript-filer kan redusere mengden data som må overføres, og parsetiden for skript. [Finn ut mer](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Forminsk JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Reduser antall ubrukte regler i stilark, og utsett innlasting av CSS som ikke brukes på innholdet på den synlige delen av nettsiden, for å redusere antall byte som går med til nettverksaktivitet. [Finn ut mer](https://web.dev/unused-css-rules/)."},
"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduser mengden ubrukt CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reduser mengden ubrukt JavaScript, og utsett innlasting av skript frem til de trengs, for å redusere antall byte som går med til nettverksaktivitet. [Finn ut mer](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduser mengden ubrukt JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"En lang bufferlevetid kan gjøre at gjentatte besøk på siden din går raskere. [Finn ut mer](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 ressurs funnet}other{# ressurser funnet}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{
message:"Vis statiske ressurser med effektive buffer-retningslinjer"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Bruker effektive buffer-retningslinjer på statiske ressurser"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimaliserte bilder lastes inn raskere og bruker mindre mobildata. [Finn ut mer](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Effektiviser omgjøring av bilder til kode"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Vis bilder som har passende størrelse, for å spare mobildata og redusere innlastingstiden. [Finn ut mer](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Velg riktige bildestørrelser"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Tekstbaserte ressurser bør leveres komprimert (gzip, deflate eller brotli) for å minimere antall byte som sendes over nettverket. [Finn ut mer](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Aktiver tekstkomprimering"},"lighthouse-core/audits/content-width.js | description":{message:"Hvis bredden på appinnholdet ikke samsvarer med bredden på det synlige området, er appen kanskje ikke optimalisert for mobilskjermer. [Finn ut mer](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Det synlige områdets størrelse på {innerWidth} px samsvarer ikke med vindusstørrelsen på {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Innholdet har ikke riktig størrelse i forhold til det synlige området"},"lighthouse-core/audits/content-width.js | title":{message:"Innholdet har riktig størrelse i forhold til det synlige området"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"De kritiske forespørselskjedene nedenfor viser hvilke ressurser som lastes inn med høy prioritet. Vurder å redusere lengden på kjedene, redusere nedlastingsstørrelsen på ressursene eller utsette nedlasting av unødvendige ressurser for å bedre sideinnlastingen. [Finn ut mer](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 kjede funnet}other{# kjeder funnet}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Unngå kjeding av kritiske forespørsler"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiv"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Intensitet"},"lighthouse-core/audits/csp-xss.js | description":{
message:"En sterk regel for innholdssikkerhet (CSP) reduserer faren for skriptangrep på tvers av nettsteder (XSS) betydelig. [Finn ut mer](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntaks"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Siden inneholder en CSP som er definert i en <meta>-tagg. Vurder å definere CSP-en i et HTTP-hode hvis mulig."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Fant ingen CSP i håndhevelsesmodus"},"lighthouse-core/audits/csp-xss.js | title":{message:"Sørg for at CSP-en er effektiv mot XSS-angrep"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Avvikling/varsel"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Linje"},"lighthouse-core/audits/deprecations.js | description":{message:"Avviklede API-er kommer etter hvert til å bli fjernet fra nettleseren. [Finn ut mer](https://web.dev/deprecations/)."},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 varsel er funnet}other{# varsler er funnet}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Bruker avviklede API-er"},"lighthouse-core/audits/deprecations.js | title":{message:"Unngår å bruke avviklede API-er"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Programbufferen er avviklet. [Finn ut mer](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Fant «{AppCacheManifest}»"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Bruker programbufferen"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Unngår å bruke programbufferen"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"En tegnkodingsdeklarasjon kreves. Dette kan gjøres med en `<meta>`-tagg i de første 1024 bytene av HTML-koden eller i HTTP-svarhodet «Content-Type». [Finn ut mer](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Tegnsettsdeklarasjonen mangler eller forekommer for sent i HTML-koden"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Definerer tegnsettet ordentlig"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Ved å angi en doctype forhindrer du nettleseren fra å bytte til modus for bred kompatibilitet. [Finn ut mer](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Doctype-navnet må være strengen `html` med små bokstaver"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokumentet må ha en doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{
message:"Forventet at publicId skulle være en tom streng"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Forventet at systemId skulle være en tom streng"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Siden har ikke HTML som doctype og utløser derfor modus for bred kompatibilitet."},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Siden har HTML som doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistikk"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Verdi"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Store DOM-er øker minnebruken, forårsaker lengre [stilberegninger](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) og utløser kostbare [dynamiske tilpasninger av layouten](https://developers.google.com/speed/articles/reflow). [Finn ut mer](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}other{# elementer}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Unngå for stor DOM-struktur"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksimal DOM-dybde"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Totalt antall DOM-elementer"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksimalt antall underordnede elementer"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Unngå for stor DOM-struktur"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"a-tagger som ikke besto kontrollen"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Legg til `rel="noopener"` eller `rel="noreferrer"` i eksterne linker for å øke ytelsen og forhindre sikkerhetssårbarheter. [Finn ut mer](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Linker til opphavsuavhengige destinasjoner er utrygge"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Linker til opphavsuavhengige destinasjoner er trygge"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Kunne ikke avgjøre destinasjonen for ankeret ({anchorHTML}). Hvis ankeret ikke brukes som hyperlink, vurder å fjerne target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Brukere er mistroiske overfor eller blir forvirret av nettsteder som spør om posisjonen deres uten kontekst. Vurder å knytte forespørselen opp mot en brukerhandling i stedet. [Finn ut mer](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Spør om geolokaliseringstillatelsen ved sideinnlasting"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Unngår å spørre om geolokaliseringstillatelsen ved sideinnlasting"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Sakstype"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problemer som logges i `Issues`-panelet i Chrome DevTools, tyder på uløste problemer. De kan stamme fra mislykkede nettverksforespørsler, utilstrekkelige sikkerhetskontroller og andre nettleserproblemer. Åpne Issues-panelet i Chrome DevTools for å se flere detaljer om hvert enkelt problem."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problemer ble logget i `Issues`-panelet i Chrome DevTools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blokkert av regel for opphavsuavhengige forespørsler"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Tung ressursbruk på grunn av annonser"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Ingen problemer i `Issues`-panelet i Chrome DevTools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versjon"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Alle JavaScript-grensesnittsbiblioteker som ble funnet på siden. [Finn ut mer](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript-biblioteker som ble oppdaget"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"For brukere som har trege tilkoblinger, kan eksterne skript som injiseres dynamisk via `document.write()`, forsinke sideinnlastingen med flere titalls sekunder. [Finn ut mer](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Unngå `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Unngår `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Høyeste alvorlighetsgrad"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Bibliotekversjon"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Antall sårbarheter"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Noen tredjepartsskript kan inneholde kjente sikkerhetssårbarheter som enkelt kan identifiseres og utnyttes av angripere. [Finn ut mer](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 sårbarhet er oppdaget}other{# sårbarheter er oppdaget}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Inkluderer JavaScript-grensesnittsbiblioteker med kjente sikkerhetssårbarheter"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Unngår JavaScript-grensesnittsbiblioteker med kjente sikkerhetssårbarheter"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Brukere er mistroiske overfor eller blir forvirret av nettsteder som spør om å få sende varsler uten kontekst. Vurder å knytte forespørselen opp mot brukerbevegelser i stedet. [Finn ut mer](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Spør om varseltillatelsen ved sideinnlasting"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Unngår å spørre om varseltillatelsen ved sideinnlasting"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Å hindre brukere i å lime inn passord underminerer gode retningslinjer for sikkerhet. [Finn ut mer](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Forhindrer brukere fra å lime inn i passordfelt"},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Brukerne kan lime inn i passordfelt"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokoll"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 har mange fordeler sammenlignet med HTTP/1.1, blant annet binære headers og multipleksing. [Finn ut mer](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 forespørsel ble ikke vist via HTTP/2}other{# forespørsler ble ikke vist via HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Bruk HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Vurder å markere aktivitetslytterne for berøring og musehjul som `passive` for å oppnå bedre ytelse ved rulling på siden. [Finn ut mer](https://web.dev/uses-passive-event-listeners/)."},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Bruker ikke passive lyttere for å oppnå bedre ytelse ved rulling på siden"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Bruker passive lyttere for å oppnå bedre ytelse ved rulling på siden"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Feil som loggføres i konsollen, tyder på uløste problemer. De kan stamme fra mislykkede nettverksforespørsler og andre nettleserproblemer. [Finn ut mer](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Nettleserfeil ble loggført i konsollen"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Ingen nettleserfeil ble loggført i konsollen"},"lighthouse-core/audits/font-display.js | description":{
message:"Bruk CSS-funksjonen font-display til å forsikre deg om at brukerne ser teksten mens skrifttypene for nettet lastes inn. [Finn ut mer](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Sørg for at teksten forblir synlig under innlasting av skrifttyper for nettet"},"lighthouse-core/audits/font-display.js | title":{message:"All tekst forblir synlig under innlasting av skrifttype for nettet"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse kunne ikke sjekke `font-display`-verdien for opprinnelsen {fontOrigin} automatisk.}other{Lighthouse kunne ikke sjekke `font-display`-verdiene for opprinnelsen {fontOrigin} automatisk.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Høyde/bredde-forhold (faktisk)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Høyde/bredde-forhold (vist)"},
"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Visningsstørrelsen for bilder bør samsvare med det naturlige høyde/bredde-forholdet. [Finn ut mer](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Viser bilder med feil høyde/bredde-forhold"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Viser bilder med riktig høyde/bredde-forhold"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Faktisk størrelse"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Vist størrelse"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Forventet størrelse"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Bildets naturlige dimensjoner bør være proporsjonale med skjermstørrelsen og pikslenes høyde/bredde-forhold for at bildet skal være så tydelig som mulig. [Finn ut mer](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Viser bilder med lav oppløsning"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Viser bilder med riktig oppløsning"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Appen er allerede installert"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Kunne ikke laste ned et obligatorisk ikon fra manifestet"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Årsak til feilen"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Service Worker er teknologien som gjør at appen din kan bruke mange funksjoner for progressive nettprogrammer, f.eks. muligheten til å bruke appen uten nett, legge den til på startskjermen og sende pushvarslinger. Med ordentlige Service Worker- og manifestimplementasjoner kan nettlesere aktivt spørre brukere om de vil legge til appen på startskjermen. Det kan føre til høyere engasjement. [Finn ut mer](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 årsak}other{# årsaker}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Manifestet til nettprogrammet eller Service Worker oppfyller ikke kravene til installerbarhet"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play Butikk-appnettadressen og Play Butikk-ID-en samsvarer ikke"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{
message:"Siden er lastet inn i et inkognitovindu"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"«display»-egenskapen i manifestet må være enten «standalone», «fullscreen» eller «minimal-ui»"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifestet inneholder feltet «display_override», og den første støttede skjermmodusen må være enten «standalone», «fullscreen» eller «minimal-ui»"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifestet kunne ikke hentes, er tomt eller kunne ikke parses"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifestets nettadresse ble endret mens manifestet holdt på å bli lastet ned."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifestet inneholder ikke noen av feltene «name» eller «short_name»"},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifestet inneholder ikke noe egnet ikon. Ikonet må være i PNG-, SVG- eller WebP-format og ha en størrelse på minst {value0} px, sizes-attributtet må være angitt, og hvis purpose-attributtet er angitt, må det inneholde «any»."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Ingen oppgitte ikoner har en størrelse på minst {value0} px (kvadrat) og er i PNG-, SVG- eller WebP-format med purpose-attributtet satt til «any» eller ikke angitt"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Det nedlastede ikonet var tomt eller skadet"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Ingen Play Butikk-ID er oppgitt"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Siden har ingen manifest-<link>-nettadresse"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Fant ingen samsvarende Service Worker. Du må kanskje laste inn siden på nytt eller sjekke at Service Worker for den gjeldende siden har et omfang som omslutter omfanget («scope») og start-nettadressen («start_url») fra manifestet."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Kunne ikke sjekke Service Worker uten et «start_url»-felt i manifestet"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Installerbarhetsfeil-ID-en «{errorId}» gjenkjennes ikke"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Siden vises ikke fra et sikkert opphavsdomene"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Siden lastes ikke inn i hovedrammen"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Siden fungerer ikke uten nett"},
"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Den angitte applikasjonsplattformen støttes ikke på Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifestet spesifiserer prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications støttes kun i Chrome Beta- og Stable-kanalene på Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Start-nettadressen til manifestet er ikke gyldig"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifestet til nettprogrammet og Service Worker oppfyller kravene til installerbarhet"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"En nettadresse i manifestet inneholder et brukernavn, et passord eller en port"},
"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Siden fungerer ikke uten nett. Siden kommer ikke til å anses som installerbar når Chrome 93 lanseres i stabil utgave i august 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Tillatt"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blokkert"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Utrygg nettadresse"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Forespørselløsning"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Alle nettsteder bør være beskyttet med HTTPS, selv de som ikke håndterer sensitive opplysninger. Blant annet bør du unngå [blandet innhold](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), som innebærer at enkelte ressurser lastes inn via HTTP selv om den innledende forespørselen foregår via HTTPS. HTTPS forhindrer inntrengere fra å tukle med eller lytte passivt til kommunikasjonen mellom appen din og brukerne dine og er en forutsetning for å kunne bruke HTTP/2 og mange nye nettplattform-API-er. [Finn ut mer](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 utrygg forespørsel er funnet}other{# utrygge forespørsler er funnet}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Bruker ikke HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Bruker HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{
message:"Oppgradert til HTTPS automatisk"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Tillatt med advarsel"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliotek"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Store JavaScript-bibliotek kan føre til lav ytelse. Du bør bruke mindre bibliotek med tilsvarende funksjonalitet for å redusere pakkestørrelsen. [Finn ut mer](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 stort bibliotek funnet}other{# store bibliotek funnet}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Bytt ut unødvendig store JavaScript-bibliotek"},"lighthouse-core/audits/large-javascript-libraries.js | title":{
message:"Unngår store JavaScript-bibliotek der det finnes mindre alternativer"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Dette er det største innholdsrike elementet som ble tegnet innenfor det synlige området. [Finn ut mer](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elementet med største innholdsrike opptegning (LCP)"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS-bidrag"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Disse DOM-elementene bidrar mest til CLS på siden."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Unngå store utseendeforskyvninger"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Viser de lengste oppgavene på hovedtråden. Dette er nyttig for å finne ut hvilke oppgaver som bidrar mest til inndataforsinkelser. [Finn ut mer](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# lang oppgave funnet}other{# lange oppgaver funnet}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Unngå lange oppgaver på hovedtråden"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategori"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Vurder å redusere tiden som brukes til parsing, kompilering og kjøring av JS. Levering av mindre JS-ressurser kan bidra til dette. [Finn ut mer](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimer arbeidet på hovedtråden"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{
message:"Minimerer arbeidet på hovedtråden"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"For å nå så mange brukere som mulig bør nettsteder fungere i alle de vanligste nettleserne. [Finn ut mer](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Nettstedet fungerer i ulike nettlesere"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Sørg for at individuelle sider kan dyplinkes via nettadresser, og at nettadressene er unike, slik at de kan deles på sosiale medier. [Finn ut mer](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Hver side har en nettadresse"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Overganger skal føles smidige når du trykker deg rundt, selv på et tregt nettverk. Denne opplevelsen er avgjørende for brukerens opplevelse av ytelsen. [Finn ut mer](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Sideoverganger føles ikke som om de blokkerer på nettverket"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Maskerbare ikoner sørger for at bildet fyller hele omrisset og vises uten kanter når appen installeres på enheter. [Finn ut mer](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifestet har ikke noe maskerbart ikon"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifestet har et maskerbart ikon"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Akkumulert utseendeforskyvning (CLS) måler bevegelsen av synlige elementer i det synlige området. [Finn ut mer](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Den første innholdsrike opptegningen (FCP) markerer den første gangen tekst eller bilder tegnes opp. [Finn ut mer](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Første vesentlige opptegning måler når hovedinnholdet på en side er synlig. [Finn ut mer](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Tid til interaktiv vil si hvor lang tid det tar før siden blir helt interaktiv. [Finn ut mer](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Største innholdsrike opptegning (LCP) markerer tidspunktet når den største teksten eller det største bildet vises. [Finn ut mer](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Den maksimale potensielle forsinkelsen for første inndata som brukerne dine kan oppleve, er varigheten av den lengste oppgaven. [Finn ut mer](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Hastighetsindeksen viser hvor raskt innholdet på siden blir synlig. [Finn ut mer](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Summen av alle tidsperiodene mellom første innholdsrike opptegning (FCP) og tid til interaktiv, når oppgavelengden har overskredet 50 ms, uttrykt i millisekunder. [Finn ut mer](https://web.dev/lighthouse-total-blocking-time/)."},
"lighthouse-core/audits/network-rtt.js | description":{message:"Rundturstidene (RTT) for nettverket har stor innvirkning på ytelsen. Hvis RTT-en til et bestemt opprinnelsessted er høy, tyder det på at tjenere som befinner seg nærmere brukeren, muligens kan gi bedre ytelse. [Finn ut mer](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Rundturstider for nettverket"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Tidsforsinkelser fra tjeneren kan påvirke nettytelsen. Hvis tjeneren for et bestemt opprinnelsessted har høy tidsforsinkelse, tyder det på at tjeneren er overbelastet eller har dårlig ytelse i tjenerdelen. [Finn ut mer](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Forsinkelser i tjenerdelen"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload`-hendelsen utløses ikke på en pålitelig måte. Å lytte til den kan forhindre nettleseroptimaliseringer, for eksempel frem-og-tilbake-bufferen. Vurder å bruke hendelsene `pagehide` eller `visibilitychange` i stedet. [Finn ut mer](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registrerer en `unload`-lytter"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Unngår `unload`-hendelseslyttere"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animasjoner som ikke er sammensatte, kan være hakkete og bidra til økt CLS. [Finn ut mer](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animert element funnet}other{# animerte elementer funnet}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{
message:"En filter-relatert egenskap kan flytte piksler"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Målet har en annen animasjon som ikke er kompatibel"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Effekten har en annen sammensetningsmodus enn «replace»"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Unngå ikke-sammensatte animasjoner"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"En transform-relatert egenskap er avhengig av størrelsen på boksen"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Denne CSS-egenskapen støttes ikke: {properties}}other{Disse CSS-egenskapene støttes ikke: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effekten har tidsparametere som ikke støttes"},
"lighthouse-core/audits/performance-budget.js | description":{message:"Sørg for at antall nettverksforespørsler og størrelsen på disse er lavere enn målene som er angitt i det aktuelle ytelsesbudsjettet. [Finn ut mer](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 forespørsel}other{# forespørsler}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Ytelsesbudsjett"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Forhåndslast `optional` skrifttyper, slik at førstegangsbesøkende kan bruke dem. [Finn ut mer](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Skrifttyper med `font-display: optional` forhåndslastes ikke"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Skrifttyper med `font-display: optional` forhåndslastes"},
"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Forhåndslast bildet som brukes av LCP-elementet, for å oppnå en bedre LCP-tid. [Finn ut mer](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Forhåndslast bildet med største innholdsrike opptegning"},"lighthouse-core/audits/redirects-http.js | description":{message:"Hvis du allerede har satt opp HTTPS, må du sørge for at du viderekobler all HTTP-trafikk til HTTPS, slik at du gir alle brukerne dine tilgang til sikker nettfunksjonalitet. [Finn ut mer](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Viderekobler ikke HTTP-trafikk til HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Viderekobler HTTP-trafikk til HTTPS"},"lighthouse-core/audits/redirects.js | description":{
message:"Viderekoblinger fører til flere forsinkelser før siden kan lastes inn. [Finn ut mer](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Unngå flere viderekoblinger av siden"},"lighthouse-core/audits/resource-summary.js | description":{message:"For å angi budsjetter for antall sideressurser og størrelsen på disse, legg til en budget.json-fil. [Finn ut mer](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 forespørsel • {byteCount, number, bytes} KiB}other{# forespørsler • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Minimer antall forespørsler og størrelsen på overføringer"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanoniske linker foreslår hvilken nettadresse som skal vises i søkeresultater. [Finn ut mer](https://web.dev/canonical/)."},
"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Flere motstridende nettadresser ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Peker til et annet domene ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Ugyldig nettadresse ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Peker til en annen `hreflang`-plassering ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relativ nettadresse ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Peker til domenets rotadresse (startsiden) i stedet for en tilsvarende side med innhold"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokumentet har ikke noe gyldig `rel=canonical`-element"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumentet har en gyldig `rel=canonical`-link"},
"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link som ikke kan gjennomsøkes"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Søkemotorer kan bruke `href`-attributter på linker for å gjennomsøke nettsteder. Sørg for at `href`-attributter i a-tagger linker til hensiktsmessige destinasjoner, slik at flere sider på nettstedet kan bli oppdaget. [Finn ut mer](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Linker kan ikke gjennomsøkes"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Linker kan gjennomsøkes"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Annen uleselig tekst"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Skriftstørrelse"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% av sidetekst"},
"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Velger"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Skriftstørrelser på mindre enn 12 px er for små til å være leselige og gjør at besøkende på mobil må «klype for å zoome» for å klare å lese teksten. Prøv å sørge for at mer enn 60 % av teksten på siden er 12 px eller større. [Finn ut mer](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} lesbar tekst"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Teksten er uleselig fordi det ikke er noen viewport-metatag som er optimalisert for mobilskjermer."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumentet bruker ikke leselige skriftstørrelser"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Leselig tekst"},"lighthouse-core/audits/seo/font-size.js | title":{
message:"Dokumentet bruker leselige skriftstørrelser"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang-linker forteller søkemotorer hvilken sideversjon som skal føres opp i søkeresultatene for bestemte språk eller regioner. [Finn ut mer](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumentet har ikke noe gyldig `hreflang`-attributt"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativ href-verdi"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumentet har et gyldig `hreflang`-attributt"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Uventet språkkode"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Sider med HTTP-statuskoder som indikerer mislykkede forespørsler, indekseres kanskje ikke skikkelig. [Finn ut mer](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{
message:"Sidens HTTP-statuskode indikerer mislykket forespørsel"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Sidens HTTP-statuskode er gyldig"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Søkemotorer kan ikke ta med sidene dine i søkeresultatene hvis de ikke har tillatelse til å gjennomsøke dem. [Finn ut mer](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Siden er blokkert for indeksering"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Siden er ikke blokkert for indeksering"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Beskrivende linktekst hjelper søkemotorer med å forstå innholdet. [Finn ut mer](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Fant 1 link}other{Fant # linker}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{
message:"Linker har ikke beskrivende tekst"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Linkene har beskrivende tekst"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Kjør [Testverktøy for strukturerte data](https://search.google.com/structured-data/testing-tool/) og [Structured Data Linter](http://linter.structured-data.org/) for å validere strukturerte data. [Finn ut mer](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturerte data er gyldige"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Metabeskrivelser kan tas med i søkeresultater for å oppsummere sideinnholdet kort og konsist. [Finn ut mer](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Beskrivelsesteksten er tom."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumentet har ingen metabeskrivelse"
},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokumentet har en metabeskrivelse"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Søkemotorer kan ikke indeksere innholdet i programtillegg, og mange enheter begrenser programtillegg eller støtter dem ikke. [Finn ut mer](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumentet bruker programtillegg"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumentet bruker ikke programtillegg"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Hvis robots.txt-filen har feil format, kan det hende at søkeroboter ikke forstår hvordan du vil at nettstedet ditt skal gjennomsøkes eller indekseres. [Finn ut mer](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Forespørselen om robots.txt returnerte HTTP-statusen: {statusCode}"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Fant 1 feil}other{Fant # feil}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse kunne ikke laste ned noen robots.txt-fil"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt er ikke gyldig"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt er gyldig"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktive elementer, som knapper og linker, må være store nok (48 x 48 px) og ha nok plass rundt seg til at det er lett å trykke på dem uten at de overlapper andre elementer. [Finn ut mer](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} av de trykkbare elementene er store nok"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"De trykkbare elementene er for små fordi det ikke er noen viewport-metatag som er optimalisert for mobilskjermer"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Trykkbare elementer er ikke store nok"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Overlappende trykkbart element"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Trykkbart element"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Trykkbare elementer er store nok"},"lighthouse-core/audits/server-response-time.js | description":{message:"Hold tjenerresponstiden for hoveddokumentet lav, siden alle andre forespørsler avhenger av den. [Finn ut mer](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Root-dokumentet brukte {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{
message:"Reduser den innledende tjenerresponstiden"},"lighthouse-core/audits/server-response-time.js | title":{message:"Den innledende tjenerresponstiden var kort"},"lighthouse-core/audits/service-worker.js | description":{message:"Tjenestearbeideren er teknologien som gjør at appen din kan bruke mange funksjoner for progressive nettprogrammer, f.eks. muligheten til å bruke appen uten nett, legge den til på startskjermen og sende pushvarslinger. [Finn ut mer](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Denne siden styres av en tjenestearbeider, men ingen `start_url` ble funnet fordi manifestet ikke kunne parses som gyldig JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Denne siden styres av en tjenestearbeider, men `start_url` ({startUrl}) ligger utenfor tjenestearbeiderens omfang ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{
message:"Denne siden styres av en tjenestearbeider, men ingen `start_url` ble funnet fordi manifestet ikke ble hentet."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Denne plasseringen har én eller flere tjenestearbeidere, men siden ({pageUrl}) ligger utenfor omfanget."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Registrerer ikke en tjenestearbeider som styrer siden og `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registrerer en tjenestearbeider som styrer siden og `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Tematiske splash-skjermer gjør at brukerne får en kvalitetsopplevelse når de starter appen fra startskjermen. [Finn ut mer](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Er ikke konfigurert med tilpasset splash-skjerm"},"lighthouse-core/audits/splash-screen.js | title":{
message:"Konfigurert med tilpasset splash-skjerm"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Adressefeltet i nettleseren kan gis et tema for å stå i stil med nettstedet ditt. [Finn ut mer](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Angir ikke en temafarge for adressefeltet."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Angir en temafarge for adressefeltet."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (kundestøtte)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (markedsføring)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (sosiale medier)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkt"},
"lighthouse-core/audits/third-party-facades.js | description":{message:"Innlastingen kan utsettes for enkelte tredjepartsinnbygginger. Vurder å erstatte dem med fasader frem til de trengs. [Finn ut mer](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# fasadealternativ er tilgjengelig}other{# fasadealternativer er tilgjengelige}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Innlasting av enkelte tredjepartsressurser kan utsettes med fasader"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Utsett innlastingen av tredjepartsressurser med fasader"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Tredjepart"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Tredjepartskode kan ha betydelig innvirkning på hvor lang tid det tar å laste inn siden. Begrens antallet overflødige tredjepartsleverandører, og prøv å laste inn tredjepartskode etter at siden for det meste er ferdig innlastet. [Finn ut mer](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Tredjepartskode blokkerte hovedtråden i {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduser innvirkningen av tredjepartskode"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimer bruken av tredjepartskode"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Måling"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Verdi"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Angi et tidsbudsjett, slik at du kan holde øye med ytelsen på nettstedet. Nettsteder med høy ytelse lastes inn raskt og svarer kjapt på brukerinndatahendelser. [Finn ut mer](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Tidsbudsjett"},"lighthouse-core/audits/unsized-images.js | description":{message:"Angi bredden og høyden på bildeelementer eksplisitt for å redusere utseendeforskyvninger og oppnå bedre CLS. [Finn ut mer](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Bildeelementer har ikke eksplisitte `width`- og `height`-attributter"},"lighthouse-core/audits/unsized-images.js | title":{message:"Bildeelementer har eksplisitte `width`- og `height`-attributter"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Type"},"lighthouse-core/audits/user-timings.js | description":{
message:"Vurder å utstyre appen din med brukertiming-API-et for å måle appens reelle ytelse under viktige brukeropplevelser. [Finn ut mer](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{ 1 brukertiming}other{# brukertiminger}}"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing – merker og intervaller"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Det ble funnet en `<link rel=preconnect>` for «{securityOrigin}», men denne ble ikke brukt av nettleseren. Kontrollér at du bruker `crossorigin`-attributtet riktig."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Vurder å legge til `preconnect`- eller `dns-prefetch`-ressurshint for å opprette tidlige tilkoblinger til viktige tredjepartsplasseringer. [Finn ut mer](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{
message:"Opprett forhåndstilkobling til nødvendige domenenavn"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Fant mer enn to `<link rel=preconnect>`-tilkoblinger. Disse bør brukes sparsomt og kun til de viktigste plasseringene."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Det ble funnet en `<link rel=preconnect>` for «{securityOrigin}», men denne ble ikke brukt av nettleseren. Bruk `preconnect` kun for viktige plasseringer som det er helt sikkert at siden kommer til å forespørre."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Det ble funnet en `<link>` for forhåndslasting av «{preloadURL}», men denne ble ikke brukt av nettleseren. Kontrollér at du bruker `crossorigin`-attributtet riktig."},"lighthouse-core/audits/uses-rel-preload.js | description":{
message:"Vurder å bruke `<link rel=preload>` for å prioritere henting av ressurser som for øyeblikket blir forespurt senere i sideinnlastingen. [Finn ut mer](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Forhåndsinnlast (preload) nøkkelforespørsler"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Nettadresse til kildekart"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Kildekart oversetter minifisert kode til den opprinnelige kildekoden. Dette hjelper utviklere med feilsøking under produksjonen. I tillegg kan Lighthouse gi ytterligere innsikt. Vurder å implementere kildekart for å dra nytte av disse fordelene. [Finn ut mer](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Manglende kildekart for stor førsteparts JavaScript-kode"},
"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"En stor JavaScript-fil mangler kildekart"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Advarsel: Mangler 1 element i `.sourcesContent`}other{Advarsel: Mangler # elementer i `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Siden har gyldige kildekart"},"lighthouse-core/audits/viewport.js | description":{message:'Legg til en `<meta name="viewport">`-tag for å optimalisere appen for mobilskjermer. [Finn ut mer](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Fant ingen `<meta name="viewport">`-tag'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Har ingen `<meta name="viewport">`-tag med `width` eller `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Har en `<meta name="viewport">`-tag med `width` eller `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Dette er muligheter til å forbedre bruken av ARIA i programmet ditt, noe som kan gjøre opplevelsen bedre for brukere av assisterende teknologi, som skjermlesere."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Dette er muligheter til å tilby alternativt innhold for lyd og video. Dette kan gjøre opplevelsen bedre for brukere med nedsatt syn eller hørsel."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Lyd og video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Disse punktene fremhever de vanligste anbefalte fremgangsmåtene for å sikre god tilgjengelighet."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{
message:"Anbefalte fremgangsmåter"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Disse kontrollene fremhever muligheter til [å gjøre nettprogrammet ditt mer tilgjengelig](https://developers.google.com/web/fundamentals/accessibility). Kun et utvalg av tilgjengelighetsproblemer kan oppdages automatisk, så du bør teste manuelt i tillegg."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Disse punktene tar for seg områder som ikke kan dekkes av automatiske testverktøy. Finn ut mer i veiledningen vår om [å utføre tilgjengelighetsgjennomganger](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Tilgjengelighet"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Dette er muligheter til å gjøre innholdet mer leselig."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Dette er muligheter til å gjøre innholdet lettere å tolke for brukere med forskjellige lokaliteter."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internasjonalisering og lokalisering"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Dette er muligheter til å gjøre kontrollene i programmet mer semantiske. Dette kan gjøre opplevelsen bedre for brukere av assisterende teknologi, som skjermlesere."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Navn og etiketter"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Dette er muligheter til å gjøre tastaturnavigeringen i programmet ditt bedre."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{
message:"Navigering"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Dette er muligheter til å gi en bedre opplevelse når assisterende teknologi, som skjermlesere, brukes til å lese data i tabeller eller lister."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabeller og lister"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Nettleserkompatibilitet"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Gode fremgangsmåter"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Generelt"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Sikkerhet og pålitelighet"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Brukeropplevelse"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Ytelsesbudsjetter angir standarder for ytelsen på nettstedet."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budsjetter"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Mer informasjon om ytelsen til appen din. Disse tallene har ingen [direkte innvirkning](https://web.dev/performance-scoring/) på ytelsespoengsummen."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostikk"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Det mest kritiske aspektet for ytelse er hvor raskt piksler blir gjengitt på skjermen. Nøkkelberegninger: Første innholdsrike opptegning, Første vesentlige opptegning"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Forbedringer av første opptegning"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Disse forslagene kan bidra til at siden lastes inn raskere. De har ingen [direkte innvirkning](https://web.dev/performance-scoring/) på ytelsespoengsummen."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Muligheter"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Beregninger"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Gjør den totale innlastingsopplevelsen bedre, slik at siden reagerer og er klar til bruk så snart som mulig. Nøkkelberegninger: Tid til interaktiv, Hastighetsindeks"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Forbedringsmuligheter"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Resultater"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Disse kontrollene validerer ulike aspekter av progressive nettprogrammer. [Finn ut mer](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Disse kontrollene kreves av den grunnleggende [sjekklisten for progressive nettprogrammer](https://developers.google.com/web/progressive-web-apps/checklist), men kontrolleres ikke automatisk av Lighthouse. De påvirker ikke poengsummen din, men det er viktig at du verifiserer dem manuelt."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressivt nettprogram"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Kan installeres"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA-optimalisert"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Disse kontrollene sørger for at siden din er optimalisert for god rangering i resultatene fra søkemotorer. Det finnes flere faktorer som Lighthouse ikke kontrollerer, men som kan påvirke søkerangeringen. [Finn ut mer](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Kjør disse tilleggsvalideringene på nettstedet ditt for å sjekke flere anbefalte fremgangsmåter for SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatér HTML-koden din på en måte som gjør det enklere for søkeroboter å forstå innholdet i appen."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Anbefalte fremgangsmåter for innhold"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Søkeroboter trenger tilgang til appen din for at den skal vises i søkeresultater."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Gjennomsøking og indeksering"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Sørg for at sidene dine er mobilvennlige, så brukere ikke trenger å klype eller zoome inn for å lese innholdssidene. [Finn ut mer](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobilvennlig"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Den testede enheten ser ut til å ha tregere prosessor enn Lighthouse forventer. Dette kan virke negativt inn på ytelsespoengsummen din. Finn ut mer om [kalibrering av en hensiktsmessig multiplikator for prosessorforsinkelse](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},
"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Siden lastes kanskje ikke inn som forventet, fordi testnettadressen ({requested}) ble viderekoblet til {final}. Prøv å teste den andre nettadressen direkte."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Siden ble lastet inn for tregt til å bli ferdig innenfor tidsgrensen. Resultatene kan være ufullstendige."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{Det kan være lagrede data som påvirker innlastingsytelsen, på denne plasseringen: {locations}. Utfør en revisjon på denne siden i et inkognitovindu for å forhindre disse ressursene fra å påvirke poengsummene.}other{Det kan være lagrede data som påvirker innlastingsytelsen, på disse plasseringene: {locations}. Utfør en revisjon på denne siden i et inkognitovindu for å forhindre disse ressursene fra å påvirke poengsummene.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Vurder å legge til nettadresseskjemaene https: og http: (ignoreres av nettlesere som støtter «strict-dynamic») for bakoverkompatibilitet med eldre nettlesere."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener er avviklet siden CSP3. Bruk hodet Cross-Origin-Opener-Policy i stedet."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer er avviklet siden CSP2. Bruk hodet Referrer-Policy i stedet."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss er avviklet siden CSP2. Bruk hodet X-XSS-Protection i stedet."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Når base-uri mangler, kan injiserte <base>-tagger sette grunn-nettadressen for alle relative nettadresser (f.eks. skript) til et domene som en angriper kontrollerer. Vurder å sette base-uri til «none» eller «self»."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Elementer som kontrolleres av object-src, anses som foreldede funksjoner. Vurder å sette object-src til «none» for å forhindre injisering av programtillegg som kjører utrygge skript."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Direktivet script-src mangler. Dette kan gjøre det mulig å kjøre utrygge skript."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Har du glemt et semikolon? {keyword} ser ut til å være et direktiv, ikke et nøkkelord."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Engangsverdier må bruke base64-tegnsettet."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Engangsverdier må være på minst åtte tegn."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Rapporteringsdestinasjonen er bare konfigurert via direktivet report-to. Dette direktivet støttes kun i Chromium-baserte nettlesere, så det anbefales at du også bruker direktivet report-uri."},
"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Det er ingen CSP som konfigurerer en rapporteringsdestinasjon. Dette gjør det vanskelig å vedlikeholde CSP-en over tid og følge med på om noe slutter å virke."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Godkjenningslister for verter kan ofte forbigås. Vurder å bruke «strict-dynamic» i kombinasjon med CSP-engangsverdier eller -hasher."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Ukjent CSP-direktiv."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} ser ut til å være et ugyldig nøkkelord."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"«unsafe-inline» muliggjør kjøring av utrygge skript og hendelsesbehandlere på siden. Vurder å bruke CSP-engangsverdier eller -hasher for å la skript kjøre individuelt."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:"Vurder å legge til «unsafe-inline» (ignoreres av nettlesere som støtter engangsverdier eller hasher) for bakoverkompatibilitet med eldre nettlesere."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Blokkeringstid i hovedtråden"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Buffer-TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Beskrivelse"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Varighet"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementer som ikke besto kontrollen"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Posisjon"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Navn"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Over budsjett"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Forespørsler"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Ressursstørrelse"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Ressurstype"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Størrelse"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Kilde"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Starttid"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Brukt tid"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Overføringsstørrelse"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"Nettadresse"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potensielle besparelser"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potensielle besparelser"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Potensielle besparelser på {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 element funnet}other{# elementer funnet}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potensielle besparelser på {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Første vesentlige opptegning"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Skrifttype"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Bilde"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Høy"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{
message:"Lav"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Middels"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maks forsinkelse for første inndata"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Medier"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Annet"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Andre ressurser"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skript"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stilark"},
"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Tredjepart"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Totalt"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Noe gikk galt med sporingsregistreringen for sideinnlastingen. Kjør Lighthouse på nytt. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Tidsavbrudd under venting på første tilkobling fra feilsøkingsprogramprotokollen."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome samlet ingen skjermdumper under innlasting av siden. Sørg for at det finnes synlig innhold på siden, og prøv deretter å kjøre Lighthouse på nytt. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS-tjenerne kunne ikke oversette domenet du oppga."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{
message:"Den obligatoriske {artifactName}-samleren støtte på en feil: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Det oppsto en intern Chrome-feil. Start Chrome på nytt, og prøv å kjøre Lighthouse igjen."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Den obligatoriske {artifactName}-samleren ble ikke kjørt."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Siden tegnet ikke noe innhold. Pass på å holde nettleservinduet i forgrunnen under innlasting, og prøv på nytt. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Siden du oppga, er ikke HTML (sendes med MIME-typen {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Denne versjonen av Chrome er for gammel til å støtte «{featureName}». Bruk en nyere versjon for å se de fullstendige resultatene."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Lighthouse kunne ikke laste inn den forespurte siden på en pålitelig måte. Sjekk at du tester riktig nettadresse, og at tjeneren svarer ordentlig på alle forespørsler."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse kunne ikke laste inn den forespurte nettadressen på en pålitelig måte, fordi siden sluttet å svare."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Nettadressen du oppga, har ikke noe gyldig sikkerhetssertifikat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome forhindret siden fra å lastes inn og viste en interstitial-skjerm i stedet. Sjekk at du tester riktig nettadresse, og at tjeneren svarer ordentlig på alle forespørsler."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"Lighthouse kunne ikke laste inn den forespurte siden på en pålitelig måte. Sjekk at du tester riktig nettadresse, og at tjeneren svarer ordentlig på alle forespørsler. (Detaljer: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse kunne ikke laste inn den forespurte siden på en pålitelig måte. Sjekk at du tester riktig nettadresse, og at tjeneren svarer ordentlig på alle forespørsler. (Statuskode: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Det tok for lang tid å laste inn siden. Følg tipsene i rapporten for å redusere sideinnlastingstiden, og prøv deretter å kjøre Lighthouse på nytt. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Venting på DevTools-protokollsvar har overskredet den kvoterte tiden. (Metode: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Henting av ressursinnhold har overskredet den kvoterte tiden"},
"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Nettadressen du oppga, ser ut til å være ugyldig."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Alt"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Alle skript"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Dekning"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplikatmoduler"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Ressursstørrelse i byte"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Navn"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Slå av/på tabell"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Ubrukte byte"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"For animert innhold, bruk [`amp-anim`‏](https://amp.dev/documentation/components/amp-anim/) for å minimere prosessorbruken når innholdet er utenfor skjermen."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Vurder å vise alle [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-komponenter i WebP-formater og spesifisere passende reservealternativer for andre nettlesere. [Finn ut mer](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Pass på å bruke [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for bilder som skal lastes inn med utsettelse automatisk. [Finn ut mer](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Bruk verktøy som [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) for å [gjengi AMP-layouter på tjenersiden](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Se [AMP-dokumentasjonen](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) for å forsikre deg om at alle stilene støttes."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-komponenten støtter [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/)-attributtet, som gjør det mulig å spesifisere hvilke bilderessurser som skal brukes, basert på skjermstørrelsen. [Finn ut mer](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Vurder å bruke virtuell rulling med Component Dev Kit (CDK) hvis du skal gjengi svært store lister. [Finn ut mer](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Bruk [kodeoppdeling på rutenivå](https://web.dev/route-level-code-splitting-in-angular/) for å minimere størrelsen på JavaScript-pakkene. Vurder også å forhåndsbufre ressurser med [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Hvis du bruker Angular CLI, må du passe på at delversjonene genereres i produksjonsmodus. [Finn ut mer](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"Hvis du bruker Angular CLI, kan du inkludere kildekodekart i produksjonsdelversjonen for å inspisere pakkene dine. [Finn ut mer](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Last inn ruter på forhånd for å gjøre navigasjonen raskere. [Finn ut mer](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Vurder å bruke `BreakpointObserver`-verktøyet i Component Dev Kit (CDK) for å administrere stoppunkter for bilder. [Finn ut mer](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Vurder å laste opp GIF-filen til en tjeneste som gjør det mulig å bygge den inn som en HTML5-video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{
message:"Angi `@font-display` når du definerer egendefinerte skrifttyper i temaet ditt."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Vurder å installere og konfigurere [en modul for å benytte WebP-bildeformater](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) på nettstedet ditt. Slike moduler genererer automatisk WebP-versjoner av opplastede bilder for å optimalisere innlastingstiden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Installer [en Drupal-modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) som kan utsette innlastingen av bilder. Slike moduler gir mulighet til å utsette innlasting av bilder som ikke er på skjermen, slik at ytelsen økes."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Vurder å bruke en modul for å bygge inn kritisk CSS- og JavaScript-kode eller potensielt laste inn ressurser asynkront via JavaScript, som for eksempel modulen [avansert CSS-/JS-aggregering](https://www.drupal.org/project/advagg). Vær obs på at optimalisering som gjøres av denne modulen, kan gjøre at nettstedet ditt slutter å fungere, så du må sannsynligvis gjøre kodeendringer."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Både temaer, moduler og tjenerspesifikasjoner virker inn på tjenerens responstid. Vurder å finne et mer optimalisert tema, velge en optimaliseringsmodul nøye og/eller oppgradere tjeneren. Vertstjenerne dine bør benytte seg av bufring av PHP-operasjonskoder, minnebufring som Redis eller Memcached for å redusere tiden databasespørringer tar, samt optimalisert applikasjonslogikk for å klargjøre sider raskere."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Vurder å bruke [responsive bildestiler](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) for å redusere størrelsen på bilder som lastes inn på siden. Hvis du bruker Views til å vise flere innholdselementer på siden, bør du vurdere å implementere sideinndeling for å begrense antallet innholdselementer som vises på en gitt side."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Forsikre deg om at du har slått på «Aggreger CSS-filer» på siden «Administrasjon > Konfigurasjon > Utvikling». Du kan også konfigurere mer avanserte aggregeringsalternativer gjennom [tilleggsmoduler](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) for å gjøre nettstedet ditt raskere ved å spleise, minifisere og komprimere CSS-stilene dine."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Forsikre deg om at du har slått på «Aggreger JavaScript-filer» på siden «Administrasjon > Konfigurasjon > Utvikling». Du kan også konfigurere mer avanserte aggregeringsalternativer gjennom [tilleggsmoduler](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) for å gjøre nettstedet ditt raskere ved å spleise, minifisere og komprimere JavaScript-ressursene dine."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Vurder å fjerne ubrukte CSS-regler og kun legge ved de nødvendige Drupal-bibliotekene på den relevante siden eller komponenten på siden. Se [linken til Drupal-dokumentasjonen](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for mer informasjon. For å identifisere vedlagte bibliotek som legger til overflødig CSS, prøv å kjøre [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan finne temaet eller modulen som er ansvarlig, i nettadressen til stilarket når CSS-aggregering er avslått på Drupal-nettstedet ditt. Se opp for temaer og moduler som har mange stilark på listen, og som viser mye rødt i kodedekningen. Temaer og moduler bør bare legge stilark i kø hvis disse faktisk brukes på siden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Vurder å fjerne ubrukte JavaScript-ressurser og kun legge ved de nødvendige Drupal-bibliotekene på den relevante siden eller komponenten på siden. Se [linken til Drupal-dokumentasjonen](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for mer informasjon. For å identifisere vedlagte bibliotek som legger til overflødig JavaScript, prøv å kjøre [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan finne temaet eller modulen som er ansvarlig, i nettadressen til skriptet når JavaScript-aggregering er avslått på Drupal-nettstedet ditt. Se opp for temaer og moduler som har mange skript på listen, og som viser mye rødt i kodedekningen. Temaer og moduler bør bare legge skript i kø hvis disse faktisk brukes på siden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Angi «Maksimumsalder for nettleser- og proxy-tjenerbuffer» på siden «Administrasjon > Konfigurasjon > Utvikling». Les om [Drupal-bufferen og optimalisering for ytelse](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Vurder å bruke [en modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) som automatisk optimaliserer og reduserer størrelsen på bilder som lastes opp via nettstedet, uten at det går ut over kvaliteten. Pass også på at du bruker de innebygde [responsive bildestilene](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) i Drupal (tilgjengelig i Drupal 8 og nyere) for alle bilder som gjengis på nettstedet."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Ressurshintene preconnect og dns-prefetch kan legges til ved å installere og konfigurere [en modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) som inneholder funksjonalitet for å gi brukeragenten ressurshint."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Pass på at du bruker de innebygde [responsive bildestilene](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) i Drupal (tilgjengelig i Drupal 8 og nyere). Bruk de responsive bildestilene ved gjengivelse av bildefelt gjennom visningsmoduser, visninger eller bilder som lastes opp gjennom WYSIWYG-redigeringsverktøyet."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Vurder å laste opp GIF-filen til en tjeneste som gjør det mulig å bygge den inn som en HTML5-video."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Vurder å bruke et [programtillegg](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) eller en tjeneste som automatisk konverterer opplastede bilder til de optimale formatene."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Installer et [Joomla-programtillegg for utsatt innlasting](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) som gjør det mulig å utsette innlasting av bilder som ikke er på skjermen, eller bytt til en mal som gir denne funksjonaliteten. Fra og med Joomla 4.0 får alle nye bilder [automatisk](https://github.com/joomla/joomla-cms/pull/30748) `loading`-attributtet fra kjernen."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Det finnes en rekke Joomla-programtillegg som kan hjelpe deg med å [bygge inn kritiske elementer direkte på siden](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) eller [utsette innlasting av mindre viktige ressurser](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Vær obs på at optimalisering som gjøres av disse programtilleggene, kan ødelegge funksjonalitet i malene eller programtilleggene dine, så du må teste disse grundig."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Både maler, utvidelser og tjenerspesifikasjoner virker inn på tjenerens responstid. Vurder å finne en mer optimalisert mal, velge en utvidelse for optimalisering nøye og/eller oppgradere tjeneren."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Vurder å vise utdrag i artikkelkategoriene (f.eks. via les mer-linken), redusere antall artikler som vises på en gitt side, fordele lange innlegg på flere sider eller bruke et programtillegg for utsatt innlasting av kommentarer."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"En rekke [Joomla-utvidelser](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) kan gjøre nettstedet ditt raskere ved å spleise, minifisere og komprimere CSS-stilene dine. Det finnes også maler som tilbyr denne funksjonaliteten."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Det finnes en rekke [Joomla-utvidelser](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) som kan gjøre nettstedet ditt raskere ved å spleise, minifisere og komprimere skriptene dine. Det finnes også maler som tilbyr denne funksjonaliteten."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Vurder å redusere eller endre antall [Joomla-utvidelser](https://extensions.joomla.org/) som laster inn ubrukt CSS på siden. For å identifisere utvidelser som legger til overflødig CSS, prøv å kjøre [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan finne det ansvarlige temaet eller programtillegget i nettadressen til stilarket. Se opp for programtillegg som har mange stilark på listen, og som viser mye rødt i kodedekningen. Programtillegg bør bare legge stilark i kø hvis de faktisk brukes på siden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Vurder å redusere eller endre antall [Joomla-utvidelser](https://extensions.joomla.org/) som laster inn ubrukt JavaScript på siden. For å identifisere utvidelser som legger til overflødig JavaScript, prøv å kjøre [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan finne den ansvarlige utvidelsen i nettadressen til skriptet. Se opp for utvidelser som har mange skript på listen, og som viser mye rødt i kodedekningen. Utvidelser bør bare legge skript i kø hvis de faktisk brukes på siden."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Les om [nettleserbufring i Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Vurder å bruke et [programtillegg for bildeoptimalisering](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) som komprimerer bildene uten at det går ut over kvaliteten."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Vurder å bruke et [programtillegg for responsive bilder](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) for å bruke responsive bilder i innholdet ditt."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Du kan slå på tekstkomprimering ved å slå på Gzip-sidekomprimering i Joomla (System > Global konfigurasjon > Tjener)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Hvis du ikke pakker JavaScript-ressursene dine, bør du vurdere å bruke [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Slå av Magentos innebygde [JavaScript-pakking og -forminskning](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), og vurder å bruke [baler](https://github.com/magento/baler/) i stedet."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Spesifiser `@font-display` når du [definerer tilpassede skrifttyper](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Vurder å søke på [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) etter diverse tredjepartsutvidelser som gjør det mulig å bruke nyere bildeformater."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"Vurder å endre produkt- og katalogmalene for å nyttiggjøre deg av funksjonaliteten for [utsatt innlasting](https://web.dev/native-lazy-loading) på nettplattformen."},
"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Bruk Magentos [Varnish-integrasjon](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Slå på alternativet «Forminsk CSS-filer» i Utvikler-innstillingene for butikken. [Finn ut mer](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"Bruk [Terser](https://www.npmjs.com/package/terser) til å minifisere alle JavaScript-ressurser fra implementering av statisk innhold, og slå av den innebygde minifiseringsfunksjonen."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{
message:"Slå av Magentos innebygde [JavaScript-pakking](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Vurder å søke på [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) etter diverse tredjepartsutvidelser for å optimalisere bilder."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Ressurshintene preconnect og dns-prefetch kan legges til ved å [endre temalayouten](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>`-tagger kan legges til ved å [endre temalayouten](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Erstatt animerte GIF-er med video](https://web.dev/replace-gifs-with-videos/) for raskere nettsideinnlasteringer, og vurder å bruke moderne filformater, som [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) eller [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), for å øke komprimeringseffektiviteten med mer enn 30 % sammenlignet med den mest avanserte videokodeken, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Vurder å bruke et [programtillegg](https://octobercms.com/plugins?search=image) eller en tjeneste som automatisk konverterer opplastede bilder til de optimale formatene. [Tapsfrie WebP-bilder](https://developers.google.com/speed/webp) er 26 % mindre enn PNG-bilder og 25–34 % mindre enn sammenlignbare JPEG-bilder med tilsvarende SSIM-kvalitetsindeks. Et annet nestegenerasjons bildeformat du kan vurdere, er [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Vurder å installere et [programtillegg for utsatt innlasting av bilder](https://octobercms.com/plugins?search=lazy) som gjør det mulig å utsette innlasting av bilder som ikke er på skjermen, eller bytt til et tema som gir denne funksjonaliteten. Vurder også å bruke [AMP-programtillegget](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Det er mange programtillegg som bidrar til å [bygge inn kritiske elementer](https://octobercms.com/plugins?search=css). Disse programtilleggene kan gjøre at andre programtillegg slutter å fungere, så du bør teste dem grundig."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Både temaer, programtillegg og tjenerspesifikasjoner virker inn på tjenerens responstid. Vurder å finne et mer optimalisert tema, velge et programtillegg for optimalisering nøye og/eller oppgradere tjeneren. Med October CMS kan utviklere også bruke [`Queues`](https://octobercms.com/docs/services/queues) for å utsette behandlingen av tidkrevende oppgaver, som å sende e-poster. Dette gjør nettforespørsler betydelig raskere."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Vurder å vise utdrag i innleggslistene (f.eks. ved bruk av en `show more`-knapp), redusere antall innlegg som vises på en gitt nettside, fordele lange innlegg på flere nettsider eller bruke et programtillegg for utsatt innlasting av kommentarer."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Det finnes mange [programtillegg](https://octobercms.com/plugins?search=css) som kan gjøre nettsteder raskere ved å spleise, minifisere og komprimere stilene. Utviklingen kan gå raskere hvis du bruker en byggeprosess til å gjøre denne minifiseringen på forhånd."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Det finnes mange [programtillegg](https://octobercms.com/plugins?search=javascript) som kan gjøre nettsteder raskere ved å spleise, minifisere og komprimere skriptene. Utviklingen kan gå raskere hvis du bruker en byggeprosess til å gjøre denne minifiseringen på forhånd."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Vurder å gå gjennom [programtilleggene](https://octobercms.com/plugins) som laster inn ubrukte gjennomgripende stilark (CSS) på nettstedet. For å identifisere programtillegg som legger til unødvendige gjennomgripende stilark (CSS), kjør [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Finn det ansvarlige temaet eller programtillegget i nettadressen til stilarket. Se etter programtillegg med mange stilark som viser mye rødt i kodedekningen. Programtillegg bør bare legge til stilark hvis de faktisk brukes på nettsiden."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Vurder å gå gjennom [programtilleggene](https://octobercms.com/plugins?search=javascript) som laster inn ubrukt JavaScript-kode på nettsiden. For å identifisere programtillegg som legger til unødvendig JavaScript-kode, kjør [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Finn det ansvarlige temaet eller programtillegget i nettadressen til skriptet. Se etter programtillegg med mange skript som viser mye rødt i kodedekningen. Programtillegg bør bare legge til skript hvis de faktisk brukes på nettsiden."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Les om [forebygging av unødvendige nettverksforespørsler med HTTP-bufferen](https://web.dev/http-cache/#caching-checklist). Det finnes mange [programtillegg](https://octobercms.com/plugins?search=Caching) som kan brukes til å gjøre bufringen raskere."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Vurder å bruke et [programtillegg for bildeoptimalisering](https://octobercms.com/plugins?search=image) for å komprimere bilder uten at det går ut over kvaliteten."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Last opp bilder direkte i mediebehandling for å sikre at de nødvendige bildestørrelsene er tilgjengelige. Vurder å bruke [filteret for størrelsesendring](https://octobercms.com/docs/markup/filter-resize) eller et [programtillegg for endring av bildestørrelser](https://octobercms.com/plugins?search=image) for å sikre at optimale bildestørrelser brukes."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Slå på tekstkomprimering i konfigurasjonen av nettjeneren."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Vurder å bruke et bibliotek for «vinduer», som `react-window`, for å minimere antallet DOM-noder som opprettes hvis du gjengir mange gjentatte elementer på siden. [Finn ut mer](https://web.dev/virtualize-long-lists-react-window/). Du kan også minimere antallet gjengivelser som gjentas unødvendig, ved å bruke [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) eller [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) og [hoppe over effekter](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) kun frem til visse avhengigheter har endret seg, hvis du bruker `Effect`-hooken for å oppnå bedre ytelse under kjøring."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Hvis du bruker React Router, kan du minimere bruken av `<Redirect>`-komponenten for [rutenavigasjoner](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Hvis du gjengir React-komponenter på tjenersiden, bør du vurdere å bruke `renderToNodeStream()` eller `renderToStaticNodeStream()` for å gi klienten mulighet til å motta og hydrere ulike deler av oppmerkingen i stedet for å gjøre alt på en gang. [Finn ut mer](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Hvis kodebyggingssystemet minifiserer CSS-filer automatisk, må du passe på at du implementerer produksjonsdelversjonen av appen. Dette kan du sjekke med React Developer Tools-utvidelsen. [Finn ut mer](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Hvis kodebyggingssystemet minifiserer JS-filer automatisk, må du passe på at du implementerer produksjonsdelversjonen av appen. Dette kan du sjekke med React Developer Tools-utvidelsen. [Finn ut mer](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Hvis du ikke gjengir på tjenersiden, kan du [dele opp JavaScript-pakkene](https://web.dev/code-splitting-suspense/) med `React.lazy()`. Ellers kan du dele opp koden med et tredjepartsbibliotek som [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Bruk React DevTools Profiler, som benytter Profiler-API-et, til å måle gjengivelsesytelsen for komponentene. [Finn ut mer.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Vurder å laste opp GIF-filen til en tjeneste som gjør det mulig å bygge den inn som en HTML5-video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Vurder å bruke et [programtillegg](https://wordpress.org/plugins/search/convert+webp/) eller en tjeneste som automatisk konverterer opplastede bilder til de optimale formatene."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Installer et [WordPress-programtillegg for utsatt innlasting](https://wordpress.org/plugins/search/lazy+load/) som gjør det mulig å utsette innlasting av bilder som ikke er på skjermen, eller bytt til et tema som gir denne funksjonaliteten. Vurder også å bruke [AMP-programtillegget](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Det finnes en rekke WordPress-programtillegg som kan hjelpe deg med å [bygge inn kritiske elementer direkte på siden](https://wordpress.org/plugins/search/critical+css/) eller [utsette innlasting av mindre viktige ressurser](https://wordpress.org/plugins/search/defer+css+javascript/). Vær obs på at optimalisering som gjøres av disse programtilleggene, kan ødelegge funksjonalitet i temaet ditt eller programtilleggene dine, så du må sannsynligvis gjøre kodeendringer."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Både temaer, programtillegg og tjenerspesifikasjoner virker inn på tjenerens responstid. Vurder å finne et mer optimalisert tema, velge et programtillegg for optimalisering nøye og/eller oppgradere tjeneren."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Vurder å vise utdrag på innleggslistene (f.eks. via Mer-taggen), redusere antall innlegg som vises på en gitt side, fordele lange innlegg på flere sider eller bruke et programtillegg for utsatt innlasting av kommentarer."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"En rekke [WordPress-programtillegg](https://wordpress.org/plugins/search/minify+css/) kan gjøre nettstedet ditt raskere ved å slå sammen, forminske og komprimere stilarkene dine. Det kan også være lurt å bruke en byggeprosess til å gjøre denne forminskningen på forhånd hvis mulig."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"En rekke [WordPress-programtillegg](https://wordpress.org/plugins/search/minify+javascript/) kan gjøre nettstedet ditt raskere ved å slå sammen, forminske og komprimere skriptene dine. Det kan også være lurt å bruke en byggeprosess til å gjøre denne forminskningen på forhånd hvis mulig."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Vurder å redusere eller endre antall [WordPress-programtillegg](https://wordpress.org/plugins/) som laster inn ubrukt CSS på siden. For å identifisere programtillegg som legger til overflødig CSS, prøv å kjøre [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan finne det ansvarlige temaet eller programtillegget i nettadressen til stilarket. Se opp for programtillegg som har mange stilark på listen, og som viser mye rødt i kodedekningen. Programtillegg bør bare legge stilark i kø hvis de faktisk brukes på siden."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"Vurder å redusere eller endre antall [WordPress-programtillegg](https://wordpress.org/plugins/) som laster inn ubrukt JavaScript på siden. For å identifisere programtillegg som legger til overflødig JavaScript, prøv å kjøre [kodedekning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chrome DevTools. Du kan finne det ansvarlige temaet eller programtillegget i nettadressen til skriptet. Se opp for programtillegg som har mange skript på listen, og som viser mye rødt i kodedekningen. Programtillegg bør bare legge skript i kø hvis de faktisk brukes på siden."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Les om [nettleserbufring i WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Vurder å bruke et [WordPress-programtillegg for bildeoptimalisering](https://wordpress.org/plugins/search/optimize+images/) som komprimerer bildene uten at det går ut over kvaliteten."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Last opp bilder direkte gjennom [mediebiblioteket](https://wordpress.org/support/article/media-library-screen/) for å sikre at de nødvendige bildestørrelsene er tilgjengelige, og sett dem deretter inn fra mediebiblioteket eller bruk bildemodulen for å sikre at de optimale bildestørrelsene brukes (inkludert dem som brukes for responsive stoppunkter). Unngå å bruke `Full Size`-bilder med mindre størrelsen er tilstrekkelig for bruksområdet. [Finn ut mer](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Du kan slå på tekstkomprimering i oppsettet av nettjeneren."},
"report/renderer/util.js | calculatorLink":{message:"Se kalkulatoren."},"report/renderer/util.js | crcInitialNavigation":{message:"Navigasjonsstart"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksimum kritisk baneforsinkelse:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopiér JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Slå av/på mørkt tema"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Skriv ut utvidet rapport"},"report/renderer/util.js | dropdownPrintSummary":{message:"Skriv ut sammendrag"},"report/renderer/util.js | dropdownSaveGist":{message:"Lagre som Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Lagre som HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Lagre som JSON"},"report/renderer/util.js | dropdownViewer":{message:"Åpne i Viewer"},"report/renderer/util.js | errorLabel":{message:"Feil!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Rapportfeil: ingen revisjonsinformasjon"},"report/renderer/util.js | footerIssue":{message:"Opprett sak"},"report/renderer/util.js | labDataTitle":{message:"Prøvefunksjonsdata"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/)-analyse av den nåværende siden på et emulert mobilnettverk. Verdiene er anslått og kan variere."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Tilleggselementer for manuell kontroll"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Ikke relevant"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Mulighet"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Estimerte besparelser"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Beståtte revisjoner"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulert skrivebord"},"report/renderer/util.js | runtimeMobileEmulation":{
message:"Emulert Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Ingen emulering"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe-versjon"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Prosessor-/minnekraft"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Prosessorstruping"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Enhet"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Tidspunkt for henting"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Struping av nettverkshastighet"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Kjøringsinnstillinger"},"report/renderer/util.js | runtimeSettingsUA":{message:"Brukeragent (vert)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Brukeragent (nettverk)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"Nettadresse"
},"report/renderer/util.js | runtimeUnknown":{message:"Ukjent"},"report/renderer/util.js | showRelevantAudits":{message:"Vis revisjoner som er relevant for:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Skjul fragment"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Vis fragment"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Vis tredjepartsressurser"},"report/renderer/util.js | throttlingProvided":{message:"Utført av kjøretidsmiljøet"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Det oppsto problemer som påvirker denne kjøringen av Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Verdiene er anslått og kan variere. [Beregningen av ytelsespoengsummen](https://web.dev/performance-scoring/) er basert direkte på disse verdiene."},"report/renderer/util.js | viewTreemapLabel":{message:"Vis trekart"},"report/renderer/util.js | warningAuditsGroupTitle":{
message:"Revisjoner som er bestått, men med advarsler"},"report/renderer/util.js | warningHeader":{message:"Advarsler: "}}},{}],128:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Klawisze dostępu umożliwiają szybkie ustawienie fokusu na określonej części strony. Aby nawigacja działała dobrze, każdy klawisz dostępu musi być unikalny. [Więcej informacji](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Wartości `[accesskey]` nie są unikalne"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Wartości `[accesskey]` są unikalne"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Każda `role` ARIA obsługuje podzbiór atrybutów `aria-*`. Brak ich dopasowania skutkuje niepoprawnością atrybutów `aria-*`. [Więcej informacji](https://web.dev/aria-allowed-attr/)"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atrybuty `[aria-*]` nie pasują do swoich ról"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atrybuty `[aria-*]` odpowiadają swoim rolom"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Gdy element nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają go nazwą ogólną, przez co jest on bezużyteczny dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementy `button`, `link` i `menuitem` nie mają nazw na potrzeby ułatwień dostępu."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementy `button`, `link` i `menuitem` mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Technologie wspomagające, takie jak czytniki ekranu, mogą działać nieprawidłowo, gdy dokument `<body>` ma ustawiony atrybut `aria-hidden="true"`. [Więcej informacji](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Dokument `<body>` zawiera atrybut `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Dokument `<body>` nie zawiera atrybutu `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Element `[aria-hidden="true"]` zawiera interaktywne elementy podrzędne z możliwością zaznaczenia, które są niedostępne dla użytkowników technologii wspomagających, takich jak czytniki ekranu. [Więcej informacji](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Elementy `[aria-hidden="true"]` zawierają elementy podrzędne, które można zaznaczyć'
},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Elementy `[aria-hidden="true"]` nie zawierają elementów podrzędnych, które można zaznaczyć'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Gdy pole do wprowadzania danych nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają je nazwą ogólną, przez co jest ono bezużyteczne dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Pola do wprowadzania danych ARIA nie mają nazw na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Pola do wprowadzania danych ARIA mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Gdy element nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają go nazwą ogólną, przez co jest on bezużyteczny dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Elementy ARIA `meter` nie mają nazw na potrzeby ułatwień dostępu."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Elementy ARIA `meter` mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Gdy element `progressbar` nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają go nazwą ogólną, przez co jest on bezużyteczny dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Elementy ARIA `progressbar` nie mają nazw na potrzeby ułatwień dostępu."},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Elementy ARIA `progressbar` mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Niektóre role ARIA mają atrybuty wymagane, które opisują stan elementu na potrzeby czytników ekranu. [Więcej informacji](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Elementy z atrybutem `[role]` nie mają wszystkich wymaganych atrybutów `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Elementy `[role]` mają wszystkie wymagane atrybuty `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Niektóre role nadrzędne ARIA muszą zawierać określone role podrzędne, by poprawnie realizować funkcje ułatwień dostępu. [Więcej informacji](https://web.dev/aria-required-children/)"},
"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementy z atrybutem ARIA `[role]`, których elementy podrzędne muszą zawierać określony atrybut `[role]`, nie mają niektórych lub wszystkich tych wymaganych elementów podrzędnych."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementy z atrybutem ARIA `[role]`, których elementy podrzędne muszą zawierać określony atrybut `[role]`, mają wszystkie wymagane elementy podrzędne."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Niektóre role podrzędne ARIA muszą znajdować się wewnątrz określonych ról nadrzędnych, by poprawnie realizować funkcje ułatwień dostępu. [Więcej informacji](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Elementy `[role]` nie znajdują się wewnątrz wymaganych elementów nadrzędnych"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Elementy `[role]` znajdują się wewnątrz wymaganych elementów nadrzędnych"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Role ARIA muszą mieć prawidłowe wartości, by poprawnie realizować funkcje ułatwień dostępu. [Więcej informacji](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Wartości `[role]` są nieprawidłowe"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Wartości `[role]` są prawidłowe"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Gdy pole przełączania nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają je nazwą ogólną, przez co jest ono bezużyteczne dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{
message:"Pola przełączania ARIA nie mają nazw na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Pola przełączania ARIA mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Gdy element nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają go nazwą ogólną, przez co jest on bezużyteczny dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Elementy ARIA `tooltip` nie mają nazw na potrzeby ułatwień dostępu."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Elementy ARIA `tooltip` mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Gdy element nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają go nazwą ogólną, przez co jest on bezużyteczny dla ich użytkowników. [Więcej informacji](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Elementy ARIA `treeitem` nie mają nazw na potrzeby ułatwień dostępu."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Elementy ARIA `treeitem` mają nazwy na potrzeby ułatwień dostępu"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Technologie wspomagające, takie jak czytniki ekranu, nie potrafią interpretować atrybutów ARIA o nieprawidłowej wartości. [Więcej informacji](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atrybuty `[aria-*]` nie mają prawidłowych wartości"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"Atrybuty `[aria-*]` mają prawidłowe wartości"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Technologie wspomagające, takie jak czytniki ekranu, nie potrafią interpretować atrybutów ARIA o nieprawidłowych nazwach. [Więcej informacji](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atrybuty `[aria-*]` są nieprawidłowe lub są w nich literówki"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atrybuty `[aria-*]` są prawidłowe i nie ma w nich literówek"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Nieprawidłowe elementy"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Gdy przycisk nie ma nazwy na potrzeby ułatwień dostępu, czytniki ekranu określają go jako „przycisk”, przez co jest on bezużyteczny dla ich użytkowników. [Więcej informacji](https://web.dev/button-name/)"},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Przyciski nie mają nazw dostępnych dla czytników ekranu"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Przyciski mają nazwy dostępne dla czytników ekranu"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Dodanie sposobu na ominięcie powtarzających się treści ułatwia nawigację na stronie za pomocą klawiatury. [Więcej informacji](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Strona nie zawiera nagłówka, linku pomijającego ani regionu orientacyjnego"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Strona zawiera nagłówek, link pomijający lub region orientacyjny"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Wielu użytkowników ma problemy z czytaniem tekstu o niskim kontraście. [Więcej informacji](https://web.dev/color-contrast/)"},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Kolory tła i pierwszego planu mają niewystarczający współczynnik kontrastu."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Kolory tła i pierwszego planu mają wystarczający współczynnik kontrastu"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Gdy listy definicji nie mają właściwej struktury, czytniki ekranu mogą odczytywać je niedokładnie lub błędnie. [Więcej informacji](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Elementy `<dl>` nie zawierają tylko właściwie uporządkowanych grup elementów `<dt>` i `<dd>` oraz elementów `<script>`, `<template>` lub `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{
message:"Elementy `<dl>` zawierają tylko właściwie uporządkowane grupy elementów `<dt>` i `<dd>` oraz elementy `<script>`, `<template>` lub `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Elementy listy definicji (`<dt>` i `<dd>`) muszą znajdować się wewnątrz nadrzędnego elementu `<dl>`, by mogły je poprawnie odczytać czytniki ekranu. [Więcej informacji](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Elementy listy definicji nie znajdują się wewnątrz elementów `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Elementy listy definicji znajdują się wewnątrz elementów `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Tytuł informuje użytkowników czytnika ekranu o ogólnej zawartości strony, a użytkownicy wyszukiwarki mogą dowiedzieć się z niego, czy strona zawiera szukane informacje. [Więcej informacji](https://web.dev/document-title/)"
},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"W dokumencie nie ma elementu `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokument zawiera element `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Wszystkie elementy, które można zaznaczyć, muszą mieć unikalny atrybut `id`, aby były widoczne dla technologii wspomagających. [Więcej informacji](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atrybuty `[id]` aktywnych elementów, które można zaznaczyć, nie są unikalne"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Atrybuty `[id]` aktywnych elementów, które można zaznaczyć, są unikalne"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"Wartość identyfikatora ARIA musi być unikalna, by technologie wspomagające nie pominęły innych wystąpień. [Więcej informacji](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Identyfikatory ARIA nie są unikalne"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Identyfikatory ARIA są unikalne"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Technologie wspomagające, takie jak czytniki ekranu, które używają pierwszych, ostatnich lub wszystkich etykiet, mogą błędnie interpretować pola formularzy z wieloma etykietami. [Więcej informacji](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Pola formularza mają wiele etykiet"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{
message:"Żadne pola formularza nie mają wielu etykiet"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Tytuły ramek służą użytkownikom czytników ekranu jako opisy zawartości ramek. [Więcej informacji](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Element `<frame>` lub `<iframe>` nie ma tytułu"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementy `<frame>` i `<iframe>` mają tytuł"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Nagłówki w prawidłowej kolejności, które nie pomijają poziomów, odwzorowują semantyczną strukturę strony. Dzięki temu poruszanie się po nich i korzystanie z ich treści za pomocą technologii wspomagających jest łatwiejsze. [Więcej informacji](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{
message:"Elementy nagłówków nie pojawiają się w kolejności malejącej"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Elementy nagłówków pojawiają się w kolejności malejącej"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Jeśli strona nie ma atrybutu lang, czytnik ekranu przyjmuje, że strona jest w języku domyślnym, który użytkownik wybrał podczas konfigurowania czytnika. Jeśli strona nie jest w języku domyślnym, czytnik ekranu może niepoprawnie wymawiać tekst strony. [Więcej informacji](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Element `<html>` nie ma atrybutu `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Element `<html>` ma atrybut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Określenie prawidłowego [języka w formacie BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) pomaga czytnikom ekranu prawidłowo wymawiać tekst. [Więcej informacji](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Element `<html>` nie ma prawidłowej wartości atrybutu `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Element `<html>` ma prawidłową wartość atrybutu `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Elementy informacyjne powinny mieć krótki, opisowy tekst zastępczy. Elementy dekoracyjne można zignorować, podając pusty atrybut alt. [Więcej informacji](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Elementy graficzne nie mają atrybutów `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{
message:"Elementy graficzne mają atrybuty `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Gdy jako przycisk `<input>` używany jest obraz, warto dodać tekst zastępczy, by ułatwić użytkownikom czytnika ekranu zrozumienie, do czego służy ten przycisk. [Więcej informacji](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elementy `<input type="image">` nie mają tekstu `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementy `<input type="image">` mają tekst `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etykiety zapewniają prawidłowe odczytywanie kontrolek formularzy przez technologie wspomagające takie jak czytniki ekranu. [Więcej informacji](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Z elementami formularzy nie są powiązane etykiety"},
"lighthouse-core/audits/accessibility/label.js | title":{message:"Z elementami formularzy są powiązane etykiety"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Tekst linków (i tekst zastępczy obrazów używanych jako linki), który jest charakterystyczny, unikalny i możliwy do wybrania, ułatwia nawigację użytkownikom czytników ekranu. [Więcej informacji](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Linki nie mają wyróżniających je nazw"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Linki mają wyróżniające je nazwy"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Czytniki ekranu odczytują listy w specjalny sposób. Właściwa struktura list pomaga czytnikom poprawnie odczytać tekst. [Więcej informacji](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"Listy nie zawierają tylko elementów `<li>` i elementów skryptowych (`<script>` i `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Listy zawierają tylko elementy `<li>` i elementy skryptowe (`<script>` i `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Elementy list (`<li>`) muszą być zawarte w elementach nadrzędnych `<ul>` lub `<ol>`, by czytniki ekranu mogły je poprawnie odczytać. [Więcej informacji](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Elementy list (`<li>`) nie znajdują się wewnątrz elementów nadrzędnych `<ul>` lub `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Elementy list (`<li>`) znajdują się wewnątrz elementów nadrzędnych `<ul>` lub `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Użytkownicy nie spodziewają się automatycznego odświeżania strony – powoduje ono powrót zaznaczenia na jej początek. Może to dezorientować i irytować użytkowników. [Więcej informacji](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokument używa tagu `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokument nie używa tagu `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Wyłączenie powiększania to problem dla użytkowników niedowidzących, którzy muszą korzystać z powiększenia ekranu, by dobrze widzieć zawartość stron internetowych. [Więcej informacji](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'W elemencie `<meta name="viewport">` jest używany atrybut `[user-scalable="no"]` lub atrybut `[maximum-scale]` ma wartość mniejszą niż 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'W elemencie `<meta name="viewport">` nie jest używany atrybut `[user-scalable="no"]`, a atrybut `[maximum-scale]` ma wartość nie mniejszą niż 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Czytniki ekranu nie potrafią tłumaczyć treści innych niż tekst. Dodanie do elementów `<object>` tekstu zastępczego pomaga czytnikom ekranu w przekazywaniu użytkownikom właściwego znaczenia. [Więcej informacji](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elementy `<object>` nie mają tekstu `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementy `<object>` mają tekst `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Wartość większa niż 0 implikuje określoną wprost kolejność nawigacji. Chociaż takie rozwiązanie jest technicznie poprawne, często powoduje frustrację użytkowników technologii wspomagających. [Więcej informacji](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Niektóre elementy mają atrybut `[tabindex]` o wartości większej niż 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Żaden element nie ma wartości atrybutu `[tabindex]` większej niż 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Czytniki ekranu mają funkcje, które ułatwiają nawigację w tabelach. Gdy komórki `<td>` używające atrybutu `[headers]` odwołują się tylko do innych komórek w tej samej tabeli, użytkownicy czytników ekranu mogą wygodniej korzystać z tabel. [Więcej informacji](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Komórki w elemencie `<table>`, które używają atrybutu `[headers]`, odwołują się do elementu `id`, którego nie znaleziono w tej samej tabeli."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Komórki w elemencie `<table>`, które używają atrybutu `[headers]`, odwołują się do komórek w tej samej tabeli."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Czytniki ekranu mają funkcje, które ułatwiają nawigację w tabelach. Gdy nagłówki tabel zawsze odwołują się do jakiegoś zbioru komórek, użytkownicy czytników ekranu mogą wygodniej korzystać z tabel. [Więcej informacji](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Nie istnieją komórki danych opisywane przez elementy `<th>` i elementy z atrybutem `[role="columnheader"/"rowheader"]`.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'Istnieją komórki danych opisywane przez elementy `<th>` i elementy z atrybutem `[role="columnheader"/"rowheader"]`.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Określenie w elementach prawidłowego [tagu języka w formacie BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) pomaga zapewnić prawidłową wymowę tekstu przez czytnik ekranu. [Więcej informacji](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atrybuty `[lang]` nie mają prawidłowej wartości"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atrybuty `[lang]` mają prawidłową wartość"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Filmy z napisami są bardziej dostępne dla osób niesłyszących i niedosłyszących. [Więcej informacji](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Elementy `<video>` nie zawierają elementu `<track>` z atrybutem `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementy `<video>` zawierają element `<track>` z atrybutem `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Zdefiniuj element `apple-touch-icon`, by Twoja progresywna aplikacja internetowa wyglądała idealnie na iOS, gdy użytkownicy dodadzą ją do ekranu głównego. Element musi wskazywać kwadratowy obraz PNG o rozmiarze 192 (lub 180) pikseli bez przezroczystości. [Więcej informacji](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Nie dostarcza prawidłowego atrybutu `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Atrybut `apple-touch-icon-precomposed` jest przestarzały. Preferowany jest `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"Dostarcza prawidłowy atrybut `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Bieżąca wartość"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Sugerowany token"},"lighthouse-core/audits/autocomplete.js | description":{message:"Atrybut `autocomplete` ułatwia użytkownikom szybkie wypełnianie formularzy. Aby pomóc użytkownikom, ustaw prawidłową wartość atrybutu `autocomplete`. [Więcej informacji](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Elementy `<input>` nie mają prawidłowych atrybutów `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Wymaga ręcznego sprawdzenia"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Sprawdź kolejność tokenów"},"lighthouse-core/audits/autocomplete.js | title":{
message:"Elementy `<input>` prawidłowo wykorzystują `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Token(y) `autocomplete`: „{token}” jest nieprawidłowy w {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Sprawdź kolejność tokenów: „{tokens}” w {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Rozszerzenia Chrome pogorszyły szybkość ładowania tej strony. Przeprowadź audyt strony w trybie incognito lub w profilu Chrome bez rozszerzeń."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Ocena skryptu"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Analiza skryptów"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Łączny czas pracy procesora"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Pomyśl o skróceniu czasu poświęcanego na analizowanie, kompilowanie i wykonywanie kodu JS. Może w tym pomóc dostarczanie mniejszych ładunków JS. [Więcej informacji](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Skróć czas wykonywania JavaScriptu"},"lighthouse-core/audits/bootup-time.js | title":{message:"Czas wykonania JavaScriptu"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Usuń z pakietów duplikaty dużych modułów JavaScript, by zmniejszyć ilość danych niepotrzebnie przesyłanych w sieci. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Usuń zduplikowane moduły w pakietach JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Duże pliki GIF są nieefektywnym sposobem dostarczania animacji. Proponujemy użyć zamiast nich filmów MPEG4/WebM (animacje) lub plików PNG/WebP (obrazy statyczne), by zmniejszyć ilość przesyłanych danych. [Więcej informacji](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Użyj formatów wideo dla animacji"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Elementy polyfill i przekształcenia umożliwiają obsługę nowych funkcji JavaScript przez starsze przeglądarki. Jednak nowoczesne przeglądarki nie potrzebują wielu takich elementów. W przypadku pakietów JavaScript zastosuj nowoczesną strategię wdrażania skryptów opartą na wykrywaniu ich atrybutów „module” i „nomodule”. Pozwala to ograniczyć ilość kodu przesyłanego do nowoczesnych przeglądarek i jednocześnie umożliwia obsługę przeglądarek starszych. [Więcej informacji](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Unikaj wyświetlania starszych skryptów JavaScript w nowoczesnych przeglądarkach"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Takie formaty obrazów jak JPEG 2000, JPEG XR i WebP często zapewniają lepszą kompresję niż PNG czy JPEG, co przekłada się na szybsze pobieranie i mniejsze wykorzystanie danych. [Więcej informacji](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Wyświetlaj obrazy w formatach nowej generacji"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Aby skrócić czas do pełnej interaktywności, warto skorzystać z leniwego ładowania. Dzięki temu najpierw będą ładowane wszystkie zasoby kluczowe, a dopiero potem obrazy ukryte i znajdujące się poza ekranem. [Więcej informacji](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Odłóż ładowanie obrazów poza ekranem"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Zasoby blokują pierwsze wyrenderowanie strony. Sugerujemy umieszczenie krytycznego kodu JS/CSS w kodzie strony i opóźnienie ładowania wszystkich niekrytycznych plików JS i stylów. [Więcej informacji](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Wyeliminuj zasoby blokujące renderowanie"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Duże ładunki sieciowe powodują wyższe koszty dla użytkowników i są mocno powiązane z długim czasem ładowania. [Więcej informacji](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Łączny rozmiar to {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Unikaj bardzo dużych ładunków sieciowych"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Unikaj bardzo dużych ładunków sieciowych"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Minifikacja plików CSS może zmniejszyć ładunki sieciowe. [Więcej informacji](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minifikuj CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Minifikacja plików JavaScript może zmniejszyć ładunki i skrócić czas analizowania skryptów. [Więcej informacji](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minifikuj JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Ogranicz nieużywane reguły z arkuszy stylów i opóźnij ładowanie kodu CSS, który nie jest używany w części strony widocznej na ekranie. W ten sposób zmniejszysz ilość danych przesyłanych w sieci. [Więcej informacji](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Ogranicz nieużywany kod CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Ogranicz nieużywany JavaScript i opóźnij ładowanie skryptów do momentu, aż będą wymagane. W ten sposób zmniejszysz ilość danych przesyłanych w sieci. [Więcej informacji](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Ogranicz nieużywany JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Długi czas przechowywania w pamięci podręcznej może przyśpieszyć ponowne otwarcie strony. [Więcej informacji](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Znaleziono 1 zasób}few{Znaleziono # zasoby}many{Znaleziono # zasobów}other{Znaleziono # zasobu}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Wyświetlaj zasoby statyczne, stosując efektywne zasady pamięci podręcznej"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Stosuje efektywne zasady pamięci podręcznej dla zasobów statycznych"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Zoptymalizowane obrazy ładują się szybciej i wykorzystują mniej komórkowej transmisji danych. [Więcej informacji](https://web.dev/uses-optimized-images/)"},
"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Użyj efektywnego kodowania obrazów"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Wyświetlaj obrazy o odpowiednim rozmiarze, by oszczędzać komórkową transmisję danych i przyśpieszyć ładowanie. [Więcej informacji](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Zmień rozmiar obrazów"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Zasoby tekstowe powinny być kompresowane (gzip, deflate lub brotli), by zminimalizować ilość danych przesyłanych w sieci. [Więcej informacji](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Włącz kompresję tekstu"},"lighthouse-core/audits/content-width.js | description":{
message:"Jeśli szerokość zawartości aplikacji nie odpowiada szerokości widocznego obszaru, aplikacja może nie być zoptymalizowana pod kątem ekranów urządzeń mobilnych. [Więcej informacji](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"Rozmiar widocznego obszaru ({innerWidth} piks.) nie odpowiada rozmiarowi okna ({outerWidth} piks.)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Zawartość nie jest odpowiednio dopasowana do widocznego obszaru"},"lighthouse-core/audits/content-width.js | title":{message:"Zawartość jest odpowiednio dopasowana do widocznego obszaru"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Poniższe łańcuchy żądań krytycznych pokazują zasoby ładowane z wysokim priorytetem. Aby przyśpieszyć ładowanie strony, możesz skrócić łańcuchy, zmniejszyć rozmiar pobieranych zasobów lub opóźnić pobieranie zasobów, które nie są niezbędne. [Więcej informacji](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Znaleziono 1 łańcuch}few{Znaleziono # łańcuchy}many{Znaleziono # łańcuchów}other{Znaleziono # łańcucha}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Unikaj tworzenia łańcuchów żądań krytycznych"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Dyrektywa"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Waga"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Ścisłe przestrzeganie standardu Content Security Policy (CSP) znacznie zmniejsza ryzyko ataków typu cross-site scripting (XSS). [Więcej informacji](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Składnia"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Strona zawiera definicję CSP w tagu <meta>. Jeśli to możliwe, zdefiniuj CSP w nagłówku HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"W trybie egzekwowania nie znaleziono CSP"},"lighthouse-core/audits/csp-xss.js | title":{message:"Skonfiguruj CSP pod kątem ochrony przed atakami typu XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Wycofanie/ostrzeżenie"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Wiersz"},"lighthouse-core/audits/deprecations.js | description":{message:"Wycofane interfejsy API zostaną w przyszłości usunięte z przeglądarki. [Więcej informacji](https://web.dev/deprecations/)"},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Znaleziono 1 ostrzeżenie}few{Znaleziono # ostrzeżenia}many{Znaleziono # ostrzeżeń}other{Znaleziono # ostrzeżenia}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Używa wycofanych interfejsów API"},"lighthouse-core/audits/deprecations.js | title":{message:"Nie używa wycofanych interfejsów API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Pamięć podręczna aplikacji została wycofana. [Więcej informacji](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Znaleziono „{AppCacheManifest}”"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Używa pamięci podręcznej aplikacji"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Nie używa pamięci podręcznej aplikacji"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Wymagana jest deklaracja kodowania znaków. Możesz ją dodać za pomocą tagu `<meta>` w pierwszych 1024 bajtach kodu HTML lub w nagłówku odpowiedzi HTTP Content-Type. [Więcej informacji](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Brakuje deklaracji zestawu znaków lub występuje ona zbyt późno w kodzie HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Prawidłowo definiuje zestaw znaków"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Podanie definicji doctype zapobiega przełączaniu przeglądarki w tryb osobliwości. [Więcej informacji](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Nazwa określona w doctype musi być ciągiem małych liter `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"Dokument musi zawierać deklarację doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Oczekiwano pustego ciągu w polu publicId"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Oczekiwano pustego ciągu w polu systemId"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Strona nie zawiera elementu HTML doctype, przez co aktywuje tryb osobliwości"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Strona ma deklarację doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statystyki"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Wartość"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Duży DOM zwiększy wykorzystanie pamięci, wydłuży [obliczanie stylów](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) i spowoduje kosztowne [przeformatowania układu](https://developers.google.com/speed/articles/reflow). [Więcej informacji](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}few{# elementy}many{# elementów}other{# elementu}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Unikaj zbyt dużego DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksymalna głębokość DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Łączna liczba elementów DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksymalna liczba elementów podrzędnych"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Unika zbyt dużego DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Nieprawidłowe kotwice"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Dodaj atrybut `rel="noopener"` lub `rel="noreferrer"` do wszystkich linków zewnętrznych, by przyśpieszyć działanie i zapobiec lukom w zabezpieczeniach. [Więcej informacji](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Linki do innych domen są niebezpieczne"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Linki do innych domen są bezpieczne"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nie można ustalić miejsca docelowego dla kotwicy ({anchorHTML}). Jeśli nie jest używana jako hiperlink, sugerujemy usunięcie atrybutu target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Witryny, które bez kontekstu pytają o zgodę na dostęp do lokalizacji, nie budzą zaufania użytkowników lub ich dezorientują. Sugerujemy powiązanie wyświetlenia tej prośby z działaniem użytkownika. [Więcej informacji](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Pyta o zgodę na geolokalizację podczas wczytywania strony"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Nie pyta o zgodę na geolokalizację podczas wczytywania strony"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Typ problemu"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Informacje zarejestrowane w panelu `Issues` w Narzędziach deweloperskich Chrome wskazują na nierozwiązane problemy. Mogą być spowodowane nieudanymi żądaniami sieciowymi, niewystarczającymi zabezpieczeniami i innymi problemami w przeglądarce. Otwórz panel Issues (Problemy) w Narzędziach deweloperskich Chrome, aby dowiedzieć się więcej o poszczególnych problemach."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problemy zostały zarejestrowane w panelu `Issues` w Narzędziach deweloperskich Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Zablokowany przez zasadę dotyczącą zasobów z innych domen"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Bardzo duże wykorzystanie zasobów przez reklamy"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Brak problemów w panelu `Issues` w Narzędziach deweloperskich Chrome"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Wersja"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Wszystkie biblioteki JavaScript interfejsu użytkownika wykryte na stronie. [Więcej informacji](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Wykryte biblioteki JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"W przypadku wolnego połączenia sieciowego skrypty zewnętrzne dodawane dynamicznie przy użyciu instrukcji `document.write()` mogą opóźnić wczytanie strony o dziesiątki sekund. [Więcej informacji](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Unikaj `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Nie używa instrukcji `document.write()`"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Najwyższy poziom zagrożenia"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Wersja biblioteki"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Liczba luk w zabezpieczeniach"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Niektóre skrypty spoza witryny mogą mieć znane luki w zabezpieczeniach, które mogą łatwo odkryć i wykorzystać hakerzy. [Więcej informacji](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Wykryto 1 lukę w zabezpieczeniach}few{Wykryto # luki w zabezpieczeniach}many{Wykryto # luk w zabezpieczeniach}other{Wykryto # luki w zabezpieczeniach}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{
message:"Używa bibliotek JavaScript interfejsu użytkownika, które mają znane luki w zabezpieczeniach"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Nie używa bibliotek JavaScript interfejsu użytkownika, które mają znane luki w zabezpieczeniach"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Witryny, które bez kontekstu pytają o zgodę na wyświetlanie powiadomień, nie budzą zaufania użytkowników lub ich dezorientują. Sugerujemy powiązanie wyświetlenia tej prośby z gestami użytkownika. [Więcej informacji](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Pyta o zgodę na wyświetlanie powiadomień podczas wczytywania strony"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Nie pyta o zgodę na wyświetlanie powiadomień podczas wczytywania strony"},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Uniemożliwianie wklejania haseł jest sprzeczne z dobrymi zasadami bezpieczeństwa. [Więcej informacji](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Uniemożliwia wklejanie tekstu w polach haseł"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Pozwala wklejać tekst w polach haseł"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokół"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ma wiele funkcji niedostępnych w HTTP/1.1, m.in. nagłówki binarne i multipleksowanie. [Więcej informacji](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 żądanie nieprzesłane przez HTTP/2}few{# żądania nieprzesłane przez HTTP/2}many{# żądań nieprzesłanych przez HTTP/2}other{# żądania nieprzesłanego przez HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Użyj HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Proponujemy oznaczenie detektorów zdarzeń dotyku i kółka myszy jako `passive`, by poprawić działanie przewijania strony. [Więcej informacji](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Nie używa pasywnych detektorów do poprawy działania przewijania"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Używa detektorów pasywnych do poprawy działania przewijania"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Błędy zarejestrowane w konsoli wskazują na nierozwiązane problemy. Mogą być spowodowane nieudanymi żądaniami sieciowymi i innymi problemami w przeglądarce. [Więcej informacji](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Błędy przeglądarki zostały zarejestrowane w konsoli"},"lighthouse-core/audits/errors-in-console.js | title":{message:"W konsoli nie zostały zarejestrowane żadne błędy przeglądarki"},"lighthouse-core/audits/font-display.js | description":{message:"Użyj funkcji CSS „font-display”, by zapewnić widoczność tekstu dla użytkownika podczas ładowania czcionek internetowych. [Więcej informacji](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Zapewnij widoczność tekstu podczas ładowania czcionek internetowych"},"lighthouse-core/audits/font-display.js | title":{message:"Cały tekst pozostaje widoczny podczas ładowania czcionek internetowych"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Narzędziu Lighthouse nie udało się automatycznie sprawdzić wartości `font-display` dla strony źródłowej {fontOrigin}.}few{Narzędziu Lighthouse nie udało się automatycznie sprawdzić wartości `font-display` dla strony źródłowej {fontOrigin}.}many{Narzędziu Lighthouse nie udało się automatycznie sprawdzić wartości `font-display` dla strony źródłowej {fontOrigin}.}other{Narzędziu Lighthouse nie udało się automatycznie sprawdzić wartości `font-display` dla strony źródłowej {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Współczynnik proporcji (rzeczywisty)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Współczynnik proporcji (wyświetlany)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{
message:"Wymiary wyświetlanego obrazu muszą odpowiadać naturalnemu współczynnikowi proporcji. [Więcej informacji](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Wyświetla obrazy o niepoprawnym współczynniku proporcji"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Wyświetla obrazy o poprawnym współczynniku proporcji"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Rozmiar rzeczywisty"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Rozmiar wyświetlany"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Rozmiar oczekiwany"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Aby obraz był maksymalnie wyraźny, jego naturalne wymiary powinny być zgodne z rozmiarem i rozdzielczością ekranu. [Więcej informacji](https://web.dev/serve-responsive-images/)"},
"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Wyświetla obrazy w niskiej rozdzielczości"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Wyświetla obrazy w odpowiedniej rozdzielczości"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Ta aplikacja jest już zainstalowana"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Nie udało się pobrać wymaganej ikony z pliku manifestu"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Przyczyna niepowodzenia"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Skrypt service worker pozwala aplikacji na korzystanie z wielu funkcji progresywnych aplikacji internetowych – takich jak działanie offline, dodawanie do ekranu głównego czy powiadomienia push. Jeśli skrypt service worker i plik manifestu są odpowiednio zaimplementowane, przeglądarki mogą aktywnie prosić użytkowników o dodanie Twojej aplikacji do ekranu głównego, co może przekładać się na większe zaangażowanie. [Więcej informacji](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 przyczyna}few{# przyczyny}many{# przyczyn}other{# przyczyny}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Plik manifestu aplikacji internetowej lub skrypt service worker nie spełnia wymagań instalowalności"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL aplikacji w Sklepie Play nie pasuje do identyfikatora w Sklepie Play"},
"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Strona jest ładowana w oknie incognito"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Właściwość „display” w pliku manifestu musi mieć jedną z tych wartości: „standalone”, „fullscreen” lub „minimal-ui”"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Plik manifestu zawiera pole „display_override”, a pierwszym obsługiwanym trybem wyświetlania musi być „standalone”, „fullscreen” lub „minimal-ui”"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Nie udało się pobrać pliku manifestu, jest on pusty albo nie można go przeanalizować"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"URL pliku manifestu zmienił się podczas pobierania pliku manifestu."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{
message:"Plik manifestu nie zawiera pola „name” ani „short_name”"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Plik manifestu nie zawiera odpowiedniej ikony. Ikona musi być w formacie PNG, SVG lub WebP, mieć co najmniej {value0} piks. i ustawiony atrybut rozmiarów. Jeśli jest ustawiony atrybut przeznaczenia, to musi zawierać wartość „any”."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Żadna z podanych ikon nie jest kwadratem z bokiem o długości co najmniej {value0} piks. w formacie PNG, SVG lub WebP, z atrybutem przeznaczenia o nieustawionej wartości lub wartości „any”"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Pobrana ikona była pusta lub uszkodzona"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nie podano identyfikatora w Sklepie Play"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{
message:"Strona nie ma adresu URL pliku manifestu <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nie wykryto pasującego skryptu service worker. Konieczne może być ponowne załadowanie strony albo sprawdzenie, czy skrypt service worker dla bieżącej strony obejmuje zakres i URL początkowy z pliku manifestu."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Nie można sprawdzić skryptu service worker bez pola „start_url” w pliku manifestu"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Nie rozpoznano identyfikatora błędu związanego z możliwością instalowania „{errorId}”"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Strona nie jest wysyłana z bezpiecznego źródła"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Strona nie jest ładowana w ramce głównej"},
"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Strona nie działa offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Wskazana platforma aplikacji nie jest obsługiwana na Androidzie"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Plik manifestu zawiera prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Atrybut prefer_related_applications jest obsługiwany tylko w wersjach beta i stabilnej Chrome na Androida."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"URL początkowy pliku manifestu jest nieprawidłowy"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Plik manifestu aplikacji internetowej i skrypt service worker spełniają wymagania instalowalności"},
"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL w pliku manifestu zawiera nazwę użytkownika, hasło lub port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Strona nie działa offline. Strona nie będzie uznawana za możliwą do zainstalowania, począwszy od wersji stabilnej Chrome 93, która zostanie opublikowana w sierpniu 2021 r."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Dozwolony"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Zablokowany"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Niezabezpieczony URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Obsługa żądań"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Wszystkie witryny powinny być zabezpieczone przy użyciu HTTPS – również te, które nie obsługują danych wrażliwych. Dotyczy to również unikania [treści mieszanej](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), jeśli część zasobów wczytuje się przez HTTP, mimo że wstępne żądanie używa HTTPS. HTTPS uniemożliwia intruzom modyfikowanie i podsłuchiwanie komunikacji między aplikacją a użytkownikami. HTTP/2 i liczne nowe interfejsy API platformy WWW wymagają używania HTTPS. [Więcej informacji](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Wykryto 1 niezabezpieczone żądanie}few{Wykryto # niezabezpieczone żądania}many{Wykryto # niezabezpieczonych żądań}other{Wykryto # niezabezpieczonego żądania}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Nie używa HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Używa HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatycznie uaktualniony do HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Dozwolony z ostrzeżeniem"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteka"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Duże biblioteki JavaScript mogą obniżać wydajność. Aby zmniejszyć rozmiar pakietu, korzystaj z mniejszych bibliotek z takimi samymi funkcjami. [Więcej informacji](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Znaleziono 1 dużą bibliotekę}few{Znaleziono # duże biblioteki}many{Znaleziono # dużych bibliotek}other{Znaleziono # dużej biblioteki}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Zastąp biblioteki JavaScript, które są niepotrzebnie duże"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Używa mniejszych odpowiedników zamiast dużych bibliotek JavaScript"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"To największy wyrenderowany element treści w widocznym obszarze. [Więcej informacji](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element największego wyrenderowania treści"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Wpływ na CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Te elementy DOM mają największy wpływ na CLS strony."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Unikaj dużych przesunięć układu"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Pokazuje najdłuższe zadania na liście w wątku głównym. Służy do rozpoznawania czynników, które mają największy wpływ na opóźnienia działania. [Więcej informacji](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Znaleziono # długie zadanie}few{Znaleziono # długie zadania}many{Znaleziono # długich zadań}other{Znaleziono # długiego zadania}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Unikaj długich zadań w wątku głównym"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategoria"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Pomyśl o skróceniu czasu poświęcanego na analizowanie, kompilowanie i wykonywanie kodu JS. Może w tym pomóc dostarczanie mniejszych ładunków JS. [Więcej informacji](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{
message:"Zminimalizuj aktywność głównego wątku"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimalizuje aktywność głównego wątku"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Witryny powinny działać w każdej popularnej przeglądarce, by mogło do nich dotrzeć jak najwięcej użytkowników. [Więcej informacji](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Witryna działa w różnych przeglądarkach"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Upewnij się, że do poszczególnych stron można dotrzeć za pomocą precyzyjnych linków w postaci adresów URL i że adresy URL są unikalne na potrzeby udostępniania w mediach społecznościowych. [Więcej informacji](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Każda strona ma swój URL"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Przejścia po kliknięciu powinny być płynne, nawet jeśli sieć jest wolna. Ma to kluczowe znaczenie dla postrzegania szybkości działania przeglądarki. [Więcej informacji](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Przejścia między stronami nie sprawiają wrażenia, jakby zacinały się z powodu opóźnień w sieci"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Ikona z możliwością maskowania daje pewność, że podczas instalowania aplikacji na urządzeniu obraz wypełni cały kształt, nie pozostawiając pustych przestrzeni. [Więcej informacji](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Plik manifestu nie ma ikony z możliwością maskowania"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Plik manifestu ma ikonę z możliwością maskowania"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Skumulowane przesunięcie układu to miara ruchu elementów w widocznym obszarze. [Więcej informacji](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Pierwsze wyrenderowanie treści oznacza czas wyrenderowania pierwszego tekstu lub obrazu. [Więcej informacji](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Pierwsze wyrenderowanie elementu znaczącego oznacza czas pojawienia się na ekranie głównej zawartości strony. [Więcej informacji](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Czas do pełnej interaktywności to czas, po którym strona staje się w pełni interaktywna. [Więcej informacji](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Największe wyrenderowanie treści oznacza czas wyrenderowania największego tekstu lub obrazu. [Więcej informacji](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Maksymalne opóźnienie przy pierwszym działaniu, którego mogą doświadczyć użytkownicy, to czas wykonywania najdłuższego zadania. [Więcej informacji](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Indeks szybkości wskazuje, jak szybko strona zapełnia się widocznymi treściami. [Więcej informacji](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Wyrażona w milisekundach suma wszystkich okresów między pierwszym wyrenderowaniem treści a czasem do pełnej interaktywności, gdy długość zadania przekroczyła 50 ms. [Więcej informacji](https://web.dev/lighthouse-total-blocking-time/)"},
"lighthouse-core/audits/network-rtt.js | description":{message:"Czas błądzenia w sieci (RTT) ma duży wpływ na szybkość działania. Jeśli RTT do źródła jest duży, serwery znajdujące się bliżej użytkownika mogą przyśpieszyć działanie. [Więcej informacji](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Czasy błądzenia w sieci (Network Round Trip Times)"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Opóźnienie serwera może wpływać na szybkość stron internetowych. Jeśli opóźnienie serwera źródłowego jest duże, serwer może być przeciążony lub mieć mało wydajny backend. [Więcej informacji](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Opóźnienia backendu serwera"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Zdarzenie `unload` nie zawsze jest uruchamiane prawidłowo, a wykrywanie go może uniemożliwić działanie mechanizmów optymalizujących pracę przeglądarki takich jak pamięć podręczna stanu strony internetowej. Rozważ używanie zdarzeń `pagehide` lub `visibilitychange`. [Więcej informacji](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Zarejestrowanie detektora zdarzeń `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Zarejestrowanie braku detektorów zdarzeń `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Nieskomponowane animacje mogą działać nieprawidłowo i zwiększać CLS. [Więcej informacji](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Znaleziono # animowany element}few{Znaleziono # animowane elementy}many{Znaleziono # animowanych elementów}other{Znaleziono # animowanego elementu}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Właściwość związana z filtrowaniem może powodować przemieszczanie pikseli"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Obiekt docelowy zawiera inną, niezgodną animację"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Efekt ma tryb komponowania inny niż „replace”"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Unikaj nieskomponowanych animacji"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Właściwość związana z przekształceniem zależy od rozmiaru pola"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Nieobsługiwana właściwość CSS: {properties}}few{Nieobsługiwane właściwości CSS: {properties}}many{Nieobsługiwane właściwości CSS: {properties}}other{Nieobsługiwane właściwości CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efekt ma nieobsługiwane parametry czasowe"},"lighthouse-core/audits/performance-budget.js | description":{message:"Liczba ani rozmiar żądań sieciowych nie mogą przekraczać wartości określonych przez podany budżet wydajności. [Więcej informacji](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 żądanie}few{# żądania}many{# żądań}other{# żądania}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Budżet wydajności"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Włącz wstępne wczytywanie czcionek z atrybutem `optional`, aby mogli z nich korzystać nowi użytkownicy. [Więcej informacji](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Czcionki z atrybutem `font-display: optional` nie są wstępnie wczytywane"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Czcionki z atrybutem `font-display: optional` są wstępnie wczytywane"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Stosuj wstępne wczytywanie obrazu używanego przez element LCP, by poprawić czas LCP. [Więcej informacji](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Wstępnie wczytuj obraz największego wyrenderowania treści"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Jeśli HTTPS jest już skonfigurowany, upewnij się, że cały ruch HTTP jest przekierowywany do HTTPS, by wszyscy użytkownicy mogli korzystać z bezpiecznych funkcji. [Więcej informacji](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Nie przekierowuje ruchu HTTP do HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Przekierowuje ruch HTTP do HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Przekierowania wprowadzają dodatkowe opóźnienia przed rozpoczęciem ładowania strony. [Więcej informacji](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Unikaj wielokrotnych przekierowań"},"lighthouse-core/audits/resource-summary.js | description":{message:"Aby określić budżety dla liczby i rozmiaru zasobów strony, dodaj plik budget.json. [Więcej informacji](https://web.dev/use-lighthouse-for-performance-budgets/)"},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 żądanie • {byteCount, number, bytes} KiB}few{# żądania • {byteCount, number, bytes} KiB}many{# żądań • {byteCount, number, bytes} KiB}other{# żądania • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Liczba żądań i ilość przesyłanych danych powinny być małe"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Linki kanoniczne sugerują URL, który ma być pokazywany w wynikach wyszukiwania. [Więcej informacji](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Niezgodne ze sobą adresy URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Wskazuje inną domenę ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Nieprawidłowy URL ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Wskazuje inną lokalizację atrybutu `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Względny URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Wskazuje główny URL domeny (stronę główną) zamiast odpowiedniej strony z treścią"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument nie zawiera prawidłowego atrybutu `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument ma prawidłowy atrybut `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link niemożliwy do zindeksowania"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Wyszukiwarki mogą korzystać z atrybutów `href` w linkach, by móc indeksować witryny. Upewnij się, że atrybut `href` zakotwiczonych elementów prowadzi do odpowiedniego miejsca docelowego, by możliwe było odnalezienie większej liczby stron w witrynie. [Więcej informacji](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Linków  nie  można zindeksować"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Linki  można  zindeksować"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Dodatkowy nieczytelny tekst"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Rozmiar czcionki"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% tekstu na stronie"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selektor"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Na urządzeniach mobilnych czcionka o rozmiarze mniejszym niż 12 pikseli jest nieczytelna, dlatego użytkownicy muszą powiększać ekran, by odczytać tekst. Ponad 60% tekstu na stronie powinno mieć rozmiar co najmniej 12 pikseli. [Więcej informacji](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} czytelnego tekstu"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Tekst jest nieczytelny z powodu braku metatagu viewport zoptymalizowanego na potrzeby ekranów telefonów."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"W dokumencie nie są używane czytelne rozmiary czcionek"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Czytelny tekst"},"lighthouse-core/audits/seo/font-size.js | title":{message:"W dokumencie używane są czytelne rozmiary czcionek"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Linki hreflang informują wyszukiwarki, którą wersję strony pokazywać w wynikach wyszukiwania dla danego języka lub regionu. [Więcej informacji](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument nie ma prawidłowego atrybutu `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Względna wartość href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument ma prawidłowy atrybut `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Nieoczekiwany kod języka"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Strony z kodem stanu HTTP oznaczającym niepowodzenie mogą nie być indeksowane poprawnie. [Więcej informacji](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Strona ma kod stanu HTTP oznaczający niepowodzenie"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Strona ma kod stanu HTTP oznaczający powodzenie"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Wyszukiwarki nie mogą umieszczać Twoich stron w wynikach wyszukiwania, jeśli nie mają uprawnień, by je indeksować. [Więcej informacji](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Zablokowano indeksowanie strony"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Indeksowanie strony nie jest zablokowane"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Opisowy tekst linków ułatwia wyszukiwarkom zrozumienie zawartości stron. [Więcej informacji](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Znaleziono 1 link}few{Znaleziono # linki}many{Znaleziono # linków}other{Znaleziono # linku}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Linki nie mają opisowego tekstu"},
"lighthouse-core/audits/seo/link-text.js | title":{message:"Linki mają tekst opisowy"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Uruchom [Narzędzie do testowania uporządkowanych danych](https://search.google.com/structured-data/testing-tool/) i narzędzie [Structured Data Linter](http://linter.structured-data.org/), by sprawdzić uporządkowane dane. [Więcej informacji](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Uporządkowane dane są prawidłowe"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Metaopis można umieścić w wynikach wyszukiwania, by krótko podsumować zawartość strony. [Więcej informacji](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Tekst opisu jest pusty."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokument nie ma metaopisu"},
"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument ma metaopis"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Wyszukiwarki nie potrafią indeksować treści z wtyczek, a wiele urządzeń nie obsługuje wtyczek lub ogranicza ich działanie. [Więcej informacji](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument używa wtyczek"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokument nie wymaga wtyczek"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Jeśli plik robots.txt ma nieprawidłowy format, roboty indeksujące mogą nie wiedzieć, jak mają indeksować witrynę. [Więcej informacji](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Żądanie pliku robots.txt zwróciło stan HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{Znaleziono 1 błąd}few{Znaleziono # błędy}many{Znaleziono # błędów}other{Znaleziono # błędu}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse nie udało się pobrać pliku robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Plik robots.txt jest nieprawidłowy"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Plik robots.txt jest prawidłowy"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Elementy interaktywne, takie jak przyciski i linki, powinny być dostatecznie duże (48 x 48 pikseli) i mieć wokół siebie odpowiednią ilość miejsca, by można było je łatwo dotknąć, nie zahaczając o inne elementy. [Więcej informacji](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} elementów dotykowych ma odpowiednią wielkość"},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Elementy dotykowe są zbyt małe z powodu braku metatagu viewport zoptymalizowanego na potrzeby ekranów telefonów"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Elementy dotykowe nie mają odpowiedniej wielkości"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Pokrywające się elementy dotykowe"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Element dotykowy"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Elementy dotykowe mają odpowiednią wielkość"},"lighthouse-core/audits/server-response-time.js | description":{message:"Zadbaj o to, by czas reakcji serwera był jak najkrótszy dla głównego dokumentu na stronie, bo to od niego zależą wszystkie inne żądania. [Więcej informacji](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{
message:"Czas odpowiedzi głównego dokumentu: {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Skróć wstępny czas reakcji serwera"},"lighthouse-core/audits/server-response-time.js | title":{message:"Wstępny czas reakcji serwera był krótki"},"lighthouse-core/audits/service-worker.js | description":{message:"Skrypt service worker pozwala aplikacji na korzystanie z wielu funkcji progresywnych aplikacji internetowych – takich jak działanie offline, dodawanie do ekranu głównego czy powiadomienia push. [Więcej informacji](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Stroną steruje skrypt service worker, ale nie znaleziono elementu `start_url`, ponieważ nie udało się przetworzyć pliku manifestu jako prawidłowego pliku JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"Tą stroną steruje skrypt service worker, ale element `start_url` ({startUrl}) nie znajduje się w jego zakresie ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Tą stroną steruje skrypt service worker, ale nie znaleziono elementu `start_url`, ponieważ nie został pobrany żaden plik manifestu."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Ta witryna zawiera co najmniej jeden skrypt service worker, ale strona ({pageUrl}) nie jest w zakresie."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Nie rejestruje skryptu service worker, który steruje stroną i elementem `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Rejestruje skrypt service worker, który steruje stroną i elementem `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{
message:"Ekran powitalny z niestandardowym motywem zapewnia użytkownikom lepsze wrażenia podczas otwierania aplikacji z ekranu głównego. [Więcej informacji](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nie skonfigurowano niestandardowego ekranu powitalnego"},"lighthouse-core/audits/splash-screen.js | title":{message:"Skonfigurowano niestandardowy ekran powitalny"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Motyw paska adresu w przeglądarce możesz dopasować do swojej witryny. [Więcej informacji](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Nie ustawia motywu kolorystycznego paska adresu."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Ustawia motyw kolorystyczny paska adresu."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (sukcesy klientów)"},
"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (społecznościowy)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (wideo)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Usługa"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Niektóre umieszczone na stronie elementy z innych witryn mogą być leniwie ładowane. Dopóki nie będą potrzebne, może je zastępować komponent fasadowy. [Więcej informacji](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Dostępny # komponent fasadowy}few{Dostępne # komponenty fasadowe}many{Dostępnych # komponentów fasadowych}other{Dostępne # komponentu fasadowego}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{
message:"Niektóre zasoby z innych witryn mogą być leniwie ładowane z użyciem komponentu fasadowego"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Leniwe ładowanie zasobów z innych witryn z użyciem komponentu fasadowego"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Dostawca zewnętrzny"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Kod spoza witryny może znacznie spowalniać wczytywanie stron. Ogranicz liczbę zewnętrznych dostawców kodu i spróbuj wczytywać kod spoza witryny dopiero po zakończeniu wczytywania podstawowej strony. [Więcej informacji](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Kod spoza witryny zablokował główny wątek na {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{
message:"Ogranicz wpływ kodu spoza witryny"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimalizacja wykorzystania kodu zewnętrznego"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Pomiary"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Dane"},"lighthouse-core/audits/timing-budget.js | description":{message:"Ustaw budżet czasowy, by łatwiej monitorować wydajność witryny. Wydajne strony szybko się ładują i reagują na zdarzenia wejściowe użytkowników. [Więcej informacji](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Budżet czasowy"},"lighthouse-core/audits/unsized-images.js | description":{message:"W elementach graficznych określ wyraźnie szerokość i wysokość, by ograniczyć przesunięcia układu i ulepszyć CLS. [Więcej informacji](https://web.dev/optimize-cls/#images-without-dimensions)"},
"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Elementy graficzne nie mają bezpośrednio określonych atrybutów `width` ani `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Elementy graficzne mają bezpośrednio określone atrybuty `width` i `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Typ"},"lighthouse-core/audits/user-timings.js | description":{message:"Do aplikacji możesz dodać obsługę interfejsu User Timing API, by mierzyć rzeczywistą szybkość aplikacji z punktu widzenia użytkownika. [Więcej informacji](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 czas działań użytkownika}few{# czasy działań użytkownika}many{# czasów działań użytkownika}other{# czasu działań użytkownika}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Znaczniki i odcinki Czasu działań użytkownika"},
"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Znaleziono element `<link rel=preconnect>` dla „{securityOrigin}”, który nie jest używany przez przeglądarkę. Sprawdź, czy poprawnie używasz atrybutu `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Rozważ dodanie wskazówek `preconnect` lub `dns-prefetch`, by wcześniej nawiązać połączenia z ważnymi źródłami w innych domenach. [Więcej informacji](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Wcześniej nawiąż połączenia z wymaganymi źródłami"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Znaleziono więcej niż 2 linki `<link rel=preconnect>`. Takich linków należy używać oszczędnie i tylko w przypadku najważniejszych źródeł."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:"Znaleziono element `<link rel=preconnect>` dla „{securityOrigin}”, który nie jest używany przez przeglądarkę. Elementy `preconnect` stosuj tylko do ważnych źródeł, o które strona na pewno poprosi."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Znaleziono element `<link>` typu preload dla „{preloadURL}”, który nie jest używany przez przeglądarkę. Sprawdź, czy poprawnie używasz atrybutu `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Pomyśl o użyciu elementu `<link rel=preload>`, by szybciej pobierały się zasoby, które są obecnie żądane na dalszym etapie ładowania strony. [Więcej informacji](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Załaduj wstępnie kluczowe żądania"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL mapy"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Mapy źródeł tłumaczą zminifikowany kod na oryginalny kod źródłowy. Ułatwia to programistom debugowanie w środowisku produkcyjnym. Oprócz tego Lighthouse może udostępniać dodatkowe statystyki. Warto wdrożyć mapy źródeł, aby korzystać z tych możliwości. [Więcej informacji](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Brakuje map źródeł dla własnych dużych plików JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Duży plik JavaScript nie ma mapy źródeł"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Ostrzeżenie: brak 1 elementu w atrybucie `.sourcesContent`}few{Ostrzeżenie: brak # elementów w atrybucie `.sourcesContent`}many{Ostrzeżenie: brak # elementów w atrybucie `.sourcesContent`}other{Ostrzeżenie: brak # elementu w atrybucie `.sourcesContent`}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"Strona ma prawidłowe mapy źródeł"},"lighthouse-core/audits/viewport.js | description":{message:'Dodaj tag `<meta name="viewport">`, by zoptymalizować aplikację pod kątem ekranów urządzeń mobilnych. [Więcej informacji](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nie znaleziono tagu `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nie zawiera tagu `<meta name="viewport">` z elementem `width` lub `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Zawiera tag `<meta name="viewport">` z elementem `width` lub `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"To są możliwości lepszego wykorzystania atrybutów ARIA w Twojej aplikacji, by była ona wygodniejsza dla użytkowników technologii wspomagających, takich jak czytniki ekranu."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"To są możliwości dostarczenia alternatywnej treści dla audio i wideo. Dzięki temu treści mogą stać się bardziej przystępne dla osób niedowidzących i niedosłyszących."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Dźwięk i obraz"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Te pozycje wskazują typowe sprawdzone metody ułatwień dostępu."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Sprawdzone metody"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Te testy wskazują możliwości [poprawy ułatwień dostępu Twojej aplikacji internetowej](https://developers.google.com/web/fundamentals/accessibility). Ponieważ wykryć automatycznie można tylko część problemów z ułatwieniami dostępu, wskazane jest przeprowadzenie też testów ręcznych."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Te pozycje dotyczą obszarów, których narzędzie do testów automatycznych nie może zbadać. Więcej informacji w naszym przewodniku po [prowadzeniu przeglądu ułatwień dostępu](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Ułatwienia dostępu"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"To są możliwości poprawy czytelności treści."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"To są możliwości ulepszenia interpretacji treści przez użytkowników mających różne ustawienia języka."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacjonalizacja i lokalizacja"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"To są możliwości ulepszenia semantyki kontrolek aplikacji. Dzięki temu treści mogą stać się bardziej przystępne dla użytkowników technologii wspomagających, takich jak czytniki ekranu."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nazwy i etykiety"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"To są możliwości ulepszenia nawigacji za pomocą klawiatury w Twojej aplikacji."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Nawigacja"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Tutaj znajdziesz informacje o tym, jak możesz ułatwić odczytywanie danych z tabel i list za pomocą technologii wspomagających osoby z niepełnosprawnością (np. czytników ekranu)."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabele i listy"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Zgodność z przeglądarką"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Sprawdzone metody"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Ogólne"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Zaufanie i bezpieczeństwo"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Wygoda użytkowników"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Budżety wydajności są podstawą do określania standardów wydajności witryny."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budżety"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Więcej o wydajności aplikacji. Te liczby nie mają [bezpośredniego wpływu](https://web.dev/performance-scoring/) na wyniki w kategorii Wydajność."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostyka"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Najważniejszym aspektem wydajności jest to, jak szybko piksele zostaną wyświetlone na ekranie. Kluczowe wskaźniki: Pierwsze wyrenderowanie treści, Pierwsze wyrenderowanie elementu znaczącego"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Ulepszenia pierwszego renderowania"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Te sugestie mogą pomóc przyśpieszyć wczytywanie strony. Nie mają one [bezpośredniego wpływu](https://web.dev/performance-scoring/) na wynik w kategorii Wydajność."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Możliwości"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Dane"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Usprawnij całe ładowanie, by strona jak najszybciej była gotowa do używania i reagowała na działania użytkownika. Główne wskaźniki: Czas do pełnej interaktywności, Indeks szybkości"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Ogólne usprawnienia"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Wydajność"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Te testy służą do sprawdzenia różnych aspektów progresywnej aplikacji internetowej. [Więcej informacji](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Te testy są wymagane w ramach podstawowej [listy kontrolnej PWA](https://developers.google.com/web/progressive-web-apps/checklist), ale narzędzie Lighthouse nie przeprowadza ich automatycznie. Nie mają wpływu na wynik, ale należy pamiętać o wykonaniu ich ręcznie."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresywna aplikacja internetowa"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Możliwa do zainstalowania"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optymalizacja dla PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Te testy sprawdzają, czy strona jest zoptymalizowana pod kątem rankingu wyników wyszukiwarki. Na ranking mogą wpływać inne czynniki, których Lighthouse nie sprawdza. [Więcej informacji](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Uruchom te dodatkowe walidatory w swojej witrynie, by skontrolować więcej sprawdzonych metod SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Dostosuj kod HTML w taki sposób, by roboty lepiej rozumiały zawartość aplikacji."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Sprawdzone metody publikowania treści"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Jeśli Twoja aplikacja ma pojawiać się w wynikach wyszukiwania, muszą mieć do niej dostęp roboty."},
"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Skanowanie i indeksowanie"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Dostosuj strony do komórek, by użytkownicy nie musieli pomniejszać ani powiększać ekranu, gdy będą chcieli coś przeczytać. [Więcej informacji](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Na komórki"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Testowane urządzenie wydaje się mieć procesor o szybkości mniejszej niż oczekiwana przez Lighthouse. Może to negatywnie wpływać na wynik w kategorii Wydajność. Dowiedz się więcej o [kalibrowaniu odpowiedniego mnożnika spowolnienia procesora](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{
message:"Strona może nie wczytywać się prawidłowo, ponieważ testowy URL ({requested}) został przekierowany pod adres {final}. Przetestuj drugi adres URL bezpośrednio."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Wczytywanie strony trwało za długo i nie zostało ukończone w przewidzianym na to czasie. Wyniki mogą być niepełne."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Możliwe, że przechowywane są dane, które mają wpływ na szybkość wczytywania w tej lokalizacji: {locations}. Aby uchronić się przed wpływem tych zasobów na wyniki, sprawdź tę stronę w oknie incognito.}few{Możliwe, że przechowywane są dane, które mają wpływ na szybkość wczytywania w tych lokalizacjach: {locations}. Aby uchronić się przed wpływem tych zasobów na wyniki, sprawdź tę stronę w oknie incognito.}many{Możliwe, że przechowywane są dane, które mają wpływ na szybkość wczytywania w tych lokalizacjach: {locations}. Aby uchronić się przed wpływem tych zasobów na wyniki, sprawdź tę stronę w oknie incognito.}other{Możliwe, że przechowywane są dane, które mają wpływ na szybkość wczytywania w tych lokalizacjach: {locations}. Aby uchronić się przed wpływem tych zasobów na wyniki, sprawdź tę stronę w oknie incognito.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Zastanów się, czy nie dodać schematów adresów URL https: i http: (ignorowanych przez przeglądarki obsługujące dyrektywę „strict-dynamic”), aby uzyskać zgodność wsteczną ze starszymi przeglądarkami."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Od momentu wprowadzenia CSP3 dyrektywa disown-opener jest wycofana. Zamiast niej użyj nagłówka Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Od momentu wprowadzenia CSP2 dyrektywa referrer jest wycofana. Zamiast niej użyj nagłówka Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Od momentu wprowadzenia CSP2 dyrektywa reflected-xss jest wycofana. Zamiast niej użyj nagłówka X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Brak dyrektywy base-uri umożliwia wstrzyknięcie tagów <base>. W ten sposób hakerzy mogą ustawić podstawowy adres URL dla wszystkich względnych adresów URL (np. skryptów) na domenę, którą kontrolują. Warto ustawić base-uri na wartość „none” lub „self”."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elementy kontrolowane przez dyrektywę object-src są uważane za funkcje w starszych wersjach. Możesz ustawić dyrektywę object-src na wartość „none”, aby zapobiegała wstrzykiwaniu wtyczek wykonujących niebezpieczne skrypty."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Brakuje dyrektywy script-src. Może to pozwolić na uruchamianie niebezpiecznych skryptów."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Prawdopodobnie brakuje średnika. Ciąg {keyword} wygląda jak dyrektywa, a nie jak słowo kluczowe."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{
message:"W liczbach jednorazowych należy używać zestawu znaków base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Liczby jednorazowe powinny składać się co najmniej z 8 znaków."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Miejsce docelowe raportowania zostało skonfigurowane tylko za pomocą dyrektywy report-to. Jest ona obsługiwana tylko w przeglądarkach opartych na Chromium, dlatego zaleca się też używanie dyrektywy report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Dla CSP nie skonfigurowano żadnego miejsca docelowego raportowania. Będzie to powodować utrudnienia w późniejszym konserwowaniu CSP i monitorowaniu problemów."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Listy dozwolonych hostów mogą być często pomijane. Zastanów się, czy nie użyć dyrektywy „strict-dynamic” w połączeniu z liczbami jednorazowymi lub haszami CSP."},
"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Nieznana dyrektywa CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} jest prawdopodobnie nieprawidłowym słowem kluczowym."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"Dyrektywa „unsafe-inline” zezwala na wykonywanie niebezpiecznych skryptów na stronie i uruchamianie modułów obsługi zdarzeń. Zastanów się, czy nie użyć liczb jednorazowych lub haszy CSP, aby zezwolić osobno na poszczególne skrypty."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Zastanów się, czy nie dodać dyrektywy „unsafe-inline” (ignorowanej przez przeglądarki obsługujące liczby jednorazowe i hasze), aby uzyskać zgodność wsteczną ze starszymi przeglądarkami."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Czas blokowania głównego wątku"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Czas przechowywania danych w pamięci podręcznej"},
"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Opis"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Czas trwania"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Nieprawidłowe elementy"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Lokalizacja"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nazwa"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Przekroczenie budżetu"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Żądania"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Rozmiar zasobu"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Typ zasobu"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Rozmiar"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Źródło"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Czas rozpoczęcia"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Spędzony czas"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Rozmiar przesłanych danych"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potencjalne oszczędności"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potencjalne oszczędności"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potencjalna oszczędność: {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Znaleziono 1 element}few{Znaleziono # elementy}many{Znaleziono # elementów}other{Znaleziono # elementu}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potencjalne przyspieszenie o {wastedMs, number, milliseconds} ms"},
"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Pierwsze wyrenderowanie elementu znaczącego"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Czcionka"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Obraz"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Wysoki"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Niski"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Średni"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maks. potencjalne opóźnienie przy 1. działaniu"},
"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Multimedia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Inne"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Inne zasoby"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skrypt"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Arkusz stylów"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Zewnętrzne"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Razem"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{
message:"Podczas rejestrowania śladu wczytywania strony wystąpił błąd. Uruchom Lighthouse ponownie. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Upłynął czas oczekiwania na wstępne połączenie z Protokołem debugującym."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Podczas wczytywania strony w Chrome nie zostały utworzone zrzuty ekranu. Zapewnij widoczność treści na stronie, a potem uruchom Lighthouse jeszcze raz. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Serwery DNS nie potrafiły ustalić adresu podanej domeny."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Wystąpił błąd wymaganego elementu zbierającego {artifactName}: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Wystąpił wewnętrzny błąd Chrome. Uruchom ponownie Chrome, a następnie Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{
message:"Wymagany element zbierający {artifactName} nie został uruchomiony."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Strona nie wyrenderowała żadnej treści. Upewnij się, że okno przeglądarki jest na pierwszym planie podczas ładowania, i spróbuj ponownie. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Podana strona nie ma formatu HTML (jest wyświetlana jako typ MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Ta wersja Chrome jest przestarzała i nie obsługuje wartości „{featureName}”. Aby zobaczyć wszystkie wyniki, użyj nowszej wersji."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Narzędziu Lighthouse nie udało się całkowicie wczytać żądanej strony. Upewnij się, że testujesz właściwy URL, a serwer poprawnie odpowiada na wszystkie żądania."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{
message:"Narzędziu Lighthouse nie udało się całkowicie wczytać żądanego URL-a, ponieważ strona przestała odpowiadać."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Podany URL nie ma prawidłowego certyfikatu bezpieczeństwa. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Przeglądarka Chrome zablokowała wczytywanie strony i wyświetliła komunikat pełnoekranowy. Upewnij się, że testujesz właściwy URL, a serwer poprawnie odpowiada na wszystkie żądania."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Narzędziu Lighthouse nie udało się całkowicie wczytać żądanej strony. Upewnij się, że testujesz właściwy URL, a serwer poprawnie odpowiada na wszystkie żądania. Szczegóły: {errorDetails}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Narzędziu Lighthouse nie udało się całkowicie wczytać żądanej strony. Upewnij się, że testujesz właściwy URL, a serwer poprawnie odpowiada na wszystkie żądania. Kod stanu: {statusCode}"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Wczytywanie strony trwało zbyt długo. Skorzystaj z możliwości przyspieszenia wczytywania strony podanych w raporcie, a następnie ponownie uruchom Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Przekroczono przydzielony czas oczekiwania na odpowiedź protokołu DevTools. Metoda: {protocolMethod}"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Przekroczono czas przydzielony na pobranie zasobów"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Podany URL jest nieprawidłowy."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Wszystko"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Wszystkie skrypty"},
"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Pokrycie"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Zduplikowane moduły"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Rozmiar zasobu (w bajtach)"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nazwa"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Przełącz tabelę"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Nieużywane bajty"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"W przypadku treści animowanych stosuj atrybut [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), by zminimalizować wykorzystanie procesora, gdy te treści znajdują się poza ekranem."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Sugerujemy wyświetlanie wszystkich komponentów [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) w formatach WebP i podanie odpowiednich zasobów zastępczych dla innych przeglądarek. [Więcej informacji](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Upewnij się, że używasz elementu [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) dla obrazów, które są automatycznie ładowane w leniwy sposób. [Więcej informacji](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Korzystaj z narzędzi takich jak [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer), aby [renderować układy AMP po stronie serwera](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Sprawdź w [dokumentacji AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/), czy wszystkie style są obsługiwane."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Element [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ma atrybut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) wskazujący, których zasobów graficznych użyć w zależności od rozmiaru ekranu. [Więcej informacji](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Jeśli renderowane są bardzo duże listy, proponujemy zastosowanie przewijania wirtualnego z pakietu CDK (Component Dev Kit). [Więcej informacji](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Zastosuj [dzielenie kodu na poziomie przekierowań](https://web.dev/route-level-code-splitting-in-angular/), by zminimalizować wielkość pakietów JavaScript. Pomyśl też o wstępnym zapisywaniu zasobów w pamięci podręcznej za pomocą [skryptu service worker Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Jeśli używasz interfejsu wiersza poleceń Angular, upewnij się, że kompilacje są generowane w trybie produkcyjnym. [Więcej informacji](https://angular.io/guide/deployment#enable-runtime-production-mode)"},
"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Jeśli używasz interfejsu wiersza poleceń Angular, dołącz do kompilacji produkcyjnej mapy źródeł w celu inspekcji pakietów. [Więcej informacji](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Aby przyspieszyć nawigację, załaduj wcześniej przekierowania. [Więcej informacji](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Do zarządzania punktami przerwania obrazów proponujemy używać narzędzia `BreakpointObserver` z pakietu CDK (Component Dev Kit). [Więcej informacji](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Możesz przesłać plik GIF do usługi, która umożliwi umieszczanie go jako pliku wideo HTML5."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Gdy w swoim motywie definiujesz niestandardowe czcionki, określ `@font-display`."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Sugerujemy zainstalowanie i skonfigurowanie w witrynie [modułu wykorzystującego formaty obrazu WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search). Takie moduły automatycznie generują wersję WebP przesłanych obrazów, by zoptymalizować czas wczytywania."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Zainstaluj [moduł Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), który umożliwia leniwe ładowanie obrazów. Takie moduły umożliwiają odłożenie ładowania obrazów niewyświetlanych na ekranie w celu poprawy wydajności."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Sugerujemy używanie modułu wbudowującego w stronę krytyczny kod CSS i JavaScript albo asynchroniczne ładowanie zasobów za pomocą JavaScriptu (np. przy użyciu modułu [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg)). Pamiętaj, że optymalizacje dostarczane przez ten moduł mogą zakłócić działanie witryny i konieczne może być wprowadzenie zmian w kodzie."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Motywy, moduły i specyfikacje serwera są nie bez znaczenia dla jego czasu reakcji. Być może warto znaleźć lepiej zoptymalizowany motyw, starannie wybrać moduł optymalizujący lub przejść na nowszą wersję serwera. Na serwerach hostujących należy używać pamięci podręcznej kodu operacji PHP oraz buforowania w pamięci operacyjnej (np. Redis lub Memcached), by skrócić czas zapytań do bazy danych, a także zoptymalizować logikę aplikacji, by szybciej przygotowywać strony."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Sugerujemy używanie [stylów obrazów elastycznych](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) w celu zmniejszenia wielkości plików graficznych wczytywanych na stronie. Jeśli używasz Views do wyświetlania wielu elementów treści na stronie, rozważ zastosowanie podziału na strony, aby ograniczyć liczbę elementów wyświetlanych na jednej stronie."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Musisz mieć włączoną opcję „Aggregate CSS files” (Agreguj pliki CSS) na stronie „Administration » Configuration » Development” (Administracja » Konfiguracja » Programowanie). Istnieją też [dodatkowe moduły](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), za pomocą których możesz skonfigurować bardziej zaawansowane opcje agregacji, aby przyspieszyć działanie strony dzięki konkatenacji, minifikacji i kompresji stylów CSS."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Musisz mieć włączoną opcję „Aggregate JavaScript files” (Agreguj pliki JavaScript) na stronie „Administration » Configuration » Development” (Administracja » Konfiguracja » Programowanie). Istnieją też [dodatkowe moduły](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), za pomocą których możesz skonfigurować bardziej zaawansowane opcje agregacji, aby przyspieszyć działanie strony dzięki konkatenacji, minifikacji i kompresji plików JavaScript."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Sugerujemy usunięcie nieużywanych reguł CSS i dołączenie bibliotek Drupala tylko do tych stron lub komponentów na stronach, które ich potrzebują. Szczegółowe informacje znajdziesz w [dokumentacji Drupala](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Aby zidentyfikować dołączone biblioteki, które dodają nieistotny kod CSS, uruchom [zasięg kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Chrome DevTools. Motyw/moduł, który dołącza te biblioteki, możesz zidentyfikować na podstawie adresu URL arkusza stylów, gdy witryna Drupala ma wyłączoną agregację kodu CSS. Szukaj motywów/modułów, które mają na liście wiele arkuszy stylów z dużą ilością czerwonego koloru w zasięgu kodu. Motyw/moduł powinien umieszczać arkusz stylów w kolejce tylko wtedy, gdy rzeczywiście jest on używany na stronie."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Sugerujemy usunięcie nieużywanych zasobów JavaSciptu i dołączenie bibliotek Drupala tylko do tych stron lub komponentów na stronach, które ich potrzebują. Szczegółowe informacje znajdziesz w [dokumentacji Drupala](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Aby zidentyfikować dołączone biblioteki, które dodają nieistotny kod JavaScript, uruchom [zasięg kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Chrome DevTools. Motyw/moduł, który dołącza te biblioteki, możesz zidentyfikować na podstawie adresu URL skryptu, gdy witryna Drupala ma wyłączoną agregację kodu JavaScript. Szukaj motywów/modułów, które mają na liście wiele skryptów z dużą ilością czerwonego koloru w zasięgu kodu. Motyw/moduł powinien umieszczać skrypt w kolejce tylko wtedy, gdy rzeczywiście jest on używany na stronie."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Ustaw opcję „Browser and proxy cache maximum age” (Maksymalny wiek przeglądarki i pamięci podręcznej serwera proxy) na stronie „Administration » Configuration » Development” (Administracja » Konfiguracja » Programowanie). Przeczytaj artykuł o [pamięci podręcznej Drupala i optymalizacji w celu zwiększenia wydajności](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Sugerujemy używanie [modułu](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), który automatycznie optymalizuje i zmniejsza pliki graficzne przesłane do witryny, zachowując ich jakość. Należy też używać natywnych [stylów obrazów elastycznych](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) dostępnych w Drupalu (w wersji 8 i nowszych) dla wszystkich obrazów renderowanych w witrynie."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Wskazówki „preconnect” lub „dns-prefetch” można dodać, instalując i konfigurując [moduł](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) obsługujący wskazówki zasobów klienta użytkownika."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Należy używać natywnych [stylów obrazów elastycznych](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) dostępnych w Drupalu (w wersji 8 i nowszych). Używaj stylów obrazów elastycznych do renderowania pól obrazów za pomocą trybów widoku, widoków lub obrazów przesłanych w edytorze WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"Możesz przesłać plik GIF do usługi, która umożliwi umieszczanie go jako pliku wideo HTML5."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Możesz skorzystać z [wtyczki](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) lub usługi, która będzie automatycznie konwertować przesłane obrazy do optymalnych formatów."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Zainstaluj [wtyczkę Joomli do leniwego ładowania](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), która umożliwia odłożenie ładowania obrazów niewyświetlanych na ekranie, albo wybierz szablon, który ma tę funkcję. Począwszy od wersji Joomla 4.0 wszystkie nowe obrazy będą [automatycznie](https://github.com/joomla/joomla-cms/pull/30748) mieć atrybut `loading` ustawiany przez funkcje podstawowe."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Jest wiele wtyczek Joomli, które mogą pomóc Ci [umieścić w tekście najważniejsze zasoby](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) lub [opóźnić wczytywanie tych, które są mniej ważne](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Pamiętaj, że optymalizacje dostarczane przez te wtyczki mogą uszkodzić funkcje Twoich szablonów lub innych wtyczek, więc konieczne jest przeprowadzenie dokładnych testów."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Szablony, rozszerzenia i specyfikacje serwera są nie bez znaczenia dla jego czasu reakcji. Być może warto znaleźć lepiej zoptymalizowany szablon, starannie wybrać rozszerzenie optymalizujące lub przejść na nowszą wersję serwera."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Korzystne może być wyświetlanie fragmentów w poszczególnych kategoriach artykułów (np. przy użyciu linku Przeczytaj więcej), zmniejszenie liczby artykułów wyświetlanych na danej stronie, podział długich postów na kilka stron lub użycie wtyczki umożliwiającej leniwe ładowanie komentarzy."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Kilka [rozszerzeń Joomli](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) może przyspieszyć działanie strony dzięki konkatenacji, minifikacji i kompresji stylów CSS. Istnieją też szablony z takimi funkcjami."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Kilka [rozszerzeń Joomli](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) może przyspieszyć działanie strony dzięki konkatenacji, minifikacji i kompresji skryptów. Istnieją też szablony z takimi funkcjami."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Dobrym rozwiązaniem może być ograniczenie liczby [rozszerzeń Joomli](https://extensions.joomla.org/) wczytujących na stronie nieużywany kod CSS albo zmiana tych wtyczek na inne. Aby zidentyfikować rozszerzenia, które dodają nieistotny kod CSS, uruchom [zasięg kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Chrome DevTools. Możesz zidentyfikować taki motyw/wtyczkę w adresie URL arkusza stylów. Szukaj wtyczek, które mają na liście wiele arkuszy stylów z dużą ilością czerwonego koloru w zasięgu kodu. Wtyczka powinna umieszczać arkusz stylów w kolejce tylko wtedy, gdy rzeczywiście jest on używany na stronie."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Dobrym rozwiązaniem może być ograniczenie liczby [rozszerzeń Joomli](https://extensions.joomla.org/) wczytujących na stronie nieużywany kod JavaScript albo zmiana tych wtyczek na inne. Aby zidentyfikować wtyczki, które dodają nieistotny kod JS, uruchom [zasięg kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Chrome DevTools. Możesz zidentyfikować takie rozszerzenie na podstawie adresu URL skryptu. Szukaj rozszerzeń, które mają na liście wiele skryptów z dużą ilością czerwonego koloru w zasięgu kodu. Rozszerzenie powinno umieszczać skrypt w kolejce tylko wtedy, gdy rzeczywiście jest on używany na stronie."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Dowiedz się więcej o [pamięci podręcznej przeglądarki w Joomli](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Pomocna może być [wtyczka do optymalizacji obrazów](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), która kompresuje obrazy, zachowując ich jakość."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Sugerujemy wykorzystanie [wtyczki obsługującej obrazy elastyczne](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Możesz włączyć kompresję tekstu za pomocą opcji Gzip Page Compression w konfiguracji Joomli (System > Global configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Jeśli nie łączysz zasobów JavaScript w pakiet, proponujemy użycie metody [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Proponujemy wyłączenie wbudowanych w Magento funkcji [tworzenia pakietów i minifikacji JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), a użycie zamiast nich metody [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[Definiując niestandardowe czcionki](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html), ustaw `@font-display`."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Proponujemy poszukać w [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) rozszerzeń innych firm umożliwiających wykorzystanie nowych formatów obrazów."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Sugerujemy zmodyfikowanie szablonów produktu i katalogu w celu wykorzystania funkcji platformy internetowej [leniwego ładowania](https://web.dev/native-lazy-loading)."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Skorzystaj z [integracji Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) z Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Włącz opcję „Minify CSS Files” (Minifikuj pliki CSS) w ustawieniach dewelopera swojego sklepu. [Więcej informacji](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Do minifikacji wszystkich plików JavaScript z wdrożenia treści statycznych używaj parsera [Terser](https://www.npmjs.com/package/terser) i wyłącz wbudowaną funkcję minifikacji."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Wyłącz wbudowaną w Magento funkcję [tworzenia pakietów JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Proponujemy poszukać w [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) rozszerzeń innych firm umożliwiających optymalizację obrazów."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Wskazówki „preconnect” lub „dns-prefetch” można dodać, [modyfikując układ motywu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Tagi `<link rel=preload>` można dodać, [modyfikując układ motywu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Zastąp animowane GIF-y filmami](https://web.dev/replace-gifs-with-videos/), aby strony ładowały się szybciej, i rozważ użycie nowoczesnych formatów plików, takich jak [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) lub [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), aby poprawić kompresję o ponad 30% w stosunku do kodeka wideo VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Możesz skorzystać z [wtyczki](https://octobercms.com/plugins?search=image) lub usługi, która będzie automatycznie konwertować przesłane obrazy do optymalnych formatów. [Pliki graficzne z kompresją bezstratną WebP](https://developers.google.com/speed/webp) są o 26% mniejsze od plików PNG i o 25–34% mniejsze od porównywalnych plików JPEG przy równoważnym indeksie jakości SSIM. Inny nowoczesny format obrazu, którego użycie warto rozważyć, to [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Możesz zainstalować [wtyczkę do leniwego ładowania obrazów](https://octobercms.com/plugins?search=lazy), która umożliwia odłożenie ładowania obrazów niewyświetlanych na ekranie, albo wybrać motyw, który ma tę funkcję. Warto też skorzystać z [wtyczki AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Istnieje wiele wtyczek, które pomagają [umieścić w tekście najważniejsze zasoby](https://octobercms.com/plugins?search=css). Te wtyczki mogą zakłócać działanie innych wtyczek, więc należy przeprowadzić dokładne testy."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Motywy, wtyczki i specyfikacje serwera są nie bez znaczenia dla czasu odpowiedzi serwera. Być może warto znaleźć lepiej zoptymalizowany motyw, starannie wybrać wtyczkę optymalizującą lub przejść na nowszą wersję serwera. October CMS pozwala programistom wykorzystać [`Queues`](https://octobercms.com/docs/services/queues) do odkładania na później czasochłonnych zadań, takich jak wysyłanie e-maili. Bardzo przyspiesza to obsługę żądań sieciowych."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Korzystne może być wyświetlanie fragmentów na liście postów (np. przy użyciu przycisku `show more`), zmniejszenie liczby postów wyświetlanych na danej stronie, podzielenie długich postów na kilka stron lub użycie wtyczki umożliwiającej leniwe ładowanie komentarzy."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Jest wiele [wtyczek](https://octobercms.com/plugins?search=css), które mogą przyspieszyć działanie witryny dzięki konkatenacji, minifikacji i kompresji stylów. Przeprowadzenie minifikacji już podczas kompilacji może przyspieszyć tworzenie witryny."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Jest wiele [wtyczek](https://octobercms.com/plugins?search=javascript), które mogą przyspieszyć działanie witryny dzięki konkatenacji, minifikacji i kompresji skryptów. Przeprowadzenie minifikacji już podczas kompilacji może przyspieszyć tworzenie witryny."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Możesz sprawdzić [wtyczki](https://octobercms.com/plugins), które wczytują w witrynie nieużywany kod CSS. Aby zidentyfikować wtyczki, które dodają niepotrzebny kod CSS, uruchom [pokrycie kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Narzędziach deweloperskich Chrome. Zidentyfikujesz taki motyw/wtyczkę na podstawie adresu URL arkusza stylów. Szukaj wtyczek, które mają wiele arkuszy stylów z dużą ilością czerwonego koloru w pokryciu kodu. Wtyczka powinna dodawać arkusz stylów tylko wtedy, gdy rzeczywiście jest on używany na stronie."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Możesz sprawdzić [wtyczki](https://octobercms.com/plugins?search=javascript), które wczytują na stronie nieużywany kod JavaScript. Aby zidentyfikować wtyczki, które dodają niepotrzebny kod JavaScript, uruchom [pokrycie kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Narzędziach deweloperskich Chrome. Zidentyfikujesz taki motyw/wtyczkę na podstawie adresu URL skryptu. Szukaj wtyczek, które mają wiele skryptów z dużą ilością czerwonego koloru w pokryciu kodu. Wtyczka powinna dodawać skrypt tylko wtedy, gdy rzeczywiście jest on używany na stronie."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Przeczytaj o [unikaniu zbędnych żądań sieciowych dzięki pamięci podręcznej HTTP](https://web.dev/http-cache/#caching-checklist). Jest wiele [wtyczek](https://octobercms.com/plugins?search=Caching), które pozwalają przyspieszyć zapisywanie w pamięci podręcznej."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Pomocna może być [wtyczka do optymalizacji obrazów](https://octobercms.com/plugins?search=image), która kompresuje obrazy, zachowując ich jakość."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Przesyłaj obrazy bezpośrednio w menedżerze multimediów, aby mieć pewność, że wymagane rozmiary obrazów są dostępne. Możesz użyć [filtra zmieniającego rozmiar](https://octobercms.com/docs/markup/filter-resize) lub [wtyczki do zmieniania rozmiaru obrazów](https://octobercms.com/plugins?search=image), aby zapewnić używanie optymalnych rozmiarów obrazów."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Włącz kompresję tekstu w konfiguracji serwera WWW."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Jeśli renderujesz na stronie wiele powtarzających się elementów, proponujemy wykorzystanie biblioteki „okienkowej”, takiej jak `react-window`, aby zminimalizować liczbę tworzonych węzłów DOM. [Więcej informacji](https://web.dev/virtualize-long-lists-react-window/) Aby przyspieszyć działanie, zredukuj też liczbę ponownych renderowań za pomocą metod [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) lub [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo). Jeśli używasz hooka `Effect`, [pomijaj efekty](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) tylko do momentu zmiany określonych zależności."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Jeśli używasz komponentów React Router, zminimalizuj wykorzystanie komponentu `<Redirect>` do [przekierowania nawigacji](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Jeśli renderujesz komponenty React po stronie serwera, proponujemy używanie metod `renderToNodeStream()` lub `renderToStaticNodeStream()`, by umożliwić klientowi odbieranie i rozwijanie poszczególnych części kodu zamiast całego naraz. [Więcej informacji](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Jeśli Twój system kompilacji automatycznie minifikuje pliki CSS, upewnij się, że wdrażasz kompilację produkcyjną aplikacji. Możesz to sprawdzić za pomocą rozszerzenia Narzędzia dla programistów React. [Więcej informacji](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Jeśli Twój system kompilacji automatycznie minifikuje pliki JS, upewnij się, że wdrażasz kompilację produkcyjną aplikacji. Możesz to sprawdzić za pomocą rozszerzenia Narzędzia dla programistów React. [Więcej informacji](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Jeśli nie renderujesz po stronie serwera, [podziel pakiety JavaScript](https://web.dev/code-splitting-suspense/), używając funkcji `React.lazy()`. W przeciwnym razie podziel kod za pomocą biblioteki innej firmy, takiej jak [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Do pomiaru wydajności renderowania komponentów używaj programu profilującego z narzędzi dla programistów React, który wykorzystuje interfejs Profiler API. [Więcej informacji](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Możesz przesłać plik GIF do usługi, która umożliwi umieszczanie go jako pliku wideo HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Możesz skorzystać z [wtyczki](https://wordpress.org/plugins/search/convert+webp/) lub usługi, która będzie automatycznie konwertować przesłane obrazy do optymalnych formatów."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Zainstaluj [wtyczkę WordPressa do leniwego ładowania](https://wordpress.org/plugins/search/lazy+load/), która umożliwia odłożenie ładowania obrazów niewyświetlanych na ekranie, albo wybierz motyw, który ma tę funkcję. Warto też skorzystać z [wtyczki AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Jest wiele wtyczek WordPressa, które mogą pomóc Ci [umieścić w tekście najważniejsze zasoby](https://wordpress.org/plugins/search/critical+css/) lub [opóźnić wczytywanie mniej ważnych zasobów](https://wordpress.org/plugins/search/defer+css+javascript/). Pamiętaj, że optymalizacje dostarczane przez te wtyczki mogą uszkodzić funkcje Twojego motywu lub innych wtyczek i konieczne może być wprowadzenie zmian w kodzie."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Motywy, wtyczki i specyfikacje serwera są nie bez znaczenia dla jego czasu reakcji. Być może warto znaleźć lepiej zoptymalizowany motyw, starannie wybierając wtyczkę optymalizującą, i przejść na nowszą wersję serwera."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Korzystne może być wyświetlanie fragmentów na liście postów (np. przy użyciu tagu more), zmniejszenie liczby postów wyświetlanych na danej stronie, podział długich postów na kilka stron lub użycie wtyczki umożliwiającej opóźnione wczytywanie komentarzy."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Kilka [wtyczek WordPressa](https://wordpress.org/plugins/search/minify+css/) może przyśpieszyć działanie strony dzięki konkatenacji, minifikacji i kompresji stylów. Jeśli masz taką możliwość, przeprowadż minifikację, zanim opublikujesz skrypty."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Kilka [wtyczek WordPressa](https://wordpress.org/plugins/search/minify+javascript/) może przyśpieszyć działanie strony dzięki konkatenacji, minifikacji i kompresji skryptów. Jeśli masz taką możliwość, przeprowadź minifikację, zanim opublikujesz skrypty."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Dobrym rozwiązaniem może być ograniczenie liczby [wtyczek WordPressa](https://wordpress.org/plugins/) wczytujących na stronie nieużywany kod CSS albo zmiana tych wtyczek na inne. Aby zidentyfikować wtyczki, które dodają nieistotny kod CSS, uruchom [zasięg kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Chrome DevTools. Możesz zidentyfikować taki motyw/wtyczkę w adresie URL arkusza stylów. Szukaj wtyczek, które mają na liście wiele arkuszy stylów z dużą ilością czerwonego koloru w zasięgu kodu. Wtyczka powinna umieszczać arkusz stylów w kolejce tylko wtedy, gdy rzeczywiście jest on używany na stronie."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Dobrym rozwiązaniem może być ograniczenie liczby [wtyczek WordPressa](https://wordpress.org/plugins/) wczytujących na stronie nieużywany kod JavaScript albo zmiana tych wtyczek na inne. Aby zidentyfikować wtyczki, które dodają nieistotny kod JS, uruchom [zasięg kodu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) w Chrome DevTools. Możesz zidentyfikować taki motyw/wtyczkę w adresie URL skryptu. Szukaj wtyczek, które mają na liście wiele skryptów z dużą ilością czerwonego koloru w zasięgu kodu. Wtyczka powinna umieszczać skrypt w kolejce, tylko jeśli rzeczywiście jest on używany na stronie."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Dowiedz się więcej o [pamięci podręcznej przeglądarki w WordPressie](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Pomocna może być [wtyczka WordPressa do optymalizacji obrazów](https://wordpress.org/plugins/search/optimize+images/), która kompresuje obrazy, zachowując ich jakość."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Przesyłaj obrazy bezpośrednio przez [bibliotekę multimediów](https://wordpress.org/support/article/media-library-screen/), by mieć pewność, że wymagane rozmiary obrazów są dostępne, a następnie wstawiaj je z biblioteki multimediów lub używaj widżetu obrazów, by zapewnić użycie optymalnych rozmiarów obrazów (także w dynamicznych punktach przerwania). Unikaj używania obrazów `Full Size`, chyba że wymiary są adekwatne do danego zastosowania. [Więcej informacji](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Możesz włączyć kompresję tekstu w konfiguracji swojego serwera WWW."},
"report/renderer/util.js | calculatorLink":{message:"Zobacz kalkulator."},"report/renderer/util.js | crcInitialNavigation":{message:"Początkowa nawigacja"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksymalne opóźnienie ścieżki krytycznej:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Skopiuj JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Przełącz ciemny motyw"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Drukuj rozwinięty"},"report/renderer/util.js | dropdownPrintSummary":{message:"Drukuj podsumowanie"},"report/renderer/util.js | dropdownSaveGist":{message:"Zapisz jako Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Zapisz jako HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Zapisz jako JSON"},"report/renderer/util.js | dropdownViewer":{message:"Otwórz w przeglądarce"},"report/renderer/util.js | errorLabel":{message:"Błąd"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Błąd raportu: brak informacji o audycie"},"report/renderer/util.js | footerIssue":{message:"Zgłoś problem"},"report/renderer/util.js | labDataTitle":{message:"Dane laboratoryjne"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Bieżąca strona została przeanalizowana przez narzędzie [Lighthouse](https://developers.google.com/web/tools/lighthouse/) wraz z emulacją sieci komórkowej. Wartości są szacunkowe i mogą się zmieniać."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Dodatkowe elementy do ręcznego sprawdzenia"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nie dotyczy"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Możliwość"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Szacowane oszczędności"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Zaliczone audyty"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulacja pulpitu"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulacja Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Bez emulacji"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Wersja biblioteki Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Moc procesora/pamięci"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Ograniczanie wykorzystania procesora"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanał"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Urządzenie"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Czas pobrania"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Ograniczanie wykorzystania sieci"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Ustawienia czasu działania"},"report/renderer/util.js | runtimeSettingsUA":{message:"Klient użytkownika (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{
message:"Klient użytkownika (sieć)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Nieznane"},"report/renderer/util.js | showRelevantAudits":{message:"Pokaż audyty dotyczące:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Zwiń fragment"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Rozwiń fragment"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Pokaż zasoby zewnętrzne"},"report/renderer/util.js | throttlingProvided":{message:"Obsługiwane przez środowisko"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Podczas tego uruchomienia Lighthouse wystąpiły problemy:"},"report/renderer/util.js | varianceDisclaimer":{message:"Wartości są szacunkowe i mogą się zmieniać. [Wynik wydajności jest obliczony](https://web.dev/performance-scoring/) bezpośrednio na podstawie tych danych."},"report/renderer/util.js | viewTreemapLabel":{message:"Pokaż diagram"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Audyty zaliczone z ostrzeżeniami"},"report/renderer/util.js | warningHeader":{message:"Ostrzeżenia "}}},{}],129:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"As chaves de acesso permitem que os utilizadores se concentrem rapidamente numa parte da página. Para uma navegação adequada, cada chave de acesso tem de ser exclusiva. [Saiba mais](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Os valores `[accesskey]` não são exclusivos"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Os valores `[accesskey]` são exclusivos"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Cada ARIA `role` suporta um subconjunto específico de atributos `aria-*`. A não correspondência destes invalida os atributos `aria-*`. [Saiba mais](https://web.dev/aria-allowed-attr/)."
},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Os atributos `[aria-*]` não correspondem às respetivas funções"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Os atributos `[aria-*]` correspondem às respetivas funções"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Quando um elemento não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saiba mais](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Os elementos `button`, `link` e `menuitem` não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Os elementos `button`, `link` e `menuitem` têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'As tecnologias de assistência, que incluem os leitores de ecrã, funcionam de forma inconsistente quando `aria-hidden="true"` está definido no `<body>` do documento. [Saber mais](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` está presente no `<body>` do documento'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` não está presente no `<body>` do documento'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Os descendentes focáveis de um elemento `[aria-hidden="true"]` impedem que esses elementos interativos fiquem disponíveis para os utilizadores de tecnologias de assistência, como leitores de ecrã. [Saber mais](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Os elementos `[aria-hidden="true"]` contêm descendentes focáveis'
},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Os elementos `[aria-hidden="true"]` não contêm descendentes focáveis'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Quando um campo de entrada não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saber mais](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Os campos de entrada ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Os campos de entrada ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Quando um elemento não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saiba mais](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Os elementos `meter` ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Os elementos `meter` ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Quando um elemento `progressbar` não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Os elementos `progressbar` ARIA não têm nomes acessíveis"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Os elementos `progressbar` ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Algumas funções ARIA têm atributos obrigatórios que descrevem o estado do elemento para os leitores de ecrã. [Saiba mais](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Os `[role]`s não têm todos os atributos `[aria-*]` obrigatórios"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Os `[role]`s têm todos os atributos `[aria-*]` obrigatórios"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Algumas funções superiores ARIA têm de conter funções secundárias específicas para desempenhar as respetivas funções de acessibilidade previstas. [Saiba mais](https://web.dev/aria-required-children/)."},
"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Os elementos com um `[role]` ARIA que requerem que os elementos secundários contenham um `[role]` específico têm alguns ou todos esses elementos secundários requeridos em falta."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Os elementos com um `[role]` ARIA que requerem que os elementos secundários contenham um `[role]` específico têm todos os elementos secundários requeridos."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Algumas funções secundárias ARIA têm de ser contidas por funções superiores específicas para desempenharem adequadamente as respetivas funções de acessibilidade pretendidas. [Saiba mais](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Os `[role]`s não são contidos pelo respetivo elemento superior obrigatório"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Os `[role]`s são contidos pelo respetivo elemento superior obrigatório"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"As funções ARIA têm de possuir valores válidos para desempenhar as funções de acessibilidade previstas. [Saiba mais](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Os valores `[role]` não são válidos"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Os valores `[role]` são válidos"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Quando um campo ativar/desativar não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saber mais](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Os campos ativar/desativar ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Os campos ativar/desativar ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Quando um elemento não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saiba mais](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Os elementos `tooltip` ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Os elementos `tooltip` ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Quando um elemento não tem um nome acessível, os leitores de ecrã anunciam-no com um nome genérico, tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saiba mais](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Os elementos `treeitem` ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Os elementos `treeitem` ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"As tecnologias de assistência, que incluem os leitores de ecrã, não conseguem interpretar atributos ARIA com valores inválidos. [Saiba mais](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Os atributos `[aria-*]` não têm valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"Os atributos `[aria-*]` têm valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"As tecnologias de assistência, que incluem os leitores de ecrã, não conseguem interpretar atributos ARIA com nomes inválidos. [Saiba mais](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Os atributos `[aria-*]` não são válidos ou têm erros ortográficos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Os atributos `[aria-*]` são válidos e não têm erros ortográficos"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementos reprovados"},"lighthouse-core/audits/accessibility/button-name.js | description":{
message:'Quando um botão não tem um nome acessível, os leitores de ecrã anunciam-no como "botão", tornando-o inutilizável para os utilizadores que dependem de leitores de ecrã. [Saiba mais](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Os botões não têm um nome acessível"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Os botões têm um nome acessível"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Adicionar formas de ignorar conteúdo repetitivo permite que os utilizadores com teclado naveguem na página de forma mais eficiente. [Saiba mais](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"A página não contém um título, um link para ignorar ou uma região de ponto de referência"},"lighthouse-core/audits/accessibility/bypass.js | title":{
message:"A página contém um título, um link para ignorar ou uma região de ponto de referência"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"O texto de baixo contraste é difícil ou impossível de ler para muitos utilizadores. [Saiba mais](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"As cores de primeiro e de segundo plano não têm uma relação de contraste suficiente"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"As cores de segundo plano e de primeiro plano têm uma relação de contraste suficiente"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Quando as listas de definição não estão devidamente marcadas, os leitores de ecrã podem produzir um resultado confuso ou impreciso. [Saiba mais](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{
message:"Os `<dl>`s não contêm apenas grupos de `<dt>` e `<dd>` devidamente ordenados, nem elementos `<script>`, `<template>` ou `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Os `<dl>`s contêm apenas grupos de `<dt>` e `<dd>` devidamente ordenados e elementos `<script>`, `<template>` ou `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Os itens de lista de definição (`<dt>` e `<dd>`) têm de estar unidos num elemento `<dl>` superior de modo a garantir que os leitores de ecrã os possam anunciar adequadamente. [Saiba mais](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Os itens de lista de definição não estão unidos em elementos `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Os itens de lista de definição estão unidos em elementos `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"O título proporciona aos utilizadores de leitores de ecrã uma vista geral da página, sendo que os utilizadores de motores de pesquisa dependem dele para determinar se uma página é relevante para a respetiva pesquisa. [Saiba mais](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"O documento não tem um elemento `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"O documento tem um elemento `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Todos os elementos focáveis têm de ter um `id` exclusivo para garantir que são visíveis para as tecnologias de assistência. [Saber mais](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Os atributos `[id]` nos elementos ativos e focáveis não são exclusivos"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Os atributos `[id]` nos elementos ativos e focáveis são exclusivos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"O valor de um ID ARIA tem de ser exclusivo para evitar que outras instâncias sejam ignoradas pelas tecnologias de assistência. [Saber mais](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Os ID ARIA não são exclusivos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Os IDs ARIA são exclusivos"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Os campos do formulário com várias etiquetas podem ser anunciados de forma confusa por tecnologias de assistência, como leitores de ecrã que utilizam a primeira, a última, ou todas as etiquetas. [Saber mais](https://web.dev/form-field-multiple-labels/)"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Os campos do formulário contêm várias etiquetas"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nenhum campo do formulário contém várias etiquetas"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Os utilizadores com leitores de ecrã dependem dos títulos de frames para descrever o conteúdo dos frames. [Saiba mais](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Os elementos `<frame>` ou `<iframe>` não têm um título"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Os elementos `<frame>` ou `<iframe>` têm um título"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"Os títulos devidamente ordenados que não ignoram níveis transmitem a estrutura semântica da página, facilitando a navegação e a compreensão ao utilizar tecnologias de assistência. [Saber mais](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Os elementos do título não se encontram numa ordem sequencialmente decrescente"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Os elementos do título encontram-se numa ordem sequencialmente decrescente"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Se uma página não especificar um atributo lang, um leitor de ecrã parte do princípio de que a página está no idioma predefinido que o utilizador escolheu quando configurou o leitor de ecrã. Se a página não estiver realmente no idioma predefinido, o leitor de ecrã pode não anunciar corretamente o texto da página. [Saiba mais](https://web.dev/html-has-lang/)."},
"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"O elemento `<html>` não tem um atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"O elemento `<html>` tem um atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Especificar um idioma [BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido ajuda os leitores de ecrã a anunciar texto adequadamente. [Saiba mais](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"O elemento `<html>` tem um valor válido para o respetivo atributo `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"O elemento `<html>` tem um valor válido para o respetivo atributo `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"Os elementos informativos devem procurar incluir texto curto, descritivo e alternativo. Os elementos decorativos podem ser ignorados com um atributo alternativo vazio. [Saiba mais](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Os elementos de imagem não têm atributos `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Os elementos de imagem têm atributos `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Quando uma imagem está a ser utilizada como um botão `<input>`, facultar texto alternativo pode ajudar os utilizadores com leitores de ecrã a compreender a finalidade do botão. [Saiba mais](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Os elementos `<input type="image">` não têm texto `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{
message:'Os elementos `<input type="image">` têm texto de `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"As etiquetas garantem que os controlos de formulários são anunciados adequadamente pelas tecnologias de assistência, que incluem os leitores de ecrã. [Saiba mais](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Os elementos de formulário não têm etiquetas associadas"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Os elementos de formulário têm etiquetas associadas"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"O texto de link (e texto alternativo para imagens, quando utilizado como link) que seja percetível, exclusivo e ajustável melhora a experiência de navegação dos utilizadores de leitores de ecrã. [Saiba mais](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{
message:"Os links não têm um nome percetível"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Os links têm um nome percetível"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Os leitores de ecrã têm uma forma específica de anunciar listas. Garantir uma estrutura de listas adequada é benéfico para o resultado do leitor de ecrã. [Saiba mais](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"As listas não contêm apenas elementos `<li>` e elementos de suporte de script (`<script>` e `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"As listas contêm apenas elementos `<li>` e elementos de suporte de script (`<script>` e `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Os leitores de ecrã necessitam que os itens de lista (`<li>`) sejam contidos num `<ul>` ou `<ol>` superior para serem adequadamente anunciados. [Saiba mais](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Os itens de lista (`<li>`) não estão incluídos nos elementos superiores `<ul>` ou `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Os itens de lista (`<li>`) estão incluídos nos elementos superiores `<ul>` ou `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Os utilizadores não esperam que uma página se atualize automaticamente e, se tal acontecer, vai desviar o foco para a parte superior da página. Esta situação pode criar uma experiência frustrante ou confusa. [Saiba mais](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'O documento utiliza `<meta http-equiv="refresh">`'},
"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'O documento não utiliza `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Desativar o zoom é problemático para os utilizadores com visão reduzida que dependem da ampliação do ecrã para ver adequadamente o conteúdo de uma página Web. [Saiba mais](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'O `[user-scalable="no"]` é utilizado no elemento `<meta name="viewport">` ou o atributo `[maximum-scale]` é inferior a 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'O `[user-scalable="no"]` não é utilizado no elemento `<meta name="viewport">` e o atributo `[maximum-scale]` não é inferior a 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Os leitores de ecrã não conseguem traduzir conteúdo que não seja de texto. Adicionar texto alternativo a elementos `<object>` ajuda os leitores de ecrã a transmitir significado aos utilizadores. [Saiba mais](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Os elementos `<object>` não têm texto `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Os elementos `<object>` têm texto de `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Um valor superior a 0 implica uma ordenação de navegação explícita. Embora seja tecnicamente válida, esta situação costuma criar experiências frustrantes para os utilizadores que dependem de tecnologias de assistência. [Saiba mais](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Alguns elementos têm um valor `[tabindex]` superior a 0"},
"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Nenhum elemento tem um valor `[tabindex]` superior a 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Os leitores de ecrã têm funcionalidades para facilitar a navegação em tabelas. Garantir que as células `<td>` que utilizam o atributo `[headers]` apenas referenciam outras células na mesma tabela pode melhorar a experiência para os utilizadores com leitores de ecrã. [Saiba mais](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"As células num elemento `<table>` que utilizam o atributo `[headers]` referem-se a um elemento `id` que não se encontra dentro da mesma tabela."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"As células num elemento `<table>` que utilizam o atributo `[headers]` referem-se a células de tabela dentro da mesma tabela."},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Os leitores de ecrã têm funcionalidades para facilitar a navegação em tabelas. Garantir que os cabeçalhos de tabelas referenciam sempre algum conjunto de células pode melhorar a experiência dos utilizadores com leitores de ecrã. [Saiba mais](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Os elementos `<th>` e os elementos com `[role="columnheader"/"rowheader"]` não têm as células de dados que descrevem.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Os elementos `<th>` e os elementos com `[role="columnheader"/"rowheader"]` têm as células de dados que descrevem.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"Especificar um idioma [BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido para elementos ajuda a garantir que o texto é pronunciado corretamente por um leitor de ecrã. [Saiba mais](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Os atributos `[lang]` não têm um valor válido"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Os atributos `[lang]` têm um valor válido"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Quando um vídeo oferece uma legenda, é mais fácil para os utilizadores surdos e com problemas de audição aceder às informações. [Saiba mais](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Os elementos `<video>` não contêm um elemento `<track>` com `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{
message:'Os elementos `<video>` contêm um elemento `<track>` com `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Para um aspeto ideal no iOS quando os utilizadores adicionam uma app web progressiva ao ecrã principal, defina um `apple-touch-icon`. Deve apontar para um PNG quadrado não transparente de 192 px (ou 180 px). [Saiba mais](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Não fornece um `apple-touch-icon` válido"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"O `apple-touch-icon-precomposed` está desatualizado; recomendamos o `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Fornece um `apple-touch-icon` válido"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valor atual"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Símbolo sugerido"},
"lighthouse-core/audits/autocomplete.js | description":{message:"O atributo `autocomplete` ajuda os utilizadores a enviarem os formulários mais rapidamente. Para reduzir o esforço dos utilizadores, considere ativá-lo ao definir o atributo `autocomplete` para um valor válido. [Saiba mais](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Os elementos `<input>` não têm atributos `autocomplete` corretos"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Requer revisão manual"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Reveja a ordem dos símbolos"},"lighthouse-core/audits/autocomplete.js | title":{message:"Os elementos `<input>` utilizam o atributo `autocomplete` corretamente"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Símbolo(s) de `autocomplete`": "{token}" é inválido em {snippet}.'},
"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Reveja a ordem dos símbolos: "{tokens}" em {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"As extensões do Chrome afetam negativamente o desempenho de carregamento desta página. Experimente efetuar uma auditoria à página no modo de navegação anónima ou com um perfil do Chrome sem extensões."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Avaliação do script"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Análise do script"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Tempo total da CPU"},"lighthouse-core/audits/bootup-time.js | description":{message:"Considere reduzir o tempo despendido a analisar, compilar e executar JS. Poderá descobrir que é útil fornecer payloads de JS mais pequenos. [Saiba mais](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{
message:"Reduza o tempo de execução de JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Tempo de execução de JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Remova módulos de JavaScript grandes e duplicados de pacotes para reduzir bytes desnecessários consumidos pela atividade de rede. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Remova módulos duplicados em pacotes JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Os GIFs grandes são ineficientes para publicação de conteúdo animado. Para poupar bytes de rede, considere utilizar vídeos MPEG4/WebM para animações e ficheiros PNG/WebP para imagens estáticas em vez de GIFs. [Saiba mais](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{
message:"Utilize formatos de vídeo para conteúdo animado"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Os polyfills e as transformações permitem que os navegadores antigos utilizem novas funcionalidades de JavaScript. No entanto, muitos não são necessários para os navegadores modernos. Para o seu JavaScript integrado, adote uma estratégia de implementação de scripts moderna através da deteção da funcionalidade module/nomodule para reduzir a quantidade de código enviado para os navegadores modernos, mantendo ao mesmo tempo a compatibilidade com os navegadores antigos. [Saber mais](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Evite a publicação do JavaScript antigo em navegadores modernos"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Muitas vezes, os formatos de imagem como JPEG 2000, JPEG XR e WebP proporcionam uma melhor compressão do que os formatos PNG ou JPEG, o que se traduz em transferências mais rápidas e num menor consumo de dados. [Saiba mais](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Publique imagens em formatos de última geração"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Considere utilizar imagens de carregamento lento não visíveis e ocultas após a conclusão do carregamento de todos os recursos críticos, para reduzir o tempo até à interação. [Saiba mais](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Adie as imagens não visíveis"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Os recursos estão a bloquear o primeiro preenchimento da página. Considere publicar JS/CSS críticos inline e adiar todos os JS/estilos não críticos. [Saiba mais](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimine recursos que bloqueiam o processamento"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Os grandes payloads de rede têm custos reais para os utilizadores e estão fortemente correlacionados com tempos de carregamento demorados. [Saiba mais](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"O tamanho total era {totalBytes, number, bytes} KiB."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evite enormes payloads de rede"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Evita enormes payloads de rede"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Reduzir os ficheiros CSS pode reduzir os tamanhos dos payloads de rede. [Saiba mais](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Reduza o CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Reduzir os ficheiros JavaScript pode reduzir os tamanhos dos payloads e o tempo de análise de scripts. [Saiba mais](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Reduza o JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Reduza as regras não utilizadas das folhas de estilos e adie o CSS não utilizado de conteúdo na parte superior para diminuir a quantidade de bytes consumidos pela atividade da rede. [Saiba mais](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduza o CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reduza o JavaScript não utilizado e adie o carregamento de scripts até serem necessários para diminuir a quantidade de bytes consumidos pela atividade da rede. [Saiba mais](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduza o JavaScript não utilizado"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Uma longa duração total da cache pode acelerar as visitas repetidas à sua página. [Saiba mais](https://web.dev/uses-long-cache-ttl/)."},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 recurso encontrado}other{# recursos encontrados}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Publique recursos estáticos com uma política de cache eficiente"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Utiliza uma política de cache eficiente em recursos estáticos"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"As imagens otimizadas são carregadas mais rapidamente e consomem menos dados móveis. [Saiba mais](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Codifique as imagens de forma eficiente"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"Publique imagens com um tamanho adequado para poupar dados móveis e melhorar o tempo de carregamento. [Saiba mais](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Dimensione adequadamente as imagens"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Os recursos baseados em texto devem ser publicados com compressão (gzip, Deflate ou Brotli) para reduzir o total de bytes de rede. [Saiba mais](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Ative a compressão de texto"},"lighthouse-core/audits/content-width.js | description":{message:"Se a largura do conteúdo da sua aplicação não corresponder à largura da área visível, a sua aplicação poderá não estar otimizada para ecrãs de dispositivos móveis. [Saiba mais](https://web.dev/content-width/)."},
"lighthouse-core/audits/content-width.js | explanation":{message:"O tamanho da área visível de {innerWidth} px não corresponde ao tamanho da janela de {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"O conteúdo não é dimensionado corretamente para a área visível"},"lighthouse-core/audits/content-width.js | title":{message:"O conteúdo é dimensionado corretamente para a área visível"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"As Cadeias de pedidos críticos abaixo apresentam os recursos que são carregados com uma prioridade elevada. Considere reduzir o tamanho das cadeias, reduzir o tamanho de transferência dos recursos ou adiar a transferência de recursos desnecessários para melhorar o carregamento de página. [Saiba mais](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 cadeia encontrada}other{# cadeias encontradas}}"},
"lighthouse-core/audits/critical-request-chains.js | title":{message:"Evite encadear pedidos críticos"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Diretiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravidade"},"lighthouse-core/audits/csp-xss.js | description":{message:"Uma Política de Segurança de Conteúdos (CSP) forte reduz significativamente o risco de ataques de cross-site scripting (XSS). [Saiba mais](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaxe"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"A página contém uma CSP definida numa etiqueta <meta>. Se possível, considere definir a CSP num cabeçalho HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Não foi encontrada nenhuma CSP no modo de aplicação."},"lighthouse-core/audits/csp-xss.js | title":{message:"Certifique-se de que a CSP é eficaz contra ataques XSS"},
"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Descontinuação/aviso"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Linha"},"lighthouse-core/audits/deprecations.js | description":{message:"As APIs descontinuadas serão eventualmente removidas do navegador. [Saiba mais](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 aviso encontrado}other{# avisos encontrados}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Utiliza APIs descontinuadas"},"lighthouse-core/audits/deprecations.js | title":{message:"Evita APIs descontinuadas"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"A cache da aplicação foi descontinuada. [Saiba mais](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" encontrado'},
"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Utiliza a cache da aplicação"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Evita a cache da aplicação"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"É obrigatória uma declaração de codificação de carateres. Pode ser realizada com uma tag `<meta>` nos primeiros 1024 bytes do HTML ou no cabeçalho da resposta do HTTP de tipo de conteúdo. [Saiba mais](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"A declaração de charset está em falta ou ocorre demasiado tarde no HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Define o charset adequadamente"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Especificar um doctype impede que o navegador mude para o modo quirks. [Saiba mais](https://web.dev/doctype/)."},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"O nome do doctype deve ser a string `html` minúscula"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"O documento deve conter um doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Era esperado que o PublicId fosse uma string vazia"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Era esperado que o SystemId fosse uma string vazia."},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"A página não possui o doctype HTML, o que faz com que o modo quirks seja acionado"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"A página possui o doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Estatística"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valor"},
"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"Um DOM grande irá aumentar a utilização da memória, gerar [cálculos de estilo](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) mais demorados e produzir [ajustes de esquema](https://developers.google.com/speed/articles/reflow) dispendiosos. [Saiba mais](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elemento}other{# elementos}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evite um tamanho excessivo do DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profundidade máxima do DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total de elementos DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Máximo de elementos secundários"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Evita um tamanho excessivo do DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Âncoras reprovadas"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Adicione `rel="noopener"` ou `rel="noreferrer"` a quaisquer links externos para melhorar o desempenho e prevenir vulnerabilidades de segurança. [Saiba mais](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Os links para destinos de origem cruzada não são seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Os links para destinos de origem cruzada são seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Não é possível determinar o destino da âncora ({anchorHTML}). Se não for utilizado como uma hiperligação, considere remover o target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Os utilizadores desconfiam ou ficam confusos perante os sites que solicitam a sua localização sem contexto. Em vez disso, considere associar o pedido a uma ação do utilizador. [Saiba mais](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Solicita a autorização de geolocalização no carregamento da página"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evita a solicitação da autorização de geolocalização no carregamento da página"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipo de problema"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Os erros registados no painel `Issues` das Chrome Devtools indicam problemas não resolvidos. Podem ser provenientes de falhas de pedidos de rede, controlos de segurança insuficientes e outras questões do navegador. Abra o painel Issues das Chrome DevTools para visualizar mais detalhes sobre cada erro."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Foram registados erros no painel `Issues` das Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloqueado pela política de origem cruzada"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Utilização de recursos pesados por anúncios"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Não existem erros no painel `Issues` das Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versão"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Todas as bibliotecas de interface JavaScript detetadas na página. [Saiba mais](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Bibliotecas JavaScript detetadas"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"No caso de utilizadores com ligações lentas, os scripts externos inseridos dinamicamente através de `document.write()` podem atrasar o carregamento da página em dezenas de segundos. [Saiba mais](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evite `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Gravidade mais alta"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Versão da biblioteca"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Contagem de vulnerabilidades"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Alguns scripts de terceiros podem conter vulnerabilidades de segurança conhecidas que são facilmente identificadas e exploradas pelos atacantes. [Saiba mais](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 vulnerabilidade detetada}other{# vulnerabilidades detetadas}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Inclui bibliotecas de interface JavaScript com vulnerabilidades de segurança conhecidas"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Evita bibliotecas de interface JavaScript com vulnerabilidades de segurança conhecidas"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Os utilizadores desconfiam ou ficam confusos perante os sites que solicitam o envio de notificações sem contexto. Em vez disso, considere associar o pedido aos gestos do utilizador. [Saiba mais](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Solicita a autorização de notificações no carregamento da página"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evita a solicitação da autorização de notificações no carregamento da página"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Impedir a colagem de palavras-passe compromete o cumprimento de uma política de segurança adequada. [Saiba mais](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Impede que os utilizadores colem conteúdo nos campos de palavra-passe"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Permite que os utilizadores colem nos campos de palavra-passe"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocolo"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"O HTTP/2 oferece muitas vantagens em relação ao HTTP/1.1, nomeadamente cabeçalhos binários e multiplexação. [Saiba mais](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 pedido não publicado através de HTTP/2}other{# pedidos não publicados através de HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Utilize HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Considere marcar os seus event listeners de toque e roda como `passive` para melhorar o desempenho de deslocamento da sua página. [Saiba mais](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Não utiliza ouvintes passivos para melhorar o desempenho do deslocamento"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Utiliza ouvintes passivos para melhorar o desempenho do deslocamento"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Os erros registados na consola indicam problemas não resolvidos. Estes podem ser provenientes de falhas de pedidos de rede e outras questões do navegador. [Saiba mais](https://web.dev/errors-in-console/)."},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Os erros do navegador foram registados na consola"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Nenhum erro do navegador registado na consola"},"lighthouse-core/audits/font-display.js | description":{message:"Tire partido da funcionalidade CSS de apresentação de tipos de letra para garantir que o texto é visível para o utilizador enquanto os tipos de letra para Websites são carregados. [Saiba mais](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Garanta que o texto permanece visível durante o carregamento de tipos de letra para Websites"},"lighthouse-core/audits/font-display.js | title":{
message:"Todo o texto permanece visível durante os carregamentos de tipos de letra para Websites"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{O Lighthouse não conseguiu verificar automaticamente o valor `font-display` da origem {fontOrigin}.}other{O Lighthouse não conseguiu verificar automaticamente os valores `font-display` da origem {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Proporção (atual)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Formato (apresentado)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"As dimensões de apresentação das imagens devem corresponder à proporção natural. [Saiba mais](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Apresenta imagens com uma proporção incorreta"},"lighthouse-core/audits/image-aspect-ratio.js | title":{
message:"Apresenta imagens com uma proporção correta"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Tamanho real"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Tamanho apresentado"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Tamanho esperado"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"As dimensões naturais da imagem devem ser proporcionais ao tamanho do ecrã e à relação de píxeis para maximizar a nitidez da imagem. [Saber mais](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Publica imagens com baixa resolução"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Publica imagens com a resolução adequada"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"A app já está instalada."},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Não foi possível transferir um ícone necessário do manifesto."},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motivo da falha"},"lighthouse-core/audits/installable-manifest.js | description":{message:"O service worker é a tecnologia que permite à app utilizar muitas funcionalidades de app web progressiva, tais como offline, adicionar ao ecrã principal e notificações push. Com as implementações adequadas do service worker e do manifesto, os navegadores podem solicitar proativamente aos utilizadores que adicionem a sua app ao respetivo ecrã principal, o que pode resultar numa maior interação. [Saiba mais](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 motivo}other{# motivos}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"O manifesto da app para a Web ou o service worker não cumpre os requisitos de capacidade de instalação"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"O URL e o ID da app na Play Store não correspondem."},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"A página está carregada numa janela de navegação anónima."},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'A propriedade "display" do manifesto tem de ser uma das seguintes: "standalone", "fullscreen" ou "minimal-ui".'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'O manifesto contém o campo "display_override" e o primeiro modo de apresentação suportado tem de ser um dos seguintes: "standalone", "fullscreen" ou "minimal-ui".'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{
message:"Não foi possível obter ou analisar o manifesto ou o manifesto está vazio."},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"O URL do manifesto foi alterado durante a operação de obtenção do manifesto."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'O manifesto não contém um campo "name" ou "short_name".'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'O manifesto não contém um ícone adequado. É necessário um formato PNG, SVG ou WebP de, pelo menos, {value0} px, é necessário definir o atributo "sizes" e o atributo "purpose". Se definido, tem de incluir "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Nenhum ícone fornecido tem, pelo menos, {value0} px quadrados no formato PNG, SVG ou WebP, com o atributo "purpose" não definido ou definido como "any"'},
"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"O ícone transferido estava vazio ou danificado."},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Não foi fornecido um ID da Play Store."},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"A página não tem um URL <link> de manifesto."},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Não foi detetado nenhum service worker correspondente. Poderá ter de atualizar a página ou verificar se o âmbito do service worker da página atual inclui o URL de início e o âmbito do manifesto."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Não foi possível verificar o service worker sem um campo "start_url" no manifesto.'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'O ID de erro de capacidade de instalação "{errorId}" não é reconhecido.'},
"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"A página não é publicada a partir de uma origem segura."},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"A página não é carregada no frame principal."},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"A página não funciona offline."},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"A plataforma da aplicação especificada não é suportada no Android."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"O manifesto especifica prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"A opção prefer_related_applications só é suportada no Chrome Beta e nos canais estáveis do Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{
message:"O URL de início do manifesto não é válido."},"lighthouse-core/audits/installable-manifest.js | title":{message:"O manifesto da app para a Web e o service worker cumprem os requisitos de capacidade de instalação"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Um URL do manifesto contém um nome de utilizador, palavra-passe ou porta."},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"A página não funciona offline. A página não será considerada como passível de instalação após o lançamento da versão estável do Chrome 93, em agosto de 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Permitido"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloqueado"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL inseguro"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Resolução de pedidos"},
"lighthouse-core/audits/is-on-https.js | description":{message:"Todos os sites devem ser protegidos com HTTPS, mesmo aqueles que não lidam com dados confidenciais. Isto inclui evitar [conteúdo misto](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), em que alguns recursos são carregados por HTTP apesar de o pedido inicial ser fornecido através de HTTPS. O HTTPS evita que os intrusos adulterem ou escutem passivamente as comunicações entre a sua app e os seus utilizadores, e é um pré-requisito para o HTTP/2 e muitas novas APIs de plataformas Web. [Saiba mais](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 pedido inseguro encontrado}other{# pedidos inseguros encontrados}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Não utiliza HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Utiliza HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Atualizado automaticamente para HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Permitido com aviso"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteca"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"As bibliotecas JavaScript grandes podem resultar num desempenho fraco. Prefira bibliotecas mais pequenas e funcionalmente equivalentes para reduzir o tamanho do pacote. [Saiba mais](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 biblioteca grande encontrada}other{# bibliotecas grandes encontradas}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Substitua bibliotecas JavaScript desnecessariamente grandes"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evita bibliotecas JavaScript grandes com alternativas mais pequenas"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Este é o elemento de maior preenchimento com conteúdo na área visível. [Saiba mais](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elemento de Maior preenchimento com conteúdo"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribuição do CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Estes elementos DOM são os que mais contribuem para o CLS da página."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Evite mudanças de esquemas grandes"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Lista as tarefas mais longas na thread principal, o que é útil para identificar o que mais contribui para o atraso de entrada. [Saiba mais](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# tarefa longa encontrada}other{# tarefas longas encontradas}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evite tarefas longas na thread principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categoria"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Considere reduzir o tempo despendido a analisar, compilar e executar JS. Poderá descobrir que é útil fornecer payloads de JS mais pequenos. [Saiba mais](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Reduzir as operações do thread principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{
message:"Reduz as operações do thread principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Para alcançar o maior número possível de utilizadores, os sites devem funcionar em todos os navegadores principais. [Saiba mais](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"O site funciona em vários navegadores"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Certifique-se de que as páginas individuais têm links diretos através de URLs e que os URLs são exclusivos para a finalidade de serem partilhados em redes sociais. [Saiba mais](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Cada página tem um URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"As transições devem parecer rápidas à medida em que toca em qualquer local, mesmo numa rede lenta. Esta experiência é essencial para a perceção do desempenho de um utilizador. [Saiba mais](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"As transições da página não parecem ficar bloqueadas na rede"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Um ícone mascarável garante que a imagem preenche toda a forma sem sofrer o efeito letterbox quando instala a app num dispositivo. [Saber mais](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"O manifesto não tem um ícone mascarável"},"lighthouse-core/audits/maskable-icon.js | title":{message:"O manifesto tem um ícone mascarável"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"A Mudança de esquema cumulativo mede o movimento dos elementos visíveis na área visível. [Saber mais](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"O Primeiro preenchimento com conteúdo assinala o momento de preenchimento com o primeiro texto ou a primeira imagem. [Saiba mais](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"A métrica Primeiro preenchimento significativo mede quando é que o conteúdo principal de uma página fica visível. [Saiba mais](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"O Tempo até à interação é a quantidade de tempo que a página demora a ficar totalmente interativa. [Saiba mais](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"A métrica Maior preenchimento com conteúdo assinala o momento de preenchimento com o maior texto ou a maior imagem. [Saiba mais](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"O máximo potencial do primeiro atraso de entrada que pode afetar os utilizadores é a duração da tarefa mais longa. [Saber mais](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"A métrica Índice de velocidade apresenta a rapidez de preenchimento visível dos conteúdos de uma página. [Saiba mais](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"A soma de todos os períodos de tempo entre o FCP e o Tempo até à interação, quando a duração da tarefa é superior a 50 ms, expressa em milissegundos. [Saber mais](https://web.dev/lighthouse-total-blocking-time/)"},
"lighthouse-core/audits/network-rtt.js | description":{message:"Os tempos de ida e volta da rede (RTT) têm um grande impacto no desempenho. Se o RTT para uma origem for elevado, é uma indicação de que os servidores mais próximos do utilizador podem melhorar o desempenho. [Saiba mais](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Tempos de ida e volta da rede"},"lighthouse-core/audits/network-server-latency.js | description":{message:"As latências do servidor podem afetar o desempenho Web. Se a latência do servidor de uma origem for elevada, é uma indicação de que o servidor está sobrecarregado ou tem um fraco desempenho de back-end. [Saiba mais](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latências de back-end do servidor"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"O evento `unload` não é acionado de forma fiável e detetá-lo pode impedir otimizações do navegador como a cache para a frente/para trás. Em alternativa, considere a utilização dos eventos `pagehide` ou `visibilitychange`. [Saiba mais](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Regista um ouvinte `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Evita ouvintes de eventos `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"As animações que não são compostas podem ser de má qualidade e aumentar o CLS. [Saiba mais](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# elemento animado encontrado}other{# elementos animados encontrados}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"A propriedade relacionada com o filtro pode mover píxeis"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"O destino tem outra animação incompatível"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'O efeito tem um modo composto diferente de "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Evite animações não compostas"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"A propriedade relacionada com a transformação depende do tamanho da caixa"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Propriedade CSS não suportada: {properties}}other{Propriedades CSS não suportadas: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{
message:"O efeito tem parâmetros de tempo não suportados"},"lighthouse-core/audits/performance-budget.js | description":{message:"Mantenha a quantidade e o tamanho dos pedidos de rede abaixo dos alvos estabelecidos pelo orçamento de desempenho fornecido. [Saiba mais](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 pedido}other{# pedidos}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Orçamento de desempenho"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Faça o pré-carregamento dos tipos de letra `optional` para que os novos visitantes os possam utilizar. [Saiba mais](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Os tipos de letra com `font-display: optional` não foram pré-carregados"},"lighthouse-core/audits/preload-fonts.js | title":{
message:"Os tipos de letra com `font-display: optional` foram pré-carregados"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Pré-carregue a imagem utilizada pelo elemento de LCP para melhorar o seu tempo de LCP. [Saiba mais](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Pré-carregue a imagem de Maior preenchimento com conteúdo"},"lighthouse-core/audits/redirects-http.js | description":{message:"Se já tiver configurado o HTTPS, certifique-se de que redireciona todo o tráfego HTTP para HTTPS de modo a ativar as funcionalidades Web seguras para todos os seus utilizadores. [Saiba mais](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Não redireciona o tráfego HTTP para HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redireciona o tráfego HTTP para HTTPS"},"lighthouse-core/audits/redirects.js | description":{
message:"A auditoria Redirecionamentos introduz atrasos adicionais antes do carregamento da página. [Saiba mais](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Evite vários redirecionamentos de página"},"lighthouse-core/audits/resource-summary.js | description":{message:"Adicione um ficheiro budget.json para definir orçamentos para a quantidade e tamanho dos recursos da página. [Saiba mais](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 pedido • {byteCount, number, bytes} KiB}other{# pedidos • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Mantenha a contagem dos pedidos baixa e os tamanhos de transferência pequenos"},"lighthouse-core/audits/seo/canonical.js | description":{
message:"Os links canónicos sugerem o URL a apresentar nos resultados da pesquisa. [Saiba mais](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Vários URLs em conflito ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Aponta para um domínio diferente ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL inválido ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Aponta para outra localização `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relativo ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Aponta para o URL raiz do domínio (a página inicial), em vez de uma página de conteúdo equivalente."},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"O documento não tem um `rel=canonical` válido"},
"lighthouse-core/audits/seo/canonical.js | title":{message:"O documento tem um `rel=canonical` válido"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"O link não pode ser rastreado"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Os motores de pesquisa podem utilizar atributos `href` em links para rastrear Websites. Certifique-se de que o atributo `href` de elementos de âncora estabelece ligação a um destino adequado, para que possam ser descobertas mais páginas do site. [Saiba mais](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Os links não podem ser rastreados"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Os links podem ser rastreados"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Texto ilegível adicional"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{
message:"Tamanho do tipo de letra"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% do texto da página"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Seletor"},"lighthouse-core/audits/seo/font-size.js | description":{message:'Os tamanhos de tipo de letra inferiores a 12 px são demasiado pequenos para serem legíveis e requerem que os visitantes de dispositivos móveis "juntem os dedos para aumentar o zoom” para conseguirem ler. Tente ter > 60% de texto da página ≥ 12 px. [Saiba mais](https://web.dev/font-size/).'},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} de texto legível"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"O texto é ilegível porque não existe nenhuma metatag de área visível otimizada para ecrãs de dispositivos móveis."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{
message:"O documento não utiliza tamanhos de tipo de letra legíveis"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Texto legível"},"lighthouse-core/audits/seo/font-size.js | title":{message:"O documento utiliza tamanhos de tipo de letra legíveis"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Os links hreflang indicam aos motores de pesquisa a versão de uma página que devem apresentar nos resultados da pesquisa para um determinado idioma ou região. [Saiba mais](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"O documento não tem um `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valor href relativo"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"O documento tem um `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Código de idioma inesperado"},
"lighthouse-core/audits/seo/http-status-code.js | description":{message:"As páginas com códigos de estado HTTP não executados com êxito podem não ser indexadas corretamente. [Saiba mais](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"A página tem código de estado HTTP não executado com êxito"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"A página tem código de estado HTTP executado com êxito"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Os motores de pesquisa não podem incluir as suas páginas nos resultados da pesquisa se não tiverem autorização para as rastrear. [Saiba mais](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"A página está impedida de ser indexada"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"A página não está impedida de ser indexada"},
"lighthouse-core/audits/seo/link-text.js | description":{message:"O texto descritivo dos links ajuda os motores de pesquisa a compreender o conteúdo. [Saiba mais](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link encontrado}other{# links encontrados}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Os links não têm texto descritivo"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Os links têm texto descritivo"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Execute a [Ferramenta de teste de dados estruturados](https://search.google.com/structured-data/testing-tool/) e o [Linter de dados estruturados](http://linter.structured-data.org/) para validar dados estruturados. [Saiba mais](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Os dados estruturados são válidos"},
"lighthouse-core/audits/seo/meta-description.js | description":{message:"As meta descrições podem ser incluídas nos resultados da pesquisa para resumir concisamente o conteúdo da página. [Saiba mais](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"O texto da descrição está vazio."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"O documento não tem uma meta descrição"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"O documento tem uma meta descrição"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Não é possível aos motores de pesquisa indexar o conteúdo de plug-ins e muitos dispositivos restringem plug-ins ou não os suportam. [Saiba mais](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"O documento utiliza plug-ins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"O documento evita plug-ins"},
"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Se o ficheiro robots.txt estiver mal formado, os motores de rastreio podem não conseguir compreender como pretende que o seu Website seja rastreado ou indexado. [Saiba mais](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"O pedido de robots.txt devolveu o seguinte estado de HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 erro encontrado}other{# erros encontrados}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"O Lighthouse não conseguiu transferir um ficheiro robots.txt."},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"O ficheiro robots.txt não é válido"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"O ficheiro robots.txt é válido"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Os elementos interativos, como botões e links, devem ser suficientemente grandes (48 x 48 px) e ter espaço suficiente à volta para serem fáceis de tocar sem que se sobreponham a outros elementos. [Saiba mais](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"Os alvos táteis foram dimensionados corretamente com um tamanho de {decimalProportion, number, percent}"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Os alvos táteis são demasiado pequenos porque não existe nenhuma metatag de área visível otimizada para ecrãs de dispositivos móveis."},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Os alvos táteis não estão dimensionados corretamente"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Alvo sobreposto"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Alvo tátil"},
"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Os alvos táteis estão dimensionados corretamente"},"lighthouse-core/audits/server-response-time.js | description":{message:"Mantenha o tempo de resposta do servidor para o documento principal curto porque todos os outros pedidos dependem do mesmo. [Saiba mais](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"O documento de raiz demorou {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reduza o tempo de resposta do servidor inicial"},"lighthouse-core/audits/server-response-time.js | title":{message:"O tempo de resposta do servidor inicial foi curto"},"lighthouse-core/audits/service-worker.js | description":{
message:"O service worker é a tecnologia que permite que a sua aplicação utilize muitas funcionalidades de app web progressiva, tais como offline, adicionar ao ecrã principal e envios de notificações. [Saiba mais](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Esta página é controlada por um service worker, no entanto, não foi encontrado nenhum `start_url` porque o manifesto falhou ao analisar como um JSON válido."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Esta página é controlada por um service worker, no entanto, o `start_url` ({startUrl}) não está no âmbito do service worker ({scopeUrl})."},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Esta página é controlada por um service worker, no entanto, não foi encontrado nenhum `start_url` porque não foi obtido nenhum manifesto."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{
message:"Esta origem tem um ou mais service workers, no entanto, a página ({pageUrl}) não está no âmbito."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Não regista um service worker que controla a página e `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Regista um service worker que controla a página e `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Um ecrã inicial temático garante uma experiência de alta qualidade quando os utilizadores iniciam a aplicação a partir dos respetivos ecrãs principais. [Saiba mais](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Não está configurado para um ecrã inicial personalizado"},"lighthouse-core/audits/splash-screen.js | title":{message:"Configurado para um ecrã inicial personalizado"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"A barra de endereço do navegador pode ter um tema que corresponda ao seu site. [Saiba mais](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Não define uma cor do tema para a barra de endereço."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Define uma cor do tema para a barra de endereço"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (êxito para os clientes)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (social)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (vídeo)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produto"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Algumas incorporações de terceiros podem ser carregadas em diferido. Considere a sua substituição por uma fachada até serem necessárias. [Saiba mais](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# fachada alternativa disponível}other{# fachadas alternativas disponíveis}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Alguns recursos de terceiros podem ser carregados em diferido com uma fachada"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Recursos de carregamento em diferido de terceiros com fachadas"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Terceiros"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"O código de terceiros pode afetar significativamente o desempenho de carregamento. Limite o número de fornecedores terceiros redundantes e tente carregar o código de terceiros após a conclusão do carregamento da sua página. [Saiba mais](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"O código de terceiros bloqueou o thread principal durante {timeInMs, number, milliseconds} ms."},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduza o impacto do código de terceiros"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimize a utilização de terceiros"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Medição"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Métrica"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Defina um orçamento de tempo para controlar o desempenho do seu site. Os sites com bom desempenho são carregados rapidamente e respondem aos eventos de entrada do utilizador com brevidade. [Saber mais](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Orçamento de tempo"},"lighthouse-core/audits/unsized-images.js | description":{message:"Defina uma largura e uma altura explícitas nos elementos de imagem para reduzir mudanças de esquema e melhorar o CLS. [Saiba mais](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Os elementos de imagem não têm `width` e `height` explícitas."},"lighthouse-core/audits/unsized-images.js | title":{message:"Os elementos de imagem têm `width` e `height` explícitas"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tipo"},"lighthouse-core/audits/user-timings.js | description":{
message:"Pondere a possibilidade de complementar a sua aplicação com a API Tempos do utilizador para analisar o desempenho real da aplicação durante as principais experiências do utilizador. [Saiba mais](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 tempo do utilizador}other{# tempos do utilizador}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Marcas e medições de Tempos do utilizador"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Foi encontrado um atributo `<link rel=preconnect>` para "{securityOrigin}", mas este não foi utilizado pelo navegador. Confirme se está a utilizar o atributo `crossorigin` adequadamente.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Considere adicionar instruções para recursos de `preconnect` ou `dns-prefetch` para estabelecer ligações antecipadamente a origens de terceiros importantes. [Saiba mais](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Efetue a pré-ligação às origens necessárias"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Foram encontradas mais de 2 ligações `<link rel=preconnect>`. Estas ligações devem ser utilizadas com moderação e apenas para as origens mais importantes."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Foi encontrado um atributo `<link rel=preconnect>` para "{securityOrigin}", mas este não foi utilizado pelo navegador. Apenas utilize o atributo `preconnect` para origens importantes que a página irá certamente solicitar.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:'Foi encontrado um atributo `<link>` de pré-carregamento para "{preloadURL}", mas este não foi utilizado pelo navegador. Confirme se está a utilizar o atributo `crossorigin` adequadamente.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Considere utilizar `<link rel=preload>` para dar prioridade à obtenção de recursos que são atualmente solicitados mais tarde no carregamento de página. [Saiba mais](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Pré-carregue pedidos-chave"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL do mapa"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Os mapas de origem convertem o código reduzido no código-fonte original. Isto ajuda os programadores a depurar durante a produção. Além disso, o Lighthouse pode fornecer mais informações. Considere implementar mapas de origem para tirar partido destas vantagens. [Saiba mais](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Mapas de origem em falta para JavaScript original grande"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Mapa de origem em falta em ficheiro JavaScript grande"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Aviso: 1 item em falta em `.sourcesContent`}other{Aviso: # itens em falta em `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"A página possui mapas de origem válidos"},
"lighthouse-core/audits/viewport.js | description":{message:'Adicione uma etiqueta `<meta name="viewport">` para otimizar a sua aplicação para ecrãs de dispositivos móveis. [Saiba mais](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nenhuma etiqueta `<meta name="viewport">` encontrada.'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Não tem uma etiqueta `<meta name="viewport">` com `width` ou `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Tem uma etiqueta `<meta name="viewport">` com `width` ou `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Estas são oportunidades para otimizar a utilização do ARIA na sua aplicação, que pode melhorar a experiência dos utilizadores de tecnologias de assistência, como os de leitores de ecrã."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},
"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Estas são oportunidades para fornecer conteúdo alternativo para áudio e vídeo. Pode melhorar a experiência dos utilizadores com deficiências auditivas ou visuais."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Áudio e vídeo"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Estes itens realçam as práticas recomendadas de acessibilidade comuns."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Práticas recomendadas"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Estas verificações realçam as oportunidades de [melhorar a acessibilidade da sua app Web](https://developers.google.com/web/fundamentals/accessibility). Apenas um subconjunto de problemas de acessibilidade pode ser detetado automaticamente, pelo que é recomendado efetuar também testes manuais."},
"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Estes itens destinam-se a áreas não abrangidas por uma ferramenta de teste automatizada. Saiba mais no nosso guia sobre como [efetuar uma revisão de acessibilidade](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Acessibilidade"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Estas são oportunidades para melhorar a legibilidade do seu conteúdo."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contraste"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Estas são oportunidades para melhorar a interpretação do seu conteúdo por parte dos utilizadores em locais diferentes."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalização e localização"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Estas são oportunidades para melhorar a semântica dos controlos na sua aplicação. Desta forma, poderá melhorar a experiência dos utilizadores de tecnologia de assistência, como os de leitores de ecrã."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nomes e etiquetas"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Estas são oportunidades para melhorar a navegação do teclado na sua aplicação."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navegação"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Estas são oportunidades para melhorar a experiência de leitura de dados em tabelas ou listas com tecnologia de assistência, como os leitores de ecrã."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabelas e listas"},
"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilidade de navegadores"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Práticas recomendadas"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Geral"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Confiança e segurança"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Experiência do utilizador"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Os orçamentos de desempenho definem padrões para o desempenho do seu site."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Orçamentos"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{
message:"Mais informações sobre o desempenho da sua aplicação. Estes números não [afetam diretamente](https://web.dev/performance-scoring/) a pontuação de desempenho."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnósticos"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"O aspeto mais importante do desempenho é a rapidez de renderização dos píxeis no ecrã. Métricas principais: Primeiro preenchimento com conteúdo, Primeiro preenchimento significativo."},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Melhorias no primeiro preenchimento"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Estas sugestões podem ajudar a sua página a ser carregada mais rapidamente. As mesmas não [afetam diretamente](https://web.dev/performance-scoring/) a pontuação de desempenho."},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Oportunidades"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Métricas"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Melhore a experiência de carregamento geral para que a página responda e fique pronta a utilizar logo que possível. Métricas principais: Tempo até à interação, Índice de velocidade."},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Melhorias gerais"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Desempenho"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Estas verificações validam os aspetos de uma app web progressiva. [Saiba mais](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"A [Lista de verificação de PWA](https://developers.google.com/web/progressive-web-apps/checklist) de referência requer estas verificações, mas as mesmas não são verificadas automaticamente pelo Lighthouse. Não afetam a sua pontuação, mas é importante que as valide manualmente."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive web app"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Instalável"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA otimizada"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Estas verificações asseguram que a página está otimizada para a classificação de resultados dos motores de pesquisa. Existem fatores adicionais, que o Lighthouse não verifica, que podem afetar a classificação de pesquisa. [Saiba mais](https://support.google.com/webmasters/answer/35769)."},
"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Execute estes verificadores adicionais no seu site para consultar mais práticas recomendadas de SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formate o HTML de uma forma que permita aos motores de rastreio compreender melhor o conteúdo da aplicação."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Práticas recomendadas para conteúdo"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Para ser apresentada nos resultados da pesquisa, os motores de rastreio necessitam de acesso à sua aplicação."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Rastreio e indexação"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Certifique-se de que as suas páginas são compatíveis com dispositivos móveis, de modo a que os utilizadores não tenham de juntar os dedos ou aumentar o zoom para lerem as páginas de conteúdo. [Saiba mais](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Compatível com dispositivos móveis"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"O dispositivo testado parece ter uma CPU mais lenta do que o Lighthouse esperava. Isto pode prejudicar a sua pontuação de desempenho. Saiba mais sobre como [calibrar um multiplicador de abrandamento da CPU adequado](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{
message:"A página pode não estar a ser carregada conforme o esperado porque o seu URL de teste ({requested}) foi redirecionado para {final}. Experimente testar o segundo URL diretamente."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"A página foi carregada demasiado lentamente para terminar dentro do limite de tempo. Os resultados podem estar incompletos."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{Podem existir dados armazenados que estão a afetar o desempenho do carregamento nesta localização: {locations}. Audite esta página numa janela de navegação anónima para impedir esses recursos de afetarem as suas pontuações.}other{Podem existir dados armazenados que estão a afetar o desempenho do carregamento nestas localizações: {locations}. Audite esta página numa janela de navegação anónima para impedir esses recursos de afetarem as suas pontuações.}}"},
"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Considere adicionar esquemas de URL https: e http: (ignorados por navegadores que suportam "strict-dynamic") para serem retrocompatíveis com navegadores mais antigos.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"A diretiva disown-opener foi descontinuada desde a CSP3. Em alternativa, utilize o cabeçalho Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"A diretiva referrer foi descontinuada desde a CSP2. Em alternativa, utilize o cabeçalho Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"A diretiva reflected-xss foi descontinuada desde a CSP2. Em alternativa, utilize o cabeçalho X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:'A diretiva base-uri em falta permite que as etiquetas <base> injetadas definam o URL de base para todos os URLs relativos (por exemplo, scripts) como um domínio controlado por um atacante. Considere definir base-uri como "none" ou "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Os elementos controlados por object-src são considerados funcionalidades antigas. Considere definir object-src como "none" para evitar a injeção de plug-ins que executam scripts inseguros.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"A diretiva script-src está em falta. Isto pode permitir a execução de scripts inseguros."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Esqueceu-se do ponto e vírgula? {keyword} parece ser uma diretiva e não uma palavra-chave."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Os nonces devem utilizar o charset base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{
message:"Os nonces devem ter, pelo menos, 8 carateres."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"O destino de relatórios só é configurado através da diretiva report-to. Esta diretiva só é suportada em navegadores baseados no Chromium, pelo que se recomenda também a utilização de uma diretiva report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Nenhuma CSP configura um destino de relatórios. Isto dificulta a manutenção da CSP ao longo do tempo e a monitorização de quaisquer quebras."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'As listas de autorizações de anfitrião podem ser frequentemente ignoradas. Considere utilizar "strict-dynamic" em combinação com nonces ou hashes CSP.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Diretiva CSP desconhecida."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} parece ser uma palavra-chave inválida."},
"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'A diretiva "unsafe-inline" permite a execução de scripts inseguros na página e de controladores de eventos. Considere utilizar nonces ou hashes CSP para permitir scripts individualmente.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:'Considere adicionar "unsafe-inline" (ignorado por navegadores que suportam nonces/hashes) para ser retrocompatível com navegadores mais antigos.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tempo de bloqueio do thread principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL da cache"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descrição"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duração"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemento"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementos reprovados"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Localização"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nome"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Superior ao orçamento"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Pedidos"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Tamanho do recurso"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tipo de recurso"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Tamanho"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Fonte"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Hora de início"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Tempo gasto"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Tamanho da transferência"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{
message:"Poupança potencial"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Poupança potencial"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Poupança potencial de {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 elemento encontrado}other{# elementos encontrados}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Poupança potencial de {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Documento"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Primeiro preenchimento significativo"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Tipo de letra"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Imagem"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Alto"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Baixo"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Médio"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Máximo potencial de primeiro atraso de entrada"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Multimédia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Outro"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Outros recursos"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Folha de estilos"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Terceiros"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Ocorreu um erro ao registar o rastreio durante o carregamento da sua página. Volte a executar o Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Atingido o tempo limite de espera pela ligação inicial do protocolo do depurador."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"O Chrome não recolheu quaisquer capturas de ecrã durante o carregamento da página. Certifique-se de que existe conteúdo visível na página e, em seguida, experimente executar novamente o Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Os servidores DNS não conseguiram resolver o domínio fornecido."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"O coletor {artifactName} obrigatório encontrou o seguinte erro: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Ocorreu um erro interno do Chrome. Reinicie o Chrome e experimente executar novamente o Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"O coletor {artifactName} obrigatório não foi executado."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"A página não preencheu nenhum conteúdo. Certifique-se de que mantém a janela do navegador em primeiro plano durante o carregamento e tente novamente. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"A página fornecida não é HTML (publicada como tipo MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Esta versão do Chrome é demasiado antiga para suportar "{featureName}". Utilize uma versão mais recente para ver os resultados completos.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"O Lighthouse não conseguiu carregar com fiabilidade a página que solicitou. Certifique-se de que está a testar o URL correto e que o servidor está a responder adequadamente a todos os pedidos."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"O Lighthouse não conseguiu carregar com fiabilidade o URL que solicitou porque a página deixou de responder."},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"O URL que forneceu não tem um certificado de segurança válido. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"O Chrome impediu o carregamento da página com um anúncio intercalar. Certifique-se de que está a testar o URL correto e que o servidor está a responder adequadamente a todos os pedidos."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"O Lighthouse não conseguiu carregar com fiabilidade a página que solicitou. Certifique-se de que está a testar o URL correto e que o servidor está a responder adequadamente a todos os pedidos. (Detalhes: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"O Lighthouse não conseguiu carregar com fiabilidade a página que solicitou. Certifique-se de que está a testar o URL correto e que o servidor está a responder adequadamente a todos os pedidos. (Código de estado: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"A sua página demorou demasiado tempo a ser carregada. Siga as oportunidades no relatório para reduzir o tempo de carregamento da página e, em seguida, experimente executar novamente o Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"A espera pela resposta do protocolo DevTools excedeu o tempo atribuído. (Método: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"A obtenção de conteúdo de recursos excedeu o tempo atribuído."},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"O URL que forneceu parece ser inválido."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tudo"},
"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Todos os scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Cobertura"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Módulos duplicados"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bytes de recursos"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nome"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Ativar/desativar tabela"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Bytes não utilizados"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Para conteúdo animado, utilize [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) para minimizar a utilização da CPU quando o conteúdo não está visível."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Considere apresentar todos os seus componentes [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) em formatos WebP, especificando, ao mesmo tempo, uma alternativa apropriada para outros navegadores. [Saiba mais](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Certifique-se de que está a utilizar [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) para que as imagens efetuem o carregamento em diferido automaticamente. [Saiba mais](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Utilize ferramentas como o [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) para [renderizar esquemas AMP do lado do servidor](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consulte a [documentação de AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) para garantir que todos os estilos são suportados."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"O componente [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) suporta o atributo [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) para especificar os recursos de imagem a utilizar com base no tamanho do ecrã. [Saiba mais](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Considere o deslocamento virtual com o Component Dev Kit (CDK) se estiverem a ser renderizadas listas muito grandes. [Saiba mais](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Aplique a [divisão de código ao nível do encaminhamento](https://web.dev/route-level-code-splitting-in-angular/) para minimizar o tamanho dos seus pacotes de JavaScript. Considere também a pré-colocação de recursos em cache com o [service worker do Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Se estiver a utilizar a Angular CLI, assegure-se de que as compilações são geradas em modo de produção. [Saiba mais](https://angular.io/guide/deployment#enable-runtime-production-mode)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Se estiver a utilizar a CLI do Angular, inclua mapas de origem na compilação de produção para inspecionar os seus pacotes. [Saiba mais](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Pré-carregue antecipadamente os encaminhamentos para acelerar a navegação. [Saiba mais](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Considere utilizar o utilitário `BreakpointObserver` no Component Dev Kit (CDK) para gerir breakpoints de imagem. [Saiba mais](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Considere carregar o GIF para um serviço que o disponibilizará para incorporação como vídeo HTML5."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Especifique `@font-display` quando definir tipos de letra personalizados no seu tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Considere instalar e configurar [um módulo para potenciar os formatos de imagem WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) no seu site. Esses módulos geram automaticamente uma versão WebP das imagens carregadas para otimizar os tempos de carregamento."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Instale [um módulo do Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) capaz de efetuar o carregamento em diferido de imagens. Esses módulos permitem adiar o carregamento de quaisquer imagens não apresentadas no ecrã para melhorar o desempenho."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Considere utilizar um módulo para colocar CSS e JavaScript crítico inline ou potencialmente carregar recursos de forma assíncrona através de JavaScript, como o módulo [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Tenha em atenção que as otimizações oferecidas por este módulo podem causar erros no seu site, pelo que poderá ser necessário efetuar alterações ao código."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"As especificações dos temas, módulos e servidor, no seu conjunto, contribuem para o tempo de resposta do servidor. Considere procurar um tema mais otimizado, selecionar cuidadosamente um módulo de otimização e/ou atualizar o servidor. Os seus servidores de alojamento devem utilizar a colocação em cache de código de operação PHP ao colocá-lo na cache da memória para reduzir os tempos de consulta das bases de dados, em sistemas como o Redis ou o Memcached, bem como a lógica de aplicação otimizada para preparar páginas mais rapidamente."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Considere utilizar [estilos de imagens adaptáveis](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) para reduzir o tamanho das imagens carregadas na sua página. Se estiver a utilizar vistas para apresentar vários itens de conteúdo numa página, considere implementar a paginação para limitar o número de itens de conteúdo apresentados numa determinada página."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Certifique-se de que tem a opção "Agregar ficheiros CSS" na página "Administração » Configuração » Programação". Também pode configurar opções de agregação mais avançadas através dos [módulos adicionais](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) para acelerar o seu site ao concatenar, reduzir e comprimir os seus estilos de CSS.'},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:'Certifique-se de que ativou a opção "Agregar ficheiros JavaScript" na página "Administração » Configuração » Programação". Também pode configurar opções de agregação mais avançadas através dos [módulos adicionais](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) para acelerar o seu site ao concatenar, reduzir e comprimir os seus recursos de JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Considere remover regras de CSS não utilizadas e anexe apenas as bibliotecas do Drupal necessárias à página relevante ou a um componente numa página. Consulte o [link da documentação do Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para obter detalhes. Para identificar bibliotecas anexadas que estejam a adicionar CSS não reconhecido, experimente executar a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas DevTools do Chrome. Pode identificar o tema/módulo responsável a partir do URL da folha de estilos quando a agregação de CSS estiver desativada no seu site do Drupal. Preste atenção a temas/módulos que tenham muitas folhas de estilo na lista com muito vermelho na cobertura do código. Um tema/módulo só deve ter uma folha de estilos na fila de espera se esta for efetivamente utilizada na página."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Considere remover recursos de JavaScript não utilizados e anexe apenas as bibliotecas do Drupal necessárias à página relevante ou a um componente numa página. Consulte o [link da documentação do Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para obter detalhes. Para identificar bibliotecas anexadas que estejam a adicionar JavaScript não reconhecido, experimente executar a [utilização de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas DevTools do Chrome. Pode identificar o tema/módulo responsável a partir do URL do script quando a agregação de JavaScript estiver desativada no seu site do Drupal. Preste atenção a temas/módulos que tenham muitos scripts na lista com muito vermelho na utilização de código. Um tema/módulo só deve ter um script na fila de espera se este for efetivamente utilizado na página."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Defina a opção "Duração máxima da cache do navegador e do proxy" na página "Administração » Configuração » Programação". Leia sobre a [cache do Drupal e a otimização do desempenho](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Considere utilizar [um módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) que otimize e reduza automaticamente o tamanho das imagens carregadas em todo o site e que mantenha a qualidade das mesmas. Certifique-se também de que está a utilizar os [estilos de imagens adaptáveis](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) nativos fornecidos pelo Drupal (disponíveis no Drupal 8 e superior) para todas as imagens renderizadas no site."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"É possível adicionar instruções para recursos de pré-ligação ou obtenção prévia de DNS ao instalar e configurar [um módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) que forneça estruturas para instruções de recursos de agente do utilizador."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Certifique-se de que está a utilizar os [estilos de imagens adaptáveis](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) nativos fornecidos pelo Drupal (disponíveis no Drupal 8 e superior). Utilize os estilos de imagens adaptáveis quando renderizar campos de imagens através de modos de visualização, vistas ou imagens carregadas através do editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Considere carregar o GIF para um serviço que o disponibilizará para incorporação como vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Considere utilizar um [plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ou um serviço que converta automaticamente as imagens carregadas nos formatos ideais."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instale um [plug-in do Joomla de carregamento em diferido](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) com capacidade para adiar imagens não visíveis ou mudar para um modelo com essa funcionalidade. A partir do Joomla 4.0, todas as imagens novas receberão [automaticamente](https://github.com/joomla/joomla-cms/pull/30748) o atributo `loading` do núcleo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Há vários plug-ins do Joomla que podem ajudar a [colocar recursos críticos inline](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ou [adiar recursos menos importantes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Tenha em atenção que as otimizações oferecidas por estes plug-ins podem afetar funcionalidades dos seus modelos ou plug-ins, pelo que poderá ser necessário efetuar testes rigorosos."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"As especificações dos modelos, extensões e servidor, no seu conjunto, contribuem para o tempo de resposta do servidor. Considere procurar um modelo mais otimizado, selecionar cuidadosamente uma extensão de otimização e/ou atualizar o servidor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Considere mostrar excertos nas suas categorias de artigos (por exemplo, através do link para ler mais), reduzir o número de artigos apresentados numa determinada página, dividir as publicações longas em várias páginas ou utilizar um plug-in para efetuar o carregamento em diferido de comentários."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Várias [extensões do Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) podem acelerar o seu site ao concatenar, reduzir e comprimir os seus estilos de CSS. Também existem modelos que oferecem esta funcionalidade."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Várias [extensões do Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) podem acelerar o seu site ao concatenar, reduzir e comprimir os seus scripts. Também existem modelos que oferecem esta funcionalidade."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Considere reduzir ou mudar o número de [extensões do Joomla](https://extensions.joomla.org/) que carregam CSS não utilizado na sua página. Para identificar extensões que estejam a adicionar CSS não reconhecido, experimente executar a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas DevTools do Chrome. Pode identificar o tema/plug-in responsável a partir do URL da folha de estilos. Preste atenção a plug-ins que tenham muitas folhas de estilo na lista com muito vermelho na cobertura do código. Um plug-in só deve ter uma folha de estilos na fila de espera se esta for realmente utilizada na página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Considere reduzir ou mudar o número de [extensões do Joomla](https://extensions.joomla.org/) que carregam JavaScript não utilizado na sua página. Para identificar plug-ins que estejam a adicionar JS não reconhecido, experimente executar a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas DevTools do Chrome. Pode identificar a extensão responsável a partir do URL do script. Preste atenção a extensões que tenham muitos scripts na lista com muito vermelho na cobertura do código. Uma extensão só deve ter um script na fila de espera se este for efetivamente utilizado na página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Leia sobre a [Colocação na cache do navegador no Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Considere utilizar um [plug-in de otimização da imagem](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) que comprima as imagens, ao mesmo tempo que mantém a qualidade."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Considere utilizar um [plug-in de imagens adaptáveis](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) para utilizar imagens adaptáveis no seu conteúdo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Pode ativar a compressão de texto ao ativar Compressão de página Gzip no Joomla (Sistema > Configuração global > Servidor)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Se não estiver a agrupar os seus recursos de JavaScript, considere utilizar o [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Desative o [agrupamento e redução de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrados do Magento e, em alternativa, considere utilizar o [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Especifique `@font-display` quando [definir tipos de letra personalizados](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Considere pesquisar o [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) a fim de obter diversas extensões de terceiros para tirar partido de formatos de imagem mais recentes."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Considere modificar os seus modelos de produto e catálogo para tirar partido da funcionalidade de [carregamento em diferido](https://web.dev/native-lazy-loading) da plataforma Web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Utilize a [integração com o Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) do Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Ative a opção "Reduzir ficheiros CSS" nas Definições do programador da sua loja. [Saiba mais](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Utilize o [Terser](https://www.npmjs.com/package/terser) para reduzir todos os recursos de JavaScript provenientes da implementação de conteúdo estático e desativar a funcionalidade de redução integrada."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Desative o [agrupamento de JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrado do Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Considere pesquisar o [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) a fim de obter diversas extensões de terceiros para otimizar imagens."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"É possível adicionar instruções para recursos de pré-ligação ou de obtenção prévia de DNS ao [modificar o esquema de um tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"É possível adicionar etiquetas `<link rel=preload>` ao [modificar o esquema de um tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Substitua GIFs animados por vídeo](https://web.dev/replace-gifs-with-videos/) para obter carregamentos de páginas Web mais rápidos e considere a utilização de formatos de ficheiro modernos, tais como [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ou [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), para melhorar a eficiência de compressão em mais de 30% em relação ao atual codec de vídeo de última geração, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Considere utilizar um [plug-in](https://octobercms.com/plugins?search=image) ou serviço que converta automaticamente as imagens carregadas nos formatos ideais. As [imagens WebP sem perdas](https://developers.google.com/speed/webp) são 26% mais pequenas em termos de tamanho do que as imagens PNG e 25 a 34% mais pequenas do que as imagens JPEG comparáveis em termos de índice de qualidade SSIM equivalente. Outro formato de imagem de última geração a considerar é o [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Considere a instalação de um [plug-in de carregamento em diferido de imagens](https://octobercms.com/plugins?search=lazy) com capacidade para adiar imagens não visíveis ou mudar para um tema com essa funcionalidade. Considere ainda a utilização do [plug-in de AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Existem vários plug-ins que ajudam a [colocar recursos críticos inline](https://octobercms.com/plugins?search=css). Estes plug-ins podem afetar outros plug-ins, pelo que deve efetuar testes rigorosos."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"As especificações dos temas, dos plug-ins e do servidor, no seu conjunto, contribuem para o tempo de resposta do servidor. Considere localizar um tema mais otimizado, ao selecionar cuidadosamente um plug-in de otimização e/ou atualizar o servidor. O CMS de outubro também permite que os programadores utilizem [`Queues`](https://octobercms.com/docs/services/queues) para adiar o processamento de uma tarefa morosa, como o envio de um email. Isto acelera drasticamente os pedidos Web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Considere mostrar excertos nas listas de publicação (por exemplo, através de um botão `show more`), reduzir o número de publicações apresentadas numa determinada página Web, dividir as publicações extensas em várias páginas Web ou utilizar um plug-in para efetuar o carregamento em diferido de comentários."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Existem muitos [plug-ins](https://octobercms.com/plugins?search=css) que podem acelerar um Website ao concatenar, reduzir e comprimir os estilos. A utilização de um processo de compilação para proceder previamente à redução pode acelerar o desenvolvimento."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Existem muitos [plug-ins](https://octobercms.com/plugins?search=javascript) que podem acelerar um Website ao concatenar, reduzir e comprimir os scripts. A utilização de um processo de compilação para proceder previamente à redução pode acelerar o desenvolvimento."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Considere rever os [plug-ins](https://octobercms.com/plugins) que carregam CSS não utilizado no Website. Para identificar plug-ins que adicionam CSS não necessário, execute a [utilização de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas Chrome DevTools. Identifique o tema/plug-in responsável a partir do URL da folha de estilos. Procure plug-ins que tenham muitas folhas de estilos com muito vermelho na utilização de código. Um plug-in só deve adicionar uma folha de estilos se esta for efetivamente utilizada na página Web."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Considere rever os [plug-ins](https://octobercms.com/plugins?search=javascript) que carregam JavaScript não utilizado na página Web. Para identificar plug-ins que adicionam JavaScript não necessário, execute a [utilização de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas Chrome DevTools. Identifique o tema/plug-in responsável no URL do script. Procure plug-ins que tenham muitos scripts com muito vermelho na utilização de código. Um plug-in só deve adicionar um script se este for efetivamente utilizado na página Web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Leia sobre como [impedir pedidos de rede desnecessários com cache HTTP](https://web.dev/http-cache/#caching-checklist). Existem muitos [plug-ins](https://octobercms.com/plugins?search=Caching) que podem ser utilizados para acelerar a colocação em cache."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Considere utilizar um [plug-in de otimização de imagens](https://octobercms.com/plugins?search=image) para comprimir imagens sem comprometer a qualidade."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Carregue as imagens diretamente no gestor de meios para garantir que os tamanhos de imagem estão disponíveis. Considere utilizar o [filtro de redimensionamento](https://octobercms.com/docs/markup/filter-resize) ou um [plug-in de redimensionamento de imagens](https://octobercms.com/plugins?search=image) para garantir a utilização de tamanhos de imagem ideais."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Ative a compressão de texto na configuração do servidor Web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Considere utilizar uma biblioteca de "visualização baseada na janela atual" como `react-window` para minimizar o número de nós DOM criados se estiver a renderizar muitos elementos repetidos na página. [Saiba mais](https://web.dev/virtualize-long-lists-react-window/). Minimize também as re-renderizações desnecessárias ao utilizar [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ou [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) e [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), somente até determinadas dependências terem sido alteradas caso esteja a utilizar o hook `Effect` para melhorar o desempenho do tempo de execução.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Se estiver a utilizar o React Router, minimize a utilização do componente `<Redirect>` para as [navegações de encaminhamentos](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Se estiver a renderizar componentes React do lado do servidor, considere utilizar `renderToNodeStream()` ou `renderToStaticNodeStream()` para permitir que o cliente receba e hidrate várias partes da marcação em vez de todas em simultâneo. [Saiba mais](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Se o sistema de compilação reduzir os ficheiros CSS automaticamente, assegure-se de que está a implementar a compilação de produção da aplicação. Pode verificar esta situação com a extensão React Developer Tools. [Saiba mais](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Se o sistema de compilação reduzir os ficheiros JS automaticamente, assegure-se de que está a implementar a compilação de produção da sua aplicação. Pode verificar esta situação com a extensão React Developer Tools. [Saiba mais](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Se não estiver a renderizar do lado do servidor, [divida os seus pacotes de JavaScript](https://web.dev/code-splitting-suspense/) com `React.lazy()`. Caso contrário, divida o código ao utilizar uma biblioteca de terceiros como [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Utilize o Gerador de perfis do React DevTools, que utiliza a API do Gerador de perfis, para medir o desempenho de renderização dos seus componentes. [Saiba mais](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Considere carregar o GIF para um serviço que o disponibilizará para incorporação como vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Considere utilizar um [plug-in](https://wordpress.org/plugins/search/convert+webp/) ou um serviço que converta automaticamente as imagens carregadas nos formatos ideais."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instale um [plug-in do WordPress de carregamento lento](https://wordpress.org/plugins/search/lazy+load/) com capacidade para adiar imagens não visíveis ou para mudar para um tema com essa funcionalidade. Considere ainda a utilização do [plug-in de AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Há vários plug-ins do WordPress que o podem ajudar a [colocar recursos críticos inline](https://wordpress.org/plugins/search/critical+css/) ou [adiar recursos menos importantes](https://wordpress.org/plugins/search/defer+css+javascript/). Tenha em atenção que as otimizações oferecidas por estes plug-ins podem quebrar funcionalidades do seu tema ou plug-ins, pelo que poderá ser necessário efetuar alterações ao código."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"As especificações dos temas, plug-ins e servidor, no seu conjunto, contribuem para o tempo de resposta do servidor. Considere procurar um tema mais otimizado, selecionar cuidadosamente um plug-in de otimização e/ou atualizar o servidor."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Considere mostrar excertos nas suas listas de publicações (por exemplo, através da etiqueta de mais), reduzir o número de publicações apresentadas numa determinada página, dividir as publicações longas em várias páginas ou utilizar um plug-in para tornar o carregamento de comentários lento."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Um número de [plug-ins do WordPress](https://wordpress.org/plugins/search/minify+css/) pode acelerar o seu site ao concatenar, reduzir e comprimir os seus estilos. Poderá ainda utilizar um processo de criação para proceder previamente à redução se possível."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Um número de [plug-ins do WordPress](https://wordpress.org/plugins/search/minify+javascript/) pode acelerar o seu site ao concatenar, reduzir e comprimir os seus scripts. Poderá ainda utilizar um processo de criação para proceder previamente à redução se possível."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Considere reduzir ou mudar o número de [plug-ins do WordPress](https://wordpress.org/plugins/) que carregam CSS não utilizadas na sua página. Para identificar plug-ins que estejam a adicionar CSS não reconhecido, experimente realizar a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas DevTools do Chrome. Pode identificar o tema/plug-in responsável a partir do URL da folha de estilos. Esteja atento a plug-ins que tenham muitas folhas de estilo na lista com muito vermelho na cobertura do código. Um plug-in só deve ter uma folha de estilos na lista de espera se esta for realmente utilizada na página."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Considere reduzir ou mudar o número de [plug-ins do WordPress](https://wordpress.org/plugins/) que carregam JavaScript não utilizado na sua página. Para identificar plug-ins que estejam a adicionar JS não reconhecido, experimente realizar a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) nas DevTools do Chrome. Pode identificar o tema/plug-in responsável a partir do URL do script. Esteja atento a plug-ins que tenham muitos scripts na lista com muito vermelho na cobertura do código. Um plug-in só deve ter um script na lista de espera se este for realmente utilizado na página."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Leia sobre [Colocação do navegador em cache no WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Considere utilizar um [plug-in do WordPress de otimização da imagem](https://wordpress.org/plugins/search/optimize+images/) que comprima as imagens, ao mesmo tempo que mantém a qualidade."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Carregue imagens diretamente a partir da [biblioteca de multimédia](https://wordpress.org/support/article/media-library-screen/) para garantir que estão disponíveis os tamanhos de imagem necessários e, em seguida, introduza-as a partir da biblioteca de multimédia ou utilize o widget de imagens para garantir que são utilizados os tamanhos ideais das imagens (incluindo as referentes a breakpoints adaptáveis). Evite utilizar imagens de `Full Size`, a menos que as dimensões sejam adequadas à utilização. [Saiba mais](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Pode ativar a compressão de texto na configuração do servidor Web."},"report/renderer/util.js | calculatorLink":{message:"Veja a calculadora."},"report/renderer/util.js | crcInitialNavigation":{message:"Navegação inicial"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latência crítica máxima do caminho:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copiar JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Ativar/desativar tema escuro"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Imprimir com expansão"},"report/renderer/util.js | dropdownPrintSummary":{message:"Imprimir resumo"},"report/renderer/util.js | dropdownSaveGist":{message:"Guardar como Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Guardar como HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Guardar como JSON"},"report/renderer/util.js | dropdownViewer":{message:"Abrir no visualizador"},"report/renderer/util.js | errorLabel":{
message:"Erro!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Erro de relatório: sem informações de auditoria"},"report/renderer/util.js | footerIssue":{message:"Apresentar um problema"},"report/renderer/util.js | labDataTitle":{message:"Dados laboratoriais"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"A análise do [Lighthouse](https://developers.google.com/web/tools/lighthouse/) da página atual numa rede móvel emulada. Os valores são o resultado de uma estimativa e podem variar."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Itens adicionais a verificar manualmente"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Não aplicável"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Oportunidade"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Poupança estimada"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Auditorias aprovadas"},
"report/renderer/util.js | runtimeDesktopEmulation":{message:"Ambiente de trabalho emulado"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 emulado"},"report/renderer/util.js | runtimeNoEmulation":{message:"Sem emulação"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versão Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Potência da CPU/memória"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitação da CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispositivo"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Hora de obtenção"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitação de rede"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Definições do tempo de execução"},"report/renderer/util.js | runtimeSettingsUA":{message:"Agente do utilizador (anfitrião)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Agente do utilizador (rede)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Desconhecido"},"report/renderer/util.js | showRelevantAudits":{message:"Mostrar auditorias relevantes para:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Reduzir fragmento"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Expandir fragmento"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Mostrar recursos de terceiros"},"report/renderer/util.js | throttlingProvided":{message:"Fornecido pelo ambiente"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Ocorreram problemas que afetaram esta execução do Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Os valores são estimados e podem variar. A [pontuação de desempenho é calculada](https://web.dev/performance-scoring/) diretamente a partir destas métricas."},"report/renderer/util.js | viewTreemapLabel":{message:"Ver mapa em árvore"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"As auditorias foram concluídas com êxito, mas com avisos"},"report/renderer/util.js | warningHeader":{message:"Avisos: "}}},{}],130:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"As chaves de acesso permitem ao usuário focar rapidamente determinada parte da página. Para haver uma navegação adequada, cada chave de acesso precisa ser única. [Saiba mais](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Os valores de `[accesskey]` não são únicos"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Valores de `[accesskey]` são exclusivos"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Cada `role` ARIA é compatível com um subconjunto específico de atributos `aria-*`. A falta de correspondência entre eles invalida os atributos `aria-*`. [Saiba mais](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Os atributos `[aria-*]` não correspondem às próprias funções"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Os atributos `[aria-*]` correspondem às próprias funções"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Quando um elemento não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários com leitores de tela não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{
message:"Os elementos `button`, `link` e `menuitem` não têm nomes acessíveis."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Os elementos `button`, `link` e `menuitem` têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'As tecnologias adaptativas, como leitores de tela, funcionam de maneira inconsistente quando o `aria-hidden="true"` está configurado no documento `<body>`. [Saiba mais](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'O `[aria-hidden="true"]` está presente no documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'O `[aria-hidden="true"]` não está presente no documento `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Os descendentes focalizáveis dentro de um elemento `[aria-hidden="true"]` impedem que esses elementos interativos sejam disponibilizados para usuários de tecnologias adaptativas, como leitores de tela. [Saiba mais](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Os elementos `[aria-hidden="true"]` contêm descendentes focalizáveis'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Os elementos `[aria-hidden="true"]` não contêm descendentes focalizáveis'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Quando um campo de entrada não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários com leitores de tela não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"Os campos de entrada ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Os campos de entrada ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Quando um elemento não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários com leitores de tela não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Os elementos ARIA `meter` não têm nomes acessíveis."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Os elementos ARIA `meter` têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Quando um elemento `progressbar` não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários que dependem desses leitores não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Os elementos ARIA `progressbar` não têm nomes acessíveis."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Os elementos ARIA `progressbar` têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Algumas funções ARIA têm atributos obrigatórios que descrevem o estado do elemento para leitores de tela. [Saiba mais](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`s não têm todos os atributos `[aria-*]` obrigatórios"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{
message:"`[role]`s têm todos os atributos `[aria-*]` obrigatórios"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Algumas funções ARIA mães precisam ter funções filhas específicas para cumprir as tarefas de acessibilidade pretendidas. [Saiba mais](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementos com uma `[role]` ARIA que exigem que os filhos contenham uma `[role]` específica não têm alguns ou nenhum dos filhos obrigatórios."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementos com uma `[role]` ARIA que exigem que os filhos contenham uma `[role]` específica têm todos os filhos obrigatórios."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Algumas funções ARIA filhas precisam fazer parte das funções mães específicas para cumprir as tarefas de acessibilidade pretendidas. [Saiba mais](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`s não fazem parte do elemento pai obrigatório"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`s fazem parte do elemento pai obrigatório"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"As funções ARIA precisam ter valores válidos para que realizem as tarefas de acessibilidade pretendidas. [Saiba mais](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Os valores de `[role]` não são válidos"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Os valores de `[role]` são válidos"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Quando um campo de alternância não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários com leitores de tela não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Os campos de alternância ARIA não têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Os campos de alternância ARIA têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Quando um elemento não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários com leitores de tela não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{
message:"Os elementos ARIA `tooltip` não têm nomes acessíveis."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Os elementos ARIA `tooltip` têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Quando um elemento não tem um nome acessível, os leitores de tela o anunciam com um nome genérico, fazendo com que os usuários com leitores de tela não possam usá-lo. [Saiba mais](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Os elementos ARIA `treeitem` não têm nomes acessíveis."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Os elementos ARIA `treeitem` têm nomes acessíveis"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Tecnologias assistivas, como leitores de tela, não conseguem interpretar atributos ARIA com valores inválidos. [Saiba mais](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Os atributos `[aria-*]` não têm valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Os atributos `[aria-*]` têm valores válidos"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"As tecnologias assistivas, como leitores de tela, não conseguem interpretar atributos ARIA com nomes inválidos. [Saiba mais](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Os atributos `[aria-*]` não são válidos nem contêm erros de ortografia"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Os atributos `[aria-*]` são válidos e não contêm erros de ortografia"},
"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementos com falha"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Quando um botão não tem um nome acessível, os leitores de tela o enunciam como "botão", o que o inutiliza para usuários que dependem desses leitores. [Saiba mais](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Os botões não têm um nome acessível"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Os botões têm um nome acessível"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"A adição de maneiras de ignorar conteúdo repetido permite ao usuário do teclado navegar pela página com mais eficiência. [Saiba mais](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"A página não contém um cabeçalho, link de salto ou região de ponto de referência"},
"lighthouse-core/audits/accessibility/bypass.js | title":{message:"A página contém um título, um link de salto ou uma região de ponto de referência"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Para muitos usuários, é difícil ou impossível ler textos com baixo contraste. [Saiba mais](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"As cores de primeiro e segundo plano não têm uma taxa de contraste suficiente."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"As cores de primeiro e segundo plano têm uma taxa de contraste suficiente"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Quando listas de definição não são marcadas corretamente, os leitores de tela podem produzir resultados confusos ou imprecisos. [Saiba mais](https://web.dev/definition-list/)."},
"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`s não contêm apenas grupos `<dt>` e `<dd>`, elementos `<script>`, `<template>` ou `<div>` devidamente organizados."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`s contêm apenas os grupos `<dt>` e `<dd>`, elementos `<script>`, `<template>` ou `<div>` devidamente organizados."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Os itens da lista de definição (`<dt>` e `<dd>`) precisam ficar unidos em um elemento `<dl>` pai para garantir que os leitores de tela consigam enunciá-los corretamente. [Saiba mais](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Os itens da lista de definição não estão unidos em elementos `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Os itens da lista de definição estão unidos em elementos `<dl>`"},
"lighthouse-core/audits/accessibility/document-title.js | description":{message:"O título oferece ao usuário do leitor de tela uma visão geral da página, além de ser extremamente útil para que os usuários de mecanismos de pesquisa determinem se uma página é relevante à pesquisa deles. [Saiba mais](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"O documento não tem um elemento `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"O documento tem um elemento `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Todos os elementos focalizáveis precisam ter um `id` único para garantir que eles estejam visíveis para tecnologias adaptativas. [Saiba mais](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Os atributos `[id]` em elementos focalizáveis ativos não são únicos"
},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Os atributos `[id]` em elementos focalizáveis ativos são únicos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"É necessário que o valor de um código ARIA seja único para impedir que outras instâncias sejam ignoradas por tecnologias adaptativas. [Saiba mais](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Os códigos ARIA não são únicos"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Os códigos ARIA são únicos"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Os campos de formulários com vários rótulos podem ser anunciados de maneira confusa por tecnologias adaptativas como leitores de tela, que usam o primeiro, o último ou todos os rótulos. [Saiba mais](https://web.dev/form-field-multiple-labels/)."},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Os campos de formulários têm vários rótulos"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nenhum campo de formulário tem vários rótulos"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Os usuários de leitores de tela utilizam títulos para descrever o conteúdo de frames. [Saiba mais](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Os elementos `<frame>` ou `<iframe>` não têm um título"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Os elementos `<frame>` ou `<iframe>` têm um título"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"Títulos propriamente ordenados que não pulam níveis comunicam a estrutura semântica da página, facilitando a navegação e compreensão ao usar tecnologias adaptativas. [Saiba mais](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Os elementos de título não aparecem em uma ordem sequencial descendente"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Os elementos de título aparecem em uma ordem sequencial descendente"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Se uma página não especificar um atributo lang, o leitor de tela presumirá que a página está no idioma padrão que o usuário escolheu ao configurar esse leitor. Se a página não estiver no idioma padrão, o leitor de tela poderá ler o texto dela incorretamente. [Saiba mais](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{
message:"O elemento `<html>` não tem um atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"O elemento `<html>` tem um atributo `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"A especificação de um [idioma BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido ajuda os leitores de tela a enunciar o texto corretamente. [Saiba mais](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"O elemento `<html>` não tem um valor válido para o atributo `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"O elemento `<html>` tem um valor válido para o atributo `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"O texto dos elementos informativos precisa ser alternativo, breve e descritivo. Os elementos decorativos podem ser ignorados com um atributo alternativo vazio. [Saiba mais](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Os elementos de imagem não têm atributos `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Os elementos de imagem têm atributos `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Quando uma imagem for usada como um botão `<input>`, a oferta de texto alternativo poderá ajudar o usuário do leitor de tela a entender a finalidade do botão. [Saiba mais](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Os elementos `<input type="image">` não têm texto `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{
message:'Os elementos `<input type="image">` têm texto `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"As etiquetas garantem que os controles de formulário sejam enunciados corretamente por tecnologias assistivas, como leitores de tela. [Saiba mais](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Os elementos de formulário não têm etiquetas associadas"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Os elementos de formulário têm etiquetas associadas"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Textos de link (e textos alternativos de imagens, quando utilizados como link) compreensíveis, únicos e focalizáveis melhoram a experiência de navegação para usuários de leitores de tela. [Saiba mais](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Os links não têm um nome compreensível"},
"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Os links têm um nome compreensível"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Os leitores de tela têm uma maneira específica de enunciar listas. Uma estrutura de lista adequada melhora os resultados do leitor de tela. [Saiba mais](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"As listas não contêm apenas elementos `<li>` e elementos compatíveis com script (`<script>` e `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"As listas contêm somente elementos `<li>` e elementos compatíveis com script (`<script>` e `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Os leitores de tela exigem que os itens de lista (`<li>`) estejam contidos em um `<ul>` ou `<ol>` pai para serem enunciados corretamente. [Saiba mais](https://web.dev/listitem/)."},
"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Os itens de lista (`<li>`) não estão contidos nos elementos pai `<ul>` ou `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Os itens de lista (`<li>`) estão contidos nos elementos pai `<ul>` ou `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"O usuário não espera a atualização automática da página, o que move o foco novamente para a parte superior dela. Isso pode causar uma experiência confusa ou frustrante. [Saiba mais](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'O documento usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'O documento não usa `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"A desativação do zoom gera problemas para usuários com baixa visão que utilizam a ampliação de tela para enxergar corretamente o conteúdo de uma página da Web. [Saiba mais](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` é usado no elemento `<meta name="viewport">` ou o atributo `[maximum-scale]` é menor que 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` não é usado no elemento `<meta name="viewport">`, e o atributo `[maximum-scale]` não é menor que 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Os leitores de tela não traduzem conteúdo não textual. A adição de texto alternativo aos elementos `<object>` ajuda os leitores de tela a transmitir o significado para os usuários. [Saiba mais](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{
message:"Os elementos `<object>` não têm texto `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Os elementos `<object>` têm texto `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Um valor maior que 0 indica uma ordem explícita de navegação. Embora tecnicamente válido, isso costuma gerar experiências frustrantes para os usuários que utilizam tecnologias assistivas. [Saiba mais](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Alguns elementos têm um valor de `[tabindex]` maior que 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Nenhum elemento tem um valor de `[tabindex]` maior que 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{
message:"Os leitores de tela têm recursos para facilitar a navegação em tabelas. Para melhorar a experiência dos usuários de leitores de tela, as células `<td>` que usam o atributo `[headers]` precisam referenciar apenas outras células na mesma tabela. [Saiba mais](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Células em um elemento `<table>` que usam o atributo `[headers]` referem-se a um elemento `id` não encontrado na mesma tabela."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Células em um elemento `<table>` que usam o atributo `[headers]` referem-se às células na mesma tabela."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Os leitores de tela têm recursos para facilitar a navegação em tabelas. Garantir que os cabeçalhos das tabelas se refiram sempre a alguns conjuntos de células pode melhorar a experiência dos usuários de leitores de tela. [Saiba mais](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Os elementos `<th>` e os elementos com `[role="columnheader"/"rowheader"]` não têm as células de dados descritas.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Os elementos `<th>` e os elementos com `[role="columnheader"/"rowheader"]` têm as células de dados descritas.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{
message:"A especificação de um [idioma BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) válido nos elementos ajuda a garantir que o texto seja pronunciado corretamente pelo leitor de tela. [Saiba mais](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Os atributos `[lang]` não têm um valor válido"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Os atributos `[lang]` têm um valor válido"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Quando um vídeo é acompanhado de legendas, as pessoas surdas e deficientes auditivas têm mais facilidade para acessar as informações dele. [Saiba mais](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Os elementos `<video>` não contêm um elemento `<track>` com `[kind="captions"]`.'},
"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Os elementos `<video>` contêm um elemento `<track>` com `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Para ter uma exibição ideal no iOS quando o usuário adiciona um Progressive Web App à tela inicial, defina um `apple-touch-icon`. Ele precisa apontar para um PNG quadrado não transparente de 192 px (ou 180 px). [Saiba mais](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Não oferece um `apple-touch-icon` válido"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` está desatualizado. Use `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Disponibiliza um `apple-touch-icon` válido"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valor atual"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{
message:"Token sugerido"},"lighthouse-core/audits/autocomplete.js | description":{message:"O `autocomplete` ajuda os usuários a enviar formulários mais rapidamente. Para reduzir o esforço dos usuários, considere definir o atributo `autocomplete` como um valor válido para ativá-lo. [Saiba mais](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Os elementos `<input>` não têm os atributos `autocomplete` corretos"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Revisão manual necessária"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Revisar pedido de tokens"},"lighthouse-core/audits/autocomplete.js | title":{message:"Elementos `<input>` usam `autocomplete` corretamente"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Token(s) `autocomplete`: "{token}" é inválido em {snippet}'},
"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Revisão de pedido de tokens: "{tokens}" em {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"As extensões do Chrome afetaram negativamente o desempenho de carregamento desta página. Tente fazer a auditoria da página no modo de navegação anônima ou em um perfil do Chrome sem extensões."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Avaliação de script"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Análise de script"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Tempo total de CPU"},"lighthouse-core/audits/bootup-time.js | description":{message:"Diminua o tempo gasto na análise, compilação e execução de JS. Você perceberá que exibir payloads de JS menores ajuda a fazer isso. [Saiba mais](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{
message:"Reduza o tempo de execução de JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Tempo de execução de JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Remover módulos JavaScript grandes e duplicados de pacotes para reduzir bytes desnecessários consumidos por atividades da rede. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Remova módulos duplicados em pacotes JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"GIFs grandes não são eficientes para exibir conteúdo animado. Use vídeos MPEG4/WebM para animações e PNG/WebP para imagens estáticas em vez de GIF para economizar bytes de rede. [Saiba mais](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Use formatos de vídeo para conteúdo animado"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfills e transforms permitem que navegadores legados usem novos recursos do JavaScript. No entanto, muitos não são necessários para navegadores modernos. Para seu JavaScript empacotado, adote uma estratégia moderna de implantação de scripts, usando detecção de recursos por módulo/sem módulo para reduzir o total de códigos enviados a navegadores modernos e, ao mesmo tempo, manter a compatibilidade com navegadores legados. [Saiba mais](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Evitar a exibição de JavaScript legado em navegadores modernos"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Formatos de imagem como JPEG 2000, JPEG XR e WebP geralmente oferecem uma melhor compactação do que PNG ou JPEG, o que significa downloads mais rápidos e menor consumo de dados. [Saiba mais](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Disponibilize imagens em formatos de última geração"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"A fim de reduzir o tempo para interação da página, faça o carregamento lento de imagens fora da tela e ocultas quando todos os recursos críticos já estiverem carregados. [Saiba mais](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Adie imagens fora da tela"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Os recursos estão bloqueando a primeira exibição da sua página. Exiba JS/CSS crítico inline e adie todos os JS/estilos não críticos. [Saiba mais](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimine recursos que impedem a renderização"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Grandes payloads de rede geram custos para o usuário e estão diretamente relacionados a tempos de carregamento maiores. [Saiba mais](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"O tamanho total foi de {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evite payloads de rede muito grandes"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Evita payloads de rede muito grandes"},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"A redução de arquivos CSS pode diminuir o tamanho do payload de rede. [Saiba mais](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Reduza o CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"A redução de arquivos JavaScript pode diminuir o tamanho de payloads e o tempo de análise de scripts. [Saiba mais](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Reduza o JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Para diminuir o consumo de bytes da atividade da rede, reduza as regras não usadas nas folhas de estilo e adie o CSS não usado para conteúdo acima da dobra. [Saiba mais](https://web.dev/unused-css-rules/)."},
"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reduza o CSS não usado"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Para diminuir o consumo de bytes da atividade da rede, reduza o JavaScript não usado e adie o carregamento de scripts até que eles sejam necessários. [Saiba mais](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reduza o JavaScript não usado"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Um cache com ciclo de vida longo pode acelerar visitas repetidas à sua página. [Saiba mais](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 recurso encontrado}one{# recurso encontrado}other{# recursos encontrados}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{
message:"Disponibilize recursos estáticos com uma política de cache eficiente"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Usa uma política de cache eficiente em recursos estáticos"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Imagens otimizadas são carregadas mais rapidamente e consomem menos dados da rede celular. [Saiba mais](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Codifique as imagens com eficiência"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Veicule imagens que tenham o tamanho adequado para economizar dados da rede celular e melhorar o tempo de carregamento. [Saiba mais](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Defina um tamanho adequado para as imagens"},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Os recursos baseados em texto precisam ser veiculados com compactação (gzip, deflate ou brotli) para minimizar o total de bytes da rede. [Saiba mais](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Ative a compactação de texto"},"lighthouse-core/audits/content-width.js | description":{message:"Se a largura do conteúdo do seu app não corresponder à largura da janela de visualização, não será possível otimizar o app para telas de dispositivos móveis. [Saiba mais](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"O tamanho da janela de visualização de {innerWidth} px não corresponde ao tamanho da janela {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"O conteúdo não está no tamanho correto para a janela de visualização"},
"lighthouse-core/audits/content-width.js | title":{message:"O conteúdo está no tamanho correto para a janela de visualização"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"As cadeias de solicitação críticas abaixo mostram quais recursos são carregados com prioridade alta. Diminua o tamanho das cadeias, reduza o tamanho do download de recursos ou adie o download de recursos desnecessários para melhorar o carregamento de página. [Saiba mais](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 rede encontrada}one{# rede encontrada}other{# redes encontradas}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Evitar encadeamento de solicitações críticas"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Diretiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Gravidade"},
"lighthouse-core/audits/csp-xss.js | description":{message:"Uma Política de Segurança de Conteúdo (CSP) avançada reduz significativamente o risco de ataques de scripting em vários locais (XSS). [Saiba mais](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaxe"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"A página contém uma CSP definida em uma tag <meta>. Se possível, defina a CSP em um cabeçalho HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Nenhuma CSP encontrada no modo restrito"},"lighthouse-core/audits/csp-xss.js | title":{message:"Conferir se a CSP é eficaz contra ataques de XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Suspensão de uso/aviso"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Linha"},"lighthouse-core/audits/deprecations.js | description":{
message:"As APIs obsoletas acabarão sendo removidas do navegador. [Saiba mais](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 aviso encontrado}one{# aviso encontrado}other{# avisos encontrados}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Utiliza APIs obsoletas"},"lighthouse-core/audits/deprecations.js | title":{message:"Evita APIs obsoletas"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"O cache de aplicativo está obsoleto. [Saiba mais](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" encontrado'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Usa cache de aplicativo"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Evita o cache de aplicativo"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Uma declaração de codificação de caracteres é obrigatória. Ela pode ser feita com uma tag `<meta>` nos primeiros 1.024 bytes do HTML ou no cabeçalho de resposta HTTP de tipo de conteúdo. [Saiba mais](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"A declaração de charset está ausente ou ocorre tardiamente no HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Define corretamente o charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"A especificação de um doctype evita que o navegador alterne para o modo quirks. [Saiba mais](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"O nome do doctype precisa ser o `html` da string em letra minúscula"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{
message:"O documento precisa conter um doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"O ID público deveria ser uma string vazia"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"O ID do sistema deveria ser uma string vazia"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"A página não tem o doctype HTML e, assim, aciona o modo quirks"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"A página tem o doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Estatística"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valor"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Um DOM grande aumentará o uso da memória, causará [cálculos de estilo](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) mais longos e produzirá [reflows de layout](https://developers.google.com/speed/articles/reflow) dispendiosos. [Saiba mais](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 elemento}one{# elemento}other{# elementos}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evite DOM de tamanho excessivo"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Profundidade máxima de DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Total de elementos DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Máximo de elementos filhos"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Evita DOM de tamanho excessivo"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Âncoras com falha"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Adicione `rel="noopener"` ou `rel="noreferrer"` a qualquer link externo para melhorar o desempenho e evitar vulnerabilidades de segurança. [Saiba mais](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Links para destinos de origem cruzada não são seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Links para destinos de origem cruzada são seguros"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Não é possível determinar o destino do item fixo ({anchorHTML}). Se não for usado como um hiperlink, remova target=_blank."},
"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Os usuários não confiam ou ficam confusos com sites que solicitam a localização sem contexto. Vincule a solicitação a uma ação do usuário. [Saiba mais](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Solicita a permissão de geolocalização no carregamento de página"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evita o pedido da permissão de geolocalização no carregamento de página"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipo de problema"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:'Os problemas registrados no painel `Issues` do Chrome Devtools indicam problemas não resolvidos. Eles podem ser causados por falhas de solicitações da rede, controles de segurança insuficientes e outros problemas do navegador. Abra o painel "Issues" do Chrome DevTools para ver mais detalhes sobre cada problema.'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Os problemas foram registrados no painel `Issues` do Chrome Devtools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bloqueado pela política de origem cruzada"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Uso intenso de recursos por anúncios"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Nenhum problema no painel `Issues` do Chrome Devtools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versão"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Todas as bibliotecas JavaScript de front-end detectadas na página. [Saiba mais](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Bibliotecas JavaScript detectadas"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Para usuários em conexões lentas, os scripts externos injetados dinamicamente via `document.write()` podem atrasar o carregamento de página em dezenas de segundos. [Saiba mais](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evitar `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Evita `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Maior gravidade"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{
message:"Versão da biblioteca"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Contagem de vulnerabilidades"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Alguns scripts de terceiros podem conter vulnerabilidades de segurança conhecidas, facilmente identificadas e exploradas por invasores. [Saiba mais](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 vulnerabilidade detectada}one{# vulnerabilidade detectada}other{# vulnerabilidades detectadas}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Inclui bibliotecas JavaScript de front-end com vulnerabilidades de segurança conhecidas"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Evita bibliotecas JavaScript de front-end com vulnerabilidades de segurança conhecidas"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Os usuários não confiam ou ficam confusos com sites que solicitam o envio de notificações sem contexto. Vincule a solicitação a gestos do usuário. [Saiba mais](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Solicita a permissão de notificação no carregamento de página"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evita o pedido da permissão de notificação no carregamento de página"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Impedir a colagem da senha prejudica a política de boa segurança. [Saiba mais](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Evita que o usuário cole nos campos de senha"},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Permite que o usuário cole nos campos de senha"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocolo"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"O HTTP/2 oferece muitos benefícios com relação ao HTTP/1.1, incluindo cabeçalhos binários e multiplexação. [Saiba mais](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 solicitação não veiculada via HTTP/2}one{# solicitação não veiculada via HTTP/2}other{# solicitações não veiculadas via HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Use o HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Marque os listeners de eventos de toque e rolagem como `passive` para melhorar o desempenho de rolagem da página. [Saiba mais](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Não utiliza listeners passivos para melhorar o desempenho de rolagem"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Utiliza listeners passivos para melhorar o desempenho de rolagem"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Os erros registrados no console indicam problemas não resolvidos. Eles podem ocorrer devido a falhas de solicitação de rede e outras questões relacionadas ao navegador. [Saiba mais](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Erros do navegador foram registrados no console"},"lighthouse-core/audits/errors-in-console.js | title":{
message:"Nenhum erro do navegador registrado no console"},"lighthouse-core/audits/font-display.js | description":{message:"Use o recurso CSS de exibição de fonte para garantir que o texto possa ser visto pelo usuário enquanto as webfonts são carregadas. [Saiba mais](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Garanta que o texto continue visível durante o carregamento da webfont"},"lighthouse-core/audits/font-display.js | title":{message:"Todo o texto continua visível durante o carregamento da webfont"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{O Lighthouse não conseguiu verificar automaticamente o valor `font-display` para o URL {fontOrigin} de origem.}one{O Lighthouse não conseguiu verificar automaticamente o valor `font-display` para o URL {fontOrigin} de origem.}other{O Lighthouse não conseguiu verificar automaticamente os valores `font-display` para o URL {fontOrigin} de origem.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Proporção (real)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Proporção (exibida)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"As dimensões de exibição da imagem devem corresponder à proporção. [Saiba mais](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Exibe imagens com a proporção incorreta"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Exibe imagens com a proporção correta"},
"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Tamanho real"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Tamanho exibido"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Tamanho esperado"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"As dimensões naturais da imagem precisam ser proporcionais ao tamanho da tela e à proporção de pixels para maximizar a nitidez. [Saiba mais](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Exibe imagens em baixa resolução"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Exibe imagens em resolução adequada"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"O app já está instalado"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{
message:"Não foi possível fazer o download de um ícone necessário do manifesto"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motivo da falha"},"lighthouse-core/audits/installable-manifest.js | description":{message:"O service worker é a tecnologia que permite que seu app use muitos recursos do Progressive Web App, como disponibilidade off-line, adicionar à tela inicial e notificações push. Com implementações de manifesto e service worker adequadas, os navegadores podem solicitar proativamente aos usuários que adicionem seu app à tela inicial deles, o que pode aumentar o engajamento. [Saiba mais](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 motivo}one{# motivo}other{# motivos}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"O manifesto do app da Web ou o service worker não atendem aos requisitos para instalação"},
"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"O URL do aplicativo não corresponde ao ID da Play Store"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"A página foi carregada em uma janela anônima"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'A propriedade "display" do manifesto precisa ser "standalone", "fullscreen" ou "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'O manifesto contém o campo "display_override", e o primeiro modo de exibição compatível precisa ser "standalone", "fullscreen" ou "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Não foi possível buscar o manifesto, ele está vazio ou não foi possível analisá-lo"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"O URL do manifesto mudou enquanto a busca do manifesto era feita."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'O manifesto não contém um campo "name" ou "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'O manifesto não contém um ícone adequado. É necessário um formato PNG, SVG ou WebP de pelo menos {value0} px. O atributo "sizes" precisa estar definido e o atributo "purpose", se definido, precisa incluir "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Nenhum dos ícones fornecidos é um quadrado de pelo menos {value0} px no formato PNG, SVG ou WebP com o atributo "purpose" não definido ou definido como "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"O ícone de download está vazio ou corrompido"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{
message:"Nenhum ID da Play Store foi fornecido"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"A página não tem um URL de manifesto <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nenhum service worker correspondente foi detectado. Pode ser necessário atualizar a página ou conferir se o escopo do service worker da página atual inclui o escopo e o URL de início do manifesto."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Não foi possível verificar o service worker sem um campo "start_url" no manifesto'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'O ID do erro de instabilidade "{errorId}" não foi reconhecido'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"A página não foi exibida por uma origem segura"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{
message:"A página não está carregada no frame principal"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"A página não funciona off-line"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"A plataforma de aplicativo especificada não é compatível com o Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"O manifesto especifica prefer_related_applications: verdadeiro"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications só é compatível no Android com Canais Beta e Stable do Chrome."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"O URL de início do manifesto não é válido"},"lighthouse-core/audits/installable-manifest.js | title":{message:"O manifesto do app da Web e o service worker atendem aos requisitos para instalação"},
"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Um URL no manifesto contém um nome de usuário, uma senha ou uma porta"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"A página não funciona off-line. Ela não será mais considerada instalável após a versão estável do Chrome 93, em agosto de 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Permitido"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bloqueado"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL não seguro"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Resolução da solicitação"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Todos os sites precisam ser protegidos com HTTPS, mesmo aqueles que não lidam com dados confidenciais. Por isso, evite [conteúdo misto](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), em que alguns recursos são carregados por HTTP mesmo quando o pedido inicial é exibido por HTTPS. O HTTPS evita que invasores falsifiquem ou escutem passivamente a comunicação entre o app e o usuário, além de ser um pré-requisito para HTTP/2 e várias novas APIs para plataforma da Web. [Saiba mais](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 solicitação não segura encontrada}one{# solicitação não segura encontrada}other{# solicitações não seguras encontradas}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Não utiliza HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Utiliza HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Upgrade automático para HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Permitido com um alerta"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteca"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Bibliotecas grandes do JavaScript podem resultar em um desempenho fraco. Use bibliotecas menores com equivalência funcional para reduzir o tamanho do pacote. [Saiba mais](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 biblioteca grande encontrada}one{# biblioteca grande encontrada}other{# bibliotecas grandes encontradas}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Substitua bibliotecas do JavaScript que são grandes demais"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evita bibliotecas grandes do JavaScript, com alternativas menores"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Este é o maior elemento com conteúdo na janela de visualização. [Saiba mais](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elemento de Maior exibição de conteúdo"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribuição da CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Estes elementos DOM contribuem principalmente para a CLS da página."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Evite grandes mudanças no layout"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Lista as tarefas mais longas na linha de execução principal. Útil para identificar os piores contribuidores para a latência de entrada. [Saiba mais](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# tarefa longa encontrada}one{# tarefa longa encontrada}other{# tarefas longas encontradas}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evitar tarefas longas da linha de execução principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categoria"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Considere diminuir o tempo gasto na análise, compilação e execução de JS. Você perceberá que exibir payloads de JS menores ajuda a fazer isso. [Saiba mais](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimize o trabalho da thread principal"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimiza o trabalho da thread principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Os sites precisam funcionar em todos os principais navegadores para que sejam acessíveis ao maior número de usuários. [Saiba mais](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"O site funciona em diferentes navegadores"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"É necessário que as páginas individuais permitam links diretos via URL e que os URLs sejam exclusivos para o propósito de compartilhamento em mídias sociais. [Saiba mais](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Cada página tem um URL."},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"As transições precisam ser dinâmicas durante a navegação por toque, mesmo em uma conexão de rede lenta. Essa experiência é essencial para a percepção de desempenho. [Saiba mais](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"As transições de página não devem parecer bloqueadas pelo carregamento da rede."},"lighthouse-core/audits/maskable-icon.js | description":{message:"Um ícone mascarável garante que a imagem preencha toda a forma sem um efeito letterbox durante a instalação do app em um dispositivo. [Saiba mais](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"O manifesto não tem um ícone mascarável"},"lighthouse-core/audits/maskable-icon.js | title":{message:"O manifesto tem um ícone mascarável"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:'A "Mudança de layout cumulativa" mede o movimento de elementos visíveis na janela de visualização. [Saiba mais](https://web.dev/cls/).'},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:'"Primeira exibição de conteúdo" marca o momento em que o primeiro texto ou imagem é disponibilizado. [Saiba mais](https://web.dev/first-contentful-paint/).'},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:'"Primeira exibição significativa" marca o momento em que o conteúdo principal de uma página se torna visível. [Saiba mais](https://web.dev/first-meaningful-paint/).'},"lighthouse-core/audits/metrics/interactive.js | description":{message:'"Tempo para interação da página" é o período necessário para que ela fique totalmente interativa. [Saiba mais](https://web.dev/interactive/).'},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:'"Maior exibição de conteúdo" marca o momento em que o maior texto ou imagem é exibido. [Saiba mais](https://web.dev/lighthouse-largest-contentful-paint/)'},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"A possível latência máxima na primeira entrada que seus usuários notariam seria a duração da tarefa mais longa. [Saiba mais](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:'"Índice de velocidade" mostra a rapidez com que o conteúdo de uma página é preenchido visivelmente. [Saiba mais](https://web.dev/speed-index/).'},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:'Soma de todos os períodos entre "FCP" e "Tempo para interação da página", quando a duração da tarefa ultrapassa 50 ms, expressa em milésimos de segundo. [Saiba mais](https://web.dev/lighthouse-total-blocking-time/).'},"lighthouse-core/audits/network-rtt.js | description":{
message:"O tempo de retorno (RTT, na sigla em inglês) da rede tem um grande impacto no desempenho. Se o RTT para uma origem é alto, significa que os servidores mais próximos do usuário poderiam melhorar o desempenho. [Saiba mais](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Tempos de retorno da rede"},"lighthouse-core/audits/network-server-latency.js | description":{message:"As latências de servidor podem afetar o desempenho na Web. Se a latência do servidor de uma origem for alta, isso indica que ele está sobrecarregado ou que o back-end apresenta um desempenho ruim. [Saiba mais](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latências do back-end do servidor"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"O evento `unload` não é acionado de maneira confiável, e a detecção dele pode evitar otimizações do navegador, como o cache de avanço e retorno. Recomendamos o uso dos eventos `pagehide` ou `visibilitychange`. [Saiba mais](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registra um listener `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Evita listeners de eventos `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animações que não são compostas podem ficar instáveis e aumentar a CLS. [Saiba mais](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# elemento animado encontrado}one{# elemento animado encontrado}other{# elementos animados encontrados}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:'A propriedade "filter" pode mover pixels'},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Presença de outra animação incompatível"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'O efeito tem um modo composto diferente de "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Evitar animações não compostas"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:'A propriedade "transform" depende do tamanho da caixa'},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Propriedade CSS incompatível: {properties}}one{Propriedade CSS incompatível: {properties}}other{Propriedades CSS incompatíveis: {properties}}}"},
"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"O efeito tem parâmetros de tempo incompatíveis"},"lighthouse-core/audits/performance-budget.js | description":{message:"Mantenha a quantidade e o tamanho de solicitações de rede de acordo com os destinos definidos pelo orçamento de desempenho informado. [Saiba mais](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 solicitação}one{# solicitação}other{# solicitações}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Orçamento de desempenho"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Pré-carregue fontes `optional` para que visitantes novos possam usá-las. [Saiba mais](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{
message:"As fontes com `font-display: optional` não são pré-carregadas"},"lighthouse-core/audits/preload-fonts.js | title":{message:"As fontes com `font-display: optional` são pré-carregadas"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Pré-carregue a imagem usada pelo elemento de LCP para melhorar seu tempo de LCP. [Saiba mais](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Pré-carregar imagem de Maior exibição de conteúdo"},"lighthouse-core/audits/redirects-http.js | description":{message:"Se você já definiu o HTTPS, redirecione todo o tráfego HTTP para HTTPS para garantir recursos da Web para todos os seus usuários. [Saiba mais](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"O tráfego HTTP não é redirecionado para HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"O tráfego HTTP é redirecionado para HTTPS"
},"lighthouse-core/audits/redirects.js | description":{message:"Os redirecionamentos causam mais atrasos antes do carregamento da página. [Saiba mais](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Evite redirecionamentos múltiplos de página"},"lighthouse-core/audits/resource-summary.js | description":{message:"Para definir orçamentos para a quantidade e o tamanho dos recursos da página, adicione um arquivo budget.json. [Saiba mais](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 solicitação • {byteCount, number, bytes} KiB}one{# solicitação • {byteCount, number, bytes} KiB}other{# solicitações • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Mantenha as contagens de solicitações baixas e os tamanhos de transferência pequenos"},"lighthouse-core/audits/seo/canonical.js | description":{
message:"Os links canônicos sugerem o URL a ser exibido nos resultados da pesquisa. [Saiba mais](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Vários URLs com conflito ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Aponta para um domínio diferente ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL inválido ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Aponta para outro local de `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL relativo ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Aponta para o URL raiz do domínio (a página inicial), em vez de uma página de conteúdo equivalente"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"O documento não tem um `rel=canonical` válido"},
"lighthouse-core/audits/seo/canonical.js | title":{message:"O documento tem um `rel=canonical` válido"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link não rastreável"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Os mecanismos de pesquisa podem usar atributos `href` em links para rastrear sites. Garanta que o atributo `href` de elementos de âncora esteja vinculado a um destino adequado para que mais páginas do site possam ser descobertas. [Saiba mais](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Os links não são rastreáveis"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Os links são rastreáveis"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Mais texto ilegível"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Tamanho da fonte"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% de texto da página"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Seletor"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Fontes menores que 12 px não são legíveis e exigem que os visitantes que utilizam dispositivos móveis façam um gesto de pinça para aumentar o zoom e conseguir ler. Faça o possível para ter mais de 60% do texto da página com pelo menos 12 px. [Saiba mais](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} do texto legível"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"O texto é ilegível porque não há nenhuma metatag de janela de visualização otimizada para telas de dispositivos móveis."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"O documento não usa tamanhos de fonte legíveis"},
"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Texto legível"},"lighthouse-core/audits/seo/font-size.js | title":{message:"O documento usa tamanhos de fonte legíveis"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Os links hreflang informam aos mecanismos de pesquisa qual versão de uma página deve ser listada nos resultados de pesquisa para um determinado idioma ou região. [Saiba mais](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"O documento não tem um `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valor de href relativo"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"O documento tem um `hreflang` válido"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Código de idioma inesperado"},"lighthouse-core/audits/seo/http-status-code.js | description":{
message:"As páginas com falha no código de status HTTP talvez não sejam indexadas corretamente. [Saiba mais](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"A página tem uma falha no código de status HTTP"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"A página tem um código de status HTTP bem-sucedido"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Os mecanismos de pesquisa não poderão incluir suas páginas nos resultados se não tiverem permissão para rastreá-las. [Saiba mais](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"A página está bloqueada para indexação"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"A página não está bloqueada para indexação"},"lighthouse-core/audits/seo/link-text.js | description":{
message:"O texto com link descritivo ajuda os mecanismos de pesquisa a entender o conteúdo. [Saiba mais](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 link encontrado}one{# link encontrado}other{# links encontrados}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Os links não têm texto descritivo"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Os links têm texto descritivo"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Execute a [Ferramenta de teste de dados estruturados](https://search.google.com/structured-data/testing-tool/) e a [Structured Data Linter](http://linter.structured-data.org/) para validar os dados estruturados. [Saiba mais](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Os dados estruturados são válidos"},
"lighthouse-core/audits/seo/meta-description.js | description":{message:"Metadescrições podem ser incluídas nos resultados da pesquisa para resumir concisamente o conteúdo da página. [Saiba mais](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"O campo de texto da descrição está vazio."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"O documento não tem uma metadescrição"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"O documento tem uma metadescrição"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Mecanismos de pesquisa não podem indexar conteúdo de plug-in, e muitos dispositivos restringem plug-ins ou não são compatíveis com eles. [Saiba mais](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"O documento usa plug-ins"},"lighthouse-core/audits/seo/plugins.js | title":{message:"O documento evita plug-ins"},
"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Se o arquivo robots.txt for inválido, talvez não seja possível aos rastreadores entender como você quer que seu site seja rastreado ou indexado. [Saiba mais](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"A solicitação para robots.txt retornou o status HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 erro encontrado}one{# erro encontrado}other{# erros encontrados}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"O Lighthouse não fez o download de um arquivo robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt não é válido"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt é válido"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Os elementos interativos, como botões e links, precisam ser grandes o bastante (48x48 px) e ter espaço suficiente ao redor para poderem ser tocados sem sobreposição com outros elementos. [Saiba mais](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} de áreas de toque dimensionadas corretamente"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"As áreas de toque são muito pequenas porque não há nenhuma metatag de janela de visualização otimizada para telas de dispositivos móveis"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"As áreas de toque não estão dimensionadas corretamente"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Área com sobreposição"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Área de toque"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"As áreas de toque estão dimensionadas corretamente"},"lighthouse-core/audits/server-response-time.js | description":{message:"Mantenha curto o tempo de resposta do servidor para o documento principal, já que todos os outros pedidos dependem dele. [Saiba mais](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"O documento raiz levou {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Reduza o tempo de resposta inicial do servidor"},"lighthouse-core/audits/server-response-time.js | title":{message:"O tempo de resposta inicial do servidor foi curto"},"lighthouse-core/audits/service-worker.js | description":{message:"O service worker é a tecnologia que permite que seu app use muitos recursos do Progressive Web App, como disponibilidade off-line, adicionar à tela inicial, e notificações de push. [Saiba mais](https://web.dev/service-worker/)."},
"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Esta página é controlada por um service worker, no entanto, nenhum `start_url` foi encontrado porque o manifesto não foi analisado como um JSON válido."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Esta página é controlada por um service worker, no entanto, a `start_url` ({startUrl}) não está no escopo dele ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Esta página é controlada por um service worker, no entanto, nenhuma `start_url` foi encontrada porque nenhum manifesto foi recuperado."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Esta origem tem um ou mais service workers, no entanto, a página ({pageUrl}) não está em escopo."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Não há registro de um service worker que controle a página e `start_url`"},
"lighthouse-core/audits/service-worker.js | title":{message:"Há registro de um service worker que controla a página e `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Uma tela de apresentação personalizada garante uma experiência de alta qualidade quando os usuários abrem o aplicativo na tela inicial. [Saiba mais](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Não foi configurado para uma tela de apresentação personalizada"},"lighthouse-core/audits/splash-screen.js | title":{message:"Configurado para uma tela de apresentação personalizada"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"É possível atribuir um tema relacionado ao seu site à barra de endereço do navegador. [Saiba mais](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Não foi definida uma cor de tema para a barra de endereços."},
"lighthouse-core/audits/themed-omnibox.js | title":{message:"Foi definida uma cor de tema para a barra de endereços."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (sucesso do cliente)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (redes sociais)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (vídeo)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produto"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Algumas incorporações de terceiros podem ser carregadas lentamente. Considere substituí-las por uma fachada até que elas sejam necessárias. [Saiba mais](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# alternativa de fachada disponível}one{# alternativa de fachada disponível}other{# alternativas de fachada disponíveis}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Alguns recursos de terceiros podem ser carregados lentamente com uma fachada"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Carregamento lento de recursos de terceiros com fachadas"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Terceiros"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Código de terceiros pode afetar significativamente o desempenho de carregamento. Limite o número de provedores terceiros redundantes e carregue o código de terceiros depois que a página tiver sido carregada. [Saiba mais](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},
"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"A linha de execução principal foi bloqueada por {timeInMs, number, milliseconds} ms pelo código de terceiros"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Reduza o impacto de códigos de terceiros"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Reduzir o uso de terceiros"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Medição"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Métrica"},"lighthouse-core/audits/timing-budget.js | description":{message:"Defina um orçamento de tempo para ajudar a monitorar o desempenho do seu site. Sites com bom desempenho carregam rapidamente e respondem a eventos de entrada do usuário mais depressa. [Saiba mais](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Orçamento de tempo"},
"lighthouse-core/audits/unsized-images.js | description":{message:"Defina uma largura e altura explícitas em elementos de imagem para reduzir mudanças de layout e melhorar a CLS. [Saiba mais](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Os elementos de imagem não têm `width` e `height` explícitas"},"lighthouse-core/audits/unsized-images.js | title":{message:"Os elementos de imagem têm `width` e `height` explícitas"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tipo"},"lighthouse-core/audits/user-timings.js | description":{message:"Instrumente seu app com a API User Timing para medir o desempenho real do app durante as principais experiências do usuário. [Saiba mais](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 velocidade do usuário}one{# velocidade do usuário}other{# velocidades do usuário}}"},
"lighthouse-core/audits/user-timings.js | title":{message:"Marcações e medições de User Timing"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Um `<link rel=preconnect>` foi encontrado para "{securityOrigin}", mas não foi usado pelo navegador. Verifique se você está usando o atributo `crossorigin` corretamente.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Adicione dicas de recursos de `preconnect` ou `dns-prefetch` para estabelecer conexões antecipadas a origens importantes de terceiros. [Saiba mais](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Pré-conecte às origens necessárias"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Foram encontradas mais de duas conexões `<link rel=preconnect>`. Elas precisam ser usadas com moderação e somente para as origens mais importantes."},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Um `<link rel=preconnect>` foi encontrado para "{securityOrigin}", mas não foi usado pelo navegador. Use `preconnect` apenas para origens importantes que certamente serão solicitadas pela página.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'Um `<link>` de pré-carregamento foi encontrado para "{preloadURL}", mas não foi usado pelo navegador. Verifique se você está usando o atributo `crossorigin` corretamente.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Use `<link rel=preload>` para priorizar a busca de recursos que, no momento, são solicitados posteriormente no carregamento de página. [Saiba mais](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Pré-carregue as principais solicitações"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL do mapa"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"Os mapas de origem traduzem códigos minificados para o código-fonte original. Isso ajuda desenvolvedores a depurar durante a produção. Além disso, o Lighthouse pode fornecer mais insights. Considere implantar mapas de origem para usar esses benefícios. [Saiba mais](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Mapas de origem ausentes no JavaScript principal grande"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Mapa de origem ausente do arquivo JavaScript grande"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Alerta: 1 item ausente em `.sourcesContent`}one{Alerta: # item ausente em `.sourcesContent`}other{Alerta: # itens ausentes em `.sourcesContent`}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"A página tem mapas de origem válidos"},"lighthouse-core/audits/viewport.js | description":{message:'Adicione uma tag `<meta name="viewport">` para otimizar seu app para telas de dispositivos móveis. [Saiba mais](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nenhuma tag `<meta name="viewport">` foi encontrada.'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Não há uma tag `<meta name="viewport">` com `width` ou `initial-scale` definida'},"lighthouse-core/audits/viewport.js | title":{message:'Há uma tag `<meta name="viewport">` com `width` ou `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Veja aqui oportunidades de melhorar o uso de ARIA no seu aplicativo, o que pode aprimorar a experiência dos usuários de tecnologias assistivas, como leitores de tela."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Veja aqui oportunidades de oferecer conteúdo alternativo para áudio e vídeo. Isso pode melhorar a experiência de usuários com deficiências auditivas e visuais."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Áudio e vídeo"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Esses itens destacam as práticas recomendadas comuns para acessibilidade."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Práticas recomendadas"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Essas verificações destacam oportunidades para [melhorar a acessibilidade do seu app da Web](https://developers.google.com/web/fundamentals/accessibility). Somente um subconjunto de problemas de acessibilidade pode ser detectado automaticamente, portanto, testes manuais também devem ser realizados."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Esses itens se referem a áreas que uma ferramenta de teste automatizada não pode cobrir. Saiba mais no nosso guia sobre [como realizar uma avaliação de acessibilidade](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Acessibilidade"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Veja aqui oportunidades de melhorar a legibilidade do seu conteúdo."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contraste"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Veja aqui oportunidades de melhorar a interpretação que usuários de diferentes localidades fazem do seu conteúdo."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalização e localização"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Veja aqui oportunidades de melhorar a semântica dos controles do seu aplicativo. Isso pode melhorar a experiência de usuários de tecnologias assistivas, como leitores de tela."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nomes e etiquetas"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Veja aqui oportunidades de melhorar a navegação por teclado no seu aplicativo."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navegação"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Veja aqui oportunidades para melhorar a experiência de leitura de dados em tabelas ou listas usando tecnologia adaptativa, como um leitor de tela."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabelas e listas"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilidade de navegadores"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Práticas recomendadas"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Geral"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Garantia e segurança"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Experiência do usuário"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Os orçamentos de desempenho definem padrões para o desempenho do seu site."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Orçamentos"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Mais informações sobre o desempenho do seu aplicativo. Esses números não [afetam diretamente](https://web.dev/performance-scoring/) o índice de desempenho."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnóstico"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"O aspecto de desempenho mais importante é a rapidez com que os pixels são renderizados na tela. Principais métricas: Primeiro aparecimento com conteúdo, Primeira exibição importante"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Melhorias do primeiro aparecimento"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Essas sugestões podem ajudar a acelerar o carregamento de página. Elas não [afetam diretamente](https://web.dev/performance-scoring/) o índice de desempenho."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Oportunidades"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Métricas"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Aprimore a experiência geral de carregamento, para que a página seja responsiva e esteja pronta para ser usada assim que possível. Principais métricas: Tempo até fica interativa, Índice de velocidade"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Melhorias gerais"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Desempenho"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Estas verificações validam os aspectos de um Progressive Web App. [Saiba mais](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Essas verificações são solicitadas pela [Lista de verificação de PWA](https://developers.google.com/web/progressive-web-apps/checklist) de referência, mas não são automaticamente realizadas pelo Lighthouse. Elas não afetam sua pontuação, mas é importante verificá-las manualmente."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Pode ser instalado"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Otimizado para PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Essas verificações garantem que sua página seja otimizada para a classificação dos resultados dos mecanismos de pesquisa. Existem outros fatores que o Lighthouse não verifica e que podem afetar a classificação da pesquisa. [Saiba mais](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Execute estes validadores adicionais no seu site para verificar mais práticas recomendadas de SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formate seu HTML de maneira que permita que os rastreadores entendam melhor o conteúdo do seu app."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Práticas recomendadas para conteúdo"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Para que seu app seja exibido nos resultados da pesquisa, é necessário que os rastreadores tenham acesso a ele."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Rastreamento e indexação"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Suas páginas precisam ser compatíveis com dispositivos móveis, para que o usuário não tenha que usar gestos de pinça ou zoom para ler o conteúdo. [Saiba mais](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Otimizada para dispositivos móveis"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"O dispositivo testado parece ter uma CPU mais lenta do que o esperado pelo Lighthouse. Isso pode afetar negativamente seu índice de desempenho. Saiba mais sobre [como calibrar um multiplicador de lentidão da CPU adequado](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"A página pode não ser carregada conforme esperado porque seu URL de teste ({requested}) foi redirecionado para {final}. Teste o segundo URL diretamente."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Carregamento da página lento demais para ser concluído dentro do limite de tempo. Os resultados podem estar incompletos."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Pode haver dados armazenados afetando o desempenho de carregamento neste local: {locations}. Examine esta página em uma janela anônima para evitar que esses recursos afetem suas pontuações.}one{Pode haver dados armazenados afetando o desempenho de carregamento neste local: {locations}. Examine esta página em uma janela anônima para evitar que esses recursos afetem suas pontuações.}other{Pode haver dados armazenados afetando o desempenho de carregamento nestes locais: {locations}. Examine esta página em uma janela anônima para evitar que esses recursos afetem suas pontuações.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Adicione os esquemas de URL https: e http:, ignorados por navegadores compatíveis com "strict-dynamic", para oferecer compatibilidade com versões anteriores dos navegadores.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:"O uso de disown-opener está suspenso desde a CSP3. Use o cabeçalho Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"O uso de referrer está suspenso desde a CSP2. Use o cabeçalho Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"O uso de reflected-xss está suspenso desde a CSP2. Use o cabeçalho X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'A ausência de base-uri permite a injeção de tags <base> para definir o URL base de todos os URLs relativos (como scripts) em um domínio controlado por invasores. Recomendamos definir base-uri como "none" ou "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Os elementos controlados por object-src são considerados recursos legados. Defina object-src como "none" para evitar a injeção de plug-ins que executam scripts não seguros.'},
"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"A diretiva script-src está ausente. Isso pode permitir a execução de scripts não seguros."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Você se esqueceu de usar o ponto e vírgula? {keyword} parece ser uma diretiva, não uma palavra-chave."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces precisam usar o conjunto de caracteres base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Os nonces precisam ter pelo menos oito caracteres."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"O destino do relatório só é configurado pela diretiva report-to, que é compatível apenas com navegadores baseados no Chromium. Por isso, é recomendado usar também uma diretiva report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"Nenhuma CSP configura um destino de relatório. Isso dificulta a manutenção da CSP ao longo do tempo e o monitoramento de falhas."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'As listas de permissões de host podem ser frequentemente ignoradas. Use "strict-dynamic" junto a nonces ou hashes da CSP.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Diretiva desconhecida da CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Parece que {keyword} é uma palavra-chave inválida."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'"unsafe-inline" permite a execução de scripts não seguros na página, além de manipuladores de eventos. Use os nonces ou hashes de CSP para permitir scripts individualmente.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:'Adicione "unsafe-inline", ignorado por navegadores compatíveis com nonces/hashes, para oferecer compatibilidade com versões anteriores dos navegadores.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tempo de bloqueio da linha de execução principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Cache TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descrição"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Duração"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Elemento"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementos com falha"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Localização"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nome"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Acima do orçamento"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Solicitações"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Tamanho do recurso"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tipo de recurso"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Tamanho"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Fonte"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Horário de início"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Tempo gasto"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Tamanho da transferência"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Possível economia"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Possível economia"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Possível economia de {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 elemento encontrado}one{# elemento encontrado}other{# elementos encontrados}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Possível economia de {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Documento"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Primeira exibição importante"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Fonte"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Imagem"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Alto"},
"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Baixo"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Médio"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Possível latência máxima na primeira entrada"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Mídia"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Outro"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Outros recursos"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{
message:"Folha de estilo"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Terceiros"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Ocorreu um erro com a gravação dos rastros no carregamento de página. Execute o Lighthouse novamente. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Tempo limite atingido ao aguardar a conexão inicial do protocolo do depurador."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"O Chrome não coletou nenhuma captura de tela durante o carregamento de página. Verifique se há conteúdo visível na página e execute o Lighthouse novamente. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Os servidores DNS não resolveram o domínio fornecido."},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"O coletor {artifactName} obrigatório encontrou um erro: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Ocorreu um erro interno do Chrome. Reinicie o Chrome e tente executar o Lighthouse novamente."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"O coletor {artifactName} obrigatório não foi executado."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"A página não desenhou nenhum conteúdo. Mantenha a janela do navegador em primeiro plano durante o carregamento e tente novamente. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"A página fornecida não é HTML (exibida como Tipo MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Esta versão do Chrome é antiga demais para ser compatível com "{featureName}". Use uma versão mais recente para ver resultados completos.'},
"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"O Lighthouse não carregou de maneira confiável a página solicitada. Verifique se você está testando o URL correto e se o servidor está respondendo de forma adequada a todas as solicitações."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"O Lighthouse não carregou de maneira confiável o URL solicitado, porque a página parou de responder."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"O URL informado não tem um certificado de segurança válido. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"O Chrome impediu o carregamento da página com um intersticial. Verifique se você está testando o URL correto e se o servidor está respondendo de forma adequada a todas as solicitações."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{
message:"O Lighthouse não carregou de maneira confiável a página solicitada. Verifique se você está testando o URL correto e se o servidor está respondendo de forma adequada a todas as solicitações. (Detalhes: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"O Lighthouse não carregou de maneira confiável a página solicitada. Verifique se você está testando o URL correto e se o servidor está respondendo de forma adequada a todas as solicitações. (Código de status: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"A página demorou muito para ser carregada. Siga as oportunidades no relatório para diminuir o tempo de carregamento da página, depois execute o Lighthouse novamente. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"A espera pela resposta do protocolo DevTools excedeu o tempo limite. (Método: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{
message:"A busca de conteúdo de recursos excedeu o tempo limite"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"O URL informado parece ser inválido."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tudo"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Todos os scripts"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Cobertura"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Módulos duplicados"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bytes de recursos"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nome"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Alternar tabela"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Bytes não usados"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{
message:"Para conteúdo animado, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) para reduzir o uso da CPU quando o conteúdo estiver fora da tela."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Considere exibir todos os componentes [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) em formatos WebP ao especificar um substituto apropriado para outros navegadores. [Saiba mais](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Verifique se você está usando [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) para imagens que são carregadas lentamente. [Saiba mais](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Use ferramentas como o [Otimizador de AMP](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) para [renderizar layouts de AMP no servidor](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consulte a [documentação de AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) para garantir que todos os estilos sejam compatíveis."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"O componente [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) é compatível com o atributo [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) para especificar quais recursos de imagem serão usados com base no tamanho da tela. [Saiba mais](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Considere a rolagem virtual com o Component Dev Kit (CDK) se listas muito grandes estiverem sendo renderizadas. [Saiba mais](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Aplique a [divisão de código no nível da rota](https://web.dev/route-level-code-splitting-in-angular/) para reduzir o tamanho dos pacotes JavaScript. Além disso, considere armazenar os ativos em cache com antecedência com o [service worker Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Se você estiver usando a CLI Angular, garanta que as versões sejam geradas no modo de produção. [Saiba mais](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Se você estiver usando a CLI Angular, inclua mapas de origem no build de produção para inspecionar seus pacotes. [Saiba mais](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Pré-carregue rotas com antecedência para agilizar a navegação. [Saiba mais](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Considere usar o utilitário `BreakpointObserver` no Component Dev Kit (CDK) para gerenciar pontos de interrupção da imagem. [Saiba mais](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Faça upload do seu GIF para um serviço que o disponibilizará para incorporação como um vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Especifique `@font-display` ao definir fontes personalizadas no seu tema."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Instale e configure [um módulo para aproveitar imagens no formato WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) no seu site. Esses módulos geram automaticamente uma versão WebP das imagens enviadas por upload para otimizar o tempo de carregamento."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instale [um módulo Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) que possa carregar imagens lentamente. Esses módulos oferecem a capacidade de adiar qualquer imagem fora da tela para melhorar o desempenho."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Use um módulo para CSS e JavaScript in-line essenciais ou carregue recursos de forma assíncrona via JavaScript, como o módulo [Agregação CSS/JS avançada](https://www.drupal.org/project/advagg). As otimizações oferecidas por esse módulo podem corromper seu site, então é provável que você precise fazer modificações no código."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Todas as especificações de servidor, temas e módulos contribuem para o tempo de resposta do servidor. Recomendamos que você use um tema mais otimizado, selecionando cuidadosamente um módulo de otimização e/ou fazendo upgrade do seu servidor. Seu servidor de hospedagem precisa usar armazenamento em cache com código de operação PHP, memória cache para reduzir o tempo de consulta de banco de dados, como no Redis ou Memcached, além de otimizar a aplicação lógica para preparar as páginas mais rapidamente."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:'Use [Estilo de Imagem Responsiva](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) para reduzir o tamanho das imagens carregadas na sua página. Se estiver usando "Visualização" para mostrar vários conteúdos em uma página, implemente a paginação para limitar o número de itens mostrados em uma determinada página.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'Não esqueça de ativar o "Agregar documentos CSS" na página "Administração » Configurações » Desenvolvimento". É possível também configurar opções de agregação mais avançadas pelos [módulos adicionais](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) para acelerar seu site por concatenação, minificação, e compactação dos estilos CSS.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Não esqueça de ativar "Agregar documentos JavaScript" na página "Administração » Configurações » Desenvolvimento". É possível também configurar opções de agregação mais avançadas pelos [módulos adicionais](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) para acelerar seu site por concatenação, minificação, e compactação dos recursos JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Remova as regras não utilizadas do CSS e anexe apenas as bibliotecas Drupal necessárias para a página ou para o componente da página. Veja o [link do documento Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para mais detalhes. Para identificar bibliotecas anexas que estão adicionando CSS externo, execute a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. É possível identificar o tema/módulo responsável pelo URL da folha de estilo quando a agregação do CSS está desativada no seu site Drupal. Procure temas/módulos que tenham muitas folhas de estilo na lista, apresentando um nível alto de vermelho na cobertura do código. Um tema/módulo só deverá colocar uma folha de estilo na fila se ela for realmente usada na página."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Remova os recursos não utilizados do JavaScript e anexe apenas as bibliotecas Drupal necessárias para a página ou para o componente da página. Consulte o [link do documento Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) para ver mais detalhes. Para identificar bibliotecas anexas que estão adicionando JavaScript externo, execute a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. É possível identificar o tema/módulo responsável pelo URL do script quando a agregação do JavaScript está desativada no seu site Drupal. Procure temas/módulos que tenham muitos scripts na lista, apresentando um nível alto de vermelho na cobertura do código. Um tema/módulo só deverá colocar um script na fila se ele realmente for usado na página."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Configure o "Idade máxima para cache de navegador e proxy" na página "Administração » Configurações » Desenvolvimento". Leia sobre [cache Drupal e otimização de performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Use [um módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) que automaticamente otimiza e reduz o tamanho das imagens enviadas pelo site sem afetar a qualidade. Não esqueça de usar o [Estilo de Imagens Responsivas](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) original fornecido pelo Drupal (disponível no Drupal 8 e mais recentes) para todas imagens renderizadas no site."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Dicas de recursos pré-conexão ou pré-busca em DNS podem ser adicionadas instalando e configurando [um módulo](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) que fornece facilidade para as dicas de recursos do user agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Não esqueça de usar o [Estilo de Imagens Responsivas](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) original fornecido pelo Drupal (disponível no Drupal 8 e mais recentes). Use o Estilo de Imagens Responsivas quando renderizar campos de imagem pelo modo de visualização, ou imagens enviadas pelo editor WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Faça upload do seu GIF para um serviço que o disponibilizará para incorporação como um vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Use um [plug-in](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ou serviço que converta automaticamente as imagens enviadas nos formatos ideais."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instale um [plug-in de carregamento lento do Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), que permite adiar imagens fora da tela, ou alterne para um modelo que ofereça essa funcionalidade. A partir do Joomla 4.0, todas as novas imagens receberão o atributo `loading` [automaticamente](https://github.com/joomla/joomla-cms/pull/30748) do núcleo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Existem vários plug-ins do Joomla que podem ajudar você a [aplicar inline a recursos essenciais](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ou [adiar recursos menos importantes](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). As otimizações oferecidas por esses plug-ins podem corromper os recursos dos seus modelos ou dos plug-ins, então será necessário testá-los cuidadosamente."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Todas as especificações de servidor, módulos e extensões contribuem para o tempo de resposta do servidor. Recomendamos que você use um módulo mais otimizado, selecionando cuidadosamente uma extensão de otimização e/ou fazendo upgrade do seu servidor."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Recomendamos que você mostre trechos nas suas categorias de artigo (por exemplo, pelo link "saiba mais"), reduza o número de artigos exibidos em uma determinada página, divida postagens longas em várias páginas ou use um plug-in para aplicar carregamento lento nos comentários.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Várias [extensões Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) podem acelerar seu site concatenando, reduzindo e compactando seus estilos css. Há também modelos que fornecem essa função."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Várias [extensões Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) podem acelerar seu site concatenando, reduzindo e compactando seus scripts. Há também modelos que fornecem essa função."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Troque ou reduza o número de [extensões Joomla](https://extensions.joomla.org/) que carregam CSS não utilizado na sua página. Para identificar extensões que estão adicionando CSS externo, execute a [cobertura do código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. Você pode identificar o tema/plug-in responsável no URL da folha de estilo. Procure plug-ins que tenham muitas folhas de estilo na lista, apresentando um nível alto de vermelho na cobertura do código. Um plug-in só deverá colocar uma folha de estilo na fila se ela for realmente utilizada na página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Troque ou reduza o número de [extensões Joomla](https://extensions.joomla.org/) que carregam JavaScript não utilizado na sua página. Para identificar plug-ins que estão adicionando JS externo, execute a [cobertura do código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. É possível identificar a extensão responsável no URL do script. Procure extensões que tenham muitos scripts na lista, apresentando um nível alto de vermelho na cobertura do código. Uma extensão só deverá colocar um script na fila se ele realmente for utilizado na página."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Leia sobre o [Processo de cache do navegador no Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Use um [plug-in para otimização de imagens](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), que as compacta sem afetar a qualidade."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Use o [plug-in de imagens responsivas](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) para utilizá-las no seu conteúdo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"É possível ativar a compactação de texto ao ativar Compactação de Página Gzip em Joomla (Sistema > Configuração Global > Servidor)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Se você não estiver agrupando os ativos JavaScript, considere usar [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Desative recursos de [compilação JavaScript e minificação](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrados da Magento e considere usar [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Especifique `@font-display` ao [definir fontes personalizadas](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Considere procurar no [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) por uma variedade de extensões de terceiros para aproveitar formatos de imagem mais recentes."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Considere modificar seus modelos de produto e catálogo para usar o recurso de [carregamento lento](https://web.dev/native-lazy-loading) da plataforma da Web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Use a [integração de Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) da Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Ative a opção "Reduzir arquivos CSS" nas configurações de desenvolvedor da loja. [Saiba mais](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Use [Terser](https://www.npmjs.com/package/terser) para reduzir todos os recursos JavaScript da implantação de conteúdo estático e desative o recurso de minificação integrada."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Desative a [compilação JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) integrada da Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Considere procurar no [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) por uma variedade de extensões de terceiros para otimizar imagens."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Dicas de recursos pré-conexão ou pré-busca em DNS podem ser adicionadas [modificando o layout de um tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"As tags `<link rel=preload>` podem ser adicionadas [modificando o layout de um tema](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Substitua GIFs animados por vídeos](https://web.dev/replace-gifs-with-videos/) para acelerar o carregamento de páginas da Web e considere usar formatos de arquivo modernos, como [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ou [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), para melhorar a eficiência de compactação em mais de 30% em relação ao codec de vídeo mais avançado atualmente, o VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Use um [plug-in](https://octobercms.com/plugins?search=image) ou serviço que converterá automaticamente as imagens enviadas para os formatos ideais. [Imagens WebP sem perdas](https://developers.google.com/speed/webp) são 26% menores que as imagens PNG e 25% a 34% menores que as JPEG, com índices de qualidade SSIM equivalentes. Outro possível formato de imagem da última geração é [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Instale um [plug-in de carregamento lento de imagens](https://octobercms.com/plugins?search=lazy) que permite adiar imagens fora da tela, ou alterne para um tema que ofereça essa funcionalidade. Também recomendamos o uso do [plug-in de AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Existem vários plug-ins que ajudam [recursos essenciais in-line](https://octobercms.com/plugins?search=css) a funcionar melhor. Esses plug-ins podem corromper outros, então teste-os cuidadosamente."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Todas as especificações de servidor, temas e plug-ins contribuem para o tempo de resposta do servidor. Recomendamos usar um tema mais otimizado, selecionando cuidadosamente um plug-in de otimização e/ou fazendo o upgrade do servidor. O CMS de outubro também permite que os desenvolvedores usem [`Queues`](https://octobercms.com/docs/services/queues) para adiar o processamento de tarefas que levam muito tempo, como o envio de um e-mail. Isso acelera drasticamente as solicitações da Web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Recomendamos que você mostre trechos nas listas de postagem (por exemplo, com o botão `show more`), reduza o número de postagens exibidas em uma determinada página da Web, divida postagens longas em várias páginas ou use um plug-in para aplicar o carregamento lento nos comentários."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Há vários [plug-ins](https://octobercms.com/plugins?search=css) que podem acelerar um site por concatenação, minificação e compactação de estilos. É possível acelerar o desenvolvimento usando um processo de compilação para fazer essa minificação antecipadamente."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Há vários [plug-ins](https://octobercms.com/plugins?search=javascript) que podem acelerar um site por concatenação, minificação e compactação de scripts. É possível acelerar o desenvolvimento usando um processo de compilação para fazer essa minificação antecipadamente."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Revise os [plug-ins](https://octobercms.com/plugins) que carregam CSS não utilizado no site. Para identificar os plug-ins que adicionam CSS desnecessário, execute a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. Identifique o tema/plug-in responsável no URL da folha de estilo. Procure plug-ins com muitas folhas de estilo que tenham várias marcações em vermelho na cobertura de código. Um plug-in só precisa adicionar uma folha de estilo se ela for usada na página da Web."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"Revise os [plug-ins](https://octobercms.com/plugins?search=javascript) que carregam JavaScript não utilizado na página da Web. Para identificar os plug-ins que adicionam JavaScript desnecessário, execute a [cobertura de código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. Identifique o tema/plug-in responsável no URL do script. Procure plug-ins com muitos scripts que tenham várias marcações em vermelho na cobertura de código. Um plug-in só precisa adicionar um script se ele for usado na página da Web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Leia sobre [como impedir solicitações de rede desnecessárias com o cache HTTP](https://web.dev/http-cache/#caching-checklist). Há vários [plug-ins](https://octobercms.com/plugins?search=Caching) que podem ser usados para acelerar o armazenamento em cache."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Use um [plug-in para otimização de imagens](https://octobercms.com/plugins?search=image) para compactá-las sem afetar a qualidade."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Faça upload de imagens diretamente no gerenciador de mídia para garantir que os tamanhos de imagem necessários estejam disponíveis. Use o [filtro de redimensionamento](https://octobercms.com/docs/markup/filter-resize) ou um [plug-in de redimensionamento de imagem](https://octobercms.com/plugins?search=image) para garantir que os tamanhos de imagem ideais sejam usados."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Ativar a compactação de texto na configuração do servidor da Web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Use uma biblioteca "em janelas", como `react-window`, para minimizar o número de nós DOM criados se você estiver renderizando muitos elementos repetidos na página. [Saiba mais](https://web.dev/virtualize-long-lists-react-window/). Além disso, reduza novas renderizações desnecessárias usando [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ou [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) e [efeitos para pular](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) somente até que algumas dependências tenham sido mudadas se você estiver usando o hook `Effect` para melhorar o desempenho durante a execução.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Se você estiver usando React Router, reduza o uso do componente `<Redirect>` para [navegações de rota](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Se você estiver renderizando componentes do React no servidor, considere usar `renderToNodeStream()` ou `renderToStaticNodeStream()` para permitir que o cliente receba e hidrate diferentes partes da marcação em vez de todas juntas. [Saiba mais](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Caso seu sistema de compilação reduza os arquivos CSS automaticamente, verifique se você está implantando o build de produção do seu app. Você pode verificar isso com a extensão de Ferramentas para Desenvolvedores do React. [Saiba mais](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Caso seu sistema de compilação reduza os arquivos JS automaticamente, verifique se você está implantando o build de produção do seu app. Você pode verificar isso com a extensão de Ferramentas para Desenvolvedores do React. [Saiba mais](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Se você não estiver renderizando no servidor, [divida os pacotes JavaScript](https://web.dev/code-splitting-suspense/) com `React.lazy()`. Caso contrário, divida o código usando uma biblioteca de terceiros como [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Use o React DevTools Profiler, que usa a API Profiler, para medir o desempenho de renderização dos componentes. [Saiba mais.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Faça upload do seu GIF para um serviço que o disponibilizará para incorporação como um vídeo HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Use um [plug-in](https://wordpress.org/plugins/search/convert+webp/) ou serviço que converta automaticamente as imagens enviadas nos formatos ideais."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instale um [plug-in de carregamento lento do WordPress](https://wordpress.org/plugins/search/lazy+load/), que permite adiar imagens fora da tela, ou alterne para um tema que ofereça essa funcionalidade. Também recomendamos o uso do [plug-in de AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Existem vários plug-ins do WordPress que podem ajudar você a [aplicar inline a recursos essenciais](https://wordpress.org/plugins/search/critical+css/) ou [adiar recursos menos importantes](https://wordpress.org/plugins/search/defer+css+javascript/). As otimizações oferecidas por esses plug-ins podem corromper os recursos do tema ou dos seus plug-ins, então é provável que você precise fazer alterações no código."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Todas as especificações de servidor, temas e plug-ins contribuem para o tempo de resposta do servidor. Recomendamos que você use um tema mais otimizado, selecionando cuidadosamente um plug-in de otimização e/ou fazendo upgrade do seu servidor."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:'Recomendamos que você mostre trechos nas suas listas de postagem (por exemplo, por meio da tag "mais"), reduza o número de postagens exibidas em uma determinada página, divida suas postagens longas em várias páginas ou use um plug-in para aplicar lazy-load nos comentários.'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Vários [plug-ins do WordPress](https://wordpress.org/plugins/search/minify+css/) podem acelerar seu site concatenando, reduzindo e compactando seus estilos. Você também pode usar um processo de compilação para fazer essa redução antecipadamente, se possível."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Vários [plug-ins do WordPress](https://wordpress.org/plugins/search/minify+javascript/) podem acelerar seu site concatenando, reduzindo e compactando seus scripts. Você também pode usar um processo de compilação para fazer essa redução antecipadamente, se possível."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Reduza ou troque o número de [plug-ins do WordPress](https://wordpress.org/plugins/) que carregam CSS não utilizado na sua página. Para identificar plug-ins que estão adicionando CSS externo, execute a [cobertura do código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. Você pode identificar o tema/plug-in responsável a partir do URL da folha de estilo. Procure plug-ins que tenham muitas folhas de estilo na lista, apresentando um nível alto de vermelho na cobertura do código. Um plug-in só deverá colocar uma folha de estilo na fila se ela for realmente utilizada na página."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Reduza ou troque o número de [plug-ins do WordPress](https://wordpress.org/plugins/) que carregam JavaScript não utilizado na sua página. Para identificar plug-ins que estão adicionando JS externo, execute a [cobertura do código](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) no Chrome DevTools. Você pode identificar o tema/plug-in responsável a partir do URL do script. Procure plug-ins que tenham muitos scripts na lista, apresentando um nível alto de vermelho na cobertura do código. Um plug-in só deverá colocar um script na fila se ele for realmente usado na página."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Leia sobre o [Processo de cache do navegador no WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Use um [plug-in do WordPress para otimização de imagens](https://wordpress.org/plugins/search/optimize+images/), que as compacta sem afetar a qualidade."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Faça upload de imagens diretamente por meio da [biblioteca de mídia](https://wordpress.org/support/article/media-library-screen/) para garantir que os tamanhos de imagem necessários estejam disponíveis. Depois, insira-os na biblioteca de mídia ou use o widget de imagem para garantir que os tamanhos ideais sejam usados (incluindo aqueles para os pontos de interrupção responsivos). Evite usar imagens `Full Size`, a não ser que as dimensões sejam adequadas para uso. [Saiba mais](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Você pode ativar a compactação de texto na configuração do servidor da Web."},
"report/renderer/util.js | calculatorLink":{message:"Ver calculadora."},"report/renderer/util.js | crcInitialNavigation":{message:"Navegação inicial"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latência máxima do caminho crítico:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copiar JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Alternar tema escuro"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Caixa de diálogo de impressão expandida"},"report/renderer/util.js | dropdownPrintSummary":{message:"Imprimir resumo"},"report/renderer/util.js | dropdownSaveGist":{message:"Salvar como Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Salvar como HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Salvar como JSON"},"report/renderer/util.js | dropdownViewer":{message:"Abrir no visualizador"},"report/renderer/util.js | errorLabel":{message:"Erro!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Informar erro: nenhuma informação de auditoria"},"report/renderer/util.js | footerIssue":{message:"Arquivar um problema"},"report/renderer/util.js | labDataTitle":{message:"Dados de laboratório"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Análise do [Lighthouse](https://developers.google.com/web/tools/lighthouse/) da página atual em uma rede móvel emulada. Os valores são estimados e podem variar."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Outros itens para verificação manual"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Não aplicável"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Oportunidade"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Economia estimada"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Auditorias aprovadas"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Área de trabalho emulada"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 emulado"},"report/renderer/util.js | runtimeNoEmulation":{message:"Sem emulação"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versão Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Energia da CPU/memória"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitação de CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispositivo"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Horário da busca"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitação de rede"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Configurações de ambiente de execução"},"report/renderer/util.js | runtimeSettingsUA":{message:"User agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User agent (rede)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Desconhecida"},"report/renderer/util.js | showRelevantAudits":{message:"Mostrar auditorias relevantes para:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Recolher snippet"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Expandir snippet"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Mostrar recursos de terceiros"},"report/renderer/util.js | throttlingProvided":{message:"Fornecido pelo ambiente"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Alguns problemas afetaram esta execução do Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Os valores são estimados e podem variar. O [índice de desempenho é calculado](https://web.dev/performance-scoring/) diretamente por essas métricas."},"report/renderer/util.js | viewTreemapLabel":{message:"Ver Treemap"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Passou nas auditorias, mas como avisos"},"report/renderer/util.js | warningHeader":{message:"Avisos: "}}},{}],131:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Tastele de acces permit utilizatorilor să focalizeze rapid o parte a paginii. Pentru o navigare corectă, fiecare tastă de acces trebuie să fie unică. [Află mai multe](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Valorile `[accesskey]` nu sunt unice"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Valorile `[accesskey]`sunt unice"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Fiecare `role` ARIA acceptă un anumit subset de atribute `aria-*`. Nepotrivirea acestora anulează atributele `aria-*`. [Află mai multe](https://web.dev/aria-allowed-attr/)."},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atributele `[aria-*]` nu se potrivesc cu rolurile"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atributele `[aria-*]` se potrivesc cu rolurile"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Când un element nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementele `button`, `link` și `menuitem` nu au nume accesibile."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementele `button`, `link` și `menuitem` au nume accesibile"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Tehnologiile de asistare, precum cititoarele de ecran, funcționează inconsecvent atunci când `aria-hidden="true"` este setat pentru documentul `<body>`. [Află mai multe](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` există în documentul `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` nu există în documentul `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Descendenții focalizabili dintr-un element `[aria-hidden="true"]` împiedică disponibilitatea elementelor interactive respective pentru utilizatorii tehnologiilor de asistare, cum ar fi cititoarele de ecran. [Află mai multe](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Elementele `[aria-hidden="true"]` conțin descendenți focalizabili'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Elementele `[aria-hidden="true"]` nu conțin descendenți focalizabili'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Când un câmp de introducere nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Câmpurile de introducere pentru ARIA nu au nume accesibile"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Câmpurile de introducere pentru ARIA au nume accesibile"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Când un element nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Elementele ARIA `meter` nu au nume accesibile."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Elementele ARIA `meter` au nume accesibile"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Când un element `progressbar` nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Elementele ARIA `progressbar` nu au nume accesibile."},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Elementele ARIA `progressbar` au nume accesibile"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Unele roluri ARIA au atribute obligatorii care descriu starea elementului cititoarelor de ecrane. [Află mai multe](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` nu au toate atributele `[aria-*]` necesare"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` au toate atributele `[aria-*]` obligatorii"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Unele roluri ARIA principale trebuie să conțină roluri secundare specifice pentru a-și îndeplini funcțiile de accesibilitate pentru care au fost concepute. [Află mai multe](https://web.dev/aria-required-children/)."},
"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Din elementele unui rol ARIA `[role]` care impun ca elementele secundare să conțină un anumit element `[role]` lipsește unul sau toate elementele secundare necesare respective."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementele unui rol ARIA `[role]` care impun ca elementele secundare să conțină un anumit element `[role]` includ toate elementele secundare necesare."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Unele roluri ARIA secundare trebuie să fie conținute de roluri principale specifice pentru a-și îndeplini corect funcțiile de accesibilitate pentru care au fost concepute. [Află mai multe](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` nu sunt conținute de elementul părinte impus"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` sunt conținute de elementul părinte impus"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Rolurile ARIA trebuie să aibă valori valide pentru a-și îndeplini funcțiile de accesibilitate pentru care au fost concepute. [Află mai multe](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Valorile `[role]` nu sunt valide"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Valorile `[role]` sunt valide"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Când un câmp de comutare nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Câmpurile de comutare pentru ARIA nu au nume accesibile"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Câmpurile de comutare pentru ARIA au nume accesibile"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Când un element nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Elementele ARIA `tooltip` nu au nume accesibile."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Elementele ARIA `tooltip` au nume accesibile"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Când un element nu are un nume accesibil, cititoarele de ecran îl anunță cu o denumire generică, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Elementele ARIA `treeitem` nu au nume accesibile."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Elementele ARIA `treeitem` au nume accesibile"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Tehnologiile care asigură asistență, precum cititoarele de ecran, nu pot interpreta atributele ARIA cu valori nevalide. [Află mai multe](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atributele `[aria-*]` nu au valori valide"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"Atributele `[aria-*]` au valori valide"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Tehnologiile care oferă asistență, precum cititoarele de ecran, nu pot interpreta atributele ARIA cu nume nevalide. [Află mai multe](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atributele `[aria-*]` sunt nevalide sau scrise greșit"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atributele `[aria-*]` sunt valide și nu sunt scrise greșit"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elemente cu probleme"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Când un buton nu are un nume accesibil, cititoarele de ecran îl anunță ca „buton”, făcându-l inutil pentru utilizatorii care se bazează pe cititoarele de ecran. [Află mai multe](https://web.dev/button-name/)."},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Butoanele nu au un nume accesibil"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Butoanele au un nume accesibil"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Dacă adaugi modalități de a ocoli conținutul repetitiv, utilizatorii tastaturii vor naviga pe pagină mai eficient. [Află mai multe](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Această pagină nu conține un titlu, un link de închidere sau o regiune de reper"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Pagina conține un titlu, un link de închidere sau o regiune de reper"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Textul cu un contrast redus este dificil sau imposibil de citit pentru mulți utilizatori. [Află mai multe](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Culorile din fundal și din prim-plan nu au un raport de contrast suficient."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Culorile din fundal și din prim-plan au un raport de contrast suficient"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Când listele de definiții nu sunt marcate corect, cititoarele de ecran pot produce un rezultat derutant sau inexact. [Află mai multe](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` nu conțin doar grupurile `<dt>` și `<dd>` ordonate corect, `<script>`, `<template>` sau elementele `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` conțin doar grupurile `<dt>` și `<dd>` ordonate corect, `<script>`, `<template>` sau elemente `<div>`."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Elementele din lista de definiții (`<dt>` și `<dd>`) trebuie grupate într-un element principal `<dl>` pentru a se asigura că cititoarele de ecran le pot anunța corect. [Află mai multe](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Elementele din lista de definiții nu sunt incluse în elementele `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Elementele din lista de definiții sunt incluse în elementele `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Titlul le oferă utilizatorilor de cititoare de ecran o prezentare generală a paginii, iar utilizatorii de motoare de căutare îl folosesc intensiv pentru a stabili dacă o pagină este relevantă pentru căutarea lor. [Află mai multe](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{
message:"Documentul nu are un element `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Documentul are un element `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Toate elementele focalizabile trebuie să aibă un `id` unic ca să fie vizibile pentru tehnologiile de asistare. [Află mai multe](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atributele `[id]` ale elementelor focalizabile active nu sunt unice"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Atributele `[id]` ale elementelor focalizabile active sunt unice"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Valoarea unui ID ARIA trebuie să fie unică pentru a preveni omiterea altor instanțe de tehnologiile de asistare. [Află mai multe](https://web.dev/duplicate-id-aria/)."},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ID-urile ARIA nu sunt unice"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ID-urile ARIA sunt unice"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Câmpurile de formular cu etichete multiple pot fi anunțate în mod derutant de tehnologiile de asistare, precum cititoarele de ecran care folosesc prima, ultima sau toate etichetele. [Află mai multe](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Câmpurile de formular au etichete multiple"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Niciun câmp de formular nu are etichete multiple"},"lighthouse-core/audits/accessibility/frame-title.js | description":{
message:"Utilizatorii cititoarelor de ecran se bazează pe titlurile cadrelor pentru a descrie conținutul cadrelor. [Află mai multe](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Elementele `<frame>` sau `<iframe>` nu au un titlu"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementele `<frame>` sau `<iframe>` au un titlu"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Titlurile ordonate corect care nu omit niveluri preiau structura semantică a paginii, simplificând navigarea și înțelegerea atunci când se folosesc tehnologii de asistare. [Află mai multe](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Elementele titlului nu apar în ordine descrescătoare succesivă"},"lighthouse-core/audits/accessibility/heading-order.js | title":{
message:"Elementele titlului apar în ordine descrescătoare succesivă"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Dacă o pagină nu specifică un atribut de limbă, cititorul de ecran presupune că pagina este în limba prestabilită pe care utilizatorul a ales-o când a configurat cititorul de ecran. Dacă pagina nu este în limba prestabilită, atunci cititorul de ecran este posibil să nu citească corect textul paginii. [Află mai multe](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Elementul `<html>` nu are un atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Elementul `<html>` are un atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Indicarea unei etichete de [limbă BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) valide ajută cititoarele de ecran să anunțe corect textul. [Află mai multe](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Elementul `<html>` nu are o valoare validă pentru atributul `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Elementul `<html>` are o valoare validă pentru atributul `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Elementele informative ar trebui să conțină texte alternative descriptive scurte. Elementele decorative pot fi ignorate cu un atribut Alt gol. [Află mai multe](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Elementele imaginii nu au atribute `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{
message:"Elementele imagine au atribute `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Când o imagine este folosită ca buton `<input>`, furnizarea unui text alternativ poate ajuta utilizatorii cititorului de ecran să înțeleagă scopul butonului. [Află mai multe](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elementele `<input type="image">` nu au text `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementele `<input type="image">` au text `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etichetele asigură că opțiunile formularelor sunt anunțate corect de tehnologiile care asigură asistență, precum cititoarele de ecran. [Află mai multe](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Elementele formularului nu au etichete asociate"},
"lighthouse-core/audits/accessibility/label.js | title":{message:"Elementele formularului au etichete asociate"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Textul linkurilor (și textul alternativ pentru imagini, când sunt folosite ca linkuri) care se poate distinge, unic și pe care se poate focaliza, îmbunătățește navigarea pentru utilizatorii de cititoare de ecran. [Află mai multe](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Linkurile nu au un nume care se poate distinge"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Linkurile au un nume care se poate distinge"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Cititoarele de ecran au un anumit mod de anunțare a listelor. Asigurarea unei structuri corecte a listei îmbunătățește rezultatele cititorului de ecran. [Află mai multe](https://web.dev/list/)."},
"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Listele nu conțin doar elemente `<li>` și elemente pe care se bazează scriptul (`<script>` și `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Listele conțin doar elemente `<li>` și elemente pe care se bazează scriptul (`<script>` și `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Cititoarele de ecran necesită ca elementele din listă (`<li>`) să fie conținute într-un element principal `<ul>` sau `<ol>` pentru a fi anunțate corect. [Află mai multe](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Elementele din listă (`<li>`) nu sunt incluse în elementele principale `<ul>` sau `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Elementele din listă (`<li>`) sunt conținute în elementele principale `<ul>` sau `<ol>`"},
"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Utilizatorii nu se așteaptă ca o pagină să se actualizeze automat, iar dacă ei actualizează, focalizarea se va muta din nou în partea de sus a paginii. Acest lucru poate crea frustrare sau confuzie. [Află mai multe](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Documentul folosește `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Documentul nu folosește `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Dezactivarea măririi sau micșorării este o problemă pentru utilizatorii cu vedere slabă, care se bazează pe mărirea ecranului pentru a vedea bine conținutul unei pagini web. [Află mai multe](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]` este folosit în elementul `<meta name="viewport">` sau atributul `[maximum-scale]` este mai mic decât 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` nu se folosește în elementul `<meta name="viewport">` și atributul `[maximum-scale]` nu este mai mic decât 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Cititoarele de ecran nu pot traduce conținut în alt format decât text. Adăugarea de text alternativ la elementele `<object>` ajută cititoarele de ecran să le transmită utilizatorilor înțelesul. [Află mai multe](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elementele `<object>` nu au text `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementele `<object>` au text `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"O valoare mai mare decât 0 implică o ordine explicită de navigare. Deși valid din punct de vedere tehnic, acest lucru creează adesea frustrări utilizatorilor care se bazează pe tehnologii care oferă asistență. [Află mai multe](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Unele elemente au o valoare `[tabindex]` mai mare decât 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Niciun element nu are o valoare `[tabindex]` mai mare decât 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Cititoarele de ecran au funcții care facilitează navigarea în tabele. Dacă se asigură că celulele `<td>` care folosesc atributul `[headers]` se referă doar la alte celule din același tabel, se poate îmbunătăți experiența pentru utilizatorii de cititoare de ecran. [Află mai multe](https://web.dev/td-headers-attr/)."},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Celulele dintr-un element `<table>` care folosesc atributul `[headers]` se referă la un element `id` care nu se găsește în același tabel."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Celulele dintr-un element `<table>` care folosesc atributul `[headers]` se referă la celule ale aceluiași tabel."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Cititoarele de ecran au funcții care facilitează navigarea în tabele. Dacă se asigură că antetele tabelelor se referă întotdeauna la unele seturi de celule, se poate îmbunătăți experiența pentru utilizatorii de cititoare de ecran. [Află mai multe](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elementele `<th>` și elementele cu `[role="columnheader"/"rowheader"]` nu au celule de date pe care să le descrie.'},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Elementele `<th>` și elementele cu `[role="columnheader"/"rowheader"]` au celule de date pe care le descriu.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Indicarea unei etichete de [limbă BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) valide la elemente ajută la pronunțarea corectă a textului de un cititor de ecran. [Află mai multe](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atributele `[lang]` nu au o valoare validă"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atributele `[lang]` au o valoare validă"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"Când un videoclip are subtitrare, este mai simplu pentru utilizatorii surzi și cu dizabilități de auz să îi acceseze informațiile. [Află mai multe](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elementele `<video>` nu conțin un element `<track>` cu `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementele `<video>` conțin un element `<track>` cu `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Pentru un aspect ideal în iOS atunci când utilizatorii adaugă o aplicație web progresivă în ecranul de pornire, definește o `apple-touch-icon`. Aceasta trebuie să indice spre un PNG pătrat netransparent, de 192 px (sau 180 px). [Află mai multe](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Nu oferă o `apple-touch-icon` validă"},
"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` este învechit; se preferă `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Oferă o `apple-touch-icon` validă"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Valoare actuală"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Indicativ sugerat"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` ajută utilizatorii să trimită mai repede formulare. Ca să reduci efortul utilizatorilor, setează atributul `autocomplete` la o valoare validă și activează funcția. [Află mai multe](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` elemente nu au atributele`autocomplete` corecte"},"lighthouse-core/audits/autocomplete.js | manualReview":{
message:"Necesită examinare manuală"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Verifică ordinea indicativelor"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` elemente folosesc corect `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Indicative de `autocomplete`: „{token}” nu este valid în {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Verifică ordinea indicativelor: „{tokens}” în {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Extensiile Chrome au afectat performanța de încărcare a acestei pagini. Încearcă să auditezi pagina în modul incognito sau dintr-un profil Chrome fără extensii."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Evaluarea scripturilor"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Analizarea scripturilor"},"lighthouse-core/audits/bootup-time.js | columnTotal":{
message:"Timp CPU total"},"lighthouse-core/audits/bootup-time.js | description":{message:"Poți reduce timpul petrecut cu analizarea, compilarea și executarea JS. Livrarea unor sarcini JS mai mici poate ajuta în acest sens. [Află mai multe](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Redu timpul de execuție JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Timpul de executare JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Elimină modulele JavaScript dublate și mari din grupuri pentru a reduce consumul inutil de byți prin activitatea din rețea. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Elimină modulele dublură din grupurile JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"GIF-urile mari nu sunt eficiente pentru difuzarea conținutului animat. Folosește videoclipuri MPEG4/WebM pentru animații și PNG/WebP pentru imagini statice în locul GIF-urilor ca să economisești date în rețea. [Află mai multe](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Folosește formate video pentru conținut animat"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Polyfillurile și transformările fac posibilă folosirea noilor funcții JavaScript în browserele vechi. Însă pentru browserele moderne, majoritatea nu sunt necesare. Pentru grupul tău JavaScript, adoptă o strategie modernă de implementare a scriptului, care folosește detectarea funcțiilor module/nomodule, pentru a reduce volumul de cod transferat în browserele moderne și a menține totodată compatibilitatea cu browserele vechi. [Află mai multe](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Nu folosi o versiune veche de JavaScript în browsere moderne"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Formatele de imagine ca JPEG 2000, JPEG XR și WebP oferă adesea o comprimare mai bună decât PNG sau JPEG, ceea ce înseamnă descărcări mai rapide și mai puțin consum de date. [Află mai multe](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Difuzează imagini în formate moderne"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Poți încărca lent imaginile ascunse sau pe cele din afara ecranului după ce toate resursele esențiale s-au încărcat, pentru a micșora timpul până la interactivitate. [Află mai multe](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Amână imaginile din afara ecranului"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Resursele blochează prima redare a paginii. Poți să livrezi conținutul JS/CSS esențial inline și să amâni toate elementele JS/stilurile neesențiale. [Află mai multe](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Elimină resursele care blochează redarea"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Sarcinile mari de rețea îi costă pe utilizatori și sunt corelate cu timpi de încărcare îndelungați. [Află mai multe](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Dimensiunea totală a fost de {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Evită sarcinile uriașe de rețea"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Evită sarcinile uriașe de rețea"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Comprimarea fișierelor CSS poate reduce dimensiunea sarcinilor de rețea. [Află mai multe](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Comprimă codul CSS"},
"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Comprimarea fișierelor JavaScript poate reduce dimensiunea sarcinilor și timpul de analizare a scripturilor. [Află mai multe](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Comprimă codul JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Redu regulile nefolosite din foile de stil și amână codul CSS nefolosit pentru conținutul din partea superioară a paginii ca să reduci numărul de byți consumați de activitatea în rețea. [Află mai multe](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Redu conținutul CSS nefolosit"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Redu codul JavaScript nefolosit și amână încărcarea scripturilor până când sunt necesare ca să reduci numărul de byți consumați de activitatea în rețea. [Află mai multe](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Redu codul JavaScript nefolosit"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"O durată lungă a memoriei cache poate grăbi accesările repetate ale paginii. [Află mai multe](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{o resursă găsită}few{# resurse găsite}other{# de resurse găsite}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Difuzează elementele statice cu o politică eficientă de stocare în memoria cache"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{
message:"Folosește o politică eficientă de stocare în memoria cache pentru elementele statice"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Imaginile optimizate se încarcă mai repede și consumă mai puține date mobile. [Află mai multe](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Codifică eficient imaginile"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Difuzează imagini de dimensiuni corespunzătoare ca să economisești date mobile și să obții o încărcare mai rapidă. [Află mai multe](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Dimensionează corect imaginile"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Resursele bazate pe text trebuie comprimate (gzip, deflate sau brotli) pentru a minimiza numărul total de byți în rețea. [Află mai multe](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Activează comprimarea textului"},"lighthouse-core/audits/content-width.js | description":{message:"Dacă lățimea conținutului aplicației nu se potrivește cu lățimea ariei vizibile, este posibil ca aplicația să nu fie optimizată pentru ecrane mobile. [Află mai multe](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Aria vizibilă de {innerWidth} px nu corespunde cu dimensiunea ferestrei, de {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Conținutul nu este dimensionat corect pentru aria vizibilă"},"lighthouse-core/audits/content-width.js | title":{message:"Conținutul este dimensionat corect pentru aria vizibilă"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"Lanțurile de solicitări esențiale de mai jos îți arată ce resurse sunt încărcate cu prioritate ridicată. Poți să reduci lungimea lanțurilor, să reduci dimensiunea de descărcare a resurselor sau să amâni descărcarea de resurse inutile pentru a îmbunătăți încărcarea paginilor. [Află mai multe](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{un lanț găsit}few{# lanțuri găsite}other{# de lanțuri găsite}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Evită legarea solicitărilor critice"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Directivă"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Severitate"},"lighthouse-core/audits/csp-xss.js | description":{
message:"O politică eficientă privind securitatea conținutului (CSP) reduce semnificativ riscul de atacuri de tip cross-site scripting (XSS). [Află mai multe](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaxă"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Pagina conține o politică CSP definită într-o etichetă <meta>. Îți recomandăm să definești CSP într-un antet HTTP, dacă este posibil."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Nu s-a găsit nicio politică CSP în modul de aplicare"},"lighthouse-core/audits/csp-xss.js | title":{message:"Asigură-te că politica CSP este eficientă împotriva atacurilor de tip XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Renunțare la dezvoltare/Avertisment"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Rând"},"lighthouse-core/audits/deprecations.js | description":{
message:"API-urile învechite vor fi eliminate, în final, din browser. [Află mai multe](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{A fost identificat un avertisment}few{Au fost identificate # avertismente}other{Au fost identificate # de avertismente}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Folosește API-uri învechite"},"lighthouse-core/audits/deprecations.js | title":{message:"Evită API-urile învechite"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Memoria cache a aplicației este învechită. [Află mai multe](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Am găsit „{AppCacheManifest}”"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Folosește memoria cache de aplicație"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Evită memoria cache a aplicației"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Este necesară o declarație privind codificarea caracterelor. Aceasta se poate face folosind o etichetă `<meta>` în primii 1.024 de byți din HTML sau în antetul de răspuns Content-Type din HTTP. [Află mai multe](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Declarația privind setul de caractere lipsește sau apare prea târziu în HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Setează corespunzător setul de caractere"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Specificarea unui doctype împiedică browserul să treacă la modul caracteristici speciale. [Află mai multe](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Numele doctype trebuie să fie șirul cu litere mici `html`"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Documentul trebuie să conțină un doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Se aștepta ca publicId să fie un șir gol"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Se aștepta ca systemId să fie un șir gol"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Pagina nu are doctype HTML, așadar declanșează modul caracteristici speciale"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Pagina are doctype HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistică"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Valoare"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Un DOM mare va crește folosirea memoriei și va produce [calcule de stil](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) mai lungi și [rearanjări ale aspectului](https://developers.google.com/speed/articles/reflow) costisitoare. [Află mai multe](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}few{# elemente}other{# de elemente}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Evită o dimensiune DOM excesivă"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Adâncimea DOM maximă"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Numărul total de elemente DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Numărul maxim de elemente subordonate"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Evită o dimensiune DOM excesivă"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Ancore cu probleme"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Adaugă `rel="noopener"` sau `rel="noreferrer"` la orice linkuri externe pentru a îmbunătăți rezultatele și a preveni vulnerabilitățile de securitate. [Află mai multe](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Linkurile spre destinații cu mai multe origini sunt nesigure"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Linkurile spre destinații cu mai multe origini sunt sigure"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nu se poate determina destinația pentru ancora ({anchorHTML}). Dacă nu se folosește ca hyperlink, elimină target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Utilizatorii nu au încredere sau sunt derutați de site-urile care le solicită locația fără context. Asociază solicitarea cu o acțiune a utilizatorilor. [Află mai multe](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Solicită permisiunea de localizare geografică la încărcarea paginii"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Evită solicitarea permisiunii de localizare geografică la încărcarea paginii"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tipul problemei"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problemele înregistrate în panoul `Issues` din Chrome DevTools indică probleme nerezolvate. Acestea pot fi provocate de erorile de solicitare din rețea, măsurile de securitate insuficiente și de alte probleme ale browserului. Deschide panoul Probleme în Chrome DevTools pentru mai multe detalii despre fiecare problemă."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problemele au fost înregistrate în panoul `Issues` din Chrome DevTools"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blocată de politica privind sursele multiple"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Anunțurile folosesc intensiv resursele"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Nu există probleme în panoul `Issues` din Chrome DevTools"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Versiune"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Toate bibliotecile JavaScript front-end detectate în pagină. [Află mai multe](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Biblioteci JavaScript detectate"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Pentru utilizatorii cu conexiuni lente, scripturile externe injectate dinamic prin `document.write()` pot întârzia încărcarea paginilor cu zeci de secunde. [Află mai multe](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Evită `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Evită `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Cea mai mare severitate"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{
message:"Versiunea bibliotecii"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Numărul de vulnerabilități"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Unele scripturi terță parte pot conține vulnerabilități de securitate cunoscute, ușor de identificat și de exploatat de atacatori. [Află mai multe](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{O vulnerabilitate detectată}few{# vulnerabilități detectate}other{# de vulnerabilități detectate}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Include bibliotecile JavaScript front-end cu vulnerabilități de securitate cunoscute"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Evită bibliotecile JavaScript front-end cu vulnerabilități de securitate cunoscute"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Utilizatorii nu au încredere sau sunt derutați de site-urile care solicită să trimită notificări fără context. Asociază solicitarea cu gesturile utilizatorilor. [Află mai multe](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Solicită permisiunea de notificare la încărcarea paginii"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Evită solicitarea permisiunii de notificare la încărcarea paginii"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Împiedicarea inserării parolelor subminează buna politică de securitate. [Află mai multe](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{
message:"Împiedică utilizatorii să insereze în câmpurile pentru parole"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Permite-le utilizatorilor să insereze în câmpurile pentru parole"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protocol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 oferă multe beneficii față de HTTP/1.1, inclusiv antete binare și anunțuri multiplex. [Află mai multe](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{O solicitare nu a fost difuzată prin HTTP/2}few{# solicitări nu au fost difuzate prin HTTP/2}other{# de solicitări nu au fost difuzate prin HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Folosește HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Poți marca funcțiile de procesare a evenimentelor prin atingere sau derulare `passive` pentru a îmbunătăți capacitatea de derulare a paginii. [Află mai multe](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Nu folosește ascultători pasivi pentru a îmbunătăți performanța la derulare"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Folosește ascultători pasivi pentru a îmbunătăți performanța la derulare"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Erorile înregistrate pe consolă indică probleme nerezolvate Acestea pot fi provocate de erorile de solicitare din rețea și de alte probleme ale browserului. [Află mai multe](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"S-au înregistrat erori de browser pe consolă"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"Nu s-a înregistrat nicio eroare de browser pe consolă"},"lighthouse-core/audits/font-display.js | description":{message:"Poți folosi funcția CSS de afișare a fonturilor pentru a verifica dacă textul este vizibil pentru utilizatori în timp ce se încarcă fonturile web. [Află mai multe](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Asigură-te că textul rămâne vizibil în timpul încărcării fonturilor web"},"lighthouse-core/audits/font-display.js | title":{message:"Tot textul rămâne vizibil în timpul încărcării fonturilor web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse nu a putut verifica automat valoarea `font-display` pentru originea {fontOrigin}.}few{Lighthouse nu a putut verifica automat valorile `font-display` pentru originea {fontOrigin}.}other{Lighthouse nu a putut verifica automat valorile `font-display` pentru originea {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Raport de dimensiuni (real)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Raport de dimensiuni (afișat)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Dimensiunile de afișare a imaginilor trebuie să se potrivească raportului natural de dimensiuni. [Află mai multe](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Afișează imaginile cu rapoarte de dimensiuni incorecte"},"lighthouse-core/audits/image-aspect-ratio.js | title":{
message:"Afișează imaginile cu rapoarte de dimensiuni corecte"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Dimensiunea reală"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Dimensiunea afișată"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Dimensiunea așteptată"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Dimensiunile naturale ale imaginii trebuie să fie proporționale cu dimensiunea afișajului și cu raportul de pixeli, pentru a maximiza claritatea imaginii. [Află mai multe](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Difuzează imagini cu rezoluție mică"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Difuzează imagini cu rezoluția corectă"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplicația este deja instalată"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Nu s-a putut descărca o pictogramă necesară din manifest"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Motivul erorii"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker este tehnologia care îi dă aplicației posibilitatea să folosească mai multe funcții de aplicații web progresive, cum ar fi cele offline, adăugarea în ecranul de pornire și notificările push. În urma implementării corecte a service workerului și a manifestului, browserele le pot solicita proactiv utilizatorilor să adauge aplicația pe ecranele de pornire, lucru care poate duce la o implicare mai mare. [Află mai multe](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{Un motiv}few{# motive}other{# de motive}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Manifestul aplicației web sau service workerul nu îndeplinesc cerințele de instalare"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Adresa URL a aplicației din Magazinul Play și codul din Magazinul Play nu corespund"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Pagina este încărcată într-o fereastră incognito"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Proprietatea „display” din manifest trebuie să fie „standalone”, „fullscreen” sau „minimal-ui”"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifestul conține câmpul „display_override” și primul mod de afișare acceptat trebuie să fie „standalone”, „fullscreen” sau „minimal-ui”"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifestul nu a putut fi preluat, este gol sau nu a putut fi analizat"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Adresa URL a manifestului s-a schimbat în timpul preluării manifestului."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifestul nu conține câmpul „name” sau „short_name”"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifestul nu conține o pictogramă potrivită. Este necesară o pictogramă în format PNG, SVG sau WebP, de minimum {value0} px, care să aibă atributul „dimensiuni” setat și, dacă are atributul „scop” setat, acesta trebuie să includă „oricare”."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Nicio pictogramă adăugată nu întrunește următoarele cerințe: minimum {value0} px, pătrată, în format PNG, SVG sau WebP, cu atributul scop nesetat sau setat la „oricare”."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{
message:"Pictograma descărcată este goală sau deteriorată"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nu s-a indicat niciun cod din Magazinul Play"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Pagina nu include adresa URL <link> a manifestului"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nu s-a detectat niciun service worker care corespunde. Poate fi necesar să reîncarci pagina sau să verifici dacă aria de acoperire a service workerului pentru pagina actuală include aria de acoperire și adresa URL inițială din manifest."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Nu s-a putut verifica service workerul fără câmpul „start_url” în manifest"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Codul „{errorId}” al erorii legate de instalare nu este recunoscut"},
"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Pagina nu este difuzată dintr-o sursă sigură"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Pagina nu este încărcată în cadrul principal"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Pagina nu funcționează offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Platforma aplicației indicată nu este acceptată pe Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifestul are proprietatea prefer_related_applications activată"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Proprietatea prefer_related_applications este acceptată numai în Chrome Beta și pe canale stabile de pe Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{
message:"Adresa URL inițială a manifestului nu este validă"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifestul aplicației web și service workerul nu îndeplinesc cerințele de instalare"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"O adresă URL din manifest conține un nume de utilizator, o parolă sau un port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Pagina nu funcționează offline. Pagina nu va fi considerată instalabilă după lansarea versiunii stabile Chrome 93, în august 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Permisă"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blocată"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Adresă URL nesigură"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Soluționarea solicitărilor"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Toate site-urile trebuie protejate cu HTTPS, chiar și cele care nu gestionează date sensibile. Acest lucru presupune evitarea [conținutului mixt](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), pentru care unele resurse se încarcă prin HTTP, deși solicitarea inițială a fost trimisă prin HTTPS. HTTPS împiedică persoanele străine să modifice sau să asculte pasiv comunicațiile dintre aplicația ta și utilizatori, fiind o cerință obligatorie pentru HTTP/2 și multe API-uri noi pentru platformele web. [Află mai multe](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{S-a găsit o solicitare nesigură}few{S-au găsit # solicitări nesigure}other{S-au găsit # de solicitări nesigure}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Nu folosește HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Folosește HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Actualizată automat la HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Permisă cu avertisment"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliotecă"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Bibliotecile JavaScript mari pot duce la performanțe slabe. Alege biblioteci mai mici, echivalente funcțional, pentru a reduce dimensiunea grupului. [Află mai multe](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{A fost găsită o bibliotecă mare}few{Au fost găsite # biblioteci mari}other{Au fost găsite # de biblioteci mari}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Înlocuiește bibliotecile JavaScript inutil de mari"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Evită bibliotecile JavaScript mari cu alternative mai mici"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Acesta este cel mai mare element de conținut redat în aria vizibilă. [Află mai multe](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Elementul cu cea mai mare redare de conținut"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Contribuția la CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Aceste elemente DOM contribuie cel mai mult la schimbarea cumulată a aspectului paginii."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Evită schimbările majore ale aspectului"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Afișează cele mai îndelungate activități din firul principal, ceea ce este util pentru identificarea elementelor care contribuie cel mai mult la întârziere. [Află mai multe](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{A fost identificată # activitate îndelungată}few{Au fost identificate # activități îndelungate}other{Au fost identificate # de activități îndelungate}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Evită activitățile îndelungate în firul principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Categorie"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Poți reduce timpul petrecut cu analizarea, compilarea și executarea JS. Livrarea unor sarcini JS mai mici poate ajuta în acest sens. [Află mai multe](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimizează procesarea firului principal"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimizează procesarea firului principal"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Ca să se adreseze cât mai multor utilizatori, site-urile trebuie să funcționeze în toate browserele importante. [Află mai multe](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Site-ul funcționează pe orice browser"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Asigură-te că se pot crea linkuri directe către pagini individuale prin adresa URL și că adresele URL sunt unice, pentru a putea fi trimise în rețelele sociale. [Află mai multe](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{
message:"Fiecare pagină are o adresă URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Tranzițiile trebuie să aibă loc repede atunci când atingi ecranul, chiar și în rețele lente. Această experiență este esențială pentru performanța percepută de utilizator. [Află mai multe](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Tranzițiile de pagini nu par să blocheze rețeaua"},"lighthouse-core/audits/maskable-icon.js | description":{message:"O pictogramă care poate fi mascată asigură faptul că imaginea umple întreaga formă, fără a fi convertită în format letterbox la instalarea unei aplicații pe un dispozitiv. [Află mai multe](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifestul nu are o pictogramă care poate fi mascată"},"lighthouse-core/audits/maskable-icon.js | title":{
message:"Manifestul are o pictogramă care poate fi mascată"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Schimbarea cumulată a aspectului măsoară deplasarea elementelor vizibile în aria vizibilă. [Află mai multe](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Prima redare de conținut arată momentul când se redă primul text sau prima imagine. [Află mai multe](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Prima redare semnificativă arată momentul când este vizibil conținutul principal al unei pagini. [Află mai multe](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Timpul până la interactivitate este timpul necesar pentru ca pagina să devină complet interactivă. [Află mai multe](https://web.dev/interactive/)."},
"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Cea mai mare redare de conținut semnalează momentul în care este redat cel mai mare text sau cea mai mare imagine. [Află mai multe](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Timpul maxim potențial de la prima interacțiune cu care utilizatorii se pot confrunta este durata celei mai lungi activități. [Află mai multe](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Indexul de viteză arată cât de repede se completează vizibil conținutul unei pagini. [Află mai multe](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Suma tuturor perioadelor de timp dintre FCP și Timpul până la interactivitate, când lungimea activității a depășit 50 ms, exprimate în milisecunde. [Află mai multe](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Durata pingului în rețea (RTT) are impact important asupra performanței. Dacă RTT către o origine este mare, înseamnă că serverele mai apropiate de utilizator pot îmbunătăți performanța. [Află mai multe](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Durata pingului în rețea"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Latențele serverului pot influența rezultatele pe web. Dacă latența serverului unei origini este mare, înseamnă că serverul este supraîncărcat sau are performanțe slabe în backend. [Află mai multe](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},
"lighthouse-core/audits/network-server-latency.js | title":{message:"Latențe ale backendului serverului"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Evenimentul `unload` nu se declanșează într-un mod fiabil și ascultarea lui poate împiedica optimizări de browser cum ar fi Back-Forward Cache. Îți recomandăm să folosești evenimentele `pagehide` sau `visibilitychange`. [Află mai multe](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Înregistrează un listener `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Evită funcțiile de procesare a evenimentelor `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animațiile care nu sunt compuse pot fi dificile și pot spori CLS. [Află mai multe](https://web.dev/non-composited-animations)"},
"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{A fost găsit # element animat}few{Au fost găsite # elemente animate}other{Au fost găsite # de elemente animate}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Proprietatea legată de filtre poate muta pixelii"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Ținta are altă animație, care este incompatibilă"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Efectul are alt mod compus decât „înlocuiește”"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Evită animațiile necompuse"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Proprietatea legată de transformare depinde de dimensiunea pachetului"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Proprietate CSS neacceptată: {properties}}few{Proprietăți CSS neacceptate: {properties}}other{Proprietăți CSS neacceptate: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efectul are parametri de temporizare neacceptați"},"lighthouse-core/audits/performance-budget.js | description":{message:"Păstrează cantitatea și dimensiunea solicitărilor din rețea sub obiectivele stabilite de bugetul de performanță solicitat. [Află mai multe](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{O solicitare}few{# solicitări}other{# de solicitări}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Buget de performanță"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Preîncarcă fonturile `optional` pentru ca vizitatorii noi să le poată folosi. [Află mai multe](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fonturile cu `font-display: optional` nu sunt preîncărcate"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Fonturile cu `font-display: optional` sunt preîncărcate"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Preîncarcă imaginea folosită de elementul LCP pentru a-ți îmbunătăți timpul LCP. [Află mai multe](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Preîncarcă imaginea Largest Contentful Paint"},"lighthouse-core/audits/redirects-http.js | description":{message:"Dacă ai configurat deja HTTPS, redirecționează tot traficul HTTP spre HTTPS, ca să activezi funcțiile web sigure pentru toți utilizatorii. [Află mai multe](https://web.dev/redirects-http/)."},
"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Nu redirecționează traficul HTTP spre HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Redirecționează traficul HTTP spre HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Redirecționările introduc întârzieri suplimentare înainte ca pagina să se poată încărca. [Află mai multe](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Evită mai multe redirecționări ale paginii"},"lighthouse-core/audits/resource-summary.js | description":{message:"Ca să setezi bugetele pentru cantitatea și dimensiunea resurselor de pagină, adaugă un fișier budget.json. [Află mai multe](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{O solicitare • {byteCount, number, bytes} KiB}few{# solicitări • {byteCount, number, bytes} KiB}other{# de solicitări • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Păstrează numărul de solicitări scăzut și dimensiunea transferurilor redusă"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Linkurile canonice sugerează care adresă URL să se afișeze în rezultatele căutării. [Află mai multe](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Mai multe adrese URL incompatibile ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Indică spre alt domeniu ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Adresă URL nevalidă ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Indică spre altă locație `hreflang` ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Adresa URL relativă ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Direcționează către adresa URL a rădăcinii domeniului (pagina principală), nu către o pagină de conținut echivalentă"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Documentul nu are un `rel=canonical` valid"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Documentul are un `rel=canonical` valid"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Linkul nu poate fi accesat cu crawlere"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Motoarele de căutare pot folosi atribute `href` în linkuri pentru a accesa site-uri cu crawlere. Asigură-te că atributul `href` al elementelor ancoră trimite către o destinație corespunzătoare, pentru a descoperi mai multe pagini din site. [Află mai multe](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Linkurile nu pot fi accesate cu crawlere"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Linkurile pot fi accesate cu crawlere"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Text suplimentar ilizibil"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Dimensiunea fontului"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% din textul paginii"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selector"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Dimensiunile fontului mai mici de 12 pixeli sunt prea mici pentru a putea fi citite, iar utilizatorii de dispozitive mobile trebuie să „ciupească pentru zoom” pentru a citi. Încearcă să ai peste 60 % din textul paginii cu font ≥12 px. [Află mai multe](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"Text lizibil {decimalProportion, number, extendedPercent}"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Textul nu este lizibil deoarece nu există nicio metaetichetă viewport optimizată pentru ecranele dispozitivelor mobile."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Documentul nu folosește dimensiuni de fonturi lizibile"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Text lizibil"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Documentul folosește dimensiuni de font lizibile"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Linkurile hreflang spun motoarelor de căutare ce versiune a unei pagini să înregistreze în rezultatele căutării pentru o limbă sau regiune dată. [Află mai multe](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Document nu are un `hreflang` valid"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Valoare href relativă"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Documentul are un `hreflang` valid"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Cod de limbă neașteptat"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Este posibil ca paginile cu Coduri de stare HTTP nefuncționale să nu fie indexate corect. [Află mai multe](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Pagina are Cod de stare HTTP nefuncțional"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Pagina are Cod de stare HTTP funcțional"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Motoarele de căutare nu pot include paginile în rezultatele căutării dacă nu au permisiunea de a le accesa cu crawlere. [Află mai multe](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Indexarea este blocată pentru pagină"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Indexarea nu este blocată pentru pagină"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Textul descriptiv al linkului ajută motoarele de căutare să înțeleagă conținutul. [Află mai multe](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{S-a găsit un link}few{S-au găsit # linkuri}other{S-au găsit # de linkuri}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Linkurile nu au text descriptiv"},
"lighthouse-core/audits/seo/link-text.js | title":{message:"Linkurile au text descriptiv"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Rulează [Instrumentul de testare pentru date structurate](https://search.google.com/structured-data/testing-tool/) și [Structured Data Linter](http://linter.structured-data.org/) pentru a valida datele structurate. [Află mai multe](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Datele structurate sunt valide"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Metadescrierile pot fi incluse în rezultatele căutării pentru a rezuma conținutul paginii. [Află mai multe](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Textul de descriere nu este completat."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Documentul nu are o metadescriere"},
"lighthouse-core/audits/seo/meta-description.js | title":{message:"Documentul are o metadescriere"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Motoarele de căutare nu pot indexa conținutul pluginurilor și multe dispozitive restricționează pluginurile sau nu le acceptă. [Află mai multe](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Documentul folosește pluginuri"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Documentul evită pluginurile"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Dacă fișierul robots.txt este deteriorat, este posibil ca aplicațiile crawler să nu poată înțelege cum vrei să fie site-ul tău accesat cu crawlere sau indexat. [Află mai multe](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Cererea pentru robots.txt a returnat starea HTTP: {statusCode}"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{A fost identificată o eroare}few{Au fost identificate # erori}other{Au fost identificate # de erori}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse nu a putut să descarce un fișier robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Fișierul robots.txt nu este valid"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Fișierul robots.txt este valid"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Elementele interactive, precum butoanele și linkurile, trebuie să fie suficient de mari (48x48 px) și să aibă suficient spațiu în jurul lor, pentru a fi ușor de atins, fără a se suprapune peste alte elemente. [Află mai multe](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{
message:"{decimalProportion, number, percent} direcționări ale atingerilor au mărimea corectă"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Direcționările atingerilor sunt prea mici, deoarece nu există o metaetichetă Viewport optimizată pentru ecranele dispozitivelor mobile"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Direcționările atingerilor nu sunt dimensionate corect"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Direcționarea se suprapune"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Direcționarea atingerii"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Direcționările atingerilor sunt dimensionate corect"},"lighthouse-core/audits/server-response-time.js | description":{
message:"Menține o durată scurtă de răspuns de la server pentru documentul principal, deoarece toate celelalte solicitări depind de acest lucru. [Află mai multe](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Documentul rădăcină a avut nevoie de {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Redu durata inițială de răspuns de la server"},"lighthouse-core/audits/server-response-time.js | title":{message:"Durata inițială de răspuns de la server a fost scurtă"},"lighthouse-core/audits/service-worker.js | description":{message:"Service worker este tehnologia care îi permite aplicației să folosească mai multe funcții de aplicații web progresive, cum ar fi cele offline, adăugarea în ecranul de pornire și notificările push. [Află mai multe](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"Pagina este controlată de un service worker, dar nu s-a găsit niciun `start_url`, deoarece manifestul nu s-a putut analiza ca un JSON valid"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Pagina este controlată de un service worker, dar `start_url` ({startUrl}) nu este în aria de acoperire a acestuia ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Pagina este controlată de un service worker, dar nu s-a găsit un `start_url`, deoarece nu s-a preluat niciun manifest."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Această origine are unul sau mai multe elemente service worker, însă pagina ({pageUrl}) nu este în aria de acoperire."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Nu înregistrează un service worker care să controleze pagina și `start_url`"},"lighthouse-core/audits/service-worker.js | title":{
message:"Înregistrează un service worker care să controleze pagina și `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Un ecran de întâmpinare tematic asigură o experiență de calitate atunci când utilizatorii lansează aplicația din ecranele de pornire. [Află mai multe](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nu este configurat pentru un ecran de întâmpinare personalizat"},"lighthouse-core/audits/splash-screen.js | title":{message:"Configurat pentru un ecran de întâmpinare personalizat"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Bara de adrese din browser poate avea o temă ce corespunde cu site-ul tău. [Află mai multe](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Nu setează o culoare tematică pentru bara de adrese."},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"Setează o culoare tematică pentru bara de adrese."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Asistență pentru clienți)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Rețele sociale)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produs"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Unele încorporări terță parte se pot încărca lent. Îți recomandăm să le înlocuiești cu o fațadă până când devin necesare. [Află mai multe](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# alternativă de fațadă disponibilă}few{# alternative de fațadă disponibile}other{# de alternative de fațadă disponibile}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Unele resurse terță parte se pot încărca lent cu ajutorul unei fațade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Încarcă lent resursele terță parte folosind fațade"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Terță parte"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Codul terță parte poate influența semnificativ performanța de încărcare. Limitează numărul de furnizori terță parte redundanți și încearcă să încarce cod terță parte după ce pagina a terminat încărcarea de bază. [Află mai multe](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},
"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Codul terță parte a blocat firul principal pentru {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Redu impactul codului de la terți"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimalizează folosirea terțelor părți"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Cuantificare"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Valoare"},"lighthouse-core/audits/timing-budget.js | description":{message:"Stabilește un buget pentru durată ca să urmărești performanța site-ului. Site-urile performante se încarcă rapid și răspund rapid la evenimentele de intervenție a utilizatorului. [Află mai multe](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Buget pentru durată"},
"lighthouse-core/audits/unsized-images.js | description":{message:"Setează lățimea și înălțimea explicite pentru elementele imagine, ca să reduci modificările de aspect și să îmbunătățești CLS. [Află mai multe](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Elementele imagine nu au `width` și `height` explicite"},"lighthouse-core/audits/unsized-images.js | title":{message:"Elementele imagine au `width` și `height` explicite"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tip"},"lighthouse-core/audits/user-timings.js | description":{message:"Îți poți îmbunătăți aplicația cu API-ul User Timing ca să măsori performanța reală a acesteia în timpul experiențelor de utilizare principale. [Află mai multe](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{
message:"{itemCount,plural, =1{o durată a utilizării}few{# durate ale utilizărilor}other{# de durate ale utilizărilor}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Mărci și dimensiuni pentru Duratele utilizărilor"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"S-a găsit un `<link rel=preconnect>` pentru „{securityOrigin}” dar browserul nu l-a folosit. Verifică dacă folosești corect atributul `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Adaugă indicii de resurse `preconnect` sau `dns-prefetch` pentru a crea conexiunile inițiale la originile terță parte importante. [Află mai multe](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Preconectează la originile necesare"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{
message:"S-au găsit mai mult de două conexiuni `<link rel=preconnect>`. Acestea trebuie folosite cu măsură și numai pentru cele mai importante origini."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"S-a găsit un `<link rel=preconnect>` pentru „{securityOrigin}” dar browserul nu l-a folosit. Folosește `preconnect` doar pentru originile importante, pe care pagina le va solicita cu siguranță."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"S-a găsit un `<link>` preîncărcat pentru „{preloadURL}” dar browserul nu l-a folosit. Verifică dacă folosești corect atributul `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Poți folosi `<link rel=preload>` ca să acorzi prioritate preluării resurselor care sunt momentan solicitate mai târziu la încărcarea paginii. [Află mai multe](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{
message:"Preîncarcă solicitările importante"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Adresa URL a hărții"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Hărțile sursă traduc codul comprimat în codul sursă inițial. Astfel, dezvoltatorii pot să remedieze erorile în producție. În plus, Lighthouse poate oferi statistici suplimentare. Implementează hărțile sursă ca să profiți de aceste beneficii. [Află mai multe](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Lipsesc hărțile sursă pentru codul JavaScript primar mare"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Fișierului JavaScript mare îi lipsește o hartă sursă"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Avertisment: lipsește un element din `.sourcesContent`}few{Avertisment: lipsesc # elemente din `.sourcesContent`}other{Avertisment: lipsesc # de elemente din `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Pagina are hărți sursă valide"},"lighthouse-core/audits/viewport.js | description":{message:'Adaugă o etichetă `<meta name="viewport">` ca să-ți optimizezi aplicația pentru ecranele mobile. [Află mai multe](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nu s-a găsit nicio etichetă `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nu are o etichetă `<meta name="viewport">` cu `width` sau `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Are o etichetă `<meta name="viewport">` cu `width` sau `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"Acestea sunt oportunități de a îmbunătăți utilizarea ARIA în aplicație, lucru care poate îmbunătăți experiența pentru utilizatorii tehnologiei care asigură asistență, precum un cititor de ecran."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Acestea sunt oportunități de a oferi conținut secundar audio și video. Astfel se poate îmbunătăți experiența utilizatorilor cu deficiențe de auz sau de vedere."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Audio și video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Aceste elemente evidențiază cele mai bune practici privind accesibilitatea."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Cele mai bune practici"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Aceste verificări evidențiază oportunitățile pentru a [îmbunătăți accesibilitatea aplicației web](https://developers.google.com/web/fundamentals/accessibility). Doar un subset de probleme de accesibilitate pot fi detectate automat, astfel încât se recomandă și testarea manuală."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Aceste elemente se adresează zonelor pe care un instrument de testare automată nu le poate acoperi. Află mai multe din ghidul nostru despre [realizarea unei evaluări a accesibilității](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Accesibilitate"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Acestea sunt oportunități de a-ți îmbunătăți lizibilitatea conținutului."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Contrast"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Acestea sunt oportunități de a îmbunătăți interpretarea conținutului tău de utilizatori, în diferite coduri locale."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internaționalizare și localizare"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Acestea sunt oportunități de a îmbunătăți semantica opțiunilor de control din aplicația ta. Astfel se poate îmbunătăți experiența utilizatorilor de tehnologii care asigură asistență, precum un cititor de ecran."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nume și etichete"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Acestea sunt oportunități de a îmbunătăți navigarea pe tastatură în aplicația ta."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigare"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Acestea sunt oportunități de a îmbunătăți experiența citirii datelor din tabele sau din liste folosind tehnologia care asigură asistență, cum ar fi un cititor de ecran."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabele și liste"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Compatibilitatea browserului"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Cele mai bune practici"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"General"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Încredere și siguranță"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Experiența utilizatorului"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Bugetele de performanță stabilesc standarde pentru performanța site-ului."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Bugete"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Mai multe informații despre performanța aplicației tale. Numerele nu [influențează direct](https://web.dev/performance-scoring/) Scorul de performanță."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnosticare"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Cel mai important aspect al performanței este cât de repede se redau pixelii pe ecran. Valori cheie: prima redare de conținut, prima redare semnificativă"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Îmbunătățirile pentru prima redare"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Aceste sugestii îți pot face pagina să se încarce mai repede. Ele nu [influențează direct](https://web.dev/performance-scoring/) scorul de performanță."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Oportunități"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Valori"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Îmbunătățește experiența globală de încărcare, astfel ca pagina să se afișeze și să fie gata de utilizare cât mai curând posibil. Valori cheie: timpul până la interactivitate, indexul de viteză"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Îmbunătățiri generale"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performanță"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Aceste verificări validează aspectele unei aplicații web progresive. [Află mai multe](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Aceste verificări sunt impuse de [Lista de verificare PWA](https://developers.google.com/web/progressive-web-apps/checklist) de referință, dar nu sunt verificate automat de Lighthouse. Ele nu-ți afectează scorul, dar e important să fie făcute manual."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Aplicație web progresivă"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Poate fi instalat"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimizat pentru PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Aceste verificări asigură că pagina este optimizată pentru poziționarea în rezultatele motorului de căutare. Există alți factori pe care Lighthouse nu îi verifică și care pot afecta poziția în rezultatele căutării. [Află mai multe](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Rulează acești validatori suplimentari pe site pentru a căuta alte recomandări SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatează codul HTML în așa fel încât crawlerele să înțeleagă mai bine conținutul aplicației."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Cele mai bune practici privind conținutul"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Pentru a apărea în rezultatele căutării, crawlerele trebuie să îți acceseze aplicația."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Accesarea cu crawlere și indexarea"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Asigură-te că paginile sunt create pentru dispozitivele mobile, pentru ca utilizatorii să nu trebuiască să ciupească sau să mărească pentru a citi paginile conținutului. [Află mai multe](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Pentru dispozitivele mobile"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Se pare că dispozitivul testat are un CPU mai lent decât prevede Lighthouse. Aceasta poate afecta negativ scorul de performanță. Află mai multe despre [calibrarea unui multiplicator corespunzător pentru încetinirea CPU-ului](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Este posibil ca pagina să nu se încarce conform așteptărilor, deoarece adresa URL de testare ({requested}) a fost redirecționată spre {final}. Încearcă să testezi direct a doua adresă URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Pagina s-a încărcat prea lent pentru a respecta limita de timp. Rezultatele pot fi incomplete."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Este posibil să existe date stocate care afectează performanța de încărcare în următoarea locație: {locations}. Verifică pagina într-o fereastră incognito pentru a împiedica resursele să îți afecteze scorurile.}few{Este posibil să existe date stocate care afectează performanța de încărcare în următoarele locații: {locations}. Verifică pagina într-o fereastră incognito pentru a împiedica resursele să îți afecteze scorurile.}other{Este posibil să existe date stocate care afectează performanța de încărcare în următoarele locații: {locations}. Verifică pagina într-o fereastră incognito pentru a împiedica resursele să îți afecteze scorurile.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Îți recomandăm să adaugi scheme de adrese URL https: și http: (ignorate de browserele care acceptă strict-dynamic) pentru retrocompatibilitatea cu browsere mai vechi."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:"Directiva disown-opener este învechită începând cu versiunea CSP3. Folosește antetul Cross-Origin-Opener-Policy în locul acesteia."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Directiva referrer este învechită începând cu versiunea CSP2. Folosește antetul Referrer-Policy în locul acesteia."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Directiva reflected-xss este învechită începând cu versiunea CSP2. Folosește antetul X-XSS-Protection în locul acesteia."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Lipsa directivei base-uri permite etichetelor <base> injectate să seteze adresa URL de bază pentru toate adresele URL relative (de ex., cu scripturi) ale unui domeniu controlat de atacatori. Îți recomandăm să setezi base-uri la none sau self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Elementele controlate prin object-src sunt considerate funcții moștenite. Îți recomandăm să setezi object-src la none pentru a preveni injectarea de pluginuri care execută scripturi nesigure."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Directiva script-src lipsește. Astfel, se pot executa scripturi nesigure."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Ai uitat să folosești punct și virgulă? {keyword} pare a fi o directivă, nu un cuvânt cheie."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Valorile nonce trebuie să folosească setul de caractere base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Valorile nonce trebuie să aibă minimum 8 caractere."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"Destinația de raportare se configurează numai prin directiva report-to. Această directivă este acceptată doar în browserele bazate pe Chromium, prin urmare îți recomandăm să folosești și o directivă report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Nicio politică CSP nu configurează o destinație de raportare. De aceea, este dificilă menținerea CSP de-a lungul timpului și monitorizarea eventualelor încălcări."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Listele gazdă cu acces permis pot fi ocolite frecvent. Îți recomandăm să folosești strict-dynamic în combinație cu valori nonce sau hash pentru CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Directivă CSP necunoscută."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} pare un cuvânt cheie nevalid."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"unsafe-inline permite executarea de scripturi în pagină și handlere pentru evenimente nesigure. Îți recomandăm să folosești valori nonce sau hash pentru CSP pentru a accepta scripturile individual."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Îți recomandăm să adaugi opțiunea unsafe-inline (ignorată de browserele care acceptă valori nonce/hash) pentru retrocompatibilitatea cu browsere mai vechi."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Timpul de blocare a firului principal"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL cache"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Descriere"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Durată"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elemente cu probleme"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Locație"},
"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Nume"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Peste buget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Solicitări"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Dimensiunea resursei"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tip de resursă"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Dimensiune"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Sursă"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Ora de începere"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Timp petrecut"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Dimensiunea transferului"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"Adresă URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Economii potențiale"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{
message:"Economii potențiale"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Poți economisi {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{A fost identificat un element}few{Au fost identificate # elemente}other{Au fost identificate # de elemente}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Poți economisi {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Document"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Prima redare semnificativă"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{
message:"Imagine"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Înaltă"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Redusă"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Medie"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Timpul maxim potențial de la prima interacțiune"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Altele"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Alte resurse"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Script"},"lighthouse-core/lib/i18n/i18n.js | seconds":{
message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Foaie de stil"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Terță parte"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Total"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"A apărut o eroare la înregistrarea urmei de la încărcarea paginii. Rulează din nou Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Timpul a expirat așteptând conexiunea inițială la protocolul Debugger."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Chrome nu a colectat capturi de ecran în timpul încărcării paginii. Asigură-te că există conținut vizibil în pagină și încearcă să rulezi din nou Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Serverele DNS nu au putut rezolva domeniul furnizat."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Colectorul de {artifactName} obligatorii a întâmpinat o eroare: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"A apărut o eroare Chrome internă. Repornește Chrome și încearcă să rulezi din nou Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Colectorul {artifactName} obligatoriu nu a rulat."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Pagina nu redă conținut. Lasă fereastra de browser deschisă în prim-plan în timpul încărcării și încearcă din nou. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"Pagina introdusă nu este HTML (difuzată în format de tip MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Această versiune Chrome este prea veche pentru a fi compatibilă cu „{featureName}”. Folosește o versiune mai nouă pentru a vedea rezultatele complete."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse nu a putut încărca în mod sigur pagina solicitată. Asigură-te că testezi adresa URL corectă și că serverul răspunde corect la toate solicitările."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse nu a putut încărca în mod sigur adresa URL solicitată, deoarece pagina nu mai răspunde."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Adresa URL furnizată nu are un certificat de securitate valid. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome a împiedicat încărcarea paginii cu un interstițial. Asigură-te că testezi adresa URL corectă și că serverul răspunde corect la toate solicitările."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse nu a putut încărca în mod sigur pagina solicitată. Asigură-te că testezi adresa URL corectă și că serverul răspunde corect la toate solicitările. (Detalii: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse nu a putut încărca în mod sigur pagina solicitată. Asigură-te că testezi adresa URL corectă și că serverul răspunde corect la toate solicitările. (Cod de stare: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Încărcarea paginii a durat prea mult. Urmează recomandările din raport pentru a reduce durata de încărcare a paginii, apoi încearcă din nou să rulezi Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Așteptarea răspunsului la protocolul DevTools a depășit timpul alocat. (Metoda: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Preluarea conținutului resursei a depășit timpul alocat"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Adresa URL furnizată pare să fie nevalidă."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Toate"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Toate scripturile"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Acoperire"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Module dublate"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Byți resursă"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Nume"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Activează / dezactivează tabelul"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{
message:"Byți nefolosiți"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Pentru conținut animat, folosește [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) ca să minimizezi utilizarea CPU în timp ce conținutul rămâne în afara ecranului."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Afișează toate componentele [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) în formate WebP și specifică o alternativă adecvată pentru alte browsere. [Află mai multe](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Verifică dacă folosești [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) pentru ca imaginile să se încarce lent automat. [Află mai multe](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Folosește instrumente precum [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) pentru a [reda aspectele AMP pe server](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Consultă [documentația AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) ca să te asiguri că se acceptă toate stilurile."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Componenta [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) acceptă ca atributul [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) să specifice elementele imagine care se vor folosi în funcție de dimensiunea ecranului. [Află mai multe](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Poți derula virtual cu Kitul pentru dezvoltatori de componente (CDK) dacă se redau liste foarte mari. [Află mai multe](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Aplică [scindarea prin cod la nivel de traseu](https://web.dev/route-level-code-splitting-in-angular/) ca să minimizezi dimensiunea grupurilor JavaScript. În plus, poți memora în avans în cache elementele cu [service workerul Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Dacă folosești CLI Angular, verifică dacă versiunile sunt generate în modul de producție. [Află mai multe](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Dacă folosești CLI Angular, include hărțile sursă în versiunea de producție ca să-ți inspectezi grupurile. [Află mai multe](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Preîncarcă traseele din timp, ca să accelerezi navigarea. [Află mai multe](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Poți folosi utilitarul `BreakpointObserver` din Kitul pentru dezvoltatori de componente (CDK) pentru a gestiona punctele de întrerupere ale imaginilor. [Află mai multe](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Îți recomandăm să încarci GIF-ul într-un serviciu care îl va pune la dispoziție pentru încorporare ca videoclip HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Specifică `@font-display` atunci când definești fonturile personalizate pentru temă."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Îți recomandăm să instalezi și să configurezi [un modul pentru folosirea formatelor de imagine WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) în site. Aceste module vor genera automat o versiune WebP a imaginilor încărcate pentru a optimiza durata de încărcare."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instalează [un modul Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) care poate încărca lent imagini. Aceste module oferă opțiunea de a amâna imaginile din afara ecranului pentru a îmbunătăți performanța."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Îți recomandăm să folosești un modul pentru a activa inline elementele CSS și JavaScript critice sau să încarci în mod asincron elemente prin JavaScript, de exemplu, modulul [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Atenție, optimizările oferite de acest modul pot să întrerupă site-ul, astfel că probabil va trebui să modifici codul."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Temele, modulele și specificațiile serverului contribuie toate la timpul de răspuns al serverului. Îți recomandăm să găsești o temă mai optimizată, selectând cu atenție un modul de optimizare și/sau făcând upgrade la server. Serverele de găzduire ar trebui să folosească stocarea în memoria cache opcode a codului PHP pentru a reduce duratele de interogare a bazei de date, de exemplu, Redis sau Memcached, precum și logica optimizată a aplicației pentru a pregăti paginile mai rapid."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Îți recomandăm să folosești [Stilurile de imagini adaptabile](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) pentru a reduce dimensiunea imaginilor încărcate în pagină. Dacă folosești Views pentru a afișa mai multe elemente de conținut într-o pagină, îți recomandăm să implementezi paginarea pentru a limita numărul elementelor de conținut afișate într-o anumită pagină."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Activează opțiunea „Aggregate CSS files” (Agregă fișierele CSS) în pagina „Administration » Configuration » Development” (Administrare » Configurare » Dezvoltare). Poți să configurezi și opțiuni de agregare mai avansate folosind [module suplimentare](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), ca să accelerezi site-ul prin concatenarea, minimizarea și comprimarea stilurilor CSS."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Activează opțiunea „Aggregate JavaScript files” (Agregă fișierele JavaScript) în pagina „Administration » Configuration » Development” (Administrare » Configurare » Dezvoltare). Poți să configurezi și opțiuni de agregare mai avansate folosind [module suplimentare](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), ca să accelerezi site-ul prin concatenarea, minimizarea și comprimarea elementelor JavaScript."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Îți recomandăm să elimini regulile CSS nefolosite și să atașezi numai bibliotecile Drupal necesare la pagina sau componenta relevantă dintr-o pagină. Accesează [linkul spre documentația Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) pentru detalii. Ca să identifici bibliotecile atașate care adaugă conținut CSS neesențial, rulează [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Poți identifica tema/modulul responsabil din adresa URL a foii de stil dacă dezactivezi agregarea CSS pe site-ul Drupal. Caută teme/module care au multe foi de stil în listă cu mult roșu în bara acoperirii codului. O temă/un modul ar trebui să pună în coadă o foaie de stil numai dacă este într-adevăr folosită în pagină."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Îți recomandăm să elimini elementele JavaScript nefolosite și să atașezi numai bibliotecile Drupal necesare la pagina sau componenta relevantă dintr-o pagină. Accesează [linkul spre documentația Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) pentru detalii. Ca să identifici bibliotecile atașate care adaugă conținut JavaScript neesențial, rulează [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Poți identifica tema/modulul responsabil din adresa URL a scriptului dacă dezactivezi agregarea JavaScript pe site-ul Drupal. Caută teme/module care au multe scripturi în listă cu mult roșu în acoperirea codului. O temă/un modul ar trebui să pună în coadă un script numai dacă este într-adevăr folosit în pagină."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Setează „Browser and proxy cache maximum age” (Vechimea maximă a browserului și a memoriei cache de proxy) în pagina „Administration » Configuration » Development” (Administrare » Configurare » Dezvoltare). Citește despre [memoria cache Drupal și optimizarea pentru performanță](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Îți recomandăm să folosești [un modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) care optimizează și reduce automat dimensiunea imaginilor încărcate pe site, păstrând calitatea. În plus, folosește [Stilurile de imagini adaptabile](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) native oferite în Drupal (disponibile în Drupal versiunea 8 și versiunile ulterioare) pentru toate imaginile redate pe site."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Indiciile de resurse „preconnect” sau „dns-prefetch” pot fi adăugate prin instalarea și configurarea [unui modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) care oferă facilități pentru indicii de resurse user agent."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Folosește [Stilurile de imagini adaptabile](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) native oferite în Drupal (disponibile în Drupal versiunea 8 și versiunile ulterioare). Folosește Stilurile de imagini adaptabile când redai câmpuri de imagine în moduri de afișare, afișări sau imagini încărcate în editorul WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Îți recomandăm să încarci GIF-ul într-un serviciu care îl va pune la dispoziție pentru încorporare ca videoclip HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Îți recomandăm să folosești un [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) sau un serviciu care convertește automat imaginile încărcate în formatele optime."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instalează un [plugin Joomla de încărcare lentă](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) care oferă capacitatea de a amâna imaginile din afara ecranului sau schimbă-ți șablonul cu unul care oferă acea funcție. Începând cu versiunea Joomla 4.0, toate imaginile noi vor prelua [automat](https://github.com/joomla/joomla-cms/pull/30748) atributul `loading` de la nucleu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Există o serie de pluginuri Joomla care te pot ajuta să [activezi inline elementele critice](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) sau să [amâni resurse mai puțin importante](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Atenție, optimizările oferite de aceste pluginuri pot să întrerupă funcțiile șabloanelor sau pluginurilor tale, astfel încât va trebui să le testezi în detaliu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Șabloanele, extensiile și specificațiile serverului contribuie toate la timpul de răspuns al serverului. Îți recomandăm să găsești un șablon mai optimizat, selectând cu atenție o extensie de optimizare și/sau făcând upgrade la server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Îți recomandăm să afișezi extrase în categoriile de articole (de exemplu, în linkul Citește mai mult), reducând numărul de articole afișate pe o anumită pagină, împărțind postările lungi pe mai multe pagini sau folosind un plugin pentru a încărca lent comentariile."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Mai multe [extensii Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) îți pot accelera site-ul prin concatenarea, minimizarea și comprimarea stilurilor CSS. Există și șabloane care oferă această funcție."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Mai multe [extensii Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) îți pot accelera site-ul prin concatenarea, minimizarea și comprimarea scripturilor. Există și șabloane care oferă această funcție."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Îți recomandăm să reduci sau să schimbi numărul de [extensii Joomla](https://extensions.joomla.org/) care încarcă CSS nefolosit în pagină. Ca să identifici extensiile care adaugă conținut CSS neesențial, rulează [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Poți identifica tema/pluginul responsabil din adresa URL a foii de stil. Caută pluginuri care au multe foi de stil în listă cu mult roșu în bara acoperirii codului. Un plugin ar trebui să pună în coadă o foaie de stil numai dacă este într-adevăr folosită în pagină."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Îți recomandăm să reduci sau să schimbi numărul de [extensii Joomla](https://extensions.joomla.org/) care încarcă JavaScript nefolosit în pagină. Ca să identifici pluginurile care adaugă conținut JS neesențial, rulează [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Poți identifica extensia responsabilă din adresa URL a scriptului. Caută extensii care au multe scripturi în listă cu mult roșu în bara acoperirii codului. O extensie ar trebui să pună în coadă un script numai dacă este într-adevăr folosit în pagină."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Citește despre [stocarea în memoria cache a browserului în Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Îți recomandăm să folosești un [plugin de optimizare a imaginii](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) care comprimă imaginile, păstrând calitatea."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Îți recomandăm să folosești un [plugin pentru imagini adaptabile](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) pentru a utiliza imagini adaptabile în conținut."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Poți activa comprimarea textului activând Comprimarea paginilor Gzip în Joomla: System > Global configuration > Server (Sistem > Configurație globală > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Dacă nu grupezi elementele JavaScript, poți folosi [baler](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Dezactivează [gruparea și minimalizarea JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) încorporate din Magento și folosește [baler](https://github.com/magento/baler/) în loc."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Specifică `@font-display` atunci când [definești fonturile personalizate](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Caută în [Piața Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) o varietate de extensii terță parte pentru a obține formate de imagine mai noi."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Modifică șabloanele de produse și de cataloage ca să folosești funcția de [încărcare lentă](https://web.dev/native-lazy-loading) a platformei web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Folosește [integrarea Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) din Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Activează opțiunea „Minimalizează fișierele CSS” din setările pentru dezvoltatori ale magazinului. [Află mai multe](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Folosește [Terser](https://www.npmjs.com/package/terser) ca să minimizezi toate elementele JavaScript din implementările de conținut static și să dezactivezi funcția de minimizate încorporată."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Dezactivează [gruparea JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) încorporată în Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Caută în [Piața Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) o varietate de extensii terță parte pentru a optimiza imaginile."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Indiciile de resurse preconectare sau dns-prefetch pot fi adăugate prin [modificarea aspectului unei teme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Etichetele `<link rel=preload>` se pot adăuga prin [modificarea aspectului unei teme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Înlocuiește GIF-urile animate cu videoclipuri](https://web.dev/replace-gifs-with-videos/) pentru încărcarea mai rapidă a paginilor web și folosește formate de fișiere moderne, cum ar fi [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) sau [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), pentru a îmbunătăți eficiența comprimării cu până la 30 % față de cea a codecului video actual de ultimă generație, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Îți recomandăm să folosești un [plugin](https://octobercms.com/plugins?search=image) sau un serviciu care convertește automat imaginile încărcate în formatele optime. [Imaginile WebP fără pierderi](https://developers.google.com/speed/webp) sunt cu 26 % mai mici decât PNG-urile și cu 25 – 34 % mai mici decât imaginile JPEG comparabile la indicele de calitate SSIM echivalent. Un alt format de imagine de ultimă generație recomandat este [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Îți recomandăm să instalezi un [plugin de încărcare lentă a imaginilor](https://octobercms.com/plugins?search=lazy) care oferă capacitatea de a amâna imaginile din afara ecranului sau schimbă-ți tema cu una care oferă această funcție. Îți recomandăm [pluginul AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Există multe pluginuri care ajută la [activarea inline a elementelor critice](https://octobercms.com/plugins?search=css). Acestea pot să întrerupă alte pluginuri, astfel încât trebuie să le testezi în detaliu."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Temele, pluginurile și specificațiile serverului contribuie toate la timpul de răspuns al serverului. Îți recomandăm să găsești o temă mai optimizată, selectând cu atenție un plugin de optimizare și / sau făcând upgrade la server. CMS-ul October le dă dezvoltatorilor posibilitatea de a folosi [`Queues`](https://octobercms.com/docs/services/queues) pentru a amâna procesarea unei activități care durează mult timp, cum ar fi trimiterea unui e-mail. Astfel, solicitările web sunt accelerate semnificativ."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Îți recomandăm să afișezi extrase în listele postărilor (de exemplu, folosind un buton `show more`), să reduci numărul de postări afișate pe o anumită pagină web, să împarți postările lungi pe mai multe pagini web sau să folosești un plugin pentru a încărca lent comentariile."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Există multe [pluginuri](https://octobercms.com/plugins?search=css) care pot accelera un site prin concatenarea, minimizarea și comprimarea stilurilor. Folosirea unui proces de versiune pentru a face minimizarea în avans poate accelera dezvoltarea."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Există multe [pluginuri](https://octobercms.com/plugins?search=javascript) care pot accelera un site prin concatenarea, minimizarea și comprimarea scripturilor. Folosirea unui proces de versiune pentru a face minimizarea în avans poate accelera dezvoltarea."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Îți recomandăm să consulți [pluginurile](https://octobercms.com/plugins) care încarcă CSS nefolosit pe site. Ca să identifici pluginurile care adaugă CSS inutil, rulează [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Identifică tema / pluginul responsabil din adresa URL a foii de stil. Caută pluginuri care au multe foi de stil cu mult roșu în bara acoperirii codului. Un plugin ar trebui să adauge o foaie de stil numai dacă este într-adevăr folosită în pagina web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Îți recomandăm să consulți [pluginurile](https://octobercms.com/plugins?search=javascript) care încarcă JavaScript nefolosit în pagina web. Ca să identifici pluginurile care adaugă JavaScript inutil, rulează [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Identifică tema / pluginul responsabil din adresa URL a scriptului. Caută pluginuri care au multe scripturi cu mult roșu în bara acoperirii codului. Un plugin ar trebui să adauge un script numai dacă este într-adevăr folosit în pagina web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Citește despre [împiedicarea solicitărilor de rețea inutile cu ajutorul memoriei cache HTTP](https://web.dev/http-cache/#caching-checklist). Există multe [pluginuri](https://octobercms.com/plugins?search=Caching) care pot fi folosite pentru a accelera stocarea în memoria cache."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Îți recomandăm să folosești un [plugin de optimizare a imaginii](https://octobercms.com/plugins?search=image) pentru a comprima imaginile, păstrând calitatea."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Încarcă imaginile direct în managerul de conținut media pentru a te asigura că sunt disponibile dimensiunile de imagine necesare. Îți recomandăm să folosești [filtrul de redimensionare](https://octobercms.com/docs/markup/filter-resize) sau un [plugin de redimensionare a imaginilor](https://octobercms.com/plugins?search=image) pentru a te asigura că se folosesc dimensiunile de imagine optime."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Activează comprimarea textului în configurația serverului web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Folosește o bibliotecă „windowing”, ca `react-window`, pentru a minimaliza numărul de noduri DOM create dacă redai multe elemente repetate pe pagină. [Află mai multe](https://web.dev/virtualize-long-lists-react-window/). În plus, redu redările suplimentare inutile folosind [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) sau [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) și [omite efectele](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) doar până când anumite dependențe s-au schimbat dacă folosești hookul `Effect` ca să îmbunătățești performanța la redare."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Dacă folosești React Router, minimalizează folosirea componentei `<Redirect>` pentru [navigările pe traseu](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Dacă redai componente React pe server, poți folosi `renderToNodeStream()` sau `renderToStaticNodeStream()` ca să-i permiți clientului să primească și să completeze diferite părți ale codului de markup, nu pe tot deodată. [Află mai multe](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Dacă sistemul de versiuni minimalizează automat fișierele CSS, verifică dacă implementezi versiunea de producție a aplicației. Poți face verificarea cu extensia React Developer Tools. [Află mai multe](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Dacă sistemul de versiuni minimalizează automat fișierele JS, verifică dacă implementezi versiunea de producție a aplicației. Poți face verificarea cu extensia React Developer Tools. [Află mai multe](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Dacă nu redai pe server, [împarte grupurile JavaScript](https://web.dev/code-splitting-suspense/) cu `React.lazy()`. Altfel, scindează prin cod folosind o bibliotecă terță parte, precum [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Folosește React DevTools Profiler, care beneficiază de API-ul Profiler pentru a măsura performanța de redare a componentelor. [Află mai multe.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Îți recomandăm să încarci GIF-ul într-un serviciu care îl va pune la dispoziție pentru încorporare ca videoclip HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Îți recomandăm să folosești un [plugin](https://wordpress.org/plugins/search/convert+webp/) sau un serviciu care convertește automat imaginile încărcate în formatele optime."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instalează un [plugin WordPress de încărcare lentă](https://wordpress.org/plugins/search/lazy+load/) care oferă capacitatea de a amâna imaginile din afara ecranului sau schimbă-ți tema cu una care oferă acea funcție. Îți recomandăm [pluginul AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Există o serie de pluginuri Wordpress care te pot ajuta să [activezi inline elementele critice](https://wordpress.org/plugins/search/critical+css/) sau să [amâni resurse mai puțin importante](https://wordpress.org/plugins/search/defer+css+javascript/). Atenție, optimizările oferite de aceste pluginuri pot să întrerupă funcțiile temei sau pluginurilor tale, astfel încât este posibil să trebuiască să modifici codul."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Temele, pluginurile și specificațiile serverului contribuie toate la timpul de răspuns al serverului. Îți recomandăm să găsești o temă mai optimizată, selectând cu atenție un plugin de optimizare și/sau făcând upgrade la server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Îți recomandăm să afișezi extrase în listele postărilor tale (de exemplu, prin intermediul filei Mai multe), reducând numărul de postări afișate pe o anumită pagină, împărțind postările lungi pe mai multe pagini sau folosind un plugin pentru a încărca lent comentariile."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Mai multe [pluginuri WordPress](https://wordpress.org/plugins/search/minify+css/) îți pot accelera site-ul prin concatenarea, minimizarea și comprimarea stilurilor. Ai putea să folosești și un proces de design pentru a face minimizarea în avans, dacă este posibil."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Mai multe [pluginuri WordPress](https://wordpress.org/plugins/search/minify+javascript/) îți pot accelera site-ul prin concatenarea, minimizarea și comprimarea scripturilor. Ai putea să folosești și un proces de design pentru a face minimizarea în avans, dacă este posibil."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Îți recomandăm să reduci sau să schimbi numărul de [pluginuri WordPress](https://wordpress.org/plugins/) care încarcă CSS nefolosit în pagină. Ca să identifici pluginurile care adaugă conținut CSS neesențial, încearcă să rulezi [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Poți identifica tema/pluginul responsabil din adresa URL a foii de stil. Caută pluginuri care au multe foi de stil în listă cu mult roșu în bara acoperirii codului. Un plugin ar trebui să pună în coadă o foaie de stil numai dacă este într-adevăr folosită în pagină."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Îți recomandăm să reduci sau să schimbi numărul de [pluginuri WordPress](https://wordpress.org/plugins/) care încarcă JavaScript nefolosit în pagină. Ca să identifici pluginurile care adaugă conținut JS neesențial, încearcă să rulezi [acoperirea codului](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) în Chrome DevTools. Poți identifica tema/pluginul responsabil din adresa URL a scriptului. Caută pluginuri care au multe scripturi în listă cu mult roșu în bara acoperirii codului. Un plugin ar trebui să pună în coadă un script numai dacă este într-adevăr folosit în pagină."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Citește despre [stocarea în memoria cache a browserului în WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Îți recomandăm să folosești un [plugin WordPress de optimizare a imaginii](https://wordpress.org/plugins/search/optimize+images/) care comprimă imaginile, păstrând calitatea."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Încarcă imaginile direct prin [biblioteca de media](https://wordpress.org/support/article/media-library-screen/) pentru a te asigura că sunt disponibile dimensiunile de imagine necesare, apoi inserează-le din biblioteca de media sau folosește widgetul de imagine pentru a te asigura că se folosesc dimensiunile de imagine optime (inclusiv cele pentru punctele de întrerupere adaptabile). Evită să folosești imagini `Full Size`, cu excepția cazului în care dimensiunile sunt adecvate pentru utilizare. [Află mai multe](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Poți activa comprimarea textului în configurarea serverului web."},"report/renderer/util.js | calculatorLink":{message:"Accesează calculatorul."},"report/renderer/util.js | crcInitialNavigation":{message:"Navigare inițială"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Latența maximă a căii critice:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Copiază JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Activează/dezactivează Tema întunecată"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Printează în formă extinsă"},"report/renderer/util.js | dropdownPrintSummary":{message:"Rezumatul printării"},"report/renderer/util.js | dropdownSaveGist":{message:"Salvează ca Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Salvează ca HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Salvează ca JSON"},"report/renderer/util.js | dropdownViewer":{message:"Deschide în vizualizator"},
"report/renderer/util.js | errorLabel":{message:"Eroare!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Eroare de raport: nu există informații de auditare"},"report/renderer/util.js | footerIssue":{message:"Raportează o problemă"},"report/renderer/util.js | labDataTitle":{message:"Datele testului"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analiza în [Lighthouse](https://developers.google.com/web/tools/lighthouse/) a paginii actuale cu o rețea mobilă simulată. Valorile sunt estimate și pot varia."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Elemente suplimentare de verificat manual"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nu se aplică"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Oportunitate"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Economii estimate"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Auditări trecute"},
"report/renderer/util.js | runtimeDesktopEmulation":{message:"Computer simulat"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 simulat"},"report/renderer/util.js | runtimeNoEmulation":{message:"Fără simulare"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Versiunea Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Puterea CPU/memoriei"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Limitarea CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Canal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Dispozitiv"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Momentul preluării"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Limitarea rețelei"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Setări pentru execuție"},"report/renderer/util.js | runtimeSettingsUA":{message:"User Agent (gazdă)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User Agent (rețea)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"Adresă URL"},"report/renderer/util.js | runtimeUnknown":{message:"Necunoscută"},"report/renderer/util.js | showRelevantAudits":{message:"Vezi audituri relevante pentru:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Restrânge fragmentul"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Extinde fragmentul"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Afișează resursele terță parte"},"report/renderer/util.js | throttlingProvided":{message:"Oferită de mediu"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Au apărut probleme care au afectat această rulare Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Valorile sunt estimate și pot varia. [Scorul de performanță este calculat](https://web.dev/performance-scoring/) direct folosind aceste valori."},
"report/renderer/util.js | viewTreemapLabel":{message:"Afișează Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Auditări trecute, dar cu avertismente"},"report/renderer/util.js | warningHeader":{message:"Avertismente: "}}},{}],132:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Ключи доступа позволяют быстро перейти к нужной части страницы. Каждый из них должен быть уникальным. [Подробнее…](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Значения атрибута `[accesskey]` не уникальны"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]`: значения уникальны"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Каждая `role` ARIA поддерживает определенный набор атрибутов `aria-*`. Неверно присвоенные атрибуты `aria-*` будут недействительны. [Подробнее…](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Атрибуты `[aria-*]` не соответствуют своим ролям"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Атрибуты `[aria-*]` соответствуют своим ролям"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:'Если у элемента нет названия, доступного программам чтения с экрана, пользователи услышат слово "элемент", но не поймут, для чего он нужен. [Подробнее…](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"У элементов `button`, `link` и `menuitem` нет названий, доступных программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{
message:"У элементов `button`, `link` и `menuitem` есть названия, доступные программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Программы чтения с экрана могут работать некорректно, если для элемента `<body>` в документе настроен атрибут `aria-hidden="true"`. [Подробнее…](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Элемент `<body>` в документе содержит атрибут `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Элемент `<body>` в документе не содержит атрибут `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Если к родительскому элементу применен атрибут `[aria-hidden="true"]`, то все его активные дочерние элементы станут недоступны для программ чтения с экрана. [Подробнее…](https://web.dev/aria-hidden-focus/)'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Элементы, к которым применен атрибут `[aria-hidden="true"]`, содержат активные дочерние элементы'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Элементы, к которым применен атрибут `[aria-hidden="true"]`, не содержат активных дочерних элементов'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:'Если у поля ввода нет названия, доступного программам чтения с экрана, пользователи услышат слово "поле ввода", но не поймут, для чего оно нужно. [Подробнее…](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"У полей ввода ARIA нет доступных названий"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"У полей ввода ARIA есть доступные названия"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:'Если у элемента нет названия, доступного программам чтения с экрана, пользователи услышат слово "элемент", но не поймут, для чего он нужен. [Подробнее…](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"У элементов `meter` ARIA нет названий, доступных программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"У элементов `meter` ARIA есть названия, доступные программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:'Если у элемента "`progressbar`" нет названия, доступного программам чтения с экрана, пользователи услышат только общее название элемента интерфейса и не поймут, для чего он нужен. [Подробнее…](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"У элементов `progressbar` ARIA нет названий, доступных программам чтения с экрана"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"У элементов `progressbar` ARIA есть названия, доступные программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"К некоторым ролям ARIA требуется добавить атрибуты, описывающие состояние элемента для программ чтения с экрана. [Подробнее…](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Для элементов с атрибутом `[role]` заданы не все необходимые атрибуты `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"У элементов `[role]` есть все необходимые атрибуты `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Некоторые родительские элементы с ролями ARIA должны содержать определенные дочерние роли, иначе связанные с ними функции специальных возможностей будут работать неправильно. [Подробнее…](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"В элементах с ролью ARIA `[role]` отсутствуют некоторые или все обязательные дочерние элементы, которые должны содержать определенный элемент `[role]`."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"В элементах с ролью ARIA `[role]` присутствуют все обязательные дочерние элементы, которые должны содержать определенный элемент `[role]`."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Некоторые дочерние элементы с ролями ARIA должны содержаться внутри определенных родительских элементов, иначе связанные с ними функции специальных возможностей будут работать неправильно. [Подробнее…](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Элементы с атрибутом `[role]` не содержатся в своих родительских элементах"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Элементы с атрибутом `[role]` содержатся в своих родительских элементах"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Значения ролей ARIA должны быть действительными, иначе связанные с ними функции будут работать неправильно. [Подробнее…](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Присутствуют недействительные значения атрибутов `[role]`"},
"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Недействительные значения атрибутов `[role]` отсутствуют"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:'Если у переключателя нет названия, доступного программам чтения с экрана, пользователи услышат слово "переключатель", но не поймут, для чего он нужен. [Подробнее…](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"У переключателей ARIA нет доступных названий"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"У переключателей ARIA есть доступные названия"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:'Если у элемента нет названия, доступного программам чтения с экрана, пользователи услышат слово "элемент", но не поймут, для чего он нужен. [Подробнее…](https://web.dev/aria-name/)'},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"У элементов `tooltip` ARIA нет названий, доступных программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"У элементов `tooltip` ARIA есть названия, доступные программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:'Если у элемента нет названия, доступного программам чтения с экрана, пользователи услышат слово "элемент", но не поймут, для чего он нужен. [Подробнее…](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"У элементов `treeitem` ARIA нет названий, доступных программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"У элементов `treeitem` ARIA есть названия, доступные программам чтения с экрана"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Программы чтения с экрана не могут распознавать атрибуты ARIA с недействительными значениями. [Подробнее…](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"У атрибутов `[aria-*]` недействительные значения"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Недействительные значения атрибутов `[aria-*]` отсутствуют"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Программы чтения с экрана не могут интерпретировать атрибуты ARIA с недействительными названиями. [Подробнее…](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Атрибуты `[aria-*]` недействительны или указаны с ошибками"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Атрибуты `[aria-*]` действительны и написаны без ошибок"},
"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Элементы, не прошедшие проверку"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Если у кнопки нет названия, доступного программам чтения с экрана, пользователи услышат слово "кнопка", но не поймут, для чего она нужна. [Подробнее…](https://web.dev/button-name/)'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Названия кнопок недоступны программам чтения с экрана"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Названия кнопок доступны программам чтения с экрана"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Чтобы пользователям было проще перемещаться по странице с помощью клавиатуры, добавьте возможность пропускать повторяющийся контент. [Подробнее…](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{
message:"На странице отсутствует заголовок, ссылка для пропуска или указание региона"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Страница содержит заголовок, ссылку для пропуска контента или указание региона"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Многие пользователи не могут разобрать или не видят текст с низкой контрастностью. [Подробнее…](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Цвета фона и переднего плана недостаточно контрастны"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Цвета фона и переднего плана достаточно контрастны"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Если в структуре списков определений есть ошибки, программы чтения с экрана могут неправильно их озвучивать. [Подробнее…](https://web.dev/definition-list/)"},
"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Ошибка в элементах `<dl>`: они могут содержать только правильно размещенные группы `<dt>` и `<dd>` и элементы `<script>`, `<template>` или `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Элементы `<dl>` содержат только правильно размещенные группы `<dt>` и `<dd>` и элементы `<script>`, `<template>` или `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Чтобы программы чтения с экрана правильно озвучивали элементы списков определений `<dt>` и `<dd>`, они должны располагаться внутри родительского элемента `<dl>`. [Подробнее…](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Элементы списков определений не расположены внутри элементов `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Элементы списков определений расположены внутри элементов `<dl>`"},
"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Элемент title нужен для того, чтобы программы чтения с экрана могли озвучивать название страницы. Также он появляется в результатах поиска и позволяет определять, соответствует ли сайт запросу. [Подробнее…](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"В документе нет элемента `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Документ содержит элемент `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Чтобы сервисы специальных возможностей могли считывать все активные элементы, их атрибуты `id` должны быть уникальными. [Подробнее…](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"У активных элементов есть неуникальные атрибуты `[id]`"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Атрибуты `[id]` у активных элементов уникальны"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Значение идентификатора ARIA должно быть уникальным, так как программы для людей с ограниченными возможностями могут игнорировать повторяющиеся идентификаторы. [Подробнее…](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Идентификаторы ARIA не уникальны"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Идентификаторы ARIA уникальны"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Когда программам чтения с экрана встречаются поля формы с несколькими ярлыками, они озвучивают только первый, последний или все ярлыки. Это может запутать пользователей. [Подробнее…](https://web.dev/form-field-multiple-labels/)"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"В форме есть поля с несколькими ярлыками"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"В форме нет полей с несколькими ярлыками"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Чтобы программы чтения с экрана могли описывать содержимое фреймов, для каждого из них должен быть указан атрибут title. [Подробнее…](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Для элементов `<frame>` или `<iframe>` не указан атрибут title"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"У элементов `<frame>` и `<iframe>` есть атрибут title"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"Когда заголовки расположены в правильном порядке и между их уровнями нет пропусков, они образуют семантическую структуру страницы. Благодаря этому навигация с помощью сервисов специальных возможностей становится проще и понятнее. [Подробнее…](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Элементы заголовков не расположены последовательно в порядке убывания"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Элементы заголовков расположены последовательно в порядке убывания"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Если для страницы не указан атрибут lang, программа чтения с экрана предполагает, что текст приведен на языке по умолчанию, выбранном пользователем при установке программы. Если текст написан на другом языке, он может озвучиваться некорректно. [Подробнее…](https://web.dev/html-has-lang/)"},
"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Для элемента `<html>` не задан атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Элемент `<html>` содержит атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Чтобы программы чтения с экрана правильно озвучивали текст, укажите действительный [языковой тег BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question). [Подробнее…](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"В элементе `<html>` нет действительного значения для атрибута `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Для элемента `<html>` указано действительное значение атрибута `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"В информационных элементах должен содержаться короткий и ясный альтернативный текст. Если элемент декоративный, то атрибут alt для него можно оставить пустым. [Подробнее…](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Для элементов изображений не заданы атрибуты `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"У элементов изображений есть атрибут `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Если в элементе `<input>` в качестве кнопки используется изображение, добавьте альтернативный текст, описывающий назначение этой кнопки для программ чтения с экрана. [Подробнее…](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Атрибут `[alt]` задан не для всех элементов `<input type="image">`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{
message:'Элементы `<input type="image">` содержат атрибут `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Ярлыки нужны для того, чтобы программы чтения с экрана могли правильно озвучивать элементы управления формой. [Подробнее…](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Элементам формы не присвоены соответствующие ярлыки"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Элементам формы присвоены соответствующие ярлыки"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Текст ссылок (как и альтернативный текст для изображений, используемых в качестве ссылок) должен быть уникальным, фокусируемым и доступным для программ чтения с экрана. [Подробнее…](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Текст ссылок неразличим для программ чтения с экрана"},
"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Текст ссылок различим для программ чтения с экрана"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Используйте правильную структуру кода при верстке списков, иначе программы чтения с экрана будут неправильно их озвучивать. [Подробнее…](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"В списках содержатся другие элементы, помимо элементов `<li>` и элементов поддержки скрипта (`<script>` и `<template>`)"},"lighthouse-core/audits/accessibility/list.js | title":{message:"В списках содержатся только элементы `<li>` и элементы поддержки скрипта (`<script>` и `<template>`)"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Чтобы программы чтения с экрана правильно озвучивали списки, элементы `<li>` должны располагаться внутри родительских элементов `<ul>` или `<ol>`. [Подробнее…](https://web.dev/listitem/)"},
"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Элементы списка `<li>` не содержатся в родительских элементах `<ul>` или `<ol>`"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Элементы списка `<li>` расположены внутри родительских элементов `<ul>` или `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Когда страница обновляется автоматически, фокус, используемый программами для чтения с экрана, перемещается в верхнюю часть. Это может раздражать пользователей и мешать их работе. [Подробнее…](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'В документе используется метатег `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'В документе не используется метатег `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"Не отключайте масштабирование: эта функция помогает слабовидящим пользователям читать информацию на веб-страницах. [Подробнее…](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'Атрибут `[user-scalable="no"]` используется в элементе `<meta name="viewport">` или значение атрибута `[maximum-scale]` меньше 5'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Атрибут `[user-scalable="no"]` не используется в элементе `<meta name="viewport">`, и значение атрибута `[maximum-scale]` больше или равно 5'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Чтобы программы чтения с экрана могли озвучивать содержимое элементов `<object>`, добавьте к ним атрибут alt. [Подробнее…](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Атрибут `[alt]` задан не для всех элементов `<object>`"},
"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Элементы `<object>` содержат атрибут `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Значение больше 0 подразумевает определенный порядок навигации. Это может создавать трудности для пользователей с ограниченными возможностями. [Подробнее…](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Для некоторых элементов значение `[tabindex]` больше 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Нет элементов со значением атрибута `[tabindex]` выше 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Чтобы пользователям было проще перемещаться по таблицам с помощью программ чтения с экрана, убедитесь, что ячейки в элементах `<td>` с атрибутом `[headers]` ссылаются только на другие ячейки в той же таблице. [Подробнее…](https://web.dev/td-headers-attr/)"},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Ячейки внутри элемента `<table>`, в которых используется атрибут `[headers]`, ссылаются на элемент `id`, не найденный внутри той же таблицы."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Ячейки внутри элемента `<table>`, в которых используется атрибут `[headers]`, ссылаются на ячейки той же таблицы."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Чтобы пользователям было проще перемещаться по таблицам с помощью программ чтения с экрана, убедитесь, что все заголовки в таблицах ссылаются на определенный набор ячеек. [Подробнее…](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'В элементах `<th>` и элементах с атрибутом `[role="columnheader"/"rowheader"]` нет описываемых ими ячеек с данными'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'В элементах `<th>` и элементах с атрибутом `[role="columnheader"/"rowheader"]` есть описываемые ими ячейки с данными'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Чтобы программы чтения с экрана правильно озвучивали текст, укажите для элементов корректный [языковой тег BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question). [Подробнее…](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Присутствуют недействительные значения атрибутов `[lang]`"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Недействительные значения атрибутов `[lang]` отсутствуют"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Чтобы информация, озвучиваемая в видео, была доступна людям с нарушениями слуха, добавьте субтитры. [Подробнее…](https://web.dev/video-caption/)"},
"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Элементы `<video>` не содержат элемент `<track>` с атрибутом `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Элементы `<video>` содержат элемент `<track>` с атрибутом `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Чтобы современное веб-приложение лучше смотрелось на главном экране iOS, задайте значение для атрибута `apple-touch-icon`. Он должен указывать на непрозрачное квадратное PNG-изображение со стороной 192 или 180 пикселей. [Подробнее…](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Не содержит действительный атрибут `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Атрибут `apple-touch-icon-precomposed` устарел. Используйте атрибут `apple-touch-icon`."},
"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Содержит действительный атрибут `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Текущее значение"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Предлагаемый токен"},"lighthouse-core/audits/autocomplete.js | description":{message:"Атрибут `autocomplete` помогает пользователям отправлять формы быстрее. Чтобы упростить процесс, включите автозаполнение, задав атрибуту `autocomplete` правильное значение. [Подробнее…](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` – для элементов не заданы верные атрибуты `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Требуется проверка вручную"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Проверьте порядок токенов"},
"lighthouse-core/audits/autocomplete.js | title":{message:"Элементы `<input>` верно используют атрибут `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Недопустимый токен `autocomplete` "{token}" в выражении {snippet}.'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Проверьте порядок токенов: "{tokens}" в выражении {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Расширения Chrome замедляют загрузку этой страницы. Попробуйте использовать режим инкогнито или профиль Chrome без расширений."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Время оценки скриптов"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Время анализа скриптов"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Общее процессорное время"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Рекомендуем сократить время на анализ, компиляцию и выполнение скриптов JS. Для этого вы можете уменьшить размер фрагментов кода JS. [Подробнее…](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Сократите время выполнения кода JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Время выполнения кода JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Чтобы сократить расход трафика, удалите из пакетов большие повторяющиеся модули JavaScript. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Удалите повторяющиеся модули из пакетов JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Анимированный контент неэффективно загружать в виде больших GIF-файлов. Чтобы сэкономить сетевой трафик, используйте формат видео MPEG-4/WebM для анимированного контента и формат изображений PNG/WebP – для статического. [Подробнее…](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Используйте видеоформаты для анимированного контента"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Полизаполнения и преобразования позволяют работать с новыми функциями JavaScript в устаревших браузерах. Однако для большинства современных браузеров они не нужны. Используйте новую стратегию развертывания скриптов в пакетах JavaScript. Средство обнаружения модульных и немодульных функций сократит объем кода в современных браузерах и обеспечит поддержку устаревших браузеров. [Подробнее…](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Не отправляйте устаревший код JavaScript в современные браузеры"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Форматы JPEG 2000, JPEG XR и WebP обеспечивают более эффективное сжатие по сравнению с PNG или JPEG, поэтому такие изображения загружаются быстрее и потребляют меньше трафика. [Подробнее…](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Используйте современные форматы изображений"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Чтобы уменьшить время загрузки для взаимодействия, рекомендуем настроить отложенную загрузку скрытых изображений. Тогда основные ресурсы сайта будут загружаться в первую очередь. [Подробнее…](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{
message:"Отложите загрузку скрытых изображений"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Некоторые ресурсы блокируют первую отрисовку страницы. Рекомендуем встроить критическую часть данных JS/CSS в код HTML и отложить загрузку остальных ресурсов. [Подробнее…](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Устраните ресурсы, блокирующие отображение"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Чрезмерная нагрузка на сеть стоит пользователям реальных денег и может стать причиной долгого ожидания при работе в Интернете. [Подробнее…](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Общий размер достиг {totalBytes, number, bytes} КиБ"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{
message:"Предотвратите чрезмерную нагрузку на сеть"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Предотвращение чрезмерной нагрузки на сеть"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Уменьшив файлы CSS, вы можете сократить объем полезной сетевой нагрузки. [Подробнее…](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Уменьшите размер кода CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Уменьшив файлы JavaScript, вы можете сократить объем полезной нагрузки и время анализа скриптов. [Подробнее…](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Уменьшите размер кода JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Чтобы сократить расход трафика, удалите ненужные правила из таблиц стилей и отложите загрузку кода CSS, который не используется в видимой части страницы. [Подробнее…](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Удалите неиспользуемый код CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Чтобы сократить расход трафика, удалите неиспользуемый код JavaScript и отложите загрузку скриптов до тех пор, пока они не понадобятся. [Подробнее…](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Удалите неиспользуемый код JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Благодаря долгому времени хранения кеша страница может быстрее загружаться при повторных посещениях. [Подробнее…](https://web.dev/uses-long-cache-ttl/)"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Найден 1 ресурс}one{Найден # ресурс}few{Найдено # ресурса}many{Найдено # ресурсов}other{Найдено # ресурса}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Задайте правила эффективного использования кеша для статических объектов"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Настройка правил эффективного использования кеша для статических объектов"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Оптимизированные изображения загружаются быстрее и меньше расходуют мобильный трафик. [Подробнее…](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Настройте эффективную кодировку изображений"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"Чтобы сэкономить мобильный трафик и ускорить загрузку страницы, следите за тем, чтобы размеры ваших изображений соответствовали требованиям. [Подробнее…](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Настройте подходящий размер изображений"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Чтобы уменьшить расход сетевого трафика, рекомендуем сжимать текстовые ресурсы (gzip, deflate или brotli). [Подробнее…](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Включите сжатие текста"},"lighthouse-core/audits/content-width.js | description":{message:"Приложение не оптимизировано для работы на экранах мобильных устройств, если ширина контента приложения не совпадает с шириной области просмотра. [Подробнее…](https://web.dev/content-width/)"},
"lighthouse-core/audits/content-width.js | explanation":{message:"Область просмотра ({innerWidth} пикселей) не совпадает с размером окна ({outerWidth} пикселей)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Размер контента не соответствует области просмотра"},"lighthouse-core/audits/content-width.js | title":{message:"Размер контента соответствует области просмотра"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Приведенные ниже цепочки критических запросов показывают, какие ресурсы загружаются с высоким приоритетом. Чтобы ускорить загрузку страниц, рекомендуем сократить длину цепочек, уменьшить размер скачиваемых ресурсов или отложить скачивание ненужных ресурсов. [Подробнее…](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Найдена 1 цепочка}one{Найдена # цепочка}few{Найдено # цепочки}many{Найдено # цепочек}other{Найдено # цепочки}}"},
"lighthouse-core/audits/critical-request-chains.js | title":{message:"Старайтесь не допускать создания цепочек критических запросов"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Директива"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Уровень серьезности"},"lighthouse-core/audits/csp-xss.js | description":{message:"Надежная политика безопасности контента (Content Security Policy, CSP) существенно снижает риск атак XSS (межсайтовый скриптинг). [Подробнее…](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Синтаксис"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"На странице есть политика CSP, определенная в теге <meta>. При возможности определите CSP в заголовке HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Не найдены политики CSP в режиме принудительного применения."},"lighthouse-core/audits/csp-xss.js | title":{
message:"Убедитесь, что политика CSP эффективна против атак XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Прекращение поддержки / предупреждение"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Строка"},"lighthouse-core/audits/deprecations.js | description":{message:"Рано или поздно устаревшие API будут удалены из браузера. [Подробнее…](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Обнаружено 1 предупреждение}one{Обнаружено # предупреждение}few{Обнаружено # предупреждения}many{Обнаружено # предупреждений}other{Обнаружено # предупреждения}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"На странице используются устаревшие API"},"lighthouse-core/audits/deprecations.js | title":{message:"Устаревшие API не используются"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{
message:"Application Cache больше не поддерживается. [Подробнее…](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Обнаружен манифест {AppCacheManifest}"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Используется Application Cache"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Application Cache не используется"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Требуется задать кодировку символов. Это можно сделать с помощью тега `<meta>` в первых 1024 байтах HTML-страницы или в заголовке ответа HTTP Content-Type. [Подробнее…](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Объявление набора символов отсутствует или указано в неправильном месте на HTML-странице"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Правильно заданный набор символов"},
"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Если для страницы указан параметр DOCTYPE, браузер не будет переключаться в режим совместимости. [Подробнее…](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"В качестве названия элемента DOCTYPE нужно указать `html` строчными буквами."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Необходимо добавить элемент DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Поле publicId содержит данные"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Поле systemId содержит данные"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Активирован режим совместимости, так как на странице отсутствует элемент DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Тип страницы (DOCTYPE): HTML"},
"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Статистический показатель"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Значение"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"Сложная структура DOM усилит использование памяти, замедлит [вычисление стилей](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) и увеличит затраты на [компоновку шаблонов](https://developers.google.com/speed/articles/reflow). [Подробнее…](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 элемент}one{# элемент}few{# элемента}many{# элементов}other{# элемента}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Сократите размер структуры DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{
message:"Максимальная глубина вложенности DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Общее количество элементов DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Максимальное число дочерних элементов"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Сокращение размера структуры DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Анкеры, не прошедшие проверку"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Добавьте атрибут `rel="noopener"` или `rel="noreferrer"` ко всем внешним ссылкам, чтобы повысить производительность и избежать уязвимостей в защите. [Подробнее…](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Ссылки на сторонние ресурсы небезопасны"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Ссылки на сторонние ресурсы безопасны"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Не удалось определить целевой якорь ({anchorHTML}). Если элемент не используется в качестве гиперссылки, попробуйте удалить атрибут target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Пользователи с подозрением относятся к сайтам, которые беспричинно запрашивают доступ к их местоположению. Мы рекомендуем связать этот запрос с определенными действиями пользователя. [Подробнее…](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Разрешение на определение местоположения запрашивается при загрузке страницы"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{
message:"Разрешение на определение местоположения не запрашивается при загрузке страницы"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Тип нарушения"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Ошибки, записанные на панели`Issues` в Инструментах разработчика Chrome, указывают на нерешенные проблемы. Это могут быть невыполненные сетевые запросы, низкий уровень защиты и другие сбои в работе браузера. Чтобы получить подробную информацию о каждой неполадке, откройте панель."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Ошибки были записаны на панели `Issues` в Инструментах разработчика Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Заблокировано в соответствии с правилами использования междоменных запросов."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{
message:"Объявления используют слишком много ресурсов"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Нет записей ошибок на панели `Issues` в Инструментах разработчика Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Версия"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Все клиентские библиотеки JavaScript, обнаруженные на странице. [Подробнее…](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Обнаруженные библиотеки JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Использование метода `document.write()` для динамической подгрузки внешних скриптов может значительно замедлять загрузку страницы для пользователей с низкой скоростью подключения. [Подробнее…](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{
message:"Не используйте `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Метод `document.write()` не используется"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Максимальная степень опасности"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Версия библиотеки"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Количество уязвимостей"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Некоторые сторонние скрипты содержат известные уязвимости, которые легко могут быть обнаружены и использованы злоумышленниками. [Подробнее…](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{
message:"{itemCount,plural, =1{Обнаружена 1 уязвимость}one{Обнаружена # уязвимость}few{Обнаружено # уязвимости}many{Обнаружено # уязвимостей}other{Обнаружено # уязвимости}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Содержит клиентские библиотеки JavaScript с известными уязвимостями"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Не содержит клиентские библиотеки JavaScript с известными уязвимостями"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Пользователи с подозрением относятся к сайтам, которые беспричинно запрашивают разрешение на отправку уведомлений. Мы рекомендуем связать этот запрос с определенными жестами пользователя. [Подробнее…](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Разрешение на отправку уведомлений запрашивается при загрузке страницы"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Разрешение на отправку уведомлений не запрашивается при загрузке страницы"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Запрет на вставку пароля из буфера обмена отрицательно сказывается на безопасности пользователей. [Подробнее…](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Вставка пароля из буфера обмена запрещена"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Вставка пароля из буфера обмена разрешена"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Протокол"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{
message:"Протокол HTTP/2 отличается от HTTP/1.1 массой преимуществ, включая бинарность и мультиплексирование запросов. [Подробнее…](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 запрос не передан через HTTP/2}one{# запрос не передан через HTTP/2}few{# запроса не передано через HTTP/2}many{# запросов не передано через HTTP/2}other{# запроса не передано через HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Перейдите на протокол HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Чтобы повысить производительность при прокрутке страницы, используйте флаг `passive` для прослушивателей событий прикосновения и колеса мыши. [Подробнее…](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{
message:"Пассивные прослушиватели событий не используются для улучшения производительности при прокрутке"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Пассивные прослушиватели событий используются для улучшения производительности при прокрутке"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Ошибки, записанные в журнале консоли, указывают на нерешенные проблемы. Это могут быть невыполненные сетевые запросы и другие сбои в работе браузера. [Подробнее…](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Ошибки браузера занесены в журнал консоли"},"lighthouse-core/audits/errors-in-console.js | title":{message:"В журнале консоли нет ошибок браузера"},"lighthouse-core/audits/font-display.js | description":{message:"Используйте свойство CSS font-display, чтобы пользователи могли видеть текст во время загрузки веб-шрифтов. [Подробнее…](https://web.dev/font-display/)"},
"lighthouse-core/audits/font-display.js | failureTitle":{message:"Настройте показ всего текста во время загрузки веб-шрифтов"},"lighthouse-core/audits/font-display.js | title":{message:"Показ всего текста во время загрузки веб-шрифтов"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Сервису Lighthouse не удалось автоматически проверить значение `font-display` для следующего URL: {fontOrigin}.}one{Сервису Lighthouse не удалось автоматически проверить значения `font-display` для следующего URL: {fontOrigin}.}few{Сервису Lighthouse не удалось автоматически проверить значения `font-display` для следующего URL: {fontOrigin}.}many{Сервису Lighthouse не удалось автоматически проверить значения `font-display` для следующего URL: {fontOrigin}.}other{Сервису Lighthouse не удалось автоматически проверить значения `font-display` для следующего URL: {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{
message:"Соотношение сторон (фактическое)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Соотношение сторон (отображаемое)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Размеры отображаемого изображения должны соответствовать нормальному соотношению сторон. [Подробнее…](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Присутствуют изображения с некорректным соотношением сторон"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Отсутствуют изображения с некорректным соотношением сторон"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Фактический размер"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Отображаемый размер"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Ожидаемый размер"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Чтобы обеспечить максимальное качество, размеры исходного изображения должны быть пропорциональны размерам при отображении на экране с учетом соотношения логических и физических пикселей. [Подробнее…](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Изображения показываются в низком разрешении"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Изображения показываются в нужном разрешении"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Приложение уже установлено."},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Не удалось скачать нужный значок из манифеста."},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Причина ошибки"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Service worker — это технология, добавляющая в приложение преимущества современных веб-приложений, такие как поддержка офлайн-режима, push-уведомлений и добавления на главный экран. Браузеры могут предлагать пользователям добавлять приложение на главный экран, за счет чего они наверняка будут чаще его открывать. [Подробнее…](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 причина}one{# причина}few{# причины}many{# причин}other{# причины}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Манифест веб-приложения или файл service worker не соответствует условиям, необходимым для установки"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL приложения и его идентификатор в Google Play не соответствуют друг другу."},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Эта страница открыта в режиме инкогнито."},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"У свойства display манифеста должно быть значение standalone, fullscreen или minimal-ui."},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Файл манифеста содержит поле display_override, поэтому первый поддерживаемый режим отображения должен быть следующим: standalone (стандартный), fullscreen (полноэкранный) или minimal-ui (минимальный)."},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Файл манифеста нельзя загрузить или обработать, либо он пуст."},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Во время загрузки манифеста его URL был изменен."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Файл манифеста не содержит поле name или short_name."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:"В файле манифеста отсутствует допустимый значок. Добавьте значок в формате PNG, SVG или WebP с разрешением не менее {value0} пкс и атрибутом sizes. Если есть атрибут purpose, у него должно быть значение any."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"В файле манифеста нет значка в формате PNG, SVG или WebP в форме квадрата с разрешением не менее {value0} пкс, у которого атрибут purpose не задан или задан со значением any."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Скачанный значок пуст или поврежден."},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Укажите идентификатор Google Play."},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Страница не содержит URL манифеста <link>."},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Подходящих файлов service worker не найдено. Перезагрузите страницу или убедитесь, что файлы service worker текущей страницы включают область действия и стартовый URL из манифеста."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Для проверки файла service worker в манифесте должно быть поле start_url."},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Идентификатор ошибки установки {errorId} не распознан."},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Страница загружена из незащищенного источника."},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Страница не загружается в основном фрейме."},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Эта страница не поддерживается в офлайн-режиме."},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"Указанная платформа приложения не поддерживается на устройствах Android."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Значение атрибута prefer_related_applications в манифесте: true."},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Атрибут prefer_related_applications поддерживается только в бета-версии Chrome и стабильной версии на устройствах Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Недействительный URL стартовой страницы манифеста."},"lighthouse-core/audits/installable-manifest.js | title":{message:"Манифест веб-приложения и файл service worker соответствуют условиям, необходимым для установки"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL в манифесте содержит имя пользователя, пароль или порт."},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"Эта страница не работает в офлайн-режиме. Она не будет считаться доступной для установки после выхода Chrome 93 в августе 2021 года."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Разрешено"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Заблокировано"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Небезопасный URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Обработка запросов"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Все сайты (даже если они не обрабатывают конфиденциальные данные) должны быть защищены протоколом HTTPS. Это в том числе означает, что не следует использовать [смешанный контент](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content): не должно быть ситуаций, когда некоторые ресурсы загружаются по протоколу HTTP, хотя первоначальный запрос передается с применением HTTPS. Он обеспечивает защиту от взлома и не позволяет посторонним узнавать, как пользователи взаимодействуют с приложением. Кроме того, использование этого протокола обязательно при работе с версией HTTP/2 и многими новыми API для веб-платформ. [Подробнее…](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Обнаружен 1 небезопасный запрос}one{Обнаружен # небезопасный запрос}few{Обнаружено # небезопасных запроса}many{Обнаружено # небезопасных запросов}other{Обнаружено # небезопасного запроса}}"},
"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Протокол HTTPS не используется"},"lighthouse-core/audits/is-on-https.js | title":{message:"Используется протокол HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Автоматически изменено на HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Разрешено (есть предупреждение)"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Библиотека"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Большие библиотеки JavaScript могут привести к низкой производительности. Чтобы уменьшить размер пакета, рекомендуем использовать функционально эквивалентные библиотеки меньшего размера. [Подробнее…](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{
message:"{libraryCount,plural, =1{Обнаружена 1 большая библиотека}one{Обнаружена # большая библиотека}few{Обнаружено # больших библиотеки}many{Обнаружено # больших библиотек}other{Обнаружено # большой библиотеки}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Замените ненужные большие библиотеки JavaScript"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Не содержит большие библиотеки JavaScript с альтернативами меньшего размера"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Это самый большой элемент контента, отрисованный в области просмотра. [Подробнее…](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:'Элемент "Отрисовка самого крупного контента"'},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Фактор совокупного смещения макета"},
"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Эти элементы DOM больше всего влияют на совокупное смещение макета страницы."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Устраните большие смещения макета"},"lighthouse-core/audits/long-tasks.js | description":{message:"Для основного потока создается список самых длительных задач. Это позволяет выявлять главные факторы, которые приводят к задержкам после ввода. [Подробнее…](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Обнаружена # длительная задача}one{Обнаружена # длительная задача}few{Обнаружено # длительные задачи}many{Обнаружено # длительных задач}other{Обнаружено # длительной задачи}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Избегайте длительных задач в основном потоке"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Категория"},
"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Рекомендуем сократить время на анализ, компиляцию и выполнение скриптов JS. Для этого вы можете уменьшить размер фрагментов кода JS. [Подробнее…](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Минимизируйте работу в основном потоке"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Минимизация работы в основном потоке"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Для максимального охвата аудитории сайт должен поддерживать все основные браузеры. [Подробнее…](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Сайт работает в разных браузерах"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"Убедитесь, что у каждой страницы есть уникальный URL, чтобы их было удобно распространять в социальных сетях. [Подробнее…](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"У каждой страницы есть URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Переходы должны создавать впечатление мгновенного отклика даже при медленной работе сети. Это имеет решающее значение для удобства работы с приложением. [Подробнее…](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Во время перехода между страницами нет ощущения, что они ожидают ответа от сети"},"lighthouse-core/audits/maskable-icon.js | description":{
message:"Маскируемый значок позволяет убедиться в том, что при установке приложения на устройство изображение заполняет всю форму и к нему не добавляются черные полосы сверху и снизу. [Подробнее…](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Манифест не содержит маскируемый значок"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Манифест содержит маскируемый значок"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Совокупное смещение макета – это процентная величина, на которую смещаются видимые элементы области просмотра при загрузке. [Подробнее…](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Первая отрисовка контента – показатель, который определяет интервал времени между началом загрузки страницы и появлением первого изображения или блока текста. [Подробнее…](https://web.dev/first-contentful-paint/)"},
"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Первая значимая отрисовка – показатель, определяющий интервал времени между началом загрузки страницы и появлением основного контента. [Подробнее…](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Время загрузки для взаимодействия – это время, в течение которого страница становится полностью готова к взаимодействию с пользователем. [Подробнее…](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Отрисовка самого крупного контента – показатель, который определяет время, требуемое на полную отрисовку самого крупного изображения или текстового блока. [Подробнее…](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{
message:"Максимальная потенциальная задержка после первого ввода показывает время выполнения самой длительной задачи. [Подробнее…](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Индекс скорости загрузки показывает, как быстро на странице появляется контент. [Подробнее…](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Сумма (в миллисекундах) всех периодов от первой отрисовки контента до загрузки для взаимодействия, когда скорость выполнения задач превышала 50 мс. [Подробнее…](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{
message:"Время прохождения сигнала сети (RTT) напрямую влияет на производительность сайта. Высокое время прохождения сигнала означает, что серверы расположены слишком далеко от пользователя и сайт будет работать медленнее. [Подробнее…](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Время прохождения сигнала сети"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Задержки со стороны сервера могут влиять на скорость загрузки страниц. Высокое время реакции сервера говорит о его перегруженности или недостаточной производительности. [Подробнее…](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Задержка со стороны сервера"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Событие `unload` активируется не всегда. Если ожидать его, это может привести к ошибкам средств оптимизации браузера, например функции возвратного кеша. Рекомендуем вместо него использовать событие `pagehide` или `visibilitychange`. [Подробнее…](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Регистрируется прослушиватель для события `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Не используются прослушиватели события `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Некомбинированные анимации могут пропускать кадры и увеличивать совокупное смещение макета. [Подробнее…](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Обнаружен # анимированный элемент}one{Обнаружен # анимированный элемент}few{Обнаружено # анимированных элемента}many{Обнаружено # анимированных элементов}other{Обнаружено # анимированного элемента}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Свойство, связанное с фильтром, может передвигать пиксели."},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Несовместимая анимация."},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"В эффекте вместо режима replace используется другой режим."},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Избегайте некомбинированных анимаций"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Свойство, связанное с преобразованием, зависит от размера элемента."},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Неподдерживаемое свойство CSS: {properties}}one{Неподдерживаемые свойства CSS: {properties}}few{Неподдерживаемые свойства CSS: {properties}}many{Неподдерживаемые свойства CSS: {properties}}other{Неподдерживаемые свойства CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Параметры времени в настройках эффекта не поддерживаются"},"lighthouse-core/audits/performance-budget.js | description":{message:"Следите за тем, чтобы количество и размер сетевых запросов соответствовали целям, установленным в бюджете производительности. [Подробнее…](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 запрос}one{# запрос}few{# запроса}many{# запросов}other{# запроса}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Бюджет производительности"},
"lighthouse-core/audits/preload-fonts.js | description":{message:"Выполняйте предварительную загрузку шрифтов со свойством `optional`, чтобы новые посетители могли воспользоваться ими. [Подробнее…](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Шрифты со свойством `font-display: optional` не загружены"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Шрифты со свойством `font-display: optional` предварительно загружены"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Выполните предзагрузку изображения, которое используется элементом LCP, чтобы оптимизировать время, требуемое на полную отрисовку крупного изображения. [Подробнее…](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:'Предзагрузите изображение для элемента "Отрисовка самого крупного контента"'},"lighthouse-core/audits/redirects-http.js | description":{
message:"Если у вас уже настроен протокол HTTPS, убедитесь, что весь трафик перенаправляется с HTTP на HTTPS, чтобы обеспечить безопасность для всех своих пользователей. [Подробнее…](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Не перенаправляет трафик с HTTP на HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Перенаправляет трафик с HTTP на HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Переадресации могут стать причиной дополнительных задержек при загрузке страницы. [Подробнее…](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Избегайте большого количества переадресаций"},"lighthouse-core/audits/resource-summary.js | description":{message:"Чтобы установить бюджет для количества и размера ресурсов на странице, добавьте файл budget.json. [Подробнее…](https://web.dev/use-lighthouse-for-performance-budgets/)"},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 запрос • {byteCount, number, bytes} КиБ}one{# запрос • {byteCount, number, bytes} КиБ}few{# запроса • {byteCount, number, bytes} КиБ}many{# запросов • {byteCount, number, bytes} КиБ}other{# запроса • {byteCount, number, bytes} КиБ}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Постарайтесь уменьшить количество запросов и размеры передаваемых данных"},"lighthouse-core/audits/seo/canonical.js | description":{message:'Ссылки с атрибутом rel="canonical" будут показаны в результатах поиска. [Подробнее…](https://web.dev/canonical/)'},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Несколько конфликтующих URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Указывает на другой домен ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Недопустимый URL ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Указывает на другое расположение атрибута `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Относительный URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Каноническая ссылка ведет на корневой URL домена, а не на соответствующую страницу с контентом."},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"В документе нет действительного атрибута `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Для документа указан действительный атрибут `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Ссылки, которые невозможно просканировать"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Поисковые системы при сканировании сайтов учитывают содержащиеся в ссылках атрибуты `href`. Чтобы на вашем сайте могло быть проиндексировано максимально возможное количество страниц, атрибуты `href` или анкеры должны корректно ссылаться на целевые страницы. [Подробнее…](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Ссылки невозможно просканировать"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Ссылки можно просканировать"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Дополнительный нечитабельный текст"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Размер шрифта"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% текста на странице"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Селектор"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Если вы хотите, чтобы текст легко читался, размер шрифта должен составлять не менее 12 пикс. В противном случае пользователям мобильных устройств придется масштабировать страницу для чтения. В идеале на странице должно быть более 60 % текста высотой не менее 12 пикс. [Подробнее…](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} текста можно легко прочитать"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Слишком мелкий текст. Настройте область просмотра для экранов мобильных устройств с помощью метатега viewport."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"В документе используются шрифты слишком маленького размера"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Читабельный текст"},"lighthouse-core/audits/seo/font-size.js | title":{message:"В документе используются шрифты оптимального размера"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:"Добавьте на страницу элементы link с атрибутом hreflang. Тогда в результатах поиска будут представлены те версии ваших страниц, которые лучше всего подходят для языка и региона пользователя. [Подробнее…](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"В документе нет действительного атрибута `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Недопустимое значение атрибута href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Для документа указан действительный атрибут `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Недопустимый код языка"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Индексация страниц с недействительным кодом статуса HTTP может быть нарушена. [Подробнее…](https://web.dev/http-status-code/)"},
"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Код статуса HTTP недействителен"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Код статуса HTTP действителен"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Поисковые системы не смогут включать ваши страницы в результаты поиска, если вы не предоставите разрешение на сканирование. [Подробнее…](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Страница недоступна для индексации"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Страница доступна для индексации"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Добавьте к ссылкам текстовые описания, чтобы поисковые системы лучше распознавали ваш контент. [Подробнее…](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{
message:"{itemCount,plural, =1{Найдена 1 ссылка}one{Найдена # ссылка}few{Найдено # ссылки}many{Найдено # ссылок}other{Найдено # ссылки}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"У ссылок нет описаний"},"lighthouse-core/audits/seo/link-text.js | title":{message:"У ссылок есть описания"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Для тестирования структурированных данных воспользуйтесь [инструментом проверки](https://search.google.com/structured-data/testing-tool/) и [инструментом Structured Data Linter](http://linter.structured-data.org/). [Подробнее…](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Структурированные данные действительны"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Метаописания содержат общие сведения о контенте страницы и могут быть показаны в результатах поиска. [Подробнее…](https://web.dev/meta-description/)"},
"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Отсутствует описание."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"В документе нет метаописания"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"В документе есть метаописание"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Поисковые системы не могут индексировать содержимое плагинов. К тому же на многих устройствах использование плагинов ограничено или не поддерживается. [Подробнее…](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"В документе используются плагины"},"lighthouse-core/audits/seo/plugins.js | title":{message:"В документе нет плагинов"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Если файл robots.txt поврежден, поисковые роботы могут не распознать ваши инструкции по сканированию или индексации сайта. [Подробнее…](https://web.dev/robots-txt/)"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Код статуса HTTP, полученный в ответ на запрос файла robots.txt: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Обнаружена 1 ошибка}one{Обнаружена # ошибка}few{Обнаружено # ошибки}many{Обнаружено # ошибок}other{Обнаружено # ошибки}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Не удалось скачать файл robots.txt."},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Файл robots.txt недействителен"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Файл robots.txt действителен"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Интерактивные элементы, такие как кнопки и ссылки, должны быть достаточно крупными (48 x 48 пикс.) и располагаться на достаточном расстоянии друг от друга. Тогда пользователям будет удобно нажимать на них. [Подробнее…](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"Размеры {decimalProportion, number, percent} интерактивных элементов соответствуют требованиям."},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Слишком маленькие интерактивные элементы. Настройте область просмотра для экранов мобильных устройств с помощью метатега viewport."},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Размер интерактивных элементов не оптимален"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Частичное совпадение элементов"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Интерактивный элемент"},
"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Размер интерактивных элементов оптимален"},"lighthouse-core/audits/server-response-time.js | description":{message:"Время ответа сервера для основного документа должно быть небольшим, так как все прочие запросы зависят от этого показателя. [Подробнее…](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Загрузка корневого документа заняла {timeInMs, number, milliseconds} мс"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Сократите время до получения первого байта от сервера"},"lighthouse-core/audits/server-response-time.js | title":{message:"Время до получения первого байта от сервера допустимое"},"lighthouse-core/audits/service-worker.js | description":{
message:"Service Worker — это технология, добавляющая в приложение преимущества современных веб-приложений, такие как поддержка офлайн-режима, добавления на главный экран и push-уведомлений. [Подробнее…](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Страницей управляет Service Worker, но не найден `start_url`, так как не удалось интерпретировать манифест как JSON."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Страницей управляет Service Worker, но `start_url` ({startUrl}) находится вне его области действия ({scopeUrl})."},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Страницей управляет Service Worker, но не удалось найти `start_url`, так как не был получен манифест."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"В этом источнике несколько Service Worker, но страница {pageUrl} не входит в их область действия."},
"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Не регистрируется Service Worker, управляющий страницей и `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Регистрируется Service Worker, управляющий страницей и `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Приложение оставляет у пользователей более приятное впечатление, когда оно встречает их качественной заставкой. [Подробнее…](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Собственная заставка не настроена"},"lighthouse-core/audits/splash-screen.js | title":{message:"Настроена собственная заставка"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Цвет адресной строки браузера можно изменить под цвет сайта. [Подробнее…](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Не изменяет цвет адресной строки в соответствии с темой"},
"lighthouse-core/audits/themed-omnibox.js | title":{message:"Изменяет цвет адресной строки в соответствии с темой"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (истории успеха)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (маркетинг)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (социальные сети)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (видео)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Продукт"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Некоторые из сторонних встроенных объектов поддерживают отложенную загрузку. Замените их фасадными объектами до тех пор, пока они не понадобятся. [Подробнее…](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{Доступен # альтернативный фасадный объект}one{Доступен # альтернативный фасадный объект}few{Доступно # альтернативных фасадных объекта}many{Доступно # альтернативных фасадных объектов}other{Доступно # альтернативного фасадного объекта}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Для отложенной загрузки с фасадными объектами доступно несколько сторонних ресурсов"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Фасадные объекты сторонних ресурсов для отложенной загрузки"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Сторонний поставщик"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Сторонний код может сильно замедлить загрузку страниц сайта. Рекомендуем использовать только самые необходимые сторонние ресурсы и сделать так, чтобы они загружались в последнюю очередь. [Подробнее…](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Сторонний код заблокировал основной поток на {timeInMs, number, milliseconds} мс"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Уменьшите влияние стороннего кода"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Уменьшение использования стороннего кода"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Единица измерения"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Показатель"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Указав предельное время загрузки страниц сайта, вы сможете отслеживать его производительность. Показателями хорошей производительности являются быстрые загрузка страниц и обработка событий ввода. [Подробнее…](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Время на загрузку"},"lighthouse-core/audits/unsized-images.js | description":{message:"Чтобы улучшить совокупное смещение макета и избежать возможных проблем, связанных со смещением элементов, рекомендуем всегда явным образом задавать ширину и высоту для изображений. [Подробнее…](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Для изображений не заданы явным образом атрибуты `width` и `height`."},"lighthouse-core/audits/unsized-images.js | title":{message:"Для изображений явным образом заданы атрибуты `width` и `height`."},
"lighthouse-core/audits/user-timings.js | columnType":{message:"Тип"},"lighthouse-core/audits/user-timings.js | description":{message:"Используйте User Timing API, чтобы измерить реальную производительность своего приложения во время ключевых моментов взаимодействия с пользователями. [Подробнее…](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 временная метка}one{# временная метка}few{# временные метки}many{# временных меток}other{# временной метки}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Метки и промежутки пользовательского времени"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Для страницы {securityOrigin} был найден компонент `<link rel=preconnect>`, не использованный браузером. Проверьте значение атрибута `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Чтобы быстро устанавливать соединение с необходимыми сторонними источниками, добавьте ресурсную подсказку `preconnect` или `dns-prefetch`. [Подробнее…](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Используйте предварительное подключение к необходимым доменам"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Обнаружено больше двух предварительно подключенных ссылок `<link rel=preconnect>`. Их необходимо использовать в умеренном количестве и только для наиболее значимых источников."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Для страницы {securityOrigin} был найден компонент `<link rel=preconnect>`, не использованный браузером. Используйте только `preconnect` для значимых источников, которым страница будет точно отправлять запрос."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Для страницы {preloadURL} был найден предварительно загруженный компонент `<link>`, не использованный браузером. Проверьте значение атрибута `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Чтобы основные ресурсы загружались в первую очередь, используйте для них элемент `<link rel=preload>`. [Подробнее…](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Настройте предварительную загрузку ключевых запросов"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL карт"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Карты исходных кодов переводят минифицированный код в исходный код. Благодаря этому разработчики могут выполнять отладку на действующем ресурсе. Кроме того, Lighthouse может предоставлять дополнительную информацию. Чтобы воспользоваться этими преимуществами, внедрите карты исходных кодов. [Подробнее…](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Отсутствуют карты исходного кода для собственных больших скриптов JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"В большом файле JavaScript отсутствует карта исходного кода."},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Внимание! В атрибуте `.sourcesContent` отсутствует 1 элемент.}one{Внимание! В атрибуте `.sourcesContent` отсутствует # элемент.}few{Внимание! В атрибуте `.sourcesContent` отсутствуют # элемента.}many{Внимание! В атрибуте `.sourcesContent` отсутствуют # элементов.}other{Внимание! В атрибуте `.sourcesContent` отсутствует # элемента.}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"У страницы правильные карты исходного кода"},"lighthouse-core/audits/viewport.js | description":{message:'Добавьте метатег `<meta name="viewport">`, чтобы оптимизировать приложение для экранов мобильных устройств. [Подробнее…](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Метатег `<meta name="viewport">` не найден.'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Отсутствует метатег `<meta name="viewport">` со свойством `width` или `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Присутствует метатег `<meta name="viewport">` со свойством `width` или `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Проверьте, правильно ли заданы атрибуты ARIA. Они облегчают работу с вашим приложением пользователям с ограниченными возможностями."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Проверьте, доступны ли на вашем сайте описания для аудио- и видеоконтента. Это сделает сайт удобнее для пользователей с нарушениями зрения и слуха."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Аудио и видео"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Проверьте, соответствует ли ваш сайт рекомендациям по оптимизации для поисковых систем."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Рекомендации"
},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Узнайте, какие трудности могут возникнуть у людей с ограниченными возможностями при использовании вашего веб-приложения, и [сделайте его доступнее](https://developers.google.com/web/fundamentals/accessibility). Тестирование вручную поможет выявить проблемы доступности, которые не были обнаружены автоматически."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Ручная проверка позволяет охватить области, которые невозможно протестировать автоматически. Подробнее [о проверке специальных возможностей](https://developers.google.com/web/fundamentals/accessibility/how-to-review)…"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Специальные возможности"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Проверьте, хорошо ли виден ваш текст."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Контрастность"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Проверьте, правильно ли заданы атрибуты языков для программ чтения с экрана."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Интернационализация и локализация"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Проверьте, насколько элементы управления в вашем приложении различимы для программ чтения с экрана."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Названия и ярлыки"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Проверьте, удобно ли пользователям перемещаться по вашему приложению с помощью клавиатуры."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Навигация"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Проверьте, насколько эффективно программы чтения с экрана распознают данные в таблицах и списках на вашем сайте."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Таблицы и списки"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Совместимость с браузерами"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Рекомендации"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Общие рекомендации"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Надежность и безопасность"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Удобство для пользователей"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"В бюджете производительности устанавливаются нормы для производительности вашего сайта."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Бюджет"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Подробная информация о производительности вашего приложения. Эти цифры не влияют на показатель производительности [напрямую](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Диагностика"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:'Один из самых важных параметров производительности – насколько быстро пиксели отображаются на экране. Ключевые показатели: "Время загрузки первого контента" и "Время загрузки достаточной части контента".'},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Уменьшение времени загрузки контента"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Эти рекомендации могут помочь вам ускорить загрузку страницы. Они не влияют на показатель производительности [напрямую](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Оптимизация"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Показатели"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:'Улучшите параметры загрузки, чтобы страница была готова для работы как можно скорее. Ключевые показатели: "Время загрузки для взаимодействия" и "Индекс скорости загрузки".'},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Общие улучшения"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Производительность"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Здесь проверяется соответствие нормам современных веб-приложений. [Подробнее…](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Lighthouse не проверяет эти пункты автоматически, но они необходимы для соответствия базовому [контрольному списку современных веб-приложений](https://developers.google.com/web/progressive-web-apps/checklist). Они не влияют на показатель приложения, однако их следует проверить вручную."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Современное веб-приложение"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Возможность установки"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Соответствие рекомендациям для PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Эти проверки позволяют оптимизировать сайт для успешной индексации поисковыми системами. Lighthouse проверяет не все факторы, которые могут повлиять на позицию сайта в результатах поиска. [Подробнее…](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Проверьте, соответствует ли ваш сайт рекомендациям по поисковой оптимизации (SEO), с помощью этих дополнительных сервисов."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"Поисковая оптимизация"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Оптимизируйте HTML-код, чтобы поисковые роботы могли лучше проанализировать контент приложения."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Рекомендации в отношении контента"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Чтобы ваше приложение появлялось в результатах поиска, предоставьте доступ к нему поисковым роботам."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Сканирование и индексирование"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Убедитесь, что ваши страницы оптимизированы для мобильных устройств, чтобы пользователям не приходилось менять масштаб страниц или подстраивать их под размер экрана. [Подробнее…](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Оптимизация для мобильных устройств"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"У тестируемого устройства недостаточно быстрый процессор. Это может негативно повлиять на показатель производительности. Подробнее [о калибровке множителя замедления процессора](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)…"},
"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Эта страница может загружаться неправильно, потому что тестовый URL ({requested}) был перенаправлен на {final}. Попробуйте напрямую проверить второй URL."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Страница загружалась слишком медленно и не загрузилась в отведенное время. Результаты могут быть неполными."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{На скорость загрузки могут влиять данные из этого хранилища: {locations}. Попробуйте открыть страницу в режиме инкогнито.}one{На скорость загрузки могут влиять данные из этих хранилищ: {locations}. Попробуйте открыть страницу в режиме инкогнито.}few{На скорость загрузки могут влиять данные из этих хранилищ: {locations}. Попробуйте открыть страницу в режиме инкогнито.}many{На скорость загрузки могут влиять данные из этих хранилищ: {locations}. Попробуйте открыть страницу в режиме инкогнито.}other{На скорость загрузки могут влиять данные из этих хранилищ: {locations}. Попробуйте открыть страницу в режиме инкогнито.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Чтобы обеспечить обратную совместимость со старыми браузерами, добавьте в URL протоколы https: и http: (игнорируются браузерами, которые поддерживают strict-dynamic)."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{
message:"Директива disown-opener не используется, начиная с версии CSP3. Используйте вместо нее заголовок Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Директива referrer не используется, начиная с версии CSP2. Используйте вместо нее заголовок Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Директива reflected-xss не используется, начиная с версии CSP2. Используйте вместо нее заголовок X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Отсутствие директивы base-uri позволяет внедрять теги <base>. С их помощью в качестве базового URL для всех относительных URL (например, скриптов) можно установить домен, контролируемый злоумышленником. Задайте для base-uri значение none или self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Элементы, управляемые директивой object-src, считаются устаревшими. Присвойте ей значение none, чтобы не допустить внедрения плагинов, исполняющих небезопасные скрипты."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Отсутствует директива script-src. Это позволяет выполнять небезопасные скрипты."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Возможно, отсутствует точка с запятой. {keyword} имеет синтаксис директивы, а не ключевого слова."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Для nonce нужно использовать набор символов base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Длина nonce должна составлять не менее 8 символов."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Место назначения для отчетов задано только директивой report-to. Она поддерживается только в браузерах на основе Chromium, поэтому рекомендуется также использовать директиву report-uri."},
"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Ни в одной политике CSP не задано место назначения для отчетов. Это усложняет управление политикой CSP и мониторинг сбоев."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Злоумышленники часто обходят белые списки хостов. Используйте директиву strict-dynamic вместе с nonce или hash политики CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Неизвестная директива CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} — недопустимое ключевое слово."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"Директива unsafe-inline позволяет выполнять небезопасные скрипты и обработчики событий на странице. Чтобы разрешать отдельные скрипты, используйте nonce или hash в политике CSP."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:"Чтобы обеспечить обратную совместимость со старыми браузерами, добавьте директиву unsafe-inline (игнорируется браузерами, которые поддерживают nonce или hash)."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Время блокировки основного потока"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Время жизни кеша"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Описание"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Длительность"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Элемент"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Неподходящие элементы"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Расположение"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Название"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Сверх бюджета"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Запросы"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Размер файла"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Тип ресурса"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Размер"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Источник"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Время начала"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Потраченное время"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Объем переданных данных"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Потенциальная экономия"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Потенциальная экономия"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Потенциальная экономия – {wastedBytes, number, bytes} КиБ"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Обнаружен 1 элемент}one{Обнаружен # элемент}few{Обнаружено # элемента}many{Обнаружено # элементов}other{Обнаружено # элемента}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Потенциальная экономия – {wastedMs, number, milliseconds} мс"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Документ"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Время загрузки достаточной части контента"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Шрифт"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Изображение"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},
"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Высокая"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Низкая"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Средняя"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Макс. потенц. задержка после первого ввода"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Медиа"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} мс"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Другой"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Другие ресурсы"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Скрипт"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} сек."},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"
},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Таблица стилей"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Сторонний"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Всего"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"При записи трассировки для вашей страницы произошла ошибка. Перезапустите Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Превышено время ожидания для первичного соединения с протоколом отладчика."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"При загрузке страницы в Chrome не были сделаны скриншоты. Проверьте, есть ли на странице видимый контент, и перезапустите Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS-серверам не удалось определить IP-адрес по указанному домену."},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"При сборе данных ресурса {artifactName} произошла ошибка ({errorMessage})."},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Произошла внутренняя ошибка. Перезапустите Chrome и Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Не удалось собрать данные ресурса {artifactName}."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Контент на этой странице не был отрисован. Убедитесь, что окно браузера находится в активном режиме во время загрузки, и повторите попытку. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Указана страница не в формате HTML (MIME-тип {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Текущая версия Chrome не поддерживает функцию "{featureName}". Чтобы посмотреть результаты полностью, обновите версию Chrome.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Не удалось загрузить страницу. Убедитесь, что URL введен правильно и сервер отвечает на все запросы."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Не удалось загрузить URL, так как страница не отвечает."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Сертификат безопасности для указанного URL недействителен ({securityMessages})."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Браузер Chrome остановил загрузку страницы с межстраничным объявлением. Убедитесь, что URL введен правильно и сервер отвечает на все запросы."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Не удалось загрузить страницу. Убедитесь, что URL введен правильно и сервер отвечает на все запросы. Подробнее: {errorDetails}."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Не удалось загрузить страницу. Убедитесь, что URL введен правильно и сервер отвечает на все запросы. Код статуса: {statusCode}."},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Страница загружалась слишком долго. Уменьшите время загрузки, выполнив рекомендации из отчета, а затем перезапустите Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Истекло время ожидания ответа от протокола DevTools. Метод: {protocolMethod}."},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Контент загружался слишком долго. Время ожидания истекло."},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Недействительный URL."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Все"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Все скрипты"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Доля использования"},
"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Повторяющиеся модули"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Размер в байтах"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Название"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Показать/скрыть таблицу"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Неиспользуемые байты"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Если на странице есть анимированный контент, используйте [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), чтобы уменьшить нагрузку на процессор, когда контент не отображается на экране."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Рекомендуем показывать все компоненты [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) в форматах WebP при указании соответствующего резервного объявления для других браузеров. [Подробнее…](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Используйте [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) для автоматической отложенной загрузки изображений. [Подробнее…](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"Используйте инструменты, например [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer), для [серверного рендеринга страниц AMP](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Проверьте в [документации по AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/), все ли стили поддерживаются."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Атрибут [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) компонента [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) определяет, какие изображения использовать исходя из размера экрана. [Подробнее…](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Для рендеринга очень длинных списков рекомендуем использовать виртуальную прокрутку с помощью набора инструментов Component Dev Kit (CDK). [Подробнее…](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Примените [разделение кода на уровне маршрута](https://web.dev/route-level-code-splitting-in-angular/), чтобы уменьшить размер пакетов JavaScript. Рекомендуем также выполнять предварительное кеширование файлов с помощью скрипта [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Если вы используете Angular CLI, создавайте сборки в рабочем режиме. [Подробнее…](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"Если вы используете Angular CLI, включите карты исходного кода в рабочую версию сборки, чтобы проверять создаваемые пакеты. [Подробнее…](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Чтобы ускорить переход, выполняйте предзагрузку маршрутов. [Подробнее…](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Для управления контрольными точками изображений мы также рекомендуем использовать утилиту `BreakpointObserver` из набора инструментов Component Dev Kit (CDK). [Подробнее…](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Используйте сервисы, которые позволяют встраивать GIF-файлы на страницы сайта в формате видео HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{
message:"Укажите свойство `@font-display` при выборе специальных шрифтов для темы."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Рекомендуем установить и настроить [модуль для использования изображений в формате WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search). Подобные модули автоматически создают WebP-версии изображений, ускоряя загрузку страницы."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Чтобы применять отложенную загрузку изображений, установите [модуль Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search). Разрешив загружать скрытые изображения позже, вы ускорите отрисовку сайта."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Рекомендуем использовать специальный модуль, например [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg), позволяющий встраивать критически важный код CSS и JavaScript, а также асинхронно загружать ресурсы с помощью JavaScript. Обратите внимание, что такие модули могут привести к сбоям в работе сайта. Не исключено, что вам потребуется внести изменения в код."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"На время ответа влияют как используемые на сайте темы и модули, так и настройки сервера. Советуем найти более оптимизированную тему, тщательно подобрать модуль для оптимизации и/или обновить версию сервера. Серверы вашего хостинга должны поддерживать кеширование операционного кода PHP, кеширование в памяти для ускорения ответа баз данных (например, Redis или Memcached), а также оптимизированную логику приложения, чтобы быстрее подготавливать страницы к загрузке."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Чтобы уменьшить размер изображений на странице, используйте [адаптивные стили изображений](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8). Если вы используете Views для показа нескольких материалов на одной странице, рекомендуем применить разбивку на страницы, чтобы ограничить количество показываемых элементов."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'Убедитесь, что включен параметр "Объединить файлы CSS" на странице "Администрирование > Конфигурация > Разработка". Расширенные настройки агрегации можно задать с помощью [дополнительных модулей](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), которые позволяют объединять, уменьшать и сжимать таблицы стилей CSS для ускорения загрузки сайта.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Убедитесь, что включен параметр "Объединить файлы JavaScript" на странице "Администрирование > Конфигурация > Разработка". Расширенные настройки агрегации можно задать с помощью [дополнительных модулей](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), которые позволяют объединять, уменьшать и сжимать файлы JavaScript для ускорения загрузки сайта.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Рекомендуем удалять ненужные правила CSS и подключать к страницам и их компонентам только те библиотеки Drupal, которые требуются для их загрузки. Подробные сведения можно прочитать в [документации Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Чтобы найти подключенные библиотеки, которые загружают неиспользуемый код JavaScript, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Инструментах разработчика Chrome. Если на вашем сайте Drupal выключена агрегация CSS, определить проблемный модуль или тему можно по URL-адресу таблицы стилей. Обращайте внимание на модули и темы с большим количеством таблиц стилей, где при анализе покрытия кода преобладает красный цвет. Таблица стилей должна попадать в очередь, только если она используется на странице."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Рекомендуем удалять ненужные файлы JavaScript и подключать к страницам и их компонентам только те библиотеки Drupal, которые необходимы для их загрузки. Подробные сведения можно прочитать в [документации Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Чтобы найти подключенные библиотеки, которые загружают неиспользуемый код JavaScript, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в инструментах разработчика Chrome. Если на вашем сайте Drupal выключена агрегация JavaScript, определить проблемный модуль или тему можно по URL-адресу скрипта. Обращайте внимание на модули и темы с большим количеством скриптов, где при анализе покрытия кода преобладает красный цвет. Скрипт должен попадать в очередь, только если он используется на странице."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Перейдите на страницу "Администрирование > Конфигурация > Разработка" и укажите максимальный срок хранения кеша браузера и прокси-сервера. Подробнее о [кеше в Drupal и оптимизации производительности сайта](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)…'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Чтобы автоматически оптимизировать изображения, загруженные на сайт, и уменьшить их размер, сохранив при этом качество, используйте [специальный модуль](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search). Кроме того, убедитесь, что применяете для всех изображений на сайте нативные [адаптивные стили](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) Drupal (доступны в Drupal 8 и более поздних версий)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Чтобы добавить ресурсные подсказки preconnect и dns-prefetch, установите и настройте [модуль](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), который обеспечивает работу ресурсных подсказок для агента пользователя."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Убедитесь, что используете нативные [адаптивные стили изображений](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) Drupal (доступны в Drupal 8 и более поздних версий). Используйте адаптивные стили при отрисовке полей изображений в режимах просмотра и представлениях, а также при отрисовке изображений, загруженных через редактор WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Используйте сервисы, которые позволяют встраивать GIF-файлы на страницы сайта в формате видео HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Чтобы загружаемые изображения автоматически конвертировались в оптимальный формат, используйте специальный [плагин](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) или сервис."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Чтобы отложить загрузку скрытых изображений, установите [плагин Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) или подберите шаблон, который поддерживает такую возможность. С версии Joomla 4.0 все новые изображения [автоматически](https://github.com/joomla/joomla-cms/pull/30748) получают атрибут `loading`."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Используйте один из плагинов Joomla, которые позволяют [встраивать критически важный код](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) или [откладывать загрузку менее важных ресурсов](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Обратите внимание, что такие плагины могут привести к сбоям в работе других шаблонов и плагинов на сайте, поэтому их понадобится тщательно протестировать."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"На время ответа влияют как используемые на сайте шаблоны и расширения, так и настройки сервера. Советуем найти более оптимизированный шаблон, тщательно подобрать расширение для оптимизации и/или обновить версию сервера."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:'Рекомендуем показывать на страницах категорий только начальные фрагменты материалов (например, со ссылкой "Подробнее"). Советуем также сократить количество материалов на одной странице, разбить длинные записи на несколько страниц или использовать плагин для отложенной загрузки комментариев.'},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Чтобы ускорить загрузку сайта, используйте [расширения Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) или специальные шаблоны, которые позволяют объединять, уменьшать и сжимать таблицы стилей CSS."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Чтобы ускорить загрузку сайта, используйте [расширения Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) или специальные шаблоны, которые позволяют объединять, уменьшать и сжимать таблицы стилей CSS."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Рекомендуем заменить или удалить [расширения Joomla](https://extensions.joomla.org/), которые загружают неиспользуемый код CSS. Чтобы найти такие расширения, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Инструментах разработчика Chrome. Определить проблемный плагин или тему можно по URL-адресу таблицы стилей. Обращайте внимание на плагины с большим количеством таблиц стилей, где при анализе покрытия кода преобладает красный цвет. Таблица стилей должна попадать в очередь, только если она используется на странице."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Рекомендуем заменить или удалить [расширения Joomla](https://extensions.joomla.org/), которые загружают неиспользуемый код JavaScript. Чтобы найти такие плагины, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Инструментах разработчика Chrome. Определить проблемное расширение можно по URL-адресу скрипта. Обращайте внимание на расширения с большим количеством скриптов, в которых при анализе покрытия кода преобладает красный цвет. Скрипт должен попадать в очередь, только если он используется на странице."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Подробнее о [кешировании в браузере на платформе Joomla](https://docs.joomla.org/Cache)…"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Рекомендуем использовать [плагин для сжатия изображений без потери качества](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Рекомендуем использовать [плагин для адаптивных изображений](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:'Чтобы включить сжатие текста, разрешите GZIP-сжатие страниц в настройках Joomla ("Система > Общие настройки > Сервер").'},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Если вы не группируете файлы JavaScript, рекомендуем использовать [модуль пакетирования и предварительной загрузки](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Отключите встроенную функцию [группировки и минификации файлов JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) в Magento и используйте вместо нее [модуль пакетирования и предварительной загрузки](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Укажите свойство `@font-display` при [выборе специальных шрифтов](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"В [магазине Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) можно найти множество сторонних расширений для использования новых графических форматов."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Рекомендуем изменить шаблоны продукции и каталогов для использования функции [отложенной загрузки](https://web.dev/native-lazy-loading) на веб-платформе."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Используйте [модуль интеграции с Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) в Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"В настройках для разработчиков своего магазина включите параметр Minify CSS Files (Уменьшать размер файлов CSS). [Подробнее…](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Используйте [Terser](https://www.npmjs.com/package/terser), чтобы уменьшить размер всех файлов JavaScript, загружаемых при развертывании статического контента, и отключите встроенную функцию минификации."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Отключите встроенную функцию [группировки файлов JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) в Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"В [магазине Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) можно найти множество сторонних расширений для оптимизации изображений."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Ресурсные подсказки preconnect или dns-prefetch можно добавить, [изменив разметку темы](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Чтобы добавить теги `<link rel=preload>`, [измените разметку темы](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Смените анимированные GIF-файлы на видео](https://web.dev/replace-gifs-with-videos/), чтобы ускорить загрузку страниц. Также рекомендуем использовать современные форматы файлов, такие как [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) и [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder). Это позволит повысить эффективность сжатия более чем на 30 % по сравнению с показателями новейшего видеокодека VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Чтобы загружаемые изображения автоматически конвертировались в оптимальный формат, используйте специальный [плагин](https://octobercms.com/plugins?search=image) или сервис. [Изображения без потери качества в формате WebP](https://developers.google.com/speed/webp) на 26 % меньше по размеру изображений в формате PNG и на 25–34 % меньше изображений в формате JPEG при одинаковом значении индекса структурного сходства. Мы также рекомендуем использовать такой современный формат изображения, как [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Чтобы отложить загрузку скрытых изображений, установите [плагин отложенной загрузки](https://octobercms.com/plugins?search=lazy) или подберите тему, которая поддерживает такую возможность. Мы также рекомендуем [плагин AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Используйте один из плагинов, которые позволяют [встраивать критически важный код](https://octobercms.com/plugins?search=css). Такие плагины могут привести к сбоям в работе других плагинов на сайте, поэтому перед внедрением тщательно протестируйте их."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Темы, плагины и спецификации сервера – все это влияет на время ответа сервера. Советуем найти более оптимизированную тему, тщательно подобрать плагин для оптимизации и/или обновить сервер. October CMS также позволяет разработчикам использовать [`Queues`](https://octobercms.com/docs/services/queues), чтобы отложить обработку ресурсозатратной задачи, например отправку электронного письма. Это значительно ускоряет веб-запросы."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Рекомендуем показывать в списках записей только начальные фрагменты материалов (например, с кнопкой `show more`). Советуем также сократить количество материалов на одной странице, разбить длинные записи на несколько страниц или использовать плагин для отложенной загрузки комментариев."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Существует множество [плагинов](https://octobercms.com/plugins?search=css), которые ускоряют загрузку сайтов, объединяя, уменьшая или сжимая стили. Рекомендуем использовать такие плагины на этапе сборки."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Существует множество [плагинов](https://octobercms.com/plugins?search=javascript), которые ускоряют загрузку сайтов, объединяя, уменьшая или сжимая скрипты. Рекомендуем использовать такие плагины на этапе сборки."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Рекомендуем проверить [плагины](https://octobercms.com/plugins), которые загружают неиспользуемый код CSS на сайт. Чтобы найти такие плагины, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Инструментах разработчика Chrome. Определить проблемный плагин или тему можно по URL-адресу таблицы стилей. Обращайте внимание на плагины с большим количеством таблиц стилей, где при анализе покрытия кода преобладает красный цвет. Таблица стилей должна добавляться, только если она используется на странице."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Проверьте [плагины](https://octobercms.com/plugins?search=javascript), которые загружают неиспользуемый код JavaScript. Чтобы найти такие плагины, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Инструментах разработчика Chrome. Определить проблемный плагин или тему можно по URL-адресу скрипта. Обращайте внимание на плагины с большим количеством скриптов, в которых при анализе покрытия кода преобладает красный цвет. Плагин должен добавлять скрипт, только если он используется на странице."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Ознакомьтесь с информацией о том, [как предотвратить ненужные сетевые запросы с помощью кеширования HTTP](https://web.dev/http-cache/#caching-checklist). Вы можете использовать [плагины для ускорения скорости кеширования](https://octobercms.com/plugins?search=Caching)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Рекомендуем использовать [плагин для сжатия изображений без потери качества](https://octobercms.com/plugins?search=image)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Загружайте изображения напрямую из менеджера медиафайлов, чтобы убедиться, что их размеры соответствуют требованиям. Чтобы обеспечить оптимальный размер изображений, используйте [фильтр](https://octobercms.com/docs/markup/filter-resize) или [плагин](https://octobercms.com/plugins?search=image) для изменения размера."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Включите в настройках веб-сервера сжатие текста."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Рекомендуем использовать библиотеку для виртуализации списков, например `react-window`, чтобы уменьшить количество создаваемых узлов DOM, если на одной странице выполняется отрисовка множества повторяющихся элементов. [Подробнее…](https://web.dev/virtualize-long-lists-react-window/) Кроме того, если для повышения скорости загрузки применяется обработчик `Effect`, используйте [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) или [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo), чтобы исключить повторные отрисовки, и [пропускайте эффекты](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), пока не изменятся определенные зависимости."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Если вы используете React Router, максимально ограничьте применение компонента `<Redirect>` для [перехода по маршрутам](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Если вы применяете серверный рендеринг компонентов React, мы рекомендуем использовать методы `renderToNodeStream()` или `renderToStaticNodeStream()`. Это позволит отправлять разметку частями, а не целиком и воссоздавать ее на устройстве клиента. [Подробнее…](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:'Если ваша система сборки автоматически уменьшает размер файлов CSS, перед развертыванием приложения убедитесь, что вы используете рабочую версию сборки. Для этого установите расширение "Инструменты разработчика React". [Подробнее…](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)'},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:'Если ваша система сборки автоматически уменьшает размер файлов JS, перед развертыванием приложения убедитесь, что вы используете рабочую версию сборки. Для этого установите расширение "Инструменты разработчика React". [Подробнее…](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)'},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Если вы не применяете серверный рендеринг, используйте метод `React.lazy()` для [разделения пакетов JavaScript](https://web.dev/code-splitting-suspense/). Разделить код можно также с помощью сторонней библиотеки, например [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Используйте подключаемый модуль React DevTools, который с помощью API профилировщика может оценить скорость визуализации ваших компонентов. [Подробнее…](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Используйте сервисы, которые позволяют встраивать GIF-файлы на страницы сайта в формате видео HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Чтобы загружаемые изображения автоматически конвертировались в оптимальный формат, используйте специальный [плагин](https://wordpress.org/plugins/search/convert+webp/) или сервис."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Чтобы отложить загрузку скрытых страниц, установите [плагин WordPress](https://wordpress.org/plugins/search/lazy+load/) или подберите тему, которая поддерживает такую возможность. Мы также рекомендуем [плагин AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Используйте плагины WordPress, которые позволяют [встроить критическую часть данных](https://wordpress.org/plugins/search/critical+css/) или [отложить загрузку менее важных ресурсов](https://wordpress.org/plugins/search/defer+css+javascript/). Обратите внимание, что такие плагины могут привести к сбоям в работе других используемых вами тем или плагинов. Не исключено, что вам потребуется внести изменения в код."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Темы, плагины и спецификации сервера – все это влияет на время ответа сервера. Советуем найти более подходящую тему, тщательно подобрать плагин для оптимизации и/или обновить сервер."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Мы рекомендуем включить показ только начального фрагмента записей (например, с помощью тега More). Вы также можете сократить количество записей на одной странице, разбить длинные записи на несколько страниц или использовать отложенную загрузку комментариев."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Ускорьте загрузку сайта с помощью [плагинов WordPress](https://wordpress.org/plugins/search/minify+css/), которые позволяют объединять, уменьшать и сжимать стили. Рекомендуем использовать такие плагины на этапе сборки."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Ускорьте загрузку сайта с помощью [плагинов WordPress](https://wordpress.org/plugins/search/minify+javascript/), которые позволяют объединять, уменьшать и сжимать скрипты. Рекомендуем использовать такие плагины на этапе сборки."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Рекомендуем заменить или удалить [плагины WordPress](https://wordpress.org/plugins/), которые загружают неиспользуемый код CSS на вашей странице. Чтобы найти такие плагины, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в инструментах разработчика Chrome. Определить нужный плагин или тему можно по URL таблицы стилей. Обращайте внимание на плагины с большим количеством таблиц стилей, в которых при анализе покрытия кода преобладает красный цвет. Таблица стилей должна попадать в очередь, только если она используется на странице."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"Рекомендуем заменить или удалить [плагины WordPress](https://wordpress.org/plugins/), которые загружают неиспользуемый код JavaScript на вашей странице. Чтобы найти такие плагины, запустите [анализ покрытия кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в инструментах разработчика Chrome. Определить нужный плагин или тему можно по URL скрипта. Обращайте внимание на плагины с большим количеством скриптов, в которых при анализе покрытия кода преобладает красный цвет. Скрипт должен попадать в очередь, только если он используется на странице."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Подробнее [о кешировании в браузере на платформе WordPress](https://wordpress.org/support/article/optimization/#browser-caching)…"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Чтобы сжимать изображения без потери качества, используйте [специальный плагин WordPress](https://wordpress.org/plugins/search/optimize+images/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Чтобы привести размеры ваших изображений в соответствие с требованиями, загрузите их в [библиотеку файлов](https://wordpress.org/support/article/media-library-screen/). Затем вставьте их на сайт прямо из библиотеки или используйте виджет изображений. Таким образом вы сможете обеспечить оптимальный размер изображений (в том числе для контрольных точек адаптивного дизайна). Старайтесь не использовать для изображения значение `Full Size` без особой необходимости. [Подробнее…](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Включить сжатие текста можно в настройках веб-сервера."},"report/renderer/util.js | calculatorLink":{
message:"Показать калькулятор"},"report/renderer/util.js | crcInitialNavigation":{message:"Начальная навигация"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Максимальная задержка критического пути:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Копировать JSON-файл"},"report/renderer/util.js | dropdownDarkTheme":{message:"Включить/выключить тёмную тему"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Печать полного отчета"},"report/renderer/util.js | dropdownPrintSummary":{message:"Печать сводных данных"},"report/renderer/util.js | dropdownSaveGist":{message:"Сохранить как Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Сохранить как HTML-файл"},"report/renderer/util.js | dropdownSaveJSON":{message:"Сохранить как JSON-файл"},"report/renderer/util.js | dropdownViewer":{message:"Открыть в Viewer"},"report/renderer/util.js | errorLabel":{message:"Ошибка"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Ошибка отчета: информация аудита отсутствует"},"report/renderer/util.js | footerIssue":{message:"Сообщить о проблеме"},"report/renderer/util.js | labDataTitle":{message:"Имитация загрузки страницы"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Результаты анализа [Lighthouse](https://developers.google.com/web/tools/lighthouse/), проведенного для текущей страницы в эмулированной мобильной сети. Значения приблизительные и могут изменяться."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Дополнительные объекты для проверки вручную"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Неприменимо"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Возможности"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Приблизительная экономия"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Успешные аудиты"},"report/renderer/util.js | runtimeDesktopEmulation":{
message:"Эмуляция компьютера"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Эмуляция Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Без эмуляции"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Версия Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Производительность ЦП/ОЗУ"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Ограничение пропускной способности ЦП"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Канал"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Устройство"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Время запуска"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Ограничение пропускной способности сети"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Настройки среды выполнения"},"report/renderer/util.js | runtimeSettingsUA":{message:"Агент пользователя (хост)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Агент пользователя (сеть)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Неизвестно"},"report/renderer/util.js | showRelevantAudits":{message:"Показать аудиты"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Свернуть фрагмент"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Развернуть фрагмент"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Показывать сторонние ресурсы"},"report/renderer/util.js | throttlingProvided":{message:"Предоставлено средой"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Во время работы Lighthouse возникли следующие проблемы:"},"report/renderer/util.js | varianceDisclaimer":{message:"Значения приблизительные и могут изменяться. [Уровень производительности рассчитывается](https://web.dev/performance-scoring/) непосредственно на основании этих показателей."},
"report/renderer/util.js | viewTreemapLabel":{message:"Открыть карту эффективности"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Пройденные проверки с предупреждениями"},"report/renderer/util.js | warningHeader":{message:"Предупреждения: "}}},{}],133:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Prístupové klávesy umožňujú používateľom rýchlejšie vybrať časť stránky. Každý prístupový kláves musí byť jedinečný, aby navigácia správne fungovala. [Ďalšie informácie](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Hodnoty `[accesskey]` nie sú jedinečné"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Počet jedinečných hodnôt: `[accesskey]`"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Každá značka ARIA `role` podporuje konkrétnu podmnožinu atribútov `aria-*`. Ak ich pomiešate, znehodnotia sa atribúty `aria-*`. [Ďalšie informácie](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atribúty `[aria-*]` nezodpovedajú svojim rolám"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atribúty `[aria-*]` zodpovedajú svojim rolám"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Keď prvok nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Prvky `button`, `link` a `menuitem` nemajú dostupné názvy."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Prvky `button`, `link` a `menuitem` majú dostupné názvy"},
"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Asistenčné technológie, ako sú čítačky obrazovky, nepracujú konzistentne, keď je v dokumente `<body>` nastavený atribút `aria-hidden="true"`. [Ďalšie informácie](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` sa v dokumente `<body>` nachádza'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` sa v dokumente `<body>` nenachádza'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Označiteľné odvodené položky v rámci prvku `[aria-hidden="true"]` zneprístupňujú tieto interaktívne prvky používateľom asistenčných technológií, napríklad čítačiek obrazovky. [Ďalšie informácie](https://web.dev/aria-hidden-focus/)'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{
message:'Prvky `[aria-hidden="true"]` obsahujú označiteľné odvodené prvky'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Prvky `[aria-hidden="true"]` neobsahujú označiteľné odvodené položky'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Keď vstupné pole nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Vstupné polia ARIA nemajú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Vstupné polia ARIA majú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Keď prvok nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Prvky `meter` ARIA nemajú dostupné názvy."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Prvky `meter` ARIA majú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Keď prvok `progressbar` nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Prvky `progressbar` ARIA nemajú dostupné názvy."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Prvky `progressbar` ARIA majú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{
message:"Niektoré roly ARIA majú povinné atribúty, ktoré čítačkám obrazovky opisujú stav prvku. [Ďalšie informácie](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Roly `[role]` nemajú všetky požadované atribúty `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Roly `[role]` majú všetky požadované atribúty `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Ak majú poskytovať správne funkcie dostupnosti, musia niektoré nadradené roly ARIA obsahovať určité podradené roly. [Ďalšie informácie](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Prvkom so štítkom ARIA `[role]`, ktoré vyžadujú, aby podradené prvky obsahovali konkrétnu rolu `[role]`, chýbajú niektoré alebo všetky požadované podradené prvky."},
"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Prvky so štítkom ARIA `[role]`, ktoré vyžadujú, aby podradené prvky obsahovali konkrétnu rolu `[role]`, majú všetky požadované podradené prvky."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Ak majú niektoré podradené roly ARIA poskytovať správne funkcie dostupnosti, musia byť obsiahnuté v konkrétnych nadradených rolách. [Ďalšie informácie](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Roly `[role]` sa nenachádzajú v požadovanom nadradenom prvku"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Roly `[role]` sa nachádzajú v požadovanom nadradenom prvku"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"Ak majú roly ARIA vykonávať zamýšľané funkcie dostupnosti, musia mať platné hodnoty. [Ďalšie informácie](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Hodnoty `[role]` nie sú platné"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Hodnoty `[role]` sú platné"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Keď pole prepínača nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Polia prepínačov ARIA nemajú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Polia prepínačov ARIA majú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Keď prvok nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Prvky `tooltip` ARIA nemajú dostupné názvy."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Prvky `tooltip` ARIA majú dostupné názvy"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Keď prvok nemá dostupný názov, čítačky obrazovky ho oznamujú pod generickým názvom, takže je pre používateľov nanič. [Ďalšie informácie](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Prvky `treeitem` ARIA nemajú dostupné názvy."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Prvky `treeitem` ARIA majú dostupné názvy"},
"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Asistenčné technológie, ako sú čítačky obrazovky, nedokážu interpretovať atribúty ARIA s neplatnými hodnotami. [Ďalšie informácie](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atribúty `[aria-*]` nemajú platné hodnoty"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Atribúty `[aria-*]` majú platné hodnoty"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Asistenčné technológie, ako sú čítačky obrazovky, nedokážu interpretovať atribúty ARIA s neplatnými názvami. [Ďalšie informácie](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atribúty `[aria-*]` nie sú platné ani neobsahujú preklepy"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{
message:"Atribúty `[aria-*]` sú platné a neobsahujú preklepy"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Prvky s chybami"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Keď tlačidlo nemá dostupný názov, čítačky obrazovky ho oznamujú ako „tlačidlo“, takže je pre používateľov v podstate nanič. [Ďalšie informácie](https://web.dev/button-name/)"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Tlačidlá nemajú dostupný názov"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Tlačidlá majú dostupný názov"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Keď pridáte možnosti, ako obísť opakujúci sa obsah, umožníte tým efektívnejšiu navigáciu na stránke pomocou klávesnice. [Ďalšie informácie](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{
message:"Stránka neobsahuje hlavičku, odkaz na preskočenie či orientačný bod regióna."},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Stránka obsahuje hlavičku, odkaz na preskočenie alebo orientačný bod regiónu"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Mnohí používatelia majú problémy s čítaním textu s nízkym kontrastom, prípadne to vôbec nedokážu. [Ďalšie informácie](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Farby pozadia a popredia nemajú dostatočný kontrastný pomer."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Farby pozadia a popredia majú dostatočný kontrastný pomer"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Keď zoznamy definícií nie sú správne označené, čítačky obrazovky môžu generovať mätúci alebo nepresný výstup. [Ďalšie informácie](https://web.dev/definition-list/)"},
"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` neobsahuje iba správne usporiadané skupiny `<dt>` a `<dd>`, prvky `<script>`, `<template>` alebo `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` obsahuje iba správne usporiadané skupiny `<dt>` a `<dd>`, prvky `<script>`, `<template>` alebo `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Položky zoznamu definícií (`<dt>` a `<dd>`) musia byť zabalené v nadradenom prvku `<dl>`, aby ich čítačky obrazovky dokázali správne oznamovať. [Ďalšie informácie](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Položky zoznamu definícií nie sú zabalené v prvkoch `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Položky zoznamu definícií sú zabalené v prvkoch `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"Názov poskytuje používateľom čítačiek obrazovky prehľadné informácie o stránke a používatelia vyhľadávačov sa podľa neho rozhodujú, či je stránka pre ich vyhľadávanie relevantná. [Ďalšie informácie](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokument nemá prvok `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokument má prvok `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Všetky označiteľné prvky musia mať jedinečný atribút`id`, aby ich dokázali rozpoznať asistenčné technológie. [Ďalšie informácie](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atribúty `[id]` aktívnych označiteľných prvkov nie sú jedinečné"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{
message:"Atribúty `[id]` aktívnych označiteľných prvkov sú jedinečné"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Hodnota identifikátora ARIA musí byť jedinečná, aby asistenčné technológie neprehliadli ďalšie výskyty. [Ďalšie informácie](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Identifikátory ARIA nie sú jedinečné"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Identifikátory ARIA nie sú jedinečné"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Asistenčné technológie, ako napríklad čítačky obrazovky, ktoré používajú buď prvý, posledný, alebo všetky štítky, môžu polia formulárov s viacerými štítkami ohlásiť nepresne. [Ďalšie informácie](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{
message:"Polia formulára majú viacero štítkov"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Žiadne polia formulára nemajú viacero štítkov"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Používatelia čítačiek obrazovky zistia obsah rámcov pomocou ich názvov. [Ďalšie informácie](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Prvky `<frame>` alebo `<iframe>` nemajú názov"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Prvok `<frame>` alebo `<iframe>` má názov"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Správne usporiadané nadpisy, ktoré nepreskakujú úrovne, udržiavajú sémantickú štruktúru stránky, vďaka čomu zjednodušujú navigáciu a porozumenie pri používaní asistenčných technológií. [Ďalšie informácie](https://web.dev/heading-order/)"},
"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Prvky nadpisu sa nezobrazujú postupne v zostupnom poradí"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Prvky nadpisu sa zobrazujú postupne v zostupnom poradí"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"Ak stránka neuvádza atribút lang, čítačka obrazovky predpokladá, že je v predvolenom jazyku vybranom používateľom pri nastavovaní čítačky obrazovky. Ak stránka v skutočnosti nie je v predvolenom jazyku, čítačka obrazovky nemusí jej text prečítať správne. [Ďalšie informácie](https://web.dev/html-has-lang/)"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Prvok `<html>` nemá atribút `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Prvok `<html>` má atribút `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"Ak je uvedený platný [jazyk BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), čítačkám obrazovky to pomôže správne oznamovať text. [Ďalšie informácie](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Prvok `<html>` nemá platnú hodnotu pre atribút `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Prvok `<html>` má platnú hodnotu pre svoj atribút `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informatívne prvky by mali mať krátky popisný alternatívny text. Dekoratívne prvky je možné ignorovať pomocou prázdneho atribútu alt. [Ďalšie informácie](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Prvky obrázkov nemajú atribúty `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Prvky obrázka majú atribúty `[alt]`"},
"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Keď je ako tlačidlo `<input>` použitý obrázok, uvedenie alternatívneho textu môže pomôcť používateľom čítačky obrazovky pochopiť účel tlačidla. [Ďalšie informácie](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Prvky `<input type="image">` nemajú text `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Prvky `<input type="image">` majú text `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Štítky zaisťujú, aby asistenčné technológie (napríklad čítačky obrazovky) správne oznamovali ovládacie prvky formulárov. [Ďalšie informácie](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Prvky formulárov nemajú priradené štítky"},"lighthouse-core/audits/accessibility/label.js | title":{
message:"K prvkom formulára sú priradené štítky"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Rozpoznateľný, jedinečný a zamerateľný text odkazu (a alternatívny text pre obrázky, ktoré sa používajú ako odkazy) zlepšuje navigáciu pomocou čítačky obrazovky. [Ďalšie informácie](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Odkazy nemajú rozpoznateľné názvy"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Odkazy majú rozpoznateľné názvy"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Čítačky obrazovky oznamujú zoznamy špeciálnym spôsobom. Použitím správnej štruktúry zoznamu pomôžete čítačkám obrazovky s výstupom. [Ďalšie informácie](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Zoznamy neobsahujú iba prvky `<li>` a prvky podporujúce skript (`<script>` a `<template>`)."},
"lighthouse-core/audits/accessibility/list.js | title":{message:"Zoznamy obsahujú iba prvky `<li>` a prvky podporujúce skript (`<script>` a `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Položky zoznamu (`<li>`) sa musia nachádzať v nadradenom prvku `<ul>` alebo `<ol>`, aby ich dokázali čítačky obrazovky správne oznámiť. [Ďalšie informácie](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Položky zoznamu (`<li>`) sa nenachádzajú v nadradených prvkoch `<ul>` ani `<ol>`"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Položky zoznamu (`<li>`) sa nachádzajú v nadradených prvkoch `<ul>` alebo `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Používatelia neočakávajú, že sa stránka bude automaticky obnovovať. Pri automatickom obnovení sa zameranie vráti späť na začiatok stránky. Na používateľov to môže pôsobiť nepríjemne alebo mätúco. [Ďalšie informácie](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokument používa metaznačku `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokument nepoužíva `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Deaktivácia približovania spôsobuje problémy slabozrakým používateľom, ktorí pri čítaní obsahu webovej stránky využívajú priblíženie obrazovky. [Ďalšie informácie](https://web.dev/meta-viewport/)"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]` sa nepoužíva v prvku `<meta name="viewport">` alebo hodnota atribútu `[maximum-scale]` je nižšia ako 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` sa nepoužíva v prvku `<meta name="viewport">` a atribút `[maximum-scale]` nie je menší ako 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Čítačky obrazovky nedokážu preložiť netextový obsah. Pridaním alternatívneho textu k prvkom `<object>` pomôžete čítačkám obrazovky sprostredkovať používateľom význam. [Ďalšie informácie](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Prvky `<object>` nemajú text `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Prvky `<object>` majú text `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Hodnota väčšia ako 0 označuje explicitné usporiadanie navigácie. Hoci je to technicky platné riešenie, často vedie k nepríjemným skúsenostiam používateľov, ktorí potrebujú asistenčné technológie. [Ďalšie informácie](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Niektoré prvky majú hodnotu `[tabindex]` vyššiu ako 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Žiadny prvok nemá hodnotu `[tabindex]` vyššiu ako 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Čítačky obrazovky majú funkcie, ktoré zjednodušujú prehliadanie tabuliek. Keď zaistíte, aby bunky `<td>` s atribútom `[headers]` odkazovali iba na bunky v rovnakej tabuľke, môžete tým používateľom čítačiek obrazovky zjednodušiť prehliadanie. [Ďalšie informácie](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Bunky v prvku `<table>`, ktoré používajú atribút `[headers]`, odkazujú na prvok `id`, ktorý nie je v rovnakej tabuľke."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Bunky v prvku `<table>`, ktoré používajú atribút `[headers]`, odkazujú na bunky v tej istej tabuľke."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Čítačky obrazovky majú funkcie, ktoré zjednodušujú prehliadanie tabuliek. Dojem používateľov čítačiek obrazovky môžete vylepšiť tým, že hlavičky tabuliek budú odkazovať na určitú skupinu buniek. [Ďalšie informácie](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Prvky `<th>` a prvky s rolou `[role="columnheader"/"rowheader"]` nemajú bunky s údajmi, ktoré opisujú.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'Prvky `<th>` a prvky s rolou `[role="columnheader"/"rowheader"]` majú bunky s údajmi, ktoré opisujú.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Ak je v prvkoch uvedený platný [jazyk BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), pomôže to zaistiť, aby čítačky obrazovky čítali text správne. [Ďalšie informácie](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atribúty `[lang]` nemajú platnú hodnotu"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atribúty `[lang]` majú platnú hodnotu"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Keď má video k dispozícii titulky, nepočujúci a sluchovo postihnutí používatelia jednoduchšie získajú informácie vo videu. [Ďalšie informácie](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Prvky `<video>` neobsahujú prvok `<track>` s titulkami `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Prvky `<video>` obsahujú prvok `<track>` s titulkami `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Ak chcete zaistiť ideálny vzhľad progresívnej webovej aplikácie v systéme iOS, keď si ju používateľ pridá na plochu, definujte vlastnosť `apple-touch-icon`. Musí odkazovať na nepriehľadný obrázok PNG s veľkosťou 192 × 192 px (alebo 180 × 180 px). [Ďalšie informácie](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Neposkytuje platnú ikonu `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Prvok `apple-touch-icon-precomposed` je zastaraný, preferuje sa `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Poskytuje platnú ikonu `apple-touch-icon`"},
"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Aktuálna hodnota"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Navrhovaný token"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` pomáha používateľom rýchlejšie odosielať formuláre. Ak im chcete ušetriť prácu, zvážte aktiváciu tejto funkcie nastavením atribútu `autocomplete` na platnú hodnotu. [Ďalšie informácie](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Prvky `<input>` nemajú správne atribúty `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Vyžaduje sa manuálna kontrola"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Skontrolujte poradie tokenov"},"lighthouse-core/audits/autocomplete.js | title":{message:"Prvky `<input>` používajú atribút `autocomplete` správne"},
"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Tokeny funkcie `autocomplete`: token {token} je neplatný v atribúte {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Skontrolujte poradie tokenov: {tokens} v {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Rozšírenia pre Chrome negatívne ovplyvnili výkonnosť načítania tejto stránky. Skúste stránku skontrolovať v režime inkognito alebo profile Chrome bez rozšírení."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Hodnotenie skriptu"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Analýza skriptu"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Celkový čas využitia procesora"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Zvážte skrátenie času stráveného analýzou, zostavovaním a spustením JavaScriptu. Možno vám s tým pomôže zobrazovanie menších prenášaných dát JavaScriptu. [Ďalšie informácie](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Skráťte čas spustenia JavaScriptu"},"lighthouse-core/audits/bootup-time.js | title":{message:"Čas spustenia JavaScriptu"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Odstráňte veľké a duplicitné moduly JavaScriptu, aby ste zredukovali nepotrebné bajty spotrebované aktivitou siete. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Odstráňte duplicitné moduly v balíkoch JavaScriptu"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Veľké gify nie sú vhodné na zobrazovanie animovaného obsahu. Namiesto nich odporúčame použiť videá MPEG4/WebM pre animácie a PNG/WebP pre statické obrázky, aby ste ušetrili spotrebu bajtov v sieti. [Ďalšie informácie](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Pre animovaný obsah použite formáty videa"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Viacnásobné vyplnenia a transformácie umožňujú starým prehliadačom používať nové funkcie JavaScriptu. Mnohé z nich však nie sú pre moderné prehliadače potrebné. Zaveďte pre svoj zabalený JavaScript modernejšiu stratégiu nasadzovania skriptov využívajúcu detekciu modulových a nemodulových funkcií a zredukujte tak množstvo kódu dodávaného do moderných prehliadačov, pričom zachováte podporu starých prehliadačov. [Ďalšie informácie](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Nezobrazujte starý JavaScript v moderných prehliadačoch"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Formáty obrázka, napríklad JPEG 2000, JPEG XR a WebP, zvyčajne poskytujú lepšiu kompresiu než PNG alebo JPEG, čo znamená rýchlejšie sťahovanie a nižšiu spotrebu dát. [Ďalšie informácie](https://web.dev/uses-webp-images/)"},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Zobrazujte obrázky vo formátoch ďalšej generácie"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Zvážte oneskorené načítanie obrázkov, ktoré sú mimo obrazovky alebo skryté, a to až po dokončení načítania všetkých podstatných zdrojov, čím skrátite čas do interaktívneho vykreslenia. [Ďalšie informácie](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Oddiaľte načítanie obrázkov mimo obrazovky"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Zdroje blokujú prvé vykreslenie stránky. Zvážte zobrazovanie podstatných JavaScriptov alebo šablón CSS v texte a oddialenie všetkých nepodstatných JavaScriptov alebo štýlov. [Ďalšie informácie](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{
message:"Odstráňte zdroje blokujúce vykreslenie"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Veľké sieťové prenosy dát stoja používateľov mnoho peňazí a často sú spájané s dlhými časmi načítania. [Ďalšie informácie](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Celková veľkosť bola {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Zabráňte nadmerným sieťovým prenosom dát"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Zabráni nadmerným sieťovým prenosom dát"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Minifikáciou súborov šablón CSS môžete znížiť veľkosti sieťových prenosov dát. [Ďalšie informácie](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{
message:"Minifikujte súbory CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Minifikáciou súborov JavaScriptu môžete znížiť veľkosti prenášaných dát a čas analýzy skriptu. [Ďalšie informácie](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minifikujte JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Zredukujte nepoužívané pravidlá v šablónach štýlov a odložte šablóny CSS, ktoré sa nepoužívajú pre obsah nad záhybom stránky, čím znížite spotrebu bajtov aktivitou v sieti. [Ďalšie informácie](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Zredukujte nepoužívané šablóny CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Zredukujte nepoužívaný jazyk JavaScript a odložte načítavanie skriptov do okamihu, kedy budú potrebné, čím znížite spotrebu bajtov aktivitou v sieti. [Ďalšie informácie](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Zredukujte nepoužívaný jazyk JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Dlhá životnosť vyrovnávacej pamäte môže zrýchliť opakované návštevy stránky. [Ďalšie informácie](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Našiel sa 1 zdroj}few{Našli sa # zdroje}many{# resources found}other{Našlo sa # zdrojov}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Zobrazujte statické podklady s účinnými pravidlami ukladania do vyrovnávacej pamäte"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Používa účinné pravidlá ukladania do vyrovnávacej pamäte pre statické podklady"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimalizované obrázky sa načítavajú rýchlejšie a spotrebúvajú menej mobilných dát. [Ďalšie informácie](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Účinne zakódujte obrázky"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Zobrazujte obrázky s primeranou veľkosťou, čím ušetríte mobilné dáta a skrátite čas načítania. [Ďalšie informácie](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Nastavte primeranú veľkosť obrázkov"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Textové zdroje by sa mali zobrazovať komprimované (gzip, deflate alebo brotli), aby sa minimalizovala celková spotreba bajtov v sieti. [Ďalšie informácie](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Povoľte kompresiu textu"},"lighthouse-core/audits/content-width.js | description":{message:"Ak šírka obsahu vašej aplikácie nezodpovedá šírke oblasti zobrazenia, aplikácia nemusí byť optimalizovaná pre obrazovky mobilných zariadení. [Ďalšie informácie](https://web.dev/content-width/)"},"lighthouse-core/audits/content-width.js | explanation":{message:"Veľkosť oblasti zobrazenia {innerWidth} px nezodpovedá veľkosti okna {outerWidth} px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Obsah nemá správnu veľkosť pre oblasť zobrazenia"},"lighthouse-core/audits/content-width.js | title":{message:"Obsah má správnu veľkosť pre oblasť zobrazenia"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"Reťazce podstatných žiadostí uvedené nižšie znázorňujú, ktoré zdroje sú načítané s vysokou prioritou. Zvážte skrátenie dĺžky reťazcov, aby ste znížili veľkosť sťahovaných zdrojov, alebo odložte sťahovanie nepotrebných zdrojov, čím zlepšíte načítanie stránky. [Ďalšie informácie](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Našiel sa 1 reťazec}few{Našli sa # reťazce}many{# chains found}other{Našlo sa # reťazcov}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Vyhýbajte sa reťazeniu podstatných žiadostí"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktíva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Závažnosť"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Prísne pravidlá na zabezpečenie obsahu (PZO) výrazne znižujú riziko útokov skriptovaním medzi webmi. [Ďalšie informácie](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Syntax"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Stránka obsahuje PZO definované v značke <meta>. Ak je to možné, odporúčame definovať PZO v hlavičke HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"V režime presadzovania neboli nájdené žiadne PZO"},"lighthouse-core/audits/csp-xss.js | title":{message:"Zaistite, aby PZO účinne blokovali útoky XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Ukončenie podpory / upozornenie"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Riadok"},"lighthouse-core/audits/deprecations.js | description":{message:"Rozhrania API s ukončenou podporou budú nakoniec z prehliadača odstránené. [Ďalšie informácie](https://web.dev/deprecations/)"},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Zistilo sa 1 upozornenie}few{Zistili sa # upozornenia}many{# warnings found}other{Zistilo sa # upozornení}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Používa rozhrania API s ukončenou podporou"},"lighthouse-core/audits/deprecations.js | title":{message:"Nepoužíva rozhrania API s ukončenou podporou"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Podpora vyrovnávacej pamäte aplikácie je ukončená. [Ďalšie informácie](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Našiel sa prvok {AppCacheManifest}"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Používa vyrovnávaciu pamäť aplikácie"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Nepoužíva vyrovnávaciu pamäť aplikácie"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Vyžaduje sa deklarácia kódovania znakov. Môžete to vykonať pomocou značky `<meta>` v prvých 1 024 bajtoch kódu HTML alebo hlavičke odpovede HTTP Content-Type. [Ďalšie informácie](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Deklarácia charset chýba alebo je v kóde HTML uvedená príliš ďaleko"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Správne definuje charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Špecifikáciou typu dokumentu zabránite prechodu prehliadača do režimu kompatibility. [Ďalšie informácie](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Názov prvku doctype musí byť reťazec `html` s malými písmenami"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokument musí obsahovať prvok doctype"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Očakávalo sa, že publicId bude prázdny reťazec"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Očakávalo sa, že systemId bude prázdny reťazec"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Stránke chýba prvok HTML doctype, preto spúšťa režim kompatibility"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Stránka obsahuje prvok HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Štatistika"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Hodnota"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Rozsiahly model DOM zvýši spotrebu pamäte, predĺži [výpočty štýlov](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) a spôsobí nákladné [preformátovania rozloženia](https://developers.google.com/speed/articles/reflow). [Ďalšie informácie](https://web.dev/dom-size/)"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 prvok}few{# prvky}many{# elements}other{# prvkov}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Nepoužívajte nadmerne veľký prvok DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maximálna hĺbka prvku DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Celkový počet prvkov DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maximálny počet podradených prvkov"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Zabráni použitiu nadmerne veľkého prvku DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Zlyhávajúce kotvy"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Ak chcete zlepšiť výkonnosť a zabrániť chybám zabezpečenia, pridajte k ľubovoľným externým odkazom prvok `rel="noopener"` alebo `rel="noreferrer"`. [Ďalšie informácie](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Odkazy na destinácie typu cross origin nie sú bezpečné"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Odkazy na destinácie typu cross origin sú bezpečné"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nepodarilo sa zistiť cieľ ukotvenia ({anchorHTML}). Ak sa nepoužíva ako hypertextový odkaz, zvážte odstránenie prvku target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Používatelia nedôverujú webom, ktoré požadujú ich polohu bez kontextu, alebo ich považujú za mätúce. Zvážte namiesto toho spojenie žiadosti s akciou používateľa. [Ďalšie informácie](https://web.dev/geolocation-on-start/)"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Požaduje povolenie na geolokáciu pri načítaní stránky"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Nepožaduje povolenie na geolokáciu pri načítaní stránky"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Typ problému"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problémy zaznamenané v paneli `Issues` Nástrojov pre vývojárov v prehliadači Chrome označujú, že sú nevyriešené. Môžu pochádzať z neúspešných požiadaviek siete, nedostatočného ovládania zabezpečenia a ďalších problémov prehliadača. Viac sa o jednotlivých problémoch dozviete po otvorení panela Problémy v Nástrojoch pre vývojárov v prehliadači Chrome."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problémy boli zaznamenané v paneli `Issues` Nástrojov pre vývojárov v prehliadači Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blokované pravidlami pre cross origin"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Intenzívne využívanie zdrojov reklamami"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"V paneli `Issues` Nástrojov pre vývojárov v prehliadači Chrome nie sú žiadne problémy"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Verzia"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Na stránke boli zistené všetky JavaScriptové knižnice klientskeho rozhrania. [Ďalšie informácie](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Zistené knižnice JavaScriptu"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"V prípade používateľov s pomalým pripojením môžu externé skripty, ktoré sú dynamicky vložené prostredníctvom funkcie `document.write()`, oneskoriť načítavanie stránky o desiatky sekúnd. [Ďalšie informácie](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Nepoužívajte `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Nepoužíva `document.write()`"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Najzávažnejšie"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Verzia knižnice"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Počet chýb zabezpečenia"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Niektoré skripty tretích strán môžu obsahovať chyby zabezpečenia, ktoré dokážu útočníci ľahko rozpoznať a zneužiť. [Ďalšie informácie](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Bola zistená 1 chyba zabezpečenia}few{Boli zistené # chyby zabezpečenia}many{# vulnerabilities detected}other{Bolo zistených # chýb zabezpečenia}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{
message:"Zahrnuje JavaScriptové knižnice v klientskom rozhraní so známymi chybami zabezpečenia"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Nepoužíva v klientskom rozhraní knižnice JavaScriptov so známymi chybami zabezpečenia"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Používatelia nedôverujú webom, ktoré požadujú odosielanie upozornení bez kontextu, alebo ich považujú za mätúce. Zvážte namiesto toho spojenie žiadosti s gestami používateľa. [Ďalšie informácie](https://web.dev/notification-on-start/)"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Požaduje povolenie na upozornenie pri načítaní stránky"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Nepožaduje povolenie na upozornenie pri načítaní stránky"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Ak zakážete prilepovanie hesiel, zhoršíte kvalitu zabezpečenia. [Ďalšie informácie](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Zabráňte používateľom prilepovať do polí pre heslá"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Umožnite používateľom prilepovať do polí pre heslá"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ponúka v porovnaní s HTTP/1.1 mnoho výhod vrátane binárnych hlavičiek a multiplexovania. [Ďalšie informácie](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 žiadosť nebola odoslaná cez HTTP/2}few{# žiadosti neboli odoslané cez HTTP/2}many{# requests not served via HTTP/2}other{# žiadostí nebolo odoslaných cez HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Použite HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Odporúčame zmeniť prijímače udalostí aktivovaných dotykom alebo kolieskom myši na `passive`, čím zlepšíte výkonnosť posúvania stránky. [Ďalšie informácie](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Nepoužíva pasívne prijímače na zlepšenie posúvania"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Používa pasívne prijímače na zlepšenie posúvania"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Chyby zapísané do denníka konzoly označujú nevyriešené problémy. Môžu pochádzať zo zlyhaní žiadostí siete a ďalších problémov prehliadača. [Ďalšie informácie](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Chyby prehliadača boli zaznamenané do konzoly"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Do konzoly neboli zaznamenané žiadne chyby prehliadača"},"lighthouse-core/audits/font-display.js | description":{message:"Využite funkciu CSS zobrazenia písma, ktorá pomôže zaistiť, aby používatelia videli text počas načítavania webfontov. [Ďalšie informácie](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Zaistite, aby text zostal počas načítania webfontov viditeľný"},"lighthouse-core/audits/font-display.js | title":{message:"Všetok text zostane počas načítania webfontov viditeľný"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Nástroju Lighthouse sa nepodarilo automaticky skontrolovať hodnotu `font-display` webu {fontOrigin}.}few{Nástroju Lighthouse sa nepodarilo automaticky skontrolovať hodnoty `font-display` webu {fontOrigin}.}many{Nástroju Lighthouse sa nepodarilo automaticky skontrolovať hodnoty `font-display` webu {fontOrigin}.}other{Nástroju Lighthouse sa nepodarilo automaticky skontrolovať hodnoty `font-display` webu {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Pomer strán (skutočný)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Pomer strán (zobrazený)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Rozmery zobrazenia obrázka by mali zodpovedať prirodzenému pomeru strán. [Ďalšie informácie](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{
message:"Zobrazuje obrázky s nesprávnym pomerom strán"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Zobrazuje obrázky so správnym pomerom strán"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Skutočná veľkosť"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Zobrazená veľkosť"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Očakávaná veľkosť"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Prirodzené rozmery obrázka by mali byť priamo úmerné veľkosti obrazovky a pomeru pixelov, aby sa dosiahla maximálna jasnosť. [Ďalšie informácie](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Zobrazuje obrázky v nízkom rozlíšení"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Zobrazuje obrázky v príslušnom rozlíšení"},
"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplikácia je už nainštalovaná"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Z manifestu sa nepodarilo stiahnuť požadovanú ikonu"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Dôvod neúspechu"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Obsluha je technológia, ktorá umožňuje vašej aplikácii používať mnoho funkcií progresívnej webovej aplikácie, napríklad offline režim, pridanie na plochu a upozornenia aplikácie. So správnou implementáciou obsluhy a manifestu môžu prehliadače proaktívne vyzývať používateľov, aby si pridali vašu aplikáciu na plochu, čo môže viesť k ich lepšiemu zapojeniu. [Ďalšie informácie](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 dôvod}few{# dôvody}many{# reasons}other{# dôvodov}}"},
"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Manifest webovej aplikácie alebo obsluha nespĺňajú požiadavky na inštaláciu"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Webová adresa aplikácie a jej identifikátor v Obchode Play sa nezhodujú"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Stránka je načítaná v okne inkognito"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Parameter manifestu „display“ musí mať hodnotu „standalone“, „fullscreen“ alebo „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifest obsahuje pole „display_override“ a prvý podporovaný režim obrazovky musí mať hodnotu „standalone“, „fullscreen“ alebo „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest sa nepodarilo načítať alebo analyzovať, prípadne je prázdny"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Počas načítavania manifestu sa zmenila jeho webová adresa."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest neobsahuje pole „name“ alebo „short_name“"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifest neobsahuje vhodnú ikonu. Vyžaduje sa formát PNG, SVG alebo WebP s minimálnou veľkosťou {value0} px, musí byť nastavený atribút Veľkosti a ak je nastavený atribút Účel, musí obsahovať hodnotu „všetko“."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Žiadna dodaná ikona nie je štvorec s minimálnou veľkosťou {value0} px vo formáte PNG, SVG alebo WebP s atribútom účelu nastaveným na hodnotu „všetko“, prípadne vôbec nenastaveným"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Stiahnutá ikona bola prázdna alebo poškodená"},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nie je uvedený identifikátor Obchodu Play"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Stránka nemá webovú adresu <link> manifestu"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nezistila sa žiadna zodpovedajúca obsluha. Stránku budete musieť zrejme znova načítať. Prípadne skontrolujte, či rozsah obsluhy pre aktuálnu stránku zahrnuje rozsah a začiatočnú webovú adresu z manifestu."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Nepodarilo sa skontrolovať obsluhu bez poľa „start_url“ v manifeste"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Identifikátor chyby inštalácie {errorId} nebol rozpoznaný"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Stránka sa nenačíta z bezpečného zdroja"},
"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Stránka nie je načítaná v hlavnom rámci"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Stránka nefunguje offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Špecifikovaná platforma aplikácie nie je v Androide podporovaná"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest špecifikuje parameter prefer_related_applications: pravda"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Parameter prefer_related_applications je podporovaný iba v beta verzii a stabilných verziách Chromu v Androide."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Začiatočná webová adresa manifestu nie je platná"},"lighthouse-core/audits/installable-manifest.js | title":{
message:"Manifest webovej aplikácie a obsluha spĺňajú požiadavky na inštaláciu"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Webová adresa v manifeste obsahuje používateľské meno, heslo alebo port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Stránka nefunguje offline. Od stabilnej verzie Chromu 93 (august 2021) už stránku nebude možné inštalovať."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Povolené"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blokované"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nezabezpečená webová adresa"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Riešenie žiadosti"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Všetky weby by mali byť zabezpečené protokolom HTTPS, dokonca aj tie, ktoré nespracúvajú citlivé údaje. Zahrnuje to nepoužívanie [zmiešaného obsahu](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), v rámci ktorého sú niektoré zdroje načítané cez HTTP napriek odoslaniu pôvodnej žiadosti cez HTTPS. HTTPS bráni útočníkom narušovať komunikáciu medzi vašou aplikáciou a používateľmi alebo ju pasívne odpočúvať, a je podmienkou pre HTTP/2 a mnoho nových rozhraní API webových platforiem. [Ďalšie informácie](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Bola zistená 1 nezabezpečená žiadosť}few{Boli zistené # nezabezpečené žiadosti}many{# insecure requests found}other{Bolo zistených # nezabezpečených žiadostí}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Nepoužíva HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{
message:"Používa HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automaticky inovované na HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Povolené s upozornením"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Knižnica"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Veľké knižnice JavaScriptu môžu viesť k slabej výkonnosti. Uprednostnite menšie knižnice s rovnakými funkciami, aby ste tak znížili veľkosť súpravy. [Ďalšie informácie](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Bola nájdená 1 veľká knižnica}few{Boli nájdené # veľké knižnice}many{# large libraries found}other{Bolo nájdených # veľkých knižníc}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Nahraďte zbytočne veľké knižnice JavaScript"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Zabráni vytvoreniu veľkých knižníc JavaScriptu menšími alternatívami"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Toto je najväčší prvok s obsahom vykreslený v oblasti zobrazenia. [Ďalšie informácie](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Prvok vykreslenia najväčšieho obsahu"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Miera podielu na kumulatívnej zmene rozloženia"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ku kumulatívnej zmene rozloženia danej stránky prispievajú najviac tieto prvky modelu DOM."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Nepoužívajte veľké posuny rozloženia"},
"lighthouse-core/audits/long-tasks.js | description":{message:"Sú tu uvedené najdlhšie úlohy hlavného vlákna slúžiace na identifikáciu faktorov, ktoré najväčšou mierou prispievajú k oneskoreniu vstupu. [Ďalšie informácie](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Našla sa # dlhá úloha}few{Našli sa # dlhé úlohy}many{# long tasks found}other{Našlo sa # dlhých úloh}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Nepoužívajte dlhé úlohy v hlavnom vlákne"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategória"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Zvážte skrátenie času stráveného analýzou, zostavovaním a spustením JavaScriptu. Možno vám s tým pomôže zobrazovanie menších prenášaných dát JavaScriptu. [Ďalšie informácie](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimalizujte prácu hlavného vlákna"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimalizuje prácu hlavného vlákna"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Ak chcete osloviť maximálny počet používateľov, weby by mali fungovať vo všetkých hlavných prehliadačoch. [Ďalšie informácie](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Web funguje v rôznych prehliadačoch"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Zaistite, aby jednotlivé stránky podporovali priame odkazovanie prostredníctvom webovej adresy a aby dané webové adresy boli jedinečné na účely zdieľania v sociálnych médiách. [Ďalšie informácie](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{
message:"Každá stránka má webovú adresu"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Prechody by pri klepaní mali pôsobiť plynulo, dokonca aj v pomalej sieti. Ide o kľúčový faktor ovplyvňujúci vnímanú výkonnosť. [Ďalšie informácie](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Prechody stránok zrejme nie sú blokované sieťou"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Maskovateľná ikona zaisťuje, že obrázok pri inštalácii aplikácie v zariadení zaplní celý tvar bez čiernych okrajov hore a dole. [Ďalšie informácie](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest nemá maskovateľnú ikonu"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest má maskovateľnú ikonu"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Kumulatívna zmena rozloženia meria pohyb viditeľných prvkov v rámci oblasti zobrazenia. [Ďalšie informácie](https://web.dev/cls/)"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Prvé vykreslenie obsahu označuje čas, za ktorý je vykreslený prvý text alebo obrázok. [Ďalšie informácie](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Prvé zmysluplné vykreslenie meria, kedy je hlavný obsah stránky viditeľný. [Ďalšie informácie](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Čas do interaktivity je údaj o tom, koľko času prejde, kým bude stránka plne interaktívna. [Ďalšie informácie](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Vykreslenie najväčšieho obsahu označuje čas, za ktorý sa vykreslí najväčší text alebo obrázok. [Ďalšie informácie](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Maximálne potenciálne oneskorenie prvého vstupu, ktoré sa u vašich používateľov môže vyskytnúť, je trvanie najdlhšej úlohy. [Ďalšie informácie](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Index rýchlosti znázorňuje, za aký čas sa viditeľne doplní obsah stránky. [Ďalšie informácie](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Súčet všetkých časových období medzi prvým vykreslením obsahu a časom do interaktivity, kedy dĺžka úlohy presiahla 50 ms (vyjadrený v milisekundách). [Ďalšie informácie](https://web.dev/lighthouse-total-blocking-time/)"},
"lighthouse-core/audits/network-rtt.js | description":{message:"Časy vrátenia žiadostí v rámci siete majú veľký vplyv na výkonnosť. Ak je čas vrátenia žiadostí v rámci siete k pôvodnému zdroju vysoký, znamená to, že servery umiestnené bližšie k používateľovi by mohli zlepšiť výkonnosť. [Ďalšie informácie](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"Časy vrátania žiadostí v rámci siete"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Výkonnosť webu môžu ovplyvniť latencie servera. Ak je latencia zdrojového servera vysoká, znamená to, že je preťažený alebo má slabú výkonnosť. [Ďalšie informácie](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"Latencie na strane servera"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Udalosť `unload` sa nespúšťa spoľahlivo a jej prijímanie môže brániť optimalizáciám prehliadača, ako je spätná vyrovnávacia pamäť. Skúste namiesto toho použiť udalosť `pagehide` alebo `visibilitychange`. [Ďalšie informácie](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registruje sa ako prijímač udalosti `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Nepoužíva prijímače udalosti `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Nezložené animácie môžu byť nekvalitné a môžu zvýšiť kumulatívnu zmenu rozloženia. [Ďalšie informácie](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Bol nájdený # animovaný prvok}few{Boli nájdené # animované prvky}many{# animated elements found}other{Bolo nájdených # animovaných prvkov}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Vlastnosť súvisiaca s filtrom môže posunúť pixely"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Cieľ obsahuje inú animáciu, ktorá nie je kompatibilná"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Efekt má zložený režim, ktorý je iný ako „nahradiť“"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Nepoužívajte nezložené animácie"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Vlastnosť súvisiaca s transformáciou závisí od veľkosti poľa"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Nepodporovaná vlastnosť šablóny CSS: {properties}}few{Nepodporované vlastnosti šablóny CSS: {properties}}many{Nepodporované vlastnosti šablóny CSS: {properties}}other{Nepodporované vlastnosti šablóny CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efekt má nepodporované parametre časovania"},"lighthouse-core/audits/performance-budget.js | description":{message:"Udržujte množstvo a veľkosť žiadostí siete pod cieľovými hodnotami stanovenými poskytnutým rozpočtom výkonnosti. [Ďalšie informácie](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 žiadosť}few{# žiadosti}many{# requests}other{# žiadostí}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Rozpočet výkonnosti"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Prednačítajte písma s atribútom `optional`, aby ich mohli používať noví návštevníci. [Ďalšie informácie](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Písma s atribútom `font-display: optional` nie sú prednačítané"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Písma s atribútom `font-display: optional` sú prednačítané"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Ak chcete zlepšiť čas vykreslenia najväčšieho obsahu, prednačítajte obrázok použitý prvkom vykreslenia najväčšieho obsahu. [Ďalšie informácie](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Prednačítajte obrázok vykreslenia najväčšieho obsahu"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Ak ste už nastavili HTTPS, zaistite presmerovanie všetkej návštevnosti cez HTTP na HTTPS a poskytnite tak funkcie zabezpečeného webu všetkým používateľom. [Ďalšie informácie](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Nepresmerúva návštevnosť cez HTTP na HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Presmerúva návštevnosť cez HTTP na HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Presmerovania spôsobujú ďalšie oneskorenia pri načítavaní stránky. [Ďalšie informácie](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"Vyhnite sa viacnásobným presmerovaniam stránky"},"lighthouse-core/audits/resource-summary.js | description":{message:"Ak chcete nastaviť rozpočty pre množstvo a veľkosť zdrojov stránky, pridajte súbor budget.json. [Ďalšie informácie](https://web.dev/use-lighthouse-for-performance-budgets/)"},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 požiadavka • {byteCount, number, bytes} KiB}few{# požiadavky • {byteCount, number, bytes} KiB}many{# requests • {byteCount, number, bytes} KiB}other{# požiadaviek • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Udržiavajte nízke počty žiadostí a malé veľkosti prenosov"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanonické odkazy navrhujú, ktorá webová adresa by sa mala zobraziť vo výsledkoch vyhľadávania. [Ďalšie informácie](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Viacero kolidujúcich webových adries ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Odkazuje na inú doménu ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Neplatná webová adresa ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Odkazuje na iné umiestnenie `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relatívna webová adresa ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Odkazuje na koreňovú webovú adresu domény (domovskú stránku), a nie na ekvivalentnú stránku s obsahom"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument nemá platný odkaz `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument má platný odkaz `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Odkaz nie je možné prehľadávať"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Vyhľadávače môžu na prehľadávanie webov používať v odkazoch atribúty `href`. Uistite sa, či je atribút `href` prvkov kotvy prepojený s príslušným cieľom, aby bolo možné zobraziť viac stránok webu. [Ďalšie informácie](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Odkazy nie je možné prehľadávať"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Odkazy je možné prehľadávať"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Ďalší nečitateľný text"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Veľkosť písma"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% textu na stránke"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Selektor"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Veľkosti písma menšie ako 12 px sú príliš malé na to, aby boli čitateľné, a nútia používateľov mobilných zariadení, aby si ich priblížili stiahnutím prstov. Zaistite, aby viac ako 60 % textu na stránke malo veľkosť ≥ 12 px. [Ďalšie informácie](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} čitateľného textu"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Text nie je čitateľný, pretože neexistuje žiadna metaznačka oblasti zobrazenia optimalizovaná pre mobilné obrazovky."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokument nepoužíva čitateľné veľkosti písma"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Čitateľný text"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokument používa čitateľné veľkosti písma"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Odkazy hreflang informujú vyhľadávače, akú verziu stránky by mali uviesť vo výsledkoch vyhľadávania pre daný jazyk alebo oblasť. [Ďalšie informácie](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument nemá platný atribút `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relatívna hodnota href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument má platný odkaz `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Neočakávaný kód jazyka"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Stránky s neúspešnými stavovými kódmi HTTP sa nemusia správne indexovať. [Ďalšie informácie](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Stránka má neúspešný stavový kód HTTP"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Stránka má úspešný stavový kód HTTP"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Ak nemajú vyhľadávače povolenie prehľadávať vaše stránky, nemôžu ich zahrnúť do výsledkov vyhľadávania. [Ďalšie informácie](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Stránka má blokované indexovanie"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Stránka nemá blokované indexovanie"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Popisný text odkazu pomáha vyhľadávačom pochopiť váš obsah. [Ďalšie informácie](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Našiel sa 1 odkaz}few{Našli sa # odkazy}many{# links found}other{Našlo sa # odkazov}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Odkazy nemajú popisný text"},"lighthouse-core/audits/seo/link-text.js | title":{
message:"Odkazy majú popisný text"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Spustite [tester štruktúrovaných dát](https://search.google.com/structured-data/testing-tool/) a nástroj [Structured Data Linter](http://linter.structured-data.org/) na overenie štruktúrovaných dát. [Ďalšie informácie](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Štruktúrované dáta sú platné"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Vo výsledkoch vyhľadávania môžu byť zahrnuté metapopisy, ktoré stručne zhrnú obsah stránky. [Ďalšie informácie](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Text popisu chýba."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokument nemá metapopis"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument má metapopis"},
"lighthouse-core/audits/seo/plugins.js | description":{message:"Vyhľadávače nemôžu indexovať obsah doplnkov a mnoho zariadení obmedzuje doplnky alebo ich nepodporuje. [Ďalšie informácie](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument používa doplnky"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokument nepoužíva doplnky"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Ak máte chybný súbor robots.txt, prehľadávače nemusia pochopiť, akým spôsobom majú váš web prehľadávať alebo indexovať. [Ďalšie informácie](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Žiadosť o súbor robots.txt vrátila stav HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Našla sa 1 chyba}few{Našli sa # chyby}many{# errors found}other{Našlo sa # chýb}}"},
"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Nástroj Lighthouse nedokázal stiahnuť súbor robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Súbor robots.txt nie je platný"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Súbor robots.txt je platný"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktívne prvky, ako sú tlačidlá a odkazy, by mali byť dostatočne veľké (48 × 48 px) a mať okolo seba dostatočné voľné miesto, aby sa na ne dalo ľahko klepnúť a neprekrývali ďalšie prvky. [Ďalšie informácie](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} cieľových oblastí s vhodnou veľkosťou"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Cieľové oblasti klepnutia sú príliš malé, pretože neexistuje žiadna metaznačka oblasti zobrazenia optimalizovaná pre mobilné obrazovky"
},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Cieľové oblasti klepnutia nemajú vhodnú veľkosť"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Prekrývajúce sa cieľové oblasti"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Cieľová oblasť klepnutia"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Cieľové oblasti klepnutia majú vhodnú veľkosť"},"lighthouse-core/audits/server-response-time.js | description":{message:"Zaistite, aby bol čas odozvy servera pre hlavný dokument krátky, pretože od neho závisia všetky ostatné žiadosti. [Ďalšie informácie](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Hlavný dokument trval {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Skráťte počiatočný čas odpovede servera"},"lighthouse-core/audits/server-response-time.js | title":{
message:"Počiatočný čas odpovede servera bol krátky"},"lighthouse-core/audits/service-worker.js | description":{message:"Obsluha je technológia, ktorá umožňuje vašej aplikácii používať mnoho funkcií progresívnej webovej aplikácie, napríklad offline režim, pridanie na plochu a upozornenia aplikácie. [Ďalšie informácie](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Túto stránku ovláda obsluha, ale nenašla sa vlastnosť `start_url`, pretože sa nepodarilo analyzovať manifest ako platný súbor JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Túto stránku ovláda obsluha, ale hodnota `start_url` ({startUrl}) sa nenachádza v rozsahu obsluhy ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Túto stránku ovláda obsluha, ale nenašla sa vlastnosť `start_url`, pretože sa nepodarilo načítať manifest."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Zdroj obsahuje jednu alebo viac obslúh, avšak stránka ({pageUrl}) nie je v rozsahu."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Nemá zaregistrovanú obsluhu, ktorá ovláda stránku a vlastnosť `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Má zaregistrovanú obsluhu, ktorá ovláda stránku a vlastnosť `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Úvodná obrazovka s motívom zaistí skvelý dojem používateľa, keď si spustí vašu aplikáciu z plochy. [Ďalšie informácie](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Nie je nakonfigurovaný pre vlastnú úvodnú obrazovku"},"lighthouse-core/audits/splash-screen.js | title":{message:"Nakonfigurované pre vlastnú úvodnú obrazovku"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"Panel s adresou prehliadača je možné upraviť motívom, aby zodpovedal vášmu webu. [Ďalšie informácie](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Nenastavuje farbu motívu pre panel s adresou."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Nastavuje farbu motívu pre panel s adresou."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (zákaznícka podpora)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (sociálne)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Služba"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Niektoré vložené prvky tretej strany je možné načítať odložene. Než budú požadované, zvážte ich nahradenie fasádou. [Ďalšie informácie](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{K dispozícii je # alternatíva fasády}few{K dispozícii sú # alternatívy fasády}many{# facade alternatives available}other{K dispozícii je # alternatív fasády}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Niektoré zdroje tretej strany je možné odložene načítať s fasádou"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Odložené načítanie zdrojov tretej strany s fasádami"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Tretia strana"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Kód tretích strán môže výrazne ovplyvniť výkonnosť načítavania. Obmedzte počet nadbytočných poskytovateľov tretích strán a skúste načítavať kód tretích strán po dokončení načítavania stránky. [Ďalšie informácie](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Hlavné vlákno bolo {timeInMs, number, milliseconds} ms zablokované kódom tretej strany"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Zníženie vplyvu kódu tretích strán"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimalizujte použitie riešení tretích strán"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Meranie"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metrika"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Nastavte časový rozpočet, ktorý vám pomôže dohliadať na výkonnosť svojho webu. Výkonné stránky sa načítajú rýchlo a okamžite reagujú na udalosti vstupu používateľov. [Ďalšie informácie](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"Časový rozpočet"},"lighthouse-core/audits/unsized-images.js | description":{message:"V prvkoch obrázka nastavte explicitnú šírku aj výšku, aby ste znížili posuny rozloženia a zlepšili kumulatívnu zmenu rozloženia. [Ďalšie informácie](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Prvky obrázkov nemajú explicitné hodnoty `width` a `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Prvky obrázka majú explicitné hodnoty `width` a `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Typ"},"lighthouse-core/audits/user-timings.js | description":{
message:"Odporúčame do aplikácie implementovať rozhranie User Timing API, ktoré umožňuje odmerať jej skutočnú výkonnosť počas udalostí kľúčových pre dojem používateľov. [Ďalšie informácie](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 trvanie aktivít používateľov}few{# trvania aktivít používateľov}many{# user timings}other{# trvaní aktivít používateľov}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Značky a merania trvania aktivít používateľov"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Pre web {securityOrigin} sa našiel atribút `<link rel=preconnect>`, prehliadač ho však nepoužil. Skontrolujte, či atribút `crossorigin` používate správne."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Zvážte pridanie indikátorov zdrojov `preconnect` a `dns-prefetch`, ktoré vám pomôžu zriadiť predbežné pripojenia k dôležitým zdrojom tretích strán. [Ďalšie informácie](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Nastavte predbežné pripojenie k požadovaným zdrojom"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Našli sa viac ako dve pripojenia `<link rel=preconnect>`. Mali by byť používané úsporne a iba pre najdôležitejšie zdroje."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Pre web {securityOrigin} sa našiel atribút `<link rel=preconnect>`, prehliadač ho však nepoužil. `preconnect` používajte iba v prípade dôležitých zdrojov, o ktoré stránka určite požiada."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Pre web {preloadURL} sa našiel atribút `<link>`, prehliadač ho však nepoužil. Skontrolujte, či atribút `crossorigin` používate správne."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Zvážte použitie funkcie `<link rel=preload>`, čím uprednostníte načítanie zdrojov momentálne požadovaných v neskoršej fáze načítania stránky. [Ďalšie informácie](https://web.dev/uses-rel-preload/)"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Predbežne načítavajte kľúčové žiadosti"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Webová adresa mapy"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Mapy zdroja prekladajú minifikovaný kód na pôvodný zdrojový kód. Vývojárom to pomáha pri ladení ostrej verzie. Lighthouse dokáže okrem toho poskytnúť ďalšie štatistiky. Zvážte nasadenie máp zdroja, aby ste tieto výhody využili. [Ďalšie informácie](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Veľkej vlastnej knižnici JavaScriptu chýbajú mapy zdroja"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Veľkému súboru JavaScript chýba mapa zdroja"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Upozornenie: V atribúte `.sourcesContent` chýba 1 položka}few{Upozornenie: V atribúte `.sourcesContent` chýbajú # položky}many{Warning: missing # items in `.sourcesContent`}other{Upozornenie: V atribúte `.sourcesContent` chýba # položiek}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"Stránka obsahuje platné mapy zdroja"},"lighthouse-core/audits/viewport.js | description":{message:'Ak chcete optimalizovať svoju aplikáciu pre obrazovky mobilných zariadení, pridajte značku `<meta name="viewport">`. [Ďalšie informácie](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nenašla sa žiadna značka `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nemá značku `<meta name="viewport">` s vlastnosťou `width` alebo `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Obsahuje značku `<meta name="viewport">` s vlastnosťou `width` alebo `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Toto sú možnosti zlepšenia technológie ARIA vo vašej aplikácii, čo môže pomôcť používateľom asistenčných technológií (napr. čítačiek obrazovky)."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Toto sú možnosti na poskytnutie alternatívneho obsahu pre zvuk a video. Môže to zlepšiť dojem používateľov so slabým sluchom alebo zrakom."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Zvuk a video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Tieto položky zvýrazňujú bežné osvedčené postupy týkajúce sa dostupnosti."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Osvedčené postupy"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Tieto kontroly zvýrazňujú možnosti [zlepšenia dostupnosti vašej webovej aplikácie](https://developers.google.com/web/fundamentals/accessibility). Automaticky je možné zistiť iba podmnožinu problémov s dostupnosťou, preto sa odporúča ručné testovanie."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Tieto položky sa zaoberajú oblasťami, ktoré automatické testovanie nemôže obsiahnuť. Ďalšie informácie získate v [sprievodcovi vykonávaním kontroly dostupnosti](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Dostupnosť"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Toto sú možnosti vylepšenia čitateľnosti obsahu."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{
message:"Toto sú možnosti zlepšenia interpretácie vášho obsahu používateľmi rôznych jazykov."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizácia a lokalizácia"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Toto sú možnosti vylepšenia sémantiky ovládacích prvkov vašej aplikácie. Môže to pomôcť používateľom asistenčných technológií, ako sú čítačky obrazovky."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Názvy a štítky"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Toto sú možnosti zlepšenia prechádzania vašej aplikácie pomocou klávesnice."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigácia"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"Toto sú možnosti na zlepšenie dojmu z čítania údajov v tabuľke alebo zozname pomocou asistenčných technológií, ako je čítačka obrazovky."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabuľky a zoznamy"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Kompatibilita prehliadača"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Osvedčené postupy"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Všeobecné"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Dôvera a zabezpečenie"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Používateľské prostredie"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Rozpočty výkonnosti sú štandardy výkonnosti vášho webu."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{
message:"Rozpočty"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Ďalšie informácie o výkonnosti vašej aplikácie. Tieto hodnoty [priamo ovplyvňujú](https://web.dev/performance-scoring/) skóre výkonnosti."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Najpodstatnejší aspekt výkonnosti je čas, za ktorý sa pixely vykreslia na obrazovke. Kľúčové metriky: Prvé obsahové vyfarbenie, Prvé účelné vyfarbenie."},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Vylepšenia prvého vyfarbenia"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Tieto návrhy môžu pomôcť s rýchlejším načítavaním vašej stránky. [Neovplyvňujú priamo](https://web.dev/performance-scoring/) skóre výkonnosti."},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Príležitosti"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metriky"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Vylepšite celkové načítavanie, aby bola stránka čo najskôr responzívna a pripravená na použitie. Kľúčové metriky: Čas do interaktívneho vykreslenia, Index rýchlosti"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Celkové vylepšenia"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Výkonnosť"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Tieto kontroly overujú aspekty progresívnej webovej aplikácie. [Ďalšie informácie](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Tieto kontroly vyžaduje základný [kontrolný zoznam PWA](https://developers.google.com/web/progressive-web-apps/checklist), ale Lighthouse ich automaticky nevykonáva. Nemajú vplyv na vaše skóre, ale je dôležité, aby ste ich overili ručne."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresívna webová aplikácia"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Inštalovateľné"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimalizované pre PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Tieto kontroly zaisťujú, že vaša stránka je optimalizovaná pre hodnotenie výsledkov vyhľadávačov. Existujú ďalšie faktory, ktoré Lighthouse nekontroluje a ktoré by mohli ovplyvniť vaše hodnotenie v rámci vyhľadávania. [Ďalšie informácie](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"Ak chcete skontrolovať ďalšie osvedčené postupy SEO, spusťte na svojom webe tieto ďalšie nástroje na overenie."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Naformátujte kód HTML svojej aplikácie spôsobom, ktorý umožní prehľadávačom lepšie pochopiť jej obsah."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Osvedčené postupy pre obsah"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Prehľadávače potrebujú prístup k vašej aplikácii, aby sa mohla zobraziť vo výsledkoch vyhľadávania."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Prehľadávanie a indexovanie"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Upravte svoje stránky pre mobilné zariadenia, aby používatelia pri čítaní ich obsahu nemuseli sťahovať prsty ani približovať. [Ďalšie informácie](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Vhodné pre mobilné zariadenia"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Testované zariadenie má zrejme pomalší procesor ako Lighthouse očakáva. Môže to záporne ovplyvniť vaše skóre výkonnosti. [Ďalšie informácie o kalibrácii vhodného multiplikátora spomalenia procesora](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Táto stránka sa nemusí načítavať podľa očakávaní, pretože testovacia webová adresa ({requested}) bola presmerovaná na {final}. Skúste priamo otestovať druhú webovú adresu."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{
message:"Načítanie stránky bolo príliš pomalé, aby sa dokončilo v časovom limite. Výsledky nemusia byť úplné."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{V nasledujúcom umiestnení môžu byť uložené údaje, ktoré ovplyvňujú výkonnosť načítavania: {locations}. Skontrolujte túto stránku v okne inkognito, aby príslušné zdroje neovplyvnili vaše skóre.}few{V nasledujúcich umiestneniach môžu byť uložené údaje, ktoré ovplyvňujú výkonnosť načítavania: {locations}. Skontrolujte túto stránku v okne inkognito, aby príslušné zdroje neovplyvnili vaše skóre.}many{V nasledujúcich umiestneniach môžu byť uložené údaje, ktoré ovplyvňujú výkonnosť načítavania: {locations}. Skontrolujte túto stránku v okne inkognito, aby príslušné zdroje neovplyvnili vaše skóre.}other{V nasledujúcich umiestneniach môžu byť uložené údaje, ktoré ovplyvňujú výkonnosť načítavania: {locations}. Skontrolujte túto stránku v okne inkognito, aby príslušné zdroje neovplyvnili vaše skóre.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Odporúčame pridať schémy webovej adresy HTTPS alebo HTTP (ignorované prehliadačmi podporujúcimi direktívu strict-dynamic), aby boli pravidlá spätne kompatibilné so staršími prehliadačmi."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Podpora direktívy disown-opener bola ukončená vo verzii PZO3. Použitie namiesto nej hlavičku Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Podpora direktívy referrer bola ukončená vo verzii PZO2. Použite namiesto nej hlavičku Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Podpora direktívy reflected-xss bola ukončená vo verzii PZO2. Použite namiesto nej hlavičku X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Chýbajúci prvok base-uri umožňuje vloženým značkám <base> nastaviť základnú webovú adresu pre všetky relatívne webové adresy (napr. skripty) na doménu ovládanú útočníkom. Prvok base-uri odporúčame nastaviť na „none“ alebo „self“."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Prvky ovládané direktívou object-src sa považujú za staré funkcie. Odporúčame direktívu object-src nastaviť na none, aby ste zabránili vloženiu doplnkov spúšťajúcich nebezpečné skripty."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Direktíva script-src chýba. Umožňuje to spustenie nebezpečných skriptov."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Zabudli ste na bodkočiarku? Zdá sa, že {keyword} je direktíva, nie kľúčové slovo."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Iba raz použiteľné čísla by mali používať charset base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{
message:"Iba raz použiteľné čísla by mali mať aspoň osem miest."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Cieľ prehľadov sa konfiguruje iba prostredníctvom direktívy report-to. Táto direktíva podporovaná iba v prehliadačoch založených na platforme Chromium, takže sa tiež odporúča použiť direktívu report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Žiadne PZO nekonfiguruje cieľ hlásení. Sťažuje to udržiavanie PZO v priebehu času a monitorovanie prípadných porúch."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Zoznamy povolených hostí sa dajú často obísť. Odporúčame použiť direktívu strict-dynamic v kombinácii s iba raz použiteľnými číslami alebo hodnotami hash PZO."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Neznáma direktíva PZO."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Zdá sa, že {keyword} je neplatné kľúčové slovo."},
"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"unsafe-inline umožňuje spustenie nebezpečných stránkových skriptov a obslužných nástrojov udalostí. Odporúčame povoliť skripty individuálne pomocou iba raz použiteľných čísiel alebo hodnôt hash PZO."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Odporúčame pridať direktívu unsafe-inline (ignorovanú prehliadačmi podporujúcimi iba raz použiteľné čísla a hodnoty hash), aby boli pravidlá spätne kompatibilné so staršími prehliadačmi."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Čas blokovania hlavného vlákna"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL vyrovnávacej pamäte"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Popis"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Trvanie"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Prvok"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{
message:"Prvky s chybami"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Umiestnenie"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Názov"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Cez rozpočet"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Žiadosti"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Veľkosť zdroja"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Typ zdroja"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Veľkosť"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Zdroj"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Čas začatia"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Strávený čas"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Veľkosť prenosu"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"Webová adresa"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{
message:"Potenciálna úspora"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potenciálna úspora"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potenciálna úspora: {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Bol nájdený 1 prvok}few{Boli nájdené # prvky}many{# elements found}other{Bolo nájdených # prvkov}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potenciálna úspora: {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Prvé účelné vyfarbenie"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{
message:"Písmo"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Obrázok"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Vysoká"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Nízka"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Stredné"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Max. potenc. oneskorenie prvého vstupu"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Médiá"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Iné"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Ďalšie zdroje"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skript"
},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Šablóna štýlu"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Tretia strana"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Celkovo"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Pri zaznamenávaní stopy načítania stránky sa vyskytol problém. Znova spustite Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Časový limit čaká na počiatočné pripojenie protokolu ladiaceho nástroja."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Chrome počas načítavania stránky nevytvoril žiadne snímky obrazovky. Skontrolujte, či je na stránke viditeľný obsah, a potom skúste znova spustiť Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Servery DNS nedokázali rozpoznať poskytnutú doménu."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"V súvislosti s požadovaným zberačom {artifactName} sa vyskytla chyba: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Vyskytla sa interná chyba Chromu. Reštartujte Chrome a skúste nástroj Lighthouse spustiť znova."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Požadovaný zberač {artifactName} nebol spustený."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Stránka nevykreslila žiadny obsah. Zaistite, aby bolo okno prehliadača počas načítavania v popredí, a skúste to znova. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"Poskytnutá stránka nie je vo formáte HTML (zobrazená ako typ média {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Táto verzia Chromu je na podporu funkcie {featureName} príliš stará. Ak chcete zobraziť úplné výsledky, použite novšiu verziu."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Nástroj Lighthouse nedokázal spoľahlivo načítať požadovanú stránku. Skontrolujte, či testujete správnu webovú adresu a či server správne odpovedá na všetky žiadosti."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Nástroj Lighthouse nedokázal spoľahlivo načítať webovú adresu, pretože stránka prestala reagovať."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Poskytnutá webová adresa nemá platný bezpečnostný certifikát. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome zabránil načítaniu stránky s intersticiálnou reklamou. Skontrolujte, či testujete správnu webovú adresu a server správne reaguje na všetky žiadosti."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Nástroj Lighthouse nedokázal spoľahlivo načítať požadovanú stránku. Skontrolujte, či testujete správnu webovú adresu a server správne reaguje na všetky žiadosti. (Podrobnosti: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Nástroj Lighthouse nedokázal spoľahlivo načítať požadovanú stránku. Skontrolujte, či testujete správnu webovú adresu a server správne reaguje na všetky žiadosti. (Kód stavu: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Načítanie stránky trvalo príliš dlho. Riaďte sa príležitosťami v prehľade a skráťte tak načítavanie stránky. Potom skúste Lighthouse znova spustiť. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Čakanie na odpoveď protokolu DevTools presiahlo pridelený čas. (Metóda: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Pri načítaní obsahu zdroja bol prekročený pridelený čas"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Poskytnutá webová adresa je zrejme neplatná."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Všetko"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Všetky skripty"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Pokrytie"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplikovať moduly"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Počet bajtov zdroja"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Názov"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Prepnúť tabuľku"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Nepoužité bajty"},
"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"V prípade animovaného obsahu minimalizujete využitie procesora pomocou komponenta [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), keď je tento obsah mimo obrazovky."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Skúste zobraziť všetky komponenty [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) vo formátoch WebP a zároveň nastaviť vhodné záložné riešenie pre ďalšie prehliadače. [Ďalšie informácie](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Skontrolujte, či používate atribút [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) na automatické načítavanie obrázkov až v poslednej chvíli. [Ďalšie informácie](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Na [serverové vykresľovanie rozložení AMP](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) používajte nástroje, ako je [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Ak chcete zaistiť, aby všetky použité štýly boli podporované, prečítajte si [dokumentáciu pre stránky AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Komponent [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) podporuje atribút [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) na určenie toho, ktoré obrázky použiť na základe veľkosti obrazovky. [Ďalšie informácie](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Ak vykresľujete veľmi dlhé zoznamy, môžete použiť virtuálne posúvanie pomocou súpravy Component Dev Kit (CDK). [Ďalšie informácie](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Veľkosť balíkov súborov JavaScript minimalizujte [rozdelením kódu na úrovni smerovania](https://web.dev/route-level-code-splitting-in-angular/). Môžete tiež predbežne načítať prvky do vyrovnávacej pamäte pomocou [obsluhy Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Ak používate príkazový riadok Angular, zostavy by ste mali generovať v produkčnom režime. [Ďalšie informácie](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Ak používate príkazový riadok Angular, zahrňte zdrojové mapy do ostrej verzie zostavy na účely kontroly balíkov. [Ďalšie informácie](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Prednačítajte smerovanie vopred, aby ste urýchlili navigáciu. [Ďalšie informácie](https://web.dev/route-preloading-in-angular/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Na správu zlomových bodov obrázkov môžete použiť nástroj `BreakpointObserver` zo súpravy Component Dev Kit (CDK). [Ďalšie informácie](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Zvážte nahranie gifu do služby, ktorá umožní jeho vloženie v podobe videa HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Pri definovaní vlastných písiem vo svojom motíve špecifikujte `@font-display`."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Zvážte inštaláciu a konfiguráciu [modulu, aby ste mohli na svojom webe využívať formáty obrázka WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search). Tieto moduly automaticky generujú verziu WebP vašich nahraných obrázkov, aby sa optimalizovali časy načítania."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Nainštalujte [modul Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), ktorý môže načítavať obrázky až v poslednej chvíli. Tieto moduly umožňujú odložiť obrázky mimo obrazovky na zlepšenie výkonnosti."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Zvážte použitie modulu na vloženie kľúčovej šablóny CSS a JavaSciptu do textu, prípadne potenciálne načítavajte podklady asynchrónne prostredníctvom JavaScriptu, ako je modul [Rozšírená agregácia šablóny CSS a JavaScriptu](https://www.drupal.org/project/advagg). Upozorňujeme, že optimalizácie poskytnuté týmto modulom môžu porušiť váš web, takže budete musieť zrejme zmeniť kód."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Čas odpovede servera ovplyvňujú motívy, moduly a špecifikácie servera. Odporúčame nájsť optimalizovanejší motív, opatrne vybrať modul na optimalizáciu alebo inovovať server. Vaše hostiteľské servery by mali využívať ukladanie kódov operácií PHP do vyrovnávacej pamäte, ukladanie do vyrovnávacej pamäte na zníženie časov dopytov databázy (napríklad Redis alebo Memcached), ako aj optimalizovanú aplikačnú logiku na skrátenie prípravy stránok."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Zvážte použitie [štýlov responzívnych obrázkov](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), aby ste znížili veľkosť obrázkov načítavaných na stránke. Ak zobrazujete viacero položiek obsahu na stránke pomocou Zobrazení, zvážte implementáciu stránkovania, aby ste obmedzili počet položiek obsahu zobrazovaných na danej stránke."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Skontrolujte, či ste povolili „Agregovať súbory CSS“ na stránke Správa » Konfigurácia » Vývoj. Tiež môžete nakonfigurovať pokročilejšie možnosti agregácie prostredníctvom [ďalších modulov](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search), aby ste tak zrýchlili svoj web zreťazením, minifikáciou a kompresiou štýlov CSS."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:"Skontrolujte, či ste povolili „Agregovať súbory JavaScriptu“ na stránke Správa » Konfigurácia » Vývoj. Tiež môžete nakonfigurovať pokročilejšie možnosti agregácie prostredníctvom [ďalších modulov](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search), aby ste ak zrýchlili svoj web zreťazením, minifikáciou a kompresiou podkladov JavaScriptu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Zvážte odstránenie nepoužívaných pravidiel šablóny CSS a na relevantnú stránku alebo do komponentu na stránke priložte iba potrebné knižnice Drupal. Podrobnosti si zobrazíte pomocou [odkazu na dokumentáciu Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Priložené knižnice pridávajúce externý JavaScript skúste identifikovať spustením funkcie [zahrnutia v kóde](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástroji Chrome DevTools. Príslušný motív alebo modul identifikujete pomocou webovej adresy šablóny so štýlmi, keď je na webe Drupal deaktivovaná agregácia šablón CSS. Nájdite motívy alebo moduly, ktoré majú v zozname mnoho šablón so štýlmi s veľkým počtom červených hodnôt vo funkcii zahrnutia v kóde. Motív alebo modul by mal šablónu so štýlmi zaradiť do poradia iba vtedy, keď sa používa na príslušnej stránke."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{message:"Zvážte odstránenie nepoužívaných podkladov JavaSciptu a na relevantnú stránku alebo do komponentu na stránke priložte iba potrebné knižnice Drupal. Podrobnosti si zobrazíte pomocou [odkazu na dokumentáciu Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Priložené knižnice pridávajúce externý JavaScript skúste identifikovať spustením [využitia kódu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástroji Chrome DevTools. Príslušný motív alebo modul identifikujete pomocou webovej adresy skriptu, keď je na webe Drupal deaktivovaná agregácia JavaScriptu. Nájdite motívy alebo moduly, ktoré majú v zozname mnoho skriptov s veľkým počtom červených hodnôt vo využití kódu. Motív alebo modul by mal skript zaradiť do poradia iba vtedy, keď sa používa na príslušnej stránke."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Nastavte „Maximálny vek v prehliadači a vyrovnávacej pamäti proxy servera“ na stránke Správa » Konfigurácia » Vývoj. Prečítajte si o [vyrovnávacej pamäti Drupal a optimalizácii výkonnosti](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Zvážte použitie [modulu](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), ktorý automaticky optimalizuje a zníži veľkosť obrázkov nahraných prostredníctvom daného webu a zároveň zachová kvalitu. Tiež skontrolujte, či používate natívne [štýly responzívnych obrázkov](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) poskytnuté z webu Drupal (k dispozícii na webe Drupal verzie 8 a novšej) v prípade všetkých obrázkov vykresľovaných na danom webe."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Indikátory zdrojov predbežného pripojenia alebo predbežného načítania DNS môžete pridať inštaláciou a konfiguráciou [modulu](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), ktorý poskytuje vybavenie pre indikátory zdrojov používateľských agentov."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Skontrolujte, či používate natívne [štýly responzívnych obrázkov](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) poskytnuté z webu Drupal (k dispozícii na webe Drupal verzie 8 a novšej). Štýly responzívnych obrázkov používajte pri vykresľovaní polí obrázkov prostredníctvom režimov čítania, zobrazení alebo obrázkov nahraných prostredníctvom editora WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Zvážte nahranie gifu do služby, ktorá umožní jeho vloženie v podobe videa HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Zvážte použitie [doplnku](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) alebo služby, ktorá automaticky konvertuje nahrané obrázky do optimálnych formátov."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Nainštalujte si [doplnok Joomla na odložené načítavanie](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) umožňujúci odloženie načítania všetkých obrázkov mimo obrazovky alebo prejdite na šablónu, ktorá poskytuje túto funkciu. Od verzie Joomla 4.0 budú všetky nové obrázky [automaticky](https://github.com/joomla/joomla-cms/pull/30748) získavať z jadra atribút `loading`."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Existuje niekoľko doplnkov Joomla, ktoré vám pomôžu [vložiť do textu kľúčové podklady](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) alebo [odložiť menej dôležité zdroje](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Dávajte pozor, pretože optimalizácie poskytované týmito doplnkami môžu porušiť funkcie vašich šablón či doplnkov, takže ich budete musieť dôkladne otestovať."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Čas odpovede servera ovplyvňujú šablóny, rozšírenia a špecifikácie servera. Zvážte vyhľadanie optimalizovanejšej šablóny, opatrný výber rozšírenia na optimalizáciu alebo inováciu servera."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Zvážte zobrazovanie úryvkov v kategóriách článkov (napríklad prostredníctvom odkazu Ďalšie informácie), zníženie počtu príspevkov zobrazovaných na danej stránke alebo rozdelenie dlhých príspevkov na niekoľko stránok, prípadne použitie doplnku na lenivé načítavanie komentárov."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Niekoľko [rozšírení Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) môže váš web zrýchliť zreťazením, minifikáciou a kompresiou štýlov. K dispozícii sú aj šablóny poskytujúce tieto funkcie."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Niekoľko [rozšírení Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) môže váš web zrýchliť zreťazením, minifikáciou a kompresiou skriptov. K dispozícii sú aj šablóny poskytujúce tieto funkcie."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Zvážte zníženie alebo prepnutie počtu [rozšírení Joomla](https://extensions.joomla.org/) načítavajúcich nepoužívané šablóny CSS na stránke. Rozšírenia pridávajúce externú šablónu CSS skúste identifikovať spustením funkcie [zahrnutia v kóde](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástroji Chrome DevTools. Príslušný motív alebo doplnok môžete identifikovať pomocou webovej adresy danej šablóny štýlov. Nájdite doplnky, ktoré majú v zozname mnoho šablón štýlov s veľkým počtom červených hodnôt vo funkcii zahrnutia v kóde. Doplnok by nemal šablónu štýlov zaradiť do poradia, keď sa používa na stránke."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Zvážte zníženie alebo prepnutie počtu [rozšírení Joomla](https://extensions.joomla.org/) načítavajúcich nepoužívaný JavaScript na stránke. Doplnky pridávajúce externý JavaScript skúste identifikovať pomocou funkcie [zahrnutia v kóde](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástroji Chrome DevTools. Príslušné rozšírenie môžete identifikovať pomocou webovej adresy daného skriptu. Nájdite rozšírenia, ktoré majú v zozname mnoho skriptov s veľkým počtom červených hodnôt vo funkcii zahrnutia v kóde. Rozšírenie by malo skript zaradiť do poradia iba vtedy, keď sa používa na stránke."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Prečítajte si o [ukladaní obsahu do vyrovnávacej pamäte prehliadača na webe Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Zvážte použitie [doplnku na optimalizáciu obrázkov](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), ktorý komprimuje obrázky, ale zachová ich kvalitu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Zvážte použitie [doplnku responzívnych obrázkov](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), aby ste mohli v obsahu zahŕňať responzívne obrázky."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Kompresiu textu môžete povoliť aktivovaním kompresie stránok Gzip v systéme Joomla (Systém > Globálna konfigurácia > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ak prvky JavaScriptu nezoskupujete, zvážte použitie [funkcie baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Vypnite v platforme Magento vstavané funkcie [zoskupovania a minifikácie súborov JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) a zvážte namiesto toho použitie funkcie [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Pri [definovaní vlastných písmen](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html) nastavte parameter `@font-display`."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Na trhovisku [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) nájdete veľké množstvo rozšírení tretích strán, ktoré podporujú nové formáty obrázkov."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Ak chcete využiť funkciu [oneskoreného načítania](https://web.dev/native-lazy-loading) danej webovej platformy, upravte šablóny svojho produktu a katalógu."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Použite [integráciu Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) platformy Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Povoľte možnosť Minifikovať súbory CSS v nastaveniach vášho obchodu pre vývojárov. [Ďalšie informácie](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Použite nástroj [Terser](https://www.npmjs.com/package/terser) na minifikáciu všetkých podkladov JavaScriptu z nasadenia statického obsahu a vypnite vstavanú funkciu minifikácie."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Vypnite vstavané [zoskupovanie súborov JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) v platforme Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Na trhovisku [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) nájdete veľké množstvo rozšírení tretích strán určených na optimalizáciu obrázkov."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Indikátory zdrojov predbežného pripojenia alebo predbežného načítania DNS môžete pridať [úpravou rozloženia motívu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Značky `<link rel=preload>` je možné pridať [úpravou rozloženia motívu](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Nahraďte animované obrázky GIF videom](https://web.dev/replace-gifs-with-videos/), aby ste zrýchlili načítavanie stránok. Zvážte použitie moderných formátov súborov, napríklad [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) alebo [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), ktoré v porovnaní s aktuálnym špičkovým videokodekom VP9 zvyšujú účinnosť kompresie o viac ako 30 %."
},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"Zvážte použitie [doplnku](https://octobercms.com/plugins?search=image) alebo služby, ktorá automaticky konvertuje nahrané obrázky do optimálnych formátov. Veľkosť [bezstratových obrázkov WebP](https://developers.google.com/speed/webp) je o 26 % menšia než veľkosť obrázkov PNG a o 25 až 34 % menšia ako veľkosť porovnateľných obrázkov JPEG pri ekvivalentnom indexe kvality SSIM. Prípadne zvážte formát obrázkov ďalšej generácie [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Zvážte inštaláciu [doplnku na odložené načítavanie obrázkov](https://octobercms.com/plugins?search=lazy), ktorý umožňuje odložiť načítanie všetkých obrázkov mimo obrazovky, alebo prejdite na motív, ktorý poskytuje túto funkciu. Tiež zvážte použitie [doplnku AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Existuje mnoho doplnkov, ktoré zlepšujú fungovanie [vložených kľúčových podkladov](https://octobercms.com/plugins?search=css). Tieto doplnky môžu narušiť fungovanie iných, takže to dôsledne otestujte."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Čas odpovede servera ovplyvňujú motívy, doplnky a jeho špecifikácie. Odporúčame nájsť optimalizovanejší motív, opatrne vybrať doplnok na optimalizáciu alebo server aktualizovať. October CMS tiež vývojárom umožňuje odložiť spracovanie časovo náročnej úlohy, napríklad odoslanie e‑mailu, pomocou funkcie [`Queues`](https://octobercms.com/docs/services/queues). To výrazne zrýchli webové požiadavky."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Zvážte zobrazovanie úryvkov v zoznamoch príspevkov (napríklad pomocou tlačidla `show more`), zníženie počtu príspevkov zobrazovaných na danej webovej stránke alebo rozdelenie dlhých príspevkov na niekoľko stránok, prípadne použitie doplnku na odložené načítanie komentárov."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Existuje mnoho [doplnkov](https://octobercms.com/plugins?search=css), ktoré môžu zrýchliť web zreťazením, minifikáciou a kompresiou štýlov. Vývoj môžete zrýchliť pomocou procesu kompilácie, ktorý dokáže túto minifikáciu vykonať vopred."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Existuje mnoho [doplnkov](https://octobercms.com/plugins?search=javascript), ktoré môžu zrýchliť web zreťazením, minifikáciou a kompresiou skriptov. Vývoj môžete zrýchliť pomocou procesu kompilácie, ktorý dokáže túto minifikáciu vykonať vopred."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Zvážte kontrolu [doplnkov](https://octobercms.com/plugins), ktoré na webe načítavajú nevyužité šablóny CSS. Ak chcete zistiť, ktoré to sú, spustite v Nástrojoch pre vývojárov v prehliadači Chrome [využitie kódu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Z webovej adresy šablóny so štýlmi identifikujte príslušný motív alebo doplnok. Hľadajte doplnky, ktoré majú vo využití kódu mnoho šablón so štýlmi s veľkým množstvom červeného kódu. Doplnok by mal pridať šablónu so štýlmi iba v prípade, ak sa na webovej stránke skutočne použije."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Zvážte kontrolu [doplnkov](https://octobercms.com/plugins?search=javascript), ktoré do webovej stránky načítavajú nevyužitý JavaScript. Ak chcete zistiť, ktoré to sú, spustite v Nástrojoch pre vývojárov v prehliadači Chrome [využitie kódu](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Z webovej adresy skriptu identifikujte príslušný motív alebo doplnok. Hľadajte doplnky, ktoré majú vo využití kódu mnoho skriptov s veľkým množstvom červeného kódu. Doplnok by mal pridať skript iba v prípade, že sa na webovej stránke skutočne používa."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Prečítajte si, ako [zabrániť nepotrebným požiadavkám siete pomocou vyrovnávacej pamäte HTTP](https://web.dev/http-cache/#caching-checklist). Existuje mnoho [doplnkov](https://octobercms.com/plugins?search=Caching), pomocou ktorých je možné zrýchliť ukladanie do vyrovnávacej pamäte."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Zvážte použitie [doplnku na optimalizáciu obrázkov](https://octobercms.com/plugins?search=image), ktorý komprimuje obrázky, ale zachová ich kvalitu."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Obrázky nahrávajte priamo do správcu médií, aby ste tak zaistili dostupnosť ich požadovaných veľkostí. Zvážte použitie [filtra zmeny veľkosti](https://octobercms.com/docs/markup/filter-resize) alebo [doplnku na zmenu veľkosti obrázkov](https://octobercms.com/plugins?search=image), aby boli použité optimálne veľkosti obrázkov."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Povoľte kompresiu textu v konfigurácii webového servera."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Ak na stránke opakovane vykresľujete určité prvky, zvážte použitie „okennej“ knižnice, ako je `react-window`, ktorá vám pomôže minimalizovať počet vytvorených uzlov DOM. [Ďalšie informácie](https://web.dev/virtualize-long-lists-react-window/) Minimalizujte aj zbytočné opakované vykresľovanie. Môžete na to použiť funkciu [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) alebo [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo). [Efekty preskakujte](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) iba v prípade, ak sa zmenili určité závislosti a zlepšujete výkonnosť počas spustenia pomocou nástroja `Effect`."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ak používate React Router, minimalizujte používanie komponentu `<Redirect>` na [určenie smerovania](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ak na strane servera vykresľujete komponenty knižnice React, zvážte použitie funkcie `renderToNodeStream()` alebo `renderToStaticNodeStream()`, aby ste klientovi umožnili prijať a spracovať rôzne časti značiek namiesto všetkých naraz. [Ďalšie informácie](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Ak vaša zostava automaticky minifikuje súbory CSS, mali by ste nasadzovať ostrú verziu zostavy aplikácie. Môžete to skontrolovať pomocou rozšírenia React Developer Tools. [Ďalšie informácie](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ak váš systém zostavy automaticky minifikuje súbory JS, mali by ste nasadzovať ostrú verziu zostavy aplikácie. Môžete to skontrolovať pomocou rozšírenia React Developer Tools. [Ďalšie informácie](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Ak nevykresľujete na strane servera, [rozdeľte balíky súborov JavaScript](https://web.dev/code-splitting-suspense/) pomocou funkcie `React.lazy()`. V opačnom prípade rozdeľte kód pomocou knižnice tretej strany, napríklad [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Na meranie výkonnosti vykresľovania svojich komponentov použite profilovač React DevTools Profiler, ktorý využíva rozhranie Profiler API. [Ďalšie informácie](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Zvážte nahranie gifu do služby, ktorá umožní jeho vloženie v podobe videa HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Zvážte použitie [doplnku](https://wordpress.org/plugins/search/convert+webp/) alebo služby, ktorá automaticky konvertuje nahrané obrázky do optimálnych formátov."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Nainštalujte si [doplnok WordPress na predbežné načítanie](https://wordpress.org/plugins/search/lazy+load/) poskytujúci možnosť odložiť všetky obrázky mimo obrazovky alebo prepnúť na motív, ktorý túto funkciu poskytuje. Tiež zvážte použitie [doplnku AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Existuje niekoľko doplnkov WordPress, ktoré vám pomôžu [vložiť do textu kľúčové podklady](https://wordpress.org/plugins/search/critical+css/) alebo [odložiť menej dôležité zdroje](https://wordpress.org/plugins/search/defer+css+javascript/). Dajte pozor, pretože optimalizácie poskytované týmito doplnkami môžu porušiť funkcie motívu či doplnkov, takže budete musieť zrejme zmeniť kód."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Čas odpovede servera ovplyvňujú motívy, doplnky a špecifikácie servera. Odporúčame nájsť optimalizovanejší motív, opatrne vybrať doplnok na optimalizáciu a/alebo aktualizovať server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Zvážte zobrazovanie úryvkov v zoznamoch príspevkov (napr. prostredníctvom značky Viac), znížte počet príspevkov zobrazovaných na danej stránke alebo rozdeľte dlhé príspevky na niekoľko stránok. Prípadne použite doplnok na predbežné načítavanie komentárov."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Niekoľko [doplnkov WordPress](https://wordpress.org/plugins/search/minify+css/) môže váš web zrýchliť konkatenáciou, minifikáciou a komprimáciou štýlov. Ak je to možné, tiež odporúčame túto minifikáciu vykonať vopred pomocou procesu zostavy."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Niekoľko [doplnkov WordPress](https://wordpress.org/plugins/search/minify+javascript/) môže váš web zrýchliť konkatenáciou, minifikáciou a komprimáciou skriptov. Ak je to možné, odporúčame túto minifikáciu vykonať vopred pomocou procesu zostavy."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Zvážte zníženie alebo prepnutie počtu [doplnkov WordPress](https://wordpress.org/plugins/) načítavajúcich nepoužívané šablóny CSS na stránke. Na identifikáciu doplnkov pridávajúcich externé šablóny CSS skúste spustiť funkciu [zahrnutia v kóde](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástroji Chrome DevTools. Príslušný motív alebo doplnok môžete identifikovať pomocou webovej adresy danej šablóny štýlov. Nájdite doplnky, ktoré majú v zozname mnoho šablón štýlov s veľkým počtom červených hodnôt vo funkcii zahrnutia v kóde. Doplnok by mal šablónu štýlov zaradiť do poradia iba vtedy, keď sa používa na stránke."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Zvážte zníženie alebo prepnutie počtu [doplnkov WordPress](https://wordpress.org/plugins/) načítavajúcich nepoužívaný JavaScript na stránke. Doplnky pridávajúce externý JavaScript skúste identifikovať pomocou funkcie [zahrnutia v kóde](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) v nástroji Chrome DevTools. Príslušný motív alebo doplnok môžete identifikovať pomocou webovej adresy daného skriptu. Nájdite doplnky, ktoré majú v zozname mnoho skriptov s veľkým počtom červených hodnôt vo funkcii zahrnutia v kóde. Doplnok by nemal skript zaradiť do poradia, keď sa používa na stránke."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Prečítajte si o [ukladaní obsahu do vyrovnávacej pamäte prehliadača na webe WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Zvážte použitie [doplnku WordPress na optimalizáciu obrázkov](https://wordpress.org/plugins/search/optimize+images/), ktorý skomprimuje obrázky, ale zachová ich kvalitu."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Nahrajte obrázky priamo prostredníctvom [knižnice médií](https://wordpress.org/support/article/media-library-screen/), čím zaistíte dostupnosť ich požadovaných veľkostí. Potom ich vložte z knižnice médií alebo zaistite použitie optimálnych veľkostí obrázkov pomocou ich miniaplikácií (vrátane tých, ktoré sú určené pre responzívne zlomové body). Obrázky s veľkosťou `Full Size` použite iba vtedy, keď sú dané rozmery vhodné na použitie. [Ďalšie informácie](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"V konfigurácii webového servera môžete povoliť kompresiu textu."},
"report/renderer/util.js | calculatorLink":{message:"Zobraziť kalkulačku"},"report/renderer/util.js | crcInitialNavigation":{message:"Počiatočná navigácia"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maximálna latencia cesty dôležitých žiadostí:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopírovať JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Prepnúť tmavý motív"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Vytlačiť rozbalené"},"report/renderer/util.js | dropdownPrintSummary":{message:"Súhrn tlače"},"report/renderer/util.js | dropdownSaveGist":{message:"Uložiť ako Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Uložiť ako HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Uložiť ako JSON"},"report/renderer/util.js | dropdownViewer":{message:"Otvoriť v zobrazovači"},"report/renderer/util.js | errorLabel":{message:"Chyba!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Nahlásenie chyby: žiadne informácie o kontrole"},"report/renderer/util.js | footerIssue":{message:"Nahlásiť problém"},"report/renderer/util.js | labDataTitle":{message:"Údaje laboratória"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analýza aktuálnej stránky v emulovanej mobilnej sieti nástrojom [Lighthouse](https://developers.google.com/web/tools/lighthouse/). Hodnoty sú odhady, ktoré sa môžu líšiť."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Ďalšie položky na manuálnu kontrolu"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nehodí sa"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Príležitosti"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Odhadovaná úspora"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Absolvované kontroly"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulovaná pracovná plocha"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulované zariadenie Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Bez emulácie"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Verzia knižnice Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Výkon procesora alebo pamäte"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Obmedzenie rýchlosti procesora"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanál"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Zariadenie"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Čas načítania"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Obmedzovanie rýchlosti"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Nastavenia spustenia"},"report/renderer/util.js | runtimeSettingsUA":{message:"Používateľský agent (hostiteľ)"},"report/renderer/util.js | runtimeSettingsUANetwork":{
message:"Používateľský agent (sieť)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"Webová adresa"},"report/renderer/util.js | runtimeUnknown":{message:"Neznáme"},"report/renderer/util.js | showRelevantAudits":{message:"Zobraziť kontroly relevantné pre:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Zbaliť útržok"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Rozbaliť útržok"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Zobrazovať zdroje tretích strán"},"report/renderer/util.js | throttlingProvided":{message:"Poskytnuté prostredím"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Vyskytli sa problémy ovplyvňujúce funkčnosť nástroja Lighthouse:"},"report/renderer/util.js | varianceDisclaimer":{message:"Hodnoty sú odhady, ktoré sa môžu líšiť. [Skóre výkonnosti sa vypočítava](https://web.dev/performance-scoring/) priamo z týchto metrík."},"report/renderer/util.js | viewTreemapLabel":{
message:"Zobraziť stromovú mapu"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Úspešne absolvované kontroly, ale s upozorneniami"},"report/renderer/util.js | warningHeader":{message:"Upozornenia: "}}},{}],134:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Tipke za dostop uporabnikom omogočajo hiter izbor dela strani. Za ustrezno pomikanje mora biti vsaka tipka za dostop drugačna. [Več o tem](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Vrednosti `[accesskey]` niso enolične"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Vrednosti `[accesskey]` so enolične"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Vsak element ARIA `role` podpira določen podniz atributov `aria-*`. Če se ne ujemajo, so atributi `aria-*` razveljavljeni. [Več o tem](https://web.dev/aria-allowed-attr/)."},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atributi `[aria-*]` se ne ujemajo z vlogami"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atributi `[aria-*]` se ujemajo s svojimi vlogami"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Če element nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementi `button`, `link` in `menuitem` nimajo dostopnih imen."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementi `button`, `link` in `menuitem` imajo dostopna imena."},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Podporne tehnologije, kot so bralniki zaslona, delujejo nedosledno, če je atribut `aria-hidden="true"` nastavljen na dokument `<body>`. [Več o tem](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Atribut `[aria-hidden="true"]` je nastavljen na dokumentu `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Atribut `[aria-hidden="true"]` ni nastavljen na dokumentu `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Podrejeni elementi elementa `[aria-hidden="true"]`, ki jih je mogoče izbrati, preprečujejo, da bi bili tisti interaktivni elementi na voljo uporabnikom podpornih tehnologij, kot so bralniki zaslona. [Več o tem](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Elementi `[aria-hidden="true"]` vsebujejo podrejene elemente, ki jih je mogoče izbrati'
},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Toliko elementov ne vsebuje podrejenih elementov, ki jih je mogoče izbrati: `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Če vnosno polje nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Vnosna polja ARIA nimajo dostopnih imen"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Vnosna polja ARIA imajo dostopna imena"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Če element nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Elementi ARIA `meter` nimajo dostopnih imen."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Elementi ARIA `meter` imajo dostopna imena."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Če element `progressbar` nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Elementi ARIA `progressbar` nimajo dostopnih imen."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{
message:"Elementi ARIA `progressbar` imajo dostopna imena."},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Nekatere vloge ARIA imajo zahtevane atribute, ki opišejo stanje elementa bralnikom zaslona. [Več o tem](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Vloge `[role]` nimajo vseh zahtevanih atributov `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Vloge `[role]` imajo vse zahtevane atribute `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Nekatere nadrejene vloge ARIA morajo zaradi ustreznega izvajanja funkcij za ljudi s posebnimi potrebami vsebovati določene podrejene vloge. [Več o tem](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"Elementi z vlogo ARIA `[role]`, ki zahtevajo, da podrejeni elementi vsebujejo določeno vlogo `[role]`, ne vsebujejo nekaterih ali vseh teh zahtevanih podrejenih elementov."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementi z vlogo ARIA `[role]`, ki zahtevajo, da podrejeni elementi vsebujejo določeno vlogo `[role]`, vsebujejo vse zahtevane podrejene elemente."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Nekatere podrejene vloge ARIA morajo biti zaradi ustreznega izvajanja funkcij za ljudi s posebnimi potrebami vsebovane v določenih nadrejenih vlogah. [Več o tem](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Vloge `[role]` niso vsebovane v zahtevanem nadrejenem elementu"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{
message:"Vloge `[role]` so vsebovane v zahtevanem nadrejenem elementu"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Vloge ARIA morajo imeti veljavne vrednosti, če želite, da bodo izvajale želene funkcije za ljudi s posebnimi potrebami. [Več o tem](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Vrednosti `[role]` niso veljavne"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Vrednosti `[role]` so veljavne"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Če preklopno polje nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Preklopna polja ARIA nimajo dostopnih imen"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Preklopna polja ARIA imajo dostopna imena"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Če element nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Elementi ARIA `tooltip` nimajo dostopnih imen."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Elementi ARIA `tooltip` imajo dostopna imena."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Če element nima dostopnega imena, ga bralniki zaslona predstavijo z generičnim imenom, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Elementi ARIA `treeitem` nimajo dostopnih imen."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Elementi ARIA `treeitem` imajo dostopna imena."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Pomožne tehnologije, kot so bralniki zaslona, ne morejo tolmačiti atributov ARIA z neveljavnimi vrednostmi. [Več o tem](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Atributi `[aria-*]` nimajo veljavnih vrednosti"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Atributi `[aria-*]` imajo veljavne vrednosti"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"Pomožne tehnologije, kot so bralniki zaslona, ne morejo tolmačiti atributov ARIA z neveljavnimi imeni. [Več o tem](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atributi `[aria-*]` so neveljavni ali napačno črkovani"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atributi `[aria-*]` so veljavni in niso napačno črkovani"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Neuspešni elementi"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Če gumb nima dostopnega imena, ga bralniki zaslona predstavijo kot »gumb«, s čimer je neuporaben za uporabnike, ki se zanašajo na bralnike zaslona. [Več o tem](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Gumbi nimajo dostopnega imena"},"lighthouse-core/audits/accessibility/button-name.js | title":{
message:"Gumbi imajo dostopna imena"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Če dodate načine, s katerimi je mogoče zaobiti ponavljajočo se vsebino, uporabnikom s tipkovnico omogočite učinkovitejše pomikanje po strani. [Več o tem](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Stran ne vsebuje naslova, povezave za preskok ali območja z mejnikom"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Stran vsebuje naslov, povezavo za preskok ali območje z mejnikom"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Besedilo z nizkim kontrastom številni uporabniki težko preberejo ali ga sploh ne morejo prebrati. [Več o tem](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Barve ozadja in ospredja nimajo zadostnega kontrastnega razmerja."},
"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Barve ozadja in ospredja imajo zadostno kontrastno razmerje"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Če seznami opredelitev niso ustrezno označeni, lahko bralniki zaslona izgovorijo nejasno ali netočno vsebino. [Več o tem](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Elementi `<dl>` ne vsebujejo samo ustrezno razvrščenih skupin `<dt>` in `<dd>` ter elementov `<script>`, `<template>` ali `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Elementi `<dl>` vsebujejo samo ustrezno razvrščene skupine `<dt>` in `<dd>` ter elemente `<script>`, `<template>` ali `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Elementi seznamov opredelitev (`<dt>` in `<dd>`) morajo biti zaradi zagotavljanja, da jih lahko bralniki zaslona ustrezno predstavijo, oviti z nadrejenim elementom `<dl>`. [Več o tem](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Elementi seznamov opredelitev niso oviti z elementi `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Elementi seznamov opredelitev so oviti z elementi `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Naslov uporabnikom bralnikov zaslona zagotavlja pregled strani, uporabniki iskalnikov pa se nanašajo nanj pri določanju, ali je stran pomembna za njihovo iskanje. [Več o tem](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokument nima elementa `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokument ima element `<title>`"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Vsi elementi, ki jih je mogoče izbrati, morajo imeti enoličen atribut `id`, s čimer se zagotovi, da so vidni podpornim tehnologijam. [Več o tem](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Toliko atributov aktivnih elementov, ki jih je mogoče izbrati, ni enoličnih: `[id]`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Toliko atributov aktivnih elementov, ki jih je mogoče izbrati, je enoličnih: `[id]`"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Vrednost ID-ja ARIA mora biti enolična, če želite preprečiti, da bi podporne tehnologije spregledale druge primerke. [Več o tem](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ID-ji ARIA niso enolični"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ID-ji ARIA so enolični"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Polja v obrazcih z več oznakami lahko podporne tehnologije, kot so bralniki zaslona, ki uporabljajo prvo, zadnjo ali vse oznake, najavijo tako, da zbegajo uporabnike. [Več o tem](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Polja v obrazcih imajo več oznak"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Ni polj v obrazcih z več oznakami"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Uporabniki bralnikov zaslona se zanašajo, da jim vsebino okvirjev opišejo naslovi okvirjev. [Več o tem](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{
message:"Elementi `<frame>` ali `<iframe>` nimajo naslova"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementi `<frame>` ali `<iframe>` imajo naslov"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Ustrezno razvrščeni naslovi, ki ne preskakujejo stopenj, posredujejo semantično strukturo strani, da jo je z uporabo podpornih tehnologij laže razumeti in se pomikati po njej. [Več o tem](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Elementi naslovov niso v zaporedno padajočem vrstnem redu"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Elementi naslovov se pojavljajo v zaporedno padajočem vrstnem redu"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Če stran ne določi atributa »lang«, bralnik zaslona predvideva, da je stran v privzetem jeziku, ki ga je uporabnik izbral pri nastavljanju bralnika zaslona. Če stran ni v privzetem jeziku, bralnik zaslona morda ne bo pravilno predstavil besedila na strani. [Več o tem](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Element `<html>` nima atributa `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Element `<html>` ima atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Če določite veljaven [jezik BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), pomagate bralnikom zaslona ustrezno predstaviti besedilo [Več o tem](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Element `<html>` nima veljavne vrednosti za atribut `[lang]`."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Element `<html>` ima veljavno vrednost za svoj atribut `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informativni elementi naj imajo kratko, opisno nadomestno besedilo. Okrasne elemente je mogoče prezreti s praznim nadomestnim atributom. [Več o tem](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Elementi slik nimajo atributov `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Elementi slik imajo atribute `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Če se kot gumb `<input>` uporablja slika, lahko z navajanjem nadomestnega besedila uporabnikom bralnikov zaslona pomagate razumeti namen gumba. [Več o tem](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{
message:'Elementi `<input type="image">` nimajo besedila `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementi `<input type="image">` imajo besedilo `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Oznake zagotavljajo, da pomožne tehnologije, na primer bralniki zaslona, ustrezno predstavijo kontrolnike za obrazce. [Več o tem](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Elementi obrazcev nimajo povezanih oznak"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Elementi obrazcev imajo povezane oznake"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Besedilo za povezavo (in nadomestno besedilo za slike, kadar so uporabljene kot povezave), ki je prepoznavno in edinstveno ter ga je mogoče izbrati, uporabnikom bralnikov zaslona zagotavlja boljšo izkušnjo pomikanja. [Več o tem](https://web.dev/link-name/)."},
"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Povezave nimajo prepoznavnega imena"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Povezave imajo prepoznavno ime"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Bralniki zaslona predstavljajo sezname na poseben način. Če želite doprinesti h kakovostnejši izgovorjavi bralnikov zaslona, poskrbite za ustrezno strukturo seznamov. [Več o tem](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Seznami ne vsebujejo samo elementov `<li>` in elementov, ki podpirajo skripte (`<script>` in `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Seznami vsebujejo samo elemente `<li>` in elemente, ki podpirajo skripte (`<script>` in `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{
message:"Bralniki zaslona zahtevajo, da so elementi seznamov (`<li>`) vsebovani v nadrejenih elementih `<ul>` ali `<ol>`, da jih lahko ustrezno predstavijo. [Več o tem](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Elementi seznamov (`<li>`) niso vsebovani v nadrejenih elementih `<ul>` ali `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Elementi seznamov (`<li>`) so vsebovani v nadrejenih elementih `<ul>` ali `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Uporabniki ne pričakujejo samodejne osvežitve strani. Če se to zgodi, se izbira pomakne nazaj na vrh strani. To lahko privede do zoprne ali zavajajoče izkušnje. [Več o tem](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokument uporablja `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{
message:'Dokument ne uporablja `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Onemogočanje povečave/pomanjšave je težavno za slabovidne uporabnike, ki se zanašajo na povečavo zaslona, da lahko ustrezno vidijo vsebino spletne strani. [Več o tem](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'Lastnosti prilagajanja velikosti `[user-scalable="no"]` se uporabljajo v elementu `<meta name="viewport">` ali pa je atribut `[maximum-scale]` manjši od 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Lastnosti prilagajanja velikosti `[user-scalable="no"]` se ne uporabljajo v elementu `<meta name="viewport">` in atribut `[maximum-scale]` ni manjši od 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{
message:"Bralniki zaslona ne morejo prevesti vsebine, ki ni besedilna. Če elementom `<object>` dodate nadomestno besedilo, bralnikom zaslona pomagate prenesti pomen uporabnikom. [Več o tem](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elementi `<object>` nimajo besedila `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementi `<object>` imajo besedilo `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Vrednost, večja od 0, kaže na izrecno razporeditev pomikanja. Čeprav je načeloma veljavna, pogosto vodi v zoprne izkušnje za uporabnike, ki se zanašajo na pomožne tehnologije. [Več o tem](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Nekateri elementi imajo vrednost za `[tabindex]` večjo od 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{
message:"Noben element nima večje vrednosti za `[tabindex]` od 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Bralniki zaslona imajo funkcije za preprostejše pomikanje po razpredelnicah. Če zagotovite, da se celice `<td>`, ki uporabljajo atribut `[headers]`, nanašajo samo na druge celice v isti razpredelnici, lahko izboljšate izkušnjo za uporabnike bralnikov zaslona. [Več o tem](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Celice v elementu `<table>`, ki uporabljajo atribut `[headers]`, se nanašajo na element `id`, ki ga ni mogoče najti v isti razpredelnici."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Celice v elementu `<table>`, ki uporabljajo atribut `[headers]`, se nanašajo na celice razpredelnice v isti razpredelnici."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Bralniki zaslona imajo funkcije za preprostejše pomikanje po razpredelnicah. Če zagotovite, da se glave razpredelnic vedno nanašajo na določen nabor celic, lahko izboljšate izkušnjo za uporabnike bralnikov zaslona. [Več o tem](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elementi `<th>` in elementi z glavami `[role="columnheader"/"rowheader"]` nimajo podatkovnih celic, ki jih opisujejo.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Elementi `<th>` in elementi z glavami `[role="columnheader"/"rowheader"]` imajo podatkovne celice, ki jih opisujejo.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Če za elemente določite veljaven [jezik BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), pomagate zagotoviti, da bralnik zaslona pravilno izgovori besedilo. [Več o tem](https://web.dev/valid-lang/)."},
"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Atributi `[lang]` nimajo veljavne vrednosti"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atributi `[lang]` imajo veljavno vrednost"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Če ima videoposnetek dodan podnapis, lahko gluhi in slušno prizadeti uporabniki preprosteje dostopajo do informacij, ki jih podaja. [Več o tem](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elementi `<video>` ne vsebujejo elementa `<track>` z opisom `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementi `<video>` vsebujejo element `<track>` s podnapisi `[kind="captions"]`.'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"Za idealen prikaz v iOSu, ko uporabniki dodajo moderno spletno aplikacijo na začetni zaslon, določite to: `apple-touch-icon`. Kazati mora na neprosojno kvadratno datoteko PNG velikosti 192 (ali 180) slikovnih pik. [Več o tem](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Ne vsebuje veljavne vrednosti `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` je zastarel; prednostni je `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Vsebuje veljavno vrednost `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Trenutna vrednost"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Predlagani žeton"},"lighthouse-core/audits/autocomplete.js | description":{
message:"`autocomplete` uporabnikom pomaga hitreje poslati obrazce. Če želite zmanjšati prizadevanje uporabnikov, razmislite o omogočanju, tako da atribut `autocomplete` nastavite na veljavno vrednost. [Več o tem](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Toliko elementov nima pravilnih atributov `autocomplete`: `<input>`."},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Zahteva ročni pregled"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Preglejte vrstni red žetonov"},"lighthouse-core/audits/autocomplete.js | title":{message:"Elementi `<input>` pravilno uporabljajo atribut `autocomplete`."},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Žetoni za `autocomplete`: »{token}« ni veljavno v {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{
message:"Preglejte vrstni red žetonov: »{tokens}« v {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Razširitve za Chrome so negativno vplivale na nalaganje te strani. Poskusite pregledati to stran v anonimnem načinu ali v profilu za Chrome brez razširitev."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Ocenjevanje skripta"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Razčlenitev skripta"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Skupni čas CPE"},"lighthouse-core/audits/bootup-time.js | description":{message:"Razmislite o skrajšanju časa, ki ga porabite za razčlenjevanje, prevajanje in izvajanje JavaScripta. Ugotovili boste, da vam lahko pri tem morda pomaga dostavljanje manjših paketov koristne vsebine JavaScript. [Več o tem](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Skrajšajte čas izvajanja JavaScripta"},
"lighthouse-core/audits/bootup-time.js | title":{message:"Čas izvajanja JavaScripta"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Odstranite velike, podvojene module JavaScript iz svežnjev in tako zmanjšajte nepotrebne bajte, uporabljene v omrežni dejavnosti. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Odstranitev podvojenih v svežnjih JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Veliki GIF-i so neučinkoviti za dostavljanje animirane vsebine. Razmislite o uporabi videoposnetkov MPEG4/WebM za animacije in slik PNG/WebP za statične slike namesto GIF-ov, s čimer prihranite omrežne bajte. [Več o tem](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Uporabite oblike zapisa videoposnetkov za animirano vsebino"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Elementi »polyfill« in »transform« starejšim brskalnikom omogočajo uporabo novih funkcij JavaScripta. Pri sodobnih brskalnikih pa številni niso potrebni. Za JavaScript v svežnju uporabite sodobno strategijo uvajanja skriptov z zaznavanjem funkcij modulov/nemodulov, da zmanjšate količino kode, poslane sodobnim brskalnikom, hkrati pa ohranite podporo za starejše brskalnike. [Več o tem](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Izogibajte se prikazovanju starejšega JavaScripta v sodobnih brskalnikih"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Oblike zapisa slik, kot so JPEG 2000, JPEG XR in WebP, pogosto omogočajo učinkovitejše stiskanje kot oblika zapisa PNG ali JPEG, kar pomeni hitrejše prenose in manjšo porabo podatkov. [Več o tem](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Dostavljajte slike v sodobnih oblikah zapisa"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Razmislite o odloženem nalaganju slik zunaj zaslona in skritih slik po dokončanem nalaganju kritičnih sredstev zaradi skrajšanja časa do interaktivnosti strani. [Več o tem](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Odložite nalaganje slik, ki so zunaj zaslona"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Sredstva blokirajo prvo barvanje strani. Razmislite o sprotnem dostavljanju kritičnega JavaScripta/CSS-ja in odlaganju JavaScripta/slogov, ki ni oziroma niso kritični. [Več o tem](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Izločite sredstva, ki blokirajo upodabljanje"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Veliki omrežni paketi koristne vsebine uporabnikom povzročajo dejanske stroške in so tesno povezani z dolgimi časi nalaganja. [Več o tem](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Skupna velikost je bila {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Izogibajte se velikanskim omrežnim paketom koristne vsebine"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Izogiba se velikanskim omrežnim paketom koristne vsebine"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Z zmanjšanjem datotek CSS-ja lahko zmanjšate velikosti paketov koristne vsebine. [Več o tem](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Zmanjšajte CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Z zmanjšanjem datotek JavaScript lahko zmanjšate velikosti paketov koristne vsebine in skrajšate čas razčlenjevanja skriptov. [Več o tem](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Pomanjšajte JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"V slogovnih datotekah zmanjšajte število nedejavnih pravil in odložite nalaganje CSS-ja, ki se ne uporablja za vsebino na vrhu strani, ter tako zmanjšajte nepotrebno porabo bajtov v omrežni dejavnosti. [Več o tem](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Zmanjšajte količino neuporabljenega CSS-ja"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Zmanjšajte količino neuporabljenega JavaScripta in odložite nalaganje skriptov, dokler niso potrebni, ter tako zmanjšajte nepotrebno porabo bajtov v omrežni dejavnosti. [Več o tem](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Zmanjšajte količino neuporabljenega JavaScripta"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"Dolgotrajno predpomnjenje lahko pospeši vnovične obiske strani. [Več o tem](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Najdeno je bilo 1 sredstvo}one{Najdeno je bilo # sredstvo}two{Najdeni sta bili # sredstvi}few{Najdena so bila # sredstva}other{Najdenih je bilo # sredstev}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Dostavljajte statična sredstva z učinkovitim pravilnikom o predpomnjenju"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Uporaba pravilnika o učinkovitem predpomnjenju za statična sredstva"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimizirane slike se nalagajo hitreje in terjajo manj prenesenih podatkov v mobilnih omrežjih. [Več o tem](https://web.dev/uses-optimized-images/)."},
"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Učinkovito kodirajte slike"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Prikazujte slike primerne velikosti, s čimer poskrbite za prihranek prenesenih podatkov v mobilnih omrežjih in izboljšate čas nalaganja. [Več o tem](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Uporabite slike ustrezne velikosti"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Pri dostavi besedilnih sredstev uporabite stiskanje (gzip, deflate ali brotli) zaradi zmanjšanja skupnega števila omrežnih bajtov. [Več o tem](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Omogočite stiskanje besedila"},"lighthouse-core/audits/content-width.js | description":{
message:"Če se širina vsebine aplikacije ne ujema s širino vidnega polja, aplikacija morda ni optimizirana za zaslone mobilnih naprav. [Več o tem](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Velikost vidnega območja, ki znaša {innerWidth} slikovnih pik, se ne ujema z velikostjo okna, ki znaša {outerWidth} slikovnih pik."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Vsebina ni ustrezne velikosti za vidno območje"},"lighthouse-core/audits/content-width.js | title":{message:"Vsebina je ustrezne velikosti za vidno območje"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Verige kritičnih zahtev spodaj vam prikazujejo, katera sredstva so naložena z visoko prednostjo. Razmislite o skrajšanju verig, zmanjšanju velikosti sredstev ali odlaganju prenosa nepotrebnih sredstev zaradi izboljšanja nalaganja strani. [Več o tem](https://web.dev/critical-request-chains/)."},
"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Najdena je bila 1 veriga}one{Najdena je bila # veriga}two{Najdeni sta bili # verigi}few{Najdene so bile # verige}other{Najdenih je bilo # verig}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Ne uporabljajte veriženja nujnih zahtev"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Resnost"},"lighthouse-core/audits/csp-xss.js | description":{message:"Močan pravilnik o varnosti vsebine (CSP) znatno zmanjša tveganje za napade s skriptnim izvajanjem na več mestih (XSS). [Več o tem](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaksa"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Stran vsebuje pravilnik CSP, določen z oznako <meta>. Razmislite o določanju pravilnika CSP v glavi HTTP-ja, če je to mogoče."},
"lighthouse-core/audits/csp-xss.js | noCsp":{message:"V načinu uveljavljanja ni pravilnikov CSP."},"lighthouse-core/audits/csp-xss.js | title":{message:"Zagotavljanje, da je pravilnik CSP učinkovit proti napadom XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Zastaranje/opozorilo"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Vrstica"},"lighthouse-core/audits/deprecations.js | description":{message:"Zastareli API-ji bodo sčasoma odstranjeni iz brskalnika. [Več o tem](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Najdeno je bilo 1 opozorilo}one{Najdeno je bilo # opozorilo}two{Najdeni sta bili # opozorili}few{Najdena so bila # opozorila}other{Najdenih je bilo # opozoril}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Uporablja zastarele API-je"},"lighthouse-core/audits/deprecations.js | title":{message:"Izogiba se zastarelim API-jem"},
"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Predpomnilnik aplikacij je zastarel. [Več o tem](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Najdeno – »{AppCacheManifest}«"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Uporablja predpomnilnik aplikacij"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Izogiba se predpomnilniku aplikacij"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Izjava glede kodiranja znakov je obvezna. Izvedete jo lahko z oznako `<meta>` v prvih 1024 B HTML-ja ali v glavi odziva HTTP-ja glede vrste vsebine. [Več o tem](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Izjava glede nabora znakov »charset« manjka ali se v HTML-ju pojavi prepozno"},"lighthouse-core/audits/dobetterweb/charset.js | title":{
message:"Ustrezno določa nabor znakov »charset«"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Če določite doctype, brskalnik ne more preklopiti v način »quirks«. [Več o tem](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Ime doctype mora biti niz z majhnimi črkami `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokument mora vsebovati doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Pričakovano je bilo, da je publicid prazen niz"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Pričakovano je bilo, da je systemid prazen niz"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Stran nima HTML-doctype, zato se sproži način »quirks«"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Stran ima HTML-doctype"},
"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistični podatek"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Vrednost"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"Velik DOM povzroči povečano uporabo pomnilnika, daljše [slogovne izračune](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) in drage [prilagoditve postavitve](https://developers.google.com/speed/articles/reflow). [Preberite več o tem](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}one{# element}two{# elementa}few{# elementi}other{# elementov}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Izogibajte se prekomerni velikosti DOM-a"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Največja globina DOM-a"},
"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Skupno število elementov DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Največje število podrejenih elementov"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Izogiba se prekomerni velikosti DOM-a"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Neuspešna sidra"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Zunanjim povezavam dodajte `rel="noopener"` ali `rel="noreferrer"` zaradi izboljšanja delovanja in preprečevanja varnostnih ranljivosti. [Več o tem](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Povezave do ciljev iz več izvorov niso varne"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{
message:"Povezave do ciljev iz več izvorov so varne"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Ni mogoče določiti cilja za sidro ({anchorHTML}). Če se ne uporablja kot hiperpovezava, lahko odstranite target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Uporabniki so nezaupljivi do spletnih mest oziroma jih begajo spletna mesta, ki zahtevajo njihovo lokacijo brez konteksta. Razmislite o tem, da bi zahtevo povezali z uporabniškim dejanjem. [Več o tem](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Zahteva dovoljenje za geolokacijo pri nalaganju strani"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Ne zahteva dovoljenja za geolokacijo pri nalaganju strani"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Vrsta težave"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Težave, zabeležene v podoknu `Issues` v orodjih za razvijalce v Chromu, označujejo nerazrešene težave. Te so lahko posledica neuspešnih omrežnih zahtev, nezadostnih varnostnih nadzorov in drugih težav z brskalnikom. Če si želite ogledati več podrobnosti o posamezni težavi, v orodjih za razvijalce v Chromu odprite podokno s težavami (Issues)."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Težave so bile zapisane v podokno `Issues` v orodju za razvijalce v Chromu"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blokiral pravilnik iz več izvorov"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Oglasi uporabljajo veliko sredstev"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Ni težav v podoknu `Issues` v orodjih za razvijalce v Chromu"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Različica"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Vse knjižnice JavaScript vmesnikov, zaznane na strani. [Več o tem](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Zaznane knjižnice JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Pri uporabnikih s počasnimi povezavami lahko zunanji skripti, dinamično vstavljeni prek `document.write()`, zakasnijo nalaganje strani za več deset sekund. [Več o tem](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Izogibanje temu: `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Se izogiba `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Največja resnost"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Različica knjižnice"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Štetje ranljivosti"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Nekateri skripti drugih ponudnikov morda vsebujejo znane varnostne ranljivosti, ki jih napadalci lahko preprosto prepoznajo in izkoristijo. [Več o tem](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Zaznana je bila 1 ranljivost}one{Zaznana je bila # ranljivost}two{Zaznani sta bili # ranljivosti}few{Zaznane so bile # ranljivosti}other{Zaznanih je bilo # ranljivosti}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Vključuje knjižniceJavaScript vmesnikov z znanimi varnostnimi ranljivostmi"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Izogiba se knjižnicam JavaScript vmesnikov z znanimi varnostnimi ranljivostmi"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Uporabniki so nezaupljivi do spletnih mest oziroma jih begajo spletna mesta, ki zahtevajo pošiljanje obvestil brez konteksta. Razmislite o tem, da bi zahtevo povezali z uporabniškimi potezami. [Več o tem](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Zahteva dovoljenje za obvestila pri nalaganju strani"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Ne zahteva dovoljenja za obvestila pri nalaganju strani"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Preprečevanje lepljenja gesel omeji dober pravilnik o varnosti. [Več o tem](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Uporabnikom preprečuje lepljenje v polja za gesla"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Uporabnikom omogoča lepljenje v polja za gesla"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ima več prednosti pred HTTP/1.1, vključno z binarnimi glavami in multipleksiranjem. [Več o tem](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 zahteva ni bila poslana prek HTTP/2}one{# zahteva ni bila poslana prek HTTP/2}two{# zahtevi nista bili poslani prek HTTP/2}few{# zahteve niso bile poslane prek HTTP/2}other{# zahtev ni bilo poslanih prek HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Uporabi HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Posluševalnike dogodkov dotika in kolesca lahko označite kot `passive` zaradi izboljšanja delovanja pomikanja na strani. [Več o tem](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Ne uporablja pasivnih poslušalcev za izboljšanje delovanja pomikanja"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Uporablja pasivne poslušalce za izboljšanje delovanja pomikanja"},"lighthouse-core/audits/errors-in-console.js | description":{
message:"Napake, zabeležene v konzoli, označujejo nerazrešene težave. Te so lahko posledica neuspešnih omrežnih zahtev in drugih težav z brskalnikom. [Več o tem](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Napake brskalnika so bile zabeležene v konzoli"},"lighthouse-core/audits/errors-in-console.js | title":{message:"V konzoli ni bila zabeležena nobena napaka brskalnika"},"lighthouse-core/audits/font-display.js | description":{message:"Izkoristite funkcijo CSS-ja za prikaz pisave, s čimer poskrbite, da je med nalaganjem spletne pisave besedilo vidno uporabnikom. [Več o tem](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Poskrbite, da bo med nalaganjem spletne pisave besedilo ostalo vidno"},"lighthouse-core/audits/font-display.js | title":{message:"Vse besedilo ostaja vidno med nalaganjem spletne pisave"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Orodje Lighthouse ni utegnilo samodejno preveriti vrednosti `font-display` za izvorni URL {fontOrigin}.}one{Orodje Lighthouse ni utegnilo samodejno preveriti vrednosti `font-display` za izvorni URL {fontOrigin}.}two{Orodje Lighthouse ni utegnilo samodejno preveriti vrednosti `font-display` za izvorni URL {fontOrigin}.}few{Orodje Lighthouse ni utegnilo samodejno preveriti vrednosti `font-display` za izvorni URL {fontOrigin}.}other{Orodje Lighthouse ni utegnilo samodejno preveriti vrednosti `font-display` za izvorni URL {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Razmerje stranic (dejansko)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Razmerje stranic (prikazano)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{
message:"Mere prikaza slike se morajo ujemati z naravnim razmerjem stranic. [Več o tem](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Prikazuje slike z nepravilnim razmerjem stranic"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Prikazuje slike s pravilnim razmerjem stranic"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Dejanska velikost"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Prikazana velikost"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Pričakovana velikost"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Naravne mere slike morajo biti sorazmerne velikosti zaslona in razmerju slikovnih pik zaradi zagotavljanja največje mogoče jasnosti slike. [Več o tem](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{
message:"Prikaže slike z nizko ločljivostjo"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Prikaže slike z ustrezno ločljivostjo"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplikacija je že nameščena"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Zahtevane ikone iz manifesta ni bilo mogoče prenesti."},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Vzrok napake"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Proces storitve je tehnologija, ki aplikaciji omogoča uporabo številnih funkcij moderne spletne aplikacije, na primer delovanje brez povezave, dodajanje na začetni zaslon in potisna obvestila. Z uporabo ustreznega procesa storitve in manifesta lahko brskalniki proaktivno pozovejo uporabnike, da dodajo vašo aplikacijo na začetni zaslon, kar lahko privede do več dejavnosti. [Več o tem](https://web.dev/installable-manifest/)."},
"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 razlog}one{# razlog}two{# razloga}few{# razlogi}other{# razlogov}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Manifest spletne aplikacije in proces storitve ne izpolnjujeta zahtev za izvedljivost namestitve"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL aplikacije Trgovina Play in ID Trgovine Play se ne ujemata"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Stran je naložena v anonimnem oknu"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Lastnost manifesta »display« mora biti »standalone«, »fullscreen« ali »minimal-ui«"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{
message:"Manifest vsebuje polje »display_override« in prvi podprti način prikaza mora biti ena od možnosti »standalone«, »fullscreen« ali »minimal-ui«"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifesta ni bilo mogoče pridobiti ali razčleniti oziroma je morda prazen"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"URL manifesta je bil spremenjen med pridobivanjem manifesta."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest ne vsebuje polja »name« ali »short_name«"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifest ne vsebuje ustrezne ikone – zahtevana je oblika PNG, SVG ali WebP z najmanj toliko slikovnimi pikami: {value0}. Nastaviti je treba tudi atribut velikosti (»sizes«), če je nastavljen atribut namena (»purpose«), pa mora vključevati »any«."},
"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Nobena priložena ikona ni v obliki PNG, SVG ali WebP in ni kvadrat najmanj toliko slikovnih pik: {value0}, pri čemer atribut namena ni nastavljen oziroma je nastavljen na »poljubno«."},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Prenesena ikona je bila prazna ali poškodovana."},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"ID Trgovine Play ni naveden"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Stran nima URL-ja manifesta <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Noben ujemajoči proces storitve ni zaznan. Morda boste morali znova naložiti stran oziroma preveriti, ali obseg procesa storitve za trenutno stran zajema obseg in začetni URL manifesta."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{
message:"Procesa storitve ni mogoče preveriti brez polja »start_url« v manifestu"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ID napake o izvedljivosti namestitve »{errorId}« ni prepoznan"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Stran ni bila poslana iz varnega izvora"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Stran ni naložena v glavnem okviru"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Stran ne deluje brez povezave"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Navedeno okolje aplikacije ni podprto v sistemu Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest določa »prefer_related_applications: true«"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{
message:"Vrednost »prefer_related_applications« je podprta samo v Chromu Beta in stabilnih različicah Chroma v sistemu Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Začetni URL manifesta ni veljaven"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifest spletne aplikacije in proces storitve izpolnjujeta zahteve za izvedljivost namestitve"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL v manifestu vsebuje uporabniško ime, geslo ali vrata"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Stran ne deluje brez povezave. Stran ne bo obravnavana kot namestljiva po avgustu 2021, ko bo izdana stabilna različica Chroma 93."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Dovoljeno"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blokirano"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{
message:"URL zahtev, ki niso varne"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Razrešitev zahtev"},"lighthouse-core/audits/is-on-https.js | description":{message:"Vsa spletna mesta morajo biti zaščitena s HTTPS, tudi tista, ki nimajo opravka z občutljivimi podatki. To vključuje izogibanje [mešani vsebini](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), pri čemer so nekatera sredstva naložena prek protokola HTTP, čeprav je začetna zahteva prikazana prek protokola HTTPS. HTTPS vsiljivcem preprečuje manipuliranje s komunikacijami ali pasivno poslušanje komunikacij med aplikacijo in uporabniki ter je pogoj za HTTP/2 in veliko novih API-jev za spletna okolja. [Več o tem](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{
message:"{itemCount,plural, =1{Najdena je bila 1 zahteva, ki ni varna}one{Najdena je bila # zahteva, ki ni varna}two{Najdeni sta bili # zahtevi, ki nista varni}few{Najdene so bile # zahteve, ki niso varne}other{Najdenih je bilo # zahtev, ki niso varne}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Ne uporablja HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Uporablja HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Samodejno nadgrajeno na protokol HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Dovoljeno z opozorilom"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Knjižnica"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"Velike knjižnice JavaScript lahko povzročijo slabo učinkovitost delovanja. Če želite zmanjšati velikost svežnja, namesto tega uporabite manjše, funkcionalno enakovredne knjižnice. [Več o tem](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Najdena je bila 1 velika knjižnica}one{Najdena je bila # velika knjižnica}two{Najdeni sta bili # veliki knjižnici}few{Najdene so bile # velike knjižnice}other{Najdenih je bilo # velikih knjižnic}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Zamenjava nepotrebno velikih knjižnic JavaScript"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Izogiba se velikim knjižnicam JavaScript z manjšimi nadomestnimi knjižnicami"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{
message:"To je največji vsebinski element, izrisan znotraj vidnega območja. [Več o tem](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element največjega vsebinskega izrisa"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Prispevek k CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ti elementi DOM največ prispevajo k CLS-ju strani."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Izogibajte se velikim pomikom postavitve"},"lighthouse-core/audits/long-tasks.js | description":{message:"Navede najdaljša opravila v glavni niti, kar je koristno za prepoznavanje elementov, ki največ prispevajo k zakasnitvi vnosa. [Več o tem](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{
message:"{itemCount,plural, =1{Najdeno je bilo # dolgo opravilo}one{Najdeno je bilo # dolgo opravilo}two{Najdeni sta bili # dolgi opravili}few{Najdena so bila # dolga opravila}other{Najdenih je bilo # dolgih opravil}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Izogibajte se dolgim opravilom v glavni niti"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorija"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Razmislite o skrajšanju časa, ki ga porabite za razčlenjevanje, prevajanje in izvajanje JavaScripta. Ugotovili boste, da vam lahko pri tem morda pomaga dostavljanje manjših paketov koristne vsebine JavaScript. [Več o tem](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minimizirajte delo glavne niti"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minimizira delo glavne niti"},
"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Če želite doseči največ uporabnikov, morajo spletna mesta delovati v vsakem pomembnejšem brskalniku. [Več o tem](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Spletno mesto deluje v različnih brskalnikih"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Zagotovite povezave v globino do posameznih strani prek URL-jev in poskrbite, da so zaradi objavljanja v družbenih omrežjih ti URL-ji enolični. [Več o tem](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Vsaka stran ima URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Prehodi morajo ob dotikanju delovati hitro in tekoče tudi v počasnem omrežju. To je ključno za uporabnikov vtis zmogljivega delovanja. [Več o tem](https://web.dev/pwa-page-transitions/)."},
"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Prehodi med stranmi ne dajejo občutka, kot da so blokirani v omrežju"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Ikona, ki omogoča maskiranje, zagotavlja, da pri nameščanju aplikacije v napravi slika zapolni celotno obliko brez črne obrobe zgoraj in spodaj. [Več o tem](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest nima ikone, ki omogoča maskiranje"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest ima ikono, ki omogoča maskiranje"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Kumulativna sprememba postavitve meri premikanje vidnih elementov znotraj vidnega območja. [Več o tem](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{
message:"Prvi vsebinski izris označuje čas, ko je izrisano prvo besedilo oziroma je izrisana prva slika. [Več o tem](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Prvo smiselno barvanje meri, kdaj je vidna glavna vsebina strani. [Več o tem](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Čas do interaktivnosti je čas, potreben, da stran postane povsem interaktivna. [Več o tem](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Največji vsebinski izris označuje čas, ko je izrisano največje besedilo oziroma je izrisana največja slika. [Več o tem](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{
message:"Največja potencialna zakasnitev od prvega vnosa, na katero lahko uporabniki naletijo, je trajanje najdaljšega opravila. [Več o tem](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Indeks hitrosti prikazuje, kako hitro je vsebina strani vidno izpolnjena. [Več o tem](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Skupek vseh časovnih obdobij med FCP-jem in časom do interaktivnosti, ko je dolžina opravila presegla 50 ms, izražen v milisekundah. [Več o tem](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Omrežni časi povratnega potovanja (RTT) imajo velik vpliv na učinkovitost delovanja. Če je RTT do izvora velik, to kaže na to, da bi lahko strežniki bližje uporabniku izboljšali učinkovitost delovanja. [Več o tem](https://hpbn.co/primer-on-latency-and-bandwidth/)."},
"lighthouse-core/audits/network-rtt.js | title":{message:"Časi omrežnega povratnega potovanja"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Na spletno učinkovitost delovanja lahko vplivajo zakasnitve strežnikov. Če je zakasnitev strežnika za izvor velika, to kaže na to, da je strežnik preobremenjen ali ima slabo zaledno učinkovitost delovanja. [Več o tem](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Zakasnitve strežnikovega zaledja"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Dogodek `unload` se ne aktivira zanesljivo in poslušanje, kdaj se aktivira, lahko prepreči optimizacije brskalnika, kot je predpomnjenje pomikanja naprej in nazaj. Razmislite o uporabi dogodka `pagehide` ali `visibilitychange`. [Več o tem](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},
"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registrira poslušalca dogodka `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Izogiba se poslušalcem dogodka `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animacije, ki niso sestavljene, so lahko nestabilne in lahko povečajo CLS. [Več o tem](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Najden je bil # animiran element}one{Najden je bil # animiran element}two{Najdena sta bila # animirana elementa}few{Najdeni so bili # animirani elementi}other{Najdenih je bilo # animiranih elementov}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Lastnost, povezana s »filter«, lahko premika slikovne pike"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{
message:"Cilj ima drugo animacijo, ki ni združljiva"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Učinek ima sestavljeni način, ki ni »replace«"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Izogibanje nesestavljenim animacijam"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Lastnost, povezana s »transform«, je odvisna od velikosti polja"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Nepodprta lastnost CSS: {properties}}one{Nepodprte lastnosti CSS: {properties}}two{Nepodprte lastnosti CSS: {properties}}few{Nepodprte lastnosti CSS: {properties}}other{Nepodprte lastnosti CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Učinek ima nepodprte časovne parametre"},"lighthouse-core/audits/performance-budget.js | description":{
message:"Količino in velikosti omrežnih zahtev imejte pod cilji, ki so nastavljeni z navedenim proračunom za uspešnost. [Več o tem](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 zahteva}one{# zahteva}two{# zahtevi}few{# zahteve}other{# zahtev}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Proračun za uspešnost"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Vnaprej naložite pisave (`optional`), da jih bodo novi obiskovalci lahko uporabili. [Več o tem](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Pisave z vrednostjo `font-display: optional` niso vnaprej naložene"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Pisave z vrednostjo `font-display: optional` so vnaprej naložene"},"lighthouse-core/audits/preload-lcp-image.js | description":{
message:"Vnaprej naložite sliko, ki jo uporablja element LCP, če želite izboljšati čas za LCP. [Več o tem](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Vnaprejšnje nalaganje slike največjega vsebinskega izrisa"},"lighthouse-core/audits/redirects-http.js | description":{message:"Če ste že nastavili protokol HTTPS, poskrbite za preusmeritev vsega prometa prek protokola HTTP na protokol HTTPS, da zagotovite varne spletne funkcije vsem uporabnikom. [Več o tem](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Ne preusmeri prometa prek protokola HTTP na protokol HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Preusmeri promet prek protokola HTTP na protokol HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Preusmeritve vnašajo dodatne zakasnitve nalaganja strani. [Več o tem](https://web.dev/redirects/)."},
"lighthouse-core/audits/redirects.js | title":{message:"Izogibajte se preusmeritvam na več strani"},"lighthouse-core/audits/resource-summary.js | description":{message:"Če želite nastaviti proračune za količino in velikost sredstev strani, dodajte datoteko budget.json. [Več o tem](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 zahteva • {byteCount, number, bytes} KiB}one{# zahteva • {byteCount, number, bytes} KiB}two{# zahtevi • {byteCount, number, bytes} KiB}few{# zahteve • {byteCount, number, bytes} KiB}other{# zahtev • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Število zahtev naj bo majhno in prenosi naj ne bodo preveliki"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanonične povezave predlagajo, kateri URL naj bo prikazan v rezultatih iskanja. [Več o tem](https://web.dev/canonical/)."},
"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Več URL-jev v sporu ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Kaže na drugo domeno ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Neveljaven URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Kaže na drugo lokacijo `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relativni URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Kaže na korenski URL domene (domačo stran), namesto na enakovredno stran z vsebino"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument nima veljavne povezave `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument ima veljaven atribut `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{
message:"Povezava, ki ne omogoča iskanja po vsebini"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Iskalniki morda uporabljajo atribute `href` v povezavah za iskanje po vsebini spletnih mest. Atribut `href` elementov za sidranje mora biti povezan z ustreznim ciljem, da je mogoče odkriti več strani spletnega mesta. [Več o tem](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Povezave ne omogočajo iskanja po vsebini"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Povezave omogočajo iskanje po vsebini"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Dodatno neberljivo besedilo"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Velikost pisave"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% besedila na strani"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{
message:"Izbirnik"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Velikosti pisave, manjše od 12 slikovnih pik, so premajhne, da bi bile berljive, zato morajo obiskovalci z mobilnimi napravami s potezo razširjanja prstov na zaslonu povečati strani, da bi jih lahko prebrali. Poskušajte zagotoviti, da bo več kot 60 % besedila na strani velikosti, ki ni manjša od 12 slikovnih pik. [Več o tem](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} berljivega besedila"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Besedilo je neberljivo, ker ni metaoznake »viewport«, optimizirane za zaslone mobilnih naprav."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokument ne uporablja berljivih velikosti pisav"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Berljivo besedilo"},
"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokument uporablja berljive velikosti pisav"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Povezave hreflang iskalnikom povedo, katero različico strani naj prikažejo v rezultatih iskanja za določen jezik ali regijo. [Več o tem](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument nima veljavnega atributa `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativna vrednost href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument ima veljaven atribut `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Nepričakovana koda jezika"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Strani z neuspešnimi kodami stanja HTTP morda ne bodo pravilno indeksirane. [Več o tem](https://web.dev/http-status-code/)."},
"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Stran ima neuspešno kodo stanja HTTP"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Stran ima uspešno kodo stanja HTTP"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Če iskalniki nimajo dovoljenja za iskanje po vsebini vaših strani, jih ne morejo vključiti v rezultate iskanja. [Več o tem](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Indeksiranje strani je blokirano"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Indeksiranje strani ni blokirano"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Opisno besedilo povezave iskalnikom pomaga razumeti vašo vsebino. [Več o tem](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{
message:"{itemCount,plural, =1{Najdena je 1 povezava}one{Najdena je # povezava}two{Najdeni sta # povezavi}few{Najdene so # povezave}other{Najdenih je # povezav}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Povezave nimajo opisnega besedila"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Povezave imajo opisno besedilo"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Za preverjanje strukturiranih podatkov zaženite [orodje za preizkušanje strukturiranih podatkov](https://search.google.com/structured-data/testing-tool/) in [orodje Linter za strukturirane podatke](http://linter.structured-data.org/). [Več o tem](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturirani podatki so veljavni"},"lighthouse-core/audits/seo/meta-description.js | description":{
message:"Za podroben povzetek vsebine strani so lahko v rezultatih iskanja vključeni metaopisi. [Več o tem](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Opisno besedilo je prazno."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokument nima metaopisa"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument ima metaopis"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Iskalniki ne morejo indeksirati vsebine vtičnikov in številne naprave vtičnike omejujejo ali jih ne podpirajo. [Več o tem](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument uporablja vtičnike"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokument ne vsebuje vtičnikov"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Če datoteka robots.txt ni pravilno oblikovana, iskalniki po spletni vsebini morda ne bodo razumeli, kako želite, da se išče po spletni vsebini vašega spletnega mesta in se jo indeksira. [Več o tem](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Zahteva za datoteko robots.txt je vrnila to stanje HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Najdena je bila 1 napaka}one{Najdena je bila # napaka}two{Najdeni sta bili # napaki}few{Najdene so bile # napake}other{Najdenih je bilo # napak}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse ni mogel prenesti datoteke robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Datoteka robots.txt ni veljavna"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Datoteka robots.txt je veljavna"},
"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktivni elementi, kot so gumbi in povezave, morajo biti dovolj veliki (48 x 48 slikovnih pik) in okoli njih mora biti dovolj prostora, da se jih je mogoče dotakniti, ne da bi se pri tem dotaknili drugih elementov. [Več o tem](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} ciljev dotika primerne velikosti"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Cilji za dotik so premajhni, ker ni metaoznake »viewport«, optimizirane za zaslone mobilnih naprav."},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Cilji za dotik niso primerne velikosti"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Prekrivajoči se cilj"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Cilj za dotik"},
"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Cilji za dotikanje so ustrezne velikosti"},"lighthouse-core/audits/server-response-time.js | description":{message:"Odzivni čas strežnika za glavni dokument naj bo kratek, saj so od tega odvisne vse druge zahteve. [Več o tem](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Korenski dokument je terjal {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Skrajševanje začetnega odzivnega časa strežnika"},"lighthouse-core/audits/server-response-time.js | title":{message:"Začetni odzivni čas strežnika je bil kratek"},"lighthouse-core/audits/service-worker.js | description":{
message:"Proces storitve je tehnologija, ki aplikaciji omogoča uporabo številnih funkcij moderne spletne aplikacije, na primer delovanje brez povezave, dodajanje na začetni zaslon in potisna obvestila. [Več o tem](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"To stran nadzira proces storitve, vendar ni bilo mogoče najti ničesar od tega: `start_url`, ker ni bilo mogoče razčleniti manifesta kot veljavne datoteke JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"To stran nadzira proces storitve, vendar `start_url` ({startUrl}) ni v obsegu procesa storitve ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"To stran nadzira proces storitve, vendar ni bilo mogoče najti ničesar od tega: `start_url`, ker niso bili preneseni manifesti."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{
message:"Ta izvor ima enega ali več procesov storitve, vendar stran ({pageUrl}) ni v obsegu."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Ne registrira procesa storitve, ki nadzira stran in to: `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registrira proces storitve, ki nadzira stran in to: `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"S tematskim pozdravnim zaslonom zagotovite visokokakovostno izkušnjo, ko uporabniki zaženejo aplikacijo z začetnih zaslonov. [Več o tem](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Ni konfigurirano za pozdravni zaslon po meri"},"lighthouse-core/audits/splash-screen.js | title":{message:"Konfigurirano za pozdravni zaslon po meri"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"Naslovno vrstico brskalnika je mogoče prilagoditi s temo, ki se ujema s spletnim mestom. [Več o tem](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Ne nastavi barve teme za naslovno vrstico."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Nastavi barvo teme za naslovno vrstico."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (podpora strankam)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (trženje)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (družabno)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Izdelek"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Nekatere vdelave drugih ponudnikov je mogoče odloženo naložiti. Razmislite o tem, da bi jih nadomestili s preprosto komponento, dokler jih ne boste potrebovali. [Več o tem](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Na voljo je # nadomestna preprosta komponenta}one{Na voljo je # nadomestna preprosta komponenta}two{Na voljo sta # nadomestni preprosti komponenti}few{Na voljo so # nadomestne preproste komponente}other{Na voljo je # nadomestnih preprostih komponent}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Nekatera sredstva drugih ponudnikov je mogoče odloženo naložiti s preprosto komponento"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Odloženo nalaganje sredstev drugih ponudnikov s preprostimi komponentami"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Drugi ponudniki"},
"lighthouse-core/audits/third-party-summary.js | description":{message:"Koda drugega ponudnika lahko znatno vpliva na učinkovitost nalaganja. Omejite število odvečnih drugih ponudnikov in poskusite naložiti kodo drugega ponudnika, ko je stran prvenstveno končala nalaganje. [Več o tem](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Koda drugega ponudnika je blokirala glavno nit {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Zmanjšanje vpliva kode drugega ponudnika"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Zmanjšajte uporabo komponent drugih ponudnikov"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Izmerjena vrednost"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Meritev"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Nastavite časovni proračun, da boste laže spremljali uspešnost spletnega mesta. Uspešna spletna mesta se hitro naložijo in naglo odzovejo na dogodke uporabniških vnosov. [Več o tem](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Časovni proračun"},"lighthouse-core/audits/unsized-images.js | description":{message:"Če želite zmanjšati pomike postavitve in izboljšati CLS, za elemente slik nastavite eksplicitno širino in višino. [Več o tem](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Elementi slik nimajo izrecnih atributov `width` in `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Elementi slik imajo eksplicitna atributa `width` in `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Vrsta"},
"lighthouse-core/audits/user-timings.js | description":{message:"Razmislite o uporabi API-ja za merjenje dejanskih izvedb uporabniških dogodkov (User Timing API), če želite izmeriti dejansko delovanje aplikacije med ključnimi uporabniškimi izkušnjami. [Več o tem](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 trajanje izvedbe uporabniških dogodkov}one{# trajanje izvedbe uporabniških dogodkov}two{# trajanji izvedbe uporabniških dogodkov}few{# trajanja izvedbe uporabniških dogodkov}other{# trajanj izvedbe uporabniških dogodkov}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Oznake in merjenja trajanj izvedbe uporabniških dogodkov"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Povezava `<link rel=preconnect>` je bila najdena za »{securityOrigin}«, vendar je brskalnik ni uporabil. Preverite, ali pravilno uporabljate atribut `crossorigin`."},
"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Razmislite o dodajanju namigov za sredstva (`preconnect` ali `dns-prefetch`) zaradi vzpostavljanja zgodnjih povezav s pomembnimi izvori drugih ponudnikov. [Več o tem](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Vnaprej se povežite z zahtevanimi izvori"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Našli smo več kot dve povezavi `<link rel=preconnect>`. Te je treba uporabljati gospodarno in samo za najpomembnejše izvore."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Povezava `<link rel=preconnect>` je bila najdena za »{securityOrigin}«, vendar je brskalnik ni uporabil. Atribute `preconnect` uporabljajte samo za pomembne izvore, ki jih bo stran gotovo zahtevala."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Povezava za vnaprejšnje nalaganje `<link>` je bila najdena za »{preloadURL}«, vendar je brskalnik ni uporabil. Preverite, ali pravilno uporabljate atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Razmislite o uporabi oznake `<link rel=preload>` za dodeljevanje višje stopnje prednosti pri pridobivanju sredstev, ki so trenutno zahtevana pri nadaljnjem nalaganju strani. [Več o tem](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Vnaprej nalagajte ključne zahteve"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL zemljevida"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Zemljevidi izvorne kode prevedejo pomanjšano kodo v izvirno izvorno kodo. To je razvijalcem v pomoč pri odpravljanju napak v različici za splošno razpoložljivost. Lighthouse lahko zagotovi tudi dodatne vpoglede. Če želite izkoristiti te prednosti, razmislite o uvedbi zemljevidov izvorne kode. [Več o tem](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Manjkajoči zemljevidi izvorne kode za veliko lastno knjižnico JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Manjkajoč zemljevid izvorne kode v veliki datoteki JavaScript"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Opozorilo: V atributu `.sourcesContent` manjka 1 element}one{Opozorilo: V atributu `.sourcesContent` manjka # element}two{Opozorilo: V atributu `.sourcesContent` manjkata # elementa}few{Opozorilo: V atributu `.sourcesContent` manjkajo # elementi}other{Opozorilo: V atributu `.sourcesContent` manjka # elementov}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Stran ima veljavne zemljevide izvorne kode"},"lighthouse-core/audits/viewport.js | description":{message:'Dodajte oznako `<meta name="viewport">`, da optimizirate aplikacijo za zaslone mobilnih naprav. [Več o tem](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Ni oznak `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nima oznake `<meta name="viewport">` s tem: `width` ali `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Ima oznako `<meta name="viewport">` s tem: `width` ali `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Tu imate na voljo priložnosti, da izboljšate uporabo atributov ARIA v aplikaciji, s čimer lahko izboljšate izkušnjo za uporabnike pomožnih tehnologij, kot je bralnik zaslona."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"To so priložnosti za izboljšanje nadomestne vsebine za zvok in videoposnetke. S tem lahko izboljšate izkušnjo za uporabnike z motnjami sluha ali vida."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Zvok in video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Ti elementi izpostavijo pogoste najboljše postopke za zagotavljanje dostopnosti."},
"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Najboljši postopki"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Ta preverjanja izpostavijo priložnosti za [izboljšanje dostopnosti vaše spletne aplikacije](https://developers.google.com/web/fundamentals/accessibility). Samodejno je mogoče ugotoviti samo podnabor morebitnih težav z dostopnostjo, zato spodbujamo ročno preverjanje."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Ti elementi se nanašajo na področja, ki jih ne more obdelati samodejno orodje za preizkušanje. Več o tem lahko preberete v našem vodniku o [izvedbi pregleda dostopnosti](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Dostopnost"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{
message:"Tu imate na voljo priložnosti, da izboljšate berljivost vsebine."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Tu imate na voljo priložnosti, da izboljšate, kako si uporabniki v različnih jezikih tolmačijo vašo vsebino."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizacija in lokalizacija"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Tu imate na voljo priložnosti, da izboljšate pomen kontrolnikov v aplikaciji. S tem lahko izboljšate izkušnjo uporabnikov pomožne tehnologije, kot je bralnik zaslona."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Imena in oznake"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"To so priložnosti, da izboljšate premikanje po aplikaciji s tipkovnico."},
"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Pomikanje"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"To so priložnosti, da z uporabo pomožnih tehnologij, kot je bralnik zaslona, izboljšate izkušnjo pri branju tabelarnih podatkov ali podatkov na seznamih."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabele in seznami"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Združljivost brskalnika"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Najboljši postopki"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Splošno"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Zaupanje in varnost"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Uporabniška izkušnja"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Proračuni za uspešnost postavljajo standarde za uspešnost spletnega mesta."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Proračuni"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Več informacij o delovanju aplikacije. Te številke [neposredno ne vplivajo](https://web.dev/performance-scoring/) na rezultat uspešnosti."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Bistveni vidik delovanja je, kako hitro se upodabljajo slikovne pike na zaslonu. Ključni meritvi: Prvo vsebinsko barvanje, Prvo smiselno barvanje"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Izboljšave prvega barvanja"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Ti predlogi lahko pomagajo pri hitrejšem nalaganju strani. [Neposredno ne vplivajo](https://web.dev/performance-scoring/) na rezultat uspešnosti."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Priložnosti"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Meritve"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Izboljšajte splošno izkušnjo nalaganja, da bo stran odzivna in čim prej pripravljena na uporabo. Ključni meritvi: Čas do interaktivnosti, Indeks hitrosti"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Splošne izboljšave"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Delovanje"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Ta preverjanja potrjujejo vidike moderne spletne aplikacije. [Več o tem](https://developers.google.com/web/progressive-web-apps/checklist)."
},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Ta preverjanja zahteva osnovni [kontrolni seznam za MSA](https://developers.google.com/web/progressive-web-apps/checklist), vendar jih Lighthouse ne opravi samodejno. Preverjanja vplivajo na vaš rezultat, vendar je pomembno, da jih opravite ročno."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Moderna spletna aplikacija"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Namestljivo"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimizirano za PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"S temi preverjanji se zagotovi, da je stran optimizirana za uvrstitev v rezultatih iskanja. Na uvrstitev v rezultatih iskanja lahko vplivajo dodatni dejavniki, ki jih Lighthouse ne preverja. [Več o tem](https://support.google.com/webmasters/answer/35769)."},
"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Na spletnem mestu izvedite ta dodatna preverjanja, da preverite dodatne najboljše postopke za SEO."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Oblikujte HTML na način, ki iskalnikom po vsebini omogoča boljše razumevanje vsebine vaše aplikacije."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Najboljši postopki glede vsebine"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Če želite, da bo prikazana v rezultatih iskanja, morajo imeti iskalniki po vsebini dostop do vaše aplikacije."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Iskanje po vsebini in indeksiranje"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Poskrbite, da so strani prilagojene za mobilne naprave, da uporabnikom ne bo treba vleči s prsti skupaj ali povečevati slike, če bodo želeli brati strani z vsebino. [Več o tem](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Prilagojeno za mobilne naprave"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Videti je, da ima preizkušena naprava počasnejši CPE kot ga pričakuje Lighthouse. To lahko negativno vpliva na rezultat uspešnosti. Preberite več o [umerjanju ustreznega množitelja za upočasnitev CPE-ja](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Stran se morda ne naloži po pričakovanjih, ker je bil preizkusni URL ({requested}) preusmerjen na {final}. Poskusite neposredno preizkusiti drugi URL."},
"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Stran se je naložila prepočasi, da bi se nalaganje dokončalo znotraj časovne omejitve. Rezultati so morda nepopolni."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Na tej lokaciji so morda shranjeni podatki, ki vplivajo na uspešnost nalaganja: {locations}. Preglejte to stran v anonimnem oknu, da preprečite, da bi ti viri vplivali na vaše rezultate.}one{Na teh lokacijah so morda shranjeni podatki, ki vplivajo na uspešnost nalaganja: {locations}. Preglejte to stran v anonimnem oknu, da preprečite, da bi ti viri vplivali na vaše rezultate.}two{Na teh lokacijah so morda shranjeni podatki, ki vplivajo na uspešnost nalaganja: {locations}. Preglejte to stran v anonimnem oknu, da preprečite, da bi ti viri vplivali na vaše rezultate.}few{Na teh lokacijah so morda shranjeni podatki, ki vplivajo na uspešnost nalaganja: {locations}. Preglejte to stran v anonimnem oknu, da preprečite, da bi ti viri vplivali na vaše rezultate.}other{Na teh lokacijah so morda shranjeni podatki, ki vplivajo na uspešnost nalaganja: {locations}. Preglejte to stran v anonimnem oknu, da preprečite, da bi ti viri vplivali na vaše rezultate.}}"},
"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Razmislite o dodajanju shem URL-jev https: in http: (brskalniki, ki podpirajo element »strict-dynamic«, jih prezrejo) zaradi povratne združljivosti s starejšimi brskalniki."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Direktiva disown-opener je zastarela od pravilnika CSP3. Uporabite glavo pravilnika Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Direktiva referrer je zastarela od pravilnika CSP2. Uporabite glavno pravilnika Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Direktiva reflected-xss je zastarela od pravilnika CSP2. Uporabite glavo za X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Manjkajoči element base-uri omogoča, da vstavljene oznake <base> nastavijo temeljni URL za vse relativne URL-je (npr. skripte) do domene, ki jo nadzira napadalec. Razmislite o nastavitvi elementa base-uri na »none« ali »self«."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elementi, ki jih nadzira object-src, se obravnavajo kot starejše funkcije. Razmislite o nastavitvi elementa object-src na »none«, da preprečite vstavitev vtičnikov, ki izvajajo skripte, ki niso varni."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Ni direktive script-src. Zaradi tega je lahko dovoljeno izvajanje skriptov, ki niso varni."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Ste pozabili podpičje? Videti je, da je {keyword} direktiva, ne pa ključna beseda."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Žetoni morajo uporabljati nabor znakov base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{
message:"Žetoni morajo biti dolgi najmanj 8 znakov."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Cilj za poročanje je konfiguriran samo prek direktive »report-to«. Direktivo podpirajo samo brskalniki na podlagi Chromiuma, zato priporočamo, da uporabite tudi direktivo »report-uri«."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"V nobenem pravilniku CSP ni konfiguriran cilj za poročanje. Zato je težko dolgoročno ohranjati pravilnik CSP in ga nadzirati zaradi morebitnih težav z delovanjem."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Sezname dovoljenih pri gostiteljih je pogosto mogoče zaobiti. Razmislite o uporabi elementa »strict-dynamic« v kombinaciji z žetoni ali zgoščenimi vrednostmi pravilnika CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Neznana direktiva pravilnika CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{
message:"Videti je, da je {keyword} neveljavna ključna beseda."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"Element »unsafe-inline« omogoča izvajanje na strani umeščenih skriptov, ki niso varni, in rutin za obravnavo dogodkov. Razmislite o uporabi žetonov ali zgoščenih vrednosti za pravilnik CSP, s katerim bi omogočali posamezne skripte."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Razmislite o dodajanju elementa »unsafe-inline« (brskalniki, ki podpirajo žetone/zgoščene vrednosti, ga prezrejo) zaradi povratne združljivosti s starejšimi brskalniki."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Čas blokiranja glavne niti"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL predpomnjenja"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Opis"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Trajanje"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},
"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Neuspešni elementi"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Lokacija"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Ime"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Prek proračuna"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Zahteve"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Velikost sredstva"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Vrsta sredstva"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Velikost"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Vir"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Začetni čas"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Porabljeni čas"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Velikost prenosa"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Morebitni prihranki"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Morebitni prihranki"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"{wastedBytes, number, bytes} KiB morebitnega prihranka"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Najden je bil 1 element}one{Najden je bil # element}two{Najdena sta bila # elementa}few{Najdeni so bili # elementi}other{Najdenih je bilo # elementov}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"{wastedMs, number, milliseconds} ms morebitnega prihranka"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Prvo smiselno barvanje"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Pisava"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Slika"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Visoka"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Nizka"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Srednja"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Najv. potencial. zakasn. od prvega vnosa"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Predstavnost"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{
message:"Drugo"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Drugi viri"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skript"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Slogovna datoteka"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Drugi ponudniki"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Skupno"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Pri snemanju sledi ob nalaganju strani je prišlo do napake. Znova zaženite Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Potek časovne omejitve pri čakanju na začetno povezavo protokola za odpravljanje napak"},
"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome med nalaganjem strani ni zbral posnetkov zaslona. Poskrbite, da je vsebina vidna na strani, nato poskusite znova zagnati Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Strežnikom DNS ni uspelo razrešiti navedene domene."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"V zahtevanem zbiralniku {artifactName} je prišlo do napake: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Prišlo je do notranje napake Chroma. Znova zaženite Chrome in poskusite znova zagnati Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Zahtevani zbiralnik {artifactName} se ni izvedel."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Na strani ni bila prikazana nobena vsebina. Poskrbite, da bo okno brskalnika med nalaganjem v ospredju, in poskusite znova. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | notHtml":{message:"Prikazana stran ni v obliki HTML (prikazana je kot vrsta razširitve MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Ta različica Chroma je preveč stara, da bi podpirala »{featureName}«. Če si želite ogledati popolne rezultate, uporabite novejšo različico."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Orodje Lighthouse ni utegnilo zanesljivo naložiti zahtevane strani. Poskrbite, da preizkušate pravilen URL in da se strežnik ustrezno odziva na vse zahteve."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Orodje Lighthouse ni utegnilo zanesljivo naložiti zahtevanega URL-ja, ker se je stran nehala odzivati."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Navedeni URL nima veljavnega varnostnega potrdila. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome je preprečil nalaganje strani z vrinjenim zaslonom. Poskrbite, da preizkušate pravilen URL in da se strežnik ustrezno odziva na vse zahteve."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Orodje Lighthouse ni utegnilo zanesljivo naložiti zahtevane strani. Poskrbite, da preizkušate pravilen URL in da se strežnik ustrezno odziva na vse zahteve. (Podrobnosti: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Orodje Lighthouse ni utegnilo zanesljivo naložiti zahtevane strani. Poskrbite, da preizkušate pravilen URL in da se strežnik ustrezno odziva na vse zahteve. (Koda stanja: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Nalaganje strani je trajalo predolgo. Upoštevajte priložnosti v poročilu, da zmanjšate čas nalaganja strani, nato poskusite znova zagnati Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Čakanje na odziv protokola za DevTools je preseglo dodeljeni čas. (Metoda: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Trajanje pridobivanja vsebine sredstva je preseglo dodeljeni čas"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Videti je, da ste navedli neveljaven URL."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Vse"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Vsi skripti"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Pokritost"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Podvojeni moduli"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bajti sredstva"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Ime"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Preklop tabele"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Neuporabljeni bajti"},
"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Za animirano vsebino uporabite [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), da zmanjšate uporabo CPE-ja, ko vsebina ni na zaslonu."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Razmislite o tem, da bi vse komponente za [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) prikazali v oblikah zapisa WebP, pri tem pa določili ustrezno rezervno možnost za druge brskalnike. [Več o tem](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Poskrbite, da uporabljate oznake [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) za slike, ki se samodejno odloženo nalagajo. [Več o tem](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Za [postavitve upodabljanj AMP na strani strežnika](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) uporabite orodja, kot je [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Preberite [dokumentacijo za AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) in se prepričajte, da so podprti vsi slogi."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Komponenta [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) podpira atribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) za določanje, katera slikovna sredstva naj bodo uporabljena na podlagi velikosti zaslona. [Več o tem](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Če upodabljate zelo velike sezname, razmislite o uporabi navideznega drsenja s kompletom Component Dev Kit (CDK). [Preberite več o tem](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Uporabite [razdelitev kode na ravni poti](https://web.dev/route-level-code-splitting-in-angular/), da karseda zmanjšate velikost JavaScriptnih svežnjev. Razmislite tudi o vnaprejšnejm predpomnjenju sredstev [s procesom storitve Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Če uporabljate Angular CLI, poskrbite, da bodo delovne različice generirane v načinu za splošno razpoložljivost. [Preberite več o tem](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Če uporabljate Angular CLI, v gradnjo za splošno razpoložljivost vključite zemljevide izvorne kode za pregled svežnjev. [Več o tem](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Poti naložite vnaprej, da pospešite krmarjenje. [Preberite več o tem](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Razmislite o uporabi orodja `BreakpointObserver` v kompletu Component Dev Kit (CDK) za upravljanje prekinitvenih točk posnetka. [Preberite več o tem](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Razmislite o tem, da bi GIF naložili v storitev, prek katere bo na voljo za vdelavo kot videoposnetek v obliki HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Pri definiranju pisav po meri v temi določite `@font-display`."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Razmislite o tem, da bi namestili in konfigurirali [modul za uporabo oblik zapisov slik WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) na svojem spletnem mestu. Tovrstni moduli samodejno ustvarijo različico WebP naloženih slik in tako optimizirajo čase nalaganja."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Namestite [modul sistema Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), ki lahko uporablja odloženo nalaganje slik. Taki moduli omogočajo odlog nalaganja slik, ki niso na zaslonu, za večjo učinkovitost delovanja."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Razmislite o uporabi modula za vstavljanje kritičnega CSS-ja in JavaScripta ali potencialno asinhrono nalaganje elementov prek JavaScripta, kot je modul [Napredno združevanje za CSS/JS](https://www.drupal.org/project/advagg). Upoštevajte, da lahko optimizacije, ki jih ponuja ta modul, pokvarijo delovanje vašega spletnega mesta, zato boste verjetno morali spremeniti kodo."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Teme, moduli in strežniške specifikacije prispevajo k odzivnemu času strežnika. Razmislite o tem, da bi poiskali bolj optimizirano temo, skrbno izbrali optimizacijski modul in/ali nadgradili strežnik. Vaši gostiteljski strežniki bi morali izkoriščati predpomnjenje operativne kode, predpomnjenje pomnilnika za skrajšanje časa poizvedbe v zbirki podatkov (denimo programsko opremo Redis ali Memcached) ter tudi optimizirano logiko aplikacij za hitrejšo pripravo strani."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Razmislite o uporabi [slogov odzivnih slik](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) za zmanjšanje velikosti slik, naloženih na strani. Če za prikaz več vsebinskih elementov na strani uporabljate funkcijo Pogledi, razmislite o razdelitvi na več strani, da omejite število vsebinskih elementov, prikazanih na določeni strani."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Preverite, ali ste omogočili možnost »Združevanje datotek CSS« na strani »Skrbništvo » Konfiguracija » Razvoj«. V [dodatnih modulih](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) lahko konfigurirate tudi naprednejše možnosti združevanja ter tako s sestavljanjem, pomanjševanjem in stiskanjem slogov za CSS pospešite svoje spletno mesto."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Preverite, ali ste omogočili možnost »Združevanje datotek JavaScript« na strani »Skrbništvo » Konfiguracija » Razvoj«. V [dodatnih modulih](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) lahko konfigurirate tudi naprednejše možnosti združevanja ter tako s sestavljanjem, pomanjševanjem in stiskanjem elementov JavaScript pospešite svoje spletno mesto."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Razmislite o tem, da bi odstranili neuporabljena pravila za CSS in potrebne knjižnice sistema Drupal priložili samo ustrezni strani ali komponenti na strani. Za podrobnosti si oglejte [povezavo do dokumentacije za Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Če želite ugotoviti, katere priložene knjižnice dodajo zunanji CSS, poskušajte z orodji Chrome DevTools izvesti [preizkus pokritosti kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezno temo/modul lahko ugotovite na podlagi URL-ja datoteke s slogi, ko je združevanje za CSS onemogočeno na vašem spletnem mestu sistema Drupal. Bodite pozorni na teme/module, ki imajo na seznamu mnogo datotek s slogi, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Datoteka s slogi naj bo v čakalni vrsti teme/modula samo, če je dejansko uporabljena na strani."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Razmislite o tem, da bi odstranili neuporabljene elemente JavaScipt in potrebne knjižnice sistema Drupal priložili samo ustrezni strani ali komponenti na strani. Za podrobnosti si oglejte [povezavo do dokumentacije za Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Če želite ugotoviti, katere priložene knjižnice dodajo zunanji JavaScript, poskušajte z orodji Chrome DevTools izvesti [preizkus pokritosti kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezno temo/modul lahko ugotovite na podlagi URL-ja skripta, ko je združevanje za JavaScript onemogočeno na vašem spletnem mestu sistema Drupal. Bodite pozorni na teme/module, ki imajo na seznamu mnogo skriptov, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Skript naj bo v čakalni vrsti teme/modula samo, če je dejansko uporabljen na strani."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"Nastavite možnost »Najvišja starost predpomnilnika strežnika proxy in brskalnika« na strani »Skrbništvo » Konfiguracija » Razvoj«. Preberite več o [predpomnilniku sistema Drupal in optimiziranju za učinkovito delovanje](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Razmislite o uporabi [modula](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), ki samodejno optimizira in zmanjša velikost slik, naloženih prek spletnega mesta, hkrati pa ohrani kakovost. Preverite tudi, ali uporabljate izvorne [sloge odzivnih slik](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), ki jih zagotavlja sistem Drupal (na voljo v sistemu Drupal 8 in novejšem) za vse slike, upodobljene na spletnem mestu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Dodate lahko namige za vnaprejšnje vzpostavljanje povezave in za vire za vnaprejšnje nalaganje DNS, in sicer tako, da namestite in konfigurirate [modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), ki zagotavljajo sredstva za namige za vire uporabnikovega posrednika."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Preverite, ali uporabljate izvorne [sloge odzivnih slik](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), ki jih zagotavlja sistem Drupal (na voljo v sistemu Drupal 8 in novejšem). Sloge odzivnih slik uporabite pri upodabljanju slikovnih polj v načinih ogleda, ogledih ali slikah, naloženih prek urejevalnika WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Razmislite o tem, da bi GIF naložili v storitev, prek katere bo na voljo za vdelavo kot videoposnetek v obliki HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Razmislite o tem, da bi uporabili [vtičnik](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ali storitev, ki naložene slike samodejno pretvori v optimalne oblike."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Namestite [vtičnik za odloženo nalaganje za sistem Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading), ki omogoča odlog nalaganja slik, ki niso na zaslonu, ali preidite na predlogo, ki ponuja to funkcijo. Od različice sistema Joomla 4.0 naprej bodo vse nove slike [samodejno](https://github.com/joomla/joomla-cms/pull/30748) dobile atribut `loading` iz jedra."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Na voljo je več vtičnikov za program Joomla, ki vam lahko pomagajo [uvrstiti nujna sredstva](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ali [odložiti manj pomembna sredstva](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Upoštevajte, da lahko optimizacije, ki jih ponujajo ti vtičniki, pokvarijo delovanje funkcij vaših predlog ali vtičnikov, zato jih boste verjetno morali temeljito preizkusiti."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Predloge, razširitve in strežniške specifikacije prispevajo k odzivnemu času strežnika. Razmislite o tem, da bi poiskali bolj optimizirano predlogo, skrbno izbrali optimizacijsko razširitev in/ali nadgradili strežnik."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Razmislite o tem, da bi v kategorijah člankov prikazali izvlečke (npr. s povezavo »več o tem«), zmanjšali število člankov, prikazanih na posamezni strani, daljše objave razdelili na več strani ali uporabili vtičnik za odloženo nalaganje komentarjev."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Na voljo je več [razširitev za program Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), ki lahko s sestavljanjem, pomanjševanjem in stiskanjem slogov za CSS pospešijo vaše spletno mesto. Prav tako so na voljo predloge, ki zagotavljajo to funkcijo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"Na voljo je več [razširitev za program Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), ki lahko s sestavljanjem, pomanjševanjem in stiskanjem skriptov pospešijo vaše spletno mesto. Prav tako so na voljo predloge, ki zagotavljajo to funkcijo."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Razmislite o tem, da bi zmanjšali ali spremenili število [razširitev za program Joomla](https://extensions.joomla.org/), ki na vaši strani nalagajo neuporabljen CSS. Če želite ugotoviti, katere razširitve dodajo zunanji CSS, poskušajte z orodji Chrome DevTools izvesti [preizkus pokritosti kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezen vtičnik/temo lahko ugotovite na podlagi URL-ja datoteke s slogi. Bodite pozorni na vtičnike, ki imajo na seznamu mnogo datotek s slogi, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Datoteka s slogi naj bo v čakalni vrsti vtičnika samo, če je dejansko uporabljena na strani."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Razmislite o tem, da bi zmanjšali ali spremenili število [razširitev za program Joomla](https://extensions.joomla.org/), ki na vaši strani nalagajo neuporabljen JavaScript. Če želite ugotoviti, kateri vtičniki dodajo zunanji JS, poskušajte z orodji Chrome DevTools izvesti [preizkus pokritosti kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezno razširitev lahko ugotovite na podlagi URL-ja skripta. Bodite pozorni na razširitve, ki imajo na seznamu mnogo skriptov, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Skript naj bo v čakalni vrsti razširitve samo, če je dejansko uporabljen na strani."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Preberite o [predpomnjenju brskalnika v programu Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Razmislite o tem, da bi uporabili [vtičnik za optimizacijo slik](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), ki slike stisne, a ohrani kakovost."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Razmislite o tem, da bi uporabili [vtičnik za odzivne slike](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), ki omogoča uporabo odzivnih slik v vsebini."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Stiskanje besedila lahko omogočite tako, da omogočite stiskanje strani Gzip v programu Joomla (Sistem > Globalna konfiguracija > Strežnik)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Če JavaScriptnih sredstev ne boste združili v sveženj, razmislite o uporabi orodja [baler](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Onemogočite Magentovo vgrajeno [združevanje JavaScripta v svežnje in pomanjševanje](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ter razmislite, da bi namesto tega uporabili [baler](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Pri [definiranju pisav po meri](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html) določite `@font-display`."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Razmislite o tem, da na tržnici [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) poiščete različne razširitve drugih ponudnikov, s katerimi lahko izkoristite novejše oblike zapisa slik."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Razmislite o tem, da bi svoje predloge izdelkov in kataloga spremenili tako, da uporabljajo funkcijo spletne platforme za [»leno« nalaganje](https://web.dev/native-lazy-loading)."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Uporabite Magentovo [integracijo za Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"V nastavitvah za razvijalce v svoji trgovini omogočite možnost »Pomanjšaj datoteke CSS«. [Preberite več o tem](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Uporabite [Terser](https://www.npmjs.com/package/terser) za pomanjšanje vseh JavaScriptnih sredstev iz statičnega uvajanja vsebine ter onemogočite vgrajeno funkcijo za pomanjšanje."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Onemogočite Magentovo vgrajeno [združevanje JavaScripta v svežnje](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Razmislite o tem, da na tržnici [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) poiščete različne razširitve drugih ponudnikov za optimiziranje slik."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Dodate lahko namige za vnaprejšnje vzpostavljanje povezave in za vire za vnaprejšnje nalaganje DNS, in sicer tako, da [spremenite postavitev teme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Oznake `<link rel=preload>` lahko dodate tako, da [spremenite postavitev teme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"Za hitrejše nalaganje spletnih strani lahko [animirane slike GIF nadomestite z videoposnetki](https://web.dev/replace-gifs-with-videos/), razmislite pa tudi o uporabi sodobnih oblik datotek, kot je [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ali [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), da učinkovitost stiskanja izboljšate za več kot 30 % v primerjavi s trenutno najboljšim videokodekom VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Razmislite o uporabi [vtičnika](https://octobercms.com/plugins?search=image) ali storitve, ki naložene slike samodejno pretvori v optimalne oblike. [Slike WebP brez izgub](https://developers.google.com/speed/webp) so 26 % manjše od slik PNG in 25–34 % manjše od primerljivih slik JPEG pri enakovrednem indeksu kakovosti SSIM. Še ena sodobna oblika zapisa slike, o kateri je vredno razmisliti, je [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Razmislite o namestitvi [vtičnika za odloženo nalaganje](https://octobercms.com/plugins?search=lazy), ki omogoča odlog nalaganja slik, ki niso na zaslonu, ali preidite na temo, ki ponuja to funkcijo. Razmislite tudi o uporabi [vtičnika AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Na voljo so številni vtičniki, ki pomagajo [uvrstiti nujna sredstva](https://octobercms.com/plugins?search=css). Ti vtičniki lahko pokvarijo delovanje drugih vtičnikov, zato jih morate temeljito preizkusiti."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Teme, vtičniki in strežniške specifikacije prispevajo k odzivnemu času strežnika. Razmislite o tem, da bi poiskali bolj optimizirano temo, skrbno izbrali optimizacijski vtičnik in/ali nadgradili strežnik. Sistem za upravljanje vsebine October razvijalcem omogoča tudi uporabo elementa [`Queues`](https://octobercms.com/docs/services/queues), ki omogoča odlog obdelave zamudnega opravila, kot je pošiljanje e-pošte. To znatno pospeši spletne zahteve."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Razmislite o tem, da bi na seznamih objav prikazali izvlečke (npr. z gumbom `show more`), zmanjšali število objav, prikazanih na posamezni spletni strani, daljše objave razdelili na več spletnih strani ali uporabili vtičnik za odloženo nalaganje komentarjev."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Na voljo je več [vtičnikov](https://octobercms.com/plugins?search=css), ki lahko s spojitvijo, pomanjševanjem in stiskanjem slogov pospešijo spletno mesto. Razvoj je mogoče pospešiti z uporabo postopka gradnje, ki to pomanjševanje izvede vnaprej."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Na voljo je več [vtičnikov](https://octobercms.com/plugins?search=javascript), ki lahko s spojitvijo, pomanjševanjem in stiskanjem skriptov pospešijo spletno mesto. Razvoj je mogoče pospešiti z uporabo postopka gradnje, ki to pomanjševanje izvede vnaprej."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Razmislite o pregledu [vtičnikov](https://octobercms.com/plugins), ki na spletnem mestu nalagajo neuporabljen CSS. Če želite ugotoviti, kateri vtičniki dodajo nepotrebni CSS, z orodji za razvijalce v Chromu izvedite [preizkus pokritosti kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezno temo/vtičnik lahko ugotovite na podlagi URL-ja datoteke s slogi. Bodite pozorni na vtičnike z več datotekami s slogi, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Vtičnik naj doda datoteko s slogi samo, če je dejansko uporabljena na spletni strani."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Razmislite o pregledu [vtičnikov](https://octobercms.com/plugins?search=javascript), ki na spletni strani nalagajo neuporabljen JavaScript. Če želite ugotoviti, kateri vtičniki dodajo nepotrebni JavaScript, z orodji za razvijalce v Chromu izvedite [preizkus pokritosti kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezno temo/vtičnik lahko ugotovite na podlagi URL-ja skripta. Bodite pozorni na vtičnike z več skripti, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Vtičnik naj doda skript samo, če je dejansko uporabljen na spletni strani."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Preberite več o [preprečevanju nepotrebnih omrežnih zahtev s predpomnilnikom HTTP](https://web.dev/http-cache/#caching-checklist). Na voljo je več [vtičnikov](https://octobercms.com/plugins?search=Caching), s katerimi je mogoče pospešiti predpomnjenje."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Razmislite o uporabi [vtičnika za optimizacijo slik](https://octobercms.com/plugins?search=image), ki slike stisne, a ohrani kakovost."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Slike naložite neposredno v program za upravljanje predstavnosti in tako zagotovite, da so na voljo potrebne velikosti slik. Razmislite o uporabi [filtra za spreminjanje velikosti](https://octobercms.com/docs/markup/filter-resize) ali [vtičnika za spreminjanje velikosti slik](https://octobercms.com/plugins?search=image), da zagotovite uporabo optimalnih velikosti slik."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Omogočite stiskanje besedila v konfiguraciji spletnega strežnika."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Razmislite o uporabi knjižnice prikaza v oknu, kot je `react-window`, da zmanjšate število ustvarjenih vozlišč DOM, če na strani upodabljate več ponovljenih elementov. [Več o tem](https://web.dev/virtualize-long-lists-react-window/). Poleg tega zmanjšajte število nepotrebnih vnovičnih upodobitev z možnostmi [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ali [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) in [preskočite učinke](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), dokler se ne spremenijo samo določene odvisnosti, če uporabljate rutino `Effect` za izboljšanje učinkovitosti delovanja."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Če uporabljate React Router, karseda omejite uporabo komponente `<Redirect>` za[krmarjenje po poteh](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Če na strežniški strani upodabljate morebitne komponente React, razmislite o uporabi elementa `renderToNodeStream()` ali `renderToStaticNodeStream()`, da bi odjemalcu dovolili prejemanje in hidriranje različnih delov oznak, namesto vseh hkrati. [Preberite več o tem](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Če vaš sistem gradnje samodejno pomanjša datoteke CSS, se prepričajte, da uvajate gradnjo aplikacije za splošno razpoložljivost. To lahko preverite z razširitvijo React Developer Tools. [Več o tem](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Če vaš sistem gradnje samodejno pomanjša datoteke JS, se prepričajte, da uvajate gradnjo aplikacije za splošno razpoložljivost. To lahko preverite z razširitvijo React Developer Tools. [Več o tem](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Če ne upodabljate na strani strežnika, [razdelite JavaScriptne svežnje](https://web.dev/code-splitting-suspense/) z elementom `React.lazy()`. Kodo sicer razdelite s knjižnico drugega ponudnika, kot je [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Uporabite React DevTools Profiler, ki uporablja API za Profiler API, za merjenje učinkovitosti delovanja upodabljanja komponent. [Več o tem](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Razmislite o tem, da bi GIF naložili v storitev, prek katere bo na voljo za vdelavo kot videoposnetek v obliki HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Razmislite o tem, da bi uporabili [vtičnik](https://wordpress.org/plugins/search/convert+webp/) ali storitev, ki naložene slike samodejno pretvori v optimalne oblike."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Namestite [vtičnik za postopno nalaganje za WordPress](https://wordpress.org/plugins/search/lazy+load/) ki omogoča odlog nalaganja slik, ki niso na zaslonu, ali preidite na temo, ki ponuja to funkcijo. Razmislite tudi o uporabi [vtičnika AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Na voljo je več vtičnikov za WordPress, ki vam lahko pomagajo [uvrstiti nujna sredstva](https://wordpress.org/plugins/search/critical+css/) ali [odložiti manj pomembna sredstva](https://wordpress.org/plugins/search/defer+css+javascript/). Upoštevajte, da lahko optimizacije, ki jih ponujajo ti vtičniki, pokvarijo delovanje funkcij vaših tem ali vtičnikov, zato boste verjetno morali spremeniti kodo."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Teme, vtičniki in strežniške specifikacije prispevajo k odzivnemu času strežnika. Razmislite o tem, da bi poiskali bolj optimizirano temo, skrbno izbrali optimizacijski vtičnik in/ali nadgradili strežnik."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Razmislite o tem, da bi na seznamih objav prikazali izvlečke (npr. z oznako »more«), zmanjšali število objav, prikazanih na posamezni strani, daljše objave razdelili na več strani ali uporabili vtičnik za odloženo nalaganje komentarjev."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Na voljo je več [vtičnikov za WordPress](https://wordpress.org/plugins/search/minify+css/) ki lahko s sestavljanjem, pomanjševanjem in stiskanjem slogov pospešijo vaše spletno mesto. Po možnosti uporabite tudi postopek gradnje, ki to pomanjševanje izvede vnaprej."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Na voljo je več [vtičnikov za WordPress](https://wordpress.org/plugins/search/minify+javascript/), ki lahko s sestavljanjem, pomanjševanjem in stiskanjem slogov pospešijo vaše spletno mesto. Po možnosti uporabite tudi postopek gradnje, ki to pomanjševanje izvede vnaprej."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Razmislite o tem, da bi zmanjšali ali spremenili število [vtičnikov za WordPress](https://wordpress.org/plugins/), ki na vaši strani nalagajo neuporabljen CSS. Če želite ugotoviti, kateri vtičniki dodajo zunanji CSS, poskušajte z orodji Chrome DevTools izvesti [pokritost kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezen vtičnik/temo lahko ugotovite na podlagi URL-ja datoteke s slogi. Bodite pozorni na vtičnike, ki imajo na seznamu mnogo datotek s slogi, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Datoteka s slogi naj bo v čakalni vrsti vtičnika samo, če je dejansko uporabljena na strani."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Razmislite o tem, da bi zmanjšali ali spremenili število [vtičnikov za WordPress](https://wordpress.org/plugins/), ki na vaši strani nalagajo neuporabljen JavaScript. Če želite ugotoviti, kateri vtičniki dodajo zunanji JS, poskušajte z orodji Chrome DevTools izvesti [pokritost kode](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage). Ustrezen vtičnik/temo lahko ugotovite na podlagi URL-ja skripta. Bodite pozorni na vtičnike, ki imajo na seznamu mnogo skriptov, ki imajo v pokritosti kode veliko rdeče obarvanega območja. Skript naj bo v čakalni vrsti vtičnika samo, če je dejansko uporabljen na strani."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Preberite o [predpomnjenju brskalnika v WordPressu](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Razmislite o tem, da bi uporabili [vtičnik za optimizacijo slik za WordPress](https://wordpress.org/plugins/search/optimize+images/), ki slike stisne, a ohrani kakovost."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Slike naložite neposredno prek [predstavnostne knjižnice](https://wordpress.org/support/article/media-library-screen/) in tako zagotovite, da so na voljo potrebne velikosti slik. Nato jih vstavite iz predstavnostne knjižnice ali uporabite slikovni pripomoček, da zagotovite uporabo optimalnih velikosti slik (vključno s tistimi za odzivne prekinitvene točke). Izogibajte se slikam `Full Size`, razen če so mere primerne za njihovo uporabo. [Več o tem](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Stiskanje besedila lahko omogočite v konfiguraciji spletnega strežnika."},
"report/renderer/util.js | calculatorLink":{message:"Oglejte si kalkulator."},"report/renderer/util.js | crcInitialNavigation":{message:"Začetno krmarjenje"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Največja zakasnitev kritične poti:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopiraj JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Preklop temne teme"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Tiskanje razširjenega poročila"},"report/renderer/util.js | dropdownPrintSummary":{message:"Tiskanje povzetka"},"report/renderer/util.js | dropdownSaveGist":{message:"Shrani kot Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Shrani kot HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Shrani kot JSON"},"report/renderer/util.js | dropdownViewer":{message:"Odpri v pregledovalniku"},"report/renderer/util.js | errorLabel":{message:"Napaka"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Napaka sporočila: ni podatkov o pregledu"},"report/renderer/util.js | footerIssue":{message:"Prijavi težavo"},"report/renderer/util.js | labDataTitle":{message:"Laboratorijski podatki"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analiza orodja [Lighthouse](https://developers.google.com/web/tools/lighthouse/) trenutne strani v emuliranem mobilnem omrežju. Vrednosti so ocenjene in lahko odstopajo."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Dodatni elementi za ročno preverjanje"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Se ne uporablja"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Priložnost"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Ocenjeni prihranek"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Uspešni pregledi"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emulirano namizje"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulirana naprava Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Brez emulacije"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Različica knjižnice Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Zmogljivost CPE-ja/pomnilnika"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Zaviranje CPE-ja"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Naprava"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Čas pridobitve"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Omejevanje omrežja"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Nastavitve časa izvajanja"},"report/renderer/util.js | runtimeSettingsUA":{message:"Uporabnikov posrednik (gostitelj)"},"report/renderer/util.js | runtimeSettingsUANetwork":{
message:"Uporabnikov posrednik (omrežje)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Neznano"},"report/renderer/util.js | showRelevantAudits":{message:"Prikaz revizij, pomembnih za to:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Strni delček"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Razširi delček"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Prikaži sredstva drugih ponudnikov"},"report/renderer/util.js | throttlingProvided":{message:"Zagotavlja okolje"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Na to izvedbo storitve Lighthouse so vplivale težave:"},"report/renderer/util.js | varianceDisclaimer":{message:"Vrednosti so ocenjene in lahko odstopajo. [Rezultat uspešnosti se izračuna](https://web.dev/performance-scoring/) neposredno iz teh meritev."},"report/renderer/util.js | viewTreemapLabel":{message:"Ogled drevesnega zemljevida"
},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Pregledi so bili uspešno opravljeni, vendar z opozorili"},"report/renderer/util.js | warningHeader":{message:"Opozorila: "}}},{}],135:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Tasteri za pristup omogućavaju korisnicima da brzo fokusiraju deo stranice. Da bi navigacija radila ispravno, svaki taster za pristup mora da bude jedinstven. [Saznajte više](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Vrednosti za `[accesskey]` nisu jedinstvene"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Vrednosti za `[accesskey]` su jedinstvene"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Svaki ARIA element „`role`“ podržava određeni podskup atributa „`aria-*`“. Ako se ovi elementi ne podudaraju, atributi „`aria-*`“ će biti nevažeći. [Saznajte više](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Atributi `[aria-*]` se ne podudaraju sa svojim ulogama"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Atributi `[aria-*]` se podudaraju sa svojim ulogama"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Kada element nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Elementi `button`, `link` i `menuitem` nemaju nazive prilagođene funkcijama pristupačnosti."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Elementi `button`, `link` i `menuitem` imaju nazive prilagođene funkcijama pristupačnosti"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Tehnologije za pomoć osobama sa invaliditetom, poput čitača ekrana, ne rade dosledno kada se `aria-hidden="true"` podesi za `<body>` dokumenta. [Saznajte više](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Element `[aria-hidden="true"]` je prisutan za `<body>` dokumenta'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Element `[aria-hidden="true"]` nije prisutan za `<body>` dokumenta'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Elementi po opadajućem redosledu koji mogu da se fokusiraju u okviru elementa `[aria-hidden="true"]` sprečavaju te interaktivne elemente da budu dostupni korisnicima tehnologija za pomoć osobama sa invaliditetom, poput čitača ekrana. [Saznajte više](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Elementi `[aria-hidden="true"]` sadrže elemente po opadajućem redosledu koji mogu da se fokusiraju'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Elementi `[aria-hidden="true"]` ne obuhvataju elemente po opadajućem redosledu koji mogu da se fokusiraju'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Kada polje za unos nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."
},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA polja za unos nemaju nazive prilagođene funkciji pristupačnosti"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA polja za unos imaju nazive prilagođene funkciji pristupačnosti"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Kada element nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA elementi `meter` nemaju nazive prilagođene funkcijama pristupačnosti."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA elementi `meter` imaju nazive prilagođene funkcijama pristupačnosti"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Kada `progressbar` nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA elementi `progressbar` nemaju nazive prilagođene funkcijama pristupačnosti."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA elementi `progressbar` imaju nazive prilagođene funkcijama pristupačnosti"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Pojedine ARIA uloge imaju obavezne atribute koji status elementa opisuju čitačima ekrana. [Saznajte više](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{
message:"Uloge `[role]` nemaju sve obavezne atribute `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Uloge `[role]` imaju sve obavezne atribute `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Pojedine nadređene ARIA uloge moraju da obuhvataju određene podređene uloge da bi pravilno obavljale namenjene funkcije pristupačnosti. [Saznajte više](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Elementima sa ARIA ulogom `[role]` koji zahtevaju da podređeni elementi sadrže konkretni element `[role]` nedostaju neki ili svi ti potrebni podređeni elementi."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Elementi sa ARIA ulogom `[role]` koji zahtevaju da podređeni elementi sadrže konkretni element `[role]` imaju sve potrebne podređene elemente."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Pojedine podređene ARIA uloge moraju da budu obuhvaćene određenim nadređenim ulogama da bi pravilno obavljale namenjene funkcije pristupačnosti. [Saznajte više](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Uloge `[role]` nisu obuhvaćene svojim obaveznim nadređenim elementom"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Uloge `[role]` su obuhvaćene svojim obaveznim nadređenim elementom"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Vrednosti ARIA uloga moraju da budu važeće da bi pravilno obavljale namenjene funkcije pristupačnosti. [Saznajte više](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Vrednosti za `[role]` nisu važeće"},
"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Vrednosti za `[role]` su važeće"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Kada polje za prekidač nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA polja prekidača nemaju nazive prilagođene funkciji pristupačnosti"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA polja prekidača imaju nazive prilagođene funkciji pristupačnosti"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Kada element nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA elementi `tooltip` nemaju nazive prilagođene funkcijama pristupačnosti."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA elementi `tooltip` imaju nazive prilagođene funkcijama pristupačnosti"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Kada element nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju pomoću generičkog naziva, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"ARIA elementi `treeitem` nemaju nazive prilagođene funkcijama pristupačnosti."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA elementi `treeitem` imaju nazive prilagođene funkcijama pristupačnosti"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Tehnologije za pomoć osobama sa invaliditetom, poput čitača ekrana, ne mogu da interpretiraju ARIA atribute sa nevažećim vrednostima. [Saznajte više](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Vrednosti atributa `[aria-*]` nisu važeće"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Vrednosti atributa `[aria-*]` su važeće"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"Tehnologije za pomoć osobama sa invaliditetom, poput čitača ekrana, ne mogu da interpretiraju ARIA atribute sa nevažećim nazivima. [Saznajte više](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Atributi `[aria-*]` nisu važeći ili su pogrešno napisani"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Atributi `[aria-*]` su važeći i nisu pogrešno napisani"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Elementi koji nisu prošli proveru"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Kada dugme nema naziv prilagođen funkciji pristupačnosti, čitači ekrana ga najavljuju kao „dugme“, pa korisnici koji se oslanjaju na čitače ekrana ne mogu da ga koriste. [Saznajte više](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{
message:"Dugmad nema nazive prilagođene funkcijama pristupačnosti"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Dugmad ima nazive prilagođene funkcijama pristupačnosti"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Kada se dodaju načini za zaobilaženje sadržaja koji se ponavlja, korisnici tastature mogu efikasnije da se kreću po stranici. [Saznajte više](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Stranica ne obuhvata naslov, link za preskakanje niti region orijentira"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Stranica obuhvata naslov, link za preskakanje ili region orijentira"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Mnogi korisnici veoma teško čitaju tekst sa malim kontrastom ili uopšte ne mogu da ga čitaju. [Saznajte više](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Boje u pozadini i u prvom planu nemaju zadovoljavajući odnos kontrasta."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Boje u pozadini i u prvom planu imaju zadovoljavajući odnos kontrasta"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Kada liste definicija nisu pravilno označene, čitači ekrana mogu da pružaju zbunjujući ili netačan izlaz. [Saznajte više](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` ne sadrži samo pravilno poređane grupe `<dt>` i `<dd>`, elemente `<script>`, `<template>` ili `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` sadrži samo pravilno poređane grupe `<dt>` i `<dd>`, elemente `<script>`, `<template>` ili `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Stavke liste definicija (`<dt>` i `<dd>`) moraju da budu upakovane u nadređeni element`<dl>` da bi čitači ekrana mogli da ih pravilno čitaju. [Saznajte više](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Stavke liste definicija su upakovane u elemente `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Stavke liste definicija su upakovane u elemente`<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Naslov korisnicima čitača ekrana pruža pregled stranice, a korisnici pretraživača se na njega oslanjaju da bi utvrdili da li je stranica relevantna za njihovu pretragu. [Saznajte više](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokument nema element `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokument ima element `<title>`"},
"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Da biste se uverili da su vidljivi za tehnologije za pomoć osobama sa invaliditetom, svi elementi koji mogu da se fokusiraju moraju da imaju jedinstveni `id`. [Saznajte više](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Atributi `[id]` na aktivnim elementima koji mogu da se fokusiraju nisu jedinstveni"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Atributi `[id]` na aktivnim elementima koji mogu da se fokusiraju su jedinstveni"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Vrednost ARIA ID-a mora da bude jedinstvena da bi se sprečilo da tehnologije za pomoć osobama sa invaliditetom propuste druge instance. [Saznajte više](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{
message:"ARIA ID-ovi nisu jedinstveni"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ID-ovi su jedinstveni"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Tehnologije za pomoć osobama sa invaliditetom, poput čitača ekrana koji koriste prvu, poslednju ili sve oznake, mogu da čitaju polja obrasca sa više oznaka na način koji zbunjuje korisnike. [Saznajte više](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Polja obrasca imaju više oznaka"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Nijedno polje obrasca nema više oznaka"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Korisnici čitača ekrana očekuju od naslova okvira da im opišu sadržaj okvira. [Saznajte više](https://web.dev/frame-title/)."},
"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Elementi `<frame>` ili `<iframe>` nemaju naslov"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Elementi `<frame>` ili `<iframe>` imaju naslov"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Naslovi sa pravilnim redosledom koji ne preskaču nivoe prenose semantičku strukturu stranice, pa je čine lakšom za kretanje i razumevanje pri korišćenju tehnologija za pomoć osobama sa invaliditetom. [Saznajte više](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Elementi naslova se ne prikazuju opadajućim redosledom"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Elementi naslova se prikazuju opadajućim redosledom"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Ako za stranicu nije naveden atribut za jezik, čitač ekrana pretpostavlja da je stranica na podrazumevanom jeziku koji je korisnik odabrao tokom podešavanja čitača ekrana. Ako stranica zapravo nije na podrazumevanom jeziku, čitač ekrana možda neće pravilno čitati tekst sa stranice. [Saznajte više](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Element `<html>` nema atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Element `<html>` ima atribut `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Navođenjem važećeg koda [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) omogućava se da čitač ekrana pravilno čita tekst. [Saznajte više](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"Element `<html>` nema važeću vrednost za svoj atribut `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Element `<html>` ima važeću vrednost za svoj atribut `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Informativni elementi treba da sadrže kratki, opisni alternativni tekst. Dekorativni elementi mogu da se zanemare praznim atributom alt. [Saznajte više](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Elementi slike nemaju atribute `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Elementi slika imaju atribute `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Kada se slika koristi kao dugme `<input>`, navođenje alternativnog teksta može da pomogne korisnicima da razumeju svrhu dugmeta. [Saznajte više](https://web.dev/input-image-alt/)."},
"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Elementi `<input type="image">` ne sadrže tekst `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Elementi `<input type="image">` sadrže tekst `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Oznake omogućavaju da tehnologije za pomoć osobama sa invaliditetom, poput čitača ekrana, pravilno najavljuju kontrole obrazaca. [Saznajte više](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Elementi obrazaca nemaju povezane oznake"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Elementi obrazaca imaju povezane oznake"},"lighthouse-core/audits/accessibility/link-name.js | description":{
message:"Tekst linka (i alternativni tekst za slike kada se koristi za linkove) koji je prepoznatljiv, jedinstven i može da se fokusira olakšava kretanje za korisnike čitača ekrana. [Saznajte više](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Naziv linkova ne može da se prepozna"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Naziv linkova može da se prepozna"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Čitači ekrana čitaju liste na poseban način. Pravilna struktura liste olakšava razumevanje čitača ekrana. [Saznajte više](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Liste ne sadrže isključivo elemente `<li>` i elemente koji podržavaju skripte (`<script>` i`<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{
message:"Liste sadrže isključivo elemente `<li>` i elemente koji podržavaju skripte (`<script>` i `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Čitači ekrana zahtevaju da stavke liste (`<li>`) budu obuhvaćene nadređenim elementima `<ul>` ili `<ol>` da bi mogle da se pravilno čitaju. [Saznajte više](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Stavke liste (`<li>`) nisu obuhvaćene nadređenim elementima`<ul>` ili `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Stavke liste (`<li>`) su obuhvaćene nadređenim elementima `<ul>` ili `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Korisnici ne očekuju da se stranica automatski osvežava i time se fokus premešta na početak stranice. To može da frustira ili zbunjuje korisnike. [Saznajte više](https://web.dev/meta-refresh/)."},
"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Dokument koristi metaoznaku `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Dokument ne koristi metaoznaku `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Onemogućavanje zumiranja predstavlja problem za slabovide korisnike koji se oslanjaju na uvećavanje prikaza ekrana da bi mogli da vide sadržaj veb-stranice. [Saznajte više](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` se koristi u elementu `<meta name="viewport">` ili je vrednost atributa `[maximum-scale]` manja od 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` se ne koristi u elementu `<meta name="viewport">`, a vrednost atributa `[maximum-scale]` nije manja od 5.'},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Čitači ekrana ne mogu da prevode sadržaj koji nije tekst. Dodavanje alt teksta elementima `<object>` omogućava da čitači ekrana lakše prenesu značenje korisnicima. [Saznajte više](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Elementi `<object>` ne sadrže tekst `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Elementi `<object>` sadrže tekst `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Vrednost veća od 0 označava eksplicitno naručivanje navigacije. Iako je tehnički ispravno, to često frustrira korisnike koji se oslanjaju na tehnologije za pomoć osobama sa invaliditetom. [Saznajte više](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Neki elementi imaju vrednost za `[tabindex]` koja je veća od 0"},
"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Vrednost nijednog elementa `[tabindex]` nije veća od 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Čitači ekrana imaju funkcije koje olakšavaju kretanje kroz tabele. Ako se pobrinete da se ćelije `<td>` koje koriste atribut `[headers]` odnose samo na druge ćelije u istoj tabeli, možete da poboljšate doživljaj za korisnike čitača ekrana. [Saznajte više](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Ćelije u elementu `<table>` koje koriste atribut `[headers]` odnose se na element `id` koji se ne nalazi u istoj tabeli."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Ćelije u elementu `<table>` koje koriste atribut `[headers]` odnose se na ćelije tabele u istoj tabeli."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Čitači ekrana imaju funkcije koje olakšavaju kretanje kroz tabele. Ako se pobrinete da se naslovi tabela uvek odnose na neku grupu ćelija, možete da poboljšate doživljaj za korisnike čitača ekrana. [Saznajte više](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Elementi `<th>` i elementi sa atributom`[role="columnheader"/"rowheader"]` nemaju ćelije sa podacima koje opisuju.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Elementi `<th>` i elementi sa atributom `[role="columnheader"/"rowheader"]` imaju ćelije sa podacima koje opisuju.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Navođenjem važećeg koda [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) u elementima omogućava se da čitač ekrana pravilno čita tekst. [Saznajte više](https://web.dev/valid-lang/)."},
"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Vrednost atributa `[lang]` nije važeća"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Atributi `[lang]` imaju važeću vrednost"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Kada je dostupan titl za video, gluvi korisnici i oni sa oštećenjem sluha lakše mogu da pristupaju informacijama koje video obuhvata. [Saznajte više](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Elementi `<video>` ne obuhvataju element `<track>` sa atributom `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Elementi `<video>` sadrže element `<track>` sa atributom `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"Da bi izgled na iOS-u bio idealan kada korisnici dodaju progresivnu veb-aplikaciju na početni ekran, definišite ikonu `apple-touch-icon`. Ona mora da usmerava na netransparentni kvadratni PNG od 192 piksela (ili 180 piksela). [Saznajte više](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Ne pruža važeći atribut `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Atribut `apple-touch-icon-precomposed` je zastareo; preporučuje se `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Pruža važeći atribut `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Aktuelna vrednost"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Predloženi token"},"lighthouse-core/audits/autocomplete.js | description":{
message:"`autocomplete` pomaže korisnicima da brže šalju obrasce. Da bi korisnicima bilo lakše, ne bi bilo loše da podesite atribut `autocomplete` na važeću vrednost i time omogućite ovu stavku. [Saznajte više](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Elementi `<input>` nemaju ispravne atribute `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Zahteva ručni pregled"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Pregledajte redosled tokena"},"lighthouse-core/audits/autocomplete.js | title":{message:"Elementi `<input>` ispravno koriste `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Tokeni za `autocomplete`: „{token}“ nije važeći za {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{
message:"Pregledajte redosled tokena: „{tokens}“ u elementu {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Dodaci za Chrome su negativno uticali na brzinu učitavanja ove stranice. Probajte da proverite stranicu u režimu bez arhiviranja ili sa Chrome profila bez dodataka."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Procena skripta"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Raščlanjivanje skripta"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Ukupno CPU vreme"},"lighthouse-core/audits/bootup-time.js | description":{message:"Preporučujemo vam da smanjite vreme potrebno za raščlanjivanje, kompajliranje i izvršavanje JS datoteka. Prikazivanje manjih JS resursa će vam možda pomoći u tome. [Saznajte više](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Smanjite vreme izvršavanja JavaScript datoteka"},
"lighthouse-core/audits/bootup-time.js | title":{message:"Vreme izvršavanja JavaScript-a"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Uklonite velike, duplirane JavaScript module iz paketa da biste smanjili nepotrebnu potrošnju podataka tokom mrežnih aktivnosti. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Uklonite duplirane module iz JavaScript paketa"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Veliki GIF-ovi nisu korisni za prikazivanje animiranog sadržaja. Preporučujemo vam da umesto GIF-ova koristite MPEG4/WebM video snimke za animacije i PNG/WebP za statične slike da biste uštedeli mrežne podatke. [Saznajte više](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Koristite video formate za animirani sadržaj"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polifili i transformacije omogućavaju da stare verzije pregledača koriste nove funkcije JavaScript-a. Međutim, mnogi nisu neophodni za moderne pregledače. Za JavaScript pakete koristite modernu strategiju primene skripte pomoću otkrivanja funkcija modulom/bez modula da biste smanjili količinu koda koji se šalje modernim pregledačima, pritom zadržavajući podršku za stare verzije pregledača. [Saznajte više](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Izbegavajte prikazivanje zastarelog JavaScript-a modernim pregledačima"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Formati slika kao što su JPEG 2000, JPEG XR i WebP često pružaju bolju kompresiju nego PNG ili JPEG, što podrazumeva brža preuzimanja i manju potrošnju podataka. [Saznajte više](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Prikazujte slike u formatima sledeće generacije"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Preporučujemo vam da odložite učitavanje slika van ekrana i skrivenih slika dok se svi veoma važni resursi ne učitaju kako biste smanjili vreme do početka interakcije. [Saznajte više](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Odložite slike van ekrana"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Resursi blokiraju prvo prikazivanje stranice. Preporučujemo vam da prikazujete sve važne JS/CSS datoteke u tekstu i da odložite sve JS datoteke/stilove koji nisu toliko važni. [Saznajte više](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Eliminišite resurse koji blokiraju prikazivanje"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Velike mrežne resurse korisnici moraju da plate stvarnim novcem i oni su veoma povezani sa dugim vremenima učitavanja. [Saznajte više](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Ukupna veličina je bila {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Izbegavajte ogromne mrežne resurse"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Izbegava ogromne mrežne resurse"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Umanjivanjem CSS datoteka možete da smanjite veličine mrežnih resursa. [Saznajte više](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Umanjite CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Umanjivanje JavaScript datoteka može da smanji veličine resursa i vreme raščlanjivanja skripta. [Saznajte više](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Umanjite JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Smanjite nekorišćena pravila iz opisa stilova i odložite CSS koji se ne koristi za sadržaj iznad preloma da biste smanjili potrošnju bajtova tokom mrežnih aktivnosti. [Saznajte više](https://web.dev/unused-css-rules/)."},
"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Smanjite nekorišćeni CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Smanjite nekorišćeni JavaScript i odložite učitavanje skripti dok ne budu potrebne da biste smanjili potrošnju bajtova tokom mrežnih aktivnosti. [Saznajte više](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Smanjite nekorišćeni JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Dugo trajanje keša može da ubrza ponovne posete stranici. [Saznajte više](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je 1 resurs}one{Pronađen je # resurs}few{Pronađena su # resursa}other{Pronađeno je # resursa}}"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Prikazujte statične elemente sa efikasnim smernicama keša"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Koristi efikasne smernice keša na statičnim elementima"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimizovane slike se učitavaju brže i troše manje mobilnih podataka. [Saznajte više](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Efikasno kodirajte slike"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Prikazujte slike odgovarajuće veličine da biste uštedeli mobilne podatke i poboljšali vreme učitavanja. [Saznajte više](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Odredite odgovarajuću veličinu slika"},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Resurse zasnovane na tekstu treba da prikazujete u komprimovanom formatu (gzip, deflate ili brotli) da biste smanjili ukupnu količinu potrošenih mrežnih podataka. [Saznajte više](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Omogućite kompresiju teksta"},"lighthouse-core/audits/content-width.js | description":{message:"Ako se širina sadržaja aplikacije ne podudara sa širinom oblasti prikaza, aplikacija možda nije optimizovana za ekrane na mobilnim uređajima. [Saznajte više](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Veličina oblasti prikaza od {innerWidth} piksela se ne podudara sa veličinom prozora od {outerWidth} piksela."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Sadržaj nije odgovarajuće veličine za oblast prikaza"},
"lighthouse-core/audits/content-width.js | title":{message:"Sadržaj je odgovarajuće veličine za oblast prikaza"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Lanci veoma važnih zahteva u nastavku vam prikazuju koji resursi se učitavaju sa visokim prioritetom. Preporučujemo vam da smanjite dužinu lanaca, da smanjite veličinu preuzimanja za resurse ili da odložite preuzimanje resursa koji nisu neophodni radi bržeg učitavanja stranice. [Saznajte više](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je 1 lanac}one{Pronađen je # lanac}few{Pronađena su # lanca}other{Pronađeno je # lanaca}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Izbegavajte pravljenje lanaca kritičnih zahteva"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiva"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Ozbiljnost"
},"lighthouse-core/audits/csp-xss.js | description":{message:"Snažne smernice za bezbednost sadržaja znatno smanjuju rizik od napada skriptovanjem dinamički generisanih veb-stranica. [Saznajte više](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Sintaksa"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Stranica sadrži CSP definisan u <meta> oznaci. Savetujemo vam da definišete CSP u HTTP zaglavlju ako možete."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Nije pronađen nijedan CSP u režimu primene"},"lighthouse-core/audits/csp-xss.js | title":{message:"Uverite se da je CSP efikasan u borbi protiv XSS napada"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Zastarelo/upozorenje"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Red"},"lighthouse-core/audits/deprecations.js | description":{
message:"Zastareli API-ji će na kraju biti uklonjeni iz pregledača. [Saznajte više](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Otkriveno je 1 upozorenje}one{Otkriveno je # upozorenje}few{Otkrivena su # upozorenja}other{Otkriveno je # upozorenja}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Koristi zastarele API-je"},"lighthouse-core/audits/deprecations.js | title":{message:"Izbegava zastarele API-je"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Keš aplikacije je zastareo. [Saznajte više](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Pronađeno je „{AppCacheManifest}“"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Koristi keš aplikacije"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"Izbegava keš aplikacije"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Utvrđivanje kodiranja znakova je obavezno. To može da se uradi pomoću oznake `<meta>` u prva 1024 bajta HTML-a ili u HTTP zaglavlju odgovora Content-Type. [Saznajte više](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Charset nije utvrđen ili se utvrđuje prekasno u HTML-u"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Pravilno definisan charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Navođenjem doctype-a sprečava se prelazak na arhajski režim pregledača. [Saznajte više](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Naziv za doctype mora da bude string napisan malim slovima `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokument mora da sadrži doctype"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"Očekivani publicId će biti prazan string"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Očekivani systemId će biti prazan string"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Stranici nedostaje HTML doctype, pa se aktivira arhajski režim"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Stranica ima HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Statistika"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Vrednost"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Veliki DOM će povećati potrošnju memorije, izazvati duža [izračunavanja stilova](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) i dovesti do skupih [preoblikovanja izgleda](https://developers.google.com/speed/articles/reflow). [Saznajte više](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}one{# element}few{# elementa}other{# elemenata}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Izbegavajte preveliku veličinu DOM-a"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksimalna dubina DOM-a"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Ukupan broj DOM elemenata"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksimalan broj podređenih elemenata"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Izbegava preveliku veličinu DOM-a"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Sidra koja nisu prošla proveru"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Dodajte `rel="noopener"` ili`rel="noreferrer"` svim spoljnim linkovima da biste poboljšali učinak i sprečili bezbednosne propuste. [Saznajte više](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Linkovi do odredišta iz drugih izvora nisu bezbedni"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Linkovi do odredišta iz drugih izvora su bezbedni"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Nije moguće odrediti odredište za tekst linka ({anchorHTML}). Ako se ne koristi kao hiperlink, preporučujemo vam da uklonite target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Korisnici nemaju poverenja u sajtove koji traže njihovu lokaciju bez konteksta ili ih takvi sajtovi zbunjuju. Preporučujemo vam da umesto toga povežete zahtev sa radnjom koju obavlja korisnik. [Saznajte više](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Traži dozvolu za geolociranje pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Izbegavajte traženje dozvole za geolociranje pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Tip problema"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Problemi evidentirani u oknu `Issues` u Chrome alatkama za programere ukazuju na nerešene probleme. Oni mogu da budu rezultat neuspelih mrežnih zahteva, nedovoljnih bezbednosnih kontrola i drugih problema u vezi sa pregledačem. Otvorite okno Problemi u Chrome alatkama za programere da biste pronašli više detalja o svakom problemu."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Problemi su evidentirani u oknu `Issues` u Chrome alatkama za programere"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blokiraju smernice za zahteve iz drugih izvora"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Oglasi koriste mnogo resursa"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Nema problema u oknu `Issues` u Chrome alatkama za programere"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Verzija"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Sve korisničke JavaScript biblioteke otkrivene na ovoj stranici. [Saznajte više](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Otkrivene su JavaScript biblioteke"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Ako korisnici imaju spore veze, spoljne skripte koje se dinamički ubacuju pomoću atributa `document.write()` mogu da odlože učitavanje stranice za desetine sekundi. [Saznajte više](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Izbegnite `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Izbegava atribut `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Najviši nivo ozbiljnosti"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Verzija biblioteke"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Broj propusta"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Neke nezavisne skripte mogu da obuhvataju poznate bezbednosne propuste koje napadači mogu lako da prepoznaju i iskoriste. [Saznajte više](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Otkriven je 1 propust}one{Otkriven je # propust}few{Otkrivena su # propusta}other{Otkriveno je # propusta}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Obuhvata korisničke JavaScript datoteke sa poznatim bezbednosnim propustima"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Izbegava korisničke JavaScript datoteke sa poznatim bezbednosnim propustima"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Korisnici nemaju poverenja u sajtove koji traže dozvolu za slanje obaveštenja bez konteksta ili ih takvi sajtovi zbunjuju. Preporučujemo vam da umesto toga povežete zahtev sa pokretima korisnika. [Saznajte više](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Traži dozvolu za obaveštenja pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Izbegavajte traženje dozvole za obaveštenja pri učitavanju stranice"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Sprečavanje lepljenja lozinke narušava dobre smernice za bezbednost. [Saznajte više](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Sprečava korisnike da nalepe vrednost u polja za lozinke"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Dozvoljava korisnicima da nalepe vrednost u polja za lozinke"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ima brojne prednosti u odnosu na HTTP/1.1, uključujući binarna zaglavlja i multipleksiranje. [Saznajte više](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 zahtev nije isporučen preko protokola HTTP/2}one{# zahtev nije isporučen preko protokola HTTP/2}few{# zahteva nisu isporučena preko protokola HTTP/2}other{# zahteva nije isporučeno preko protokola HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{
message:"Koristite HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Preporučujemo vam da pasivne obrađivače događaja označite kao `passive` da biste poboljšali rezultate pomeranja. [Saznajte više](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Ne koristite pasivne obrađivače da biste poboljšali učinak pomeranja"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Koristite pasivne obrađivače da biste poboljšali učinak pomeranja"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Greške evidentirane u konzoli ukazuju na nerešene probleme. One su rezultat neuspelih mrežnih zahteva i drugih problema u vezi sa pregledačem. [Saznajte više](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{
message:"Greške pregledača su evidentirane u konzoli"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Nijedna greška pregledača nije evidentirana u konzoli"},"lighthouse-core/audits/font-display.js | description":{message:"Iskoristite CSS funkciju za prikaz fontova da biste bili sigurni da korisnik može da vidi tekst dok se veb-fontovi učitavaju. [Saznajte više](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Pobrinite se da tekst ostane vidljiv tokom učitavanja veb-fontova"},"lighthouse-core/audits/font-display.js | title":{message:"Sav tekst ostaje vidljiv tokom učitavanja veb-fontova"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse nije uspeo da automatski proveri vrednost `font-display` za polazni URL {fontOrigin}.}one{Lighthouse nije uspeo da automatski proveri `font-display` vrednosti za polazni URL {fontOrigin}.}few{Lighthouse nije uspeo da automatski proveri `font-display` vrednosti za polazni URL {fontOrigin}.}other{Lighthouse nije uspeo da automatski proveri `font-display` vrednosti za polazni URL {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Razmera (stvarna)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Razmera (prikazana)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Dimenzije prikaza slike treba da se podudaraju sa prirodnom razmerom. [Saznajte više](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Prikazuje slike sa pogrešnom razmerom"},
"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Prikazuje slike sa tačnom razmerom"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Stvarna veličina"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Prikazana veličina"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Očekivana veličina"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Prirodne dimenzije slike treba da budu proporcionalne razmeri veličine ekrana i piksela da bi slike bile što jasnije. [Saznajte više](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Prikazuje slike sa niskom rezolucijom"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Prikazuje slike sa odgovarajućom rezolucijom"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Aplikacija je već instalirana"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Preuzimanje obavezne ikone iz manifesta nije uspelo"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Razlog neuspeha"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Serviser je tehnologija koja omogućava aplikaciji da koristi mnoge funkcije progresivnih veb-aplikacija, poput oflajn rada, dodavanja na početni ekran i iskačućih obaveštenja. Uz odgovarajuće primene servisera i manifesta pregledači mogu proaktivno da traže od korisnika da dodaju aplikaciju na početni ekran, što može da dovede do većeg angažovanja. [Saznajte više](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 razlog}one{# razlog}few{# razloga}other{# razloga}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Manifest veb-aplikacije ili serviser ne zadovoljava uslove za instaliranje"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL aplikacije u Play prodavnici i ID u Play prodavnici se ne podudaraju"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Stranica se učitava u prozoru bez arhiviranja"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Svojstvo „display“ u manifestu mora da bude „standalone“, „fullscreen“ ili „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifest sadrži polje „display_override“, a prvi podržani način prikazivanja mora da bude „standalone“, „fullscreen“ ili „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Preuzimanje ili raščlanjivanje manifesta nije uspelo ili je on prazan"},
"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"URL manifesta je promenjen tokom preuzimanja manifesta."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifest ne sadrži polje „name“ ili „short_name“"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Manifest ne sadrži odgovarajuću ikonu – obavezan je PNG, SVG ili WebP format koji ima najmanje {value0} piksela, atribut za veličine mora da bude podešen, a atribut za svrhu, ako je podešen, mora da obuhvata „Bilo koji“."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Nijedna od navedenih ikona nije u obliku kvadrata od najmanje {value0} piksela u PNG, SVG ili WebP formatu, sa atributom svrhe koji nije podešen ili je podešen na „Bilo koji“"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Preuzeta ikona je bila prazna ili oštećena"},
"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Nije naveden ID u Play prodavnici"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Stranica ne sadrži <link> URL manifesta"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Nije otkriven nijedan odgovarajući serviser. Možda ćete morati ponovo da učitate stranicu ili da proverite da li opseg servisera za aktuelnu stranicu obuhvata opseg i početni URL iz manifesta."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Provera servisera bez polja „start_url“ u manifestu nije uspela"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ID greške u vezi sa mogućnošću instaliranja „{errorId}“ nije prepoznat"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Stranica se ne prikazuje iz bezbednog izvora"},
"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Stranica se ne učitava u glavnom okviru"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Stranica ne radi oflajn"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Navedena platforma za aplikacije nije podržana na Android-u"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest navodi prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Stavka prefer_related_applications je podržana samo u Chrome-u beta i na Stabilnim kanalima na Android-u."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Početni URL manifesta nije važeći"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Manifest veb-aplikacije i serviser zadovoljavaju uslove za instaliranje"},
"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL u manifestu sadrži korisničko ime, lozinku ili port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Stranica ne radi oflajn. Smatraće se da stranica ne može da se instalira posle Chrome-a 93, čija stabilna verzija izlazi u avgustu 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Dozvoljen"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blokiran"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Nebezbedan URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Razrešenje zahteva"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Svi sajtovi treba da budu zaštićeni HTTPS-om, čak i oni koji ne obrađuju osetljive podatke. To obuhvata izbegavanje [mešovitog sadržaja](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), odnosno učitavanje nekih resursa preko HTTP-a iako se početni zahtev prikazuje preko HTTPS-a. HTTPS sprečava uljeze da neovlašćeno pristupaju komunikaciji između aplikacije i korisnika ili da je pasivno slušaju. On je preduslov za HTTP/2 i API-je brojnih novih veb-platformi. [Saznajte više](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je 1 nebezbedan zahtev}one{Pronađen je # nebezbedan zahtev}few{Pronađena su # nebezbedna zahteva}other{Pronađeno je # nebezbednih zahteva}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Ne koristi HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Koristi HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Automatski nadograđen na HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Dozvoljen uz upozorenje"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Biblioteka"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Velike JavaScript biblioteke mogu da dovedu do lošeg učinka. Koristite manje, funkcionalno ekvivalentne biblioteke da biste smanjili veličinu paketa. [Saznajte više](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Pronađena je 1 velika biblioteka}one{Pronađena je # velika biblioteka}few{Pronađene su # velike biblioteke}other{Pronađeno je # velikih biblioteka}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Zamenite nepotrebno velike JavaScript biblioteke"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Izbegava velike JavaScript biblioteke za koje postoje manje alternative"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Ovo je najveći element sadržaja koji je prikazan u oblasti prikaza. [Saznajte više](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element sa najvećim prikazivanjem sadržaja"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS doprinos"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ovi DOM elementi najviše doprinose CLS-u stranice."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Izbegavajte velike promene rasporeda"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Navodi najduže zadatke u glavnoj niti, što je korisno za identifikovanje onih koji najviše doprinose kašnjenju prikaza. [Saznajte više](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je # dugi zadatak}one{Pronađen je # dugi zadatak}few{Pronađena su # duga zadatka}other{Pronađeno je # dugih zadataka}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Izbegavajte duge zadatke u glavnoj niti"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategorija"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Preporučujemo vam da smanjite vreme potrebno za raščlanjivanje, kompajliranje i izvršavanje JS datoteka. Prikazivanje manjih JS resursa će vam možda pomoći u tome. [Saznajte više](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{
message:"Smanjite rad glavne niti"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Smanjuje rad glavne niti"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Da bi imali što više korisnika, sajtovi treba da rade u svim značajnijim pregledačima. [Saznajte više](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Sajt radi u različitim veb-pregledačima"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Uverite se da do pojedinačnih stranica vode precizni linkovi preko URL-ova i da su URL-ovi jedinstveni u svrhu deljenja na društvenim medijima. [Saznajte više](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Svaka stranica ima URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Korisnici treba da imaju utisak da su prelazi brzi dok dodiruju stavke, čak i na sporoj mreži. Ovaj doživljaj je ključan za utisak koji će korisnik imati o učinku. [Saznajte više](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Prelasci sa stranice na stranicu ne deluju kao da se blokiraju zbog mreže"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Ikona koja može da se maskira omogućava da slika prekrije ceo oblik bez vodoravnog oivičenja kada se aplikacija instalira na uređaju. [Saznajte više](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest ne sadrži ikonu koja može da se maskira"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest sadrži ikonu koja može da se maskira"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Kumulativni pomak sadržaja stranice meri kretanje vidljivih elemenata unutar oblasti prikaza. [Saznajte više](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Prvo prikazivanje sadržaja označava vreme kada se prikazuju prvi tekst ili slika. [Saznajte više](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Prvo značajno prikazivanje označava vreme kada primarni sadržaj stranice postaje vidljiv. [Saznajte više](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Vreme do interakcije je količina vremena koja je potrebna da bi stranica postala potpuno interaktivna. [Saznajte više](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Najveće prikazivanje sadržaja označava trenutak u kojem se prikazuju najveći tekst ili slika. [Saznajte više](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Maksimalno potencijalno kašnjenje prvog prikaza koje može da se desi korisnicima je trajanje najdužeg zadatka. [Saznajte više](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Indeks brzine prikazuje koliko brzo sadržaj stranice postaje vidljiv za korisnike. [Saznajte više](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Zbir svih perioda između FCP-a i vremena do početka interakcije, kada zadatak traje duže od 50 ms, izraženo u milisekundama. [Saznajte više](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Trajanja povratnog puta (RTT) mreže znatno utiču na učinak. Ako je trajanje povratnog puta do početne lokacije veliko, to znači da bi serveri koji su bliži korisniku mogli da poboljšaju učinak. [Saznajte više](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Trajanja povratnog puta mreže"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Kašnjenja servera mogu da utiču na učinak veba. Ako je kašnjenje servera za početnu lokaciju veliko, to znači da je server preopterećen ili da ima slab pozadinski učinak. [Saznajte više](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Pozadinska kašnjenja servera"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Događaj `unload` se ne pokreće pouzdano i ako se on obrađuje, to može da spreči optimizacije pregledača poput keša za kretanje unazad i unapred. Predlažemo vam da koristite događaje `pagehide` ili `visibilitychange` umesto njega. [Saznajte više](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registruje obrađivača događaja `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Izbegava obrađivače događaja `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animacije koje nisu kompozitne mogu da budu problematične i da povećavaju kumulativni pomak sadržaja stranice. [Saznajte više](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Pronađen je # animiran element}one{Pronađen je # animiran element}few{Pronađena su # animirana elementa}other{Pronađeno je # animiranih elemenata}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Svojstvo koje se odnosi na filtere može da pomera piksele"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Cilj ima drugu animaciju koja je nekompatibilna"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Efekat ima kompozitni režim koji nije „replace“"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Izbegavajte animacije koje nisu kompozitne"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Svojstvo vezano za transformaciju zavisi od veličine okvira"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Nepodržano CSS svojstvo: {properties}}one{Nepodržana CSS svojstva: {properties}}few{Nepodržana CSS svojstva: {properties}}other{Nepodržana CSS svojstva: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Efekat ima nepodržane parametre vremena"},"lighthouse-core/audits/performance-budget.js | description":{message:"Zahteve za količinu i veličinu mreže održavajte ispod granica određenih ciljevima za učinak. [Saznajte više](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 zahtev}one{# zahtev}few{# zahteva}other{# zahteva}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Cilj za učinak"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Predučitajte `optional` fontove da bi novi posetioci mogli da ih koriste. [Saznajte više](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Fontovi koji koriste `font-display: optional` nisu predučitani"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Fontovi koji koriste `font-display: optional` su predučitani"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Predučitajte sliku koju koristi element sa najvećim prikazivanjem sadržaja da biste smanjili vreme za najveće prikazivanje sadržaja. [Saznajte više](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Predučitajte sliku sa najvećim prikazivanjem sadržaja"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Ako ste već podesili HTTPS, uverite se da preusmeravate sav HTTP saobraćaj na HTTPS da biste omogućili bezbedne veb-funkcije za sve korisnike. [Saznajte više](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Ne preusmerava HTTP saobraćaj na HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Preusmerava HTTP saobraćaj na HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Preusmeravanja dovode do dodatnih kašnjenja pre učitavanja stranice. [Saznajte više](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Izbegavajte višestruka preusmeravanja stranice"},"lighthouse-core/audits/resource-summary.js | description":{message:"Da biste podesili ciljeve za količinu i veličinu resursa stranice, dodajte datoteku budget.json file. [Saznajte više](https://web.dev/use-lighthouse-for-performance-budgets/)."},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 zahtev • {byteCount, number, bytes} KiB}one{# zahtev • {byteCount, number, bytes} KiB}few{# zahteva • {byteCount, number, bytes} KiB}other{# zahteva • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Omogući da broj zahteva i veličine prenosa budu mali"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanonički linkovi predlažu koji URL treba da se prikaže u rezultatima pretrage. [Saznajte više](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Više neusaglašenih URL-ova ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Usmerava ka drugom domenu ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Nevažeći URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{
message:"Usmerava na drugu `hreflang` lokaciju ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Relativni URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Usmerava na osnovni URL domena (početnu stranicu), umesto ekvivalentne stranice sadržaja"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokument nema važeću vrednost `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokument ima važeći atribut `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Link koji ne može da se popiše"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Pretraživači mogu da koriste `href` atribute na linkovima za popisivanje veb-sajtova. Uverite se da `href` atribut elemenata sidra vodi na odgovarajuće odredište kako bi više stranica sa sajta moglo da se otkrije. [Saznajte više](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Linkovi ne mogu da se popišu"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Linkovi mogu da se popišu"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Dodatan nečitljiv tekst"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Veličina fonta"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Procenat teksta na stranici"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Birač"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Veličine fontova ispod 12 piksela su premale da bi bile čitljive i zbog njih korisnici na mobilnim uređajima moraju da „zumiraju prstima“ kako bi mogli da čitaju sadržaj. Potrudite se da >60% teksta stranice bude ≥12 piksela. [Saznajte više](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} čitljivog teksta"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Tekst nije čitljiv jer ne postoji metaoznaka oblasti prikaza koja je optimizovana za ekrane na mobilnim uređajima."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokument ne koristi čitljive veličine fontova"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Čitljiv tekst"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokument koristi čitljive veličine fontova"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Linkovi hreflang obaveštavaju pretraživače koju verziju stranice treba da navedu u rezultatima pretrage za dati jezik ili region. [Saznajte više](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokument nema važeći atribut `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativna href vrednost"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokument ima važeći atribut `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Neočekivani kôd jezika"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Stranice sa neuspešnim HTTP kodovima statusa možda neće biti pravilno indeksirane. [Saznajte više](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Stranica ima neuspešan HTTP kôd statusa"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Stranica ima uspešan HTTP kôd statusa"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Pretraživači ne mogu da uvrste stranice u rezultate pretrage ako nemaju dozvolu da ih popisuju. [Saznajte više](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Indeksiranje stranice je blokirano"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Indeksiranje stranice nije blokirano"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Opisni tekst u linkovima pomaže pretraživačima da razumeju sadržaj. [Saznajte više](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Pronađen je 1 link}one{Pronađen je # link}few{Pronađena su # linka}other{Pronađeno je # linkova}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Linkovi nemaju opisni tekst"},"lighthouse-core/audits/seo/link-text.js | title":{
message:"Linkovi imaju opisni tekst"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Pokrenite [alatku za testiranje strukturiranih podataka](https://search.google.com/structured-data/testing-tool/) i [alatku za analiziranje strukturiranih podataka](http://linter.structured-data.org/) da biste procenili strukturirane podatke. [Saznajte više](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturirani podaci su važeći"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Metaopisi mogu da budu uvršteni u rezultate pretrage da bi pružili sažeti rezime sadržaja stranice. [Saznajte više](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Polje za tekst opisa je prazno."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokument nema metaopis"},
"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokument ima metaopis"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Pretraživači ne mogu da indeksiraju sadržaj dodatnih komponenata, a mnogi uređaji ograničavaju dodatne komponente ili ih ne podržavaju. [Saznajte više](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokument koristi dodatne komponente"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokument izbegava dodatne komponente"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Ako datoteka robots.txt nije pravilno napravljena, popisivači možda neće moći da razumeju kako želite da se veb-sajt popiše ili indeksira. [Saznajte više](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Zahtev za datoteku robots.txt vratio je HTTP status: {statusCode}"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Pronađena je 1 greška}one{Pronađena je # greška}few{Pronađene su # greške}other{Pronađeno je # grešaka}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse nije uspeo da preuzme datoteku robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Datoteka robots.txt nije važeća"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Datoteka robots.txt je važeća"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Interaktivni elementi poput dugmadi i linkova treba da budu dovoljno veliki (48×48 piksela) i da imaju dovoljno prostora oko sebe da bi bilo lako da se dodirnu bez preklapanja sa drugim elementima. [Saznajte više](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} ciljeva dodirivanja ima odgovarajuću veličinu"
},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Ciljevi dodirivanja su premali jer ne postoji metaoznaka oblasti prikaza koja je optimizovana za ekrane na mobilnim uređajima"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Ciljevi dodirivanja nemaju odgovarajuću veličinu"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Cilj koji se preklapa"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Cilj dodirivanja"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Ciljevi dodirivanja imaju odgovarajuću veličinu"},"lighthouse-core/audits/server-response-time.js | description":{message:"Vreme odgovora servera za glavni dokument treba da bude kratko jer svi drugi zahtevi zavise od njega. [Saznajte više](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{
message:"Osnovnom dokumentu je trebalo {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Skratite početno vreme odgovora servera"},"lighthouse-core/audits/server-response-time.js | title":{message:"Početno vreme odgovora servera je bilo kratko"},"lighthouse-core/audits/service-worker.js | description":{message:"Serviser je tehnologija koja omogućava aplikaciji da koristi mnoge funkcije progresivnih veb-aplikacija, poput oflajn rada, dodavanja na početni ekran i iskačućih obaveštenja. [Saznajte više](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Ovu stranicu kontroliše serviser, ali nije pronađen nijedan `start_url` jer nije uspelo raščlanjivanje manifesta kao važeće JSON datoteke"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"Ovu stranicu kontroliše serviser, ali `start_url` ({startUrl}) ne spada u opseg servisera ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Ovu stranicu kontroliše serviser, ali nije pronađen nijedan `start_url` jer nijedan manifest nije preuzet."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Ovaj izvor ima jedan ili više servisera, ali stranica ({pageUrl}) nije u opsegu."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Ne registruje serviser koji kontroliše stranicu i `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registruje serviser koji kontroliše stranicu i `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Tematski uvodni ekran obezbeđuje kvalitetan doživljaj kada korisnici pokreću aplikaciju sa početnih ekrana. [Saznajte više](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{
message:"Nije konfigurisano za prilagođeni uvodni ekran"},"lighthouse-core/audits/splash-screen.js | title":{message:"Konfigurisano za prilagođeni uvodni ekran"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Traka za adresu pregledača može da ima temu koja odgovara sajtu. [Saznajte više](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Ne podešava boju teme za traku za adresu."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Podešava boju teme za traku za adresu."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (uspeh klijenata)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marketing)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (društvene mreže)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},
"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Proizvod"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Neka ugrađivanja trećih strana mogu odloženo da se učitavaju. Predlažemo da ih zamenite fasadom dok ne budu potrebna. [Saznajte više](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Dostupna je # alternativna fasada}one{Dostupna je # alternativna fasada}few{Dostupne su # alternativne fasade}other{Dostupno je # alternativnih fasada}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Neki resursi trećih strana mogu odloženo da se učitavaju pomoću fasade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Odloženo učitavajte resurse trećih strana pomoću fasada"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Nezavisni dobavljač"},
"lighthouse-core/audits/third-party-summary.js | description":{message:"Kôd nezavisnog dobavljača može značajno da utiče na učinak učitavanja. Ograničite broj suvišnih nezavisnih dobavljača usluge i probajte da učitate kôd nezavisnog dobavljača kada stranica primarno završi sa učitavanjem. [Saznajte više](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Kôd nezavisnog dobavljača je blokirao glavnu nit {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Smanjite uticaj koda nezavisnog dobavljača"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Smanjite korišćenje sadržaja treće strane"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Merenje"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Pokazatelj"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Podesite budžet za brzinu učitavanja da biste lakše pratili učinak sajta. Sajtovi sa dobrim učinkom se učitavaju za kratko vreme i brzo reaguju na događaje unosa korisnika. [Saznajte više](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Budžet za brzinu učitavanja"},"lighthouse-core/audits/unsized-images.js | description":{message:"Podesite eksplicitnu širinu i visinu u elementima slika radi smanjenja prelaza izgleda i poboljšanja kumulativnog pomaka sadržaja stranice. [Saznajte više](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Elementi slika nemaju eksplicitne: `width` i `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Elementi slika imaju eksplicitne: `width` i `height`"},"lighthouse-core/audits/user-timings.js | columnType":{
message:"Tip"},"lighthouse-core/audits/user-timings.js | description":{message:"Preporučujemo vam da opremite aplikaciju API-jem za vreme korisnika da biste izmerili učinak aplikacije u realnom svetu tokom ključnih korisničkih doživljaja. [Saznajte više](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 vreme korisnika}one{# vreme korisnika}few{# vremena korisnika}other{# vremena korisnika}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Oznake i mere Vremena korisnika"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Povezivanje unapred `<link rel=preconnect>` je pronađeno za „{securityOrigin}“, ali ga pregledač nije upotrebio. Proverite da li pravilno koristite atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Razmislite o tome da dodate savete za resurse `preconnect` ili `dns-prefetch` kako biste uspostavili rane veze sa važnim izvorima trećih strana. [Saznajte više](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Povežite se unapred sa potrebnim izvorima"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Pronađeno je više od 2 povezivanja `<link rel=preconnect>`. Ona treba da se koriste retko i samo do najvažnijih izvora."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Povezivanje unapred `<link rel=preconnect>` je pronađeno za „{securityOrigin}“, ali ga pregledač nije upotrebio. Koristite `preconnect` samo za važne izvore koje će stranica sigurno zahtevati."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Predučitavanje `<link>` je pronađeno za „{preloadURL}“, ali ga pregledač nije upotrebio. Proverite da li pravilno koristite atribut `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Preporučujemo vam da koristite `<link rel=preload>` kako biste kasnije tokom učitavanja stranice dali prioritet preuzimanju resursa koji se trenutno traže. [Saznajte više](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Unapred učitajte najvažnije zahteve"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL mape"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Izvorne mape prevode umanjen kôd u originalni izvorni kôd. To pomaže programerima pri otklanjanju grešaka u proizvodnji. Pored toga, Lighthouse sadrži dodatni uvid. Ne bi bilo loše da primenite izvorne mape da biste mogli da koristite te prednosti. [Saznajte više](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Nedostaju izvorne mape za veliki JavaScript prve strane"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Velikom JavaScript fajlu nedostaje izvorna mapa"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Upozorenje: nedostaje 1 stavka u atributu `.sourcesContent`}one{Upozorenje: nedostaje # stavka u atributu `.sourcesContent`}few{Upozorenje: nedostaju # stavke u atributu `.sourcesContent`}other{Upozorenje: nedostaje # stavki u atributu `.sourcesContent`}}"
},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Stranica ima važeće izvorne mape"},"lighthouse-core/audits/viewport.js | description":{message:'Dodajte oznaku `<meta name="viewport">` da biste optimizovali aplikaciju za ekrane na mobilnim uređajima. [Saznajte više](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Nije pronađena oznaka `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Nema oznaku `<meta name="viewport">` sa oznakama `width` ili `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Ima oznaku `<meta name="viewport">` sa oznakom `width` ili `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"To su prilike da poboljšate korišćenje ARIA uloga u aplikaciji, čime može da poboljša doživljaj korisnika tehnologije za pomoć osobama sa invaliditetom, kao što je čitač ekrana."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"To su prilike da pružite alternativni sadržaj za audio i video datoteke. To može da poboljša doživljaj za korisnike sa oštećenim sluhom ili vidom."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Zvuk i video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Ove stavke ističu uobičajene najbolje prakse u vezi sa pristupačnošću."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Najbolje prakse"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Ove provere ističu prilike za [poboljšanje pristupačnosti veb-aplikacije](https://developers.google.com/web/fundamentals/accessibility). Automatski može da se otkrije samo jedan podskup problema sa pristupačnošću, pa preporučujemo da obavljate i ručno testiranje."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Ove stavke obrađuju oblasti koje alatka za automatizovano testiranje ne može da obuhvati. Saznajte više u vodiču o [sprovođenju pregleda pristupačnosti](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Pristupačnost"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"To su prilike da poboljšate čitljivost sadržaja."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{
message:"To su prilike da poboljšate tumačenje svog sadržaja za korisnike na različitim jezicima."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internacionalizacija i lokalizacija"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"To su prilike da poboljšate semantiku kontrola u aplikaciji. To može da poboljša doživljaj korisnika tehnologije za pomoć osobama sa invaliditetom, kao što je čitač ekrana."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Nazivi i oznake"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Ovo su prilike da poboljšate kretanje po tastaturi u aplikaciji."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigacija"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"Ovo su prilike za poboljšanje doživljaja pri čitanju podataka iz tabela ili lista pomoću tehnologije za pomoć osobama sa invaliditetom, poput čitača ekrana."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabele i liste"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Kompatibilnost pregledača"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Najbolje prakse"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Opšte"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Poverenje i bezbednost"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Korisnički doživljaj"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Ciljevima za učinak određuju se standardi za učinak sajta."},
"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Ciljevi"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Više informacija o učinku aplikacije. Ovi brojevi ne [utiču direktno](https://web.dev/performance-scoring/) na ocenu učinka."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Dijagnostika"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Najvažniji aspekt učinka je brzina kojom se pikseli prikazuju na ekranu. Ključni pokazatelji: Prvo prikazivanje sadržaja, Prvo značajno prikazivanje"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Poboljšanja prvog prikazivanja"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Ovi predlozi mogu da vam pomognu da se stranica učitava brže. Ne [utiču direktno](https://web.dev/performance-scoring/) na ocenu učinka."},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Mogućnosti"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Pokazatelji"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Poboljšajte opšti doživljaj učitavanja da bi stranica počela da se odaziva i da bi bila spremna za korišćenje u najkraćem mogućem roku. Ključni pokazatelji: Vreme početka interakcije, Indeks brzine"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Opšta poboljšanja"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Učinak"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Ovim proverama se ocenjuju aspekti progresivne veb-aplikacije. [Saznajte više](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Ove provere zahteva osnovna [Kontrolna lista za progresivne veb-aplikacije](https://developers.google.com/web/progressive-web-apps/checklist), ali ih Lighthouse ne sprovodi automatski. One ne utiču na vaš rezultat, ali je važno da ih ručno potvrdite."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresivna veb-aplikacija"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Može da se instalira"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimizovano za PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Zahvaljujući ovim proverama stranica će sigurno biti optimizovana za rangiranje rezultata pretraživača. Ima još nekih faktora koje Lighthouse ne proverava, a koji mogu da utiču na rangiranje u pretrazi. [Saznajte više](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"Pokrećite ove dodatne validatore na sajtu da biste proverili dodatne najbolje prakse optimizacije za pretraživače."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"Optimizacija za pretraživače"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatirajte HTML sadržaj na način koji omogućava popisivačima da bolje razumeju sadržaj aplikacije."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Najbolje prakse za sadržaj"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Da bi se aplikacija pojavila u rezultatima pretrage, popisivači treba da imaju pristup do nje."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Popisivanje i indeksiranje"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Uverite se da su stranice prilagođene mobilnim uređajima da korisnici ne bi morali da umanjuju ili uvećavaju prikaz kako bi čitali stranice sa sadržajem. [Saznajte više](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Prilagođeno mobilnim uređajima"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Izgleda da testirani uređaj ima sporiji procesor nego što  Lighthouse očekuje. To može negativno da utiče na ocenu učinka. Saznajte više o [kalibrisanju odgovarajućeg množioca u vezi sa usporavanjem procesora](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Stranica se možda ne učitava na očekivan način zato što je probni URL ({requested}) preusmeren na {final}. Probajte direktno da testirate drugi URL."},
"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Učitavanje stranice je bilo presporo da bi se dovršilo u okviru vremenskog ograničenja. Rezultati mogu da budu nepotpuni."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Na ovoj lokaciji možda ima sačuvanih podataka koji utiču na efikasnost učitavanja: {locations}. Proverite tu stranicu u prozoru bez arhiviranja da biste sprečili da ti resursi utiču na rezultate.}one{Na ovim lokacijama možda ima sačuvanih podataka koji utiču na efikasnost učitavanja: {locations}. Proverite tu stranicu u prozoru bez arhiviranja da biste sprečili da ti resursi utiču na rezultate.}few{Na ovim lokacijama možda ima sačuvanih podataka koji utiču na efikasnost učitavanja: {locations}. Proverite tu stranicu u prozoru bez arhiviranja da biste sprečili da ti resursi utiču na rezultate.}other{Na ovim lokacijama možda ima sačuvanih podataka koji utiču na efikasnost učitavanja: {locations}. Proverite tu stranicu u prozoru bez arhiviranja da biste sprečili da ti resursi utiču na rezultate.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Možete da dodate https: i http: URL šeme (koje ignorišu pregledači koji podržavaju strict-dynamic) radi kompatibilnosti unazad sa starijim pregledačima."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Direktiva disown-opener je zastarela od smernica CSP3. Koristite zaglavlje za Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Direktiva referrer je zastarela od smernica CSP2. Koristite zaglavlje za Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Direktiva reflected-xss je zastarela od smernica CSP2. Koristite zaglavlje za X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Base-uri koji nedostaje omogućava umetnutim oznakama <base> da podese osnovni URL za sve relativne URL-ove (npr. skripte) do domena koji kontroliše napadač. Savetujemo vam da podesite base-uri na „none“ ili „self“."},
"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Elementi koje kontroliše object-src smatraju se zastarelim funkcijama. Savetujemo vam da podesite direktivu object-src na „none“ da biste sprečili umetanje dodatnih komponenti koje izvršavaju nebezbedne skripte."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Direktiva script-src nedostaje. To može da omogući izvršavanje nebezbednih skripti."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Da li ste zaboravili tačku i zaraz? Izgleda da je {keyword} direkiva, a ne ključna reč."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Jednokratni ključevi moraju da koriste base64 charset."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Jednokratni ključevi moraju da imaju bar 8 znakova."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"Odredište za izveštaje se konfiguriše samo preko direktive report-to. Ova direktiva je podržana samo u pregledačima zasnovanim na Chromium-u, pa se preporučuje da koristite direktivu report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Nijedan CSP ne konfiguriše odredište za izveštaje. Time se otežava održavanje CSP-a tokom vremena i praćenje otkazivanja."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Liste dozvoljenih hostova često mogu da se zaobiđu. Savetujemo vam da koristite direktivu strict-dynamic u kombinaciji sa CSP jednokratnim ključevima i hešovima."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Nepoznata CSP direktiva."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Izgleda da je {keyword} nevažeća ključna reč."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"Direktiva unsafe-inline omogućava izvršavanje nebezbednih skripti i obrađivača događaja na stranici. Savetujemo vam da koristite CSP jednokratne ključeve ili heševe da biste pojedinačno dozvoljavali skripte."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Savetujemo vam da dodate direktivu unsafe-inline (koju ignorišu pregledači koji podržavaju jednokratne ključeve/hešove) radi kompatibilnosti unazad sa starijim pregledačima."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Period blokiranja glavne niti"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Vreme preživljavanja keša"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Opis"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Trajanje"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Elementi koji nisu prošli proveru"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Lokacija"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Naziv"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Premašuje cilj"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Zahtevi"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Veličina resursa"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Tip resursa"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Veličina"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Izvor"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Vreme početka"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Provedeno vreme"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Veličina prenosa"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potencijalna ušteda"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potencijalna ušteda"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Potencijalna ušteda od {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Pronađen je 1 element}one{Pronađen je # element}few{Pronađena su # elementa}other{Pronađeno je # elemenata}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Potencijalna ušteda od {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Prvo značajno prikazivanje"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Font"
},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Slika"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Visoka"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Niska"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Srednja"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maks. potencijalno kašnjenje prvog prikaza"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Mediji"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Drugo"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Ostali resursi"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skripta"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} sek"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Opis stila"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Nezavisni resursi"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Ukupno"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Došlo je do greške pri evidentiranju traga tokom učitavanja stranice. Ponovo pokrenite Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Vremensko ograničenje čekanja na inicijalnu vezu za protokol programa za otklanjanje grešaka."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Chrome nije prikupio nijedan snimak ekrana tokom učitavanja stranice. Uverite se da je sadržaj vidljiv na stranici, pa probajte da ponovo pokrenete Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS serveri nisu mogli da razreše navedeni domen."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Prikupljač za obavezni resurs {artifactName} je naišao na grešku: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Došlo je do interne greške u Chrome-u. Ponovo pokrenite Chrome i probajte da ponovo pokrenete Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Prikupljač za obavezni resurs {artifactName} se nije pokrenuo."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Stranica nije prikazala nikakav sadržaj. Uverite se da je prozor pregledača u prvom planu tokom učitavanja i probajte ponovo. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"Navedena stranica nije HTML (prikazuje se kao {mimeType} MIME tipa)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Ova verzija Chrome-a je prestara da bi podržavala „{featureName}“. Koristite noviju verziju da biste videli kompletne rezultate."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse nije uspeo da pouzdano učita stranicu koju ste zahtevali. Uverite se da testirate odgovarajući URL i da server pravilno odgovara na sve zahteve."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse nije uspeo da pouzdano učita URL koji ste zahtevali jer je stranica prestala da reaguje."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"URL koji ste naveli nema važeći bezbednosni sertifikat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome je sprečio učitavanje stranice sa tranzitivnim oglasom. Uverite se da testirate odgovarajući URL i da server pravilno odgovara na sve zahteve."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse nije uspeo da pouzdano učita stranicu koju ste zahtevali. Uverite se da testirate odgovarajući URL i da server pravilno odgovara na sve zahteve. (Detalji: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse nije uspeo da pouzdano učita stranicu koju ste zahtevali. Uverite se da testirate odgovarajući URL i da server pravilno odgovara na sve zahteve. (Kôd statusa: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Učitavanje stranice je trajalo predugo. Pratite prilike u izveštaju da biste skratili vreme učitavanja stranice, pa ponovo pokrenite Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Odgovor protokola DevTools se čeka duže od dodeljenog perioda. (Metod: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Preuzimanje sadržaja resursa traje duže od dodeljenog perioda."},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Izgleda da je URL koji ste naveli nevažeći."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Sve"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Sve skripte"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Pokrivenost"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Duplirani moduli"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Bajtovi resursa"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Naziv"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Uključi/isključi tabelu"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{
message:"Neiskorišćeni bajtovi"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Kada je u pitanju animirani sadržaj, koristite [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) da biste smanjili korišćenje procesora kada sadržaj nije na ekranu."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Razmislite o tome da prikažete sve komponente [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) u WebP formatima uz navođenje prikladnog rezervnog rešenja za druge pregledače. [Saznajte više](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Uverite se da koristite oznake [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) za slike kako bi se one automatski odloženo učitavale. [Saznajte više](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Koristite alatke kao što je [AMP optimizator](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) da biste [prikazivali AMP rasporede na serveru](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Pogledajte [dokumentaciju za AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) da biste se uverili da su svi stilovi podržani."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Komponenta [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) podržava atribut [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) da bi naznačila koje slikovne elemente da koristi na osnovu veličine ekrana. [Saznajte više](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Razmislite o tome da koristite virtuelno pomeranje pomoću Component Dev Kit-a (CDK) ako se prikazuju veoma velike liste. [Saznajte više](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Primenite [razdvajanje koda na nivou rute](https://web.dev/route-level-code-splitting-in-angular/) da biste smanjili veličinu JavaScript paketa. Takođe razmislite o tome da unapred keširate elemente pomoću [servisera Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Ako koristite Angular CLI, uverite se da su verzije generisane u proizvodnom režimu. [Saznajte više](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Ako koristite Angular CLI, uvrstite mape izvora u proizvodnu verziju da biste pregledali pakete. [Saznajte više](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Učitajte rute unapred da biste ubrzali navigaciju. [Saznajte više](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Razmislite o tome da koristite uslužni program `BreakpointObserver` u Component Dev Kit-u (CDK) da biste upravljali prelomnim tačkama slika. [Saznajte više](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Predlažemo da otpremite GIF u uslugu koja će ga kodirati za ugradnju kao HTML5 video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Navedite `@font-display` kad definišete prilagođene fontove u temi."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Predlažemo da instalirate i konfigurišete [modul za korišćenje WebP formata slike](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) na sajtu. Takvi moduli automatski generišu WebP verziju otpremljenih slika da bi optimizovali brzinu učitavanja."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Instalirajte [Drupal modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) koji može odloženo da učitava slike. Takvi moduli pružaju mogućnost odlaganja svih slika van ekrana da bi se poboljšao učinak."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Predlažemo da koristite modul za ugradnju ključnog CSS-a i JavaScipt-a ili potencijalno asinhrono učitavanje elemenata putem JavaScript-a, poput modula [Napredno CSS/JS grupisanje](https://www.drupal.org/project/advagg). Imajte na umu da optimizacije koje pruža ovaj modul mogu da oštete sajt, pa ćete verovatno morati da unesete neke promene u kôd."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Teme, moduli i specifikacije servera doprinose vremenu odgovora servera. Predlažemo da pronađete optimizovaniju temu, pažljivo izaberete modul za optimizaciju i/ili nadogradite server. Serveri za hostovanje treba da koriste keširanje PHP opkoda, keširanje memorije radi smanjenja vremena odgovaranja na upit iz baze podataka, poput Redis-a ili Memcached-a, kao i optimizovanu logiku aplikacije radi brže pripreme stranica."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Predlažemo da koristite [prilagodljive stilove slika](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) kako biste smanjili veličinu slika koje se učitavaju na stranici. Ako koristite Views (prikazi) da biste prikazali više stavki sadržaja na stranici, razmislite o primeni numerisanja stranica da biste ograničili broj stavki sadržaja koje se prikazuju na određenoj stranici."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Uverite se da ste omogućili Aggregate CSS files (Grupisanje CSS datoteka) na stranici Administration (Administracija) » Configuration (Konfiguracija) » Development (Razvoj). Možete i da konfigurišete naprednije opcije grupisanja putem [dodatnih modula](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) kako biste ubrzali sajt nadovezivanjem, umanjivanjem i komprimovanjem CSS stilova."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Uverite se da ste omogućili Aggregate JavaScript files (Grupisanje JavaScript datoteka) na stranici Administration (Administracija) » Configuration (Konfiguracija) » Development (Razvoj). Možete i da konfigurišete naprednije opcije grupisanja putem [dodatnih modula](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) kako biste ubrzali sajt nadovezivanjem, umanjivanjem i komprimovanjem JavaScript elemenata."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Predlažemo da uklonite CSS pravila koja se ne koriste i priložite samo neopohdne Drupal biblioteke relevantnoj stranici ili komponenti na stranici. Detalje potražite na [linku za Drupal dokumentaciju](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Da biste identifikovali priložene biblioteke koje dodaju suvišan CSS, probajte da pokrenete proveru [pokrivenosti koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatki Chrome DevTools. Spornu temu ili modul možete da identifikujete u URL-u opisa stila kad je na Drupal sajtu onemogućeno CSS grupisanje. Potražite teme ili module koji na listi imaju mnogo opisa stila sa dosta crvenih elemenata u pokrivenosti koda. Tema ili modul treba da stave opis stila na listu samo ako se on stvarno koristi na stranici."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Predlažemo da uklonite JavaScript elemente koji se ne koriste i priložite samo neophodne Drupal biblioteke relevantnoj stranici ili komponenti na stranici. Detalje potražite na [linku za Drupal dokumentaciju](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Da biste identifikovali priložene biblioteke koje dodaju suvišan JavaScript, probajte da pokrenete [prosek upotrebe koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatki Chrome DevTools. Spornu temu ili modul možete da identifikujete u URL-u skripte kad je na Drupal sajtu onemogućeno JavaScript grupisanje. Potražite teme ili module koji na listi imaju mnogo skripti sa dosta crvenih elemenata u proseku upotrebe koda. Tema ili modul treba da stave skriptu na listu samo ako se ona stvarno koristi na stranici."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Podesite Browser and proxy cache maximum age (Maksimalna starost keša pregledača i proksija) na stranici Administration (Administracija) » Configuration (Konfiguracija) » Development (Razvoj). Pročitajte više o [Drupal kešu i optimizaciji za bolje performanse](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Predlažemo da koristite [modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) koji automatski optimizuje i smanjuje veličinu slika koje se otpremaju preko sajta bez gubitka kvaliteta. Uverite se i da koristite izvorne [stilove prilagodljivih slika](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) koje pruža Drupal (dostupni u Drupal-u 8 i novijim verzijama) za sve slike koje se renderuju na sajtu."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Savete za resurse za povezivanje unapred ili predučitavanje DNS-a možete da dodate instaliranjem i konfigurisanjem [modula](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) koji pruža infrastrukturu za savete za resurse korisničkog agenta."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Uverite se da koristite izvorne [stilove prilagodljivih slika](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) koje pruža Drupal (dostupni u Drupal-u 8 i novijim verzijama). Koristite stilove prilagodljivih slika pri renderovanju polja za slike preko režima prikaza, prikaza ili slika otpremljenih putem WYSIWYG uređivača."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Predlažemo da otpremite GIF u uslugu koja će ga kodirati za ugradnju kao HTML5 video."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Predlažemo da koristite [dodatnu komponentu](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) ili uslugu koja automatski konvertuje otpremljene slike u optimalne formate."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Instalirajte [Joomla dodatnu komponentu za odloženo učitavanje](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) koja omogućava da odložite sve slike van ekrana ili pređite na šablon koji pruža tu funkciju. Počev od verzije Joomla 4.0, sve nove slike će [automatski](https://github.com/joomla/joomla-cms/pull/30748) dobiti atribut `loading` od osnovnih funkcija."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Mnoge Joomla dodatne komponente mogu da vam pomognu da [ugradite ključne elemente](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) ili [odložite manje važne resurse](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Imajte na umu da optimizacije koje pružaju te dodatne komponente mogu da oštete funkcije šablona ili dodatnih komponenti, pa morate detaljno da ih testirate."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Šabloni, dodaci i specifikacije servera doprinose vremenu odgovora servera. Predlažemo da pronađete optimizovaniji šablon, pažljivo izaberete dodatak za optimizaciju i/ili nadogradite server."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Predlažemo da prikažete odlomke u kategorijama članaka (npr. preko linka „pročitajte više“), smanjite broj članaka koji se prikazuju na određenoj stranici, razdvojite dugačke postove na više stranica ili koristite dodatne komponente za odloženo učitavanje komentara."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Neki [Joomla dodaci](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) mogu da ubrzaju sajt nadovezivanjem, umanjivanjem i komprimovanjem CSS stilova. Postoje i šabloni koji pružaju tu funkciju."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Mnogi [Joomla dodaci](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) mogu da ubrzaju sajt nadovezivanjem, umanjivanjem i komprimovanjem skripti. Postoje i šabloni koji pružaju tu funkciju."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Predlažemo da izostavite ili zamenite [Joomla dodatke](https://extensions.joomla.org/) koji na stranici učitavaju CSS koji se ne koristi. Da biste identifikovali dodatke koji dodaju suvišan CSS, probajte da pokrenete proveru [pokrivenosti koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatki Chrome DevTools. Spornu temu ili dodatnu komponentu možete da identifikujete u URL-u opisa stila. Potražite dodatne komponente koje na listi imaju mnogo opisa stilova sa dosta crvenih elemenata u pokrivenosti koda. Dodatna komponenta treba da stavi opis stila na listu samo ako se on stvarno koristi na stranici."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Predlažemo da izostavite ili zamenite [Joomla dodatke](https://extensions.joomla.org/) koji na stranici učitavaju JavaScript koji se ne koristi. Da biste identifikovali dodatne komponente koje dodaju suvišan JS, probajte da pokrenete proveru [pokrivenosti koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatki Chrome DevTools. Sporni dodatak možete da identifikujete u URL-u skripte. Potražite dodatke koji na listi imaju mnogo skripti sa dosta crvenih elemenata u pokrivenosti koda. Dodatak treba da stavi skriptu na listu samo ako se ona stvarno koristi na stranici."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Pročitajte više o [keširanju pregledača u sistemu Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Predlažemo da koristite [dodatnu komponentu za optimizaciju slika](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) koja komprimuje slike bez gubitka kvaliteta."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Predlažemo da koristite [dodatne komponente za prilagodljive slike](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) kako biste koristili prilagodljive slike u sadržaju."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Možete da omogućite komprimovanje teksta tako što ćete omogućiti Gzip komprimovanje stranica u sistemu Joomla (System (Sistem) > Global configuration (Globalna konfiguracija) > Server (Server))."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ako ne pravite pakete JavaScript elemenata, razmislite o tome da koristite [bejler](https://github.com/magento/baler)."
},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Onemogućite ugrađene [funkcije pravljenja paketa i umanjivanja u JavaScript-u](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) na platformi Magento i razmotrite korišćenje [bejlera](https://github.com/magento/baler/) umesto toga."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Naznačite oznaku `@font-display` kada [definišete prilagođene fontove](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Razmislite o tome da potražite mnoštvo dodataka trećih strana na [Magento Marketplace-u](https://marketplace.magento.com/catalogsearch/result/?q=webp) da biste iskoristili novije formate slika."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Razmislite o tome da izmenite šablone proizvoda i kataloga da biste iskoristili funkciju [odloženog učitavanja](https://web.dev/native-lazy-loading) na veb-platformi."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Koristite [Varnish integraciju](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) platforme Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Omogućite opciju „Umanji CSS datoteke“ u podešavanjima za programere u prodavnici. [Saznajte više](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Koristite [Terser](https://www.npmjs.com/package/terser) da biste umanjili sve JavaScript elemente iz primene statičnog sadržaja i onemogućili ugrađenu funkciju umanjivanja."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Onemogućite ugrađeno [pravljenje JavaScript paketa](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) na platformi Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Razmislite o tome da potražite mnoštvo dodataka trećih strana na [Magento Marketplace-u](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) da biste optimizovali slike."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Savete za resurse za povezivanje unapred ili pripremu učitavanja DNS-a možete da dodate ako[izmenite izgled teme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Oznake `<link rel=preload>` mogu da se dodaju [izmenom izgleda teme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[Zamenite animirane GIF-ove video sadržajem](https://web.dev/replace-gifs-with-videos/) da bi se veb-stranice brže učitavale, a predlažemo i da koristite moderne formate fajlova, kao što je [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) ili [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), da biste poboljšali efikasnost komprimovanja za više od 30% u odnosu na aktuelni najsavremeniji video kodek, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Predlažemo da koristite [dodatnu komponentu](https://octobercms.com/plugins?search=image) ili uslugu koja automatski konvertuje otpremljene slike u optimalne formate. Veličina [WebP slika bez gubitaka](https://developers.google.com/speed/webp) je za 26% manja od veličine PNG slika i za 25–34% manja od veličine odgovarajućih JPEG slika ekvivalentnog SSIM indeksa kvaliteta. Još jedan format slike sledeće generacije koji treba da uzmete u obzir je [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Predlažemo da instalirate [dodatnu komponentu za odloženo učitavanje slika](https://octobercms.com/plugins?search=lazy) koja pruža mogućnost odlaganja svih slika van ekrana ili prelaska na temu koja pruža tu funkciju. Predlažemo i da koristite [dodatnu komponentu za AMP stranice](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Ima mnogo dodatnih komponenti koje vam pomažu da [umetnete kritične elemente](https://octobercms.com/plugins?search=css). Te dodatne komponente mogu da oštete druge dodatne komponente, pa morate detaljno da ih testirate."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Teme, dodatne komponente i specifikacije servera doprinose vremenu odgovora servera. Predlažemo da pronađete optimizovaniju temu, pažljivo izaberete dodatnu komponentu za optimizaciju i/ili nadogradite server. Sistem za upravljanje sadržajem October omogućava programerima i da koriste stavku [`Queues`](https://octobercms.com/docs/services/queues) da bi odložili obradu nekog zadatka koji oduzima mnogo vremena, poput slanja imejla. To drastično ubrzava veb-zahteve."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Predlažemo da prikažete odlomke na listama postova (na primer, pomoću dugmeta `show more`), smanjite broj postova koji se prikazuju na određenoj veb-stranici, razdvojite dugačke postove na više veb-stranica ili koristite dodatnu komponentu za odloženo učitavanje komentara."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Ima mnogo [dodatnih komponenti](https://octobercms.com/plugins?search=css) koje mogu da ubrzaju veb-sajt nadovezivanjem, umanjivanjem i komprimovanjem stilova. Ako koristite prevođenje i povezivanje da biste unapred obavili ovo umanjivanje, to može da ubrza programiranje."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Ima mnogo [dodatnih komponenti](https://octobercms.com/plugins?search=javascript) koje mogu da ubrzaju veb-sajt nadovezivanjem, umanjivanjem i komprimovanjem skripti. Ako koristite prevođenje i povezivanje da biste unapred obavili ovo umanjivanje, to može da ubrza programiranje."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Predlažemo da pregledate [dodatne komponente](https://octobercms.com/plugins) koje na veb-sajtu učitavaju CSS koji se ne koristi. Da biste identifikovali dodatne komponente koje dodaju nepotrebni CSS, pokrenite [prosek upotrebe koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u Chrome alatkama za programere. Identifikujte odgovornu temu ili dodatnu komponentu na osnovu URL-a opisa stila. Potražite dodatne komponente koje imaju mnogo opisa stilova sa dosta crvenih elemenata u proseku upotrebe koda. Dodatna komponenta treba da doda opis stila samo ako se on stvarno koristi na veb-stranici."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Predlažemo da pregledate [dodatne komponente](https://octobercms.com/plugins?search=javascript) koje na veb-stranici učitavaju JavaScript koji se ne koristi. Da biste identifikovali dodatne komponente koje dodaju nepotrebni JavaScript, pokrenite [prosek upotrebe koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u Chrome alatkama za programere. Identifikujte odgovornu temu ili dodatnu komponentu na osnovu URL-a skripte. Potražite dodatne komponente koje imaju mnogo skripti sa dosta crvenih elemenata u proseku upotrebe koda. Dodatna komponenta treba da doda skriptu samo ako se ona stvarno koristi na veb-stranici."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Pročitajte više o [sprečavanju nepotrebnih mrežnih zahteva pomoću HTTP keša](https://web.dev/http-cache/#caching-checklist). Ima mnogo [dodatnih komponenti](https://octobercms.com/plugins?search=Caching) koje mogu da se koriste za ubrzavanje keširanja."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Predlažemo da koristite [dodatnu komponentu za optimizaciju slika](https://octobercms.com/plugins?search=image) koja komprimuje slike bez gubitka kvaliteta."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Otpremajte slike direktno u menadžeru medija da biste se uverili da su dostupne obavezne veličine slika. Predlažemo da koristite [filter za promenu veličine](https://octobercms.com/docs/markup/filter-resize) ili [dodatnu komponentu za promenu veličine slika](https://octobercms.com/plugins?search=image) da biste se uverili da se koriste optimalne veličine slika."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Omogućite komprimovanje teksta u konfiguraciji veb-servera."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Predlažemo da koristite biblioteku „sa prozorima“ kao što je `react-window` kako biste smanjili broj napravljenih DOM čvorova ako na stranici renderujete mnogo elemenata koji se ponavljaju. [Saznajte više](https://web.dev/virtualize-long-lists-react-window/). Isto tako, ako koristite kopču `Effect` za poboljšanje učinka vremena izvršavanja, smanjite nepotrebna ponovna renderovanja pomoću komponenti [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) ili [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) i [preskočite efekte](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) samo dok se određene zavisnosti ne promene."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ako koristite React ruter, smanjite korišćenje komponente `<Redirect>` za [navigacije pomoću rute](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ako prikazujete bilo kakve React komponente na serveru, razmislite o tome da koristite `renderToNodeStream()` ili `renderToStaticNodeStream()` kako biste omogućili klijentu da prima i popunjava različite delove oznake umesto svih delova odjednom. [Saznajte više](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Ako sistem za prevođenje i povezivanje automatski umanjuje CSS fajlove, uverite se da primenjujete proizvodnu verziju aplikacije. To možete da proverite pomoću dodatka React Developer Tools. [Saznajte više](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ako sistem za prevođenje i povezivanje automatski umanjuje JS fajlove, uverite se da primenjujete proizvodnu verziju aplikacije. To možete da proverite pomoću dodatka React Developer Tools. [Saznajte više](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Ako ne prikazujete na serveru, [razdvojite JavaScript pakete](https://web.dev/code-splitting-suspense/) pomoću oznake `React.lazy()`. U suprotnom, razdvojite kôd pomoću biblioteke treće strane poput [komponenata koje mogu da se učitavaju](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Koristite React DevTools Profiler, koji koristi API Profiler, da biste merili performanse prikazivanja komponenata. [Saznajte više.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Predlažemo da otpremite GIF u uslugu koja će ga kodirati za ugradnju kao HTML5 video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Predlažemo da koristite [dodatnu komponentu](https://wordpress.org/plugins/search/convert+webp/) ili uslugu koja automatski konvertuje otpremljene slike u optimalne formate."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Instalirajte [WordPress dodatnu komponentu za lako učitavanje](https://wordpress.org/plugins/search/lazy+load/) koja omogućava da odložite sve slike van ekrana ili da pređete na temu koja pruža tu funkciju. Preporučujemo i da koristite [dodatnu komponentu za AMP stranice](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Neke WordPress dodatne komponente mogu da vam pomognu da [umetnete kritične elemente](https://wordpress.org/plugins/search/critical+css/) ili [odložite manje važne resurse](https://wordpress.org/plugins/search/defer+css+javascript/). Imajte na umu da optimizacije koje pružaju ove dodatne komponente mogu da oštete funkcije ili teme dodatnih komponenti, pa ćete verovatno morati da unosite promene u kôd."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Teme, dodatne komponente i specifikacije servera doprinose vremenu odgovora servera. Preporučujemo da pronađete optimizovaniju temu, pažljivo izaberete dodatnu komponentu za optimizaciju i/ili nadogradite server."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Preporučujemo da prikažete odlomke u listama postova (na primer, preko još oznaka), smanjite broj postova koji se prikazuju na određenoj stranici, razdvojite dugačke postove na više strancia ili koristite dodatnu komponentu za lako učitavanje komentara."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Neke [WordPress dodatne komponente](https://wordpress.org/plugins/search/minify+css/) mogu da ubrzaju sajt tako što povezuju, umanjuju i komprimuju stilove. Ovo umanjivanje možete da obavite i unapred pomoću procesa dizajniranja ako je moguće."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Neke [WordPress dodatne komponente](https://wordpress.org/plugins/search/minify+javascript/) mogu da ubrzaju sajt tako što povezuju, umanjuju i komprimuju skripte. Ovo umanjivanje možete da obavite i unapred pomoću procesa dizajniranja ako je moguće."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Preporučujemo da umanjite ili promenite broj [WordPress dodatnih komponenti](https://wordpress.org/plugins/) koje na stranici učitavaju CSS koji se ne koristi. Da biste identifikovali dodatne komponente koje dodaju suvišan CSS, probajte da pokrenete [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatki Chrome DevTools. Možete da identifikujete odgovornu temu/dodatnu komponentu u URL-u stilske stranice. Potražite dodatne komponente koje na listi imaju mnogo stilskih stranica sa dosta crvenila u pokrivenosti koda. Dodatna komponenta treba da stavi stilsku stranicu na listu samo ako se stvarno koristi na stranici."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Preporučujemo da umanjite ili promenite broj [WordPress dodatnih komponenti](https://wordpress.org/plugins/) koje na stranici učitavaju JavaScript koji se ne koristi. Da biste identifikovali dodatne komponente koje dodaju suvišan JS, probajte da pokrenete [pokrivenost koda](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) u alatki Chrome DevTools. Možete da identifikujete odgovornu temu/dodatnu komponentu u URL-u skripte. Potražite dodatne komponente koje na listi imaju mnogo skripti sa dosta crvenila u pokrivenosti koda. Dodatna komponenta treba da stavi skriptu na listu samo ako se stvarno koristi na stranici."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Pročitajte više o [keširanju pregledača u WordPress-u](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Preporučujemo da koristite [WordPress dodatnu komponentu za optimizaciju slika](https://wordpress.org/plugins/search/optimize+images/) koja komprimuje slike bez gubitka kvaliteta."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Otpremajte slike direktno pomoću [biblioteke medija](https://wordpress.org/support/article/media-library-screen/) da biste se uverili da su dostupne obavezne veličine slika, pa ih umetnite u biblioteku medija ili koristite vidžet stranice da biste se uverili da se koriste optimalne veličine slika (uključujući one za prelomne tačke koje se odazivaju). Izbegavajte korišćenje slika `Full Size` ako dimenzije nisu adekvatne za njihovo korišćenje. [Saznajte više](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Možete da omogućite komprimovanje teksta u konfiguraciji veb-servera."},
"report/renderer/util.js | calculatorLink":{message:"Pogledajte kalkulator."},"report/renderer/util.js | crcInitialNavigation":{message:"Početna navigacija"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksimalno kašnjenje kritične putanje:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopiraj JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Uključi/isključi tamnu temu"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Proširi dijalog za štampanje"},"report/renderer/util.js | dropdownPrintSummary":{message:"Štampaj rezime"},"report/renderer/util.js | dropdownSaveGist":{message:"Sačuvaj kao Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Sačuvaj kao HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Sačuvaj kao JSON"},"report/renderer/util.js | dropdownViewer":{message:"Otvori u prikazivaču"},"report/renderer/util.js | errorLabel":{message:"Greška!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Prijavljivanje greške: nema informacija o proveri"},"report/renderer/util.js | footerIssue":{message:"Prijavite problem"},"report/renderer/util.js | labDataTitle":{message:"Podaci o eksperimentalnim funkcijama"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analiza aktuelne stranice emulirane pomoću mobilne mreže. Vrednosti predstavljaju procene i mogu da variraju."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Dodatne stavke za ručnu proveru"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Nije primenjivo"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Mogućnost"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Procenjena ušteda"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Provere sa zadovoljavajućom ocenom"},"report/renderer/util.js | runtimeDesktopEmulation":{
message:"Emulirani računar"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulirani Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Bez emulacije"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe verzija"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Jačina procesora/memorije"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Ograničavanje procesora"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Uređaj"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Vreme preuzimanja"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Ograničavanje mreže"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Podešavanja vremena izvršavanja"},"report/renderer/util.js | runtimeSettingsUA":{message:"Korisnički agent (host)"},"report/renderer/util.js | runtimeSettingsUANetwork":{
message:"Korisnički agent (mreža)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Nepoznato"},"report/renderer/util.js | showRelevantAudits":{message:"Prikaži revizije relevantne za:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Skupi fragment"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Proširi fragment"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Prikaži nezavisne resurse"},"report/renderer/util.js | throttlingProvided":{message:"Pruža okruženje"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Bilo je izvesnih problema koji su uticali na ovo pokretanje Lighthouse-a:"},"report/renderer/util.js | varianceDisclaimer":{message:"Vrednosti predstavljaju procene i mogu da variraju. [Ocena učinka sa izračunava](https://web.dev/performance-scoring/) direktno na osnovu tih pokazatelja."},"report/renderer/util.js | viewTreemapLabel":{
message:"Prikaži Treemap"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Provere sa zadovoljavajućom ocenom koje sadrže upozorenja"},"report/renderer/util.js | warningHeader":{message:"Upozorenja: "}}},{}],136:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Тастери за приступ омогућавају корисницима да брзо фокусирају део странице. Да би навигација радила исправно, сваки тастер за приступ мора да буде јединствен. [Сазнајте више](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Вредности за `[accesskey]` нису јединствене"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Вредности за `[accesskey]` су јединствене"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Сваки ARIA елемент „`role`“ подржава одређени подскуп атрибута „`aria-*`“. Ако се ови елементи не подударају, атрибути „`aria-*`“ ће бити неважећи. [Сазнајте више](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Атрибути `[aria-*]` се не подударају са својим улогама"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Атрибути `[aria-*]` се подударају са својим улогама"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Када елемент нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Елементи `button`, `link` и `menuitem` немају називе прилагођене функцијама приступачности."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Елементи `button`, `link` и `menuitem` имају називе прилагођене функцијама приступачности"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Технологије за помоћ особама са инвалидитетом, попут читача екрана, не раде доследно када се `aria-hidden="true"` подеси за `<body>` документа. [Сазнајте више](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Елемент `[aria-hidden="true"]` је присутан за `<body>` документа'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Елемент `[aria-hidden="true"]` није присутан за `<body>` документа'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Елементи по опадајућем редоследу који могу да се фокусирају у оквиру елемента `[aria-hidden="true"]` спречавају те интерактивне елементе да буду доступни корисницима технологија за помоћ особама са инвалидитетом, попут читача екрана. [Сазнајте више](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Елементи `[aria-hidden="true"]` садрже елементе по опадајућем редоследу који могу да се фокусирају'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Елементи `[aria-hidden="true"]` не обухватају елементе по опадајућем редоследу који могу да се фокусирају'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Када поље за унос нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA поља за унос немају називе прилагођене функцији приступачности"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA поља за унос имају називе прилагођене функцији приступачности"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Када елемент нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA елементи `meter` немају називе прилагођене функцијама приступачности."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA елементи `meter` имају називе прилагођене функцијама приступачности"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Када `progressbar` нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA елементи `progressbar` немају називе прилагођене функцијама приступачности."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA елементи `progressbar` имају називе прилагођене функцијама приступачности"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Поједине ARIA улоге имају обавезне атрибуте који статус елемента описују читачима екрана. [Сазнајте више](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{
message:"Улоге `[role]` немају све обавезне атрибуте `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Улоге `[role]` имају све обавезне атрибуте `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Поједине надређене ARIA улоге морају да обухватају одређене подређене улоге да би правилно обављале намењене функције приступачности. [Сазнајте више](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Елементима са ARIA улогом `[role]` који захтевају да подређени елементи садрже конкретни елемент `[role]` недостају неки или сви ти потребни подређени елементи."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Елементи са ARIA улогом `[role]` који захтевају да подређени елементи садрже конкретни елемент `[role]` имају све потребне подређене елементе."},
"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Поједине подређене ARIA улоге морају да буду обухваћене одређеним надређеним улогама да би правилно обављале намењене функције приступачности. [Сазнајте више](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Улоге `[role]` нису обухваћене својим обавезним надређеним елементом"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Улоге `[role]` су обухваћене својим обавезним надређеним елементом"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Вредности ARIA улога морају да буду важеће да би правилно обављале намењене функције приступачности. [Сазнајте више](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Вредности за `[role]` нису важеће"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{
message:"Вредности за `[role]` су важеће"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Када поље за прекидач нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA поља прекидача немају називе прилагођене функцији приступачности"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA поља прекидача имају називе прилагођене функцији приступачности"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Када елемент нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."
},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA елементи `tooltip` немају називе прилагођене функцијама приступачности."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA елементи `tooltip` имају називе прилагођене функцијама приступачности"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Када елемент нема назив прилагођен функцији приступачности, читачи екрана га најављују помоћу генеричког назива, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA елементи `treeitem` немају називе прилагођене функцијама приступачности."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA елементи `treeitem` имају називе прилагођене функцијама приступачности"},
"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Технологије за помоћ особама са инвалидитетом, попут читача екрана, не могу да интерпретирају ARIA атрибуте са неважећим вредностима. [Сазнајте више](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Вредности атрибута `[aria-*]` нису важеће"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Вредности атрибута `[aria-*]` су важеће"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Технологије за помоћ особама са инвалидитетом, попут читача екрана, не могу да интерпретирају ARIA атрибуте са неважећим називима. [Сазнајте више](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Атрибути `[aria-*]` нису важећи или су погрешно написани"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Атрибути `[aria-*]` су важећи и нису погрешно написани"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Елементи који нису прошли проверу"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Када дугме нема назив прилагођен функцији приступачности, читачи екрана га најављују као „дугме“, па корисници који се ослањају на читаче екрана не могу да га користе. [Сазнајте више](https://web.dev/button-name/)."},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Дугмад нема називе прилагођене функцијама приступачности"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Дугмад има називе прилагођене функцијама приступачности"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"Када се додају начини за заобилажење садржаја који се понавља, корисници тастатуре могу ефикасније да се крећу по страници. [Сазнајте више](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Страница не обухвата наслов, линк за прескакање нити регион оријентира"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Страница обухвата наслов, линк за прескакање или регион оријентира"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Многи корисници веома тешко читају текст са малим контрастом или уопште не могу да га читају. [Сазнајте више](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Боје у позадини и у првом плану немају задовољавајући однос контраста."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Боје у позадини и у првом плану имају задовољавајући однос контраста"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Када листе дефиниција нису правилно означене, читачи екрана могу да пружају збуњујући или нетачан излаз. [Сазнајте више](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` не садржи само правилно поређане групе `<dt>` и `<dd>`, елементе `<script>`, `<template>` или `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` садржи само правилно поређане групе `<dt>` и `<dd>`, елементе `<script>`, `<template>` или `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Ставке листе дефиниција (`<dt>` и `<dd>`) морају да буду упаковане у надређени елемент`<dl>` да би читачи екрана могли да их правилно читају. [Сазнајте више](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"Ставке листе дефиниција су упаковане у елементе `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Ставке листе дефиниција су упаковане у елементе`<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Наслов корисницима читача екрана пружа преглед странице, а корисници претраживача се на њега ослањају да би утврдили да ли је страница релевантна за њихову претрагу. [Сазнајте више](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Документ нема елемент `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Документ има елемент `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Да бисте се уверили да су видљиви за технологије за помоћ особама са инвалидитетом, сви елементи који могу да се фокусирају морају да имају јединствени `id`. [Сазнајте више](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Атрибути `[id]` на активним елементима који могу да се фокусирају нису јединствени"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Атрибути `[id]` на активним елементима који могу да се фокусирају су јединствени"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Вредност ARIA ИД-а мора да буде јединствена да би се спречило да технологије за помоћ особама са инвалидитетом пропусте друге инстанце. [Сазнајте више](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ИД-ови нису јединствени"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ИД-ови су јединствени"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Технологије за помоћ особама са инвалидитетом, попут читача екрана који користе прву, последњу или све ознаке, могу да читају поља обрасца са више ознака на начин који збуњује кориснике. [Сазнајте више](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Поља обрасца имају више ознака"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Ниједно поље обрасца нема више ознака"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Корисници читача екрана очекују од наслова оквира да им опишу садржај оквира. [Сазнајте више](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{
message:"Елементи `<frame>` или `<iframe>` немају наслов"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Елементи `<frame>` или `<iframe>` имају наслов"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Наслови са правилним редоследом који не прескачу нивое преносе семантичку структуру странице, па је чине лакшом за кретање и разумевање при коришћењу технологија за помоћ особама са инвалидитетом. [Сазнајте више](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Елементи наслова се не приказују опадајућим редоследом"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Елементи наслова се приказују опадајућим редоследом"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Ако за страницу није наведен атрибут за језик, читач екрана претпоставља да је страница на подразумеваном језику који је корисник одабрао током подешавања читача екрана. Ако страница заправо није на подразумеваном језику, читач екрана можда неће правилно читати текст са странице. [Сазнајте више](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Елемент `<html>` нема атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Елемент `<html>` има атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Навођењем важећег кода [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) омогућава се да читач екрана правилно чита текст. [Сазнајте више](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"Елемент `<html>` нема важећу вредност за свој атрибут `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Елемент `<html>` има важећу вредност за свој атрибут `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Информативни елементи треба да садрже кратки, описни алтернативни текст. Декоративни елементи могу да се занемаре празним атрибутом alt. [Сазнајте више](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Елементи слике немају атрибуте `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Елементи слика имају атрибуте `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Када се слика користи као дугме `<input>`, навођење алтернативног текста може да помогне корисницима да разумеју сврху дугмета. [Сазнајте више](https://web.dev/input-image-alt/)."},
"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Елементи `<input type="image">` не садрже текст `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Елементи `<input type="image">` садрже текст `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Ознаке омогућавају да технологије за помоћ особама са инвалидитетом, попут читача екрана, правилно најављују контроле образаца. [Сазнајте више](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Елементи образаца немају повезане ознаке"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Елементи образаца имају повезане ознаке"},"lighthouse-core/audits/accessibility/link-name.js | description":{
message:"Текст линка (и алтернативни текст за слике када се користи за линкове) који је препознатљив, јединствен и може да се фокусира олакшава кретање за кориснике читача екрана. [Сазнајте више](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Назив линкова не може да се препозна"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Назив линкова може да се препозна"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Читачи екрана читају листе на посебан начин. Правилна структура листе олакшава разумевање читача екрана. [Сазнајте више](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Листе не садрже искључиво елементе `<li>` и елементе који подржавају скрипте (`<script>` и`<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{
message:"Листе садрже искључиво елементе `<li>` и елементе који подржавају скрипте (`<script>` и `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Читачи екрана захтевају да ставке листе (`<li>`) буду обухваћене надређеним елементима `<ul>` или `<ol>` да би могле да се правилно читају. [Сазнајте више](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Ставке листе (`<li>`) нису обухваћене надређеним елементима`<ul>` или `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Ставке листе (`<li>`) су обухваћене надређеним елементима `<ul>` или `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Корисници не очекују да се страница аутоматски освежава и тиме се фокус премешта на почетак странице. То може да фрустира или збуњује кориснике. [Сазнајте више](https://web.dev/meta-refresh/)."},
"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Документ користи метаознаку `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Документ не користи метаознаку `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Онемогућавање зумирања представља проблем за слабовиде кориснике који се ослањају на увећавање приказа екрана да би могли да виде садржај веб-странице. [Сазнајте више](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` се користи у елементу `<meta name="viewport">` или је вредност атрибута `[maximum-scale]` мања од 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` се не користи у елементу `<meta name="viewport">`, а вредност атрибута `[maximum-scale]` није мања од 5.'},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Читачи екрана не могу да преводе садржај који није текст. Додавање alt текста елементима `<object>` омогућава да читачи екрана лакше пренесу значење корисницима. [Сазнајте више](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Елементи `<object>` не садрже текст `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Елементи `<object>` садрже текст `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Вредност већа од 0 означава експлицитно наручивање навигације. Иако је технички исправно, то често фрустрира кориснике који се ослањају на технологије за помоћ особама са инвалидитетом. [Сазнајте више](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Неки елементи имају вредност за `[tabindex]` која је већа од 0"},
"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Вредност ниједног елемента `[tabindex]` није већа од 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Читачи екрана имају функције које олакшавају кретање кроз табеле. Ако се побринете да се ћелије `<td>` које користе атрибут `[headers]` односе само на друге ћелије у истој табели, можете да побољшате доживљај за кориснике читача екрана. [Сазнајте више](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Ћелије у елементу `<table>` које користе атрибут `[headers]` односе се на елемент `id` који се не налази у истој табели."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Ћелије у елементу `<table>` које користе атрибут `[headers]` односе се на ћелије табеле у истој табели."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Читачи екрана имају функције које олакшавају кретање кроз табеле. Ако се побринете да се наслови табела увек односе на неку групу ћелија, можете да побољшате доживљај за кориснике читача екрана. [Сазнајте више](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Елементи `<th>` и елементи са атрибутом`[role="columnheader"/"rowheader"]` немају ћелије са подацима које описују.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Елементи `<th>` и елементи са атрибутом `[role="columnheader"/"rowheader"]` имају ћелије са подацима које описују.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Навођењем важећег кода [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) у елементима омогућава се да читач екрана правилно чита текст. [Сазнајте више](https://web.dev/valid-lang/)."},
"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Вредност атрибута `[lang]` није важећа"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Атрибути `[lang]` имају важећу вредност"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Када је доступан титл за видео, глуви корисници и они са оштећењем слуха лакше могу да приступају информацијама које видео обухвата. [Сазнајте више](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Елементи `<video>` не обухватају елемент `<track>` са атрибутом `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Елементи `<video>` садрже елемент `<track>` са атрибутом `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"Да би изглед на iOS-у био идеалан када корисници додају прогресивну веб-апликацију на почетни екран, дефинишите икону `apple-touch-icon`. Она мора да усмерава на нетранспарентни квадратни PNG од 192 пиксела (или 180 пиксела). [Сазнајте више](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Не пружа важећи атрибут `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Атрибут `apple-touch-icon-precomposed` је застарео; препоручује се `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Пружа важећи атрибут `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Актуелна вредност"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Предложени токен"},"lighthouse-core/audits/autocomplete.js | description":{
message:"`autocomplete` помаже корисницима да брже шаљу обрасце. Да би корисницима било лакше, не би било лоше да подесите атрибут `autocomplete` на важећу вредност и тиме омогућите ову ставку. [Сазнајте више](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Елементи `<input>` немају исправне атрибуте `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Захтева ручни преглед"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Прегледајте редослед токена"},"lighthouse-core/audits/autocomplete.js | title":{message:"Елементи `<input>` исправно користе `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Токени за `autocomplete`: „{token}“ није важећи за {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{
message:"Прегледајте редослед токена: „{tokens}“ у елементу {snippet}"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Додаци за Chrome су негативно утицали на брзину учитавања ове странице. Пробајте да проверите страницу у режиму без архивирања или са Chrome профила без додатака."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Процена скрипта"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Рашчлањивање скрипта"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Укупно CPU време"},"lighthouse-core/audits/bootup-time.js | description":{message:"Препоручујемо вам да смањите време потребно за рашчлањивање, компајлирање и извршавање JS датотека. Приказивање мањих JS ресурса ће вам можда помоћи у томе. [Сазнајте више](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Смањите време извршавања JavaScript датотека"},
"lighthouse-core/audits/bootup-time.js | title":{message:"Време извршавања JavaScript-а"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Уклоните велике, дуплиране JavaScript модуле из пакета да бисте смањили непотребну потрошњу података током мрежних активности. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Уклоните дуплиране модуле из JavaScript пакета"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Велики GIF-ови нису корисни за приказивање анимираног садржаја. Препоручујемо вам да уместо GIF-ова користите MPEG4/WebM видео снимке за анимације и PNG/WebP за статичне слике да бисте уштедели мрежне податке. [Сазнајте више](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Користите видео формате за анимирани садржај"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Полифили и трансформације омогућавају да старе верзије прегледача користе нове функције JavaScript-а. Међутим, многи нису неопходни за модерне прегледаче. За JavaScript пакете користите модерну стратегију примене скрипте помоћу откривања функција модулом/без модула да бисте смањили количину кода који се шаље модерним прегледачима, притом задржавајући подршку за старе верзије прегледача. [Сазнајте више](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Избегавајте приказивање застарелог JavaScript-а модерним прегледачима"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"Формати слика као што су JPEG 2000, JPEG XR и WebP често пружају бољу компресију него PNG или JPEG, што подразумева бржа преузимања и мању потрошњу података. [Сазнајте више](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Приказујте слике у форматима следеће генерације"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Препоручујемо вам да одложите учитавање слика ван екрана и скривених слика док се сви веома важни ресурси не учитају како бисте смањили време до почетка интеракције. [Сазнајте више](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Одложите слике ван екрана"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"Ресурси блокирају прво приказивање странице. Препоручујемо вам да приказујете све важне JS/CSS датотеке у тексту и да одложите све JS датотеке/стилове који нису толико важни. [Сазнајте више](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Елиминишите ресурсе који блокирају приказивање"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Велике мрежне ресурсе корисници морају да плате стварним новцем и они су веома повезани са дугим временима учитавања. [Сазнајте више](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Укупна величина је била {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Избегавајте огромне мрежне ресурсе"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"Избегава огромне мрежне ресурсе"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Умањивањем CSS датотека можете да смањите величине мрежних ресурса. [Сазнајте више](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Умањите CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Умањивање JavaScript датотека може да смањи величине ресурса и време рашчлањивања скрипта. [Сазнајте више](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Умањите JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Смањите некоришћена правила из описа стилова и одложите CSS који се не користи за садржај изнад прелома да бисте смањили потрошњу бајтова током мрежних активности. [Сазнајте више](https://web.dev/unused-css-rules/)."},
"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Смањите некоришћени CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Смањите некоришћени JavaScript и одложите учитавање скрипти док не буду потребне да бисте смањили потрошњу бајтова током мрежних активности. [Сазнајте више](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Смањите некоришћени JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Дуго трајање кеша може да убрза поновне посете страници. [Сазнајте више](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Пронађен је 1 ресурс}one{Пронађен је # ресурс}few{Пронађена су # ресурса}other{Пронађено је # ресурса}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{
message:"Приказујте статичне елементе са ефикасним смерницама кеша"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Користи ефикасне смернице кеша на статичним елементима"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Оптимизоване слике се учитавају брже и троше мање мобилних података. [Сазнајте више](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Ефикасно кодирајте слике"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Приказујте слике одговарајуће величине да бисте уштедели мобилне податке и побољшали време учитавања. [Сазнајте више](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Одредите одговарајућу величину слика"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Ресурсе засноване на тексту треба да приказујете у компримованом формату (gzip, deflate или brotli) да бисте смањили укупну количину потрошених мрежних података. [Сазнајте више](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Омогућите компресију текста"},"lighthouse-core/audits/content-width.js | description":{message:"Ако се ширина садржаја апликације не подудара са ширином области приказа, апликација можда није оптимизована за екране на мобилним уређајима. [Сазнајте више](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Величина области приказа од {innerWidth} пиксела се не подудара са величином прозора од {outerWidth} пиксела."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Садржај није одговарајуће величине за област приказа"},"lighthouse-core/audits/content-width.js | title":{
message:"Садржај је одговарајуће величине за област приказа"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Ланци веома важних захтева у наставку вам приказују који ресурси се учитавају са високим приоритетом. Препоручујемо вам да смањите дужину ланаца, да смањите величину преузимања за ресурсе или да одложите преузимање ресурса који нису неопходни ради бржег учитавања странице. [Сазнајте више](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Пронађен је 1 ланац}one{Пронађен је # ланац}few{Пронађена су # ланца}other{Пронађено је # ланаца}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Избегавајте прављење ланаца критичних захтева"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Директива"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Озбиљност"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Снажне смернице за безбедност садржаја знатно смањују ризик од напада скриптовањем динамички генерисаних веб-страница. [Сазнајте више](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Синтакса"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Страница садржи CSP дефинисан у <meta> ознаци. Саветујемо вам да дефинишете CSP у HTTP заглављу ако можете."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Није пронађен ниједан CSP у режиму примене"},"lighthouse-core/audits/csp-xss.js | title":{message:"Уверите се да је CSP ефикасан у борби против XSS напада"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Застарело/упозорење"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Ред"},"lighthouse-core/audits/deprecations.js | description":{message:"Застарели API-ји ће на крају бити уклоњени из прегледача. [Сазнајте више](https://web.dev/deprecations/)."},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Откривено је 1 упозорење}one{Откривено је # упозорење}few{Откривена су # упозорења}other{Откривено је # упозорења}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Користи застареле API-је"},"lighthouse-core/audits/deprecations.js | title":{message:"Избегава застареле API-је"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Кеш апликације је застарео. [Сазнајте више](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"Пронађено је „{AppCacheManifest}“"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Користи кеш апликације"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Избегава кеш апликације"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"Утврђивање кодирања знакова је обавезно. То може да се уради помоћу ознаке `<meta>` у прва 1024 бајта HTML-а или у HTTP заглављу одговора Content-Type. [Сазнајте више](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Charset није утврђен или се утврђује прекасно у HTML-у"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Правилно дефинисан charset"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Навођењем doctype-а спречава се прелазак на архајски режим прегледача. [Сазнајте више](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Назив за doctype мора да буде стринг написан малим словима `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Документ мора да садржи doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{
message:"Очекивани publicId ће бити празан стринг"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Очекивани systemId ће бити празан стринг"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Страници недостаје HTML doctype, па се активира архајски режим"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Страница има HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Статистика"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Вредност"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"Велики DOM ће повећати потрошњу меморије, изазвати дужа [израчунавања стилова](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) и довести до скупих [преобликовања изгледа](https://developers.google.com/speed/articles/reflow). [Сазнајте више](https://web.dev/dom-size/)."
},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 елемент}one{# елемент}few{# елемента}other{# елемената}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Избегавајте превелику величину DOM-а"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Максимална дубина DOM-а"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Укупан број DOM елемената"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Максималан број подређених елемената"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Избегава превелику величину DOM-а"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Сидра која нису прошла проверу"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{
message:'Додајте `rel="noopener"` или`rel="noreferrer"` свим спољним линковима да бисте побољшали учинак и спречили безбедносне пропусте. [Сазнајте више](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Линкови до одредишта из других извора нису безбедни"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Линкови до одредишта из других извора су безбедни"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Није могуће одредити одредиште за текст линка ({anchorHTML}). Ако се не користи као хиперлинк, препоручујемо вам да уклоните target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{
message:"Корисници немају поверења у сајтове који траже њихову локацију без контекста или их такви сајтови збуњују. Препоручујемо вам да уместо тога повежете захтев са радњом коју обавља корисник. [Сазнајте више](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Тражи дозволу за геолоцирање при учитавању странице"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Избегавајте тражење дозволе за геолоцирање при учитавању странице"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Тип проблема"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Проблеми евидентирани у окну `Issues` у Chrome алаткама за програмере указују на нерешене проблеме. Они могу да буду резултат неуспелих мрежних захтева, недовољних безбедносних контрола и других проблема у вези са прегледачем. Отворите окно Проблеми у Chrome алаткама за програмере да бисте пронашли више детаља о сваком проблему."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Проблеми су евидентирани у окну `Issues` у Chrome алаткама за програмере"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Блокирају смернице за захтеве из других извора"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Огласи користе много ресурса"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Нема проблема у окну `Issues` у Chrome алаткама за програмере"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Верзија"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Све корисничке JavaScript библиотеке откривене на овој страници. [Сазнајте више](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Откривене су JavaScript библиотеке"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Ако корисници имају споре везе, спољне скрипте које се динамички убацују помоћу атрибута `document.write()` могу да одложе учитавање странице за десетине секунди. [Сазнајте више](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Избегните `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Избегава атрибут `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Највиши ниво озбиљности"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Верзија библиотеке"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Број пропуста"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Неке независне скрипте могу да обухватају познате безбедносне пропусте које нападачи могу лако да препознају и искористе. [Сазнајте више](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Откривен је 1 пропуст}one{Откривен је # пропуст}few{Откривена су # пропуста}other{Откривено је # пропуста}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Обухвата корисничке JavaScript датотеке са познатим безбедносним пропустима"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Избегава корисничке JavaScript датотеке са познатим безбедносним пропустима"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Корисници немају поверења у сајтове који траже дозволу за слање обавештења без контекста или их такви сајтови збуњују. Препоручујемо вам да уместо тога повежете захтев са покретима корисника. [Сазнајте више](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Тражи дозволу за обавештења при учитавању странице"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Избегавајте тражење дозволе за обавештења при учитавању странице"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Спречавање лепљења лозинке нарушава добре смернице за безбедност. [Сазнајте више](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Спречава кориснике да налепе вредност у поља за лозинке"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Дозвољава корисницима да налепе вредност у поља за лозинке"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Протокол"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 има бројне предности у односу на HTTP/1.1, укључујући бинарна заглавља и мултиплексирање. [Сазнајте више](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 захтев није испоручен преко протокола HTTP/2}one{# захтев није испоручен преко протокола HTTP/2}few{# захтева нису испоручена преко протокола HTTP/2}other{# захтева није испоручено преко протокола HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{
message:"Користите HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Препоручујемо вам да пасивне обрађиваче догађаја означите као `passive` да бисте побољшали резултате померања. [Сазнајте више](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Не користите пасивне обрађиваче да бисте побољшали учинак померања"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Користите пасивне обрађиваче да бисте побољшали учинак померања"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Грешке евидентиране у конзоли указују на нерешене проблеме. Оне су резултат неуспелих мрежних захтева и других проблема у вези са прегледачем. [Сазнајте више](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Грешке прегледача су евидентиране у конзоли"},
"lighthouse-core/audits/errors-in-console.js | title":{message:"Ниједна грешка прегледача није евидентирана у конзоли"},"lighthouse-core/audits/font-display.js | description":{message:"Искористите CSS функцију за приказ фонтова да бисте били сигурни да корисник може да види текст док се веб-фонтови учитавају. [Сазнајте више](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Побрините се да текст остане видљив током учитавања веб-фонтова"},"lighthouse-core/audits/font-display.js | title":{message:"Сав текст остаје видљив током учитавања веб-фонтова"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{Lighthouse није успео да аутоматски провери вредност `font-display` за полазни URL {fontOrigin}.}one{Lighthouse није успео да аутоматски провери `font-display` вредности за полазни URL {fontOrigin}.}few{Lighthouse није успео да аутоматски провери `font-display` вредности за полазни URL {fontOrigin}.}other{Lighthouse није успео да аутоматски провери `font-display` вредности за полазни URL {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Размера (стварна)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Размера (приказана)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Димензије приказа слике треба да се подударају са природном размером. [Сазнајте више](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Приказује слике са погрешном размером"},
"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Приказује слике са тачном размером"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Стварна величина"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Приказана величина"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Очекивана величина"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Природне димензије слике треба да буду пропорционалне размери величине екрана и пиксела да би слике биле што јасније. [Сазнајте више](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Приказује слике са ниском резолуцијом"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Приказује слике са одговарајућом резолуцијом"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Апликација је већ инсталирана"},
"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Преузимање обавезне иконе из манифеста није успело"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Разлог неуспеха"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Сервисер је технологија која омогућава апликацији да користи многе функције прогресивних веб-апликација, попут офлајн рада, додавања на почетни екран и искачућих обавештења. Уз одговарајуће примене сервисера и манифеста прегледачи могу проактивно да траже од корисника да додају апликацију на почетни екран, што може да доведе до већег ангажовања. [Сазнајте више](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 разлог}one{# разлог}few{# разлога}other{# разлога}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{
message:"Манифест веб-апликације или сервисер не задовољава услове за инсталирање"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL апликације у Play продавници и ИД у Play продавници се не подударају"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Страница се учитава у прозору без архивирања"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Својство „display“ у манифесту мора да буде „standalone“, „fullscreen“ или „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Манифест садржи поље „display_override“, а први подржани начин приказивања мора да буде „standalone“, „fullscreen“ или „minimal-ui“"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Преузимање или рашчлањивање манифеста није успело или је он празан"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{
message:"URL манифеста је промењен током преузимања манифеста."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Манифест не садржи поље „name“ или „short_name“"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"Манифест не садржи одговарајућу икону – обавезан је PNG, SVG или WebP формат који има најмање {value0} пиксела, атрибут за величине мора да буде подешен, а атрибут за сврху, ако је подешен, мора да обухвата „Било који“."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Ниједна од наведених икона није у облику квадрата од најмање {value0} пиксела у PNG, SVG или WebP формату, са атрибутом сврхе који није подешен или је подешен на „Било који“"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Преузета икона је била празна или оштећена"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{
message:"Није наведен ИД у Play продавници"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Страница не садржи <link> URL манифеста"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Није откривен ниједан одговарајући сервисер. Можда ћете морати поново да учитате страницу или да проверите да ли опсег сервисера за актуелну страницу обухвата опсег и почетни URL из манифеста."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Провера сервисера без поља „start_url“ у манифесту није успела"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ИД грешке у вези са могућношћу инсталирања „{errorId}“ није препознат"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Страница се не приказује из безбедног извора"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Страница се не учитава у главном оквиру"},
"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Страница не ради офлајн"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Наведена платформа за апликације није подржана на Android-у"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Манифест наводи prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Ставка prefer_related_applications је подржана само у Chrome-у бета и на Стабилним каналима на Android-у."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Почетни URL манифеста није важећи"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Манифест веб-апликације и сервисер задовољавају услове за инсталирање"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{
message:"URL у манифесту садржи корисничко име, лозинку или порт"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Страница не ради офлајн. Сматраће се да страница не може да се инсталира после Chrome-а 93, чија стабилна верзија излази у августу 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Дозвољен"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Блокиран"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Небезбедан URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Разрешење захтева"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Сви сајтови треба да буду заштићени HTTPS-ом, чак и они који не обрађују осетљиве податке. То обухвата избегавање [мешовитог садржаја](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), односно учитавање неких ресурса преко HTTP-а иако се почетни захтев приказује преко HTTPS-а. HTTPS спречава уљезе да неовлашћено приступају комуникацији између апликације и корисника или да је пасивно слушају. Он је предуслов за HTTP/2 i API-је бројних нових веб-платформи. [Сазнајте више](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Пронађен је 1 небезбедан захтев}one{Пронађен је # небезбедан захтев}few{Пронађена су # небезбедна захтева}other{Пронађено је # небезбедних захтева}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Не користи HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Користи HTTPS"},
"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Аутоматски надограђен на HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Дозвољен уз упозорење"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Библиотека"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Велике JavaScript библиотеке могу да доведу до лошег учинка. Користите мање, функционално еквивалентне библиотеке да бисте смањили величину пакета. [Сазнајте више](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Пронађена је 1 велика библиотека}one{Пронађена је # велика библиотека}few{Пронађене су # велике библиотеке}other{Пронађено је # великих библиотека}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"Замените непотребно велике JavaScript библиотеке"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Избегава велике JavaScript библиотеке за које постоје мање алтернативе"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Ово је највећи елемент садржаја који је приказан у области приказа. [Сазнајте више](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Елемент са највећим приказивањем садржаја"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS допринос"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Ови DOM елементи највише доприносе CLS-у странице."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Избегавајте велике промене распореда"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Наводи најдуже задатке у главној нити, што је корисно за идентификовање оних који највише доприносе кашњењу приказа. [Сазнајте више](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Пронађен је # дуги задатак}one{Пронађен је # дуги задатак}few{Пронађена су # дуга задатка}other{Пронађено је # дугих задатака}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Избегавајте дуге задатке у главној нити"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Категорија"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Препоручујемо вам да смањите време потребно за рашчлањивање, компајлирање и извршавање JS датотека. Приказивање мањих JS ресурса ће вам можда помоћи у томе. [Сазнајте више](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Смањите рад главне нити"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Смањује рад главне нити"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Да би имали што више корисника, сајтови треба да раде у свим значајнијим прегледачима. [Сазнајте више](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Сајт ради у различитим веб-прегледачима"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Уверите се да до појединачних страница воде прецизни линкови преко URL-ова и да су URL-ови јединствени у сврху дељења на друштвеним медијима. [Сазнајте више](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Свака страница има URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Корисници треба да имају утисак да су прелази брзи док додирују ставке, чак и на спорој мрежи. Овај доживљај је кључан за утисак који ће корисник имати о учинку. [Сазнајте више](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Преласци са странице на страницу не делују као да се блокирају због мреже"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Икона која може да се маскира омогућава да слика прекрије цео облик без водоравног оивичења када се апликација инсталира на уређају. [Сазнајте више](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Манифест не садржи икону која може да се маскира"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Манифест садржи икону која може да се маскира"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Кумулативни помак садржаја странице мери кретање видљивих елемената унутар области приказа. [Сазнајте више](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Прво приказивање садржаја означава време када се приказују први текст или слика. [Сазнајте више](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Прво значајно приказивање означава време када примарни садржај странице постаје видљив. [Сазнајте више](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Време до интеракције је количина времена која је потребна да би страница постала потпуно интерактивна. [Сазнајте више](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Највеће приказивање садржаја означава тренутак у којем се приказују највећи текст или слика. [Сазнајте више](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Максимално потенцијално кашњење првог приказа које може да се деси корисницима је трајање најдужег задатка. [Сазнајте више](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Индекс брзине приказује колико брзо садржај странице постаје видљив за кориснике. [Сазнајте више](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Збир свих периода између FCP-а и времена до почетка интеракције, када задатак траје дуже од 50 ms, изражено у милисекундама. [Сазнајте више](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Трајања повратног пута (RTT) мреже знатно утичу на учинак. Ако је трајање повратног пута до почетне локације велико, то значи да би сервери који су ближи кориснику могли да побољшају учинак. [Сазнајте више](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Трајања повратног пута мреже"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Кашњења сервера могу да утичу на учинак веба. Ако је кашњење сервера за почетну локацију велико, то значи да је сервер преоптерећен или да има слаб позадински учинак. [Сазнајте више](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Позадинска кашњења сервера"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Догађај `unload` се не покреће поуздано и ако се он обрађује, то може да спречи оптимизације прегледача попут кеша за кретање уназад и унапред. Предлажемо вам да користите догађаје `pagehide` или `visibilitychange` уместо њега. [Сазнајте више](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Региструје обрађивача догађаја `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Избегава обрађиваче догађаја `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Анимације које нису композитне могу да буду проблематичне и да повећавају кумулативни помак садржаја странице. [Сазнајте више](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Пронађен је # анимиран елемент}one{Пронађен је # анимиран елемент}few{Пронађена су # анимирана елемента}other{Пронађено је # анимираних елемената}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Својство које се односи на филтере може да помера пикселе"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Циљ има другу анимацију која је некомпатибилна"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Ефекат има композитни режим који није „replace“"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Избегавајте анимације које нису композитне"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Својство везано за трансформацију зависи од величине оквира"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Неподржано CSS својство: {properties}}one{Неподржана CSS својства: {properties}}few{Неподржана CSS својства: {properties}}other{Неподржана CSS својства: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Ефекат има неподржане параметре времена"},"lighthouse-core/audits/performance-budget.js | description":{message:"Захтеве за количину и величину мреже одржавајте испод граница одређених циљевима за учинак. [Сазнајте више](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 захтев}one{# захтев}few{# захтева}other{# захтева}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Циљ за учинак"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Предучитајте `optional` фонтове да би нови посетиоци могли да их користе. [Сазнајте више](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Фонтови који користе `font-display: optional` нису предучитани"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Фонтови који користе `font-display: optional` су предучитани"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Предучитајте слику коју користи елемент са највећим приказивањем садржаја да бисте смањили време за највеће приказивање садржаја. [Сазнајте више](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Предучитајте слику са највећим приказивањем садржаја"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Ако сте већ подесили HTTPS, уверите се да преусмеравате сав HTTP саобраћај на HTTPS да бисте омогућили безбедне веб-функције за све кориснике. [Сазнајте више](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Не преусмерава HTTP саобраћај на HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Преусмерава HTTP саобраћај на HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Преусмеравања доводе до додатних кашњења пре учитавања странице. [Сазнајте више](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Избегавајте вишеструка преусмеравања странице"},"lighthouse-core/audits/resource-summary.js | description":{message:"Да бисте подесили циљеве за количину и величину ресурса странице, додајте датотеку budget.json file. [Сазнајте више](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{1 захтев • {byteCount, number, bytes} KiB}one{# захтев • {byteCount, number, bytes} KiB}few{# захтева • {byteCount, number, bytes} KiB}other{# захтева • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Омогући да број захтева и величине преноса буду мали"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Канонички линкови предлажу који URL треба да се прикаже у резултатима претраге. [Сазнајте више](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Више неусаглашених URL-ова ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Усмерава ка другом домену ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Неважећи URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Усмерава на другу `hreflang` локацију ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Релативни URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Усмерава на основни URL домена (почетну страницу), уместо еквивалентне странице садржаја"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Документ нема важећу вредност `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Документ има важећи атрибут `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Линк који не може да се попише"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Претраживачи могу да користе `href` атрибуте на линковима за пописивање веб-сајтова. Уверите се да `href` атрибут елемената сидра води на одговарајуће одредиште како би више страница са сајта могло да се открије. [Сазнајте више](https://support.google.com/webmasters/answer/9112205)"},
"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Линкови не могу да се попишу"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Линкови могу да се попишу"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Додатан нечитљив текст"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Величина фонта"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Проценат текста на страници"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Бирач"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Величине фонтова испод 12 пиксела су премале да би биле читљиве и због њих корисници на мобилним уређајима морају да „зумирају прстима“ како би могли да читају садржај. Потрудите се да >60% текста странице буде ≥12 пиксела. [Сазнајте више](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{
message:"{decimalProportion, number, extendedPercent} читљивог текста"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Текст није читљив јер не постоји метаознака области приказа која је оптимизована за екране на мобилним уређајима."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Документ не користи читљиве величине фонтова"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Читљив текст"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Документ користи читљиве величине фонтова"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"Линкови hreflang обавештавају претраживаче коју верзију странице треба да наведу у резултатима претраге за дати језик или регион. [Сазнајте више](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Документ нема важећи атрибут `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{
message:"Релативна href вредност"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Документ има важећи атрибут `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Неочекивани кôд језика"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Странице са неуспешним HTTP кодовима статуса можда неће бити правилно индексиране. [Сазнајте више](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Страница има неуспешан HTTP кôд статуса"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Страница има успешан HTTP кôд статуса"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Претраживачи не могу да уврсте странице у резултате претраге ако немају дозволу да их пописују. [Сазнајте више](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Индексирање странице је блокирано"},
"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Индексирање странице није блокирано"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Описни текст у линковима помаже претраживачима да разумеју садржај. [Сазнајте више](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Пронађен је 1 линк}one{Пронађен је # линк}few{Пронађена су # линка}other{Пронађено је # линкова}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Линкови немају описни текст"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Линкови имају описни текст"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{
message:"Покрените [алатку за тестирање структурираних података](https://search.google.com/structured-data/testing-tool/) и [алатку за анализирање структурираних података](http://linter.structured-data.org/) да бисте проценили структуриране податке. [Сазнајте више](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Структурирани подаци су важећи"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Метаописи могу да буду уврштени у резултате претраге да би пружили сажети резиме садржаја странице. [Сазнајте више](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Поље за текст описа је празно."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Документ нема метаопис"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Документ има метаопис"},"lighthouse-core/audits/seo/plugins.js | description":{
message:"Претраживачи не могу да индексирају садржај додатних компонената, а многи уређаји ограничавају додатне компоненте или их не подржавају. [Сазнајте више](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Документ користи додатне компоненте"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Документ избегава додатне компоненте"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Ако датотека robots.txt није правилно направљена, пописивачи можда неће моћи да разумеју како желите да се веб-сајт попише или индексира. [Сазнајте више](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Захтев за датотеку robots.txt вратио је HTTP статус: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Пронађена је 1 грешка}one{Пронађена је # грешка}few{Пронађене су # грешке}other{Пронађено је # грешака}}"
},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse није успео да преузме датотеку robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Датотека robots.txt није важећа"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Датотека robots.txt је важећа"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Интерактивни елементи попут дугмади и линкова треба да буду довољно велики (48×48 пиксела) и да имају довољно простора око себе да би било лако да се додирну без преклапања са другим елементима. [Сазнајте више](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} циљева додиривања има одговарајућу величину"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Циљеви додиривања су премали јер не постоји метаознака области приказа која је оптимизована за екране на мобилним уређајима"
},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Циљеви додиривања немају одговарајућу величину"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Циљ који се преклапа"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Циљ додиривања"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Циљеви додиривања имају одговарајућу величину"},"lighthouse-core/audits/server-response-time.js | description":{message:"Време одговора сервера за главни документ треба да буде кратко јер сви други захтеви зависе од њега. [Сазнајте више](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Основном документу је требало {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Скратите почетно време одговора сервера"},"lighthouse-core/audits/server-response-time.js | title":{
message:"Почетно време одговора сервера је било кратко"},"lighthouse-core/audits/service-worker.js | description":{message:"Сервисер је технологија која омогућава апликацији да користи многе функције прогресивних веб-апликација, попут офлајн рада, додавања на почетни екран и искачућих обавештења. [Сазнајте више](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Ову страницу контролише сервисер, али није пронађен ниједан `start_url` јер није успело рашчлањивање манифеста као важеће JSON датотеке"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Ову страницу контролише сервисер, али `start_url` ({startUrl}) не спада у опсег сервисера ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Ову страницу контролише сервисер, али није пронађен ниједан `start_url` јер ниједан манифест није преузет."},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Овај извор има један или више сервисера, али страница ({pageUrl}) није у опсегу."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Не региструје сервисер који контролише страницу и `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Региструје сервисер који контролише страницу и `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Тематски уводни екран обезбеђује квалитетан доживљај када корисници покрећу апликацију са почетних екрана. [Сазнајте више](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Није конфигурисано за прилагођени уводни екран"},"lighthouse-core/audits/splash-screen.js | title":{message:"Конфигурисано за прилагођени уводни екран"},"lighthouse-core/audits/themed-omnibox.js | description":{
message:"Трака за адресу прегледача може да има тему која одговара сајту. [Сазнајте више](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Не подешава боју теме за траку за адресу."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Подешава боју теме за траку за адресу."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (успех клијената)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (маркетинг)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (друштвене мреже)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (видео)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Производ"},"lighthouse-core/audits/third-party-facades.js | description":{
message:"Нека уграђивања трећих страна могу одложено да се учитавају. Предлажемо да их замените фасадом док не буду потребна. [Сазнајте више](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Доступна је # алтернативна фасада}one{Доступна је # алтернативна фасада}few{Доступне су # алтернативне фасаде}other{Доступно је # алтернативних фасада}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Неки ресурси трећих страна могу одложено да се учитавају помоћу фасаде"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Одложено учитавајте ресурсе трећих страна помоћу фасада"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Независни добављач"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"Кôд независног добављача може значајно да утиче на учинак учитавања. Ограничите број сувишних независних добављача услуге и пробајте да учитате кôд независног добављача када страница примарно заврши са учитавањем. [Сазнајте више](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Кôд независног добављача је блокирао главну нит {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Смањите утицај кода независног добављача"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Смањите коришћење садржаја треће стране"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Мерење"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Показатељ"},"lighthouse-core/audits/timing-budget.js | description":{
message:"Подесите буџет за брзину учитавања да бисте лакше пратили учинак сајта. Сајтови са добрим учинком се учитавају за кратко време и брзо реагују на догађаје уноса корисника. [Сазнајте више](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Буџет за брзину учитавања"},"lighthouse-core/audits/unsized-images.js | description":{message:"Подесите експлицитну ширину и висину у елементима слика ради смањења прелаза изгледа и побољшања кумулативног помака садржаја странице. [Сазнајте више](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Елементи слика немају експлицитне: `width` и `height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"Елементи слика имају експлицитне: `width` и `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Тип"},"lighthouse-core/audits/user-timings.js | description":{
message:"Препоручујемо вам да опремите апликацију API-јем за време корисника да бисте измерили учинак апликације у реалном свету током кључних корисничких доживљаја. [Сазнајте више](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 време корисника}one{# време корисника}few{# времена корисника}other{# времена корисника}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Ознаке и мере Времена корисника"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"Повезивање унапред `<link rel=preconnect>` је пронађено за „{securityOrigin}“, али га прегледач није употребио. Проверите да ли правилно користите атрибут `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Размислите о томе да додате савете за ресурсе `preconnect` или `dns-prefetch` како бисте успоставили ране везе са важним изворима трећих страна. [Сазнајте више](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Повежите се унапред са потребним изворима"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Пронађено је више од 2 повезивања `<link rel=preconnect>`. Она треба да се користе ретко и само до најважнијих извора."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"Повезивање унапред `<link rel=preconnect>` је пронађено за „{securityOrigin}“, али га прегледач није употребио. Користите `preconnect` само за важне изворе које ће страница сигурно захтевати."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:"Предучитавање `<link>` је пронађено за „{preloadURL}“, али га прегледач није употребио. Проверите да ли правилно користите атрибут `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Препоручујемо вам да користите `<link rel=preload>` како бисте касније током учитавања странице дали приоритет преузимању ресурса који се тренутно траже. [Сазнајте више](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Унапред учитајте најважније захтеве"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL мапе"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Изворне мапе преводе умањен кôд у оригинални изворни кôд. То помаже програмерима при отклањању грешака у производњи. Поред тога, Lighthouse садржи додатни увид. Не би било лоше да примените изворне мапе да бисте могли да користите те предности. [Сазнајте више](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Недостају изворне мапе за велики JavaScript прве стране"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Великом JavaScript фајлу недостаје изворна мапа"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Упозорење: недостаје 1 ставка у атрибуту `.sourcesContent`}one{Упозорење: недостаје # ставка у атрибуту `.sourcesContent`}few{Упозорење: недостају # ставке у атрибуту `.sourcesContent`}other{Упозорење: недостаје # ставки у атрибуту `.sourcesContent`}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"Страница има важеће изворне мапе"},"lighthouse-core/audits/viewport.js | description":{message:'Додајте ознаку `<meta name="viewport">` да бисте оптимизовали апликацију за екране на мобилним уређајима. [Сазнајте више](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Није пронађена ознака `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Нема ознаку `<meta name="viewport">` са ознакама `width` или `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Има ознаку `<meta name="viewport">` са ознаком `width` или `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"То су прилике да побољшате коришћење ARIA улога у апликацији, чиме може да побољша доживљај корисника технологије за помоћ особама са инвалидитетом, као што је читач екрана."},
"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"То су прилике да пружите алтернативни садржај за аудио и видео датотеке. То може да побољша доживљај за кориснике са оштећеним слухом или видом."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Звук и видео"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Ове ставке истичу уобичајене најбоље праксе у вези са приступачношћу."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Најбоље праксе"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Ове провере истичу прилике за [побољшање приступачности веб-апликације](https://developers.google.com/web/fundamentals/accessibility). Аутоматски може да се открије само један подскуп проблема са приступачношћу, па препоручујемо да обављате и ручно тестирање."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Ове ставке обрађују области које алатка за аутоматизовано тестирање не може да обухвати. Сазнајте више у водичу о [спровођењу прегледа приступачности](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Приступачност"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"То су прилике да побољшате читљивост садржаја."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Контраст"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{
message:"То су прилике да побољшате тумачење свог садржаја за кориснике на различитим језицима."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Интернационализација и локализација"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"То су прилике да побољшате семантику контрола у апликацији. То може да побољша доживљај корисника технологије за помоћ особама са инвалидитетом, као што је читач екрана."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Називи и ознаке"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Ово су прилике да побољшате кретање по тастатури у апликацији."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Навигација"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"Ово су прилике за побољшање доживљаја при читању података из табела или листа помоћу технологије за помоћ особама са инвалидитетом, попут читача екрана."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Табеле и листе"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Компатибилност прегледача"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Најбоље праксе"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Опште"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Поверење и безбедност"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Кориснички доживљај"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Циљевима за учинак одређују се стандарди за учинак сајта."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{
message:"Циљеви"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Више информација о учинку апликације. Ови бројеви не [утичу директно](https://web.dev/performance-scoring/) на оцену учинка."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Дијагностика"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Најважнији аспект учинка је брзина којом се пиксели приказују на екрану. Кључни показатељи: Прво приказивање садржаја, Прво значајно приказивање"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Побољшања првог приказивања"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Ови предлози могу да вам помогну да се страница учитава брже. Не [утичу директно](https://web.dev/performance-scoring/) на оцену учинка."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{
message:"Могућности"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Показатељи"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Побољшајте општи доживљај учитавања да би страница почела да се одазива и да би била спремна за коришћење у најкраћем могућем року. Кључни показатељи: Време почетка интеракције, Индекс брзине"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Општа побољшања"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Учинак"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Овим проверама се оцењују аспекти прогресивне веб-апликације. [Сазнајте више](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Ове провере захтева основна [Контролна листа за прогресивне веб-апликације](https://developers.google.com/web/progressive-web-apps/checklist), али их Lighthouse не спроводи аутоматски. Оне не утичу на ваш резултат, али је важно да их ручно потврдите."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Прогресивна веб-апликација"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Може да се инсталира"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Оптимизовано за PWA"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"Захваљујући овим проверама страница ће сигурно бити оптимизована за рангирање резултата претраживача. Има још неких фактора које Lighthouse не проверава, а који могу да утичу на рангирање у претрази. [Сазнајте више](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"Покрећите ове додатне валидаторе на сајту да бисте проверили додатне најбоље праксе оптимизације за претраживаче."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"Оптимизација за претраживаче"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Форматирајте HTML садржај на начин који омогућава пописивачима да боље разумеју садржај апликације."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Најбоље праксе за садржај"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Да би се апликација појавила у резултатима претраге, пописивачи треба да имају приступ до ње."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Пописивање и индексирање"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"Уверите се да су странице прилагођене мобилним уређајима да корисници не би морали да умањују или увећавају приказ како би читали странице са садржајем. [Сазнајте више](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Прилагођено мобилним уређајима"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Изгледа да тестирани уређај има спорији процесор него што  Lighthouse очекује. То може негативно да утиче на оцену учинка. Сазнајте више о [калибрисању одговарајућег множиоца у вези са успоравањем процесора](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Страница се можда не учитава на очекиван начин зато што је пробни URL ({requested}) преусмерен на {final}. Пробајте директно да тестирате други URL."},
"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Учитавање странице је било преспоро да би се довршило у оквиру временског ограничења. Резултати могу да буду непотпуни."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{На овој локацији можда има сачуваних података који утичу на ефикасност учитавања: {locations}. Проверите ту страницу у прозору без архивирања да бисте спречили да ти ресурси утичу на резултате.}one{На овим локацијама можда има сачуваних података који утичу на ефикасност учитавања: {locations}. Проверите ту страницу у прозору без архивирања да бисте спречили да ти ресурси утичу на резултате.}few{На овим локацијама можда има сачуваних података који утичу на ефикасност учитавања: {locations}. Проверите ту страницу у прозору без архивирања да бисте спречили да ти ресурси утичу на резултате.}other{На овим локацијама можда има сачуваних података који утичу на ефикасност учитавања: {locations}. Проверите ту страницу у прозору без архивирања да бисте спречили да ти ресурси утичу на резултате.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Можете да додате https: и http: URL шеме (које игноришу прегледачи који подржавају strict-dynamic) ради компатибилности уназад са старијим прегледачима."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Директива disown-opener је застарела од смерница CSP3. Користите заглавље за Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Директива referrer је застарела од смерница CSP2. Користите заглавље за Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Директива reflected-xss је застарела од смерница CSP2. Користите заглавље за X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Base-uri који недостаје омогућава уметнутим ознакама <base> да подесе основни URL за све релативне URL-ове (нпр. скрипте) до домена који контролише нападач. Саветујемо вам да подесите base-uri на „none“ или „self“."},
"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Елементи које контролише object-src сматрају се застарелим функцијама. Саветујемо вам да подесите директиву object-src на „none“ да бисте спречили уметање додатних компоненти које извршавају небезбедне скрипте."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Директива script-src недостаје. То може да омогући извршавање небезбедних скрипти."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Да ли сте заборавили тачку и зараз? Изгледа да је {keyword} дирекива, а не кључна реч."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Једнократни кључеви морају да користе base64 charset."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Једнократни кључеви морају да имају бар 8 знакова."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{
message:"Одредиште за извештаје се конфигурише само преко директиве report-to. Ова директива је подржана само у прегледачима заснованим на Chromium-у, па се препоручује да користите директиву report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Ниједан CSP не конфигурише одредиште за извештаје. Тиме се отежава одржавање CSP-а током времена и праћење отказивања."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Листе дозвољених хостова често могу да се заобиђу. Саветујемо вам да користите директиву strict-dynamic у комбинацији са CSP једнократним кључевима и хешовима."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Непозната CSP директива."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Изгледа да је {keyword} неважећа кључна реч."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"Директива unsafe-inline омогућава извршавање небезбедних скрипти и обрађивача догађаја на страници. Саветујемо вам да користите CSP једнократне кључеве или хешеве да бисте појединачно дозвољавали скрипте."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Саветујемо вам да додате директиву unsafe-inline (коју игноришу прегледачи који подржавају једнократне кључеве/хешове) ради компатибилности уназад са старијим прегледачима."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Период блокирања главне нити"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Време преживљавања кеша"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Опис"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Трајање"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Елемент"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Елементи који нису прошли проверу"},
"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Локација"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Назив"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Премашује циљ"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Захтеви"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Величина ресурса"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Тип ресурса"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Величина"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Извор"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Време почетка"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Проведено време"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Величина преноса"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Потенцијална уштеда"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Потенцијална уштеда"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Потенцијална уштеда од {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Пронађен је 1 елемент}one{Пронађен је # елемент}few{Пронађена су # елемента}other{Пронађено је # елемената}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Потенцијална уштеда од {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Документ"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Прво значајно приказивање"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Фонт"
},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Слика"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Висока"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Ниска"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Средња"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Макс. потенцијално кашњење првог приказа"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Медији"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Друго"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Остали ресурси"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Скрипта"},
"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} сек"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Опис стила"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Независни ресурси"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Укупно"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Дошло је до грешке при евидентирању трага током учитавања странице. Поново покрените Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Временско ограничење чекања на иницијалну везу за протокол програма за отклањање грешака."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Chrome није прикупио ниједан снимак екрана током учитавања странице. Уверите се да је садржај видљив на страници, па пробајте да поново покренете Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS сервери нису могли да разреше наведени домен."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Прикупљач за обавезни ресурс {artifactName} је наишао на грешку: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Дошло је до интерне грешке у Chrome-у. Поново покрените Chrome и пробајте да поново покренете Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Прикупљач за обавезни ресурс {artifactName} се није покренуо."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Страница није приказала никакав садржај. Уверите се да је прозор прегледача у првом плану током учитавања и пробајте поново. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"Наведена страница није HTML (приказује се као {mimeType} MIME типа)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Ова верзија Chrome-а је престара да би подржавала „{featureName}“. Користите новију верзију да бисте видели комплетне резултате."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse није успео да поуздано учита страницу коју сте захтевали. Уверите се да тестирате одговарајући URL и да сервер правилно одговара на све захтеве."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse није успео да поуздано учита URL који сте захтевали јер је страница престала да реагује."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"URL који сте навели нема важећи безбедносни сертификат. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome је спречио учитавање странице са транзитивним огласом. Уверите се да тестирате одговарајући URL и да сервер правилно одговара на све захтеве."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse није успео да поуздано учита страницу коју сте захтевали. Уверите се да тестирате одговарајући URL и да сервер правилно одговара на све захтеве. (Детаљи: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse није успео да поуздано учита страницу коју сте захтевали. Уверите се да тестирате одговарајући URL и да сервер правилно одговара на све захтеве. (Кôд статуса: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Учитавање странице је трајало предуго. Пратите прилике у извештају да бисте скратили време учитавања странице, па поново покрените Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Одговор протокола DevTools се чека дуже од додељеног периода. (Метод: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Преузимање садржаја ресурса траје дуже од додељеног периода."},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Изгледа да је URL који сте навели неважећи."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Све"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Све скрипте"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Покривеност"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Дуплирани модули"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Бајтови ресурса"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Назив"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Укључи/искључи табелу"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Неискоришћени бајтови"
},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Када је у питању анимирани садржај, користите [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) да бисте смањили коришћење процесора када садржај није на екрану."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Размислите о томе да прикажете све компоненте [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) у WebP форматима уз навођење прикладног резервног решења за друге прегледаче. [Сазнајте више](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Уверите се да користите ознаке [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) за слике како би се оне аутоматски одложено учитавале. [Сазнајте више](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Користите алатке као што је [AMP оптимизатор](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) да бисте [приказивали AMP распореде на серверу](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Погледајте [документацију за AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) да бисте се уверили да су сви стилови подржани."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Компонента [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) подржава атрибут [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) да би назначила које сликовне елементе да користи на основу величине екрана. [Сазнајте више](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Размислите о томе да користите виртуелно померање помоћу Component Dev Kit-а (CDK) ако се приказују веома велике листе. [Сазнајте више](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"Примените [раздвајање кода на нивоу руте](https://web.dev/route-level-code-splitting-in-angular/) да бисте смањили величину JavaScript пакета. Такође размислите о томе да унапред кеширате елементе помоћу [сервисера Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Ако користите Angular CLI, уверите се да су верзије генерисане у производном режиму. [Сазнајте више](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Ако користите Angular CLI, уврстите мапе извора у производну верзију да бисте прегледали пакете. [Сазнајте више](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Учитајте руте унапред да бисте убрзали навигацију. [Сазнајте више](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Размислите о томе да користите услужни програм `BreakpointObserver` у Component Dev Kit-у (CDK) да бисте управљали преломним тачкама слика. [Сазнајте више](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Предлажемо да отпремите GIF у услугу која ће га кодирати за уградњу као HTML5 видео."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Наведите `@font-display` кад дефинишете прилагођене фонтове у теми."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Предлажемо да инсталирате и конфигуришете [модул за коришћење WebP формата слике](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) на сајту. Такви модули аутоматски генеришу WebP верзију отпремљених слика да би оптимизовали брзину учитавања."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Инсталирајте [Drupal модул](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) који може одложено да учитава слике. Такви модули пружају могућност одлагања свих слика ван екрана да би се побољшао учинак."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Предлажемо да користите модул за уградњу кључног CSS-а и JavaScipt-а или потенцијално асинхроно учитавање елемената путем JavaScript-а, попут модула [Напредно CSS/JS груписање](https://www.drupal.org/project/advagg). Имајте на уму да оптимизације које пружа овај модул могу да оштете сајт, па ћете вероватно морати да унесете неке промене у кôд."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Теме, модули и спецификације сервера доприносе времену одговора сервера. Предлажемо да пронађете оптимизованију тему, пажљиво изаберете модул за оптимизацију и/или надоградите сервер. Сервери за хостовање треба да користе кеширање PHP опкода, кеширање меморије ради смањења времена одговарања на упит из базе података, попут Redis-а или Memcached-а, као и оптимизовану логику апликације ради брже припреме страница."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Предлажемо да користите [прилагодљиве стилове слика](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) како бисте смањили величину слика које се учитавају на страници. Ако користите Views (прикази) да бисте приказали више ставки садржаја на страници, размислите о примени нумерисања страница да бисте ограничили број ставки садржаја које се приказују на одређеној страници."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:"Уверите се да сте омогућили Aggregate CSS files (Груписање CSS датотека) на страници Administration (Администрација) » Configuration (Конфигурација) » Development (Развој). Можете и да конфигуришете напредније опције груписања путем [додатних модула](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) како бисте убрзали сајт надовезивањем, умањивањем и компримовањем CSS стилова."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"Уверите се да сте омогућили Aggregate JavaScript files (Груписање JavaScript датотека) на страници Administration (Администрација) » Configuration (Конфигурација) » Development (Развој). Можете и да конфигуришете напредније опције груписања путем [додатних модула](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) како бисте убрзали сајт надовезивањем, умањивањем и компримовањем JavaScript елемената."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Предлажемо да уклоните CSS правила која се не користе и приложите само неопохдне Drupal библиотеке релевантној страници или компоненти на страници. Детаље потражите на [линку за Drupal документацију](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Да бисте идентификовали приложене библиотеке које додају сувишан CSS, пробајте да покренете проверу [покривености кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у алатки Chrome DevTools. Спорну тему или модул можете да идентификујете у URL-у описа стила кад је на Drupal сајту онемогућено CSS груписање. Потражите теме или модуле који на листи имају много описа стила са доста црвених елемената у покривености кода. Тема или модул треба да ставе опис стила на листу само ако се он стварно користи на страници."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Предлажемо да уклоните JavaScript елементе који се не користе и приложите само неопходне Drupal библиотеке релевантној страници или компоненти на страници. Детаље потражите на [линку за Drupal документацију](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Да бисте идентификовали приложене библиотеке које додају сувишан JavaScript, пробајте да покренете [просек употребе кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у алатки Chrome DevTools. Спорну тему или модул можете да идентификујете у URL-у скрипте кад је на Drupal сајту онемогућено JavaScript груписање. Потражите теме или модуле који на листи имају много скрипти са доста црвених елемената у просеку употребе кода. Тема или модул треба да ставе скрипту на листу само ако се она стварно користи на страници."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Подесите Browser and proxy cache maximum age (Максимална старост кеша прегледача и проксија) на страници Administration (Администрација) » Configuration (Конфигурација) » Development (Развој). Прочитајте више о [Drupal кешу и оптимизацији за боље перформансе](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Предлажемо да користите [модул](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) који аутоматски оптимизује и смањује величину слика које се отпремају преко сајта без губитка квалитета. Уверите се и да користите изворне [стилове прилагодљивих слика](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) које пружа Drupal (доступни у Drupal-у 8 и новијим верзијама) за све слике које се рендерују на сајту."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Савете за ресурсе за повезивање унапред или предучитавање DNS-а можете да додате инсталирањем и конфигурисањем [модула](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) који пружа инфраструктуру за савете за ресурсе корисничког агента."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Уверите се да користите изворне [стилове прилагодљивих слика](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) које пружа Drupal (доступни у Drupal-у 8 и новијим верзијама). Користите стилове прилагодљивих слика при рендеровању поља за слике преко режима приказа, приказа или слика отпремљених путем WYSIWYG уређивача."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Предлажемо да отпремите GIF у услугу која ће га кодирати за уградњу као HTML5 видео."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Предлажемо да користите [додатну компоненту](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) или услугу која аутоматски конвертује отпремљене слике у оптималне формате."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Инсталирајте [Joomla додатну компоненту за одложено учитавање](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) која омогућава да одложите све слике ван екрана или пређите на шаблон који пружа ту функцију. Почев од верзије Joomla 4.0, све нове слике ће [аутоматски](https://github.com/joomla/joomla-cms/pull/30748) добити атрибут `loading` од основних функција."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Многе Joomla додатне компоненте могу да вам помогну да [уградите кључне елементе](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) или [одложите мање важне ресурсе](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Имајте на уму да оптимизације које пружају те додатне компоненте могу да оштете функције шаблона или додатних компоненти, па морате детаљно да их тестирате."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Шаблони, додаци и спецификације сервера доприносе времену одговора сервера. Предлажемо да пронађете оптимизованији шаблон, пажљиво изаберете додатак за оптимизацију и/или надоградите сервер."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Предлажемо да прикажете одломке у категоријама чланака (нпр. преко линка „прочитајте више“), смањите број чланака који се приказују на одређеној страници, раздвојите дугачке постове на више страница или користите додатне компоненте за одложено учитавање коментара."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Неки [Joomla додаци](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) могу да убрзају сајт надовезивањем, умањивањем и компримовањем CSS стилова. Постоје и шаблони који пружају ту функцију."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Многи [Joomla додаци](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) могу да убрзају сајт надовезивањем, умањивањем и компримовањем скрипти. Постоје и шаблони који пружају ту функцију."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Предлажемо да изоставите или замените [Joomla додатке](https://extensions.joomla.org/) који на страници учитавају CSS који се не користи. Да бисте идентификовали додатке који додају сувишан CSS, пробајте да покренете проверу [покривености кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у алатки Chrome DevTools. Спорну тему или додатну компоненту можете да идентификујете у URL-у описа стила. Потражите додатне компоненте које на листи имају много описа стилова са доста црвених елемената у покривености кода. Додатна компонента треба да стави опис стила на листу само ако се он стварно користи на страници."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Предлажемо да изоставите или замените [Joomla додатке](https://extensions.joomla.org/) који на страници учитавају JavaScript који се не користи. Да бисте идентификовали додатне компоненте које додају сувишан JS, пробајте да покренете проверу [покривености кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у алатки Chrome DevTools. Спорни додатак можете да идентификујете у URL-у скрипте. Потражите додатке који на листи имају много скрипти са доста црвених елемената у покривености кода. Додатак треба да стави скрипту на листу само ако се она стварно користи на страници."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Прочитајте више о [кеширању прегледача у систему Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Предлажемо да користите [додатну компоненту за оптимизацију слика](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) која компримује слике без губитка квалитета."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Предлажемо да користите [додатне компоненте за прилагодљиве слике](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) како бисте користили прилагодљиве слике у садржају."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Можете да омогућите компримовање текста тако што ћете омогућити Gzip компримовање страница у систему Joomla (System (Систем) > Global configuration (Глобална конфигурација) > Server (Сервер))."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Ако не правите пакете JavaScript елемената, размислите о томе да користите [бејлер](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Онемогућите уграђене [функције прављења пакета и умањивања у JavaScript-у](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) на платформи Magento и размотрите коришћење [бејлера](https://github.com/magento/baler/) уместо тога."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Назначите ознаку `@font-display` када [дефинишете прилагођене фонтове](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Размислите о томе да потражите мноштво додатака трећих страна на [Magento Marketplace-у](https://marketplace.magento.com/catalogsearch/result/?q=webp) да бисте искористили новије формате слика."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Размислите о томе да измените шаблоне производа и каталога да бисте искористили функцију [одложеног учитавања](https://web.dev/native-lazy-loading) на веб-платформи."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Користите [Varnish интеграцију](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) платформе Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Омогућите опцију „Умањи CSS датотеке“ у подешавањима за програмере у продавници. [Сазнајте више](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Користите [Terser](https://www.npmjs.com/package/terser) да бисте умањили све JavaScript елементе из примене статичног садржаја и онемогућили уграђену функцију умањивања."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Онемогућите уграђено [прављење JavaScript пакета](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) на платформи Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Размислите о томе да потражите мноштво додатака трећих страна на [Magento Marketplace-у](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) да бисте оптимизовали слике."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Савете за ресурсе за повезивање унапред или припрему учитавања DNS-а можете да додате ако[измените изглед теме](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Ознаке `<link rel=preload>` могу да се додају [изменом изгледа теме](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Замените анимиране GIF-ове видео садржајем](https://web.dev/replace-gifs-with-videos/) да би се веб-странице брже учитавале, а предлажемо и да користите модерне формате фајлова, као што је [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) или [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), да бисте побољшали ефикасност компримовања за више од 30% у односу на актуелни најсавременији видео кодек, VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Предлажемо да користите [додатну компоненту](https://octobercms.com/plugins?search=image) или услугу која аутоматски конвертује отпремљене слике у оптималне формате. Величина [WebP слика без губитака](https://developers.google.com/speed/webp) је за 26% мања од величине PNG слика и за 25–34% мања од величине одговарајућих JPEG слика еквивалентног SSIM индекса квалитета. Још један формат слике следеће генерације који треба да узмете у обзир је [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Предлажемо да инсталирате [додатну компоненту за одложено учитавање слика](https://octobercms.com/plugins?search=lazy) која пружа могућност одлагања свих слика ван екрана или преласка на тему која пружа ту функцију. Предлажемо и да користите [додатну компоненту за AMP странице](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Има много додатних компоненти које вам помажу да [уметнете критичне елементе](https://octobercms.com/plugins?search=css). Те додатне компоненте могу да оштете друге додатне компоненте, па морате детаљно да их тестирате."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Теме, додатне компоненте и спецификације сервера доприносе времену одговора сервера. Предлажемо да пронађете оптимизованију тему, пажљиво изаберете додатну компоненту за оптимизацију и/или надоградите сервер. Систем за управљање садржајем October омогућава програмерима и да користе ставку [`Queues`](https://octobercms.com/docs/services/queues) да би одложили обраду неког задатка који одузима много времена, попут слања имејла. То драстично убрзава веб-захтеве."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Предлажемо да прикажете одломке на листама постова (на пример, помоћу дугмета `show more`), смањите број постова који се приказују на одређеној веб-страници, раздвојите дугачке постове на више веб-страница или користите додатну компоненту за одложено учитавање коментара."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Има много [додатних компоненти](https://octobercms.com/plugins?search=css) које могу да убрзају веб-сајт надовезивањем, умањивањем и компримовањем стилова. Ако користите превођење и повезивање да бисте унапред обавили ово умањивање, то може да убрза програмирање."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Има много [додатних компоненти](https://octobercms.com/plugins?search=javascript) које могу да убрзају веб-сајт надовезивањем, умањивањем и компримовањем скрипти. Ако користите превођење и повезивање да бисте унапред обавили ово умањивање, то може да убрза програмирање."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Предлажемо да прегледате [додатне компоненте](https://octobercms.com/plugins) које на веб-сајту учитавају CSS који се не користи. Да бисте идентификовали додатне компоненте које додају непотребни CSS, покрените [просек употребе кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у Chrome алаткама за програмере. Идентификујте одговорну тему или додатну компоненту на основу URL-а описа стила. Потражите додатне компоненте које имају много описа стилова са доста црвених елемената у просеку употребе кода. Додатна компонента треба да дода опис стила само ако се он стварно користи на веб-страници."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Предлажемо да прегледате [додатне компоненте](https://octobercms.com/plugins?search=javascript) које на веб-страници учитавају JavaScript који се не користи. Да бисте идентификовали додатне компоненте које додају непотребни JavaScript, покрените [просек употребе кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у Chrome алаткама за програмере. Идентификујте одговорну тему или додатну компоненту на основу URL-а скрипте. Потражите додатне компоненте које имају много скрипти са доста црвених елемената у просеку употребе кода. Додатна компонента треба да дода скрипту само ако се она стварно користи на веб-страници."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"Прочитајте више о [спречавању непотребних мрежних захтева помоћу HTTP кеша](https://web.dev/http-cache/#caching-checklist). Има много [додатних компоненти](https://octobercms.com/plugins?search=Caching) које могу да се користе за убрзавање кеширања."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Предлажемо да користите [додатну компоненту за оптимизацију слика](https://octobercms.com/plugins?search=image) која компримује слике без губитка квалитета."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Отпремајте слике директно у менаџеру медија да бисте се уверили да су доступне обавезне величине слика. Предлажемо да користите [филтер за промену величине](https://octobercms.com/docs/markup/filter-resize) или [додатну компоненту за промену величине слика](https://octobercms.com/plugins?search=image) да бисте се уверили да се користе оптималне величине слика."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Омогућите компримовање текста у конфигурацији веб-сервера."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Предлажемо да користите библиотеку „са прозорима“ као што је `react-window` како бисте смањили број направљених DOM чворова ако на страници рендерујете много елемената који се понављају. [Сазнајте више](https://web.dev/virtualize-long-lists-react-window/). Исто тако, aко користите копчу `Effect` за побољшање учинка времена извршавања, смањите непотребна поновна рендеровања помоћу компоненти [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) или [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) и [прескочите ефекте](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) само док се одређене зависности не промене."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Ако користите React рутер, смањите коришћење компоненте `<Redirect>` за [навигације помоћу руте](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Ако приказујете било какве React компоненте на серверу, размислите о томе да користите `renderToNodeStream()` или `renderToStaticNodeStream()` како бисте омогућили клијенту да прима и попуњава различите делове ознаке уместо свих делова одједном. [Сазнајте више](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Ако систем за превођење и повезивање аутоматски умањује CSS фајлове, уверите се да примењујете производну верзију апликације. То можете да проверите помоћу додатка React Developer Tools. [Сазнајте више](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Ако систем за превођење и повезивање аутоматски умањује JS фајлове, уверите се да примењујете производну верзију апликације. То можете да проверите помоћу додатка React Developer Tools. [Сазнајте више](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Ако не приказујете на серверу, [раздвојите JavaScript пакете](https://web.dev/code-splitting-suspense/) помоћу ознаке `React.lazy()`. У супротном, раздвојите кôд помоћу библиотеке треће стране попут [компонената које могу да се учитавају](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Користите React DevTools Profiler, који користи API Profiler, да бисте мерили перформансе приказивања компонената. [Сазнајте више.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Предлажемо да отпремите GIF у услугу која ће га кодирати за уградњу као HTML5 видео."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Предлажемо да користите [додатну компоненту](https://wordpress.org/plugins/search/convert+webp/) или услугу која аутоматски конвертује отпремљене слике у оптималне формате."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Инсталирајте [WordPress додатну компоненту за лако учитавање](https://wordpress.org/plugins/search/lazy+load/) која омогућава да одложите све слике ван екрана или да пређете на тему која пружа ту функцију. Препоручујемо и да користите [додатну компоненту за AMP странице](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Неке WordPress додатне компоненте могу да вам помогну да [уметнете критичне елементе](https://wordpress.org/plugins/search/critical+css/) или [одложите мање важне ресурсе](https://wordpress.org/plugins/search/defer+css+javascript/). Имајте на уму да оптимизације које пружају ове додатне компоненте могу да оштете функције или теме додатних компоненти, па ћете вероватно морати да уносите промене у кôд."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Теме, додатне компоненте и спецификације сервера доприносе времену одговора сервера. Препоручујемо да пронађете оптимизованију тему, пажљиво изаберете додатну компоненту за оптимизацију и/или надоградите сервер."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Препоручујемо да прикажете одломке у листама постова (на пример, преко још ознака), смањите број постова који се приказују на одређеној страници, раздвојите дугачке постове на више странциа или користите додатну компоненту за лако учитавање коментара."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Неке [WordPress додатне компоненте](https://wordpress.org/plugins/search/minify+css/) могу да убрзају сајт тако што повезују, умањују и компримују стилове. Ово умањивање можете да обавите и унапред помоћу процеса дизајнирања ако је могуће."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Неке [WordPress додатне компоненте](https://wordpress.org/plugins/search/minify+javascript/) могу да убрзају сајт тако што повезују, умањују и компримују скрипте. Ово умањивање можете да обавите и унапред помоћу процеса дизајнирања ако је могуће."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Препоручујемо да умањите или промените број [WordPress додатних компоненти](https://wordpress.org/plugins/) које на страници учитавају CSS који се не користи. Да бисте идентификовали додатне компоненте које додају сувишан CSS, пробајте да покренете [покривеност кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у алатки Chrome DevTools. Можете да идентификујете одговорну тему/додатну компоненту у URL-у стилске странице. Потражите додатне компоненте које на листи имају много стилских страница са доста црвенила у покривености кода. Додатна компонента треба да стави стилску страницу на листу само ако се стварно користи на страници."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Препоручујемо да умањите или промените број [WordPress додатних компоненти](https://wordpress.org/plugins/) које на страници учитавају JavaScript који се не користи. Да бисте идентификовали додатне компоненте које додају сувишан JS, пробајте да покренете [покривеност кода](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) у алатки Chrome DevTools. Можете да идентификујете одговорну тему/додатну компоненту у URL-у скрипте. Потражите додатне компоненте које на листи имају много скрипти са доста црвенила у покривености кода. Додатна компонента треба да стави скрипту на листу само ако се стварно користи на страници."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Прочитајте више о [кеширању прегледача у WordPress-у](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Препоручујемо да користите [WordPress додатну компоненту за оптимизацију слика](https://wordpress.org/plugins/search/optimize+images/) која компримује слике без губитка квалитета."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Отпремајте слике директно помоћу [библиотеке медија](https://wordpress.org/support/article/media-library-screen/) да бисте се уверили да су доступне обавезне величине слика, па их уметните у библиотеку медија или користите виџет странице да бисте се уверили да се користе оптималне величине слика (укључујући оне за преломне тачке које се одазивају). Избегавајте коришћење слика `Full Size` ако димензије нису адекватне за њихово коришћење. [Сазнајте више](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Можете да омогућите компримовање текста у конфигурацији веб-сервера."},
"report/renderer/util.js | calculatorLink":{message:"Погледајте калкулатор."},"report/renderer/util.js | crcInitialNavigation":{message:"Почетна навигација"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Максимално кашњење критичне путање:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Копирај JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Укључи/искључи тамну тему"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Прошири дијалог за штампање"},"report/renderer/util.js | dropdownPrintSummary":{message:"Штампај резиме"},"report/renderer/util.js | dropdownSaveGist":{message:"Сачувај као Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Сачувај као HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Сачувај као JSON"},"report/renderer/util.js | dropdownViewer":{message:"Отвори у приказивачу"},"report/renderer/util.js | errorLabel":{message:"Грешка!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Пријављивање грешке: нема информација о провери"},"report/renderer/util.js | footerIssue":{message:"Пријавите проблем"},"report/renderer/util.js | labDataTitle":{message:"Подаци о експерименталним функцијама"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) анализа актуелне странице емулиране помоћу мобилне мреже. Вредности представљају процене и могу да варирају."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Додатне ставке за ручну проверу"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Није примењиво"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Могућност"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Процењена уштеда"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Провере са задовољавајућом оценом"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Емулирани рачунар"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Емулирани Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Без емулације"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe верзија"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Јачина процесора/меморије"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Ограничавање процесора"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Канал"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Уређај"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Време преузимања"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Ограничавање мреже"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Подешавања времена извршавања"},"report/renderer/util.js | runtimeSettingsUA":{message:"Кориснички агент (хост)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Кориснички агент (мрежа)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Непознато"},"report/renderer/util.js | showRelevantAudits":{message:"Прикажи ревизије релевантне за:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Скупи фрагмент"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Прошири фрагмент"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Прикажи независне ресурсе"},"report/renderer/util.js | throttlingProvided":{message:"Пружа окружење"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Било је извесних проблема који су утицали на ово покретање Lighthouse-а:"},"report/renderer/util.js | varianceDisclaimer":{message:"Вредности представљају процене и могу да варирају. [Оцена учинка са израчунава](https://web.dev/performance-scoring/) директно на основу тих показатеља."},"report/renderer/util.js | viewTreemapLabel":{message:"Прикажи Treemap"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Провере са задовољавајућом оценом које садрже упозорења"},"report/renderer/util.js | warningHeader":{message:"Упозорења: "}}},{}],137:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Med åtkomsttangenter kan användaren snabbt flytta fokus till en viss del av sidan. Ingen åtkomsttangent får användas flera gånger om navigeringen ska fungera ordentligt. [Läs mer](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Alla värden på `[accesskey]` är inte unika"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` värden är unika"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Varje ARIA-`role` har stöd för ett visst antal attribut av typen `aria-*`. Om dessa inte överensstämmer blir attributen av typen `aria-*` ogiltiga. [Läs mer](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Alla attribut av typen `[aria-*]` stämmer inte med elementets roll"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Attributen av typen `[aria-*]` stämmer med elementets roll"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Utan ett igenkännligt namn läses element upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Namnen för `button`-, `link`- och `menuitem`-elementen är inte igenkännliga."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Namnen för `button`-, `link`- och `menuitem`-elementen är igenkännliga"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Hjälpmedelstekniker som skärmläsare fungerar inte ordentligt när `aria-hidden="true"` har angetts för dokumentet `<body>`. [Läs mer](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Alla `[aria-hidden="true"]` finns i dokumentet `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Alla `[aria-hidden="true"]` finns inte i dokumentet `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Fokuserbara underordnade element i `[aria-hidden="true"]`-element förhindrar att de interaktiva elementen blir tillgängliga för användare av hjälpmedelstekniker som skärmläsare. [Läs mer](https://web.dev/aria-hidden-focus/).'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Alla `[aria-hidden="true"]`-element innehåller fokuserbara underordnade element'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Alla `[aria-hidden="true"]`-element har inte fokuserbara underordnade element'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Utan ett igenkännligt namn läses inmatningsfält upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Namnen för inmatningsfälten för ARIA är inte tillgängliga"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Namnen för inmatningsfälten för ARIA är tillgängliga"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"Utan ett igenkännligt namn läses element upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Namnen för `meter`-elementen för ARIA är inte igenkännliga."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Namnen för `meter`-elementen för ARIA är igenkännliga"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"Utan ett igenkännligt namn läses `progressbar`-element upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Namnen för `progressbar`-elementen för ARIA är inte igenkännliga."},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Namnen för `progressbar`-elementen för ARIA är igenkännliga"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Vissa ARIA-roller har obligatoriska attribut som beskriver elementets tillstånd för skärmläsare. [Läs mer](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Vissa element med attributet `[role]` har inte alla obligatoriska attribut av typen `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Alla element med `[role]`-attribut har alla obligatoriska attribut av typen `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"Vissa överordnade element med ARIA-attributet role måste ha vissa underordnade element med role för att hjälpmedlen ska fungera som avsett. [Läs mer](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Några eller alla obligatoriska underordnade element med `[role]` saknas för element med ARIA-rollen `[role]`."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Alla obligatoriska underordnade element med `[role]` används för element med ARIA-rollen `[role]`."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Vissa underordnade element med ARIA-attributet role måste ha ett bestämt överordnat element med role för att hjälpmedlen ska fungera som avsett. [Läs mer](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{
message:"Det finns element med `[role]`-attribut utan ett obligatoriskt överordnat element"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Rätt överordnat element används för alla element med `[role]`-attribut"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Alla ARIA-rollattribut måste ha giltiga värden om de ska fungera som avsett med hjälpmedlen. [Läs mer](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Vissa `[role]`-värden är inte giltiga"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Alla `[role]`-värden är giltiga"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Utan ett igenkännligt namn läses av/på-fält upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Namnen för på/av-fälten för ARIA är inte tillgängliga"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Namnen för på/av-fälten för ARIA är tillgängliga"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Utan ett igenkännligt namn läses element upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Namnen för `tooltip`-elementen för ARIA är inte igenkännliga."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Namnen för `tooltip`-elementen för ARIA är igenkännliga"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"Utan ett igenkännligt namn läses element upp med ett generellt namn av skärmläsarna. Det gör dem oanvändbara för personer som behöver använda en skärmläsare. [Läs mer](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Namnen för `treeitem`-elementen för ARIA är inte igenkännliga."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Namnen för `treeitem`-elementen för ARIA är igenkännliga"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Skärmläsare och andra hjälpmedel kan inte tolka ARIA-attribut med ogiltiga värden. [Läs mer](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Alla attribut av typen `[aria-*]` har inte ett giltigt värde"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{
message:"Alla attribut av typen `[aria-*]` har giltiga värden"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Skärmläsare och andra hjälpmedel kan inte tolka ARIA-attribut med ogiltiga namn. [Läs mer](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Vissa attribut av typen `[aria-*]` är ogiltiga eller felstavade"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Alla attribut av typen `[aria-*]` är giltiga och rättstavade"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Element med fel"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"Utan ett igenkännligt namn läses knappen upp som ”knapp” av skärmläsarna. Det gör knappen oanvändbar för den som behöver använda en skärmläsare. [Läs mer](https://web.dev/button-name/)."},
"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Vissa knappar har inte namn som hjälpmedlen kan använda"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Alla knappar har namn som hjälpmedlen kan använda"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Om du lägger till ett sätt att hoppa över innehåll som upprepas går det att navigera effektivare på sidan för den som använder tangentbordet. [Läs mer](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Sidan saknar rubrik, överhoppningslänk eller landmärkesområde"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Sidan har en rubrik, en överhoppningslänk eller ett landmärkesområde"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Text med låg kontrast blir svårläst eller oläslig för många användare. [Läs mer](https://web.dev/color-contrast/)."},
"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Kontrasten mellan bakgrundsfärg och förgrundsfärg är inte tillräckligt stor."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Kontrasten mellan bakgrundsfärg och förgrundsfärg är tillräckligt stor"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Om en definitionslista inte har märkts upp korrekt kan den läsas upp på ett missvisande eller felaktigt sätt av skärmläsare. [Läs mer](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Det finns `<dl>`-element som inte enbart består av `<dt>`- och `<dd>`-grupper, `<script>`-, `<template>`- eller `<div>`-element."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Alla `<dl>`-element består enbart av `<dt>`- och `<dd>`-grupper i rätt ordning, `<script>`-,`<template>`- eller `<div>`-element."},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Alla poster i definitionslistor (`<dt>` och `<dd>`) måste ha överordnade `<dl>`-element så att de kan presenteras korrekt av skärmläsare. [Läs mer](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Vissa poster i definitionslistor har inte bäddats in i `<dl>`-element"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Alla poster i definitionslistor har bäddats in i `<dl>`-element"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Titeln ger den som använder skärmläsare en uppfattning om vad sidan handlar om. Dessutom fyller sidtiteln en viktig funktion i sökmotorer när användarna väljer ut sidor som verkar vara relevanta för sökningen. [Läs mer](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokumentet har inget `<title>`-element"},
"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Dokumentet har ett `<title>`-element"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Alla fokuserbara element måste ha unika `id` så att de kan identifieras av hjälpmedelsteknik. [Läs mer](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Alla `[id]`-attribut för aktiva fokuserbara element är inte unika"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Alla `[id]`-attribut för aktiva, fokuserbara element är unika"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Alla ARIA-id:n måste ha unika värden. Hjälpmedelstekniken skulle annars hoppa över dubblettförekomsterna av ett värde. [Läs mer](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{
message:"Alla ARIA-id:n är inte unika"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Alla ARIA-id:n är unika"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Formulärfält med flera etiketter kan läsas upp på ett förvirrande sätt av hjälpmedelstekniker, till exempel skärmläsare som använder antingen den första, sista eller alla etiketterna. [Läs mer](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Det finns formulärfält med flera etiketter"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Det finns inga formulärfält med flera etiketter"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Med en skärmläsare behövs namn på ramarna som beskriver vad ramen innehåller. [Läs mer](https://web.dev/frame-title/)."},
"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Vissa `<frame>`- eller `<iframe>`-element saknar titel"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Alla `<frame>`- eller `<iframe>`-element har en titel"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Med hjälp av ordentligt ordnade rubriker som inte hoppar över nivåer förmedlas den semantiska strukturen på sidan. Det gör det lättare för användare av hjälpmedelstekniker att navigera och hänga med. [Läs mer](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Rubrikelementen har inte ordnats i följd i fallande ordning"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Rubrikelementen visas i följd i fallande ordning"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Om inget lang-attribut har angetts för en sida används skärmläsarens standardspråk, det vill säga det språk som användaren valde när skärmläsaren konfigurerades. Om sidan inte är på det språket kanske texten inte läses upp korrekt. [Läs mer](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>`-elementet har inget `[lang]`-attribut"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>`-elementet har ett `[lang]`-attribut"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Om du anger ett giltigt [språk enligt BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) kan texten uttalas korrekt av skärmläsare. [Läs mer](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>`-elementets `[lang]`-attribut har inte ett giltigt värde."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>`-elementets `[lang]`-attribut har ett giltigt värde"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Element med informativ funktion bör ha en kort, beskrivande alternativtext. Element som bara har estetisk funktion kan ignoreras genom att alt-attributet lämnas tomt. [Läs mer](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Alla bildelement har inte `[alt]`-attribut"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Alla bildelement har `[alt]`-attribut"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"Om du anger en alternativ text när en bild används som `<input>`-knapp blir det lättare för användare med skärmläsare att förstå hur knappen används. [Läs mer](https://web.dev/input-image-alt/)."},
"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Vissa `<input type="image">`-element saknar `[alt]`-text'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Alla `<input type="image">`-element har `[alt]`-text'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etiketterna gör att de olika delarna av ett formulär kan presenteras korrekt för användare med skärmläsare eller andra hjälpmedel. [Läs mer](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Vissa formulärelement har inte etiketter"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Alla formulärelement har etiketter"},"lighthouse-core/audits/accessibility/link-name.js | description":{
message:"Det blir enklare att navigera för den som använder en skärmläsare om alla länktexter (och alternativtexter för alla bilder som används som länkar) är igenkännliga, unika och möjliga att flytta fokus till. [Läs mer](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Vissa länkar har inte ett igenkännligt namn"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Alla länkar har igenkännliga namn"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Listor presenteras på ett särskilt sätt av skärmläsare. Med rätt liststruktur kan skärmläsarna ge rätt information. [Läs mer](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"Listor innehåller inte enbart `<li>`-element och stödelement för skript (`<script>` och `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{
message:"Alla listor innehåller enbart `<li>`-element eller stödelement för skript (`<script>` och `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Alla listposter (`<li>`) måste ha ett överordnat `<ul>`- eller `<ol>`-element för att kunna presenteras korrekt av skärmläsare. [Läs mer](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Vissa listposter (`<li>`) saknar ett överordnat `<ul>`- eller `<ol>`-element."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Alla listposter (`<li>`) har ett överordnat `<ul>`- eller `<ol>`-element"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"Användarna förväntar sig inte att en sida ska uppdateras automatiskt, och när det händer flyttas fokus tillbaka till sidans början. Det kan vara både frustrerande och förvirrande. [Läs mer](https://web.dev/meta-refresh/)."},
"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'`<meta http-equiv="refresh">` används i dokumentet'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'`<meta http-equiv="refresh">` används inte i dokumentet'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Att inaktivera förstoring leder till problem för användare med nedsatt syn, som behöver skärmförstoring för att kunna se webbsidan ordentligt. [Läs mer](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` används i elementet `<meta name="viewport">`, eller också är värdet på attributet `[maximum-scale]` mindre än 5.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` används inte i elementet `<meta name="viewport">` och attributet `[maximum-scale]` är inte mindre än 5.'},
"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"En skärmläsare kan inte tolka innehåll som inte är text. Om du lägger till alt-text i `<object>`-elementen kan skärmläsarna förmedla ett meningsfullt innehåll till användaren. [Läs mer](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Vissa `<object>`-element saknar `[alt]`-text"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Alla `<object>`-element har `[alt]`-text"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"Med värden större än noll anges en explicit ordningsföljd för navigeringen. Även om detta inte är fel rent tekniskt leder det ofta till en frustrerande upplevelse för den som är beroende av tekniska hjälpmedel. [Läs mer](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Det finns element med ett `[tabindex]`-värde som är större än 0"
},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Det finns inga element med ett `[tabindex]`-värde som är större än 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Skärmläsare har funktioner som gör det enklare att navigera i tabeller. Sidan fungerar bättre för den som använder skärmläsare om attributet `[headers]` i `<td>`-celler bara refererar till andra celler i samma tabell. [Läs mer](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"Det finns celler i ett `<table>`-element där attributet `[headers]` hänvisar till ett `id`-element som inte finns i samma tabell."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Det finns celler i ett `<table>`-element där attributet `[headers]` hänvisar till celler i samma tabell."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"Skärmläsare har funktioner som gör det enklare att navigera i tabeller. Det fungerar bättre för den som använder skärmläsare om det inte finns några tabellrubriker som hänger i luften utan att referera till några dataceller. [Läs mer](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Vissa `<th>`-element och element med `[role="columnheader"/"rowheader"]` står inte som rubrik för några dataceller.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'Alla `<th>`-element och element med `[role="columnheader"/"rowheader"]` står som rubriker för andra dataceller.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Om du anger ett giltigt [språk enligt BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) för elementen uttalas texten korrekt av en skärmläsare. [Läs mer](https://web.dev/valid-lang/)."},
"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Vissa `[lang]`-attribut har inte ett giltigt värde"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Alla `[lang]`-attribut har ett giltigt värde"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Det blir lättare för döva och hörselskadade att ta del av en video som är textad. [Läs mer](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'Alla `<video>`-element har inte ett underordnat `<track>`-element med `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Alla `<video>`-element innehåller ett `<track>`-element med `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{
message:"Definiera en `apple-touch-icon` för att få bästa möjliga utseende i iOS när användare lägger till en progressiv webbapp på startskärmen. Den måste peka på en icke-transparent, kvadratisk PNG med sidan 192 pixlar (eller 180 pixlar). [Läs mer](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Anger inte ett giltigt `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Attributet `apple-touch-icon-precomposed` är inaktuellt. `apple-touch-icon` är att föredra."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Anger en giltig `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Aktuellt värde"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Föreslagen token"},"lighthouse-core/audits/autocomplete.js | description":{
message:"Med hjälp av `autocomplete` kan användare fylla i formulär snabbare och enklare. Vi rekommenderar att du aktiverar detta genom att ställa in ett giltigt värde för attributet `autocomplete`. [Läs mer](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>`-element har inte rätt `autocomplete`-attribut"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Kräver manuell granskning"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Granska ordningen på token"},"lighthouse-core/audits/autocomplete.js | title":{message:"`autocomplete` används korrekt för `<input>`-element"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"Token för `autocomplete`: {token} är ogiltig i {snippet}"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"Granska ordningen på token: {tokens} i {snippet}"},
"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Inläsningen av den här sidan påverkas negativt av tillägg i Chrome. Testa att granska sidan i inkognitoläge eller med en Chrome-profil utan tillägg."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Utvärdering av skript"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Skriptanalys"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Processortid totalt"},"lighthouse-core/audits/bootup-time.js | description":{message:"Minska tiden det tar att tolka, kompilera och köra JS-kod. Det brukar hjälpa att minska storleken på JS-resurserna som skickas. [Läs mer](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Minska körningstiden för JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Körningstid för JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{
message:"Ta bort stora, duplicerade JavaScript-moduler från paket så att färre onödiga byte skickas via nätverket. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Ta bort dubblettmoduler i JavaScript-paket"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Stora GIF-filer är inte ett effektivt sätt att visa animerat innehåll. I stället för GIF kan du använda videor i MPEG4-/WebM-format för animationer och PNG-/WebP-format för statiska bilder. Då minskar antalet byte som skickas via nätverket. [Läs mer](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Använd videoformat för animationer"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Med polyfill-koder och transformeringar går det att använda nya JavaScript-funktioner i äldre webbläsare. Många av dem behövs dock inte för moderna webbläsare. Om du har JavaScript-paket kan du använda en modern strategi för skriptimplementering där registrering av funktioner med eller utan moduler används för att minska mängden kod som skickas till moderna webbläsare, samtidigt som stöd för äldre webbläsare finns kvar. [Läs mer](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Undvik att skicka äldre JavaScript till moderna webbläsare"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Bildformat som JPEG 2000, JPEG XR och WebP ger ofta bättre komprimering än PNG eller JPEG. Det gör att nedladdningen går snabbare och ger minskad dataförbrukning. [Läs mer](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Skicka bilder i modernare bildformat"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Låt bilder utanför skärmen och dolda bilder läsas in med lat inläsning efter att alla viktiga resurser är inlästa så att tiden till interaktivt tillstånd minskar. [Läs mer](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Skjut upp inläsningen av bilder som inte visas på skärmen"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Resurser blockerar sidans första rendering. Infoga nödvändig JS-/CSS-kod direkt på sidan och skjut upp inläsningen av JS-kod/formatmallar som är mindre viktiga. [Läs mer](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Ta bort resurser som blockerar renderingen"
},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Hög nätverksbelastning kostar användarna pengar och har ett starkt samband med lång inläsningstid. [Läs mer](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Den sammanlagda storleken var {totalBytes, number, bytes} Kibit"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Undvik enorm nätverksbelastning"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Undviker enorm nätverksbelastning"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Att minifiera CSS-filer kan minska nätverksbelastningen. [Läs mer](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Minifiera CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{
message:"Att minifiera JavaScript-filer kan minska nätverksbelastningen och tiden det tar att tolka skript. [Läs mer](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Minifiera JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Reducera regler som inte används från formatmallar och skjut upp CSS som inte används för innehåll ovanför mitten så att färre byte skickas via nätverket. [Läs mer](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Reducera CSS som inte används"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Reducera JavaScript som inte används och skjut upp inläsningen av skript tills de krävs så att färre byte skickas via nätverket. [Läs mer](https://web.dev/unused-javascript/)."},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Reducera JavaScript som inte används"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Om filerna cachelagras under längre tid kan upprepade besök på sidan gå snabbare. [Läs mer](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 resurs hittades}other{# resurser hittades}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Skicka statiska tillgångar med en effektiv cachelagringspolicy"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Använder en effektiv cachelagringspolicy för statiska tillgångar"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{
message:"Optimerade bilder läses in snabbare och förbrukar mindre mobildata. [Läs mer](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Koda bilder effektivt"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Minska mobildataförbrukningen och förbättra inläsningstiden genom att skicka bilder i rätt storlek. [Läs mer](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Använd bilder med rätt storlek"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Textresurser bör skickas komprimerade (gzip, deflate eller brotli) så att färre byte skickas via nätverket. [Läs mer](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Aktivera textkomprimering"},
"lighthouse-core/audits/content-width.js | description":{message:"Om bredden på appens innehåll inte stämmer överens med bredden på visningsområdet kanske inte appen är optimerad för mobilskärmar. [Läs mer](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Visningsområdets storlek på {innerWidth} pixlar stämmer inte överens med fönsterstorleken på {outerWidth} pixlar."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Innehållet har inte rätt storlek för visningsområdet"},"lighthouse-core/audits/content-width.js | title":{message:"Innehållet har rätt storlek för visningsområdet"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Orderkedjorna nedan visar vilka resurser som läses in med hög prioritet. Se om du kan förbättra sidinläsningstiden genom att göra kedjorna kortare, minska storleken på resurser som laddas ned eller skjuta upp nedladdningen av onödiga resurser. [Läs mer](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 kedja hittades}other{# kedjor hittades}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Undvik att kedjekoppla kritiska förfrågningar"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Direktiv"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Allvarlighetsgrad"},"lighthouse-core/audits/csp-xss.js | description":{message:"En stark säkerhetspolicy för innehåll (CSP) minskar avsevärt risken för attacker med webbkodinjektion (XSS). [Läs mer](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{
message:"Syntax"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Sidan har en CSP som definieras i en <meta>-tagg. Om du har möjlighet kan du definiera CSP i ett HTTP-huvud."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"CPS hittades inte i åtgärdsläget"},"lighthouse-core/audits/csp-xss.js | title":{message:"Kontrollera att CPS är effektiv mot XSS-attacker"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Utfasning/varning"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Rad"},"lighthouse-core/audits/deprecations.js | description":{message:"Utfasade API:er tas bort från webbläsaren efter hand. [Läs mer](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 varning hittades}other{# varningar hittades}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Utfasade API:er används"},"lighthouse-core/audits/deprecations.js | title":{
message:"Utfasade API:er undviks"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Programmets cacheminne är utfasat. [Läs mer](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"{AppCacheManifest} hittades"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Använder programmets cacheminne"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Undviker programcache"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"En deklaration av teckenkodning krävs. Den kan lämnas med en `<meta>`-tagg i HTML-kodens första 1 024 byte eller i HTTP-svarshuvudet för Content-Type. [Läs mer](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Deklaration av teckenuppsättning saknas eller förekommer för sent i HTML-koden"},
"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Definierar teckenuppsättning korrekt"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"En doctype förhindrar att webbläsaren byter till quirks-läge. [Läs mer](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Doctype-namnet måste vara strängen `html` i gemener"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Dokument måste innehålla en doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId förväntades vara en tom sträng"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId förväntades vara en tom sträng"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Sidan har inte HTML som doctype, vilket aktiverar quirks-läge"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{
message:"Sidan har HTML som doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Värde"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Antal"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"En stor DOM leder till att minnesförbrukning ökar, [formatberäkningarna](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) förlängs och att kostsamma [flödesuppdateringar för layouten](https://developers.google.com/speed/articles/reflow) produceras. [Läs mer](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 element}other{# element}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Undvik ett onödigt stort DOM-träd"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Största DOM-djup"},
"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Totalt antal DOM-element"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Högsta antal underordnade element"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Undviker ett onödigt stort DOM-träd"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Ankare med fel"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Lägg till `rel="noopener"` eller `rel="noreferrer"` i alla externa länkar för att förbättra prestanda och säkerhet. [Läs mer](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Länkar till mål med korsursprung är osäkra"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{
message:"Länkar till mål med korsursprung är säkra"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Det går inte att fastställa målet för ankaret ({anchorHTML}). Det kan vara bra att ta bort target=_blank om det inte används som hyperlänk."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Användare blir misstänksamma eller förvirrade av webbplatser som ber om åtkomst till deras plats utan sammanhang. Det kan vara bättre att koppla förfrågan till något användaren gör. [Läs mer](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Begär åtkomst till geografisk plats vid sidinläsning"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Undviker att begära åtkomst till geografisk plats vid sidinläsning"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Typ av fel"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Fel som loggas i `Issues`-panelen i Chromes verktyg för programmerare indikerar olösta problem. De kan bero på fel i nätverksförfrågningar, otillräckliga säkerhetskontroller och andra webbläsarproblem. Öppna felpanelen i Chromes verktyg för programmerare för detaljerad information om varje fel."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Felen loggades i `Issues`-panelen i Chromes verktyg för programmerare"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Blockerades av principen mot korsursprung"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Hög resursanvändning av annonser"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Det finns inga fel i `Issues`-panelen i Chromes verktyg för programmerare"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Version"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Alla JavaScript-bibliotek på klientsidan har identifierats på den här sidan. [Läs mer](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript-bibliotek har identifierats"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"För användare med långsam anslutning kan externa skript som infogas dynamiskt via `document.write()` fördröja sidinläsningen med tiotals sekunder. [Läs mer](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Undvik `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"`document.write()` undviks"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{
message:"Högsta allvarlighetsgrad"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Biblioteksversion"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Antal säkerhetsbrister"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Vissa skript från tredje part kan innehålla kända säkerhetsproblem som är lätta att identifiera och utnyttja för angripare. [Läs mer](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 säkerhetsbrist har identifierats}other{# säkerhetsbrister har identifierats}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Innehåller JavaScript-bibliotek på klientsidan med kända säkerhetsbrister"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Undviker JavaScript-bibliotek med kända säkerhetsproblem på klientsidan"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Användare blir misstänksamma eller förvirrade av webbplatser som ber om åtkomst att skicka aviseringar utan sammanhang. Det kan vara bättre att koppla förfrågan till rörelser. [Läs mer](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Begär aviseringsbehörighet vid sidinläsning"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Undviker att begära aviseringsbehörighet vid sidinläsning"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Att förhindra att lösenord klistras in underminerar en bra säkerhetspolicy. [Läs mer](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Användarna tillåts inte att klistra in i lösenordsfält"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Användarna tillåts klistra in i lösenordsfält"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokoll"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 ger många fördelar jämfört med HTTP/1.1, inklusive binära fält och multiplexning. [Läs mer](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 begäran visades inte via HTTP/2}other{# begäranden visades inte via HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Använd HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Det kan vara bra att märka dina händelselyssnare för tryck och hjul som `passive` för att förbättra sidans rullningsfunktion. [Läs mer](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Passiva lyssnare används inte för att förbättra rullningsprestanda"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Passiva lyssnare används för att förbättra rullningsprestanda"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Fel som loggats i konsolen indikerar olösta problem. De kan bero på fel i nätverksförfrågningar och andra webbläsarproblem. [Läs mer](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Webbläsarfel loggades i konsolen"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Inga webbläsarfel loggades i konsolen"},
"lighthouse-core/audits/font-display.js | description":{message:"Använd funktionen font-display i CSS så att texten är synlig för användaren medan webbteckensnitten läses in. [Läs mer](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Se till att all text förblir synlig medan webbteckensnitten läses in"},"lighthouse-core/audits/font-display.js | title":{message:"All text förblir synlig medan webbteckensnitten läses in"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Det gick inte att kontrollera `font-display`-värdet för ursprunget {fontOrigin} automatiskt i Lighthouse.}other{Det gick inte att kontrollera `font-display`-värdena för ursprunget {fontOrigin} automatiskt i Lighthouse.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Bildproportioner (faktiska)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{
message:"Bildproportioner (visade)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Bildens visningsformat ska matcha de naturliga proportionerna. [Läs mer](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Visar bilder med felaktiga bildproportioner"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Bilder visas med korrekta bildproportioner"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Faktisk storlek"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Visad storlek"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Förväntad storlek"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Bildens faktiska mått ska vara proportionella mot skärmstorleken och pixelmåtten för tydligast möjliga bildvisning. [Läs mer](https://web.dev/serve-responsive-images/)."},
"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Bilder visas med låg upplösning"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Bilder visas med lämplig upplösning"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Appen har redan installerats"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Det gick inte att ladda ned en obligatorisk ikon från manifestet"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Felorsak"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Tjänstefunktioner är en teknik som gör det möjligt att använda flera progressiva webbappsfunktioner i appen, till exempel offlineanvändning, pushmeddelanden och att lägga till den på startskärmen. Med rätt tjänstefunktion och manifestimplementeringar kan webbläsare i förväg uppmana användare att lägga till appen på startskärmen, vilket kan leda till större engagemang. [Läs mer](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 anledning}other{# anledningar}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Webbappens manifest eller tjänstefunktion uppfyller inte kraven för installation"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Appadressen för Play Butik matchar inte id för Play Butik"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Sidan läses in i ett inkognitofönster"},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Egenskapen display i manifestet måste ha värdet standalone, fullscreen eller minimal-ui"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Manifestet innehåller fältet display_override och det första visningsläget som stöds måste vara antingen standalone, fullscreen eller minimal-ui."},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifestet kunde inte hämtas, är tomt eller kunde inte analyseras"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifestets webbadress ändrades under tiden som manifestet hämtades."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Manifestet innehåller inte fältet name eller short_name"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:"Manifestet innehåller ingen lämplig ikon – PNG-, SVG- eller WebP-format på minst {value0} px krävs, sizes-attributet måste anges och purpose-attributet, om det anges, måste innehålla any."},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"Ingen av de ikoner som tillhandahålls är minst {value0} px och i PNG-, SVG- eller WebP-format med purpose-attributet utan inställning eller inställt på any"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Ikonen som laddades ned var tom eller skadad"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Inget Play Butik-id har tillhandahållits"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Sidan har ingen webbadress för <link> i manifestet"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Ingen matchande tjänstefunktion hittades. Du kanske måste läsa in sidan igen eller kontrollera att tjänstefunktionens omfattning för den aktuella sidan inbegriper omfattningen och startwebbadressen i manifestet."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Det går inte att kontrollera tjänstefunktionen utan fältet start_url i manifestet."},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"Installationens fel-id {errorId} känns inte igen"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Sidan visas inte från en säker källa"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Sidan läses inte in i huvudramen"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Sidan fungerar inte offline"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"Applattformen som anges stöds inte på Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifestet anger prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications stöds bara i Chrome Beta och Chrome Stable på Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Startwebbadressen i manifestet är ogiltig"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Webbappens manifest och tjänstefunktion uppfyller kraven för installation"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"En webbadress i manifestet innehåller ett användarnamn, ett lösenord eller en port"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"Sidan fungerar inte offline. Sidan kommer inte att anses vara installerbar efter Chrome 93, den stabila version som lanseras i augusti 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Tillåts"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Blockerad"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Osäker webbadress"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Hantering av begäran"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Alla webbplatser ska skyddas med HTTPS, även de som inte hanterar känslig data. En del av detta är att undvika [blandat innehåll](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), där vissa resurser läses in via HTTP trots att den första begäran gjordes via HTTPS. HTTPS förhindrar att inkräktare påverkar eller passivt avlyssnar kommunikationen mellan din app och dina användare, och är ett krav för HTTP/2 och många nya API:er för webbplattformar. [Läs mer](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 osäker begäran hittades}other{# osäkra begäranden hittades}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Använder inte HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Använder HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Uppgraderas automatiskt till HTTPS"},
"lighthouse-core/audits/is-on-https.js | warning":{message:"Tillåts med varning"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Bibliotek"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Stora JavaScript-bibliotek kan leda till dåliga resultat. Använd i stället mindre bibliotek med motsvarande funktionalitet för att minska paketens storlek. [Läs mer](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 stort bibliotek hittades}other{# stora bibliotek hittades}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Ersätt onödigt stora JavaScript-bibliotek"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Undviker stora JavaScript-bibliotek när det finns mindre alternativ"},
"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Detta är det största innehållselementet som ritades upp i visningsområdet. [Läs mer](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Element som största uppritningen av innehåll gjordes för"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Bidrag till CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Dessa DOM-element bidrog mest till sidans CLS."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Undvik större layoutförskjutningar"},"lighthouse-core/audits/long-tasks.js | description":{message:"Visar de uppgifter i huvudtråden som har körts under längst tid, vilket kan ringa in de viktigaste flaskhalsarna som fördröjer inmatningen. [Läs mer](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{
message:"{itemCount,plural, =1{# uppgift som körts under lång tid hittades}other{# uppgifter som körts under lång tid hittades}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Undvik uppgifter som körs under lång tid i huvudtråden"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategori"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Minska tiden det tar att tolka, kompilera och köra JS-kod. Det brukar hjälpa att minska storleken på JS-resurserna som skickas. [Läs mer](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Minska arbetsbelastningen på modertråden"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Minskar arbetsbelastningen på modertråden"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{
message:"Webbplatser ska fungera i alla stora webbläsare för att nå så många användare som möjligt. [Läs mer](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Webbläsaren fungerar i olika webbläsare"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Kontrollera att enskilda sidor går att djuplänka via en webbadress och att webbadresserna är unika för syftet att dela sidorna på sociala medier. [Läs mer](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Varje sida har en webbadress"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Övergångar ska gå snabbt när du trycker i appen, även på långsamma nätverk. Det är avgörande för vad användarna uppfattar som prestanda. [Läs mer](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{
message:"Det ska inte kännas som om övergångar mellan sidor blockeras på nätverket"},"lighthouse-core/audits/maskable-icon.js | description":{message:"En maskerbar ikon gör att bilden fyller ut hela formen utan att vara avskärmad upptill och nedtill när appen installeras på en enhet. [Läs mer](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifestet har ingen maskerbar ikon"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest har en maskerbar ikon"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Kumulativ layoutförskjutning mäter rörelsen hos synliga element inom visningsområdet. [Läs mer](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Första innehållsrenderingen anger när den första texten eller bilden ritades upp. [Läs mer](https://web.dev/first-contentful-paint/)."},
"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Första användbara renderingen anger när sidans primära innehåll blev synligt. [Läs mer](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Tiden till interaktivitet är den tid det tar innan sidan är fullständigt interaktiv. [Läs mer](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Största uppritningen av innehåll anger tidpunkten då den största texten eller bilden ritades upp. [Läs mer](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Den högsta potentiella fördröjningen till första inmatningen som användarna kan få är längden på den längsta uppgiften. [Läs mer](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{
message:"Hastighetsindexet visar hur snabbt en sida fylls med synligt innehåll. [Läs mer](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Summan av alla tidsperioder mellan FCP och Tid till interaktivt tillstånd när uppgiftstiden överskred 50 ms, uttryckt i millisekunder. [Läs mer](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Nätverkets RTT-tider (Round Trip Times) har stor inverkan på prestanda. Om RTT-tiden till ett ursprung är för hög tyder det på att servrar närmare användaren skulle kunna förbättra prestanda. [Läs mer](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Nätverkets RTT-tider"},"lighthouse-core/audits/network-server-latency.js | description":{
message:"Serverlatens kan påverka webbprestanda. Om serverlatensen är hög för ett ursprung tyder det på att servern är överbelastad eller har dålig kapacitet. [Läs mer](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Serverlatens"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"Händelsen `unload` aktiveras inte på ett tillförlitligt sätt och att lyssna efter den kan förhindra webbläsaroptimeringar, t.ex. vilocacheminne. Vi rekommenderar att du använder händelserna `pagehide` eller `visibilitychange` i stället. [Läs mer](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Registrerar en lyssnare för `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Undviker händelselyssnare för `unload`"},
"lighthouse-core/audits/non-composited-animations.js | description":{message:"Animationer som inte är sammansatta kan vara hackiga och orsaka ökad CLS. [Läs mer](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# animerat element hittades}other{# animerade element hittades}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Den filterrelaterade egenskapen kan flytta pixlar"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Målet har en annan animation som är inkompatibel"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"Effekten har ett annat sammansatt läge än ”replace”"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Undvik icke sammansatta animationer"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{
message:"En ”transform”-relaterad egenskap beror på rutans storlek"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{CSS-egenskap som inte stöds: {properties}}other{CSS-egenskaper som inte stöds: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Effekten har tidsparametrar som inte stöds"},"lighthouse-core/audits/performance-budget.js | description":{message:"Håll antal och storlek för nätverksbegäranden under de mål som anges i den angivna prestandabudgeten. [Läs mer](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 begäran}other{# begäranden}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Prestandabudget"},"lighthouse-core/audits/preload-fonts.js | description":{
message:"Läs in teckensnitt i förväg med `optional` så att förstagångsbesökare kan använda dem. [Läs mer](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Teckensnitt med `font-display: optional` läses inte in i förväg"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Teckensnitt med `font-display: optional` läses in i förväg"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Gör så att den största uppritningen av innehåll går snabbare genom att läsa in bilden i det berörda elementet i förväg. [Läs mer](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Läs in bilden i förväg för största uppritningen av innehåll"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Om du redan har konfigurerat HTTPS ska du omdirigera all HTTP-trafik till HTTPS för att se till att webbfunktionerna är säkra för alla användare. [Läs mer](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Omdirigerar inte HTTP-trafik till HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Omdirigerar HTTP-trafik till HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Omdirigeringar medför en ytterligare fördröjning innan sidan kan läsas in. [Läs mer](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Undvik upprepade omdirigeringar"},"lighthouse-core/audits/resource-summary.js | description":{message:"Lägg till en budget.json-fil för att ange budget för kvantitet och storlek på sidresurser. [Läs mer](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{1 begäran • {byteCount, number, bytes} Kibit}other{# förfrågningar • {byteCount, number, bytes} Kibit}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Begränsa antalet begäranden och storleken på överföringar"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Kanoniska länkar föreslår vilka webbadresser som ska visas i sökresultat. [Läs mer](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Flera webbadresser som står i konflikt ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Pekar på en annan domän ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Ogiltig webbadress ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Pekar på en annan `hreflang`-plats ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{
message:"Relativ webbadress ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Pekar på domänens rotadress (startsidan) i stället för motsvarande sida med innehåll"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Dokumentet har ingen giltig länk med `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Dokumentet har ett giltigt `rel=canonical`-värde"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Länk som inte kan genomsökas"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Sökmotorer kan genomsöka webbplatser med hjälp av länkattributet `href`. Kontrollera att attributet `href` i ankarelement länkar till en lämplig målsida, så att det går att hitta fler sidor på webbplatsen. [Läs mer](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Länkarna är inte genomsökningsbara"},
"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Länkarna är genomsökningsbara"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Ytterligare oläslig text"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Teckensnittsstorlek"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Andel text på sidan"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Väljare"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Teckenstorlekar under 12 pixlar är för små för att kunna läsas och kräver att mobila användare zoomar genom att nypa för att kunna läsa. Försök ha minst 60 % av texten i 12 pixlar eller mer. [Läs mer](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} läslig text"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{
message:"Text är oläslig eftersom det inte finns någon metatagg för visningsområde som är optimerad för mobila skärmar."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokumentet har inga läsliga teckenstorlekar"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Läslig text"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokumentet har läsliga teckenstorlekar"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang-länkar informerar sökmotorer om vilken version av en sida de ska visa i sökresultatet för ett visst språk eller område. [Läs mer](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Dokumentet har inte ett giltigt `hreflang`-värde"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Relativt href-värde"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Dokumentet har ett giltigt `hreflang`-värde"},
"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Oväntad språkkod"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Sidor med HTTP-statuskoder som indikerar att begäran misslyckades kanske inte indexeras korrekt. [Läs mer](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Sidan har en HTTP-statuskod som visar att begäran inte lyckades"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Sidan har en giltig HTTP-statuskod"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Sökmotorer kan inte inkludera dina sidor i sökresultat om de inte har behörighet att genomsöka dem. [Läs mer](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Sidan är blockerad för indexering"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Sidan är inte blockerad från indexering"},
"lighthouse-core/audits/seo/link-text.js | description":{message:"Beskrivande länktext hjälper sökmotorer att förstå innehållet. [Läs mer](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 länk hittades}other{# länkar hittades}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Länkar har inte beskrivande text"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Länkar har beskrivande text"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Kör [testverktyget för strukturerad data](https://search.google.com/structured-data/testing-tool/) och [Structured Data Linter](http://linter.structured-data.org/) för att validera strukturerad data. [Läs mer](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Strukturerad data är giltig"},"lighthouse-core/audits/seo/meta-description.js | description":{
message:"Metabeskrivningar kan inkluderas i sökresultat för att sammanfatta sidinnehållet. [Läs mer](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Beskrivningstexten är tom."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Dokumentet har ingen metabeskrivning"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Dokumentet har en metabeskrivning"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Sökmotorer kan inte indexera plugin-innehåll och många enheter begränsar plugin-program eller stöder dem inte. [Läs mer](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Dokumentet använder plugin-program"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Dokumentet undviker plugin-program"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"Om robots.txt-filen har felaktigt format kan sökrobotarna inte förstå hur du vill att din webbplats ska genomsökas eller indexeras. [Läs mer](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Begäran om robots.txt returnerade HTTP-status: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Ett fel hittades}other{# fel hittades}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse kunde inte ladda ned en robots.txt-fil"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt är inte giltig"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt är giltig"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Interaktiva element som knappar och länkar ska vara tillräckligt stora (48 × 48 pixlar) och ha tillräckligt mycket utrymme runt omkring för att vara lätta att trycka på utan att överlappa andra element. [Läs mer](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} av tryckmålen har lämplig storlek"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Tryckmålen är för små eftersom det inte finns någon metatagg för visningsområde som är optimerad för mobilskärmar"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Tryckmålen har inte lämplig storlek"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Överlappande tryckmål"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Tryckmål"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Tryckmål har lämplig storlek"},
"lighthouse-core/audits/server-response-time.js | description":{message:"Se till att serverns svarstid för huvuddokumentet är kort, eftersom alla andra förfrågningar är beroende av det. [Läs mer](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Rotdokumentet tog {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Minska serverns första svarstid"},"lighthouse-core/audits/server-response-time.js | title":{message:"Serverns första svarstid var kort"},"lighthouse-core/audits/service-worker.js | description":{message:"Tjänstefunktioner är en teknik som gör det möjligt att använda flera funktioner för progressiva webbappar i appen, till exempel offlineanvändning, pushmeddelanden och att lägga till den på startskärmen. [Läs mer](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"Sidan styrs av en tjänstefunktion, men `start_url` hittades inte eftersom det inte gick att analysera manifestet som giltigt JSON-format."},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Den här sidan styrs av en tjänstefunktion, men `start_url` ({startUrl}) är inte inom tjänstefunktionens omfattning ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Sidan styrs av en tjänstefunktion, men `start_url` hittades inte eftersom inget manifest hämtades."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Ursprunget har en eller flera tjänstefunktioner, men sidan ({pageUrl}) är inte inom omfattningen."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Registrerar inte en tjänstefunktion som styr sidan och `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Registrerar en tjänstefunktion som styr sidan och `start_url`"},
"lighthouse-core/audits/splash-screen.js | description":{message:"Med hjälp av en välkomstskärm med ett tema som visas när användarna startar appen på startskärmen kan du se till att de får en bra upplevelse. [Läs mer](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Har inte konfigurerats för en anpassad välkomstskärm"},"lighthouse-core/audits/splash-screen.js | title":{message:"Konfigurerad för en anpassad välkomstskärm"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Det går att ändra temat för webbläsarens adressfält så att det matchar din webbplats. [Läs mer](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Anger inte ett färgtema för adressfältet."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Anger ett färgtema för adressfältet."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{
message:"{productName} (framgångshistorier)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (marknadsföring)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (socialt)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Produkt"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Vissa inbäddningar från tredje part har stöd för lat inläsning. Du kan ersätta dem med en fasad tills de behövs. [Läs mer](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# fasadalternativ är tillgängligt}other{# fasadalternativ är tillgängliga}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{
message:"En del resurser från tredje part kan läsas in med lat inläsning med hjälp av en fasad"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Läs in resurser från tredje part med lat inläsning och fasader"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Tredje part"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Kod från tredje part kan påverka inläsningsprestandan betydligt. Begränsa antalet överflödiga tredjepartsleverantörer och testa att låta tredjepartskod läsas in efter att sidans huvudinnehåll har lästs in helt. [Läs mer](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Tredjepartskod blockerade huvudtråden i {timeInMs, number, milliseconds} ms"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Minska påverkan från tredjepartskod"},
"lighthouse-core/audits/third-party-summary.js | title":{message:"Minimera användning av tredjepartskod"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Mått"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Mätvärden"},"lighthouse-core/audits/timing-budget.js | description":{message:"Ställ in en tidsbudget om du vill hålla ett öga på webbplatsens prestanda. Bra webbplatser läses in och svarar snabbt på användarens indatahändelser. [Läs mer](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Tidsbudget"},"lighthouse-core/audits/unsized-images.js | description":{message:"Reducera layoutförskjutningarna och förbättra CLS genom att ange explicit bredd och höjd i bildelement. [Läs mer](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Alla bildelement har inte `width` och `height`"},
"lighthouse-core/audits/unsized-images.js | title":{message:"Alla bildelement har explicit `width` och `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Typ"},"lighthouse-core/audits/user-timings.js | description":{message:"Om du bygger in User Timing API i appen kan du mäta appens prestanda i realtid i samband med viktiga användarupplevelser. [Läs mer](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 användartimer}other{# användartimer}}"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing API – tidsstämplar och mått"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"En `<link rel=preconnect>` hittades för {securityOrigin} men ignorerades av webbläsaren. Kontrollera att attributet `crossorigin` används korrekt."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Lägg till signaler för `preconnect` eller `dns-prefetch` så att viktiga anslutningar till tredje part upprättas tidigt. [Läs mer](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Föranslut till obligatoriska källor"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Fler än 2 `<link rel=preconnect>`-anslutningar hittades. Dessa ska användas sparsamt och bara med de viktigaste källorna."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"En `<link rel=preconnect>` hittades för {securityOrigin} men ignorerades av webbläsaren. Använd endast `preconnect` för viktiga ursprung som sidan säkerligen kommer att begära."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"En `<link>` som läses in i förväg hittades för {preloadURL} men ignorerades av webbläsaren. Kontrollera att attributet `crossorigin` används korrekt."},
"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Det kan vara bra att använda `<link rel=preload>` för att prioritera hämtning av resurser som kommer att begäras senare i sidinläsningen. [Läs mer](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Läs in viktiga resurser i förväg"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Kartans webbadress"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"Källkartor översätter minifierad kod till den ursprungliga källkoden. Detta hjälper utvecklare att felsöka i produktionsläget. Lighthouse kan dessutom ge ytterligare insikter. Överväg att implementera källkartor för att dra nytta av dessa fördelar. [Läs mer](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Det saknas källkartor för stor JavaScript från första part"},
"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"En källkarta saknas för en stor JavaScript-fil"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Varning: 1 element saknas i `.sourcesContent`}other{Varning: # element saknas i `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Sidan har giltiga källkartor"},"lighthouse-core/audits/viewport.js | description":{message:'Lägg till en `<meta name="viewport">`-tagg för att optimera appen för mobilskärmar. [Läs mer](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Ingen `<meta name="viewport">`-tagg hittades'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Har inte en `<meta name="viewport">`-tagg med `width` eller `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Har en `<meta name="viewport">`-tagg med `width` eller `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Det här är förslag på hur ARIA kan förbättras i appen så att den fungerar bättre för den som använder skärmläsare eller andra hjälpmedel."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Det här är möjligheter att tillhandahålla alternativt innehåll för ljud och video. Detta kan förbättra upplevelsen för användare med nedsatt syn eller hörsel."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Ljud och bild"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Dessa punkter visar bra metoder för vanliga hjälpmedel."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Bästa metoder"},
"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Dessa kontroller visar möjligheter att [förbättra tillgängligheten för din webbapp](https://developers.google.com/web/fundamentals/accessibility). Alla tillgänglighetsproblem kan inte identifieras automatiskt. Du bör därför även testa manuellt."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Dessa punkter beskriver områden som inte kan testas automatiskt. Läs mer i vår guide om att [granska tillgängligheten](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Tillgänglighet"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Det här är förslag på hur du kan göra innehållet lättare att läsa."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Det här är förslag på hur du kan göra det lättare för användare med olika språkinställningar att tolka innehållet."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Internationalisering och lokalisering"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Det här är förslag på hur du kan göra det tydligare vad olika objekt i appens gränssnitt är. Det kan förenkla för den som använder skärmläsare eller andra hjälpmedel."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Namn och etiketter"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Det här är möjligheter att förbättra tangentbordsnavigeringen i appen."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Navigering"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Det här är förslag till att förbättra upplevelsen av att läsa tabeller eller listor med skärmläsare eller annan hjälpmedelsteknik."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tabeller och listor"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Kompatibilitet med webbläsare"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Bästa metoder"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Allmänt"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Tillförlitlighet och säkerhet"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Användarupplevelse"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Prestandabudget anger standard för webbplatsens prestanda."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Budgetar"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Mer information om appens prestanda. Värdena påverkar inte prestandapoängen [direkt](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Diagnostik"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Den viktigaste delen av sidans prestanda är hur snabbt pixlarna renderas på skärmen. Viktiga mätvärden: Första uppritningen av innehåll, Första meningsfulla skärmuppritningen"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Förbättringar av första skärmuppritningen"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Dessa förslag kan hjälpa sidan att läsas in snabbare. De påverkar inte prestandavärdet [direkt](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Möjligheter"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Mätvärden"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Förbättra inläsningstiden överlag så att sidan upplevs som responsiv och blir klar att använda så snabbt som möjligt. Viktiga mätvärden: Tid till interaktivt tillstånd, Hastighetsindex"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Övergripande förbättringar"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Prestanda"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Med dessa kontroller verifieras att webbplatsen är en progressiv webbapp. [Läs mer](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Dessa kontroller krävs enligt [checklistan för progressiva webbappar](https://developers.google.com/web/progressive-web-apps/checklist) som används som baslinje, men de kontrolleras inte automatiskt av Lighthouse. De påverkar inte resultatet, men det är viktigt att du verifierar dem manuellt."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressiv webbapp"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Kan installeras"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimerad för progressiv webbapp"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Dessa kontroller ser till att din sida är optimerad för rankning i sökmotorresultat. Det finns fler faktorer som Lighthouse inte kontrollerar som kan påverka rankningen i sökresultat. [Läs mer](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Kontrollera att fler av de bästa metoderna för sökmotoroptimering följs på din webbplats genom att köra dessa extra valideringar."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Formatera HTML-koden på ett sätt som gör det enklare för sökrobotar att tolka appens innehåll."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Bästa metoder för innehåll"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Du måste ge sökrobotar tillgång till appen om den ska kunna visas i sökresultaten."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Genomsökning och indexering"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Gör sidorna mobilanpassade så att användarna kan läsa dem utan att behöva nypa eller zooma in. [Läs mer](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobilanpassad"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"Enheten som testas verkar ha en lägre CPU-hastighet än vad som förväntas i Lighthouse. Det här kan påverka prestandavärdet negativt. Läs mer om att [kalibrera en lämplig CPU-multiplicerare](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{
message:"Sidan kanske inte läses in eftersom testwebbadressen ({requested}) omdirigerades till {final}. Testa den andra webbadressen direkt i stället."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Sidan lästes in för långsamt för att slutföra sidhämtningen inom tidsgränsen. Resultatet kan vara ofullständigt."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{På följande plats kan det finnas lagrad data som påverkar inläsningen: {locations}. Granska sidan i ett inkognitofönster för att förhindra att resurserna påverkar dina resultat.}other{På följande platser kan det finnas lagrad data som påverkar inläsningen: {locations}. Granska sidan i ett inkognitofönster för att förhindra att resurserna påverkar dina resultat.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{
message:"Du kan lägga till webbadressscheman https: och http: (ignoreras av webbläsare med stöd för strict-dynamic) för bakåtkompatibilitet med äldre webbläsare."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener har utfasats sedan CSP3. Använd huvudet Cross-Origin-Opener-Policy i stället."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer har utfasats sedan CSP2. Använd huvudet Referrer-Policy i stället."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss har utfasats sedan CSP2. Använd huvudet X-XSS-Protection i stället."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"Om base-uri saknas går det att använda <base>-taggar för att ställa in baswebbadressen för alla relativa webbadresser (t.ex. skript) till en domän som styrs av en angripare. Du kan ställa in base-uri på none eller self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{
message:"Element som styrs av object-src anses vara äldre funktioner. Du kan ställa in object-src på none för att förhindra användningen av pluginprogram som kör osäkra skript."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Direktivet script-src saknas. Detta kan möjliggöra att osäkra skript körs."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Glömde du semikolon? {keyword} verkar vara ett direktiv, inte ett sökord."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Noncevärden bör använda teckenuppsättningen base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Noncevärden måste bestå av minst åtta tecken."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Rapporteringsdestinationen konfigureras enbart via direktivet report-to. Direktivet stöds endast i Chromium-baserade webbläsare och vi rekommenderar därför att du även använder direktivet report-uri."},
"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Det finns ingen CPS som konfigurerar en rapporteringsdestination. Detta gör det svårt att bevara CSP med tiden och övervaka eventuella intrång."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Värdens godkännandelistor kan ofta passeras. Du kan använda strict-dynamic i kombination med CSP-noncevärden eller -hashvärden."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Okänt CSP-direktiv."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} verkar vara ett ogiltigt sökord."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"unsafe-inline möjliggör att osäkra skript och händelsehanterare körs på sidan. Du kan använda CSP-noncevärden eller -hashvärden om du vill godkänna skript separat."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:"Du kan lägga till unsafe-inline (ignoreras av webbläsare med stöd för noncevärden/hashvärden) för bakåtkompatibilitet med äldre webbläsare."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Tidsåtgång för blockering av huvudtråd"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Lagringstid i cacheminnet"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Beskrivning"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Varaktighet"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Element"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Element med fel"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Plats"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Namn"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Över budget"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Begäranden"},
"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Resursens storlek"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Resurstyp"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Storlek"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Källa"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Starttid"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Tid som använts"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Överföringsstorlek"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"Webbadress"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Möjlig besparing"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Möjlig besparing"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{
message:"Möjlig databesparing {wastedBytes, number, bytes} Kibit"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 element hittades}other{# element hittades}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Möjlig tidsbesparing: {wastedMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Dokument"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Första meningsfulla skärmuppritningen"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Teckensnitt"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Bild"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Hög"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{
message:"Låg"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Medelstor"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Högsta potentiella fördröjning till första inmatningen"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Media"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Annat"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Övriga resurser"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Skript"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} s"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Formatmall"},
"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Tredje part"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Totalt"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Ett fel uppstod när spårningen skulle registreras för sidinläsningen. Kör Lighthouse igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Tidsgränsen överskreds under väntan på den första anslutningen till felsökningsprotokollet."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Inga skärmbilder togs i Chrome medan sidan lästes in. Kontrollera att det finns synligt innehåll på sidan och kör Lighthouse igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Uppslagningen av den angivna domänen misslyckades på DNS-servern."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{
message:"En obligatorisk {artifactName}-insamlare påträffade ett fel: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Ett internt fel har uppstått i Chrome. Starta om Chrome och testa att köra Lighthouse igen."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"En {artifactName}-samlare som krävs kördes inte."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Sidan renderade inget innehåll. Se till att du håller webbläsarfönstret öppet i förgrunden under inläsningen och försök igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Den tillhandahållna sidan är inte HTML (visas som MIME-typen {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Den här versionen av Chrome är för gammal för {featureName}. Använd en nyare version för att visa de fullständiga resultaten."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Det gick inte att läsa in den begärda sidan i Lighthouse. Kontrollera att du testar rätt webbadress och att servern svarar korrekt."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Det gick inte att läsa in den begärda webbadressen med Lighthouse eftersom sidan slutade svara."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Den webbadress du angav har inget giltigt säkerhetscertifikat. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome förhindrade sidhämtning med en mellansidesannons. Kontrollera att du testar rätt webbadress och att servern svarar korrekt."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Det gick inte att läsa in den begärda sidan i Lighthouse. Kontrollera att du testar rätt webbadress och att servern svarar korrekt. (Mer information: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Det gick inte att läsa in den begärda sidan i Lighthouse. Kontrollera att du testar rätt webbadress och att servern svarar korrekt. (Statuskod: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Det tog för lång tid att läsa in sidan. Minska sidans inläsningstid genom att följa förslagen i rapporten och kör sedan Lighthouse igen. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Den angivna väntetiden för svar med DevTools-protokollet har överskridits. (Metod: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Den angivna tiden för att hämta resurser har överskridits"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Den angivna webbadressen verkar vara ogiltig."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Alla"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Alla skript"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{
message:"Täckning"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Moduldubbletter"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Resursstorlek i byte"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Namn"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Aktivera och inaktivera tabell"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Byte som inte används"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"För animerat innehåll använder du [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) till att minimera CPU-användningen när innehållet inte visas på skärmen."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Vi rekommenderar att du visar alla [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)-komponenter i WebP-format och anger ett lämpligt alternativ för andra. [Läs mer](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Kontrollera att du använder [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) så att uppskjuten inläsning tillämpas automatiskt för bilder. [Läs mer](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[Rendera AMP-layouter på serversidan](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) med hjälp av verktyg som [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Läs [AMP-dokumentationen](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) och kontrollera att alla format stöds."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Komponenten [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) har stöd för attributet [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) så att du kan ange vilka bildtillgångar som ska användas utifrån skärmstorlek. [Läs mer](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Vi rekommenderar virtuell skrollning med Component Dev Kit (CDK) om mycket stora listor renderas. [Läs mer](https://web.dev/virtualize-lists-with-angular-cdk/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Använd [koduppdelning på dirigeringsnivå](https://web.dev/route-level-code-splitting-in-angular/) för att minimera JavaScript-paketens storlek. Vi rekommenderar även att du cachelagrar tillgångar i förväg med [tjänstefunktionen Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Kontrollera att versioner genereras i produktionsläge om du använder Angular CLI. [Läs mer](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Om du använder Angular CLI kontrollerar du dina paket genom att inkludera källkartor i produktionsversionen. [Läs mer](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Läs in dirigeringar i förväg så att navigeringen går snabbare. [Läs mer](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Vi rekommenderar att du hanterar bildernas brytpunkter med hjälp av verktyget `BreakpointObserver` i Component Dev Kit (CDK). [Läs mer](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Ladda upp GIF-filen till en tjänst som kan göra den tillgänglig för inbäddning som HTML5-video."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Ange `@font-display` när du definierar anpassade teckensnitt i temat."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Du kan installera och konfigurera [en modul så att du kan använda WebP-bildformat](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) på webbplatsen. Med sådana moduler genereras en WebP-version automatiskt av de uppladdade bilderna i syfte att optimera hämtningstiderna."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Installera [en Drupal-modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) som kan utnyttja uppskjuten inläsning av bilder. Med sådana moduler går det att skjuta upp inläsningen av bilder som inte visas på skärmen i syfte att förbättra prestandan."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Du kan använda en modul för att lägga till kritiska CSS- och JavaScript-tillgångar eller läsa in tillgångar asynkront via JavaScript, t.ex. modulen [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg). Tänk på att optimeringarna som denna modul gör kan leda till att webbplatsen slutar att fungera, så du kan behöva ändra i koden."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Serverns svarstider påverkas av teman, moduler och serverns prestanda. Du kan använda ett mer optimerat tema, välja en optimeringsmodul och/eller uppgradera servern. Värdservrarna ska använda cachelagring av OP-kod för PHP och minnescachelagring för att minska sökfrågetiderna för databasen, t.ex. Redis eller Memcached, samt en optimerad applogik för att förbereda sidor snabbare."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"Du kan använda [responsiva bildformat](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) för att minska storleken på bilderna som läses in på sidan. Om du använder Views för att visa flera innehållsobjekt på en sida kan du implementera sidnumrering om du vill begränsa antalet innehållsobjekt som visas på en viss sida."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"Kontrollera att du har aktiverat Aggregate CSS files under Administration » Configuration » Development. Du kan även konfigurera mer avancerade sammanställningsalternativ via [ytterligare moduler](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) och göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera CSS-format."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:"Kontrollera att du har aktiverat Aggregate JavaScript files under Administration » Configuration » Development. Du kan även konfigurera mer avancerade sammanställningsalternativ via [ytterligare moduler](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) och göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera JavaScript-tillgångar."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Vi rekommenderar att du tar bort CSS-regler som inte används och endast bifogar nödvändiga Drupal-bibliotek till den relevanta sidan eller komponenten på en sida. Du hittar mer information i [dokumentationen om Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Testa fliken för [kodtäckning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes utvecklarverktyg om du vill se vilka bibliotek som lägger till överflödig CSS. Du ser på formatmallens webbadress vilket tema eller vilken modul som koden kommer från när CSS-sammanställning är inaktiverat för Drupal-webbplatsen. Titta efter teman eller moduler med många CSS-formatmallar på listan där en stor del av stapeln är röd. Ett tema eller en modul ska bara ställa en formatmall i kö för inläsning om det faktiskt används på sidan."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Vi rekommenderar att du tar bort JavaScript-tillgångar som inte används och endast bifogar nödvändiga Drupal-bibliotek till den relevanta sidan eller komponenten på en sida. Du hittar mer information i [dokumentationen om Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library). Testa fliken för [kodtäckning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes utvecklarverktyg om du vill se vilka bibliotek som lägger till överflödig JavaScript. Du ser på skriptets webbadress vilket tema eller vilken modul som koden kommer ifrån när JavaScript-sammanställning är inaktiverat på Drupal-webbplatsen. Titta efter teman/moduler med många skript på listan där en stor del av stapeln är röd. Ett tema eller en modul ska bara ställa ett skript i kö för inläsning om det faktiskt används på sidan."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:"Ange Browser and proxy cache maximum age under Administration » Configuration » Development. Läs mer om [cachelagring i Drupal och optimering för prestanda.](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Du kan använda en [modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) som automatiskt optimerar och minskar storleken på bilderna som laddas upp via webbplatsen utan att göra avkall på kvaliteten. Kontrollera även att du använder de integrerade [responsiva bildformaten](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) från Drupal (tillgängliga i Drupal 8 och senare) för alla bilder som renderas på webbplatsen."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Signaler för förhandsanslutning eller DNS-förhandshämtning kan läggas till genom att installera och konfigurera [en modul](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) med funktioner för signaler för användaragenter."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Kontrollera att du använder de integrerade [responsiva bildformaten](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) från Drupal (tillgängliga i Drupal 8 och senare). Använd de responsiva bildformaten när du renderar bildfält via visningslägen, vyer eller bilder som laddats upp via WYSIWYG-redigeraren."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Ladda upp GIF-filen till en tjänst som kan göra den tillgänglig för inbäddning som HTML5-video."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Det kan vara bra att använda en [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) eller tjänst som automatiskt konverterar uppladdade bilder till optimalt format."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Installera en [Joomla-plugin för lat inläsning](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) som ger möjlighet att skjuta upp inläsningen av bilder som inte visas på skärmen, eller byt till en mall som har den funktionen. Från och med Joomla 4.0 får alla nya bilder [automatiskt](https://github.com/joomla/joomla-cms/pull/30748) attributet `loading` från början."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Det finns ett antal pluginmoduler för Joomla som kan hjälpa dig att [lägga till kritiska tillgångar direkt på sidan](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) eller [skjuta upp inläsningen av mindre viktiga resurser](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Tänk på att optimeringarna som dessa pluginmoduler gör kan leda till att funktioner i mallarna eller andra pluginmoduler slutar fungera, så du kan behöva köra noggranna tester."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Serverns svarstider påverkas av mallar, tillägg och serverns prestanda. Du kan använda en mer optimerad mall, välja ett optimeringstillägg och/eller uppgradera servern."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Du kan visa utdrag i artikelkategorierna (t.ex. via en läs mer-länk), minska antalet artiklar på sidan, dela upp långa inlägg på flera sidor eller använda en plugin som läser in kommentarer med uppskjuten inläsning."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Det finns ett antal [Joomla-tillägg](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) som kan göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera CSS-format. Det finns även mallar som gör samma sak."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Det finns ett antal [Joomla-tillägg](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) som kan göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera skript. Det finns även mallar som gör samma sak."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Du kan minska antalet [Joomla-tillägg](https://extensions.joomla.org/) som läser in CSS som inte används på sidan, eller byta ut dem. Testa fliken för [kodtäckning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes utvecklarverktyg om du vill se vilka tillägg som lägger till överflödig CSS. Du ser på CSS-formatmallens webbadress vilket tema eller vilken plugin som koden kommer från. Titta efter pluginmoduler med många CSS-formatmallar på listan där en stor del av stapeln är röd. En plugin ska bara ställa en formatmall i kö för inläsning om den faktiskt används på sidan."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Du kan minska antalet [Joomla-tillägg](https://extensions.joomla.org/) som läser in JavaScript som inte används på sidan, eller byta ut dem. Testa fliken för [kodtäckning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes utvecklarverktyg om du vill se vilka pluginmoduler som lägger till överflödig JS. Du ser på formatmallens webbadress vilket tillägg som koden kommer från. Titta efter tillägg med många skript på listan där en stor del av stapeln är röd. Ett tillägg ska bara ställa ett skript i kö för inläsning om det faktiskt används på sidan."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Läs mer om [webbläsarens cachelagring och Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Du kan använda en [WordPress-plugin för bildoptimering](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) som komprimerar dina bilder utan att göra avkall på kvaliteten."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Vi rekommenderar att du använder en [pluginmodul för responsiva bilder](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) så att du kan använda responsiva bilder i innehållet."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Du kan aktivera textkomprimering genom att aktivera Gzip Page Compression i Joomla (System > Global configuration > Server)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Om du paketerar JavaScript-tillgångarna rekommenderar vi att du använder [baler](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Vi rekommenderar att du inaktiverar Magentos inbyggda [paketering och minifiering av JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) och använder [baler](https://github.com/magento/baler/) i stället."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Ange `@font-display` när du [definierar anpassade teckensnitt](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Vi rekommenderar att du söker på [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) efter olika tillägg från tredje part så att du kan använda nyare bildformat."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Vi rekommenderar att du ändrar dina produkt- och katalogmallar för att dra nytta av webbplattformens funktion för [uppskjuten inläsning](https://web.dev/native-lazy-loading)."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Använd Magentos [Varnish-integrering](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"Aktivera alternativet Minify CSS Files (minifiera CSS-filer) i butikens utvecklarinställningar. [Läs mer](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Använd [Terser](https://www.npmjs.com/package/terser) till att minifiera alla JavaScript-tillgångar från statisk innehållsimplementering och inaktivera den inbyggda minifieringsfunktionen."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Inaktivera Magentos inbyggda [JavaScript-paketering](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Vi rekommenderar att du söker på [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) efter olika tillägg från tredje part för att optimera bilder."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Signaler för förhandsanslutning eller DNS-förhandshämtning kan läggas till genom att [ändra ett temas layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>`-taggar kan läggas till genom att [ändra ett temas layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Ersätt animerade GIF-bilder med videor](https://web.dev/replace-gifs-with-videos/) så att webbsidan läses in snabbare. Du kan även använda moderna filformat som [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) eller [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) för att förbättra komprimeringens effektivitet med mer än 30 % jämfört med den nuvarande toppmoderna videokodeken VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Det kan vara bra att använda en [plugin](https://octobercms.com/plugins?search=image) eller tjänst som automatiskt konverterar uppladdade bilder till optimalt format. [Förlustfria WebP-bilder](https://developers.google.com/speed/webp) är 26 % mindre än PNG-bilder och 25–34 % mindre än jämförbara JPEG-bilder med samma upplösning enligt SSIM-kvalitetsindex. Ett annat modernare bildformat är [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Du kan installera [en plugin för lat inläsning av bilder](https://octobercms.com/plugins?search=lazy) som gör det möjligt att skjuta upp inläsningen av bilder som inte visas på skärmen eller byta till ett tema som erbjuder den funktionen. Du kan även använda [plugin-programmet AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Det finns många plugins som kan hjälpa dig att [lägga till kritiska tillgångar direkt på sidan](https://octobercms.com/plugins?search=css). Dessa plugins kan få andra plugins att sluta fungera, så du bör testa noga."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Serverns svarstider påverkas av teman, plugins och serverns prestanda. Du kan använda ett mer optimerat tema, välja en optimeringsplugin och/eller uppgradera servern. Med October CMS kan utvecklare även använda [`Queues`](https://octobercms.com/docs/services/queues) för att skjuta upp bearbetningen av en tidskrävande uppgift, till exempel att skicka ett e-postmeddelande. Detta gör webbförfrågningarna mycket snabbare."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Du kan visa utdrag i inläggslistan (t.ex. med en `show more`-knapp), minska antalet inlägg på webbsidan, dela upp långa inlägg på flera webbsidor eller använda en plugin som läser in kommentarer med lat inläsning."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Det finns många [plugins](https://octobercms.com/plugins?search=css) som kan göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera formatmallarna. Du kan också göra minifieringen direkt i konstruktionsfasen för att snabba på utvecklingsarbetet."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Det finns många [plugins](https://octobercms.com/plugins?search=javascript) som kan göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera skripten. Du kan också göra minifieringen direkt i konstruktionsfasen för att snabba på utvecklingsarbetet."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Du kan se över [de plugins](https://octobercms.com/plugins) som läser in CSS som inte används på webbplatsen. Du kan identifiera vilka plugins som lägger till onödig CSS genom att köra [kodanvändning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes verktyg för programmerare. Du ser på formatmallens webbadress vilket tema eller vilken plugin som koden kommer från. Titta efter plugins med många formatmallar där en stor del av stapeln är röd i kodanvändningen. En plugin ska endast lägga till en formatmall om den faktiskt används på webbsidan."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Du kan se över [plugin-programmen](https://octobercms.com/plugins?search=javascript) som läser in JavaScript som inte används på webbsidan. Du kan identifiera vilka plugins som lägger till onödig JavaScript genom att köra [kodanvändning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes verktyg för programmerare. Du ser på skriptets webbadress vilket tema eller vilken plugin som koden kommer från. Titta efter plugins med många skript där en stor del av stapeln är röd i kodanvändningen. En plugin ska endast lägga till ett skript om det faktiskt används på webbsidan."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Läs om att [förhindra onödiga nätverksförfrågningar med HTTP-cacheminnet](https://web.dev/http-cache/#caching-checklist). Det finns många [plugins](https://octobercms.com/plugins?search=Caching) som kan användas för att snabba på cachelagringen."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Du kan använda en [plugin för bildoptimering](https://octobercms.com/plugins?search=image) som komprimerar dina bilder utan att göra avkall på kvaliteten."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Säkerställ att de bildstorlekar som krävs finns tillgängliga genom att ladda upp bilderna direkt via mediahanteraren. Du kan använda [filtret för att ändra storlek](https://octobercms.com/docs/markup/filter-resize) eller en [plugin som ändrar storleken](https://octobercms.com/plugins?search=image) så att optimala bildstorlekar används."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Aktivera textkomprimering i webbserverns konfiguration."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Du kan använda ett bibliotek för fönstersystem som `react-window` för att minimera antalet DOM-noder som skapas om du renderar många upprepade element på sidan. [Läs mer](https://web.dev/virtualize-long-lists-react-window/). Minimera även onödiga omrenderingar med [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) eller [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) och [hoppa endast över effekter](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) tills vissa beroenden har ändrats om du använder hooken `Effect` till att förbättra körningsresultatet."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Om du använder React Router minimerar du användningen av komponenten `<Redirect>` för [navigering av dirigeringar](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Om du renderar React-komponenter på serversidan rekommenderar vi att du använder `renderToNodeStream()` eller `renderToStaticNodeStream()` till att tillåta att klienten tar emot och hydrerar olika delar av uppmärkningen i stället för alla på en gång. [Läs mer](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Om versionssystemet minifierar CSS-filerna automatiskt kontrollerar du att du implementerar appens produktionsversion. Du kan kontrollera detta med tillägget React Developer Tools. [Läs mer](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Om versionssystemet minifierar JS-filerna automatiskt kontrollerar du att du implementerar appens produktionsversion. Du kan kontrollera detta med tillägget React Developer Tools. [Läs mer](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Om du inte renderar på serversidan [delar du upp JavaScript-paketen](https://web.dev/code-splitting-suspense/) med `React.lazy()`. I annat fall kan du dela upp koden med tredjepartsbibliotek som [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Mät renderingens resultat för dina komponenter med hjälp av React DevTools Profiler, som drar nytta av Profiler API. [Läs mer.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Ladda upp GIF-filen till en tjänst som kan göra den tillgänglig för inbäddning som HTML5-video."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Det kan vara bra att använda en [plugin](https://wordpress.org/plugins/search/convert+webp/) eller tjänst som automatiskt konverterar uppladdade bilder till optimalt format."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Installera en [WordPress-plugin för lat inläsning](https://wordpress.org/plugins/search/lazy+load/) som ger möjlighet att skjuta upp inläsningen av bilder som inte visas på skärmen, eller byt till ett tema som har den funktionen. Du kan även använda [AMP-pluginmodulen](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Det finns ett antal pluginmoduler för WordPress som kan hjälpa dig att [lägga till kritiska tillgångar direkt på sidan](https://wordpress.org/plugins/search/critical+css/) eller [skjuta upp inläsningen av mindre viktiga resurser](https://wordpress.org/plugins/search/defer+css+javascript/). Tänk på att optimeringarna som dessa pluginmoduler gör kan leda till att funktioner i teman eller andra pluginmoduler slutar fungera, så du kan behöva ändra i koden."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Serverns svarstider påverkas av teman, pluginmoduler och serverns prestanda. Du kan använda ett mer optimerat tema, välja en optimeringsplugin och/eller uppgradera servern."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Du kan visa utdrag i inläggslistan (t.ex. via en more-tagg), minska antalet inlägg på sidan, dela upp långa inlägg på flera sidor eller använda en plugin som läser in kommentarer med lat inläsning."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Det finns ett antal [pluginmoduler för WordPress](https://wordpress.org/plugins/search/minify+css/) som kan göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera skript. Du kan också göra minifieringen direkt i konstruktionsfasen om möjligt."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Ett antal [pluginmoduler för WordPress](https://wordpress.org/plugins/search/minify+javascript/) kan göra webbplatsen snabbare genom att sammanfoga, minifiera och komprimera skript. Du kan också göra minifieringen direkt i konstruktionsfasen om möjligt."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Du kan minska antalet [WordPress-pluginmoduler](https://wordpress.org/plugins/) som läser in CSS som inte används på sidan, eller byta ut dem. Testa fliken för [kodtäckning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes utvecklarverktyg om du vill se vilka pluginmoduler som lägger till överflödig CSS. Du ser på CSS-formatmallens webbadress vilket tema eller vilken plugin som koden kommer från. Titta efter pluginmoduler med många CSS-formatmallar på listan där en stor del av stapeln är röd. En plugin ska bara ställa en formatmall i kö för inläsning om den faktiskt används på sidan."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"Du kan minska antalet [WordPress-pluginmoduler](https://wordpress.org/plugins/) som läser in JavaScript som inte används på sidan, eller byta ut dem. Testa fliken för [kodtäckning](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) i Chromes utvecklarverktyg om du vill se vilka pluginmoduler som lägger till överflödig JS. Du ser på skriptets webbadress vilket tema eller vilken plugin som koden kommer från. Titta efter pluginmoduler med många skript på listan där en stor del av stapeln är röd. En plugin ska bara ställa ett skript i kö för inläsning om det faktiskt används på sidan."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Läs mer om [cachelagring i webbläsaren och WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"Du kan använda en [WordPress-plugin för bildoptimering](https://wordpress.org/plugins/search/optimize+images/) som komprimerar dina bilder utan att göra avkall på kvaliteten."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Säkerställ att de bildstorlekar som krävs finns tillgängliga genom att ladda upp bilderna direkt via [mediebiblioteket](https://wordpress.org/support/article/media-library-screen/) och infoga dem sedan från mediebiblioteket eller med bildwidgeten, så att de optimala bildstorlekarna används (även för brytpunkterna för responsiv design). Undvik att använda `Full Size`-bilder såvida de inte har mått som passar där bilderna ska användas. [Läs mer](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Du kan aktivera textkomprimering i webbserverns konfiguration."},"report/renderer/util.js | calculatorLink":{message:"Visa kalkylator."},"report/renderer/util.js | crcInitialNavigation":{message:"Första navigering"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Högsta latens för kritisk kedja:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Kopiera JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Aktivera och inaktivera mörkt tema"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Skriv ut utökad"},"report/renderer/util.js | dropdownPrintSummary":{message:"Skriv ut sammanfattning"},"report/renderer/util.js | dropdownSaveGist":{message:"Spara som Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Spara som HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Spara som JSON"},"report/renderer/util.js | dropdownViewer":{message:"Öppna i visningsprogram"},"report/renderer/util.js | errorLabel":{message:"Fel."},
"report/renderer/util.js | errorMissingAuditInfo":{message:"Rapportfel: ingen granskningsinformation"},"report/renderer/util.js | footerIssue":{message:"Rapportera ett problem"},"report/renderer/util.js | labDataTitle":{message:"Labbdata"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Analys med [Lighthouse](https://developers.google.com/web/tools/lighthouse/) av den aktuella sidan i ett emulerat mobilnätverk. Värdena är uppskattningar och kan variera."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Fler saker att kolla manuellt"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Ej tillämpligt"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Möjlighet"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Uppskattad tidsbesparing"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Godkända granskningar"},"report/renderer/util.js | runtimeDesktopEmulation":{
message:"Emulerat skrivbord"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Emulerad Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Ingen emulering"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe-version"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/minne"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU-begränsning"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Enhet"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Tidpunkt för hämtning"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Nätverksbegränsning"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Körtidsinställningar"},"report/renderer/util.js | runtimeSettingsUA":{message:"Användaragent (värd)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Användaragent (nätverk)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"Webbadress"},"report/renderer/util.js | runtimeUnknown":{message:"Okänd"},"report/renderer/util.js | showRelevantAudits":{message:"Visa granskningar som är relevanta för:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Komprimera utdrag"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Utöka utdrag"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Visa resurser från tredje part"},"report/renderer/util.js | throttlingProvided":{message:"Tillhandahålls av miljön"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Problem uppstod med den här körningen av Lighthouse."},"report/renderer/util.js | varianceDisclaimer":{message:"Värdena är uppskattningar och kan variera. [Prestandapoängen beräknas](https://web.dev/performance-scoring/) direkt utifrån dessa mätvärden."},"report/renderer/util.js | viewTreemapLabel":{message:"Visa Treemap"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Godkänd i granskningarna men med varningar"},"report/renderer/util.js | warningHeader":{message:"Varningar: "}}},{}],138:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"பக்கத்தின் ஏதேனும் ஒரு பகுதிக்கு விரைவாகச் செல்ல அணுகல் விசைகளைப் பயனர்கள் பயன்படுத்தலாம். சரியாகச் செல்வதற்கு, ஒவ்வொரு அணுகல் விசையும் தனித்துவமானதாக இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` மதிப்புகள் பிரத்தியேகமானவையாக இல்லை"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` மதிப்புகள் தனித்துவமாக உள்ளன"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"ஒவ்வொரு ARIA `role` நியமனமும் `aria-*` பண்புக்கூறுகளின் குறிப்பிட்ட துணைத்தொகுப்பை ஆதரிக்கும். பொருந்தாதபட்சத்தில் `aria-*` பண்புக்கூறுகள் செல்லுபடியாகாதவையாகும். [மேலும் அறிக](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` பண்புக்கூறுகள் அவற்றின் பங்களிப்புகளுடன் பொருந்தவில்லை"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` பண்புக்கூறுகள் அவற்றின் பங்களிப்புகளுடன் பொருந்துகின்றன"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"ஓர் உறுப்பிற்குத் தெளிவான பெயர் இல்லையெனில் ஸ்கிரீன் ரீடர்கள் அதைப் பொதுவான பெயரைப் பயன்படுத்தி அறிவிக்கும். இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link`, `menuitem` ஆகிய உறுப்புகளுக்குத் தெளிவான பெயர்கள் இல்லை."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link`, `menuitem` ஆகிய உறுப்புகளுக்குத் தெளிவான பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'`<body>` ஆவணத்தில் `aria-hidden="true"` அமைக்கப்பட்டிருக்கும்போது ஸ்க்ரீன் ரீடர்கள் போன்ற உதவிகரமான தொழில்நுட்பங்கள் சீரற்று இயங்கும். [மேலும் அறிக](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`<body>` ஆவணத்தில் `[aria-hidden="true"]` உள்ளது'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`<body>` ஆவணத்தில் `[aria-hidden="true"]` இல்லை'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'ஸ்க்ரீன் ரீடர்கள் போன்ற உதவிகரமான தொழில்நுட்பங்களின் பயனர்களுக்கு அந்த உரையாடல் உறுப்புகள் கிடைப்பதை `[aria-hidden="true"]` உறுப்பு ஒன்றிற்குள் இருக்கும் மையப்படுத்தக்கூடிய வழித்தோன்றல்கள் தடுக்கும். [மேலும் அறிக](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` உறுப்புகளில் மையப்படுத்தக்கூடிய வழித்தோன்றல்கள் உள்ளன'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` உறுப்புகளில் மையப்படுத்தக்கூடிய வழித்தோன்றல்கள் இல்லை'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"ஓர் உள்ளீட்டுப் புலத்திற்குத் தெளிவான பெயர் இல்லையெனில் ஸ்க்ரீன் ரீடர்கள் அதைப் பொதுவான பெயரைப் பயன்படுத்தி அறிவிக்கும், இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"ARIA உள்ளீட்டுப் புலங்களுக்குத் தெளிவான பெயர்கள் இல்லை"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA உள்ளீட்டுப் புலங்கள் தெளிவான பெயர்களைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"ஓர் உறுப்பிற்குத் தெளிவான பெயர் இல்லையெனில் ஸ்கிரீன் ரீடர்கள் அதைப் பொதுவான பெயரைப் பயன்படுத்தி அறிவிக்கும். இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` உறுப்புகளுக்குத் தெளிவான பெயர்கள் இல்லை."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` உறுப்புகளுக்குத் தெளிவான பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"`progressbar` உறுப்பிற்குத் தெளிவான பெயர் இல்லையெனில் ஸ்கிரீன் ரீடர்கள் ஒரு பொதுவான பெயரில் அதைக் குறிப்பிடும். ஸ்கிரீன் ரீடர்களைப் பயன்படுத்திக் கேட்பவர்களுக்கு இது பயனுள்ளதாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` உறுப்புகளுக்குத் தெளிவான பெயர்கள் இல்லை."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` உறுப்புகளுக்குத் தெளிவான பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"சில ARIA பங்களிப்புகளில் ஸ்க்ரீன் ரீடர்களுக்கு உறுப்பின் நிலையை விவரிக்கத் தேவையான பண்புக்கூறுகள் உள்ளன. [மேலும் அறிக](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]`கள் தேவையான அனைத்து `[aria-*]` பண்புக்கூறுகளையும் கொண்டிருக்கவில்லை"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"தேவையான அனைத்து `[aria-*]` பண்புக்கூறுகளும் `[role]`களில் உள்ளன"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"சில ARIA முதல்நிலைப் பங்களிப்புகள், அவற்றுக்கான அணுகல்தன்மை செயல்பாடுகளை செய்ய, குறிப்பிட்ட உபநிலைப் பங்களிப்புகளைக் கொண்டிருக்க வேண்டும். [மேலும் அறிக](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"குறிப்பிட்ட `[role]` இருந்தாக வேண்டிய ARIA `[role]` ஐக் கொண்டுள்ள உறுப்புகளில், தேவையான சில உபநிலைகளோ அனைத்துமோ காணப்படவில்லை."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"குறிப்பிட்ட `[role]` ஐக் கொண்டிருப்பதற்கு உபநிலைகள் தேவைப்படுகின்ற ARIA `[role]` ஐ உடைய உறுப்புகளில் தேவையான உபநிலைகள் உள்ளன."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"சில ARIA உபநிலைப் பங்களிப்புகள் அவற்றுக்கான அணுகல்தன்மை செயல்பாடுகளை சரியாக செய்ய, குறிப்பிட்ட முதல்நிலைப் பங்களிப்புகளில் இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]`கள் அவற்றுக்குத் தேவையான முதல்நிலை உறுப்புக்குள் இல்லை"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]`கள் அவற்றுக்குத் தேவையான முதல்நிலை உறுப்புகளுக்குள் உள்ளன"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA பங்களிப்புகள் தங்களுக்கான அணுகல்தன்மை செயல்பாடுகளை செய்ய அவற்றில் செல்லுபடியாகும் மதிப்புகள் இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` செல்லுபடியாகாத மதிப்புகளைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` செல்லுபடியாகும் மதிப்புகளைக் கொண்டுள்ளன"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"நிலைமாற்றுப் புலம் ஒன்றுக்குத் தெளிவான பெயர் இல்லையெனில் ஸ்க்ரீன் ரீடர்கள் அதைப் பொதுவான பெயரைப் பயன்படுத்தி அறிவிக்கும், இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA நிலைமாற்றுப் புலங்களுக்குத் தெளிவான பெயர்கள் இல்லை"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA நிலைமாற்றுப் புலங்கள் தெளிவான பெயர்களைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"ஓர் உறுப்பிற்குத் தெளிவான பெயர் இல்லையெனில் ஸ்கிரீன் ரீடர்கள் அதைப் பொதுவான பெயரைப் பயன்படுத்தி அறிவிக்கும். இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{
message:"ARIA `tooltip` உறுப்புகளுக்குத் தெளிவான பெயர்கள் இல்லை."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` உறுப்புகளுக்குத் தெளிவான பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"ஓர் உறுப்பிற்குத் தெளிவான பெயர் இல்லையெனில் ஸ்கிரீன் ரீடர்கள் அதைப் பொதுவான பெயரைப் பயன்படுத்தி அறிவிக்கும். இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` உறுப்புகளுக்குத் தெளிவான பெயர்கள் இல்லை."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` உறுப்புகளுக்குத் தெளிவான பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"செல்லுபடியாகாத மதிப்புகள் உள்ள ARIA பண்புக்கூறுகளை ஸ்க்ரீன் ரீடர்கள் போன்ற உதவிகரமான தொழில்நுட்பங்களால் புரிந்துகொள்ள இயலாது. [மேலும் அறிக](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` பண்புக்கூறுகள் செல்லுபடியாகும் மதிப்புகளைக் கொண்டிருக்கவில்லை"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` பண்புக்கூறுகள் செல்லுபடியாகும் மதிப்புகளைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"செல்லுபடியாகாத பெயர்கள் உள்ள ARIA பண்புக்கூறுகளை ஸ்க்ரீன் ரீடர்கள் போன்ற உதவிகரமான தொழில்நுட்பங்களால் புரிந்துகொள்ள இயலாது. [மேலும் அறிக](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` பண்புக்கூறுகள் செல்லுபடியாகாத மதிப்புகளைக் கொண்டுள்ளன அல்லது தவறாக உள்ளிடப்பட்டுள்ளன"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` பண்புக்கூறுகள் செல்லுபடியாகும் மதிப்புகளைக் கொண்டுள்ளன, மேலும் அவை சரியாக உள்ளிடப்பட்டுள்ளன"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"தோல்வியுற்ற உறுப்புகள்"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'ஒரு பட்டனுக்குத் தெளிவான பெயர் இல்லையெனில் ஸ்க்ரீன் ரீடர்கள் அதை "பட்டன்" என அறிவிக்கும், இது ஸ்க்ரீன் ரீடர்களைப் பயன்படுத்தும் பயனர்களுக்கு உதவியாக இருக்காது. [மேலும் அறிக](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"பட்டன்களுக்குத் தெளிவான பெயர் இல்லை"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"பட்டன்களுக்கு ஸ்க்ரீன் ரீடர்களால் படிக்கக்கூடிய பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"திரும்பத்திரும்ப வரும் உள்ளடக்கத்தை மீறி செல்லும் வழிகளை சேர்த்தால், பக்கத்தைக் கீபோர்டுப் பயனர்கள் மேலும் திறனுள்ள வகையில் கையாள முடியும். [மேலும் அறிக](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"பக்கத்தில் தலைப்பு, தவிர்ப்பு இணைப்பு அல்லது இட அடையாள மண்டலம் இல்லை"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"பக்கத்தில் தலைப்பு, தவிர்ப்பு இணைப்பு அல்லது இட அடையாள மண்டலம் உள்ளது"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"பல பயனர்களால் குறைவான ஒளி மாறுபாடுள்ள உரையைப் படிக்க இயலாது அல்லது கடினமாக இருக்கும். [மேலும் அறிக](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"பின்னணி, முன்னணி நிறங்களுக்குப் போதுமான ஒளி மாறுபாடு விகிதம் இல்லை."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"பின்னணி, முன்னணி நிறங்கள் போதுமான ஒளி மாறுபாட்டு விகிதத்தைக் கொண்டுள்ளன"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"வரையறைப் பட்டியல்கள் சரியாகக் குறிக்கப்படவில்லை எனில் ஸ்க்ரீன் ரீடர்கள் குழப்பமான அல்லது துல்லியமற்ற வெளியீட்டைத் தரக்கூடும். [மேலும் அறிக](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"சரியாக வரிசைப்படுத்தப்பட்ட `<dt>`, `<dd>` ஆகிய குழுக்களும் `<script>`, `<template>`, `<div>` போன்ற உறுப்புகளும் மட்டுமல்லாது வேறு வகைகளையும் `<dl>` கொண்டுள்ளது."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"சரியாக வரிசைப்படுத்தப்பட்ட `<dt>`, `<dd>` ஆகிய குழுக்களையும் `<script>`, `<template>`, `<div>` போன்ற உறுப்புகளையும் மட்டுமே `<dl>` கொண்டுள்ளது."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"விளக்கப்பட்டியலில் உள்ளவற்றை (`<dt>`,`<dd>`) ஸ்க்ரீன் ரீடர்கள் சரியாகப் படிக்க அவை ஒரு முதல்நிலை `<dl>` உறுப்பில் சேர்க்கப்பட்டிருக்க வேண்டும். [மேலும் அறிக](https://web.dev/dlitem/)."},
"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"விளக்கப்பட்டியலில் உள்ளவை`<dl>` உறுப்புகளில் சேர்க்கப்படவில்லை"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"விளக்கப் பட்டியலில் உள்ளவை`<dl>` உறுப்புகளில் சேர்க்கப்பட்டுள்ளன"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"தலைப்பானது அந்தப் பக்கத்தைப் பற்றிய மேலோட்ட விவரங்களை ஸ்க்ரீன் ரீடர் பயனர்களுக்கு வழங்குகிறது, தேடல் இன்ஜின் பயனர்கள் தங்களுடைய தேடலுடன் பக்கம் பொருந்துகின்றதா என்பதைத் தீர்மானிக்க அதைப் பெரிதும் நம்பியுள்ளனர். [மேலும் அறிக](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"ஆவணத்தில் `<title>` உறுப்பு இல்லை"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"ஆவணத்தில் `<title>` உறுப்பு உள்ளது"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"உதவிகரமான தொழில்நுட்பங்களுக்குத் தெரியும்வகையில் இருப்பதை உறுதிசெய்வதற்காக அனைத்து மையப்படுத்தக்கூடிய உறுப்புகளும் பிரத்தியேக `id` ஐக் கொண்டதாக இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"செயலிலுள்ள, மையப்படுத்தக்கூடிய உறுப்புகளில் `[id]` பண்புக்கூறுகள் பிரத்தியேகமானவையாக இல்லை"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"செயலிலுள்ள, மையப்படுத்தக்கூடிய உறுப்புகளில் `[id]` பண்புக்கூறுகள் பிரத்தியேகமானவையாக உள்ளன"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"உதவிகரமான தொழில்நுட்பங்களால் மற்ற நேர்வுகள் புறக்கணிக்கப்படுவதைத் தடுக்க, ARIA ஐடியின் மதிப்பு பிரத்தியேகமானதாக இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ஐடிகள் பிரத்தியேகமானவையாக இல்லை"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ஐடிகள் பிரத்தியேகமானவையாக உள்ளன"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"ஸ்க்ரீன் ரீடர்கள் போன்ற உதவிகரமான தொழில்நுட்பங்களால் பல லேபிள்களைக் கொண்ட படிவத்தின் புலங்கள் குழப்பமான வகையில் அறிவிக்கப்படலாம், இவை முதல் லேபிளையோ, இறுதி லேபிளையோ, அனைத்து லேபிள்களையுமோ பயன்படுத்தும். [மேலும் அறிக](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"படிவத்தின் புலங்கள் பல லேபிள்களைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"படிவத்தின் புலங்கள் எதுவும் பல லேபிள்களைக் கொண்டதாக இல்லை"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"ஃபிரேம்களில் உள்ளவற்றை விவரிக்க அவற்றின் தலைப்பை ஸ்க்ரீன் ரீடர் பயனர்கள் சார்ந்துள்ளனர். [மேலும் அறிக](https://web.dev/frame-title/)."},
"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` அல்லது `<iframe>` உறுப்புகளுக்குத் தலைப்பு இல்லை"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` அல்லது `<iframe>` உறுப்புகளுக்குத் தலைப்பு உள்ளது"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"நிலைகளைத் தவிர்க்காமல் சரியாக வரிசைப்படுத்தப்பட்ட தலைப்புகள் பக்கத்தின் புரியக்கூடிய வடிவமைப்பிலான தோற்றமைப்பைத் தெரிவிக்கும், உதவிகரமான தொழில்நுட்பங்களைப் பயன்படுத்தும்போது எளிதாக வழிசெலுத்துவதற்கும் புரிந்துகொள்வதற்கும் இது உதவும். [மேலும் அறிக](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"தலைப்பு உறுப்புகள் தொடர்-இறங்குவரிசையில் இல்லை"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"தலைப்பு உறுப்புகள் தொடர்-இறங்குவரிசையில் உள்ளன"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"ஒரு பக்கமானது மொழியின் பண்புக்கூறைக் குறிப்பிடவில்லை எனில் ஸ்க்ரீன் ரீடரை அமைக்கும்போது பயனர் தேர்வுசெய்த மொழியையே பக்கத்தின் இயல்பு மொழியாக ஸ்க்ரீன் ரீடர் கருதும். இயல்பு மொழியில் பக்கம் இல்லை எனில் பக்கத்தின் உரையை ஸ்க்ரீன் ரீடர் சரியாக வாசிக்க முடியாமல் போகக்கூடும். [மேலும் அறிக](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` உறுப்பில்`[lang]` பண்புக்கூறு இல்லை"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` உறுப்பானது`[lang]` பண்புக்கூறைக் கொண்டுள்ளது"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"செல்லுபடியாகும் [BCP 47 மொழியைக்](https://www.w3.org/International/questions/qa-choosing-language-tags#question) குறிப்பிட்டால், உரையை ஸ்க்ரீன் ரீடர்கள் சரியாகப் படிக்க அது உதவியாக இருக்கும். [மேலும் அறிக](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"`<html>` உறுப்பில் அதன்`[lang]` பண்புக்கூறுக்கான செல்லுபடியாகும் மதிப்பு இல்லை."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` உறுப்பில் அதன்`[lang]` பண்புக்கூறுக்கான செல்லுபடியாகும் மதிப்பு உள்ளது"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"தகவல் உறுப்புகள் சுருக்கமான, விளக்கமான மாற்று உரையைக் கொண்டிருக்க வேண்டும். அலங்கார உறுப்புகளில் காலியான மாற்றுப் பண்புக்கூறு இருக்கலாம். [மேலும் அறிக](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"பட உறுப்புகளில் `[alt]` பண்புக்கூறுகள் இல்லை"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"பட உறுப்புகள் `[alt]` பண்புக்கூறுகளைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"`<input>` பட்டனாக ஒரு படத்தைப் பயன்படுத்தும்போது அந்த பட்டனுக்கான மாற்று உரையை வழங்குவது அதன் செயல்பாட்டை ஸ்க்ரீன் ரீடர் பயனர்கள் புரிந்துகொள்ள உதவியாக இருக்கும். [மேலும் அறிக](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` உறுப்புகளில் `[alt]` உரை இல்லை'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` உறுப்புகள் `[alt]` உரையைக் கொண்டுள்ளன'},"lighthouse-core/audits/accessibility/label.js | description":{message:"ஸ்க்ரீன் ரீடர்கள் போன்ற உதவிகரமான தொழில்நுட்பங்களால் சரியாக அறிவிக்கப்படும் வகையில் படிவக் கட்டுப்பாடுகள் இருப்பதை லேபிள்கள் உறுதிசெய்கின்றன. [மேலும் அறிக](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"படிவ உறுப்புகளுக்கு, தொடர்புடைய லேபிள்கள் இல்லை"},"lighthouse-core/audits/accessibility/label.js | title":{message:"படிவ உறுப்புகளுக்கு, தொடர்புடைய லேபிள்கள் உள்ளன"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"தெளிவான, தனித்துவமான, மையப்படுத்தக்கூடிய இணைப்பு உரை (மற்றும் இணைப்புகளாகப் பயன்படுத்தப்படும் படங்களுக்கான மாற்று உரை) ஸ்க்ரீன் ரீடர் பயனர்களுக்கான வழிகாட்டும் அனுபவத்தை மேம்படுத்தும். [மேலும் அறிக](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"இணைப்புகளுக்குத் தெளிவான பெயர் இல்லை"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"இணைப்புகளுக்குத் தெளிவான பெயர்கள் உள்ளன"},"lighthouse-core/audits/accessibility/list.js | description":{message:"பட்டியல்களை அறிவிப்பதற்கு ஸ்க்ரீன் ரீடர்களுக்கென ஒரு குறிப்பிட்ட வழிமுறை உள்ளது. சரியான பட்டியல் வடிவமைப்பை உறுதிசெய்தால் அது ஸ்க்ரீன் ரீடர் வெளியீட்டுக்கு உதவிசெய்யும். [மேலும் அறிக](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"பட்டியல்களில் `<li>` உறுப்புகள், ஸ்கிரிப்ட்டை ஆதரிக்கும் உறுப்புகள்(`<script>`,`<template>`) மட்டுமல்லாமல் வேறு உறுப்புகளும் உள்ளன."},"lighthouse-core/audits/accessibility/list.js | title":{message:"`<li>` உறுப்புகள், ஸ்கிரிப்ட்டை ஆதரிக்கும் உறுப்புகள் (`<script>`, `<template>`) ஆகியவை மட்டும் பட்டியல்களில் உள்ளன."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"பட்டியலில் உள்ளவற்றை (`<li>`) ஸ்க்ரீன் ரீடர்கள் சரியாகப் படிப்பதற்கு அவை ஒரு முதல்நிலை `<ul>` அல்லது `<ol>`க்குள் இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"பட்டியலிலுள்ளவை (`<li>`) `<ul>` என்பதிலோ `<ol>` முதல்நிலை உறுப்புகளிலோ இல்லை."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"பட்டியலிலுள்ளவை (`<li>`), `<ul>` அல்லது `<ol>` முதல்நிலை உறுப்புகளுக்குள் உள்ளன"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"பக்கம் தானாகப் புதுப்பிக்கும் எனப் பயனர்கள் எதிர்பார்க்க மாட்டார்கள். அவ்வாறு ஏற்பட்டால் பக்கம் மீண்டும் முதலில் இருந்தே காட்டப்படும். இது அவர்களுக்குக் குழப்பத்தை விளைவிக்கக்கூடும். [மேலும் அறிக](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'ஆவணம் `<meta http-equiv="refresh">`ஐப் பயன்படுத்துகிறது'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'`<meta http-equiv="refresh">`ஐ ஆவணம் பயன்படுத்தவில்லை'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"அளவை மாற்றும் வசதியை முடக்கினால் இணையப் பக்கத்தில் உள்ளவற்றைத் தெளிவாகப் பார்க்க 'திரையைப் பெரிதாக்கும் செயல்பாட்டைப்' பயன்படுத்தும் பார்வைக் குறைபாடுள்ள பயனர்களுக்கு சிக்கல் ஏற்படும். [மேலும் அறிக](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`<meta name="viewport">` உறுப்பில் `[user-scalable="no"]` பயன்படுத்தப்பட்டுள்ளது அல்லது `[maximum-scale]` பண்புக்கூறின் மதிப்பு 5க்குக் கீழ் உள்ளது.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`<meta name="viewport">` உறுப்பில் `[user-scalable="no"]` பயன்படுத்தப்படவில்லை, `[maximum-scale]` பண்புக்கூறு 5க்குக் குறைவாக இல்லை.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"உரை அல்லாதவற்றை ஸ்க்ரீன் ரீடர்களால் மொழிபெயர்க்க முடியாது. `<object>` உறுப்புகளுக்கு மாற்று உரையை சேர்த்தால் அவற்றுக்கான அர்த்தத்தை ஸ்க்ரீன் ரீடர்கள் பயனர்களுக்குத் தெரிவிக்கும். [மேலும் அறிக](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` உறுப்புகளில் `[alt]` உரை இல்லை"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` உறுப்புகள் `[alt]` உரையைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"0க்கு அதிகமான மதிப்பானது வெளிப்படையான ஒரு வழிசெலுத்தல் வரிசை முறையைக் குறிப்பிடுகிறது. முறைப்படி செல்லுபடியாகும் என்றாலும் தொழில்நுட்பங்களை சார்ந்திருக்கும் மாற்றுத்திறன் பயனர்களுக்கு இது பெரும்பாலும் குழப்பமான அனுபவத்தையே உருவாக்கும். [மேலும் அறிக](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"சில உறுப்புகளின் `[tabindex]` மதிப்பு 0க்கு அதிகமாக உள்ளது"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"எந்த உறுப்புக்கும் `[tabindex]` மதிப்பு 0க்கு அதிகமாக இல்லை"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"அட்டவணைகளில் எளிதாகச் செல்வதற்கு ஸ்க்ரீன் ரீடர்களில் அம்சங்கள் உள்ளன. `[headers]` பண்புக்கூறைப் பயன்படுத்தும் `<td>` கலங்கள் அதே அட்டவணையில் உள்ள பிற கலங்களை மட்டும் குறிப்பிடுவதை உறுதிசெய்தால் அது ஸ்க்ரீன் ரீடர் பயனர்களின் அனுபவத்தை மேம்படுத்தக்கூடும். [மேலும் அறிக](https://web.dev/td-headers-attr/)."},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`[headers]` பண்புக்கூறைப் பயன்படுத்தும் `<table>` உறுப்பிலுள்ள கலங்கள் அதே அட்டவணையில் கண்டறியப்படாத `id` உறுப்பைக் குறிப்பிடுகின்றன."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`[headers]` பண்புக்கூறைப் பயன்படுத்தும் `<table>` உறுப்பிலுள்ள கலங்கள் அதே அட்டவணையிலுள்ள கலங்களைக் குறிப்பிடுகின்றன."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"அட்டவணைகளில் எளிதாகச் செல்வதற்கு ஸ்க்ரீன் ரீடர்களில் அம்சங்கள் உள்ளன. அட்டவணைத் தலைப்புகள் எப்போதும் சில கலங்களின் தொகுப்பைக் குறிப்பிடுமாறு அமைப்பது ஸ்க்ரீன் ரீடர் பயனர்களின் அனுபவத்தை மேம்படுத்தக்கூடும். [மேலும் அறிக](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` உறுப்புகளும் `[role="columnheader"/"rowheader"]`ஐக் கொண்டுள்ள உறுப்புகளும் விவரிக்கும் தரவுக் கலங்கள் அவற்றுக்கு இல்லை.'},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` உறுப்புகளும் `[role="columnheader"/"rowheader"]`ஐக் கொண்டுள்ள உறுப்புகளும் விவரிக்கும் தரவுக் கலங்கள் அவற்றுக்கு உள்ளன.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"உறுப்புகளில் செல்லுபடியாகும் [BCP 47 மொழியைக்](https://www.w3.org/International/questions/qa-choosing-language-tags#question) குறிப்பிட்டால், உரையை ஸ்க்ரீன் ரீடர் சரியாக உச்சரிக்கிறதா என்பதை உறுதிப்படுத்திக் கொள்ள அது உதவும். [மேலும் அறிக](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` பண்புக்கூறுகள் செல்லுபடியாகும் மதிப்பைக் கொண்டிருக்கவில்லை"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` பண்புக்கூறுகள் செல்லுபடியாகும் மதிப்பைக் கொண்டுள்ளன"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"வீடியோவில் தலைப்பு குறிப்பிடப்பட்டிருந்தால் காது கேளாதோர், செவித்திறன் குறைபாடுள்ளவர்கள் அதுகுறித்த தகவல்களை அறிந்துகொள்ள எளிதாக இருக்கும். [மேலும் அறிக](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` உறுப்புகளில் `[kind="captions"]` உள்ள `<track>` உறுப்பு இல்லை.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` உறுப்புகளில் `[kind="captions"]` உள்ள`<track>` உறுப்பு உள்ளது'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"முகப்புத் திரையில் நவீன இணைய ஆப்ஸை பயனர்கள் சேர்க்கும் போது iOSஸில் சிறப்பாகத் தோன்ற `apple-touch-icon` ஒன்றை வரையறுக்கவும். அது ஒளிபுகுத்தன்மையற்ற 192 பிகசல் (அல்லது 180 பிக்சல்) அளவுள்ள கட்ட வடிவத்திலான PNGயைக் காட்ட வேண்டும். [மேலும் அறிக](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"செல்லுபடியாகும் `apple-touch-icon`ஐ வழங்கவில்லை"},
"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` காலாவதியாகிவிட்டது; `apple-touch-icon` பரிந்துரைக்கப்படுகிறது."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"செல்லுபடியாகும் `apple-touch-icon`ஐ வழங்குகிறது"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"தற்போதைய மதிப்பு"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"பரிந்துரைக்கப்படும் டோக்கன்"},"lighthouse-core/audits/autocomplete.js | description":{message:"படிவங்களைப் பயனர்கள் விரைவாகச் சமர்ப்பிக்க `autocomplete` பண்புக்கூறு உதவுகிறது. பயனரின் வேலையை எளிதாக்கும் வகையில், சரியான மதிப்பில் `autocomplete` பண்புக்கூறை அமைத்து அதை இயக்கவும். [மேலும் அறிக](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` கூறுகளில் சரியான `autocomplete` பண்புக்கூறுகள் இல்லை"},
"lighthouse-core/audits/autocomplete.js | manualReview":{message:"நீங்களே உள்ளிட வேண்டும்"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"டோக்கன்களின் வரிசையைச் சரிபார்க்கவும்"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` கூறுகள் `autocomplete` பண்புக்கூறைச் சரியாகப் பயன்படுத்துகின்றன"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'{snippet} இல் "{token}" என்ற `autocomplete` டோக்கன் (டோக்கன்கள்) தவறாக உள்ளன'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'{snippet} இல் "{tokens}" டோக்கன்களின் வரிசையைச் சரிபார்க்கவும்'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome நீட்டிப்புகள் இந்தப் பக்கத்தின் ஏற்றுதல் செயல்திறனை எதிர்மறையாகப் பாதிக்கின்றன. மறைநிலையிலோ, நீட்டிப்புகள் இல்லாத ஒரு Chrome கணக்கிலிருந்தோ பக்கத்தைத் தணிக்கை செய்ய முயலவும்."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"ஸ்கிரிப்ட் மதிப்பாய்வு"},
"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"ஸ்கிரிப்ட் பாகுபடுத்துதல்"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"மொத்த CPU நேரம்"},"lighthouse-core/audits/bootup-time.js | description":{message:"JSஸைப் பாகுபடுத்துதல், தொகுத்தல் மற்றும் இயக்குவதில் செலவழிக்கும் நேரத்தைக் குறைக்கவும். இதற்கு சிறிய அளவிலான JS ஆதாரங்களை வழங்குவது உதவக்கூடும். [மேலும் அறிக](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"JavaScript செயல்பாட்டு நேரத்தைக் குறைக்கவும்"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript செயல்பாட்டு நேரம்"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"நெட்வொர்க் செயல்பாடு தேவையற்ற பைட்களை உபயோகப்படுத்துவதைக் குறைக்க வேண்டுமென்றால் தொகுப்புகளிலிருந்து பெரிய, நகலெடுக்கப்பட்ட JavaScript மாடியூல்களை அகற்றவும். "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{
message:"JavaScript தொகுப்புகளில் உள்ள நகல் மாடியூல்களை அகற்றுதல்"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"அனிமேஷன் செய்தவற்றைக் காட்டுவதற்கு பெரிய அளவிலான GIFகள் பொருத்தமானவை அல்ல. நெட்வொர்க் பைட்களை சேமிக்க GIFக்குப் பதிலாக அனிமேஷன்களுக்கு MPEG4/WebM வீடியோக்களையும் நிலையான படங்களுக்கு PNG/WebP வடிவமைப்புகளையும் பயன்படுத்தவும். [மேலும் அறிக](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"அனிமேஷன் செய்யப்பட்ட உள்ளடக்கங்களுக்கு வீடியோ வடிவமைப்புகளைப் பயன்படுத்தவும்"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"புதிய JavaScript அம்சங்களை லெகஸி உலாவிகள் பயன்படுத்துவதற்குப் பாலிஃபில்களும் ட்ரான்ஸ்ஃபாரம்களும் உதவுகின்றன. எனினும் நவீன உலாவிகளுக்கு இவற்றுள் பல தேவைப்படுவதில்லை. தொகுக்கப்பட்ட JavaScriptடிற்கு, லெகஸி உலாவிகளுக்கான ஆதரவைத் தக்க வைக்கும் அதே நேரத்தில் நவீன உலாவிகளுக்கு மாற்றப்படும் குறியீடுகளைக் குறைப்பதற்காக மாடியூல்/நோமாடியூல் அம்சக் கண்டறிதலைப் பயன்படுத்தி நவீன ஸ்கிரிப்ட் பயன்படுத்துதல் உத்தியைப் பயன்படுத்துங்கள். [மேலும் அறிக](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"நவீன உலாவிகளில் லெகஸி JavaScript சேவை வழங்குவதைத் தவிர்த்தல்"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{
message:"JPEG 2000, JPEG XR, WebP போன்ற பட வடிவமைப்புகளானது PNG அல்லது JPEGயைக் காட்டிலும் சிறந்த அளவு சுருக்கத்தை வழங்குகின்றன, இதன் மூலம் பதிவிறக்கங்கள் வேகமாக நடைபெறுவதுடன் டேட்டா உபயோகமும் குறையும். [மேலும் அறிக](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"படங்களை நவீன வடிவமைப்புகளில் வழங்கவும்"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"எதிர்வினையாற்றும் நேரத்தைக் குறைக்க முக்கியமான அனைத்து ஆதாரங்களும் ஏற்றப்பட்ட பின்னர், திரைக்கு வெளியிலுள்ள மற்றும் மறைக்கப்பட்ட படங்களை மெதுவாக ஏற்றுமாறு அமைக்கவும். [மேலும் அறிக](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"திரைக்கு வெளியிலுள்ள படங்களைத் தவிர்க்கவும்"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{
message:"ஆதாரங்கள் உங்கள் பக்கத்தின் முதல் தோற்றத்தைத் தடுக்கின்றன. முக்கிய JS/CSSஸை இன்லைனில் வழங்கவும். முக்கியமல்லாத அனைத்து JS/ஸ்டைல்களையும் தவிர்க்கவும். [மேலும் அறிக](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"ரென்டரிங்கைத் தடுக்கும் ஆதாரங்களை நீக்கவும்"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"அதிகளவிலான நெட்வொர்க் ஆதாரங்கள், பயனர்களுக்குப் பண இழப்பை ஏற்படுத்துவதோடு பக்கங்கள் ஏற்றப்பட நீண்ட நேரமாவதற்கும் காரணமாகின்றன. [மேலும் அறிக](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"மொத்த அளவு: {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"அபரிமிதமான நெட்வொர்க் ஆதாரங்களைத் தவிர்க்கவும்"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{
message:"அபரிமிதமான நெட்வொர்க் ஆதாரங்களைத் தவிர்க்கிறது"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS கோப்புகளை சிறிதாக்கினால் நெட்வொர்க் ஆதாரங்களின் அளவுகள் குறையலாம். [மேலும் அறிக](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"CSSஸைச் சிறிதாக்கவும்"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"JavaScript கோப்புகளை சிறிதாக்கி ஆதாரங்களின் அளவுகளையும் ஸ்கிரிப்ட் பாகுபடுத்தப்படும் நேரத்தையும் குறைக்கலாம். [மேலும் அறிக](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScriptடைச் சிறிதாக்கவும்"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"நெட்வொர்க் செயல்பாட்டின்போது உபயோகிக்கப்படும் பைட்டுகளைக் குறைக்க, ஸ்டைல்ஷீட்டுகளில் உள்ள பயன்படுத்தப்படாத விதிகளைக் குறைப்பதுடன் பக்கத்தின் மேல் பகுதியில் உள்ள உள்ளடக்கத்திற்குப் பயன்படுத்தப்படாத CSS ஏற்றப்படுவதையும் தாமதப்படுத்தவும். [மேலும் அறிக](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"பயன்படுத்தப்படாத CSSஸைக் குறையுங்கள்"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"நெட்வொர்க் செயல்பாட்டின்போது உபயோகிக்கப்படும் பைட்டுகளைக் குறைக்க, பயன்படுத்தப்படாத JavaScriptடைக் குறைப்பதுடன் தேவைப்படாத வரை ஸ்கிரிப்ட்டுகள் ஏற்றப்படுவதையும் தாமதப்படுத்தவும். [மேலும் அறிக](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"பயன்படுத்தப்படாத JavaScriptடைக் குறையுங்கள்"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{
message:"தற்காலிக நினைவகத்தின் ஆயுட்காலம் நீண்டதாக இருந்தால் அது மீண்டும் மீண்டும் திறக்கப்படும் உங்கள் இணையப் பக்கங்களை விரைவாக ஏற்றக்கூடும். [மேலும் அறிக](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 ஆதாரம் கண்டறியப்பட்டது}other{# ஆதாரங்கள் கண்டறியப்பட்டன}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"திறனுள்ள தற்காலிக நினைவகக் கொள்கையுடன் நிலையான உள்ளடக்கத்தை வழங்கவும்"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"நிலையான உள்ளடக்கத்தில் திறனுள்ள தற்காலிக நினைவகக் கொள்கையைப் பயன்படுத்துகிறது"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"மேம்படுத்தப்பட்ட படங்கள் குறைவான மொபைல் டேட்டாவைப் பயன்படுத்தி விரைவாக ஏற்றும். [மேலும் அறிக](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{
message:"படங்களைத் திறம்பட என்கோடிங் செய்யவும்"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"மொபைல் டேட்டாவை சேமிக்கவும் பக்கத்தை விரைவாக ஏற்றவும் படங்களை சரியான அளவில் வழங்கவும். [மேலும் அறிக](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"படங்களைச் சரியான அளவுக்கு மாற்றவும்"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"மொத்த நெட்வொர்க் பைட்களைக் குறைப்பதற்கு, உரை அடிப்படையிலான ஆதாரங்கள் சுருக்கப்பட்டு (gzip, deflate அல்லது brotli) வழங்கப்பட வேண்டும். [மேலும் அறிக](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"உரைச் சுருக்கத்தை இயக்கவும்"},"lighthouse-core/audits/content-width.js | description":{
message:"ஆப்ஸின் உள்ளடக்க அகலம் காட்சிப் பகுதியின் அகலத்துடன் பொருந்தவில்லை எனில் மொபைல் திரைகளுக்கு ஏற்ற வகையில் உங்கள் ஆப்ஸ் மேம்படுத்தப்படாமல் போகலாம். [மேலும் அறிக](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"{innerWidth} என்ற காட்சிப் பகுதி அளவு பிக்சலுடன் {outerWidth} என்ற சாளரத்தின் அளவு பிக்சல் பொருந்தவில்லை."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"காட்சிப் பகுதிக்கு ஏற்ற வகையில் உள்ளடக்கம் சரியாகப் பொருந்தவில்லை"},"lighthouse-core/audits/content-width.js | title":{message:"காட்சிப் பகுதிக்கு ஏற்ற வகையில் உள்ளடக்கம் சரியாகப் பொருந்துகிறது"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"கீழே இருக்கும் 'முக்கியக் கோரிக்கை வரிசைகள்' எந்தெந்த ஆதாரங்கள் அதிக முன்னுரிமையுடன் ஏற்றப்பட்டன என்பதைக் காட்டுகின்றன. பக்கம் ஏற்றப்படுவதன் வேகத்தை அதிகரிக்க, வரிசைகளின் நீளத்தைக் குறைத்தல், ஆதாரங்களின் பதிவிறக்க அளவைக் குறைத்தல் அல்லது தேவையற்ற ஆதாரங்களைப் பதிவிறக்குவதைத் தவிர்த்தல் போன்றவற்றை முயற்சி செய்யவும். [மேலும் அறிக](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 வரிசை கண்டறியப்பட்டது}other{# வரிசைகள் கண்டறியப்பட்டன}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"முக்கியக் கோரிக்கைகள் தொடர்ந்து கோர்வையாக உருவாவதைத் தவிர்க்கவும்"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"டைரெக்டிவ்"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"தீவிரத்தன்மை"},"lighthouse-core/audits/csp-xss.js | description":{
message:"மாற்ற முடியாதபடி உள்ளடக்கப் பாதுகாப்புக் கொள்கையை (CSP - Content Security Policy) அமைப்பது வேற்று தள ஸ்கிரிப்டிங் (XSS - cross-site scripting) தாக்குதல்களின் ஆபத்தைக் குறைக்கும். [மேலும் அறிக](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"தொடரியல்"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"<meta> குறியீட்டில் வரையறுக்கப்பட்டுள்ள CSPயைப் பக்கம் கொண்டுள்ளது. முடியுமெனில் HTTP தலைப்பில் CSPயை வரையறுக்கவும்."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"அமலாக்கப் பயன்முறையில் CSP எதுவும் கண்டறியப்படவில்லை"},"lighthouse-core/audits/csp-xss.js | title":{message:"XSS தாக்குதல்களுக்கு எதிராக CSP சிறப்பாகச் செயல்படுவதை உறுதிசெய்து கொள்ளவும்"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"நிறுத்தம் / எச்சரித்தல்"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"வரி"},"lighthouse-core/audits/deprecations.js | description":{
message:"நிறுத்தப்பட்ட APIகள் இறுதியில் உலாவியிலிருந்து அகற்றப்படும். [மேலும் அறிக](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 எச்சரிக்கை கண்டறியப்பட்டது}other{# எச்சரிக்கைகள் கண்டறியப்பட்டுள்ளன}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"நிறுத்தப்பட்ட APIகளைப் பயன்படுத்துகிறது"},"lighthouse-core/audits/deprecations.js | title":{message:"நிறுத்தப்பட்டுள்ள APIகளைத் தவிர்க்கும்"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"ஆப்ஸின் தற்காலிக சேமிப்பு நிறுத்தப்பட்டுள்ளது. [மேலும் அறிக](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" கண்டறியப்பட்டது'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"ஆப்ஸின் தற்காலிக சேமிப்பைப் பயன்படுத்துகிறது"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"ஆப்ஸின் தற்காலிக சேமிப்பைத் தவிர்க்கும்"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"எழுத்துக்குறிக் குறியாக்கத்தை வரையறுக்க வேண்டும். HTMLலின் முதல் 1024 பைட்டுகளிலோ Content-Type HTTP பதில் தலைப்பிலோ `<meta>` குறிச்சொல்லைக் குறிப்பிட்டு இதைச் செய்யலாம். [மேலும் அறிக](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"எழுத்துக்குறியாக்க அறிவிப்பு இல்லை அல்லது HTMLலில் மிகவும் தாமதமாக நிகழ்கிறது"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"எழுத்துக்குறியாக்கம் முறையாக இருக்கிறது"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"ஆவண வகையைக் குறிப்பிடுவது குவர்க்ஸ் பயன்முறைக்கு உலாவியை மாற்றுவதைத் தடுக்கும். [மேலும் அறிக](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"ஆவண வகையின் பெயர் சிற்றெழுத்துகளில் இருக்க வேண்டும் `html`"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"ஆவணமானது ஏதேனுமொரு ஆவண வகையைக் கொண்டிருக்க வேண்டும்"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"பப்ளிக்ஐடி காலியாக இருந்திருக்க வேண்டும்"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"சிஸ்டம்ஐடி காலியாக இருந்திருக்க வேண்டும்"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"பக்கத்தில் HTML ஆவண வகை இல்லாததால் குவர்க்ஸ் பயன்முறையை இயக்குகிறது"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"இந்தப் பக்கமானது HTML ஆவண வகையில் உள்ளது"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"புள்ளிவிவரம்"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"மதிப்பு"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"ஒரு பெரிய DOMமால் நினைவக உபயோகத்தை அதிகரிக்கவும் [ஸ்டைல் கணக்கீடுகளை](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) நீட்டிக்கவும் அதிக செலவு பிடிக்கும் [தளவமைப்பு மறுசீராக்கங்களை](https://developers.google.com/speed/articles/reflow) ஏற்படுத்தவும் முடியும். [மேலும் அறிக](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 உறுப்பு}other{# உறுப்புகள்}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"அபரிமிதமான DOM அளவைத் தவிர்க்கவும்"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"அதிகபட்ச DOM கிளை அடுக்கு"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"மொத்த DOM உறுப்புகள்"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"அதிகபட்சத் துணை உறுப்புகள்"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"அபரிமிதமான DOM அளவைத் தவிர்க்கிறது"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"தோல்வியுற்ற ஆங்க்கர்கள்"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'ஏதேனும் புற இணைப்புகளின் செயல்திறனை அதிகரிக்கவும் அவற்றிலுள்ள பாதுகாப்புக் குறைபாடுகளைத் தடுக்கவும் `rel="noopener"` அல்லது `rel="noreferrer"`ஐ சேர்க்கவும். [மேலும் அறிக](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"வேறு மூலங்களுக்கு செல்லும் இணைப்புகள் பாதுகாப்பற்றவை"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"வேறு மூலங்களுக்கு செல்லும் இணைப்புகள் பாதுகாப்பானவை"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"ஆங்கருக்கான இடத்தை நிர்ணயிக்க முடியவில்லை ({anchorHTML}). லிங்க்காகப் பயன்படாதபட்சத்தில் target=_blank என்பதை அகற்றவும்."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"சரியான காரணங்கள் இன்றி இருப்பிடத்தை அறிய கோரிக்கையிடும் தளங்களால் பயனர்கள் குழப்பமடையலாம் அல்லது சந்தேகப்படலாம். அதற்கு பதிலாக பயனர் செயல்பாட்டை முயலவும். [மேலும் அறிக](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"பக்கம் ஏற்றப்படும்போது உங்கள் புவி இருப்பிடத்தைத் தெரிந்துகொள்வதற்கான அனுமதியைக் கோரும்"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"பக்கம் ஏற்றப்படும்போது உங்கள் புவி இருப்பிடத்தைத் தெரிந்துகொள்வதற்கான அனுமதியைக் கோராது"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"சிக்கல் வகை"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome டெவெலப்பர் கருவிகளில் `Issues` பேனலில் பதிவுசெய்யப்படும் சிக்கல்கள் குறித்த தகவல்கள் தீர்க்கப்படாத சிக்கல்களைக் குறிக்கின்றன. நெட்வொர்க் கோரிக்கைப் பிழைகள், குறைவான பாதுகாப்புக் கட்டுப்பாடுகள், மேலும் பிற உலாவி சிக்கல்களினாலும் அவை ஏற்பட்டிருக்கும். ஒவ்வொரு சிக்கல் குறித்தும் கூடுதல் விவரங்களைப் பெற, Chrome டெவெலப்பர் கருவிகளில் ’சிக்கல்கள்’ பேனலைத் திறக்கவும்."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Chrome டெவெலப்பர் கருவிகளில் `Issues` பேனலில் சிக்கல்கள் குறித்த தகவல்கள் பதிவுசெய்யப்பட்டன"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"கிராஸ் ஆரிஜின் கொள்கை காரணமாகத் தடுக்கப்பட்டுள்ளது"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"விளம்பரங்கள் அதிக மூலங்களை உபயோகித்தல்"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome டெவெலப்பர் கருவிகளில் `Issues` பேனலில் சிக்கல்கள் குறித்த தகவல்கள் எதுவுமில்லை"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"பதிப்பு"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"பக்கத்திலுள்ள அனைத்து ஃபிரெண்ட் எண்ட் JavaScript லைப்ரரிகளையும் கண்டறிந்துள்ளது. [மேலும் அறிக](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript லைப்ரரிகள் கண்டறியப்பட்டுள்ளன"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"வேகம் குறைந்த இணைய சேவை உள்ள பயனர்களுக்கு, வெளி ஸ்கிரிப்ட்களை `document.write()` வழியாக உட்செலுத்தும்போது பக்கத்தை ஏற்றுவதை அது பல வினாடிகள் தாமதிக்கும். [மேலும் அறிக](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"`document.write()` ஐத் தவிர்க்கவும்"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"`document.write()`ஐத் தவிர்க்கும்"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"அதிகபட்ச அபாயம்"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"லைப்ரரி பதிப்பு"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"பாதுகாப்புக் குறைபாடுகளின் எண்ணிக்கை"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"சில மூன்றாம் தரப்பு ஸ்கிரிப்ட்களில் ஹேக்கர்கள் எளிதாக அடையாளம் கண்டுகொண்டு பயன்படுத்திக் கொள்ளக்கூடிய தெரிந்த பாதுகாப்புக் குறைபாடுகள் இருக்கக்கூடும். [மேலும் அறிக](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 பாதுகாப்புக் குறைபாடு கண்டறியப்பட்டுள்ளது}other{# பாதுகாப்புக் குறைபாடுகள் கண்டறியப்பட்டுள்ளன}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{
message:"தெரிந்த பாதுகாப்புக் குறைபாடுகளுள்ள ஃபிரண்ட் எண்டு JavaScript லைப்ரரிகள் இதில் அடங்கும்"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"தெரிந்த பாதுகாப்புக் குறைபாடுகளுடைய ஃபிரண்ட் எண்ட் JavaScript லைப்ரரிகளைத் தவிர்க்கிறது"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"சரியான காரணங்கள் இன்றி அறிவிப்புகளை அனுப்பக் கோரிக்கையிடும் தளங்களால் பயனர்கள் குழப்பமடையலாம் அல்லது சந்தேகப்படலாம். அதற்கு பதிலாக பயனர் சைகைகளை முயலவும். [மேலும் அறிக](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"பக்கம் ஏற்றப்படும்போது அதுகுறித்த அறிவிப்பைத் தெரிந்துகொள்வதற்கான அனுமதியைக் கோரும்"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"பக்கம் ஏற்றப்படும்போது அதுகுறித்த அறிவிப்பைத் தெரிந்துகொள்வதற்கான அனுமதியைக் கோராது"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"கடவுச்சொல்லை ஒட்டுவதைத் தடுப்பதால் நல்ல பாதுகாப்புக் கொள்கை பாதிக்கப்படுகிறது. [மேலும் அறிக](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"கடவுச்சொல் புலங்களில் பயனர்கள் ஒட்டுவதைத் தடுக்கும்"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"கடவுச்சொல் புலங்களில் பயனர்கள் ஒட்டுவதை அனுமதிக்கும்"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"நெறிமுறை"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/1.1ஐ விட அதிக பலன்களை HTTP/2 வழங்குகிறது. அவற்றில் பைனரி ஹெடர்கள், மல்டிபிளெக்ஸிங் ஆகியவையும் அடங்கும். [மேலும் அறிக](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{HTTP/2 வழியாக 1 கோரிக்கை பதிலளிக்கப்படவில்லை}other{HTTP/2 வழியாக # கோரிக்கைகள் பதிலளிக்கப்படவில்லை}}"},
"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2ஐப் பயன்படுத்து"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"உங்கள் பக்கத்தின் நகர்த்துதல் செயல்திறனை மேம்படுத்த டச் மற்றும் வீல் ஈவண்ட் லிசனர்களை `passive` என அமைக்கவும். [மேலும் அறிக](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"நகர்த்துதல் செயல்திறனை மேம்படுத்துவதற்காக பேசிவ் லிசனர்களைப் பயன்படுத்தவில்லை"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"நகர்த்துதல் செயல்திறனை மேம்படுத்துவதற்காக பேசிவ் லிசனர்களைப் பயன்படுத்துகின்றன"},"lighthouse-core/audits/errors-in-console.js | description":{message:"கன்சோலில் பதிவுசெய்யப்பட்ட பிழைகள் தீர்க்கப்படாத சிக்கல்களைக் குறிக்கின்றன. அவை நெட்வொர்க் கோரிக்கை பிழைகளினாலும் வேறு உலாவி சிக்கல்களினாலும் ஏற்பட்டிருக்கும். [மேலும் அறிக](https://web.dev/errors-in-console/)"},
"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"கன்சோலில் உலாவி தொடர்பான பிழைகள் பதிவு செய்யப்பட்டுள்ளன"},"lighthouse-core/audits/errors-in-console.js | title":{message:"கன்சோலில் உலாவியின் பிழைகள் எதுவும் பதிவு செய்யப்படவில்லை"},"lighthouse-core/audits/font-display.js | description":{message:"இணைய எழுத்துருக்கள் ஏற்றப்படும்போது உரை எழுத்துகள் பயனருக்குத் தெரிவதை உறுதிசெய்ய எழுத்துருக் காட்சியின் CSS அம்சத்தை சேர்க்கவும். [மேலும் அறிக](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"இணைய எழுத்துரு ஏற்றப்படும்போது உரை எழுத்துகள் தெரிவதை உறுதிசெய்யவும்"},"lighthouse-core/audits/font-display.js | title":{message:"இணைய எழுத்துருக்கள் ஏற்றப்படும்போது உரை எழுத்துகள் அனைத்தும் தெரிகின்றன"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{
message:"{fontCountForOrigin,plural, =1{{fontOrigin} என்ற மூல இணைப்புக்கான `font-display` மதிப்பை Lighthouseஸால் தானாகச் சரிபார்க்க முடியவில்லை.}other{{fontOrigin} என்ற மூல இணைப்புக்கான `font-display` மதிப்புகளை Lighthouseஸால் தானாகவே சரிபார்க்க முடியவில்லை.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"தோற்ற விகிதம் (அசல்)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"தோற்ற விகிதம் (காட்சிப்படுத்தப்பட்டது)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"படத்தின் காட்சிப் பரிமாணங்கள் இயல்பான தோற்ற விகிதத்துடன் பொருந்த வேண்டும். [மேலும் அறிக](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"தவறான தோற்ற விகிதமுள்ள படங்களைக் காட்டுகிறது"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"சரியான தோற்ற விகிதத்துடன் படங்களைக் காட்டுகிறது"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"உண்மையான அளவு"},
"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"காட்டப்படும் அளவு"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"எதிர்பார்க்கப்படும் அளவு"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"படத்தின் தெளிவுத்தன்மையை அதிகரிக்க, படத்தின் இயல்புப் பரிமாணங்களானவை காட்சி அளவுக்கும் பிக்சல் விகிதத்திற்கும் நேர்விகிதத்தில் இருக்க வேண்டும். [மேலும் அறிக](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"குறைந்த தெளிவுத்திறனைக் கொண்ட படங்களை வழங்குதல்"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"பொருத்தமான தெளிவுத்திறனைக் கொண்ட படங்களை வழங்குதல்"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"இந்த ஆப்ஸ் ஏற்கெனவே நிறுவப்பட்டுள்ளது"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"மெனிஃபெஸ்ட்டில் இருந்து அவசியமான ஐகானைப் பதிவிறக்க முடியவில்லை"},
"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"தோல்விக்கான காரணம்"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service worker என்பது ஆஃப்லைனில் பணிபுரிவது, முகப்புத்திரையில் சேர்ப்பது, புஷ் அறிவிப்புகள் போன்ற இணைய ஆப்ஸின் பல்வேறு மேம்பட்ட அம்சங்களை உங்கள் ஆப்ஸ் பயன்படுத்த அனுமதிக்கும் தொழில்நுட்பமாகும். சரியான service worker, மெனிஃபெஸ்ட் செயலாக்கங்கள் ஆகியவற்றின் மூலம் உலாவிகள் உங்கள் ஆப்ஸை முகப்புத்திரையில் சேர்க்குமாறு பயனர்களுக்கு முன்கூட்டியே அறிவிக்கும். இவ்வாறு செய்வது அதிகப் பயனர்களைப் பெற வழிவகுக்கும். [மேலும் அறிக](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 காரணம்}other{# காரணங்கள்}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"இணைய ஆப்ஸ் மெனிஃபெஸ்ட், service worker போன்றவை நிறுவுதல் தேவைகளைப் பூர்த்தி செய்யவில்லை"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{
message:"Play ஸ்டோர் ஆப்ஸின் URLலும் Play ஸ்டோரின் ஐடியும் பொருந்தவில்லை"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"மறைநிலை சாளரத்தில் பக்கம் ஏற்றப்பட்டுள்ளது"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"மெனிஃபெஸ்ட் 'display' அம்சமானது 'standalone', 'fullscreen', 'minimal-ui' போன்றவற்றில் ஏதேனும் ஒன்றாக இருக்க வேண்டும்"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"மெனிஃபெஸ்ட் 'display_override' புலத்தைக் கொண்டிருக்கும், மேலும் முதலில் ஆதரிக்கப்படும் காட்சிப் பயன்முறையானது 'standalone', 'fullscreen', 'minimal-ui' போன்றவற்றில் ஒன்றாக இருக்க வேண்டும்"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"மெனிஃபெஸ்ட்டைப் பெறவோ பாகுபடுத்தவோ முடியவில்லை அல்லது அது காலியாக இருக்கக்கூடும்"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"மெனிஃபெஸ்ட் பெறப்படும்போது மெனிஃபெஸ்ட் URL மாறியது."},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"'name' அல்லது 'short_name' புலத்தை மெனிஃபெஸ்ட் கொண்டிருக்கவில்லை"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'பொருத்தமான ஐகானை மெனிஃபெஸ்ட் கொண்டிருக்கவில்லை. PNG, SVG, WebP போன்ற வடிவமைப்பில் குறைந்தபட்சம் {value0} பிக்சல்களுடன் இருக்க வேண்டும், sizes பண்புக்கூறு அமைக்கப்பட்டிருக்க வேண்டும், purpose பண்புக்கூறு அமைக்கப்பட்டிருந்தால் "any" என்பதைக் கொண்டிருக்க வேண்டும்.'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"வழங்கப்பட்ட எந்தவொரு ஐகானும் PNG, SVG, WebP போன்ற வடிவமைப்பில் குறைந்தபட்சம் {value0} சதுர பிக்சல்களுடன் இல்லை. purpose பண்புக்கூறு அமைக்கப்படவில்லை அல்லது “any” என அமைக்கப்பட்டு உள்ளது"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"பதிவிறக்கிய ஐகான் காலியாக உள்ளது அல்லது சிதைந்துள்ளது"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{
message:"Play ஸ்டோர் ஐடி வழங்கப்படவில்லை"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"பக்கம் மெனிஃபெஸ்ட் <link> URLலைக் கொண்டிருக்கவில்லை"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"பொருந்தும் service worker எதுவும் கண்டறியப்படவில்லை. பக்கத்தை ரெஃப்ரெஷ் செய்ய வேண்டியிருக்கலாம் அல்லது தற்போதைய பக்கத்திற்கான service workerரின் நோக்கம் மெனிஃபெஸ்ட்டின் ஸ்கோப் மற்றும் ஸ்டார்ட் URLலைக் கொண்டுள்ளதா எனச் சரிபார்க்கவும்."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"மெனிஃபெஸ்ட்டில், 'start_url' இல்லாத service workerரைச் சரிபார்க்க முடியவில்லை"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"'{errorId}' என்ற நிறுவுதல் பிழை ஐடியை அடையாளம் காண முடியவில்லை"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"பாதுகாப்பான மூலத்திலிருந்து பக்கம் காட்டப்படவில்லை"},
"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"முதன்மை ஃபிரேமில் பக்கம் ஏற்றப்படவில்லை"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"பக்கம் ஆஃப்லைனில் காட்டப்படாது"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"குறிப்பிடப்பட்ட ஆப்ஸ் பிளாட்ஃபார்ம், Androidல் ஆதரிக்கப்படவில்லை"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"prefer_related_applicationsஸை மெனிஃபெஸ்ட் ’true' எனக் குறிக்கிறது"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Chrome பீட்டாவிலும் Androidல் நிலையான சேனல்களிலும் மட்டுமே prefer_related_applications ஆதரிக்கப்படும்."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"மெனிஃபெஸ்ட் ஸ்டார்ட் URL தவறானது"},"lighthouse-core/audits/installable-manifest.js | title":{
message:"இணைய ஆப்ஸ் மெனிஃபெஸ்ட், service worker ஆகியவை நிறுவுதல் தேவைகளைப் பூர்த்தி செய்கின்றன"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"பயனர்பெயர், கடவுச்சொல், போர்ட் போன்றவற்றை மெனிஃபெஸ்ட்டில் உள்ள URL கொண்டுள்ளது"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"பக்கம் ஆஃப்லைனில் காட்டப்படாது. ஆகஸ்ட் 2021ல் Chrome 93 இன் நிலையான பதிப்பு வெளியிடப்பட்ட பிறகு, பக்கம் நிறுவக்கூடியதாகக் கருதப்படாது."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"அனுமதிக்கப்பட்டது"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"தடுக்கப்பட்டது"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"பாதுகாப்பில்லாத URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"கோரிக்கைக்கான தீர்வு"},"lighthouse-core/audits/is-on-https.js | description":{
message:"அனைத்துத் தளங்களும் HTTPS மூலம் பாதுகாக்கப்பட வேண்டும், பாதுகாக்கப்பட வேண்டிய தனிப்பட்ட தரவைக் கையாளாதத் தளங்களுக்கும் இது பொருந்தும். தொடக்கக் கோரிக்கை HTTPS மூலம் வழங்கப்பட்டாலும் HTTP வழியாகவே சில தளங்கள் ஏற்றப்படும். [கலவையான உள்ளடக்கத்தைத்](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) தவிர்ப்பதும் இதில் உள்ளடங்கும். உங்கள் ஆப்ஸிற்கும் பயனர்களுக்கும் இடையில் நடக்கும் தகவல் பரிமாற்றத்தில் குறுக்கிட்டு சேதப்படுத்துபவர்களையும் மறைந்திருந்து கவனிப்பவர்களையும் HTTPS தடுக்கிறது. இது HTTP/2 மற்றும் பல புதிய பிளாட்ஃபார்ம் APIகளில் முக்கியமாக இருக்க வேண்டியதாகும். [மேலும் அறிக](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{பாதுகாப்பு இல்லாத 1 கோரிக்கை கண்டறியப்பட்டுள்ளது}other{பாதுகாப்பு இல்லாத # கோரிக்கைகள் கண்டறியப்பட்டுள்ளன}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"HTTPSஸைப் பயன்படுத்தவில்லை"},
"lighthouse-core/audits/is-on-https.js | title":{message:"HTTPSஸைப் பயன்படுத்துகிறது"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"தானாகவே HTTPSஸிற்கு மாற்றப்பட்டது"},"lighthouse-core/audits/is-on-https.js | warning":{message:"எச்சரிக்கையுடன் அனுமதிக்கப்பட்டது"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"லைப்ரரி"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"பெரிய அளவிலான JavaScript லைப்ரரிகள் மோசமான செயல்திறனுக்கு வழிவகுக்கலாம் என்பதால் அவற்றுக்கு நிகராகச் செயல்படக்கூடிய, சிறிய லைப்ரரிகளைத் தேர்வுசெய்து உங்கள் தொகுப்பின் அளவைக் குறைக்கவும். [மேலும் அறிக](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 பெரிய அளவிலான லைப்ரரி உள்ளது}other{# பெரிய அளவிலான லைப்ரரிகள் உள்ளன}}"},
"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"அவசியமற்ற பெரிய அளவிலான JavaScript லைப்ரரிகளைத் தவிர்த்திடுங்கள்"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"பெரிய அளவிலான JavaScript லைப்ரரிகளுக்குப் பதிலாகச் சிறிய அளவிலான லைப்ரரிகளைப் பயன்படுத்துங்கள்"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"இது காட்சிப் பகுதிக்குள் தோன்றக்கூடிய உள்ளடக்கமுள்ள மிகப்பெரிய உறுப்பாகும். [மேலும் அறிக](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"பெரிய பகுதியைக் காண்பிக்கும் நேரத்திற்கான உறுப்பு"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS பங்களிப்பு"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"பக்கத்தின் பெரும்பான்மையான CLSஸில் இந்த DOM உறுப்புகள் பங்களிக்கின்றன."},"lighthouse-core/audits/layout-shift-elements.js | title":{
message:"பெரிய தளவமைப்பு ஷிஃப்ட்களைத் தவிர்த்தல்"},"lighthouse-core/audits/long-tasks.js | description":{message:"முக்கியத் தொடரிழையில் உள்ள பணிகளில், இருப்பதிலேயே நீளமானவற்றைப் பட்டியலிடுகிறது. உள்ளீட்டுத் தாமதத்திற்கு அதிகமாகப் பங்களிப்பவற்றை அடையாளம் காண இது உதவுகிறது. [மேலும் அறிக](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# நீண்ட பணி உள்ளது}other{# நீண்ட பணிகள் உள்ளன}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"நீளமான முக்கியத் தொடரிழைப் பணிகளைத் தவிர்த்தல்"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"வகை"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"JSஸைப் பாகுபடுத்துதல், தொகுத்தல் மற்றும் இயக்குவதில் செலவழிக்கும் நேரத்தைக் குறைக்கவும். இதைச் செய்வதற்கு சிறிய அளவிலான JS ஆதாரங்களை வழங்கலாம். [மேலும் அறிக](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"முக்கியத் தொடரிழையின் பணியைக் குறைக்கவும்"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"முக்கியத் தொடரிழையின் பணியைக் குறைக்கிறது"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"அதிக அளவிலான பயனர்களைப் பெற பிரபலமான ஒவ்வொரு உலாவியிலும் தளங்கள் செயல்பட வேண்டும். [மேலும் அறிக](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"வெவ்வேறு உலாவியிலும் தளம் செயல்படும்"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"URL மூலம் தனிப்பட்ட பக்கங்களை லிங்க் செய்யலாம் என்பதையும் சமூக வலைதளங்களில் பகிர்வதற்கு அந்த URLகள் தனித்துவமானவை என்பதையும் உறுதிப்படுத்தவும். [மேலும் அறிக](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"ஒவ்வொரு பக்கத்திற்கும் URL உள்ளது"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"வேகம் குறைந்த நெட்வொர்க்கிலும் பக்கத்தை நீங்கள் தட்டும்போது மாற்றங்கள் விரைவாக இருக்க வேண்டும். இது சிறந்த செயல்திறன் என பயனர் கருதும் முக்கிய அம்சமாகும். [மேலும் அறிக](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"பக்கத்தின் மாற்றங்கள் நெட்வொர்க்கில் தடுக்கப்பட்டவை போன்று தோன்றக்கூடாது"},"lighthouse-core/audits/maskable-icon.js | description":{message:"சாதனத்தில் ஆப்ஸை நிறுவும்போது ஐகானின் படம் லெட்டர்பாக்ஸ் ஆகாமல் அந்த வடிவத்தினுள் முழுமையாகத் தோன்றுவதை மாஸ்க் செய்யப்பட்ட ஐகான் உறுதிப்படுத்துகின்றது. [மேலும் அறிக](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"மாஸ்க் செய்யக்கூடிய ஐகான் மெனிஃபெஸ்டில் இல்லை"},"lighthouse-core/audits/maskable-icon.js | title":{message:"மாஸ்க் செய்யப்பட்ட ஐகான் மெனிஃபெஸ்டில் உள்ளது"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"காட்சிப் பகுதிக்குள் தெரியக்கூடிய கூறுகளின் நகர்வை கியூமுலேட்டிவ் லேஅவுட் ஷிஃப்ட் அளவிடுகிறது. [மேலும் அறிக](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"'உள்ளடக்கமுள்ள முதல் தோற்றம்' என்பது முதல் உரையோ படமோ தோன்றும் நேரத்தைக் குறிக்கிறது. [மேலும் அறிக](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"'பயனுள்ள முதல் தோற்றம்' என்பது பக்கத்தின் முதன்மை உள்ளடக்கம் எப்போது தெரிகிறது என்பதை அளவிடுகிறது. [மேலும் அறிக](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"எதிர்வினை நேரம் என்பது பக்கம் முழுமையாக எதிர்வினையாற்றும் வகையில் ஏற்றப்படுவதற்கான கால அளவாகும். [மேலும் அறிக](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"'பெரிய பகுதியைக் காண்பிக்கும் நேரம்' மிகப்பெரிய உரையோ படமோ தோன்றும் நேரத்தைக் குறிக்கிறது. [மேலும் அறிக](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"உங்கள் பயனர்கள் எதிர்கொள்ளக்கூடிய அதிக சாத்தியமான ’முதல் உள்ளீட்டிற்குப் பதில் அளிக்கும் நேரம்’ என்பது மிக நீண்ட பணியின் கால அளவாகும். [மேலும் அறிக](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"பக்கத்திலுள்ள உள்ளடக்கங்கள் எவ்வளவு விரைவாகத் தெரிகின்றன என்பதை 'வேக அட்டவணை' காண்பிக்கிறது. [மேலும் அறிக](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"பணியின் நீளம் 50மி.வி.களைத் தாண்டும்போது FCP மற்றும் எதிர்வினை நேரத்திற்கு இடையில் இருக்கும் எல்லா கால அளவுகளின் கூட்டுத்தொகை (மில்லி வினாடிகளில்). [மேலும் அறிக](https://web.dev/lighthouse-total-blocking-time/)."},
"lighthouse-core/audits/network-rtt.js | description":{message:"நெட்வொர்க் ரவுண்ட் டிரிப் டைம்ஸ் (Round Trip Times - RTT) செயல்திறனில் பெரும் தாக்கத்தை ஏற்படுத்தும். அசல் சேவையகத்துக்கான RTT அதிகமாக இருந்தால் பயனரின் அருகில் இருக்கும் சேவையகங்கள் இணையதளத்தின் செயல்திறனை மேம்படுத்தலாம் என்பதைக் குறிக்கும். [மேலும் அறிக](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"நெட்வொர்க் ரவுண்ட் டிரிப் நேரங்கள்"},"lighthouse-core/audits/network-server-latency.js | description":{message:"சேவையகத் தாமதங்கள் இணைய செயல்திறனைப் பாதிக்கக்கூடும். மூல சேவையகத்தில் தாமதம் அதிகமாக இருந்தால் சேவையகத்தின் வேலைப் பளு அதிகமாக உள்ளது அல்லது மோசமான பின்னணி செயல்திறன் உள்ளது என்று பொருள். [மேலும் அறிக](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"சேவையக பேக்எண்ட் தாமதங்கள்"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` நிகழ்வு நம்பத்தகுந்த வகையில் தொடங்கவில்லை, பக்கங்கள் மேற்கொண்டு இதைக் கையாண்டால் உலாவியின் மேம்பட்ட திறன்கள் தடுக்கப்படலாம். எ.கா. முன் பின் பக்கங்களைத் தற்காலிகமாகச் சேமித்தல் போன்றவை. இதற்குப் பதிலாக `pagehide`/`visibilitychange` நிகழ்வுகளைப் பயன்படுத்திப் பார்க்கவும். [மேலும் அறிக](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"`unload` நிகழ்வு லிசனரைப் பதிவுசெய்கிறது"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"`unload` நிகழ்வு லிசனர்களைத் தவிர்க்கிறது"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"தொகுக்கப்படாத அனிமேஷன்கள் மோசமாக இருக்கும், CLSஸை அதிகரிக்கும். [மேலும் அறிக](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# அனிமேஷன் உறுப்பு உள்ளது}other{# அனிமேஷன் உறுப்புகள் உள்ளன}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"வடிப்பான் தொடர்பான பண்பு பிக்சல்களைச் சீராக வழங்காமல் இருக்கக்கூடும்"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"பொருந்தாத மற்றொரு அனிமேஷன் டார்கெட்டில் உள்ளது"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'"replace" அல்லாமல் வேறொரு தொகுப்புப் பயன்முறையை எஃபெக்ட் கொண்டுள்ளது'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"தொகுக்கப்படாத அனிமேஷன்களைத் தவிர்த்திடுங்கள்"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"மாற்றம் தொடர்பான பண்பு, அனிமேஷன் பரப்பைப் பொறுத்தது"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{ஆதரிக்கப்படாத CSS பண்பு: {properties}}other{ஆதரிக்கப்படாத CSS பண்புகள்: {properties}}}"},
"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"ஆதரிக்கப்படாத நேர அளவுருக்களை எஃபெக்ட் கொண்டுள்ளது"},"lighthouse-core/audits/performance-budget.js | description":{message:"நெட்வொர்க் கோரிக்கைகளின் அளவையும் எண்ணிக்கையையும் செயல்திறன் பட்ஜெட் அமைத்துள்ள இலக்கீடுகளுக்குள் வைத்திருக்கவும். [மேலும் அறிக](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 கோரிக்கை}other{# கோரிக்கைகள்}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"செயல்திறன் பட்ஜெட்"},"lighthouse-core/audits/preload-fonts.js | description":{message:"`optional` என அமைக்கப்பட்டுள்ள எழுத்து வடிவங்களை முன்கூட்டியே ஏற்றுவதால் முதல் முறையாக வரும் பயனர்கள் அவற்றைப் பயன்படுத்தக்கூடும். [மேலும் அறிக](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{
message:"`font-display: optional` என அமைக்கப்பட்டுள்ள எழுத்துருக்கள் முன்கூட்டியே ஏற்றப்படவில்லை"},"lighthouse-core/audits/preload-fonts.js | title":{message:"`font-display: optional` என அமைக்கப்பட்டுள்ள எழுத்துருக்கள் முன்கூட்டியே ஏற்றப்பட்டன"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"LCP நேரத்தை மேம்படுத்த, LCP உறுப்பு பயன்படுத்தும் படத்தை முன்கூட்டியே ஏற்றுங்கள். [மேலும் அறிக](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"பெரிய பகுதியைக் காண்பிக்கும் படத்தை முன்கூட்டியே ஏற்றுதல்"},"lighthouse-core/audits/redirects-http.js | description":{message:"HTTPSஐ ஏற்கனவே நீங்கள் அமைத்திருந்தால் உங்களின் அனைத்துப் பயனர்களுக்கும் பாதுகாப்பான இணைய அம்சங்களைச் செயல்படுத்தும் வகையில் எல்லா HTTP ட்ராஃபிக்கையும் HTTPSக்குத் திசைதிருப்பவும். [மேலும் அறிக](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{
message:"HTTP ட்ராஃபிக் HTTPSக்குத் திசைதிருப்பப்படவில்லை"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTPSக்கு HTTP ட்ராஃபிக்கைத் திசைதிருப்பும்"},"lighthouse-core/audits/redirects.js | description":{message:"'திசைதிருப்புதல்கள்' பக்கம் ஏற்றப்படுவதற்கு முன்பு கூடுதல் தாமதங்களை ஏற்படுத்தலாம். [மேலும் அறிக](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"பல பக்கங்களுக்குத் திசைதிருப்புவதைத் தவிர்க்கவும்"},"lighthouse-core/audits/resource-summary.js | description":{message:"பக்க ஆதாரங்களின் அளவையும் எண்ணிக்கைக்கான பட்ஜெட்களையும் அமைக்க budget.json கோப்பை சேர்க்கவும். [மேலும் அறிக](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 கோரிக்கை • {byteCount, number, bytes} KiB}other{# கோரிக்கைகள் • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{
message:"கோரிக்கை எண்ணிக்கைகளைக் குறைவாகவும் பரிமாற்ற அளவுகளை சிறியதாகவும் வைத்திருங்கள்"},"lighthouse-core/audits/seo/canonical.js | description":{message:"தேடல் முடிவுகளில் எந்த URLலைக் காண்பிக்க வேண்டும் என்பதை ’முன்னுரிமை இணைப்புகள்’ பரிந்துரைக்கும். [மேலும் அறிக](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"பல முரண்படும் URLகள் ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"வேறொரு டொமைனைச் சுட்டுகிறது ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"தவறான URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"வேறொரு `hreflang` இருப்பிடத்தைச் சுட்டுகிறது ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"தொடர்புடைய URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{
message:"உள்ளடக்கத்திற்குப் பொருத்தமான பக்கத்திற்குப் பதிலாக டொமைனின் மூல URLலை (முகப்புப்பக்கம்) குறிப்பிடுகிறது"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"ஆவணத்தில் செல்லுபடியாகும் `rel=canonical` இல்லை"},"lighthouse-core/audits/seo/canonical.js | title":{message:"ஆவணத்தில் செல்லுபடியாகும்`rel=canonical` உள்ளது"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"கிரால் செய்ய முடியாத இணைப்பு"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"இணையதளங்களைக் கிரால் செய்வதற்காக `href` பண்புக்கூறுகளைத் தேடல் இன்ஜின்கள் இணைப்புகளில் பயன்படுத்தலாம். தளத்தின் அதிகப் பக்கங்களைக் கண்டறியும் வகையில் ஆங்க்கர் உறுப்புகளின் `href` பண்புக்கூறு பொருத்தமான இலக்குடன் இணைக்கப்பட்டுள்ளதை உறுதிசெய்யவும். [மேலும் அறிக](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"இணைப்புகள் கிரால் செய்ய முடியாதவை"},
"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"இணைப்புகள் கிரால் செய்யக்கூடியவை"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"தெளிவற்ற கூடுதல் உரை"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"எழுத்துரு அளவு"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"பக்க உரையின் சதவீதம் (%)"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"தேர்வி"},"lighthouse-core/audits/seo/font-size.js | description":{message:"12pxக்குக் குறைவான எழுத்துரு அளவுகள் படிப்பதற்கு மிக சிறியவை, இதனால் மொபைல் பயனாளர்கள் உரையைப் படிக்க, ”அளவை மாற்ற பின்ச் செய்தல்” அம்சத்தைப் பயன்படுத்த வேண்டியிருக்கும். எனவே பக்கத்தின் 60% அதிகமான உரைக்கு 12px அல்லது அதற்கு அதிகமான எழுத்துரு அளவை அமைக்க முயலவும். [மேலும் அறிக](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} தெளிவான உரை"},
"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"மொபைல் திரைகளுக்கேற்ப காட்சிப் பகுதி மேலதிகத் தகவல் மேம்படுத்தப்படாததால் உரையைச் சரியாகப் படிக்க முடியவில்லை."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"ஆவணத்தில் தெளிவான எழுத்துரு அளவுகள் பயன்படுத்தப்படவில்லை"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"தெளிவான உரை"},"lighthouse-core/audits/seo/font-size.js | title":{message:"ஆவணத்தில் தெளிவான எழுத்துரு அளவுகள் பயன்படுத்தப்பட்டுள்ளன"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang இணைப்புகளானவை குறிப்பிட்ட ஒரு மொழியிலான அல்லது பகுதிக்கான தேடல் முடிவுகளில், ஒரு பக்கத்தின் எந்தப் பதிப்பைப் பட்டியலிட வேண்டும் என்பதைத் தேடல் இன்ஜின்களுக்கு சொல்கின்றன. [மேலும் அறிக](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"ஆவணத்தில் செல்லுபடியாகும் `hreflang` இல்லை"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{
message:"தொடர்புடைய href மதிப்பு"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"ஆவணத்தில் செல்லுபடியாகும்`hreflang` உள்ளது"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"எதிர்பாராத மொழிக் குறியீடு"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"வெற்றியடையாத HTTP நிலைக் குறியீடுகள் உள்ள பக்கங்கள் சரியாக அட்டவணைப்படுத்தப்படாமல் போகலாம். [மேலும் அறிக](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"பக்கத்தில் வெற்றியடையாத HTTP நிலைக் குறியீடு உள்ளது"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"பக்கத்தில் வெற்றிகரமான HTTP நிலைக் குறியீடு உள்ளது"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"தேடல் இன்ஜின்களுக்கு உங்கள் பக்கங்களை உருட்டுவதற்கான அனுமதி இல்லையென்றால் அவற்றால் உங்கள் பக்கங்களைத் தேடல் முடிவுகளில் சேர்க்க முடியாது. [மேலும் அறிக](https://web.dev/is-crawable/)."},
"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"பக்கம் அட்டவணைப்படுத்தப்படுவதிலிருந்து தடுக்கப்பட்டுள்ளது"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"பக்கம் அட்டவணைப்படுத்தப்படுவதிலிருந்து தடுக்கப்படவில்லை"},"lighthouse-core/audits/seo/link-text.js | description":{message:"தேடல் இன்ஜின்கள் உங்கள் உள்ளடக்கத்தைப் புரிந்துகொள்ள இணைப்புக்கான விளக்க உரை உதவும். [மேலும் அறிக](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 இணைப்பு உள்ளது}other{# இணைப்புகள் உள்ளன}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"இணைப்புகளுக்கு விளக்க உரை இல்லை"},"lighthouse-core/audits/seo/link-text.js | title":{message:"இணைப்புகளுக்கு விளக்க உரை உள்ளது"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{
message:"கட்டமைந்த தரவை சரிபார்க்க [கட்டமைந்த தரவு சோதனைக் கருவியையும்](https://search.google.com/structured-data/testing-tool/) [கட்டமைந்த தரவு லிண்டரையும்](http://linter.structured-data.org/) இயக்கவும். [மேலும் அறிக](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"கட்டமைந்த தரவு செல்லுபடியாகிறது"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"பக்கத்தின் உள்ளடக்கத்தைத் தெளிவாக சுருக்கி விளக்குவதற்கு, மீவிளக்கங்களைத் தேடல் முடிவுகளில் சேர்க்கலாம். [மேலும் அறிக](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"விளக்க உரை காலியாக உள்ளது."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"ஆவணத்தில் மீவிளக்கம் இல்லை"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"ஆவணத்தில் மீவிளக்கம் உள்ளது"},"lighthouse-core/audits/seo/plugins.js | description":{
message:"தேடல் இன்ஜின்களால் செருகுநிரல் உள்ளடக்கத்தை அட்டவணைப்படுத்த முடியாது, செருகுநிரல்களைப் பல சாதனங்கள் கட்டுப்படுத்தும் அல்லது ஆதரிக்காது. [மேலும் அறிக](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"ஆவணத்தில் செருகுநிரல்கள் உள்ளன"},"lighthouse-core/audits/seo/plugins.js | title":{message:"ஆவணத்தில் செருகுநிரல்கள் தவிர்க்கப்பட்டுள்ளன"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"உங்கள் robots.txt கோப்பு தவறான வடிவமைப்பில் இருந்தால் உங்கள் இணையதளத்தை எப்படி உலாவ அல்லது அட்டவணைப்படுத்த விரும்புகிறீர்கள் என்பதை crawlers மென்பொருட்களால் புரிந்துகொள்ள முடியாமல் போகக்கூடும். [மேலும் அறிக](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txtக்கான கோரிக்கை இந்த HTTP நிலையைப் பதிலாக அனுப்பியுள்ளது: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{1 பிழை உள்ளது}other{# பிழைகள் உள்ளன}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouseஸால் robots.txt கோப்பைப் பதிவிறக்க முடியவில்லை"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt செல்லுபடியாகவில்லை"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt செல்லுபடியாகிறது"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"பட்டன்கள், இணைப்புகள் போன்ற எதிர்வினையாற்றும் உறுப்புகள் போதுமான அளவு பெரிதாகவும் (48x48px) அவற்றைச் சுற்றி போதுமான இடத்துடனும் இருக்க வேண்டும், இதனால் அவற்றைப் பிற உறுப்புகளின் குறுக்கீடு இல்லாமல் எளிதாகத் தட்டலாம். [மேலும் அறிக](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} தட்டுவதற்கான இலக்குகள் பொருத்தமான அளவில் இருக்கின்றன"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"மொபைல் திரைகளுக்கேற்ப காட்சிப் பகுதி மேலதிகத் தகவல் மேம்படுத்தப்படாததால் தட்டுவதற்கான இலக்குகள் மிகச் சிறிதாக உள்ளன"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"தட்டுவதற்கான இலக்குகள் சரியாக அளவிடப்படவில்லை"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"குறுக்கிடும் இலக்கு"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"தட்டுவதற்கான இலக்கு"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"தட்டுவதற்கான இலக்குகள் சரியாக அளவிடப்பட்டுள்ளன"},"lighthouse-core/audits/server-response-time.js | description":{message:"முதன்மை ஆவணத்திற்கான சேவையகப் பதிலளிப்பு நேரத்தைக் குறைவாக வைக்கவும், ஏனெனில் பிற அனைத்துக் கோரிக்கைகளும் அதைச் சார்ந்தே உள்ளன. [மேலும் அறிக](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"மூல ஆவணம் எடுத்துக் கொண்ட நேரம்: {timeInMs, number, milliseconds} மி.வி."},
"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"சேவையகப் பதிலளிப்புக்கான தொடக்க நேரத்தைக் குறை"},"lighthouse-core/audits/server-response-time.js | title":{message:"சேவையகப் பதிலளிப்புக்கான தொடக்க நேரம் குறைவானது"},"lighthouse-core/audits/service-worker.js | description":{message:"சேவைச் செயலாக்கி என்பது ஆஃப்லைனில் பணிபுரிவது, முகப்புத்திரையில் சேர்ப்பது, புஷ் அறிவிப்புகள் போன்ற நவீன இணைய ஆப்ஸின் பல்வேறு அம்சங்களை உங்கள் ஆப்ஸ் பயன்படுத்த அனுமதிக்கும் தொழில்நுட்பமாகும். [மேலும் அறிக](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"சேவைச் செயலாக்கி மூலம் இந்தப் பக்கம் கட்டுப்படுத்தப்படுகிறது, இருப்பினும் சரியான JSON ஆக மெனிஃபெஸ்ட்டைப் பாகுபடுத்த முடியாத காரணத்தால் `start_url` கண்டறியப்படவில்லை"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"இந்தப் பக்கம் சேவைச் செயலாக்கி மூலம் கட்டுப்படுத்தப்படுகிறது, இருப்பினும் `start_url` ({startUrl}) சேவைச் செயாலாக்கியின் நோக்கத்தில் ({scopeUrl}) இல்லை"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"இந்தப் பக்கம் சேவைச் செயலாக்கி மூலம் கட்டுப்படுத்தப்படுகிறது, இருப்பினும் மெனிஃபெஸ்ட் எதுவும் பெறப்படவில்லை என்பதால் `start_url` கண்டறியப்படவில்லை."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"இந்த இணையதளத்தில் ஒன்றோ அதற்கு மேற்பட்ட சேவைச் செயலாக்கிகளோ உள்ளன, இருப்பினும் இந்தப் பக்கம் ({pageUrl}) நோக்கத்தில் இல்லை."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"பக்கம், `start_url` போன்றவற்றைக் கட்டுப்படுத்துவதற்கான சேவைச் செயலாக்கி பதிவு செய்யப்படவில்லை"},"lighthouse-core/audits/service-worker.js | title":{message:"பக்கம், `start_url` போன்றவற்றைக் கட்டுப்படுத்தும் சேவைச் செயலாக்கியைப் பதிவுசெய்யும்."},"lighthouse-core/audits/splash-screen.js | description":{
message:"தங்களின் முகப்புத் திரைகளில் இருந்து உங்களின் ஆப்ஸைப் பயனர்கள் தொடங்கும் போது உயர்தர அனுபவத்தை அவர்கள் பெறுவதை தீம் வண்ணம் அமைக்கப்பட்ட ஸ்பிளாஷ் திரை உறுதிப்படுத்தும். [மேலும் அறிக](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"பிரத்யேக ஸ்பிளாஷ் திரைக்கு உள்ளமைக்கப்படவில்லை"},"lighthouse-core/audits/splash-screen.js | title":{message:"பிரத்யேக ஸ்பிளாஷ் திரைக்கு உள்ளமைக்கப்பட்டது"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"உங்களின் தளத்திற்குப் பொருந்தும் வகையில் உலாவி முகவரிப் பட்டியை வண்ணமிட முடியும். [மேலும் அறிக](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"முகவரிப் பட்டிக்கான தீம் வண்ணத்தை அமைக்க முடியவில்லை."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"முகவரிப் பட்டிக்கான தீம் வண்ணத்தை அமைக்கும்."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (வாடிக்கையாளர் சேவை)"
},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (மார்க்கெட்டிங்)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (சமூகம்)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (வீடியோ)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"தயாரிப்பு"},"lighthouse-core/audits/third-party-facades.js | description":{message:"உட்பொதிக்கப்பட்ட சில மூன்றாம் தரப்புக் குறியீடுகள் மெதுவாக ஏற்றப்படும். தேவைப்படாத வரை அவற்றுக்குப் பதிலாக ஃபஸாடைப் பயன்படுத்தவும். [மேலும் அறிக](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# மாற்று ஃபஸாடு உள்ளது}other{# மாற்று ஃபஸாடுகள் உள்ளன}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"சில மூன்றாம் தரப்பு மூலங்கள் ஃபஸாடு மூலம் மெதுவாக ஏற்றப்படும்"},
"lighthouse-core/audits/third-party-facades.js | title":{message:"ஃபஸாடுகளுடன் மூன்றாம் தரப்பு மூலங்களைத் தேவையுள்ளபோது ஏற்றுதல்"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"மூன்றாம் தரப்பு"},"lighthouse-core/audits/third-party-summary.js | description":{message:"மூன்றாம் தரப்புக் குறியீடானது ஏற்றுதல் செயல்திறனைக் குறிப்பிடத்தக்க வகையில் பாதிக்கக்கூடும். தேவையற்ற மூன்றாம் தரப்பு சேவை வழங்குநர்களின் எண்ணிக்கையைக் குறைத்துக் கொள்ளவும். மேலும் உங்கள் பக்கத்தின் முதன்மை விவரங்களை ஏற்றியபிறகு மூன்றாம் தரப்புக் குறியீட்டை ஏற்ற முயலவும். [மேலும் அறிக](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"{timeInMs, number, milliseconds} msக்கான முக்கியத் தொடரிழையை மூன்றாம் தரப்புக் குறியீடு தடுத்துள்ளது"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{
message:"மூன்றாம் தரப்புக் குறியீட்டின் பாதிப்பைக் குறைக்கவும்"},"lighthouse-core/audits/third-party-summary.js | title":{message:"மூன்றாம் தரப்பு உபயோகத்தைக் குறைத்தல்"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"அளவீடு"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"மெட்ரிக்"},"lighthouse-core/audits/timing-budget.js | description":{message:"டைமிங் பட்ஜெட் ஒன்றை அமையுங்கள், உங்கள் தளத்தின் செயல்திறனைக் கண்காணிக்க இது உதவும். செயல்திறன் மிக்க தளங்கள் வேகமாக ஏற்றப்படுவதோடு பயனர் உள்ளீடுகளுக்கு விரைவாக பதிலளிக்கும். [மேலும் அறிக](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"டைமிங் பட்ஜெட்"},"lighthouse-core/audits/unsized-images.js | description":{message:"லேயவுட் ஷிஃப்ட்டுகளைக் குறைப்பதற்கும் CLSஸை மேம்படுத்துவதற்கும் படத்தின் துல்லியமான அகலத்தையும் உயரத்தையும் அமைக்கவும். [மேலும் அறிக](https://web.dev/optimize-cls/#images-without-dimensions)"},
"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"பட உறுப்புகள் துல்லியமான `width`, `height` ஆகியவற்றைக் கொண்டிருக்கவில்லை"},"lighthouse-core/audits/unsized-images.js | title":{message:"பட உறுப்புகள் துல்லியமான `width`, `height` ஆகியவற்றைக் கொண்டுள்ளன"},"lighthouse-core/audits/user-timings.js | columnType":{message:"வகை"},"lighthouse-core/audits/user-timings.js | description":{message:"முக்கியமான பயனர் அனுபவங்களின்போது உங்கள் ஆப்ஸின் நிகழ்நேர செயல்திறனை அளவிட உங்கள் ஆப்ஸில் User Timing APIயைப் பயன்படுத்தவும். [மேலும் அறிக](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 பயனர் நேரம்}other{# பயனர் நேரங்கள்}}"},"lighthouse-core/audits/user-timings.js | title":{message:"பயனர் நேரக் குறிப்புகளும் அளவீடுகளும்"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{
message:'"{securityOrigin}" தளத்திற்கான முன்னிணைப்பு (`<link rel=preconnect>`) கண்டறியப்பட்டது, ஆனால் உலாவி அதைப் பயன்படுத்தவில்லை. `crossorigin` பண்புக்கூறைச் சரியாகப் பயன்படுத்துகிறீர்களா என்று பார்க்கவும்.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"முக்கிய மூன்றாம் தரப்பு டொமைன்களுடன் விரைவான இணைப்புகளை ஏற்படுத்த `preconnect` அல்லது `dns-prefetch` ஆதாரக் குறிப்புகளைச் சேர்க்கலாம். [மேலும் அறிக](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"தேவைப்படும் டொமைன் பெயர்களுக்கு முன்கூட்டியே இணைப்பு வழங்கவும்"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"இரண்டிற்கும் மேற்பட்ட `<link rel=preconnect>` இணைப்புகள் உள்ளன. இவற்றை அரிதாகவும் மிகவும் முக்கியமான மூலங்களை இணைப்பதற்கும் மட்டுமே பயன்படுத்த வேண்டும்."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:'"{securityOrigin}" தளத்திற்கான முன்னிணைப்பு (`<link rel=preconnect>`) கண்டறியப்பட்டது, ஆனால் உலாவி அதைப் பயன்படுத்தவில்லை. பக்கம் நிச்சயமாகக் கோரும் முக்கியமான தளங்களுக்கு மட்டுமே `preconnect` ஐப் பயன்படுத்தவும்.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'"{preloadURL}" தளத்திற்கான முன்கூட்டியே ஏற்றப்பட்ட இணைப்பு (`<link>`) கண்டறியப்பட்டது, ஆனால் உலாவி அதைப் பயன்படுத்தவில்லை. `crossorigin` பண்புக்கூறைச் சரியாகப் பயன்படுத்துகிறீர்களா என்று பார்க்கவும்.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"பக்கம் ஏற்றப்படும்போது தற்சமயம் பின்னர் கோரிக்கையளிக்கப்படும் ஆதாரங்களை முன்னுரிமை அளிக்க `<link rel=preload>`ஐப் பயன்படுத்தவும். [மேலும் அறிக](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"முக்கியக் கோரிக்கைகளை முன்கூட்டியே ஏற்றவும்"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"சோர்ஸ் மேப்பிற்கான URL"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"சோர்ஸ் மேப்கள் சிறிதாக்கப்பட்ட குறியீட்டை அசல் மூலக் குறியீடாக மாற்றுகின்றன. இதனால் டெவெலப்பர்கள் புரொடக்ஷனின்போது பிழைதிருத்தம் செய்ய முடியும். இத்துடன் Lighthouseஸாலும் கூடுதல் புள்ளிவிவரங்களை வழங்க முடியும். இந்தப் பலன்களைப் பெற சோர்ஸ் மேப்களைப் பயன்படுத்திப் பார்க்கவும். [மேலும் அறிக](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"பெரிய அளவிலான முதல் தரப்பு JavaScriptடுக்கான சோர்ஸ் மேப்கள் விடுபட்டுள்ளன"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"பெரிய அளவிலான JavaScript கோப்பில் சோர்ஸ் மேப் விடுபட்டுள்ளது"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{எச்சரிக்கை: `.sourcesContent` இல் 1 உறுப்பு விடுபட்டுள்ளது}other{எச்சரிக்கை: `.sourcesContent` இல் # உறுப்புகள் விடுபட்டுள்ளன}}"},
"lighthouse-core/audits/valid-source-maps.js | title":{message:"பக்கத்திற்குச் சரியான சோர்ஸ் மேப்கள் உள்ளன"},"lighthouse-core/audits/viewport.js | description":{message:'மொபைல் திரைகளுக்கு ஏற்றவாறு உங்களின் ஆப்ஸை மேம்படுத்தும் வகையில் `<meta name="viewport">` குறிச்சொல்லைச் சேர்க்கவும். [மேலும் அறிக](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'`<meta name="viewport">` குறிச்சொல் எதுவும் இல்லை'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'`width` அல்லது `initial-scale` உடன் கூடிய `<meta name="viewport">` குறிச்சொல் அமைக்கப்படவில்லை'},"lighthouse-core/audits/viewport.js | title":{message:'`width` அல்லது `initial-scale` உடன் `<meta name="viewport">` குறிச்சொல் அமைக்கப்பட்டுள்ளது'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"இந்த வாய்ப்புகள் உங்கள் ஆப்ஸில் உள்ள ARIAயின் ஆப்ஸை மேம்படுத்தும், இது ஸ்க்ரீன் ரீடர் போன்ற உதவிகரமான தொழில்நுட்பத்தைப் பயன்படுத்தும் பயனர்களின் அனுபவத்தை மேம்படுத்தக்கூடும்."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"இவை ஆடியோவுக்கும் வீடியோவுக்கும் மாற்று உள்ளடக்கத்தை வழங்குவதற்கான வாய்ப்புகளாகும். இது செவித்திறன் அல்லது பார்வைக் குறைபாடுள்ள பயனர்களுக்கான அனுபவத்தை மேம்படுத்தக்கூடும்."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"ஆடியோ & வீடியோ"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"இவை பொதுவான அணுகல்தன்மைக்கான சிறந்த நடைமுறைகளைத் தனிப்படுத்துகின்றன."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"சிறந்த நடைமுறைகள்"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"இந்த சரிபார்ப்புகள் [உங்கள் இணைய ஆப்ஸின் அணுகல்தன்மையை மேம்படுத்துவதற்கான](https://developers.google.com/web/fundamentals/accessibility) வாய்ப்புகளைத் தனிப்படுத்திக் காட்டுகின்றன. அணுகல்தன்மை சிக்கல்களில் சிலவற்றை மட்டுமே தானாகக் கண்டறிய முடியும் என்பதால் நேரடி பரிசோதனையையும் செய்ய ஊக்குவிக்கிறோம்."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"தானியங்கி சோதனைக் கருவியால் சோதிக்க முடியாத பகுதிகளை இவை சோதிக்கும். எங்கள் வழிகாட்டியில் [அணுகல்தன்மை மதிப்பாய்வை நடத்துவதைப்](https://developers.google.com/web/fundamentals/accessibility/how-to-review) பற்றி மேலும் தெரிந்துகொள்ளலாம்."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"அணுகல்தன்மை"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"இவை உங்கள் உள்ளடக்கத்தின் நம்பகத்தன்மையை மேம்படுத்துவதற்கான வாய்ப்புகளாகும்."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"ஒளி மாறுபாடு"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"இந்த வாய்ப்புகள், பல்வேறு மொழிப் பயனர்கள் உங்கள் உள்ளடக்கத்தைப் புரிந்துகொள்வதற்கான வாய்ப்பினை மேம்படுத்தும்."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"சர்வதேசமயமாக்குதல் & உள்ளூர்மயமாக்குதல்"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"இந்த வாய்ப்புகள் உங்கள் ஆப்ஸின் கட்டுப்பாடுகளின் பொருள்விளக்கத்தை மேம்படுத்தும். இது ஸ்க்ரீன் ரீடர் போன்ற உதவிகரமான தொழில்நுட்பத்தைப் பயன்படுத்தும் பயனர்களின் அனுபவத்தை மேம்படுத்தக்கூடும்."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"பெயர்கள் & லேபிள்கள்"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"இவை உங்கள் ஆப்ஸில் கீபோர்டு நேவிகேஷனை மேம்படுத்துவதற்கான வாய்ப்புகளாகும்."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"நேவிகேஷன்"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"இவை ஸ்க்ரீன் ரீடர் போன்ற உதவிகரமான தொழில்நுட்பத்தைப் பயன்படுத்தி அட்டவணையையோ பட்டியல் தரவையோ படிக்கும் அனுபவத்தை மேம்படுத்துவதற்கான வாய்ப்புகளாகும்."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"டேபிள்கள் & பட்டியல்கள்"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"உலாவியின் இணக்கத்தன்மை"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"சிறந்த நடைமுறைகள்"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"பொது"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"நம்பிக்கையும் பாதுகாப்பும்"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"பயனர் அனுபவம்"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"செயல்திறன் பட்ஜெட்கள் உங்கள் தளத்தின் செயல்திறனுக்கான தர நிலைகளை அமைக்கும்."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"பட்ஜெட்கள்"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"உங்கள் ஆப்ஸின் செயல்திறன் பற்றிய மேலும் சில தகவல்கள். இந்த மதிப்புகளானது செயல்திறனின் ஸ்கோரை [நேரடியாகப் பாதிக்காது](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"பகுப்பாய்வு"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"திரையில் பிக்சல்கள் எவ்வளவு விரைவாக ரென்டரிங் செய்யப்படுகின்றன என்பது செயல்திறனின் மிக முக்கிய அம்சமாகும். முக்கிய அளவீடுகள்: 'உள்ளடக்கமுள்ள முதல் தோற்றம்', 'அர்த்தமுள்ள முதல் தோற்றம்'"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"முதல் தோற்ற மேம்பாடுகள்"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"இந்தப் பரிந்துரைகள் உங்கள் பக்கத்தை வேகமாக ஏற்ற உதவும். அவை செயல்திறன் ஸ்கோரை [நேரடியாகப் பாதிக்காது](https://web.dev/performance-scoring/)."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"பரிந்துரைகள்"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"அளவீடுகள்"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"ஒட்டுமொத்தமாகப் பக்கம் ஏற்றப்படும் அனுபவத்தை மேம்படுத்தவும், இதனால் பக்கம் விரைவாக எதிர்வினையாற்றும், அத்துடன் முடிந்தளவு விரைவாகப் பயன்படுத்தத் தயாராக இருக்கும். முக்கிய அளவீடுகள்: 'எதிர்வினை நேரம்', 'வேக அட்டவணை'"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"ஒட்டுமொத்த மேம்பாடுகள்"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"இணையச் செயல்திறன்"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"இந்தச் சரிபார்ப்புகள் நவீன இணைய ஆப்ஸின் அம்சங்களை மதிப்பிடும். [மேலும் அறிக](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"பேஸ்லைன் [PWA சரிபார்ப்புப் பட்டியலுக்கு ](https://developers.google.com/web/progressive-web-apps/checklist) இந்தச் சரிபார்ப்புகள் தேவை, இருப்பினும் இவற்றை Lighthouse தானாகச் சரிபார்ப்பதில்லை. அவை உங்களின் ஸ்கோரில் பாதிப்பை ஏற்படுத்தாது, இருப்பினும் நீங்களாகவே அவற்றைச் சரிபார்ப்பது முக்கியமாகும்."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"நவீன இணைய ஆப்ஸ்"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"நிறுவக்கூடியவை"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA மேம்படுத்தப்பட்டுள்ளது"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"தேடல் இன்ஜின் முடிவுகளில் ரேங்கிங்கிற்காக உங்கள் பக்கம் உகந்ததாக்கப்பட்டுள்ளதை இந்தச் சரிபார்ப்புகள் உறுதிசெய்யும். உங்கள் தேடல் ரேங்கிங்கைப் பாதிக்கக்கூடிய, Lighthouse சரிபார்க்காத கூடுதல் காரணிகள் உள்ளன. [மேலும் அறிக](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"மேலும் சில சிறந்த SEO நடைமுறைகளைச் சோதனை செய்ய, உங்கள் தளத்தில் இந்தக் கூடுதல் வேலிடேட்டர்களை இயக்கவும்."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"ஆப்ஸின் உள்ளடக்கத்தை கிராலர்கள் நன்கு புரிந்துகொள்ள வசதியாக HTMLலைப் பொருத்தமாக வடிவமைக்கவும்."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"உள்ளடக்கம் தொடர்பான சிறந்த நடைமுறைகள்"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"தேடல் முடிவுகளில் தோன்ற உங்கள் ஆப்ஸிற்கான அணுகல் கிராலர்களுக்குத் தேவை."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"கிராலிங் & அட்டவணைப்படுத்துதல்"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"பக்கங்களின் உள்ளடக்கத்தை பயனர்கள் பின்ச் செய்தோ பெரிதாக்கியோ படிக்க வேண்டிய அவசியம் ஏற்படாதவாறு உங்கள் பக்கங்கள் மொபைலுக்கு ஏற்றவையாக இருக்க வேண்டும். [மேலும் அறிக](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"மொபைலுக்கேற்றது"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"சோதனை செய்யப்பட்ட சாதனம் Lighthouse எதிர்பார்ப்பதை விட வேகம் குறைவான CPUவைக் கொண்டிருப்பதுபோல் தெரிகிறது. இது உங்கள் செயல்திறனைப் பாதிக்கும். [பொருத்தமான CPU ஸ்லோடவுன் மல்டிபிளையரை அளவிடுதல்](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling) குறித்து மேலும் அறிக."},
"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"உங்கள் சோதனை URL ({requested}) {final}என்பதற்குத் திசைதிருப்பப்பட்டதால் எதிர்பரர்த்த அளவிற்குப் பக்கம் ஏற்றப்படாமல் போகக்கூடும். நேரடியாக இரண்டாவது URLலை சோதித்துப் பாருங்கள்."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"நேர வரம்பிற்குள் பக்கத்தை முழுமையாக ஏற்ற முடியவில்லை. இதனால் முடிவுகள் காட்டப்படாமல் போகலாம்."},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{செயல்திறன் அளவீட்டைப் பாதிக்கக்கூடிய, சேமித்தத் தரவு இந்த இடத்தில் இருக்கலாம்: {locations}. இவை உங்கள் ஸ்கோர்களைப் பாதிப்பதைத் தவிர்க்கும் வகையில், மறைநிலைச் சாளரத்தில் இந்தப் பக்கத்தின் செயல்பாட்டை ஆய்வு செய்யவும்.}other{செயல்திறன் அளவீட்டைப் பாதிக்கக்கூடிய, சேமித்தத் தரவு இந்த இடத்தில் இருக்கலாம்: {locations}. இவை உங்கள் ஸ்கோர்களைப் பாதிப்பதைத் தவிர்க்கும் வகையில், மறைநிலைச் சாளரத்தில் இந்தப் பக்கத்தின் செயல்பாட்டை ஆய்வு செய்யவும்.}}"},
"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"பழைய உலாவிகளுடன் இணக்கமாக இருக்கும் வகையில் https: மற்றும் http: URL திட்டங்களைச் ('strict-dynamic' என்பதை ஆதரிக்கும் உலாவிகளால் புறக்கணிக்கப்பட்டது) சேர்க்க வேண்டும்."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"CSP3 முதல் disown-opener நிறுத்தப்பட்டது. இதற்குப் பதிலாக Cross-Origin-Opener-Policy தலைப்பைப் பயன்படுத்தவும்."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"CSP2 முதல் referrer நிறுத்தப்பட்டது. இதற்குப் பதிலாக Referrer-Policy தலைப்பைப் பயன்படுத்தவும்."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"CSP2 முதல் reflected-xss நிறுத்தப்பட்டது. இதற்குப் பதிலாக X-XSS-Protection தலைப்பைப் பயன்படுத்தவும்."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"தீங்கிழைப்பவர் கட்டுப்படுத்தும் டொமைனிற்கான தொடர்புடைய URLகள் (எ.கா. ஸ்கிரிப்ட்டுகள்) அனைத்திற்கும் அடிப்படை URLலை அமைக்க base-uri டைரெக்டிவ் இல்லாதது <base> குறியீடுகள் திணிப்பை அனுமதிக்கிறது. base-uri என்பதை 'none' அல்லது 'self' என அமைக்கவும்."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"object-src மூலம் கட்டுப்படுத்தப்படும் உறுப்புகள் லெகஸி அம்சங்களாகக் கருதப்படுகின்றன. பாதுகாப்பற்ற ஸ்கிரிப்ட்டுகளை இயக்கும் செருகுநிரல்கள் திணிப்பைத் தடுக்க, object-src என்பதை 'none' என்று அமைக்கவும்."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src டைரெக்டிவ் இல்லை. பாதுகாப்பற்ற ஸ்கிரிப்ட்டுகளின் இயக்கத்தை இது அனுமதிக்கலாம்."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"அரைப்புள்ளியை மறந்துவிட்டீர்களா? {keyword} டைரெக்டிவ் போல் தெரிகிறது, தேடல் குறிப்பாக இல்லை."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"base64 எழுத்துக்குறியாக்கத்தை Nonces பயன்படுத்த வேண்டும்."},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces குறைந்தபட்சம் 8 எழுத்துகள் வரை இருக்க வேண்டும்."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"புகாரளிக்கும் இடத்தை report-to டைரெக்டிவ் வழியாக மட்டுமே உள்ளமைக்க வேண்டும். இந்த டைரெக்டிவ் Chromium சார்ந்த உலாவிகளில் மட்டுமே ஆதரிக்கப்படும் என்பதால் report-uri டைரெக்டிவ்வையும் பயன்படுத்துமாறு பரிந்துரைக்கப்படுகிறது."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"புகாரளிக்கும் இடத்தை எந்த CSPயும் உள்ளமைக்கவில்லை. CSPயைக் காலப்போக்கில் நிர்வகிப்பதையும் சிதைவுகளுக்காகக் கண்காணிப்பதையும் இது கடினமாக்குகிறது."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"ஹோஸ்ட் ஏற்புப் பட்டியல்கள் அடிக்கடிப் புறக்கணிக்கப்படலாம். CSP nonces/hashes உடன் சேர்த்து 'strict-dynamic' என்பதையும் பயன்படுத்தவும்."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"அறியப்படாத CSP டைரெக்டிவ்."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{
message:"{keyword} தவறான தேடல் குறிப்பு போல் தெரிகிறது."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"பக்கத்தில் உள்ள பாதுகாப்பற்ற ஸ்கிரிப்ட்டுகள் & ஈவண்ட் ஹேண்ட்லர்கள் இயக்கத்தை 'unsafe-inline' அனுமதிக்கிறது. ஸ்கிரிப்ட்டுகளைத் தனியாக அனுமதிக்க, CSP nonces/hashes என்பதைப் பயன்படுத்தவும்."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"பழைய உலாவிகளுடன் இணக்கமாக இருக்கும் வகையில் 'unsafe-inline' (nonces/hashes என்பதை ஆதரிக்கும் உலாவிகளால் புறக்கணிக்கப்பட்டது) என்பதைச் சேர்ப்பதைக் கருத்தில் கொள்ளவும்."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"முக்கியத் தொடரிழையில் தடுப்பதற்குச் செலவிட்ட நேரம்"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"தற்காலிக நினைவக TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"விளக்கம்"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"கால அளவு"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"உறுப்பு"},
"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"தோல்வியுறும் உறுப்புகள்"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"இடம்"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"பெயர்"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"பட்ஜெட்டைத் தாண்டிவிட்டது"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"கோரிக்கைகள்"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"ஆதாரங்களின் அளவு"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"ஆதார வகை"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"அளவு"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"மூலம்"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"தொடக்க நேரம்"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"செலவிட்ட நேரம்"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"பரிமாற்ற அளவு"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"சேமிக்கப்படக்கூடியது"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"சேமிக்கப்படக்கூடியது"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"சேமிக்கக்கூடிய அளவு: {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 உறுப்பு உள்ளது}other{# உறுப்புகள் உள்ளன}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"சேமிக்கக்கூடிய நேரம்: {wastedMs, number, milliseconds} மி.வி."},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"ஆவணம்"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"அர்த்தமுள்ள முதல் தோற்றம்"},
"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"எழுத்துரு"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"படம்"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"அதிகம்"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"குறைவானது"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"நடுத்தரமானது"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"முதல் உள்ளீட்டிற்கு பதிலளிக்கக்கூடிய அதிகபட்ச நேரம்"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"மீடியா"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} மி.வி."},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"மற்றவை"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{
message:"இதர மூலங்கள்"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"ஸ்கிரிப்ட்"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} வி."},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"ஸ்டைல்ஷீட்"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"மூன்றாம் தரப்பு"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"மொத்தம்"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"உங்கள் பக்கம் ஏற்றப்படுகையில் டிரேஸைப் பதிவுசெய்யும்போது ஏதோ தவறாகிவிட்டது. Lighthouseஸை மீண்டும் இயக்கவும். ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"முதல் பிழைதிருத்தும் நெறிமுறை இணைப்பிற்கான நேரமுடிவு காத்திருப்பு."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"பக்கம் ஏற்றப்பட்டபோது ஸ்க்ரீன்ஷாட்கள் எதையும் Chrome சேகரிக்கவில்லை. பக்கத்தில் ஏதேனும் உள்ளடக்கம் காண்பிக்கப்படுவதை உறுதிப்படுத்திக் கொண்டு Lighthouseஸை மீண்டும் இயக்கவும். ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"வழங்கப்பட்டுள்ள டொமைனை DNS சேவையகங்களால் அடையாளம் காண முடியவில்லை."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"தேவைப்படும் {artifactName} சேகரிப்பானில் பிழையொன்று ஏற்பட்டது: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Chrome அகப் பிழை நேர்ந்தது. Chromeமை மீண்டும் தொடங்கி, Lighthouseஸை மீண்டும் இயக்கவும்."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"தேவைப்படும் {artifactName} சேகரிப்பான் இயங்கவில்லை."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"பக்கம் எந்தவொரு உள்ளடக்கத்தையும் காட்சிப்படுத்தவில்லை. பக்கம் ஏற்றப்படும்போது உலாவிச் சாளரத்தை முன்புலத்திலேயே வைத்துக்கொண்டு மீண்டும் முயலவும். ({errorCode})"},
"lighthouse-core/lib/lh-error.js | notHtml":{message:"வழங்கிய பக்கம் HTML அல்ல ({mimeType} என்ற MIME வகையாக வழங்கப்பட்டுள்ளது)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"Chromeமின் இந்தப் பதிப்பு மிகவும் பழையது என்பதால் '{featureName}' ஐ ஆதரிக்கவில்லை. அனைத்து முடிவுகளையும் பார்ப்பதற்கு புதிய பதிப்பைப் பயன்படுத்தவும்."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"நீங்கள் கோரிய பக்கத்தை Lighthouseஸால் முழுமையாக ஏற்ற முடியவில்லை. நீங்கள் சரியான URLலைச் சோதிப்பதையும் அனைத்துக் கோரிக்கைகளுக்கும் சேவையகம் சரியாகப் பதிலளிப்பதையும் உறுதிசெய்யவும்."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"பக்கம் பதிலளிப்பதை நிறுத்தியதால் நீங்கள் கோரிய URLலை Lighthouseஸால் முழுமையாக ஏற்ற முடியவில்லை."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"நீங்கள் வழங்கியுள்ள URLலில் செல்லுபடியாகும் பாதுகாப்பு சான்றிதழ்கள் இல்லை. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"பக்கத்தை ஏற்றுவதை இடைச்செருகல் திரையொன்றின் மூலம் Chrome தடுத்துவிட்டது. நீங்கள் சரியான URLலைப் பரிசோதிப்பதையும் அனைத்துக் கோரிக்கைகளுக்கும் சேவையகம் முறையாக பதிலளிப்பதையும் உறுதிசெய்து கொள்ளவும்."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"நீங்கள் கோரிய பக்கத்தை Lighthouseஸால் முழுமையாக ஏற்ற முடியவில்லை. நீங்கள் சரியான URLலைப் பரிசோதிப்பதையும் அனைத்துக் கோரிக்கைகளுக்கும் சேவையகம் முறையாக பதிலளிப்பதையும் உறுதிசெய்து கொள்ளவும். (விவரங்கள்: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"நீங்கள் கோரிய பக்கத்தை Lighthouseஸால் முழுமையாக ஏற்ற முடியவில்லை. நீங்கள் சரியான URLலைப் பரிசோதிப்பதையும் அனைத்துக் கோரிக்கைகளுக்கும் சேவையகம் முறையாக பதிலளிப்பதையும் உறுதிசெய்து கொள்ளவும். (நிலைக் குறியீடு: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"உங்கள் பக்கம் ஏற்றப்பட நீண்ட நேரம் எடுத்துக்கொண்டது. பக்கம் ஏற்றப்படும் நேரத்தைக் குறைக்க அறிக்கையிலுள்ள வாய்ப்புகளைப் பின்பற்றி Lighthouseஸை மீண்டும் இயக்கவும். ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools நெறிமுறைக்காகக் காத்திருக்கும் ஒதுக்கப்பட்ட நேரத்தை மீறிவிட்டது. (முறை:{protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"ஒதுக்கப்பட்ட நேரத்தை ஆதார உள்ளடக்கத்தைப் பெறுவதற்கான நேரம் மீறிவிட்டது"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"நீங்கள் அளித்துள்ள URL செல்லாததெனத் தோன்றுகிறது."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"எல்லாம்"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"எல்லா ஸ்கிரிப்ட்டுகளும்"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"கவரேஜ்"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"நகல் மாடியூல்கள்"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{
message:"கோப்பின் அளவு (பைட்டுகள்)"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"பெயர்"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"டேபிளைக் காட்டு/மறை"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"பயன்படுத்தப்படாத பைட்டுகள்"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"அனிமேஷன் செய்யப்பட்ட உள்ளடக்கமாக இருந்தால், உள்ளடக்கம் திரைக்கு வெளியில் இருக்கும்போது CPU உபயோகத்தைக் குறைக்கும் வகையில் [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) காம்பனென்ட்டைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"மற்ற உலாவிகளுக்குத் தகுந்த ஒரு ஃபால்பேக்கைக் குறிப்பிடும்போது [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) காம்பனென்ட்கள் அனைத்தையும் WebP வடிவங்களில் காட்சிப்படுத்தவும். [மேலும் அறிக](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"தேவையுள்ளபோது படங்களைத் தானாகவே ஏற்றுவதற்கு [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) காம்பனென்ட்டைப் பயன்படுத்துவதை உறுதிசெய்துகொள்ளவும். [மேலும் அறிக](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"[AMP மேம்படுத்துதல் அம்சம்](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) முதல் [சேவையகத் தரப்பு ரெண்டரிங் AMP தளவமைப்புகள்](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) போன்ற அம்சங்களைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"அனைத்து ஸ்டைல்களும் ஆதரிக்கப்படுவதை உறுதிசெய்துகொள்ள, [AMP ஆவணமாக்கலைப்](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) பார்க்கவும்."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"திரை அளவின் அடிப்படையில் எந்தப் பட அசெட்டுகளைப் பயன்படுத்த வேண்டும் என்பதைக் குறிப்பிடும் வகையில் [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) காம்பனென்ட் [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) பண்புக்கூறை ஆதரிக்கும். [மேலும் அறிக](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"பெரிய பட்டியல்கள் ரெண்டரிங் செய்யப்பட்டால் Component Dev Kitஐ (CDK) பயன்படுத்தி விர்ச்சுவல் ஸ்கிராலிங்க் செய்வதைப் பரிசீலிக்கவும். [மேலும் அறிக](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"உங்கள் JavaScript தொகுப்புகளின் அளவைக் குறைக்க, [ரூட் நிலையில் குறியீட்டைப் பிரிப்பதைப்](https://web.dev/route-level-code-splitting-in-angular/) பயன்படுத்தவும். இத்துடன் [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/)ரைப் பயன்படுத்தி அசெட்டுகளை முன்கூட்டியே தற்காலிகமாகவும் சேமிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"நீங்கள் Angular CLIயை பயன்படுத்தினால் பதிப்புகள் தயாரிப்பு பயன்முறையில் உருவாக்கப்படுவதை உறுதிப்படுத்திக்கொள்ளவும். [மேலும் அறிக](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Angular CLIயைப் பயன்படுத்தினால் உங்கள் தொகுப்புகளை ஆய்வு செய்யும் வகையில் தயாரிப்புப் பதிப்பில் மூல வரைபடங்களைச் சேர்க்கவும். [மேலும் அறிக](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"வழிசெலுத்தலை வேகப்படுத்த வழிகளை முன்கூட்டியே ஏற்றவும். [மேலும் அறிக](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"பட பிரேக்பாயிண்ட்டுகளை நிர்வகிக்க Component Dev Kitடில் (CDK) `BreakpointObserver` உபகரணத்தைப் பயன்படுத்துவதைப் பரிசீலிக்கவும். [மேலும் அறிக](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"GIFஃபை HTML5 வீடியோவாக உட்பொதிக்க உதவும் சேவையில் அதைப் பதிவேற்றவும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"உங்கள் தீமில் பிரத்தியேக எழுத்துருக்களை வரையறுக்கும்போது `@font-display` ஐக் குறிப்பிடவும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"உங்கள் தளத்தில் [WebP பட வடிவமைப்புகளைப் பயன்படுத்துவதற்கான ஒரு மாடியூலை](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) நிறுவி உள்ளமைக்கவும். ஏற்றும் நேரத்தைக் குறைப்பதற்காக இந்த மாடியூல்கள் நீங்கள் பதிவேற்றிய படங்களின் WebP பதிப்பைத் தானாகவே உருவாக்கும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"படங்களைத் தேவையுள்ளபோது ஏற்றும் [Drupal மாடியூலை](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) நிறுவவும். செயல்திறனை மேம்படுத்துவதற்காக இந்த மாடியூல்கள் திரைக்கு வெளியில் உள்ள படங்களை மெதுவாக ஏற்றும் வசதியை வழங்குகின்றன."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"முக்கியமான CSS & JavaScriptடை முன்னிலைப்படுத்த, மாடியூலைப் பயன்படுத்தவும் அல்லது [மேம்பட்ட CSS/JS ஒருங்கிணைப்பு](https://www.drupal.org/project/advagg) மாடியூல் போன்ற JavaScript மூலம் ஒத்திசைவின்றி அசெட்டுகளை ஏற்றவும். இந்த மாடியூல் வழங்கும் மேம்படுத்துதல்கள் உங்கள் இணையதளத்தைப் பாதிக்கலாம் என்பதால் நீங்கள் குறியீட்டில் மாற்றங்களைச் செய்ய வேண்டியிருக்கும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"தீம்கள், மாடியூல்கள், சேவையக விவரக்குறிப்புகள் ஆகிய அனைத்தும் சேவையகத்தின் வேகத்தை நிர்ணயிக்கின்றன. மேலும் மேம்படுத்தப்பட்ட தீமினைக் கண்டறிந்து, மேம்படுத்தல் மாடியூலைக் கவனமாகத் தேர்ந்தெடுக்கவும் மற்றும்/அல்லது சேவையகத்தை மேம்படுத்தவும். PHP ஆப்கோட் தற்காலிகச் சேமிப்பு, Redis/Memcached போன்ற தரவுத்தள வினவல் நேரங்களைக் குறைப்பதற்கான தற்காலிக நினைவகச் சேமிப்பு, பக்கங்கள் விரைவாக ஏற்றப்படுவதற்கான மேம்பட்ட பயன்பாட்டு லாஜிக் ஆகியவற்றை உங்கள் ஹோஸ்டிங் சேவையகங்கள் பயன்படுத்த அனுமதிக்க வேண்டும்."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"உங்கள் பக்கத்தில் ஏற்றப்படும் படங்களின் அளவைக் குறைக்க [திரைக்கு ஏற்ப அளவு மாறும் பட ஸ்டைல்களைப்](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) பயன்படுத்தவும். பக்கத்தில் பல உள்ளடக்கத்தைக் காட்டுவதற்கு ’காட்சிகளைப்’ பயன்படுத்தினால் அந்தப் பக்கத்தில் காட்டப்படும் உள்ளடக்கத்தின் எண்ணிக்கையை வரம்பிட அதைப் பக்கங்களாகப் பிரிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'"நிர்வாகம் » உள்ளமைவு » மேம்பாடு" என்ற பக்கத்தில் “ஒருங்கிணைப்பு CSS கோப்புகளை” இயக்கியுள்ளதை உறுதிசெய்துகொள்ளவும். CSS ஸ்டைல்களை ஒன்றிணைத்தும் சிறிதாக்கியும் சுருக்கியும் உங்கள் தளத்தின் செயல்பாட்டை வேகப்படுத்த, [கூடுதல் மாடியூல்கள்](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) மூலமாகவும் மேலும் மேம்பட்ட ஒருங்கிணைப்பு விருப்பங்களை உள்ளமைக்கலாம்.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'"நிர்வாகம் » உள்ளமைவு » மேம்பாடு" என்ற பக்கத்தில் “JavaScript கோப்புகளை ஒருங்கிணை” என்பதை இயக்கியுள்ளதை உறுதிசெய்துகொள்ளவும். JavaScript அசெட்டுகளை ஒன்றிணைத்தும் சிறிதாக்கியும் சுருக்கியும் உங்கள் தளத்தின் செயல்பாட்டை வேகப்படுத்த, [கூடுதல் மாடியூல்கள்](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) மூலமாகவும் மேலும் மேம்பட்ட ஒருங்கிணைப்பு விருப்பங்களை உள்ளமைக்கலாம்.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"பயன்படுத்தப்படாத CSS விதிகளை அகற்றிவிட்டு தொடர்புடைய பக்கம்/பக்கத்தில் உள்ள காம்பனென்ட்டில் தேவையான Drupal லைப்ரரிகளை மட்டும் இணைக்கவும். விவரங்களுக்கு [Drupal ஆவணமாக்கல் இணைப்பைப்](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) பார்க்கவும். பொருத்தமற்ற CSSஸைச் சேர்க்கும் இணைக்கப்பட்ட லைப்ரரிகளை அடையாளம் காண, Chrome DevToolsஸில் [குறியீட்டுக் கவரேஜை](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) இயக்கிப் பார்க்கவும். Drupal தளத்தில் CSS ஒருங்கிணைப்பு முடக்கப்பட்டிருக்கும்போது ஸ்டைல்ஷீட்டின் URLலில் இதற்குக் காரணமான தீம்/மாடியூலைக் கண்டறியலாம். அதிகளவு சிவப்பில் உள்ள குறியீட்டுக் கவரேஜைக் கொண்ட பட்டியலில் பல ஸ்டைல்ஷீட்களைக் கொண்ட தீம்கள்/மாடியூல்களைக் கண்டறியவும். பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு தீம்/மாடியூல் ஒரு ஸ்டைல்ஷீட்டை மட்டுமே வரிசையில் சேர்க்க வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"பயன்படுத்தப்படாத JavaScript அசெட்டுகளை அகற்றிவிட்டு தொடர்புடைய பக்கம்/பக்கத்தில் உள்ள காம்பனென்ட்டில் தேவையான Drupal லைப்ரரிகளை மட்டும் இணைக்கவும். விவரங்களுக்கு [Drupal ஆவணமாக்கல் இணைப்பைப்](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) பார்க்கவும். பொருத்தமற்ற JavaScriptடைச் சேர்க்கும் இணைக்கப்பட்ட லைப்ரரிகளை அடையாளம் காண, Chrome DevToolsஸில் [குறியீட்டுக் கவரேஜை](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) இயக்கிப் பார்க்கவும். Drupal தளத்தில் JavaScript ஒருங்கிணைப்பு முடக்கப்பட்டிருக்கும்போது ஸ்கிரிப்ட்டின் URLலில் இதற்குக் காரணமான தீம்/மாடியூலைக் கண்டறியலாம். குறியீட்டுக் கவரேஜில் அதிக சிவப்பைக் கொண்ட பட்டியலிலுள்ள பல ஸ்கிரிப்ட்டுகளைக் கொண்ட தீம்கள்/மாடியூல்களைக் கண்டறியவும். பக்கத்தில் பயன்படுத்தும் பட்சத்தில் மட்டுமே ஒரு தீம்/மாடியூல் ஒரு ஸ்கிரிப்ட்டை வரிசையில் சேர்க்க வேண்டும்."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'"நிர்வாகம் » உள்ளமைவு » மேம்பாடு" என்ற பக்கத்தில் "உலாவி & ப்ராக்ஸி தகவல்களை நீண்ட காலத்திற்குத் தற்காலிகமாகச் சேமி" என அமைக்கவும். [செயல்திறனுக்கான Drupal தற்காலிகச் சேமிப்பு & மேம்படுத்துதல்](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources) குறித்து தெரிந்துகொள்ளவும்.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"தளத்தில் பதிவேற்றப்பட்ட படங்களின் தரம் குறையாமல் தானாகவே அவற்றை மேம்படுத்தும் & அவற்றின் அளவைக் குறைக்கும் [மாடியூலைப்](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) பயன்படுத்தவும். இணையதளத்தில் ரெண்டர் செய்யப்பட்ட அனைத்துப் படங்களுக்கும் Drupalலில் வழங்கப்பட்டுள்ள இயல்பான [திரைக்கு ஏற்ப அளவு மாறும் பட ஸ்டைல்களை](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Drupal 8 & அதற்குப் பிந்தைய பதிப்பில் கிடைக்கும்) பயன்படுத்துவதையும் உறுதிசெய்துகொள்ளவும்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"பயனர் ஏஜெண்ட் மூலக் குறிப்புகளுக்கான வசதிகளை வழங்கும் [ஒரு மாடியூலை](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) நிறுவி உள்ளமைப்பதன் மூலம் முன்னிணைப்பு அல்லது dns-ப்ரீஃபெட்ச் மூலக் குறிப்புகளைச் சேர்க்கலாம்."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Drupalலில் வழங்கப்பட்டுள்ள இயல்பான [திரைக்கு ஏற்ப அளவு மாறும் பட ஸ்டைல்களை](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Drupal 8 & அதற்குப் பிந்தைய பதிப்பில் கிடைக்கும்) பயன்படுத்துவதை உறுதிசெய்துகொள்ளவும். காட்சிப் பயன்முறைகள், காட்சிகள் ஆகியவற்றின் மூலமாகவோ WYSIWYG எடிட்டரைப் பயன்படுத்திப் பதிவேற்றப்பட்ட படங்களின் மூலமாகவோ படப் புலங்களை ரெண்டர் செய்யும்போது திரைக்கு ஏற்ப அளவு மாறும் பட ஸ்டைல்களைப் பயன்படுத்தவும்."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"GIFஃபை HTML5 வீடியோவாக உட்பொதிக்க உதவும் சேவையில் அதைப் பதிவேற்றவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"நீங்கள் பதிவேற்றிய படங்களை மேம்படுத்தப்பட்ட வடிவமைப்புகளுக்குத் தானாக மாற்றும் ஒரு [செருகுநிரல்](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)/சேவையைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"திரைக்கு வெளியில் உள்ள படங்களை மெதுவாக ஏற்றும் வசதியை வழங்குகிற [தேவையுள்ளபோது ஏற்றும் Joomla செருகுநிரலை](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) நிறுவவும் அல்லது அந்த வசதியை வழங்கும் டெம்ப்ளேட்டிற்கு மாறவும். Joomla 4.0 ஐப் பயன்படுத்தித் தொடங்குவதன் மூலம் புதிய படங்கள் அனைத்தும் `loading` பண்புக்கூறு முழுவதையும் [தானாகவே](https://github.com/joomla/joomla-cms/pull/30748) பெறும்."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"[முக்கியமான அசெட்டுகளை முன்னிலைப்படுத்த](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)/[முக்கியத்துவம் குறைவான ஆதாரங்களைத் தவிர்க்க](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) பல Joomla செருகுநிரல்கள் உதவுகின்றன. இந்தச் செருகுநிரல்கள் வழங்கும் மேம்படுத்துதல்கள் உங்கள் டெம்ப்ளேட்டுகள்/செருகுநிரல்களில் உள்ள அம்சங்களைப் பாதிக்கலாம் என்பதால் இவற்றை நீங்கள் முற்றிலும் சோதனை செய்ய வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"டெம்ப்ளேட்டுகள், நீட்டிப்புகள், சேவையக விவரக்குறிப்புகள் ஆகிய அனைத்தும் சேவையகத்தின் வேகத்தை நிர்ணயிக்கின்றன. மேலும் மேம்படுத்தப்பட்ட டெம்ப்ளேட்டைக் கண்டறிந்து, மேம்படுத்தல் நீட்டிப்பைக் கவனமாகத் தேர்ந்தெடுக்கவும் மற்றும்/அல்லது சேவையகத்தை மேம்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"கட்டுரை வகைகளில் முக்கியமான பகுதியை மட்டும் காட்டவும் (உதாரணமாக மேலும் காட்டு என்ற இணைப்பின் மூலம்), பக்கத்தில் கட்டுரைகளின் எண்ணிக்கையைக் குறைக்கவும், பெரிய இடுகைகளை ஒன்றுக்கும் மேற்பட்ட பக்கங்களாகப் பிரிக்கவும் அல்லது தேவையுள்ளபோது மட்டும் கருத்துகளைச் செருகுநிரல்கள் மூலம் ஏற்றவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"பல [Joomla நீட்டிப்புகளால்](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) உங்கள் இணையதளத்தில் உள்ள css ஸ்டைல்களை ஒன்றிணைத்தும் சிறிதாக்கியும் சுருக்கியும் தளத்தின் செயல்பாட்டை வேகப்படுத்த முடியும். இந்த வசதியை வழங்கும் டெம்ப்ளேட்டுகளும் உள்ளன."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"பல [Joomla நீட்டிப்புகளால்](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) உங்கள் இணையதளத்தில் உள்ள ஸ்கிரிப்ட்டுகளை ஒன்றிணைத்தும் சிறிதாக்கியும் சுருக்கியும் தளத்தின் செயல்பாட்டை வேகப்படுத்த முடியும். இந்த வசதியை வழங்கும் டெம்ப்ளேட்டுகளும் உள்ளன."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"உங்கள் பக்கத்தில் ‘பயன்படுத்தப்படாத CSSஸை’ ஏற்றும் [Joomla நீட்டிப்புகளின்](https://extensions.joomla.org/) எண்ணிக்கையைக் குறைக்கவும்/மாற்றவும். பொருத்தமற்ற CSSஸைச் சேர்க்கும் நீட்டிப்புகளை அடையாளம் காண, Chrome DevToolsஸில் [குறியீட்டுக் கவரேஜை](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) இயக்கிப் பார்க்கவும். ஸ்டைல்ஷீட்டின் URLலில் இதற்குக் காரணமான தீம்/செருகுநிரலைக் கண்டறியலாம். அதிகளவு சிவப்பில் உள்ள குறியீட்டுக் கவரேஜைக் கொண்ட பட்டியலில் பல ஸ்டைல்ஷீட்களைக் கொண்ட செருகுநிரல்களைக் கண்டறியவும். பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு செருகுநிரல் ஒரு ஸ்டைல்ஷீட்டை மட்டுமே வரிசையில் சேர்க்க வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"உங்கள் பக்கத்தில் ‘பயன்படுத்தப்படாத JavaScriptடை’ ஏற்றும் [Joomla நீட்டிப்புகளின்](https://extensions.joomla.org/) எண்ணிக்கையைக் குறைக்கவும்/மாற்றவும். பொருத்தமற்ற JSஸைச் சேர்க்கும் செருகுநிரல்களை அடையாளம் காண, Chrome DevToolsஸில் [குறியீட்டுக் கவரேஜை](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) இயக்கிப் பார்க்கவும். ஸ்கிரிப்ட்டின் URLலில் இதற்குக் காரணமான நீட்டிப்பைக் கண்டறியலாம். அதிகளவு சிவப்பில் உள்ள குறியீட்டுக் கவரேஜைக் கொண்ட பட்டியலில் பல ஸ்கிரிப்ட்டுகளைக் கொண்ட நீட்டிப்புகளைக் கண்டறியவும். பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு நீட்டிப்பு ஒரு ஸ்கிரிப்ட்டை மட்டுமே வரிசையில் சேர்க்க வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"[Joomlaவில் உலாவியின் தற்காலிகச் சேமிப்பு](https://docs.joomla.org/Cache) குறித்து தெரிந்துகொள்ளவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"படங்களின் தரம் குறையாமல் அவற்றைச் சுருக்க, [படத்தை மேம்படுத்தும் செருகுநிரலைப்](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"உங்கள் உள்ளடக்கத்தில் திரைக்கு ஏற்ப அளவு மாறும் படங்களைப் பயன்படுத்த, [திரைக்கு ஏற்ப அளவு மாறும் படங்களுக்கான செருகுநிரலைப்](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Joomlaவில் Gzip பக்கச் சுருக்குதலை இயக்கி உரைச் சுருக்கத்தை இயக்கலாம் (சிஸ்டம் > பொது உள்ளமைவு > சேவையகம்)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"JavaScript உரிமையுடையவற்றை நீங்கள் தொகுக்கப்போவதில்லை எனில் [பேலரைப்](https://github.com/magento/baler) பயன்படுத்துவதைப் பரிசீலிக்கவும்."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Magentoவின் உள்ளமைக்கப்பட்ட பதிப்பான [JavaScript தொகுத்தலையும் சிறிதாக்குதலையும் முடக்கி](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) [பேலரைப்](https://github.com/magento/baler/) பயன்படுத்துவதைப் பரிசீலிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[பிரத்தியேகமான எழுத்துருவை வரையறுக்கும்போது](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html) `@font-display`ஐக் குறிப்பிடவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"பல்வேறு மூன்றாம் தரப்பு நீட்டிப்புகள் புதிய பட ஃபார்மேட்டுகளை அளவிட [Magento சந்தையைத்](https://marketplace.magento.com/catalogsearch/result/?q=webp) தேடுவதைப் பரிசீலிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"இணைய பிளாட்ஃபார்மின் [படங்களை மெதுவாக ஏற்றும்](https://web.dev/native-lazy-loading) அம்சத்தைப் பயன்படுத்த உங்கள் தயாரிப்பையும் கேட்டலாக் டெம்ப்ளேட்டுகளையும் மாற்றுவதைப் பரிசீலிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Magentoவின் [வார்னிஷ் ஒருங்கிணைப்பு](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) அம்சத்தைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'"CSS ஃபைல்களைச் சிறிதாக்குதல்" என்ற விருப்பத்தேர்வை உங்கள் ஸ்டோரின் டெவெலப்பர் அமைப்புகளில் இயக்கவும். [மேலும் அறிக](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"நிலையான உள்ளடக்க வழங்கலில் உள்ள JavaScript அசெட்டுகள் அனைத்தையும் சிறிதாக்க [Terser](https://www.npmjs.com/package/terser)ரைப் பயன்படுத்தி, உள்ளமைந்த சிறிதாக்குதல் அம்சத்தை முடக்கவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Magentoவின் உள்ளமைக்கப்பட்ட பதிப்பான [JavaScript தொகுத்தலை](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) முடக்கவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"பல்வேறு மூன்றாம் தரப்பு நீட்டிப்புகள் படங்களை மேம்படுத்த [Magento சந்தையைத்](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) தேடுவதைப் பரிசீலிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"[தீம்களின் தளவமைப்பை மாற்றுவதன்](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) மூலம் முன்னிணைப்பு அல்லது dns ப்ரீஃபெட்ச் மூலக் குறிப்புகளைச் சேர்க்கலாம்."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"[தீம்களின் தளவமைப்பை மாற்றுவதன்](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) மூலம் `<link rel=preload>` குறியிடல்களைச் சேர்க்க முடியும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"இணையப் பக்கம் விரைவாக ஏற்றப்படுவதற்கு, [வீடியோவிற்குப் பதிலாக அனிமேஷன் செய்யப்பட்ட GIFகளைப் பயன்படுத்தவும்](https://web.dev/replace-gifs-with-videos/). மேலும் சுருக்குதல் செயல்திறனைத் தற்போதைய அதிநவீன VP9 வீடியோ கோடெக்கை விட 30% கூடுதலாக மேம்படுத்த [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos), [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) போன்ற நவீன கோப்பு வடிவமைப்புகளைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"பதிவேற்றிய படங்களை மேம்படுத்தப்பட்ட வடிவமைப்புகளுக்குத் தானாக மாற்றும் [செருகுநிரல்](https://octobercms.com/plugins?search=image)/சேவையைப் பயன்படுத்தவும். SSIM தரக் குறியீட்டின்படி [தரம் குறையாத WebP படங்கள்](https://developers.google.com/speed/webp) PNGகளுடன் ஒப்பிடும்போது 26% சிறியதாகவும் ஒப்பிடக்கூடிய JPEG படங்களைக் காட்டிலும் 25-34% சிறியதாகவும் இருக்கும். [AVIF](https://jakearchibald.com/2020/avif-has-landed/) என்ற மற்றொரு புதிய பட வடிவமைப்பைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"திரைக்கு வெளியில் உள்ள படங்களை மெதுவாக ஏற்றும் வசதியை வழங்கும் [படத்தைத் தேவையுள்ளபோது ஏற்றும் செருகுநிரலை](https://octobercms.com/plugins?search=lazy) நிறுவவும் அல்லது அந்த வசதியை வழங்கும் தீமிற்கு மாறவும். [AMP செருகுநிரலையும்](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"[முக்கியமான இன்லைன் அசெட்டுகளுக்கு](https://octobercms.com/plugins?search=css) உதவும் பல செருகுநிரல்கள் உள்ளன. இந்தச் செருகுநிரல்கள் பிற செருகுநிரல்களின் செயல்பாட்டைப் பாதிக்கக்கூடும் என்பதால் அவற்றை முழுமையாகச் சோதனை செய்ய வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"தீம்கள், செருகுநிரல்கள், சேவையக விவரக்குறிப்புகள் ஆகிய அனைத்தும் சேவையகத்தின் வேகத்தை நிர்ணயிக்கும். மேலும் மேம்படுத்தப்பட்ட தீமினைக் கண்டறிந்து, மேம்படுத்தல் நீட்டிப்பைக் கவனமாகத் தேர்ந்தெடுக்கவும் மற்றும்/அல்லது சேவையகத்தை மேம்படுத்தவும். மின்னஞ்சல் அனுப்புவது போன்ற அதிக நேரம் எடுத்துக்கொள்ளும் பணியின் செயலாக்கத்தைத் தாமதப்படுத்த [`Queues`](https://octobercms.com/docs/services/queues) ஐ டெவெலப்பர்கள் பயன்படுத்துவதற்கு October CMS அனுமதிக்கிறது. இது இணைய கோரிக்கைகளை நன்கு வேகப்படுத்துகிறது."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"இடுகைப் பட்டியல்களில் முக்கியமான பகுதியை மட்டும் காட்டவும் (உதாரணமாக `show more` பட்டனைப் பயன்படுத்துவதன் மூலம்), இணையப் பக்கத்தில் இடுகைகளின் எண்ணிக்கையைக் குறைக்கவும், பெரிய இடுகைகளை ஒன்றுக்கும் மேற்பட்ட இணையப் பக்கங்களாகப் பிரிக்கவும் அல்லது செருகுநிரல் மூலம் தேவையுள்ளபோது மட்டும் கருத்துகளை ஏற்றவும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"ஸ்டைல்களை ஒன்றிணைத்தும் சிறிதாக்கியும் சுருக்கியும் தளத்தின் செயல்பாட்டை வேகப்படுத்தும் பல [செருகுநிரல்கள்](https://octobercms.com/plugins?search=css) உள்ளன. இந்தச் சிறிதாக்குதலை முன்னதாகவே மேற்கொள்ள பதிப்பு முறைமையைப் பயன்படுத்துவது டெவெலப்மெண்ட்டை வேகப்படுத்தும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"ஸ்கிரிப்ட்டுகளை ஒன்றிணைத்தும் சிறிதாக்கியும் சுருக்கியும் தளத்தின் செயல்பாட்டை வேகப்படுத்தும் பல [செருகுநிரல்கள்](https://octobercms.com/plugins?search=javascript) உள்ளன. இந்தச் சிறிதாக்குதலை முன்னதாகவே மேற்கொள்ள பதிப்பு முறைமையைப் பயன்படுத்துவது டெவெலப்மெண்ட்டை வேகப்படுத்தும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"இணையதளத்தில் பயன்படுத்தப்படாத CSSஸை ஏற்றும் [செருகுநிரல்களைச்](https://octobercms.com/plugins) சரிபார்க்கவும். தேவையற்ற CSSஸைச் சேர்க்கும் செருகுநிரல்களைக் கண்டறிய, Chrome டெவெலப்பர் கருவிகளில் [குறியீட்டுக் கவரேஜை](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) இயக்கவும். ஸ்டைல்ஷீட்டின் URLலில் இதற்குக் காரணமான தீம்/செருகுநிரலைக் கண்டறியவும். குறியீட்டுக் கவரேஜில் அதிக சிவப்பைக் கொண்ட பல ஸ்கிரிப்ட்டுகளுடன் கூடிய ஸ்டைல்ஷீட்டுகளைக் கண்டறியவும். இணையப் பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு செருகுநிரல் ஒரு ஸ்டைல்ஷீட்டை மட்டுமே சேர்க்க வேண்டும்."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"இணையப் பக்கத்தில் ‘பயன்படுத்தப்படாத JavaScriptடை’ ஏற்றும் [செருகுநிரல்களைச்](https://octobercms.com/plugins?search=javascript) சரிபார்க்கவும். தேவையற்ற JavaScriptடைச் சேர்க்கும் செருகுநிரல்களைக் கண்டறிய, Chrome டெவெலப்பர் கருவிகளில் [குறியீட்டுக் கவரேஜை](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) இயக்கவும். ஸ்கிரிப்ட்டின் URLலில் இதற்குக் காரணமான தீம்/செருகுநிரலைக் கண்டறியவும். குறியீட்டுக் கவரேஜில் அதிக சிவப்பைக் கொண்ட பல ஸ்கிரிப்ட்டுகளுடன் கூடிய செருகுநிரல்களைக் கண்டறியவும். இணையப் பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு செருகுநிரல் ஒரு ஸ்கிரிப்ட்டை மட்டுமே சேர்க்க வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{
message:"[HTTP தற்காலிகச் சேமிப்பின் மூலம் தேவையற்ற நெட்வொர்க் கோரிக்கைகளைத் தடுப்பது](https://web.dev/http-cache/#caching-checklist) குறித்துத் தெரிந்துகொள்ளவும். தற்காலிகமாகச் சேமிப்பதை வேகப்படுத்துவதற்காகப் பயன்படுத்தப்படக்கூடிய பல [செருகுநிரல்கள்](https://octobercms.com/plugins?search=Caching) உள்ளன."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"படங்களின் தரம் குறையாமல் அவற்றைச் சுருக்க, [படத்தை மேம்படுத்தும் செருகுநிரலைப்](https://octobercms.com/plugins?search=image) பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"மீடியா நிர்வாகியில் படங்களை நேரடியாகப் பதிவேற்றி சரியான அளவில் கிடைக்கிறதா என உறுதிப்படுத்திக் கொள்ளலாம். சரியான பட அளவுகள் பயன்படுத்தப்பட்டிருப்பதை உறுதிசெய்துகொள்ள, [அளவை மாற்றும் வடிப்பானையோ](https://octobercms.com/docs/markup/filter-resize) [படத்தின் அளவை மாற்றும் செருகுநிரலையோ](https://octobercms.com/plugins?search=image) பயன்படுத்தவும்."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"இணையச் சேவையக உள்ளமைவில் உரைச் சுருக்குதலை இயக்கவும்."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"ஒரு பக்கத்தில் தொடர்ந்து நிகழ்கின்ற பல கூறுகளை ரெண்டரிங் செய்கிறீர்கள் எனில் DOM கணுக்கள் உருவாக்கப்படும் எண்ணிக்கையைக் குறைக்கும் வகையில் `react-window` போன்ற “விண்டோவிங்” லைப்ரரியைப் பயன்படுத்தவும். [மேலும் அறிக](https://web.dev/virtualize-long-lists-react-window/). இயங்கும் நேரச் செயல்திறனை மேம்படுத்த `Effect` ஹுக்கைப் பயன்படுத்துகிறீர்கள் எனில் குறிப்பிட்ட சார்புநிலைகள் மாறும் வரை மட்டும் [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) போன்றவற்றைப் பயன்படுத்தித் தேவையற்ற மறு ரெண்டரிங்குகளைக் குறைத்துக்கொள்ளவும் [விளைவுகளைத் தவிர்க்கவும்](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"நீங்கள் ரியாக்ட் ரூட்டரைப் பயன்படுத்தினால் [ரூட் வழிசெலுத்தல்களுக்கு](https://reacttraining.com/react-router/web/api/Redirect) `<Redirect>` உறுப்பைப் பயன்படுத்துவதைக் குறைத்துக்கொள்ளவும்."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"நீங்கள் சேவையகம் தரப்பாக இருந்து ரியாக்ட் கூறுகளை ரெண்டரிங் செய்பவராக இருந்தால் அனைத்தையும் ஒரே நேரத்தில் அல்லாமல் மார்க் அப்பின் வெவ்வேறு பகுதிகளைப் பெறவும் ஹைட்ரேட் செய்யவும் கிளையண்ட்டை அனுமதிப்பதற்கு `renderToNodeStream()` அல்லது `renderToStaticNodeStream()`ஐப் பயன்படுத்துவதைப் பரிசீலிக்கவும். [மேலும் அறிக](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"உங்கள் பதிப்பு சிஸ்டம் உங்கள் CSS ஃபைல்களைத் தானாகவே சிறிதாக்கினால் உங்கள் ஆப்ஸின் தயாரிப்புப் பதிப்பைப் பயன்படுத்துவதை உறுதிசெய்துகொள்ளவும். React Developer Tools நீட்டிப்பில் இதைப் பார்க்கலாம். [மேலும் அறிக](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"உங்கள் பதிப்பு சிஸ்டம் உங்கள் JS ஃபைல்களைத் தானாகவே சிறிதாக்கினால் உங்கள் ஆப்ஸின் தயாரிப்புப் பதிப்பைப் பயன்படுத்துவதை உறுதிசெய்துகொள்ளவும். React Developer Tools நீட்டிப்பில் இதைப் பார்க்கலாம். [மேலும் அறிக](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"நீங்கள் சேவையகத் தரப்பு ரெண்டரிங் செய்யவில்லை என்றால் `React.lazy()` மூலம் [JavaScript தொகுப்புகளை பிரிக்கவும்](https://web.dev/code-splitting-suspense/). இல்லையென்றால் [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/) போன்ற மூன்றாம் தரப்பு லைப்ரரி மூலம் குறியீட்டைப் பிரிக்கவும்."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"உங்கள் கூறுகளின் ரெண்டரிங் செயல்திறனை அளவிட Profiler APIயைப் பயன்படுத்தும் React DevTools Profilerரைப் பயன்படுத்தவும். [மேலும் அறிக.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"GIFஃபை HTML5 வீடியோவாக உட்பொதிக்க உதவும் சேவையில் அதைப் பதிவேற்றவும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"நீங்கள் பதிவேற்றிய படங்களை மேம்படுத்தப்பட்ட வடிவமைப்புகளுக்குத் தானாக மாற்றும் ஒரு [செருகுநிரல்](https://wordpress.org/plugins/search/convert+webp/)/சேவையைப் பயன்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"[lazy-load WordPress செருகுநிரலை](https://wordpress.org/plugins/search/lazy+load/) நிறுவி திரைக்கு வெளியிலுள்ள படங்களைத் தேவையான போது ஏற்றும் திறனைப் பெறலாம் அல்லது அந்தத் திறன் கொண்ட தீமிற்கு மாறலாம். [AMP செருகுநிரலையும்](https://wordpress.org/plugins/amp/) பயன்படுத்திப் பார்க்கவும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"[முக்கியமான உடைமைகளை முன்னிலைப்படுத்தவோ](https://wordpress.org/plugins/search/critical+css/) [முக்கியத்துவம் குறைவான ஆதாரங்களைத் தவிர்க்கவோ](https://wordpress.org/plugins/search/defer+css+javascript/) உங்களுக்கு உதவக்கூடிய பல WordPress செருகுநிரல்கள் உள்ளன. இந்த செருகுநிரல்கள் வழங்கும் மேம்படுத்துதல்கள் உங்கள் தீமிலோ செருகுநிரலிலோ உள்ள அம்சத்தைப் பாதிக்கலாம். அதனால் நீங்கள் குறியீட்டில் சில மாற்றங்களை செய்ய வேண்டியிருக்கும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"தீம்கள், செருகுநிரல்கள், சேவையக விவரக்குறிப்புகள் அனைத்தும் சேவையகத்தின் வேகத்தை நிர்ணயிக்கும். மேலும் மேம்படுத்தப்பட்ட தீமைக் கண்டறிந்து, மேம்படுத்தும் செருகுநிரலைக் கவனமாகத் தேர்ந்தெடுத்து மற்றும்/அல்லது சேவையகத்தை மேம்படுத்தவும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"இடுகைப் பட்டியல்களில் முக்கியமான பகுதியை மட்டும் காட்டலாம் (உதாரணமாக மேலும் என்ற குறிச்சொல்லுடன்), பக்கத்தில் இடுகைகளின் எண்ணிக்கையைக் குறைக்கலாம், ஒரு பெரிய இடுகையைப் பல சின்ன பக்கங்களாகப் பிரிக்கலாம் அல்லது தேவையுள்ள போது மட்டும் கருத்துகளைச் செருகுநிரல்கள் மூலம் ஏற்றலாம்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"பல [WordPress செருகுநிரல்கள்](https://wordpress.org/plugins/search/minify+css/) உங்கள் இணையதளத்தில் உள்ள ஸ்டைல்களை சிறிதாக்கியும், சுருக்கியும், ஒன்றிணைத்தும் அதை வேகப்படுத்த முடியும். முடிந்தால், ஸ்கிரிப்ட்களை முன்னதாகவே சிறிதாக்க பதிப்பு முறைமையைப் பயன்படுத்திப் பார்க்கலாம்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"பல [WordPress செருகுநிரல்கள்](https://wordpress.org/plugins/search/minify+javascript/) உங்கள் இணையதளத்திலுள்ள ஸ்கிரிப்ட்களை சிறிதாக்கியும், சுருக்கியும், ஒன்றிணைத்தும் அதை வேகப்படுத்த முடியும். முடிந்தால், ஸ்கிரிப்ட்களை முன்னதாகவே சிறிதாக்க பதிப்பு முறைமையைப் பயன்படுத்திப் பார்க்கலாம்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"உங்கள் பக்கத்தில் [WordPress செருகுநிரல்கள்](https://wordpress.org/plugins/) ஏற்றும் பயன்படுத்தப்படாத CSSஸின் எண்ணிக்கையைக் குறைக்கவும் அல்லது மாற்றிப் பார்க்கவும். Chrome DevToolsஸில் [குறியீட்டுக் கவரேஜ் ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) என்பதை இயக்கி தேவையற்ற CSSஸை சேர்க்கும் செருகுநிரல்களைக் கண்டறியவும். ஸ்டைல்ஷீட்டின் URLலில் இதற்குக் காரணமான தீம்/செருகுநிரலைக் கண்டறியலாம். அதிகளவு சிவப்பில் உள்ள குறியீட்டுக் கவரேஜைக் கொண்ட பட்டியலில் பல ஸ்டைல்ஷீட்களைக் கொண்ட செருகுநிரல்களைக் கண்டறியவும். இணையப் பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு செருகுநிரல் ஒரு ஸ்டைல்ஷீட்டை மட்டுமே வரிசையில் சேர்க்க வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"உங்கள் பக்கத்தில் [WordPress செருகுநிரல்கள்](https://wordpress.org/plugins/) ஏற்றும் பயன்படுத்தப்படாத JavaScriptகளின் எண்ணிக்கையைக் குறைக்கவும் அல்லது மாற்றிப் பார்க்கவும். Chrome DevToolsஸில் [குறியீட்டுக் கவரேஜ் ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) என்பதை இயக்கி தேவையற்ற JSகளைச் சேர்க்கும் செருகுநிரல்களைக் கண்டறியவும். ஸ்கிரிப்ட்டின் URLலில் இதற்குக் காரணமான தீம்/செருகுநிரலைக் கண்டறியலாம். அதிகளவு சிவப்பில் உள்ள குறியீட்டுக் கவரேஜைக் கொண்ட பட்டியலில் பல ஸ்கிரிப்ட்களைக் கொண்ட செருகுநிரல்களைக் கண்டறியவும். இணையப் பக்கத்தில் பயன்படுத்தும் பட்சத்தில் ஒரு செருகுநிரல் ஒரு ஸ்கிரிப்ட்டை மட்டுமே வரிசையில் சேர்க்க வேண்டும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[WordPressஸில் உலாவியின் தற்காலிக சேமிப்பு](https://wordpress.org/support/article/optimization/#browser-caching) பற்றித் தெரிந்துகொள்ளவும்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"[படங்களை மேம்படுத்தும் WordPress செருகுநிரலைப்](https://wordpress.org/plugins/search/optimize+images/) பயன்படுத்தி உங்கள் படங்களின் தரத்திற்குப் பாதிப்பு ஏற்படாமல் சுருக்கலாம்."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"[மீடியா லைப்ரரி](https://wordpress.org/support/article/media-library-screen/) மூலம் படத்தை நேரடியாகப் பதிவேற்றி சரியான அளவில் கிடைக்கிறதா என்று உறுதிப்படுத்திக் கொள்ளலாம். பிறகு மேம்படுத்தப்பட்ட அளவுகளில் (சிறப்பாகப் பதிலளிக்கும் புள்ளிகளுக்கும் ஏற்ற அளவுகளில்) படங்கள் பயன்படுத்தப்படுவதை உறுதி செய்ய மீடியா லைப்ரரியிலிருந்தோ பட விட்ஜெட்டைப் பயன்படுத்தியோ படங்களைச் செருகலாம். பயன்படுத்த ஏதுவான அளவுகள் உள்ளபோது மட்டுமே `Full Size` படங்களைப் பயன்படுத்தவும். [மேலும் அறிக](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"இணையச் சேவையக உள்ளமைவில் உரை சுருக்குதலை இயக்கலாம்."},
"report/renderer/util.js | calculatorLink":{message:"கால்குலேட்டரைக் காட்டு."},"report/renderer/util.js | crcInitialNavigation":{message:"துவக்க நெட்வொர்க் கோரிக்கை"},"report/renderer/util.js | crcLongestDurationLabel":{message:"முக்கியக் கோரிக்கைத் தடத்தின் அதிகபட்சத் தாமதம்:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSONனை நகலெடு"},"report/renderer/util.js | dropdownDarkTheme":{message:"டார்க் தீம் நிலைமாற்று"},"report/renderer/util.js | dropdownPrintExpanded":{message:"விரிக்கப்பட்ட பிரிண்ட்"},"report/renderer/util.js | dropdownPrintSummary":{message:"பிரிண்ட் சுருக்கம்"},"report/renderer/util.js | dropdownSaveGist":{message:"Gistடாக சேமி"},"report/renderer/util.js | dropdownSaveHTML":{message:"HTMLலாக சேமி"},"report/renderer/util.js | dropdownSaveJSON":{message:"JSONனாக சேமி"},"report/renderer/util.js | dropdownViewer":{message:"வியூவரில் திற"},"report/renderer/util.js | errorLabel":{message:"பிழை!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"அறிக்கைப் பிழை: தணிக்கைத் தகவல் இல்லை"},"report/renderer/util.js | footerIssue":{message:"சிக்கலைப் புகார் செய்க"},"report/renderer/util.js | labDataTitle":{message:"ஆய்வகத் தரவு"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"மாதிரியாக உருவாக்கப்பட்ட மொபைல் நெட்வொர்க்கில் தற்போதைய பக்கத்திற்கான [Lighthouse](https://developers.google.com/web/tools/lighthouse/) பகுப்பாய்வு. மதிப்புகள் தோராயமானவை, மாறுபடக்கூடியவை."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"கைமுறையாகச் சரிபார்க்க வேண்டிய கூடுதல் விஷயங்கள்"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"பொருந்தாதது"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"பரிந்துரை"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"தோராயமான சேமிப்பு"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"தேர்ச்சி பெற்ற தணிக்கைகள்"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"மாதிரி இயக்கப்பட்ட டெஸ்க்டாப்"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"மாதிரி இயக்கப்பட்ட Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"மாதிரி இயக்கப்படவில்லை"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe பதிப்பு"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/நினைவகத் திறன்"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU த்ராட்லிங்"},"report/renderer/util.js | runtimeSettingsChannel":{message:"இயங்கும் கருவி"},"report/renderer/util.js | runtimeSettingsDevice":{message:"சாதனம்"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"எடுக்கப்பட்ட நேரம்"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"நெட்வொர்க் த்ராட்லிங்"},"report/renderer/util.js | runtimeSettingsTitle":{message:"இயக்க நேர அமைப்புகள்"},"report/renderer/util.js | runtimeSettingsUA":{message:"பயனர் ஏஜெண்ட் (ஹோஸ்ட்)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"பயனர் ஏஜெண்ட் (நெட்வொர்க்)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"தெரியவில்லை"},"report/renderer/util.js | showRelevantAudits":{message:"இதற்குத் தொடர்புடைய தணிக்கைகளைக் காட்டு:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"துணுக்கைச் சுருக்கு"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"துணுக்கை விரி"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"மூன்றாம் தரப்பு ஆதாரங்களைக் காட்டு"},"report/renderer/util.js | throttlingProvided":{message:"இயக்கச் சூழல் வழங்கியது"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Lighthouseஸின் இந்த இயக்கத்தைச் சில சிக்கல்கள் பாதிக்கின்றன:"},"report/renderer/util.js | varianceDisclaimer":{message:"மதிப்புகள் தோராயமானவை, மாறுபடக்கூடியவை. இந்த அளவீடுகளிலிருந்து நேரடியாக [செயல்திறன் ஸ்கோர் கணக்கிடப்படும்](https://web.dev/performance-scoring/)."},"report/renderer/util.js | viewTreemapLabel":{message:"ட்ரீமேப்பைக் காட்டு"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"தணிக்கைகளில் தேர்ச்சிபெற்றவை, ஆனால் எச்சரிக்கைகள் உள்ளவை"},"report/renderer/util.js | warningHeader":{message:"எச்சரிக்கைகள்: "}}},{}],139:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"యాక్సెస్ కీలతో వినియోగదారులు పేజీలోని నిర్దిష్ట భాగంపై వేగంగా దృష్టి సారించగలరు. సక్రమమైన నావిగేషన్ కోసం, ప్రతి యాక్సెస్ కీ తప్పనిసరిగా విభిన్నంగా ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"'`[accesskey]`' విలువలు విశిష్ఠమైనవి కావు"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` విలువలు ప్రత్యేకమైనవి"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"ప్రతి ARIA `role`, `aria-*` లక్షణాల నిర్ధిష్ట సబ్‌సెట్‌కు మద్దతు ఇస్తుంది. వీటికి సరిపోలకపోతే `aria-*` లక్షణాలను చెల్లనివిగా చేస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"``[aria-*]`` లక్షణాలు వాటి పాత్రలతో సరిపోలలేదు"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"'`[aria-*]`' లక్షణాలు వాటి పాత్రలతో సరిపోలాలి"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"ఒక ఎలిమెంట్‌కు యాక్సెస్ చేయగల పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, తద్వారా వాటిని స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link`, `menuitem` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి లేవు."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link`, `menuitem` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:"'`<body>`' డాక్యుమెంట్‌లో '`aria-hidden=\"true\"`'ను సెట్ చేసినప్పుడు స్క్రీన్ రీడర్‌లు లాంటి సహాయకర సాంకేతిక పరిజ్ఞానాలు క్రమరహితంగా పని చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-hidden-body/)."},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`<body>` డాక్యుమెంట్‌లో `[aria-hidden="true"]` ఉంది'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:"`[aria-hidden=\"true\"]` అనేది '`<body>`' డాక్యుమెంట్‌లో లేదు"},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'`[aria-hidden="true"]` మూలకం లోపల దృష్టి కేంద్రీకరించగల సంక్రమిత అంశాలు అనేవి స్క్రీన్ రీడర్‌లు లాంటి సహాయకర సాంకేతిక పరిజ్ఞానాలను ఉపయోగించే యూజర్‌లకు ఆ సహకార మూలకాలు అందుబాటులో ఉండకుండా నిరోధిస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` మూలకాలలో దృష్టి కేంద్రీకరించదగిన సంక్రమిత అంశాలు ఉన్నాయి'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` మూలకాలలో దృష్టి కేంద్రీకరించదగిన సంక్రమిత అంశాలు లేవు'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"ఒక ఇన్‌పుట్ ఫీల్డ్‌కు యాక్సెస్ చేయదగిన పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, తద్వారా వాటిని స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{
message:"ARIA ఇన్‌పుట్ ఫీల్డ్‌లకు యాక్సెస్ చేయదగిన పేర్లు లేవు"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA ఇన్‌పుట్ లేబుల్‌లు యాక్సెస్ చేయదగిన పేర్లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"ఒక ఎలిమెంట్‌కు యాక్సెస్ చేయగల పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, తద్వారా వాటిని స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి లేవు."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"ఒక `progressbar` ఎలిమెంట్‌కు యాక్సెస్ చేయదగిన పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, తద్వారా స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు దాన్ని నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి లేవు."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"కొన్ని ARIA పాత్రలు మూలకం స్థితిని స్క్రీన్ రీడర్‌లకు వివరించే ఆవశ్యక లక్షణాలను కలిగి ఉన్నాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"'`[role]`'లలో అవసరమైన అన్ని '`[aria-*]`' లక్షణాలు లేవు"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"'`[role]`'లకు అన్ని అవసరమైన అన్ని '`[aria-*]`' లక్షణాలు ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"కొన్ని ARIA మూలాధార పాత్రలు తప్పనిసరిగా నిర్దిష్ట ఉపాంశ పాత్రల కలయికతో వాటి ఉద్దేశిత యాక్సెసిబిలిటీ ఫంక్షన్‌లు సరిగ్గా అమలయ్యే విధంగా ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"నిర్దిష్టమైన '`[role]`'ను కలిగి ఉండాల్సిన, ఉప మూలకాలు అవసరమైన ARIA '`[role]`' మూలకాలలో అటువంటి ఉప మూలకాలన్నీ లేదా వాటిలో కొన్ని లేకపోవడంతో ఈ సమస్య ఏర్పడింది."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"నిర్దిష్టమైన '`[role]`'ను కలిగి ఉండాల్సిన, ఉప మూలకాలు అవసరమైన ARIA `[role]` గల మూలకాలు అవసరమైన అన్ని ఉప మూలకాలను కలిగి ఉన్నాయి."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"కొన్ని ARIA ఉపాంశ పాత్రలు తప్పనిసరిగా నిర్దిష్ట మూలధార పాత్రల కలయికతో వాటి ఉద్దేశిత యాక్సెసిబిలిటీ ఫంక్షన్‌లు సరిగ్గా అమలయ్యే విధంగా ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"``[role]``లు వాటి అవసరమైన మూలాధార మూలకంతో లేవు"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"``[role]``లు వాటికి అవసరమైన మూలాధార మూలకాలలో ఉన్నాయి."},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA పాత్రలు వాటి ఉద్దేశిత యాక్సెసిబిలిటీ ఫంక్షన్‌లను అమలు చేయడానికి తప్పనిసరిగా వాటిలో చెల్లుబాటయ్యే విలువలు ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` విలువలు చెల్లుబాటు అయ్యేవి కావు"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` విలువలు చెల్లుబాటు అయ్యేవి"},
"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"ఒక టోగుల్ ఫీల్డ్‌కు యాక్సెస్ చేయదగిన పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, దీని వలన స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు నిరుపయోగమైనవిగా అవుతాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA టోగుల్ ఫీల్డ్‌లకు యాక్సెస్ చేయదగిన పేర్లు లేవు"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA టోగుల్ ఫీల్డ్‌లకు యాక్సెస్ చేయదగిన పేర్లు ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"ఒక ఎలిమెంట్‌కు యాక్సెస్ చేయగల పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, తద్వారా వాటిని స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{
message:"ARIA `tooltip` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి లేవు."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"ఒక ఎలిమెంట్‌కు యాక్సెస్ చేయగల పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని సాధారణ పేరుతో ప్రకటిస్తాయి, తద్వారా వాటిని స్క్రీన్ రీడర్‌లపై ఆధారపడే యూజర్‌లకు నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి లేవు."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` ఎలిమెంట్‌లు యాక్సెస్ చేయగల పేర్లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"స్క్రీన్ రీడర్‌ల లాంటి సహాయక సాంకేతిక పరిజ్ఞానాలు చెల్లుబాటు కాని విలువలు గల ARIA లక్షణాలను అర్థం చేసుకోలేవు. [మరింత తెలుసుకోండి](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"'`[aria-*]`' లక్షణాలలో చెల్లుబాటయ్యే విలువలు లేవు"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"'`[aria-*]`' లక్షణాలు చెల్లుబాటయ్యే విలువలను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"స్క్రీన్ రీడర్‌ల లాంటి సహాయక సాంకేతిక పరిజ్ఞానాలు చెల్లుబాటు కాని పేర్లు గల ARIA లక్షణాలను అర్థం చేసుకోలేవు. [మరింత తెలుసుకోండి](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"``[aria-*]`` లక్షణాలు చెల్లుబాటు అయ్యేవి కావు లేదా అక్షరదోషాలు ఉన్నాయి"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{
message:"``[aria-*]`` లక్షణాలు చెల్లుబాటు అయ్యేవి, అక్షరదోషాలేవీ లేవు"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"విఫలం అవుతున్న మూలకాలు"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'ఒక బటన్‌కు యాక్సెస్ చేయదగిన పేరు లేనప్పుడు, స్క్రీన్ రీడర్‌లు దానిని "బటన్"గా ప్రకటిస్తాయి, తద్వారా స్క్రీన్ రీడర్‌లపై ఆధారపడే వినియోగదారులకు నిరుపయోగమైనవిగా చేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"బటన్‌లకు యాక్సెస్‌కి తగిన పేరు లేదు"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"బటన్‌లు యాక్సెస్ చేయదగిన పేరును కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"పునరావృత కంటెంట్‌ను దాటవేయడానికి మార్గాలను జోడించడం వలన కీబోర్డ్ వినియోగదారులు పేజీలో మరింత సమర్థవంతంగా నావిగేట్ చేయగలరు. [మరింత తెలుసుకోండి](https://web.dev/bypass/)."},
"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"పేజీలో ముఖ్యశీర్షిక, దాటివేత లింక్ లేదా ల్యాండ్‌మార్క్ ప్రాంతం లేవు"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"పేజీలో ముఖ్య శీర్షిక, దాటివేత లింక్ లేదా ల్యాండ్‌మార్క్ ప్రాంతం ఉన్నాయి"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"తక్కువ వర్ణభేద వచనం- చాలా మంది వినియోగదారులు చదవడానికి కష్టసాధ్యమైనది లేదా అసలు సాధ్యం కానిది. [మరింత తెలుసుకోండి](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"నేపథ్యం, ముందువైపు రంగులు తగినంత వర్ణభేద నిష్పత్తితో లేవు"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"నేపథ్యం మరియు ముందువైపు రంగులు తగినంత వర్ణభేద నిష్పత్తితో ఉంటున్నాయి"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"నిర్వచన జాబితాలను సరిగ్గా గుర్తు పట్టే విధంగా సెట్ చేయనప్పుడు, స్క్రీన్ రీడర్‌లు అయోమయానికి గురి చేసే లేదా అనిర్దిష్టమైన అవుట్‌పుట్‌ను అందించవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>`'లలో కేవలం సక్రమంగా ఆర్డర్ చేసిన `<dt>`, `<dd>` గ్రూప్‌లు, `<script>`, `<template>` లేదా `<div>` మూలకాలు మాత్రమే ఉండకూడదు."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>`'లలో కేవలం సక్రమంగా ఆర్డర్ చేసిన `<dt>`, `<dd>` గ్రూప్‌లు, `<script>`, `<template>` లేదా `<div>` మూలకాలు ఉన్నాయి."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"స్క్రీన్ రీడర్‌లు నిర్వచన జాబితా అంశాలను ('`<dt>`', '`<dd>`') సక్రమంగా ప్రకటించడం కోసం వాటిని తప్పనిసరిగా మూలాధార '`<dl>`' మూలకంలో సర్దుబాటు చేయాలి. [మరింత తెలుసుకోండి](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"నిర్వచన జాబితా అంశాలు '`<dl>`' మూలకాలలో సర్దుబాటు చేయబడలేదు"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"నిర్వచన జాబితా అంశాలు '`<dl>`' మూలకాలలో సర్దుబాటు చేయబడ్డాయి"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"శీర్షిక అన్నది స్క్రీన్ రీడర్ వినియోగదారులకు పేజీ గురించి అవగాహన కలుగజేస్తుంది, అలాగే శోధన ఇంజిన్ వినియోగదారులు ఒక పేజీ వారి శోధనకు సంబంధితమైనదో కాదో గుర్తించడానికి చాలా ఎక్కువగా దీనిపై ఆధారపడుతుంటారు. [మరింత తెలుసుకోండి](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"పత్రంలో '`<title>`' మూలకం లేదు"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"పత్రంలో '`<title>`' మూలకం ఉంది"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"దృష్టి కేంద్రీకరించదగిన అన్ని మూలకాలు సహాయక సాంకేతిక పరిజ్ఞానాలకు కనిపించేలా ఉండటానికి వాటికి తప్పనిసరిగా విభిన్నమైన `id` ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"యాక్టివ్‌గా ఉన్న, దృష్టి కేంద్రీకరించదగిన మూలకాలలో `[id]` లక్షణాలు విభిన్న రీతిలో లేవు"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"యాక్టివ్‌గా ఉన్న, దృష్టి కేంద్రీకరించదగిన మూలకాలలో `[id]` లక్షణాలు విభిన్న రీతిలో ఉన్నాయి"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"సహాయకర సాంకేతిక పరిజ్ఞానాల ద్వారా ఇతర సందర్భాలు విస్మరించబడకుండా నిరోధించడానికి ARIA ID విలువ విభిన్న రీతిలో ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA IDలు విభిన్నమైనవి కావు"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{
message:"ARIA IDలు విభిన్నంగా ఉన్నాయి"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"మొదటి, చివరి లేదా అన్ని లేబుల్‌లను ఉపయోగించే స్క్రీన్ రీడర్‌ల వంటి సహాయక సాంకేతిక పరిజ్ఞానాలు, పలు లేబుల్‌లను కలిగి ఉండే ఫారమ్ ఫీల్డ్‌లను ప్రకటించేటప్పుడు గందరగోళానికి దారితీయవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"ఫారమ్ ఫీల్డ్‌లు బహుళ లేబుల్‌లను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"ఫారమ్ ఫీల్డ్‌లు వేటికీ బహుళ లేబుల్‌లు లేవు"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"స్క్రీన్ రీడర్ వినియోగదారులు ఫ్రేమ్‌ల కంటెంట్‌లను వివరించడానికి ఫ్రేమ్ శీర్షికలపై ఆధారపడతారు. [మరింత తెలుసుకోండి](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{
message:"'`<frame>`' లేదా '`<iframe>`' మూలకాలకు పేరు అందించలేదు"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"'`<frame>`' లేదా '`<iframe>`' మూలకాలలో శీర్షికలు ఉన్నాయి"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"స్థాయిలను దాటవేయని, సక్రమంగా ఆర్డర్ చేసిన ముఖ్య శీర్షికలు అనేవి పేజీకి సంబంధించిన శబ్దార్థ అన్వయ విధానాన్ని సూచిస్తాయి, కనుక సహాయకరమైన సాంకేతిక పరిజ్ఞానాలను ఉపయోగిస్తున్నప్పుడు వీటికి సులభంగా నావిగేట్ చేయగలరు. [మరింత తెలుసుకోండి](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"హెడింగ్ మూలకాలు శ్రేణీకృతంగా అవరోహణ క్రమంలో లేవు"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"హెడింగ్ మూలకాలు శ్రేణీకృతంగా అవరోహణ క్రమంలో కనిపిస్తాయి"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"ఒక పేజీలో భాషా లక్షణాన్ని పేర్కొనకుంటే, స్క్రీన్ రీడర్‌ను సెట్ చేస్తున్నప్పుడు వినియోగదారు ఎంచుకున్న డిఫాల్ట్ భాషలో పేజీ ఉందని స్క్రీన్ రీడర్ భావిస్తుంది. ఒకవేళ ఆ పేజీ డిఫాల్ట్ భాషలో లేకపోతే, ఆ పేజీలోని వచనాన్ని స్క్రీన్ రీడర్ సరిగ్గా చదివి వినిపించలేకపోవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"'`<html>`' మూలకంలో '`[lang]`' మూలకం లేదు"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"'`<html>`' మూలకంలో `[lang]` లక్షణం ఉంది"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"చెల్లుబాటయ్యే [BCP 47 భాష](https://www.w3.org/International/questions/qa-choosing-language-tags#question)ను పేర్కొనడం అనేది, వచనాన్ని సక్రమంగా ప్రకటించడంలో స్క్రీన్ రీడర్‌లకు సహాయపడుతుంది. [మరింత తెలుసుకోండి](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"'`<html>`' మూలకంలో దాని '`[lang]`' లక్షణం కోసం చెల్లుబాటయ్యే విలువ లేదు."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"'`<html>`' మూలకంలో దాని '`[lang]`' లక్షణానికి చెల్లుబాటయ్యే విలువ ఉంది"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"సమాచార మూలకాలు సంక్షిప్తమైన, వివరణాత్మక ప్రత్యామ్నాయ వచనాన్ని లక్ష్యంగా చేసుకోవాలి. అలంకార మూలకాలను ఖాళీ alt లక్షణంతో విస్మరించవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"చిత్రం మూలకాలలో '`[alt]`' లక్షణాలు ఏవీ లేవు"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"చిత్ర మూలకాలు '`[alt]`' లక్షణాలను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"ఒక చిత్రం '`<input>`' బటన్‌గా ఉపయోగిస్తున్నప్పుడు, ప్రత్యామ్నాయ వచనం అందించడమనేది బటన్ ప్రయోజనాన్ని అర్థం చేసుకోవడంలో స్క్రీన్ రీడర్ వినియోగదారులకు సహాయం చేస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:"'`<input type=\"image\">`' మూలకాలలో '`[alt]`' వచనం లేదు"},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:"'`<input type=\"image\">`' మూలకాలు '`[alt]`' వచనాన్ని కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/label.js | description":{message:"స్క్రీన్ రీడర్‌ల లాంటి సహాయక సాంకేతిక పరిజ్ఞానాల ద్వారా ఫారమ్ నియంత్రణలు సక్రమంగా ప్రకటించబడుతున్నాయని లేబుల్‌లు నిర్ధారిస్తున్నాయి. [మరింత తెలుసుకోండి](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"ఫారమ్ మూలకాలలో అనుబంధిత లేబుల్‌లు లేవు"},"lighthouse-core/audits/accessibility/label.js | title":{message:"ఫారమ్ మూలకాలు అనుబంధిత లేబుల్‌లను కలిగి ఉన్నాయి"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"కనుగొనదగిన, విశిష్ఠమైన, దృష్టి కేంద్రీకరించగలిగిన లింక్ వచనం (అలాగే చిత్రాలను లింక్‌లుగా ఉపయోగించినప్పుడు వాటి ప్రత్యామ్నాయ వచనం) సహాయంతో స్క్రీన్ రీడర్ వినియోగదారులకు నావిగేషన్ అనుభవం మరింత మెరుగవుతుంది. [మరింత తెలుసుకోండి](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"లింక్‌లలో కనుగొనదగిన పేరు లేదు"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"లింక్‌లలో కనుగొనదగిన పేరు ఉంది"},"lighthouse-core/audits/accessibility/list.js | description":{message:"స్క్రీన్ రీడర్‌లు, జాబితాలను ఒక నిర్దిష్ట రకమైన రీతిలో ప్రకటిస్తాయి. జాబితా నిర్మాణక్రమం సక్రమ రీతిలో ఉందని నిర్ధారించుకుంటే, అది స్క్రీన్ రీడర్ అవుట్‌పుట్‌కు ఉపకరిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"జాబితాలు కేవలం '`<li>`' మూలకాలు, స్క్రిప్ట్ మద్దతు మూలకాలు ('`<script>`', '`<template>`')తో ఉండకూడదు."},"lighthouse-core/audits/accessibility/list.js | title":{message:"జాబితాలలో కేవలం '`<li>`' మూలకాలు, స్క్రిప్ట్ మద్దతు మూలకాలు (`<script>`, `<template>`) మాత్రమే ఉన్నాయి."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"జాబితా అంశాలను ('`<li>`') స్క్రీన్ రీడర్‌లు సక్రమంగా ప్రకటించాలంటే, వాటిని మూలాధార అంశం '`<ul>`' లేదా '`<ol>`'లో ఉంచాలి. [మరింత తెలుసుకోండి](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"జాబితా అంశాలు ('`<li>`') అన్నవి '`<ul>`' లేదా '`<ol>`' మూలాధార మూలకాలలో లేవు."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"జాబితా అంశాలు ('`<li>`') అనేవి '`<ul>`' లేదా '`<ol>`' అనే మూలాధార మూలకాలలో భాగంగా ఉంటాయి"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"వినియోగదారులు పేజీ ఆటోమేటిక్‌గా రిఫ్రెష్ కావాలని కోరుకోరు, అలా చేయడం వలన దృష్టి కేంద్రీకరణ తిరిగి పేజీ పైభాగంలోకి వెళ్తుంది. ఇది విసుగు తెప్పించే లేదా అయోమయానికి గురి చేసే అనుభవం అందించవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:"పత్రం '`<meta http-equiv=\"refresh\">`'ను వినియోగిస్తోంది"},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:"పత్రంలో '`<meta http-equiv=\"refresh\">`'ను వినియోగించలేదు"},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"జూమ్ చేయగల సామర్థ్యం నిలిపివేస్తే, స్క్రీన్ మ్యాగ్నిఫికేషన్‌పై ఆధారపడే తక్కువ కంటిచూపు ఉన్న వినియోగదారులు వెబ్ పేజీ కంటెంట్‌లను సరిగ్గా చూడలేరు. [మరింత తెలుసుకోండి](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:"'`[user-scalable=\"no\"]`' అన్నది '`<meta name=\"viewport\">`' మూలకంలో ఉపయోగించబడింది, అలాగే '`[maximum-scale]`' లక్షణం 5 కంటే తక్కువ ఉంది."},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:"'`[user-scalable=\"no\"]`' అన్నది '`<meta name=\"viewport\">`' మూలకంలో ఉపయోగించలేదు, అలాగే '`[maximum-scale]`' లక్షణం 5 కంటే తక్కువగా లేదు."},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"స్క్రీన్ రీడర్‌లు వచనేతర కంటెంట్‌ను అనువదించలేవు. '`<object>`' మూలకాలకు ప్రత్యామ్నాయ వచనాన్ని జోడించడం వలన స్క్రీన్ రీడర్‌లు వాటి అర్థాన్ని వినియోగదారులకు సరిగ్గా అందించగలుగుతాయి. [మరింత తెలుసుకోండి](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"'`<object>`' మూలకాలలో '`[alt]`' వచనం లేదు"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"'`<object>`' మూలకాలు '`[alt]`' వచనాన్ని కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"0 కంటే పెద్ద విలువ విశిష్ఠమైన నావిగేషన్ క్రమాన్ని సూచిస్తుంది. సాంకేతికంగా చెల్లుబాటు అయినప్పటికీ, సహాయక సాంకేతిక పరిజ్ఞానంపై ఆధారపడిన వినియోగదారులకు ఇది తరచూ విసుగు తెప్పించే అనుభవాలను సృష్టిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"కొన్ని మూలకాలు 0 కంటే పెద్దవైన ``[tabindex]`` విలువను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"ఏ మూలకానికీ సున్నా కంటే పెద్ద ``[tabindex]`` విలువ లేదు"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"పట్టికలను నావిగేట్ చేయడం సులభతరం చేసే ఫీచర్‌లు స్క్రీన్ రీడర్‌లలో ఉంటాయి. '`[headers]`' లక్షణాన్ని ఉపయోగిస్తున్న '`<td>`' సెల్‌లు కేవలం అదే పట్టికలోని ఇతర సెల్‌లను సూచించడం స్క్రీన్ రీడర్ వినియోగదారుల అనుభవాన్ని మెరుగుపరచవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"'`<table>`' మూలకంలో '`[headers]`' లక్షణాన్ని ఉపయోగించే సెల్‌లు అదే పట్టికలో కనుగొనబడని '`id`' మూలకాన్ని సూచిస్తున్నాయి."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"'`<table>`' మూలకంలో '`[headers]`' లక్షణాన్ని ఉపయోగించే సెల్‌లు అదే పట్టికలోని పట్టిక సెల్‌లను సూచిస్తున్నాయి."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"పట్టికలను నావిగేట్ చేయడం సులభతరం చేసే ఫీచర్‌లు స్క్రీన్ రీడర్‌లలో ఉంటాయి. పట్టిక ముఖ్య శీర్షికలు ఎల్లప్పుడూ కొన్ని సెల్‌ల సెట్‌ను సూచించేలా నిర్ధారించుకోవడం ద్వారా స్క్రీన్ రీడర్ వినియోగదారుల అనుభవాన్ని మెరుగుపరచవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:"'`<th>`' మూలకాలలో, అలాగే '`[role=\"columnheader\"/\"rowheader\"]`' కలిగి ఉండే మూలకాలలో అవి వివరిస్తున్న డేటా సెల్‌లు లేవు."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:"'`<th>`' మూలకాలు, '`[role=\"columnheader\"/\"rowheader\"]`' కలిగి ఉన్న మూలకాలలో అవి వివరిస్తున్న డేటా సెల్‌లు ఉన్నాయి."},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"మూలకాలలో చెల్లుబాటయ్యే [BCP 47 భాష](https://www.w3.org/International/questions/qa-choosing-language-tags#question) పేర్కొనడం అన్నది, వచనాన్ని స్క్రీన్ రీడర్ సరిగ్గా ఉచ్చరించేలా నిర్ధారిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"``[lang]`` లక్షణాలలో చెల్లుబాటు అయ్యే విలువ లేదు"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"'`[lang]`' లక్షణాలు చెల్లుబాటయ్యే విలువను కలిగి ఉన్నాయి"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"వీడియోకు శీర్షికను అందిస్తే, చెవిటి వారు లేదా వినికిడి సమస్య ఉన్న వినియోగదారులు వీడియోలోని సమాచారాన్ని సులభంగా యాక్సెస్ చేయగలుగుతారు. [మరింత తెలుసుకోండి](https://web.dev/video-caption/)."},
"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` ఎలిమెంట్‌లు `[kind="captions"]`తో ఉన్న `<track>` ఎలిమెంట్‌ను కలిగి లేవు.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` ఎలిమెంట్‌లు `[kind="captions"]`తో ఉన్న `<track>` ఎలిమెంట్‌ను కలిగి ఉన్నాయి'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"వినియోగదారులు హోమ్ స్క్రీన్‌కు ప్రోగ్రెసివ్ వెబ్ యాప్‌ను జోడించినప్పుడు, iOSలో ఉత్తమ ప్రదర్శన కోసం, '`apple-touch-icon`'ను నిర్వచించండి. అది తప్పనిసరిగా పారదర్శకం కాని 192px (లేదా 180px) చతురస్రాకార PNGని సూచించాలి. [మరింత తెలుసుకోండి](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"చెల్లుబాటయ్యే '`apple-touch-icon`' లేదు"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"'`apple-touch-icon-precomposed`' గడువు ముగిసింది, `apple-touch-icon`ను ప్రాధాన్యంగా తీసుకోవాలి."},
"lighthouse-core/audits/apple-touch-icon.js | title":{message:"చెల్లుబాటు అయ్యే '`apple-touch-icon`'ను అందిస్తుంది"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"ప్రస్తుత విలువ"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"సూచించబడిన టోకెన్"},"lighthouse-core/audits/autocomplete.js | description":{message:"ఫారమ్‌లను త్వరగా సమర్పించడానికి `autocomplete`, యూజర్‌లకు సహాయపడుతుంది. యూజర్ శ్రమను తగ్గించడానికి, `autocomplete` లక్షణాన్ని చెల్లుబాటు అయ్యే విలువకు సెట్ చేయడం ద్వారా ఎనేబుల్ చేయడాన్ని పరిగణించండి. [మరింత తెలుసుకోండి](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` ఎలిమెంట్‌లకు సరైన `autocomplete` లక్షణాలు లేవు"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"దీనికి మాన్యువల్ రివ్యూ అవసరం"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{
message:"టోకెన్‌ల ఆర్డర్‌ను రివ్యూ చేయండి"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` ఎలిమెంట్‌లు `autocomplete`ను సరిగ్గా ఉపయోగిస్తాయి"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'`autocomplete` టోకెన్(లు): {snippet}లో "{token}" చెల్లదు'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'టోకెన్‌ల ఆర్డర్‌ను రివ్యూ చేయండి: "{tokens}"ను {snippet}లో'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome ఎక్స్‌టెన్షన్‌లు ఈ పేజీ లోడ్ పనితీరును ప్రతికూలంగా ప్రభావితం చేసాయి. ఎక్స్టెన్షన్‌లు లేకుండా పేజీని అజ్ఞాత మోడ్‌లో లేదా ఎక్స్‌టెన్షన్‌లు లేని Chrome ప్రొఫైల్‌లో ఆడిట్ చేయడాన్ని ప్రయత్నించండి."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"స్క్రిప్ట్ మూల్యనిర్ధారణ"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"స్క్రిప్ట్ అన్వయింపు"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"మొత్తం CPU సమయం"},
"lighthouse-core/audits/bootup-time.js | description":{message:"JSను అన్వయించడం, సంకలనం చేయడం, అమలు చేయడం కోసం వెచ్చించే సమయాన్ని తగ్గించడాన్ని పరిశీలించండి. చిన్న JS పేలోడ్‌లను అందించడం ఈ విషయంలో మీకు సహాయపడవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"JavaScript అమలు సమయాన్ని తగ్గించండి"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript అమలు సమయం"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"నెట్‌వర్క్ కార్యకలాపంలో అనవసరమైన బైట్‌ల వినియోగం తగ్గించడానికి బండిల్స్ నుండి పెద్దగా ఉండే, డూప్లికేట్ JavaScript మాడ్యూల్స్‌ను తీసివేయండి. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"JavaScript బండిల్స్‌లోని డూప్లికేట్‌ మాడ్యూల్‌లను తీసివేయండి"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"యానిమేట్ చేయబడిన కంటెంట్‌ను అందించడంలో పెద్ద GIFలు సమర్థవంతంగా పని చేయవు. నెట్‌వర్క్ బైట్‌లను పొదుపు చేయడానికి, యానిమేషన్‌ల కోసం MPEG4/WebM వీడియోలను, GIFకి బదులుగా నిశ్చల చిత్రాల కోసం PNG/WebPను ఉపయోగించడం పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"యానిమేటెడ్ కంటెంట్ కోసం వీడియో ఫార్మాట్‌లను ఉపయోగించండి"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"బహుళ పూరణలు, రూపం మార్పులు అనేవి కొత్త JavaScript ఫీచర్‌లు ఉపయోగించగలిగేలా లెగసీ బ్రౌజర్‌లను ఎనేబుల్ చేస్తాయి. అయితే, ఆధునిక బ్రౌజర్‌లకు అనేకం అవసరం లేదు. మీ బండిల్ JavaScript కోసం, లెగసీ బ్రౌజర్‌లకు సపోర్ట్ అలాగే ఉంచుతూ, ఆధునిక బ్రౌజర్‌లకు షిప్పింగ్ అయ్యే కోడ్ పరిమాణం తగ్గించడానికి 'module/nomodule' ఫీచర్ గుర్తింపును ఉపయోగించి ఆధునిక స్క్రిప్ట్ అమలు వ్యూహం అనుసరించండి. [మరింత తెలుసుకోండి](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"లెగసీ JavaScriptను మోడ్రన్ బ్రౌజర్‌లకు అందించడం మానివేయండి"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000, JPEG XR, WebP లాంటి చిత్రం ఫార్మాట్‌లు తరచుగా PNG లేదా JPEG కంటే మెరుగైన కుదింపును అందిస్తాయి. దీని వలన, డౌన్‌లోడ్‌లు మరింత వేగంగా ఉంటాయి, తక్కువ డేటా వినియోగం అవుతుంది. [మరింత తెలుసుకోండి](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"చిత్రాలను తర్వాతి-తరం ఫార్మాట్‌లలో అందించండి"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"పేజీలో పూర్తి పరస్పర చర్యకు పట్టే సమయం తగ్గించడానికి అన్ని క్లిష్టమైన వనరులు లోడ్ అవ్వడం పూర్తయిన తర్వాతే ఆఫ్‌స్క్రీన్, దాగి ఉన్న చిత్రాలను నెమ్మదిగా లోడ్ చేయడాన్ని పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"ఆఫ్‌స్క్రీన్ చిత్రాలను వాయిదా వేయండి"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"వనరులు మీ పేజీలోని మొదటి పెయింట్‌ను బ్లాక్ చేస్తున్నాయి. ముఖ్యమైన JS/CSSలను ఇన్‌లైన్‌లో అందించడం, ముఖ్యం-కానటువంటి అన్ని JS/శైలులను తీసివేయడాన్ని పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{
message:"రెండర్-బ్లాకింగ్ వనరులను నివారించండి"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"పెద్ద నెట్‌వర్క్ పేలోడ్‌లకు వినియోగదారులు నిజమైన డబ్బును చెల్లించాలి. అవి అధికంగా సుదీర్ఘ లోడ్ సమయాలతో ముడిపడి ఉంటాయి. [మరింత తెలుసుకోండి](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"మొత్తం పరిమాణం {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"అతి పెద్ద నెట్‌వర్క్ పేలోడ్‌లను నివారించండి"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"అతి పెద్ద నెట్‌వర్క్ పేలోడ్‌లను నివారిస్తుంది"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS ఫైల్‌లను చిన్నవిగా చేయడం వలన నెట్‌వర్క్ పేలోడ్ పరిమాణాలు తగ్గిపోగలవు. [మరింత తెలుసుకోండి](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{
message:"CSSని చిన్నదిగా చేయండి"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"JavaScript ఫైల్‌లను చిన్నవిగా చేయడం పేలోడ్ పరిమాణాలను, స్క్రిప్ట్‌ను అన్వయించడానికి పట్టే సమయాన్ని తగ్గించగలదు. [మరింత తెలుసుకోండి](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScriptను చిన్నదిగా చేయండి"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"నెట్‌వర్క్ యాక్టివిటీలో ఉపయోగించబడే బైట్‌లను తగ్గించడం కోసం, స్టైల్‌షీట్‌ల నుండి ఉపయోగించని నియమాలను తగ్గించండి. అలాగే, మడత పైన ఉన్న కంటెంట్ కోసం ఉపయోగించని CSSను మినహాయించండి. [మరింత తెలుసుకోండి](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"ఉపయోగించని CSS తగ్గించండి"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"ఉపయోగించని JavaScriptను తగ్గించండి, నెట్‌వర్క్ యాక్టివిటీ వినియోగించే బైట్‌లను అవసరం ఉన్నంత వరకు తగ్గించడానికి లోడింగ్ స్క్రిప్ట్‌లను మినహాయించండి. [మరింత తెలుసుకోండి](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"ఉపయోగించని JavaScriptను తగ్గించండి"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"దీర్ఘమైన కాష్ జీవితకాలం మీ పేజీకి పునరావృత సందర్శనలను వేగవంతం చేయవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 వనరు కనుగొనబడింది}other{ # వనరులు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"నిశ్చల ఆస్తులను సమర్ధవంతమైన కాష్ విధానంతో అందించండి"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{
message:"నిశ్చలమైన ఆస్తులపై సమర్ధవంతమైన కాష్ విధానాన్ని ఉపయోగిస్తుంది"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"ఆప్టిమైజ్ చేసిన చిత్రాలు త్వరగా లోడ్ అవుతాయి, తక్కువ సెల్యులార్ డేటాను ఉపయోగిస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"చిత్రాలను సమర్థవంతంగా ఎన్‌కోడ్ చేయండి"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"సెల్యులార్ డేటాను పొదుపు చేయడానికి, లోడ్ సమయాన్ని మెరుగుపరచడానికి తగిన-పరిమాణానికి మార్చబడిన చిత్రాలను అందించండి. [మరింత తెలుసుకోండి](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"చిత్రాల పరిమాణాన్ని సరిగ్గా మార్చండి"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"మొత్తం నెట్‌వర్క్ బైట్‌లను తగ్గించడానికి వచనం-ఆధారిత వనరులు ఖచ్చితంగా కుదింపు (gzip, deflate లేదా brotli)తో అందించబడాలి. [మరింత తెలుసుకోండి](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"వచనం కుదింపును ప్రారంభించండి"},"lighthouse-core/audits/content-width.js | description":{message:"ఒకవేళ వీక్షణ పోర్ట్ వెడల్పుతో మీ యాప్ కంటెంట్ వెడల్పు సరిపోలకుంటే, మొబైల్ స్క్రీన్‌లకు అనుగుణంగా మీ యాప్‌ను ఆప్టిమైజ్ చేయడం సాధ్యపడకపోవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"{outerWidth}px విండో సైజ్‌తో {innerWidth}px వీక్షణ పోర్ట్ సైజ్ సరిపోలలేదు."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"వీక్షణ పోర్ట్‌కు తగినట్లుగా కంటెంట్ సైజ్ సర్దుబాటు చేయబడలేదు"},"lighthouse-core/audits/content-width.js | title":{message:"వీక్షణ పోర్ట్‌కు తగినట్లుగా కంటెంట్ సైజ్ సర్దుబాటు చేయబడింది"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"కింద పేర్కొన్న ముఖ్యమైన అభ్యర్ధన గొలుసులు ఏ వనరులు అధిక ప్రాధాన్యతతో లోడ్ అయ్యాయో చూపిస్తాయి. పేజీ లోడ్‌ను మెరుగుపరచడానికి గొలుసుల పొడవును తగ్గించడం, వనరుల డౌన్‌లోడ్ పరిమాణాన్ని తగ్గించడం, లేదా అనవసర వనరులను డౌన్‌లోడ్ చేయడాన్ని వాయిదా వేయడం పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 గొలుసు కనుగొనబడింది}other{# గొలుసులు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"అత్యంత ముఖ్యమైన అభ్యర్థనలను గొలుసు క్రమంలో అందించడం నివారించండి"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"డైరెక్టివ్"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"తీవ్రత"},"lighthouse-core/audits/csp-xss.js | description":{
message:"బలమైన కంటెంట్ సెక్యూరిటీ పాలసీ (CSP), క్రాస్-సైట్ స్క్రిప్టింగ్ (XSS) దాడుల ప్రమాదాన్ని గణనీయంగా తగ్గిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"సింటాక్స్"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"పేజీ <meta> ట్యాగ్‌లో నిర్వచించబడిన CSPని కలిగి ఉంది. మీకు సాధ్యమైతే CSPని HTTP హెడర్‌లో నిర్వచించడాన్ని పరిగణించండి."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"ఆంక్ష మోడ్‌లో ఎలాంటి CSP కనుగొనబడలేదు"},"lighthouse-core/audits/csp-xss.js | title":{message:"CSP XSS దాడులను సమర్ధవంతంగా ఎదుర్కొంటుందని నిర్ధారించుకోండి"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"విస్మరణ / హెచ్చరిక"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"పంక్తి"},"lighthouse-core/audits/deprecations.js | description":{message:"విస్మరించబడిన APIలు క్రమంగా బ్రౌజర్ నుండి తీసివేయబడతాయి. [మరింత తెలుసుకోండి](https://web.dev/deprecations/)."},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 హెచ్చరిక కనుగొనబడింది}other{# హెచ్చరికలు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"విస్మరించబడిన APIలను వినియోగిస్తోంది"},"lighthouse-core/audits/deprecations.js | title":{message:"విస్మరించబడిన APIలను నివారిస్తుంది"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"అప్లికేషన్ కాష్ విస్మరించబడింది. [మరింత తెలుసుకోండి](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" కనుగొనబడింది'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"అప్లికేషన్ కాష్‌ను వినియోగిస్తున్నారు"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"అప్లికేషన్ కాష్‌ను నివారిస్తోంది"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"అక్షర ఎన్‌కోడింగ్ డిక్లేరేషన్ అవసరం. HTMLలోని మొదటి 1024 బైట్‌లలో లేదా కంటెంట్-రకం HTTP ప్రతిస్పందన హెడర్‌లో `<meta>` ట్యాగ్‌తో దీనిని పూర్తి చేయవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Charset డిక్లేరేషన్ అందించలేదు లేదా HTMLలో చాలా ఆలస్యంగా వస్తోంది"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"charsetను సక్రమంగా నిర్వచిస్తుంది"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"'doctype'ను పేర్కొనడం వలన క్విర్క్స్-మోడ్‌కు మారనివ్వకుండా బ్రౌజర్ నిరోధించబడుతుంది. [మరింత తెలుసుకోండి](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"'Doctype' పేరు తప్పనిసరిగా లోయర్-కేస్ స్ట్రింగ్ రూపంలో ఉండాలి `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"పత్రంలో తప్పనిసరిగా doctype ఉండాలి"},
"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"'publicId' ఒక ఖాళీ స్ట్రింగ్‌గా వదిలిపెట్టాలి"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"'systemId' ఒక ఖాళీ స్ట్రింగ్‌గా వదిలిపెట్టాలి"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"పేజీలో HTML doctype లేదు, కనుక క్విర్క్స్-మోడ్‌ను ట్రిగ్గర్ చేస్తోంది"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"పేజీలో 'HTML doctype' ఉంది"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"గణాంక రకం"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"విలువ"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"పెద్ద DOM వలన మెమరీ వినియోగం పెరుగుతుంది. దీర్ఘమైన [శైలి గణనలు](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) జరుగుతాయి, ఖరీదైన [లేఅవుట్ రీఫ్లోలు](https://developers.google.com/speed/articles/reflow) అందించబడతాయి. [మరింత తెలుసుకోండి](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 మూలకం}other{# మూలకాలు}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"అధిక DOM పరిమాణాన్ని నివారించండి"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"DOM గరిష్ట గాఢత్వము"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"మొత్తం DOM మూలకాలు"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"పిల్ల మూలకాల గరిష్ట సంఖ్య"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"అధిక DOM పరిమాణాన్ని నివారిస్తుంది"},
"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"విఫలం అవుతున్న యాంకర్‌లు"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:"పనితీరును మెరుగుపరచడానికి, అలాగే భద్రతా ప్రమాదాలను నిరోధించడానికి ఏవైనా బయటి లింక్‌లకు '`rel=\"noopener\"`' లేదా '`rel=\"noreferrer\"`'లను జోడించండి. [మరింత తెలుసుకోండి](https://web.dev/external-anchors-use-rel-noopener/)."},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"క్రాస్-ఆరిజిన్ గమ్యస్థానాలకు తీసుకెళ్లే లింక్‌లు అసురక్షితమైనవి"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"క్రాస్-ఆరిజిన్ గమ్యస్థానాలకు తీసుకెళ్లే లింక్‌లు సురక్షితమైనవి"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"యాంకర్ ({anchorHTML}) కోసం గమ్యస్థానాన్ని కనుగొనడం సాధ్యపడలేదు. ఒకవేళ హైపర్‌లింక్ లాగా ఉపయోగించకుంటే, 'target=_blank'ను తీసివేయడం గురించి పరిశీలించండి."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"సందర్భం ఏమీ లేకుండా స్థానాన్ని అభ్యర్థించే సైట్‌లను వినియోగదారులు నమ్మరు లేదా గందరగోళానికి గురి అవుతారు. దానికి బదులుగా, వినియోగదారు చర్యతో అభ్యర్థనను ప్రయత్నించడం పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"పేజీ లోడ్ సమయంలో భౌగోళిక స్థానం అనుమతిని అభ్యర్థిస్తుంది"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"పేజీ లోడ్ సమయంలో భౌగోళిక స్థానం అనుమతిని అభ్యర్థించడం నివారిస్తుంది"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"సమస్య రకం"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome డెవలపర్ టూల్స్‌లో `Issues` ప్యానెల్‌కు లాగ్ చేసిన సమస్యలు పరిష్కారం కాని సమస్యలను సూచిస్తాయి. నెట్‌వర్క్ రిక్వెస్ట్ వైఫల్యాలు, తగిన మేరకు లేని సెక్యూరిటీ కంట్రోల్‌లు, ఇతర బ్రౌజర్ ఇబ్బందుల వలన అవి ఏర్పడి ఉంటాయి. ప్రతి సమస్య గురించి మరిన్ని వివరాల కోసం Chrome డెవలపర్ టూల్స్‌లోని సమస్యల ప్యానెల్‌ని తెరవండి."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Chrome డెవలపర్ టూల్స్‌లోని `Issues` ప్యానెల్‌లో సమస్యలు లాగ్ అయ్యాయి"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"క్రాస్-ఆరిజిన్ పాలసీ కారణంగా బ్లాక్ అయింది"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"యాడ్‌ల ద్వారా అధిక రిసోర్స్ వినియోగం"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome డెవలపర్ టూల్స్‌లోని `Issues` ప్యానెల్‌లో సమస్యలు లేవు"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"వెర్షన్"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"పేజీలోని అన్ని ఫ్రంట్-ఎండ్ JavaScript లైబ్రరీలు గుర్తించబడ్డాయి. [మరింత తెలుసుకోండి](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript లైబ్రరీలు గుర్తించబడ్డాయి"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"కనెక్షన్‌లు నెమ్మదిగా పని చేస్తున్న వినియోగదారుల కోసం, '`document.write()`' ద్వారా డైనమిక్‌గా ఇంజెక్ట్ చేయబడే బయటి స్క్రిప్ట్‌ల వలన పేజీ పదుల సెకన్ల పాటు ఆలస్యంగా లోడ్ కాగలదు. [మరింత తెలుసుకోండి](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"`document.write()`ను ఉపయోగించకండి"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"'`document.write()`'ను నివారిస్తుంది"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"అత్యంత తీవ్రత"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"లైబ్రరీ వెర్షన్"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"భద్రతా ప్రమాదాల సంఖ్య"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"కొన్ని మూడవ పక్షం స్క్రిప్ట్‌లలో, దాడులకు పాల్పడేవారు సులభంగా గుర్తించగలిగే, సమాచారం దొంగిలించగలిగే తెలిసిన భద్రతా ప్రమాదాలు ఉండవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 ప్రమాద కారకం గుర్తించబడింది}other{# ప్రమాద కారకాలు గుర్తించబడ్డాయి}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"తెలిసిన భద్రతా ప్రమాదాలను కలిగి ఉండే ఫ్రంట్-ఎండ్ JavaScript లైబ్రరీలను జోడిస్తుంది"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"తెలిసిన భద్రతా ప్రమాదాలను కలిగి ఉండే ఫ్రంట్-ఎండ్ JavaScript లైబ్రరీలను నివారిస్తుంది"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"సందర్భం ఏమీ లేకుండా నోటిఫికేషన్‌లను పంపడానికి అనుమతి కోరే సైట్‌లను వినియోగదారులు నమ్మరు లేదా గందరగోళానికి గురి అవుతారు. బదులుగా వినియోగదారు సంజ్ఞలకు అభ్యర్థనను ప్రయత్నించడం పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"పేజీ లోడ్ సమయంలో నోటిఫికేషన్ అనుమతిని అభ్యర్థిస్తుంది"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"పేజీ లోడ్ సమయంలో నోటిఫికేషన్ అనుమతిని అభ్యర్థించడం నివారిస్తుంది"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"పాస్‌వర్డ్‌లో అతికించే చర్యను నిరోధించడం వలన మంచి భద్రతా విధానానికి ఆటంకం ఏర్పడుతుంది. [మరింత తెలుసుకోండి](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"పాస్‌వర్డ్ ఫీల్డ్‌లలో అతికించడం చేయలేకుండా వినియోగదారులను నిరోధిస్తుంది"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"పాస్‌వర్డ్ ఫీల్డ్‌లలో అతికించడానికి వినియోగదారులను అనుమతిస్తుంది"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"ప్రోటోకాల్"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 అన్నది HTTP/1.1 కంటే ఎక్కువ ప్రయోజనాలను అలాగే బైనరీ హెడర్‌లు, మల్టీప్లెక్సింగ్ కూడా అందిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 అభ్యర్థన 'HTTP/2' ద్వారా అందించబడలేదు}other{# అభ్యర్థనలు 'HTTP/2' ద్వారా అందించబడలేదు}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2ను ఉపయోగించండి"},
"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"మీ పేజీ స్క్రోలింగ్ పనితీరును మెరుగుపరచడానికి మీ స్పర్శ, చక్రం కదలికలను గుర్తుపట్టే లిజనర్‌లను '`passive`'కు సెట్ చేయడం పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"స్క్రోలింగ్ పనితీరును మెరుగుపరచడానికి పాసివ్ లిజనర్‌లను వినియోగించడం లేదు"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"స్క్రోలింగ్ పనితీరును మెరుగుపరచడానికి పాసివ్ లిజనర్‌లను వినియోగిస్తుంది"},"lighthouse-core/audits/errors-in-console.js | description":{message:"కన్సోల్‌లో లాగ్ చేయబడిన ఎర్రర్‌లు పరిష్కారం కాని సమస్యలను సూచిస్తాయి. నెట్‌వర్క్ అభ్యర్థన వైఫల్యాలు, ఇతర బ్రౌజర్ ఇబ్బందుల వలన అవి ఏర్పడి ఉంటాయి. [మరింత తెలుసుకోండి](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{
message:"బ్రౌజర్ ఎర్రర్‌లు కన్సోల్‌లో లాగ్ చేయబడ్డాయి"},"lighthouse-core/audits/errors-in-console.js | title":{message:"కన్సోల్‌లో లాగ్ చేయబడిన బ్రౌజర్ ఎర్రర్‌లు ఏవీ లేవు"},"lighthouse-core/audits/font-display.js | description":{message:"వెబ్ ఫాంట్‌లు లోడ్ అవుతున్నప్పుడు వచనం వినియోగదారుకు కనిపించేలా ఉందని నిర్ధారించుకోవడానికి ఫాంట్-ప్రదర్శన CSS ఫీచర్‌ను శక్తివంతం చేయండి. [మరింత తెలుసుకోండి](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"వెబ్ ఫాంట్ లోడ్ సమయంలో వచనం కనిపించేటట్లు నిర్ధారించుకోండి"},"lighthouse-core/audits/font-display.js | title":{message:"వెబ్ ఫాంట్ లోడ్‌ల సమయంలో వచనం మొత్తం కనిపిస్తూ ఉంటుంది"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{మూలం {fontOrigin}.కోసం `font-display` విలువను Lighthouse ఆటోమేటిక్‌గా చెక్ చేయలేకపోయింది.}other{`font-display` మూలానికి చెందిన విలువలను {fontOrigin} Lighthouse ఆటోమేటిక్‌గా చెక్ చేయలేకపోయింది.}}"},
"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"ఆకార నిష్పత్తి (ఉండాల్సినది)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"ఆకార నిష్పత్తి (ప్రదర్శించబడింది)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"చిత్ర ప్రదర్శన కొలతలు సహజ ఆకార నిష్పత్తికి సరిపోలే విధంగా ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"తప్పు ఆకార నిష్పత్తిని కలిగి ఉన్న చిత్రాలను ప్రదర్శిస్తుంది"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"సరైన ఆకార నిష్పత్తితో చిత్రాలను ప్రదర్శిస్తుంది"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"అసలు సైజ్"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"ప్రదర్శించబడిన సైజ్"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"ఆశించిన సైజ్"},
"lighthouse-core/audits/image-size-responsive.js | description":{message:"ఇమేజ్ సహజ కొలతలు ప్రదర్శన సైజ్‌కు అనులోమానుపాతంలో ఉండాలి, పిక్సెల్ నిష్పత్తి ఇమేజ్ స్పష్టతను పెంచేదిగా ఉండాలి. [మరింత తెలుసుకోండి](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"తక్కువ రిజల్యూషన్‌తో ఇమేజ్‌లను అందిస్తుంది"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"తగిన రిజల్యూషన్‌తో ఇమేజ్‌లను అందిస్తుంది"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"యాప్ ఇప్పటికే ఇన్‌స్టాల్ అయింది"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"మ్యానిఫెస్ట్ నుండి అవసరమైన చిహ్నాన్ని డౌన్‌లోడ్ చేయడం సాధ్యపడలేదు"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"వైఫల్యానికి కారణం"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"'సర్వీస్ వర్కర్' సాంకేతిక పరిజ్ఞానం సహాయంతో మీ యాప్ - 'ఆఫ్‌లైన్ వినియోగం', 'హోమ్ స్క్రీన్‌కు యాడ్ చేయడం', 'పుష్ నోటిఫికేషన్‌లు' లాంటి అనేక ప్రోగ్రెసివ్ వెబ్ యాప్ ఫీచర్‌లను ఉపయోగించగలుగుతుంది. తగిన సర్వీస్ వర్కర్ మరియు మ్యానిఫెస్ట్ అమలు విధానాలతో, బ్రౌజర్‌లు మీ యాప్‌ను తమ హోమ్‌స్క్రీన్‌కు యాడ్ చేయడానికి చాలా యాక్టివ్‌గా వినియోగదారులను ప్రాంప్ట్ చేయగలవు, దీని వలన అధిక మంది జనాభాకు చేరువయ్యే అవకాశం పెరగవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 కారణం}other{# కారణాలు}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"ఇన్‌స్టాల్ సామర్థ్య అవసరాలకు అనుగుణంగా వెబ్ యాప్ మానిఫెస్ట్ లేదా సర్వీస్ వర్కర్ లేదు"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play స్టోర్ యాప్ URL, Play స్టోర్ ID మ్యాచ్ కావడం లేదు"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{
message:"పేజీ అజ్ఞాత విండోలో లోడ్ అయింది"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"మ్యానిఫెస్ట్ 'display' ప్రాపర్టీ తప్పనిసరిగా 'standalone', 'fullscreen' లేదా 'minimal-ui'లో ఒకటి అయి ఉండాలి"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"మ్యానిఫెస్ట్‌లో 'display_override' ఫీల్డ్ ఉంది, సపోర్ట్ ఉండే మొదటి ప్రదర్శన మోడ్ తప్పనిసరిగా 'standalone', 'fullscreen' లేదా 'minimal-ui'లో ఒకటి అయి ఉండాలి"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"మ్యానిఫెస్ట్‌ని పొందడం సాధ్యపడలేదు, ఖాళీగా ఉంది లేదా అన్వయించడం సాధ్యపడలేదు"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"మ్యానిఫెస్ట్‌ను డౌన్‌లోడ్ చేస్తున్న సమయంలో మ్యానిఫెస్ట్ URL మారింది."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"మ్యానిఫెస్ట్‌లో 'name' లేదా 'short_name' ఫీల్డ్‌ను అందించలేదు"},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'మ్యానిఫెస్ట్‌లో తగిన చిహ్నం లేదు - కనీసం {value0} px ఉండే PNG, SVG లేదా WebP ఫార్మాట్ అవసరం, సైజ్‌ల లక్షణాన్ని తప్పనిసరిగా సెట్ చేయాలి, అలాగే ప్రయోజన లక్షణం, సెట్ చేసి ఉంటే, తప్పనిసరిగా "ఏదైనా" ఎంపికను కలిగి ఉండాలి.'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'దాని ప్రయోజన లక్షణం అన్‌సెట్ చేయబడి గానీ లేదా "ఏదైనా"కు సెట్ చేయబడి గానీ ఉన్న, కనీసం {value0}px స్క్వేర్‌తో PNG, SVG లేదా WebP ఫార్మాట్‌లోని చిహ్నం ఏదీ అందించబడలేదు'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"డౌన్‌లోడ్ చేయబడిన చిహ్నం ఖాళీగా ఉంది లేదా పాడైంది"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Play స్టోర్ IDని అందించలేదు"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"పేజీకి మ్యానిఫెస్ట్ <link> URL లేదు"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"మ్యాచ్ అవుతున్న సర్వీస్ వర్కర్ ఏదీ గుర్తించలేదు. మీరు పేజీని రీలోడ్ చేయాల్సి రావచ్చు లేదా ప్రస్తుత పేజీ కోసం సర్వీస్ వర్కర్ పరిధిలో మానిఫెస్ట్ నుండి పరిధి, ప్రారంభ URL ఉన్నాయో లేదో చూసుకోండి."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"మ్యానిఫెస్ట్‌లో 'start_url' ఫీల్డ్ లేకుండా సర్వీస్ వర్కర్‌ను తనిఖీ చేయడం సాధ్యపడదు"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"ఇన్‌స్టాల్ సామర్థ్యం ఎర్రర్ id '{errorId}'ని గుర్తించలేదు"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"పేజీని సురక్షిత ఆరిజిన్ నుండి అందించలేదు"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"ప్రధాన ఫ్రేమ్‌లో పేజీ లోడ్ కాలేదు"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"ఆఫ్‌లైన్‌లో పేజీ పని చేయదు"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"పేర్కొన్న అప్లికేషన్ ప్లాట్‌ఫామ్‌కు Androidలో సపోర్ట్ లేదు"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"మ్యానిఫెస్ట్ prefer_related_applicationsని ఈ విధంగా పేర్కొంటుంది: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"కేవలం Chrome బీటా మరియు Androidలోని స్థిర ఛానెల్‌లలో మాత్రమే prefer_related_applicationsకి సపోర్ట్ ఉంది."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"మ్యానిఫెస్ట్ ప్రారంభ URL చెల్లదు"},"lighthouse-core/audits/installable-manifest.js | title":{message:"ఇన్‌స్టాల్ సామర్థ్య అవసరాలకు అనుగుణంగా వెబ్ యాప్ మ్యానిఫెస్ట్, సర్వీస్ వర్కర్ ఉన్నాయి"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"మ్యానిఫెస్ట్‌లోని URLలో యూజర్‌నేమ్, పాస్‌వర్డ్‌ లేదా పోర్ట్ ఉన్నాయి"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"ఆఫ్‌లైన్‌లో పేజీ పని చేయదు. Chrome 93, స్థిరమైన వెర్షన్ రిలీజ్, ఆగస్ట్ 2021 తర్వాత పేజీ ఇన్‌స్టాల్ చేయలేరు."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"అనుమతించబడింది"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"బ్లాక్ అయింది"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"అసురక్షితమైన URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"రిజల్యూషన్ రిక్వెస్ట్ చేయండి"},"lighthouse-core/audits/is-on-https.js | description":{
message:"అన్ని సైట్‌లకు HTTPS రక్షణను జోడించాలి, సున్నితమైన వ్యక్తిగత సమాచారం ఏదీ లేని వాటికి కూడా ఈ రక్షణను జోడించాలి. [మిశ్రమ కంటెంట్](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)ను నివారించడం కూడా ఇందులో ఉంది, ప్రారంభ రిక్వెస్ట్ అనేది HTTPS ద్వారా అందించబడుతున్నప్పటికీ కొన్ని రిసోర్స్‌లు HTTP ద్వారా లోడ్ చేయబడతాయి. HTTPS రక్షణను జోడించడం వలన దాడులకు పాల్పడే వారు ఎవరూ కూడా మీ యాప్, మీ యూజర్ల మధ్య జరిగే కమ్యూనికేషన్‌లను ట్యాంపర్ చేయడం లేదా దొంగచాటుగా వినడం లాంటివి చేయకుండా అడ్డుకోబడతారు, అలాగే HTTP/2, ఇంకా అనేక కొత్త వెబ్ ప్లాట్‌ఫామ్ APIల కోసం దీనిని తప్పనిసరిగా వినియోగించాలి. [మరింత తెలుసుకోండి](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{1 అసురక్షితమైన అభ్యర్థన కనుగొనబడింది}other{# అసురక్షితమైన అభ్యర్థనలు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"'HTTPS'ను ఉపయోగించడం లేదు"},
"lighthouse-core/audits/is-on-https.js | title":{message:"HTTPSను ఉపయోగిస్తుంది"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"ఆటోమేటిక్‌గా HTTPSకు అప్‌గ్రేడ్ చేయబడింది"},"lighthouse-core/audits/is-on-https.js | warning":{message:"హెచ్చరికతో అనుమతించబడింది"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"లైబ్రరీ"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"పెద్ద JavaScript లైబ్రరీలు పేలవమైన పనితీరుకు దారితీయవచ్చు. మీ బండిల్ సైజ్‌ను తగ్గించడానికి, చిన్నగా ఉండి, సమానమైన పనితీరును కనబరిచే లైబ్రరీలకు ప్రాధాన్యత ఇవ్వండి. [మరింత తెలుసుకోండి](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 పెద్ద లైబ్రరీ కనుగొనబడింది}other{# పెద్ద లైబ్రరీలు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{
message:"అనవసరమైన పెద్ద JavaScript లైబ్రరీలను రీప్లేస్ చేయండి"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"పెద్ద JavaScript లైబ్రరీల స్థానంలో చిన్నవిగా ఉండే ప్రత్యామ్నాయాలను ఉపయోగించండి"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"ఇది వీక్షణ పోర్ట్‌లో పెయింట్ చేయబడిన, అన్నిటికంటే ఎక్కువ కంటెంట్ ఉన్న ఎలిమెంట్. [మరింత తెలుసుకోండి](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"కంటెంట్ కలిగి ఉండే అతిపెద్ద పెయింట్ మూలకం"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS కంట్రిబ్యూషన్"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"ఈ DOM మూలకాలు పేజీ యొక్క CLSకు ఎక్కువగా కంట్రిబ్యూట్ చేస్తాయి."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"పెద్ద లేఅవుట్ షిఫ్ట్‌లను నివారించండి"},"lighthouse-core/audits/long-tasks.js | description":{
message:"మెయిన్ థ్రెడ్‌లో అన్నిటికంటే సుదీర్ఘవైన టాస్క్‌లను లిస్టింగ్ చేస్తుంది, ఇది ఇన్‌పుట్ ఆలస్యానికి దారితీసే ఇబ్బందికరమైన కంట్రిబ్యూటర్‌లను గుర్తించడంలో ఉపయోగకరంగా ఉంటుంది. [మరింత తెలుసుకోండి](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# సుదీర్ఘ టాస్క్ కనుగొనబడింది}other{# సుదీర్ఘ టాస్క్‌లు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"సుధీర్గ మెయిన్-థ్రెడ్ టాస్క్‌లను నివారించండి"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"వర్గం"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"JSను అన్వయించడం, సంకలనం చేయడం, అమలు చేయడం కోసం వెచ్చించే సమయాన్ని తగ్గించడానికి ప్రయత్నించండి. చిన్న JS పేలోడ్‌లను అందించడం ఈ విషయంలో మీకు సహాయపడవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"ప్రధాన థ్రెడ్ పనిని తగ్గించండి"},
"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"ప్రధాన థ్రెడ్ పనిని తగ్గిస్తుంది"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"అత్యధిక మంది వినియోగదారులకు చేరువ కావడానికి, సైట్‌లు ప్రతి ప్రధాన బ్రౌజర్‌లో పని చేయాలి. [మరింత తెలుసుకోండి](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"వివిధ రకాల బ్రౌజర్‌లలో సైట్ పని చేస్తుంది"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"విడివిడిగా ఉన్న పేజీలు URL ద్వారా లోతైన లింక్‌తో అనుబంధించబడేలా, ఆ URLలు సోషల్ మీడియాలో షేర్ చేసుకోవడానికి ప్రత్యేక రీతిలో ఉండేలా జాగ్రత్త వహించండి. [మరింత తెలుసుకోండి](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"ప్రతి పేజీకి URL ఉంది"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"నెట్‌వర్క్ కనెక్షన్ నెమ్మదిగా ఉన్నప్పటికీ, మీరు స్క్రీన్‌పై ఎక్కడైనా నొక్కినప్పుడు పరివర్తనలు వీక్షణకు భంగం కలిగించకుండా మృదువుగా ఉండాలి. నిర్వహణాపరమైన పనితీరు దృష్ట్యా ఇలాంటి అనుభూతి అందించడం అత్యంత కీలకం. [మరింత తెలుసుకోండి](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"పేజీ పరివర్తనలు నెట్‌వర్క్‌లో లోడ్ అవుతున్నప్పుడు బ్లాక్ అవుతున్నట్లుగా కనిపించకూడదు"},"lighthouse-core/audits/maskable-icon.js | description":{message:"మాస్క్ చిహ్నం అన్నది యాప్‌ను పరికరంలో ఇన్‌స్టాల్ చేస్తున్నప్పుడు, లెటర్‌బాక్స్ సైజ్‌లో కాకుండా మొత్తం ఆకారానికి తగినట్లుగా ఇమేజ్ నిండేలా చేస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"మ్యానిఫెస్ట్‌లో మాస్క్ వేయగలిగే చిహ్నం లేదు"},"lighthouse-core/audits/maskable-icon.js | title":{message:"మ్యానిఫెస్ట్‌లో మాస్క్ వేయగల చిహ్నం ఉంది"},
"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"క్యుములేటివ్ లేఅవుట్ షిఫ్ట్, వీక్షణ పోర్ట్‌లో కనిపించే మూలకాల కదలికను సూచిస్తోంది. [మరింత తెలుసుకోండి](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"మొదటి కంటెంట్ సహిత పెయింట్ ఏదైనా వచనం లేదా చిత్రం మొదటిసారి పెయింట్ చేయబడిన సమయాన్ని గుర్తిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"ఒక పేజీ ప్రాథమిక కంటెంట్ ఎప్పుడు కనిపించింది అనేదానికి, మొదటి అర్ధవంతమైన పెయింట్ ఒక కొలమానం. [మరింత తెలుసుకోండి](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"పరస్పర చర్య చేయడానికి పేజీ పూర్తిగా సిద్ధం అయ్యేందుకు పట్టే సమయాన్ని 'పేజీలో పూర్తి పరస్పర చర్యకు పట్టే సమయం' అంటారు. [మరింత తెలుసుకోండి](https://web.dev/interactive/)."},
"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"కంటెంట్ కలిగి ఉండే అతిపెద్ద పెయింట్ అతిపెద్ద టెక్స్ట్ లేదా ఇమేజ్‌ను పెయింట్ చేయబడే సమయాన్ని గుర్తిస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"మీ యూజర్‌లు ఎదుర్కోగల గరిష్ఠ మొదటి ఇన్‌పుట్ ఆలస్యం అన్నది సుదీర్ఘ టాస్క్ సమయ వ్యవధిని కలిగి ఉంటుంది. [మరింత తెలుసుకోండి](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"వేగం సూచిక అనేది, ఒక పేజీలోని కంటెంట్‌లు ఎంత వేగంగా ప్రత్యక్షంగా చూపించబడతాయో తెలియజేస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"టాస్క్ వ్యవధి 50 మిల్లీసెకన్లు మించిపోయినప్పుడు FCP, అలాగే పేజీలో పూర్తి పరస్పర చర్యకు పట్టే సమయం మధ్య వేచి ఉండాల్సిన మొత్తం కాలవ్యవధి మిల్లీసెకన్లలో పేర్కొనబడుతుంది. [మరింత తెలుసుకోండి](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"నెట్‌వర్క్ రౌండ్ ట్రిప్ సమయాలు (RTT) పనితీరుపై తీవ్రమైన ప్రభావం చూపుతాయి. మూలానికి RTT ఎక్కువగా ఉంటే, వినియోగదారుకు దగ్గరగా ఉన్న సర్వర్‌ల పనితీరు మెరుగ్గా ఉండవచ్చని సంకేతం. [మరింత తెలుసుకోండి](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"నెట్‌వర్క్ రౌండ్ ట్రిప్ సమయాలు"},"lighthouse-core/audits/network-server-latency.js | description":{message:"సర్వర్ ప్రతిస్పందన సమయాలు వెబ్ పనితీరుపై ప్రభావం చూపగలవు. మూలంలో సర్వర్ ప్రతిస్పందన సమయం ఎక్కువగా ఉంటే, సర్వర్ ఓవర్‌లోడ్ అయినట్లు లేదా బ్యాక్ఎండ్ పనితీరు సరిగ్గా లేనట్లు అర్థం. [మరింత తెలుసుకోండి](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."
},"lighthouse-core/audits/network-server-latency.js | title":{message:"సర్వర్ బ్యాక్ఎండ్ ప్రతిస్పందన సమయాలు"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"ఈ `unload` ఈవెంట్ ఆశించినట్టు పని చేయదు. దాని కోసం వేచి ఉంటే, వెనుకకు-ముందుకు కాష్ లాంటి బ్రౌజర్ ఆప్టిమైజేషన్‌లు నిరోధించబడవచ్చు. బదులుగా `pagehide` లేదా `visibilitychange` ఈవెంట్‌లను ఉపయోగించడాన్ని పరిశీలించండి. [మరింత తెలుసుకోండి](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"`unload` లిజనర్‌గా రిజిస్టర్ చేస్తుంది"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"`unload` ఈవెంట్ లిజనర్స్‌ను అవాయిడ్‌ చేస్తుంది"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"కంపోజిట్ చేయని యానిమేషన్‌లు పేలవంగా ఉండవచ్చు, అలాగే అవి CLSను పెంచవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/non-composited-animations)"},
"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{# యానిమేట్ చేసిన ఎలిమెంట్ కనుగొనబడింది}other{# యానిమేట్ చేసిన ఎలిమెంట్‌లు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"ఫిల్టర్-సంబంధిత ప్రాపర్టీ పిక్సెల్‌లను తరలించవచ్చు"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"టార్గెట్‌లోని మరో యానిమేషన్ అనుకూలంగా లేదు"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'ఎఫెక్ట్‌లో "replace" కాకుండా కంపోజిట్ మోడ్ ఉంది'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"కంపోజిట్ చేయని యానిమేషన్‌లను ఉపయోగించకండి"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"రూపం మార్పునకు సంబంధించిన ప్రాపర్టీ, బాక్స్ సైజ్‌పై ఆధారపడి ఉంటుంది"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{సపోర్ట్ లేని CSS ప్రాపర్టీ: {properties}}other{సపోర్ట్ లేని CSS ప్రాపర్టీలు: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"ఎఫెక్ట్‌లో ఉన్న సమయ పారామీటర్‌లకు సపోర్ట్ లేదు"},"lighthouse-core/audits/performance-budget.js | description":{message:"నెట్‌వర్క్ అభ్యర్థనల సంఖ్య, పరిమాణాన్ని అందించబడిన పనితీరు బడ్జెట్ ప్రకారం నిర్దేశించిన లక్ష్యాల కంటే తక్కువకు ఉంచండి. [మరింత తెలుసుకోండి](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 అభ్యర్థన}other{# అభ్యర్థనలు}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"పనితీరు బడ్జెట్"},"lighthouse-core/audits/preload-fonts.js | description":{message:"`optional` ఫాంట్‌లను ముందే లోడ్ చేయండి, తద్వారా మొదటిసారిగా వచ్చే సందర్శకులు వాటిని ఉపయోగించగలరు. [మరింత తెలుసుకోండి](https://web.dev/preload-optional-fonts/)"},
"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"`font-display: optional`తో ఉన్న ఫాంట్‌లు ముందే లోడ్ చేయబడలేదు"},"lighthouse-core/audits/preload-fonts.js | title":{message:"`font-display: optional`తో ఉన్న ఫాంట్‌లు ముందే లోడ్ చేయబడ్డాయి"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"మీ LCP సమయాన్ని మెరుగుపరుచుకోవడానికి LCP ఎలిమెంట్ ఉపయోగించిన ఇమేజ్‌ను ముందే లోడ్ చేయండి. [మరింత తెలుసుకోండి](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"కంటెంట్ కలిగి ఉండే అతిపెద్ద పెయింట్ ఇమేజ్‌ను ముందే లోడ్ చేయండి"},"lighthouse-core/audits/redirects-http.js | description":{message:"మీరు ఇప్పటికే 'HTTPS' సెటప్ చేసుకుని ఉంటే, మొత్తం 'HTTP' ట్రాఫిక్‌ను 'HTTPS'కు మళ్లించేలా జాగ్రత్త తీసుకోవడం ద్వారా మీ వినియోగదారులందరికీ సురక్షితమైన వెబ్ ఫీచర్‌లను అందించండి. [మరింత తెలుసుకోండి](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{
message:"'HTTP' ట్రాఫిక్‌ను 'HTTPS'కు మళ్లించదు"},"lighthouse-core/audits/redirects-http.js | title":{message:"'HTTP' ట్రాఫిక్‌ను 'HTTPS'కు మళ్లిస్తుంది"},"lighthouse-core/audits/redirects.js | description":{message:"మళ్లింపులు పేజీ లోడ్ అవ్వడానికి ముందు అదనపు ఆలస్యాలను కలుగజేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"అనేక పేజీ మళ్లింపులను నివారించండి"},"lighthouse-core/audits/resource-summary.js | description":{message:"పేజీ వనరుల సంఖ్య, పరిమాణం కోసం బడ్జెట్‌లను సెట్ చేయడానికి, 'budget.json' ఫైల్‌ను జోడించండి. [మరింత తెలుసుకోండి](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 రిక్వెస్ట్ • {byteCount, number, bytes} KiB}other{# రిక్వెస్ట్‌లు • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{
message:"అభ్యర్థనల సంఖ్యను తగ్గించుకోండి, బదిలీ పరిమాణాలు తక్కువగా ఉండేలా చూసుకోండి"},"lighthouse-core/audits/seo/canonical.js | description":{message:"శోధన ఫలితాలలో ఏ URLను చూపాలో నియమానుగుణమైన లింక్‌లు సూచిస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"వైరుధ్యమైన అనేక URLలు ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"వేరొక డొమైన్ ({url})కు సూచిస్తోంది"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"చెల్లని URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"మరొక '`hreflang`' స్థానం ({url})కు నిర్దేశిస్తోంది"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"సంబంధిత URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"అలాంటి కంటెంట్‌ను కలిగిన పేజీకి బదులుగా డొమైన్ యొక్క మూలాధార URL (హోమ్‌పేజీ)ని సూచిస్తుంది"},
"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"పత్రంలో చెల్లుబాటు అయ్యే '`rel=canonical`' లేదు"},"lighthouse-core/audits/seo/canonical.js | title":{message:"పత్రంలో చెల్లుబాటు అయ్యే '`rel=canonical`' ఉంది"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"క్రాల్ చేయలేని లింక్"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"సెర్చ్ ఇంజిన్‌లు లింక్‌లలో ఉన్న `href` లక్షణాలను వెబ్‌సైట్‌ లను క్రాల్ చేయడానికి ఉపయోగించవచ్చు. యాంకర్ ఎలిమెంట్‌ల `href` లక్షణం తగిన గమ్యస్థానానికి లింక్ అవుతుందని నిర్ధారించుకోండి, తద్వారా సైట్‌లోని మరిన్ని పేజీలను కనుగొనవచ్చు. [మరింత తెలుసుకోండి](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"లింక్‌లు క్రాల్ చేయదగినవి కావు"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"లింక్‌లు క్రాల్ చేయదగినవి"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{
message:"అదనపు అస్పష్టమైన టెక్స్ట్"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"ఫాంట్ సైజ్"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"పేజీ టెక్స్ట్‌లో %"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"ఎంపిక సాధనం"},"lighthouse-core/audits/seo/font-size.js | description":{message:"12px కంటే తక్కువగా ఉన్న ఫాంట్ పరిమాణాలు చాలా చిన్నవిగా ఉంటాయి, కనుక అవి సముచితంగా పరిగణించబడవు. వీటిని చదవడం కోసం మొబైల్ సందర్శకులు “జూమ్ చేయడానికి స్క్రీన్‌పై రెండు వేళ్లను ఉంచి ఆ వేళ్లను దగ్గరకు లేదా దూరానికి లాగాలి”. మీరు కలిగి ఉండాల్సింది >పేజీ వచనంలో 60% ≥12px. [మరింత తెలుసుకోండి](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} సముచిత వచనం"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"మొబైల్ స్క్రీన్‌ల కోసం ఆప్టిమైజ్ చేసిన వీక్షణ పోర్ట్ మెటా ట్యాగ్ అందుబాటులో లేదు కనుక వచనం సముచితంగా లేదు."},
"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"పత్రంలో సముచితమైన ఫాంట్ పరిమాణాలను ఉపయోగించలేదు"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"స్పష్టమైన టెక్స్ట్"},"lighthouse-core/audits/seo/font-size.js | title":{message:"పత్రంలో ఫాంట్ పరిమాణాలు సముచితంగా ఉన్నాయి"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"'hreflang' లింక్‌లు అన్నవి నిర్దిష్ట భాష లేదా ప్రాంతం కోసం పేజీ యొక్క ఏ వెర్షన్‌ను శోధన ఫలితాలలో చూపాలన్నది శోధన ఇంజిన్‌లకు తెలియజేస్తాయి. [మరింత తెలుసుకోండి](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"పత్రంలో చెల్లుబాటు అయ్యే ``hreflang`` లేదు"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"సంబంధిత href విలువ"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"పత్రంలో చెల్లుబాటు అయ్యే '`hreflang`' ఉంది"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"ఉహించని భాష కోడ్"},
"lighthouse-core/audits/seo/http-status-code.js | description":{message:"విజయవంతం కాని HTTP స్థితి కోడ్‌లను కలిగిన పేజీలు సరిగ్గా సూచిక చేయబడకపోవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"పేజీలో విజయవంతం కాని HTTP స్థితి కోడ్ ఉంది"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"పేజీలో విజయవంతమైన HTTP స్థితి కోడ్ ఉంది"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"మీ పేజీలను క్రాల్ చేయడానికి శోధన ఇంజిన్‌లను అనుమతించకుంటే, అవి శోధన ఫలితాలలో మీ పేజీలను చూపడం సాధ్యం కాదు. [మరింత తెలుసుకోండి](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"సూచిక చేయకుండా పేజీ బ్లాక్ చేయబడింది"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"సూచికలో పేజీ బ్లాక్ చేయబడలేదు"},"lighthouse-core/audits/seo/link-text.js | description":{
message:"మీ కంటెంట్‌ను అర్థం చేసుకోవడంలో శోధన ఇంజిన్‌లకు వివరణాత్మక లింక్ వచనం సహాయపడుతుంది. [మరింత తెలుసుకోండి](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 లింక్ కనుగొనబడింది}other{# లింక్‌లు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"లింక్‌లలో వివరణాత్మక వచనం లేదు"},"lighthouse-core/audits/seo/link-text.js | title":{message:"లింక్‌లలో వివరణాత్మక వచనం ఉంది"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"నిర్మాణాత్మకమైన డేటాను ప్రామాణీకరించడం కోసం [నిర్మాణాత్మక డేటా పరీక్ష సాధనం](https://search.google.com/structured-data/testing-tool/), [నిర్మాణాత్మక డేటా లింటర్‌](http://linter.structured-data.org/)లను అమలు చేయండి. [మరింత తెలుసుకోండి](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"నిర్మాణాత్మక డేటా చెల్లుబాటు అవుతుంది"},
"lighthouse-core/audits/seo/meta-description.js | description":{message:"పేజీ కంటెంట్ సారాంశాన్ని క్లుప్తంగా అందించడం కోసం శోధన ఫలితాలలో మెటా వివరణలను జోడించవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"వివరణ వచనం ఖాళీగా ఉంది."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"పత్రంలో మెటా వివరణ లేదు"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"పత్రంలో మెటా వివరణ ఉంది"},"lighthouse-core/audits/seo/plugins.js | description":{message:"ప్లగ్ఇన్ కంటెంట్‌ను శోధన ఇంజిన్‌లు సూచిక చేయలేవు. అలాగే, చాలా పరికరాలలో ప్లగ్ఇన్‌లు నియంత్రించబడతాయి లేదా వాటికి మద్దతు ఉండదు. [మరింత తెలుసుకోండి](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"పత్రంలో ప్లగ్ఇన్‌లు ఉపయోగించబడుతున్నాయి"},"lighthouse-core/audits/seo/plugins.js | title":{message:"పత్రంలో ప్లగ్ఇన్‌లు నివారించబడ్డాయి"},
"lighthouse-core/audits/seo/robots-txt.js | description":{message:"మీ robots.txt ఫైల్ పాడైతే, మీరు మీ వెబ్‌సైట్‌ను ఎలా క్రాల్ చేయాలనుకుంటున్నారు లేదా సూచిక చేయాలనుకుంటున్నారు అన్నది crawlerలకు అర్థం కాకపోవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txt కోసం పంపిన అభ్యర్థనకు ప్రతిస్పందనగా అందించబడిన HTTP స్థితి: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 ఎర్రర్ కనుగొనబడింది}other{# ఎర్రర్‌లు కనుగొనబడ్డాయి}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"robots.txt ఫైల్‌ను డౌన్‌లోడ్ చేయడం లైట్‌హౌస్‌కు సాధ్యం కాలేదు"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt చెల్లుబాటు కాదు"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt చెల్లుబాటు అవుతుంది"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"బటన్‌లు మరియ లింక్‌లు వంటి సహకారాన్ని అందించే ఎలిమెంట్‌ల పరిమాణం తగినంత ఉండాలి (48x48px), వాటి చుట్టూ తగినంత ఖాళీ స్థలం ఉండాలి. అలా అయితే అవి ఇతర ఎలిమెంట్‌లతో ఓవర్‌ల్యాప్ కాకుండా ఉంటాయి. [మరింత తెలుసుకోండి](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} సముచిత పరిమాణంలో ట్యాప్ టార్గెట్‌లను కలిగి ఉంది"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"మొబైల్ స్క్రీన్‌లలో ఆప్టిమైజ్ చేసిన వీక్షణ పోర్ట్ మెటా ట్యాగ్ అందుబాటులో లేదు కనుక ట్యాప్ టార్గెట్‌లు చాలా చిన్నవిగా ఉన్నాయి"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"ట్యాప్ టార్గెట్‌ల పరిమాణం సముచితంగా ఉంది"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"లక్ష్యం ఓవర్‌ల్యాప్ అవుతోంది"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"ట్యాప్ టార్గెట్"},"lighthouse-core/audits/seo/tap-targets.js | title":{
message:"ట్యాప్‌టార్గెట్‌ల పరిమాణం సముచితంగా ఉంది"},"lighthouse-core/audits/server-response-time.js | description":{message:"ప్రధాన డాక్యుమెంట్ కోసం సర్వర్ ప్రతిస్పందన సమయాన్ని తక్కువగా ఉంచండి ఎందుకంటే అన్ని ఇతర రిక్వెస్ట్‌లు దానిపై ఆధారపడి ఉంటాయి. [మరింత తెలుసుకోండి](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"రూట్ పత్రం {timeInMs, number, milliseconds} మి.సె తీసుకుంది"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"ప్రారంభ సర్వర్ ప్రతిస్పందన సమయాన్ని తగ్గించండి"},"lighthouse-core/audits/server-response-time.js | title":{message:"ప్రారంభ సర్వర్ ప్రతిస్పందన సమయం తక్కువగా ఉంది"},"lighthouse-core/audits/service-worker.js | description":{message:"'సర్వీస్ వర్కర్' సాంకేతిక పరిజ్ఞానం సహాయంతో మీ యాప్ - 'ఆఫ్‌లైన్ వినియోగం', 'హోమ్ స్క్రీన్‌కు జోడింపు', 'పుష్ నోటిఫికేషన్‌లు' లాంటి అనేక ప్రోగ్రెసివ్ వెబ్ యాప్ ఫీచర్‌లను ఉపయోగించగలుగుతుంది. [మరింత తెలుసుకోండి](https://web.dev/service-worker/)."},
"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"ఈ పేజీ ఒక సర్వీస్ వర్కర్ ద్వారా నియంత్రించబడినప్పటికీ, చెల్లుబాటయ్యే JSON ఫార్మాట్‌లో అన్వయించడంలో మానిఫెస్ట్ విఫలమైనందున '`start_url`' ఏదీ కనుగొనబడలేదు"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"ఈ పేజీ ఒక సర్వీస్ వర్కర్ ద్వారా నియంత్రించబడినప్పటికీ, '`start_url`' ({startUrl}) అన్నది సర్వీస్ వర్కర్ పరిధి ({scopeUrl})లో లేదు"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"ఈ పేజీ ఒక సర్వీస్ వర్కర్ ద్వారా నియంత్రించబడినప్పటికీ, మానిఫెస్ట్ ఏదీ పొందనందున '`start_url`' ఏదీ కనుగొనబడలేదు."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"ఈ మూలాధారంలో ఒకటి లేదా అంతకంటే ఎక్కువ సర్వీస్ వర్కర్‌లు ఉన్నప్పటికీ, పేజీ ({pageUrl}) పరిధిలో లేదు."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"పేజీని, '`start_url`'ను నియంత్రించే సర్వీస్ వర్కర్ ఏదీ నమోదు చేయబడలేదు"},
"lighthouse-core/audits/service-worker.js | title":{message:"పేజీని, '`start_url`'ను నియంత్రించే సర్వీస్ వర్కర్ నమోదు చేయబడింది"},"lighthouse-core/audits/splash-screen.js | description":{message:"ఒక థీమ్‌తో కూడిన స్ప్లాష్ స్క్రీన్ వలన వినియోగదారులు వారి హోమ్ స్క్రీన్‌ల నుండి మీ యాప్‌ను ప్రారంభించినప్పుడు అధిక నాణ్యత గల అనుభవం అందించబడుతుంది. [మరింత తెలుసుకోండి](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"అనుకూలమైన స్ప్లాష్ స్క్రీన్ కోసం కాన్ఫిగర్ చేయలేదు"},"lighthouse-core/audits/splash-screen.js | title":{message:"అనుకూలమైన స్ప్లాష్ స్క్రీన్ కోసం కాన్ఫిగర్ చేయబడింది"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"బ్రౌజర్ చిరునామా బార్‌ను మీ సైట్‌తో సరిపోలే థీమ్‌లోకి మార్చుకోవచ్చు. [మరింత తెలుసుకోండి](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"చిరునామా బార్ కోసం థీమ్ రంగును సెట్ చేయలేదు."},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"చిరునామా బార్ కోసం థీమ్ రంగు సెట్ చేయబడింది."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (కస్టమర్ విజయం)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (మార్కెటింగ్)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (సామాజికం)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (వీడియో)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"ప్రోడక్ట్"},"lighthouse-core/audits/third-party-facades.js | description":{message:"కొన్ని థర్డ్ పార్టీ ఎంబెడ్‌లు లేజీగా లోడ్ కావచ్చు. అవి అవసరపడే వరకు వాటిని ఫసాడ్‌తో భర్తీ చేసే అంశాన్ని పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{
message:"{itemCount,plural, =1{# ఫసాడ్ ప్రత్యామ్నాయం అందుబాటులో ఉంది}other{# ఫసాడ్ ప్రత్యామ్నాయాలు అందుబాటులో ఉన్నాయి}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"కొన్ని థర్డ్-పార్టీ రిసోర్స్‌లను ఫసాడ్‌తో లేజీ లోడ్ చేయగలరు"},"lighthouse-core/audits/third-party-facades.js | title":{message:"ఫసాడ్‌లతో థర్డ్-పార్టీ రీసోర్స్‌లు లేజీ లోడ్ అవుతాయి"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"మూడవ పక్షం"},"lighthouse-core/audits/third-party-summary.js | description":{message:"మూడవ పక్షం కోడ్ గణనీయ స్థాయిలో లోడ్ పనితీరుపై ప్రభావం చూపవచ్చు. అవసరం లేని మూడవ పక్ష ప్రదాతల సంఖ్యను పరిమితం చేసి, మీ పేజీ ప్రాథమికంగా లోడ్ కావడం పూర్తయిన తర్వాత మూడవ పక్ష కోడ్‌ను లోడ్ చేయడానికి ప్రయత్నించండి. [మరింత తెలుసుకోండి](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{
message:"మూడవ పక్షం కోడ్ ఒక ప్రధానమైన థ్రెడ్‌ను {timeInMs, number, milliseconds} మిల్లీసెకన్ల పాటు బ్లాక్ చేసింది"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"మూడవ పక్షం కోడ్ ప్రభావాన్ని తగ్గించండి"},"lighthouse-core/audits/third-party-summary.js | title":{message:"మూడవ పక్ష వినియోగాన్ని కనీస స్థాయికి తగ్గించండి"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"కొలమానం"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"కొలమానం"},"lighthouse-core/audits/timing-budget.js | description":{message:"మీ సైట్ పనితీరును పర్యవేక్షించడంలో మీకు సహాయపడటానికి ఒక టైమింగ్ బడ్జెట్‌ను సెట్ చేయండి. అమలు చేసే సైట్‌లు వేగంగా లోడ్ అవుతాయి, యూజర్ ఇన్‌పుట్ ఈవెంట్‌లకు సత్వరం స్పందిస్తాయి. [మరింత తెలుసుకోండి](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"సమయం సంబంధిత బడ్జెట్"},"lighthouse-core/audits/unsized-images.js | description":{
message:"లేఅవుట్ షిఫ్ట్‌లను తగ్గించడానికి, CLSను మెరుగుపరచడానికి ఇమేజ్ ఎలిమెంట్‌ల కోసం స్పష్టమైన వెడల్పును, ఎత్తును సెట్ చేయండి. [మరింత తెలుసుకోండి](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"ఇమేజ్ మూలకాలకు తగిన `width`, `height` లేదు"},"lighthouse-core/audits/unsized-images.js | title":{message:"ఇమేజ్ మూలకాలు తగిన `width`, `height`ను కలిగి ఉన్నాయి"},"lighthouse-core/audits/user-timings.js | columnType":{message:"రకం"},"lighthouse-core/audits/user-timings.js | description":{message:"కీలక వినియోగదారు అనుభవాల సమయంలో మీ యాప్ వాస్తవ ప్రపంచ పనితీరును అంచనా వేయడానికి, మీ యాప్ కోసం వినియోగదారు సమయానుకూల APIని కొలమానంగా చేసుకుని పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 వినియోగదారు సమయం}other{# వినియోగదారు సమయాలు}}"},"lighthouse-core/audits/user-timings.js | title":{
message:"వినియోగదారు సమయం మార్కులు మరియు కొలమానాలు"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'"{securityOrigin}" కోసం `<link rel=preconnect>` కనుగొనబడింది, కానీ బ్రౌజర్ దీన్ని ఉపయోగించలేదు. మీరు `crossorigin` లక్షణాన్ని సక్రమంగా ఉపయోగిస్తున్నారో లేదో చెక్ చేయండి.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"ముఖ్యమైన మూడవ పక్ష మూలాలకు ముందస్తు కనెక్షన్‌లను ఏర్పాటు చేయడానికి '`preconnect`' లేదా '`dns-prefetch`' వనరు సూచనలను జోడించడాన్ని పరిగణనలోకి తీసుకోండి. [మరింత తెలుసుకోండి](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"అవసరమైన మూలాలకు ముందుగా కనెక్ట్ చేయండి"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"2 కంటే ఎక్కువ `<link rel=preconnect>` కనెక్షన్‌లు కనుగొనబడ్డాయి. వీటిని పరిమితంగా, కేవలం అత్యంత ముఖ్యమైన మూల స్థానాలలో మాత్రమే ఉపయోగించాలి."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:'"{securityOrigin}" కోసం `<link rel=preconnect>` కనుగొనబడింది, కానీ బ్రౌజర్ దీన్ని ఉపయోగించలేదు. పేజీ ఖచ్చితంగా రిక్వెస్ట్ చేసే ముఖ్యమైన మూలాల కోసం మాత్రమే `preconnect`ను ఉపయోగించండి.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'"{preloadURL}" కోసం ముందే లోడ్ చేసిన ఒక `<link>` కనుగొనబడింది, కానీ బ్రౌజర్ దీన్ని ఉపయోగించలేదు. మీరు `crossorigin` లక్షణాన్ని సక్రమంగా ఉపయోగిస్తున్నారో లేదో చెక్ చేయండి.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"ప్రస్తుతం పేజీ లోడ్‌లో తర్వాత అభ్యర్ధించబడిన వనరులను పొందడాన్ని ప్రాధాన్యపరచడానికి '`<link rel=preload>`'ను ఉపయోగించడం పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"కీలక అభ్యర్ధనలను ముందుగా లోడ్ చేయండి"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"మ్యాప్ URL"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"సోర్స్ మ్యాప్‌లు, కనిష్ఠీకరించిన కోడ్‌ను ఒరిజినల్ సోర్స్ కోడ్‌కు అనువదిస్తాయి. ఇది డెవలపర్‌లకు ప్రొడక్షన్‌లో డీబగ్ చేయడంలో సహాయపడుతుంది. అదనంగా, Lighthouse మరిన్ని గణాంకాలను అందించగలదు. ఈ ప్రయోజనాలను సద్వినియోగం చేసుకోవడానికి, సోర్స్ మ్యాప్‌లను అమలు చేయడాన్ని పరిగణించండి. [మరింత తెలుసుకోండి](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"పెద్ద ఫస్ట్ పార్టీ JavaScript కోసం సోర్స్ మ్యాప్‌లు కనుగొనబడలేదు"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"పెద్ద JavaScript ఫైల్‌లో సోర్స్ మ్యాప్ లేదు"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{హెచ్చరిక: `.sourcesContent`లో 1 ఐటెమ్ లేదు}other{హెచ్చరిక: `.sourcesContent`లో # ఐటెమ్‌లు లేవు}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"పేజీలో చెల్లుబాటు అయ్యే సోర్స్ మ్యాప్‌లు ఉన్నాయి"},
"lighthouse-core/audits/viewport.js | description":{message:"మీ యాప్‌ను మొబైల్ స్క్రీన్‌ల కోసం ఆప్టిమైజ్ చేయడానికి '`<meta name=\"viewport\">`' ట్యాగ్‌ను జోడించండి. [మరింత తెలుసుకోండి](https://web.dev/viewport/)."},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:"'`<meta name=\"viewport\">`' ట్యాగ్ ఏదీ కనుగొనబడలేదు"},"lighthouse-core/audits/viewport.js | failureTitle":{message:"'`width`' లేదా '`initial-scale`'తో '`<meta name=\"viewport\">`' 'ట్యాగ్ ఏదీ లేదు"},"lighthouse-core/audits/viewport.js | title":{message:"'`width`' లేదా '`initial-scale`'తో '`<meta name=\"viewport\">`' ట్యాగ్‌ను కలిగి ఉంది"},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"మీ అప్లికేషన్‌లో ARIA వినియోగాన్ని మెరుగుపరచాడానికి ఇవి అవకాశాలుగా ఉపయోగపడతాయి, ఇది స్క్రీన్ రీడర్ లాంటి సహాయక సాంకేతిక పరిజ్ఞానం ఉపయోగించే వినియోగదారులకు మెరుగైన అనుభవాన్ని అందించవచ్చు."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},
"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"ఇవి, ఆడియో మరియు వీడియో కోసం ప్రత్యామ్నాయ వచనాన్ని అందించ‌గ‌ల అవకాశాలు. వినికిడి లేదా కంటిచూపులో సమస్యలు ఉన్న వినియోగదారులకు ఇది మెరుగైన అనుభవాన్ని అందించగలదు."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"ఆడియో మరియు వీడియో"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"సాధారణ యాక్సెసిబిలిటీ ఉత్తమ అభ్యాసాలను ఈ అంశాలు హైలైట్ చేస్తాయి."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"ఉత్తమ అభ్యాసాలు"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"[మీ వెబ్ యాప్ యొక్క యాక్సెసిబిలిటీని మెరుగుపరచగల](https://developers.google.com/web/fundamentals/accessibility) అవకాశాలను ఈ తనిఖీలు హైలైట్ చేస్తాయి. యాక్సెసిబిలిటీ సమస్యలలోని ఒక సబ్‌సెట్‌ను మాత్రమే ఆటోమేటిక్‌గా గుర్తించడం సాధ్యపడుతుంది, కనుక మాన్యువల్ పరీక్ష కూడా చేయాల్సిందిగా సిఫార్సు చేస్తున్నాము."},
"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"ఆటోమేటెడ్ పరీక్ష సాధనం కవర్ చేయని ప్రాంతాలను ఈ అంశాలు పేర్కొంటాయి. [యాక్సెసిబిలిటీ సమీక్షను నిర్వహించడం](https://developers.google.com/web/fundamentals/accessibility/how-to-review) గురించి మా గైడ్‌లో మరింత తెలుసుకోండి."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"యాక్సెసిబిలిటీ"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"మీ కంటెంట్ స్పష్టతను మెరుగుపరచడానికి ఇవి అవకాశాలుగా ఉపయోగపడతాయి."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"కాంట్రాస్ట్"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"వివిధ లొకేల్‌లలో వినియోగదారుల ద్వారా మీ కంటెంట్ భావ వ్యక్తీకరణను మెరుగుపరచడానికి ఇవి అవకాశాలుగా ఉపయోగపడతాయి."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"అంతర్జాతీయీకరణ మరియు స్థానికీకరణ"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"మీ అప్లికేషన్‌లోని నియంత్రణల అర్థ విచారాలను మెరుగుపరచడానికి ఇవి అవకాశాలుగా ఉపయోగపడతాయి. స్క్రీన్ రీడర్ లాంటి సహాయక సాంకేతిక పరిజ్ఞాన వినియోగదారులకు ఇది మరింత మెరుగైన అనుభవాన్ని అందించవచ్చు."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"పేరు మరియు లేబుల్‌లు"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"ఇవి, మీ అప్లికేషన్‌లో కీబోర్డ్ నావిగేషన్‌ను మెరుగ‌ప‌ర‌చ‌గ‌ల అవ‌కాశాలు."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"నావిగేషన్"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"ఇవి, స్క్రీన్ రీడర్ లాంటి సహాయకరమైన సాంకేతికతను ఉపయోగించి పట్టికను లేదా లిస్ట్ డేటాను చదువుతున్నప్పుడు మెరుగైన అనుభవాన్ని అందించగల అవకాశాలు."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"పట్టికలు మరియు జాబితాలు"},
"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"బ్రౌజర్ అనుకూలత"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"ఉత్తమ అభ్యాసాలు"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"సాధారణం"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"నమ్మకం, భద్రత"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"యూజర్ అనుభవం"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"పనితీరు బడ్జెట్‌లు అనేవి మీ సైట్ యొక్క పనితీరు ప్రమాణాలను నిర్దేశిస్తాయి."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"బడ్జెట్‌లు"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"మీ అప్లికేషన్ పనితీరు గురించి మరింత సమాచారం. ఈ సంఖ్యలు పనితీరు స్కోర్‌ను [నేరుగా ప్రభావితం చేయవు](https://web.dev/performance-scoring/)."},
"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"సమస్య విశ్లేషణ"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"పిక్సెల్‌లు ఎంత వేగంగా స్క్రీన్ పై ప్రదర్శింపబడతాయి అనేది పనితీరులో అతి క్లష్టమైన అంశం. కీలక గణంకాలు: మొదటి కంటెంట్ సహిత పెయింట్, మొదటి అర్ధవంతమైన పెయింట్"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"మొదటి పెయింట్ మెరుగుదలలు"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"మీ పేజీని వేగంగా లోడ్ చేయడంలో ఈ సూచనలు సహాయపడగలవు. అవి పనితీరు స్కోర్‌పై [నేరుగా ప్రభావం](https://web.dev/performance-scoring/) చూపవు."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"అవకాశాలు"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"గణాంకాలు"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{
message:"పేజీ ఎంత త్వరగా వీలైతే అంత త్వరగా ప్రతిస్పందించి, ఉపయోగించడానికి సిద్దంగా ఉండడానికి, మొత్తం లోడింగ్ అనుభవాన్ని మెరుగుపరచండి. కీలక గణాంకాలు: పేజీలో పూర్తి పరస్పర చర్యకు పట్టే సమయం, వేగం సూచిక"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"మొత్తం మొరుగుదలలు"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"పనితీరు"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"ఈ తనిఖీల ద్వారా ప్రోగ్రెసివ్ వెబ్ యాప్ అంశాలు ధృవీకరించబడతాయి. [మరింత తెలుసుకోండి](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"మౌళికమైన [PWA తనిఖీ జాబితా](https://developers.google.com/web/progressive-web-apps/checklist) ప్రకారం ఈ తనిఖీలను తప్పనిసరిగా నిర్వహించాలి, కానీ ఇవి Lighthouse ద్వారా ఆటోమేటిక్‌గా తనిఖీ చేయబడవు. ఇవి మీ స్కోర్‌పై ప్రభావం చూపవు, కానీ మీరు వీటిని మాన్యువల్‌గా అయినా ధృవీకరించడం ముఖ్యం."},
"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"ప్రోగ్రెసివ్ వెబ్ యాప్"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"ఇన్‌స్టాల్ చేయదగినవి"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA ఆప్టిమైజ్ చేసినవి"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"శోధన ఇంజిన్ ఫలితాల ర్యాంకింగ్ కోసం మీ పేజీ ఆప్టిమైజ్ చేయబడినట్లు ఈ తనిఖీలు నిర్ధారిస్తాయి. మీ శోధన ర్యాంకింగ్‌పై ప్రభావం చూపగల ఈ అదనపు అంశాలను Lighthouse తనిఖీ చేయదు. [మరింత తెలుసుకోండి](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"అదనపు SEO ఉత్తమ అభ్యాసాలను తనిఖీ చేయడం కోసం మీ సైట్‌లో అదనపు వాలిడేటర్‌లను అమలు చేయండి."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{
message:"మీ యాప్ యొక్క కంటెంట్‌ను బాగా అర్థం చేసుకోవడానికి, crawlerలు ప్రారంభయ్యే విధంగా మీ HTMLను ఫార్మాట్ చేయండి."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"కంటెంట్ ఉత్తమ అభ్యాసాలు"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"శోధన ఫలితాలలో కనిపించేందుకు, crawlerలకు మీ యాప్ యాక్సెస్ అవసరం."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"క్రాలింగ్ మరియు అనుక్రమణ"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"వినియోగదారులు కంటెంట్ పేజీలను చదవడం కోసం స్క్రీన్‌పై రెండు వేళ్లను ఉంచి దగ్గరకు లేదా దూరానికి లాగుతూ లేదా దగ్గరగా జూమ్ చేసి ఇబ్బందిపడేలా కాకుండా మీ పేజీలు మొబైల్ అనుకూలంగా ఉన్నాయని నిర్థారించుకోండి. [మరింత తెలుసుకోండి](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"మొబైల్-అనుకూలం"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"పరీక్షించిన పరికరం Lighthouse ఆశించే దాని కంటే తక్కువ CPUని కలిగి ఉన్నట్లుంది. మీ పనితీరు స్కోర్‌పై ఇది ప్రతికూల ప్రభావం చూపగలదు. [సముచిత CPU నెమ్మది చలనం మల్టీప్లయర్‌ను క్యాలిబ్రేట్ చేయడం](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling) గురించి మరింత తెలుసుకోండి."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"మీ పరీక్ష URL ({requested})ను {final}కు మళ్లించినందున, పేజీ అనుకున్న విధంగా లోడ్ కాలేకపోతుండవచ్చు. నేరుగా రెండవ URLను పరీక్షించడం ట్రై చేయండి."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"సమయ పరిమితి లోపల పూర్తి కావడానికి పేజీ మరీ నిదానంగా లోడ్ అయ్యింది. ఫలితాలు సంపూర్ణంగా ఉండకపోవచ్చు."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{ఈ లొకేషన్‌లో 'లోడింగ్ పనితీరు'ను ప్రభావితం చేసే స్టోర్డ్ డేటా ఉండవచ్చు: {locations}. మీ స్కోర్‌లను ఆ రిసోర్స్‌లు ప్రభావితం చేయకుండా నివారించడానికి అజ్ఞాత విండోలో ఈ పేజీని ఆడిట్ చేయండి.}other{ఈ లొకేషన్‌లలో ఉండే స్టోర్డ్ డేటా వల్ల 'లోడింగ్ పనితీరు' ప్రభావితం కావచ్చు: {locations}. మీ స్కోర్‌లను ఆ రిసోర్స్‌లు ప్రభావితం చేయకుండా నివారించడానికి అజ్ఞాత విండోలో ఈ పేజీని ఆడిట్ చేయండి.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"పాత బ్రౌజర్‌లతో అనుకూలంగా ఉండటానికి https:, http: URL స్కీమ్ ('strict-dynamic'ను సపోర్ట్ చేసే బ్రౌజర్‌ల ద్వారా విస్మరించబడినవి)లను జోడించడాన్ని పరిగణించండి."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"CSP3 నుండి disown-opener విస్మరించబడింది. దయచేసి, బదులుగా Cross-Origin-Opener-Policy హెడర్‌ను ఉపయోగించండి."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"CSP2 నుండి referrer విస్మరించబడింది. దయచేసి, బదులుగా Referrer-Policy హెడర్‌ను ఉపయోగించండి."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"CSP2 నుండి reflected-xss విస్మరించబడింది. దయచేసి, బదులుగా X-XSS-Protection హెడర్‌ను ఉపయోగించండి."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"దాడి చేసే వారి ద్వారా కంట్రోల్ చేయబడే డొమైన్‌కు అన్ని సంబంధిత URLల (ఉదా. స్క్రిప్ట్‌లు) కోసం బేస్ URLను సెట్ చేయడానికి, పంపబడిన <base> ట్యాగ్‌లను మిస్ అయిన base-uri అనుమతిస్తుంది. base-uriని 'none' లేదా 'self'కు సెట్ చేయడాన్ని పరిగణించండి."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"object-src ద్వారా కంట్రోల్ చేయబడే మూలకాలను లెగసీ ఫీచర్‌లుగా పరిగణిస్తారు. సురక్షితంకాని స్క్రిప్ట్‌లను అమలు చేసే ప్లగ్ఇన్‌ల ఇంజక్షన్‌ను నిరోధించడానికి object-src ను 'none'కు సెట్ చేయడాన్ని పరిగణించండి."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"script-src డైరెక్టివ్ మిస్ అయింది. ఇది సురక్షితంకాని స్క్రిప్ట్‌ల అమలును అనుమతిస్తుంది."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{
message:"మీరు సెమీకోలన్‌ను మర్చిపోయారా? {keyword} కీవర్డ్ కాదు, డైరెక్టివ్ అనిపిస్తుంది."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces base64 charsetను ఉపయోగించాలి."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces కనీసం 8 అక్షరాల పొడవు ఉండాలి."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"రిపోర్ట్ చేసే గమ్యస్థానం report-to డైరెక్టివ్ ద్వారా మాత్రమే కాన్ఫిగర్ చేయబడుతుంది. ఈ డైరెక్టివ్ Chromium-ఆధారిత బ్రౌజర్‌లలో మాత్రమే సపోర్ట్ చేస్తుంది, కాబట్టి report-uri డైరెక్టివ్‌ను కూడా ఉపయోగించమని సిఫార్సు చేయబడింది."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"ఎలాంటి CSP రిపోర్ట్ చేసే గమ్యస్థానాన్ని కాన్ఫిగర్ చేయలేదు. ఇది కాలానుగుణంగా CSPని నిర్వహించడం, అలాగే ఏదైనా విచ్ఛిన్నాల కోసం పర్యవేక్షించడం కష్టతరం చేస్తుంది."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{
message:"హోస్ట్ వైట్‌లిస్ట్‌లు తరచుగా బైపాస్ చేయబడవచ్చు. 'strict-dynamic'ను CSP nonces లేదా hashesతో కలిపి ఉపయోగించడాన్ని పరిగణించండి."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"తెలియని CSP డైరెక్టివ్."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} చెల్లని కీవర్డ్‌లాగా అనిపిస్తుంది."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"'unsafe-inline' సురక్షితంకాని unsafe in-page స్క్రిప్ట్‌లు, అలాగే ఈవెంట్ హ్యాండ్లర్‌ల అమలును అనుమతిస్తుంది. స్క్రిప్ట్‌లను వ్యక్తిగతంగా అనుమతించేందుకు CSP nonces లేదా hashesను ఉపయోగించడాన్ని పరిగణించండి."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"పాత బ్రౌజర్‌లతో అనుకూలంగా ఉండటానికి 'unsafe-inline' (nonces/hashes సపోర్ట్ చేసే బ్రౌజర్‌ల ద్వారా విస్మరించబడినవి) జోడించడాన్ని పరిగణించండి."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"ప్రధాన థ్రెడ్ బ్లాక్ చేయబడే సమయం"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"కాష్ TTL"
},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"వివరణ"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"వ్యవధి"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"మూలకం"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"విఫలం అవుతున్న మూలకాలు"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"స్థానం"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"పేరు"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"బడ్జెట్ దాటిపోయింది"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"అభ్యర్థనలు"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"రిసోర్స్ సైజ్"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"వనరు రకం"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"పరిమాణం"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"సోర్స్"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"ప్రారంభ సమయం"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"వెచ్చించిన సమయం"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"బదిలీ పరిమాణం"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"ఆదా చేయగల పరిమాణం"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"ఆదా చేయగల వ్యవధి"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"ఆదా చేయగల పరిమాణం {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 ఎలిమెంట్ కనుగొనబడింది}other{# ఎలిమెంట్‌లు కనుగొనబడ్డాయి}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"ఆదా చేయగల వ్యవధి {wastedMs, number, milliseconds} మి.సెలు"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"పత్రం"},
"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"మొదటి అర్థవంతమైన పెయింట్"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"ఫాంట్"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"చిత్రం"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"అధికం"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"తక్కువ"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"మధ్యస్థం"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"మొదటి ఇన్‌పుట్ ఆలస్య గరిష్ఠ వ్యవధి"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"మీడియా"},"lighthouse-core/lib/i18n/i18n.js | ms":{
message:"{timeInMs, number, milliseconds} మి.సె"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"ఇతరం"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"ఇతర రిసోర్స్‌లు"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"స్క్రిప్ట్"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} సె"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"స్టైల్‌షీట్"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"మూడవ పక్షం"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"మొత్తం"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"మీ పేజీ లోడ్ చేసే సమయంలో స్థితిగతిని రికార్డ్ చేస్తున్నప్పుడు ఏదో తప్పు జరిగింది. దయచేసి Lighthouseని మళ్లీ అమలు చేయండి. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | criTimeout":{message:"ప్రారంభ డీబగ్గర్ ప్రోటోకాల్ కనెక్షన్ నిరీక్షణ సమయం గడువు ముగిసింది."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"పేజీ లోడ్ సమయంలో Chrome ఎలాంటి స్క్రీన్‌షాట్‌లను సేకరించలేదు. దయచేసి పేజీలో కనిపించే కంటెంట్ ఉందని నిర్ధారించుకుని, ఆపై Lighthouseని తిరిగి అమలు చేయడం ప్రయత్నించండి. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS సర్వర్‌లు అందించిన డొమైన్‌ని పరిష్కరించలేవు."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"అవసరమైన '{artifactName}' గ్యాదరర్ ఒక ఎర్రర్‌ను ఎదుర్కొంది: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"అంతర్గత Chrome ఎర్రర్ ఏర్పడింది. దయచేసి Chromeని పునఃప్రారంభించి, Lighthouseని తిరిగి అమలు చేయడం ప్రయత్నించండి."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"అవసరమైన '{artifactName}' గ్యాదరర్ అమలు కాలేదు."},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"పేజీలోని కంటెంట్ దేనికీ పెయింట్ లేదు. బ్రౌజర్ విండోను లోడ్ చేసే సమయంలో దాన్ని తప్పకుండా ముందు భాగంలో ఉంచి, ఆ తర్వాత మళ్లీ ట్రై చేయండి. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"అందించబడిన పేజీ HTML కాదు (MIME రకం {mimeType}గా అందించబడింది)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"ఈ Chrome వెర్షన్ చాలా పాతది, కాబట్టి '{featureName}'కు సపోర్ట్ చెయ్యదు. పూర్తి ఫలితాలు చూడడానికి మరింత కొత్త వెర్షన్‌ను ఉపయోగించండి."},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"మీరు అభ్యర్థించిన పేజీని Lighthouse విశ్వసనీయ రీతిలో పేజీని లోడ్ చేయలేకపోయింది. మీరు సరైన URLని పరీక్షిస్తున్నారని, సర్వర్ అన్ని అభ్యర్థనలకు సరిగ్గా ప్రతిస్పందిస్తుందని నిర్ధారించుకోండి."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"పేజీ ప్రతిస్పందించడం ఆపివేసినందున, మీరు అభ్యర్థించిన URLని విశ్వసనీయ రీతిలో Lighthouse లోడ్ చేయలేకపోయింది."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{
message:"మీరు అందించిన URLకు చెల్లుబాటయ్యే భద్రత సర్టిఫికెట్ లేదు. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"మధ్యలో వచ్చే సందేశ బ్యానర్‌తో పేజీ లోడ్ కావడాన్ని Chrome నిరోధించింది. మీరు సరైన URLను పరీక్షిస్తున్నారని, సర్వర్ అన్ని అభ్యర్థనలకు సరిగ్గా ప్రతిస్పందిస్తోందని నిర్ధారించుకోండి."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"మీరు అభ్యర్థించిన పేజీని Lighthouse విశ్వసనీయ రీతిలో లోడ్ చేయలేకపోయింది. మీరు సరైన URLను పరీక్షిస్తున్నారని, సర్వర్ అన్ని అభ్యర్థనలకు సరిగ్గా ప్రతిస్పందిస్తోందని నిర్ధారించుకోండి. (వివరాలు: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"మీరు అభ్యర్థించిన పేజీని Lighthouse విశ్వసనీయ రీతిలో లోడ్ చేయలేకపోయింది. మీరు సరైన URLను పరీక్షిస్తున్నారని, సర్వర్ అన్ని అభ్యర్థనలకు సరిగ్గా ప్రతిస్పందిస్తోందని నిర్ధారించుకోండి. (స్థితి కోడ్: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"మీ పేజీ లోడ్ కావడానికి చాలా ఎక్కువ సమయం పట్టింది. మీ పేజీ లోడ్ సమయం తగ్గించడానికి దయచేసి నివేదికలో ఉన్న అవకాశాలను అనుసరించి, ఆపై Lighthouseను తిరిగి అమలు చేయడానికి ప్రయత్నించండి. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools ప్రోటోకాల్ ప్రతిస్పందన కోసం వేచి ఉండటం వలన కేటాయించిన సమయాన్ని దాటిపోయింది. (పద్ధతి: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"వనరు కంటెంట్‌ను పొందడంలో కేటాయించిన సమయం దాటిపోయింది"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"మీరు అందించిన URL చెల్లనిదిగా కనిపిస్తోంది."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"అన్నీ"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"అన్ని స్క్రిప్ట్‌లు"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"కవరేజీ"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"డూప్లికేట్ మాడ్యూల్‌లు"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{
message:"రిసోర్స్ బైట్‌లు"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"పేరు"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"టోగుల్ టేబుల్"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"వినియోగించని బైట్‌లు"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"యానిమేట్ చేసిన కంటెంట్ కోసం, కంటెంట్ ఆఫ్‌స్క్రీన్‌లో ఉన్నప్పుడు CPU వినియోగాన్ని తగ్గించడానికి, [`amp-anim`](https://amp.dev/documentation/components/amp-anim/)ను ఉపయోగించండి."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"ఇతర బ్రౌజర్‌ల కోసం సముచితంగా ఉండే మునుపటి వాటిని పేర్కొంటున్నప్పుడు, మీ అన్ని [ `amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) కాంపోనెంట్‌లను WebP ఫార్మాట్‌లలో ప్రదర్శించడానికి ప్రయత్నించండి. [మరింత తెలుసుకోండి](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"ఇమేజ్‌లను ఆటోమేటిక్‌గా లేజీ-లోడ్ చేయడానికి, మీరు [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)ను ఉపయోగిస్తున్నారని నిర్ధారించుకోండి. [మరింత తెలుసుకోండి](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"[సర్వర్ వైపు అమలు చేసే AMP లేఅవుట్‌ల](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) కోసం [AMP ఆప్టిమైజర్](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) లాంటి సాధనాలను ఉపయోగించండి."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"అన్ని స్టయిల్‌లకు సపోర్ట్ ఉందో లేదో నిర్ధారించుకోవడానికి [AMP డాక్యుమెంటేషన్](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)ను చూడండి."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"స్క్రీన్ సైజ్ ఆధారంగా ఏయే ఇమేజ్ అస్సెట్‌లను ఉపయోగించాలో పేర్కొనడానికి [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) కాంపోనెంట్ [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) లక్షణానికి సపోర్ట్ అందిస్తుంది. [మరింత తెలుసుకోండి](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"చాలా ఎక్కువ జాబితాలను అమలు చేస్తున్నట్లయితే, కాంపొనెంట్ డెవలపర్ కిట్ (CDK)తో వర్చువల్ స్క్రోలింగ్ చేయడానికి ప్రయత్నించండి. [మరింత తెలుసుకోండి](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"మీ JavaScript బండిల్‌ల సైజ్‌ను తగ్గించడానికి [మూల స్థాయిలో కోడ్ విభజన](https://web.dev/route-level-code-splitting-in-angular/)ను వర్తింపజేయండి. అలాగే, [Angular సర్వీస్ వర్కర్](https://web.dev/precaching-with-the-angular-service-worker/) సహాయంతో, అస్సెట్‌లను ముందుగానే కాష్ చేయడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"మీరు Angular CLIని ఉపయోగిస్తున్నట్లయితే, బిల్డ్‌లను ఉత్పాదన మోడ్‌లో రూపొందించినట్లు నిర్ధారించుకోండి. [మరింత తెలుసుకోండి](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"మీరు Angular CLIను ఉపయోగిస్తున్నట్లయితే, మీ బండిల్‌లను పర్యవేక్షించడానికి మీ ప్రొడక్షన్ బిల్డ్‌లో సోర్స్ మ్యాప్‌లను చేర్చండి. [మరింత తెలుసుకోండి](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"నావిగేషన్ వేగంగా అందించడానికి తగిన సమయం కంటే ముందుగానే మార్గాలను లోడ్ చేస్తుంది. [మరింత తెలుసుకోండి](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"చిత్రం బ్రేక్ పాయింట్‌లను నిర్వహించడానికి, కాంపొనెంట్ డెవలపర్ కిట్ (CDK)లోని `BreakpointObserver` యుటిలిటీని ఉపయోగించడానికి ప్రయత్నించండి. [మరింత తెలుసుకోండి](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"మీ GIFను HTML5 వీడియోగా పొందుపరచడానికి అందుబాటులో ఉండేలా చేసే సర్వీస్‌కు దానిని అప్‌లోడ్ చేయవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"మీ థీమ్‌లో అనుకూల ఫాంట్‌లను నిర్వచించినప్పుడు `@font-display`ను పేర్కొనండి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"మీ సైట్‌లో [WebP ఇమేజ్ ఫార్మాట్‌లను ఉపయోగించడానికి మాడ్యూల్](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)ను ఇన్‌స్టాల్ చేసి, కాన్ఫిగర్ చేయడానికి ప్రయత్నించండి. అలాంటి మాడ్యూల్‌లు, లోడ్ అయ్యే సమయాన్ని ఆప్టిమైజ్ చేయడానికి, మీరు అప్‌లోడ్ చేసిన ఇమేజ్‌లకు ఒక WebP వెర్షన్‌ను ఆటోమేటిక్‌గా జెనరేట్ చేస్తాయి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"లేజీ ఇమేజ్‌లను లోడ్ చేయగల [ఒక Drupal మాడ్యూల్](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)ను ఇన్‌స్టాల్ చేయండి. అలాంటి మాడ్యూల్‌లు, పనితీరును మెరుగుపరచడానికి ఎలాంటి ఆఫ్‌స్క్రీన్ ఇమేజ్‌లను అయినా మినహాయించగల సామర్థ్యాన్ని అందిస్తాయి."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"కీలకమైన CSS, JavaSciptను ఇన్‌లైన్‌లో ఉంచడానికి, లేదా [అధునాతన CSS/JS అగ్రిగేషన్](https://www.drupal.org/project/advagg) మాడ్యూల్ లాంటి JavaScript ద్వారా అస్సెట్‌లను అసమకాలికంగా లోడ్ చేసే అవకాశం ఉండటానికి, మాడ్యూల్‌ను ఉపయోగించడానికి ప్రయత్నించండి. ఈ మాడ్యూల్ ద్వారా అందించబడే ఆప్టిమైజేషన్‌లు మీ సైట్‌ను విడగొట్టవచ్చని గుర్తుంచుకోండి, కనుక మీరు కోడ్‌కు మార్పులు చేయాల్సి రావచ్చు."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"థీమ్‌లు, మాడ్యూల్‌లు, సర్వర్ నిర్దేశాలన్నీ కూడా సర్వర్ ప్రతిస్పందన సమయాన్ని ప్రభావితం చేస్తాయి. చాలా జాగ్రత్తగా ఆప్టిమైజేషన్ మాడ్యూల్‌ను ఎంచుకోవడం, మరియు/లేదా మీ సర్వర్‌ను అప్‌గ్రేడ్ చేయడం ద్వారా, మరింత ఆప్టిమైజ్ చేయబడిన థీమ్‌ను కనుగొనడానికి ప్రయత్నించండి. మీ హోస్టింగ్ సర్వర్‌లు Redis లేదా Memcached లాంటి డేటాబేస్ క్వెరీ సమయాలను తగ్గించడానికి PHP opcode కాషింగ్, మెమరీ-కాషింగ్‌లను ఉపయోగించాలి, అలాగే పేజీలను వేగవంతంగా సిద్ధం చేయడానికి ఆప్టిమైజ్ చేయబడిన అప్లికేషన్ లాజిక్‌ను ఉపయోగించాలి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"మీ పేజీలో లోడ్ చేయబడిన ఇమేజ్‌ల సైజ్‌ను తగ్గించడానికి [ప్రతిస్పందనాత్మక ఇమేజ్ స్టయిల్‌ల](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి. మీరు పేజీలో అనేక కంటెంట్ ఐటెమ్‌లను చూపించడానికి వీక్షణలను ఉపయోగిస్తున్నట్లయితే, ఇవ్వబడిన పేజీలో చూపబడే కంటెంట్ ఐటెమ్‌ల సంఖ్యను పరిమితం చేయడానికి పేజీల రూపకల్పనను అమలు చేయవచ్చు, దాన్ని పరిశీలించండి."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'మీరు "సముదాయ CSS ఫైల్‌ల"ను "అడ్మినిస్ట్రేషన్ » కాన్ఫిగరేషన్ » డెవలప్మెంట్" పేజీలో ఎనేబుల్ చేశారని నిర్ధారించుకోండి. మీ CSS స్టయిల్‌లను సంగ్రహించడం, సైజు తగ్గించడం ఇంకా కుదించడం ద్వారా మీ సైట్‌ను వేగవంతం చేయడానికి, మీరు [అదనపు మాడ్యూల్‌ల](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) ద్వారా మరింత అధునాతన సముదాయ ఆప్షన్‌లను కూడా కాన్ఫిగర్ చేయవచ్చు.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'మీరు "సముదాయ JavaScript ఫైల్స్"ను "అడ్మినిస్ట్రేషన్ » కాన్ఫిగరేషన్ » డెవలప్మెంట్" పేజీలో ఎనేబుల్ చేశారని నిర్ధారించుకోండి. మీ JavaScript అస్సెట్‌లను సంగ్రహించడం, సైజు తగ్గించడం ఇంకా కుదించడం ద్వారా మీ సైట్‌ను వేగవంతం చేయడానికి, మీరు [అదనపు మాడ్యూల్‌ల](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) ద్వారా మరింత అధునాతన సముదాయ ఆప్షన్‌లను కూడా కాన్ఫిగర్ చేయవచ్చు.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"ఉపయోగించని CSS నియమాలను తీసివేయవచ్చు, దాన్ని పరిశీలించండి, సంబంధిత పేజీకి లేదా పేజీలోని భాగానికి అవసరమైన Drupal లైబ్రరీలను మాత్రమే అటాచ్ చేయండి. వివరాల కోసం [Drupal డాక్యుమెంటేషన్ లింక్‌](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)ను చూడండి. అసంబద్ధమైన CSSను జోడిస్తున్న 'అటాచ్ చేయబడిన' లైబ్రరీలను గుర్తించడానికి, Chrome DevToolsలో [కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ని రన్ చేయడానికి ట్రై చేయండి. మీ Drupal సైట్‌లో CSS సముదాయం డిజేబుల్ చేయబడినప్పుడు అందుకు కారణమైన థీమ్/మాడ్యూల్‌ను, స్టయిల్‌షీట్‌కు చెందిన URL నుండి మీరు గుర్తించవచ్చు. కోడ్ కవరేజీలో ఎక్కువ ఎరుపు రంగు కలిగి ఉన్న లిస్ట్‌లో అనేక స్టయిల్‌షీట్‌లను కలిగి ఉన్న థీమ్/మాడ్యూల్‌ల కోసం చూడండి. నిజంగా థీమ్/మాడ్యూల్‌ను ఆ పేజీలో ఉపయోగించినప్పుడు మాత్రమే స్టయిల్‌షీట్‌కు జత చేయాలి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"ఉపయోగించబడని JavaScipt అస్సెట్‌లను తీసివేయడానికి ప్రయత్నించండి, సంబంధిత పేజీకి లేదా పేజీలోని కాంపోనెంట్‌కు అవసరమైన Drupal లైబ్రరీలను మాత్రమే అటాచ్ చేయండి. వివరాల కోసం [Drupal డాక్యుమెంటేషన్ లింక్](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)ను చూడండి. అదనపు JavaScriptను జోడించే అటాచ్ చేయబడిన లైబ్రరీలను గుర్తించడానికి, Chrome DevToolsలో [కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ను రన్ చేయడానికి ట్రై చేయండి. మీ Drupal సైట్‌లో JavaScript అగ్రిగేషన్ డిజేబుల్ చేయబడినప్పుడు, దానికి కారణమైన థీమ్/మాడ్యూల్‌ను, స్క్రిప్ట్‌కు చెందిన URL నుండి మీరు గుర్తించవచ్చు. కోడ్ కవరేజీలో ఎక్కువ ఎరుపు రంగు కలిగి ఉన్న లిస్ట్‌లో అనేక స్క్రిప్ట్‌లను కలిగి ఉన్న థీమ్‌లు/మాడ్యూల్‌ల కోసం చూడండి. నిజంగా థీమ్/మాడ్యూల్‌ను ఆ పేజీలో ఉపయోగించినప్పుడు మాత్రమే స్క్రిప్ట్‌కు జత చేయాలి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'"బ్రౌజర్, ప్రాక్సీ కాష్ గరిష్ఠ వయసు"ను "అడ్మినిస్ట్రేషన్ » కాన్ఫిగరేషన్ » డెవలప్మెంట్" పేజీలో సెట్ చేయండి. [Drupal కాష్, పనితీరు కోసం ఆప్టిమైజ్ చేయడం](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources) గురించి చదవండి.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"క్వాలిటీని కొనసాగిస్తూ సైట్ ద్వారా అప్‌లోడ్ చేయబడిన ఇమేజ్‌లను ఆటోమేటిక్‌గా ఆప్టిమైజ్ చేసి, సైజ్‌ను తగ్గించే [మాడ్యూల్‌](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి. అలాగే, మీరు సైట్‌లో రెండర్ చేయబడే ఇమేజ్‌లు అన్నింటి కోసం Drupal నుండి అందించబడే (Drupal 8, ఆపైన అందుబాటులో ఉన్నవి) స్థానిక [ప్రతిస్పందనాత్మక ఇమేజ్ స్టయిల్‌ల](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)ను ఉపయోగిస్తున్నారని నిర్ధారించుకోండి."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"వెబ్‌సైట్ యాక్సెస్ సాధనం రిసోర్స్ సూచనల కోసం సౌకర్యాలను అందించే [మాడ్యూల్‌](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)ను ఇన్‌స్టాల్ చేసి, కాన్ఫిగ‌ర్ చేయడం ద్వారా ప్రీకనెక్ట్ లేదా dns-ప్రీఫెచ్ రిసోర్స్ సూచనలు జోడించబడవచ్చు."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"మీరు Drupal నుండి అందించబడే (Drupal 8, ఆపైన అందుబాటులో ఉన్నవి) స్థానిక [ప్రతిస్పందనాత్మక ఇమేజ్ స్టయిల్‌ల](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)ను ఉపయోగిస్తున్నారని నిర్ధారించుకోండి. వీక్షణ మోడ్‌లు, వీక్షణల ద్వారా ఇమేజ్ ఫీల్డ్‌లను, లేదా WYSIWYG ఎడిటర్ ద్వారా అప్‌లోడ్ చేయబడిన ఇమేజ్‌లను రెండరింగ్ చేస్తున్నప్పుడు ప్రతిస్పందనాత్మక ఇమేజ్ స్టయిల్‌లను ఉపయోగించండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"మీ GIFను HTML5 వీడియోగా పొందుపరచడానికి అందుబాటులో ఉండేలా చేసే సర్వీస్‌కు దానిని అప్‌లోడ్ చేయవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"మీరు అప్‌లోడ్ చేసిన ఇమేజ్‌లను అనుకూలమైన ఫార్మాట్‌లలోకి ఆటోమేటిక్‌గా మార్చే [ప్లగ్ఇన్](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) లేదా సర్వీస్‌ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"ఏవైనా ఆఫ్‌స్క్రీన్ ఇమేజ్‌లు ఉంటే, వాటిని మినహాయించగల సామర్థ్యాన్ని అందించే లేదా ఆ ఫంక్షనాలిటీని అందించే టెంప్లేట్‌కు స్విచ్ చేయగలిగే [లేజీ-లోడ్ Joomla ప్లగ్ఇన్‌](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)ను ఇన్‌స్టాల్ చేయండి. Joomla 4.0 నుండి, అన్ని కొత్త ఇమేజ్‌లు ప్రధాన భాగం నుండి [ఆటోమేటిక్‌గా](https://github.com/joomla/joomla-cms/pull/30748) `loading` లక్షణాన్ని పొందుతాయి."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{message:"[కీలకమైన అస్సెట్‌లను ఇన్‌లైన్‌లో ఉంచడానికి](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) లేదా [తక్కువ ప్రాముఖ్యత ఉన్న రిసోర్స్‌లను మినహాయించడానికి](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) మీకు సహాయపడగల అనేక Joomla ప్లగ్ఇన్‌లు ఉన్నాయి. ఈ ప్లగ్ఇన్‌ల ద్వారా అందించబడే ఆప్టిమైజేషన్‌లు మీ టెంప్లేట్‌ల లేదా ప్లగ్ఇన్‌ల ఫీచర్‌లను విడగొట్టవచ్చని గుర్తుంచుకోండి, కనుక మీరు వీటిని బాగా పరీక్షించవలసి ఉంటుంది."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"టెంప్లేట్‌లు, ఎక్స్‌టెన్షన్‌లు, సర్వర్ నిర్దేశాలన్నీ సర్వర్ ప్రతిస్పందన సమయాన్ని ప్రభావితం చేస్తాయి. చాలా జాగ్రత్తగా ఆప్టిమైజేషన్ ఎక్స్‌టెన్షన్‌ను ఎంచుకోవడం, మరియు/లేదా మీ సర్వర్‌ను అప్‌గ్రేడ్ చేయడం ద్వారా, మరింత ఆప్టిమైజ్ చేయబడిన టెంప్లేట్‌ను కనుగొనవచ్చు, దాని కోసం ప్రయత్నించండి."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"ఇవ్వబడిన పేజీలో చూపబడే కథనాల సంఖ్యను తగ్గించడం, మీ పొడవైన పోస్ట్‌లను అనేక పేజీలుగా విడగొట్టడం, లేదా కామెంట్‌లను లేజీ-లోడ్ చేయడానికి ప్లగ్ఇన్‌ను ఉపయోగించడం ద్వారా (ఉదా. మరింత చదవండి లింక్ ద్వారా) మీ కథనం కేటగిరీలలోని సారాంశాలను ప్రదర్శించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"మీ css స్టయిల్‌లను సంగ్రహించడం, సైజు తగ్గించడం ఇంకా కుదించడం ద్వారా అనేక [Joomla ఎక్స్‌టెన్షన్‌లు](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) మీ సైట్‌ను వేగవంతం చేయగలవు. ఈ ఫంక్షనాలిటీని అందించే టెంప్లేట్‌లు కూడా ఉన్నాయి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"అనేక [Joomla ఎక్స్‌టెన్షన్‌లు](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) మీ స్క్రిప్ట్‌లను సంగ్రహించడం, సైజు తగ్గించడం ఇంకా కుదించడం ద్వారా మీ సైట్‌ను వేగవంతం చేయవచ్చు. ఈ ఫంక్షనాలిటీని అందించే టెంప్లేట్‌లు కూడా ఉన్నాయి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"మీ పేజీలో ఉపయోగించని CSSను లోడ్ చేస్తున్న [Joomla ఎక్స్‌టెన్షన్‌ల](https://extensions.joomla.org/) సంఖ్యను తగ్గించడం లేదా స్విచ్ చేయడం చేయవచ్చు, దాన్ని పరిశీలించండి. అసంబద్ధమైన CSSను జోడిస్తున్న ఎక్స్‌టెన్షన్‌లను గుర్తించడానికి, Chrome DevToolsలో [కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ని రన్ చేయడానికి ట్రై చేయండి. అందుకు కారణమైన థీమ్/ప్లగ్ఇన్‌ను, స్టయిల్‌షీట్‌కు చెందిన URL నుండి మీరు గుర్తించవచ్చు. కోడ్ కవరేజీలో ఎక్కువ ఎరుపు రంగు కలిగి ఉన్న లిస్ట్‌లో అనేక స్టయిల్‌షీట్‌లను కలిగి ఉన్న ప్లగ్ఇన్‌ల కోసం చూడండి. నిజంగా ప్లగ్ఇన్‌ను ఆ పేజీలో ఉపయోగించినప్పుడు మాత్రమే స్టయిల్‌షీట్‌కు జత చేయాలి."
},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"మీ పేజీలో ఉపయోగించని JavaScriptను లోడ్ చేస్తున్న [Joomla ఎక్స్‌టెన్షన్‌ల](https://extensions.joomla.org/) సంఖ్యను తగ్గించడం లేదా స్విచ్ చేయవచ్చు, దాన్ని పరిశీలించండి. అసంబద్ధమైన JSను జోడించే ప్లగ్ఇన్‌లను గుర్తించడానికి, Chrome DevToolsలో [కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ని రన్ చేయడానికి ట్రై చేయండి. అందుకు కారణమైన ఎక్స్‌టెన్షన్‌ను, స్క్రిప్ట్‌కు చెందిన URL నుండి మీరు గుర్తించవచ్చు. కోడ్ కవరేజీలో ఎక్కువ ఎరుపు రంగు కలిగి ఉన్న లిస్ట్‌లో అనేక స్క్రిప్ట్‌లను కలిగి ఉన్న ఎక్స్‌టెన్షన్‌ల కోసం చూడండి. నిజంగా ఎక్స్‌టెన్షన్‌ను ఆ పేజీలో ఉపయోగించినప్పుడు మాత్రమే స్క్రిప్ట్‌కు జత చేయాలి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"[Joomlaలో బ్రౌజర్ కాష్ విధానం](https://docs.joomla.org/Cache) గురించి చదవండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"క్వాలిటీని కొనసాగిస్తూ మీ ఇమేజ్‌లను కుదించే [ఇమేజ్ ఆప్టిమైజేషన్ ప్లగ్ఇన్‌](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"మీ కంటెంట్‌లో ప్రతిస్పందనాత్మక ఇమేజ్‌లను ఉపయోగించడానికి [ప్రతిస్పందనాత్మక ఇమేజ్‌ల ప్లగ్ఇన్‌](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"మీరు Joomlaలో (సిస్టమ్ > గ్లోబల్ కాన్ఫిగరేషన్ > సర్వర్) Gzip పేజీ కుదింపును ఎనేబుల్ చేయడం ద్వారా టెక్స్ట్ కుదింపును ఎనేబుల్ చేయవచ్చు."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"మీ JavaScript అస్సెట్‌లను మీరు బండిల్ చేయనట్లయితే, [బేలర్‌](https://github.com/magento/baler)ను ఉపయోగించడానికి ప్రయత్నించండి."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Magento అంతర్నిర్మిత [JavaScript బండ్లింగ్, కనిష్ఠీకరణ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)ను నిలిపివేసి, దానికి బదులుగా [బేలర్‌](https://github.com/magento/baler/)ను ఉపయోగించడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[అనుకూల ఫాంట్‌లను నిర్వచిస్తున్నప్పుడు](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html), `@font-display`ను పేర్కొనండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"సరికొత్త చిత్ర ఫార్మాట్‌లను అందించే వివిధ రకాల మూడవ పక్ష ఎక్స్‌టెన్షన్‌ల కోసం [Magento మార్కెట్‌ప్లేస్](https://marketplace.magento.com/catalogsearch/result/?q=webp)‌లో వెతకడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"వెబ్ ప్లాట్‌ఫామ్‌లోని [లేజీ లోడింగ్](https://web.dev/native-lazy-loading) ఫీచర్‌ను వినియోగించడం కోసం మీ ఉత్పత్తి, కేటలాగ్ టెంప్లేట్‌లను సవరించడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Magento సంబంధిత [వార్నిష్ ఇంటిగ్రేషన్‌](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)ను ఉపయోగించండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'మీ స్టోర్ డెవలపర్ సెట్టింగ్‌లలో "CSS ఫైల్‌లను చిన్నవిగా చేయి" ఎంపికను ప్రారంభించండి. [మరింత తెలుసుకోండి](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"స్టాటిక్ కంటెంట్ అమలు చేయడం నుండి ఉత్పన్నమయ్యే అన్ని JavaScript అస్సెట్‌ల సైజు తగ్గించడానికి [టెర్సర్‌](https://www.npmjs.com/package/terser)ను ఉపయోగించండి, అలాగే బిల్ట్-ఇన్ కనిష్ఠీకరణ ఫీచర్‌ను డిజేబుల్ చేయండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Magento అంతర్నిర్మిత [JavaScript బండ్లింగ్‌](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)ను నిలిపివేయండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"చిత్రాలను ఆప్టిమైజ్ చేయగలిగే వివిధ రకాల మూడవ పక్ష ఎక్స్‌టెన్షన్‌ల కోసం [Magento మార్కెట్‌ప్లేస్‌](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image)లో వెతకడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"[థీమ్ లేఅవుట్‌ను సవరించడం](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) ద్వారా ప్రీకనెక్ట్ లేదా dns ప్రీఫెట్చ్ వనరు సూచనలను జోడించవచ్చు."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"[థీమ్ లేఅవుట్‌ను సవరించడం](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) ద్వారా `<link rel=preload>` ట్యాగ్‌లను జోడించవచ్చు."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"వెబ్ పేజీ మరింత వేగంగా లోడ్ కేవడానికి [యానిమేట్ చేసిన GIFలను వీడియోతో భర్తీ చేయండి](https://web.dev/replace-gifs-with-videos/), అలాగే కుదింపు సామర్థ్యాన్ని ప్రస్తుత స్టేట్-ఆఫ్-ది-ఆర్ట్ వీడియో కోడెక్, VP9 కంటే 30% ఎక్కువగా ఉంటే [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) లేదా [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) లాంటి ఆధునిక ఫైల్ ఫార్మాట్‌లను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"అప్‌లోడ్ చేసిన ఇమేజ్‌లను అనుకూలమైన ఫార్మాట్‌లలోకి ఆటోమేటిక్‌గా మార్చే [ప్లగ్ఇన్](https://octobercms.com/plugins?search=image) లేదా సర్వీస్‌ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి. [WebP నష్టరహిత ఇమేజ్‌లు](https://developers.google.com/speed/webp) PNG ఇమేజ్‌లతో పోల్చితే 26% తక్కువ సైజ్, JPEG ఇమేజ్‌లతో పోల్చితే 25-34% తక్కువ సైజ్ ఉంటూ సమానమైన SSIM క్వాలిటీ ఇండెక్స్‌ను కలిగి ఉంటాయి. పరిగణనలోకి తీసుకోవాల్సిన మరొక తర్వాతి తరం ఇమేజ్ ఫార్మాట్, [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{
message:"ఏవైనా ఆఫ్‌స్క్రీన్ ఇమేజ్‌లు ఉంటే, వాటిని మినహాయించగల సామర్థ్యాన్ని అందించే లేదా ఆ ఫంక్షనాలిటీ అందించే టెంప్లేట్‌ను స్విచ్ చేయగలిగే [ఇమేజ్ లేజీ లోడింగ్ ప్లగ్ఇన్‌](https://octobercms.com/plugins?search=lazy)ను ఇన్‌స్టాల్ చేయవచ్చు, దాన్ని పరిశీలించండి. అలాగే, [AMP ప్లగ్ఇన్‌](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)ను ఉపయోగించడం కూడా పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"[కీలకమైన అస్సెట్‌లను ఇన్‌లైన్‌లో ఉంచడానికి](https://octobercms.com/plugins?search=css) సహాయపడే అనేక ప్లగ్ఇన్‌లు ఉన్నాయి. ఈ ప్లగ్ఇన్‌లు ఇతర ప్లగ్ఇన్‌లను నిరోధించవచ్చు, కనుక మీరు వీటిని బాగా పరీక్షించవలసి ఉంటుంది."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"థీమ్‌లు, ప్లగ్ఇన్‌లు, సర్వర్ లక్షణాలన్నీ కూడా సర్వర్ ప్రతిస్పందన సమయాన్ని ప్రభావితం చేస్తాయి. చాలా జాగ్రత్తగా ఆప్టిమైజేషన్ ప్లగ్ఇన్‌ను ఎంచుకోవడం మరియు/లేదా సర్వర్‌ను అప్‌గ్రేడ్ చేయడం ద్వారా మరింత ఆప్టిమైజ్ చేసిన థీమ్‌ను కనుగొనడానికి ప్రయత్నించండి. October CMS ఇ-మెయిల్ పంపడం లాంటి సమయం తీసుకునే పనిని మినహాయించడానికి [`Queues`](https://octobercms.com/docs/services/queues)ని ఉపయోగించేందుకు డెవలపర్‌లను అనుమతిస్తుంది. ఇది వెబ్ రిక్వెస్ట్‌లను చాలా వేగవంతం చేస్తుంది."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"ఇవ్వబడిన వెబ్ పేజీలో చూపించే పోస్ట్‌ల సంఖ్యను తగ్గించడం, పొడవైన పోస్ట్‌లను అనేక పేజీలుగా విడగొట్టడం లేదా కామెంట్‌లను లేజీ-లోడ్ చేయడానికి ప్లగ్ఇన్‌ను ఉపయోగించడం ద్వారా (ఉదా. `show more` బటన్‌ను ఉపయోగించడం) పోస్ట్ లిస్ట్‌లలో సారాంశాలను చూపించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{
message:"స్టైల్‌లను గొలుసుగా జోడించడం, కనిష్ఠ స్థాయికి తగ్గించడం, కుదించడం ద్వారా వెబ్‌సైట్‌ను వేగవంతం చేసే అనేక [ప్లగ్ఇన్‌లు](https://octobercms.com/plugins?search=css) ఉన్నాయి. ఈ కనిష్ఠీకరణను ముందుగానే నిర్వహించడానికి బిల్డ్ ప్రాసెస్‌ను ఉపయోగించడం వలన డెవలప్‌మెంట్ వేగవంతం కాగలదు."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"స్క్రిప్ట్‌లను గొలుసుగా జోడించడం, కనిష్ఠ స్థాయికి తగ్గించడం, కుదించడం ద్వారా వెబ్‌సైట్‌ను వేగవంతం చేసే అనేక [ప్లగ్ఇన్‌లు](https://octobercms.com/plugins?search=javascript) ఉన్నాయి. ఈ కనిష్ఠీకరణను ముందుగానే నిర్వహించడానికి బిల్డ్ ప్రాసెస్‌ను ఉపయోగించడం వలన డెవలప్‌మెంట్ వేగవంతం కాగలదు."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"వెబ్‌సైట్‌లో నిరుపయోగమైన CSSని లోడ్ చేస్తున్న [ప్లగ్ఇన్‌లను](https://octobercms.com/plugins) రివ్యూ చేయవచ్చు, దాన్ని పరిశీలించండి. అనవసరమైన CSSని యాడ్ చేసే ప్లగ్ఇన్‌లను గుర్తించడానికి, Chrome డెవలపర్ టూల్స్‌లో [కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ని రన్ చేయండి. స్టైల్‌షీట్ URL నుండి బాధ్యత కలిగి ఉండే థీమ్/ప్లగ్ఇన్‌ని గుర్తించండి. కోడ్ కవరేజీలో ఎక్కువ ఎరుపు రంగుతో అనేక స్టైల్‌షీట్‌లను కలిగి ఉండే ప్లగ్ఇన్‌ల కోసం చూడండి. నిజంగా ప్లగ్ఇన్‌ను వెబ్ పేజీలో ఉపయోగించినప్పుడు మాత్రమే దానికి స్టైల్‌షీట్‌ను యాడ్ చేయాలి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"వెబ్ పేజీలో ఉపయోగించని JavaScriptను లోడ్ చేసే [ప్లగ్ఇన్‌లను](https://octobercms.com/plugins?search=javascript)ను రివ్యూ చేయడం పరిశీలించండి. అనవసరమైన JavaScriptను యాడ్ చేసే ప్లగ్ఇన్‌లను గుర్తించడానికి, డెవలపర్ టూల్స్‌లో [కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ని రన్ చేయండి. స్క్రిప్ట్ URL నుండి బాధ్యత కలిగి ఉండే థీమ్/ప్లగ్ఇన్‌ను గుర్తించండి. కోడ్ కవరేజీలో ఎక్కువ ఎరుపు రంగుతో అనేక స్క్రిప్ట్‌లను కలిగి ఉండే ప్లగ్ఇన్‌ల కోసం చూడండి. వాస్తవానికి ప్లగ్ఇన్‌ను వెబ్ పేజీలో ఉపయోగిస్తున్నప్పుడు మాత్రమే దానికి స్క్రిప్ట్‌ను యాడ్ చేయాలి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"[HTTP కాష్‌తో అనవసరమైన నెట్‌వర్క్ రిక్వెస్ట్‌లను నిరోధించడం](https://web.dev/http-cache/#caching-checklist) గురించి చదవండి. కాష్ చేయడం వేగవంతం చేయడానికి అనేక [ప్లగ్ఇన్‌లు](https://octobercms.com/plugins?search=Caching) ఉన్నాయి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{
message:"క్వాలిటీని కొనసాగిస్తూ ఇమేజ్‌లను కుదించే [ఇమేజ్ ఆప్టిమైజేషన్ ప్లగ్ఇన్‌](https://octobercms.com/plugins?search=image)ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"అవసరమైన ఇమేజ్ సైజ్‌లు అందుబాటులో ఉన్నాయో లేదో నిర్ధారించుకోవడానికి ఇమేజ్‌లను నేరుగా మీడియా మేనేజర్‌లో అప్‌లోడ్ చేయండి. అనుకూలమైన ఇమేజ్ సైజ్‌లను ఉపయోగించేలా చూడటానికి [సైజ్ మార్పు ఫిల్టర్](https://octobercms.com/docs/markup/filter-resize) లేదా [ఇమేజ్ సైజ్ మార్పు ప్లగ్ఇన్‌](https://octobercms.com/plugins?search=image)ను ఉపయోగించేందుకు పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"వెబ్ సర్వర్ కాన్ఫిగరేషన్‌లో టెక్స్ట్ కుదింపును ఎనేబుల్ చేయండి."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"మీరు పేజీలోని అనేక రిపీట్ అయ్యే ఎలిమెంట్‌లను రెండరింగ్ చేస్తున్నట్లయితే, క్రియేట్ చేసే DOM నోడ్‌ల సంఖ్యను కనిష్ఠ స్థాయికి తగ్గించడానికి, `react-window` లాంటి “విండో తరహా” లైబ్రరీని ఉపయోగించచవచ్చు, దాన్ని పరిశీలించండి. [మరింత తెలుసుకోండి](https://web.dev/virtualize-long-lists-react-window/). అలాగే, [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), లేదా [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo)ను ఉపయోగించి అనవసరమైన రీ-రెండర్‌లను తగ్గించండి, అలాగే మీరు రన్‌టైమ్ పనితీరును మెరుగుపరచడానికి `Effect` హుక్‌ను ఉపయోగిస్తున్నప్పుడు కొన్ని ఆధారిత అంశాలు మారినప్పుడు మాత్రమే[ఎఫెక్ట్‌లను స్కిప్ చేయండి](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"మీరు 'రియాక్ట్ రూటర్'ను ఉపయోగిస్తున్నట్లయితే, [మార్గం నావిగేషన్‌ల](https://reacttraining.com/react-router/web/api/Redirect) కోసం `<Redirect>` కాంపొనెంట్ వినియోగాన్ని కనీస స్థాయికి తగ్గించండి."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"మీరు సర్వర్ వైపు నుండి ఏవైనా 'రియాక్ట్' కాంపొనెంట్‌లను అమలు చేస్తున్నట్లయితే, `renderToNodeStream()` లేదా `renderToStaticNodeStream()`ను వినియోగించడానికి ప్రయత్నించడం ద్వారా మార్క్అప్‌లో ఉండే విభాగాలన్నీ ఒకేసారి కాకుండా, వివిధ భాగాలుగా అందుకోవడానికి, హైడ్రేట్ చేయడానికి క్లయింట్‌ను అనుమతించండి. [మరింత తెలుసుకోండి](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{
message:"మీ బిల్డ్ సిస్టమ్, CSS ఫైల్‌ల సైజును ఆటోమేటిక్‌గా తగ్గిస్తున్నట్లయితే, మీ అప్లికేషన్ ప్రొడక్షన్ బిల్డ్‌ను మీరు అమలు చేస్తున్నట్లు నిర్ధారించుకోండి. React Developer Tools ఎక్స్‌టెన్షన్ సహాయంతో మీరు దీనిని చెక్ చేయవచ్చు. [మరింత తెలుసుకోండి](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"మీ బిల్డ్ సిస్టమ్, JS ఫైల్‌ల సైజును ఆటోమేటిక్‌గా తగ్గిస్తున్నట్లయితే, మీ అప్లికేషన్ ప్రొడక్షన్ బిల్డ్‌ను మీరు అమలు చేస్తున్నట్లు నిర్ధారించుకోండి. React Developer Tools ఎక్స్‌టెన్షన్ సహాయంతో మీరు దీనిని చెక్ చేయవచ్చు. [మరింత తెలుసుకోండి](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"మీరు సర్వర్ వైపు అమలు చేయనట్లయితే, `React.lazy()` ద్వారా [మీ JavaScript బండిల్‌లను విభజించండి](https://web.dev/code-splitting-suspense/). లేదంటే, '[లోడ్ చేయదగిన కాంపొనెంట్‌లు](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)' లాంటి మూడవ పక్షం లైబ్రరీని ఉపయోగించడం ద్వారా కోడ్‌ను విభజించండి."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"మీ కాంపొనెంట్‌ల అమలు పనితీరును అంచనా వేయడానికి, ప్రొఫైలర్ API వినియోగించబడే రియాక్ట్ DevTools ప్రొఫైలర్‌ను ఉపయోగించండి. [మరింత తెలుసుకోండి.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"మీ GIFను HTML5 వీడియోగా పొందుపరచడానికి అందుబాటులో ఉండేలా చేసే సర్వీస్‌కు దానిని అప్‌లోడ్ చేయవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{
message:"మీరు అప్‌లోడ్ చేసిన ఇమేజ్‌లను అనుకూలమైన ఫార్మాట్‌లలోకి ఆటోమేటిక్‌గా మార్చే [ప్లగ్ఇన్](https://wordpress.org/plugins/search/convert+webp/) లేదా సర్వీస్‌ను ఉపయోగించవచ్చు, దాన్ని పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"ఏవైనా ఆఫ్‌స్క్రీన్ చిత్రాలు ఉంటే, వాటిని మినహాయించగల సామర్థ్యం కలిగి ఉండే లేదా ఆ కార్యశీలతను అందించే థీమ్‌కు మార్చగలిగే [లేజీ-లోడ్ WordPress ప్లగ్ఇన్‌](https://wordpress.org/plugins/search/lazy+load/)ను ఇన్‌స్టాల్ చేసుకోండి. అలాగే, [AMP ప్లగ్ఇన్‌](https://wordpress.org/plugins/amp/)ను ఉపయోగించడం కూడా పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"[కీలకమైన ఆస్తులను ఇన్‌లైన్‌లో ఉంచడానికి](https://wordpress.org/plugins/search/critical+css/) లేదా [తక్కువ ప్రాముఖ్యత ఉన్న వనరులను మినహాయించడానికి](https://wordpress.org/plugins/search/defer+css+javascript/) మీకు సహాయపడగల అనేక WordPress ప్లగ్ఇన్‌లు ఉన్నాయి. ఈ ప్లగ్ఇన్‌ల ద్వారా అందించబడే ఆప్టిమైజేషన్‌లు మీ థీమ్ లేదా ప్లగ్ఇన్‌ల ఫీచర్‌లను విడగొట్టవచ్చని గుర్తుంచుకోండి, దీని వలన మీరు కోడ్‌కు మార్పులు చేయాల్సి రావచ్చు."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"థీమ్‌లు, ప్లగ్ఇన్‌లు, సర్వర్ లక్షణాలన్నీ కూడా సర్వర్ ప్రతిస్పందన సమయాన్ని ప్రభావితం చేస్తాయి. మరింత ఆప్టిమైజ్ చేయబడిన థీమ్‌ను కనుగొనడానికి, చాలా జాగ్రత్తగా ఆప్టిమైజేషన్ ప్లగ్ఇన్‌ను ఎంచుకోవడానికి మరియు/లేదా మీ సర్వర్‌ను అప్‌గ్రేడ్ చేయడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{
message:"ఇవ్వబడిన పేజీలో చూపబడే పోస్ట్‌ల సంఖ్యను తగ్గించడం, మీ పొడవైన పోస్ట్‌లను బహుళ పేజీలుగా విడగొట్టడం లేదా మందకొడి లోడింగ్ వ్యాఖ్యల కోసం ప్లగ్ఇన్‌ను ఉపయోగించడం ద్వారా (అంటే, మరిన్ని ట్యాగ్ ద్వారా) మీ పోస్ట్ జాబితాలలో సారాంశాలను చూపడానికి ప్రయత్నించండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"అనేక '[WordPress ప్లగ్ఇన్‌లు](https://wordpress.org/plugins/search/minify+css/)' మీ శైలులను క్రమపరచడం, చిన్నవిగా చేయడం, కుదించడం ద్వారా మీ సైట్‌ను మరింత వేగవంతం చేయవచ్చు. వీలైతే, ఈ కనిష్ఠీకరణను ముందుగానే నిర్వహించేలా కూడా మీరు ఒక బిల్డ్ ప్రాసెస్‌ను ఉపయోగించవచ్చు."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"అనేక [WordPress ప్లగ్ఇన్‌లు](https://wordpress.org/plugins/search/minify+javascript/) మీ స్క్రిప్ట్‌లను క్రమపరచడం, చిన్నవిగా చేయడం, కుదించడం ద్వారా మీ సైట్‌ను మరింత వేగవంతం చేయవచ్చు. వీలైతే, ఈ కనిష్ఠీకరణను ముందుగానే నిర్వహించేలా కూడా మీరు ఒక బిల్డ్ ప్రాసెస్‌ను ఉపయోగించడం పరిగణించవచ్చు."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"మీ పేజీలో ఉపయోగించని CSSను లోడ్ చేస్తున్న '[WordPress ప్లగ్ఇన్‌‌ల](https://wordpress.org/plugins/)' సంఖ్యను తగ్గించడం లేదా మార్చడాన్ని పరిశీలించండి. అదనపు CSSను జోడించే ప్లగ్ఇన్‌లను గుర్తించడానికి, Chrome DevToolsలో '[కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)' అమలు చేయడానికి ప్రయత్నించండి. అందుకు కారణమైన థీమ్/ప్లగ్ఇన్‌ను స్టైల్‌షీట్‌లోని URL నుండి మీరు గుర్తించవచ్చు. కోడ్ కవరేజ్‌లో ఎక్కువ ఎరుపు రంగు కలిగి ఉన్న జాబితాలో అనేక స్టైల్‌షీట్‌లను కలిగి ఉన్న ప్లగ్ఇన్‌లను వెతకండి. నిజంగా ప్లగ్ఇన్‌ను ఆ పేజీలో ఉపయోగించినప్పుడు మాత్రమే స్టైల్‌షీట్‌కు జత చేయాలి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"మీ పేజీలో ఉపయోగించని JavaScriptను లోడ్ చేస్తున్న '[WordPress ప్లగ్ఇన్‌‌ల](https://wordpress.org/plugins/)' సంఖ్యను తగ్గించడం లేదా మార్చడాన్ని పరిశీలించండి. అదనపు JSను జోడించే ప్లగ్ఇన్‌లను గుర్తించడానికి, Chrome DevToolsలో '[కోడ్ కవరేజీ](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)' అమలు చేయడానికి ప్రయత్నించండి. అందుకు కారణమైన థీమ్/ప్లగ్ఇన్‌ను స్క్రిప్ట్ యొక్క URL నుండి మీరు గుర్తించవచ్చు. కోడ్ కవరేజ్‌లో ఎక్కువ ఎరుపు రంగు కలిగి ఉన్న జాబితాలో అనేక స్క్రిప్ట్‌లను కలిగి ఉన్న ప్లగ్ఇన్‌లను వెతకండి. నిజంగా ప్లగ్ఇన్‌ను ఆ పేజీలో ఉపయోగించినప్పుడు మాత్రమే స్క్రిప్ట్‌కు జత చేయాలి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[WordPressలో బ్రౌజర్ కాష్ విధానం](https://wordpress.org/support/article/optimization/#browser-caching) గురించి చదవండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"నాణ్యత తగ్గకుండా మీ చిత్రాలను కుదించే [చిత్రం ఆప్టిమైజేషన్ WordPress ప్లగ్ఇన్‌](https://wordpress.org/plugins/search/optimize+images/)ను ఉపయోగించడం పరిశీలించండి."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"అవసరమైన చిత్ర పరిమాణాలు అందుబాటులో ఉన్నాయో లేదో నిర్ధారించుకోవడానికి చిత్రాలను నేరుగా [మీడియా లైబ్రరీ](https://wordpress.org/support/article/media-library-screen/) ద్వారా అప్‌లోడ్ చేయండి. ఆపై వాటిని మీడియా లైబ్రరీ నుండి చొప్పించండి లేదా అనుకూలమైన చిత్ర పరిమాణాలు ఉపయోగించబడ్డాయో లేదో నిర్ధారించుకోవడానికి (ప్రతిస్పందనాత్మక బ్రేక్ పాయింట్‌లు కలిగి ఉండే వాటికి కూడా) చిత్ర విడ్జెట్‌ను ఉపయోగించండి. కొలతలు వాటి వినియోగానికి తగినట్లుగా ఉంటే తప్పితే, '`Full Size`' చిత్రాలను వినియోగించడం నివారించండి. [మరింత తెలుసుకోండి](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"మీరు మీ వెబ్ సర్వర్ కన్ఫిగరేషన్‌లో వచన కుదింపును ప్రారంభించవచ్చు."},"report/renderer/util.js | calculatorLink":{message:"కాలిక్యులేటర్‌ను చూడండి."},"report/renderer/util.js | crcInitialNavigation":{message:"ప్రారంభ నావిగేషన్"},"report/renderer/util.js | crcLongestDurationLabel":{message:"గరిష్ట క్లిష్టమైన మార్గ ప్రతిస్పందన సమయం:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSONను కాపీ చేయి"},"report/renderer/util.js | dropdownDarkTheme":{message:"ముదురు రంగు థీమ్‌ను టోగుల్ చేయి"},"report/renderer/util.js | dropdownPrintExpanded":{message:"ప్రింట్ విస్తరించబడింది"},"report/renderer/util.js | dropdownPrintSummary":{message:"ప్రింట్ సారాంశం"},"report/renderer/util.js | dropdownSaveGist":{message:"Gist లాగా సేవ్ చేయి"},"report/renderer/util.js | dropdownSaveHTML":{message:"HTML లాగా సేవ్ చేయి"},"report/renderer/util.js | dropdownSaveJSON":{message:"JSON లాగా సేవ్ చేయి"},"report/renderer/util.js | dropdownViewer":{message:"వ్యూయర్‌లో తెరువు"},
"report/renderer/util.js | errorLabel":{message:"ఎర్రర్ ఏర్పడింది!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"నివేదిక ఎర్రర్: ఆడిట్ సమాచారం లేదు"},"report/renderer/util.js | footerIssue":{message:"సమస్యను ఫైల్ చేయండి"},"report/renderer/util.js | labDataTitle":{message:"ల్యాబ్ డేటా"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"అనుకరణ మొబైల్ నెట్‌వర్క్‌లో ప్రస్తుత పేజీకి సంబంధించిన [Lighthouse](https://developers.google.com/web/tools/lighthouse/) విశ్లేషణ. విలువలు కేవలం అంచనా మాత్రమే, ఇవి మారే అవకాశం ఉంది."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"మాన్యువల్‌గా తనిఖీ చేయవలసిన అదనపు అంశాలు"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"వర్తించదు"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"అవకాశం"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"అంచనా వేసిన పొదుపులు"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"ఉత్తీర్ణత సాధించిన ఆడిట్‌లు"
},"report/renderer/util.js | runtimeDesktopEmulation":{message:"అనుకరణ డెస్క్‌టాప్"},"report/renderer/util.js | runtimeMobileEmulation":{message:"అనుకరణ Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"అనుకరణ లేదు"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe వెర్షన్"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/మెమరీ పవర్"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU త్రోట్లింగ్"},"report/renderer/util.js | runtimeSettingsChannel":{message:"ఛానెల్"},"report/renderer/util.js | runtimeSettingsDevice":{message:"పరికరం"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"పొందే సమయం"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"నెట్‌వర్క్ త్రోట్లింగ్"},"report/renderer/util.js | runtimeSettingsTitle":{message:"రన్‌టైమ్ సెట్టింగ్‌లు"},"report/renderer/util.js | runtimeSettingsUA":{message:"వెబ్‌సైట్ యాక్సెస్ సాధనం (హోస్ట్)"},
"report/renderer/util.js | runtimeSettingsUANetwork":{message:"వెబ్‌సైట్ యాక్సెస్ సాధనం (నెట్‌వర్క్)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"తెలియదు"},"report/renderer/util.js | showRelevantAudits":{message:"వీటికి సంబంధించిన ఆడిట్‌లను చూపండి:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"స్నిప్పెట్‌ను కుదించు"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"స్నిప్పెట్‌ను విస్తరించు"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"3వ పక్షం వనరులను చూపు"},"report/renderer/util.js | throttlingProvided":{message:"ఎన్విరాన్మెంట్ ద్వారా అందించబడింది"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Lighthouse యొక్క ఈ అమలును ప్రభావితం చేసిన సమస్యలు ఉన్నాయి:"},"report/renderer/util.js | varianceDisclaimer":{
message:"విలువలు కేవలం అంచనా మాత్రమే, ఇవి మారే అవకాశం ఉంది. నేరుగా ఈ కొలమానాల ఆధారంగా [పనితీరు స్కోరు లెక్కించబడుతుంది](https://web.dev/performance-scoring/)."},"report/renderer/util.js | viewTreemapLabel":{message:"ట్రీమ్యాప్‌ను చూడండి"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"ఆడిట్‌లు పాస్ అయ్యాయి కానీ హెచ్చరికలు ఉన్నాయి"},"report/renderer/util.js | warningHeader":{message:"హెచ్చరికలు: "}}},{}],140:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"คีย์การเข้าถึงให้ผู้ใช้โฟกัสที่ส่วนหนึ่งของหน้าได้อย่างรวดเร็ว คีย์การเข้าถึงแต่ละรายการต้องไม่ซ้ำกันเพื่อให้ไปยังส่วนต่างๆ ได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/accesskeys/)"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"ค่า `[accesskey]` ซ้ำกัน"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"ค่า `[accesskey]` ไม่ซ้ำกัน"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"`role` ของ ARIA แต่ละรายการรองรับชุดย่อยของแอตทริบิวต์ `aria-*` ที่เจาะจง หากรายการเหล่านี้ไม่ตรงกันจะทำให้แอตทริบิวต์ `aria-*` ไม่ถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-allowed-attr/)"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"แอตทริบิวต์ `[aria-*]` ไม่ตรงกับบทบาทของตน"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"แอตทริบิวต์ `[aria-*]` ตรงกับบทบาทของตน"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"เมื่อองค์ประกอบไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านองค์ประกอบนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้องค์ประกอบดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"องค์ประกอบ `button`, `link` และ `menuitem` ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"องค์ประกอบ `button`, `link` และ `menuitem` มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'เทคโนโลยีความช่วยเหลือพิเศษ (เช่น โปรแกรมอ่านหน้าจอ) ทำงานไม่สอดคล้องกันเมื่อตั้งค่า `aria-hidden="true"` ในเอกสาร `<body>` [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-hidden-body/)'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'มี `[aria-hidden="true"]` ปรากฏในเอกสาร `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'ไม่มี `[aria-hidden="true"]` ปรากฏในเอกสาร `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'เอลิเมนต์ที่โฟกัสได้ลำดับต่อลงมาในเอลิเมนต์ `[aria-hidden="true"]` ป้องกันไม่ให้ผู้ใช้เทคโนโลยีความช่วยเหลือพิเศษ (เช่น โปรแกรมอ่านหน้าจอ) ใช้เอลิเมนต์การโต้ตอบเหล่านั้นได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-hidden-focus/)'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'เอลิเมนต์ `[aria-hidden="true"]` มีเอลิเมนต์ที่โฟกัสได้ลำดับต่อลงมา'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'เอลิเมนต์ `[aria-hidden="true"]` ไม่มีเอลิเมนต์ที่โฟกัสได้ลำดับต่อลงมา'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"เมื่อช่องป้อนข้อมูลไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านปุ่มนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้ช่องป้อนข้อมูลดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ช่องป้อนข้อมูล ARIA ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ช่องป้อนข้อมูล ARIA มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{
message:"เมื่อองค์ประกอบไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านองค์ประกอบนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้องค์ประกอบดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"องค์ประกอบ ARIA `meter` ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"องค์ประกอบ ARIA `meter` มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"เมื่อองค์ประกอบ `progressbar` ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านองค์ประกอบนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้องค์ประกอบดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"องค์ประกอบ ARIA `progressbar` ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"องค์ประกอบ ARIA `progressbar` มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"บทบาท ARIA บางบทบาทกำหนดให้มีแอตทริบิวต์ที่อธิบายสถานะขององค์ประกอบให้โปรแกรมอ่านหน้าจอทราบ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-required-attr/)"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` ไม่มีแอตทริบิวต์ `[aria-*]` ทั้งหมดที่จำเป็น"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` มีแอตทริบิวต์ `[aria-*]` ที่จำเป็นทั้งหมด"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"บทบาท ARIA ระดับบนสุดบางบทบาทต้องมีบทบาทย่อยที่เจาะจงเพื่อใช้ฟังก์ชันการช่วยเหลือพิเศษตามวัตถุประสงค์ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-required-children/)"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"องค์ประกอบที่มี ARIA `[role]` ที่กำหนดให้องค์ประกอบย่อยต้องมี `[role]` ที่เฉพาะเจาะจงขาดองค์ประกอบย่อยที่จำเป็นดังกล่าวบางส่วนหรือทั้งหมด"},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"องค์ประกอบที่มี ARIA `[role]` ที่กำหนดให้องค์ประกอบย่อยต้องมี `[role]` ที่เฉพาะเจาะจงนั้นมีองค์ประกอบย่อยที่จำเป็นทั้งหมด"},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"บทบาท ARIA ย่อยบางบทบาทต้องอยู่ในบทบาทระดับบนสุดที่เจาะจงเพื่อให้ใช้ฟังก์ชันการช่วยเหลือพิเศษตามวัตถุประสงค์ได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-required-parent/)"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` ไม่ได้อยู่ในองค์ประกอบระดับบนสุดที่กำหนด"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` อยู่ในองค์ประกอบระดับบนสุดที่กำหนด"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"บทบาท ARIA ต้องมีค่าที่ถูกต้องเพื่อใช้ฟังก์ชันการช่วยเหลือพิเศษตามวัตถุประสงค์ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-roles/)"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"ค่า `[role]` ไม่ถูกต้อง"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"ค่า `[role]` ถูกต้อง"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"เมื่อช่องสลับไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านปุ่มนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้ช่องสลับดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ช่องสลับ ARIA ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ช่องสลับ ARIA มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"เมื่อองค์ประกอบไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านองค์ประกอบนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้องค์ประกอบดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"องค์ประกอบ ARIA `tooltip` ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"องค์ประกอบ ARIA `tooltip` มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"เมื่อองค์ประกอบไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านองค์ประกอบนั้นโดยใช้ชื่อทั่วไป ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้องค์ประกอบดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"องค์ประกอบ ARIA `treeitem` ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"องค์ประกอบ ARIA `treeitem` มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"เทคโนโลยีอำนวยความสะดวก เช่น โปรแกรมอ่านหน้าจอ จะตีความแอตทริบิวต์ ARIA ที่มีค่าไม่ถูกต้องไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-valid-attr-value/)"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"แอตทริบิวต์ `[aria-*]` ไม่มีค่าที่ถูกต้อง"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"แอตทริบิวต์ `[aria-*]` มีค่าที่ถูกต้อง"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"เทคโนโลยีอำนวยความสะดวก เช่น โปรแกรมอ่านหน้าจอ จะตีความแอตทริบิวต์ ARIA ที่มีชื่อไม่ถูกต้องไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/aria-valid-attr/)"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{
message:"แอตทริบิวต์ `[aria-*]` ไม่ถูกต้องหรือสะกดผิด"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"แอตทริบิวต์ `[aria-*]` ถูกต้องและสะกดถูกต้อง"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"องค์ประกอบที่ไม่ผ่านการตรวจสอบ"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'เมื่อปุ่มไม่มีชื่อสำหรับการช่วยเหลือพิเศษ โปรแกรมอ่านหน้าจอจะอ่านปุ่มนั้นว่า "ปุ่ม" ซึ่งทำให้ผู้ที่ต้องใช้โปรแกรมอ่านหน้าจอใช้ปุ่มดังกล่าวไม่ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/button-name/)'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"ปุ่มต่างๆ ไม่มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"ปุ่มต่างๆ มีชื่อสำหรับการช่วยเหลือพิเศษ"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"การเพิ่มวิธีข้ามผ่านเนื้อหาที่ซ้ำกันช่วยให้ผู้ใช้แป้นพิมพ์ไปยังส่วนต่างๆ ของหน้าได้อย่างมีประสิทธิภาพมากขึ้น [ดูข้อมูลเพิ่มเติม](https://web.dev/bypass/)"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"หน้าเว็บไม่มีส่วนหัว ลิงก์การข้าม หรือภูมิภาคของจุดสังเกต"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"หน้าเว็บมีส่วนหัว ลิงก์การข้าม หรือภูมิภาคของจุดสังเกต"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"ข้อความคอนทราสต์ต่ำมักทำให้ผู้ใช้จำนวนมากอ่านได้ยากหรืออ่านไม่ได้เลย [ดูข้อมูลเพิ่มเติม](https://web.dev/color-contrast/)"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"สีพื้นหลังและสีพื้นหน้ามีอัตราส่วนคอนทราสต์ไม่เพียงพอ"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"สีพื้นหลังและสีพื้นหน้ามีอัตราส่วนคอนทราสต์ที่เพียงพอ"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"เมื่อมีการทำเครื่องหมายรายการคำจำกัดความอย่างไม่ถูกต้อง โปรแกรมอ่านหน้าจออาจสร้างเอาต์พุตที่ทำให้สับสนหรือไม่แม่นยำ [ดูข้อมูลเพิ่มเติม](https://web.dev/definition-list/)"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` ไม่ได้มีเพียงกลุ่ม `<dt>` และ `<dd>` หรือองค์ประกอบ `<script>` `<template>` หรือ `<div>` ที่เรียงลำดับอย่างถูกต้อง"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` มีเพียงกลุ่ม `<dt>` และ `<dd>` หรือองค์ประกอบ `<script>` `<template>` หรือ `<div>` ที่เรียงลำดับอย่างถูกต้อง"},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"รายการย่อยของคำจำกัดความ (`<dt>` และ `<dd>`) ต้องรวมอยู่ในองค์ประกอบ `<dl>` ระดับบนสุดเพื่อดูแลให้โปรแกรมอ่านหน้าจออ่านได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/dlitem/)"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"รายการย่อยของคำจำกัดความไม่ได้รวมอยู่ในองค์ประกอบ `<dl>`"},
"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"รายการย่อยของคำจำกัดความรวมอยู่ในองค์ประกอบ `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"ชื่อช่วยให้ผู้ใช้โปรแกรมอ่านหน้าจอทราบถึงภาพรวมของหน้า และผู้ใช้เครื่องมือค้นหาจะดูความเกี่ยวข้องของหน้ากับการค้นหาของตนจากชื่อเป็นหลัก [ดูข้อมูลเพิ่มเติม](https://web.dev/document-title/)"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"เอกสารไม่มีองค์ประกอบ `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"เอกสารมีองค์ประกอบ `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"เอลิเมนต์ที่โฟกัสได้ทั้งหมดต้องมี `id` ที่ไม่ซ้ำกันเพื่อให้เทคโนโลยีความช่วยเหลือพิเศษมองเห็นได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/duplicate-id-active/)"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{
message:"แอตทริบิวต์ `[id]` ของเอลิเมนต์ที่โฟกัสได้และทำงานอยู่มีรหัสที่ซ้ำกัน"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"แอตทริบิวต์ `[id]` ของเอลิเมนต์ที่โฟกัสได้และทำงานอยู่ไม่มีรหัสที่ซ้ำกัน"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ค่าของรหัส ARIA ต้องไม่ซ้ำกันเพื่อป้องกันไม่ให้เทคโนโลยีความช่วยเหลือพิเศษมองข้ามอินสแตนซ์อื่นๆ [ดูข้อมูลเพิ่มเติม](https://web.dev/duplicate-id-aria/)"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"มีรหัส ARIA ซ้ำกัน"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ไม่มีรหัส ARIA ที่ซ้ำกัน"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{
message:"ช่องในฟอร์มที่มีป้ายกำกับหลายรายการอาจทำให้เทคโนโลยีความช่วยเหลือพิเศษ (เช่น โปรแกรมอ่านหน้าจอ) สร้างความสับสนให้กับผู้ใช้ได้ โดยอาจอ่านป้ายกำกับแรก ป้ายกำกับสุดท้าย หรืออ่านทุกป้ายกำกับ [ดูข้อมูลเพิ่มเติม](https://web.dev/form-field-multiple-labels/)"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"ช่องในฟอร์มมีป้ายกำกับหลายรายการ"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"ไม่มีช่องในฟอร์มช่องใดมีป้ายกำกับหลายรายการ"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"ผู้ใช้โปรแกรมอ่านหน้าจอต้องใช้ชื่อเฟรมเพื่ออธิบายเนื้อหาของเฟรม [ดูข้อมูลเพิ่มเติม](https://web.dev/frame-title/)"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"องค์ประกอบ `<frame>` หรือ `<iframe>` ไม่มีชื่อ"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"องค์ประกอบ `<frame>` หรือ `<iframe>` มีชื่อ"},
"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"ส่วนหัวที่เรียงลำดับอย่างถูกต้องโดยไม่มีการข้ามระดับจะถ่ายทอดโครงสร้างทางอรรถศาสตร์ของหน้าที่ทำให้การไปยังส่วนต่างๆ และการทำความเข้าใจง่ายมากขึ้นเมื่อใช้เทคโนโลยีความช่วยเหลือพิเศษ [ดูข้อมูลเพิ่มเติม](https://web.dev/heading-order/)"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"เอลิเมนต์ส่วนหัวไม่ปรากฏตามลำดับในเอลิเมนต์ลำดับต่อๆ ลงมา"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"เอลิเมนต์ส่วนหัวปรากฏตามลำดับในเอลิเมนต์ลำดับต่อๆ ลงมา"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"หากหน้าเว็บไม่ได้ระบุแอตทริบิวต์ lang โปรแกรมอ่านหน้าจอจะถือว่าหน้าดังกล่าวใช้ภาษาเริ่มต้นที่ผู้ใช้เลือกเมื่อตั้งค่าโปรแกรมอ่านหน้าจอ หากที่จริงแล้วหน้าดังกล่าวไม่ได้ใช้ภาษาเริ่มต้น โปรแกรมอ่านหน้าจออาจอ่านข้อความในหน้าได้ไม่ถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/html-has-lang/)"},
"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"องค์ประกอบ `<html>` ไม่มีแอตทริบิวต์ `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"องค์ประกอบ `<html>` มีแอตทริบิวต์ `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"การระบุ[ภาษา BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ที่ถูกต้องช่วยให้โปรแกรมอ่านหน้าจออ่านข้อความได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/html-lang-valid/)"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"องค์ประกอบ `<html>` ไม่มีค่าที่ถูกต้องสำหรับแอตทริบิวต์ `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"องค์ประกอบ `<html>` มีค่าที่ถูกต้องสำหรับแอตทริบิวต์ `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{
message:"องค์ประกอบเพื่อการให้ข้อมูลควรมีข้อความสำรองที่สั้นกระชับและสื่อความหมาย การใช้แอตทริบิวต์ Alt ที่ว่างเปล่าจะเป็นการเพิกเฉยต่อองค์ประกอบเพื่อการตกแต่ง [ดูข้อมูลเพิ่มเติม](https://web.dev/image-alt/)"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"องค์ประกอบรูปภาพไม่มีแอตทริบิวต์ `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"องค์ประกอบรูปภาพมีแอตทริบิวต์ `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"เมื่อมีการใช้รูปภาพเป็นปุ่ม `<input>` การระบุข้อความสำรองจะช่วยให้ผู้ใช้โปรแกรมอ่านหน้าจอเข้าใจวัตถุประสงค์ของปุ่มได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/input-image-alt/)"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'องค์ประกอบ `<input type="image">` ไม่มีข้อความ `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'องค์ประกอบ `<input type="image">` มีข้อความ `[alt]`'},
"lighthouse-core/audits/accessibility/label.js | description":{message:"ป้ายกำกับช่วยดูแลให้เทคโนโลยีอำนวยความสะดวกอย่างเช่น โปรแกรมอ่านหน้าจอ อ่านส่วนควบคุมฟอร์มได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/label/)"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"องค์ประกอบฟอร์มไม่มีป้ายกำกับที่เชื่อมโยง"},"lighthouse-core/audits/accessibility/label.js | title":{message:"องค์ประกอบฟอร์มมีป้ายกำกับที่เชื่อมโยงอยู่"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"ข้อความลิงก์ (และข้อความสำรองสำหรับรูปภาพเมื่อใช้เป็นลิงก์) ที่แยกแยะได้ ไม่ซ้ำกัน และโฟกัสได้ ช่วยปรับปรุงประสบการณ์การไปยังส่วนต่างๆ สำหรับผู้ใช้โปรแกรมอ่านหน้าจอ [ดูข้อมูลเพิ่มเติม](https://web.dev/link-name/)"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"ลิงก์ไม่มีชื่อที่แยกแยะได้"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"ลิงก์มีชื่อที่แยกแยะได้"},
"lighthouse-core/audits/accessibility/list.js | description":{message:"โปรแกรมอ่านหน้าจอมีวิธีเฉพาะในการอ่านรายการ การดูแลให้รายการมีโครงสร้างที่ถูกต้องช่วยโปรแกรมอ่านหน้าจอในการอ่านเนื้อหา [ดูข้อมูลเพิ่มเติม](https://web.dev/list/)"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"รายการไม่ได้มีแต่องค์ประกอบ `<li>` และองค์ประกอบที่รองรับสคริปต์ (`<script>` และ`<template>`)"},"lighthouse-core/audits/accessibility/list.js | title":{message:"รายการมีเพียงองค์ประกอบ `<li>` และองค์ประกอบที่รองรับสคริปต์ (`<script>` และ `<template>`)"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"โปรแกรมอ่านหน้าจอกำหนดให้รายการย่อย (`<li>`) อยู่ใน `<ul>` หรือ `<ol>` ระดับบนสุดเพื่อให้อ่านได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/listitem/)"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"รายการย่อย (`<li>`) ไม่ได้อยู่ภายในองค์ประกอบระดับบนสุด `<ul>` หรือ `<ol>`"},
"lighthouse-core/audits/accessibility/listitem.js | title":{message:"รายการย่อย (`<li>`) อยู่ในองค์ประกอบระดับบนสุด `<ul>` หรือ `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"ผู้ใช้ไม่ได้คาดหวังให้หน้าเว็บรีเฟรชโดยอัตโนมัติ และการรีเฟรชหน้าเว็บจะย้ายโฟกัสกลับไปที่ด้านบนของหน้า ซึ่งอาจทำให้ผู้ใช้ได้รับประสบการณ์การใช้งานที่สับสนหรือน่าหงุดหงิด [ดูข้อมูลเพิ่มเติม](https://web.dev/meta-refresh/)"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'เอกสารใช้ `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'เอกสารนี้ไม่ได้ใช้ `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"การปิดใช้การซูมจะเป็นปัญหาสำหรับผู้ใช้ที่มีสายตาเลือนรางซึ่งต้องใช้การขยายหน้าจอเพื่อให้ดูเนื้อหาของหน้าเว็บได้อย่างชัดเจน [ดูข้อมูลเพิ่มเติม](https://web.dev/meta-viewport/)"},
"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'มีการใช้ `[user-scalable="no"]` ในองค์ประกอบ `<meta name="viewport">`หรือแอตทริบิวต์ `[maximum-scale]` น้อยกว่า 5'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'ไม่มีการใช้ `[user-scalable="no"]` ในองค์ประกอบ `<meta name="viewport">` และแอตทริบิวต์ `[maximum-scale]` ไม่น้อยกว่า 5'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"โปรแกรมอ่านหน้าจอแปลเนื้อหาที่ไม่ใช่ข้อความไม่ได้ การเพิ่มข้อความแสดงแทนลงในองค์ประกอบ `<object>` ช่วยโปรแกรมอ่านหน้าจอถ่ายทอดความหมายให้แก่ผู้ใช้ [ดูข้อมูลเพิ่มเติม](https://web.dev/object-alt/)"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"องค์ประกอบ `<object>` ไม่มีข้อความ `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"องค์ประกอบ `<object>` มีข้อความ `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"ค่าที่มากกว่า 0 หมายความว่ามีการจัดเรียงการนำทางที่ชัดเจน แม้ว่าการทำงานนี้จะไม่มีปัญหาในทางเทคนิค แต่มักก่อให้เกิดประสบการณ์การใช้งานที่น่าหงุดหงิดสำหรับผู้ใช้เทคโนโลยีอำนวยความสะดวก [ดูข้อมูลเพิ่มเติม](https://web.dev/tabindex/)"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"องค์ประกอบบางอย่างมีค่า `[tabindex]` มากกว่า 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"ไม่มีองค์ประกอบที่มีค่า `[tabindex]` มากกว่า 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"โปรแกรมอ่านหน้าจอมีฟีเจอร์ที่ช่วยให้ไปยังส่วนต่างๆ ของตารางได้ง่ายขึ้น การดูแลให้เซลล์ `<td>` ที่ใช้แอตทริบิวต์ `[headers]` อ้างอิงถึงเซลล์อื่นๆ ในตารางเดียวกันเท่านั้นอาจช่วยปรับปรุงประสบการณ์สำหรับผู้ใช้โปรแกรมอ่านหน้าจอ [ดูข้อมูลเพิ่มเติม](https://web.dev/td-headers-attr/)"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"เซลล์ในองค์ประกอบ `<table>` ที่ใช้แอตทริบิวต์ `[headers]` อ้างอิงถึง `id` ขององค์ประกอบที่ไม่พบในตารางเดียวกันนี้"},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"เซลล์ในองค์ประกอบ `<table>` ที่ใช้แอตทริบิวต์ `[headers]` อ้างอิงถึงเซลล์ของตารางภายในตารางเดียวกัน"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"โปรแกรมอ่านหน้าจอมีฟีเจอร์ที่ช่วยให้ไปยังส่วนต่างๆ ของตารางได้ง่ายขึ้น การดูแลให้ส่วนหัวของตารางอ้างอิงถึงชุดเซลล์บางชุดอยู่เสมออาจช่วยปรับปรุงประสบการณ์สำหรับผู้ใช้โปรแกรมอ่านหน้าจอ [ดูข้อมูลเพิ่มเติม](https://web.dev/th-has-data-cells/)"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'องค์ประกอบ `<th>` และองค์ประกอบที่มี `[role="columnheader"/"rowheader"]` ไม่มีเซลล์ข้อมูลที่องค์ประกอบอธิบาย'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'องค์ประกอบ `<th>` และองค์ประกอบที่มี `[role="columnheader"/"rowheader"]` มีเซลล์ข้อมูลที่องค์ประกอบอธิบาย'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"การระบุ[ภาษา BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question) ที่ถูกต้องในองค์ประกอบต่างๆ ช่วยดูแลให้โปรแกรมอ่านหน้าจอออกเสียงข้อความได้อย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/valid-lang/)"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"แอตทริบิวต์ `[lang]` ไม่มีค่าที่ถูกต้อง"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"แอตทริบิวต์ `[lang]` มีค่าที่ถูกต้อง"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"เมื่อวิดีโอมีคำอธิบายภาพ คนหูหนวกและผู้ใช้ที่มีความบกพร่องทางการได้ยินจะเข้าถึงข้อมูลของวิดีโอได้ง่ายขึ้น [ดูข้อมูลเพิ่มเติม](https://web.dev/video-caption/)"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'องค์ประกอบ `<video>` ไม่มีองค์ประกอบ `<track>` ที่มี `[kind="captions"]`'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'องค์ประกอบ `<video>` มีองค์ประกอบ `<track>` ที่มี `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"ให้ระบุ `apple-touch-icon` เพื่อให้ปรากฏใน iOS ได้อย่างดีที่สุดเมื่อผู้ใช้เพิ่ม Progressive Web App ลงในหน้าจอหลัก โดยต้องชี้ไปที่สี่เหลี่ยมจตุรัสแบบไม่โปร่งใสขนาด 192 พิกเซล (หรือ 180 พิกเซล) รูปแบบ PNG [ดูข้อมูลเพิ่มเติม](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"ไม่ได้ให้ `apple-touch-icon` ที่ถูกต้อง"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` ไม่อัปเดต แนะนำให้ใช้ `apple-touch-icon` จะดีกว่า"},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"มี `apple-touch-icon` ที่ถูกต้อง"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{
message:"ค่าปัจจุบัน"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"โทเค็นแนะนำ"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` ช่วยให้ผู้ใช้ส่งแบบฟอร์มได้เร็วขึ้น พิจารณาเปิดใช้โดยตั้งค่าแอตทริบิวต์ `autocomplete` เป็นค่าที่ถูกต้องเพื่ออำนวยความสะดวกแก่ผู้ใช้ [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"เอลิเมนต์ `<input>` ไม่มีแอตทริบิวต์ `autocomplete` ที่ถูกต้อง"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"ต้องตรวจสอบโดยเจ้าหน้าที่"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"ตรวจสอบลำดับของโทเค็น"},"lighthouse-core/audits/autocomplete.js | title":{message:"เอลิเมนต์ `<input>` ใช้ `autocomplete` อย่างถูกต้อง"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{
message:'โทเค็น `autocomplete`: "{token}" ใน {snippet} ไม่ถูกต้อง'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'ตรวจสอบลำดับของโทเค็น: "{tokens}" ใน {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"ส่วนขยาย Chrome ส่งผลเสียต่อประสิทธิภาพในการโหลดของหน้านี้ ลองตรวจสอบหน้าในโหมดไม่ระบุตัวตนหรือจากโปรไฟล์ Chrome ที่ไม่มีส่วนขยาย"},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"การประเมินสคริปต์"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"การแยกวิเคราะห์สคริปต์"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"เวลา CPU รวม"},"lighthouse-core/audits/bootup-time.js | description":{message:"พิจารณาลดเวลาที่ใช้ในการแยกวิเคราะห์ แปลโปรแกรม และดำเนินการกับ JS การส่งเปย์โหลด JS ปริมาณน้อยอาจช่วยในเรื่องนี้ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/bootup-time/)"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"ลดเวลาในการดำเนินการกับ JavaScript"},
"lighthouse-core/audits/bootup-time.js | title":{message:"เวลาในการดำเนินการกับ JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"นำโมดูล JavaScript ขนาดใหญ่ที่ซ้ำกันออกจากแพ็กเกจเพื่อลดจำนวนไบต์ที่ไม่จำเป็นที่กิจกรรมเครือข่ายใช้ "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"นำโมดูลที่ซ้ำกันในแพ็กเกจ JavaScript ออก"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"GIF ขนาดใหญ่ไม่มีประสิทธิภาพในการแสดงเนื้อหาภาพเคลื่อนไหว พิจารณาใช้วิดีโอ MPEG4/WebM สำหรับภาพเคลื่อนไหวและใช้ PNG/WebP สำหรับภาพนิ่งแทน GIF เพื่อประหยัดไบต์ของเครือข่าย [ดูข้อมูลเพิ่มเติม](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"ใช้รูปแบบวิดีโอสำหรับเนื้อหาภาพเคลื่อนไหว"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"โพลีฟิลล์และการเปลี่ยนรูปแบบช่วยให้เบราว์เซอร์เดิมใช้ฟีเจอร์ JavaScript ใหม่ได้ แต่ส่วนมากจะไม่จำเป็นสำหรับเบราว์เซอร์สมัยใหม่ สำหรับ JavaScript แบบแพ็กเกจ ให้ใช้กลยุทธ์การทำให้สคริปต์สมัยใหม่ใช้งานได้โดยใช้การตรวจหาฟีเจอร์โมดูล/ไม่มีโมดูลเพื่อลดจำนวนโค้ดที่ส่งไปยังเบราว์เซอร์สมัยใหม่ ขณะที่ยังรองรับเบราว์เซอร์เดิมอยู่ [ดูข้อมูลเพิ่มเติม](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"หลีกเลี่ยงการแสดง JavaScript ในเบราว์เซอร์สมัยใหม่"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"รูปแบบรูปภาพอย่างเช่น JPEG 2000, JPEG XR และ WebP มักบีบอัดได้ดีกว่า PNG หรือ JPEG ซึ่งหมายความว่าจะดาวน์โหลดได้เร็วขึ้นและใช้อินเทอร์เน็ตน้อยลง [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-webp-images/)"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"แสดงรูปภาพในรูปแบบสมัยใหม่"},
"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"พิจารณาโหลดรูปภาพนอกหน้าจอและรูปภาพที่ซ่อนไว้แบบ Lazy Loading หลังจากที่ทรัพยากรที่สำคัญทั้งหมดโหลดเสร็จแล้วเพื่อลดเวลาในการโต้ตอบ [ดูข้อมูลเพิ่มเติม](https://web.dev/offscreen-images/)"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"เลื่อนเวลาโหลดรูปภาพนอกจอภาพ"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"ทรัพยากรบล็อก First Paint ของหน้าเว็บอยู่ พิจารณาแสดง JS/CSS ที่สำคัญในหน้าและเลื่อนเวลาแสดง JS/สไตล์ที่ไม่สำคัญทั้งหมดออกไป [ดูข้อมูลเพิ่มเติม](https://web.dev/render-blocking-resources/)"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"กำจัดทรัพยากรที่บล็อกการแสดงผล"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{
message:"เปย์โหลดปริมาณมากของเครือข่ายทำให้ผู้ใช้เสียค่าใช้จ่ายสูงและสัมพันธ์กับเวลาการโหลดนานเป็นอย่างมาก [ดูข้อมูลเพิ่มเติม](https://web.dev/total-byte-weight/)"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"ขนาดรวมเดิมคือ {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"หลีกเลี่ยงเปย์โหลดเครือข่ายปริมาณมาก"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"หลีกเลี่ยงเปย์โหลดเครือข่ายปริมาณมาก"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"การลดขนาดไฟล์ CSS ช่วยลดขนาดเปย์โหลดของเครือข่ายได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/unminified-css/)"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"ลดขนาด CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{
message:"การลดขนาดไฟล์ JavaScript ช่วยลดขนาดเปย์โหลดและเวลาในการแยกวิเคราะห์สคริปต์ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/unminified-javascript/)"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"ลดขนาด JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"ลดกฎที่ไม่ได้ใช้ในสไตล์ชีตและเลื่อนเวลาโหลด CSS ที่ไม่ได้ใช้สำหรับเนื้อหาครึ่งหน้าบนเพื่อลดจำนวนไบต์ที่กิจกรรมเครือข่ายใช้ [ดูข้อมูลเพิ่มเติม](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"ลด CSS ที่ไม่ได้ใช้"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"ลดจำนวน JavaScript ที่ไม่ได้ใช้และเลื่อนเวลาโหลดสคริปต์ไปจนกว่าจะจำเป็นต้องใช้เพื่อลดจำนวนไบต์ที่กิจกรรมเครือข่ายใช้ [ดูข้อมูลเพิ่มเติม](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"ลดจำนวน JavaScript ที่ไม่ได้ใช้"},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"อายุการใช้งานแคชที่ยาวนานช่วยเพิ่มการเข้าชมหน้าเว็บซ้ำได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-long-cache-ttl/)"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{พบทรัพยากร 1 รายการ}other{พบทรัพยากร # รายการ}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"แสดงเนื้อหาคงที่ที่มีนโยบายแคชที่มีประสิทธิภาพ"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"ใช้นโยบายแคชที่มีประสิทธิภาพกับเนื้อหาคงที่"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"รูปภาพที่ได้รับการเพิ่มประสิทธิภาพจะโหลดได้เร็วขึ้นและใช้อินเทอร์เน็ตมือถือน้อยลง [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-optimized-images/)"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"เข้ารหัสรูปภาพอย่างมีประสิทธิภาพ"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"แสดงรูปภาพที่มีขนาดที่เหมาะสมเพื่อประหยัดอินเทอร์เน็ตมือถือและปรับปรุงเวลาในการโหลด [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-responsive-images/)"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"ปรับขนาดรูปภาพให้เหมาะสม"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"ทรัพยากรแบบข้อความควรแสดงผลโดยมีการบีบอัด (Gzip, Deflate หรือ Brotli) เพื่อลดจำนวนไบต์เครือข่ายทั้งหมด [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-text-compression/)"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"เปิดใช้การบีบอัดข้อความ"},"lighthouse-core/audits/content-width.js | description":{message:"หากความกว้างของเนื้อหาในแอปไม่ตรงกับความกว้างของวิวพอร์ต แอปอาจไม่ได้รับการเพิ่มประสิทธิภาพเพื่อหน้าจออุปกรณ์เคลื่อนที่ [ดูข้อมูลเพิ่มเติม](https://web.dev/content-width/)"},
"lighthouse-core/audits/content-width.js | explanation":{message:"ขนาดวิวพอร์ต {innerWidth} พิกเซลไม่ตรงกับขนาดหน้าต่าง {outerWidth} พิกเซล"},"lighthouse-core/audits/content-width.js | failureTitle":{message:"ไม่ได้ปรับขนาดเนื้อหาอย่างถูกต้องสำหรับวิวพอร์ต"},"lighthouse-core/audits/content-width.js | title":{message:"มีการปรับขนาดเนื้อหาอย่างถูกต้องสำหรับวิวพอร์ต"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"ห่วงโซ่คำขอที่สำคัญด้านล่างแสดงให้เห็นทรัพยากรที่โหลดโดยมีลำดับความสำคัญสูง พิจารณาลดความยาวของห่วงโซ่ ลดขนาดการดาวน์โหลดของทรัพยากร หรือเลื่อนเวลาการดาวน์โหลดทรัพยากรที่ไม่จำเป็นเพื่อปรับปรุงการโหลดหน้าเว็บ [ดูข้อมูลเพิ่มเติม](https://web.dev/critical-request-chains/)"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{พบห่วงโซ่ 1 รายการ}other{พบห่วงโซ่ # รายการ}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"หลีกเลี่ยงคำขอสำคัญแบบลูกโซ่"},
"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"คำสั่ง"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"ความรุนแรง"},"lighthouse-core/audits/csp-xss.js | description":{message:"นโยบายรักษาความปลอดภัยเนื้อหา (CSP) ที่มีประสิทธิภาพช่วยลดความเสี่ยงต่อการโจมตี Cross-site Scripting (XSS) ได้อย่างมาก [ดูข้อมูลเพิ่มเติม](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"ไวยากรณ์"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"หน้าเว็บมีการกำหนด CSP ในแท็ก <meta> ลองกำหนด CSP ในส่วนหัว HTTP หากทำได้"},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"ไม่พบ CSP ในโหมดบังคับใช้"},"lighthouse-core/audits/csp-xss.js | title":{message:"ตรวจสอบว่า CSP มีผลกับการโจมตี XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"การเลิกใช้งาน / คำเตือน"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"บรรทัด"},"lighthouse-core/audits/deprecations.js | description":{
message:"API ที่เลิกใช้งานแล้วจะถูกนำออกจากเบราว์เซอร์ในท้ายที่สุด [ดูข้อมูลเพิ่มเติม](https://web.dev/deprecations/)"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{พบคำเตือน 1 รายการ}other{พบคำเตือน # รายการ}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"ใช้ API ที่เลิกใช้งานแล้ว"},"lighthouse-core/audits/deprecations.js | title":{message:"หลีกเลี่ยงการใช้ API ที่เลิกใช้งานแล้ว"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"แคชของแอปพลิเคชันเลิกใช้งานแล้ว [ดูข้อมูลเพิ่มเติม](https://web.dev/appcache-manifest/)"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'พบ "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"ใช้แคชของแอปพลิเคชัน"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"หลีกเลี่ยงการใช้แคชของแอปพลิเคชัน"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"จำเป็นต้องประกาศการเข้ารหัสอักขระ ซึ่งทำได้โดยใช้แท็ก `<meta>` ใน 1024 ไบต์แรกของ HTML หรือในส่วนหัวการตอบกลับ HTTP ประเภทเนื้อหา [ดูข้อมูลเพิ่มเติม](https://web.dev/charset/)"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"ไม่มีการประกาศชุดอักขระหรือประกาศช้าเกินไปใน HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"กำหนดชุดอักขระได้อย่างถูกต้อง"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"การระบุ DOCTYPE ช่วยป้องกันไม่ให้เบราว์เซอร์เปลี่ยนไปใช้โหมดที่ไม่มาตรฐาน [ดูข้อมูลเพิ่มเติม](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"ชื่อ DOCTYPE ต้องเป็นสตริงตัวพิมพ์เล็ก `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"เอกสารต้องมี DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{
message:"สตริง publicId ควรจะว่าง"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"สตริง systemId ควรจะว่าง"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"หน้าไม่มี DOCTYPE HTML ดังนั้นจึงทริกเกอร์โหมดที่ไม่มาตรฐาน"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"หน้ามี DOCTYPE HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"สถิติ"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"ค่า"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"รายการ DOM ขนาดใหญ่จะใช้หน่วยความจำเพิ่มขึ้น ทำให้[การคำนวณสไตล์](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations)ยาวนานขึ้น และสร้าง[การจัดเรียงการออกแบบใหม่](https://developers.google.com/speed/articles/reflow)ซึ่งมีค่าใช้จ่ายสูง [ดูข้อมูลเพิ่มเติม](https://web.dev/dom-size/)"},
"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 องค์ประกอบ}other{# องค์ประกอบ}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"หลีกเลี่ยง DOM ที่มีขนาดใหญ่เกินไป"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"ความลึก DOM สูงสุด"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"องค์ประกอบ DOM ทั้งหมด"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"จำนวนองค์ประกอบย่อยสูงสุด"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"หลีกเลี่ยง DOM ที่มีขนาดใหญ่เกินไป"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"แท็ก Anchor ที่ไม่ผ่านการตรวจสอบ"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{
message:'เพิ่ม `rel="noopener"` หรือ `rel="noreferrer"` ไปยังลิงก์ภายนอกใดๆ เพื่อปรับปรุงประสิทธิภาพและป้องกันช่องโหว่ด้านความปลอดภัย [ดูข้อมูลเพิ่มเติม](https://web.dev/external-anchors-use-rel-noopener/)'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"ลิงก์ไปปลายทางแบบ Cross-Origin ไม่ปลอดภัย"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"ลิงก์ไปปลายทางแบบ Cross-Origin ปลอดภัย"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"ระบุปลายทางสำหรับโฆษณาด้านล่างสุด ({anchorHTML}) ไม่ได้ หากไม่ได้ใช้เป็นไฮเปอร์ลิงก์ ลองเอา target=_blank ออก"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"ผู้ใช้ไม่เชื่อถือหรือเกิดความสับสนในเว็บไซต์ที่ขอข้อมูลตำแหน่งโดยไม่มีบริบทให้ พิจารณาผูกคำขอกับการกระทำของผู้ใช้แทน [ดูข้อมูลเพิ่มเติม](https://web.dev/geolocation-on-start/)"},
"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"ขอสิทธิ์เข้าถึงตำแหน่งทางภูมิศาสตร์ในการโหลดหน้าเว็บ"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"หลีกเลี่ยงการขอสิทธิ์เข้าถึงตำแหน่งทางภูมิศาสตร์ในการโหลดหน้าเว็บ"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"ประเภทปัญหา"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:'ปัญหาต่างๆ ที่บันทึกไว้ในแผง `Issues` ในเครื่องมือสำหรับนักพัฒนาเว็บใน Chrome บ่งบอกว่าเป็นปัญหาที่ยังไม่ได้รับการแก้ไข โดยอาจมาจากคำขอเครือข่ายที่ไม่ประสบความสำเร็จ การควบคุมด้านความปลอดภัยที่ไม่เพียงพอ และข้อกังวลอื่นๆ เกี่ยวกับเบราว์เซอร์ เปิดแผง "ปัญหา" ในเครื่องมือสำหรับนักพัฒนาเว็บใน Chrome เพื่อดูรายละเอียดเพิ่มเติมของแต่ละปัญหา'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"บันทึกปัญหาไว้แล้วในแผง `Issues` ในเครื่องมือสำหรับนักพัฒนาเว็บใน Chrome"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"ถูกบล็อกโดยนโยบายข้ามต้นทาง"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"การใช้ทรัพยากรปริมาณมากของโฆษณา"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"ไม่พบปัญหาในแผง `Issues` ในเครื่องมือสำหรับนักพัฒนาเว็บใน Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"เวอร์ชัน"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"ตรวจพบไลบรารี JavaScript ส่วนหน้าทั้งหมดในหน้าเว็บ [ดูข้อมูลเพิ่มเติม](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"ตรวจพบไลบรารี JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{
message:"สำหรับผู้ใช้ที่การเชื่อมต่อช้า สคริปต์ภายนอกที่แทรกเข้ามาแบบไดนามิกผ่านทาง `document.write()` จะช่วยหน่วงการโหลดหน้าเว็บได้หลายสิบวินาที [ดูข้อมูลเพิ่มเติม](https://web.dev/no-document-write/)"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"หลีกเลี่ยง `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"หลีกเลี่ยงการใช้ `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"ความรุนแรงสูงสุด"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"เวอร์ชันของไลบรารี"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"จำนวนช่องโหว่"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{
message:"สคริปต์ของบุคคลที่สามบางรายการอาจมีช่องโหว่ด้านความปลอดภัยที่เป็นที่รู้จักซึ่งผู้โจมตีจะหาพบได้ง่ายและใช้ประโยชน์จากช่องโหว่นั้น [ดูข้อมูลเพิ่มเติม](https://web.dev/no-vulnerable-libraries/)"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{ตรวจพบช่องโหว่ 1 รายการ}other{ตรวจพบช่องโหว่ # รายการ}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"มีไลบรารี JavaScript ส่วนหน้าที่มีช่องโหว่ด้านความปลอดภัย"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"หลีกเลี่ยงการใช้ไลบรารี JavaScript ส่วนหน้าที่มีช่องโหว่ด้านความปลอดภัย"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"ผู้ใช้ไม่เชื่อถือหรือเกิดความสับสนในเว็บไซต์ที่ขอส่งการแจ้งเตือนโดยไม่มีบริบทให้ พิจารณาผูกคำขอกับท่าทางสัมผัสของผู้ใช้แทน [ดูข้อมูลเพิ่มเติม](https://web.dev/notification-on-start/)"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"ขอสิทธิ์การแจ้งเตือนในการโหลดหน้าเว็บ"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"หลีกเลี่ยงการขอสิทธิ์การแจ้งเตือนในการโหลดหน้าเว็บ"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"การป้องกันการวางรหัสผ่านทำให้นโยบายความปลอดภัยที่ดีอ่อนแอลง [ดูข้อมูลเพิ่มเติม](https://web.dev/password-inputs-can-be-pasted-into/)"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"ป้องกันผู้ใช้ไม่ให้วางรหัสผ่านในช่อง"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"อนุญาตผู้ใช้ให้วางรหัสผ่านในช่องได้"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"โปรโตคอล"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{
message:"HTTP/2 มีข้อดีมากกว่า HTTP/1.1 หลายประการ เช่น การมีส่วนหัวแบบไบนารีและการมัลติเพล็กซ์ [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{คำขอ 1 รายการไม่ได้แสดงผ่าน HTTP/2}other{คำขอ # รายการไม่ได้แสดงผ่าน HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"ใช้ HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"ลองระบุ Listener เหตุการณ์แบบแตะและลูกกลิ้งเป็น `passive` เพื่อปรับปรุงประสิทธิภาพการเลื่อนของหน้าเว็บ [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-passive-event-listeners/)"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"ไม่ได้ใช้ Listener แบบแพสซีฟเพื่อปรับปรุงประสิทธิภาพการเลื่อน"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"ใช้ Listener แบบแพสซีฟเพื่อปรับปรุงประสิทธิภาพการเลื่อน"},
"lighthouse-core/audits/errors-in-console.js | description":{message:"ข้อผิดพลาดที่บันทึกลงในคอนโซลแสดงให้เห็นถึงปัญหาที่ไม่ได้รับการแก้ไข ข้อผิดพลาดอาจมาจากคำขอเครือข่ายที่ไม่สำเร็จ และปัญหาอื่นๆ เกี่ยวกับเบราว์เซอร์ [ดูข้อมูลเพิ่มเติม](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"บันทึกข้อผิดพลาดเบราว์เซอร์ลงในคอนโซลแล้ว"},"lighthouse-core/audits/errors-in-console.js | title":{message:"ไม่มีข้อผิดพลาดเบราว์เซอร์บันทึกลงในคอนโซล"},"lighthouse-core/audits/font-display.js | description":{message:"ใช้ประโยชน์จากฟีเจอร์ CSS สำหรับแสดงแบบอักษรเพื่อให้ผู้ใช้มองเห็นข้อความได้ในขณะที่กำลังโหลดเว็บฟอนต์ [ดูข้อมูลเพิ่มเติม](https://web.dev/font-display/)"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"ตรวจสอบว่าข้อความจะยังมองเห็นได้ในระหว่างการโหลดเว็บฟอนต์"},"lighthouse-core/audits/font-display.js | title":{message:"ข้อความทั้งหมดจะยังมองเห็นได้ในระหว่างการโหลดเว็บฟอนต์"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse ตรวจสอบค่า`font-display`ของต้นทาง {fontOrigin} โดยอัตโนมัติไม่ได้}other{Lighthouse ตรวจสอบค่า`font-display`ของต้นทาง {fontOrigin} โดยอัตโนมัติไม่ได้}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"สัดส่วนภาพ (ขนาดจริง)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"สัดส่วนภาพ (ที่แสดง)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"ขนาดแสดงรูปภาพควรจะมีสัดส่วนที่เป็นธรรมชาติ [ดูข้อมูลเพิ่มเติม](https://web.dev/image-aspect-ratio/)"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"แสดงรูปภาพที่มีสัดส่วนไม่ถูกต้อง"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"แสดงรูปภาพที่มีสัดส่วนถูกต้อง"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"ขนาดจริง"},
"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"ขนาดที่แสดง"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"ขนาดที่คาดไว้"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"ขนาดตามธรรมชาติของรูปภาพควรได้สัดส่วนกับขนาดการแสดงผลและอัตราส่วนพิกเซลเพื่อเพิ่มความชัดเจนของรูปภาพให้ได้มากที่สุด [ดูข้อมูลเพิ่มเติม](https://web.dev/serve-responsive-images/)"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"แสดงรูปภาพที่มีความละเอียดต่ำ"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"แสดงรูปภาพที่มีความละเอียดเหมาะสม"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"มีการติดตั้งแอปนี้ไว้แล้ว"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"ดาวน์โหลดไอคอนที่จำเป็นจากไฟล์ Manifest ไม่ได้"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"เหตุผลที่ไม่สำเร็จ"},
"lighthouse-core/audits/installable-manifest.js | description":{message:"Service Worker เป็นเทคโนโลยีที่ช่วยให้แอปของคุณใช้ฟีเจอร์ของ Progressive Web App ได้หลายฟีเจอร์ เช่น ออฟไลน์ เพิ่มไปยังหน้าจอหลัก และข้อความ Push เมื่อใช้ Service Worker และไฟล์ Manifest อย่างเหมาะสม เบราว์เซอร์จะแจ้งผู้ใช้อย่างชัดแจ้งให้เพิ่มแอปของคุณในหน้าจอหลัก ซึ่งจะทำให้ผู้ใช้มีส่วนร่วมเพิ่มขึ้นได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{เหตุผล 1 ข้อ}other{เหตุผล # ข้อ}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"ไฟล์ Manifest ของเว็บแอปหรือ Service Worker ไม่ตรงตามข้อกำหนดด้านความสามารถในการติดตั้ง"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL ของแอปใน Play Store และรหัส Play Store ไม่ตรงกัน"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"หน้าโหลดในหน้าต่างที่ไม่ระบุตัวตน"},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'พร็อพเพอร์ตี้ "การแสดงผล" ของไฟล์ Manifest ต้องเป็นอย่างใดอย่างหนึ่งระหว่าง "standalone", "fullscreen" หรือ "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'ไฟล์ Manifest มีช่อง "display_override" และโหมดการแสดงผลโหมดแรกที่รองรับต้องเป็นอย่างใดอย่างหนึ่งระหว่าง "standalone", "fullscreen" หรือ "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"ดึงข้อมูลไฟล์ Manifest ไม่ได้ ไฟล์ดังกล่าวว่างเปล่า หรือแยกวิเคราะห์ไม่ได้"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"URL ของไฟล์ Manifest เปลี่ยนไปขณะดึงข้อมูลไฟล์ Manifest"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'ไฟล์ Manifest ไม่มีช่อง "name" หรือ "short_name"'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:'ไฟล์ Manifest ไม่มีไอคอนที่เหมาะสม ซึ่งต้องอยู่ในรูปแบบ PNG, SVG หรือ WebP และมีขนาดอย่างน้อย {value0} พิกเซล ต้องตั้งค่าแอตทริบิวต์ขนาด และหากมีการตั้งค่าแอตทริบิวต์จุดประสงค์ แอตทริบิวต์นั้นต้องมี "any"'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'ไม่ได้ให้ไอคอนที่เป็นรูปสี่เหลี่ยมจัตุรัสและมีขนาดอย่างน้อย {value0} พิกเซลในรูปแบบ PNG, SVG หรือ WebP ซึ่งไม่ได้ตั้งค่าแอตทริบิวต์วัตถุประสงค์เอาไว้หรือตั้งค่าเป็น "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"ไอคอนที่ดาวน์โหลดว่างเปล่าหรือเกิดความเสียหาย"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"ไม่ได้ระบุรหัส Play Store"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"หน้านี้ไม่มี <link> URL ของไฟล์ Manifest"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"ไม่พบ Service Worker ที่ตรงกัน คุณอาจต้องโหลดหน้านี้ซ้ำหรือตรวจสอบว่าขอบเขตของ Service Worker สำหรับหน้าปัจจุบันครอบคลุมขอบเขตและ URL เริ่มต้นจากไฟล์ Manifest"},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'ตรวจสอบ Service Worker โดยไม่มีช่อง "start_url" ในไฟล์ Manifest ไม่ได้'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'ไม่รู้จักรหัสข้อผิดพลาดด้านความสามารถในการติดตั้ง "{errorId}"'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"หน้าไม่ได้แสดงผลจากต้นทางที่ปลอดภัย"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"หน้าไม่ได้โหลดในเฟรมหลัก"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"หน้าใช้งานแบบออฟไลน์ไม่ได้"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"แพลตฟอร์มแอปพลิเคชันที่ระบุไว้ใช้ไม่ได้ใน Android"},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"ไฟล์ Manifest ระบุ prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications ใช้ได้เฉพาะใน Chrome เบต้า และเวอร์ชันเสถียรใน Android เท่านั้น"},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"URL เริ่มต้นของไฟล์ Manifest ไม่ถูกต้อง"},"lighthouse-core/audits/installable-manifest.js | title":{message:"ไฟล์ Manifest ของเว็บแอปและ Service Worker ตรงตามข้อกำหนดด้านความสามารถในการติดตั้ง"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL ในไฟล์ Manifest มีชื่อผู้ใช้ รหัสผ่าน หรือพอร์ต"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"หน้าใช้งานแบบออฟไลน์ไม่ได้ หน้านี้จะไม่ถือว่าติดตั้งได้หลังจาก Chrome 93 ซึ่งเป็นรุ่นที่เสถียรและเปิดตัวในเดือนสิงหาคม 2021"},
"lighthouse-core/audits/is-on-https.js | allowed":{message:"อนุญาต"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"ถูกบล็อก"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL ไม่ปลอดภัย"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"การแก้ไขปัญหาตามคำขอ"},"lighthouse-core/audits/is-on-https.js | description":{message:"ควรปกป้องทุกเว็บไซต์ด้วยการใช้ HTTPS แม้ว่าจะเป็นเว็บไซต์ที่ไม่มีข้อมูลที่ละเอียดอ่อนก็ตาม ซึ่งรวมถึงการหลีกเลี่ยง[เนื้อหาผสม](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)ที่มีการโหลดทรัพยากรบางอย่างผ่าน HTTP แม้ว่าคำขอเริ่มแรกจะดำเนินการผ่าน HTTPS ก็ตาม HTTPS ป้องกันผู้บุกรุกไม่ให้แทรกแซงหรือแอบฟังการสื่อสารระหว่างแอปกับผู้ใช้ของคุณ และเป็นข้อกำหนดที่ต้องทำก่อนสำหรับ HTTP/2 รวมถึง API ของแพลตฟอร์มเว็บใหม่ๆ อีกมาก [ดูข้อมูลเพิ่มเติม](https://web.dev/is-on-https/)"},"lighthouse-core/audits/is-on-https.js | displayValue":{
message:"{itemCount,plural, =1{พบคำขอที่ไม่ปลอดภัย 1 รายการ}other{พบคำขอที่ไม่ปลอดภัย # รายการ}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"ไม่ได้ใช้ HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"ใช้ HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"อัปเกรดเป็น HTTPS โดยอัตโนมัติ"},"lighthouse-core/audits/is-on-https.js | warning":{message:"อนุญาตแบบมีคำเตือน"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"ไลบรารี"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"ไลบรารี JavaScript ขนาดใหญ่อาจทำให้ประสิทธิภาพต่ำ ขอแนะนำให้ใช้ไลบรารีขนาดเล็กที่มีฟังก์ชันการใช้งานเทียบเท่ากันเพื่อลดขนาด Bundle [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{
message:"{libraryCount,plural, =1{พบไลบรารีขนาดใหญ่ 1 รายการ}other{พบไลบรารีขนาดใหญ่ # รายการ}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"แทนที่ไลบรารี JavaScript ที่มีขนาดใหญ่เกินความจำเป็น"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"หลีกเลี่ยงการใช้ไลบรารี JavaScript ขนาดใหญ่หากมีไลบรารีอื่นที่ขนาดเล็กกว่า"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"นี่คือองค์ประกอบที่มีเนื้อหาเต็มขนาดใหญ่ที่สุดซึ่งแสดงผลภายในวิวพอร์ต [ดูข้อมูลเพิ่มเติม](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"องค์ประกอบ Largest Contentful Paint"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"ปัจจัยที่ทำให้เกิด CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"องค์ประกอบ DOM เหล่านี้มีส่วนอย่างมากที่สุดต่อ CLS ของหน้า"},
"lighthouse-core/audits/layout-shift-elements.js | title":{message:"หลีกเลี่ยงการเลื่อนเลย์เอาต์ขนาดใหญ่"},"lighthouse-core/audits/long-tasks.js | description":{message:"ระบุงานที่ใช้เวลานานที่สุดในเทรดหลัก เหมาะสำหรับการระบุปัจจัยที่แย่ที่สุดที่ทำให้อินพุตล่าช้า [ดูข้อมูลเพิ่มเติม](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{พบ # งานที่ใช้เวลานาน}other{พบ # งานที่ใช้เวลานาน}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"หลีกเลี่ยงงานในเทรดหลักที่ใช้เวลานาน"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"หมวดหมู่"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"พิจารณาลดเวลาที่ใช้ในการแยกวิเคราะห์ แปลโปรแกรม และดำเนินการกับ JS การส่งเพย์โหลด JS ปริมาณน้อยลงอาจช่วยในเรื่องนี้ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{
message:"ลดการทำงานของเธรดหลัก"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"ลดการทำงานของเธรดหลัก"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"เว็บไซต์ควรทำงานในเบราว์เซอร์หลักๆ ทั้งหมดได้เพื่อให้เข้าถึงผู้ใช้จำนวนมากที่สุด [ดูข้อมูลเพิ่มเติม](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"เว็บไซต์ทำงานในเบราว์เซอร์ต่างๆ ได้"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"ตรวจดูว่าแต่ละหน้าทำ Deep Link ผ่าน URL ได้และ URL ต่างๆ ไม่ซ้ำกันเพื่อให้แชร์ได้ในโซเชียลมีเดีย [ดูข้อมูลเพิ่มเติม](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"แต่ละหน้ามี URL ที่ไม่ซ้ำกัน"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"การเปลี่ยนควรจะดำเนินไปอย่างรวดเร็วขณะที่คุณแตะไปรอบๆ แม้ในเครือข่ายที่ช้า ซึ่งเป็นสิ่งสำคัญที่ทำให้ผู้ใช้รับรู้ได้ถึงประสิทธิภาพ [ดูข้อมูลเพิ่มเติม](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"เปลี่ยนหน้าได้รวดเร็วแม้ว่าเครือข่ายจะช้า"},"lighthouse-core/audits/maskable-icon.js | description":{message:"ไอคอนที่มาสก์ได้ช่วยให้รูปภาพแสดงขึ้นเต็มกรอบโดยไม่มีแถบปรากฏอยู่ตามขอบเมื่อติดตั้งแอปในอุปกรณ์ [ดูข้อมูลเพิ่มเติม](https://web.dev/maskable-icon-audit/)"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"ไฟล์ Manifest ไม่มีไอคอนที่มาสก์ได้"},"lighthouse-core/audits/maskable-icon.js | title":{message:"ไฟล์ Manifest มีไอคอนที่มาสก์ได้"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Cumulative Layout Shift จะวัดการเคลื่อนไหวขององค์ประกอบที่มองเห็นได้ภายในวิวพอร์ต [ดูข้อมูลเพิ่มเติม](https://web.dev/cls/)"},
"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"First Contentful Paint ระบุเวลาที่มีการแสดงผลข้อความหรือรูปภาพครั้งแรก [ดูข้อมูลเพิ่มเติม](https://web.dev/first-contentful-paint/)"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"การแสดงผลที่มีความหมายครั้งแรกวัดเมื่อเนื้อหาหลักของหน้าเว็บปรากฏ [ดูข้อมูลเพิ่มเติม](https://web.dev/first-meaningful-paint/)"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"เวลาในการตอบสนองคือระยะเวลาที่หน้าเว็บใช้ในการตอบสนองอย่างสมบูรณ์ [ดูข้อมูลเพิ่มเติม](https://web.dev/interactive/)"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Largest Contentful Paint ระบุเวลาที่แสดงผลข้อความหรือรูปภาพได้มากที่สุด [ดูข้อมูลเพิ่มเติม](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{
message:"First Input Delay สูงสุดที่อาจเกิดขึ้นซึ่งผู้ใช้อาจเจอคือระยะเวลาของงานที่ยาวที่สุด [ดูข้อมูลเพิ่มเติม](https://web.dev/lighthouse-max-potential-fid/)"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"ดัชนีความเร็วแสดงให้เห็นความเร็วที่เนื้อหาของหน้าปรากฏจนดูสมบูรณ์ [ดูข้อมูลเพิ่มเติม](https://web.dev/speed-index/)"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"ผลรวมช่วงเวลาทั้งหมดระหว่าง FCP และเวลาในการตอบสนอง เมื่อความยาวของงานเกิน 50ms หน่วยเป็นมิลลิวินาที [ดูข้อมูลเพิ่มเติม](https://web.dev/lighthouse-total-blocking-time/)"},"lighthouse-core/audits/network-rtt.js | description":{message:"ระยะเวลารับส่งข้อมูล (RTT) ของเครือข่ายมีผลกระทบอย่างมากต่อประสิทธิภาพ หากต้นทางมี RTT สูง แสดงว่าเซิร์ฟเวอร์ที่อยู่ใกล้กับผู้ใช้มากกว่าอาจช่วยปรับปรุงประสิทธิภาพได้ [ดูข้อมูลเพิ่มเติม](https://hpbn.co/primer-on-latency-and-bandwidth/)"},"lighthouse-core/audits/network-rtt.js | title":{message:"ระยะเวลารับส่งข้อมูลของเครือข่าย"},
"lighthouse-core/audits/network-server-latency.js | description":{message:"เวลาในการตอบสนองต่อเซิร์ฟเวอร์อาจส่งผลกระทบต่อประสิทธิภาพของเว็บ หากต้นทางใช้เวลาในการตอบสนองต่อเซิร์ฟเวอร์นาน แสดงว่ามีการใช้งานเซิร์ฟเวอร์มากเกินไปหรือประสิทธิภาพแบ็กเอนด์ของเซิร์ฟเวอร์ไม่ดี [ดูข้อมูลเพิ่มเติม](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)"},"lighthouse-core/audits/network-server-latency.js | title":{message:"เวลาในการตอบสนองจากแบ็กเอนด์ของเซิร์ฟเวอร์"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"เหตุการณ์ `unload` เริ่มทำงานโดยไม่มีความเสถียร และการ Listen อาจทำให้การเพิ่มประสิทธิภาพเบราว์เซอร์อย่างแคชย้อนหลังไม่ทำงาน ลองพิจารณาใช้เหตุการณ์ `pagehide` หรือ `visibilitychange` แทน [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"ลงทะเบียน Listener `unload`"},
"lighthouse-core/audits/no-unload-listeners.js | title":{message:"หลีกเลี่ยง Listener เหตุการณ์ `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"ภาพเคลื่อนไหวที่ไม่ได้ทำการ Composite อาจมีคุณภาพต่ำและทำให้ CLS เพิ่มขึ้น [ดูข้อมูลเพิ่มเติม](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{พบองค์ประกอบของภาพเคลื่อนไหว # รายการ}other{พบองค์ประกอบของภาพเคลื่อนไหว # รายการ}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"พร็อพเพอร์ตี้ที่เกี่ยวข้องกับตัวกรองอาจทำให้พิกเซลเคลื่อนที่"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"เป้าหมายมีภาพเคลื่อนไหวอื่นที่ใช้ร่วมกันไม่ได้"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'เอฟเฟกต์มีโหมด Composite อื่นที่ไม่ใช่ "replace"'},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"หลีกเลี่ยงการใช้ภาพเคลื่อนไหวที่ไม่ได้ทำการ Composite"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"พร็อพเพอร์ตี้ที่เกี่ยวข้องกับการเปลี่ยนรูปแบบจะขึ้นอยู่กับขนาดช่อง"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{มีพร็อพเพอร์ตี้ CSS ที่ไม่รองรับ: {properties}}other{มีพร็อพเพอร์ตี้ CSS ที่ไม่รองรับ: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"เอฟเฟกต์มีพารามิเตอร์การจับเวลาที่ไม่รองรับ"},"lighthouse-core/audits/performance-budget.js | description":{message:"ควบคุมให้จำนวนและขนาดของคำขอเครือข่ายอยู่ภายในเป้าหมายที่กำหนดตามงบประมาณประสิทธิภาพที่ให้มา [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{
message:"{count,plural, =1{1 คำขอ}other{# คำขอ}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"งบประมาณประสิทธิภาพ"},"lighthouse-core/audits/preload-fonts.js | description":{message:"โหลดแบบอักษร `optional` ไว้ล่วงหน้าเพื่อให้ผู้เข้าชมครั้งแรกใช้ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"ไม่มีการโหลดแบบอักษรที่มีค่า `font-display: optional` ไว้ล่วงหน้า"},"lighthouse-core/audits/preload-fonts.js | title":{message:"มีการโหลดแบบอักษรที่มีค่า `font-display: optional` ไว้ล่วงหน้า"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"โหลดรูปภาพที่ใช้โดยองค์ประกอบ LCP ล่วงหน้าเพื่อปรับปรุงเวลา LCP [ดูข้อมูลเพิ่มเติม](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"โหลดรูปภาพ Largest Contentful Paint ล่วงหน้า"},"lighthouse-core/audits/redirects-http.js | description":{
message:"หากคุณตั้งค่า HTTPS ไว้แล้ว ให้ตรวจสอบว่าได้เปลี่ยนเส้นทางการเข้าชมผ่าน HTTP ทั้งหมดไปยัง HTTPS เพื่อให้ผู้ใช้ทุกคนใช้ฟีเจอร์เว็บที่ปลอดภัยได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"ไม่ได้เปลี่ยนเส้นทางการเข้าชมผ่าน HTTP ไปยัง HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"เปลี่ยนเส้นทางการเข้าชมผ่าน HTTP ไปยัง HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"การเปลี่ยนเส้นทางทำให้เกิดความล่าช้ามากขึ้นก่อนที่หน้าเว็บจะโหลดได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/redirects/)"},"lighthouse-core/audits/redirects.js | title":{message:"หลีกเลี่ยงการเปลี่ยนเส้นทางหลายหน้า"},"lighthouse-core/audits/resource-summary.js | description":{message:"หากต้องการตั้งงบประมาณสำหรับจำนวนและขนาดของทรัพยากรหน้า ให้เพิ่มไฟล์ budget.json [ดูข้อมูลเพิ่มเติม](https://web.dev/use-lighthouse-for-performance-budgets/)"},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{1 คำขอ • {byteCount, number, bytes} KiB}other{# คำขอ • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"ควบคุมให้จำนวนคำขอมีไม่มากและการโอนมีขนาดเล็ก"},"lighthouse-core/audits/seo/canonical.js | description":{message:"ลิงก์ Canonical จะบอกถึง URL ที่จะแสดงในผลการค้นหา [ดูข้อมูลเพิ่มเติม](https://web.dev/canonical/)"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"URL หลายรายการขัดแย้งกัน ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"ชี้ไปที่โดเมนอื่น ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL ไม่ถูกต้อง ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"ชี้ไปที่ `hreflang` ตำแหน่งอื่น ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL แบบสัมพัทธ์ ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"ชี้ไปที่ URL ระดับรากของโดเมน (หน้าแรก) แทนที่จะเป็นหน้าที่เทียบเท่ากันของเนื้อหา"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"เอกสารไม่มี `rel=canonical` ที่ถูกต้อง"},"lighthouse-core/audits/seo/canonical.js | title":{message:"เอกสารมี `rel=canonical` ที่ถูกต้อง"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"รวบรวมข้อมูลลิงก์ไม่ได้"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"เครื่องมือค้นหาอาจใช้แอตทริบิวต์ `href` ในลิงก์เพื่อรวบรวมข้อมูลเว็บไซต์ โปรดตรวจสอบว่าแอตทริบิวต์ `href` ขององค์ประกอบแท็ก Anchor ลิงก์กับปลายทางที่เหมาะสมเพื่อให้ระบบค้นพบหน้าอื่นๆ ของเว็บไซต์ได้ [ดูข้อมูลเพิ่มเติม](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"รวบรวมข้อมูลลิงก์ไม่ได้"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{
message:"รวบรวมข้อมูลลิงก์ได้"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"ข้อความอื่นที่อ่านได้ไม่ชัดเจน"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"ขนาดแบบอักษร"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% ของข้อความในหน้า"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"ตัวเลือก"},"lighthouse-core/audits/seo/font-size.js | description":{message:"ขนาดตัวอักษรที่เล็กกว่า 12 พิกเซลจะเล็กเกินไปจนอ่านไม่ออกและทำให้ผู้เข้าชมในอุปกรณ์เคลื่อนที่ต้อง “บีบเพื่อซูมเข้า” เพื่ออ่าน พยายามให้ข้อความในหน้าเว็บมากกว่า 60% มีขนาดอย่างน้อย 12 พิกเซล [ดูข้อมูลเพิ่มเติม](https://web.dev/font-size/)"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"ข้อความที่อ่านได้ชัดเจน {decimalProportion, number, extendedPercent}"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{
message:"ข้อความอ่านได้ไม่ชัดเจนเพราะไม่มีเมตาแท็กวิวพอร์ตที่เพิ่มประสิทธิภาพให้เหมาะกับหน้าจออุปกรณ์เคลื่อนที่"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"เอกสารไม่ได้ใช้ขนาดตัวอักษรที่อ่านได้ชัดเจน"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"ข้อความที่อ่านได้ชัดเจน"},"lighthouse-core/audits/seo/font-size.js | title":{message:"เอกสารใช้ขนาดตัวอักษรที่อ่านได้ชัดเจน"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"ลิงก์ hreflang จะบอกให้เครื่องมือค้นหาทราบถึงเวอร์ชันของหน้าเว็บที่ควรแสดงในผลการค้นหาสำหรับแต่ละภาษาหรือภูมิภาค [ดูข้อมูลเพิ่มเติม](https://web.dev/hreflang/)"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"เอกสารไม่มี `hreflang` ที่ถูกต้อง"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"ค่า href แบบสัมพัทธ์"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"เอกสารมี `hreflang` ที่ถูกต้อง"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{
message:"รหัสภาษาที่ไม่คาดคิด"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"หน้าเว็บที่มีรหัสสถานะ HTTP ไม่สำเร็จอาจไม่ได้รับการจัดทำดัชนีอย่างถูกต้อง [ดูข้อมูลเพิ่มเติม](https://web.dev/http-status-code/)"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"หน้าเว็บมีรหัสสถานะ HTTP ไม่สำเร็จ"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"หน้าเว็บมีรหัสสถานะ HTTP สำเร็จ"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"เครื่องมือค้นหาจะรวมหน้าเว็บของคุณไว้ในผลการค้นหาไม่ได้หากไม่มีสิทธิ์รวบรวมข้อมูลหน้าดังกล่าว [ดูข้อมูลเพิ่มเติม](https://web.dev/is-crawable/)"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"หน้าเว็บถูกบล็อกไม่ให้มีการจัดทำดัชนี"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"หน้าไม่ได้ถูกบล็อกจากการจัดทำดัชนี"},"lighthouse-core/audits/seo/link-text.js | description":{
message:"ข้อความอธิบายลิงก์ช่วยให้เครื่องมือค้นหาเข้าใจเนื้อหาของคุณ [ดูข้อมูลเพิ่มเติม](https://web.dev/link-text/)"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{พบ 1 ลิงก์}other{พบ # ลิงก์}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"ลิงก์ไม่มีข้อความอธิบาย"},"lighthouse-core/audits/seo/link-text.js | title":{message:"ลิงก์มีข้อความอธิบาย"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"เรียกใช้[เครื่องมือทดสอบข้อมูลที่มีโครงสร้าง](https://search.google.com/structured-data/testing-tool/)และ [Linter ข้อมูลที่มีโครงสร้าง](http://linter.structured-data.org/)เพื่อตรวจสอบความถูกต้องของข้อมูลที่มีโครงสร้าง [ดูข้อมูลเพิ่มเติม](https://web.dev/structured-data/)"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"ข้อมูลที่มีโครงสร้างถูกต้อง"},"lighthouse-core/audits/seo/meta-description.js | description":{
message:"อาจมีการรวมคำอธิบายเมตาในผลการค้นหาเพื่อสรุปเนื้อหาของหน้าเว็บให้สั้นกระชับ [ดูข้อมูลเพิ่มเติม](https://web.dev/meta-description/)"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"ข้อความอธิบายว่างเปล่า"},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"เอกสารไม่มีคำอธิบายเมตา"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"เอกสารมีคำอธิบายเมตา"},"lighthouse-core/audits/seo/plugins.js | description":{message:"เครื่องมือค้นหาจัดทำดัชนีเนื้อหาปลั๊กอินไม่ได้ และอุปกรณ์จำนวนมากจำกัดการใช้หรือไม่รองรับปลั๊กอิน [ดูข้อมูลเพิ่มเติม](https://web.dev/plugins/)"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"เอกสารใช้ปลั๊กอิน"},"lighthouse-core/audits/seo/plugins.js | title":{message:"เอกสารหลีกเลี่ยงการใช้ปลั๊กอิน"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"หากไฟล์ robots.txt มีรูปแบบไม่ถูกต้อง โปรแกรมรวบรวมข้อมูลอาจไม่เข้าใจวิธีที่คุณต้องการให้รวบรวมข้อมูลหรือจัดทำดัชนีเว็บไซต์ [ดูข้อมูลเพิ่มเติม](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"คำขอ robots.txt แสดงสถานะ HTTP ต่อไปนี้ {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{พบข้อผิดพลาด 1 รายการ}other{พบข้อผิดพลาด # รายการ}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse ดาวน์โหลดไฟล์ robots.txt ไม่ได้"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt ไม่ถูกต้อง"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt ถูกต้อง"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"องค์ประกอบสำหรับการโต้ตอบ เช่น ปุ่มและลิงก์ ต้องมีขนาดใหญ่พอ (48x48 พิกเซล) และมีพื้นที่ว่างโดยรอบมากพอเพื่อให้แตะได้ง่ายๆ โดยไม่ซ้อนทับกับองค์ประกอบอื่นๆ [ดูข้อมูลเพิ่มเติม](https://web.dev/tap-targets/)"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"เป้าหมายการแตะที่มีขนาดเหมาะสม {decimalProportion, number, percent}"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"เป้าหมายการแตะมีขนาดเล็กเกินไปเพราะไม่มีเมตาแท็กวิวพอร์ตที่เพิ่มประสิทธิภาพให้เหมาะกับหน้าจออุปกรณ์เคลื่อนที่"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"เป้าหมายการแตะมีขนาดที่ไม่เหมาะสม"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"เป้าหมายซ้อนทับกัน"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"เป้าหมายการแตะ"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"เป้าหมายการแตะมีขนาดที่เหมาะสม"},
"lighthouse-core/audits/server-response-time.js | description":{message:"พยายามทำให้การตอบกลับของเซิร์ฟเวอร์สำหรับเอกสารหลักใช้เวลาน้อยเนื่องจากคำขออื่นทั้งหมดจะขึ้นอยู่กับเวลานี้ [ดูข้อมูลเพิ่มเติม](https://web.dev/time-to-first-byte/)"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"เอกสารรากใช้เวลา {timeInMs, number, milliseconds} มิลลิวินาที"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"ลดเวลาในการตอบกลับของเซิร์ฟเวอร์ขณะเริ่มแรก"},"lighthouse-core/audits/server-response-time.js | title":{message:"การตอบกลับของเซิร์ฟเวอร์ขณะเริ่มแรกใช้เวลาน้อย"},"lighthouse-core/audits/service-worker.js | description":{message:"Service Worker เป็นเทคโนโลยีที่ช่วยให้แอปของคุณใช้ฟีเจอร์ของ Progressive Web App ได้หลายฟีเจอร์ เช่น ออฟไลน์ เพิ่มไปยังหน้าจอหลัก และข้อความ Push [ดูข้อมูลเพิ่มเติม](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"หน้านี้ควบคุมโดย Service Worker แต่ไม่พบ `start_url` เนื่องจากไฟล์ Manifest แยกวิเคราะห์เป็น JSON ที่ถูกต้องไม่ได้"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"หน้านี้ควบคุมโดย Service Worker แต่ `start_url` ({startUrl}) ไม่ได้อยู่ในขอบเขตของ Service Worker นั้น ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"หน้านี้ควบคุมโดย Service Worker แต่ไม่พบ `start_url` เพราะไม่มีการดึงไฟล์ Manifest"},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"ต้นทางนี้มี Service Worker อย่างน้อย 1 ไฟล์ แต่หน้าเว็บ ({pageUrl}) ไม่อยู่ในขอบเขต"},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"ไม่ได้ลงทะเบียน Service Worker ที่ควบคุมหน้าเว็บและ `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"ลงทะเบียน Service Worker ที่ควบคุมหน้าเว็บและ `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{
message:"หน้าจอแนะนำที่มีธีมช่วยให้ผู้ใช้ได้รับประสบการณ์ที่มีคุณภาพสูงเมื่อเปิดแอปของคุณจากหน้าจอหลัก [ดูข้อมูลเพิ่มเติม](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"ไม่ได้กำหนดค่าให้ใช้หน้าจอแนะนำที่กำหนดเอง"},"lighthouse-core/audits/splash-screen.js | title":{message:"มีการกำหนดค่าให้ใช้หน้าจอแนะนำที่กำหนดเอง"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"คุณกำหนดธีมของแถบที่อยู่เบราว์เซอร์ให้เข้ากับเว็บไซต์ได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"ไม่ได้กำหนดสีธีมสำหรับแถบที่อยู่"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"กำหนดสีธีมของแถบที่อยู่"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (การสนับสนุนลูกค้า)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (การตลาด)"},
"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (โซเชียล)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (วิดีโอ)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"ผลิตภัณฑ์"},"lighthouse-core/audits/third-party-facades.js | description":{message:"โค้ดของบุคคลที่สามที่ฝังไว้บางโค้ดจะโหลดแบบ Lazy Loading ได้ ลองนำ Facade มาแทนโค้ดไว้จนกว่าจะต้องใช้โค้ดที่ฝังไว้ดังกล่าว [ดูข้อมูลเพิ่มเติม](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{มี Facade ที่ใช้แทนได้ # รายการ}other{มี Facade ที่ใช้แทนได้ # รายการ}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"ทรัพยากรของบุคคลที่สามบางส่วนโหลดแบบ Lazy Loading ได้ด้วย Facade"},"lighthouse-core/audits/third-party-facades.js | title":{message:"โหลดทรัพยากรของบุคคลที่สามแบบ Lazy Loading ด้วย Facade"},
"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"บุคคลที่สาม"},"lighthouse-core/audits/third-party-summary.js | description":{message:"โค้ดของบุคคลที่สามอาจส่งผลกระทบที่สำคัญต่อประสิทธิภาพการโหลด จำกัดจำนวนผู้ให้บริการบุคคลที่สามที่มากเกินไปและพยายามโหลดโค้ดของบุคคลที่สามหลังจากที่หน้าเว็บโหลดเบื้องต้นเสร็จเรียบร้อยแล้ว [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"โค้ดของบุคคลที่สามบล็อกเทรดหลักเป็นเวลา {timeInMs, number, milliseconds} วินาที"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"ลดผลกระทบจากโค้ดของบุคคลที่สาม"},"lighthouse-core/audits/third-party-summary.js | title":{message:"ลดการใช้ของบุคคลที่สาม"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"การวัด"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{
message:"เมตริก"},"lighthouse-core/audits/timing-budget.js | description":{message:"ตั้งงบประมาณด้านเวลาเพื่อช่วยดูประสิทธิภาพของเว็บไซต์ เว็บไซต์ที่มีประสิทธิภาพจะโหลดได้เร็วและตอบสนองต่อเหตุการณ์ที่เป็นอินพุตจากผู้ใช้ได้อย่างรวดเร็ว [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/tools/lighthouse/audits/budgets)"},"lighthouse-core/audits/timing-budget.js | title":{message:"งบประมาณด้านเวลา"},"lighthouse-core/audits/unsized-images.js | description":{message:"กำหนดความกว้างและความยาวขององค์ประกอบรูปภาพอย่างชัดเจนเพื่อลดการขยับของเลย์เอาต์และปรับปรุง CLS [ดูข้อมูลเพิ่มเติม](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"องค์ประกอบรูปภาพไม่มี `width` และ `height` ที่ชัดเจน"},"lighthouse-core/audits/unsized-images.js | title":{message:"องค์ประกอบรูปภาพมี `width` และ `height` ที่ชัดเจน"},"lighthouse-core/audits/user-timings.js | columnType":{message:"ประเภท"},
"lighthouse-core/audits/user-timings.js | description":{message:"พิจารณาติดตั้ง User Timing API ในแอปเพื่อวัดประสิทธิภาพในระหว่างประสบการณ์สำคัญของผู้ใช้ในชีวิตจริงได้ [ดูข้อมูลเพิ่มเติม](https://web.dev/user-timings/)"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{ระยะเวลาของผู้ใช้ 1 รายการ}other{ระยะเวลาของผู้ใช้ # รายการ}}"},"lighthouse-core/audits/user-timings.js | title":{message:"ระยะเวลาที่เจาะจงของผู้ใช้และระยะเวลาทั่วไป"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'พบ `<link rel=preconnect>` สำหรับ "{securityOrigin}" แต่เบราว์เซอร์ไม่ได้นำไปใช้งาน โปรดตรวจสอบว่าคุณใช้แอตทริบิวต์ `crossorigin` อย่างถูกต้องแล้ว'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"พิจารณาเพิ่ม `preconnect` หรือ `dns-prefetch` ซึ่งบอกถึงทรัพยากรเพื่อสร้างการเชื่อมต่อกับต้นทางที่สำคัญของบุคคลที่สามตั้งแต่เนิ่นๆ [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-rel-preconnect/)"},
"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"เชื่อมต่อกับต้นทางที่จำเป็นล่วงหน้า"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"พบการเชื่อมต่อ `<link rel=preconnect>` มากกว่า 2 รายการ ควรใช้การเชื่อมต่อเช่นนี้เท่าที่จำเป็นและใช้กับต้นทางที่สำคัญที่สุดเท่านั้น"},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'พบ `<link rel=preconnect>` สำหรับ "{securityOrigin}" แต่เบราว์เซอร์ไม่ได้นำไปใช้งาน ใช้ `preconnect` กับต้นทางที่สำคัญซึ่งหน้าเว็บจะขออย่างแน่นอน'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'พบ `<link>` การโหลดล่วงหน้าสำหรับ "{preloadURL}" แต่เบราว์เซอร์ไม่ได้นำไปใช้งาน โปรดตรวจสอบว่าคุณใช้แอตทริบิวต์ `crossorigin` อย่างถูกต้องแล้ว'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"พิจารณาใช้ `<link rel=preload>` เพื่อจัดลำดับความสำคัญในการเรียกทรัพยากรที่มีการขอให้โหลดหน้าเว็บภายหลัง [ดูข้อมูลเพิ่มเติม](https://web.dev/uses-rel-preload/)"
},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"โหลดคำขอสำคัญล่วงหน้า"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL ของแผนที่"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"แผนที่แหล่งที่มาจะแปลโค้ดที่มีการลดขนาดเป็นซอร์สโค้ดต้นฉบับ ซึ่งจะช่วยนักพัฒนาซอฟต์แวร์ในการแก้ไขข้อบกพร่องในเวอร์ชันที่ใช้งานจริง นอกจากนี้ Lighthouse ยังให้ข้อมูลเชิงลึกเพิ่มเติมได้ด้วย ลองพิจารณานำแผนที่แหล่งที่มาไปใช้งานเพื่อรับประโยชน์ดังกล่าว [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"ไม่มีแผนที่แหล่งที่มาของ JavaScript ขนาดใหญ่ของบุคคลที่หนึ่ง"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"ไฟล์ JavaScript ขนาดใหญ่ไม่มีแผนที่แหล่งที่มา"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{คำเตือน: มี 1 รายการที่ขาดไปใน `.sourcesContent`}other{คำเตือน: มี # รายการที่ขาดไปใน `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"หน้าเว็บมีแผนที่แหล่งที่มาถูกต้อง"},"lighthouse-core/audits/viewport.js | description":{message:'เพิ่มแท็ก `<meta name="viewport">` เพื่อเพิ่มประสิทธิภาพแอปสำหรับหน้าจออุปกรณ์เคลื่อนที่ [ดูข้อมูลเพิ่มเติม](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'ไม่พบแท็ก `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'ไม่มีแท็ก `<meta name="viewport">` ที่มี `width` หรือ `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'มีแท็ก `<meta name="viewport">` ที่มี `width` หรือ `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{
message:"นี่เป็นโอกาสปรับปรุงการใช้งาน ARIA ในแอปพลิเคชันของคุณ ซึ่งอาจช่วยให้ผู้ใช้ได้รับประสบการณ์การใช้งานเทคโนโลยีอำนวยความสะดวก เช่น โปรแกรมอ่านหน้าจอ ที่ดียิ่งขึ้น"},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"นี่เป็นโอกาสระบุเนื้อหาสำรองสำหรับเสียงและวิดีโอ การดำเนินการนี้อาจช่วยปรับปรุงประสบการณ์ของผู้ใช้ที่มีความบกพร่องทางการได้ยินหรือการมองเห็น"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"เสียงและวิดีโอ"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"รายการเหล่านี้ไฮไลต์แนวทางปฏิบัติที่ดีที่สุดที่พบบ่อยของการช่วยเหลือพิเศษ"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"แนวทางปฏิบัติที่ดีที่สุด"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"การตรวจสอบเหล่านี้ไฮไลต์โอกาสในการ[ปรับปรุงการช่วยเหลือพิเศษของเว็บแอป](https://developers.google.com/web/fundamentals/accessibility) โดยจะตรวจพบอัตโนมัติได้เฉพาะปัญหากลุ่มย่อยด้านการช่วยเหลือพิเศษ เราจึงขอแนะนำให้ตรวจสอบด้วยตนเองด้วย"},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"รายการเหล่านี้จัดการพื้นที่ที่เครื่องมือทดสอบอัตโนมัติไม่ครอบคลุม ดูข้อมูลเพิ่มเติมในคำแนะนำเกี่ยวกับ[การดำเนินการตรวจสอบการช่วยเหลือพิเศษ](https://developers.google.com/web/fundamentals/accessibility/how-to-review)"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"การช่วยเหลือพิเศษ"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"นี่เป็นโอกาสปรับปรุงความอ่านง่ายของเนื้อหา"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"คอนทราสต์"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{
message:"นี่เป็นโอกาสปรับปรุงการตีความเนื้อหาของคุณโดยผู้ใช้ภาษาต่างๆ"},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"การปรับให้เป็นสากลและการแปล"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"นี่เป็นโอกาสปรับปรุงความหมายของส่วนควบคุมในแอปพลิเคชันของคุณ การดำเนินการนี้อาจช่วยให้ผู้ใช้ได้รับประสบการณ์การใช้งานเทคโนโลยีอำนวยความสะดวก เช่น โปรแกรมอ่านหน้าจอ ที่ดียิ่งขึ้น"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"ชื่อและป้ายกำกับ"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"นี่เป็นโอกาสปรับปรุงการไปยังส่วนต่างๆ ในแอปพลิเคชันของคุณด้วยแป้นพิมพ์"},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"การนำทาง"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{
message:"นี่เป็นโอกาสปรับปรุงประสบการณ์การอ่านตารางหรือข้อมูลรายการโดยใช้เทคโนโลยีความช่วยเหลือพิเศษ เช่น โปรแกรมอ่านหน้าจอ"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"ตารางและรายการ"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"ความเข้ากันได้กับเบราว์เซอร์"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"แนวทางปฏิบัติที่ดีที่สุด"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"ทั่วไป"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"ความน่าเชื่อถือและความปลอดภัย"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"ประสบการณ์ของผู้ใช้"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"งบประมาณประสิทธิภาพจะใช้เป็นมาตรฐานสำหรับประสิทธิภาพของเว็บไซต์คุณ"},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{
message:"งบประมาณ"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"ข้อมูลเพิ่มเติมเกี่ยวกับประสิทธิภาพของแอปพลิเคชัน ตัวเลขเหล่านี้ไม่[ส่งผลกระทบโดยตรง](https://web.dev/performance-scoring/)ต่อคะแนนประสิทธิภาพ"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"การวินิจฉัย"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"ประสิทธิภาพที่สำคัญที่สุดคือความเร็วที่พิกเซลแสดงผลในหน้าจอ เมตริกที่สำคัญ ได้แก่ การแสดงผลที่มีเนื้อหาเต็มครั้งแรก การแสดงผลที่มีความหมายครั้งแรก"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"การปรับปรุงการแสดงผลครั้งแรก"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"คำแนะนำเหล่านี้จะช่วยให้หน้าโหลดได้เร็วขึ้น โดยจะไม่[ส่งผลกระทบโดยตรง](https://web.dev/performance-scoring/)ต่อคะแนนประสิทธิภาพ"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{
message:"โอกาส"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"เมตริก"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"ปรับปรุงประสบการณ์ในการโหลดโดยรวมเพื่อให้หน้าเว็บตอบสนองและพร้อมใช้งานโดยเร็วที่สุด เมตริกที่สำคัญ ได้แก่ เวลาในการโต้ตอบ ดัชนีความเร็ว"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"การปรับปรุงโดยรวม"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"ประสิทธิภาพ"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"การตรวจสอบเหล่านี้ตรวจสอบความถูกต้องของลักษณะต่างๆ ของ Progressive Web App [ดูข้อมูลเพิ่มเติม](https://developers.google.com/web/progressive-web-apps/checklist)"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"การตรวจสอบเหล่านี้เป็นสิ่งที่ต้องทำใน[รายการตรวจสอบ PWA](https://developers.google.com/web/progressive-web-apps/checklist) ซึ่งเป็นเกณฑ์พื้นฐาน แต่ Lighthouse ไม่ได้ทำการตรวจสอบดังกล่าวโดยอัตโนมัติ การตรวจสอบจะไม่ส่งผลต่อคะแนนของคุณ แต่คุณควรตรวจสอบด้วยตนเอง"},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progressive Web App"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"ติดตั้งได้"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"เพิ่มประสิทธิภาพ PWA แล้ว"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"การตรวจสอบเหล่านี้ช่วยให้มั่นใจว่าหน้าเว็บของคุณได้รับการเพิ่มประสิทธิภาพเพื่อการจัดอันดับผลลัพธ์ของเครื่องมือค้นหา มีปัจจัยอื่นๆ ที่ Lighthouse ไม่ได้ตรวจสอบซึ่งอาจส่งผลกระทบต่อการจัดอันดับของคุณในการค้นหา [ดูข้อมูลเพิ่มเติม](https://support.google.com/webmasters/answer/35769)"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{
message:"เรียกใช้ตัวตรวจสอบความถูกต้องเพิ่มเติมเหล่านี้ในเว็บไซต์ของคุณเพื่อดูแนวทางปฏิบัติที่ดีที่สุดเพิ่มเติมเกี่ยวกับ SEO"},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"จัด HTML ให้อยู่ในรูปแบบที่ช่วยให้โปรแกรมรวบรวมข้อมูลเข้าใจเนื้อหาแอปได้ง่ายขึ้น"},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"แนวทางปฏิบัติที่ดีที่สุดเกี่ยวกับเนื้อหา"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"โปรแกรมรวบรวมข้อมูลจะต้องเข้าถึงแอปของคุณได้เพื่อให้แอปปรากฏในผลการค้นหา"},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"การรวบรวมข้อมูลและจัดทำดัชนี"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{
message:"ตรวจสอบว่าหน้าเว็บเหมาะกับอุปกรณ์เคลื่อนที่ ผู้ใช้จะได้ไม่ต้องบีบนิ้วหรือซูมเข้าเพื่ออ่านหน้าเนื้อหา [ดูข้อมูลเพิ่มเติม](https://developers.google.com/search/mobile-sites/)"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"เหมาะกับอุปกรณ์เคลื่อนที่"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"ดูเหมือนว่า CPU ของอุปกรณ์ที่ใช้ทดสอบจะช้ากว่าที่ Lighthouse คาดไว้ ซึ่งอาจส่งผลเสียต่อคะแนนประสิทธิภาพของคุณ ดูข้อมูลเพิ่มเติมเกี่ยวกับ[การปรับเทียบตัวคูณการชะลอตัวของ CPU ที่เหมาะสม](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"หน้านี้อาจไม่โหลดขึ้นตามที่คาดไว้เนื่องจาก URL ทดสอบของคุณ ({requested}) มีการเปลี่ยนเส้นทางไปยัง {final} ลองทดสอบ URL ที่ 2 โดยตรง"},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"หน้าโหลดช้าเกินกำหนดเวลา หน้าที่โหลดมาได้อาจไม่ครบถ้วน"},
"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{อาจมีข้อมูลที่จัดเก็บไว้ที่ส่งผลกระทบต่อประสิทธิภาพการโหลดในตำแหน่ง {locations} ทดสอบหน้านี้ในหน้าต่างที่ไม่ระบุตัวตนเพื่อป้องกันไม่ให้ทรัพยากรเหล่านั้นส่งผลกระทบต่อคะแนนของคุณ}other{อาจมีข้อมูลที่จัดเก็บไว้ที่ส่งผลกระทบต่อประสิทธิภาพการโหลดในตำแหน่ง {locations} ทดสอบหน้านี้ในหน้าต่างที่ไม่ระบุตัวตนเพื่อป้องกันไม่ให้ทรัพยากรเหล่านั้นส่งผลกระทบต่อคะแนนของคุณ}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'ลองเพิ่ม URL ในรูปแบบ https: และ http: (ซึ่งเบราว์เซอร์ที่รองรับ "strict-dynamic" จะไม่สนใจ) เพื่อให้เข้ากันได้กับเบราว์เซอร์เวอร์ชันเก่ากว่า'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener เลิกใช้งานไปตั้งแต่ CSP3 โปรดใช้ส่วนหัว Cross-Origin-Opener-Policy แทน"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer เลิกใช้งานไปตั้งแต่ CSP2 โปรดใช้ส่วนหัว Referrer-Policy แทน"},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss เลิกใช้งานไปตั้งแต่ CSP2 โปรดใช้ส่วนหัว X-XSS-Protection แทน"},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'เมื่อไม่มี base-uri จะอนุญาตแท็ก <base> ที่แทรก เพื่อตั้งค่า URL ฐานสำหรับ URL (เช่น สคริปต์) ทั้งหมดที่เกี่ยวข้องกับโดเมนที่ผู้โจมตีควบคุม ลองตั้งค่า base-uri เป็น "none" หรือ "self"'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'เอลิเมนต์ที่ควบคุมโดย object-src จะถือว่าเป็นฟีเจอร์เดิม ลองตั้งค่า object-src เป็น "none" เพื่อป้องกันการแทรกปลั๊กอินที่รันสคริปต์ที่ไม่ปลอดภัย'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"ไม่มีคำสั่ง script-src ซึ่งอาจทำให้รันสคริปต์ที่ไม่ปลอดภัยได้"},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"คุณลืมเครื่องหมายเซมิโคลอนหรือเปล่า ดูเหมือนว่า {keyword} จะเป็นคำสั่ง ไม่ใช่คีย์เวิร์ด"},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{
message:"Nonces ควรใช้ชุดอักขระ base64"},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces ต้องมีอักขระอย่างน้อย 8 ตัว"},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"มีการกำหนดค่าปลายทางการรายงานผ่านคำสั่ง report-to เท่านั้น คำสั่งนี้ใช้ได้เฉพาะในเบราว์เซอร์แบบ Chromium จึงขอแนะนำให้ใช้คำสั่ง report-uri ด้วย"},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"ไม่มี CSP ที่กำหนดค่าปลายทางการรายงาน ซึ่งทำให้ดูแลรักษา CSP เมื่อเวลาผ่านไปและตรวจสอบการหยุดทำงานได้ยาก"},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'รายการโฮสต์ที่อนุญาตอาจถูกข้ามได้บ่อยๆ ลองใช้ "strict-dynamic" ร่วมกับ nonces หรือ hashes ของ CSP'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"คำสั่ง CSP ที่ไม่รู้จัก"},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"ดูเหมือนว่า {keyword} จะเป็นคีย์เวิร์ดที่ไม่ถูกต้อง"},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:'"unsafe-inline" ทำให้รันสคริปต์ในหน้าเว็บและตัวจัดการเหตุการณ์ที่ไม่ปลอดภัยได้ ลองใช้ nonces หรือ hashes ของ CSP เพื่ออนุญาตสคริปต์แต่ละรายการ'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:'ลองเพิ่ม "unsafe-inline" (ซึ่งเบราว์เซอร์ที่รองรับ nonces/hashes จะไม่สนใจ) เพื่อให้เข้ากันได้กับเบราว์เซอร์เวอร์ชันเก่ากว่า'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"เวลาในการบล็อกเทรดหลัก"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"แคช TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"รายละเอียด"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"ระยะเวลา"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"องค์ประกอบ"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"องค์ประกอบที่ไม่ผ่านการตรวจสอบ"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"ตำแหน่ง"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"ชื่อ"},
"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"เกินงบประมาณ"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"คำขอ"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"ขนาดทรัพยากร"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"ประเภททรัพยากร"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"ขนาด"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"แหล่งที่มา"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"เวลาเริ่มต้น"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"เวลาที่ใช้"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"ขนาดการโอน"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"เวลาที่อาจประหยัดได้"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"เวลาที่อาจประหยัดได้"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{
message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"อาจประหยัดพื้นที่ได้ {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{พบ 1 องค์ประกอบ}other{พบ # องค์ประกอบ}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"อาจประหยัดได้ {wastedMs, number, milliseconds} มิลลิวินาที"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"เอกสาร"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"การแสดงผลที่มีความหมายครั้งแรก"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"แบบอักษร"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"รูปภาพ"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},
"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"สูง"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"ต่ำ"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"ปานกลาง"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"First Input Delay สูงสุดที่อาจเกิดขึ้น"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"สื่อ"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} มิลลิวินาที"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"อื่นๆ"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"ทรัพยากรอื่นๆ"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"สคริปต์"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} วินาที"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},
"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"สไตล์ชีต"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"บุคคลที่สาม"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"รวม"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"เกิดข้อผิดพลาดในการบันทึกการติดตามระหว่างการโหลดหน้าเว็บ โปรดเรียกใช้ Lighthouse อีกครั้ง ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"หมดเวลาระหว่างที่รอการเชื่อมต่อโปรโตคอลโปรแกรมแก้ไขข้อบกพร่องเริ่มต้น"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome ไม่ได้รวบรวมภาพหน้าจอใดๆ ระหว่างการโหลดหน้า โปรดตรวจสอบว่ามีเนื้อหาที่มองเห็นได้ในหน้าเว็บ จากนั้นลองเรียกใช้ Lighthouse อีกครั้ง ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"เซิร์ฟเวอร์ DNS แก้ปัญหาโดเมนที่ระบุไม่ได้"},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"ตัวรวบรวม {artifactName} ที่จำเป็นพบข้อผิดพลาด: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"เกิดข้อผิดพลาดภายในของ Chrome โปรดรีสตาร์ท Chrome และลองเรียกใช้ Lighthouse อีกครั้ง"},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"ตัวรวบรวม {artifactName} ที่จำเป็นไม่ทำงาน"},"lighthouse-core/lib/lh-error.js | noFcp":{message:"หน้านี้ไม่ได้แสดงเนื้อหาใดเลย โปรดตรวจสอบว่าหน้าต่างเบราว์เซอร์อยู่เบื้องหน้าเสมอระหว่างการโหลดแล้วลองอีกครั้ง ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"หน้าที่ระบุไม่ใช่ HTML (แสดงเป็นประเภท MIME {mimeType})"},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Chrome เวอร์ชันนี้เก่าเกินกว่าจะรองรับ "{featureName}" โปรดใช้เวอร์ชันใหม่เพื่อดูผลลัพธ์ทั้งหมด'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Lighthouse โหลดหน้าเว็บที่คุณขออย่างน่าเชื่อถือไม่ได้ ตรวจสอบว่าคุณกำลังทดสอบ URL ที่ถูกต้องและเซิร์ฟเวอร์ตอบสนองคำขอทั้งหมดอย่างถูกต้อง"},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse โหลด URL ที่คุณขออย่างน่าเชื่อถือไม่ได้เพราะหน้าเว็บไม่ตอบสนอง"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"URL ที่ระบุไม่มีใบรับรองความปลอดภัยที่ถูกต้อง {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome ป้องกันการโหลดหน้าเว็บด้วยโฆษณาคั่นระหว่างหน้า ตรวจสอบว่าคุณกำลังทดสอบ URL ที่ถูกต้องและเซิร์ฟเวอร์ตอบสนองคำขอทั้งหมดอย่างถูกต้อง"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse โหลดหน้าเว็บที่คุณขออย่างน่าเชื่อถือไม่ได้ ตรวจสอบว่าคุณกำลังทดสอบ URL ที่ถูกต้องและเซิร์ฟเวอร์ตอบสนองคำขอทั้งหมดอย่างถูกต้อง (รายละเอียด: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Lighthouse โหลดหน้าเว็บที่คุณขออย่างน่าเชื่อถือไม่ได้ ตรวจสอบว่าคุณกำลังทดสอบ URL ที่ถูกต้องและเซิร์ฟเวอร์ตอบสนองคำขอทั้งหมดอย่างถูกต้อง (รหัสสถานะ: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"หน้าเว็บของคุณใช้เวลาโหลดนานเกินไป โปรดทำตามโอกาสในรายงานเพื่อลดเวลาในการโหลดหน้าเว็บแล้วลองเรียกใช้ Lighthouse อีกครั้ง ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"การรอการตอบสนองของโปรโตคอล DevTools เกินเวลาที่จัดสรรไว้ (เมธอด: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"การดึงข้อมูลเนื้อหาทรัพยากรเกินเวลาที่จัดสรรไว้"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"ดูเหมือนว่า URL ที่ระบุจะไม่ถูกต้อง"},"lighthouse-treemap/app/src/util.js | allLabel":{message:"ทั้งหมด"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"สคริปต์ทั้งหมด"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"การครอบคลุม"},
"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"โมดูลที่ซ้ำกัน"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"ขนาดไฟล์ทรัพยากร (ไบต์)"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"ชื่อ"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"ซ่อน/แสดงตาราง"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"ไบต์ที่ไม่ได้ใช้"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"สำหรับเนื้อหาที่เป็นภาพเคลื่อนไหว ให้ใช้ [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) เพื่อลดการใช้ CPU ขณะที่เนื้อหาไม่ได้อยู่ในหน้าจอ"},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"ลองแสดงคอมโพเนนต์ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) ทั้งหมดในรูปแบบ WebP โดยกำหนดการสำรองที่เหมาะสมให้กับเบราว์เซอร์อื่นด้วย [ดูข้อมูลเพิ่มเติม](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"ตรวจสอบว่าคุณกำลังใช้ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) สำหรับรูปภาพเพื่อโหลดแบบ Lazy Loading โดยอัตโนมัติ [ดูข้อมูลเพิ่มเติม](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"ใช้เครื่องมือ เช่น [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) เพื่อ[แสดงเลย์เอาต์ AMP ฝั่งเซิร์ฟเวอร์](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)"},
"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"ดู[เอกสาร AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) เพื่อให้แน่ใจว่าระบบรองรับรูปแบบทั้งหมด"},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"คอมโพเนนต์ [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) รองรับแอตทริบิวต์ [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) เพื่อกำหนดเนื้อหารูปภาพที่จะใช้ตามขนาดของหน้าจอ [ดูข้อมูลเพิ่มเติม](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"ลองใช้การเลื่อนเสมือนจริงด้วย Component Dev Kit (CDK) หากกำลังแสดงรายการที่ใหญ่มาก [ดูข้อมูลเพิ่มเติม](https://web.dev/virtualize-lists-with-angular-cdk/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"ใช้[การแยกโค้ดระดับเส้นทาง](https://web.dev/route-level-code-splitting-in-angular/)เพื่อลดขนาดกลุ่ม JavaScript และลองแคชเนื้อหาล่วงหน้าด้วย [Angular Service Worker](https://web.dev/precaching-with-the-angular-service-worker/)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"หากคุณกำลังใช้ Angular CLI โปรดตรวจสอบให้แน่ใจว่ารุ่นดังกล่าวสร้างขึ้นในโหมดที่ใช้งานจริง [ดูข้อมูลเพิ่มเติม](https://angular.io/guide/deployment#enable-runtime-production-mode)"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"หากคุณกำลังใช้ Angular CLI ให้รวมแมปที่มาลงในรุ่นที่ใช้งานจริงเพื่อตรวจสอบกลุ่ม [ดูข้อมูลเพิ่มเติม](https://angular.io/guide/deployment#inspect-the-bundles)"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"โหลดเส้นทางล่วงหน้าก่อนเวลาเพื่อเร่งความเร็วในการไปยังส่วนต่างๆ [ดูข้อมูลเพิ่มเติม](https://web.dev/route-preloading-in-angular/)"},
"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"ลองใช้ยูทิลิตี `BreakpointObserver` ใน Component Dev Kit (CDK) เพื่อจัดการเบรกพอยท์ของภาพ [ดูข้อมูลเพิ่มเติม](https://material.angular.io/cdk/layout/overview)"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"ลองอัปโหลด GIF ไปยังบริการซึ่งจะทำให้ใช้ GIF เพื่อฝังเป็นวิดีโอ HTML5 ได้"},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"ระบุ `@font-display` เมื่อกำหนดแบบอักษรที่กำหนดเองในธีม"},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"ลองติดตั้งและกำหนดค่า[โมดูลเพื่อใช้ประโยชน์จากรูปแบบรูปภาพ WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) ในเว็บไซต์ของคุณ โมดูลดังกล่าวจะสร้างเวอร์ชัน WebP ของรูปภาพที่อัปโหลดโดยอัตโนมัติเพื่อปรับปรุงเวลาที่ใช้ในการโหลด"},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"ติดตั้ง[โมดูล Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) ที่โหลดรูปภาพแบบ Lazy Loading ได้ โมดูลนี้จะช่วยเลื่อนเวลาโหลดรูปภาพนอกจอภาพเพื่อปรับปรุงประสิทธิภาพ"},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"ลองใช้โมดูลเพื่อแทรก CSS และ JavaScript ที่สำคัญในหน้าหรือโมดูลที่อาจโหลดเนื้อหาแบบไม่พร้อมกันผ่าน JavaScript เช่น โมดูล[การรวม CSS/JS ขั้นสูง](https://www.drupal.org/project/advagg) โปรดระวังว่าการเพิ่มประสิทธิภาพโดยโมดูลนี้อาจทำให้เว็บไซต์เสียหาย ซึ่งน่าจะทำให้คุณต้องแก้ไขโค้ด"},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"ข้อกำหนดของธีม โมดูล และเซิร์ฟเวอร์ล้วนส่งผลต่อเวลาในการตอบสนองของเซิร์ฟเวอร์ ลองหาธีมที่เพิ่มประสิทธิภาพมากขึ้น พยายามเลือกโมดูลการเพิ่มประสิทธิภาพด้วยความระมัดระวัง และ/หรืออัปเกรดเซิร์ฟเวอร์ เซิร์ฟเวอร์โฮสติ้งควรใช้ประโยชน์จากการแคช PHP Opcode, การแคชหน่วยความจำเพื่อลดเวลาในการค้นหาฐานข้อมูล เช่น Redis หรือ Memcached รวมถึงตรรกะของแอปพลิเคชันที่เพิ่มประสิทธิภาพเพื่อให้เตรียมความพร้อมของหน้าได้เร็วขึ้น"},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"ลองใช้[สไตล์รูปภาพที่ปรับเปลี่ยนตามอุปกรณ์](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)เพื่อลดขนาดของรูปภาพที่โหลดในหน้า หากคุณใช้มุมมองเพื่อดูรายการเนื้อหาหลายรายการในหน้า ให้ลองใช้การใส่เลขหน้าเพื่อจำกัดจำนวนของรายการเนื้อหาที่แสดงในหน้าหนึ่งๆ"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'ตรวจสอบว่าคุณได้เปิดใช้ "รวมไฟล์ CSS" ในหน้า "การดูแลระบบ » การกำหนดค่า » การพัฒนา" คุณกำหนดค่าตัวเลือกการรวมขั้นสูงยิ่งขึ้นผ่าน[โมดูลเพิ่มเติม](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)ได้ด้วยเพื่อช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการเชื่อมโยง การลดขนาด และการบีบอัดสไตล์ CSS'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'ตรวจสอบว่าคุณได้เปิดใช้ "รวมไฟล์ JavaScript" ในหน้า "การดูแลระบบ » การกำหนดค่า » การพัฒนา" คุณกำหนดค่าตัวเลือกการรวมขั้นสูงยิ่งขึ้นผ่าน[โมดูลเพิ่มเติม](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)ได้ด้วยเพื่อช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการเชื่อมโยง การลดขนาด และการบีบเนื้อหา JavaScript'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"ลองนำกฎ CSS ที่ไม่ได้ใช้ออกและแนบเฉพาะไลบรารี Drupal ที่จำเป็นลงในหน้าที่เกี่ยวข้องหรือคอมโพเนนต์ในหน้า ดูรายละเอียดได้ที่[ลิงก์เอกสารประกอบของ Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) หากต้องการระบุไลบรารีที่แนบซึ่งเพิ่ม CSS โดยไม่จำเป็น ลองเรียกใช้ [Code Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ใน DevTools ของ Chrome คุณระบุธีม/โมดูลที่รับผิดชอบได้จาก URL ของสไตล์ชีตเมื่อปิดใช้การรวม CSS ในเว็บไซต์ Drupal ของคุณ หาธีม/โมดูลที่มีสไตล์ชีตจำนวนมากอยู่ในรายการซึ่งมีสีแดงอยู่จำนวนมากใน Code Coverage ธีม/โมดูลควรเป็นเพียงตัวกำหนดลำดับของสไตล์ชีตเท่านั้นหากใช้ธีม/โมดูลในหน้าจริงๆ"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"ลองนำเนื้อหา JavaScript ที่ไม่ได้ใช้ออก และแนบเฉพาะไลบรารี Drupal ที่จำเป็นลงในหน้าที่เกี่ยวข้องหรือคอมโพเนนต์ในหน้า ดูรายละเอียดได้ที่[ลิงก์เอกสารประกอบของ Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) หากต้องการระบุไลบรารีที่แนบซึ่งเพิ่ม JavaScript โดยไม่จำเป็น ลองเรียกใช้ [Code Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ใน DevTools ของ Chrome คุณระบุธีม/โมดูลที่รับผิดชอบได้จาก URL ของสคริปต์เมื่อปิดใช้การรวม JavaScript ในเว็บไซต์ Drupal ของคุณ หาธีม/โมดูลที่มีสคริปต์จำนวนมากอยู่ในรายการซึ่งมีสีแดงอยู่จำนวนมากใน Code Coverage ธีม/โมดูลควรเป็นเพียงตัวกำหนดลำดับของสคริปต์เท่านั้นหากใช้ธีม/โมดูลในหน้าจริงๆ"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'ตั้งค่า "อายุสูงสุดของแคชในเบราว์เซอร์และพร็อกซี" ในหน้า "การดูแลระบบ » การกำหนดค่า » การพัฒนา" อ่านเกี่ยวกับ[แคช Drupal และการเพิ่มประสิทธิภาพ](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{message:"ลองใช้[โมดูล](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)ที่เพิ่มประสิทธิภาพและลดขนาดของรูปภาพที่อัปโหลดผ่านเว็บไซต์โดยอัตโนมัติขณะที่ยังคงรักษาคุณภาพไว้ และตรวจสอบว่าคุณกำลังใช้[สไตล์รูปภาพที่ปรับเปลี่ยนตามอุปกรณ์](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)แบบเนทีฟจาก Drupal (พร้อมใช้งานใน Drupal 8 ขึ้นไป) สำหรับรูปภาพทั้งหมดที่แสดงในเว็บไซต์"},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"เพิ่มการเชื่อมต่อล่วงหน้าหรือคำแนะนำด้านทรัพยากรที่ DNS ดึงมาล่วงหน้าได้โดยติดตั้งและกำหนดค่า[โมดูล](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)ที่มีพื้นที่สำหรับคำแนะนำด้านทรัพยากรของ User Agent"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"ตรวจสอบว่าคุณกำลังใช้[สไตล์รูปภาพที่ปรับเปลี่ยนตามอุปกรณ์](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)แบบเนทีฟจาก Drupal (พร้อมใช้งานใน Drupal 8 ขึ้นไป) ใช้สไตล์รูปภาพที่ปรับเปลี่ยนตามอุปกรณ์เมื่อแสดงผลช่องรูปภาพผ่านโหมดมุมมอง มุมมอง หรือรูปภาพที่อัปโหลดผ่านตัวแก้ไข WYSIWYG"},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"ลองอัปโหลด GIF ไปยังบริการซึ่งจะทำให้ใช้ GIF เพื่อฝังเป็นวิดีโอ HTML5 ได้"},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"ลองใช้[ปลั๊กอิน](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)หรือบริการที่จะแปลงรูปภาพที่อัปโหลดเป็นรูปแบบที่เหมาะสมที่สุดโดยอัตโนมัติ"},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"ติดตั้ง[ปลั๊กอินการโหลดแบบ Lazy Loading ของ Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) ที่จะช่วยให้เลื่อนเวลาโหลดรูปภาพนอกจอภาพได้ หรือเปลี่ยนไปใช้เทมเพลตที่มีฟังก์ชันดังกล่าว เริ่มตั้งแต่ Joomla 4.0 เป็นต้นไป รูปภาพใหม่ทั้งหมดจะได้รับแอตทริบิวต์ `loading` จาก Core [โดยอัตโนมัติ](https://github.com/joomla/joomla-cms/pull/30748)"},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"มีปลั๊กอิน Joomla หลายรายการที่ช่วยคุณ[แทรกเนื้อหาสำคัญในหน้า](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)หรือ[เลื่อนเวลาโหลดทรัพยากรที่สำคัญน้อยกว่า](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ได้ โปรดทราบว่าการเพิ่มประสิทธิภาพที่ได้จากปลั๊กอินเหล่านี้อาจทำให้ฟีเจอร์ของเทมเพลตหรือปลั๊กอินเสียหาย คุณจึงจะต้องทดสอบปลั๊กอินเหล่านี้อย่างละเอียด"},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"ข้อกำหนดของเทมเพลต ส่วนขยาย และเซิร์ฟเวอร์ล้วนส่งผลต่อเวลาในการตอบสนองของเซิร์ฟเวอร์ ลองหาเทมเพลตที่เพิ่มประสิทธิภาพมากขึ้น พยายามเลือกส่วนขยายการเพิ่มประสิทธิภาพด้วยความระมัดระวัง และ/หรืออัปเกรดเซิร์ฟเวอร์"},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:'ลองแสดงข้อความที่ตัดตอนมาในหมวดหมู่บทความ (เช่น ผ่านลิงก์ "อ่านเพิ่มเติม") ลดจำนวนบทความที่แสดงในหน้าหนึ่งๆ แบ่งโพสต์ยาวๆ เป็นหลายหน้า หรือใช้ปลั๊กอินเพื่อโหลดความคิดเห็นแบบ Lazy Loading'},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"มี[ส่วนขยาย Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) หลายรายการที่ช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการเชื่อมโยง การลดขนาด และการบีบอัดสไตล์ CSS นอกจากนี้ยังมีเทมเพลตที่มีฟังก์ชันการทำงานนี้ด้วย"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"มี[ส่วนขยาย Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) หลายรายการที่ช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการเชื่อมโยง การลดขนาด และการบีบอัดสคริปต์ นอกจากนี้ยังมีเทมเพลตที่มีฟังก์ชันการทำงานนี้ด้วย"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"ลองลดหรือเปลี่ยนจำนวน[ส่วนขยาย Joomla](https://extensions.joomla.org/) ที่โหลด CSS ที่ไม่ได้ใช้ในหน้าเว็บของคุณ หากต้องการระบุส่วนขยายที่เพิ่ม CSS โดยไม่จำเป็น ลองเรียกใช้ [Code Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ใน DevTools ของ Chrome คุณระบุธีม/ปลั๊กอินที่รับผิดชอบได้จาก URL ของสไตล์ชีต หาปลั๊กอินที่มีสไตล์ชีตจำนวนมากอยู่ในรายการซึ่งมีสีแดงอยู่จำนวนมากใน Code Coverage ปลั๊กอินควรเป็นเพียงตัวกำหนดลำดับของสไตล์ชีตเท่านั้นหากใช้ปลั๊กอินในหน้าจริงๆ"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"ลองลดหรือเปลี่ยนจำนวน[ส่วนขยาย Joomla](https://extensions.joomla.org/) ที่โหลด JavaScript ที่ไม่ได้ใช้ในหน้าเว็บของคุณ หากต้องการระบุปลั๊กอินที่เพิ่ม JS โดยไม่จำเป็น ลองเรียกใช้ [Code Coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) ใน DevTools ของ Chrome คุณระบุส่วนขยายที่รับผิดชอบได้จาก URL ของสคริปต์ หาธีม/โมดูลที่มีสคริปต์จำนวนมากอยู่ในรายการซึ่งมีสีแดงอยู่จำนวนมากใน Code Coverage ส่วนขยายควรเป็นเพียงตัวกำหนดลำดับของสคริปต์เท่านั้นหากใช้ส่วนขยายในหน้าจริงๆ"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"อ่านเกี่ยวกับ[การแคชของเบราว์เซอร์ใน Joomla](https://docs.joomla.org/Cache)"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"ลองใช้[ปลั๊กอินการเพิ่มประสิทธิภาพรูปภาพ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)ที่บีบอัดรูปภาพแต่ยังคงคุณภาพไว้ได้"},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"ลองใช้[ปลั๊กอินรูปภาพที่ปรับเปลี่ยนตามอุปกรณ์](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)เพื่อใช้รูปภาพที่ปรับเปลี่ยนตามอุปกรณ์ในเนื้อหาของคุณ"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"คุณเปิดใช้การบีบอัดข้อความได้โดยเปิดใช้การบีบอัดหน้าของ Gzip ใน Joomla (ระบบ > การกำหนดค่าส่วนกลาง > เซิร์ฟเวอร์)"},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"หากไม่ได้รวมกลุ่มเนื้อหา JavaScript ให้ลองใช้ [Baler](https://github.com/magento/baler)"},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"ปิดใช้[การรวมกลุ่มและการลดขนาดของ JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ในตัวของ Magento และลองใช้ [Baler](https://github.com/magento/baler/) แทน"},
"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"ระบุ `@font-display` เมื่อ [ กำหนดฟอนต์ที่กำหนดเอง ](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)"},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"ลองค้นหาใน[ตลาดกลางของ Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) เพื่อหาส่วนขยายต่างๆ ของบุคคลที่สามเพื่อใช้ประโยชน์จากรูปแบบรูปภาพที่ใหม่กว่า"},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"ลองแก้ไขเทมเพลตผลิตภัณฑ์และแคตตาล็อกเพื่อใช้ประโยชน์จากฟีเจอร์[การโหลดแบบ Lazy Loading](https://web.dev/native-lazy-loading) ของแพลตฟอร์มเว็บ"},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"ใช้[การผสานรวม Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) ของ Magento"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{
message:'เปิดใช้ตัวเลือก "Minify CSS Files" ในการตั้งค่านักพัฒนาซอฟต์แวร์ของร้านค้า [ดูข้อมูลเพิ่มเติม](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"ใช้ [Terser](https://www.npmjs.com/package/terser) เพื่อลดขนาดเนื้อหาของ JavaScript ทั้งหมดจากการใช้งานเนื้อหาแบบคงที่และปิดใช้ฟีเจอร์การลดขนาดในตัว"},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"ปิดใช้[การรวมกลุ่ม JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) ในตัวของ Magento"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{
message:"ลองค้นหาใน[ตลาดกลางของ Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) เพื่อหาส่วนขยายต่างๆ ของบุคคลที่สามเพื่อเพิ่มประสิทธิภาพให้รูปภาพ"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"เพิ่มการเชื่อมต่อล่วงหน้าหรือคำแนะนำด้านทรัพยากรที่ DNS ดึงมาล่วงหน้าได้โดย[แก้ไขเลย์เอาต์ของธีม](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"เพิ่มแท็ก `<link rel=preload>` ได้โดย[แก้ไขเลย์เอาต์ของธีม](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{
message:"[นำวิดีโอมาแทนที่ GIF แบบภาพเคลื่อนไหว](https://web.dev/replace-gifs-with-videos/)เพื่อให้หน้าเว็บโหลดเร็วขึ้น และลองใช้รูปแบบไฟล์สมัยใหม่ เช่น [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) หรือ [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) เพื่อปรับปรุงประสิทธิภาพในการบีบอัดมากกว่า 30% เมื่อเทียบกับ VP9 ซึ่งเป็นตัวแปลงรหัสวิดีโอที่ทันสมัยซึ่งใช้อยู่ในปัจจุบัน"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"ลองใช้[ปลั๊กอิน](https://octobercms.com/plugins?search=image)หรือบริการที่จะแปลงรูปภาพที่อัปโหลดเป็นรูปแบบที่เหมาะสมที่สุดโดยอัตโนมัติ [รูปภาพ WebP ที่ไม่เสียรายละเอียด](https://developers.google.com/speed/webp)มีขนาดเล็กกว่ารูปภาพ PNG 26% และมีขนาดเล็กกว่ารูปภาพ JPEG ที่เทียบกันได้ 25-34% ที่ดัชนีคุณภาพ SSIM ที่เทียบเท่า คุณอาจลองใช้รูปแบบสมัยใหม่สำหรับรูปภาพอีกรูปแบบหนึ่ง นั่นคือ [AVIF](https://jakearchibald.com/2020/avif-has-landed/)"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"ลองติดตั้ง[ปลั๊กอินการโหลดรูปภาพแบบ Lazy Loading](https://octobercms.com/plugins?search=lazy) ที่จะช่วยให้เลื่อนเวลาโหลดรูปภาพนอกจอภาพได้ หรือเปลี่ยนไปใช้ธีมที่มีฟังก์ชันดังกล่าว และอาจลองใช้[ปลั๊กอิน AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) ด้วย"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"มีปลั๊กอินจำนวนมากที่ช่วยให้ใช้งาน[เนื้อหาสำคัญในหน้า](https://octobercms.com/plugins?search=css)ได้ดีขึ้น ปลั๊กอินเหล่านี้อาจทำให้ปลั๊กอินอื่นๆ ทำงานผิดพลาด คุณจึงควรทดสอบอย่างละเอียดถี่ถ้วน"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"ข้อกำหนดของธีม ปลั๊กอิน และเซิร์ฟเวอร์ล้วนส่งผลต่อเวลาการตอบสนองของเซิร์ฟเวอร์ ลองหาธีมที่เพิ่มประสิทธิภาพมากขึ้น เลือกปลั๊กอินการเพิ่มประสิทธิภาพอย่างระมัดระวัง และ/หรืออัปเกรดเซิร์ฟเวอร์ October CMS ช่วยให้นักพัฒนาซอฟต์แวร์สามารถใช้ [`Queues`](https://octobercms.com/docs/services/queues) เพื่อเลื่อนการประมวลผลงานที่ใช้เวลานานออกไป เช่น การส่งอีเมล ซึ่งทำให้คำขอเว็บทำงานเร็วขึ้นอย่างมาก"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"ลองแสดงข้อความที่ตัดตอนมาในรายการโพสต์ (เช่น การใช้ปุ่ม `show more`) ลดจำนวนโพสต์ที่แสดงในหน้าเว็บหนึ่งๆ แบ่งโพสต์ยาวๆ เป็นหลายหน้า หรือใช้ปลั๊กอินเพื่อโหลดความคิดเห็นแบบ Lazy Loading"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"มี[ปลั๊กอิน](https://octobercms.com/plugins?search=css)จำนวนมากที่ช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการเชื่อมโยง การลดขนาด และการบีบอัดสไตล์ การใช้กระบวนการบิลด์เพื่อลดขนาดล่วงหน้าจะช่วยให้การพัฒนาเร็วขึ้นได้"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"มี[ปลั๊กอิน](https://octobercms.com/plugins?search=javascript)จำนวนมากที่ช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการเชื่อมโยง การลดขนาด และการบีบอัดสคริปต์ การใช้กระบวนการบิลด์เพื่อลดขนาดล่วงหน้าจะช่วยให้การพัฒนาเร็วขึ้นได้"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"ลองตรวจสอบ[ปลั๊กอิน](https://octobercms.com/plugins)ที่โหลด CSS ที่ไม่ได้ใช้งานในเว็บไซต์ หากต้องการระบุปลั๊กอินที่เพิ่ม CSS โดยที่ไม่จำเป็น ให้เรียกใช้[การครอบคลุมของโค้ด](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ในเครื่องมือสำหรับนักพัฒนาเว็บใน Chrome ระบุธีม/ปลั๊กอินที่ดำเนินการดังกล่าวได้จาก URL ของสไตล์ชีต หาปลั๊กอินที่มีสไตล์ชีตจำนวนมากซึ่งมีสีแดงอยู่หลายแห่งในการครอบคลุมของโค้ด ปลั๊กอินควรจะเพิ่มสไตล์ชีตเฉพาะเมื่อมีการใช้งานจริงๆ ในหน้าเว็บเท่านั้น"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"ลองตรวจสอบ[ปลั๊กอิน](https://octobercms.com/plugins?search=javascript)ที่โหลด JavaScript ที่ไม่ได้ใช้งานในหน้าเว็บ หากต้องการระบุปลั๊กอินที่เพิ่ม JavaScript โดยที่ไม่จำเป็น ให้เรียกใช้[การครอบคลุมของโค้ด](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ในเครื่องมือสำหรับนักพัฒนาเว็บใน Chrome ระบุธีม/ปลั๊กอินที่ดำเนินการดังกล่าวได้จาก URL ของสคริปต์ หาปลั๊กอินที่มีสคริปต์จำนวนมากซึ่งมีสีแดงอยู่หลายแห่งในการครอบคลุมของโค้ด ปลั๊กอินควรจะเพิ่มสคริปต์เฉพาะเมื่อมีการใช้งานจริงๆ ในหน้าเว็บเท่านั้น"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"อ่านเกี่ยวกับ[การป้องกันคำขอเครือข่ายที่ไม่จำเป็นด้วยแคช HTTP](https://web.dev/http-cache/#caching-checklist) มี[ปลั๊กอิน](https://octobercms.com/plugins?search=Caching)จำนวนมากที่ช่วยให้การแคชเร็วขึ้นได้"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{
message:"ลองใช้[ปลั๊กอินการเพิ่มประสิทธิภาพรูปภาพ](https://octobercms.com/plugins?search=image)เพื่อบีบอัดรูปภาพโดยยังคงคุณภาพไว้ดังเดิม"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"อัปโหลดรูปภาพโดยตรงในโปรแกรมจัดการสื่อเพื่อให้แน่ใจว่าจะมีรูปภาพขนาดตามที่กำหนดให้ใช้งาน ลองใช้[ฟิลเตอร์การปรับขนาด](https://octobercms.com/docs/markup/filter-resize)หรือ[ปลั๊กอินการปรับขนาดรูปภาพ](https://octobercms.com/plugins?search=image)เพื่อให้มีการใช้รูปภาพที่มีขนาดเหมาะสมที่สุด"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"เปิดใช้การบีบอัดข้อความในการกำหนดค่าเว็บเซิร์ฟเวอร์"},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'ลองใช้ไลบรารี "การสร้างกรอบเวลา" เช่น `react-window` เพื่อลดจำนวนโหนดของ DOM ที่สร้างขึ้นให้เหลือน้อยที่สุดหากคุณแสดงผลองค์ประกอบซ้ำกันหลายรายการในหน้านั้น [ดูข้อมูลเพิ่มเติม](https://web.dev/virtualize-long-lists-react-window/) นอกจากนี้ให้ลดการแสดงผลซ้ำที่ไม่จำเป็นให้เหลือน้อยที่สุดโดยใช้ [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) หรือ [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) และ[ข้ามเอฟเฟกต์](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)ไปจนกว่าทรัพยากร Dependency บางรายการจะมีการเปลี่ยนแปลงในกรณีที่คุณใช้ฮุก `Effect` เพื่อปรับปรุงประสิทธิภาพของรันไทม์'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"หากคุณกำลังใช้ React Router ให้ลดการใช้ของคอมโพเนนต์ `<Redirect>` ในการ[ไปยังเส้นทางต่างๆ](https://reacttraining.com/react-router/web/api/Redirect)"},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"หากคุณกำลังแสดงคอมโพเนนต์ของ React ใดๆ บนฝั่งเซิร์ฟเวอร์ ให้ลองใช้ `renderToNodeStream()` หรือ `renderToStaticNodeStream()` เพื่อให้ลูกค้าได้รับและรวมส่วนต่างๆ ของมาร์กอัปแทนที่จะรวมทั้งหมดในคราวเดียว [ดูข้อมูลเพิ่มเติม](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"หากระบบในรุ่นของคุณลดขนาดไฟล์ CSS โดยอัตโนมัติ โปรดตรวจสอบว่าคุณทำให้รุ่นที่ใช้งานจริงของแอปพลิเคชันใช้งานได้ โดยใช้ส่วนขยาย React Developer Tools [ดูข้อมูลเพิ่มเติม](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{
message:"หากระบบในรุ่นของคุณลดขนาดไฟล์ JS โดยอัตโนมัติ โปรดตรวจสอบว่าคุณทำให้รุ่นที่ใช้งานจริงของแอปพลิเคชันใช้งานได้ โดยใช้ส่วนขยาย React Developer Tools [ดูข้อมูลเพิ่มเติม](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"หากคุณไม่ได้กำลังแสดงผลฝั่งเซิร์ฟเวอร์ ให้[แยกกลุ่ม JavaScript](https://web.dev/code-splitting-suspense/) ด้วย `React.lazy()` หรือแยกโค้ดโดยใช้ไลบรารีของบุคคลที่สาม เช่น [คอมโพเนนต์ที่โหลดได้](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)"},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"ใช้ React DevTools Profiler ซึ่งใช้ประโยชน์จาก Profiler API ในการวัดประสิทธิภาพในการแสดงผลของคอมโพเนนต์ [ดูข้อมูลเพิ่มเติม](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{
message:"ลองอัปโหลด GIF ไปยังบริการซึ่งจะทำให้ใช้ GIF เพื่อฝังเป็นวิดีโอ HTML5 ได้"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"ลองใช้[ปลั๊กอิน](https://wordpress.org/plugins/search/convert+webp/)หรือบริการที่จะแปลงรูปภาพที่อัปโหลดเป็นรูปแบบที่เหมาะสมที่สุดโดยอัตโนมัติ"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"ติดตั้ง[ปลั๊กอินการโหลดแบบ Lazy Loading ของ WordPress](https://wordpress.org/plugins/search/lazy+load/) ที่จะช่วยเลื่อนเวลาโหลดรูปภาพนอกหน้าจอ หรือเปลี่ยนไปใช้ธีมที่มีฟังก์ชันดังกล่าว และอาจลองพิจารณาใช้[ปลั๊กอิน AMP](https://wordpress.org/plugins/amp/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"มีปลั๊กอิน WordPress หลายรายการที่ช่วยคุณ[แทรกเนื้อหาที่สำคัญ](https://wordpress.org/plugins/search/critical+css/) หรือ[เลื่อนเวลาโหลดทรัพยากรที่สำคัญน้อยกว่า](https://wordpress.org/plugins/search/defer+css+javascript/) โปรดระวังว่าการเพิ่มประสิทธิภาพโดยปลั๊กอินเหล่านี้อาจทำให้ฟีเจอร์ของธีมหรือปลั๊กอินของคุณเสียหาย ซึ่งน่าจะทำให้คุณต้องแก้ไขโค้ด"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"การกำหนดธีม ปลั๊กอิน และเซิร์ฟเวอร์ล้วนส่งผลต่อเวลาการตอบสนองของเซิร์ฟเวอร์ ลองหาธีมที่เพิ่มประสิทธิภาพมากขึ้น พยายามเลือกปลั๊กอินการเพิ่มประสิทธิภาพด้วยความระมัดระวัง และ/หรืออัปเกรดเซิร์ฟเวอร์"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:'ลองแสดงข้อความที่ตัดตอนมาในรายการโพสต์ (เช่น ผ่านแท็ก "เพิ่มเติม") ลดจำนวนโพสต์ที่แสดงในหน้าหนึ่งๆ แบ่งโพสต์ยาวๆ เป็นหลายหน้า หรือใช้ปลั๊กอินเพื่อโหลดความคิดเห็นแบบ Lazy Loading'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{
message:"มี[ปลั๊กอิน WordPress](https://wordpress.org/plugins/search/minify+css/) หลายอย่างที่ช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการลิงก์ ลดขนาด และบีบอัดสไตล์ นอกจากนี้คุณอาจใช้กระบวนการของเวอร์ชันเพื่อลดขนาดล่วงหน้าหากเป็นไปได้"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"มี[ปลั๊กอิน WordPress](https://wordpress.org/plugins/search/minify+javascript/) หลายอย่างที่ช่วยให้เว็บไซต์เร็วขึ้นได้ด้วยการลิงก์ ลดขนาด และบีบอัดสคริปต์ นอกจากนี้คุณอาจใช้กระบวนการของเวอร์ชันเพื่อลดขนาดล่วงหน้าหากเป็นไปได้"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"ลองลดหรือเปลี่ยนจำนวน[ปลั๊กอิน WordPress](https://wordpress.org/plugins/) ที่โหลด CSS ที่ไม่ได้ใช้ในหน้าเว็บของคุณ หากต้องการระบุปลั๊กอินที่เพิ่ม CSS โดยไม่จำเป็น ให้ลองเรียกใช้[การครอบคลุมโค้ด](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ใน DevTools ของ Chrome คุณระบุธีม/ปลั๊กอินที่รับผิดชอบได้จาก URL ของสไตล์ชีต หาปลั๊กอินที่มีสไตล์ชีตจำนวนมากอยู่ในรายการซึ่งมีสีแดงอยู่จำนวนมากในการครอบคลุมโค้ด ปลั๊กอินควรเป็นเพียงตัวกำหนดลำดับของสไตล์ชีตเท่านั้นหากใช้ปลั๊กอินในหน้าจริงๆ"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"ลองลดหรือเปลี่ยนจำนวน[ปลั๊กอิน WordPress](https://wordpress.org/plugins/) ที่โหลด JavaScript ที่ไม่ได้ใช้ในหน้าเว็บของคุณ หากต้องการระบุปลั๊กอินที่เพิ่ม JS โดยไม่จำเป็น ให้ลองเรียกใช้ [การครอบคลุมโค้ด](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)ใน DevTools ของ Chrome คุณระบุธีม/ปลั๊กอินที่รับผิดชอบได้จาก URL ของสคริปต์ หาปลั๊กอินที่มีสคริปต์จำนวนมากอยู่ในรายการซึ่งมีสีแดงอยู่จำนวนมากในการครอบคลุมโค้ด ปลั๊กอินควรเป็นเพียงตัวกำหนดลำดับของสคริปต์เท่านั้นหากใช้ปลั๊กอินในหน้าจริงๆ"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"อ่านเกี่ยวกับ[การแคชของเบราว์เซอร์ใน WordPress](https://wordpress.org/support/article/optimization/#browser-caching)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"พิจารณาใช้[ปลั๊กอิน WordPress การเพิ่มประสิทธิภาพรูปภาพ](https://wordpress.org/plugins/search/optimize+images/)ที่บีบอัดรูปภาพแต่ยังคงคุณภาพไว้ได้"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"อัปโหลดรูปภาพโดยตรงผ่าน[ไลบรารีสื่อ](https://wordpress.org/support/article/media-library-screen/)เพื่อให้แน่ใจว่ามีขนาดรูปภาพที่จำเป็นพร้อมใช้งาน จากนั้นแทรกรูปภาพจากไลบรารีสื่อหรือใช้วิดเจ็ตรูปภาพเพื่อให้มีการใช้ขนาดรูปภาพที่มีประสิทธิภาพสูงสุด (รวมถึงขนาดสำหรับเบรกพอยท์ที่ปรับเปลี่ยนตามอุปกรณ์) หลีกเลี่ยงการใช้รูปภาพ`Full Size` นอกเสียจากว่าขนาดจะเพียงพอต่อการใช้งาน [ดูข้อมูลเพิ่มเติม](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"คุณเปิดใช้การบีบอัดข้อความในการกำหนดค่าเว็บเซิร์ฟเวอร์ได้"},"report/renderer/util.js | calculatorLink":{message:"ดูเครื่องคิดเลข"},"report/renderer/util.js | crcInitialNavigation":{message:"การนำทางเริ่มต้น"},"report/renderer/util.js | crcLongestDurationLabel":{message:"เวลาในการตอบสนองของเส้นทางสำคัญที่ยาวที่สุด"},
"report/renderer/util.js | dropdownCopyJSON":{message:"คัดลอก JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"เปิด/ปิดธีมมืด"},"report/renderer/util.js | dropdownPrintExpanded":{message:"ขยายข้อมูลการพิมพ์"},"report/renderer/util.js | dropdownPrintSummary":{message:"สรุปการพิมพ์"},"report/renderer/util.js | dropdownSaveGist":{message:"บันทึกเป็น Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"บันทึกเป็น HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"บันทึกเป็น JSON"},"report/renderer/util.js | dropdownViewer":{message:"เปิดในโปรแกรมดู"},"report/renderer/util.js | errorLabel":{message:"ข้อผิดพลาด!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"ข้อผิดพลาดในรายงาน: ไม่มีข้อมูลการตรวจสอบ"},"report/renderer/util.js | footerIssue":{message:"รายงานปัญหา"},"report/renderer/util.js | labDataTitle":{message:"ข้อมูลในห้องทดลอง"},"report/renderer/util.js | lsPerformanceCategoryDescription":{
message:"การวิเคราะห์หน้าปัจจุบันในเครือข่ายมือถือจำลองโดย [Lighthouse](https://developers.google.com/web/tools/lighthouse/) ค่ามาจากการประมาณและอาจแตกต่างกันไป"},"report/renderer/util.js | manualAuditsGroupTitle":{message:"รายการเพิ่มเติมที่ควรตรวจสอบด้วยตนเอง"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"ไม่เกี่ยวข้อง"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"โอกาส"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"เวลาที่ประหยัดได้โดยประมาณ"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"การตรวจสอบที่ผ่านแล้ว"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"เดสก์ท็อปจำลอง"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Moto G4 จำลอง"},"report/renderer/util.js | runtimeNoEmulation":{message:"ไม่มีการจำลอง"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"เวอร์ชัน Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{
message:"ความแรงของ CPU/หน่วยความจำ"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"การควบคุม CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"ช่อง"},"report/renderer/util.js | runtimeSettingsDevice":{message:"อุปกรณ์"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"เวลาในการดึงข้อมูล"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"การควบคุมเครือข่าย"},"report/renderer/util.js | runtimeSettingsTitle":{message:"การตั้งค่ารันไทม์"},"report/renderer/util.js | runtimeSettingsUA":{message:"User Agent (โฮสต์)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"User Agent (เครือข่าย)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"ไม่ทราบ"},"report/renderer/util.js | showRelevantAudits":{message:"แสดงการตรวจสอบที่เกี่ยวข้องกับรายการต่อไปนี้"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"ยุบตัวอย่างข้อมูล"},
"report/renderer/util.js | snippetExpandButtonLabel":{message:"ขยายตัวอย่างข้อมูล"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"แสดงทรัพยากรของบุคคลที่สาม"},"report/renderer/util.js | throttlingProvided":{message:"ให้บริการโดยสภาพแวดล้อม"},"report/renderer/util.js | toplevelWarningsMessage":{message:"เกิดปัญหาที่มีผลต่อการทำงานนี้ของ Lighthouse"},"report/renderer/util.js | varianceDisclaimer":{message:"ค่ามาจากการประมาณและอาจแตกต่างกันไป [คะแนนประสิทธิภาพคำนวณ](https://web.dev/performance-scoring/)จากเมตริกเหล่านี้โดยตรง"},"report/renderer/util.js | viewTreemapLabel":{message:"ดูแผนภูมิทรีแม็ป"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"ผ่านการตรวจสอบแต่มีคำเตือน"},"report/renderer/util.js | warningHeader":{message:"คำเตือน "}}},{}],141:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{
message:"Erişim anahtarları, kullanıcıların sayfanın bir bölümüne hızlıca odaklanmalarını sağlar. Gezinmenin düzgün bir şekilde gerçekleştirilebilmesi için her bir erişim anahtarının benzersiz olması gerekir [Daha fazla bilgi](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` değerleri benzersiz değil"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` değerleri benzersiz"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Her ARIA `role`, belirli bir `aria-*` özellik alt kümesini destekler. Bunların eşleşmemesi `aria-*` özelliklerini geçersiz kılar. [Daha fazla bilgi](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` özellikleri, rolleriyle eşleşmiyor"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{
message:"`[aria-*]` özellikleri rolleriyle eşleşiyor"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Bir öğenin erişilebilir özellikli adı olmadığında ekran okuyucular tarafından genel adla okunur ve öğe, ekran okuyuculardan yararlanan kullanıcılar için kullanılamaz hale gelir. [Daha fazla bilgi](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`, `link` ve `menuitem` öğelerinin erişilebilir özellikli adları yok."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`, `link` ve `menuitem` öğelerinin erişilebilir özellikli adları var."},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Ekran okuyucular gibi yardımcı teknolojiler, `aria-hidden="true"` öğesi dokümanın `<body>` kısmında ayarlandığında tutarsız çalışır. [Daha fazla bilgi](https://web.dev/aria-hidden-body/).'},
"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Dokümanın `<body>` kısmında `[aria-hidden="true"]` mevcut'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Dokümanın `<body>` kısmında `[aria-hidden="true"]` mevcut değil'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'`[aria-hidden="true"]` öğesi içindeki odaklanabilir alt öğeler, bu etkileşimli öğelerin ekran okuyucu gibi yardımcı teknolojilerin kullanıcılarına sunulmasını engeller. [Daha fazla bilgi](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` öğelerinde odaklanabilir alt öğe bulunuyor'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` öğelerinde odaklanabilir alt öğe bulunmuyor'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{
message:"Bir giriş alanının erişilebilir özellikli bir adı yoksa ekran okuyucular bu alanı genel adla okuyacağı için bu, ekran okuyuculardan yararlanan kullanıcılar için yararlı olmaz. [Daha fazla bilgi](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA giriş alanlarının erişilebilir özellikli adı yok"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA giriş alanları erişilebilir özellikli ada sahip"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Bir öğenin erişilebilir özellikli adı olmadığında ekran okuyucular tarafından genel adla okunur ve öğe, ekran okuyuculardan yararlanan kullanıcılar için kullanılamaz hale gelir. [Daha fazla bilgi](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` öğelerinin erişilebilir özellikli adları yok."},
"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` öğelerinin erişilebilir özellikli adları var"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"`progressbar` öğesinin erişilebilir özellikli adı olmadığında ekran okuyucular tarafından genel adla okunur, dolayısıyla ekran okuyuculardan yararlananlar için kullanışsız olur. [Daha fazla bilgi](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` öğelerinin erişilebilir özellikli adları yok."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` öğelerinin erişilebilir özellikli adları var"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Bazı ARIA rolleri, öğenin durumunu ekran okuyuculara açıklayan gerekli özelliklere sahiptir. [Daha fazla bilgi](https://web.dev/aria-required-attr/)."},
"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` rolleri gereken tüm `[aria-*]` özelliklerine sahip değil"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` öğelerinin rolleri, gereken tüm`[aria-*]` özelliklerine sahip"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Bazı ARIA üst rollerinin amaçlanan erişilebilirlik işlevlerini gerçekleştirebilmek için belirli alt rolleri içermesi gerekir. [Daha fazla bilgi](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"ARIA `[role]` sahibi olup alt öğelerin belirli bir `[role]` içermesini gerektiren öğelerde bu gerekli alt öğelerin bazıları veya hiçbiri bulunmuyor."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{
message:"ARIA `[role]` sahibi olup alt öğelerin belirli bir `[role]` içermesini gerektiren öğelerde gerekli alt öğelerin hepsi bulunuyor."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Bazı ARIA alt rollerinin amaçlanan erişilebilirlik işlevlerini gerektiği gibi gerçekleştirebilmesi için belirli üst rollerin içinde bulunması gerekir. [Daha fazla bilgi](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` rolleri gerekli üst öğelerinin içinde bulunmuyor"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` öğeleri gerekli üst öğelerinin içinde bulunuyor"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA rollerinin amaçlanan erişilebilirlik işlevlerini gerçekleştirebilmesi için geçerli değerlere sahip olması gerekir. [Daha fazla bilgi](https://web.dev/aria-roles/)."},
"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` değerleri geçerli değil"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` değerleri geçerli"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Bir açma/kapatma alanının erişilebilir özellikli bir adı yoksa ekran okuyucular bu alanı genel adla okuyacağı için bu, ekran okuyuculardan yararlanan kullanıcılar için yararlı olmaz. [Daha fazla bilgi](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA açma/kapatma alanlarının erişilebilir özellikli adı yok"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA açma/kapatma alanları erişilebilir özellikli ada sahip"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{
message:"Bir öğenin erişilebilir özellikli adı olmadığında ekran okuyucular tarafından genel adla okunur ve öğe, ekran okuyuculardan yararlanan kullanıcılar için kullanılamaz hale gelir. [Daha fazla bilgi](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` öğelerinin erişilebilir özellikli adları yok."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` öğelerinin erişilebilir özellikli adları var"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Bir öğenin erişilebilir özellikli adı olmadığında ekran okuyucular tarafından genel adla okunur ve öğe, ekran okuyuculardan yararlanan kullanıcılar için kullanılamaz hale gelir. [Daha fazla bilgi](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` öğelerinin erişilebilir özellikli adları yok."},
"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` öğelerinin erişilebilir özellikli adları var"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Ekran okuyucular gibi yardımcı teknolojiler geçersiz değerlere sahip ARIA özelliklerini yorumlayamaz. [Daha fazla bilgi](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` özellikleri geçerli değerlere sahip değil"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` özelliklerinin geçerli değerleri var"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Ekran okuyucular gibi yardımcı teknolojiler geçersiz adlara sahip ARIA özelliklerini yorumlayamaz. [Daha fazla bilgi](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{
message:"`[aria-*]` özellikleri geçerli değil veya yanlış yazılmış"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` özellikleri geçerli ve yanlış yazılmamış"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Başarısız Öğeler"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Bir düğmenin erişilebilir özellikli bir adı yoksa ekran okuyucular bu düğmeyi yalnızca "düğme" olarak okuyacağı için bu, ekran okuyuculardan yararlanan kullanıcılar için yararlı olmaz. [Daha fazla bilgi](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Düğmelerin erişilebilir adları yok"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Düğmeler erişilebilir bir ada sahip"},"lighthouse-core/audits/accessibility/bypass.js | description":{
message:"Tekrar eden içeriği atlamanın yollarını eklemek, klavye kullanıcılarının sayfada daha verimli bir şekilde gezinmesini sağlar. [Daha fazla bilgi](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Bu sayfa bir başlık, atlama bağlantısı veya önemli nokta bölgesi içermiyor"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Sayfa bir başlık, atlama bağlantısı veya önemli nokta bölgesi içeriyor"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Birçok kullanıcı, düşük kontrastlı metni okumakta zorlanır veya okuyamaz. [Daha fazla bilgi](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Arka plan ve ön plan renkleri yeterli kontrast oranına sahip değil."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Arka plan ve ön plan renkleri yeterli kontrast oranına sahip"},
"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Tanım listeleri gerektiği gibi işaretlenmediğinde ekran okuyucular kafa karışıklığına yol açan veya yanlış çıkışlar sunabilir. [Daha fazla bilgi](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` öğeleri yalnızca gerektiği gibi sıralanmış `<dt>` ve `<dd>` gruplarını, `<script>`, `<template>` veya `<div>` öğelerini içermiyor."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` öğeleri yalnızca gerektiği gibi sıralanmış `<dt>` ve `<dd>` gruplarını, `<script>`, `<template>` veya `<div>` öğelerini içeriyor."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Tanım listesi öğelerinin (`<dt>` ve `<dd>`) ekran okuyucular tarafından düzgün bir şekilde duyurulabilmesi için üst `<dl>` öğesinin içine yerleştirilmesi gerekir. [Daha fazla bilgi](https://web.dev/dlitem/)."},
"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Tanım listesi öğeleri `<dl>` öğeleri arasına yerleştirilmemiş"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Tanım listesi öğeleri `<dl>` öğeleri arasına yerleştirilmiş"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Başlık, ekran okuyucu kullanıcılarına sayfayla ilgili genel bir fikir verir ve arama motoru kullanıcılarının bir sayfanın aramalarıyla ilgili olup olmadığını belirlemeleri açısından son derece önemlidir. [Daha fazla bilgi](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Dokümanın `<title>` öğesi yok"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Doküman geçerli bir `<title>` öğesi içeriyor"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Odaklanabilir tüm öğelerde yardımcı teknolojilere görünür olmalarını sağlamak için benzersiz bir `id` olmalıdır. [Daha fazla bilgi](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Etkin, odaklanabilir öğelerdeki `[id]` özellikleri benzersiz değil"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Etkin, odaklanabilir öğelerdeki `[id]` özellikleri benzersiz"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA kimliğinin değeri benzersiz olmalıdır. Bunun nedeni, yardımcı teknolojilerin farkına varmadan diğer örnekleri atlamasını önlemektir. [Daha fazla bilgi](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA kimlikleri benzersiz değil"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA kimlikleri benzersiz"},
"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Birden çok etikete sahip form alanları etiketlerin ilkini, sonuncusunu veya tümünü kullanan ekran okuyucular gibi yardımcı teknolojiler tarafından karışıklık yaratacak şekilde okunabilir. [Daha fazla bilgi](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Form alanlarında birden çok etiket var"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Hiçbir form alanının birden fazla etiketi yok"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Ekran okuyucu kullanıcıları, çerçevelerin içeriklerinin açıklanması için çerçeve başlıklarından yararlanır. [Daha fazla bilgi](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` veya `<iframe>` öğelerinin başlığı yok"},
"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` veya `<iframe>` öğesi bir başlığa sahip"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Düzey atlamayan gerektiği gibi sıralanmış başlıklar sayfanın anlamsal yapısını iletir. Bu şekilde yardımcı teknolojileri kullanırken gezinmeyi ve anlamayı kolaylaştırır. [Daha fazla bilgi](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Başlık öğeleri sırayla azalan düzende sıralı değil"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Başlık öğeleri sırayla azalan düzende sıralanmış görüntülenir"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Sayfa bir lang özelliği belirtmezse ekran okuyucu, sayfanın kullanıcı ekran okuyucuyu kurarken seçtiği varsayılan dilde olduğunu varsayar. Sayfa aslında varsayılan dilde değilse ekran okuyucu, sayfanın metnini doğru bir şekilde duyurmayabilir. [Daha fazla bilgi](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` öğesinin `[lang]` özelliği yok"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` öğesi `[lang]` özelliği içeriyor"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Geçerli bir [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) belirtilmesi, ekran okuyucuların metni düzgün bir şekilde duyurmasına yardımcı olur. [Daha fazla bilgi](https://web.dev/html-lang-valid/)."},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{
message:"`<html>` öğesi, `[lang]` özelliği için geçerli bir değeri sahip değil."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` öğesi, `[lang]` özelliği için geçerli bir değere sahip"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Bilgilendirme amaçlı öğelerin hedefi, kısa ve açıklayıcı alternatif metinler olmalıdır. Dekoratif öğeler boş bir alt özelliğiyle yok sayılabilir. [Daha fazla bilgi](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Resim öğelerinin `[alt]` özellikleri yok"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Resim öğelerinin `[alt]` özellikleri var"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Bir resim `<input>` düğmesi olarak kullanılırken alternatif metin sağlamak, ekran okuyucu kullanıcılarının düğmenin amacını anlamalarına yardımcı olabilir. [Daha fazla bilgi](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` öğelerinin `[alt]` metni yok'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` öğelerinin `[alt]` metni var'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Etiketler, form kontrollerinin ekran okuyucular gibi yardımcı teknolojiler tarafından düzgün bir şekilde duyurulmasını sağlar. [Daha fazla bilgi](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Form öğelerinin ilişkili etiketleri yok"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Form öğelerinin ilişkili etiketleri var"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Ayırt edilebilir, benzersiz ve odaklanılabilir bağlantı metni (ve bağlantı olarak kullanıldığında resimler için alternatif metin), ekran okuyucu kullanıcılarına daha iyi bir gezinme deneyimi sunar. [Daha fazla bilgi](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Bağlantıların ayırt edilebilir adları yok"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Bağlantıların ayırt edilebilir adları var"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Ekran okuyucular listeleri duyurmak için belirli bir yöntem kullanır. Liste yapısının gerektiği gibi olmasını sağlamak, ekran okuyucu çıkışının düzgün olmasına yardımcı olur. [Daha fazla bilgi](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"Listeler yalnızca `<li>` öğelerini ve komut dosyası destekleyen öğeleri (`<script>` ve `<template>`) içermiyor."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Listeler yalnızca `<li>` öğelerini ve komut dosyası destekleyen öğeleri (`<script>` ve `<template>`) içeriyor."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Ekran okuyucuların liste öğelerini (`<li>`) düzgün bir şekilde okuyabilmesi için liste öğelerinin, üst `<ul>` veya `<ol>` öğesinde yer alması gerekir. [Daha fazla bilgi](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Liste öğeleri (`<li>`), `<ul>` veya `<ol>` üst öğelerinde yer almıyor."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Liste öğeleri (`<li>`), `<ul>` veya `<ol>` üst öğelerinde yer alıyor"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Kullanıcılar bir sayfanın otomatik olarak yenileneceğini düşünmez ve bu işlem yeniden sayfanın üst tarafına odaklanılmasına neden olur. Bu durum, can sıkıcı veya kafa karışıklığına yol açan bir deneyime yol açabilir. [Daha fazla bilgi](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Doküman `<meta http-equiv="refresh">` kullanıyor'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Doküman `<meta http-equiv="refresh">` öğesini kullanmıyor'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Yakınlaştırmanın devre dışı bırakılması, az gören ve bir web sayfasının içeriğini düzgün bir şekilde görebilmek için ekran büyütme özelliğinden yararlanan kullanıcılar için sorun teşkil eder. [Daha fazla bilgi](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{
message:'`[user-scalable="no"]`, `<meta name="viewport">` öğesinde kullanılmış veya `[maximum-scale]` özelliği 5\'ten küçük.'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]`, `<meta name="viewport">` öğesinde kullanılmamış ve `[maximum-scale]` özelliği 5\'ten küçük değil.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Ekran okuyucular metin dışı içeriği çeviremez. `<object>` öğelerine alternatif metin eklemek, ekran okuyucuların ilgili öğenin ne anlama geldiğini kullanıcılara söylemesine yardımcı olur. [Daha fazla bilgi](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` öğelerinin `[alt]` metni yok"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` öğelerinin `[alt]` metni var"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"0'dan büyük bir değer, açık bir gezinme sıralamasını belirtir. Bu durum teknik olarak geçerli olsa da yardımcı teknolojilerden yararlanan kullanıcıların genellikle sinir bozucu deneyimler yaşamalarına neden olur. [Daha fazla bilgi](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Bazı öğeler 0'dan büyük bir `[tabindex]` değeri içeriyor"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Hiçbir öğe 0'dan büyük `[tabindex]` değeri içermiyor"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Ekran okuyucuların tablolarda daha kolay gezinmeyi sağlayan özellikleri vardır. `[headers]` özelliğini kullanan`<td>` hücrelerinin yalnızca aynı tablodaki diğer hücrelere atıfta bulunmasını sağlamak, ekran okuyucu kullanıcılarına daha iyi bir deneyim sunabilir. [Daha fazla bilgi](https://web.dev/td-headers-attr/)."},
"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`<table>` öğesinde olup `[headers]` özelliğini kullanan hücrelerin atıfta bulunduğu öğe `id` aynı tabloda yer almıyor."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`<table>` öğesinde olup `[headers]` özelliğini kullanan hücreler, aynı tablodaki tablo hücrelerine atıfta bulunuyor."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Ekran okuyucuların tablolarda daha kolay gezinmeyi sağlayan özellikleri vardır. Tablo başlıklarının her zaman bazı hücre kümelerine atıfta bulunmasını sağlamak, ekran okuyucu kullanıcılarına daha iyi bir deneyim sunabilir. [Daha fazla bilgi](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` öğelerinin ve `[role="columnheader"/"rowheader"]` içeren öğelerin açıkladıkları veri hücreleri yok.'},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` öğelerinin ve`[role="columnheader"/"rowheader"]` içeren öğelerin açıkladıkları veri hücreleri var.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Öğelerde geçerli bir [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) belirtilmesi, ekran okuyucunun metni doğru telaffuz etmesini sağlar. [Daha fazla bilgi](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` özellikleri geçerli bir değere sahip değil"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` özellikleri geçerli bir değere sahip"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"Bir videoda altyazının yer alması işitme engelli ve işitme zorluğuna sahip kullanıcıların videonun bilgilerine daha kolay erişmelerini sağlar. [Daha fazla bilgi](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` öğelerinde `[kind="captions"]` içeren bir `<track>` öğesi bulunmuyor.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` öğelerinde `[kind="captions"]`içeren bir `<track>` öğesi bulunuyor'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Kullanıcılar ana ekranlarına progresif web uygulaması eklerinde iOS'ta ideal görünüm için bir `apple-touch-icon` öğesi tanımlayın. Tanım, saydam olmayan bir 192 piksel (veya 180 piksel) kare PNG'ye götürmelidir. [Daha Fazla Bilgi](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Geçerli bir `apple-touch-icon` öğesi içermiyor"},
"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` güncel değil; `apple-touch-icon` tercih edilir."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Geçerli bir `apple-touch-icon` sunuyor"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Mevcut Değer"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Önerilen Jeton"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete`, kullanıcıların formları daha hızlı göndermesine yardımcı olur. Kullanıcının yapması gerekenleri azaltmak için `autocomplete` özelliğini geçerli bir değere ayarlayarak etkinleştirmeyi düşünün. [Daha fazla bilgi edinin](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)."},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` öğelerinin doğru `autocomplete` özellikleri yok"},
"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Manuel inceleme gerekli"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Jetonların sırasını inceleyin"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` öğeleri, doğru bir şekilde `autocomplete` kullanıyor"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'`autocomplete` jetonları: {snippet} içindeki "{token}" geçersiz'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Jetonların sırasını inceleyin: {snippet} içindeki "{tokens}".'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome uzantıları bu sayfanın yükleme performansını olumsuz etkilemiştir. Sayfayı gizli modda veya uzantı içermeyen bir Chrome profilinden denetlemeyi deneyin."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Komut Dosyası Değerlendirmesi"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{
message:"Komut Dosyası Ayrıştırma"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Toplam CPU Süresi"},"lighthouse-core/audits/bootup-time.js | description":{message:"JS'yi ayrıştırma, derleme ve yürütme için harcanan zamanı kısaltmayı düşünün. Daha küçük JS yüklerinin sağlanması bu konuda yardımcı olabilir. [Daha fazla bilgi](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"JavaScript yürütme süresini azaltın"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript yürütme süresi"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Ağ etkinliğinin kullandığı bayt sayısını azaltmak için paketlerden büyük, yinelenen JavaScript modüllerini kaldırın. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"JavaScript paketlerindeki yinelenen modülleri kaldırın"},
"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"Büyük GIF'ler, animasyonlu içeriğin sunulmasında verimli olmaz. Ağ veri miktarından tasarruf etmek üzere animasyonlar için MPEG4/WebM videoları ve statik resimler için GIF yerine PNG/WebP kullanma seçeneğini değerlendirin. [Daha fazla bilgi](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Animasyonlu içerik için video biçimleri kullanın"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Çoklu dolgular ve dönüşümler, eski tarayıcıların yeni JavaScript özelliklerini kullanmasını sağlar. Ancak, çoğu modern tarayıcılar için gerekli değildir. Eski tarayıcılara verilen desteği tutarken, modern tarayıcılara gönderilen kod miktarını azaltmak üzere modüllü/modülsüz özellik algılamayı kullanarak JavaScript paketiniz için modern bir komut dosyası dağıtım stratejisi kullanın. [Daha Fazla Bilgi](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Modern tarayıcılara eski JavaScript sunmaktan kaçının"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000, JPEG XR ve WebP gibi resim biçimleri genellikle PNG veya JPEG'den daha iyi sıkıştırma sağlar. Böylece indirme işlemleri daha hızlı tamamlanır ve veri tüketimi daha az olur. [Daha fazla bilgi](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Resimleri yeni nesil biçimlerde yayınlayın"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Etkileşim için hazır olma süresini kısaltmak için ekran dışı ve gizli resimleri, tüm kritik kaynakların yüklenmesi bittikten sonra gecikmeli olarak yükleme seçeneğini değerlendirin. [Daha fazla bilgi](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Ekran dışındaki resimleri ertele"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Kaynaklar, sayfanızda ilk boyamayı engelliyor. Kritik JS/CSS'yi satır içinde yayınlama ve kritik olmayan tüm JS/stilleri erteleme seçeneğini değerlendirin. [Daha fazla bilgi](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{
message:"Oluşturmayı engelleyen kaynakları ortadan kaldırın"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Büyük ağ yükleri kullanıcılar için parasal maliyet anlamına gelir ve yükleme sürelerinin uzamasında yüksek bir etkiye sahiptir. [Daha fazla bilgi](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Toplam boyut {totalBytes, number, bytes} KiB'tı"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Çok büyük ağ yüklerinden kaçının"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Çok büyük ağ yüklerini önler"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"CSS dosyalarının küçültülmesi ağ yükü boyutlarını azaltabilir. [Daha fazla bilgi](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"CSS'yi küçültün"},
"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"JavaScript dosyalarının küçültülmesi yük boyutlarını azaltabilir ve komut dosyası ayrıştırma süresini kısaltabilir. [Daha fazla bilgi](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"JavaScript'i küçült"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Ağ etkinliğinin kullandığı bayt sayısını azaltmak üzere stil sayfalarında kullanılmayan kuralları azaltıp ekranın üst kısmında içerik için kullanılmayan CSS'yi erteleyin. [Daha fazla bilgi](https://web.dev/unused-css-rules/)."},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Kullanılmayan CSS'yi azaltın"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"Ağ etkinliğinin kullandığı bayt sayısını azaltılmaları gerekene kadar kullanılmayan JavaScript'i azaltıp komut dosyalarını erteleyin. [Daha fazla bilgi](https://web.dev/unused-javascript/)."},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Kullanılmayan JavaScript'i azaltın"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Uzun önbellek ömrü, sayfanızın tekrar ziyaret edilmesi sürecini hızlandırabilir. [Daha fazla bilgi](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{1 kaynak bulundu}other{# kaynak bulundu}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Statik öğeleri verimli bir önbellek politikasıyla yayınlayın"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Statik öğelerde verimli önbellek politikası kullanır"},
"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Optimize edilmiş resimler daha hızlı yüklenir ve daha az hücresel veri kullanır. [Daha fazla bilgi](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Resimleri verimli bir şekilde kodlayın"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Hücresel veriden tasarruf etmek ve yükleme süresini kısaltmak için uygun boyutlu resimler sunun. [Daha fazla bilgi](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Doğru boyuta sahip resimler"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{
message:"Metne dayalı kaynaklar, toplam ağ baytı sayısını en aza indirmek için sıkıştırılarak (gizp, deflate veya brotli) yayınlanmalıdır. [Daha fazla bilgi](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Metin sıkıştırmayı etkinleştirin"},"lighthouse-core/audits/content-width.js | description":{message:"Uygulamanızın içeriğinin genişliği, görüntü alanının genişliğiyle eşleşmiyorsa uygulamanız mobil ekranlar için optimize edilmemiş olabilir. [Daha fazla bilgi](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"{innerWidth} piksel görüntü alanı boyutu, {outerWidth} piksel pencere boyutuyla eşleşmiyor."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"İçerik, görüntü alanı için doğru boyutlandırılmadı"},"lighthouse-core/audits/content-width.js | title":{message:"İçerik görüntü alanı için doğru boyutlandırıldı"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"Aşağıdaki Kritik İstek Zincirleri, hangi kaynakların yüksek öncelikle yüklendiğini göstermektedir. Sayfa yüklemesini iyileştirmek için zincir uzunluğunu azaltma, kaynakların indirme boyutunu küçültme veya gereksiz kaynakların indirilmesini erteleme seçeneğini değerlendirin. [Daha fazla bilgi](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{1 zincir bulundu}other{# zincir bulundu}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Kritik istek zinciri oluşturmaktan kaçın"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Yönerge"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Önem derecesi"},"lighthouse-core/audits/csp-xss.js | description":{
message:"Güçlü bir İçerik Güvenliği Politikası (İGP), siteler arası komut dosyası çalıştırma (XSS) saldırısı riskini önemli ölçüde azaltır. [Daha fazla bilgi](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Söz dizimi"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Bu sayfa <meta> etikette tanımlanmış bir CSP içeriyor. Mümkünse CSP'yi bir HTTP başlığında tanımlayın."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Zorunlu modda hiç CSP bulunmadı"},"lighthouse-core/audits/csp-xss.js | title":{message:"XSS saldırıları karşısında CSP'nin etkinliğini sınayın"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Kullanımdan Kaldırma / Uyarı"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Satır"},"lighthouse-core/audits/deprecations.js | description":{message:"Kullanımdan kaldırılan API'ler sonunda tarayıcıdan kaldırılacaktır. [Daha fazla bilgi](https://web.dev/deprecations/)."},
"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{1 uyarı bulundu}other{# uyarı bulundu}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Kullanımdan kaldırılan API'leri kullanıyor"},"lighthouse-core/audits/deprecations.js | title":{message:"Kullanımdan kaldırılan API'leri içermiyor"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache API'si kullanımdan kaldırılmıştır. [Daha fazla bilgi](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'"{AppCacheManifest}" bulundu'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Uygulama Önbelleği Kullanma"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Uygulama Önbelleği Kullanılmıyor"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:"Karakter kodlama tanımlaması gerekiyor. Bu, HTML'nin ilk 1.024 baytı içinde veya İçerik Türü HTTP yanıt başlığında bir `<meta>` etiketi ile yapılabilir. [Daha fazla bilgi edinin](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Karakter kümesi tanımlaması eksik veya HTML'de çok geç gerçekleşiyor"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Karakter kümesini düzgün şekilde tanımlıyor"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Bir DOCTYPE belirlemek, tarayıcının Quirks moduna geçmesini önler. [Daha fazla bilgi](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"DOCTYPE adı, küçük harf `html` dizesi olmalıdır"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Doküman bir DOCTYPE içermelidir"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{
message:"Beklenen publicId boş bir dize olmalı"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Beklenen systemId boş bir dize olmalı"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Sayfada HTML DOCTYPE eksik, bu nedenle Quirks modunu tetikliyor"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Sayfa HTML DOCTYPE içeriyor"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"İstatistik"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Değer"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Büyük bir DOM, bellek kullanımını artırarak daha uzun [stil hesaplamalarına](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), neden olabilir ve yüksek maliyetli [düzen yeniden düzenlemeleri](https://developers.google.com/speed/articles/reflow) üretebilir. [Daha fazla bilgi](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 öğe}other{# öğe}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Aşırı büyük bir DOM boyutundan kaçının"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Maksimum DOM Derinliği"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Tüm DOM Öğeleri"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Maksimum Alt Öğe"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Aşırı büyük bir DOM boyutunu önler"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Başarısız Bağlantılar"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Performansı artırmak ve güvenlik açıklarını önlemek için harici bağlantılara `rel="noopener"` veya `rel="noreferrer"` ekleyin. [Daha fazla bilgi](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Çapraz kökenli hedeflere bağlantılar güvenli değildir"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Çapraz kökenli hedeflere bağlantılar güvenli"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"Bağlantı için hedef belirlenemedi ({anchorHTML}). Köprü olarak kullanılmadıysa target=_blank öğesini kaldırmayı değerlendirin."},
"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Kullanıcılar herhangi bir bağlam olmadan konum bilgilerini isteyen sitelere şüpheyle bakarlar veya bu istek karşısında şaşırırlar. Onun yerine isteği bir kullanıcı işlemine bağlamayı değerlendirin. [Daha fazla bilgi](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Sayfa yüklemede coğrafi konum izni istiyor"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Sayfa yüklemede coğrafi konum izni istemiyor"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Sorun türü"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Chrome Geliştirici Araçları'ndaki `Issues` paneline kaydedilen sorunlar, çözülmemiş sorunları ifade eder. Bunlar ağ istek hatalarından, yetersiz güvenlik kontrollerinden ve diğer tarayıcı sorunlarından gelebilir. Tüm sorunlarla ilgili ayrıntılı bilgiyi, Chrome Geliştirici Araçları'nın Issues panelinde bulabilirsiniz."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Sorunlar, Chrome Geliştirici Araçları'ndaki `Issues` paneline kaydedildi"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Çapraz kaynak politikası tarafından engellendi"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Reklamlar tarafından yoğun kaynak kullanımı"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome Geliştirici Araçları'ndaki `Issues` panelinde hiç sorun yok"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Sürüm"},
"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Sayfadaki tüm JavaScript kitaplıkları kullanıcı arabirimleri algılandı. [Daha fazla bilgi](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"JavaScript kitaplıkları algılandı"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"`document.write()` aracılığıyla dinamik olarak enjekte edilen harici komut dosyaları, yavaş bağlantıdaki kullanıcılar için sayfa yüklemeyi onlarca saniye geciktirebilir. [Daha fazla bilgi](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"`document.write()` kullanmaktan kaçının"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"`document.write()` öğesinden kaçınıyor"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"En Yüksek Önem Derecesi"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Kitaplık Sürümü"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Güvenlik Açığı Sayısı"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Bazı üçüncü taraf komut dosyaları, saldırganlar tarafından kolayca belirlenen ve istismar edilen bilinen güvenlik açıkları içerebilir. [Daha fazla bilgi](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{1 güvenlik açığı algılandı}other{# güvenlik açığı algılandı}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Bilinen güvenlik açıklarına sahip JavaScript kitaplıkları kullanıcı arabirimi içeriyor"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{
message:"Bilinen güvenlik açıklarına sahip JavaScript kitaplıkları kullanıcı arabirimini önlüyor"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Kullanıcılar herhangi bir bağlam olmadan bildirim göndermek isteyen sitelere şüpheyle bakarlar veya bu istek karşısında şaşırırlar. Onun yerine isteği kullanıcı hareketlerine bağlamayı değerlendirin. [Daha fazla bilgi](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Sayfa yüklemede bildirim izni istiyor"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Sayfa yüklemede bildirim izni istemiyor"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Şifre yapıştırmanın engellenmesi, iyi güvenlik politikasına zarar verir. [Daha fazla bilgi](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Kullanıcıların şifre alanlarına yapıştırmalarını önler"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Kullanıcıların şifre alanlarına yapıştırmalarına izin verir"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Protokol"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2, HTTP/1.1'e kıyasla ikili başlıklar ve çoğullama gibi birçok avantaj sunar. [Daha fazla bilgi edinin](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 istek HTTP/2 üzerinden sunulmuyor}other{# istek HTTP/2 üzerinden sunulmuyor}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"HTTP/2'yi kullan"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Sayfanızın kaydırma performansını artırmak için dokunma ve ve tekerlek etkinliği işleyicilerini `passive` olarak işaretlemeyi değerlendirin. [Daha fazla bilgi](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Kaydırma performansını artırmak için pasif işleyicileri kullanmıyor"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Kaydırma performansını artırmak için pasif işleyicileri kullanıyor"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Konsola kaydedilen hatalar çözülmemiş problemleri belirtir Bunlar, ağ istek hatalarından ve diğer tarayıcı sorunlarından gelebilir. [Daha fazla bilgi](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Tarayıcı hataları konsola kaydedildi"},"lighthouse-core/audits/errors-in-console.js | title":{
message:"Konsola tarayıcı hatası kaydedilmedi"},"lighthouse-core/audits/font-display.js | description":{message:"Web yazı tipleri yüklenirken kullanıcının metni görebilmesini sağlamak için yazı tipi görüntüleme CSS özelliğinden yararlanın. [Daha fazla bilgi](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Web yazı tipi yüklemesi sırasında metnin görünür halde kalmasını sağlayın"},"lighthouse-core/audits/font-display.js | title":{message:"Web yazı tipi yüklenirken tüm metin görünür halde kalır"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse, {fontOrigin} kaynağı için `font-display` değerini otomatik olarak kontrol edemedi.}other{Lighthouse, {fontOrigin} kaynağı için `font-display` değerlerini otomatik olarak kontrol edemedi.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"En Boy Oranı (Gerçek)"},
"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"En Boy Oranı (Görüntülenen)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Resim görüntüleme boyutları doğal en boy oranıyla eşleşmeli. [Daha fazla bilgi](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Yanlış en boy oranına sahip resimler görüntülüyor"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Resimleri doğru en boy oranıyla görüntülüyor"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Gerçek boyut"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Görüntülenen boyut"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Beklenen boyut"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Resmin doğal boyutları, resmin netliğini en üst düzeye çıkarmak için görüntü boyutu ve piksel oranı ile orantılı olmalıdır. [Daha fazla bilgi](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Düşük çözünürlüklü resimleri sunar"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Çözünürlüğü uygun olan resimleri sunar"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Uygulama zaten yüklenmiş"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Gereken bir simge manifest'ten indirilemedi"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Hata nedeni"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Servis çalışanı, uygulamanızın çevrimdışı çalışma, ana ekrana ekleme ve push bildirimleri gibi pek çok Progresif Web Uygulaması (PWA) özelliğini kullanmasını sağlayan teknolojidir. Doğru hizmet çalışanı ve manifest uygulamalarıyla tarayıcılar proaktif olarak kullanıcılardan uygulamanızı ana ekranlarına eklemelerini isteyebilir, böylece daha yüksek etkileşim sağlanabilir. [Daha fazla bilgi edinin](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 neden}other{# neden}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Web uygulaması manifest dosyası veya hizmet çalışanı, yüklenebilir olma gerekliliklerini karşılamıyor"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play Store uygulama URL'si ve Play Store kimliği eşleşmiyor"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"Sayfa, gizli pencerede yüklenmiş"},
"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'Manifest dosyasındaki "display" özelliği; "standalone", "fullscreen" veya "minimal-ui"den biri olmalıdır'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Manifest dosyası "display_override" alanını içeriyor ve desteklenen ilk görüntü modunun "standalone", "fullscreen" veya "minimal-ui"den biri olması gerekiyor'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Manifest dosyası getirilemedi, boş veya ayrıştırılamadı"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Manifest dosyası getirilirken manifest URL'si değiştirildi."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Manifest dosyası bir "name" veya "short_name" alanı içermiyor'},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{
message:'Manifest dosyası uygun bir simge içermiyor. En az {value0} piksel değerinde bir PNG, SVG veya WebP biçimi gerekli olup sizes özelliği ayarlanmalıdır. Ayrıca purpose özelliği ayarlanacaksa "any" ifadesini içermelidir.'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Sağlananlar arasında PNG, SVG veya WebP biçiminde, en az {value0} piksel ölçüsünde bir kare şeklinde, amaç özelliği ayarlanmamış ya da "any" olarak ayarlanmış bir simge yok'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"İndirilen simge boş veya bozuktu"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Play Store kimliği sağlanmamış"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Sayfada hiç manifest <link> URL'si yok"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Eşleşen hizmet çalışanı algılanamadı. Sayfayı yeniden yüklemeniz veya mevcut sayfaya ait hizmet çalışanı kapsamının, manifest dosyasındaki kapsamı ve başlangıç URL'sini içerdiğinden emin olmanız gerekir."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Manifest dosyasında "start_url" alanı olmadığından hizmet çalışanı kontrol edilemedi'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'Yüklenebilirlik hata kimliği "{errorId}" tanınmıyor'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Sayfa, güvenli bir kaynaktan yayınlanmıyor"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Sayfa, ana çerçeveye yüklenmiyor"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Sayfa çevrimdışı çalışmıyor"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{
message:"Belirtilen uygulama platformu, Android'de desteklenmiyor"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Manifest dosyasında prefer_related_applications: true değeri belirtilmiş"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications, Android'de yalnızca Chrome Beta ve Mevcut ürün kanallarında desteklenir."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Manifest başlangıç URL'si geçerli değil"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Web uygulaması manifest dosyası ve hizmet çalışanı, yüklenebilir olma gerekliliklerini karşılıyor"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Manifest dosyasındaki bir URL; kullanıcı adı, şifre veya bağlantı noktası içeriyor"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{
message:"Sayfa çevrimdışı çalışmıyor. Sayfa, Ağustos 2021'de çıkacak Chrome 93 kararlı sürümünden sonra yüklenebilir olarak değerlendirilmeyecek."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"İzin verildi"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Engellendi"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Güvenli olmayan URL"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Çözümleme İstenenler"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Tüm siteler (hassas veriler işlemeyenler dahi) HTTPS ile korunmalıdır. Bu, ilk istek HTTPS üzerinden sunulsa bile bazı kaynakların HTTP üzerinden yüklendiği [karma içerikten](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content) kaçınmayı içerir. HTTPS, izinsiz kişilerin uygulamanızla kullanıcılarınız arasındaki iletişime müdahale etmelerini veya bu iletişimi pasif olarak dinlemelerini önler; ayrıca HTTP/2 ve birçok yeni web platformu API'leri için ön koşuldur. [Daha fazla bilgi edinin](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Güvenli olmayan 1 istek bulundu}other{Güvenli olmayan # istek bulundu}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"HTTPS kullanmıyor"},"lighthouse-core/audits/is-on-https.js | title":{message:"HTTPS kullanıyor"},"lighthouse-core/audits/is-on-https.js | upgraded":{
message:"Otomatik olarak HTTPS sürümüne geçildi"},"lighthouse-core/audits/is-on-https.js | warning":{message:"İzin verildi ancak uyarı içeriyor"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Kitaplık"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Büyük JavaScript kitaplıkları kötü performansa yol açabilir. Paketinizin boyutunu küçültmek için daha küçük, işlevsel olarak eş değerde kitaplıklar kullanın. [Daha fazla bilgi](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{1 büyük kitaplık bulundu}other{# büyük kitaplık bulundu}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Gereksiz bir şekilde büyük olan JavaScript kitaplıklarını değiştirin"},"lighthouse-core/audits/large-javascript-libraries.js | title":{
message:"Daha küçük alternatifleri olan büyük JavaScript kitaplıklarını kullanmaktan kaçının"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Bu, görüntü alanı içinde boyanan en büyük zengin içerikli öğedir. [Daha Fazla Bilgi](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Largest Contentful Paint öğesi"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"CLS Katkısı"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Sayfanın CLS'sine en fazla bu DOM öğeleri katkıda bulunur."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Büyük düzen kaymalarından kaçının"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Ana ileti dizisindeki en uzun görevleri listeler; giriş gecikmesine en çok katkıda bulunanları belirlemekte faydalıdır. [Daha fazla bilgi](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{# uzun görev bulundu}other{# uzun görev bulundu}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Uzun ana ileti dizisi görevlerinden kaçının"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Kategori"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"JS'yi ayrıştırma, derleme ve yürütme için harcanan zamanı kısaltabilirsiniz. Daha küçük JS yüklerinin sağlanması bu konuda yardımcı olabilir. [Daha fazla bilgi](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Ana iş parçacığı çalışmasını en aza indir"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{
message:"Ana iş parçacığının çalışmasını en aza indirir"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Mümkün olduğunca fazla sayıda kullanıcıya ulaşmak için sitelerin belli başlı her tarayıcıda çalışması gerekir. [Daha fazla bilgi](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Site farklı tarayıcılarda çalışıyor"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Her bir sayfaya URL aracılığıyla derin bağlantı verilebildiğinden ve URL'lerin sosyal medyada paylaşılabilmesi için benzersiz olduğundan emin olun. [Daha fazla bilgi](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Her sayfa bir URL'ye sahip"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Yavaş ağlarda bile sağa sola dokundukça geçişlerin hızlı gerçekleştiği hissedilmelidir. Bu deneyim, kullanıcının performans algısının temelinde yatar. [Daha fazla bilgi](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Sayfa geçişleri ağda takılıyorlarmış gibi hissedilmiyor"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Maskelenebilir simge, uygulama bir cihaza yüklenirken resmin sinemaskop hale gelmeden tüm şekli doldurmasını sağlar. [Daha fazla bilgi](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Manifest dosyası maskelenebilir bir simge içermiyor"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Manifest dosyası maskelenebilir simge içeriyor"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Cumulative Layout Shift, görüntü alanı içindeki görünür öğelerin hareketini ölçer. [Daha fazla bilgi](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"İlk Zengin İçerikli Boyama, ilk metnin veya resmin boyandığı zamanı işaret eder. [Daha fazla bilgi](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"İlk Anlamlı Boyama, bir sayfanın ana içeriğinin ne zaman görünür hale geldiğini ölçer. [Daha fazla bilgi](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Etkileşime hazır olma süresi, sayfanın tamamen etkileşime hazır hale gelmesi için geçmesi gereken süreyi ifade eder. [Daha fazla bilgi](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"En Büyük Zengin İçerikli Boyama, en büyük metnin veya resmin boyandığı zamanı işaret eder. [Daha fazla bilgi](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Kullanıcılarınızın karşılaşabileceği olası maksimum İlk Giriş Gecikmesi, en uzun görevin süresidir. [Daha fazla bilgi](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Hız Endeksi, bir sayfa içeriğinin görsel olarak ne kadar hızlı doldurulabildiğini gösterir. [Daha fazla bilgi](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Görev süresi 50 ms.yi aştığında, FCP ile Etkileşime Hazır Olma Süresi arasındaki tüm dönemlerin milisaniye cinsinden toplamı. [Daha fazla bilgi](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{
message:"Ağ gidiş dönüş sürelerinin (RTT) performans üzerinde büyük bir etkisi vardır. Kaynağa RTT'nin fazla olması, kullanıcıya daha yakın olan sunucuların performansı iyileştirebileceğinin göstergesidir. [Daha fazla bilgi](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Ağ Gidiş Dönüş Süreleri"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Sunucudan kaynaklanan gecikmeler web performansını etkileyebilir. Bir kaynakta sunucu gecikmesinin fazla olması, sunucunun aşırı yüklendiğinin veya arka uç performansının kötü olduğunun göstergesidir. [Daha fazla bilgi](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Sunucunun Arka Uç Gecikmeleri"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` etkinliği güvenilir bir şekilde tetiklenmez ve etkinliğin dinlenmesi, Geri-İleri Önbelleği gibi tarayıcı optimizasyonlarını engelleyebilir. Bunun yerine `pagehide` veya `visibilitychange` etkinliklerini kullanabilirsiniz. [Daha Fazla Bilgi](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Bir `unload` işleyicisi bulunuyor"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"`unload` etkinlik işleyicisi içermiyor"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Birleştirilmemiş animasyonlar kalitesiz olabilir ve CLS'yi artırır. [Daha fazla bilgi](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Animasyonlu # öğe bulundu}other{Animasyonlu # öğe bulundu}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Filtre ile ilgili özellik, pikselleri hareket ettirebilir"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Hedefte uyumlu olmayan başka bir animasyon var"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Efektte "değiştir" dışında bileşik mod var'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Birleştirilmemiş animasyonlardan kaçının"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Dönüşümle ilgili özellik kutu boyutuna bağlıdır"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Desteklenmeyen CSS Özelliği: {properties}}other{Desteklenmeyen CSS Özellikleri: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{
message:"Efektin desteklenmeyen zamanlama parametreleri var"},"lighthouse-core/audits/performance-budget.js | description":{message:"Ağ isteklerinin miktarını ve büyüklüğünü, performans bütçesi tarafından belirlenen hedeflerin altında tutun. [Daha fazla bilgi](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 istek}other{# istek}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Performans bütçesi"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Sitenize ilk kez gelen ziyaretçilerin kullanma olasılığına karşı `optional` özelliği olan yazı tiplerini önceden yükleyin. [Daha fazla bilgi](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"`font-display: optional` özelliği olan yazı tipleri önceden yüklenmedi"},"lighthouse-core/audits/preload-fonts.js | title":{
message:"`font-display: optional` özelliği olan yazı tipleri önceden yüklendi"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"LCP sürenizi iyileştirmek için LCP öğesi tarafından kullanılan resmi önceden yükleyin. [Daha fazla bilgi](https://web.dev/optimize-lcp/#preload-important-resources)."},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Largest Contentful Paint resmi önceden yükleme"},"lighthouse-core/audits/redirects-http.js | description":{message:"Zaten HTTPS kurduysanız kullanıcılarınıza güvenli web özellikleri sağlayabilmek için tüm HTTP trafiğini HTTPS'ye yönlendirdiğinizden emin olun. [Daha fazla bilgi](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"HTTP trafiğini HTTPS'ye yönlendirmiyor"},"lighthouse-core/audits/redirects-http.js | title":{message:"HTTP trafiğini HTTPS'ye yönlendiriyor"},"lighthouse-core/audits/redirects.js | description":{
message:"Yönlendirmeler, sayfanın yüklenmesinden önce ek gecikmelere neden olur. [Daha fazla bilgi](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Birden çok sayfa yönlendirmesini önleyin"},"lighthouse-core/audits/resource-summary.js | description":{message:"Sayfa kaynaklarının miktarı ve büyüklüğü için bütçeler belirlemek üzere bir budget.json dosyası ekleyin. [Daha fazla bilgi](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 istek • {byteCount, number, bytes} KiB}other{# istek • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"İstek sayısını az ve aktarma boyutlarını küçük tutun"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Standart bağlantılar, arama sonuçlarında hangi URL'nin gösterileceğini belirtir. [Daha fazla bilgi](https://web.dev/canonical/)."},
"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Birden fazla çakışan URL ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Farklı bir alan adına yönlendiriyor ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Geçersiz URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Başka bir `hreflang` konumuna ({url}) yönlendiriyor"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Göreli URL ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"İçeriğe eşdeğer bir sayfanın yerine alan adının kök URL'sine (ana sayfa) yönlendiriyor"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Doküman geçerli bir `rel=canonical` değeri içermiyor"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Doküman geçerli bir `rel=canonical` öğesi içeriyor"},
"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Taranamayan Bağlantı"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Arama motorları, web sitelerini taramak için bağlantılarda `href` özelliklerini kullanabilir. Sitenin daha fazla sayfasının keşfedilebilmesi için bağlantı öğelerinin `href` özelliğinin uygun hedefe bağlantı verdiğinden emin olun. [Daha Fazla Bilgi](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Bağlantılar taranabilir değil"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Bağlantılar taranabilir"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Okunabilir olmayan ek metin"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Yazı Tipi Boyutu"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"Sayfa Metninin %'si"},
"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Seçici"},"lighthouse-core/audits/seo/font-size.js | description":{message:"12 pikselden küçük yazı tipi boyutları okunamayacak kadar küçüktür ve mobil cihaz kullanıcılarının içeriği okuyabilmek için parmaklarıyla sıkıştırma hareketi yaparak yakınlaştırmalarını gerektirir. Sayfanın %60'ından fazlasının en az 12 piksel boyutunda olmasını sağlamaya çalışın. [Daha fazla bilgi](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} kadar okunabilir metin"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Mobil ekranlar için optimize edilmiş görüntü alanı meta etiketi olmadığından metin okunaklı değil."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Dokümanda okunabilir yazı tipi boyutları kullanılmıyor"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Okunabilir metin"},
"lighthouse-core/audits/seo/font-size.js | title":{message:"Dokümanda okunabilir yazı tipi boyutları kullanılıyor"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang bağlantıları, arama motorlarına, belirli bir dildeki veya bölgedeki arama sonuçlarında bir sayfanın hangi sürümünün listeleneceğini bildirir. [Daha fazla bilgi](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Doküman geçerli bir `hreflang` öğesi içermiyor"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Göreli href değeri"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Doküman geçerli bir `hreflang` öğesi içeriyor"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Beklenmeyen dil kodu"},"lighthouse-core/audits/seo/http-status-code.js | description":{
message:"Başarısız HTTP durum kodlarına sahip olan sayfalar düzgün bir şekilde dizine eklenmeyebilir. [Daha fazla bilgi](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Sayfa başarısız bir HTTP durum koduna sahip"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Sayfa başarılı bir HTTP durum koduna sahip"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Sayfalarınız, tarama iznine sahip olmayan arama motorları tarafından arama sonuçlarına eklenemez. [Daha fazla bilgi](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Sayfanın dizine eklenmesi engellenmiş"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Sayfanın dizine eklenmesi engellenmemiş"},"lighthouse-core/audits/seo/link-text.js | description":{
message:"Açıklayıcı bağlantı metni, arama motorlarının içeriğinizi anlamasına yardımcı olur. [Daha fazla bilgi](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{1 bağlantı bulundu}other{# bağlantı bulundu}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Bağlantılar açıklayıcı metin içermiyor"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Bağlantılar açıklayıcı metin içeriyor"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Yapılandırılmış verileri doğrulamak için [Yapılandırılmış Veri Test Aracı](https://search.google.com/structured-data/testing-tool/)'nı ve [Structured Data Linter](http://linter.structured-data.org/)'ı çalıştırın. [Daha fazla bilgi](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Yapılandırılmış veriler geçerli"},
"lighthouse-core/audits/seo/meta-description.js | description":{message:"Sayfa içeriğini kısa ve öz bir şekilde özetlemek amacıyla arama sonuçlarına meta tanımlar eklenebilir. [Daha fazla bilgi](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Açıklama metni boş."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Doküman meta tanım içermiyor"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Doküman meta tanım içeriyor"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Arama motorları eklenti içeriğini dizine ekleyemez. Ayrıca birçok cihaz eklentileri kısıtlar veya desteklemez. [Daha fazla bilgi](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Doküman, eklenti kullanıyor"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Doküman eklenti içermiyor"},"lighthouse-core/audits/seo/robots-txt.js | description":{
message:"robots.txt dosyanız yanlış biçimlendirilmişse, tarayıcılar web sitenizin nasıl taranmasını veya dizine eklenmesini istediğinizi anlayamayabilir. [Daha fazla bilgi](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Robots.txt isteği şu HTTP durumunu döndürdü: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{1 hata bulundu}other{# hata bulundu}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse bir robots.txt dosyasını indiremedi"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt dosyası geçerli değil"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt dosyası geçerli"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"Düğmeler ve bağlantılar gibi etkileşimli öğelerin, başka öğelerle üst üste binmeden rahatlıkla dokunulabilecek kadar büyük olması (48x48 piksel) ve etrafında yeterli boşluk bulunması gerekir. [Daha fazla bilgi](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"Dokunma hedeflerinin {decimalProportion, number, percent} kadarı uygun boyutta"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Mobil ekranlar için optimize edilmiş görüntü alanı meta etiketi olmadığından dokunma hedefleri çok küçük"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Dokunma hedefleri uygun boyutta değil"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Çakışan Hedef"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Dokunma Hedefi"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Dokunma hedefleri uygun boyutta"},
"lighthouse-core/audits/server-response-time.js | description":{message:"Diğer tüm istekler sunucu yanıt süresine bağlı olduğundan ana doküman için sunucu yanıt süresini kısa tutun. [Daha fazla bilgi](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Root doküman {timeInMs, number, milliseconds} ms. sürdü"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"İlk sunucu yanıt süresini azaltın"},"lighthouse-core/audits/server-response-time.js | title":{message:"İlk sunucu yanıt süresi kısaydı"},"lighthouse-core/audits/service-worker.js | description":{message:"Servis çalışanı, uygulamanızın çevrimdışı çalışma, ana ekrana ekleme ve push bildirimleri gibi pek çok Progresif Web Uygulaması özelliğini kullanmasını sağlayan teknolojidir. [Daha fazla bilgi](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{
message:"Sayfa bir hizmet çalışanı tarafından kontrol ediliyor ancak manifest dosyası geçerli JSON olarak ayrışmadığından `start_url` bulunamadı"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Sayfa bir hizmet çalışanı tarafından kontrol ediliyor ancak `start_url` ({startUrl}) öğesi hizmet çalışanının kapsamında ({scopeUrl}) değil"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Bu sayfa bir hizmet çalışanı tarafından yönetiliyor ancak manifest dosyası getirilmediğinden `start_url` öğesi bulunamadı."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Bu kaynak bir veya daha fazla hizmet çalışanına sahip ancak sayfa ({pageUrl}) kapsam içinde değil."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Sayfayı kontrol eden bir hizmet çalışanı ve `start_url` öğesi kaydedilmiyor"},"lighthouse-core/audits/service-worker.js | title":{
message:"Sayfayı kontrol eden bir hizmet çalışanı ve `start_url` öğesi kaydediliyor"},"lighthouse-core/audits/splash-screen.js | description":{message:"Temalı başlangıç ekranı, kullanıcılar uygulamanızı ana ekranlarında başlattığında yüksek kaliteli bir deneyim sağlar. [Daha fazla bilgi](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Özel başlangıç ekranı için yapılandırılmadı"},"lighthouse-core/audits/splash-screen.js | title":{message:"Özel başlangıç ekranı için yapılandırıldı"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Sitenizle eşleşmesi için tarayıcı adres çubuğu temalı yapılabilir. [Daha fazla bilgi](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Adres çubuğu için tema rengi ayarlamıyor."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Adres çubuğu için tema rengi ayarlar."},
"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Müşteri Başarısı)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Pazarlama)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Sosyal)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Ürün"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Bazı üçüncü taraf yerleşik öğeleri geç yüklenebilir. Gerekli olana kadar bunların yerine hafif bileşen kullanmayı düşünebilirsiniz. [Daha fazla bilgi edinin](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# hafif bileşen alternatifi mevcut}other{# hafif bileşen alternatifi mevcut}}"},
"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Bazı üçüncü taraf kaynakları, hafif bileşen ile geç yüklenebilir"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Hafif bileşen kullanarak üçüncü taraf kaynaklarını geç yükleme"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Üçüncü Taraf"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Üçüncü taraf kodu, yükleme performansını önemli ölçüde etkileyebilir. Yedekli üçüncü taraf sağlayıcıların sayısını sınırlayın ve öncelikle sayfanızın yüklenmesi tamamlandıktan sonra üçüncü taraf kodunu yükleyin. [Daha fazla bilgi](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Üçüncü taraf kodu, ana ileti dizisini {timeInMs, number, milliseconds} ms. süreyle engelledi"},
"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Üçüncü taraf kodun etkisini azaltın"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Üçüncü taraf kullanımını en aza indirme"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Ölçüm"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Metrik"},"lighthouse-core/audits/timing-budget.js | description":{message:"Sitenizin performansını takip etmenize yardımcı olması için zamanlama bütçesi belirleyin. Performanslı siteler hızlı yüklenir ve kullanıcı giriş etkinliklerine hızlı yanıt verir. [Daha fazla bilgi](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Zamanlama bütçesi"},"lighthouse-core/audits/unsized-images.js | description":{
message:"Düzen kaymalarını azaltıp CLS'yi iyileştirmek için görsel öğelerde genişliği ve yüksekliği açıkça belirtilmiş şekilde ayarlayın. [Daha fazla bilgi](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Resim öğelerinin açıkça belirtilmiş `width` ve `height` değerleri yok"},"lighthouse-core/audits/unsized-images.js | title":{message:"Resim öğelerinin açıkça belirtilmiş `width` ve `height` değerleri var"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Tür"},"lighthouse-core/audits/user-timings.js | description":{message:"Önemli kullanıcı deneyimleri esnasında uygulamanızın gerçek dünya performansını ölçmek için uygulamanıza User Timing API'si ekleme seçeneğini değerlendirin. [Daha fazla bilgi](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 kullanıcı zamanlaması}other{# kullanıcı zamanlaması}}"},
"lighthouse-core/audits/user-timings.js | title":{message:"Kullanıcı Zamanlaması işaretleri ve ölçüleri"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'"{securityOrigin}" için bir `<link rel=preconnect>` öğesi bulundu ancak tarayıcı tarafından kullanılmadı. `crossorigin` özelliğini gerektiği gibi kullandığınızdan emin olun.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Önemli üçüncü taraf kaynaklarına erken bağlantılar oluşturmak için `preconnect` veya `dns-prefetch` kaynak ipuçları ekleme seçeneğini değerlendirin. [Daha fazla bilgi](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Gerekli kaynaklara önceden bağlan"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"2'den fazla `<link rel=preconnect>` bağlantısı bulundu. Bunlar az kullanılıp sadece en önemli kaynaklar için tercih edilmelidir."},
"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'"{securityOrigin}" için bir `<link rel=preconnect>` öğesi bulundu ancak tarayıcı tarafından kullanılmadı. Yalnızca sayfanın kesinlikle isteyeceği önemli kaynaklar için `preconnect` öğesi kullanın'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:'"{preloadURL}" için bir önceden yükleme `<link>` öğesi bulundu ancak tarayıcı tarafından kullanılmadı. `crossorigin` özelliğini gerektiği gibi kullandığınızdan emin olun.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Mevcut durumda sayfa yüklemesinden sonra istenen kaynakları daha önce getirmek için `<link rel=preload>` kullanmayı düşünün. [Daha fazla bilgi](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Önemli istekleri önceden yükleyin"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"Eşleme URL'si"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"Kaynak eşlemeleri, küçültülmüş kodu orijinal kaynak koduna çevirir. Bu, geliştiricilerin üretimde hata ayıklamasına yardımcı olur. Ek olarak, Lighthouse daha detaylı bilgi sağlayabilir. Bu avantajlardan yararlanmak için kaynak eşlemelerini dağıtmayı düşünün. [Daha fazla bilgi](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Büyük birinci taraf JavaScript'te kaynak eşlemeleri eksik"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"JavaScript dosyasında kaynak eşleme eksik"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Uyarı: `.sourcesContent` özelliğinde 1 öğe eksik}other{Uyarı: `.sourcesContent` özelliğinde # öğe eksik}}"},"lighthouse-core/audits/valid-source-maps.js | title":{
message:"Sayfadaki kaynak eşlemeleri geçerli"},"lighthouse-core/audits/viewport.js | description":{message:'Uygulamanızı mobil ekranlar için optimize etmek üzere `<meta name="viewport">` etiketi ekleyin. [Daha fazla bilgi](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'`<meta name="viewport">` etiketi bulunamadı'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'`width` veya `initial-scale` değerleri olan bir `<meta name="viewport">` etiketi yok'},"lighthouse-core/audits/viewport.js | title":{message:'`width` veya `initial-scale` değerleri olan bir `<meta name="viewport">` etiketi var'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Bu fırsatlar, uygulamanızda ARIA kullanımının iyileştirilmesine olanak tanır. Bu da ekran okuyucu gibi yardımcı teknolojilerin kullanıcılarına daha iyi bir deneyim sunulmasını sağlayabilir."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{
message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Bu fırsatlar, alternatif ses ve video içerikleri sağlanmasına olanak tanır. Bu durum, işitme veya görme bozukluğu olan kullanıcıların daha iyi bir deneyim yaşamalarını sağlayabilir."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Ses ve video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Bu öğeler, erişilebilirlikle ilgili yaygın en iyi uygulamaları öne çıkarır."},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"En iyi uygulamalar"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"Bu kontroller, [web uygulamanızın erişilebilirliğini iyileştirme](https://developers.google.com/web/fundamentals/accessibility) fırsatlarını ön plana çıkarır. Erişilebilirlik sorunlarının yalnızca bir alt kümesi otomatik olarak algılanabildiğinden manuel test yapılması da önerilir."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Bu öğeler, otomatik test aracının kapsamında yer almayan alanları ele alır. [Erişilebilirlik incelemesi gerçekleştirme](https://developers.google.com/web/fundamentals/accessibility/how-to-review) hakkında daha fazla bilgiyi rehberimizde bulabilirsiniz."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Erişilebilirlik"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Bu fırsatlar, içeriğinizin daha rahat okunmasına olanak tanır."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Kontrast"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Bu fırsatlar, içeriğinizin farklı ülkelerdeki kullanıcılar tarafından daha iyi yorumlanmasına olanak tanır."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Uluslararası hale getirme ve yerelleştirme"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Bu fırsatlar, uygulamanızdaki kontrollerin anlamının iyileştirilmesine olanak tanır. Bu durum, ekran okuyucu gibi yardımcı teknolojilerin kullanıcılarına daha iyi bir deneyim sunulmasını sağlayabilir."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Adlar ve etiketler"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Bu fırsatlar, uygulamanızda klavyeyle gezinmeyi kolaylaştırır."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Gezinme"},
"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Bu fırsatlar, tablo veya liste halindeki verilerin ekran okuyucu gibi yardımcı teknolojiler kullanılarak daha rahat okunmasına olanak tanır."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Tablolar ve listeler"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Tarayıcı Uyumluluğu"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"En İyi Uygulamalar"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Genel"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Güven ve Güvenlik"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Kullanıcı Deneyimi"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{
message:"Performans bütçeleri, sitenizin performansı için standartları belirler."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Bütçeler"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Uygulamanızın performansı hakkında daha fazla bilgi. Bu sayılar Performan skoruna [doğrudan etki](https://web.dev/performance-scoring/) etmezler."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Teşhis"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Performansın en kritik unsuru, piksellerin ekranda oluşturulma hızıdır. Önemli metrikler: İlk Zengin İçerikli Boya, İlk Anlamlı Boya"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"İlk Boya İyileştirmeleri"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Bu öneriler, sayfanızın daha hızlı yüklenmesine yardımcı olabilir. Performan skoruna [doğrudan etki](https://web.dev/performance-scoring/) etmezler."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Fırsatlar"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Metrikler"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Toplam yükleme deneyimini geliştirerek sayfanın mümkün olan en kısa sürede duyarlı ve kullanıma hazır olmasını sağlayın. Önemli metrikler: Etkileşim Süresi, Hız İndeksi"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Toplam İyileştirmeler"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Performans"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Bu denetimler, bir Progresif Web Uygulamasının çeşitli yönlerini doğrular. [Daha fazla bilgi](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Temel [Progresif Web Uygulaması Yapılacaklar Listesi](https://developers.google.com/web/progressive-web-apps/checklist) tarafından zorunlu tutulan bu denetimler, Lighthouse tarafından otomatik olarak kontrol edilmez. Bunlar skorunuzu etkilemez ancak manuel olarak doğrulamanız önemlidir."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Progresif Web Uygulaması"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Yüklenebilir"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Optimize Edilmiş PWA (Progresif Web Uygulaması)"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Bu kontroller, sayfanızın arama motoru sonuç sıralaması için optimize edilmesini sağlar. Lighthouse tarafından kontrol edilmeyen, ancak aramadaki sıralamanızı etkileyebilecek başka faktörler de vardır. [Daha fazla bilgi](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"SEO ile ilgili diğer en iyi uygulamaları kontrol etmek için sitenizde bu ek doğrulayıcıları çalıştırın."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Tarayıcıların uygulamanızın içeriğini daha iyi anlamasını sağlayacak şekilde HTML kodunuzu biçimlendirin."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"İçerik En İyi Uygulamaları"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Uygulamanızın arama sonuçlarında görünmesi için, tarayıcıların uygulamanıza erişmesi gerekir."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Tarama ve Dizine Ekleme"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Kullanıcıların küçültme veya yakınlaştırma hareketi yapmadan sayfadaki içerikleri okuyabilmelerini sağlamak için sayfalarınızın mobil uyumlu olduğundan emin olun. [Daha fazla bilgi](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Mobil Uyumlu"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Test edilen cihazın CPU'sunun, Lighthouse'un beklediğinden daha yavaş olduğu anlaşılıyor. Bu durum, performans skorunuzu olumsuz etkileyebilir. [Uygun CPU yavaşlama katsayısını ayarlama](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling) hakkında daha fazla bilgi edinin."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Sayfa, test URL'niz ({requested}) {final} adresine yönlendirildiğinden beklendiği gibi yüklenmiyor olabilir. İkinci URL'yi doğrudan test etmeyi deneyin."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Sayfa, zaman sınırı içinde bitmeyecek kadar yavaş yüklendi. Sonuçlar eksik olabilir."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Şu konumda yükleme performansını etkileyen depolanmış veriler olabilir: {locations}. Bu kaynakların puanlarınızı etkilemesini engellemek için bu sayfayı gizli pencerede denetleyin.}other{Şu konumlarda yükleme performansını etkileyen depolanmış veriler olabilir: {locations}. Bu kaynakların puanlarınızı etkilemesini engellemek için bu sayfayı gizli pencerede denetleyin.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Eski tarayıcılarla geriye dönük uyumluluk sağlamak için https: ve http: URL şemaları ("strict-dynamic" yönergesini destekleyen tarayıcılar tarafından yok sayılır) eklemeyi düşünün.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener yönergesi, CSP3 çıktıktan sonra kullanımdan kaldırılmıştır. Lütfen onun yerine Cross-Origin-Opener-Policy başlığını kullanın."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{
message:"referrer yönergesi CSP2'den beri kullanılmamaktadır. Lütfen onun yerine Referrer-Policy başlığını kullanın."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss yönergesi CSP2'den beri kullanılmamaktadır. Lütfen onun yerine X-XSS-Protection başlığını kullanın."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'Base-uri yönergesinin olmaması, yerleştirilen <base> etiketlerinin tüm göreli URL\'ler (örneğin, komut dosyaları) için temel URL\'yi saldırgan kontrolündeki bir alana ayarlamaya olanak tanır. Base-uri\'yi "none" veya "self" olarak ayarlamayı düşünün.'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'object-src tarafından kontrol edilen öğeler eski özellik olarak kabul edilir. Güvenli olmayan komut satırları yürüten eklentilerin yerleştirilmesine engel olmak için object-src yönergesini "none" olarak ayarlamayı düşünün.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{
message:"script-src yönergesi eksik. Bu durum, güvenli olmayan komut dosyalarının yürütülmesine izin verebilir."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Noktalı virgülü mü unuttunuz? {keyword}, anahtar kelimeden ziyade bir yönerge gibi görünüyor."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonce'lar için base64 karakter kümesi kullanılmalıdır."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonce'lar en az 8 karakter uzunluğunda olmalıdır."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Raporlama hedefi yalnızca report-to yönergesi üzerinden yapılandırılır. Bu yönerge yalnızca Chromium tabanlı tarayıcılarda desteklendiği için ayrıca bir report-uri yönergesi kullanılması önerilir."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{
message:"Raporlama hedefi yapılandıran bir CSP yok. Bu durum, zaman içinde CSP'nin devamlılığının sağlanmasını ve hatalara karşı izlenmesini zorlaştırır."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'Ana makine izin verilenler listeleri sıklıkla atlanabilir. CSP nonce veya hash değerleriyle birlikte "strict-dynamic" kullanmayı düşünün.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Bilinmeyen CSP yönergesi."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} geçersiz bir anahtar kelime gibi görünüyor."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'"unsafe-inline", güvenli olmayan sayfa içi komut dosyalarının ve etkinlik işleyicilerin yürütülmesine izin verir. Komut dosyalarına ayrı ayrı izin vermek için CSP nonce veya hash değerleri kullanmayı düşünün.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{
message:'Eski tarayıcılarla geriye dönük uyumluluk sağlamak için "unsafe-inline" yönergesi (nonce/hash destekleyen tarayıcılar tarafından yok sayılır) eklemeyi düşünün.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Ana İleti Dizisi Engelleme Süresi"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL'yi Önbelleğe Alma"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Açıklama"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Süre"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Öğe"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Başarısız Öğeler"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Konum"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Ad"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Bütçe Aşımı"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"İstek Sayısı"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{
message:"Kaynak Boyutu"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Kaynak Türü"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Boyut"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Kaynak"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Başlangıç Zamanı"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Harcanan Süre"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Aktarım Boyutu"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Potansiyel Tasarruflar"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Potansiyel Tasarruflar"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"{wastedBytes, number, bytes} KiB potansiyel tasarruf"},
"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{1 öğe bulundu}other{# öğe bulundu}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"{wastedMs, number, milliseconds} ms. potansiyel tasarruf"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Doküman"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"İlk Anlamlı Boya"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Yazı tipi"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Resim"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Yüksek"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Düşük"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Orta"},
"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Maksimum Olası İlk Giriş Gecikmesi"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Medya"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} ms."},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Diğer"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Diğer kaynaklar"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Komut dosyası"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} sn."},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Stil Sayfası"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Üçüncü taraf"},
"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Toplam"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Sayfa yüklemenizin izlemesi kaydedilirken bir sorun oluştu. Lütfen Lighthouse'u tekrar çalıştırın. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"İlk Hata Ayıklayıcı Protokolü bağlantısı beklenirken zaman aşımı oluştu."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome, sayfa yükleme sırasında ekran görüntüsü toplayamadı. Lütfen sayfada görülebilir içerik olduğundan emin olun ve sonra Lighthouse'u tekrar çalıştırmayı deneyin. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS sunucuları sağlanan alan adını çözümleyemedi."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Zorunlu {artifactName} toplayıcı bir hatayla karşılaştı: {errorMessage}"},
"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Dahili bir Chrome hatası oluştu. Lütfen Chrome'u yeniden başlatıp Lighthouse'u tekrar çalıştırmayı deneyin."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Zorunlu {artifactName} toplayıcı çalışmadı."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Sayfa hiçbir içeriği boyamadı. Lütfen yükleme sırasında tarayıcı penceresini ön planda tuttuğunuzdan emin olup tekrar deneyin. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"Sağlanan sayfa HTML değil ({mimeType} MIME türü olarak sunuldu)."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Chrome\'un bu sürümü, "{featureName}" özelliğini destekleyemeyecek kadar eski. Sonuçların tamamını görmek için daha yeni bir sürüm kullanın.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{
message:"Lighthouse istediğiniz sayfayı güvenli bir şekilde yükleyemedi. Doğru URL'yi test ettiğinizden ve sunucunun tüm isteklere gerektiği gibi yanıt verdiğinden emin olun."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Sayfa yanıt vermeyi durdurduğu için Lighthouse istediğiniz URL'yi güvenli bir şekilde yükleyemedi."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Sağladığınız URL, geçerli güvenlik sertifikasına sahip değil. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome bir geçiş reklamıyla sayfa yüklemesini önledi. Doğru URL'yi test ettiğinizden ve sunucunun tüm isteklere gerektiği gibi yanıt verdiğinden emin olun."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse istediğiniz sayfayı güvenli bir şekilde yükleyemedi. Doğru URL'yi test ettiğinizden ve sunucunun tüm isteklere gerektiği gibi yanıt verdiğinden emin olun. (Ayrıntılar: {errorDetails})"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse istediğiniz sayfayı güvenli bir şekilde yükleyemedi. Doğru URL'yi test ettiğinizden ve sunucunun tüm isteklere gerektiği gibi yanıt verdiğinden emin olun. (Durum kodu: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Sayfanın yüklenmesi çok uzun sürdü. Sayfanızın yüklenme süresini azaltmak için lütfen rapordaki fırsatları uygulayın ve sonra Lighthouse'u tekrar çalıştırmayı deneyin. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"DevTools protokol yanıtının beklenmesi için ayrılan süre aşıldı. (Yöntem: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Kaynak içeriğinin getirilmesi için ayrılan süre aşıldı"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Sağladığınız URL'nin geçersiz olduğu anlaşılıyor."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tümü"},
"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Tüm Alfabeler"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Kapsam"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Yinelenen Modüller"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Kaynak Baytları"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Ad"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Tabloyu Aç/Kapat"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Kullanılmayan Baytlar"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Animasyonlu içerik için içerik ekran dışındayken CPU kullanımını en aza indirmek amacıyla [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) kullanın."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{
message:"Diğer tarayıcılar için uygun bir yedek belirtirken tüm [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) bileşenlerinizin WebP biçimlerinde görüntülenmesi seçeneğini değerlendirin. [Daha fazla bilgi edinin](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Resimlerin otomatik olarak geç yüklenmesi için [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) kullandığınızdan emin olun. [Daha fazla bilgi edinin](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"[Sunucu tarafı oluşturucu AMP düzenleri](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/) için [AMP Optimize Edici](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) gibi araçları kullanın."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Tüm stillerinizin desteklendiğinden emin olmak için [AMP dokümanlarına](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) bakın."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) bileşeni, ekran boyutuna göre kullanılacak görüntü öğelerini belirtmek için [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) özelliğini destekler. [Daha fazla bilgi edinin](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Çok büyük listeler oluşturuluyorsa Bileşen Geliştirme Kiti (CDK) ile sanal kaydırma seçeneğini düşünün. [Daha fazla bilgi](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"JavaScript paketlerinizin boyutunu en aza indirmek için [rota düzeyinde kod bölmeyi](https://web.dev/route-level-code-splitting-in-angular/) uygulayın. Ayrıca, [Angular hizmet çalışanı](https://web.dev/precaching-with-the-angular-service-worker/) ile öğeleri önbelleğe alma seçeneğini değerlendirin."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Angular KSA kullanıyorsanız derlemelerin üretim modunda oluşturulduğundan emin olun. [Daha fazla bilgi](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{
message:"Angular KSA kullanıyorsanız paketlerinizi incelemek için üretim derlemenize kaynak eşlemelerini ekleyin. [Daha fazla bilgi edinin](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Gezinmeyi hızlandırmak için rotaları önceden yükleyin. [Daha fazla bilgi](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Görüntü ayrılma noktalarını yönetmek için Bileşen Geliştirme Kiti'nde (CDK) `BreakpointObserver` yardımcı programını kullanmayı düşünün. [Daha fazla bilgi](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"GIF dosyanızı, HTML5 videosu olarak yerleştirmek için kullanılabilmesini sağlayacak bir hizmete yüklemeyi düşünün."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{
message:"Temanızda özel yazı tipleri tanımlarken `@font-display` ifadesini belirtin."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"Sitenizde [WebP resim biçimlerinden yararlanmak için bir modül](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) yüklemeyi ve yapılandırmayı değerlendirin. Bu tür modüller, yükleme sürelerini optimize etmek için yüklediğiniz resimlerin WebP sürümünü otomatik olarak oluşturur."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"Resimleri geç yükleyebilen [bir Drupal modülü](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) yükleyin. Bu tür modüller, performansı iyileştirmek için ekran dışındaki resimlerin yüklenmesini erteleme özelliği sunar."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"[Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) modülü gibi bir modül kullanarak kritik CSS ve JavaScript'leri satır içi yapmayı veya JavaScript ile öğeleri potansiyel olarak eşzamansız bir şekilde yüklemeyi değerlendirin. Bu modülün sağlayacağı optimizasyonların sitenizi bozabileceğine dikkat edin. Bunu engellemek için muhtemelen kodda değişiklik yapmanız gerekecektir."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Temalar, modüller ve sunucu özellikleri öğelerinin tümü sunucunun yanıt süresini etkiler. Bir optimizayon modülünü dikkatle seçerek ve/veya sunucunuzu yeni sürüme geçirerek, daha ileri düzeyde optimize edilmiş bir tema bulmayı düşünün. Barındırma sunucularınız sorgu sürelerini azaltmak için Redis veya Memcached gibi sistemlerin kullandığı PHP işlem kodunu önbelleğe alma, belleği önbelleğe alma tekniklerinden ve sayfaları daha hızlı hazırlamak için optimize edilmiş uygulama mantığından yararlanmalıdır."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Sayfanıza yüklenen resimlerin boyutunu azaltmak için [Duyarlı Resim Stilleri](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)'ni kullanmayı değerlendirin. Bir sayfada birden çok içerik öğesini göstermek için Görünümler'i kullanıyorsanız belirli bir sayfada gösterilen içerik öğelerinin sayısını sınırlamak üzere sayfalara ayırma işlevini uygulamayı değerlendirin."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'"Administration (Yönetim) » Configuration (Yapılandırma) » Development (Geliştirme)" sayfasında "Aggregate CSS files (CSS dosyalarını topla)" ayarını etkinleştirdiğinizden emin olun. CSS stillerini birleştirerek, küçülterek ve sıkıştırarak sitenizi hızlandırmak için [ek modüller](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) kullanarak daha gelişmiş toplama seçeneklerini de yapılandırabilirsiniz.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'"Administration (Yönetim) » Configuration (Yapılandırma) » Development (Geliştirme)" sayfasında "Aggregate JavaScript files (JavaScript dosyalarını topla)" ayarını etkinleştirdiğinizden emin olun. JavaScript öğelerinizi birleştirerek, küçülterek ve sıkıştırarak sitenizi hızlandırmak için [ek modüller](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) kullanarak daha gelişmiş toplama seçeneklerini de yapılandırabilirsiniz.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Kullanılmayan CSS kurallarını kaldırmayı ve gerekli Drupal kitaplıklarını yalnızca alakalı sayfaya veya bir sayfadaki alakalı bileşene eklemeyi değerlendirin. Ayrıntılar için [Drupal dokümanları bağlantısına](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) bakın. Gereksiz CSS ilave eden ekli kitaplıkları belirlemek için Chrome Geliştirici Araçları'nda [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırmayı deneyin. Drupal sitenizde CSS toplama devre dışı bırakıldığında, sorumlu temayı/modülü stil sayfasının URL'sinden belirleyebilirsiniz. Listede çok sayıda stil sayfasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan temaları/modülleri arayın. Tema/modül sadece sayfada gerçekten kullanılan bir stil sayfasını kuyruğa almalıdır."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Kullanılmayan JavaScript öğelerini kaldırmayı değerlendirin ve gerekli Drupal kitaplıklarını yalnızca alakalı sayfaya veya bir sayfadaki alakalı bileşene ekleyin. Ayrıntılar için [Drupal dokümanları bağlantısına](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) bakın. Gereksiz JavaScript'ler ilave eden ekli kitaplıkları belirlemek için Chrome Geliştirici Araçları'nda [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırmayı deneyin. Drupal sitenizde JavaScript toplama devre dışı bırakıldığında, sorumlu temayı/modülü komut dosyasının URL'sinden belirleyebilirsiniz. Listede çok sayıda komut dosyasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan temalar/modüller arayın. Tema/modül sadece sayfada gerçekten kullanılan bir komut dosyasını kuyruğa almalıdır."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'"Administration (Yönetim) » Configuration (Yapılandırma) » Development (Geliştirme)" sayfasında "Browser and proxy cache maximum age (Tarayıcı ve proxy önbelleği maksimum yaşı)" değerini ayarlayın. [Drupal önbelleği ve performans için optimize edilmesi](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources) ile ilgili bilgi edinin.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Site aracılığıyla yüklenen resimlerin kalitesini korurken boyutlarını otomatik olarak optimize eden ve küçülten [bir modül](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) kullanmayı değerlendirin. Ayrıca sitede oluşturulan tüm resimler için Drupal'ın sağladığı [Duyarlı Resim Stilleri](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)'ni kullandığınızdan emin olun (Drupal 8 ve sonraki sürümlerde kullanılabilir)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Önceden bağlanma veya DNS önceden getirme kaynak ipuçları, kullanıcı aracısı kaynak ipuçları için tamamlayıcı hizmetler sağlayan [bir modülü](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) yükleyerek ve yapılandırarak eklenebilir."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Drupal'ın sağladığı yerel [Duyarlı Resim Stilleri](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)'ni kullandığınızdan emin olun (Drupal 8 ve sonraki sürümlerde kullanılabilir). Görünüm modları, görünümler ile resim alanlarını veya WYSIWYG düzenleyicisi ile yüklenen resimleri oluştururken Duyarlı Resim Stilleri'ni kullanın."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"GIF dosyanızı, HTML5 videosu olarak yerleştirmek için kullanılabilmesini sağlayacak bir hizmete yüklemeyi düşünün."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Yüklediğiniz resimleri ideal biçimlere otomatik olarak dönüştürecek bir [eklenti](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) veya hizmet kullanmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Ekran dışı görüntüleri erteleme veya bu işlevselliği sağlayan bir şablona geçiş yapma olanağı veren bir [Joomla geç yükleme eklentisi](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) yükleyin. Joomla 4.0 sürümünden itibaren tüm yeni görüntüler [otomatik olarak](https://github.com/joomla/joomla-cms/pull/30748) çekirdekten `loading` özelliğini alacaktır."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"[Kritik öğeleri satır içi yapmanıza](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) veya [daha az önemli kaynakları ertelemenize](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) yardımcı olabilecek çeşitli Joomla eklentileri vardır. Bu eklentilerin sağlayacağı optimizasyonların şablon veya eklentilerinizin özelliklerini bozabileceğine dikkat edin. Bunu engellemek için bunları iyice test etmeniz gerekecektir."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Şablonlar, uzantılar ve sunucu özellikleri öğelerinin tümü sunucunun yanıt süresini etkiler. Bir optimizasyon uzantısını dikkatle seçerek ve/veya sunucunuzu yeni sürüme geçirerek, daha ileri düzeyde optimize edilmiş bir şablon bulmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Makale kategorilerinizde alıntılar göstermeyi (ör. daha fazla bilgi bağlantıları kullanarak), belirli bir sayfada gösterilen makalelerin sayısını azaltmayı, uzun yayınlarınızı birden fazla sayfaya bölmeyi veya yorumların geç yüklenmesi için bir eklenti kullanmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Çeşitli [Joomla uzantıları](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) CSS stilerinizi birleştirerek, küçülterek ve sıkıştırarak sitenizi hızlandırabilir. Bu işlevi sağlayan şablonlar da vardır."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Çeşitli [Joomla uzantıları](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) komut dosyalarınızı birleştirerek, küçülterek ve sıkıştırarak sitenizi hızlandırabilir. Bu işlevi sağlayan şablonlar da vardır."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Sayfanızda kullanılmayan CSS'ler yükleyen [Joomla uzantılarının](https://extensions.joomla.org/) sayısını azaltmayı veya bu uzantıları değiştirmeyi değerlendirin. Gereksiz CSS ilave eden uzantıları belirlemek için Chrome Geliştirme Araçlarında [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırmayı deneyin. Sorumlu temayı/eklentiyi stil sayfasının URL'sinden belirleyebilirsiniz. Listede çok sayıda stil sayfasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan eklentileri arayın. Bir eklenti sadece sayfada gerçekten kullanılan bir stil sayfasını kuyruğa almalıdır."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Sayfanızda kullanılmayan JavaScript'ler yükleyen [Joomla uzantılarının](https://extensions.joomla.org/) sayısını azaltmayı veya bu eklentileri değiştirmeyi değerlendirin. Gereksiz JS ilave eden eklentileri belirlemek için Chrome Geliştirme Araçlarında [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırmayı düşünün. Sorumlu uzantıyı komut dosyasının URL'sinden belirleyebilirsiniz. Listede çok sayıda komut dosyasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan uzantıları arayın. Bir uzantı sadece sayfada gerçekten kullanılan bir komut dosyasını kuyruğa almalıdır."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"[Joomla'da Tarayıcı Önbelleğine Alma](https://docs.joomla.org/Cache) ile ilgili bilgi edinin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Kaliteden ödün vermeden resimlerinizi sıkıştıran bir [resim optimizasyonu eklentisi](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) kullanmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Bir [duyarlı resim eklentisi](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) ile içeriğinizde duyarlı resimler kullanmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Joomla'da Gzip Page Compression'ı (Gzip Sayfa Sıkıştırma) etkinleştirerek (System (Sistem) > Global configuration (Genel yapılandırma) > Server (Sunucu)) metin sıkıştırmayı etkinleştirebilirsiniz."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"JavaScript öğelerinizi grupluyorsanız [gruplayıcı](https://github.com/magento/baler) kullanmayı düşünün."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Magento'nun yerleşik [JavaScript gruplama ve küçültme](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) özelliğini devre dışı bırakın ve bunun yerine [gruplayıcı](https://github.com/magento/baler/) kullanmayı düşünün."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"[Özel yazı tipleri tanımlarken](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html) `@font-display` öğesini belirtin."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Daha yeni görüntü biçimlerinden yararlanmak için [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp)'te çeşitli üçüncü taraf uzantılarını arama seçeneğini değerlendirin."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Ürün ve katalog şablonlarınızı, web platformunun [geç yükleme](https://web.dev/native-lazy-loading) özelliğinden yararlanacak şekilde değiştirme seçeneğini değerlendirin."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Magento'nun [Cila entegrasyonunu](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) kullanın."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Mağazanızın Geliştirici ayarlarında "CSS Dosyalarını Küçült" seçeneğini etkinleştirin. [Daha fazla bilgi](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Statik içerik dağıtımındaki tüm JavaScript öğelerini küçültmek ve yerleşik küçültme özelliğini devre dışı bırakmak için [Terser](https://www.npmjs.com/package/terser)'ı kullanın."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Magento'nun yerleşik [JavaScript gruplama](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) özelliğini devre dışı bırakın."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Görüntüleri optimize etmek için [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image)'te çeşitli üçüncü taraf uzantılarını arama seçeneğini değerlendirin."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"Önceden bağlanma veya DNS önceden getirme kaynak ipuçları, [bir temanın düzeni değiştirilerek](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) eklenebilir."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"`<link rel=preload>` etiketleri, [bir temanın düzeni değiştirilerek](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html) eklenebilir."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"Web sayfalarının daha hızlı yüklenmesi için [animasyonlu GIF'lerin yerine video koyun](https://web.dev/replace-gifs-with-videos/) ve mevcut son teknoloji video codec'i VP9'da sıkıştırma etkinliğini %30'dan fazla artırmak için [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) veya [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) gibi modern dosya biçimlerini kullanın."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{message:"Yüklediğiniz resimleri ideal biçimlere otomatik olarak dönüştürecek bir [eklenti](https://octobercms.com/plugins?search=image) veya hizmet kullanmayı düşünün. [WebP kayıpsız görüntüler](https://developers.google.com/speed/webp), eşdeğer SSIM kalite endeksindeki benzer JPEG resimlerinden %25-34, PNG'lerden ise boyut olarak %26 daha küçüktür. Kullanmayı düşünebileceğiniz diğer bir yeni nesil resim biçimi de [AVIF](https://jakearchibald.com/2020/avif-has-landed/)'dir."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Ekran dışı görüntüleri erteleme veya bu işlevi sağlayan bir temaya geçiş yapma olanağı veren [görüntü geç yükleme eklentisi](https://octobercms.com/plugins?search=lazy) yükleme seçeneğini düşünün. Ayrıca [AMP eklentisini](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages) kullanmayı da düşünün."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"[Kritik öğelerin satır içi yapılmasına](https://octobercms.com/plugins?search=css) yardımcı olan birçok eklenti bulunmaktadır. Diğer eklentileri bozabileceğinden bu eklentileri iyice test etmeniz gerekir."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Temalar, eklentiler ve sunucu özellikleri öğelerinin tümü sunucunun yanıt süresini etkiler. Bir optimizasyon eklentisini dikkatle seçerek ve/veya sunucuyu yeni sürüme geçirerek, daha ileri düzeyde optimize edilmiş bir tema bulmayı düşünün. Ekim CMS ayrıca geliştiricilerin e-posta gönderme gibi zaman alan görevlerin işlenmesini ertelemek için [`Queues`](https://octobercms.com/docs/services/queues) kullanmasına olanak tanır. Bu sayede web istekleri önemli ölçüde hızlanır."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Yayın listelerinde altınılar göstermeyi (ör. `show more` düğmesini kullanarak), belirli bir web sayfasında gösterilen yayınların sayısını azaltmayı, uzun yayınları birden fazla web sayfasına bölmeyi veya yorumların geç yüklenmesi için bir eklenti kullanmayı düşünün."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Stilleri birleştirerek, küçülterek ve sıkıştırarak bir web sitesini hızlandırabilen birçok [eklenti](https://octobercms.com/plugins?search=css) vardır. Baştan bu sadeleştirmeyi yapmak için bir derleme işlemi kullanmak, geliştirme sürecini hızlandırabilir."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Komut dosyalarını birleştirerek, küçülterek ve sıkıştırarak bir web sitesini hızlandırabilen birçok [eklenti](https://octobercms.com/plugins?search=javascript) vardır. Baştan bu sadeleştirmeyi yapmak için bir derleme işlemi kullanmak, geliştirme sürecini hızlandırabilir."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Web sitesinde kullanılmayan CSS'ler yükleyen [eklentileri](https://octobercms.com/plugins) gözden geçirin. Gereksiz CSS'ler ekleyen eklentileri belirlemek için Chrome Geliştirici Araçları'nda [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırın. Sorumlu temayı/eklentiyi stil sayfasının URL'sinden belirleyin. Çok sayıda stil sayfasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan eklentileri arayın. Bir eklenti sadece web sayfasında gerçekten kullanılan bir stil sayfasını eklemelidir."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Web sayfasında kullanılmayan JavaScript'ler yükleyen [eklentileri](https://octobercms.com/plugins?search=javascript) gözden geçirin. Gereksiz JavaScript'ler ekleyen eklentileri belirlemek için Chrome Geliştirici Araçları'nda [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırın. Sorumlu temayı/eklentiyi komut dosyasının URL'sinden belirleyin. Çok sayıda komut dosyasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan eklentileri arayın. Bir eklenti sadece web sayfasında gerçekten kullanılan bir komut dosyasını eklemelidir."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"[HTTP Önbelleği ile gereksiz ağ isteklerini önleme](https://web.dev/http-cache/#caching-checklist) hakkında bilgi edinin. Önbelleğe alma işlemini hızlandırmak için kullanılabilecek birçok [eklenti](https://octobercms.com/plugins?search=Caching) vardır."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Kaliteden ödün vermeden resimlerinizi sıkıştırmak için bir [resim optimizasyonu eklentisi](https://octobercms.com/plugins?search=image) kullanmayı düşünün."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Gerekli resim boyutlarının kullanılabilmesi için resimleri doğrudan medya yöneticisine yükleyin. İdeal resim boyutlarının kullanıldığından emin olmak için [yeniden boyutlandırma filtresini](https://octobercms.com/docs/markup/filter-resize) veya bir [görüntü yeniden boyutlandırma eklentisi](https://octobercms.com/plugins?search=image) kullanabilirsiniz."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Web sunucusu yapılandırmasında metin sıkıştırmayı etkinleştirin."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Sayfada çok sayıda yinelenen öğe oluşturuyorsanız oluşturulan DOM düğümlerinin sayısını en aza indirmek için `react-window` gibi bir "pencereleme" kitaplığı kullanmayı düşünün. [Daha fazla bilgi edinin](https://web.dev/virtualize-long-lists-react-window/). Ayrıca, çalışma zamanı performansını yükseltmek için `Effect` kancası kullanıyorsanız bazı bağımlılıklar değişinceye kadar [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) veya [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) ve [atlama efektleri](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) kullanarak gereksiz yeniden oluşturma sayısını en aza indirin.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"React Router kullanıyorsanız [rota gezinmeleri](https://reacttraining.com/react-router/web/api/Redirect) için `<Redirect>` bileşeninin kullanımını en aza indirin."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Sunucu tarafında React bileşenleri oluşturuyorsanız istemcinin tüm işaretleme parçalarını bir defada alması yerine farklı parçaları alıp birleştirmesine izin vermek için `renderToNodeStream()` veya `renderToStaticNodeStream()` kullanmayı düşünün. [Daha fazla bilgi](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Derleme sisteminiz CSS dosyalarını otomatik olarak küçültüyorsa uygulamanızın üretim derlemesini dağıttığınızdan emin olun. Bunu React Geliştirici Araçları uzantısıyla kontrol edebilirsiniz. [Daha fazla bilgi edinin](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Derleme sisteminiz JS dosyalarını otomatik olarak küçültüyorsa uygulamanızın üretim derlemesini dağıttığınızdan emin olun. Bunu React Geliştirici Araçları uzantısıyla kontrol edebilirsiniz. [Daha fazla bilgi edinin](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Sunucu tarafında oluşturmuyorsanız `React.lazy()` ile [JavaScript paketlerinizi bölün](https://web.dev/code-splitting-suspense/). Aksi halde, [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/) gibi bir üçüncü taraf kitaplığı kullanarak kodu bölün."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Bileşenlerinizin oluşturma performansını ölçmek için Profil Oluşturucu API'sinden yararlanan React Geliştirme Araçları Profil Oluşturucu'yu kullanın. [Daha fazla bilgi](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"GIF dosyanızı, HTML5 videosu olarak yerleştirmek için kullanılabilmesini sağlayacak bir hizmete yüklemeyi düşünün."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Yüklediğiniz resimleri ideal biçimlere otomatik olarak dönüştürecek bir [eklenti](https://wordpress.org/plugins/search/convert+webp/) veya hizmet kullanmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Ekran dışı görüntüleri erteleme veya bu işlevselliği sağlayan bir temaya geçiş yapma olanağı veren bir [WordPress geç yükleme (lazy-load) eklentisi](https://wordpress.org/plugins/search/lazy+load/) yükleyin. Ayrıca [AMP eklentisini](https://wordpress.org/plugins/amp/) kullanmayı da değerlendirin."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"[Kritik öğeleri satır içi yapmanıza](https://wordpress.org/plugins/search/critical+css/) veya [daha az önemli kaynakları ertelemenize](https://wordpress.org/plugins/search/defer+css+javascript/) yardımcı olabilecek çeşitli WordPress eklentileri vardır. Bu eklentilerin sağlayacağı optimizasyonların tema veya eklentilerinizin özelliklerini bozabileceğine dikkat edin. Bunu engellemek için muhtemelen kodda değişiklik yapmanız gerekecektir."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Temalar, eklentiler ve sunucu özellikleri öğelerinin tümü sunucunun yanıt süresini etkiler. Bir optimizayon eklentisini dikkatle seçerek ve/veya sunucunuzu yeni sürüme geçirerek, daha ileri düzeyde optimize edilmiş bir tema bulmayı düşünün."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Yayın listelerinizde alıntılar göstermeyi (ör. daha fazla etiket kullanarak), belirli bir sayfada gösterilen yayınların sayısını azaltmayı, uzun yayınlarınızı birden fazla sayfaya bölmeyi veya yorumların geç yüklenmesi için bir eklenti kullanmayı düşünün."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Çeşitli [WordPress eklentileri](https://wordpress.org/plugins/search/minify+css/) stillerinizi sıralayarak, küçülterek ve sıkıştırarak sitenizi hızlandırabilir. Ayrıca mümkünse bu küçültme yapmak için bir derleme işlemi kullanmak isteyebilirsiniz."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Çeşitli [WordPress eklentileri](https://wordpress.org/plugins/search/minify+javascript/) komut dosyalarınızı sıralayarak, küçülterek ve sıkıştırarak sitenizi hızlandırabilir. Ayrıca mümkünse bu sadeleştirmeyi yapmak için bir derleme işlemi kullanmak isteyebilirsiniz."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Sayfanızda kullanılmayan CSS'ler yükleyen [WordPress eklentilerinin](https://wordpress.org/plugins/) sayısını azaltmayı veya değiştirmeyi düşünün. Gereksiz CSS ekleyen eklentileri belirlemek için Chrome Geliştirme Araçlarında [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırmayı deneyin. Sorumlu temayı/eklentiyi stil sayfasının URL'sinden belirleyebilirsiniz. Listede çok sayıda stil sayfasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan eklentileri arayın. Bir eklenti sadece sayfada gerçekten kullanılan bir stil sayfasını kuyruğa almalıdır."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Sayfanızda kullanılmayan JavaScript'ler yükleyen [WordPress eklentilerinin](https://wordpress.org/plugins/) sayısını azaltmayı veya değiştirmeyi değerlendirin. Gereksiz JS ekleyen eklentileri belirlemek için Chrome Geliştirme Araçlarında [kod kapsamını](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) çalıştırmayı düşünün. Sorumlu temayı/eklentiyi komut dosyasının URL'sinden belirleyebilirsiniz. Listede çok sayıda komut dosyasına sahip olan ve kod kapsamında çok sayıda kırmızı işaret taşıyan eklentileri arayın. Bir eklenti sadece sayfada gerçekten kullanılan bir komut dosyasını kuyruğa almalıdır."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"[WordPress'te Tarayıcı Önbelleği](https://wordpress.org/support/article/optimization/#browser-caching) ile ilgili bilgi edinin."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Kaliteden ödün vermeden resimlerinizi sıkıştıran bir [resim optimizasyonu WordPress eklentisi](https://wordpress.org/plugins/search/optimize+images/) kullanmayı değerlendirin."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Gerekli resim boyutlarının kullanılabilmesi için resimleri doğrudan [medya kitaplığından](https://wordpress.org/support/article/media-library-screen/) yükleyin, ardından ideal resim boyutlarının kullanıldığından (esnek ayrılma noktası için olanlar dahil) emin olmak için resimleri medya kitaplığından ekleyin veya resim widget'ını kullanın. Boyutları kullanım için yeterli değilse `Full Size` resimler kullanmaktan kaçının. [Daha fazla bilgi](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Web sunucunuzun yapılandırmasında metin sıkıştırmayı etkinleştirebilirsiniz."},
"report/renderer/util.js | calculatorLink":{message:"Hesap makinesini göster."},"report/renderer/util.js | crcInitialNavigation":{message:"İlk Gezinme"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Maksimum kritik yol gecikmesi:"},"report/renderer/util.js | dropdownCopyJSON":{message:"JSON nesnesini kopyala"},"report/renderer/util.js | dropdownDarkTheme":{message:"Koyu Temayı aç/kapat"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Yazdırma Genişletmesi"},"report/renderer/util.js | dropdownPrintSummary":{message:"Yazdırma Özeti"},"report/renderer/util.js | dropdownSaveGist":{message:"Gist olarak kaydet"},"report/renderer/util.js | dropdownSaveHTML":{message:"HTML olarak kaydet"},"report/renderer/util.js | dropdownSaveJSON":{message:"JSON nesnesi olarak kaydet"},"report/renderer/util.js | dropdownViewer":{message:"Görüntüleyicide aç"},"report/renderer/util.js | errorLabel":{message:"Hata!"},"report/renderer/util.js | errorMissingAuditInfo":{
message:"Bildirme hatası: denetim bilgisi yok"},"report/renderer/util.js | footerIssue":{message:"Sorun bildir"},"report/renderer/util.js | labDataTitle":{message:"Test Verileri"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Mevcut sayfanın mobil ağ kullanılarak gerçekleştirilen [Lighthouse](https://developers.google.com/web/tools/lighthouse/) analizi. Değerler tahminidir ve değişiklik gösterebilir."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Manuel olarak kontrol edilecek ek öğeler"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Geçerli değil"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Fırsat"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Tahmini Tasarruf Miktarı"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Başarılı denetimler"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Emülasyonlu Masaüstü"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"Emülasyonlu Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Emülasyon yok"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe sürümü"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/Bellek Gücü"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU kısıtlaması"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kanal"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Cihaz"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Alınma Zamanı"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Ağ sınırlama"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Çalışma Zamanı Ayarları"},"report/renderer/util.js | runtimeSettingsUA":{message:"Kullanıcı aracısı (ana makine)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Kullanıcı aracısı (ağ)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Bilinmiyor"},"report/renderer/util.js | showRelevantAudits":{message:"Şunlarla alakalı denetimleri göster:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Snippet'i daralt"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Snippet'i genişlet"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"3. taraf kaynaklarını göster"},"report/renderer/util.js | throttlingProvided":{message:"Ortam tarafından sağlandı"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Şu Lighthouse çalışmasını etkileyen sorunlar vardı:"},"report/renderer/util.js | varianceDisclaimer":{message:"Değerler tahminidir ve değişiklik gösterebilir. [Performance skorunun hesaplanması ](https://web.dev/performance-scoring/), doğrudan bu metriklerle yapılır."},"report/renderer/util.js | viewTreemapLabel":{message:"Ağaç grafiği göster"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:"Kontrollerden geçti, ancak uyarılar var"},"report/renderer/util.js | warningHeader":{message:"Uyarılar: "}}},{}],142:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Ключі доступу дають змогу швидко виділяти частину сторінки. Для належної навігації кожний ключ доступу має бути унікальним. [Докладніше](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Значення `[accesskey]` неунікальні"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Значення `[accesskey]` унікальні"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"Кожна `role` ARIA підтримує конкретний набір атрибутів `aria-*`. Якщо вони не збігаються, атрибути `aria-*` стають недійсними. [Докладніше](https://web.dev/aria-allowed-attr/)."},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Атрибути `[aria-*]` не відповідають своїм ролям"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Атрибути `[aria-*]` відповідають своїм ролям"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Без такої назви програма зачитує тільки загальну назву (тобто роль або тип) елемента, що незручно для користувачів спеціальних можливостей. [Докладніше.](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Елементи з ролями `button`, `link` і `menuitem` не мають зрозумілих назв для зчитування з екрана."},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Елементи з ролями `button`, `link` і `menuitem` мають зрозумілі назви для зчитування з екрана"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{
message:'Технології для людей з обмеженими можливостями, як-от програми зчитування з екрана, працюють неналежно, коли `aria-hidden="true"` налаштовано в документі `<body>`. [Докладніше](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` є в документі `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` немає в документі `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'Інтерактивні похідні в елементі `[aria-hidden="true"]` забороняють користувачам технологій для людей з обмеженими можливостями (наприклад, програм зчитування з екрана) доступ до цих інтерактивних елементів. [Докладніше](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Елементи `[aria-hidden="true"]` містять інтерактивні похідні'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Елементи `[aria-hidden="true"]` не містять інтерактивних похідних'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Коли поле введення не має зрозумілої назви, програми зчитування з екрана озвучують його загальною назвою, через що воно стає непридатним для користувачів. [Докладніше](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Поля введення ARIA не мають доступних для зчитування назв"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Поля введення ARIA мають доступні для зчитування назви"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Без такої назви програма зачитує тільки загальну назву (тобто роль або тип) елемента, що незручно для користувачів спеціальних можливостей. [Докладніше.](https://web.dev/aria-name/)"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Елементи ARIA з роллю `meter` не мають зрозумілих назв для зчитування з екрана."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Елементи ARIA з роллю `meter` мають зрозумілі назви для зчитування з екрана"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:'Коли елемент "`progressbar`" не має доступної назви, програма зачитує тільки його загальну назву (тобто роль або тип), що незручно для користувачів спеціальних можливостей. [Докладніше.](https://web.dev/aria-name/)'},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Елементи ARIA з роллю `progressbar` не мають зрозумілих назв для зчитування з екрана."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Елементи ARIA з роллю `progressbar` мають зрозумілі назви для зчитування з екрана"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Деякі ролі ARIA мають обов'язкові атрибути, що описують стан елемента для програм зчитування з екрана. [Докладніше](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"Ролі `[role]` не мають усіх обов'язкових атрибутів `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"Ролі `[role]` мають усі потрібні атрибути `[aria-*]`"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Щоб виконувати потрібні функції спеціальних можливостей, деякі батьківські ролі ARIA повинні містити відповідні дочірні ролі. [Докладніше](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{
message:"В елементах з ARIA `[role]`, які вимагають дочірні елементи з певним атрибутом `[role]`, немає кількох або всіх дочірніх елементів."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Елементи з ARIA `[role]`, які вимагають дочірні елементи з певним атрибутом `[role]`, мають усі необхідні дочірні елементи."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"Щоб належно виконувати потрібні функції спеціальних можливостей, відповідні батьківські ролі повинні містити деякі дочірні ролі ARIA. [Докладніше](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"Ролі `[role]` не містяться в обов'язковому батьківському елементі"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"Ролі `[role]` містяться у відповідному батьківському елементі"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{
message:"Щоб належно виконувати функції спеціальних можливостей, ролі ARIA повинні мати дійсні значення. [Докладніше](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Значення `[role]` недійсні"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"Значення `[role]` дійсні"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Коли поле перемикача не має зрозумілої назви, програми зчитування з екрана озвучують його загальною назвою, через що воно стає непридатним для користувачів. [Докладніше](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Поля перемикача ARIA не мають доступних для зчитування назв"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Поля перемикача ARIA мають доступні для зчитування назви"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Без такої назви програма зачитує тільки загальну назву (тобто роль або тип) елемента, що незручно для користувачів спеціальних можливостей. [Докладніше.](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Елементи ARIA з роллю `tooltip` не мають зрозумілих назв для зчитування з екрана."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Елементи ARIA з роллю `tooltip` мають зрозумілі назви для зчитування з екрана"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Без такої назви програма зачитує тільки загальну назву (тобто роль або тип) елемента, що незручно для користувачів спеціальних можливостей. [Докладніше.](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{
message:"Елементи ARIA з роллю `treeitem` не мають зрозумілих назв для зчитування з екрана."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Елементи ARIA з роллю `treeitem` мають зрозумілі назви для зчитування з екрана"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"Допоміжні технології, як-от програми зчитування з екрана, не можуть тлумачити атрибути ARIA з недійсними значеннями. [Докладніше](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Атрибути `[aria-*]` не мають дійсних значень"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Атрибути `[aria-*]` мають дійсні значення"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{
message:"Допоміжні технології, як-от програми зчитування з екрана, не можуть тлумачити атрибути ARIA з недійсними назвами. [Докладніше](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Атрибути `[aria-*]` недійсні або написані неправильно"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Атрибути `[aria-*]` дійсні та написані правильно"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Елементи, що не пройшли перевірку"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Коли кнопка не має зрозумілої назви, програми зчитування з екрана озвучують її словом "кнопка", через що вона стає непридатною для користувачів. [Докладніше](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Кнопки не мають доступних для зчитування назв"},
"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Кнопки мають доступну для зчитування назву"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Якщо додати способи обходу вмісту, що повторюється, користувачам буде простіше переходити між елементами на сторінці за допомогою клавіатури. [Докладніше](https://web.dev/bypass/)."},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Сторінка не містить заголовка, посилання для пропуску вмісту чи мітки області"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Сторінка містить заголовок, посилання для пропуску вмісту чи мітку області"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Для багатьох користувачів складно або неможливо читати текст із низькою контрастністю. [Докладніше](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{
message:"Між кольорами фону та переднього плану недостатній коефіцієнт контрастності."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Між кольорами фону та переднього плану достатній коефіцієнт контрастності"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"Коли списки визначень мають неправильну розмітку, програми зчитування з екрана можуть генерувати незрозумілі або неточні дані. [Докладніше](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"Списки визначення `<dl>` містять не лише належно впорядковані групи `<dt>` і `<dd>` чи елементи `<script>`, `<template>` або `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"Списки визначення `<dl>` містять лише належно впорядковані групи `<dt>` та `<dd>` чи елементи `<script>`, `<template>` або `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{
message:"Щоб програми зчитування з екрана правильно озвучували елементи списку визначень (`<dt>` і `<dd>`), елементи має бути згруповано в батьківському елементі `<dl>`. [Докладніше](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"Елементи списку визначень не згруповано в елементах `<dl>`"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Елементи списку визначень згруповано в елементах `<dl>`"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Завдяки назві користувачі програми зчитування з екрана дізнаються загальну інформацію про сторінку, а користувачі пошукових систем визначають, чи сторінка відповідає їхньому запиту. [Докладніше](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Документ не має елемента `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{
message:"Документ містить елемент `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"Усі інтерактивні елементи мають містити унікальний `id`, щоб їх могли розпізнавати технології для людей з обмеженими можливостями. [Докладніше](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Атрибути `[id]` в активних інтерактивних елементах неунікальні"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Атрибути `[id]` в активних інтерактивних елементах унікальні"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Значення ідентифікатора ARIA має бути унікальним, щоб технології для людей з обмеженими можливостями не пропускали інші копії. [Докладніше](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Ідентифікатори ARIA неунікальні"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"Ідентифікатори ARIA унікальні"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Поля форми з кількома мітками можуть помилково озвучуватися технологіями для людей з обмеженими можливостями (наприклад, програмами зчитування з екрана), які використовують першу, останню або всі мітки. [Докладніше](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Поля форми містять кілька міток"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Немає полів форми з кількома мітками"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Користувачі програм зчитування з екрана використовують назви фреймів, щоб дізнатися їх вміст. [Докладніше](https://web.dev/frame-title/)."},
"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"Елементи `<frame>` або `<iframe>` не мають назви"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Елементи `<frame>` або `<iframe>` мають назву"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Правильно впорядковані заголовки, які не пропускають рівні, передають семантичну структуру сторінки, що полегшує навігацію та розуміння під час використання технологій для людей з обмеженими можливостями. [Докладніше](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Елементи заголовка не розташовані послідовно в порядку спадання"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Елементи заголовка розташовані послідовно в порядку спадання"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Якщо для сторінки не вказано атрибут мови, програма зчитування з екрана припускає, що мовою сторінки є мова за умовчанням, яку користувач вибрав під час налаштування програми зчитування. Якщо насправді мова сторінки інша, програма зчитування з екрана може неправильно озвучувати текст на сторінці. [Докладніше](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Елемент `<html>` не має атрибута `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Елемент `<html>` містить атрибут `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Якщо указати дійсний тег мови за [стандартом BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), це допоможе програмі зчитування з екрана правильно озвучувати текст. [Докладніше](https://web.dev/html-lang-valid/)."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Елемент `<html>` не містить дійсного значення для атрибута `[lang]`."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Елемент `<html>` має дійсне значення атрибута `[lang]`"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Інформативні елементи повинні містити короткий, описовий альтернативний текст. Декоративні елементи можуть ігноруватись і мати порожній атрибут alt. [Докладніше](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Зображення не мають атрибутів `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Зображення мають атрибути `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Коли зображення використовується як кнопка `<input>`, додавши альтернативний текст, ви допоможете користувачам програм зчитування з екрана зрозуміти призначення кнопки. [Докладніше](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Елементи `<input type="image">` не містять текст `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Елементи `<input type="image">` містять текст `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Завдяки міткам допоміжні технології, як-от програми зчитування з екрана, правильно озвучують елементи керування формою. [Докладніше](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Елементи форми не мають пов’язаних міток"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Елементи форми мають пов’язані мітки"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Унікальний і доступний для виділення текст посилання (а також альтернативний текст для зображень, коли вони використовуються як посилання), який можна розпізнати, покращує навігацію для користувачів програм зчитування з екрана. [Докладніше](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Посилання не мають назв, які можна розпізнати"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Посилання мають назви, які можна розпізнати"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Програми зчитування з екрана озвучують списки в особливий спосіб. Правильна структура списків допомагає таким програмам правильно розпізнавати інформацію. [Докладніше](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"Списки не містять лише елементи `<li>` і елементи для підтримки виконання сценарію (`<script>` та `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Списки містять лише елементи `<li>` й елементи для підтримки виконання сценарію (`<script>` і `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Щоб програми зчитування з екрана правильно озвучували елементи списку (`<li>`), ці елементи повинні міститися в батьківських елементах `<ul>` або `<ol>`. [Докладніше](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Елементів списку (`<li>`) немає в батьківських елементах `<ul>` або `<ol>`."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Елементи списку (`<li>`) містяться в батьківських елементах `<ul>` або `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Користувачі не очікують, що сторінка оновлюватиметься автоматично. Таке оновлення перемістить фокус назад угору сторінки. Це може роздратувати або спантеличити користувачів. [Докладніше](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Документ використовує `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Документ не використовує тег `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Якщо вимкнути масштабування, користувачі з поганим зором не зможуть збільшити екран, щоб краще бачити вміст веб-сторінки. [Докладніше](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'Параметр `[user-scalable="no"]` використовується в елементі `<meta name="viewport">` або атрибут `[maximum-scale]` менший за 5.'},
"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'Параметр `[user-scalable="no"]` не використовується в елементі `<meta name="viewport">`, а атрибут `[maximum-scale]` має значення не менше 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Програми зчитування з екрана розпізнають лише текст. Якщо додати текст заміщення до елементів `<object>`, це допоможе таким програмам передати їх значення користувачам. [Докладніше](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Елементи `<object>` не містять текст `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Елементи `<object>` містять текст `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Значення, що перевищує 0, передбачає явне встановлення порядку навігації. Хоча технічно воно дійсне, це часто ускладнює взаємодію для користувачів, які застосовують допоміжні технології. [Докладніше](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Деякі елементи мають значення `[tabindex]`, що перевищує 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Жоден елемент не має значення `[tabindex]`, що перевищує 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Програми зчитування з екрана мають функції, які полегшують навігацію в таблицях. Якщо клітинки `<td>`, які використовують атрибут `[headers]`, посилаються лише на інші клітинки в тій самій таблиці, це може покращити взаємодію для користувачів програми зчитування з екрана. [Докладніше](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Клітинки в елементі `<table>`, які використовують атрибут `[headers]`, посилаються на елемент `id`, відсутній в тій самій таблиці."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Клітинки в елементі `<table>`, які використовують атрибут `[headers]`, посилаються на клітинки тієї ж таблиці."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Програми зчитування з екрана мають функції, які полегшують навігацію в таблицях. Якщо заголовки таблиці завжди посилаються на певні набори клітинок, це може покращити взаємодію для користувачів програм зчитування з екрана. [Докладніше](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Елементи `<th>` і елементи з роллю `[role="columnheader"/"rowheader"]` не містять клітинок із даними, які описують.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'Елементи `<th>` і елементи з роллю `[role="columnheader"/"rowheader"]` містять клітинки з даними, які описують.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Якщо для елементів указати дійсний тег мови за [стандартом BCP 47](https://www.w3.org/International/questions/qa-choosing-language-tags#question), це допоможе програмі зчитування з екрана правильно озвучувати текст. [Докладніше](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Атрибути `[lang]` не мають дійсного значення"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Атрибути `[lang]` мають дійсне значення"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Коли відео має субтитри, користувачам із вадами слуху простіше зрозуміти його. [Докладніше](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Елементи `<video>` не містять елемент `<track>` з атрибутом `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Елементи `<video>` містять елемент `<track>` з атрибутом `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Налаштуйте параметр `apple-touch-icon` для ідеального вигляду на пристроях iOS, коли користувачі додають прогресивний веб-додаток на головний екран. Цей параметр має вказувати на непрозоре квадратне зображення PNG розміром 192 пікс. (або 180 пікс.). [Докладніше](https://web.dev/apple-touch-icon/)."},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Не містить дійсного значка `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"Атрибут `apple-touch-icon-precomposed` застарів. Радимо використовувати `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{
message:"Містить дійсний значок `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Поточне значення"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Пропонований маркер"},"lighthouse-core/audits/autocomplete.js | description":{message:"Атрибут `autocomplete` допомагає користувачам швидше надсилати форми. Щоб допомогти користувачам, спробуйте ввімкнути атрибут `autocomplete`, указавши для нього дійсне значення. [Докладніше](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Елементи `<input>` не мають правильних атрибутів `autocomplete`"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Потрібна перевірка вручну"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Перевірте порядок маркерів"},"lighthouse-core/audits/autocomplete.js | title":{
message:"Елементи `<input>` використовують атрибут `autocomplete` правильно"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'Маркери `autocomplete`: "{token}" недійсний у {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Перевірка порядку маркерів: "{tokens}" у {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Розширення Chrome негативно впливають на завантаження цієї сторінки. Спробуйте перевірити сторінку в режимі анонімного перегляду або в профілі Chrome без розширень."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Оцінка сценарію"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Синтаксичний аналіз сценарію"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Загальний процесорний час"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Зменште час виконання синтаксичного аналізу, компілювання й запуску сценаріїв JavaScript. Для цього корисно завантажувати менші обсяги даних JavaScript. [Докладніше](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Зменште час виконання JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Час виконання JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Видаліть великі копії модулів JavaScript із пакетів, щоб зменшити кількість непотрібних байтів під час активності в мережі. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Видаліть копії модулів у пакетах JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Великі файли GIF неефективні для передавання анімованого вмісту. Щоб заощадити мережевий трафік даних, радимо замість формату GIF використовувати MPEG4 або WebM для анімацій і PNG чи WebP для статичних зображень. [Докладніше](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Використовуйте формати відео для анімованого вмісту"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{
message:"Поліфіли та перетворення дають змогу застарілим веб-переглядачам використовувати нові функції JavaScript. Однак багато з них не потрібні для сучасних веб-переглядачів. Для пакетів JavaScript прийміть сучасну стратегію введення скрипту в дію за допомогою виявлення модульних/немодульних функцій, щоб зменшити обсяг коду, що надсилається сучасним веб-переглядачам зі збереженням підтримки застарілих. [Докладніше](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Не показуйте застарілі елементи JavaScript у сучасних веб-переглядачах"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Формати зображень JPEG 2000, JPEG XR і WebP часто стискаються краще, ніж PNG чи JPEG. Тому вони швидше завантажуються й використовують менше даних. [Докладніше](https://web.dev/uses-webp-images/)."},
"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Показуйте зображення в нових форматах"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Щоб зменшити час до повного завантаження, використовуйте закадрові й приховані зображення, коли завантажаться всі важливі ресурси. [Докладніше](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Відкладіть закадрові зображення"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Ресурси блокують першу візуалізацію сторінки. Надсилайте спершу важливі фрагменти JavaScript або таблиці CSS і відкладайте всі некритичні елементи. [Докладніше](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Вилучіть ресурси, які блокують відображення"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Великі обсяги мережевих даних використовують багато коштовного трафіку відвідувачів і довго завантажуються. [Докладніше](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Загальний розмір – {totalBytes, number, bytes} КіБ"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Уникайте великих обсягів даних у мережі"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Уникається великий обсяг даних мережі"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Стиснення файлів CSS може зменшити обсяг даних у мережі. [Докладніше](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Зменште СSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{
message:"Стиснення файлів JavaScript може зменшити обсяг даних і час синтаксичного аналізу сценарію. [Докладніше](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Зменште файл JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"Щоб скоротити трафік даних у мережі, зменште кількість непотрібних правил у таблиці стилів і відкладіть завантаження коду CSS, що не використовуються для контенту у верхній частині сторінки. [Докладніше.](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Зменште код CSS, який не використовуєте"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Щоб скоротити трафік даних у мережі, зменште код JavaScript, який не використовуєте, і відкладіть завантаження скриптів, доки вони не знадобляться. [Докладніше.](https://web.dev/unused-javascript/)"
},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Зменште код JavaScript, який не використовуєте"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Якщо зберігати кеш за тривалий період часу, сторінки можуть завантажуватися швидше під час повторних відвідувань. [Докладніше](https://web.dev/uses-long-cache-ttl/)."},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Знайдено 1 ресурс}one{Знайдено # ресурс}few{Знайдено # ресурси}many{Знайдено # ресурсів}other{Знайдено # ресурсу}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Показуйте статичні об’єкти за допомогою ефективних правил кешування"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Використовуються ефективні правила кешування статичних об’єктів"},
"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Оптимізовані зображення завантажуються швидше й використовують менше мобільного трафіку. [Докладніше](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Ефективно кодуйте зображення"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"Показуйте зображення правильного розміру, щоб заощадити мобільний трафік і покращити час завантаження. [Докладніше](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Правильно виберіть розмір зображень"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Текстові ресурси потрібно відображати зі стисненням (Gzip, Deflate чи Brotli), щоб мінімізувати загальний трафік мережі. [Докладніше](https://web.dev/uses-text-compression/)."},
"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Увімкніть стиснення тексту"},"lighthouse-core/audits/content-width.js | description":{message:"Якщо ширина контенту додатка не збігається з шириною області перегляду, можливо, додаток не вдасться оптимізувати для екранів мобільних пристроїв. [Докладніше](https://web.dev/content-width/)."},"lighthouse-core/audits/content-width.js | explanation":{message:"Розмір області перегляду ({innerWidth} пікс.) не збігається з розміром вікна ({outerWidth} пікс.)."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Розмір контенту не відповідає області перегляду"},"lighthouse-core/audits/content-width.js | title":{message:"Розмір контенту відповідає області перегляду"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"Ланцюжки важливих запитів нижче показують, які ресурси мають високий пріоритет. Щоб пришвидшити завантаження сторінки, зменште довжину ланцюжків і розмір завантажень або відкладіть завантаження непотрібних ресурсів. [Докладніше](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Знайдено 1 ланцюжок}one{Знайдено # ланцюжок}few{Знайдено # ланцюжки}many{Знайдено # ланцюжків}other{Знайдено # ланцюжка}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"Намагайтеся не створювати ланцюжки критичних запитів"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Директива"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Рівень серйозності"},"lighthouse-core/audits/csp-xss.js | description":{message:"Надійні Правила щодо безпеки контенту (CSP) значно зменшують ризик міжсайтного скриптингу (XSS). [Докладніше](https://web.dev/csp-xss/)"},
"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Синтаксис"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Сторінка містить CSP, що визначений у тегу <meta>. За можливості визначте CSP в заголовку HTTP."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"CSP не знайдено в режимі примусового застосування"},"lighthouse-core/audits/csp-xss.js | title":{message:"Переконайтеся, що CSP допомагає проти атак XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"Припинення підтримки/застереження"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Рядок"},"lighthouse-core/audits/deprecations.js | description":{message:"API, які більше не підтримуються, будуть видалені з веб-переглядача. [Докладніше](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{
message:"{itemCount,plural, =1{Знайдено 1 застереження}one{Знайдено # застереження}few{Знайдено # застереження}many{Знайдено # застережень}other{Знайдено # застереження}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Використовує непідтримувані API"},"lighthouse-core/audits/deprecations.js | title":{message:"Уникає інтерфейсів API, які більше не підтримуються"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Application Cache API більше не підтримується. [Докладніше](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Знайдено кеш "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"Використовує кеш додатка"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Уникає кешу додатка"},"lighthouse-core/audits/dobetterweb/charset.js | description":{
message:'Декларація кодування символів обов\'язкова. Це можна зробити за допомогою тегу `<meta>` в перших 1024 байтах HTML або в заголовку відповіді HTTP "Content-Type". [Докладніше](https://web.dev/charset/).'},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Декларація набору символів відсутня або виникає запізно в HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Належно визначає набір символів"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Якщо вказати елемент doctype, веб-переглядач не перейде в режим сумісності. [Докладніше](https://web.dev/doctype/)."},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"Назва елемента doctype має починатися з малої літери й мати значення `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Документ має містити тег doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{
message:"Очікується, що поле publicId буде порожнім"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"Очікується, що поле systemId буде порожнім"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Для сторінки не вказано елемента HTML doctype, що активує режим сумісності"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Сторінка має елемент HTML doctype"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Статистика"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Значення"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Через великий файл DOM використовується більше пам'яті, [стилі обчислюються](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) довше, а [перекомпонування макетів](https://developers.google.com/speed/articles/reflow) коштує дорого. [Докладніше](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 елемент}one{# елемент}few{# елементи}many{# елементів}other{# елемента}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Уникайте надмірного розміру DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Максимальна глибина DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Усього елементів DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Максимальна кількість дочірніх елементів"},
"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"Уникається надмірний розмір DOM"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Відхилені прив'язки"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Додайте `rel="noopener"` або `rel="noreferrer"` до зовнішніх посилань, щоб покращити ефективність і підвищити їх захищеність. [Докладніше](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Міждоменні посилання на веб-сторінці ненадійні"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Міждоменні посилання на веб-сторінці надійні"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:'Не вдалося визначити сервіс для прив\'язки ({anchorHTML}). Якщо гіперпосилання не використовується, видаліть цю частину: "target=_blank".'},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Сайти, які надсилають запит на доступ до місцезнаходження без пояснення, викликають у користувачів недовіру або спантеличеність. Радимо пов'язувати запит із діями користувача. [Докладніше](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Надсилає запит на доступ до геолокації під час завантаження сторінки"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Уникає надсилання запитів на доступ до геолокації під час завантаження сторінки"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Тип проблеми"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:'Помилки, зареєстровані на панелі "`Issues`" в Інструментах розробника Chrome, указують на невирішені проблеми. Їх можуть спричиняти збої запитів мережі, низький рівень захисту або інші невиконані вимоги веб-переглядача. Щоб дізнатися більше про кожну помилку, відкрийте панель Issues в Інструментах розробника Chrome.'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:'На панелі "`Issues`" в Інструментах розробника Chrome наведено дані про помилки'},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Заблоковано правилом щодо міждоменних запитів"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Оголошення використовують багато ресурсів"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:'На панелі "`Issues`" в Інструментах розробника Chrome немає помилок'},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Версія"
},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Усі бібліотеки JavaScript зовнішнього інтерфейсу виявлено на сторінці. [Докладніше](https://web.dev/js-libraries/)."},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Виявлені бібліотеки JavaScript"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Зовнішні сценарії, динамічно вставлені методом `document.write()`, можуть затримувати завантаження сторінки на десятки секунд для користувачів із повільним з'єднанням. [Докладніше](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Уникайте `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"Уникає `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Найвищий рівень серйозності"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Версія бібліотеки"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Кількість прогалин системи безпеки"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Деякі сторонні сценарії можуть містити відомі прогалини системи безпеки, які зловмисники можуть легко виявити та використати. [Докладніше](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Виявлено 1 прогалину системи безпеки}one{Виявлено # прогалину системи безпеки}few{Виявлено # прогалини системи безпеки}many{Виявлено # прогалин системи безпеки}other{Виявлено # прогалини системи безпеки}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{
message:"Включає бібліотеки JavaScript зовнішнього інтерфейсу з відомими прогалинами системи безпеки"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Уникає бібліотек JavaScript зовнішнього інтерфейсу з відомими прогалинами в системі безпеки"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Сайти, які надсилають запит на показ сповіщень без пояснення, викликають у користувачів недовіру або спантеличеність. Радимо пов'язувати запит із жестами користувача. [Докладніше](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Надсилає запит на показ сповіщень під час завантаження сторінки"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Уникає надсилання запитів на показ сповіщень під час завантаження сторінки"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{
message:"Якщо заборонити вставляти пароль, це порушить правила щодо високого рівня безпеки. [Докладніше](https://web.dev/password-inputs-can-be-pasted-into/)."},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Не дозволяє користувачам вставляти вміст у поля паролів"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Дає змогу користувачам вставляти вміст у поля паролів"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Протокол"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"Протокол HTTP/2 має низку переваг над HTTP/1.1, як-от двійкові заголовки та мультиплексування. [Докладніше.](https://web.dev/uses-http2/)"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{1 запит не розміщено через протокол HTTP/2}one{# запит не розміщено через протокол HTTP/2}few{# запити не розміщено через протокол HTTP/2}many{# запитів не розміщено через протокол HTTP/2}other{# запиту не розміщено через протокол HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Увімкніть протокол HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"Щоб сторінка краще прокручувалася, позначте блоки прослуховування подій сенсорного екрана та коліщатка як `passive`. [Докладніше](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Не використовує пасивні прослуховувачі, щоб покращити функцію прокручування"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Використовує пасивні прослуховувачі, щоб покращити прокручування сторінки"},
"lighthouse-core/audits/errors-in-console.js | description":{message:"Помилки, записані в журнал консолі, указують на невирішені проблеми. Вони можуть бути викликані збоями запитів мережі або іншими проблемами веб-переглядача. [Докладніше](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Помилки веб-переглядача записано в журнал консолі"},"lighthouse-core/audits/errors-in-console.js | title":{message:"Помилки веб-переглядача не записано в журнал консолі"},"lighthouse-core/audits/font-display.js | description":{message:"Використовуйте функцію відображення шрифтів CSS, щоб текст було видно під час завантаження веб-шрифтів. [Докладніше](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Переконайтеся, що текст залишається видимим під час завантаження веб-шрифту"},"lighthouse-core/audits/font-display.js | title":{
message:"Увесь текст залишається видимим під час завантаження веб-шрифтів"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Інструменту Lighthouse не вдалося автоматично перевірити значення елемента `font-display` для URL-адреси {fontOrigin}.}one{Інструменту Lighthouse не вдалося автоматично перевірити значення елемента `font-display` для URL-адреси {fontOrigin}.}few{Інструменту Lighthouse не вдалося автоматично перевірити значення елемента `font-display` для URL-адреси {fontOrigin}.}many{Інструменту Lighthouse не вдалося автоматично перевірити значення елемента `font-display` для URL-адреси {fontOrigin}.}other{Інструменту Lighthouse не вдалося автоматично перевірити значення елемента `font-display` для URL-адреси {fontOrigin}.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Формат (фактичний)"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Формат (відображуваний)"},
"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Розміри показаного зображення мають відповідати реальному формату. [Докладніше](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Показує зображення неправильного формату"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Показує зображення правильного формату"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Дійсний розмір"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Показаний розмір"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Очікуваний розмір"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"Для максимальної чіткості зображення співвідношення його сторін має бути пропорційним до розмірів і роздільної здатності екрана. [Докладніше](https://web.dev/serve-responsive-images/)."},
"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Показує зображення з низькою роздільною здатністю"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Показує зображення з правильною роздільною здатністю"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Цей додаток уже встановлено"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Не вдалося завантажити потрібний значок із маніфесту"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Причина помилки"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Синтаксис Service Worker забезпечує багато функцій прогресивного веб-додатка, як-от режим офлайн, додавання на головний екран і push-сповіщення. Якщо правильно застосувати цей синтаксис і маніфест, веб-переглядачі зможуть активно заохочувати користувачів установити ваш додаток на головний екран, що сприятиме кращій взаємодії. [Докладніше.](https://web.dev/installable-manifest/)"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 причина}one{# причина}few{# причини}many{# причин}other{# причини}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Маніфест або синтаксис Service Worker не відповідає вимогам до придатного для встановлення веб-додатка"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Розбіжність між URL-адресою та ідентифікатором додатка в Google Play"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{
message:"Сторінка завантажується у вікні в режимі анонімного перегляду"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"Для властивості display у маніфесті слід вибрати одне з таких значень: standalone, fullscreen або minimal-ui"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"Маніфест містить поле display_override, тому для першого підтримуваного режиму відображення слід вибрати одне з таких значень: standalone, fullscreen або minimal-ui"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Не вдалося завантажити чи проаналізувати маніфест, або він порожній"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"Під час отримання маніфесту його URL-адреса змінилася."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"Маніфест не містить полів name або short_name"},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'У маніфесті немає відповідного значка. Потрібен значок у форматі PNG, SVG або WebP із роздільною здатністю принаймні {value0} пікс. і визначеним атрибутом purpose. Якщо він задається, слід указати значення "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Немає значка розміром принаймні {value0} пікс. (квадрат) у форматі PNG, SVG або WebP, у якого атрибут purpose не заданий або заданий зі значенням "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Завантажений значок порожній або пошкоджений"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Не вказано ідентифікатор Google Play"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"На сторінці немає URL-адреси маніфесту в тегах <link>"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{
message:"Не виявлено відповідного синтаксису Service Worker. Можливо, потрібно перезавантажити сторінку або перевірити, чи область дії синтаксису Service Worker для поточної сторінки включає область дії та початкову URL-адресу з маніфесту."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"Не вдалося перевірити синтаксис Service Worker без поля start_url у маніфесті"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'Помилка перевірки придатності для встановлення з нерозпізнаним ідентифікатором "{errorId}"'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Сторінка завантажується не з надійного джерела"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Сторінка не завантажується в основному фреймі"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Сторінка не працює офлайн"},
"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Указана платформа додатка не підтримується на Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Значення властивості prefer_related_applications у маніфесті: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Властивість prefer_related_applications підтримується лише в бета-версії Chrome і стабільних версіях на Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"Початкова URL-адреса в маніфесті недійсна"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Маніфест і синтаксис Service Worker відповідають вимогам до придатного для встановлення веб-додатка"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"URL-адреса в маніфесті містить ім'я користувача, пароль або порт"},
"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Сторінка не працює офлайн. Після випуску Chrome 93 (стабільної версії від серпня 2021 року) сторінка вважатиметься непридатною для встановлення."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Дозволено"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Заблоковано"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"Ненадійна URL-адреса"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Розв'язання запиту"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Усі сайти мають бути захищені протоколом HTTPS, навіть якщо вони не обробляють конфіденційні дані. Потрібно уникати [змішаного контенту](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), тобто коли деякі ресурси завантажуються через HTTP, незважаючи на те, що початковий запит було надіслано через HTTPS. HTTPS не дозволяє зловмисникам втручатись в обмін даними між додатком і користувачами або пасивно прослуховувати супутні події. Це обов'язкова умова для протоколу HTTP/2 та багатьох нових API веб-платформ. [Докладніше](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Знайдено 1 ненадійний запит}one{Знайдено # ненадійний запит}few{Знайдено # ненадійні запити}many{Знайдено # ненадійних запитів}other{Знайдено # ненадійного запиту}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Не використовує протокол HTTPS"},
"lighthouse-core/audits/is-on-https.js | title":{message:"Використовує протокол HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"Автоматичне перетворення на HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Дозволено із застереженням"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Бібліотека"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Великі бібліотеки JavaScript можуть призвести до низької продуктивності. Щоб зменшити розмір пакета, використовуйте менші бібліотеки з такими ж функціями. [Докладніше](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)."},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{
message:"{libraryCount,plural, =1{Знайдено 1 велику бібліотеку}one{Знайдено # велику бібліотеку}few{Знайдено # великі бібліотеки}many{Знайдено # великих бібліотек}other{Знайдено # великої бібліотеки}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Замініть великі бібліотеки JavaScript, які мають менші альтернативи"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"Уникає великих бібліотек JavaScript, для яких є менші альтернативи"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Це найбільший елемент контенту, який видно в області перегляду. [Докладніше](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Елемент візуалізації великого контенту"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Дані CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{
message:"Ці елементи DOM найбільше впливають на сукупне зміщення макета сторінки."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Уникайте великих зсувів макета"},"lighthouse-core/audits/long-tasks.js | description":{message:"Указано найтриваліші завдання в головному потоці. Ці дані корисні, щоб визначати, що найбільше впливає на затримку вхідного сигналу. [Докладніше](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Знайдено # тривале завдання}one{Знайдено # тривале завдання}few{Знайдено # тривалі завдання}many{Знайдено # тривалих завдань}other{Знайдено # тривалого завдання}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Уникайте тривалих завдань у головному потоці"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Категорія"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{
message:"Зменште час виконання синтаксичного аналізу, компілювання й запуску сценаріїв JavaScript. Для цього корисно завантажувати менші обсяги даних JavaScript. [Докладніше](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Мінімізуйте роботу основного потоку"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Мінімізується робота основного потоку"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Щоб охопити якомога більше користувачів, сайти мають працювати в усіх відомих веб-переглядачах. [Докладніше](https://web.dev/pwa-cross-browser/)."},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Сайт працює у різних веб-переглядачах"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{
message:"Переконайтеся, що окремі сторінки можна відкрити за допомогою прямого посилання, а URL-адреси унікальні, щоб ними можна було ділитися в соціальних мережах. [Докладніше](https://web.dev/pwa-each-page-has-url/)."},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Кожна сторінка має URL-адресу"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"Додаток має швидко реагувати на дії користувача, навіть якщо мережа повільна. Це суттєво впливає на оцінку роботи вашого додатка користувачем. [Докладніше](https://web.dev/pwa-page-transitions/)."},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Схоже, перехід між сторінками не блокує мережу"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Маскувальний значок гарантує, що зображення заповнює всю форму, не перетворюючись на леттербокс під час встановлення додатка на пристрої. [Докладніше](https://web.dev/maskable-icon-audit/)."},
"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Маніфест не має маскувального значка"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Маніфест має маскувальний значок"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"Сукупне зміщення макета вимірює рух видимих елементів у межах області перегляду. [Докладніше](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Перша візуалізація вмісту показує, коли з'являється текст чи зображення. [Докладніше](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Час початку візуалізації вказує, коли видно основний вміст сторінки. [Докладніше](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{
message:"Час до повного завантаження – це період часу, через який сторінка стане повністю інтерактивною. [Докладніше](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Візуалізація великого контенту показує, коли з'являється найбільший текст чи зображення. [Докладніше](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Максимальна потенційна затримка відповіді на першу дію – це тривалість найдовшого завдання. [Докладніше](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Індекс швидкості показує, через скільки часу відображається вміст сторінки. [Докладніше](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{
message:"Загальна тривалість усіх періодів часу в мілісекундах між першою візуалізацією вмісту та часом до повного завантаження, коли час виконання завдання перевищує 50 мс. [Докладніше](https://web.dev/lighthouse-total-blocking-time/)."},"lighthouse-core/audits/network-rtt.js | description":{message:"Час затримки передачі сигналу мережі (RTT) суттєво впливає на ефективність. Якщо показник RTT високий, це означає, що сервери, розташовані ближче до користувача, можуть покращити ефективність. [Докладніше](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Час затримки передачі сигналу мережі"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Затримка сервера може впливати на ефективність веб-сайту. Якщо показник затримки сервера високий, це означає, що сервер перевантажено або в нього низька ефективність. [Докладніше](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},
"lighthouse-core/audits/network-server-latency.js | title":{message:"Затримка сервера"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:'Подія "`unload`" активується ненадійно, і її прослуховування може запобігти оптимізації веб-переглядача, наприклад функції "Зворотний кеш". Спробуйте натомість скористатися подією "`pagehide`" або "`visibilitychange`". [Докладніше](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)'},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:'Реєструє прослуховувач події "`unload`"'},"lighthouse-core/audits/no-unload-listeners.js | title":{message:'Уникає прослуховувачів події "`unload`"'},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Анімації без композитингу можуть бути неякісними та підвищувати показник CLS. [Докладніше](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{
message:"{itemCount,plural, =1{Знайдено # анімований елемент}one{Знайдено # анімований елемент}few{Знайдено # анімовані елементи}many{Знайдено # анімованих елементів}other{Знайдено # анімованого елемента}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Ресурс, пов'язаний із фільтром, може переміщати пікселі"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Цільовий об'єкт містить несумісну анімацію"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Ефект не використовує композитний режим "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Уникайте анімацій без композитингу"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Ресурс, пов'язаний із трансформацією, залежить від розміру вікна"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{
message:"{propertyCount,plural, =1{Непідтримуваний ресурс CSS: {properties}}one{Непідтримувані ресурси CSS: {properties}}few{Непідтримувані ресурси CSS: {properties}}many{Непідтримувані ресурси CSS: {properties}}other{Непідтримувані ресурси CSS: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"Ефект містить непідтримувані параметри хронометражу"},"lighthouse-core/audits/performance-budget.js | description":{message:"Стежте, щоб кількість і розмір мережевих запитів не перевищували цільових значень, указаних у бюджеті ефективності. [Докладніше](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 запит}one{# запит}few{# запити}many{# запитів}other{# запиту}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Бюджет ефективності"},"lighthouse-core/audits/preload-fonts.js | description":{
message:'Попередньо завантажте шрифти з параметром "`optional`", щоб нові відвідувачі могли використовувати їх. [Докладніше](https://web.dev/preload-optional-fonts/)'},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:'Шрифти з параметром "`font-display: optional`" не завантажено попередньо'},"lighthouse-core/audits/preload-fonts.js | title":{message:'Шрифти з параметром "`font-display: optional`" попередньо завантажено'},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Попередньо завантаживши зображення для елемента LCP, ви зможете оптимізувати час візуалізації великого контенту. [Докладніше](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Попередньо завантажте зображення для візуалізації великого контенту"},"lighthouse-core/audits/redirects-http.js | description":{
message:"Якщо ви вже налаштували HTTPS, переконайтеся, що весь трафік HTTP переспрямовується на HTTPS, щоб увімкнути безпечні веб-функції для всіх користувачів. [Докладніше](https://web.dev/redirects-http/)."},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Трафік HTTP не перепрямовується на HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Трафік HTTP переспрямовується на HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"Переспрямування викликають додаткові затримки під час завантаження сторінки. [Докладніше](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Уникайте переспрямувань кількох сторінок"},"lighthouse-core/audits/resource-summary.js | description":{message:"Щоб установити бюджет відповідно до кількості та розміру ресурсів на сторінці, додайте файл budget.json. [Докладніше](https://web.dev/use-lighthouse-for-performance-budgets/)."},
"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 запит • {byteCount, number, bytes} КіБ}one{# запит • {byteCount, number, bytes} КіБ}few{# запити • {byteCount, number, bytes} КіБ}many{# запитів • {byteCount, number, bytes} КіБ}other{# запиту • {byteCount, number, bytes} КіБ}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Не надсилайте багато запитів і передавайте вміст малого розміру"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Канонічні посилання вказують, які URL-адреси показувати в результатах пошуку. [Докладніше](https://web.dev/canonical/)."},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Кілька URL-адрес конфліктують ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Указує на інший домен ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"Недійсна URL-адреса ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Указує на інше місце `hreflang` ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"Відносна URL-адреса ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Указує на основну URL-адресу домену (домашню сторінку), а не на еквівалентну сторінку вмісту"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Документ не має дійсного посилання `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Документ має дійсний атрибут `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"Посилання, які не можна сканувати"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{
message:"Щоб сканувати веб-сайти, пошукові системи можуть використовувати в посиланнях атрибути `href`. Переконайтеся, що атрибут елементів прив'язки `href` перенаправляє в потрібне місце, щоб можна було зісканувати більше сторінок сайту. [Докладніше](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Посилання не можна сканувати"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Посилання можна сканувати"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Інший нечитабельний текст"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Розмір шрифту"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% тексту на сторінці"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Селектор"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"Розміри шрифту до 12px замалі й нечитабельні. Щоб користувачі мобільних пристроїв змогли прочитати текст, їм потрібно буде збільшувати масштаб пальцями. Бажано, щоб понад 60% тексту на сторінці було написано щонайменше шрифтом 12px. [Докладніше](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} читабельного тексту"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Текст нечитабельний, оскільки метатег області перегляду не оптимізовано для мобільних пристроїв."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"У документі використано нечитабельні розміри шрифтів"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Читабельний текст"},"lighthouse-core/audits/seo/font-size.js | title":{message:"У документі використано читабельні розміри шрифтів"},"lighthouse-core/audits/seo/hreflang.js | description":{
message:"Посилання hreflang указують пошуковим системам версію сторінки, яку потрібно додати в результати пошуку для певної мови чи регіону. [Докладніше](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Документ не має дійсного атрибута `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Відносне значення атрибута href"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Документ має дійсний атрибут `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Неочікуваний код мови"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Сторінки з недійсними кодами статусу HTTP можуть неправильно індексуватися. [Докладніше](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Сторінка має недійсний код статусу HTTP"},"lighthouse-core/audits/seo/http-status-code.js | title":{
message:"Сторінка має дійсний код статусу HTTP"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Пошукові системи не зможуть включити ваші сторінки в результати пошуку, якщо в них немає дозволу сканувати їх. [Докладніше](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Сторінку не можна індексувати"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Сторінку можна індексувати"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Описовий текст посилання допомагає пошуковим системам розуміти ваш вміст. [Докладніше](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Знайдено 1 посилання}one{Знайдено # посилання}few{Знайдено # посилання}many{Знайдено # посилань}other{Знайдено # посилання}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"Посилання не містять опису"},
"lighthouse-core/audits/seo/link-text.js | title":{message:"Посилання містять опис"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Щоб перевірити структуровані дані, скористайтесь [інструментом тестування](https://search.google.com/structured-data/testing-tool/) й [інструментом статичного аналізу структурованих даних](http://linter.structured-data.org/). [Докладніше](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Структуровані дані дійсні"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Результати пошуку можуть містити метаописи для короткого підсумку вмісту сторінки. [Докладніше](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Немає опису."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"Документ не містить метаопису"},"lighthouse-core/audits/seo/meta-description.js | title":{
message:"Документ містить метаопис"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Пошукові системи не можуть індексувати вміст плагінів. Багато пристроїв обмежують або не підтримують плагіни. [Докладніше](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Документ використовує плагіни"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Документ уникає плагінів"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Якщо файл robots.txt недійсний, веб-сканери можуть не зрозуміти, як потрібно індексувати або сканувати ваш веб-сайт. [Докладніше](https://web.dev/robots-txt/)."},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"У відповідь на запит robots.txt отримано такий статус HTTP: {statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{
message:"{itemCount,plural, =1{Знайдено 1 помилку}one{Знайдено # помилку}few{Знайдено # помилки}many{Знайдено # помилок}other{Знайдено # помилки}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Інструменту Lighthouse не вдалося завантажити файл robots.txt"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"Файл robots.txt недійсний"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"Файл robots.txt дійсний"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Інтерактивні елементи, як-от кнопки та посилання, мають бути достатньо великі (48x48 пікселів), а навколо них має бути достатньо місця, щоб їх можна було легко натиснути, не зачепивши інші елементи. [Докладніше](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} елементів для натискання мають правильний розмір"},
"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"Елементи для натискання замалі, оскільки метатег області перегляду не оптимізовано для мобільних пристроїв"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Елементи для натискання мають неправильний розмір"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Елементи для натискання накладаються"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Елемент для натискання"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Елементи для натискання мають правильний розмір"},"lighthouse-core/audits/server-response-time.js | description":{message:"Сервер основного документа має відповідати швидко, оскільки всі інші запити залежать від нього. [Докладніше](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{
message:"Кореневий документ відповів через {timeInMs, number, milliseconds} мс"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"Зменште час відповіді сервера"},"lighthouse-core/audits/server-response-time.js | title":{message:"Сервер відповідає швидко"},"lighthouse-core/audits/service-worker.js | description":{message:"Синтаксис Service Worker – це технологія, яка дає змогу додатку використовувати багато функцій прогресивного веб-додатка, як-от режим офлайн, додавання на головний екран і push-сповіщення. [Докладніше](https://web.dev/service-worker/)."},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Цією сторінкою керує синтаксис Service Worker, однак `start_url` не знайдено, оскільки не вдалося виконати синтаксичний аналіз маніфесту як дійсного файлу JSON"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{
message:"Цією сторінкою керує синтаксис Service Worker, однак параметр `start_url` ({startUrl}) перебуває за межами дії служби ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Цією сторінкою керує синтаксис Service Worker, однак `start_url` не знайдено, оскільки маніфест не завантажено."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Це джерело містить один або кілька синтаксисів Service Worker, але сторінка ({pageUrl}) перебуває за межами дії служби."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Немає синтаксису Service Worker, який керує сторінкою та `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Наявний синтаксис Service Worker, який керує сторінкою та `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{
message:"Тематична заставка покращує взаємодію з користувачами під час запуску додатка з головного екрана. [Докладніше](https://web.dev/splash-screen/)."},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"Власну заставку не налаштовано"},"lighthouse-core/audits/splash-screen.js | title":{message:"Налаштовано власну заставку"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Для адресного рядка веб-переглядача можна створити тему, яка відповідатиме вашому сайту [Докладніше](https://web.dev/themed-omnibox/)."},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Не змінює колір адресного рядка відповідно до теми."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Змінює колір адресного рядка відповідно до теми."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (підтримка клієнтів)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{
message:"{productName} (маркетинг)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (соціальна мережа)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (відео)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Продукт"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Для певних сторонніх вставок можливе відкладене завантаження. Замініть їх фасадом до моменту, коли вони знадобляться. [Докладніше.](https://web.dev/third-party-facades/)"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Доступний # варіант фасаду}one{Доступний # варіант фасаду}few{Доступні # варіанти фасаду}many{Доступні # варіантів фасаду}other{Доступні # варіанта фасаду}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Для певних сторонніх ресурсів доступні фасади й відкладене завантаження"},
"lighthouse-core/audits/third-party-facades.js | title":{message:"Використовуйте фасади для відкладеного завантаження сторонніх ресурсів"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Сторонні розробники"},"lighthouse-core/audits/third-party-summary.js | description":{message:"Сторонній код може значно погіршити швидкість завантаження. Не використовуйте зайвий раз елементи коду сторонніх розробників та налаштуйте сторінку так, щоб сторонній код завантажувався після її основної частини. [Докладніше](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Сторонній код заблокував основний ланцюжок на {timeInMs, number, milliseconds} мс"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Зменште вплив стороннього коду"},"lighthouse-core/audits/third-party-summary.js | title":{
message:"Зменште використання стороннього коду"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Значення"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Показник"},"lighthouse-core/audits/timing-budget.js | description":{message:"Установіть обмеження часу, щоб слідкувати за ефективністю свого сайту. Ефективні сайти швидко завантажуються й миттєво відповідають на ввід користувача. [Докладніше](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Обмеження часу"},"lighthouse-core/audits/unsized-images.js | description":{message:"Явно вказуючи ширину й висоту для зображень, ви зможете зменшити зміщення макета й покращити показник CLS. [Докладніше](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Для зображень не задано явним чином атрибути `width` та `height`"},
"lighthouse-core/audits/unsized-images.js | title":{message:"Для зображень явним чином задано атрибути `width` та `height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Тип"},"lighthouse-core/audits/user-timings.js | description":{message:"Використовуйте в додатку User Timing API, щоб отримувати показники ефективності додатка під час взаємодії з користувачами. [Докладніше](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 позначка часу користувача}one{# позначка часу користувача}few{# позначки часу користувача}many{# позначок часу користувача}other{# позначки часу користувача}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Показники й мітки часу користувача"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{
message:"Для {securityOrigin} знайдено елемент `<link rel=preconnect>`, але веб-переглядач його не використав. Переконайтеся, що ви правильно використовуєте атрибут `crossorigin`."},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"Додайте в ресурси корективи `preconnect` чи `dns-prefetch`, щоб заздалегідь встановлювати з'єднання з важливими сторонніми джерелами. [Докладніше](https://web.dev/uses-rel-preconnect/)."},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Попередньо під’єднуйтеся до потрібних джерел"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Знайдено більше ніж 2 підключення `<link rel=preconnect>`. Такі засоби слід використовувати зрідка й лише для найважливіших джерел."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{
message:"Для {securityOrigin} знайдено елемент `<link rel=preconnect>`, але веб-переглядач його не використав. Використовуйте `preconnect` тільки для важливих джерел, яким сторінка точно надсилатиме запит."},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"Для {preloadURL} знайдено елемент `<link>` типу preload, але веб-переглядач його не використав. Переконайтеся, що ви правильно використовуєте атрибут `crossorigin`."},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Використовуйте `<link rel=preload>`, щоб указати пріоритетність завантаження ресурсів, які наразі отримуються пізніше під час завантаження сторінки. [Докладніше](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Попередньо завантажуйте основні запити"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL-адреси карт"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Карти джерела перетворюють стиснуті коди в оригінальні вихідні коди. Завдяки цьому розробники можуть здійснювати налагодження в робочому режимі. Крім того, інструмент Lighthouse може надавати іншу статистику. Спробуйте ввести в дію карти джерела, щоб скористатися цими перевагами. [Докладніше](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)."},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Великий власний файл JavaScript не містить карт джерела"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Великий файл JavaScript не містить карту джерела"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{
message:"{missingItems,plural, =1{Попередження: в атрибуті `.sourcesContent` немає 1 елемента}one{Попередження: в атрибуті `.sourcesContent` немає # елемента}few{Попередження: в атрибуті `.sourcesContent` немає # елементів}many{Попередження: в атрибуті `.sourcesContent` немає # елементів}other{Попередження: в атрибуті `.sourcesContent` немає # елемента}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Сторінка містить дійсні карти джерел"},"lighthouse-core/audits/viewport.js | description":{message:'Додайте тег `<meta name="viewport">`, щоб оптимізувати додаток для екранів мобільних пристроїв. [Докладніше](https://web.dev/viewport/).'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Тег `<meta name="viewport">` не знайдено'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Немає тегу `<meta name="viewport">` з атрибутами `width` або `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{
message:'Має тег `<meta name="viewport">` з атрибутами `width` або `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Ці рекомендації допоможуть покращити використання ролей ARIA у вашому додатку, що може позитивно вплинути на взаємодію для користувачів допоміжних технологій, як-от програм зчитування з екрана."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"Ці рекомендації допоможуть надати альтернативний вміст для аудіо та відео. Це може покращити взаємодію для користувачів із вадами слуху або зору."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Аудіо та відео"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Ці елементи надають поширені практичні поради щодо спеціальних можливостей."},
"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Практичні поради"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Ці перевірки визначають можливості для [покращення доступності веб-додатка](https://developers.google.com/web/fundamentals/accessibility). Радимо також проводити перевірки вручну, оскільки не всі проблеми з доступністю визначаються автоматично."},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Ці елементи опрацьовують області, які не може охопити автоматизований інструмент перевірки. Докладніше читайте в нашому посібнику з [перевірки доступності](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Спеціальні можливості"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Ці рекомендації допоможуть покращити читабельність вмісту."},
"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Контраст"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Ці рекомендації допоможуть покращити те, як користувачі тлумачать ваш вміст різними мовами."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Інтернаціоналізація та локалізація"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Ці рекомендації допоможуть удосконалити семантику елементів керування в додатку. Це може покращити взаємодію для користувачів допоміжних технологій, як-от програм зчитування з екрана."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Назви та мітки"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Ці рекомендації допоможуть покращити навігацію клавіатурою в додатку."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{
message:"Навігація"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Ці рекомендації допоможуть покращити перегляд даних у таблиці чи списку за допомогою технології для людей з обмеженими можливостями, наприклад програми зчитування з екрана."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"Таблиці та списки"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Сумісність веб-переглядача"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Практичні поради"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Загальні"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Довіра й безпека"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Взаємодія з користувачами"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Бюджети визначають стандарти ефективності вашого сайту."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Бюджети"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"Докладніше про ефективність додатка. Ці числа не [впливають безпосередньо](https://web.dev/performance-scoring/) на значення ефективності."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Діагностика"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Найважливішим аспектом ефективності є швидкість відображення пікселів на екрані. Основні показники: перше відображення вмісту, перше значне відображення"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Покращення першого відображення"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{
message:"Ці пропозиції допоможуть завантажувати сторінку швидше. Вони не [впливають безпосередньо](https://web.dev/performance-scoring/) на значення ефективності."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Можливості"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Показники"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Покращте загальну ефективність завантаження, щоб сторінка швидко реагувала й завантажувалася. Основні показники: час до повної взаємодії, індекс швидкості"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Загальні покращення"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Ефективність"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{
message:"Ці категорії підтверджують аспекти прогресивного веб-додатка. [Докладніше](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"Ці категорії обов'язкові відповідно до основного [контрольного списку для прогресивних веб-додатків](https://developers.google.com/web/progressive-web-apps/checklist), але Lighthouse не перевіряє їх автоматично. Вони не впливають на ваш показник, проте їх потрібно підтвердити вручну."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Прогресивний веб-додаток"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Можна встановити"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"Оптимізовано для прогресивного веб-додатка"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Ці перевірки визначають, чи сторінка оптимізована для позиціонування результатів пошукової системи. Lighthouse не перевіряє певні додаткові чинники, які можуть впливати на позицію веб-сайту в результатах пошуку. [Докладніше](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Щоб отримати додаткові практичні поради щодо оптимізації пошукових систем, скористайтеся додатковими засобами перевірки на своєму сайті."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"Оптим. пошук. систем"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Відформатуйте HTML так, щоб веб-сканери краще розуміли вміст вашого додатка."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Практичні поради щодо вмісту"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{
message:"Щоб ваш вміст з’являвся в результатах пошуку, веб-сканерам потрібно надати доступ до додатка."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Сканування й індексування"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Переконайтеся, що ваші сторінки адаптовані для мобільних пристроїв і користувачам не потрібно зменшувати чи збільшувати масштаб, щоб читати їх вміст. [Докладніше](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Для мобільних пристроїв"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"ЦП пристрою для тестування працює повільніше, ніж потрібно для роботи Lighthouse. Це може негативно позначитися на оцінці ефективності. Докладніше про [калібрування відповідного множника сповільнення ЦП](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},
"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Ця сторінка може не завантажуватися належним чином, оскільки тестову URL-адресу ({requested}) було переспрямовано на {final}. Спробуйте перейти безпосередньо на другу URL-адресу."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Сторінка завантажувалася занадто повільно, щоб показати всі результати в межах визначеного часу, тому вони можуть бути неповними."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{У цьому місці можуть зберігатися дані, що впливають на тривалість завантаження: {locations}. Щоб такі ресурси не впливали на ваші показники, перевірте цю сторінку у вікні в режимі анонімного перегляду.}one{У цих місцях можуть зберігатися дані, що впливають на тривалість завантаження: {locations}. Щоб такі ресурси не впливали на ваші показники, перевірте цю сторінку у вікні в режимі анонімного перегляду.}few{У цих місцях можуть зберігатися дані, що впливають на тривалість завантаження: {locations}. Щоб такі ресурси не впливали на ваші показники, перевірте цю сторінку у вікні в режимі анонімного перегляду.}many{У цих місцях можуть зберігатися дані, що впливають на тривалість завантаження: {locations}. Щоб такі ресурси не впливали на ваші показники, перевірте цю сторінку у вікні в режимі анонімного перегляду.}other{У цих місцях можуть зберігатися дані, що впливають на тривалість завантаження: {locations}. Щоб такі ресурси не впливали на ваші показники, перевірте цю сторінку у вікні в режимі анонімного перегляду.}}"
},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"Додайте схеми URL-адрес https: і http: (ігноруються веб-переглядачами, що підтримують strict-dynamic) для зворотної сумісності зі старішими веб-переглядачами."},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Директива disown-opener не підтримується, починаючи з версії CSP3. Натомість використовуйте заголовок Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Директива referrer не підтримується, починаючи з версії CSP2. Натомість використовуйте заголовок Referrer-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Директива reflected-xss не підтримується, починаючи з версії CSP2. Натомість використовуйте заголовок X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"Якщо директиви base-uri немає, за допомогою включених тегів <base> основною URL-адресою для всіх відносних URL-адрес (наприклад, скриптів) можна вказати домен, яким керує зловмисник. Рекомендуємо вибрати для директиви base-uri значення none або self."},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"Елементи, якими керує object-src, вважаються застарілими функціями. Виберіть для object-src значення none, щоб не дозволити вставляти плагіни, які виконують ненадійні скрипти."},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Немає директиви script-src. Через це можуть виконуватися ненадійні скрипти."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Можливо, ви забули додати крапку з комою? Схоже, {keyword} – це директива, а не ключове слово."},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces мають бути набором символів base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{
message:"Мінімальна довжина для nonces – 8 символів."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Призначення звітів можна налаштувати лише через директиву report-to. Вона підтримується тільки у веб-переглядачах на основі Chromium, тому радимо також скористатися директивою report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Немає CSP, що налаштовує призначення звітів. Це ускладнює підтримку CSP впродовж тривалого часу та відстеження поломок."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"Білі списки хостів часто можна обходити. Скористайтеся strict-dynamic разом із nonces або hashes для CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Невідома директива CSP."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"Схоже, {keyword} – це недійсне ключове слово."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{
message:"unsafe-inline дозволяє виконувати ненадійні вбудовані скрипти та застосовувати обробники подій. Щоб дозволити окремі скрипти, скористатися nonces або hashes для CSP."},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"Додайте команду unsafe-inline (ігнорується веб-переглядачами, що підтримують nonces/hashes) для зворотної сумісності зі старішими веб-переглядачами."},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Час блокування основного ланцюжка"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"TTL кешу"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Опис"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Тривалість"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Елемент"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"Відхилені елементи"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Місцезнаходження"},
"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Назва"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Перевищення бюджету"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Запити"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Розмір ресурсу"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Тип ресурсу"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Розмір"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Джерело"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Час початку"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Витрачений час"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Розмір передавання"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL-адреса"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Потенційне заощадження"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{
message:"Потенційне заощадження"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Можна зменшити на {wastedBytes, number, bytes} КіБ"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Знайдено 1 елемент}one{Знайдено # елемент}few{Знайдено # елементи}many{Знайдено # елементів}other{Знайдено # елемента}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Потенційне заощадження – {wastedMs, number, milliseconds} мс"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Документ"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"Перше значне відображення"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Шрифт"},
"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Зображення"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Високий"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Низький"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Середній"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Максимальна потенційна затримка відповіді на першу дію"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Медіа"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} мс"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Інше"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Інші ресурси"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{
message:"Сценарій"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} с"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Таблиця стилів"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Сторонні"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Усього"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Не вдалося записати результати трасування для завантаження вашої сторінки. Запустіть інструмент Lighthouse ще раз. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Час очікування початкового з’єднання з протоколом Debugger минув."},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{
message:"Веб-переглядач Chrome не отримав знімки екрана під час завантаження сторінки. Переконайтеся, що на сторінці є видимий вміст, а потім спробуйте перезапустити інструмент Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS-серверам не вдалось обробити вказаний домен."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"У збирачі обов'язкових ресурсів {artifactName} сталася помилка: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Сталася внутрішня помилка Chrome. Перезапустіть Chrome і спробуйте знову запустити інструмент Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Збирач обов'язкових ресурсів {artifactName} не запущено."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Ця сторінка не відобразила контент. Переконайтеся, що вікно веб-переглядача перебуває в активному режимі під час завантаження, і повторіть спробу. ({errorCode})"},
"lighthouse-core/lib/lh-error.js | notHtml":{message:"Надана сторінка не у форматі HTML (використовується як тип MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Ця версія Chrome застаріла та не підтримує функцію "{featureName}". Щоб переглянути повну версію результатів, скористайтеся новішою версією.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Інструменту Lighthouse не вдалося безпечно завантажити сторінку, яку ви вказали. Переконайтеся, що ви тестуєте правильну URL-адресу, а сервер належним чином відповідає на всі запити."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Інструменту Lighthouse не вдалося безпечно завантажити URL-адресу, яку ви вказали, оскільки сторінка перестала відповідати."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"Указана вами URL-адреса не має дійсного сертифіката безпеки. {securityMessages}"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Веб-переглядач Chrome заблокував завантаження сторінки та відобразив проміжний екран. Переконайтеся, що ви тестуєте правильну URL-адресу, а сервер належним чином відповідає на всі запити."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Інструменту Lighthouse не вдалося безпечно завантажити сторінку, яку ви вказали. Переконайтеся, що ви тестуєте правильну URL-адресу, а сервер належним чином відповідає на всі запити. (Деталі: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Інструменту Lighthouse не вдалося безпечно завантажити сторінку, яку ви вказали. Переконайтеся, що ви тестуєте правильну URL-адресу, а сервер належним чином відповідає на всі запити. (Код статусу: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{
message:"Сторінка завантажувалася задовго. Дотримуйтеся рекомендацій у звіті, щоб зменшити час завантаження сторінки, а потім спробуйте перезапустити інструмент Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"Час очікування відповіді протоколу DevTools перевищив установлений період. (Метод: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Час отримання вмісту ресурсу перевищив установлений час"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"Схоже, указана вами URL-адреса недійсна."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Усе"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Усі скрипти"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Дані про використання"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Задубльовані модулі"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{
message:"Розмір ресурсу в байтах"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Назва"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Показати або сховати таблицю"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"Невикористані байти"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Для анімованого контенту застосовуйте [`amp-anim`](https://amp.dev/documentation/components/amp-anim/), щоб зменшити використання ЦП, коли контент поза межами екрана."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Радимо показувати всі компоненти [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) у форматах WebP, указуючи відповідні резервні варіанти для інших веб-переглядачів. [Докладніше](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},
"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"Переконайтеся, що ви використовуєте [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites), щоб зображення автоматично відкладено завантажувалися. [Докладніше](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Використовуйте інструменти, наприклад [Оптимізатор сторінок AMP](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer), щоб [обробляти макети AMP на сервері](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Перегляньте [документацію AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/), щоб переконатися, що всі стилі підтримуються."},
"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"Елемент [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) підтримує атрибут [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/), щоб на основі розміру екрана указувати, які зображення використовувати. [Докладніше](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Якщо обробляються дуже великі списки, скористайтеся віртуальним прокручуванням за допомогою Component Dev Kit (CDK). [Докладніше](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{
message:"[Розділіть код на рівні маршруту](https://web.dev/route-level-code-splitting-in-angular/), щоб зменшити розмір пакетів JavaScript. Також радимо попередньо кешувати об'єкти за допомогою [синтаксису Service Worker для Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Якщо ви користуєтесь інтерфейсом командного рядка Angular, переконайтеся, що складання генеруються в режимі робочої версії. [Докладніше](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Якщо ви користуєтесь інтерфейсом командного рядка Angular, додайте карти джерел у робочу версію складання, щоб перевірити пакети. [Докладніше](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{
message:"Попередньо завантажуйте маршрути, щоб прискорити навігацію. [Докладніше](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"Можете скористатись інструментом `BreakpointObserver` у Component Dev Kit (CDK), щоб керувати точками переходу зображень. [Докладніше](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Спробуйте завантажити анімацію GIF у сервіс, де її можна вставити як відео HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Укажіть `@font-display` під час визначення власних шрифтів у темі."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Установіть і налаштуйте [модуль для використання форматів зображень WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) на своєму сайті. Такі модулі автоматично створюють версію WebP для доданих зображень, щоб оптимізувати час завантаження."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Установіть [модуль Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search), який може відкладено завантажувати зображення. Такі модулі дають змогу відкласти завантаження закадрових зображень для покращення ефективності."},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{
message:"Скористайтеся модулем, щоб вбудувати важливі таблиці CSS і фрагменти JavaScript, або завантажуйте об'єкти асинхронно через JavaScript, як-от модуль [розширеного зведення CSS/JS](https://www.drupal.org/project/advagg). Зауважте, що така оптимізація може порушити роботу сайту, тож доведеться змінити код."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"Теми, модулі та характеристики сервера впливають на час відповіді. Спробуйте знайти більш оптимізовану тему, підібрати модуль для оптимізації та/або оновити сервер. Сервери хостингу повинні використовувати кешування коду операції PHP та кешування пам'яті, щоб зменшити час запитів до баз даних, як-от Redis або Memcached, а також оптимізовану логіку додатка для швидшої підготовки сторінок."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:'Застосуйте [стилі адаптивних зображень](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8), щоб зменшити розмір зображень, що завантажуються на сторінці. Якщо для показу кількох елементів контенту на сторінці використовується опція "Перегляди", застосуйте поділ на сторінки, щоб обмежити їхню кількість на певній сторінці.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:'Переконайтеся, що функцію "Звести файли CSS" на сторінці "Керування" » "Налаштування" » "Розробка" ввімкнено. За допомогою [додаткових модулів](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) можна також налаштувати інші параметри зведення, щоб пришвидшити свій сайт, поєднуючи, зменшуючи та стискаючи стилі CSS.'},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{message:'Переконайтеся, що функцію "Звести файли JavaScript" на сторінці "Керування" » "Налаштування" » "Розробка" ввімкнено. За допомогою [додаткових модулів](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) можна також налаштувати інші параметри зведення, щоб пришвидшити свій сайт, поєднуючи, зменшуючи та стискаючи об\'єкти JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Видаліть правила CSS, що не використовуються, і додайте лише потрібні бібліотеки Drupal на відповідну сторінку чи в компонент сторінки. Щоб дізнатися більше, перегляньте [документацію Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) за цим посиланням. Щоб визначити долучені бібліотеки, які додають зайві таблиці CSS, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Ви можете визначити тему чи модуль через URL-адресу таблиці стилів, коли зведення CSS вимкнено на вашому сайті Drupal. У покритті коду знайдіть теми чи модулі з багатьма таблицями стилів за великим обсягом червоного тексту. Тема чи модуль мають ставити таблицю стилів у чергу, лише коли вона дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Видаліть об'єкти JavaScript, що не використовуються, і додавайте лише потрібні бібліотеки Drupal на відповідну сторінку чи в компонент сторінки. Щоб дізнатися більше, перегляньте [документацію Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) за цим посиланням. Щоб визначити вкладені бібліотеки, які додають зайві фрагменти JavaScript, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Ви можете визначити тему чи модуль через URL-адресу скрипту, коли зведення JavaScript вимкнено на вашому сайті Drupal. У покритті коду знайдіть теми чи модулі з багатьма скриптами за великим обсягом червоного тексту. Тема чи модуль мають ставити скрипт у чергу, лише коли він дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{
message:'Укажіть "Максимальний час зберігання кешу веб-переглядача та проксі-сервера" на сторінці "Керування" » "Налаштування" » "Розробка". Докладніше про [кеш Drupal і оптимізацію для підвищення ефективності](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Скористайтеся [модулем](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search), який автоматично оптимізує та зменшує розмір зображень, завантажених через сайт, але зберігає їх якість. Також переконайтеся, що використовуються оригінальні [стилі адаптивних зображень](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) від Drupal (доступні в Drupal 8 і новіших версій) для всіх зображень, що обробляються на сайті."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Попередньо підключені або завантажені через dns корективи ресурсів можна додати, установивши та налаштувавши [модуль](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search), який надає можливості для коректив ресурсів агента користувача."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Переконайтеся, що використовуються оригінальні [стилі адаптивних зображень](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) від Drupal (доступні в Drupal 8 і новіших версій). Використовуйте стилі адаптивних зображень під час обробки полів зображення в режимах перегляду, переглядах або зображеннях, завантажених через редактор WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Спробуйте завантажити анімацію GIF у сервіс, де її можна вставити як відео HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Скористайтеся [плагіном](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) або сервісом, який автоматично конвертує завантажені зображення в оптимальні формати."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Щоб відкладати завантаження закадрових зображень, установіть [плагін lazy-load для Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) або виберіть відповідний шаблон. Починаючи з версії Joomla 4.0, усі нові зображення [автоматично](https://github.com/joomla/joomla-cms/pull/30748) отримуватимуть атрибут `loading`."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Існує багато плагінів Joomla, які можуть допомогти [вбудувати важливі об'єкти](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) або [відкласти менш важливі ресурси](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Зауважте, що така оптимізація може порушити функції шаблонів або плагінів, тож вам потрібно ретельно протестувати їх."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Шаблони, розширення та характеристики сервера впливають на час відповіді. Спробуйте знайти більш оптимізований шаблон, підібрати розширення для оптимізації та/або оновити сервер."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:'Спробуйте показувати витяги в категоріях статей (через посилання "Докладніше"), зменшити кількість показаних статей на сторінці, розділити довгі дописи на кілька сторінок або скористатися плагіном, щоб відкласти завантаження коментарів.'},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Багато [розширень Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) можуть пришвидшити ваш сайт, поєднуючи, зменшуючи та стискаючи стилі. Існують також шаблони з такими функціями."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Багато [розширень Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) можуть пришвидшити ваш сайт, поєднуючи, зменшуючи та стискаючи скрипти. Існують також шаблони з такими функціями."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{
message:"Спробуйте зменшити кількість [розширень Joomla](https://extensions.joomla.org/), що завантажують на сторінці непотрібні таблиці CSS. Щоб визначити розширення, які додають зайві таблиці CSS, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Ви можете визначити тему чи плагін через URL-адресу таблиці стилів. У покритті коду знайдіть плагіни з багатьма таблицями стилів за великим обсягом червоного тексту. Плагін має ставити таблицю стилів у чергу, лише коли вона дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Спробуйте зменшити кількість [розширень Joomla](https://extensions.joomla.org/), що завантажують на сторінці непотрібні фрагменти JavaScript. Щоб визначити плагіни, які додають зайвий код JavaScript, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Розширення можна визначити через URL-адресу скрипту. У покритті коду знайдіть розширення з багатьма скриптами за великим обсягом червоного тексту. Розширення має ставити скрипт у чергу, лише коли він дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Дізнайтеся про [кешування веб-переглядача в Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Спробуйте [плагін для оптимізації зображень](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance), який стискає зображення, але зберігає їх якість."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Скористайтеся [плагіном для адаптивних зображень](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images), щоб застосовувати такі зображення у своєму контенті."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Ви можете активувати стиснення тексту, увімкнувши стиснення сторінок Gzip у Joomla (Система > Загальні налаштування > Сервер)."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Якщо ви не створюєте пакет об'єктів JavaScript, можете скористатись [інструментом пакування](https://github.com/magento/baler)."},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"Вимкніть вбудовану функцію [створення пакетів JavaScript і мініфікації](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) в Magento й натомість скористайтесь [інструментом пакування](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Укажіть `@font-display` під час [визначення власних шрифтів](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"На [торговельному майданчику Magento](https://marketplace.magento.com/catalogsearch/result/?q=webp) можна знайти різні сторонні розширення, щоб використовувати новіші формати зображень."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Можете змінити шаблони свого продукту й каталогу, щоб скористатися функцією веб-платформи для [відкладеного завантаження](https://web.dev/native-lazy-loading)."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Скористайтесь [інтеграцією Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) від Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Увімкніть опцію "Зменшувати файли CSS" у налаштуваннях розробника в магазині. [Докладніше](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Скористайтеся плагіном [Terser](https://www.npmjs.com/package/terser), щоб зменшити всі об'єкти JavaScript у розгортанні статичного контенту й вимкнути вбудовану функцію мініфікації."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Вимкніть вбудовану функцію [створення пакетів JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) у Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Можете пошукати на [торговельному майданчику Magento](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) різні сторонні розширення для оптимізації зображень."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Щоб додати підказки preconnect і dns-prefetch, [змініть макет теми](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Теги `<link rel=preload>` можна додати, лише [змінивши макет теми](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Замініть анімації GIF на відео](https://web.dev/replace-gifs-with-videos/) для швидшого завантаження веб-сторінок і скористайтеся сучасними форматами файлів, як-от [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) або [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder), для підвищення ефективності стиснення більш як на 30% порівняно із сучасним відеокодеком VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Скористайтеся [плагіном](https://octobercms.com/plugins?search=image) або сервісом, який автоматично конвертує завантажені зображення в оптимальні формати. [Зображення WebP без утрат](https://developers.google.com/speed/webp) на 26% менші за файли PNG та на 25–34% менші за аналогічні зображення JPEG за еквівалентного індексу якості SSIM. Ще одна сучасна альтернатива – формат [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Щоб відкладати завантаження закадрових зображень, установіть [плагін](https://octobercms.com/plugins?search=lazy) або виберіть відповідну тему. Також можете скористатися [плагіном AMP](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{
message:"Існує багато плагінів, які допомагають [вбудувати важливі об'єкти](https://octobercms.com/plugins?search=css). Вони можуть порушувати роботу інших плагінів, тож вам потрібно ретельно протестувати їх."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Теми, плагіни й характеристики сервера впливають на час відповіді. Спробуйте знайти більш оптимізовану тему, підібрати плагін для оптимізації та/або оновити сервер. October CMS також дає розробникам змогу використовувати [`Queues`](https://octobercms.com/docs/services/queues), щоб відкласти обробку тривалого завдання (як-от надсилання електронного листа). Це значно пришвидшує виконання веб-запитів."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:'Спробуйте замість повного тексту показувати в списках публікацій витяги (наприклад, з кнопкою "`show more`"), зменшити кількість публікацій на одну веб-сторінку, розділяти довгі дописи на кілька сторінок або застосувати плагін для відкладеного завантаження коментарів.'},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Існує багато [плагінів](https://octobercms.com/plugins?search=css), які можуть пришвидшити роботу веб-сайту, поєднуючи, зменшуючи та стискаючи стилі. Також можна пришвидшити розробку, скориставшись процесом складання, щоб заздалегідь зменшити розмір."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"Існує багато [плагінів](https://octobercms.com/plugins?search=javascript), які можуть пришвидшити роботу веб-сайту, поєднуючи, зменшуючи та стискаючи скрипти. Також можна пришвидшити розробку, скориставшись процесом складання, щоб заздалегідь зменшити розмір."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"Радимо знайти [плагіни](https://octobercms.com/plugins), які завантажують на веб-сайті непотрібні таблиці CSS. Щоб визначити їх, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Інструментах розробника Chrome. Проблемні теми чи плагіни можна ідентифікувати за URL-адресою таблиці стилів. На проблему вказує довжина червоної смуги на діаграмі покриття коду. Що довша червона смуга, то більше зайвих таблиць стилів додає плагін. Плагін має додавати таблицю стилів, лише коли вона дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Радимо знайти [плагіни](https://octobercms.com/plugins?search=javascript), що завантажують на веб-сторінці непотрібні фрагменти JavaScript. Щоб визначити їх, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Інструментах розробника Chrome. Проблемні теми й плагіни можна ідентифікувати за URL-адресами скриптів. На проблему вказує довжина червоної смуги на діаграмі покриття коду. Що довша червона смуга, то більше зайвих скриптів додає плагін. Плагін має додавати скрипт, лише коли він дійсно використовується на веб-сторінці."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Дізнайтеся, як [кеш HTTP допомагає уникнути непотрібних запитів мережі](https://web.dev/http-cache/#caching-checklist). Існує багато [плагінів](https://octobercms.com/plugins?search=Caching), які прискорюють кешування."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{
message:"Спробуйте [плагін для оптимізації зображень](https://octobercms.com/plugins?search=image), щоб стискати зображення, не втрачаючи якість."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Завантажуйте зображення через менеджер медіафайлів, щоб переконатися, що вони доступні в потрібному розмірі. Скористайтеся [фільтром](https://octobercms.com/docs/markup/filter-resize) або [плагіном для зміни розміру](https://octobercms.com/plugins?search=image), щоб оптимізувати розміри зображень."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Увімкніть стиснення тексту в конфігурації веб-сервера."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"Якщо на сторінці відрисовується багато повторюваних елементів, радимо скористатися бібліотекою для віконізації, як-от `react-window`, щоб створювати менше вузлів DOM. [Докладніше.](https://web.dev/virtualize-long-lists-react-window/) Крім того, скоротіть повторні відрисовки за допомогою [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) або [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) й [пропускайте ефекти](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects), доки не зміняться певні залежності, якщо для покращення швидкодії застосовується хук `Effect`."},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Якщо ви користуєтеся React Router, зменште використання компонента `<Redirect>` для [навігації за маршрутом](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Якщо ви обробляєте компоненти React на сервері, можете застосувати `renderToNodeStream()` або `renderToStaticNodeStream()`, щоб дозволити клієнту отримувати та вмикати не всю розмітку відразу, а її різні частини. [Докладніше](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Якщо ваша система складання автоматично зменшує файли CSS, переконайтеся, що ви вводите в дію робочу версію додатка. Це можна перевірити за допомогою розширення Інструменти розробника React. [Докладніше](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Якщо ваша система складання автоматично зменшує файли JS, переконайтеся, що ви вводите в дію робочу версію додатка. Це можна перевірити за допомогою розширення Інструменти розробника React. [Докладніше](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Якщо у вас не відбувається обробка на сервері, [розділіть пакети JavaScript](https://web.dev/code-splitting-suspense/) за допомогою `React.lazy()`. Або розділіть код за допомогою сторонньої бібліотеки, як-от [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Скористайтеся профілювальником React DevTools, який застосовує Profiler API, щоб визначити ефективність обробки ваших компонентів. [Докладніше.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Спробуйте завантажити анімацію GIF у сервіс, де її можна вставити як відео HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Скористайтеся [плагіном](https://wordpress.org/plugins/search/convert+webp/) або сервісом, який автоматично конвертує завантажені зображення в оптимальні формати."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Установіть [плагін lazy-load від WordPress](https://wordpress.org/plugins/search/lazy+load/), який дає змогу відкласти завантаження закадрових зображень, або виберіть тему, що дозволяє це зробити. Також можете скористатися [плагіном AMP](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Існує багато плагінів WordPress, які можуть допомогти [вбудувати важливі об'єкти](https://wordpress.org/plugins/search/critical+css/) або [відкласти менш важливі ресурси](https://wordpress.org/plugins/search/defer+css+javascript/). Зауважте, що така оптимізація може порушити функції теми або плагінів, тож доведеться змінити код."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"Теми, плагіни й характеристики сервера впливають на час відповіді. Спробуйте знайти більш оптимізовану тему, підібрати плагін для оптимізації та/або оновити сервер."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:'Спробуйте показувати витяги в списках дописів (через тег "більше"), зменшити кількість показаних публікацій на сторінці, розділити довгі дописи на кілька сторінок або скористатися плагіном, щоб відкласти завантаження коментарів.'},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Багато [плагінів WordPress](https://wordpress.org/plugins/search/minify+css/) можуть пришвидшити ваш сайт: вони об'єднують, зменшують і стискають стилі. Також можна скористатися процесом складання, щоб завчасно зменшити розмір, якщо це можливо."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"Багато [плагінів WordPress](https://wordpress.org/plugins/search/minify+javascript/) можуть пришвидшити ваш сайт: вони об'єднують, зменшують і стискають сценарії. Також можна скористатися процесом складання, щоб завчасно зменшити розмір, якщо це можливо."},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"Спробуйте зменшити кількість [плагінів WordPress](https://wordpress.org/plugins/), що завантажують на сторінці непотрібні таблиці стилів CSS. Щоб визначити плагіни, які додають зайві таблиці CSS, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Ви можете визначити тему чи плагін через URL-адресу таблиці стилів. У покритті коду знайдіть плагіни з багатьма таблицями стилів за великим обсягом червоного тексту. Плагін має ставити таблицю стилів у чергу, лише коли вона дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Спробуйте зменшити кількість [плагінів WordPress](https://wordpress.org/plugins/), що завантажують на сторінці непотрібні фрагменти JavaScript. Щоб визначити плагіни, які додають зайвий код JavaScript, перевірте [покриття коду](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) в Chrome DevTools. Ви можете визначити тему чи плагін через URL-адресу сценарію. У покритті коду знайдіть плагіни з багатьма сценаріями за великим обсягом червоного тексту. Плагін має ставити сценарій у чергу, лише коли він дійсно використовується на сторінці."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Дізнайтеся про [кешування веб-переглядача у WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Спробуйте [плагін WordPress для оптимізації зображень](https://wordpress.org/plugins/search/optimize+images/), який стискає зображення, але зберігає їх якість."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Завантажуйте зображення через [бібліотеку медіафайлів](https://wordpress.org/support/article/media-library-screen/), щоб переконатися, що вони доступні в потрібному розмірі. Потім вставляйте їх в оптимальному розмірі з бібліотеки або через віджет для зображень (зокрема для адаптивних точок переходу). Використовуйте зображення, що мають `Full Size`, лише якщо вони повністю поміщаються. [Докладніше](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"Ви можете ввімкнути стиснення тексту в конфігурації веб-сервера."},"report/renderer/util.js | calculatorLink":{message:"Показати калькулятор."},
"report/renderer/util.js | crcInitialNavigation":{message:"Початкова навігація"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Максимальна критична затримка шляху:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Копіювати JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Увімкнути або вимкнути темну тему"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Розгорнути вікно друку"},"report/renderer/util.js | dropdownPrintSummary":{message:"Друкувати підсумок"},"report/renderer/util.js | dropdownSaveGist":{message:"Зберегти як Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Зберегти як HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Зберегти як JSON"},"report/renderer/util.js | dropdownViewer":{message:"Відкрити в засобі перегляду"},"report/renderer/util.js | errorLabel":{message:"Помилка."},"report/renderer/util.js | errorMissingAuditInfo":{message:"Повідомлення про помилку: немає інформації про перевірку"},
"report/renderer/util.js | footerIssue":{message:"Повідомити про проблему"},"report/renderer/util.js | labDataTitle":{message:"Дані тестів"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Аналіз [Lighthouse](https://developers.google.com/web/tools/lighthouse/) поточної сторінки в емульованій мобільній мережі. Значення приблизні й можуть відрізнятися."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Додаткові елементи, які потрібно перевірити вручну"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Не застосовуються"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Можливість"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Приблизне заощадження"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"Виконані перевірки"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Емульований комп'ютер"},"report/renderer/util.js | runtimeMobileEmulation":{
message:"Емульований пристрій Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Без емуляції"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Версія Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Споживання ЦП/пам'яті"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Обмеження пропускної спроможності ЦП"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Канал"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Пристрій"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Час отримання"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Зменшення пропускної спроможності мережі"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Налаштування часу виконання"},"report/renderer/util.js | runtimeSettingsUA":{message:"Агент користувача (хост)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Агент користувача (мережа)"},
"report/renderer/util.js | runtimeSettingsUrl":{message:"URL-адреса"},"report/renderer/util.js | runtimeUnknown":{message:"Невідомо"},"report/renderer/util.js | showRelevantAudits":{message:"Показано аудити, релевантні для:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Згорнути фрагмент"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Розгорнути фрагмент"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Показати сторонні ресурси"},"report/renderer/util.js | throttlingProvided":{message:"Надано середовищем"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Під час запуску Lighthouse виникли перелічені нижче проблеми."},"report/renderer/util.js | varianceDisclaimer":{message:"Значення приблизні й можуть відрізнятися. [Значення ефективності визначено](https://web.dev/performance-scoring/) на основі цих показників."},"report/renderer/util.js | viewTreemapLabel":{message:"Переглянути веб-додаток Treemap"},
"report/renderer/util.js | warningAuditsGroupTitle":{message:'Перевірки зі статусом "Пройдено", що містять застереження'},"report/renderer/util.js | warningHeader":{message:"Застереження. "}}},{}],143:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"Các phím truy cập cho phép người dùng chuyển nhanh đến một phần của trang. Để di chuyển đúng cách, mỗi phím truy cập phải là duy nhất. [Tìm hiểu thêm](https://web.dev/accesskeys/)."},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"Các giá trị của `[accesskey]` không phải là duy nhất"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"Các giá trị của `[accesskey]` là duy nhất"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{
message:"Mỗi `role` của Ứng dụng Internet phong phú dễ dùng (ARIA) hỗ trợ một tập hợp con cụ thể các thuộc tính `aria-*`. Nếu không trùng khớp, các thuộc tính `aria-*` sẽ bị vô hiệu. [Tìm hiểu thêm](https://web.dev/aria-allowed-attr/)."},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"Các thuộc tính `[aria-*]` không khớp với vai trò tương ứng"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"Các thuộc tính `[aria-*]` khớp với vai trò tương ứng"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"Khi một phần tử không có tên dễ đọc, trình đọc màn hình sẽ gọi phần tử đó bằng một tên gọi chung, khiến người dùng trình đọc màn hình không sử dụng được phần tử này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"Các phần tử `button`, `link` và `menuitem` không có tên dễ đọc."},
"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"Các phần tử `button`, `link` và `menuitem` có tên dễ đọc"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'Các công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình, sẽ hoạt động không nhất quán khi đặt `aria-hidden="true"` trên tài liệu `<body>`. [Tìm hiểu thêm](https://web.dev/aria-hidden-body/).'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'Hiện có `[aria-hidden="true"]` trên tài liệu `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'Hiện không có `[aria-hidden="true"]` trên tài liệu `<body>`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{
message:'Các phần tử theo thứ tự giảm dần có thể lấy tiêu điểm bên trong một phần tử `[aria-hidden="true"]` sẽ giúp ngăn người dùng công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình, tiếp cận với các phần tử tương tác đó. [Tìm hiểu thêm](https://web.dev/aria-hidden-focus/).'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'Các phần tử `[aria-hidden="true"]` có chứa các phần tử theo thứ tự giảm dần có thể lấy tiêu điểm'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'Các phần tử `[aria-hidden="true"]` không chứa các phần tử theo thứ tự giảm dần có thể lấy tiêu điểm'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"Khi tên của một trường nhập ở trạng thái không thể tiếp cận, thì trình đọc màn hình sẽ gọi trường đó bằng tên gọi chung, khiến người dùng trình đọc màn hình không dùng được trường này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"Tên các trường nhập của ARIA ở trạng thái không thể tiếp cận"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"Tên các trường nhập của ARIA ở trạng thái có thể tiếp cận"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"Khi một phần tử không có tên dễ đọc, trình đọc màn hình sẽ gọi phần tử đó bằng một tên gọi chung, khiến người dùng trình đọc màn hình không sử dụng được phần tử này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"Các phần tử `meter` của ARIA không có tên dễ đọc."},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"Các phần tử `meter` của ARIA có tên dễ đọc"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{
message:"Khi một phần tử `progressbar` không có tên thành phần hỗ trợ tiếp cận, trình đọc màn hình sẽ gọi phần tử đó bằng một tên gọi chung, dẫn đến việc người dùng trình đọc màn hình không sử dụng được phần tử này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"Các phần tử `progressbar` của ARIA không có tên dễ đọc."},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"Các phần tử `progressbar` của ARIA có tên dễ đọc"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"Một số vai trò ARIA có các thuộc tính bắt buộc mô tả trạng thái của phần tử cho trình đọc màn hình. [Tìm hiểu thêm](https://web.dev/aria-required-attr/)."},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` không có tất cả các thuộc tính `[aria-*]` bắt buộc"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` có tất cả các thuộc tính `[aria-*]` bắt buộc"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"Một số vai trò mẹ của Ứng dụng Internet phong phú dễ dùng (ARIA) phải chứa vai trò con cụ thể để thực hiện các chức năng hỗ trợ tiếp cận chủ định tương ứng. [Tìm hiểu thêm](https://web.dev/aria-required-children/)."},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"Các phần tử có `[role]` ARIA yêu cầu phần tử con phải chứa một `[role]` cụ thể hiện đang thiếu một số hoặc tất cả các phần tử con bắt buộc đó."},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"Các phần tử có `[role]` ARIA yêu cầu phần tử con phải chứa một `[role]` cụ thể có tất cả các phần tử con bắt buộc."},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{
message:"Các vai trò mẹ cụ thể phải chứa một số vai trò con của Ứng dụng Internet phong phú dễ dùng (ARIA) để thực hiện đúng cách các chức năng hỗ trợ tiếp cận chủ định tương ứng. [Tìm hiểu thêm](https://web.dev/aria-required-parent/)."},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` không có trong phần tử mẹ bắt buộc tương ứng"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` có trong phần tử mẹ bắt buộc tương ứng"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"Các vai trò của Ứng dụng Internet phong phú dễ dùng (ARIA) phải có giá trị hợp lệ để thực hiện những chức năng hỗ trợ tiếp cận chủ định tương ứng. [Tìm hiểu thêm](https://web.dev/aria-roles/)."},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"Các giá trị của `[role]` là không hợp lệ"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{
message:"Các giá trị của `[role]` là hợp lệ"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"Khi tên của một trường chuyển đổi ở trạng thái không thể tiếp cận, thì trình đọc màn hình sẽ gọi trường đó bằng tên gọi chung, khiến người dùng trình đọc màn hình không dùng được trường này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"Tên các trường chuyển đổi của ARIA ở trạng thái không thể tiếp cận"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"Tên các trường chuyển đổi của ARIA ở trạng thái có thể tiếp cận"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"Khi một phần tử không có tên dễ đọc, trình đọc màn hình sẽ gọi phần tử đó bằng một tên gọi chung, khiến người dùng trình đọc màn hình không sử dụng được phần tử này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"Các phần tử `tooltip` của ARIA không có tên dễ đọc."},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"Các phần tử `tooltip` của ARIA có tên dễ đọc"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"Khi một phần tử không có tên dễ đọc, trình đọc màn hình sẽ gọi phần tử đó bằng một tên gọi chung, khiến người dùng trình đọc màn hình không sử dụng được phần tử này. [Tìm hiểu thêm](https://web.dev/aria-name/)."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"Các phần tử `treeitem` của ARIA không có tên dễ đọc."},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"Các phần tử `treeitem` của ARIA có tên dễ đọc"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{
message:"Các công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình, không thể diễn giải thuộc tính của Ứng dụng Internet phong phú dễ dùng (ARIA) có giá trị không hợp lệ. [Tìm hiểu thêm](https://web.dev/aria-valid-attr-value/)."},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"Giá trị của các thuộc tính `[aria-*]` là không hợp lệ"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"Các thuộc tính `[aria-*]` có giá trị hợp lệ"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"Các công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình, không thể diễn giải các thuộc tính của Ứng dụng Internet phong phú dễ dùng (ARIA) có tên không hợp lệ. [Tìm hiểu thêm](https://web.dev/aria-valid-attr/)."},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"Các thuộc tính `[aria-*]` là không hợp lệ hoặc bị sai chính tả"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"Các thuộc tính `[aria-*]` là hợp lệ và không bị sai chính tả"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"Các phần tử không đạt"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:'Khi một nút không có tên có thể tiếp cận, trình đọc màn hình sẽ thông báo đó là "nút", khiến người dùng trình đọc màn hình không sử dụng được nút này. [Tìm hiểu thêm](https://web.dev/button-name/).'},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"Các nút không có tên có thể tiếp cận được"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"Các nút có tên tiếp cận được"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"Bằng việc thêm các cách bỏ qua nội dung lặp lại, người dùng bàn phím có thể khám phá trang một cách hiệu quả hơn. [Tìm hiểu thêm](https://web.dev/bypass/)."},
"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"Trang này không chứa tiêu đề, đường liên kết bỏ qua hoặc vùng mốc"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"Trang này chứa tiêu đề, phần tử liên kết bỏ qua hoặc vùng mốc"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"Nhiều người dùng gặp khó khăn khi đọc hoặc không thể đọc được văn bản có độ tương phản thấp. [Tìm hiểu thêm](https://web.dev/color-contrast/)."},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"Màu nền trước và nền sau không có đủ tỷ lệ tương phản."},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"Màu nền trước và nền sau có đủ tỷ lệ tương phản"},"lighthouse-core/audits/accessibility/definition-list.js | description":{
message:"Khi danh sách định nghĩa không được đánh dấu đúng cách, thì trình đọc màn hình có thể tạo ra thông báo gây nhầm lẫn hoặc không chính xác. [Tìm hiểu thêm](https://web.dev/definition-list/)."},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` không chỉ chứa các nhóm `<dt>` và `<dd>` được sắp xếp đúng cách, các phần tử `<script>`, `<template>` hoặc `<div>`."},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` chỉ chứa các nhóm `<dt>` và `<dd>` được sắp xếp đúng cách, các phần tử `<script>`, `<template>` hoặc `<div>`."},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"Các mục trong danh sách định nghĩa (`<dt>` và `<dd>`) phải được đưa vào một phần tử `<dl>` mẹ để đảm bảo rằng trình đọc màn hình có thể thông báo đúng cách các mục này. [Tìm hiểu thêm](https://web.dev/dlitem/)."},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"Các phần tử `<dl>` không bao gồm những mục trong danh sách định nghĩa"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"Các phần tử `<dl>` chứa mục trong danh sách định nghĩa"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"Tiêu đề giúp người dùng trình đọc màn hình nắm được thông tin tổng quan về trang, và giúp người dùng công cụ tìm kiếm chủ yếu dựa vào tiêu đề này xác định xem một trang có liên quan đến nội dung tìm kiếm của họ hay không. [Tìm hiểu thêm](https://web.dev/document-title/)."},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"Tài liệu không có phần tử `<title>`"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"Tài liệu có phần tử `<title>`"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{
message:"Để có thể hiển thị với các công nghệ hỗ trợ, `id` của các phần tử có thể lấy tiêu điểm không được trùng nhau. [Tìm hiểu thêm](https://web.dev/duplicate-id-active/)."},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"Các thuộc tính `[id]` trên những phần tử có thể lấy tiêu điểm đang hoạt động bị trùng nhau"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"Các thuộc tính `[id]` trên những phần tử có thể lấy tiêu điểm đang hoạt động là duy nhất"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"Để các công nghệ hỗ trợ không bỏ qua các phiên bản khác, giá trị mã nhận dạng của ARIA không được trùng nhau. [Tìm hiểu thêm](https://web.dev/duplicate-id-aria/)."},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"Mã nhận dạng của ARIA bị trùng lặp"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{
message:"Mã nhận dạng của Ứng dụng Internet phong phú dễ dùng (ARIA) là duy nhất"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"Các công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình, sử dụng nhãn đầu tiên, nhãn cuối cùng hoặc tất cả các nhãn có thể thông báo nhầm các trường biểu mẫu có nhiều nhãn. [Tìm hiểu thêm](https://web.dev/form-field-multiple-labels/)."},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"Các trường biểu mẫu có nhiều nhãn"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"Không có trường biểu mẫu nào có nhiều nhãn"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"Người dùng trình đọc màn hình dựa vào tiêu đề khung để mô tả nội dung của khung. [Tìm hiểu thêm](https://web.dev/frame-title/)."},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{
message:"Phần tử `<frame>` hoặc `<iframe>` không có tiêu đề"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"Các phần tử `<frame>` hoặc `<iframe>` có tiêu đề"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"Nhờ cách thức sắp xếp tiêu đề sao cho không bỏ qua các cấp độ thể hiện cấu trúc ngữ nghĩa của trang, người dùng dễ dàng hiểu được nội dung và thực hiện thao tác bằng công nghệ hỗ trợ hơn. [Tìm hiểu thêm](https://web.dev/heading-order/)."},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"Các phần tử tiêu đề không tuân theo trình tự giảm dần"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"Các phần tử tiêu đề xuất hiện theo trình tự giảm dần"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{
message:"Nếu một trang chưa chỉ định thuộc tính ngôn ngữ, thì trình đọc màn hình sẽ xem như trang đó đang hiển thị bằng ngôn ngữ mặc định mà người dùng chọn khi thiết lập trình đọc màn hình. Nếu trên thực tế, trang đó không hiển thị bằng ngôn ngữ mặc định, tức là trình đọc màn hình có thể thông báo sai về văn bản của trang đó. [Tìm hiểu thêm](https://web.dev/html-has-lang/)."},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"Phần tử `<html>` chưa có thuộc tính `[lang]`"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"Phần tử `<html>` có thuộc tính `[lang]`"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"Việc chỉ định [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) hợp lệ sẽ giúp trình đọc màn hình thông báo văn bản đúng cách. [Tìm hiểu thêm](https://web.dev/html-lang-valid/)."},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"Thuộc tính `[lang]` của phần tử `<html>` không có giá trị hợp lệ."},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"Thuộc tính `[lang]` của phần tử `<html>` có giá trị hợp lệ"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"Các phần tử thông tin nên là đoạn văn bản thay thế ngắn, có tính mô tả. Có thể bỏ qua phần tử trang trí bằng một thuộc tính alt trống. [Tìm hiểu thêm](https://web.dev/image-alt/)."},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"Phần tử hình ảnh không có thuộc tính `[alt]`"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"Các phần tử hình ảnh có thuộc tính `[alt]`"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"Khi dùng một hình ảnh làm nút `<input>`, thì việc cung cấp văn bản thay thế có thể giúp người dùng trình đọc màn hình hiểu rõ mục đích của nút đó. [Tìm hiểu thêm](https://web.dev/input-image-alt/)."},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'Các phần tử `<input type="image">` không có văn bản `[alt]`'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'Các phần tử `<input type="image">` có văn bản `[alt]`'},"lighthouse-core/audits/accessibility/label.js | description":{message:"Các nhãn đảm bảo rằng những công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình, thông báo các biện pháp kiểm soát biểu mẫu đúng cách. [Tìm hiểu thêm](https://web.dev/label/)."},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"Các phần tử biểu mẫu không có nhãn liên kết"},"lighthouse-core/audits/accessibility/label.js | title":{message:"Các phần tử biểu mẫu có nhãn liên quan"},
"lighthouse-core/audits/accessibility/link-name.js | description":{message:"Văn bản liên kết (và văn bản thay thế cho hình ảnh, khi dùng làm đường liên kết) có thể thấy rõ, duy nhất và có thể lấy tiêu điểm sẽ cải thiện trải nghiệm khám phá cho người dùng trình đọc màn hình. [Tìm hiểu thêm](https://web.dev/link-name/)."},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"Các phần tử liên kết không có tên có thể nhận rõ"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"Các phần tử liên kết có tên có thể nhận rõ"},"lighthouse-core/audits/accessibility/list.js | description":{message:"Các trình đọc màn hình có cách riêng để thông báo về danh sách. Khi danh sách có cấu trúc phù hợp, trình đọc màn hình sẽ thông báo về danh sách chính xác hơn. [Tìm hiểu thêm](https://web.dev/list/)."},"lighthouse-core/audits/accessibility/list.js | failureTitle":{
message:"Danh sách không chỉ chứa các phần tử `<li>` và phần tử hỗ trợ tập lệnh (`<script>` và `<template>`)."},"lighthouse-core/audits/accessibility/list.js | title":{message:"Danh sách chỉ chứa các phần tử `<li>` và phần tử hỗ trợ tập lệnh (`<script>` và `<template>`)."},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"Trình đọc màn hình yêu cầu các mục danh sách (`<li>`) phải có trong một `<ul>` hoặc `<ol>` mẹ để được thông báo đúng cách. [Tìm hiểu thêm](https://web.dev/listitem/)."},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"Các mục trong danh sách (`<li>`) không có trong phần tử `<ul>` hoặc `<ol>` mẹ."},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"Các mục trong danh sách (`<li>`) có trong phần tử mẹ `<ul>` hoặc `<ol>`"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{
message:"Người dùng không muốn trang tự động làm mới. Khi trang tự động làm mới, tiêu điểm sẽ quay về đầu trang. Người dùng có thể cảm thấy khó chịu hoặc bị nhầm lẫn nếu gặp trường hợp này. [Tìm hiểu thêm](https://web.dev/meta-refresh/)."},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'Tài liệu này sử dụng `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'Tài liệu này không dùng `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"Việc tắt tính năng thu phóng sẽ gây trở ngại cho những người dùng có thị lực kém bị lệ thuộc vào chức năng phóng to màn hình để thấy rõ nội dung trang web. [Tìm hiểu thêm](https://web.dev/meta-viewport/)."},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`[user-scalable="no"]` được dùng trong phần tử `<meta name="viewport">` hoặc thuộc tính `[maximum-scale]` nhỏ hơn 5.'},
"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` không được sử dụng trong phần tử `<meta name="viewport">` và thuộc tính `[maximum-scale]` không nhỏ hơn 5.'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"Trình đọc màn hình không thể dịch nội dung không ở dạng văn bản. Khi bạn thêm văn bản thay thế vào các phần tử `<object>`, trình đọc màn hình sẽ truyền đạt được ý nghĩa cho người dùng. [Tìm hiểu thêm](https://web.dev/object-alt/)."},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"Các phần tử `<object>` không có văn bản `[alt]`"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"Các phần tử `<object>` có văn bản `[alt]`"},"lighthouse-core/audits/accessibility/tabindex.js | description":{
message:"Giá trị lớn hơn 0 ngụ ý thứ tự di chuyển rõ ràng. Mặc dù hợp lệ về mặt kỹ thuật nhưng điều này thường tạo ra trải nghiệm khó chịu cho những người dùng bị lệ thuộc vào công nghệ hỗ trợ. [Tìm hiểu thêm](https://web.dev/tabindex/)."},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"Một số phần tử có giá trị `[tabindex]` lớn hơn 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"Không phần tử nào có giá trị `[tabindex]` lớn hơn 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"Trình đọc màn hình có các tính năng giúp người dùng dễ sử dụng bảng hơn. Việc đảm bảo các ô `<td>` sử dụng thuộc tính `[headers]` chỉ tham chiếu các ô khác trong cùng bảng có thể cải thiện trải nghiệm của người dùng trình đọc màn hình. [Tìm hiểu thêm](https://web.dev/td-headers-attr/)."},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{
message:"Các ô trong phần tử `<table>` sử dụng thuộc tính `[headers]` tham chiếu đến một phần tử `id` không tìm thấy trong cùng một bảng."},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"Các ô trong phần tử `<table>` sử dụng thuộc tính `[headers]` tham chiếu đến các ô trong cùng một bảng."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"Trình đọc màn hình có các tính năng giúp người dùng dễ sử dụng bảng hơn. Việc đảm bảo tiêu đề bảng luôn tham chiếu đến một nhóm ô nào đó có thể cải thiện trải nghiệm của người dùng trình đọc màn hình. [Tìm hiểu thêm](https://web.dev/th-has-data-cells/)."},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'Các phần tử `<th>` và phần tử có `[role="columnheader"/"rowheader"]` không chứa các ô dữ liệu mà các phần tử đó mô tả.'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{
message:'Các phần tử `<th>` và phần tử có `[role="columnheader"/"rowheader"]` chứa các ô dữ liệu mà các phần tử này mô tả.'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"Việc chỉ định một [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) hợp lệ cho các phần tử sẽ giúp trình đọc màn hình phát âm văn bản chính xác. [Tìm hiểu thêm](https://web.dev/valid-lang/)."},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"Các thuộc tính `[lang]` không có giá trị hợp lệ"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"Các thuộc tính `[lang]` có giá trị hợp lệ"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"Video có phụ đề có thể giúp người dùng bị khiếm thính và nặng tai dễ dàng tiếp cận nội dung video hơn. [Tìm hiểu thêm](https://web.dev/video-caption/)."},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{
message:'Các phần tử `<video>` không chứa phần tử `<track>` có `[kind="captions"]`.'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'Các phần tử `<video>` chứa phần tử `<track>` có `[kind="captions"]`'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"Hãy xác định `apple-touch-icon` để khi người dùng thêm một ứng dụng web tiến bộ vào màn hình chính trên iOS, biểu tượng ứng dụng sẽ hiển thị chính xác. Thuộc tính này phải trỏ đến ảnh PNG vuông có kích thước 192px (hoặc 180px) ở dạng không trong suốt. [Tìm hiểu thêm](https://web.dev/apple-touch-icon/)"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"Chưa cung cấp `apple-touch-icon` hợp lệ"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` đã lỗi thời, nên dùng `apple-touch-icon`."},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"Hãy cung cấp `apple-touch-icon` hợp lệ"},
"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"Giá trị hiện tại"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"Mã thông báo đề xuất"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` giúp người dùng gửi biểu mẫu nhanh hơn. Để thuận tiện cho người dùng, hãy cân nhắc cho phép thuộc tính trên bằng cách đặt một giá trị hợp lệ cho `autocomplete`. [Tìm hiểu thêm](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"Thuộc tính `autocomplete` của các phần tử `<input>` là không chính xác"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"Yêu cầu xem xét thủ công"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"Xem xét thứ tự của các mã thông báo"},"lighthouse-core/audits/autocomplete.js | title":{message:"Các phần tử `<input>` sử dụng `autocomplete` đúng cách"
},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:'(Các) mã thông báo `autocomplete`: "{token}" là không hợp lệ trong {snippet}'},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:'Xem xét thứ tự của các mã thông báo: "{tokens}" trong {snippet}'},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Các tiện ích của Chrome ảnh hưởng tiêu cực đến hiệu suất tải của trang này. Hãy thử kiểm tra trang ở chế độ ẩn danh hoặc từ một hồ sơ trên Chrome không có tiện ích."},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"Đánh giá tập lệnh"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"Phân tích cú pháp tập lệnh"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"Tổng thời gian của CPU"},"lighthouse-core/audits/bootup-time.js | description":{
message:"Hãy cân nhắc giảm thời gian dùng để phân tích cú pháp, biên soạn và thực thi JS. Bạn có thể giải quyết vấn đề này bằng cách phân phối các tải trọng JS nhỏ hơn. [Tìm hiểu thêm](https://web.dev/bootup-time/)."},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"Giảm thời gian thực thi JavaScript"},"lighthouse-core/audits/bootup-time.js | title":{message:"Thời gian thực thi JavaScript"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"Xóa các mô-đun JavaScript lớn, trùng lặp khỏi gói để giảm số byte mà hoạt động mạng tiêu thụ một cách không cần thiết. "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"Xóa các mô-đun trùng lặp trong gói JavaScript"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"Ảnh GIF lớn không có hiệu quả trong việc phân phối nội dung động. Hãy cân nhắc sử dụng video MPEG4/WebM cho ảnh động và PNG/WebP cho ảnh tĩnh thay vì ảnh GIF để tiết kiệm dữ liệu mạng. [Tìm hiểu thêm](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"Sử dụng các định dạng video cho nội dung động"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Mã Polyfill và Transform cho phép trình duyệt cũ dùng các tính năng mới của JavaScript. Tuy nhiên, nhiều tính năng không cần thiết cho trình duyệt mới nữa. Đối với JavaScript trong gói của bạn, hãy áp dụng chiến lược triển khai tập lệnh mới bằng cách dùng cơ chế phát hiện tính năng theo mô-đun/không theo mô-đun để giảm số lượng mã gửi đến trình duyệt mới trong khi vẫn tiếp tục hỗ trợ cho trình duyệt cũ. [Tìm hiểu thêm](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},
"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"Tránh phân phối JavaScript cũ tới các trình duyệt hiện đại"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"Các định dạng hình ảnh như JPEG 2000, JPEG XR và WebP thường nén tốt hơn PNG hoặc JPEG, tức là tải xuống nhanh hơn và tiêu tốn ít dữ liệu hơn. [Tìm hiểu thêm](https://web.dev/uses-webp-images/)."},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"Phân phối hình ảnh ở định dạng mới và hiệu quả hơn"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"Hãy cân nhắc tải từng phần các hình ảnh ẩn và nằm ngoài màn hình sau khi tải xong tất cả tài nguyên quan trọng nhằm giảm thời gian tương tác. [Tìm hiểu thêm](https://web.dev/offscreen-images/)."},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"Trì hoãn tải các hình ảnh ngoài màn hình"},
"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"Các tài nguyên đang chặn lần hiển thị đầu tiên của trang. Hãy cân nhắc phân phối nội dòng JS/Biểu định kiểu xếp chồng (CSS) quan trọng và trì hoãn mọi JS/kiểu không quan trọng. [Tìm hiểu thêm](https://web.dev/render-blocking-resources/)."},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"Loại bỏ các tài nguyên chặn hiển thị"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"Tải trọng mạng lớn gây tốn kém cho người dùng và thường khiến thời gian tải lâu. [Tìm hiểu thêm](https://web.dev/total-byte-weight/)."},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"Tổng kích thước là {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"Tránh các tài nguyên lớn trên mạng"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"Tránh tài nguyên lớn trên mạng"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"Việc giảm kích thước tệp Biểu định kiểu xếp chồng (CSS) có thể giảm kích thước tải trọng mạng. [Tìm hiểu thêm](https://web.dev/unminified-css/)."},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"Rút gọn CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"Việc giảm kích thước tệp JavaScript có thể giảm kích thước tải trọng và thời gian phân tích cú pháp tập lệnh. [Tìm hiểu thêm](https://web.dev/unminified-javascript/)."},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"Rút gọn JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{
message:"Giảm những quy tắc không dùng đến trong các biểu định kiểu và trì hoãn CSS chưa sử dụng cho nội dung trong màn hình đầu tiên để giảm số byte mà hoạt động mạng sử dụng. [Tìm hiểu thêm](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"Giảm CSS không dùng đến"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"Giảm JavaScript không dùng đến và trì hoãn việc tải các tập lệnh cho tới khi cần có các tập lệnh này để giảm số byte mà hoạt động mạng sử dụng. [Tìm hiểu thêm](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"Giảm JavaScript không dùng đến"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"Bộ nhớ đệm có thời gian hữu dụng dài có thể giúp tăng tốc số lượt truy cập lặp lại vào trang của bạn. [Tìm hiểu thêm](https://web.dev/uses-long-cache-ttl/)."},
"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{Đã tìm thấy 1 tài nguyên}other{Đã tìm thấy # tài nguyên}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"Phân phối các nội dung tĩnh bằng chính sách bộ nhớ đệm hiệu quả"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"Sử dụng chính sách bộ nhớ đệm hiệu quả cho các nội dung tĩnh"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"Hình ảnh được tối ưu hóa sẽ tải nhanh hơn và tiêu tốn ít dữ liệu di động hơn. [Tìm hiểu thêm](https://web.dev/uses-optimized-images/)."},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"Mã hóa hình ảnh hiệu quả"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"Phân phát hình ảnh có kích thước phù hợp để tiết kiệm dữ liệu di động và cải thiện thời gian tải. [Tìm hiểu thêm](https://web.dev/uses-responsive-images/)."},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"Thay đổi kích thước hình ảnh cho phù hợp"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"Phải phân phát các tài nguyên dựa trên văn bản ở định dạng nén (gzip, deflate hoặc brotli) để giảm thiểu tổng số byte mạng. [Tìm hiểu thêm](https://web.dev/uses-text-compression/)."},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"Bật tính năng nén văn bản"},"lighthouse-core/audits/content-width.js | description":{message:"Nếu chiều rộng của nội dung trong ứng dụng không khớp với chiều rộng của khung nhìn, thì ứng dụng có thể không được tối ưu hóa cho màn hình thiết bị di động. [Tìm hiểu thêm](https://web.dev/content-width/)"},
"lighthouse-core/audits/content-width.js | explanation":{message:"Kích thước khung nhìn {innerWidth}px không khớp với kích thước cửa sổ {outerWidth}px."},"lighthouse-core/audits/content-width.js | failureTitle":{message:"Kích thước của nội dung không phù hợp với khung nhìn"},"lighthouse-core/audits/content-width.js | title":{message:"Kích thước của nội dung phù hợp với khung nhìn"},"lighthouse-core/audits/critical-request-chains.js | description":{message:"Các Chuỗi yêu cầu quan trọng dưới đây cho bạn biết những tài nguyên có mức độ ưu tiên cao sẽ được tải. Hãy cân nhắc giảm độ dài chuỗi, giảm kích thước tài nguyên tải xuống hoặc trì hoãn tải xuống các tài nguyên không cần thiết để cải thiện tốc độ tải trang. [Tìm hiểu thêm](https://web.dev/critical-request-chains/)."},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{Đã tìm thấy 1 chuỗi}other{Đã tìm thấy # chuỗi}}"},"lighthouse-core/audits/critical-request-chains.js | title":{
message:"Tránh tạo chuỗi các yêu cầu quan trọng"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"Lệnh"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"Mức độ nghiêm trọng"},"lighthouse-core/audits/csp-xss.js | description":{message:"Một Chính sách bảo mật nội dung (CSP) mạnh sẽ làm giảm đáng kể nguy cơ bị tấn công thông qua tập lệnh trên nhiều trang web (XSS). [Tìm hiểu thêm](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"Cú pháp"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"Trang này chứa CSP được xác định trong thẻ <meta>. Hãy cân nhắc xác định CSP trong tiêu đề HTTP, nếu có thể."},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"Không tìm thấy CSP nào ở chế độ thực thi"},"lighthouse-core/audits/csp-xss.js | title":{message:"Đảm bảo CSP có khả năng chống lại hình thức tấn công thông qua XSS"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{
message:"Không dùng nữa/Cảnh báo"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Dòng"},"lighthouse-core/audits/deprecations.js | description":{message:"Cuối cùng, các API không dùng nữa sẽ bị xóa khỏi trình duyệt. [Tìm hiểu thêm](https://web.dev/deprecations/)."},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{Tìm thấy 1 cảnh báo}other{Tìm thấy # cảnh báo}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"Sử dụng các API không dùng nữa"},"lighthouse-core/audits/deprecations.js | title":{message:"Tránh các API không dùng nữa"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"Bộ nhớ đệm của ứng dụng không còn dùng nữa. [Tìm hiểu thêm](https://web.dev/appcache-manifest/)."},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:'Tìm thấy "{AppCacheManifest}"'},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{
message:"Dùng bộ nhớ đệm của ứng dụng"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"Tránh sử dụng bộ nhớ đệm của ứng dụng"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"Cần khai báo hệ thống mã hóa ký tự. Bạn có thể thực hiện việc này bằng thẻ `<meta>` trong 1024 byte đầu tiên của HTML hoặc trong tiêu đề phản hồi HTTP Loại–Nội dung. [Tìm hiểu thêm](https://web.dev/charset/)."},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"Thiếu thông tin khai báo về bộ ký tự hoặc khai báo quá muộn trong HTML"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"Xác định đúng bộ ký tự"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"Khi bạn chỉ định loại tài liệu, trình duyệt sẽ không chuyển sang chế độ tương thích ngược. [Tìm hiểu thêm](https://web.dev/doctype/)"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{
message:"Tên loại tài liệu phải là chuỗi `html` viết thường"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"Tài liệu phải chứa một loại tài liệu"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId lẽ ra phải là một chuỗi trống"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId lẽ ra phải là một chuỗi trống"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{message:"Trang thiếu loại tài liệu HTML nên đã kích hoạt chế độ tương thích ngược"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"Trang có loại tài liệu HTML"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"Thống kê"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"Giá trị"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{
message:"Một DOM lớn sẽ làm tăng mức sử dụng bộ nhớ, khiến [các phép tính về kiểu](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations) dài hơn, đồng thời tạo ra [các quy trình trình bày lại bố cục](https://developers.google.com/speed/articles/reflow) tốn kém. [Tìm hiểu thêm](https://web.dev/dom-size/)."},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 phần tử}other{# phần tử}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"Tránh kích thước DOM quá lớn"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"Độ sâu DOM tối đa"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{message:"Tổng số các phần tử DOM"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"Phần tử con tối đa"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{
message:"Tránh kích thước DOM quá lớn"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"Đường liên kết không kiểm tra được"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'Thêm `rel="noopener"` hoặc `rel="noreferrer"` vào mọi đường liên kết ngoài để cải thiện hiệu suất và ngăn chặn các lỗ hổng bảo mật. [Tìm hiểu thêm](https://web.dev/external-anchors-use-rel-noopener/).'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"Các đường liên kết đến các trang đích trên nhiều nguồn gốc là không an toàn"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"Các đường liên kết đến các trang đích trên nhiều nguồn gốc là an toàn"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{
message:"Không thể xác định trang đích cho phần tử neo ({anchorHTML}). Nếu không dùng làm siêu liên kết, hãy cân nhắc xóa target=_blank."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{message:"Các trang web yêu cầu vị trí của người dùng mà không cung cấp ngữ cảnh sẽ khiến người dùng không tin tưởng hoặc bối rối. Hãy cân nhắc liên kết yêu cầu với hành động của người dùng. [Tìm hiểu thêm](https://web.dev/geolocation-on-start/)."},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"Yêu cầu quyền truy cập vị trí địa lý khi tải trang"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"Tránh yêu cầu quyền truy cập vị trí địa lý khi tải trang"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"Loại vấn đề"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{
message:"Các vấn đề được ghi vào bảng điều khiển `Issues` trong công cụ cho nhà phát triển của Chrome là những vấn đề chưa giải quyết. Những vấn đề này có thể do lỗi yêu cầu mạng, do không có đủ biện pháp kiểm soát bảo mật, cũng như do các vấn đề khác của trình duyệt gây ra. Hãy mở bảng điều khiển Vấn đề trong công cụ cho nhà phát triển của Chrome để biết thêm thông tin chi tiết về từng vấn đề."},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Các vấn đề được ghi vào bảng điều khiển `Issues` trong công cụ cho nhà phát triển của Chrome"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"Bị chặn theo chính sách trên nhiều nguồn gốc"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"Quảng cáo sử dụng nhiều tài nguyên"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{
message:"Không có vấn đề nào ở bảng điều khiển `Issues` trong công cụ cho nhà phát triển của Chrome"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"Phiên bản"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"Phát hiện tất cả thư viện JavaScript ở phía giao diện người dùng trên trang này. [Tìm hiểu thêm](https://web.dev/js-libraries/)"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"Thư viện JavaScript phát hiện được"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"Đối với những người dùng có kết nối chậm, các tập lệnh bên ngoài tự động được đưa vào qua `document.write()` có thể làm trang tải chậm hàng chục giây. [Tìm hiểu thêm](https://web.dev/no-document-write/)."},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"Tránh `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{
message:"Tránh `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"Mức độ nghiêm trọng cao nhất"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"Phiên bản thư viện"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"Số lượng lỗ hổng"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"Một số tập lệnh của bên thứ ba có thể chứa các lỗ hổng bảo mật đã biết mà kẻ tấn công dễ dàng xác định và khai thác. [Tìm hiểu thêm](https://web.dev/no-vulnerable-libraries/)."},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{Phát hiện thấy 1 lỗ hổng}other{Phát hiện thấy # lỗ hổng}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"Bao gồm các thư viện giao diện người dùng JavaScript có những lỗ hổng bảo mật đã biết"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"Tránh các thư viện giao diện người dùng JavaScript có lỗ hổng bảo mật đã biết"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"Các trang web gửi thông báo không có ngữ cảnh sẽ khiến người dùng không tin tưởng hoặc bối rối. Hãy cân nhắc liên kết yêu cầu với cử chỉ của người dùng. [Tìm hiểu thêm](https://web.dev/notification-on-start/)."},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"Yêu cầu quyền truy cập thông báo khi tải trang"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"Tránh yêu cầu quyền truy cập thông báo khi tải trang"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"Việc ngăn dán mật khẩu sẽ làm giảm tác dụng của chính sách bảo mật hiệu quả. [Tìm hiểu thêm](https://web.dev/password-inputs-can-be-pasted-into/)."},
"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"Ngăn người dùng dán vào các trường mật khẩu"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"Cho phép người dùng dán vào các trường mật khẩu"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"Giao thức"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"So với HTTP/1.1 thì HTTP/2 mang lại nhiều lợi ích hơn, trong đó có khả năng đa hợp và tiêu đề nhị phân. [Tìm hiểu thêm](https://web.dev/uses-http2/)."},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{Chưa phân phát 1 yêu cầu qua HTTP/2}other{Chưa phân phát # yêu cầu qua HTTP/2}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"Sử dụng HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"Hãy cân nhắc đánh dấu trình xử lý sự kiện chạm và di chuyển con lăn là `passive` để cải thiện hiệu suất cuộn trên trang. [Tìm hiểu thêm](https://web.dev/uses-passive-event-listeners/)."},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"Không sử dụng trình nghe bị động để cải thiện hiệu suất cuộn"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"Sử dụng trình nghe bị động để cải thiện hiệu suất cuộn"},"lighthouse-core/audits/errors-in-console.js | description":{message:"Các lỗi được ghi vào bảng điều khiển là những sự cố chưa giải quyết. Những sự cố này có thể do lỗi yêu cầu mạng và các vấn đề khác của trình duyệt gây ra. [Tìm hiểu thêm](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"Đã ghi lỗi của trình duyệt vào bảng điều khiển"},"lighthouse-core/audits/errors-in-console.js | title":{
message:"Chưa ghi lỗi nào của trình duyệt vào bảng điều khiển"},"lighthouse-core/audits/font-display.js | description":{message:"Sử dụng tính năng Biểu định kiểu xếp chồng (CSS) hiển thị phông chữ để đảm bảo văn bản hiển thị với người dùng khi phông chữ web đang tải. [Tìm hiểu thêm](https://web.dev/font-display/)."},"lighthouse-core/audits/font-display.js | failureTitle":{message:"Đảm bảo văn bản vẫn hiển thị trong khi tải phông chữ web"},"lighthouse-core/audits/font-display.js | title":{message:"Tất cả văn bản vẫn hiển thị trong khi tải phông chữ web"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse không thể tự động kiểm tra giá trị `font-display` cho {fontOrigin} gốc.}other{Lighthouse không thể tự động kiểm tra các giá trị `font-display` cho {fontOrigin} gốc.}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"Tỷ lệ khung hình (Thực tế)"},
"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"Tỷ lệ khung hình (Hiển thị)"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"Kích thước hiển thị của hình ảnh phải khớp với tỷ lệ khung hình tự nhiên. [Tìm hiểu thêm](https://web.dev/image-aspect-ratio/)."},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"Hiển thị hình ảnh có tỷ lệ khung hình không chính xác"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"Hiển thị hình ảnh có tỷ lệ khung hình chính xác"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"Kích thước thực"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"Kích thước hiển thị"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"Kích thước mong muốn"},"lighthouse-core/audits/image-size-responsive.js | description":{
message:"Kích thước tự nhiên của hình ảnh phải tỷ lệ với kích thước màn hình và tỷ lệ pixel để hình ảnh rõ nét nhất có thể. [Tìm hiểu thêm](https://web.dev/serve-responsive-images/)."},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"Phân phối hình ảnh có độ phân giải thấp"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"Phân phối hình ảnh có độ phân giải phù hợp"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"Ứng dụng này đã được cài đặt"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"Không thể tải một biểu tượng bắt buộc từ tệp kê khai"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"Lý do xảy ra lỗi"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Trình chạy dịch vụ là công nghệ cho phép ứng dụng của bạn dùng nhiều tính năng của Ứng dụng web tiến bộ, chẳng hạn như hoạt động khi không có mạng, thêm vào màn hình chính và thông báo đẩy. Khi triển khai trình chạy dịch vụ và tệp kê khai đúng cách, trình duyệt có thể chủ động nhắc người dùng thêm ứng dụng của bạn vào màn hình chính của họ, nhờ đó có thể tăng mức độ tương tác. [Tìm hiểu thêm](https://web.dev/installable-manifest/)."},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 lý do}other{# lý do}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Tệp kê khai ứng dụng web hoặc trình chạy dịch vụ không đáp ứng các yêu cầu về khả năng cài đặt"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"URL ứng dụng trong Cửa hàng Play và mã nhận dạng trong Cửa hàng Play không khớp"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{
message:"Trang được tải trong cửa sổ ẩn danh"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:'Thuộc tính "display" của tệp kê khai phải là một trong các chế độ "standalone", "fullscreen" hoặc "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:'Tệp kê khai chứa trường "display_override" và chế độ hiển thị được hỗ trợ đầu tiên phải là một trong các chế độ "standalone", "fullscreen" hoặc "minimal-ui"'},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"Không thể tìm nạp/phân tích cú pháp tệp kê khai hoặc tệp kê khai bị trống"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"URL của tệp kê khai đã thay đổi khi đang tìm nạp tệp kê khai đó."},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:'Tệp kê khai không chứa trường "name" hoặc "short_name"'},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:'Tệp kê khai chứa biểu tượng không phù hợp. Yêu cầu tệp phải ở định dạng PNG, SVG hoặc WebP có kích thước tối thiểu là {value0} px, thuộc tính "sizes" phải được đặt, còn thuộc tính "purpose" (nếu được đặt) phải bao gồm "any".'},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:'Không có biểu tượng nào được cung cấp ở định dạng PNG, SVG hoặc WebP với kích thước tối thiểu là {value0} px vuông, còn thuộc tính "purpose" không được đặt hoặc được đặt thành "any"'},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"Biểu tượng đã tải xuống bị trống hoặc hỏng"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"Chưa cung cấp mã nhận dạng trong Cửa hàng Play"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"Trang không có URL <link> của tệp kê khai"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"Không phát hiện thấy trình chạy dịch vụ phù hợp. Bạn có thể cần tải lại trang hoặc kiểm tra để đảm bảo rằng phạm vi của trình chạy dịch vụ cho trang hiện tại có bao gồm phạm vi và URL bắt đầu của tệp kê khai."},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:'Không thể kiểm tra trình chạy dịch vụ nếu không có trường "start_url" trong tệp kê khai'},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:'Không nhận ra mã lỗi liên quan đến khả năng cài đặt "{errorId}"'},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"Trang không được phân phối từ một nguồn gốc an toàn"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"Trang không được tải trong khung chính"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"Trang không hoạt động khi không có mạng"},
"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Nền tảng ứng dụng đã chỉ định chưa được hỗ trợ trên Android"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"Tệp kê khai chỉ định prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"Chỉ hỗ trợ prefer_related_applications cho các kênh Chính thức và Thử nghiệm của Chrome trên Android."},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"URL bắt đầu của tệp kê khai là không hợp lệ"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Tệp kê khai ứng dụng web và trình chạy dịch vụ đáp ứng các yêu cầu về khả năng cài đặt"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"Một URL trong tệp kê khai chứa tên người dùng, mật khẩu hoặc cổng"},
"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"Trang không hoạt động khi không có mạng. Trang này sẽ không được xem là có thể cài đặt sau khi Chrome 93 chính thức phát hành vào tháng 8 năm 2021."},"lighthouse-core/audits/is-on-https.js | allowed":{message:"Được phép"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"Bị chặn"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"URL không an toàn"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"Cách xử lý yêu cầu"},"lighthouse-core/audits/is-on-https.js | description":{
message:"Bạn phải bảo vệ tất cả các trang web bằng HTTPS, kể cả những trang web không xử lý dữ liệu nhạy cảm. Điều này bao gồm tránh [nội dung hỗn hợp](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), trong đó một số tài nguyên được tải qua HTTP cho dù yêu cầu ban đầu được gửi qua HTTPS. HTTPS ngăn kẻ xâm nhập can thiệp hoặc vô tình biết được nội dung trao đổi giữa ứng dụng và người dùng của bạn, đồng thời là điều kiện tiên quyết nếu bạn muốn dùng HTTP/2 và nhiều API nền tảng web mới. [Tìm hiểu thêm](https://web.dev/is-on-https/)."},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{Tìm thấy 1 yêu cầu không an toàn}other{Tìm thấy # yêu cầu không an toàn}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"Không sử dụng HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"Sử dụng HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{
message:"Đã tự động nâng cấp lên HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"Được phép nhưng có cảnh báo"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"Thư viện"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"Các thư viện JavaScript lớn có thể dẫn đến hiệu suất kém. Hãy ưu tiên các thư viện nhỏ hơn, có chức năng tương đương để giảm kích thước gói của bạn. [Tìm hiểu thêm](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{Tìm thấy 1 thư viện lớn}other{Tìm thấy # thư viện lớn}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"Thay thế các thư viện JavaScript lớn không cần thiết"},"lighthouse-core/audits/large-javascript-libraries.js | title":{
message:"Dùng các thư viện JavaScript nhỏ thay cho thư viện lớn"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"Đây là thành phần nội dung lớn nhất hiển thị trong khung nhìn. [Tìm hiểu thêm](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"Thành phần Thời gian hiển thị nội dung lớn nhất"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"Mức đóng góp vào CLS"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"Những thành phần DOM này đóng góp nhiều nhất vào Điểm số tổng hợp về mức thay đổi bố cục (CLS) của trang."},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"Tránh các thay đổi lớn về bố cục"},"lighthouse-core/audits/long-tasks.js | description":{
message:"Liệt kê những việc cần nhiều thời gian thực hiện nhất trong chuỗi chính. Thông tin này khá hữu ích trong việc xác định những thành phần có thời gian phản hồi tương tác chậm nhất. [Tìm hiểu thêm](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{Phát hiện thấy # việc cần nhiều thời gian thực hiện}other{Phát hiện thấy # việc cần nhiều thời gian thực hiện}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"Tránh những việc cần nhiều thời gian thực hiện trong chuỗi chính"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"Danh mục"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"Hãy cân nhắc giảm thời gian dùng để phân tích cú pháp, biên soạn và thực thi JS. Bạn có thể giải quyết vấn đề này bằng cách phân phối các tải trọng JS nhỏ hơn. [Tìm hiểu thêm](https://web.dev/mainthread-work-breakdown/)"},
"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"Giảm thiểu công việc theo chuỗi chính"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"Giảm thiểu công việc theo chuỗi chính"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"Để tiếp cận nhiều người dùng nhất, các trang web phải hoạt động trên mọi trình duyệt chính. [Tìm hiểu thêm](https://web.dev/pwa-cross-browser/)"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"Trang web hoạt động trên nhiều trình duyệt"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"Đảm bảo từng trang có thể liên kết sâu qua URL và URL là duy nhất để có thể chia sẻ trên mạng xã hội. [Tìm hiểu thêm](https://web.dev/pwa-each-page-has-url/)"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"Mỗi trang có một URL"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{
message:"Quá trình chuyển tiếp phải diễn ra ngay khi bạn nhấn vào, kể cả khi mạng chậm. Trải nghiệm này là một yếu tố quan trọng quyết định cảm nhận của người dùng về hiệu suất. [Tìm hiểu thêm](https://web.dev/pwa-page-transitions/)"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"Người dùng không cảm thấy mạng chậm khi chuyển trang"},"lighthouse-core/audits/maskable-icon.js | description":{message:"Một biểu tượng che mờ được sẽ đảm bảo rằng hình ảnh lấp đầy toàn bộ hình dạng mà không bị hiệu ứng hòm thư khi cài đặt ứng dụng trên một thiết bị. [Tìm hiểu thêm](https://web.dev/maskable-icon-audit/)."},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"Tệp kê khai không có biểu tượng che mờ được"},"lighthouse-core/audits/maskable-icon.js | title":{message:"Tệp kê khai có một biểu tượng che mờ được"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{
message:"Điểm số tổng hợp về mức thay đổi bố cục đo lường mức độ dịch chuyển của các thành phần hiển thị trong khung nhìn. [Tìm hiểu thêm](https://web.dev/cls/)."},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"Chỉ số Hiển thị nội dung đầu tiên đánh dấu thời điểm hiển thị văn bản hoặc hình ảnh đầu tiên. [Tìm hiểu thêm](https://web.dev/first-contentful-paint/)."},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"Chỉ số Hiển thị nội dung đầu tiên đo lường thời điểm hiển thị nội dung chính của trang. [Tìm hiểu thêm](https://web.dev/first-meaningful-paint/)."},"lighthouse-core/audits/metrics/interactive.js | description":{message:"Thời điểm tương tác là khoảng thời gian mà trang cần để trở nên hoàn toàn tương tác. [Tìm hiểu thêm](https://web.dev/interactive/)."},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{
message:"Thời gian hiển thị nội dung lớn nhất đánh dấu thời điểm hiển thị văn bản hoặc hình ảnh có kích thước lớn nhất. [Tìm hiểu thêm](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"Thời gian phản hồi lần tương tác đầu tiên tối đa mà người dùng có thể gặp phải là thời gian thực hiện nhiệm vụ lâu nhất. [Tìm hiểu thêm](https://web.dev/lighthouse-max-potential-fid/)."},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"Chỉ số tốc độ cho biết nội dung của một trang hiển thị nhanh chóng đến mức nào. [Tìm hiểu thêm](https://web.dev/speed-index/)."},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"Tổng tất cả các khoảng thời gian giữa thời điểm Hiển thị nội dung đầu tiên (FCP) và Thời điểm tương tác khi thời gian của nhiệm vụ vượt quá 50 mili giây được biểu thị bằng đơn vị mili giây. [Tìm hiểu thêm](https://web.dev/lighthouse-total-blocking-time/)."},
"lighthouse-core/audits/network-rtt.js | description":{message:"Thời gian trọn vòng (RTT) của mạng có ảnh hưởng lớn đến hiệu suất. Nếu mất nhiều thời gian trọn vòng (RTT) để đến một nguồn gốc, tức là máy chủ càng gần người dùng thì hiệu quả càng cao. [Tìm hiểu thêm](https://hpbn.co/primer-on-latency-and-bandwidth/)."},"lighthouse-core/audits/network-rtt.js | title":{message:"Thời gian trọn vòng của mạng"},"lighthouse-core/audits/network-server-latency.js | description":{message:"Thời gian chờ của máy chủ có thể ảnh hưởng đến hiệu suất của trang web. Nếu máy chủ của một nguồn gốc có thời gian chờ cao, tức là máy chủ bị quá tải hoặc có hiệu suất phụ trợ thấp. [Tìm hiểu thêm](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},"lighthouse-core/audits/network-server-latency.js | title":{message:"Thời gian dưới nền của máy chủ"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"Sự kiện `unload` kích hoạt theo cách không ổn định và việc làm theo sự kiện này có thể ngăn chặn các hoạt động tối ưu hóa trình duyệt, chẳng hạn như Bộ nhớ đệm cho thao tác tiến/lùi. Hãy cân nhắc dùng sự kiện `pagehide` hoặc `visibilitychange`. [Tìm hiểu thêm](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"Đăng ký trình xử lý sự kiện `unload`"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"Tránh dùng trình xử lý sự kiện `unload`"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"Các ảnh động không được ghép có thể kém chất lượng và làm tăng CLS (Điểm số tổng hợp về mức thay đổi bố cục). [Tìm hiểu thêm](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{Tìm thấy # phần tử ảnh động}other{Tìm thấy # phần tử ảnh động}}"},
"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"Thuộc tính liên quan đến bộ lọc có thể di chuyển pixel"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"Mục tiêu có một ảnh động khác không tương thích"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:'Hiệu ứng có chế độ ghép không phải là "replace"'},"lighthouse-core/audits/non-composited-animations.js | title":{message:"Tránh dùng các ảnh động không được ghép"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"Thuộc tính liên quan đến biến đổi phụ thuộc vào kích thước hộp"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{Thuộc tính CSS không được hỗ trợ: {properties}}other{Các thuộc tính CSS không được hỗ trợ: {properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{
message:"Hiệu ứng có tham số thời gian không được hỗ trợ"},"lighthouse-core/audits/performance-budget.js | description":{message:"Đảm bảo số lượng và quy mô của yêu cầu mạng thấp hơn mục tiêu đặt ra của ngân sách hiệu suất đã cung cấp. [Tìm hiểu thêm](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 yêu cầu}other{# yêu cầu}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"Ngân sách hiệu suất"},"lighthouse-core/audits/preload-fonts.js | description":{message:"Bạn nên tải trước phông chữ `optional` để khách truy cập lần đầu có thể sử dụng. [Tìm hiểu thêm](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"Chưa tải trước phông chữ có `font-display: optional`"},"lighthouse-core/audits/preload-fonts.js | title":{message:"Đã tải trước phông chữ có `font-display: optional`"},
"lighthouse-core/audits/preload-lcp-image.js | description":{message:"Tải trước hình ảnh mà thành phần LCP (Thời gian hiển thị nội dung lớn nhất) sử dụng nhằm cải thiện thời gian LCP của bạn. [Tìm hiểu thêm](https://web.dev/optimize-lcp/#preload-important-resources)"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"Tải trước hình ảnh có Thời gian hiển thị nội dung lớn nhất"},"lighthouse-core/audits/redirects-http.js | description":{message:"Nếu bạn thiết lập HTTPS từ trước, hãy nhớ chuyển hướng toàn bộ lưu lượng truy cập HTTP tới HTTPS để bật các tính năng web an toàn cho tất cả người dùng. [Tìm hiểu thêm](https://web.dev/redirects-http/)"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"Không chuyển hướng lưu lượng truy cập HTTP tới HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"Chuyển hướng lưu lượng truy cập HTTP tới HTTPS"},"lighthouse-core/audits/redirects.js | description":{
message:"Các lần chuyển hướng sẽ làm giảm tốc độ tải trang. [Tìm hiểu thêm](https://web.dev/redirects/)."},"lighthouse-core/audits/redirects.js | title":{message:"Tránh chuyển hướng trang nhiều lần"},"lighthouse-core/audits/resource-summary.js | description":{message:"Để thiết lập ngân sách cho số lượng và quy mô của tài nguyên trang, hãy thêm tệp budget.json. [Tìm hiểu thêm](https://web.dev/use-lighthouse-for-performance-budgets/)."},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 yêu cầu • {byteCount, number, bytes} KiB}other{# yêu cầu • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"Giảm số lượng yêu cầu và chuyển những tài nguyên có kích thước nhỏ"},"lighthouse-core/audits/seo/canonical.js | description":{message:"Phần tử liên kết chính tắc đề xuất URL nào nên hiển thị trong kết quả tìm kiếm. [Tìm hiểu thêm](https://web.dev/canonical/)."},
"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"Nhiều URL xung đột ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"Trỏ đến một miền khác ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"URL không hợp lệ ({url})."},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"Trỏ đến một vị trí `hreflang` khác ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"URL tương đối ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"Trỏ đến URL gốc của miền (trang chủ) thay vì trang nội dung tương đương"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"Tài liệu không có `rel=canonical` hợp lệ"},"lighthouse-core/audits/seo/canonical.js | title":{message:"Tài liệu có `rel=canonical` hợp lệ"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{
message:"Đường liên kết không thể thu thập dữ liệu"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"Công cụ tìm kiếm có thể dùng các thuộc tính `href` trên đường liên kết để thu thập dữ liệu các trang web. Hãy đảm bảo rằng thuộc tính `href` của các thành phần neo liên kết đến một trang đích phù hợp để có thể phát hiện thêm nhiều trang khác của trang web. [Tìm hiểu thêm](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"Các đường liên kết không thể thu thập thông tin"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"Các đường liên kết có thể thu thập thông tin"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"Văn bản bổ sung khó đọc"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"Cỡ chữ"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"% văn bản trên trang"},
"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"Bộ chọn"},"lighthouse-core/audits/seo/font-size.js | description":{message:"Cỡ chữ dưới 12 pixel là quá nhỏ và khó đọc, buộc khách truy cập trên thiết bị di động phải “chụm để thu phóng” mới đọc được. Tốt nhất là hơn 60% văn bản trên trang có cỡ chữ lớn hơn hoặc bằng 12 pixel. [Tìm hiểu thêm](https://web.dev/font-size/)."},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} văn bản dễ đọc"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"Văn bản không đọc được vì không có thẻ meta viewport nào được tối ưu hóa cho màn hình thiết bị di động."},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"Tài liệu không sử dụng cỡ chữ dễ đọc"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"Văn bản dễ đọc"},"lighthouse-core/audits/seo/font-size.js | title":{message:"Tài liệu sử dụng cỡ chữ dễ đọc"},
"lighthouse-core/audits/seo/hreflang.js | description":{message:"Các phần tử liên kết hreflang cho công cụ tìm kiếm biết nên liệt kê phiên bản trang nào trong kết quả tìm kiếm cho một ngôn ngữ hoặc khu vực cụ thể. [Tìm hiểu thêm](https://web.dev/hreflang/)."},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"Tài liệu không có `hreflang` hợp lệ"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"Giá trị href tương đối"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"Tài liệu có `hreflang` hợp lệ"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"Mã ngôn ngữ không mong muốn"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"Các trang có mã trạng thái HTTP không thành công có thể được lập chỉ mục không chính xác. [Tìm hiểu thêm](https://web.dev/http-status-code/)."},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"Trang có mã trạng thái HTTP không thành công"},
"lighthouse-core/audits/seo/http-status-code.js | title":{message:"Trang có mã trạng thái HTTP thành công"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"Các công cụ tìm kiếm không thể đưa trang của bạn vào kết quả tìm kiếm nếu bạn không cấp cho các công cụ này quyền thu thập thông tin của trang. [Tìm hiểu thêm](https://web.dev/is-crawable/)."},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"Trang bị chặn lập chỉ mục"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"Trang không bị chặn lập chỉ mục"},"lighthouse-core/audits/seo/link-text.js | description":{message:"Văn bản mô tả trên đường liên kết giúp công cụ tìm kiếm hiểu được nội dung của bạn. [Tìm hiểu thêm](https://web.dev/link-text/)."},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{Đã tìm thấy 1 liên kết}other{Đã tìm thấy # liên kết}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{
message:"Các phần tử liên kết không có văn bản mô tả"},"lighthouse-core/audits/seo/link-text.js | title":{message:"Các phần tử liên kết có văn bản mô tả"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"Chạy [Công cụ kiểm tra dữ liệu có cấu trúc](https://search.google.com/structured-data/testing-tool/) và [Công cụ khử lỗi dữ liệu có cấu trúc](http://linter.structured-data.org/) để xác thực loại dữ liệu này. [Tìm hiểu thêm](https://web.dev/structured-data/)."},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"Dữ liệu có cấu trúc là hợp lệ"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"Bạn có thể thêm phần mô tả meta vào kết quả tìm kiếm để tóm tắt ngắn gọn nội dung trang. [Tìm hiểu thêm](https://web.dev/meta-description/)."},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"Văn bản mô tả hiện đang trống."},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{
message:"Tài liệu không có phần mô tả meta"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"Tài liệu có phần mô tả meta"},"lighthouse-core/audits/seo/plugins.js | description":{message:"Các công cụ tìm kiếm không thể lập chỉ mục nội dung plugin và nhiều thiết bị hạn chế hoặc không hỗ trợ plugin. [Tìm hiểu thêm](https://web.dev/plugins/)."},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"Tài liệu sử dụng plugin"},"lighthouse-core/audits/seo/plugins.js | title":{message:"Tài liệu tránh sử dụng plugin"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"Nếu định dạng của tệp robots.txt không đúng, thì trình thu thập thông tin có thể không hiểu được cách bạn muốn thu thập thông tin hoặc lập chỉ mục trang web của mình. [Tìm hiểu thêm](https://web.dev/robots-txt/)"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"Yêu cầu robots.txt trả về trạng thái HTTP: {statusCode}"},
"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{Đã tìm thấy 1 lỗi}other{Đã tìm thấy # lỗi}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse không tải được tệp robots.txt xuống"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt không hợp lệ"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt hợp lệ"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"Các phần tử tương tác, chẳng hạn như nút và phần tử liên kết, nên có kích thước đủ lớn (48x48 pixel) và khoảng cách xung quanh các phần tử này đủ để nhấn mà không chồng chéo lên các phần tử khác. [Tìm hiểu thêm](https://web.dev/tap-targets/)."},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} mục tiêu nhấn có kích thước phù hợp"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{
message:"Mục tiêu nhấn có kích thước quá nhỏ do không có thẻ meta viewport nào được tối ưu hóa cho màn hình thiết bị di động"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"Các mục tiêu nhấn có kích thước không phù hợp"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"Mục tiêu chồng chéo"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"Mục tiêu nhấn"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"Mục tiêu nhấn có kích thước phù hợp"},"lighthouse-core/audits/server-response-time.js | description":{message:"Giữ cho máy chủ phản hồi trong thời gian ngắn đối với tài liệu chính vì tất cả các yêu cầu khác phụ thuộc vào thời gian đó. [Tìm hiểu thêm](https://web.dev/time-to-first-byte/)."},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"Tài liệu gốc mất {timeInMs, number, milliseconds} mili giây"},"lighthouse-core/audits/server-response-time.js | failureTitle":{
message:"Giảm thời gian phản hồi ban đầu của máy chủ"},"lighthouse-core/audits/server-response-time.js | title":{message:"Thời gian phản hồi ban đầu của máy chủ là ngắn"},"lighthouse-core/audits/service-worker.js | description":{message:"Trình chạy dịch vụ là công nghệ cho phép ứng dụng của bạn dùng nhiều tính năng của Ứng dụng web tiến bộ, chẳng hạn như hoạt động khi không có mạng, thêm vào màn hình chính, và thông báo đẩy. [Tìm hiểu thêm](https://web.dev/service-worker/)"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"Trang này do một trình chạy dịch vụ kiểm soát. Tuy nhiên, không tìm thấy `start_url` vì tệp kê khai không thể phân tích cú pháp thành tệp JSON hợp lệ"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"Trang này do một trình chạy dịch vụ kiểm soát. Tuy nhiên, `start_url` ({startUrl}) không thuộc phạm vi của trình chạy dịch vụ này ({scopeUrl})"},
"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"Trang này do một trình chạy dịch vụ kiểm soát. Tuy nhiên, không tìm thấy `start_url` vì không tìm nạp được tệp kê khai."},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"Nguồn gốc này có một hoặc nhiều trình chạy dịch vụ. Tuy nhiên, trang ({pageUrl}) không thuộc phạm vi của các trình chạy dịch vụ này."},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"Không đăng ký một trình chạy dịch vụ kiểm soát trang và `start_url`"},"lighthouse-core/audits/service-worker.js | title":{message:"Đăng ký một trình chạy dịch vụ kiểm soát trang và `start_url`"},"lighthouse-core/audits/splash-screen.js | description":{message:"Màn hình chờ có giao diện giúp đảm bảo người dùng có trải nghiệm chất lượng cao khi chạy ứng dụng từ màn hình chính. [Tìm hiểu thêm](https://web.dev/splash-screen/)"},"lighthouse-core/audits/splash-screen.js | failureTitle":{
message:"Chưa được định cấu hình cho màn hình chờ tùy chỉnh"},"lighthouse-core/audits/splash-screen.js | title":{message:"Đã định cấu hình cho màn hình chờ tùy chỉnh"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"Bạn có thể đặt giao diện cho thanh địa chỉ trên trình duyệt để phù hợp với trang web của mình. [Tìm hiểu thêm](https://web.dev/themed-omnibox/)"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"Không đặt màu giao diện cho thanh địa chỉ."},"lighthouse-core/audits/themed-omnibox.js | title":{message:"Đặt màu giao diện cho thanh địa chỉ."},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (Sự thành công của khách hàng)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (Tiếp thị)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (Xã hội)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{
message:"{productName} (Video)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"Sản phẩm"},"lighthouse-core/audits/third-party-facades.js | description":{message:"Có thể tải từng phần một số nội dung nhúng của bên thứ ba. Hãy cân nhắc thay bằng một thành phần dung lượng nhẹ cho đến khi cần đến các nội dung này. [Tìm hiểu thêm](https://web.dev/third-party-facades/)."},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{Có # thành phần thay thế dung lượng nhẹ}other{Có # thành phần thay thế dung lượng nhẹ}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"Có thể tải từng phần một số tài nguyên của bên thứ ba bằng một thành phần dung lượng nhẹ"},"lighthouse-core/audits/third-party-facades.js | title":{message:"Tải từng phần các tài nguyên của bên thứ ba bằng thành phần dung lượng nhẹ"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"Bên thứ ba"},
"lighthouse-core/audits/third-party-summary.js | description":{message:"Mã của bên thứ ba có thể tác động đáng kể đến hiệu suất tải. Hãy hạn chế số nhà cung cấp bên thứ ba dư thừa và cố gắng tải mã của bên thứ ba sau khi trang của bạn hoàn thành phần lớn quá trình tải. [Tìm hiểu thêm](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)."},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"Mã của bên thứ ba đã chặn chuỗi chính trong {timeInMs, number, milliseconds} mili giây"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"Giảm mức ảnh hưởng của mã bên thứ ba"},"lighthouse-core/audits/third-party-summary.js | title":{message:"Giảm thiểu mức sử dụng của bên thứ ba"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"Đo lường"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"Chỉ số"},
"lighthouse-core/audits/timing-budget.js | description":{message:"Khi đặt giới hạn về thời gian, bạn sẽ có thể theo dõi được hiệu suất trang web của mình. Các trang có hiệu suất cao sẽ tải và phản hồi nhanh với các sự kiện nhập của người dùng. [Tìm hiểu thêm](https://developers.google.com/web/tools/lighthouse/audits/budgets)."},"lighthouse-core/audits/timing-budget.js | title":{message:"Giới hạn về thời gian"},"lighthouse-core/audits/unsized-images.js | description":{message:"Đặt chiều rộng và chiều cao rõ ràng đối với các phần tử hình ảnh để giảm sự thay đổi về bố cục và cải thiện CLS. [Tìm hiểu thêm](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"Các phần tử hình ảnh không có `width` và `height` rõ ràng"},"lighthouse-core/audits/unsized-images.js | title":{message:"Các phần tử hình ảnh có `width` và `height` rõ ràng"},"lighthouse-core/audits/user-timings.js | columnType":{message:"Loại"},
"lighthouse-core/audits/user-timings.js | description":{message:"Hãy cân nhắc trang bị API Thời gian người dùng cho ứng dụng để đo lường hiệu suất thực tế của ứng dụng trong trải nghiệm người dùng chính. [Tìm hiểu thêm](https://web.dev/user-timings/)."},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 dấu thời gian người dùng}other{# dấu thời gian người dùng}}"},"lighthouse-core/audits/user-timings.js | title":{message:"Các thời điểm cụ thể và khoảng thời gian được ghi lại bằng API Thời gian người dùng"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:'Đã tìm thấy `<link rel=preconnect>` cho "{securityOrigin}" nhưng trình duyệt không sử dụng thuộc tính này. Hãy kiểm tra để đảm bảo rằng bạn đang sử dụng thuộc tính `crossorigin` đúng cách.'},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"Hãy cân nhắc thêm các gợi ý về tài nguyên `preconnect` hoặc `dns-prefetch` để thiết lập kết nối sớm tới những nguồn gốc quan trọng của bên thứ ba. [Tìm hiểu thêm](https://web.dev/uses-rel-preconnect/)"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"Kết nối trước với các tên miền bắt buộc"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"Đã phát hiện có hơn 2 đường kết nối `<link rel=preconnect>`. Bạn nên dùng những đường kết nối này một cách hợp lý và chỉ dùng cho các điểm gốc quan trọng nhất."},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:'Đã tìm thấy `<link rel=preconnect>` cho "{securityOrigin}" nhưng trình duyệt không sử dụng thuộc tính này. Chỉ sử dụng `preconnect` cho những điểm gốc quan trọng mà trang chắc chắn sẽ yêu cầu.'},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{
message:'Đã tìm thấy `<link>` tải trước cho "{preloadURL}" nhưng trình duyệt không sử dụng thuộc tính này. Hãy kiểm tra để đảm bảo rằng bạn đang sử dụng thuộc tính `crossorigin` đúng cách.'},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"Hãy cân nhắc sử dụng `<link rel=preload>` để ưu tiên tìm nạp các tài nguyên đang được yêu cầu vào một thời điểm khác trong quá trình tải trang. [Tìm hiểu thêm](https://web.dev/uses-rel-preload/)."},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"Tải trước các yêu cầu chính"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"URL của bản đồ"},"lighthouse-core/audits/valid-source-maps.js | description":{
message:"Bản đồ nguồn sẽ chuyển mã đã giảm thiểu thành mã nguồn gốc. Việc này giúp các nhà phát triển gỡ lỗi trong bản phát hành chính thức. Ngoài ra, Lighthouse cũng có thể cung cấp thêm thông tin chi tiết. Hãy cân nhắc triển khai bản đồ nguồn để tận dụng những lợi ích này. [Tìm hiểu thêm](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"Thiếu bản đồ nguồn cho JavaScript lớn của bên thứ nhất"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"Tệp JavaScript lớn thiếu bản đồ nguồn"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{Cảnh báo: thiếu 1 mục trong `.sourcesContent`}other{Cảnh báo: thiếu # mục trong `.sourcesContent`}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"Trang có bản đồ nguồn hợp lệ"},"lighthouse-core/audits/viewport.js | description":{
message:'Thêm thẻ `<meta name="viewport">` để tối ưu hóa ứng dụng của bạn cho màn hình thiết bị di động. [Tìm hiểu thêm](https://web.dev/viewport/)'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'Không tìm thấy thẻ `<meta name="viewport">`'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'Không có thẻ `<meta name="viewport">` có `width` hoặc `initial-scale`'},"lighthouse-core/audits/viewport.js | title":{message:'Có thẻ `<meta name="viewport">` có `width` hoặc `initial-scale`'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"Đây là những cơ hội giúp cải thiện việc sử dụng ARIA trong ứng dụng của bạn, nhờ đó có thể nâng cao trải nghiệm cho người dùng công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình."},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{
message:"Đây là các cơ hội để cung cấp nội dung thay thế cho âm thanh và video. Điều này có thể cải thiện trải nghiệm của người dùng khiếm thính hoặc khiếm thị."},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"Âm thanh và video"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"Những mục này nêu bật các phương pháp hay nhất thường dùng cho hỗ trợ tiếp cận"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"Những phương pháp hay nhất"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"Các hoạt động kiểm tra này giúp xác định cơ hội [cải thiện khả năng hỗ trợ tiếp cận của ứng dụng web](https://developers.google.com/web/fundamentals/accessibility). Các hoạt động này chỉ có thể tự động phát hiện một phần vấn đề liên quan đến khả năng hỗ trợ tiếp cận, do đó, bạn nên kiểm tra cả theo cách thủ công."},
"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"Các mục này nằm trong vùng không thể sử dụng công cụ kiểm tra tự động. Tìm hiểu thêm trong hướng dẫn của chúng tôi về cách [đánh giá khả năng hỗ trợ tiếp cận](https://developers.google.com/web/fundamentals/accessibility/how-to-review)."},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"Hỗ trợ tiếp cận"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"Đây là các cơ hội giúp cải thiện độ dễ đọc cho nội dung của bạn."},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"Độ tương phản"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"Đây là những cơ hội giúp cải thiện khả năng diễn giải của người dùng đối với nội dung của bạn ở các ngôn ngữ khác nhau."},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"Quốc tế hóa và bản địa hóa"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"Đây là những cơ hội giúp cải thiện chức năng diễn giải ngữ nghĩa của các biện pháp kiểm soát trong ứng dụng của bạn. Điều này có thể nâng cao trải nghiệm cho những người dùng công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình."},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"Tên và nhãn"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"Đây là các cơ hội để cải thiện khả năng điều hướng bằng bàn phím trong ứng dụng của bạn."},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"Điều hướng"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"Đây là những cơ hội để cải thiện trải nghiệm đọc dữ liệu trong bảng hoặc danh sách bằng công nghệ hỗ trợ, chẳng hạn như trình đọc màn hình."},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{
message:"Bảng và danh sách"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"Khả năng tương thích của trình duyệt"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"Phương pháp hay nhất"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"Chung"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"Tin cậy và an toàn"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"Trải nghiệm người dùng"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"Phần Ngân sách hiệu suất đặt ra tiêu chuẩn về hiệu suất của trang web."},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"Ngân sách"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{
message:"Thông tin bổ sung về hiệu suất của ứng dụng. Những số liệu này không [trực tiếp ảnh hưởng](https://web.dev/performance-scoring/) đến Điểm hiệu suất."},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"Chẩn đoán"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"Khía cạnh quan trọng nhất của hiệu suất là tốc độ hiển thị pixel nhanh chóng trên màn hình. Các chỉ số chính: Hình ảnh có nội dung đầu tiên, Hình ảnh có ý nghĩa đầu tiên"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"Các thao tác để cải thiện thời gian hiển thị hình ảnh đầu tiên"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"Những đề xuất này có thể giúp trang của bạn tải nhanh hơn, chứ không [trực tiếp ảnh hưởng](https://web.dev/performance-scoring/) đến Điểm hiệu suất."},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"Cơ hội"},
"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"Các chỉ số"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"Cải thiện trải nghiệm tải tổng thể để trang phản hồi và sẵn sàng cho bạn sử dụng sớm nhất có thể. Các số liệu chính: Thời điểm tương tác, Chỉ số tốc độ"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"Các thao tác để cải thiện hiệu suất tổng thể"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"Hiệu suất"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"Những hoạt động kiểm tra này sẽ xác thực các khía cạnh của một Ứng dụng web tiến bộ. [Tìm hiểu thêm](https://developers.google.com/web/progressive-web-apps/checklist)."},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"Đây là những hoạt động kiểm tra được chỉ định trong [Danh sách kiểm tra ứng dụng web tiến bộ (PWA)](https://developers.google.com/web/progressive-web-apps/checklist) cơ bản, nhưng Lighthouse không tự động kiểm tra các mục này. Các hoạt động kiểm tra này không ảnh hưởng đến điểm số của bạn, nhưng bạn nên xác minh theo cách thủ công."},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"Ứng dụng web tiến bộ"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"Có thể cài đặt"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA đã tối ưu hóa"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{
message:"Các hoạt động kiểm tra này đảm bảo rằng trang của bạn được tối ưu hóa cho thứ hạng trong kết quả của công cụ tìm kiếm. Những yếu tố bổ sung mà Lighthouse không kiểm tra có thể ảnh hưởng đến thứ hạng của bạn trong kết quả tìm kiếm. [Tìm hiểu thêm](https://support.google.com/webmasters/answer/35769)."},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"Chạy những trình xác thực bổ sung này trên trang web của bạn để xem thêm các phương pháp hay nhất dành cho quy trình Tối ưu hóa cho công cụ tìm kiếm (SEO)."},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"Định dạng HTML sao cho các trình thu thập thông tin có thể hiểu rõ hơn nội dung trong ứng dụng của bạn."},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"Những phương pháp hay nhất về nội dung"},
"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"Để xuất hiện trong kết quả tìm kiếm, các trình thu thập thông tin cần quyền truy cập vào ứng dụng của bạn."},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"Thu thập thông tin và lập chỉ mục"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"Đảm bảo các trang của bạn thân thiện với thiết bị di động để người dùng có thể đọc các trang nội dung mà không cần phải chụm hoặc thu phóng. [Tìm hiểu thêm](https://developers.google.com/search/mobile-sites/)."},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"Thân thiện với thiết bị di động"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{
message:"Có vẻ như thiết bị được thử nghiệm có CPU chậm hơn mức Lighthouse mong đợi. Điều này có thể ảnh hưởng tiêu cực đến điểm hiệu suất của bạn. Tìm hiểu thêm về cách [hiệu chỉnh một hệ số giảm tốc CPU phù hợp](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)."},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"Trang có thể không tải như dự kiến do URL kiểm tra của bạn ({requested}) đã được chuyển hướng tới {final}. Hãy thử kiểm tra trực tiếp URL thứ hai."},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"Trang này tải quá chậm nên không hoàn tất được trong giới hạn thời gian. Các kết quả có thể chưa hoàn chỉnh."},"lighthouse-core/gather/driver/storage.js | warningData":{
message:"{locationCount,plural, =1{Dữ liệu đã lưu trữ có thể ảnh hưởng đến hiệu suất tải ở vị trí này: {locations}. Hãy kiểm tra trang này trong một cửa sổ ẩn danh để ngăn các tài nguyên đó ảnh hưởng đến điểm hiệu suất của bạn.}other{Dữ liệu đã lưu trữ có thể ảnh hưởng đến hiệu suất tải ở các vị trí này: {locations}. Hãy kiểm tra trang này trong một cửa sổ ẩn danh để ngăn các tài nguyên đó ảnh hưởng đến điểm hiệu suất của bạn.}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:'Hãy cân nhắc thêm giao thức URL https: và http: (bị các trình duyệt hỗ trợ "strict-dynamic" bỏ qua) để tương thích ngược với những trình duyệt cũ.'},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"Kể từ CSP3, disown-opener sẽ không được dùng nữa. Vui lòng sử dụng tiêu đề Cross-Origin-Opener-Policy."},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"Kể từ CSP2, referrer sẽ không được dùng nữa. Vui lòng sử dụng tiêu đề Referrer-Policy."},
"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"Kể từ CSP2, reflected-xss sẽ không được dùng nữa. Vui lòng sử dụng tiêu đề X-XSS-Protection."},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:'Nếu thiếu base-uri, các thẻ <base> có thể được chèn vào để đặt URL cơ sở cho mọi URL tương đối (ví dụ: tập lệnh) đến miền do kẻ tấn công kiểm soát. Hãy cân nhắc đặt base-uri thành "none" hoặc "self".'},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:'Các phần tử do object-src kiểm soát được xem là tính năng cũ. Hãy cân nhắc đặt object-src thành "none" để ngăn chặn hành vi chèn các trình bổ trợ thực thi tập lệnh không an toàn.'},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"Thiếu lệnh script-src. Khi không có lệnh này, các tập lệnh không an toàn có thể được thực thi."},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"Bạn quên dấu chấm phẩy ư? {keyword} có vẻ giống lệnh hơn là từ khóa."},
"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces phải dùng bộ ký tự base64."},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces phải có độ dài tối thiểu là 8 ký tự."},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"Đích báo cáo này chỉ được định cấu hình thông qua lệnh report-to. Chỉ các trình duyệt dựa trên Chromium mới hỗ trợ lệnh này. Do đó, bạn nên dùng cả lệnh report-uri."},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"Không có CSP nào định cấu hình đích báo cáo. Điều này sẽ gây khó khăn cho việc duy trì CSP theo thời gian và giám sát mọi sự cố."},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:'Danh sách máy chủ cho phép có thể thường xuyên bị bỏ qua. Hãy cân nhắc dùng "strict-dynamic" cùng với nonces hoặc hashes của CSP.'},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"Lệnh CSP không xác định."},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{
message:"Có vẻ như {keyword} là một từ khóa không hợp lệ."},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:'"unsafe-inline" cho phép thực thi nhiều trình xử lý sự kiện và tập lệnh không an toàn trong trang. Hãy cân nhắc dùng nonces hoặc hashes của CSP để cho phép thực thi từng tập lệnh.'},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:'Hãy cân nhắc thêm "unsafe-inline" (bị các trình duyệt hỗ trợ nonces/hashes bỏ qua) để tương thích ngược với những trình duyệt cũ.'},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"Thời gian chặn chuỗi chính"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"Thời gian tồn tại (TTL) của bộ nhớ đệm"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"Nội dung mô tả"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"Thời lượng"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"Phần tử"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{
message:"Các phần tử không đạt"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"Vị trí"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"Tên"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"Vượt ngân sách"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"Số yêu cầu"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"Kích thước tài nguyên"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"Loại tài nguyên"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"Kích thước"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"Nguồn"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"Thời gian bắt đầu"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"Thời gian sử dụng"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"Kích thước cần chuyển"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"URL"},
"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"Lượng dữ liệu có thể tiết kiệm được"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"Thời gian có thể tiết kiệm được"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"Lượng dữ liệu có thể tiết kiệm được là {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{Tìm thấy 1 phần tử}other{Tìm thấy # phần tử}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"Thời gian có thể tiết kiệm được là {wastedMs, number, milliseconds} mili giây"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"Tài liệu"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{
message:"Hình ảnh có ý nghĩa đầu tiên"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"Phông chữ"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"Hình ảnh"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"Cao"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"Thấp"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"Trung bình"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"Thời gian phản hồi lần tương tác đầu tiên tối đa có thể"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"Nội dung nghe nhìn"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} mili giây"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"Khác"},
"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"Tài nguyên khác"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"Tập lệnh"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} giây"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"Biểu định kiểu"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"Bên thứ ba"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"Tổng"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"Đã xảy ra lỗi khi ghi dấu vết quá trình tải trang của bạn. Vui lòng chạy lại Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"Đã hết thời gian chờ kết nối với Giao thức của trình gỡ lỗi ban đầu ban đầu."},
"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome không thu thập được bất kỳ ảnh chụp màn hình nào trong quá trình tải trang. Hãy đảm bảo trang có nội dung hiển thị, sau đó thử chạy lại Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"Máy chủ DNS không thể phân giải miền đã cung cấp."},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"Trình thu thập {artifactName} bắt buộc đã gặp lỗi: {errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Đã xảy ra lỗi Chrome nội bộ. Vui lòng khởi động lại Chrome và thử chạy lại Lighthouse."},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"Trình thu thập {artifactName} bắt buộc không chạy."},"lighthouse-core/lib/lh-error.js | noFcp":{message:"Trang này chưa có nội dung nào. Hãy đảm bảo bạn hiển thị cửa sổ trình duyệt ở nền trước trong khi tải rồi thử lại. ({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{
message:"Trang đã cung cấp không phải là HTML (được phân phối ở dạng loại MIME {mimeType})."},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:'Phiên bản Chrome này đã quá cũ nên không hỗ trợ "{featureName}". Hãy sử dụng phiên bản mới hơn để xem kết quả đầy đủ.'},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse không thể tải trang bạn đã yêu cầu một cách đáng tin cậy. Hãy đảm bảo bạn đang kiểm tra URL chính xác và máy chủ đang phản hồi tất cả các yêu cầu đúng cách."},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse không thể tải URL bạn yêu cầu một cách đáng tin cậy vì trang này đã ngừng phản hồi."},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"URL bạn cung cấp không có chứng chỉ bảo mật hợp lệ. {securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{
message:"Chrome đã ngăn tải trang có quảng cáo xen kẽ. Hãy đảm bảo bạn đang kiểm tra URL chính xác và máy chủ đang phản hồi tất cả các yêu cầu đúng cách."},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse không thể tải trang bạn đã yêu cầu một cách đáng tin cậy. Hãy đảm bảo bạn đang kiểm tra URL chính xác và máy chủ đang phản hồi tất cả các yêu cầu đúng cách. (Chi tiết: {errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse không thể tải trang bạn đã yêu cầu một cách đáng tin cậy. Hãy đảm bảo bạn đang kiểm tra URL chính xác và máy chủ đang phản hồi tất cả các yêu cầu đúng cách. (Mã trạng thái: {statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"Thời gian tải trang quá lâu. Hãy thực hiện các khuyến nghị trong báo cáo để giảm thời gian tải trang rồi thử chạy lại Lighthouse. ({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{
message:"Quá trình chờ phản hồi của giao thức DevTools đã vượt quá thời gian phân bổ. (Phương thức: {protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"Quá trình tìm nạp nội dung tài nguyên đã vượt quá thời gian phân bổ"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"URL bạn cung cấp có vẻ không hợp lệ."},"lighthouse-treemap/app/src/util.js | allLabel":{message:"Tất cả"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"Tất cả tập lệnh"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"Độ bao phủ"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"Mô-đun trùng lặp"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"Số byte tài nguyên"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"Tên"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"Ẩn/hiện bảng"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{
message:"Số byte chưa dùng đến"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"Đối với nội dung động, hãy sử dụng [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) để giảm thiểu mức sử dụng CPU khi nội dung nằm ngoài màn hình."},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"Cân nhắc hiển thị tất cả các thành phần [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) của bạn ở định dạng WebP, đồng thời chỉ định phương án dự phòng thích hợp cho các trình duyệt khác. [Tìm hiểu thêm](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)."},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{
message:"Đảm bảo rằng bạn đang sử dụng [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) cho quá trình tự động tải từng phần đối với hình ảnh. [Tìm hiểu thêm](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)."},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"Sử dụng các công cụ như [Trình tối ưu hóa AMP](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) để [hiển thị các bố cục AMP ở phía máy chủ](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)."},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"Tham khảo [tài liệu về AMP](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) để đảm bảo tất cả các kiểu đều được hỗ trợ."},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"Thành phần [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) hỗ trợ thuộc tính [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) để chỉ định tài sản hình ảnh sẽ sử dụng dựa trên kích thước màn hình. [Tìm hiểu thêm](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"Cân nhắc cuộn ảo bằng Component Dev Kit (CDK) nếu đang hiển thị danh sách rất lớn. [Tìm hiểu thêm](https://web.dev/virtualize-lists-with-angular-cdk/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"Áp dụng tùy chọn [phân tách mã cấp định tuyến](https://web.dev/route-level-code-splitting-in-angular/) để giảm thiểu kích thước của các gói JavaScript. Đồng thời, cân nhắc lưu trước vào bộ nhớ đệm các tài sản có [trình chạy dịch vụ Angular](https://web.dev/precaching-with-the-angular-service-worker/)."},
"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"Nếu bạn đang dùng giao diện dòng lệnh (CLI) Angular, hãy đảm bảo các bản dựng được tạo ở chế độ sản xuất. [Tìm hiểu thêm](https://angular.io/guide/deployment#enable-runtime-production-mode)."},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"Nếu bạn đang dùng giao diện dòng lệnh (CLI) Angular, hãy đưa các sơ đồ nguồn vào bản phát hành chính thức để kiểm tra các gói của bạn. [Tìm hiểu thêm](https://angular.io/guide/deployment#inspect-the-bundles)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"Tải trước các mục định tuyến để di chuyển nhanh hơn. [Tìm hiểu thêm](https://web.dev/route-preloading-in-angular/)."},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{
message:"Cân nhắc dùng tiện ích `BreakpointObserver` trong Component Dev Kit (CDK) để quản lý các điểm ngắt hình ảnh. [Tìm hiểu thêm](https://material.angular.io/cdk/layout/overview)."},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"Hãy cân nhắc tải ảnh GIF lên một dịch vụ để có thể nhúng ảnh này ở dạng video HTML5."},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"Chỉ định `@font-display` khi xác định phông chữ tùy chỉnh trong giao diện của bạn."},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"Hãy cân nhắc cài đặt và định cấu hình [một mô-đun để tận dụng các định dạng hình ảnh WebP](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) trên trang web của bạn. Những mô-đun như vậy sẽ tự động tạo một phiên bản WebP của hình ảnh mà bạn đã tải lên để tối ưu hóa thời gian tải."},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"Cài đặt [một mô-đun Drupal](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) có thể tải từng phần hình ảnh. Những mô-đun như vậy cung cấp khả năng trì hoãn mọi hình ảnh ngoài màn hình nhằm cải thiện hiệu suất."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"Hãy cân nhắc sử dụng một mô-đun cùng dòng với CSS và JavaScript quan trọng, hoặc có khả năng tải không đồng bộ các tài sản qua JavaScript, chẳng hạn như mô-đun [Tổng hợp CSS/JavaScript nâng cao](https://www.drupal.org/project/advagg). Hãy lưu ý rằng những tùy chọn tối ưu hóa mà mô-đun này cung cấp có thể làm hỏng trang web của bạn. Do đó, bạn có thể phải thay đổi mã."},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"Giao diện, mô-đun và thông số máy chủ đều tác động đến thời gian phản hồi của máy chủ. Hãy cân nhắc tìm một giao diện tối ưu hóa hơn, lựa chọn cẩn thận mô-đun tối ưu hóa và/hoặc nâng cấp máy chủ. Các máy chủ lưu trữ nên tận dụng tính năng lưu mã vận hành PHP vào bộ nhớ đệm, tính năng lưu vào bộ nhớ đệm để giảm thiểu số lần truy vấn cơ sở dữ liệu, chẳng hạn như Redis hoặc Memcached, cũng như tận dụng logic của ứng dụng được tối ưu hóa để tải trang nhanh hơn."},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"Hãy cân nhắc sử dụng [Kiểu hình ảnh thích ứng](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) để giảm kích thước của hình ảnh tải trên trang. Nếu bạn đang sử dụng Views để hiển thị nhiều mục nội dung trên một trang, hãy cân nhắc triển khai quá trình phân trang để giới hạn số mục nội dung hiển thị trên trang cụ thể."},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{
message:'Đảm bảo bạn đã bật tùy chọn "Aggregate CSS files" (Tổng hợp các tệp CSS) trên trang "Administration » Configuration » Development" (Quản trị > Cấu hình > Phát triển). Bạn cũng có thể định cấu hình những tùy chọn tổng hợp nâng cao hơn thông qua các [mô-đun bổ sung](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) để tăng tốc độ của trang web bằng cách ghép nối, giảm kích thước và nén các kiểu CSS.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:'Đảm bảo bạn đã bật tùy chọn "Aggregate JavaScript files" (Tổng hợp các tệp JavaScript) trên trang "Administration » Configuration » Development" (Quản trị > Cấu hình > Phát triển). Bạn cũng có thể định cấu hình những tùy chọn tổng hợp nâng cao hơn thông qua các [mô-đun bổ sung](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) để tăng tốc độ của trang web bằng cách ghép nối, giảm kích thước và nén các tài sản JavaScript.'},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{
message:"Hãy cân nhắc xóa các quy tắc CSS không dùng đến và chỉ đính kèm các thư viện Drupal cần thiết vào trang hoặc thành phần liên quan trên trang. Truy cập vào [đường liên kết đến tài liệu về Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) để biết thông tin chi tiết. Để xác định các thư viện đã đính kèm đang thêm CSS không liên quan, hãy thử chạy [phạm vi của mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong Chrome DevTools. Bạn có thể xác định giao diện/mô-đun gây ra tình trạng này từ URL của tệp định kiểu khi tính năng tổng hợp CSS bị tắt trên trang web Drupal. Hãy chú ý đến những giao diện/mô-đun có nhiều tệp định kiểu trong danh sách. Những giao diện/mô-đun này có nhiều màu đỏ trong phạm vi của mã. Mỗi giao diện/mô-đun chỉ nên thêm một tệp định kiểu vào hàng đợi nếu tệp định kiểu đó thực sự được sử dụng trên trang."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"Hãy cân nhắc xóa những tài sản JavaScript không dùng đến và chỉ đính kèm các thư viện Drupal cần thiết vào trang hoặc thành phần liên quan trên trang. Truy cập vào [đường liên kết đến tài liệu về Drupal](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) để biết thông tin chi tiết. Để xác định các thư viện đã đính kèm đang thêm JavaScript không liên quan, hãy thử chạy [phạm vi của mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong Chrome DevTools. Bạn có thể xác định giao diện/mô-đun gây ra tình trạng này từ URL của tập lệnh khi tính năng tổng hợp JavaScript bị tắt trên trang web Drupal. Hãy chú ý đến những giao diện/mô-đun có nhiều tập lệnh trong danh sách. Những giao diện/mô-đun này có nhiều màu đỏ trong phạm vi của mã. Mỗi giao diện/mô-đun chỉ nên thêm một tập lệnh vào hàng đợi nếu tập lệnh đó thực sự được sử dụng trên trang."},
"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:'Đặt "Browser and proxy cache maximum age" (Thời gian tồn tại tối đa của bộ nhớ đệm proxy và trình duyệt) trên trang "Administration » Configuration » Development" (Quản trị > Cấu hình > Phát triển). Hãy đọc về [Bộ nhớ đệm Drupal và tối ưu hóa cho hiệu suất](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).'},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"Hãy cân nhắc sử dụng [một mô-đun](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) tự động tối ưu hóa và giảm kích thước của hình ảnh tải lên qua trang web trong khi vẫn giữ được chất lượng. Ngoài ra, hãy đảm bảo bạn đang sử dụng [Kiểu hình ảnh thích ứng](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) gốc do Drupal cung cấp (có trong Drupal 8 trở lên) cho tất cả hình ảnh hiển thị trên trang web."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{
message:"Bạn có thể thêm các gợi ý về tài nguyên kết nối trước hoặc tìm nạp DNS trước bằng cách cài đặt và định cấu hình [một mô-đun](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) cung cấp các công cụ để gợi ý tài nguyên cho tác nhân người dùng."},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{message:"Đảm bảo rằng bạn đang sử dụng [Kiểu hình ảnh thích ứng](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) gốc do Drupal cung cấp (có trong Drupal 8 trở lên). Hãy sử dụng Kiểu hình ảnh thích ứng khi hiển thị các trường hình ảnh thông qua chế độ xem, giao diện xem hoặc hình ảnh tải lên bằng trình chỉnh sửa WYSIWYG."},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{
message:"Hãy cân nhắc tải ảnh GIF lên một dịch vụ để có thể nhúng ảnh này ở dạng video HTML5."},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"Hãy cân nhắc sử dụng một [trình bổ trợ](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) hoặc dịch vụ tự động chuyển đổi các hình ảnh đã tải lên sang định dạng tối ưu."},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"Hãy cài đặt một [trình bổ trợ tải từng phần của Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) giúp trì hoãn mọi hình ảnh ngoài màn hình, hoặc chuyển sang một mẫu cung cấp chức năng đó. Kể từ Joomla 4.0, mọi hình ảnh mới sẽ [tự động](https://github.com/joomla/joomla-cms/pull/30748) có thuộc tính`loading` nhận được từ lõi."},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"Một số trình bổ trợ của Joomla có thể giúp bạn [đưa các tài sản quan trọng vào cùng dòng](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) hoặc [trì hoãn những tài nguyên ít quan trọng hơn](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Hãy lưu ý rằng những tùy chọn tối ưu hóa mà các trình bổ trợ này cung cấp có thể phá hỏng tính năng của mẫu hoặc trình bổ trợ. Do đó, bạn cần thử nghiệm kỹ lưỡng các tùy chọn này."},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"Mẫu, tiện ích và thông số máy chủ đều tác động đến thời gian phản hồi của máy chủ. Hãy cân nhắc tìm một mẫu tối ưu hóa hơn, lựa chọn cẩn thận tiện ích tối ưu hóa và/hoặc nâng cấp máy chủ."},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{
message:"Hãy cân nhắc hiển thị phần trích dẫn trong danh mục bài viết của bạn (ví dụ: thông qua đường liên kết đọc thêm), giảm số lượng bài viết hiển thị trên một trang cụ thể, chia các bài viết dài thành nhiều trang hoặc sử dụng một trình bổ trợ để tải nhận xét theo từng phần."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"Một số [tiện ích Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) có thể làm tăng tốc độ của trang web bằng cách ghép nối, giảm kích thước và nén các kiểu CSS. Ngoài ra, còn có các mẫu cung cấp chức năng này."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"Một số [tiện ích Joomla](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) có thể làm tăng tốc độ của trang web bằng cách ghép nối, giảm kích thước và nén các tập lệnh. Ngoài ra, còn có các mẫu cung cấp chức năng này."},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"Hãy cân nhắc giảm hoặc chuyển đổi số lượng [tiện ích Joomla](https://extensions.joomla.org/) tải CSS không dùng đến trên trang của bạn. Để xác định các tiện ích đang thêm CSS không liên quan, hãy thử chạy [phạm vi của mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong Chrome DevTools. Bạn có thể xác định giao diện/trình bổ trợ gây ra tình trạng này từ URL của tệp định kiểu. Hãy chú ý đến những trình bổ trợ có nhiều tệp định kiểu trong danh sách. Những trình bổ trợ này có nhiều màu đỏ trong phạm vi của mã. Mỗi trình bổ trợ chỉ nên thêm một tệp định kiểu vào hàng đợi nếu tệp định kiểu đó thực sự được sử dụng trên trang."},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{
message:"Hãy cân nhắc giảm hoặc chuyển đổi số lượng [tiện ích Joomla](https://extensions.joomla.org/) tải các tệp JavaScript không dùng đến trên trang của bạn. Để xác định các trình bổ trợ đang thêm JavaScript không liên quan, hãy thử chạy [phạm vi của mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong Chrome DevTools. Bạn có thể xác định tiện ích gây ra tình trạng này từ URL của tập lệnh. Hãy chú ý đến những tiện ích có nhiều tập lệnh trong danh sách. Những tiện ích này có nhiều màu đỏ trong phạm vi của mã. Mỗi tiện ích chỉ nên thêm một tập lệnh vào hàng đợi nếu tập lệnh đó thực sự được sử dụng trên trang."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"Hãy đọc về tính năng [Lưu vào bộ nhớ đệm của trình duyệt trong Joomla](https://docs.joomla.org/Cache)."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{
message:"Hãy cân nhắc sử dụng một [trình bổ trợ tối ưu hóa hình ảnh](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) có khả năng nén hình ảnh mà vẫn giữ được chất lượng."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"Hãy cân nhắc dùng một [trình bổ trợ hình ảnh thích ứng](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) để sử dụng các hình ảnh thích ứng trong nội dung của bạn."},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"Bạn có thể bật tính năng nén văn bản bằng cách bật tính năng Nén trang Gzip trong Joomla (System > Global configuration > Server (Hệ thống > Cấu hình chung > Máy chủ))."},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"Nếu bạn hiện không nhóm các nội dung JavaScript của mình, hãy cân nhắc dùng [trình đóng gói](https://github.com/magento/baler)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"Tắt tùy chọn [giảm kích thước và nhóm JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) tích hợp của Magento, đồng thời cân nhắc dùng [trình đóng gói](https://github.com/magento/baler/)."},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"Chỉ định `@font-display` khi [xác định phông chữ tùy chỉnh](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"Cân nhắc tìm kiếm nhiều tiện ích của bên thứ ba trên [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) để tận dụng những định dạng hình ảnh mới."},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{
message:"Cân nhắc sửa đổi mẫu danh mục và sản phẩm để tận dụng tính năng [tải từng phần](https://web.dev/native-lazy-loading) của nền tảng web."},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"Sử dụng tính năng [tích hợp Varnish](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html) của Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:'Bật tùy chọn "Giảm kích thước tệp CSS" trong phần cài đặt dành cho Nhà phát triển của cửa hàng. [Tìm hiểu thêm](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).'},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{
message:"Sử dụng [Terser](https://www.npmjs.com/package/terser) để giảm kích thước của tất cả tài sản JavaScript trong quá trình triển khai nội dung tĩnh, đồng thời tắt tính năng giảm kích thước tích hợp."},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"Tắt tùy chọn [nhóm JavaScript](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html) tích hợp của Magento."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"Cân nhắc tìm kiếm nhiều tiện ích của bên thứ ba trên [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) để tối ưu hóa hình ảnh."},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"Có thể thêm các gợi ý về tài nguyên kết nối trước hoặc tìm nạp DNS trước bằng cách [sửa đổi bố cục của một giao diện](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"Có thể thêm thẻ `<link rel=preload>` bằng cách [sửa đổi bố cục của một giao diện](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[Thay thế ảnh GIF động bằng video](https://web.dev/replace-gifs-with-videos/) để tải trang web nhanh hơn, đồng thời cân nhắc sử dụng các định dạng tệp hiện đại như [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) hay [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) để cải thiện hiệu quả nén thêm hơn 30% so với codec video tiên tiến hiện tại là VP9."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"Hãy cân nhắc sử dụng một [trình bổ trợ](https://octobercms.com/plugins?search=image) hoặc dịch vụ tự động chuyển đổi các hình ảnh đã tải lên sang định dạng tối ưu. [Hình ảnh ở định dạng WebP không suy hao](https://developers.google.com/speed/webp) có kích thước nhỏ hơn 26% so với hình ảnh ở định dạng PNG và 25 – 34% so với hình ảnh JPEG tương đương với chỉ số chất lượng SSIM như nhau. Một định dạng hình ảnh mới khác nên cân nhắc là [AVIF](https://jakearchibald.com/2020/avif-has-landed/)."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"Hãy cân nhắc cài đặt một [trình bổ trợ giúp tải hình ảnh theo từng phần](https://octobercms.com/plugins?search=lazy) để trì hoãn mọi hình ảnh ngoài màn hình, hoặc chuyển sang một giao diện cung cấp chức năng đó. Ngoài ra, hãy cân nhắc sử dụng [trình bổ trợ Accelerated Mobile Pages (AMP)](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"Có nhiều trình bổ trợ giúp [đưa các tài sản quan trọng vào cùng dòng](https://octobercms.com/plugins?search=css). Các trình bổ trợ này có thể phá hỏng những trình bổ trợ khác. Do đó, bạn nên thử nghiệm kỹ lưỡng."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"Giao diện, trình bổ trợ và thông số máy chủ đều tác động đến thời gian phản hồi của máy chủ. Hãy cân nhắc tìm một giao diện tối ưu hóa hơn, lựa chọn cẩn thận trình bổ trợ tối ưu hóa và/hoặc nâng cấp máy chủ. October CMS cũng cho phép nhà phát triển dùng [`Queues`](https://octobercms.com/docs/services/queues) để trì hoãn quá trình xử lý một nhiệm vụ tốn nhiều thời gian, chẳng hạn như gửi email. Điều này giúp tăng tốc đáng kể cho các yêu cầu web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{
message:"Hãy cân nhắc hiển thị phần trích dẫn trong danh sách bài đăng (ví dụ: sử dụng nút `show more`), giảm số lượng bài đăng hiển thị trên một trang web cụ thể, chia các bài đăng dài thành nhiều trang web hoặc sử dụng một trình bổ trợ để tải bình luận theo từng phần."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"Có nhiều [trình bổ trợ](https://octobercms.com/plugins?search=css) có thể làm tăng tốc độ của trang web bằng cách ghép nối, giảm kích thước và nén các kiểu. Việc sử dụng quy trình xây dựng để thực hiện trước quá trình giảm kích thước này có thể đẩy nhanh tốc độ phát triển."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{
message:"Có nhiều [trình bổ trợ](https://octobercms.com/plugins?search=javascript) có thể làm tăng tốc độ của trang web bằng cách ghép nối, giảm kích thước và nén các tập lệnh. Việc sử dụng quy trình xây dựng để thực hiện trước quá trình giảm kích thước này có thể đẩy nhanh tốc độ phát triển."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"Hãy xem xét những [trình bổ trợ](https://octobercms.com/plugins) tải tệp CSS không dùng đến trên trang web. Để xác định các trình bổ trợ thêm tệp CSS không cần thiết, hãy chạy phần [mức độ sử dụng mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong công cụ cho nhà phát triển của Chrome. Bạn có thể xác định giao diện/trình bổ trợ gây ra tình trạng này từ URL biểu định kiểu. Hãy tìm các trình bổ trợ chứa nhiều biểu định kiểu có nhiều màu đỏ trong phần mức độ sử dụng mã. Mỗi trình bổ trợ chỉ nên thêm một biểu định kiểu nếu biểu định kiểu đó thực sự được sử dụng trên trang web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"Hãy xem xét những [trình bổ trợ](https://octobercms.com/plugins?search=javascript) tải các tệp JavaScript không dùng đến trên trang web. Để xác định các trình bổ trợ thêm tệp JavaScript không cần thiết, hãy chạy phần [mức độ sử dụng mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong công cụ cho nhà phát triển của Chrome. Bạn có thể xác định giao diện/trình bổ trợ gây ra tình trạng này từ URL của tập lệnh. Hãy tìm các trình bổ trợ chứa nhiều tập lệnh có nhiều màu đỏ trong phần mức độ sử dụng mã. Mỗi trình bổ trợ chỉ nên thêm một tập lệnh nếu tập lệnh đó thực sự được sử dụng trên trang web."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"Hãy đọc cách [tránh những yêu cầu không cần thiết về mạng nhờ Bộ nhớ đệm HTTP](https://web.dev/http-cache/#caching-checklist). Có nhiều [trình bổ trợ](https://octobercms.com/plugins?search=Caching) mà bạn có thể dùng để tăng tốc độ lưu vào bộ nhớ đệm."},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"Hãy cân nhắc sử dụng một [trình bổ trợ tối ưu hóa hình ảnh](https://octobercms.com/plugins?search=image) để nén hình ảnh mà vẫn giữ được chất lượng."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"Trực tiếp tải hình ảnh lên trong trình quản lý nội dung nghe nhìn để đảm bảo có sẵn các kích thước hình ảnh theo yêu cầu. Hãy cân nhắc dùng [bộ lọc đổi kích thước](https://octobercms.com/docs/markup/filter-resize) hoặc một [trình bổ trợ đổi kích thước hình ảnh](https://octobercms.com/plugins?search=image) để đảm bảo sử dụng kích thước hình ảnh tối ưu."},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"Bật tính năng nén văn bản trong cấu hình máy chủ web."},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:'Hãy cân nhắc dùng một thư viện "tạo cửa sổ" như `react-window` để giảm thiểu số nút DOM được tạo nếu bạn đang hiển thị nhiều phần tử lặp lại trên trang. [Tìm hiểu thêm](https://web.dev/virtualize-long-lists-react-window/). Đồng thời, hãy giảm thiểu các thao tác hiển thị lại không cần thiết bằng [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) hoặc [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) và tùy chọn [bỏ qua hiệu ứng](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) cho đến khi một số phần phụ thuộc thay đổi, nếu bạn đang dùng hook `Effect` để cải thiện hiệu suất trong thời gian chạy.'},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{
message:"Nếu bạn đang dùng React Router, hãy giảm thiểu mức sử dụng thành phần `<Redirect>` để [định tuyến](https://reacttraining.com/react-router/web/api/Redirect)."},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{message:"Nếu bạn đang hiển thị bất kỳ thành phần React nào ở phía máy chủ, hãy cân nhắc dùng `renderToNodeStream()` hoặc `renderToStaticNodeStream()` để cho phép ứng dụng nhận và nhập những phần khác nhau của mục đánh dấu thay vì tất cả cùng lúc. [Tìm hiểu thêm](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)."},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"Nếu hệ thống bản dựng của bạn tự động giảm kích thước tệp CSS, hãy đảm bảo rằng bạn đang triển khai bản phát hành chính thức của ứng dụng. Bạn có thể kiểm tra điều này bằng tiện ích React Developer Tools. [Tìm hiểu thêm](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},
"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"Nếu hệ thống bản dựng của bạn tự động giảm kích thước tệp JS, hãy đảm bảo rằng bạn đang triển khai bản phát hành chính thức của ứng dụng. Bạn có thể kiểm tra điều này bằng tiện ích React Developer Tools. [Tìm hiểu thêm](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)."},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"Nếu bạn không định hiển thị phía máy chủ, hãy [phân tách các gói JavaScript](https://web.dev/code-splitting-suspense/) bằng `React.lazy()`. Nếu không, hãy phân tách mã bằng một thư viện của bên thứ ba như [các thành phần có thể tải](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)."},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{
message:"Sử dụng Trình phân tích tài nguyên React DevTools, công cụ dùng API Trình phân tích tài nguyên để đo lường hiệu suất hiển thị của các thành phần. [Tìm hiểu thêm.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"Hãy cân nhắc tải ảnh GIF lên một dịch vụ để có thể nhúng ảnh này ở dạng video HTML5."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"Hãy cân nhắc sử dụng một [trình bổ trợ](https://wordpress.org/plugins/search/convert+webp/) hoặc dịch vụ tự động chuyển đổi các hình ảnh đã tải lên sang định dạng tối ưu."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"Cài đặt một [plugin tải từng phần của WordPress](https://wordpress.org/plugins/search/lazy+load/) để trì hoãn mọi hình ảnh ngoài màn hình, hoặc chuyển sang một giao diện cung cấp chức năng đó. Ngoài ra, hãy cân nhắc sử dụng [plugin AMP (Accelerated Mobile Pages)](https://wordpress.org/plugins/amp/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"Có một số plugin của WordPress có thể giúp bạn [đưa phần tử quan trọng vào nội tuyến](https://wordpress.org/plugins/search/critical+css/) hoặc [trì hoãn tài nguyên ít quan trọng hơn](https://wordpress.org/plugins/search/defer+css+javascript/). Xin lưu ý rằng những phương thức tối ưu hóa mà các plugin này cung cấp có thể làm gián đoạn tính năng của giao diện hoặc plugin, do đó, có thể bạn cần thay đổi mã."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{
message:"Giao diện, plugin và thông số máy chủ đều tác động đến thời gian phản hồi của máy chủ. Hãy cân nhắc tìm một giao diện được tối ưu hóa, lựa chọn cẩn thận một plugin tối ưu hóa và/hoặc nâng cấp máy chủ."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"Hãy cân nhắc hiển thị phần trích dẫn trong danh sách bài đăng (ví dụ như qua thẻ thêm), giảm số lượng bài đăng hiển thị trên một trang cụ thể, chia các bài đăng dài thành nhiều trang hoặc sử dụng một plugin để tải nhận xét theo từng phần."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"Một số [plugin của WordPress](https://wordpress.org/plugins/search/minify+css/) có thể làm tăng tốc độ của trang web bằng cách ghép, giảm kích thước và nén kiểu. Bạn cũng có thể dùng quy trình tạo để tiến hành thu nhỏ trước, nếu có thể."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{
message:"Một số [plugin của WordPress](https://wordpress.org/plugins/search/minify+javascript/) có thể làm tăng tốc độ của trang web bằng cách ghép, giảm kích thước và nén tập lệnh. Ngoài ra, bạn nên dùng quy trình tạo để tiến hành thu nhỏ trước, nếu có thể."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{
message:"Hãy cân nhắc giảm hoặc chuyển đổi số lượng [plugin của WordPress](https://wordpress.org/plugins/) tải Biểu định kiểu xếp chồng (CSS) không dùng đến trong trang của bạn. Để xác định các plugin đang thêm Biểu định kiểu xếp chồng (CSS) không liên quan, hãy thử chạy [phạm vi của mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong Chrome DevTools. Bạn có thể xác định giao diện/plugin gây ra tình trạng này từ URL của biểu định kiểu. Hãy chú ý đến những plugin có nhiều biểu định kiểu trong danh sách. Những plugin này có nhiều màu đỏ trong phạm vi của mã. Một plugin chỉ nên thêm một biểu định kiểu vào hàng đợi nếu biểu định kiểu đó thực sự được sử dụng trên trang."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"Hãy cân nhắc giảm hoặc chuyển đổi số lượng [plugin của WordPress](https://wordpress.org/plugins/) tải JavaScript không dùng đến trong trang của bạn. Để xác định các plugin đang thêm JS không liên quan, hãy thử chạy [phạm vi của mã](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) trong Chrome DevTools. Bạn có thể xác định giao diện/plugin gây ra tình trạng này từ URL của tập lệnh. Hãy chú ý đến những plugin có nhiều tập lệnh trong danh sách. Những plugin này có nhiều màu đỏ trong phạm vi của mã. Một plugin chỉ nên thêm một tập lệnh vào hàng đợi nếu tập lệnh đó thực sự được dùng trên trang."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"Hãy đọc về [Bộ nhớ đệm của trình duyệt trong WordPress](https://wordpress.org/support/article/optimization/#browser-caching)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{
message:"Hãy cân nhắc sử dụng một [trình bổ trợ tối ưu hóa hình ảnh của WordPress](https://wordpress.org/plugins/search/optimize+images/) có khả năng nén hình ảnh mà vẫn đảm bảo chất lượng."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"Trực tiếp tải hình ảnh lên thông qua [thư viện nội dung đa phương tiện](https://wordpress.org/support/article/media-library-screen/) để đảm bảo có các kích thước hình ảnh theo yêu cầu, sau đó chèn hình ảnh từ thư viện nội dung đa phương tiện hoặc sử dụng tiện ích hình ảnh để đảm bảo sử dụng kích thước hình ảnh tối ưu (bao gồm cả các kích thước dành cho điểm ngắt thích ứng). Tránh sử dụng hình ảnh có `Full Size` trừ khi những hình ảnh đó có kích thước phù hợp. [Tìm hiểu thêm](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)."},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{
message:"Bạn có thể bật tính năng nén văn bản trong cấu hình máy chủ web."},"report/renderer/util.js | calculatorLink":{message:"Xem máy tính."},"report/renderer/util.js | crcInitialNavigation":{message:"Điều hướng ban đầu"},"report/renderer/util.js | crcLongestDurationLabel":{message:"Độ trễ tối đa của đường dẫn quan trọng:"},"report/renderer/util.js | dropdownCopyJSON":{message:"Sao chép đối tượng JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"Bật/tắt Giao diện tối"},"report/renderer/util.js | dropdownPrintExpanded":{message:"Mở rộng trong hộp thoại in"},"report/renderer/util.js | dropdownPrintSummary":{message:"Báo cáo tóm tắt trong hộp thoại in"},"report/renderer/util.js | dropdownSaveGist":{message:"Lưu dưới dạng Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"Lưu dưới dạng HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"Lưu dưới dạng JSON"},"report/renderer/util.js | dropdownViewer":{message:"Mở trong trình xem"},
"report/renderer/util.js | errorLabel":{message:"Lỗi!"},"report/renderer/util.js | errorMissingAuditInfo":{message:"Lỗi báo cáo: không có thông tin kiểm tra"},"report/renderer/util.js | footerIssue":{message:"Tạo vấn đề"},"report/renderer/util.js | labDataTitle":{message:"Dữ liệu của phòng thí nghiệm"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"Kết quả phân tích [Lighthouse](https://developers.google.com/web/tools/lighthouse/) cho trang hiện tại dựa trên một mạng di động mô phỏng. Các giá trị chỉ là ước tính và có thể thay đổi."},"report/renderer/util.js | manualAuditsGroupTitle":{message:"Các mục bổ sung cần kiểm tra theo cách thủ công"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"Không áp dụng"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"Cơ hội"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"Thời lượng tiết kiệm được theo ước tính"},"report/renderer/util.js | passedAuditsGroupTitle":{
message:"Số lần kiểm tra đạt yêu cầu"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"Màn hình mô phỏng"},"report/renderer/util.js | runtimeMobileEmulation":{message:"Mô phỏng Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"Chưa đặt tùy chọn mô phỏng"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Phiên bản Axe"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"Công suất CPU/Bộ nhớ"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"Điều tiết CPU"},"report/renderer/util.js | runtimeSettingsChannel":{message:"Kênh"},"report/renderer/util.js | runtimeSettingsDevice":{message:"Thiết bị"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"Thời gian tìm nạp"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"Hạn chế băng thông mạng"},"report/renderer/util.js | runtimeSettingsTitle":{message:"Các tùy chọn cài đặt thời gian chạy"},"report/renderer/util.js | runtimeSettingsUA":{
message:"Tác nhân người dùng (máy chủ)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"Tác nhân người dùng (mạng)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"URL"},"report/renderer/util.js | runtimeUnknown":{message:"Không xác định"},"report/renderer/util.js | showRelevantAudits":{message:"Hiển thị các lượt kiểm tra liên quan đến:"},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"Thu gọn đoạn mã"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"Mở rộng đoạn mã"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"Hiển thị tài nguyên của bên thứ ba"},"report/renderer/util.js | throttlingProvided":{message:"Cung cấp theo môi trường"},"report/renderer/util.js | toplevelWarningsMessage":{message:"Đã xảy ra sự cố ảnh hưởng đến lần chạy Lighthouse này:"},"report/renderer/util.js | varianceDisclaimer":{
message:"Các giá trị chỉ là ước tính và có thể thay đổi. [Điểm hiệu quả được tính](https://web.dev/performance-scoring/) trực tiếp từ những chỉ số này."},"report/renderer/util.js | viewTreemapLabel":{message:"Xem Biểu đồ dạng cây"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"Đã vượt qua bài kiểm tra nhưng có cảnh báo"},"report/renderer/util.js | warningHeader":{message:"Cảnh báo: "}}},{}],144:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"快速鍵可讓使用者快速聚焦網頁的特定部分。如要讓使用者正確瀏覽，每個快速鍵一律不可重複。[瞭解詳情](https://web.dev/accesskeys/)。"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` 的值重複"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` 值獨一無二"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"每個 ARIA「`role`」都支援一部分特定的「`aria-*`」屬性。配對錯誤會導致「`aria-*`」屬性無效。[瞭解詳情](https://web.dev/aria-allowed-attr/)。"},
"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` 屬性與其角色不符"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` 屬性與其角色相符"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"如果元素沒有無障礙名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`、`link` 和 `menuitem` 元素沒有無障礙名稱。"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`、`link` 和 `menuitem` 元素具有無障礙名稱"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'在 `<body>` 文件上設定 `aria-hidden="true"` 時，輔助技術 (例如螢幕閱讀器) 的運作將無法保持一致。[瞭解詳情](https://web.dev/aria-hidden-body/)。'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`[aria-hidden="true"]` 有在文件 `<body>` 上顯示'},
"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`[aria-hidden="true"]` 沒有在文件 `<body>` 上顯示'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'`[aria-hidden="true"]` 元素中可聚焦的子代會禁止使用輔助技術 (例如螢幕閱讀器) 的使用者存取這些互動元素。[瞭解詳情](https://web.dev/aria-hidden-focus/)。'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` 元素含有可聚焦的子代'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` 元素不含可聚焦的子代'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"如果輸入欄位沒有輔助名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA 輸入欄位沒有輔助名稱"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA 輸入欄位有輔助名稱"},
"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"如果元素沒有無障礙名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` 元素沒有無障礙名稱。"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` 元素具有無障礙名稱"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"如果「`progressbar`」元素沒有無障礙名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` 元素沒有無障礙名稱。"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` 元素具有無障礙名稱"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"部分 ARIA 角色的必要屬性會向螢幕閱讀器使用者說明元素的狀態。[瞭解詳情](https://web.dev/aria-required-attr/)。"},
"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` 未具備所有必要的 `[aria-*]` 屬性"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` 具備所有必要的 `[aria-*]` 屬性"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"部分 ARIA 父角色必須包含特定的子角色，才能正確執行無障礙功能。[瞭解詳情](https://web.dev/aria-required-children/)。"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"包含 ARIA `[role]` 且要求子元素包含特定 `[role]` 的元素缺少部分或全部的必要子元素。"},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"包含 ARIA `[role]` 且要求子元素包含特定 `[role]` 的元素具有全部必要的子元素。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"部分 ARIA 子角色必須包括在特定的父角色中，才能正確執行無障礙功能。[瞭解詳情](https://web.dev/aria-required-parent/)。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` 未包含在必要的父元素中"},
"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` 已包含在必要的父元素中"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA 角色必須具備有效的值，才能執行無障礙功能。[瞭解詳情](https://web.dev/aria-roles/)。"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` 值無效"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` 值有效"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"如果切換欄位沒有輔助名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA 切換欄位沒有輔助名稱"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA 切換欄位有輔助名稱"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"如果元素沒有無障礙名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},
"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` 元素沒有無障礙名稱。"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` 元素具有無障礙名稱"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"如果元素沒有無障礙名稱，螢幕閱讀器只會讀出一般名稱，導致依賴螢幕閱讀器的使用者無法使用該欄位。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` 元素沒有無障礙名稱。"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` 元素具有無障礙名稱"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"輔助技術 (如螢幕閱讀器) 無法解讀具有無效值的 ARIA 屬性。[瞭解詳情](https://web.dev/aria-valid-attr-value/)。"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` 屬性並無有效的值"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` 屬性具備有效的值"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"輔助技術 (例如螢幕閱讀器) 無法解讀名稱無效的 ARIA 屬性。[瞭解詳情](https://web.dev/aria-valid-attr/)。"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` 屬性無效或拼字錯誤"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` 屬性有效且無拼字錯誤"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"審核失敗的元素"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"如果按鈕沒有可存取的名稱，螢幕閱讀器只會讀出「按鈕」，導致依賴螢幕閱讀器的使用者並法使用該按鈕。[瞭解詳情](https://web.dev/button-name/)。"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"按鈕沒有可存取的名稱"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"按鈕有可存取的名稱"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"為重複的內容新增略過選項，可提高鍵盤使用者的網頁瀏覽效率。[瞭解詳情](https://web.dev/bypass/)。"},
"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"網頁中沒有標題、略過連結或地標區域"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"網頁包含標題、略過連結或地標區域"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"大部分使用者難以閱讀或無法閱讀低對比度的文字。[瞭解詳情](https://web.dev/color-contrast/)。"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"背景和前景顏色沒有足夠的對比度。"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"背景和前景顏色有足夠的對比度"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"如果定義清單的標記不正確，螢幕閱讀器可能會輸出令人混淆或不正確的內容。[瞭解詳情](https://web.dev/definition-list/)。"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` 並非只包含排序正確的 `<dt>` 和 `<dd>` 群組、`<script>`、`<template>` 或 `<div>` 元素。"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` 只包含排序正確的 `<dt>` 和 `<dd>` 群組、`<script>`、`<template>` 或 `<div>` 元素。"},
"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"定義清單項目 (`<dt>` 和 `<dd>`) 必須納入在父 `<dl>` 元素中，才能確保螢幕閱讀器正確朗讀這些項目。[瞭解詳情](https://web.dev/dlitem/)。"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"定義清單項目未納入在 `<dl>` 元素中"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"定義清單項目已納入在 `<dl>` 元素中"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"標題可讓螢幕閱讀器使用者概略瞭解網頁內容；搜尋引擎使用者經常需要使用此資料，判斷網頁內容是否與他們的搜尋查詢有關。[瞭解詳情](https://web.dev/document-title/)。"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"文件並無有效的 `<title>` 元素"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"文件具備 `<title>` 元素"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"所有可聚焦元素都必須有不重複的 `id`，以確保輔助技術可以查看這些元素。[瞭解詳情](https://web.dev/duplicate-id-active/)。"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{
message:"已啟用且可聚焦的元素有重複的 `[id]` 屬性"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"已啟用且可聚焦的元素沒有重複的 `[id]` 屬性"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA ID 的值不可重複，以免輔助技術忽略其他例項。[瞭解詳情](https://web.dev/duplicate-id-aria/)。"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ID 重複"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ID 沒有重複"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"使用第一個、最後一個或所有標籤的螢幕閱讀器等輔助技術，可能無法將包含多個標籤的表格欄位正確讀出。[瞭解詳情](https://web.dev/form-field-multiple-labels/)。"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"表格欄位含有多個標籤"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"沒有表格欄位含有多個標籤"},"lighthouse-core/audits/accessibility/frame-title.js | description":{
message:"螢幕閱讀器使用者依賴頁框標題來瞭解頁框內容。[瞭解詳情](https://web.dev/frame-title/)。"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` 或 `<iframe>` 元素沒有標題"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` 或 `<iframe>` 元素包含名稱"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"排序正確且未略過層級的標題可傳達網頁的語意結構，讓您在使用輔助技術時更容易瀏覽及理解。[瞭解詳情](https://web.dev/heading-order/)。"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"標題元素未遞減排序"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"標題元素已遞減排序"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"如果網頁未指定 [lang] 屬性，螢幕閱讀器會假設網頁採用使用者設定螢幕閱讀器時選擇的預設語言。如果網頁實際並非採用預設語言，螢幕閱讀器可能無法正確朗讀文字。[瞭解詳情](https://web.dev/html-has-lang/)。"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` 元素並無 `[lang]` 屬性"},
"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` 元素具備 `[lang]` 屬性"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"指定有效的 [BCP 47 語言](https://www.w3.org/International/questions/qa-choosing-language-tags#question)可協助螢幕閱讀器正確朗讀文字。[瞭解詳情](https://web.dev/html-lang-valid/)。"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` 元素的 `[lang]` 屬性並無有效的值。"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` 元素的 `[lang]` 屬性具備有效的值"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"資訊型元素應提供簡短貼切的替代文字。只要將 alt 屬性留空，系統便會忽略該裝飾元素。[瞭解詳情](https://web.dev/image-alt/)。"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"圖片元素並無 `[alt]` 屬性"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"圖片元素具有 `[alt]` 屬性"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{
message:"如果 `<input>` 按鈕是以圖片呈現，提供替代文字可協助螢幕閱讀器使用者瞭解該按鈕的用途。[瞭解詳情](https://web.dev/input-image-alt/)。"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` 元素未設定 `[alt]` 文字'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` 元素具有 `[alt]` 文字'},"lighthouse-core/audits/accessibility/label.js | description":{message:"標籤可以確保輔助技術 (例如螢幕閱讀器) 正確朗讀表格控制項。[瞭解詳情](https://web.dev/label/)。"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"表格元素沒有相關聯的標籤"},"lighthouse-core/audits/accessibility/label.js | title":{message:"表格元素具有相關聯的標籤"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"使用可辨別、不重複且可聚焦的連結文字 (以及連結圖片的替代文字)，有助改善螢幕閱讀器使用者的瀏覽體驗。[瞭解詳情](https://web.dev/link-name/)。"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"連結並無可辨別的名稱"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"連結具有可辨別的名稱"},
"lighthouse-core/audits/accessibility/list.js | description":{message:"螢幕閱讀器會以特定方式朗讀清單。確認清單採用正確的結構有助螢幕閱讀器順利輸出內容。[瞭解詳情](https://web.dev/list/)。"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"清單中並非只包含 `<li>` 元素和指令碼支援元素 (`<script>` 和 `<template>`)。"},"lighthouse-core/audits/accessibility/list.js | title":{message:"清單只包含 `<li>` 元素和支援指令碼的元素 (`<script>` 和 `<template>`)。"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"清單項目 `<li>` 必須包含在父元素 `<ul>` 或 `<ol>` 中，螢幕閱讀器才能正確朗讀這些項目。[瞭解詳情](https://web.dev/listitem/)。"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"清單項目 (`<li>`) 未包含在 `<ul>` 或 `<ol>` 父元素中。"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"清單項目 (`<li>`) 已包含在 `<ul>` 或 `<ol>` 父元素中。"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"使用者不會預期系統自動重新整理網頁，且執行此操作會將焦點移回網頁頂端。這可能會對使用者造成困擾或混淆。[瞭解詳情](https://web.dev/meta-refresh/)。"},
"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'文件使用 `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'文件未使用 `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"停用縮放功能會對低視力人士造成困擾，他們需要透過螢幕放大功能才能清楚看見網頁內容。[瞭解詳情](https://web.dev/meta-viewport/)。"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`<meta name="viewport">` 元素中使用了 `[user-scalable="no"]`，或 `[maximum-scale]` 屬性少於 5。'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`<meta name="viewport">` 元素中未有使用 `[user-scalable="no"]` 元素，而且 `[maximum-scale]` 屬性少於 5。'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"螢幕閱讀器無法翻譯非文字內容。為 `<object>` 元素新增替代文字，可協助螢幕閱讀器向使用者傳達其意義。[瞭解詳情](https://web.dev/object-alt/)。"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` 元素未設定 `[alt]` 文字"},
"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` 元素具有 `[alt]` 文字"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"如果值大於 0，表示採用的是明確的瀏覽排序。雖然此做法在技術上可行，但通常會對依賴輔助技術的使用者造成困擾。[瞭解詳情](https://web.dev/tabindex/)。"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"部分元素的 `[tabindex]` 值大於 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"所有元素的 `[tabindex]` 值皆未超過 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"螢幕閱讀器的功能可讓使用者更輕鬆瀏覽表格。如能確保採用 `[headers]` 屬性的 `<td>` 儲存格只參照同一表格中的其他儲存格，或許能改善螢幕閱讀器的使用體驗。[瞭解詳情](https://web.dev/td-headers-attr/)。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`<table>` 元素中採用 `[headers]` 屬性的儲存格參照了 `id`，無法在同一表格中找到此元素。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`<table>` 元素中採用 `[headers]` 屬性的儲存格，參照了同一表格中的其他儲存格。"},
"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"螢幕閱讀器的功能可讓使用者更輕鬆瀏覽表格。如能確保表格標題一律參照特定一組儲存格，或許能有助改善螢幕閱讀器使用者的體驗。[瞭解詳情](https://web.dev/th-has-data-cells/)。"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` 元素及帶有 `[role="columnheader"/"rowheader"]` 的元素沒有所描述的資料儲存格。'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` 元素和帶有 `[role="columnheader"/"rowheader"]` 的元素有其描述的資料儲存格。'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"指定元素有效的[[BCP 47 語言](https://www.w3.org/International/questions/qa-choosing-language-tags#question)] 可協助螢幕閱讀器正確朗讀文字。[瞭解詳情](https://web.dev/valid-lang/)。"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` 屬性並無有效的值"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` 屬性具備有效的值"},"lighthouse-core/audits/accessibility/video-caption.js | description":{
message:"如果在影片中提供字幕，將有助於失聰或聽障使用者取得影片資料。[瞭解詳情](https://web.dev/video-caption/)。"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` 元素不含任何帶有 `[kind="captions"]` 的 `<track>` 元素'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` 元素包含帶有 `[kind="captions"]` 的 `<track>` 元素'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"請定義 `apple-touch-icon`。這樣，當 iOS 使用者將漸進式網絡應用程式新增到主畫面時，系統才會顯示正確圖示。apple-touch-icon 必須指向大小為 192 像素 (或 180 像素) 的不透明正方形 PNG。[瞭解詳情](https://web.dev/apple-touch-icon/)。"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"未提供有效的 `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` 版本過舊，建議使用 `apple-touch-icon`。"},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"提供有效的 `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"目前的值"},
"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"建議的憑證"},"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` 有助使用者更快提交表格。如要減少使用者需要執行的動作，建議您將 `autocomplete` 屬性設定為有效值以啟用此功能。[瞭解詳情](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` 元素沒有正確的 `autocomplete` 屬性"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"需要人手審查"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"查看憑證次序"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` 元素正確使用 `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` 憑證：{snippet} 中的「{token}」無效"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"查看憑證次序：{snippet} 中的「{tokens}」"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{
message:"Chrome 擴充程式會對此頁面的載入效能產生負面影響。建議透過無痕模式或使用未安裝擴充程式的 Chrome 設定檔來審核頁面。"},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"指令碼評估"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"指令碼剖析"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"CPU 總執行時間"},"lighthouse-core/audits/bootup-time.js | description":{message:"建議減少剖析、編譯和執行 JS 所用的時間。傳送較小的 JS 負載可能有所幫助。[瞭解詳情](https://web.dev/bootup-time/)。"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"縮短 JavaScript 執行時間"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript 執行時間"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"從套件中移除重複的大型 JavaScript 模組，以減少網絡活動耗用不必要的字節。 "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"請移除 JavaScript 套件中的重複模組"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"大型 GIF 放送動畫內容效率往往不佳。建議改用 MPEG4/WebM 格式的動畫影片和 PNG/WebP 格式的靜態圖片，以節省網絡位元組。[瞭解詳情](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"使用影片格式的動畫內容"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill 和轉換可讓舊版瀏覽器使用新版 JavaScript 的功能。不過，有很多 Polyfill 和轉換都不是新型瀏覽器的必要項目。請使用模組/非模組的功能偵測，為 JavaScript 套件採用新型的指令碼部署策略，以減少送往新版瀏覽器的程式碼數量，同時保留對舊版瀏覽器的支援。[瞭解詳情](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"避免向新型瀏覽器提供舊版 JavaScript"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000、JPEG XR 和 WebP 等圖片格式通常比 PNG 或 JPEG 有更好的壓縮效果，能夠更快完成下載及減少數據用量。[瞭解詳情](https://web.dev/uses-webp-images/)。"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"提供 next-gen 格式的圖片"},
"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"建議延遲載入螢幕外的項目並隱藏圖片，直到重要資源全部載入後再開始操作，以縮短可互動時間。[瞭解詳情](https://web.dev/offscreen-images/)。"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"延遲載入螢幕外圖片"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"過多資源往往會阻止系統首次繪製頁面。建議內嵌重要的 JS/CSS，延遲所有不重要的 JS/樣式。[瞭解詳情](https://web.dev/render-blocking-resources/)。"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"排除阻止呈現的資源"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"網絡負載過大會造成使用者的費用負擔，且往往與過長載入時間息息相關。[瞭解詳情](https://web.dev/total-byte-weight/)。"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"總大小為 {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"避免網絡負載過大"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"避免網絡負載過大"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"壓縮 CSS 檔案可減少網絡負載大小。[瞭解詳情](https://web.dev/unminified-css/)。"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"壓縮 CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"壓縮 JavaScript 檔案可減少負載大小和指令碼剖析時間。[瞭解詳情](https://web.dev/unminified-javascript/)。"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"壓縮 JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"從樣式表中減少未使用的規則，並延遲毋需捲動的當眼位置內容中未使用的 CSS，以減少網絡活動耗用的字節數。[瞭解詳情](https://web.dev/unused-css-rules/)。"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"減少未使用的 CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"減少未使用的 JavaScript，並延後載入指令碼，直至系統需要指令碼來減少網絡活動耗用的字節數為止。[瞭解詳情](https://web.dev/unused-javascript/)。"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"減少未使用的 JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"延長快取期限可加快重覆瀏覽頁面的速度。[瞭解詳情](https://web.dev/uses-long-cache-ttl/)。"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{已找到 1 項資源}other{已找到 # 項資源}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"採用有效的快取政策提供靜態資產"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"使用有效的快取政策處理靜態資產"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"優化圖片以加快載入速度，減少流動數據用量。[瞭解詳情](https://web.dev/uses-optimized-images/)。"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"有效地進行圖片編碼"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"提供適當大小的圖片有助節省流動數據用量，並縮短載入時間。[瞭解詳情](https://web.dev/uses-responsive-images/)。"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"適當調整圖片大小"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"文字資源應經過 (gzip、deflate 或 brotli) 壓縮，以將網絡位元總數減至最少。[瞭解詳情](https://web.dev/uses-text-compression/)。"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"啟用文字壓縮"},"lighthouse-core/audits/content-width.js | description":{message:"如果應用程式內容寬度與檢視區的寬度不相符，應用程式可能無法在流動裝置螢幕上呈現優化效果。[瞭解詳情](https://web.dev/content-width/)。"},"lighthouse-core/audits/content-width.js | explanation":{message:"檢視區大小 ({innerWidth} 像素) 與視窗大小 ({outerWidth} 像素) 不相符。"},"lighthouse-core/audits/content-width.js | failureTitle":{message:"尚未為檢視區正確調整內容大小"},"lighthouse-core/audits/content-width.js | title":{message:"已將檢視區正確調整內容大小"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"下方的「關鍵要求鏈結」顯示以高優先次序發佈的資源。為了提高頁面載入速度，建議您縮短鏈結長度，縮減下載資源的大小，或延遲下載不必要資源。[瞭解詳情](https://web.dev/critical-request-chains/)。"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{已找到 1 個鏈結}other{已找到 # 個鏈結}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"避免鏈結重要要求"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"指令"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"嚴重性"},"lighthouse-core/audits/csp-xss.js | description":{message:"強大的內容安全政策 (CSP) 可大幅降低被跨網站指令碼 (XSS) 攻擊的風險。[瞭解詳情](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"語法"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"網頁包含在 <meta> 標籤中定義的 CSP。如果可以，請考慮在 HTTP 標題中定義 CSP。"},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"找不到處於強制執行模式的 CSP"},"lighthouse-core/audits/csp-xss.js | title":{
message:"確保 CSP 能有效防範 XSS 攻擊"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"淘汰/警告"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"行數"},"lighthouse-core/audits/deprecations.js | description":{message:"系統最終會從瀏覽器中移除已淘汰的 API。[瞭解詳情](https://web.dev/deprecations/)。"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{發現 1 個警告}other{發現 # 個警告}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"使用已淘汰的 API"},"lighthouse-core/audits/deprecations.js | title":{message:"避免使用已淘汰的 API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"應用程式快取已被淘汰。[瞭解詳情](https://web.dev/appcache-manifest/)。"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"已找到「{AppCacheManifest}」"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"使用應用程式快取"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"避免使用應用程式快取"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"需要字元編碼宣告。可以在 HTML 的前 1024 個字節或 Content-Type HTTP 回應標題中使用 `<meta>` 標記宣告。[瞭解詳情](https://web.dev/charset/)。"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"字元集宣告遺失或在 HTML 中太遲出現"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"正確定義字元集"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"指定 DOCTYPE 能防止瀏覽器切換至怪異模式。[瞭解詳情](https://web.dev/doctype/)。"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"DOCTYPE 名稱必須是小寫字串 `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"文件必須包含 doctype"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId 必須為空白字串"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId 必須為空白字串"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{
message:"網頁缺少 HTML DOCTYPE，因此觸發了怪異模式"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"網頁含有 HTML DOCTYPE"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"統計資料"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"值"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"大型 DOM 會增加記憶體用量、延長[樣式運算](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations)的時間，並產生費用高昂的[版面配置重排](https://developers.google.com/speed/articles/reflow)。[瞭解詳情](https://web.dev/dom-size/)。"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 個元素}other{# 個元素}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"避免 DOM 過大"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"DOM 深度上限"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{
message:"DOM 元素總數"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"子元素數量上限"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"避免 DOM 過大"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"審核失敗的錨點"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'將 `rel="noopener"` 或 `rel="noreferrer"` 新增至所有外部連結，可提升效能並防範安全漏洞。[瞭解詳情](https://web.dev/external-anchors-use-rel-noopener/)。'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"跨原始來源目的地的連結不安全"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"跨來源目的地的連結安全"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"無法判斷錨點的目的地 ({anchorHTML})。如果 target=_blank 不是用作連結，請考慮移除。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{
message:"如果未提供其他資訊就要求存取使用者的位置資訊，會讓使用者感到困惑而不信任網站。建議您在使用者執行特定動作時，再提出這項要求。[瞭解詳情](https://web.dev/geolocation-on-start/)。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"在載入網頁時要求存取使用者的地理位置"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"避免在載入網頁時要求存取使用者的地理位置"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"問題類型"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"如果 Chrome Devtools 中的「`Issues`」面板有問題記錄，表示系統仍有問題尚待解決，例如網絡要求錯誤、安全控制不足和其他瀏覽器問題。在 Chrome DevTools 中開啟「問題」面板，瞭解每個問題的更多詳情。"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"問題已記錄於 Chrome Devtools 的「`Issues`」面板"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"已根據跨來源政策封鎖"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"廣告的大量資源使用情況"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome Devtools 的 `Issues` 面板中沒有任何問題"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"版本"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"在此網頁上偵測到的所有前端 JavaScript 程式庫。[瞭解詳情](https://web.dev/js-libraries/)。"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"偵測到的 JavaScript 媒體庫"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"對於連線速度較慢的使用者，透過 `document.write()` 動態插入的外部指令碼可能會導致網頁延遲載入數十秒。[瞭解詳情](https://web.dev/no-document-write/)。"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"避免使用 `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"避免使用 `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"嚴重程度"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"程式庫版本"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"安全漏洞數量"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"部分第三方指令碼可能包含已知的安全漏洞，攻擊者將能輕易識別及利用這些漏洞。[瞭解詳情](https://web.dev/no-vulnerable-libraries/)。"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{偵測到 1 個安全漏洞}other{偵測到 # 個安全漏洞}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"包括前端 JavaScript 程式庫具有已知安全漏洞"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"避免使用包含已知安全漏洞的前端 JavaScript 程式庫"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"如果未提供其他資訊就要求使用者允許網站顯示通知，會讓使用者感到困惑而不信任網站。建議您在使用者操作特定手勢時，再提出這項要求。[瞭解詳情](https://web.dev/notification-on-start/)。"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"在載入網頁時要求使用者允許網站顯示通知"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"避免在載入網頁時要求使用者允許網站顯示通知"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"禁止貼上密碼會對安全政策造成不良影響。[瞭解詳情](https://web.dev/password-inputs-can-be-pasted-into/)。"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"禁止使用者貼到密碼欄位"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"允許使用者貼到密碼欄位"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"通訊協定"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 具備很多 HTTP/1.1 沒有的優點，包括二進制標題和多工處理。[瞭解詳情](https://web.dev/uses-http2/)。"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{有 1 個要求未透過 HTTP/2 傳送}other{有 # 個要求未透過 HTTP/2 傳送}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"使用 HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"建議將輕觸動作和滑鼠滾輪活動監聽器標示為 `passive`，以提升網頁的捲動效能。[瞭解詳情](https://web.dev/uses-passive-event-listeners/)。"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"未使用被動事件監聽器來提升捲動效能"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"使用被動活動監聽器來提升捲動效能"},"lighthouse-core/audits/errors-in-console.js | description":{message:"如果管理中心有錯誤記錄，表示系統仍有問題尚待解決，例如網絡要求錯誤和其他瀏覽器問題。[瞭解詳情](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"瀏覽器錯誤已記錄在控制台"},"lighthouse-core/audits/errors-in-console.js | title":{message:"系統未在管理中心記錄瀏覽器發生的錯誤"},"lighthouse-core/audits/font-display.js | description":{
message:"運用顯示字型的 CSS 功能，確保使用者可在網頁字型載入時看到文字。[瞭解詳情](https://web.dev/font-display/)。"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"確保文字在網頁字型載入時仍然顯示"},"lighthouse-core/audits/font-display.js | title":{message:"在網頁字型載入時，所有文字仍然顯示"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse 無法為來源 ({fontOrigin}) 自動檢查 `font-display` 數值。}other{Lighthouse 無法為來源 ({fontOrigin}) 自動檢查 `font-display` 數值。}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"實際的圖片長寬比"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"網頁上顯示的圖片長寬比"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"圖片顯示尺寸應符合正常顯示長寬比。[瞭解詳情](https://web.dev/image-aspect-ratio/)。"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"顯示的圖片長寬比不正確"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"顯示的圖片長寬比正確"},
"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"實際大小"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"顯示大小"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"預期大小"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"圖片自然尺寸應與顯示大小及像素比例成正比，才能令圖片達到最清晰。[瞭解詳情](https://web.dev/serve-responsive-images/)。"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"提供的圖片解像度過低"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"提供的圖片解像度適當"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"應用程式已安裝"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"無法從資訊清單下載必要圖示"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"失敗原因"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"Service Worker 技術可讓您的應用程式使用多項漸進式網絡應用程式的功能，例如離線存取、新增到主畫面和推送通知。瀏覽器可透過適當的 Service Worker 和資訊清單設置主動提示使用者，建議他們將您的應用程式新增至主畫面，藉此提高參與度[瞭解詳情](https://web.dev/installable-manifest/)。"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 個原因}other{# 個原因}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"網絡應用程式資訊清單或 Service Worker 不符合可安裝性要求"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"「Play 商店」應用程式網址與「Play 商店」ID 不相符"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"頁面在無痕式視窗中載入"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"資訊清單的「display」屬性必須為「standalone」、「fullscreen」或「minimal-ui」"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"資訊清單包含「display_override」欄位；首個支援的顯示模式必須為「standalone」、「fullscreen」或「minimal-ui」"},
"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"無法擷取或剖析資訊清單，或剖析資訊沒有內容"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"資訊清單網址已在擷取資訊清單時變更。"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"資訊清單未包含「name」或「short_name」欄位"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"資訊清單未包含合適的圖示 - 必須採用至少 {value0} 像素的 PNG、SVG 或 WebP 格式；必須設定大小屬性；如設定目的屬性，則必須包含「any」。"},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"所有提供的圖示均並非至少為 {value0} 像素的 PNG、SVG 或 WebP 格式正方形圖像，而且沒有設定目的屬性或將目的屬性設定為「任何 (any)」"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"已下載的圖示空白或已損毀"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"沒有提供「Play 商店」ID"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"頁面並無資訊清單 <link> 網址"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"未偵測到任何相符的 Service Worker。您可能需要重新載入頁面，或檢查目前頁面的 Service Worker 範圍是否包含資訊清單範圍和起始網址。"},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"由於資訊清單中沒有「start_url」欄位，因此無法檢查 Service Worker"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"無法識別可安裝性錯誤 ID「{errorId}」"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"頁面並非透過安全來源提供"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"頁面未在主頁框內載入"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"頁面無法離線工作"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Android 不支援此指定的應用平台"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"資訊清單指定 prefer_related_applications: true"},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications 僅支援 Android 裝置上的 Chrome Beta 版本和穩定版。"},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"資訊清單起始網址無效"},"lighthouse-core/audits/installable-manifest.js | title":{message:"網絡應用程式資訊清單和 Service Worker 符合可安裝性要求"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"資訊清單中的網址包含使用者名稱、密碼或連接埠"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"頁面無法離線工作。Chrome 93 (2021 年 8 月穩定發行版) 發佈後，頁面將不會被視為可安裝。"},"lighthouse-core/audits/is-on-https.js | allowed":{message:"允許"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"已封鎖"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"不安全的網址"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"要求解決"},"lighthouse-core/audits/is-on-https.js | description":{
message:"所有網站都應該使用 HTTPS 確保安全，即使網站不處理敏感資料亦然。這包括避免[混合內容](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)，即使初始要求透過 HTTPS 提供，混合內容中的部分資源仍會透過 HTTP 載入。HTTPS 能防範入侵者竄改或被動監聽應用程式與使用者之間的通訊，且 HTTP/2 和很多新的網絡平台 API 都要求使用 HTTPS。[瞭解詳情](https://web.dev/is-on-https/)。"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{發現 1 個不安全的要求}other{發現 # 個不安全的要求}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"未使用 HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"使用 HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"已自動升級為 HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"允許 (附警告)"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"程式庫"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"大型的 JavaScript 程式庫可能會導致效能欠佳。最好使用功能相等且較小型的程式庫來降低套裝大小。[瞭解詳情](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)。"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{找到 1 個大型程式庫}other{找到 # 個大型程式庫}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"取代不必要的大型 JavaScript 程式庫"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"避免使用大型 JavaScript 程式庫，以較小型的程式庫取代"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"這是在檢視區中繪製的最大內容元素。[瞭解詳情](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"「最大內容繪製」元素"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"對 CLS 的影響"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"這些 DOM 元素在頁面造成最多累計版面配置轉移 (CLS)。"},
"lighthouse-core/audits/layout-shift-elements.js | title":{message:"避免大幅度的版面配置轉移"},"lighthouse-core/audits/long-tasks.js | description":{message:"列出主要執行緒上執行時間最長的工作，有助辨識導致輸入延遲的主因。[瞭解詳情](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{找到 # 項長時間執行的工作}other{找到 # 項長時間執行的工作}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"避免長時間在主要執行緒上執行的工作"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"類別"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"建議減少剖析、編譯和執行 JS 所用的時間。傳送較小的 JS 負載可能有所幫助。[瞭解詳情](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"將主要執行緒的工作減至最少"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"將主要執行緒的工作減至最少"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{
message:"為盡量觸及最多使用者，網站應能在每個主要瀏覽器上暢順運作。[瞭解詳情](https://web.dev/pwa-cross-browser/)。"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"網站可以在不同瀏覽器上運作"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"確保每個網頁都可透過網址進行深層連結，且具有專屬網址，方便您在社交媒體上分享。[瞭解詳情](https://web.dev/pwa-each-page-has-url/)。"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"每個網頁都有一個網址"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"即使網絡速度緩慢，只要使用者瀏覽不同網頁也能營造流暢切換的感覺。這就是為使用者帶來高效感觀的關鍵。[瞭解詳情](https://web.dev/pwa-page-transitions/)。"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"使用者在切換頁面時不會覺得網絡速度緩慢"},"lighthouse-core/audits/maskable-icon.js | description":{message:"在裝置上安裝應用程式時，可遮蓋的圖示可確保圖片會填滿整個形狀，不會產生上下黑邊。[瞭解詳情](https://web.dev/maskable-icon-audit/)。"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"資訊清單沒有可遮蓋的圖示"},"lighthouse-core/audits/maskable-icon.js | title":{
message:"資訊清單中有可遮蓋的圖示"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"累計版面配置轉移會測量檢視區內可見元素的移動。[瞭解詳情](https://web.dev/cls/)。"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"「首次內容繪製時間」標示繪製首個文字/首張圖片的時間。[瞭解詳情](https://web.dev/first-contentful-paint/)。"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"「首次有效繪製時間」評估頁面主要內容顯示的時間。[瞭解詳情](https://web.dev/first-meaningful-paint/)。"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"互動準備時間是網頁進入完整互動狀態前所花的時間。[瞭解詳情](https://web.dev/interactive/)。"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"「最大內容繪製」是指繪製最大的文字或圖片的時間。[瞭解詳情](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"使用者可以體驗到最長的「首次輸入延遲時間」就是最長的工作持續時間。[瞭解詳情](https://web.dev/lighthouse-max-potential-fid/)。"},
"lighthouse-core/audits/metrics/speed-index.js | description":{message:"「速度指數」會顯示頁面內容的展現速度。[瞭解詳情](https://web.dev/speed-index/)。"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"當工作長度超過 50 毫秒時，所有 FCP 和「可互動所需時間」之間的時長總和 (以毫秒為單位)。[瞭解詳情](https://web.dev/lighthouse-total-blocking-time/)。"},"lighthouse-core/audits/network-rtt.js | description":{message:"網絡來回通訊時間 (RTT) 對效能有很大影響。如果系統傳送到某個來源的來回通訊時間很高，表示靠近使用者端的伺服器可改善效能。[瞭解詳情](https://hpbn.co/primer-on-latency-and-bandwidth/)。"},"lighthouse-core/audits/network-rtt.js | title":{message:"網絡來回通訊時間"},"lighthouse-core/audits/network-server-latency.js | description":{message:"伺服器延遲時間可能會影響網頁效能。如果來源端的伺服器延遲時間高，代表伺服器已超載或後端效能欠佳。[瞭解詳情](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)。"},"lighthouse-core/audits/network-server-latency.js | title":{message:"伺服器後端延遲時間"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` 事件無法保證觸發，而偵聽此事件可能會防礙瀏覽器優化項目操作，例如往返快取。請考慮改為使用 `pagehide` 或 `visibilitychange` 事件。[瞭解詳情](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"發現 `unload` 偵聽器"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"避免 `unload` 事件偵聽器"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"未合成的動畫可能無法順暢播放，而且會增加累計版面配置轉移 (CLS)。[瞭解詳情](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{找到 # 個動畫元素}other{找到 # 個動畫元素}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"篩選器相關的屬性可能會移動像素"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"目標包含其他不兼容的動畫"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"效果包含「replace」以外的合成模式"},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"避免使用非合成的動畫"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"轉換相關屬性取決於方塊大小"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{不支援的 CSS 屬性：{properties}}other{不支援的 CSS 屬性：{properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"效果包含不支援的時間參數"},"lighthouse-core/audits/performance-budget.js | description":{message:"讓網絡要求的數量和大小低於使用者根據效能預算所設定的目標。[瞭解詳情](https://developers.google.com/web/tools/lighthouse/audits/budgets)。"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 個要求}other{# 個要求}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"效能預算"},"lighthouse-core/audits/preload-fonts.js | description":{message:"請預先載入 `optional` 字型，以便新訪客使用。[瞭解詳情](https://web.dev/preload-optional-fonts/)"},
"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"並未預先載入使用 `font-display: optional` 的字型"},"lighthouse-core/audits/preload-fonts.js | title":{message:"已預先載入使用 `font-display: optional` 的字型"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"預先載入 LCP 元素使用的圖片，以便改善 LCP 時間。[瞭解詳情](https://web.dev/optimize-lcp/#preload-important-resources)。"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"預先載入「最大內容繪製」圖片"},"lighthouse-core/audits/redirects-http.js | description":{message:"如果您已設定 HTTPS，請確認是否已將所有 HTTP 流量重新導向至 HTTPS，以便為所有使用者提供安全的網絡功能。[瞭解詳情](https://web.dev/redirects-http/)。"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"尚未將 HTTP 流量重新導向至 HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"將 HTTP 流量重新導向至 HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"重新導向會導致頁面延遲載入。[瞭解詳情](https://web.dev/redirects/)。"},"lighthouse-core/audits/redirects.js | title":{message:"避免多次頁面重新導向"},
"lighthouse-core/audits/resource-summary.js | description":{message:"如要設定網頁資源的數量和大小的預算，請新增 budget.json 檔案。[瞭解詳情](https://web.dev/use-lighthouse-for-performance-budgets/)。"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 個要求 • {byteCount, number, bytes} KiB}other{# 個要求 • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"降低要求數量並減少傳輸大小"},"lighthouse-core/audits/seo/canonical.js | description":{message:"標準連結會建議要在搜尋結果中顯示哪個網址。[瞭解詳情](https://web.dev/canonical/)。"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"多個互相衝突的網址 ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"指向其他網域 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"網址無效 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"指向其他 `hreflang` 位置 ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"相對網址 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"指向目標為網域的根網址 (首頁)，而非相應的內容網頁"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"文件並無有效的 `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"文件具備有效的 `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"無法檢索的連結"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"搜尋引擎可能會使用連結上的 `href` 屬性來檢索網站。請確認錨點元素的 `href` 屬性可連結適當的目的地，以便系統檢索網站上的更多網頁。[瞭解詳情](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"無法檢索的連結"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"可檢索的連結"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"其他難以辨識的文字"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"字型大小"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"頁面文字百分比"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"選取器"},"lighthouse-core/audits/seo/font-size.js | description":{message:"如果字型小於 12 像素，文字會太小而難以辨識，流動裝置訪客需要「兩指縮放」才能閱讀內容。網頁中應有超過 60% 採用 12 像素或以上大小的文字。[瞭解詳情](https://web.dev/font-size/)。"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} 的文字清晰可讀"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"由於網頁沒有為流動裝置螢幕設定合適的檢視區中繼標記，因文字難以辨識。"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"文件使用的字型大小難以辨識"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"清晰可讀的文字"},"lighthouse-core/audits/seo/font-size.js | title":{message:"文件使用的字型大小清晰可讀"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang 連結會通知搜尋引擎，應在特定語言或區域的搜尋結果中該顯示哪個版本的網頁。[瞭解詳情](https://web.dev/hreflang/)。"},
"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"文件並無有效的 `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"相對 href 數值"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"文件具備有效的 `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"非預期的語言代碼"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"如果網頁傳回失敗的 HTTP 狀態碼，可能無法正確加入索引。[瞭解詳情](https://web.dev/http-status-code/)。"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"網頁傳回失敗的 HTTP 狀態碼"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"網頁傳回成功的 HTTP 狀態碼"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"如果搜尋引擎沒有檢索網頁的權限，將無法在搜尋結果中顯示您的網頁。[瞭解詳情](https://web.dev/is-crawable/)。"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"網頁的索引功能被封鎖"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"網頁的索引功能未被封鎖"},
"lighthouse-core/audits/seo/link-text.js | description":{message:"連結說明文字可協助搜尋引擎瞭解您的內容。[瞭解詳情](https://web.dev/link-text/)。"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{找到 1 個連結}other{找到 # 個連結}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"連結並無說明文字"},"lighthouse-core/audits/seo/link-text.js | title":{message:"連結具有說明文字"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"執行[結構化資料測試工具](https://search.google.com/structured-data/testing-tool/)和[結構化資料 Linter](http://linter.structured-data.org/) 來驗證結構化資料。[瞭解詳情](https://web.dev/structured-data/)。"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"結構化資料有效"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"您可在搜尋結果中加入中繼說明，簡要描述網頁內容。[瞭解詳情](https://web.dev/meta-description/)。"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"沒有說明文字。"},
"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"文件並無中繼說明"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"文件具有中繼說明"},"lighthouse-core/audits/seo/plugins.js | description":{message:"搜尋引擎無法為外掛程式內容加入索引，而且很多裝置對外掛程式都設有限制甚至不提供支援。[瞭解詳情](https://web.dev/plugins/)。"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"文件使用外掛程式"},"lighthouse-core/audits/seo/plugins.js | title":{message:"文件避免使用外掛程式"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"如果您的 robots.txt 檔案格式錯誤，檢索器可能無法瞭解您偏好的網站檢索或加入索引方式。[瞭解詳情](https://web.dev/robots-txt/)。"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txt 要求傳回以下 HTTP 狀態：{statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{找到 1 個錯誤}other{找到 # 個錯誤}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse 無法下載 robots.txt 檔"},
"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt 無效"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt 有效"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"按鈕和連結等互動元素的大小應至少有 48x48 像素，且周圍應保留足夠空間以便使用者輕按，同時避免與其他元素重疊的情況。[瞭解詳情](https://web.dev/tap-targets/)。"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} 的輕按目標大小適中"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"由於網頁沒有為流動裝置螢幕設定合適的檢視區中繼標記，因此輕按目標太小"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"輕按目標未設定成適當大小"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"重疊的目標"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"輕按目標"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"輕按目標已設定成適當大小"},"lighthouse-core/audits/server-response-time.js | description":{
message:"請確保主要文件的伺服器回應時間不會太長，因為這會影響所有其他要求。[瞭解詳情](https://web.dev/time-to-first-byte/)。"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"根文件回應時間為 {timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"縮短初始伺服器回應時間"},"lighthouse-core/audits/server-response-time.js | title":{message:"初始伺服器回應時間短暫"},"lighthouse-core/audits/service-worker.js | description":{message:"Service Worker 技術可讓您的應用程式使用多項漸進式網絡應用程式的功能，例如離線存取、新增到主畫面和推送通知。[瞭解詳情](https://web.dev/service-worker/)。"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"此網頁由 Service Worker 控制，但系統無法將資訊清單剖析為有效的 JSON，因此找不到任何 `start_url`"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"此網頁由 Service Worker 控制，但 `start_url` ({startUrl}) 不在 Service Worker 的範圍內 ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"此網頁由 Service Worker 控制，但系統未能擷取任何資訊清單，因此找不到任何 `start_url`。"},
"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"此來源包含一個或多個 Service Worker，但該頁面 ({pageUrl}) 不在 Service Worker 的範圍內。"},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"未註冊可控制網頁和 `start_url` 的 Service Worker"},"lighthouse-core/audits/service-worker.js | title":{message:"已註冊可控制網頁和 `start_url` 的 Service Worker"},"lighthouse-core/audits/splash-screen.js | description":{message:"透過設定啟動畫面的主題，可確保使用者從主畫面啟動您的應用程式時享有優質體驗。[瞭解詳情](https://web.dev/splash-screen/)。"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"未設定自訂啟動畫面"},"lighthouse-core/audits/splash-screen.js | title":{message:"設有自訂啟動畫面"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"您可以將瀏覽器網址列的主題設定為與網站相符。[瞭解詳情](https://web.dev/themed-omnibox/)。"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"未設定網址列的主題顏色。"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"設定網址列的主題顏色。"},
"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (客戶支援)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (市場推廣)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (社交)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (影片)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"產品"},"lighthouse-core/audits/third-party-facades.js | description":{message:"部分第三方嵌入內容可延遲載入。建議您在必要時才以外觀取代。[瞭解詳情](https://web.dev/third-party-facades/)。"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{可使用 # 個替代外觀}other{可使用 # 個替代外觀}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"部分第三方資源可透過外觀延遲載入"},"lighthouse-core/audits/third-party-facades.js | title":{message:"延遲載入設有外觀的第三方資源"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{
message:"第三方"},"lighthouse-core/audits/third-party-summary.js | description":{message:"第三方程式碼可能會嚴重影響載入效能。請盡量減少不必要的第三方供應商，並在網頁的主要內容載入完成後，再載入第三方程式碼。[瞭解詳情](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)。"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"第三方程式碼將主要執行緒封鎖了 {timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"減低第三方程式碼的影響"},"lighthouse-core/audits/third-party-summary.js | title":{message:"減少第三方程式碼使用量"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"測量"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"數據"},"lighthouse-core/audits/timing-budget.js | description":{message:"設定時間預算可助您隨時留意網站的效能。效能穩定的網站能快速載入網頁，並迅速回應使用者的輸入事件。[瞭解詳情](https://developers.google.com/web/tools/lighthouse/audits/budgets)。"},"lighthouse-core/audits/timing-budget.js | title":{message:"時間預算"},
"lighthouse-core/audits/unsized-images.js | description":{message:"請明確設定圖片元素的寬度和高度，以減少版面配置轉移及改善累計版面配置轉移 (CLS)。[瞭解詳情](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"圖片元素並無顯性`width`和`height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"圖片元素具有顯性`width`和`height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"類別"},"lighthouse-core/audits/user-timings.js | description":{message:"建議使用「用戶使用時間」檢測您的應用程式，評估其在關鍵使用者體驗期間的實際成效。[瞭解詳情](https://web.dev/user-timings/)。"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 個用戶使用時間標記}other{# 個用戶使用時間標記}}"},"lighthouse-core/audits/user-timings.js | title":{message:"用戶使用時間標記和測量結果"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"{securityOrigin} 有「`<link rel=preconnect>`」，但瀏覽器沒有使用。請檢查您使用 `crossorigin` 屬性的方式是否正確。"},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"建議您新增 `preconnect` 或 `dns-prefetch` 資源提示，及早連線至重要的第三方來源。[瞭解詳情](https://web.dev/uses-rel-preconnect/)。"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"預先連接至必要來源"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"已找到超過 2 個「`<link rel=preconnect>`」的連結。這些連結應盡量少用，並只用於最重要的來源。"},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"{securityOrigin} 有「`<link rel=preconnect>`」，但瀏覽器沒有使用。請只為載入網頁一定會要求的重要來源使用「`preconnect`」。"},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"「{preloadURL}」有預先載入的 `<link>`，但瀏覽器沒有使用。請檢查您使用 `crossorigin` 屬性的方式是否正確。"},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"建議使用 `<link rel=preload>` 來指定優先需要的網絡要求，並預先擷取資源。[瞭解詳情](https://web.dev/uses-rel-preload/)。"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"預先載入關鍵要求"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"對應網址"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"來源對應會將經壓縮的程式碼轉譯成原始碼。這項功能可協助開發人員在正式版本中偵錯。此外，Lighthouse 亦能提供進一步的分析資料。建議您部署來源對應，以善用這些優勢。[瞭解詳情](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)。"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"缺少大型第一方 JavaScript 的來源對應"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"大型 JavaScript 檔案缺少來源對應"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{警告：`.sourcesContent` 中缺少 1 個項目}other{警告：`.sourcesContent` 中缺少 # 個項目}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"頁面包含有效的來源對應"},"lighthouse-core/audits/viewport.js | description":{message:'新增 `<meta name="viewport">` 標籤以對流動裝置螢幕優化您的應用程式。[瞭解詳情](https://web.dev/viewport/)。'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'找不到任何 `<meta name="viewport">` 標籤'},
"lighthouse-core/audits/viewport.js | failureTitle":{message:'缺少包括 `width` 或 `initial-scale` 的 `<meta name="viewport">` 標籤'},"lighthouse-core/audits/viewport.js | title":{message:'具備包括 `<meta name="viewport">` 或 `width` 的 `initial-scale` 標籤'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"這些提示可協助改善 ARIA 在應用程式中的使用情況，進而提升輔助技術 (例如螢幕閱讀器) 使用者的體驗。"},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"這些審核結果建議您為音訊和影片提供替代內容。這或許能改善聽障或視障人士的使用體驗。"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"音訊和影片"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"這些審核項目會提供常見的無障礙功能最佳做法。"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"最佳做法"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"這些檢查會提供[網頁應用程式無障礙功能的改善建議](https://developers.google.com/web/fundamentals/accessibility)。系統只能自動偵測一部分的無障礙功能問題，因此建議您另行手動測試。"},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"這些審核項目會檢查自動化測試工具未涵蓋的區域。詳情請參閱[無障礙功能審查的執行指南](https://developers.google.com/web/fundamentals/accessibility/how-to-review)。"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"無障礙功能"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"這些提示有助提高內容的易讀性。"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"對比"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"您可以根據這些提示作出改善，讓其他地區的使用者更容易理解您的內容。"},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"國際化和本地化"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"這些提示可協助提高應用程式中的控制項語義品質。這或許能改善輔助技術 (例如螢幕閱讀器) 的使用體驗。"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"名稱和標籤"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"這些審核結果可協助提高應用程式中的鍵盤瀏覽體驗。"},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"導覽"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"這些審核結果建議您運用輔助技術 (例如螢幕閱讀器)，改善表格或清單資料的閱讀體驗。"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"表格和清單"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"瀏覽器兼容性"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"最佳做法"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"一般"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"信任與安全性"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"使用者體驗"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"您可根據效能預算設定網站效能的標準。"},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"預算"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"進一步瞭解應用程式效能。這些數字不會[直接影響](https://web.dev/performance-scoring/)「效能」分數。"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"診斷"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"評估效能的最重要指標在於像素在畫面上的呈現速度。關鍵數據：「首次內容繪製時間」、「首次有效繪製時間」"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"首次繪製改進"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"這些建議可加快網頁載入速度，但不會[直接影響](https://web.dev/performance-scoring/)「效能」分數。"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"優化建議"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"數據"},
"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"改善整體載入體驗，令網頁反應更靈敏快捷，盡快可供用戶使用。關鍵數據：可互動時間、速度指數"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"整體改進"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"效能"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"這些檢查項目可驗證漸進式網絡應用程式的不同層面。[瞭解詳情](https://developers.google.com/web/progressive-web-apps/checklist)。"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"這些是基本 [PWA 檢查清單](https://developers.google.com/web/progressive-web-apps/checklist)規定的檢查項目，但 Lighthouse 不會自動檢查這些項目。它們不會影響您的分數，但請務必手動驗證這些項目。"},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"漸進式網絡應用程式"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"可安裝"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"已優化 PWA"},
"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"這些檢查可確保網頁採用已優化的搜尋引擎結果排名設定。部分其他因素不在 Lighthouse 檢查範圍內，仍可能會影響您的搜尋排名。[瞭解詳情](https://support.google.com/webmasters/answer/35769)。"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"在您的網站上執行這些額外的驗證工具，以檢查其他 SEO 最佳做法。"},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"搜尋引擎優化 (SEO)"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"請設定您的 HTML 格式，讓檢索器更能瞭解應用程式內容。"},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"關於內容的最佳做法"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"檢索器需要存取您的應用程式，網站才會在搜尋結果中顯示。"},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"檢索和加入索引"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"請確保您的頁面適合透過流動裝置瀏覽，讓使用者無需兩指縮放或放大螢幕即可閱讀網頁內容。[瞭解詳情](https://developers.google.com/search/mobile-sites/)。"},
"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"適合透過流動裝置瀏覽"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"已測試裝置的 CPU 似乎比 Lighthouse 所預期的慢，因此可能會對您的效能分數產生負面影響。進一步瞭解[如何校準適當的 CPU 減速乘數](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)。"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"您的測試網址 ({requested}) 已重新導向至 {final}，因此頁面未必可以如預期載入。請嘗試直接測試第二個網址。"},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"頁面載入過慢，無法於時限內完成，結果可能並不完整。"},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{此位置可能有儲存資料正在影響載入效能：{locations}。請透過無痕式視窗審核此頁面，以免這些資源影響分數。}other{這些位置可能有儲存資料正在影響載入效能：{locations}。請透過無痕式視窗審核此頁面，以免這些資源影響分數。}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"建議新增 https: 和 http: 網址配置，以便退回兼容舊版瀏覽器 (支援「strict-dynamic」的瀏覽器會忽略這些架構)。"},
"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener 已於 CSP3 淘汰，請改用 Cross-Origin-Opener-Policy 標題。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer 已於 CSP2 淘汰，請改用 Referrer-Policy 標題。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss 已於 CSP2 淘汰，請改用 X-XSS-Protection 標題。"},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"如果遺漏 base-uri，有心人士便可透過已插入的 <base> 標籤將所有相對網址 (例如指令碼) 的基底網址設定為攻擊者控制的網域。建議將 base-uri 指定為「none」或「self」。"},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"系統會將由 object-src 控制的元素視為舊功能。建議將 object-src 設為「none」，以免有心人士插入會執行不安全指令碼的外掛程式。"},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"缺少 script-src 指令。這可能導致系統執行不安全的指令碼。"},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"忘記使用分號嗎？{keyword} 似乎是指令，而不是關鍵字。"},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"nonce 應使用 base64 字元集。"},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"nonce 的長度至少要有 8 個字元。"},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"報告目的地只能透過 report-to 指令設定。由於這項指令只受到以 Chromium 為基礎的瀏覽器支援，因此建議同時使用 report-uri 指令。"},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"沒有 CSP 設定報告目的地。這會導致系統難以持續維護 CSP 及監察故障情況。"},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"由於主機許可名單經常被忽略，建議使用「strict-dynamic」配搭 CSP nonce 或 hash。"},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"CSP 指令不明。"},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} 似乎是無效關鍵字。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"「unsafe-inline」會允許執行不安全的頁面內嵌指令碼和事件處理常式。建議使用 CSP nonce 或 hash 逐一允許指令碼。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"建議新增「unsafe-inline」，以便退回兼容舊版瀏覽器 (支援 nonce/hash 的瀏覽器會忽略 unsafe-inline)。"},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"主要執行緒封鎖時間"
},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"快取 TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"說明"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"時間長度"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"元素"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"審核失敗的元素"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"位置"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"名稱"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"超出預算"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"要求"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"資源大小"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"資源類型"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"大小"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"來源"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"開始時間"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"所用的時間"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"傳輸大小"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"網址"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"可節省的數據用量"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"可節省的數據用量"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"可節省 {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{找到 1 個元素}other{找到 # 個元素}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"可減少 {wastedMs, number, milliseconds} 毫秒"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"文件"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"首次有效繪製時間"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"字型"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"圖片"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"高"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"低"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"中"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"首次輸入延遲時間最長預計值"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"媒體"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"其他"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{
message:"其他資源"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"指令碼"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} 秒"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"樣式表"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"第三方"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"總計"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"追蹤記錄網頁載入情況時發生錯誤。請重新執行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"等待「Debugger 通訊協定」初始連線時逾時。"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome 在網頁載入期間未能收集任何螢幕擷取畫面。請確認網頁上有可見內容，然後嘗試重新執行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS 伺服器無法解析您提供的網域。"},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"必要的 {artifactName} 收集程式發生錯誤：{errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Chrome 發生內部錯誤。請重新啟動 Chrome，並嘗試重新執行 Lighthouse。"},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"未執行必要的 {artifactName} 收集程式。"},"lighthouse-core/lib/lh-error.js | noFcp":{message:"頁面未套用任何內容。請確保在載入期間將瀏覽器視窗保持在前景，然後再試一次。({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"提供的頁面並非 HTML (MIME 類 {mimeType})。"},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"這個版本的 Chrome 太舊，無法支援「{featureName}」。請使用較新版本的 Chrome 以便查看完整結果。"},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse 無法穩定載入您要求的網頁。請確認您測試的網址是否正確，以及伺服器是否正確回應所有要求。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"您要求的網頁已停止回應，因此 Lighthouse 無法穩定載入該網址。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"您提供的網址並無有效的安全憑證。{securityMessages}"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome 使用插頁式畫面阻止系統載入網頁。請確認您測試的網址是否正確，以及伺服器是否正確回應所有要求。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse 無法穩定載入您要求的網頁。請確認您測試的網址是否正確，以及伺服器是否正確回應所有要求。(詳情：{errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse 無法穩定載入您要求的網頁。請確認您測試的網址是否正確，以及伺服器是否正確回應所有要求。(狀態代碼：{statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"網頁的載入時間過長。請按照報告中的建議縮短網頁的載入時間，並嘗試重新啟動 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"等待 DevTools 通訊協定回應的時間超出系統分配上限。(方法：{protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"擷取資源內容的時間超出系統分配上限。"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"您提供的網址無效。"},"lighthouse-treemap/app/src/util.js | allLabel":{message:"所有"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"所有指令碼"},
"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"覆蓋率"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"重複的模組"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"資源字節"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"名稱"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"顯示/隱藏表格"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"未使用的字節"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"當動畫內容在顯示螢幕之外時，您可以使用 [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) 標籤來節省 CPU 用量。"},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"建議以 WebP 格式顯示您的所有 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 組件，同時為其他瀏覽器指定適合的備用圖片。[瞭解詳情](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)。"},
"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"請確保您正在使用 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites)，讓圖片自動延遲載入。[瞭解詳情](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"使用 [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) 等工具在[伺服器端輸出 AMP 版面配置](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"請參閱 [AMP 文件](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)，確保所有樣式均受支援。"},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 組件支援 [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) 屬性，可根據螢幕大小指定要使用的圖片資產。[瞭解詳情](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"如果要輸出很大型的清單，建議使用組件開發套件 (CDK) 進行虛擬捲動。[瞭解詳情](https://web.dev/virtualize-lists-with-angular-cdk/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"套用[路線層級的程式碼分割](https://web.dev/route-level-code-splitting-in-angular/)，盡可能降低您的 JavaScript 套裝大小。此外，建議使用 [Angular Service Worker](https://web.dev/precaching-with-the-angular-service-worker/) 預先快取資產。"},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"如果您使用 Angular CLI，請確保在正式版本的模式中產生版本。[瞭解詳情](https://angular.io/guide/deployment#enable-runtime-production-mode)。"},
"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"如果您使用 Angular CLI，請在正式版本中包含來源對應以檢查套裝。[瞭解詳情](https://angular.io/guide/deployment#inspect-the-bundles)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"預先載入路線以加快導航速度。[瞭解詳情](https://web.dev/route-preloading-in-angular/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"建議使用組件開發套件 (CDK) 中的 `BreakpointObserver` 公用程式來管理圖片中斷點。[瞭解詳情](https://material.angular.io/cdk/layout/overview)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"建議將 GIF 上載至可將 GIF 用作 HTML5 影片嵌入的伺服器。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"在主題中定義自訂字體時，請指定 `@font-display`。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"建議在您的網站中安裝並設定[模組以使用 WebP 圖片格式](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)。這些模組會為您上載的圖片自動產生 WebP 版本，以優化載入時間。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"請安裝可以延遲載入圖片的 [Drupal 模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)。這些模組可延遲載入所有畫面外的圖片，進而提升效能。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"建議使用模組來內嵌重要的 CSS 和 JavaScript，或透過[進階 CSS/JS 彙整](https://www.drupal.org/project/advagg)模組等 JavaScript 來非同步載入資產。請注意，此模組提供的優化可能令網站無法正常運作，因此您可能需要修改程式碼。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"主題、模組和伺服器規格均會影響伺服器回應時間。建議尋找更優化的主題、謹慎選擇優化模組和/或升級伺服器。您的代管伺服器應使用 PHP opcode 快取、記憶體快取來降低資料庫查詢時間 (例如 Redis 或 Memcached)，還可優化應用程式邏輯以提升頁面載入速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"建議使用[回應式圖片樣式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)來縮減頁面上載入圖片的大小。如果您使用 Views 在頁面上顯示多個內容項目，建議透過分頁來控制特定頁面上顯示的內容項目數量。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"請確保您已啟用「管理 » 設定 » 開發」頁面上的「彙整 CSS 檔案」。您亦可透過[額外模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)設定更進階的彙整選項，從而透過串連、縮小及壓縮 CSS 樣式來提升網站速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"請確保您已啟用「管理 » 設定 » 開發」頁面上的「彙整 JavaScript 檔案」。您亦可透過[額外模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)設定更進階的彙整選項，從而透過串連、縮小及壓縮 JavaScript 資產來提升網站速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{message:"建議移除未使用的 CSS 規則，並只將需要的 Drupal 程式庫附加至相關頁面或頁面內的組件。查看 [Drupal 文件連結](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)即可瞭解詳情。如要找出會新增多餘 CSS 的附加程式庫，請嘗試在 Chrome DevTools 中執行[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。您可在 Drupal 網站上停用 CSS 彙整時，透過樣式表網址找出有問題的主題/模組。請留意清單中包含很多樣式表，且程式碼覆蓋率中有大量紅色標示的主題/模組。主題/模組應只將網頁上實際使用的樣式表加入清單。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"建議移除未使用的 JavaScript 資產，並只將需要的 Drupal 程式庫附加至相關頁面或頁面內的組件。查看 [Drupal 文件連結](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)即可瞭解詳情。如要找出會新增多餘 JavaScript 的附加程式庫，請嘗試在 Chrome DevTools 中執行[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。您可在 Drupal 網站上停用 JavaScript 彙整時，透過指令碼網址找出有問題的主題/模組。請留意清單中包含很多指令碼，且程式碼覆蓋率中有大量紅色標示的主題/模組。主題/模組應只將網頁上實際使用的指令碼加入清單。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"在「管理 » 設定 » 開發」頁面中設定「瀏覽器和 Proxy 快取最大期限」。讀取 [Drupal 快取並優化效能](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"建議使用可自動優化並縮減透過網站上載的圖片大小，同時能維持品質的[模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)。此外，請確保網站上所有輸出的圖片都使用 Drupal 內置的[回應式圖片樣式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (於 Drupal 8 及以上版本提供)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"您可透過安裝和設定為用戶代理程式資源提示提供設施的[模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)，新增預先連接或預先擷取 DNS 的資源提示。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{
message:"請確保您正在使用 Drupal 內置的[回應式圖片樣式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (於 Drupal 8 及以上版本提供)。由檢視模式、檢視畫面或透過 WYSIWYG 編輯器上載的圖片輸出圖片欄位時，請使用回應式圖片樣式。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"建議將 GIF 上載至可將 GIF 用作 HTML5 影片嵌入的伺服器。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"建議使用會自動將已上載圖片轉換成最佳格式的[外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)或服務。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"安裝可延遲載入所有畫面外圖片的[延遲載入 Joomla 外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)，或改用提供此功能的範本。從 Joomla 4.0 版本開始，所有新圖片將[自動](https://github.com/joomla/joomla-cms/pull/30748)從核心程式取得 `loading` 屬性。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"部分 Joomla 外掛程式可助您[內嵌重要資產](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)或[延後載入較不重要的資源](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)。請注意，這些外掛程式的優化設定可能影響範本或外掛程式的功能，因此您需要全面測試這些功能。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"範本、擴充程式和伺服器規格均會影響伺服器回應時間。建議尋找更優化的範本、謹慎選擇優化擴充程式和/或升級伺服器。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"建議您在文章類別中顯示摘錄 (例如透過「閱讀更多」連結)、減少特定頁面顯示的文章數量、將較長的文章分為多個頁面，或使用可延遲載入留言的外掛程式。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"部分 [Joomla 擴充程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)可透過串連、縮小及壓縮 CSS 樣式來提升網站速度。部分範本亦提供此功能。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{message:"部分 [Joomla 擴充程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)可透過串連、縮小及壓縮指令碼來提升網站速度。部分範本亦提供此功能。"},
"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"部分 [Joomla 擴充程式](https://extensions.joomla.org/)會在網頁中載入未使用的 CSS，建議您減少這類擴充程式的數量，或改用其他擴充程式。如要找出會新增多餘 CSS 的擴充程式，請嘗試在 Chrome DevTools 中執行[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。您可透過樣式表網址找出有問題的主題/外掛程式。請留意清單中包含很多樣式表，且程式碼覆蓋率中有大量紅色標示的外掛程式。外掛程式應只將網頁上實際使用的樣式表加入清單。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"部分 [Joomla 擴充程式](https://extensions.joomla.org/)會在網頁中載入未使用的 JavaScript，建議您減少這類擴充程式的數量，或改用其他擴充程式。如要找出會新增多餘 JS 的外掛程式，請嘗試在 Chrome DevTools 中執行[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。您可透過指令碼網址找出有問題的擴充程式。請留意清單中包含很多指令碼，且程式碼覆蓋率中有大量紅色標示的擴充程式。擴充程式應只將網頁上實際使用的指令碼加入清單。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"瞭解 [Joomla 的瀏覽器快取功能](https://docs.joomla.org/Cache)。"},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"建議使用[圖片優化外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)，在壓縮圖片時保持畫質。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"建議使用[回應式圖片外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)，以在內容中使用回應式圖片。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"您可透過啟用 Joomla 中的 Gzip 頁面壓縮 ([系統] > [通用設定] > [伺服器]) 來啟用文字壓縮功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"如果您尚未建立自己的 JavaScript 資產套件，建議使用 [baler](https://github.com/magento/baler)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{message:"停用 Magento 內置的 [JavaScript 組合及壓縮功能](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)，並建議改用 [baler](https://github.com/magento/baler/)。"},
"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"在[定義自訂字體](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)時指定 `@font-display`。"},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"建議在 [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) 搜尋更多第三方擴充程式，以便運用較新的圖片格式。"},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"建議修改產品和目錄範本，以使用網絡平台的[延遲載入](https://web.dev/native-lazy-loading)功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"使用 Magento 的 [Varnish 整合](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{
message:"在商店的開發人員設定中啟用「壓縮 CSS 檔案」選項。[瞭解詳情](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"使用 [Terser](https://www.npmjs.com/package/terser) 來壓縮來自靜態內容部署的所有 JavaScript 資產，並停用內置的壓縮功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"停用 Magento 的內置 [JavaScript 組合功能](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"建議在 [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) 搜尋更多第三方擴充程式，以優化圖片。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"您可透過[修改主題版面配置](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)，新增預先連接或預先擷取 DNS 的資源提示。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"您可透過[修改主題版面配置](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)來新增 `<link rel=preload>` 標籤。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[以影片取代動態 GIF](https://web.dev/replace-gifs-with-videos/) 以加快網頁載入速度，並考慮使用新型檔案格式，例如 [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) 或 [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder)，以將壓縮效率提升 30% 以上 (與目前最先進的影片編解碼器 VP9 相比)。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"建議使用會自動將已上載圖片轉換成最佳格式的[外掛程式](https://octobercms.com/plugins?search=image)或服務。[WebP 無損圖片](https://developers.google.com/speed/webp)的尺寸比 PNG 小 26%，並且在相等 SSIM 畫質指標下，比相類的 JPEG 圖片小 25-34%。其他建議使用的 next-gen 圖像格式包括 [AVIF](https://jakearchibald.com/2020/avif-has-landed/)。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"建議安裝可延遲載入所有畫面外圖片的[圖片延遲載入外掛程式](https://octobercms.com/plugins?search=lazy)，或改用提供此功能的主題。您亦可考慮使用 [AMP 外掛程式](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"很多外掛程式都可助您[內嵌重要資產](https://octobercms.com/plugins?search=css)。這些外掛程式可能會破壞其他外掛程式，因此您需要全面測試。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"主題、外掛程式和伺服器規格均會影響伺服器回應時間。建議尋找更優化的主題、謹慎選擇優化外掛程式及/或升級伺服器。October CMS 亦可讓開發人員使用 [`Queues`](https://octobercms.com/docs/services/queues) 來延遲處理耗時工作，例如傳送電郵，從而大幅提升網絡要求的速度。"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"建議在文章清單中顯示摘錄 (例如使用 `show more` 按鈕)、減少特定頁面顯示的文章數量、將較長的文章分為多個頁面，或使用可延遲載入留言的外掛程式。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"很多[外掛程式](https://octobercms.com/plugins?search=css)可以透過串連、縮小及壓縮樣式來提升網站速度。建立流程以直接進行此壓縮操作，可以提升開發速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"很多[外掛程式](https://octobercms.com/plugins?search=javascript)可以透過串連、縮小及壓縮指令碼來提升網站速度。建立流程以直接進行此壓縮操作，可以提升開發速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"建議檢查會在網站中載入未啟用 CSS 的[外掛程式](https://octobercms.com/plugins)。如要找出會新增不必要 CSS 的外掛程式，請在 Chrome DevTools 中執行[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。透過樣式表網址找出有問題的主題/外掛程式。請留意包含很多外掛程式，且程式碼覆蓋率中有大量紅色標示的外掛程式。外掛程式應只新增網頁上實際使用的樣式表。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"請檢查會在網頁中載入未啟用 JavaScript 的 [外掛程式](https://octobercms.com/plugins?search=javascript)。如要找出會新增不必要 JavaScript 的外掛程式，請在 Chrome DevTools 中執行[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。透過指令碼網址找出有問題的主題/外掛程式。請留意包含很多指令碼，且程式碼覆蓋率中有大量紅色標示的外掛程式。外掛程式應只新增網頁上實際使用的指令碼。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"瞭解[如何透過 HTTP 快取防止不必要的網絡要求](https://web.dev/http-cache/#caching-checklist)。您可以使用很多[外掛程式](https://octobercms.com/plugins?search=Caching)來提升快取速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"建議使用[圖片優化外掛程式](https://octobercms.com/plugins?search=image)，在壓縮圖片時保持畫質。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"您可直接透過媒體管理工具上載圖片，確保可使用所需的圖片大小。建議使用[調整大小篩選器](https://octobercms.com/docs/markup/filter-resize)或[調整圖片大小外掛程式](https://octobercms.com/plugins?search=image)，確保使用優化的圖片大小。"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"在網絡伺服器設定中啟用文字壓縮功能。"},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{message:"如果您要在網頁上輸出很多重複的元素，建議使用 `react-window` 等「視窗化」程式庫來壓縮建立的 DOM 節點數量。[瞭解詳情](https://web.dev/virtualize-long-lists-react-window/)。此外，如果您使用 `Effect` 鈎子 (Hook) 來改善執行階段的效能，請僅在已變更特定依賴性時才使用 [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action)、[`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) 或 [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) 和[略過效果](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)，藉此減少不必要的重新輸出。"},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"如果使用 React Router，請盡量避免在[路線導航](https://reacttraining.com/react-router/web/api/Redirect)使用 `<Redirect>` 組件。"},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{
message:"如果您在伺服器端輸出任何 React 組件，建議使用 `renderToNodeStream()` 或 `renderToStaticNodeStream()`，允許用戶端接收並混合標記的不同部分，而非同時完成。[瞭解詳情](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"如果您建立自動壓縮 CSS 檔案的系統，請確定部署的應用程式為正式版本。您可以使用 React Developer Tools 擴充程式執行這項檢查。[瞭解詳情](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"如果您建立自動壓縮 JS 檔案的系統，請確定部署的應用程式為正式版本。您可以使用 React Developer Tools 擴充程式執行這項檢查。[瞭解詳情](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"如果沒有使用伺服器端輸出，請以 `React.lazy()` [分割您的 JavaScript 套件](https://web.dev/code-splitting-suspense/)。否則請使用[可載入的組件](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/) 等第三方程式庫分割程式碼。"},
"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"使用 React DevTools Profiler，採用效能分析 API 來測量組件的輸出效能。[瞭解詳情。](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"建議將 GIF 上載至可將 GIF 用作 HTML5 影片嵌入的伺服器。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"建議使用會自動將已上載圖片轉換成最佳格式的[外掛程式](https://wordpress.org/plugins/search/convert+webp/)或服務。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"安裝可延遲載入所有畫面外圖片的[延遲載入 WordPress 外掛程式](https://wordpress.org/plugins/search/lazy+load/)，或改用提供此功能的主題。您亦可考慮使用 [AMP 外掛程式](https://wordpress.org/plugins/amp/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"部分 WordPress 外掛程式可助您[內嵌重要資產](https://wordpress.org/plugins/search/critical+css/)或[延後載入較不重要的資源](https://wordpress.org/plugins/search/defer+css+javascript/)。請注意，這些外掛程式的優化設定可能影響主題或外掛程式的功能，因此您可能需要變更程式碼。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"主題、外掛程式和伺服器規格均會影響伺服器回應時間。建議尋找更優化的主題、謹慎選擇優化外掛程式和/或升級伺服器。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"建議在文章清單中顯示摘錄 (例如加入更多標籤)、減少特定頁面顯示的文章數量、將較長的文章分為多個頁面，或使用可延遲載入留言的外掛程式。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"部分 [WordPress 外掛程式](https://wordpress.org/plugins/search/minify+css/) 可以透過串連、縮小及壓縮樣式來提升網站速度。可以的話，您亦可建立流程來直接進行此壓縮操作。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"部分 [WordPress 外掛程式](https://wordpress.org/plugins/search/minify+javascript/) 可透過串連、縮小及壓縮指令碼來提升網站速度。可以的話，您亦可建立流程來直接進行此壓縮操作。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"部分 [WordPress 外掛程式](https://wordpress.org/plugins/)會在網頁中載入未使用的 CSS，建議你減少這類外掛程式的數量，或改用其他外掛程式。如要找出會新增多餘 CSS 的外掛程式，請嘗試在 Chrome DevTools 中執[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。您可透過樣式表網址找出有問題的主題/外掛程式。請留意清單中包含很多樣式表，且程式碼覆蓋率中有大量紅色標示的外掛程式。外掛程式應只將網頁上實際使用的樣式表加入清單。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"部分 [WordPress 外掛程式](https://wordpress.org/plugins/)會在網頁中載入未使用的 JavaScript，建議你減少這類外掛程式的數量，或改用其他外掛程式。如要找出會新增多餘 JS 的外掛程式，請嘗試在 Chrome DevTools 中執[程式碼覆蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)。您可透過指令碼網址找出有問題的主題/外掛程式。請留意清單中包含很多指令碼，且程式碼覆蓋率中有大量紅色標示的外掛程式。外掛程式應只將網頁上實際使用的指令碼加入清單。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"瞭解 [WordPress 的瀏覽器快取功能](https://wordpress.org/support/article/optimization/#browser-caching)。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"建議使用[圖片優化 WordPress 外掛程式](https://wordpress.org/plugins/search/optimize+images/)，在壓縮圖片時保持畫質。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"您可直接透過[媒體庫](https://wordpress.org/support/article/media-library-screen/)上載圖片，確保可使用所需的圖片大小，然後從媒體庫插入圖片，或使用圖片小工具來確保您使用優化的圖片大小 (包括回應式中斷點適用的圖片大小)。除非可用空間足夠，否則請避免使用「`Full Size`」圖片。[瞭解詳情](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"您可在網絡伺服器設定中啟用文字壓縮功能。"},"report/renderer/util.js | calculatorLink":{message:"查看計算機。"},"report/renderer/util.js | crcInitialNavigation":{message:"初始導覽"},"report/renderer/util.js | crcLongestDurationLabel":{message:"關鍵路徑延遲時間上限："},"report/renderer/util.js | dropdownCopyJSON":{message:"複製 JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"切換至深色主題背景"},
"report/renderer/util.js | dropdownPrintExpanded":{message:"已展開列印"},"report/renderer/util.js | dropdownPrintSummary":{message:"列印摘要"},"report/renderer/util.js | dropdownSaveGist":{message:"另存為 Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"另存為 HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"另存為 JSON"},"report/renderer/util.js | dropdownViewer":{message:"在檢視器中開啟"},"report/renderer/util.js | errorLabel":{message:"發生錯誤！"},"report/renderer/util.js | errorMissingAuditInfo":{message:"報告錯誤：無審核資料"},"report/renderer/util.js | footerIssue":{message:"報告問題"},"report/renderer/util.js | labDataTitle":{message:"實驗室數據"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) 在模擬流動網絡上對目前網頁進行的分析。此為預計值，可能與實際值有所不同。"},"report/renderer/util.js | manualAuditsGroupTitle":{message:"其他手動檢查項目"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"不適用"},
"report/renderer/util.js | opportunityResourceColumnLabel":{message:"優化建議"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"預計節省的時間"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"已通過的審核"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"模擬桌面電腦"},"report/renderer/util.js | runtimeMobileEmulation":{message:"已模擬 Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"沒有任何模擬的裝置"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe 版本"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/記憶體效能"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU 節流"},"report/renderer/util.js | runtimeSettingsChannel":{message:"渠道"},"report/renderer/util.js | runtimeSettingsDevice":{message:"裝置"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"擷取時間"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"網絡節流"},"report/renderer/util.js | runtimeSettingsTitle":{
message:"執行階段設定"},"report/renderer/util.js | runtimeSettingsUA":{message:"用戶代理程式 (主機)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"用戶代理程式 (網絡)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"網址"},"report/renderer/util.js | runtimeUnknown":{message:"不明"},"report/renderer/util.js | showRelevantAudits":{message:"顯示與下列數據相關的審核："},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"收合片段"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"展開片段"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"顯示第三方資源"},"report/renderer/util.js | throttlingProvided":{message:"由環境提供"},"report/renderer/util.js | toplevelWarningsMessage":{message:"導致這次 Lighthouse 無法順利執行的問題："},"report/renderer/util.js | varianceDisclaimer":{message:"此為預計值，可能與實際值有所不同。[效能分數將利用這些數據直接計算](https://web.dev/performance-scoring/)。"},"report/renderer/util.js | viewTreemapLabel":{message:"查看矩形樹圖"},"report/renderer/util.js | warningAuditsGroupTitle":{
message:"經過審核，但附有警告訊息"},"report/renderer/util.js | warningHeader":{message:"警告： "}}},{}],145:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"快速鍵可讓使用者快速聚焦網頁的特定部分。要讓使用者正確瀏覽，每個快速鍵一律不得重複。[瞭解詳情](https://web.dev/accesskeys/)。"},"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` 的值重複"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"`[accesskey]` 的值沒有重複"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"每個 ARIA `role`都支援一部分特定的 `aria-*` 屬性。若配對錯誤，`aria-*` 屬性將失去效力。[瞭解詳情](https://web.dev/aria-allowed-attr/)。"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` 屬性與其角色不符"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` 屬性與其角色相符"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{
message:"如果沒有可解讀的元素名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個元素的用途。[瞭解詳情](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`、`link` 和 `menuitem` 元素沒有可解讀的名稱。"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{message:"`button`、`link` 和 `menuitem` 元素具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'在 `<body>` 文件上設定 `aria-hidden="true"` 時，輔助技術 (例如螢幕閱讀器) 無法一致地進行作業。[瞭解詳情](https://web.dev/aria-hidden-body/)。'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'`<body>` 文件中出現 `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'`<body>` 文件中並未出現 `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'`[aria-hidden="true"]` 元素中的可聚焦子系會禁止輔助技術 (例如螢幕閱讀器) 的使用者存取這些互動元素。[瞭解詳情](https://web.dev/aria-hidden-focus/)。'},
"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` 元素包含可聚焦的子系'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` 元素不包含可聚焦的子系'},"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"如果沒有可解讀的輸入欄位名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個輸入欄位的用途。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA 輸入欄位沒有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA 輸入欄位具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"如果沒有可解讀的元素名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個元素的用途。[瞭解詳情](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` 元素沒有可解讀的名稱。"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{
message:"ARIA `meter` 元素具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"如果 `progressbar` 元素沒有無障礙元素名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個元素的用途。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` 元素沒有可解讀的名稱。"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` 元素具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"部分 ARIA 角色的必要屬性會向螢幕閱讀器的使用者說明元素狀態。[瞭解詳情](https://web.dev/aria-required-attr/)。"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` 未具備所有必要的 `[aria-*]` 屬性"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` 具備所有必要的 `[aria-*]` 屬性"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{
message:"部分 ARIA 父項角色必須包含特定的子項角色，才能正確執行無障礙功能。[瞭解詳情](https://web.dev/aria-required-children/)。"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"有些元素具備 ARIA `[role]` 且要求子項包含特定 `[role]`，這些元素缺少部分或全部的必要子項。"},"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"具備 ARIA `[role]` 且要求子項包含特定 `[role]` 的元素具有全部的必要子項。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"部分 ARIA 子項角色必須包含在特定的父項角色中，才能正確執行其無障礙功能。[瞭解詳情](https://web.dev/aria-required-parent/)。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` 未包含在必要的父項元素中"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` 包含在必要的父項元素中"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA 角色必須具備有效的值，才能執行其無障礙功能。[瞭解詳情](https://web.dev/aria-roles/)。"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{
message:"`[role]` 不具備有效的值"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` 具備有效的值"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{message:"如果沒有可解讀的切換欄位名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個切換欄位的用途。[瞭解詳情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA 切換欄位沒有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA 切換欄位具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"如果沒有可解讀的元素名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個元素的用途。[瞭解詳情](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` 元素沒有可解讀的名稱。"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` 元素具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{
message:"如果沒有可解讀的元素名稱，螢幕閱讀器只會讀出通用名稱，這樣仰賴螢幕閱讀器的使用者就無法知道這個元素的用途。[瞭解詳情](https://web.dev/aria-name/)"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` 元素沒有可解讀的名稱。"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` 元素具有可解讀的名稱"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"輔助技術 (例如螢幕閱讀器) 無法解讀數值無效的 ARIA 屬性。[瞭解詳情](https://web.dev/aria-valid-attr-value/)。"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` 屬性缺少有效的值"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` 屬性具備有效的值"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"輔助技術 (例如螢幕閱讀器) 無法解讀包含無效名稱的 ARIA 屬性。[瞭解詳情](https://web.dev/aria-valid-attr/)。"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` 屬性無效或有錯字"},
"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` 屬性有效且拼字正確"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"未通過稽核的元素"},"lighthouse-core/audits/accessibility/button-name.js | description":{message:"如果沒有可解讀的按鈕名稱，螢幕閱讀器只會讀出「按鈕」，這樣仰賴螢幕閱讀器的使用者就無法知道這個按鈕的用途。[瞭解詳情](https://web.dev/button-name/)。"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"按鈕沒有可存取的名稱"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"按鈕具有可解讀的名稱"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"針對重複的內容增設略過選項，可提高鍵盤使用者的網頁瀏覽效率。[瞭解詳情](https://web.dev/bypass/)。"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"這個網頁中沒有標題、略過連結或標記區域"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"這個網頁包含標題、略過連結或標記區域"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{
message:"低對比度的文字對許多讀者來說難以閱讀或無法閱讀。[瞭解詳情](https://web.dev/color-contrast/)。"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"背景和前景顏色沒有足夠的對比度。"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{message:"背景和前景顏色具有足夠的對比度"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"如果定義清單的標記不正確，螢幕閱讀器可能會輸出令人混淆或不正確的內容。[瞭解詳情](https://web.dev/definition-list/)。"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` 並非只包含排序正確的 `<dt>` 和 `<dd>` 群組，以及 `<script>`、`<template>` 或 `<div>` 元素。"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` 只包含排序正確的 `<dt>` 和 `<dd>` 群組，以及 `<script>`、`<template>` 或 `<div>` 元素。"},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"定義清單項目 (`<dt>` 和 `<dd>`) 必須納入在父項 `<dl>` 元素中，才能確保螢幕閱讀器正確朗讀這些項目。[瞭解詳情](https://web.dev/dlitem/)。"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{
message:"定義清單項目未納入在 `<dl>` 元素中"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"定義清單項目已納入在 `<dl>` 元素中"},"lighthouse-core/audits/accessibility/document-title.js | description":{message:"標題可讓螢幕閱讀器使用者概略瞭解網頁內容；搜尋引擎使用者經常需要使用這項資訊，以判斷網頁內容是否與他們的搜尋項目有關。[瞭解詳情](https://web.dev/document-title/)。"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"文件缺少 `<title>` 元素"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"文件具有 `<title>` 元素"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"所有可聚焦的元素都必須擁有專屬的 `id`，以確保輔助技術可查看這些元素。[瞭解詳情](https://web.dev/duplicate-id-active/)。"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"已啟用的可聚焦元素有重複的 `[id]` 屬性"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"已啟用的可聚焦元素沒有重複的 `[id]` 屬性"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{
message:"ARIA ID 的值不得重複，以免輔助技術忽略其他重複的值。[瞭解詳情](https://web.dev/duplicate-id-aria/)。"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ID 重複"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"沒有重複的 ARIA ID"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"如果表單欄位含有多個標籤，可能會造成螢幕閱讀器等輔助技術無法判斷該讀出第一個、最後一個或所有標籤。[瞭解詳情](https://web.dev/form-field-multiple-labels/)。"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"表單欄位包含多個標籤"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"沒有任何表單欄位包含多個標籤"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"螢幕閱讀器需使用頁框標題才能說明頁框內容。[瞭解詳情](https://web.dev/frame-title/)。"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` 或 `<iframe>` 元素缺少名稱"},"lighthouse-core/audits/accessibility/frame-title.js | title":{
message:"`<frame>` 或 `<iframe>` 元素包含名稱"},"lighthouse-core/audits/accessibility/heading-order.js | description":{message:"排序正確且未略過層級的標題可傳達網頁的語意結構，讓使用者在運用輔助技術時更容易瀏覽及理解。[瞭解詳情](https://web.dev/heading-order/)。"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"標題元素未依遞減順序顯示"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"標題元素已依遞減順序顯示"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"如果網頁未指定 [lang] 屬性，螢幕閱讀器會假設網頁採用的是使用者在設定螢幕閱讀器時所選擇的預設語言。如果網頁實際採用的語言並非預設語言，那麼螢幕閱讀器可能無法正確朗讀網頁文字。[瞭解詳情](https://web.dev/html-has-lang/)。"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` 元素缺少 `[lang]` 屬性"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` 元素具備 `[lang]` 屬性"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{
message:"指定有效的 [BCP 47 語言](https://www.w3.org/International/questions/qa-choosing-language-tags#question)，可協助螢幕閱讀器正確朗讀文字。[瞭解詳情](https://web.dev/html-lang-valid/)。"},"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` 元素的 `[lang]` 屬性缺少有效的值。"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` 元素的 `[lang]` 屬性具備有效的值"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"說明元素應提供簡短貼切的替代文字。如果是裝飾元素，只要將 alt 屬性留空，系統即會忽略該元素。[瞭解詳情](https://web.dev/image-alt/)。"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"圖片元素缺少 `[alt]` 屬性"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"圖片元素具有 `[alt]` 屬性"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"如果 `<input>` 按鈕是以圖片呈現，提供替代文字可協助螢幕閱讀器使用者瞭解該按鈕的用途。[瞭解詳情](https://web.dev/input-image-alt/)。"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{
message:'`<input type="image">` 元素未設定 `[alt]` 文字'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` 元素具有 `[alt]` 文字'},"lighthouse-core/audits/accessibility/label.js | description":{message:"標籤可確保輔助技術 (例如螢幕閱讀器) 正確朗讀表單控制項。[瞭解詳情](https://web.dev/label/)。"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"表單元素沒有相關聯的標籤"},"lighthouse-core/audits/accessibility/label.js | title":{message:"表單元素具有相關聯的標籤"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"使用可辨別、未重複且可聚焦的連結文字 (以及連結圖片的替代文字)，有助於改善螢幕閱讀器使用者的瀏覽體驗。[瞭解詳情](https://web.dev/link-name/)。"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"連結缺少可辨別的名稱"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"連結具有可辨別的名稱"},"lighthouse-core/audits/accessibility/list.js | description":{message:"螢幕閱讀器會以特定方式朗讀清單。請務必採用正確的清單結構，這樣螢幕閱讀器才能順利讀出畫面內容。[瞭解詳情](https://web.dev/list/)。"},
"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"清單中並非只包含 `<li>` 元素和指令碼支援元素 (`<script>` 和 `<template>`)。"},"lighthouse-core/audits/accessibility/list.js | title":{message:"清單只包含 `<li>` 元素和指令碼支援元素 (`<script>` 和 `<template>`)。"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"清單項目 (`<li>`) 必須包含在父項元素 `<ul>` 或 `<ol>` 中，螢幕閱讀器才能正確朗讀這些項目。[瞭解詳情](https://web.dev/listitem/)。"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"清單項目 (`<li>`) 未包含在 `<ul>` 或 `<ol>` 父項元素中。"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"清單項目 (`<li>`) 已包含在 `<ul>` 或 `<ol>` 父項元素中"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"使用者不會預期系統自動重新整理網頁，而且這麼做會將焦點移回網頁頂端。這可能會對使用者造成困擾或混淆。[瞭解詳情](https://web.dev/meta-refresh/)。"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'這個文件使用 `<meta http-equiv="refresh">`'},
"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'這個文件未使用 `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{message:"停用縮放功能會對低視能使用者造成困擾，他們需要使用螢幕放大功能才能清楚看見網頁內容。[瞭解詳情](https://web.dev/meta-viewport/)。"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`<meta name="viewport">` 元素中使用了 `[user-scalable="no"]`，或是 `[maximum-scale]` 屬性小於 5。'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`<meta name="viewport">` 元素中未使用 `[user-scalable="no"]`，而且 `[maximum-scale]` 屬性大於或等於 5。'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"螢幕閱讀器無法解讀非文字內容。為 `<object>` 元素新增替代文字，可協助螢幕閱讀器向使用者傳達該元素的意義。[瞭解詳情](https://web.dev/object-alt/)。"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` 元素未設定 `[alt]` 文字"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` 元素具有 `[alt]` 文字"},
"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"如果值大於 0，表示採用的是明確的瀏覽排序。雖然這在技術上可行，但經常會對仰賴輔助技術的使用者造成困擾。[瞭解詳情](https://web.dev/tabindex/)。"},"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"部分元素的 `[tabindex]` 值大於 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"所有元素的 `[tabindex]` 值皆未超過 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"螢幕閱讀器的功能可讓使用者輕鬆瀏覽表格。請確保使用 `[headers]` 屬性的 `<td>` 儲存格只參照同一表格中的其他儲存格，這樣可改善螢幕閱讀器的使用體驗。[瞭解詳情](https://web.dev/td-headers-attr/)。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"在 `<table>` 元素中使用 `[headers]` 屬性的儲存格參照了元素 `id`，系統無法在相同表格中找到這個元素。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"在 `<table>` 元素中使用 `[headers]` 屬性的儲存格參照了同一表格中的表格儲存格。"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{
message:"螢幕閱讀器的功能可讓使用者輕鬆瀏覽表格。如果能確保表格標題一律參照特定一組儲存格，或許能讓螢幕閱讀器的使用體驗更上一層樓。[瞭解詳情](https://web.dev/th-has-data-cells/)。"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{message:'`<th>` 元素和具有 `[role="columnheader"/"rowheader"]` 的元素不包含所描述的資料儲存格。'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` 元素和帶有 `[role="columnheader"/"rowheader"]` 的元素具有其所描述的資料儲存格。'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"為元素指定有效的 [BCP 47 語言](https://www.w3.org/International/questions/qa-choosing-language-tags#question)，可協助確保螢幕閱讀器正確朗讀文字。[瞭解詳情](https://web.dev/valid-lang/)。"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` 屬性缺少有效的值"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` 屬性具備有效的值"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"如果在影片中提供字幕，將有助於失聰或聽障使用者瞭解影片資訊。[瞭解詳情](https://web.dev/video-caption/)。"},
"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` 元素不含任何帶有 `[kind="captions"]` 的 `<track>` 元素。'},"lighthouse-core/audits/accessibility/video-caption.js | title":{message:'`<video>` 元素包含帶有 `[kind="captions"]` 的 `<track>` 元素'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"請定義「`apple-touch-icon`」，這樣一來，當 iOS 使用者將漸進式網頁應用程式新增到主螢幕時，系統才會顯示正確圖示。apple-touch-icon 必須指向大小為 192 像素 (或 180 像素) 的不透明正方形 PNG。[瞭解詳情](https://web.dev/apple-touch-icon/)。"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"未提供有效的 `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` 版本過舊，建議使用 `apple-touch-icon`。"},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"具備有效的 `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"目前的值"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"建議使用的權杖"},
"lighthouse-core/audits/autocomplete.js | description":{message:"`autocomplete` 可協助使用者更快速地提交表單。建議你將 `autocomplete` 屬性設為有效值以啟用這項功能，減少使用者需要執行的動作。[瞭解詳情](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` 元素沒有正確的 `autocomplete` 屬性"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"必須手動查看"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"查看權杖的順序"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` 元素已正確使用 `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` 權杖：「{snippet}」中的「{token}」無效"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"查看權杖的順序：{snippet} 中的「{tokens}」"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome 擴充功能對這個頁面的載入效能有負面影響。建議透過無痕模式或不含擴充功能的 Chrome 設定檔來稽核頁面。"},
"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"指令碼評估"},"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"指令碼剖析"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"CPU 總執行時間"},"lighthouse-core/audits/bootup-time.js | description":{message:"建議你縮短剖析、編譯及執行 JavaScript 所耗費的時間。提供較小的 JavaScript 酬載可能會有幫助。[瞭解詳情](https://web.dev/bootup-time/)。"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"減少 JavaScript 執行時間"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript 執行時間"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"從套件中移除重複的大型 JavaScript 模組，盡量避免網路活動消耗不必要的流量。 "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"請移除 JavaScript 套件中重複的模組"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{
message:"使用大型 GIF 檔案呈現動畫內容會降低網路傳輸效率。建議你改用 MPEG4/WebM 影片格式呈現動畫內容，或是使用 PNG/WebP 格式顯示靜態圖片，以減少網路傳輸的資料量。[瞭解詳情](https://web.dev/efficient-animated-content/)"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"使用影片格式的動畫內容"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill 和轉換作業可讓舊版瀏覽器使用新版 JavaScript 的功能。不過這些功能對於新型瀏覽器而言，有很多都是不必要的。如果是 JavaScript 套件，請採用具備模組/非模組功能偵測機制的新型指令碼部署策略，以減少新型瀏覽器所需要的程式碼，同時保留對舊版瀏覽器的支援。[瞭解詳情](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"避免將舊版 JavaScript 提供給新型瀏覽器"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000、JPEG XR 和 WebP 等圖片格式的壓縮效果通常優於 PNG 或 JPEG，因此能提高下載速度並節省使用者的數據用量。[瞭解詳情](https://web.dev/uses-webp-images/)。"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"提供 next-gen 格式的圖片"},
"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{message:"建議在所有重要資源載入完成之前，延遲載入畫面外圖片和隱藏項目，以縮短互動準備時間。[瞭解詳情](https://web.dev/offscreen-images/)。"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"延後載入畫面外圖片"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"網頁的資源過多，因此妨礙了首次顯示畫面的時間。建議你先載入重要的內嵌 JavaScript/CSS，並延後載入不重要的 JavaScript/樣式。[瞭解詳情](https://web.dev/render-blocking-resources/)。"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"排除禁止轉譯的資源"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"大量的網路酬載會增加使用者的費用負擔，而且往往會延長網頁載入時間。[瞭解詳情](https://web.dev/total-byte-weight/)。"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"總大小為 {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"避免耗用大量網路資源"},
"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"避免耗用大量網路資源"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"壓縮 CSS 檔案能減少網路酬載大小。[瞭解詳情](https://web.dev/unminified-css/)。"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"壓縮 CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"壓縮 JavaScript 檔案能減少酬載大小，並縮短剖析指令碼的時間。[瞭解詳情](https://web.dev/unminified-javascript/)。"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"壓縮 JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"移除樣式表中的無用規則，並延遲載入在不需捲動位置內容中未使用的 CSS，即可減少網路活動消耗的流量。[瞭解詳情](https://web.dev/unused-css-rules/)"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"減少無用的 CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{
message:"減少無用的 JavaScript 並延遲載入指令碼 (等需要時才載入)，即可減少網路活動消耗的流量。[瞭解詳情](https://web.dev/unused-javascript/)"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"減少無用的 JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"延長快取生命週期可以加快使用者再次造訪網頁的速度。[瞭解詳情](https://web.dev/uses-long-cache-ttl/)。"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{找到 1 項資源}other{找到 # 項資源}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"運用有效的快取政策提供靜態資產"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"使用有效的快取政策處理靜態資產"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"經過最佳化的圖片載入速度較快，且能節省使用者的行動數據用量。[瞭解詳情](https://web.dev/uses-optimized-images/)。"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"圖片編碼有效率"},
"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{message:"使用大小合適的圖片有助於節省行動數據用量並縮短載入時間。[瞭解詳情](https://web.dev/uses-responsive-images/)。"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"使用合適的圖片大小"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"提供的文字資源應經過 (gzip、deflate 或 brotli) 壓縮，將網路傳輸的資料量降至最低。[瞭解詳情](https://web.dev/uses-text-compression/)。"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"啟用文字壓縮"},"lighthouse-core/audits/content-width.js | description":{message:"如果你的應用程式內容寬度與可視區域的寬度不相符，應用程式可能無法在行動裝置螢幕上呈現最佳效果。[瞭解詳情](https://web.dev/content-width/)。"},"lighthouse-core/audits/content-width.js | explanation":{message:"可視區域大小 ({innerWidth} 像素) 與視窗大小 ({outerWidth} 像素) 不相符。"},"lighthouse-core/audits/content-width.js | failureTitle":{message:"未針對可視區域正確調整內容大小"},"lighthouse-core/audits/content-width.js | title":{message:"已針對可視區域正確調整內容大小"},
"lighthouse-core/audits/critical-request-chains.js | description":{message:"下方的「關鍵要求鏈結」顯示優先載入的資源。建議你縮短鏈結長度、降低下載資源的大小，或是將非必要資源延後載入，以提高網頁載入速度。[瞭解詳情](https://web.dev/critical-request-chains/)。"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{找到 1 個鏈結}other{找到 # 個鏈結}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"避免鏈結關鍵要求"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"指令"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"嚴重程度"},"lighthouse-core/audits/csp-xss.js | description":{message:"強大的內容安全政策 (CSP) 可以大幅降低遭到跨網站指令碼 (XSS) 攻擊的風險。[瞭解詳情](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"語法"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"該網頁包含在 <meta> 標記中定義的 CSP。如果可以，請考慮在 HTTP 標頭中定義 CSP。"},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"找不到處於強制執行模式的 CSP"},"lighthouse-core/audits/csp-xss.js | title":{
message:"確保 CSP 能有效防範 XSS 攻擊"},"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"淘汰/警告"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"行數"},"lighthouse-core/audits/deprecations.js | description":{message:"系統最終會從瀏覽器中移除已淘汰的 API。[瞭解詳情](https://web.dev/deprecations/)。"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{發現 1 則警告}other{發現 # 則警告}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"使用已淘汰的 API"},"lighthouse-core/audits/deprecations.js | title":{message:"避免使用已淘汰的 API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"應用程式快取已遭到淘汰。[瞭解詳情](https://web.dev/appcache-manifest/)。"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"已找到「{AppCacheManifest}」"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"使用應用程式快取"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{
message:"避免使用應用程式快取"},"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"必須定義字元編碼宣告。你可以在 HTML 的前 1024 個位元組中使用 `<meta>` 標記定義，或在 Content-Type HTTP 回應標頭中定義。[瞭解詳情](https://web.dev/charset/)。"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"字元集宣告遺失或在 HTML 中太晚出現"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"正確定義字元集"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"指定 DOCTYPE 能防止瀏覽器切換至相容模式。[瞭解詳情](https://web.dev/doctype/)。"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"DOCTYPE 名稱必須是小寫字串 `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"文件必須包含 DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId 須為空白字串"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId 須為空白字串"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{
message:"網頁缺少 HTML DOCTYPE，因此觸發了相容模式"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"網頁含有 HTML DOCTYPE"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"統計資料"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"值"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"大型 DOM 會增加記憶體用量、延長[樣式運算](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations)的時間，並產生費工的[版面配置重排](https://developers.google.com/speed/articles/reflow)。[瞭解詳情](https://web.dev/dom-size/)。"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 個元素}other{# 個元素}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"避免 DOM 過大"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"DOM 層級上限"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{
message:"DOM 元素總計"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"子元素數量上限"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"避免 DOM 過大"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"未通過稽核的錨點"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'將 `rel="noopener"` 或 `rel="noreferrer"` 新增至所有外部連結，可提升效能並防範安全漏洞。[瞭解詳情](https://web.dev/external-anchors-use-rel-noopener/)。'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"跨原始來源目的地的連結不安全"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"跨來源目的地的連結很安全"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"無法判定錨點的目的地 ({anchorHTML})。如果 target=_blank 不是做為超連結使用，請考慮移除它。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{
message:"如果未提供其他資訊就要求存取使用者的位置資訊，會讓使用者感到困惑而不信任網站。建議你在使用者執行特定動作時，再提出這項要求。[瞭解詳情](https://web.dev/geolocation-on-start/)。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"在載入網頁時要求存取使用者的位置資訊"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"避免在載入網頁時要求存取使用者的位置資訊"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"問題類型"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Chrome 開發人員工具的 `Issues` 面板中記錄的問題指出有未解決的狀況。這些狀況可能起因於網路要求失敗、安全性控制項不足，以及其他瀏覽器方面的疑慮。請開啟 Chrome 開發人員工具的 Issues 面板，查看每個問題的詳細資訊。"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"Chrome 開發人員工具的 `Issues` 面板中有問題記錄"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"依跨來源政策封鎖"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"廣告耗用大量資源"},
"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{message:"Chrome 開發人員工具的 `Issues` 面板中沒有任何問題"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"版本"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"在此網頁上偵測到的所有前端 JavaScript 程式庫。[瞭解詳情](https://web.dev/js-libraries/)。"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"偵測到 JavaScript 程式庫"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"對於連線速度較慢的使用者，透過 `document.write()` 動態置入的外部指令碼可能會導致網頁延遲數十秒載入。[瞭解詳情](https://web.dev/no-document-write/)。"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"避免使用 `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"避免使用 `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"最高嚴重性"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"程式庫版本"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"安全漏洞數量"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"部分第三方指令碼可能包含已知的安全漏洞，攻擊者將能輕易識別及利用這些漏洞。[瞭解詳情](https://web.dev/no-vulnerable-libraries/)。"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{偵測到 1 項安全漏洞}other{偵測到 # 項安全漏洞}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"包含的前端 JavaScript 程式庫具有已知安全漏洞"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"避免使用包含已知安全漏洞的前端 JavaScript 程式庫"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"如果未提供其他資訊就要求使用者允許網站顯示通知，會讓使用者感到困惑而不信任網站。建議你在使用者操作特定手勢時，再提出這項要求。[瞭解詳情](https://web.dev/notification-on-start/)。"},
"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"在載入網頁時要求使用者允許網站顯示通知"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{message:"避免在載入網頁時要求使用者允許網站顯示通知"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"禁止貼上密碼會對安全性政策造成不良影響[瞭解詳情](https://web.dev/password-inputs-can-be-pasted-into/)。"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"禁止使用者貼到密碼欄位"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"允許使用者貼到密碼欄位"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"通訊協定"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 提供許多 HTTP/1.1 沒有的優點，包括二進位標頭和多工處理。[瞭解詳情](https://web.dev/uses-http2/)。"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{
message:"{itemCount,plural, =1{有 1 項要求未透過 HTTP/2 傳送}other{有 # 項要求未透過 HTTP/2 傳送}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"使用 HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{message:"建議將輕觸動作和滑鼠滾輪事件監聽器標示為 `passive`，以提升網頁的捲動效能。[瞭解詳情](https://web.dev/uses-passive-event-listeners/)。"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"未使用被動事件監聽器來提升捲動效能"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"使用被動事件監聽器來提升捲動效能"},"lighthouse-core/audits/errors-in-console.js | description":{message:"如果主控台有錯誤記錄，表示系統有問題尚待解決，例如網路要求錯誤和其他瀏覽器問題。[瞭解詳情](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"主控台已記錄瀏覽器發生的錯誤"},"lighthouse-core/audits/errors-in-console.js | title":{message:"系統未在主控台中記錄瀏覽器發生的錯誤"},"lighthouse-core/audits/font-display.js | description":{
message:"運用顯示字型的 CSS 功能，確保使用者可以在網站字型載入期間看到文字。[瞭解詳情](https://web.dev/font-display/)。"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"確認載入網站字型時文字不會消失"},"lighthouse-core/audits/font-display.js | title":{message:"載入網站字型時沒有任何文字消失"},"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse 無法自動檢查 {fontOrigin} 來源的 `font-display` 值。}other{Lighthouse 無法自動檢查 {fontOrigin} 來源的 `font-display` 值。}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"實際顯示比例"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"網頁上顯示的圖片比例"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"圖片顯示尺寸應符合正常顯示比例。[瞭解詳情](https://web.dev/image-aspect-ratio/)。"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"圖片的顯示比例不正確"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"圖片的顯示比例正確"},
"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"實際大小"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"顯示大小"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"預期大小"},"lighthouse-core/audits/image-size-responsive.js | description":{message:"圖片的實際尺寸應與顯示大小和像素比例成正比，才能呈現最清晰的圖片效果。[瞭解詳情](https://web.dev/serve-responsive-images/)。"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"提供的圖片解析度過低"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"提供的圖片解析度適當"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"先前已安裝這個應用程式"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"無法從資訊清單下載必要圖示"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"失敗原因"},"lighthouse-core/audits/installable-manifest.js | description":{
message:"透過 Service Worker 技術，你的應用程式可以使用漸進式網頁應用程式的許多功能，例如離線功能、新增至主畫面，以及推播通知。正確導入 Service Worker 和資訊清單後，瀏覽器可主動提示使用者將你的應用程式新增至主畫面，進而提升參與度。[瞭解詳情](https://web.dev/installable-manifest/)。"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 個原因}other{# 個原因}}"},"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"網頁應用程式資訊清單或 Service Worker 不符合安裝規定"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play 商店應用程式網址與 Play 商店 ID 不符"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"網頁透過無痕式視窗載入"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"資訊清單的「display」屬性必須設為「standalone」、「fullscreen」或「minimal-ui」"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"資訊清單包含「display_override」欄位，且第一個支援的顯示模式必須是「standalone」、「fullscreen」或「minimal-ui」"},
"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"無法擷取或剖析資訊清單，或是資訊清單沒有任何內容"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"資訊清單網址在資訊清單擷取期間已變更。"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"資訊清單未包含「name」或「short_name」欄位"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"資訊清單未包含適當圖示；圖示必須為 {value0} px 以上的 PNG、SVG 或 WebP 檔案，同時必須設定 sizes 屬性，且如果設有 purpose 屬性，當中必須包含「any」。"},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"未提供任何大小在 {value0} px 以上的 PNG、SVG 或 WebP 格式正方形圖示，而且 purpose 屬性未設定或設為「any」"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"下載的圖示空白或已損毀"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"未提供 Play 商店 ID"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"網頁沒有資訊清單 <link> 網址"},
"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"未偵測到相符的 Service Worker。你可能需要重新載入網頁，或是檢查目前網頁的 Service Worker 範圍是否涵蓋資訊清單的範圍和開始網址。"},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"資訊清單中沒有「start_url」欄位，因此無法檢查 Service Worker"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{message:"無法辨識安裝錯誤 ID「{errorId}」"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"網頁的提供來源不安全"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"網頁未在主頁框中載入"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"網頁無法離線運作"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"Android 不支援指定的應用程式平台"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"資訊清單指定了 prefer_related_applications: true"},
"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications 僅適用於 Android 上的 Chrome Beta 版和穩定版。"},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"資訊清單開始網址無效"},"lighthouse-core/audits/installable-manifest.js | title":{message:"網頁應用程式資訊清單和 Service Worker 符合安裝規定"},"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"資訊清單中的某個網址包含使用者名稱、密碼或連接埠"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"網頁無法離線運作。Chrome 從 2021 年 8 月推出 93 穩定版開始，就不會再將這個網頁視為可安裝。"},"lighthouse-core/audits/is-on-https.js | allowed":{message:"已允許"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"已封鎖"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"不安全的網址"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"要求的解決方案"},"lighthouse-core/audits/is-on-https.js | description":{
message:"所有網站都應該使用 HTTPS 確保安全，即使網站未處理機密資料也一樣。這包括避免載入[複合型內容](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)，因為其中有些內容會透過 HTTPS 傳送初始要求，但透過 HTTP 載入部分資源。HTTPS 能防範入侵者竄改或被動監聽應用程式與使用者之間的通訊，同時也是使用 HTTP/2 和許多新式網路平台 API 的先決條件。[瞭解詳情](https://web.dev/is-on-https/)。"},"lighthouse-core/audits/is-on-https.js | displayValue":{message:"{itemCount,plural, =1{發現 1 個不安全的要求}other{發現 # 個不安全的要求}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"未使用 HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"使用 HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"已自動升級為 HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"已允許並顯示警告訊息"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"程式庫"},"lighthouse-core/audits/large-javascript-libraries.js | description":{
message:"大型的 JavaScript 程式庫可能會導致效能不佳。最好使用功能相當且較小型的程式庫來降低組合大小。[瞭解詳情](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)。"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{找到 1 個大型程式庫}other{找到 # 個大型程式庫}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"取代不必要的大型 JavaScript 程式庫"},"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"避免使用大型 JavaScript 程式庫，以較小型的程式庫取代"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"這是在可視區域中繪製的最大內容元素。[瞭解詳情](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"最大內容繪製元素"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"對 CLS 的影響"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"這些 DOM 元素對於頁面的「累計版面配置位移」(CLS) 影響最大。"},
"lighthouse-core/audits/layout-shift-elements.js | title":{message:"避免大量版面配置轉移"},"lighthouse-core/audits/long-tasks.js | description":{message:"列出主要執行緒上執行時間最長的工作，這項資訊有助於找出造成輸入延遲的主因。[瞭解詳情](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{找到 # 項長時間執行的工作}other{找到 # 項長時間執行的工作}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"避免長時間在主要執行緒上執行的工作"},"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"類別"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"建議你縮短剖析、編譯及執行 JavaScript 所耗費的時間。提供較小的 JavaScript 酬載可能會有幫助。[瞭解詳情](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"將主要執行緒的工作降到最低"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"將主要執行緒的工作降到最低"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{
message:"為觸及大多數使用者，網站應在每個主要瀏覽器上運作。[瞭解詳情](https://web.dev/pwa-cross-browser/)。"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"網站可以在不同瀏覽器上運作"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"可確保每個網頁都能透過網址進行深層連結，而且具有專屬網址，方便你在社交媒體上分享。[瞭解詳情](https://web.dev/pwa-each-page-has-url/)。"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"每個網頁都有一個網址"},"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"即使網路速度緩慢，當使用者輕觸不同網頁也應該要能流暢切換，這是展現效能的重要關鍵。[瞭解詳情](https://web.dev/pwa-page-transitions/)。"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"使用者在切換頁面時不會覺得網路速度緩慢"},"lighthouse-core/audits/maskable-icon.js | description":{message:"在裝置上安裝應用程式時，可遮蓋的圖示可確保圖片會填滿整個形狀，圖片的上方和下方不會加上黑邊。[瞭解詳情](https://web.dev/maskable-icon-audit/)。"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"資訊清單未包含可遮蓋的圖示"},"lighthouse-core/audits/maskable-icon.js | title":{
message:"資訊清單包含可遮蓋的圖示"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"「累計版面配置位移」指標是用於測量可見元素在可視區域內的移動情形。[瞭解詳情](https://web.dev/cls/)。"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"首次顯示內容所需時間是指瀏覽器首次顯示文字或圖片的時間。[瞭解詳情](https://web.dev/first-contentful-paint/)。"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{message:"畫面首次有效顯示所需時間是指網頁顯示主要內容的時間。[瞭解詳情](https://web.dev/first-meaningful-paint/)。"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"互動準備時間是網頁進入完整互動狀態前花費的時間。[瞭解詳情](https://web.dev/interactive/)。"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"「最大內容繪製」是指繪製最大的文字或圖片所需要的時間。[瞭解詳情](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"使用者可能會遇到的最長「首次輸入延遲時間」就是耗時最久的工作持續時間。[瞭解詳情](https://web.dev/lighthouse-max-potential-fid/)。"},
"lighthouse-core/audits/metrics/speed-index.js | description":{message:"速度指數會顯示網頁可見內容的填入速度。[瞭解詳情](https://web.dev/speed-index/)。"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"當工作長度超過 50 毫秒時，從 FCP 到互動準備時間的時間範圍總計 (以毫秒為單位)。[瞭解詳情](https://web.dev/lighthouse-total-blocking-time/)。"},"lighthouse-core/audits/network-rtt.js | description":{message:"網路封包往返時間 (RTT) 對效能有很大的影響。如果將封包傳送到某個來源的 RTT 很高，表示靠近使用者端的伺服器在效能方面有改善空間。[瞭解詳情](https://hpbn.co/primer-on-latency-and-bandwidth/)。"},"lighthouse-core/audits/network-rtt.js | title":{message:"網路封包往返時間"},"lighthouse-core/audits/network-server-latency.js | description":{message:"伺服器延遲時間可能會影響網站效能。如果原始伺服器的延遲時間很高，表示伺服器有超載情形或後端效能不佳。[瞭解詳情](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)。"},"lighthouse-core/audits/network-server-latency.js | title":{message:"伺服器後端延遲時間"},"lighthouse-core/audits/no-unload-listeners.js | description":{
message:"`unload` 事件無法穩定觸發，監聽該事件可能會妨礙系統進行某些瀏覽器最佳化作業 (例如往返快取)。建議改用 `pagehide` 或 `visibilitychange` 事件。[瞭解詳情](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"註冊 `unload` 事件監聽器"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"避免使用 `unload` 事件監聽器"},"lighthouse-core/audits/non-composited-animations.js | description":{message:"未合成的動畫可能無法順暢播放，而且會增加 CLS。[瞭解詳情](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{找到 # 個動畫元素}other{找到 # 個動畫元素}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"篩選器相關的屬性可能會移動像素"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"目標包含其他不相容的動畫"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"效果包含「replace」以外的合成模式"},
"lighthouse-core/audits/non-composited-animations.js | title":{message:"避免使用非合成的動畫"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"轉換相關屬性取決於定界框大小"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{不支援的 CSS 屬性：{properties}}other{不支援的 CSS 屬性：{properties}}}"},"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"效果包含不支援的時間參數"},"lighthouse-core/audits/performance-budget.js | description":{message:"讓網路要求的數量和大小低於使用者根據效能預算所設定的目標。[瞭解詳情](https://developers.google.com/web/tools/lighthouse/audits/budgets)。"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 個要求}other{# 個要求}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"效能預算"},"lighthouse-core/audits/preload-fonts.js | description":{message:"請預先載入 `optional` 字型，以便新訪客使用。[瞭解詳情](https://web.dev/preload-optional-fonts/)"},
"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"並未預先載入使用 `font-display: optional` 的字型"},"lighthouse-core/audits/preload-fonts.js | title":{message:"已預先載入使用 `font-display: optional` 的字型"},"lighthouse-core/audits/preload-lcp-image.js | description":{message:"預先載入 LCP 元素所使用的圖片，以縮短 LCP 載入時間。[瞭解詳情](https://web.dev/optimize-lcp/#preload-important-resources)。"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"預先載入最大內容繪製圖片"},"lighthouse-core/audits/redirects-http.js | description":{message:"如果你已設定 HTTPS，請確認是否已將所有 HTTP 流量都重新導向至 HTTPS，以便為所有使用者提供安全的網路功能。[瞭解詳情](https://web.dev/redirects-http/)。"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"未將 HTTP 流量重新導向至 HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"將 HTTP 流量重新導向至 HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"重新導向會導致頁面延遲載入。[瞭解詳情](https://web.dev/redirects/)。"},"lighthouse-core/audits/redirects.js | title":{message:"避免進行多次頁面重新導向"},
"lighthouse-core/audits/resource-summary.js | description":{message:"如要針對網頁資源的數量和大小設定預算，請新增 budget.json 檔案。[瞭解詳情](https://web.dev/use-lighthouse-for-performance-budgets/)。"},"lighthouse-core/audits/resource-summary.js | displayValue":{message:"{requestCount,plural, =1{1 個要求 • {byteCount, number, bytes} KiB}other{# 個要求 • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"降低要求數量並減少傳輸大小"},"lighthouse-core/audits/seo/canonical.js | description":{message:"標準連結可指出要在搜尋結果中顯示哪個網址。[瞭解詳情](https://web.dev/canonical/)。"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"多個衝突的網址 ({urlList})"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"指向其他網域 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"網址無效 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"指向其他 `hreflang` 位置 ({url})"},
"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"相對網址 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"指向目標為網域的根網址 (首頁)，而不是相應的內容網頁"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{message:"文件缺少有效的 `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"文件具備有效的 `rel=canonical`"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"無法檢索的連結"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"搜尋引擎可能會使用連結上的 `href` 屬性來檢索網站。請確認錨點元素的 `href` 屬性可連結適當的目的地，這樣才能檢索網站上的更多網頁。[瞭解詳情](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"無法檢索的連結"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"可檢索的連結"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"其他難以辨識的文字"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"字型大小"},
"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"頁面文字百分比"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"選取器"},"lighthouse-core/audits/seo/font-size.js | description":{message:"如果字型小於 12 像素，文字會太小而難以辨識；行動裝置訪客必須「以雙指撥動縮放」才能閱讀內容。網頁中應有超過 60% 的文字採用 12 像素以上的大小。[瞭解詳情](https://web.dev/font-size/)。"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} 的文字清晰易讀"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"文字難以辨識，這是因為網頁沒有針對行動裝置螢幕設定合適的可視區域中繼標記。"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"文件使用的字型大小難以辨識"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"清晰易讀的文字"},"lighthouse-core/audits/seo/font-size.js | title":{message:"文件使用的字型大小清晰易讀"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang 連結會告訴搜尋引擎在特定語言或區域的搜尋結果中應顯示哪種版本的網頁。[瞭解詳情](https://web.dev/hreflang/)。"},
"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"文件缺少有效的 `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"相對 href 值"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"文件具備有效的 `hreflang`"},"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"非預期的語言代碼"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"如果網頁傳回失敗的 HTTP 狀態碼，可能無法正確編入索引。[瞭解詳情](https://web.dev/http-status-code/)。"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"網頁傳回失敗的 HTTP 狀態碼"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"網頁傳回成功的 HTTP 狀態碼"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"如果搜尋引擎沒有檢索網頁的權限，將無法在搜尋結果中顯示你的網頁。[瞭解詳情](https://web.dev/is-crawable/)。"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"網頁的索引功能遭到封鎖"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"網頁的索引功能未遭到封鎖"},
"lighthouse-core/audits/seo/link-text.js | description":{message:"連結說明文字可協助搜尋引擎瞭解你的內容。[瞭解詳情](https://web.dev/link-text/)。"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{找到 1 個連結}other{找到 # 個連結}}"},"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"連結缺少說明文字"},"lighthouse-core/audits/seo/link-text.js | title":{message:"連結具有說明文字"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"執行[結構化資料測試工具](https://search.google.com/structured-data/testing-tool/)和 [Structured Data Linter](http://linter.structured-data.org/) 來驗證結構化資料。[瞭解詳情](https://web.dev/structured-data/)。"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"結構化資料有效"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"你可以在搜尋結果中加入中繼說明，簡要描述網頁內容。[瞭解詳情](https://web.dev/meta-description/)。"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"沒有說明文字。"},
"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"文件缺少中繼說明"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"文件具有中繼說明"},"lighthouse-core/audits/seo/plugins.js | description":{message:"搜尋引擎無法為外掛程式內容建立索引，而且許多裝置對外掛程式設有限制或不提供支援。[瞭解詳情](https://web.dev/plugins/)。"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"文件使用外掛程式"},"lighthouse-core/audits/seo/plugins.js | title":{message:"文件盡量不使用外掛程式"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"如果你的 robots.txt 檔案格式錯誤，檢索器可能無法瞭解你偏好的網站檢索方式或索引建立方式。[瞭解詳情](https://web.dev/robots-txt/)。"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"robots.txt 要求傳回以下 HTTP 狀態：{statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{發現 1 項錯誤}other{發現 # 項錯誤}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse 無法下載 robots.txt 檔"},
"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt 無效"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt 有效"},"lighthouse-core/audits/seo/tap-targets.js | description":{message:"按鈕和連結等互動元素的大小應至少有 48x48 像素，且周圍應保留足夠空間，讓使用者能輕鬆點選，同時避免與其他元素重疊的情況。[瞭解詳情](https://web.dev/tap-targets/)。"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} 的輕觸目標大小適中"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"輕觸目標太小，這是因為網頁沒有針對行動裝置螢幕設定合適的可視區域中繼標記"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"輕觸目標未設定成適當大小"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"重疊的目標"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"輕觸目標"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"輕觸目標已設定成適當大小"},"lighthouse-core/audits/server-response-time.js | description":{
message:"請確保伺服器能快速回應主要文件，因為這會影響到所有其他要求的回應時間。[瞭解詳情](https://web.dev/time-to-first-byte/)。"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"根文件回應時間為 {timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"請縮短初始伺服器回應時間"},"lighthouse-core/audits/server-response-time.js | title":{message:"初始伺服器回應時間很短"},"lighthouse-core/audits/service-worker.js | description":{message:"Service Worker 技術可讓你的應用程式使用許多漸進式網頁應用程式的功能，例如離線存取、新增到主螢幕，以及推播通知。[瞭解詳情](https://web.dev/service-worker/)。"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"此網頁由 Service Worker 所控管，但系統無法將資訊清單剖析為有效的 JSON，因此找不到任何 `start_url`"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"這個網頁由 Service Worker 所控管，但是 `start_url` ({startUrl}) 不在 Service Worker 的範圍內 ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{
message:"這個網頁由 Service Worker 所控管，但系統未擷取任何資訊清單，因此找不到任何 `start_url`。"},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"此來源包含一個或多個 Service Worker，但該頁面 ({pageUrl}) 不在 Service Worker 的範圍內。"},"lighthouse-core/audits/service-worker.js | failureTitle":{message:"未註冊可控管網頁和 `start_url` 的 Service Worker"},"lighthouse-core/audits/service-worker.js | title":{message:"已註冊可控管網頁和 `start_url` 的 Service Worker"},"lighthouse-core/audits/splash-screen.js | description":{message:"透過設定啟動畫面的主題，可確保使用者從主螢幕啟動你的應用程式時享有優質體驗。[瞭解詳情](https://web.dev/splash-screen/)。"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"未設定自訂啟動畫面"},"lighthouse-core/audits/splash-screen.js | title":{message:"設有自訂啟動畫面"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"你可以將瀏覽器網址列的主題設定為與網站相符。[瞭解詳情](https://web.dev/themed-omnibox/)。"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"尚未設定網址列的主題顏色。"},"lighthouse-core/audits/themed-omnibox.js | title":{
message:"設定網址列的主題顏色。"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName} (客戶成功案例)"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName} (行銷)"},"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName} (社交)"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName} (影片)"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"產品"},"lighthouse-core/audits/third-party-facades.js | description":{message:"某些第三方內嵌內容可延遲載入。建議你以門面元件取代這些內容，等到需要顯示時再載入。[瞭解詳情](https://web.dev/third-party-facades/)。"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{# 個可用的替代門面元件}other{# 個可用的替代門面元件}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"某些第三方資源可使用門面元件延遲載入"},"lighthouse-core/audits/third-party-facades.js | title":{message:"使用門面元件延遲載入第三方資源"},
"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"第三方"},"lighthouse-core/audits/third-party-summary.js | description":{message:"第三方程式碼可能會嚴重影響載入效能。請儘量減少不必要的第三方供應商，並在網頁的主要內容載入完畢後，再載入第三方程式碼。[瞭解詳情](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)。"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"第三方程式碼將主要執行緒封鎖了 {timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"降低第三方程式碼的影響"},"lighthouse-core/audits/third-party-summary.js | title":{message:"盡量減少第三方程式碼的使用量"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"測量值"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"指標"},"lighthouse-core/audits/timing-budget.js | description":{message:"設定時間預算可協助你隨時留意網站的效能。效能穩定的網站能快速載入網頁，並迅速回應使用者的輸入操作。[瞭解詳情](https://developers.google.com/web/tools/lighthouse/audits/budgets)。"},
"lighthouse-core/audits/timing-budget.js | title":{message:"時間預算"},"lighthouse-core/audits/unsized-images.js | description":{message:"請明確設定圖片元素的寬度和高度，以減少版面配置轉移並改善 CLS。[瞭解詳情](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"圖片元素沒有明確的`width`和`height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"圖片元素具有明確的`width`和`height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"類型"},"lighthouse-core/audits/user-timings.js | description":{message:"建議你使用 User Timing API 評估應用程式在關鍵使用者體驗期間的實際效能。[瞭解詳情](https://web.dev/user-timings/)。"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 個 User Timing 標記}other{# 個 User Timing 標記}}"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing 標記和測量結果"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{
message:"「{securityOrigin}」有「`<link rel=preconnect>`」，但未獲瀏覽器使用。請檢查你使用 `crossorigin` 屬性的方式是否正確。"},"lighthouse-core/audits/uses-rel-preconnect.js | description":{message:"建議你新增 `preconnect` 或 `dns-prefetch` 資源提示，及早連線至重要的第三方來源。[瞭解詳情](https://web.dev/uses-rel-preconnect/)。"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"預先連上必要來源"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"已找到超過 2 個「`<link rel=preconnect>`」連結。請盡量避免使用這些連結，僅用於最重要的來源。"},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"「{securityOrigin}」有「`<link rel=preconnect>`」，但未獲瀏覽器使用。「`preconnect`」僅應用於網頁一定會要求的重要來源。"},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"「{preloadURL}」有預先載入的「`<link>`」，但未獲瀏覽器使用。請檢查你使用 `crossorigin` 屬性的方式是否正確。"},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"建議使用 `<link rel=preload>` 優先擷取目前在網頁載入時較晚要求的資源。[瞭解詳情](https://web.dev/uses-rel-preload/)。"},
"lighthouse-core/audits/uses-rel-preload.js | title":{message:"預先載入重要要求"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"對應網址"},"lighthouse-core/audits/valid-source-maps.js | description":{message:"來源對應會將經過壓縮的程式碼轉譯成原始碼。這項功能可協助開發人員在正式版中偵錯。此外，Lighthouse 還能提供進一步的深入分析。我們建議你部署來源對應，以善用這些優勢。[瞭解詳情](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)。"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"缺少大型第一方 JavaScript 的來源對應"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"大型 JavaScript 檔案缺少來源對應"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{警告：`.sourcesContent` 中缺少 1 個項目}other{警告：`.sourcesContent` 中缺少 # 個項目}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"頁面包含有效的來源對應"},"lighthouse-core/audits/viewport.js | description":{
message:'如要配合行動裝置螢幕將你的應用程式進行最佳化調整，請新增 `<meta name="viewport">` 標記。[瞭解詳情](https://web.dev/viewport/)。'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'找不到任何 `<meta name="viewport">` 標記'},"lighthouse-core/audits/viewport.js | failureTitle":{message:'缺少包含 `width` 或 `initial-scale` 的 `<meta name="viewport">` 標記'},"lighthouse-core/audits/viewport.js | title":{message:'具備包含 `width` 或 `initial-scale` 的 `<meta name="viewport">` 標記'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"這些稽核建議可協助改善 ARIA 在應用程式中的使用情形，進而讓輔助技術 (例如螢幕閱讀器) 的使用體驗更上一層樓。"},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"你可以根據這些資訊判斷是否要提供用來替代音訊和影片的內容。這或許能改善聽障或視障人士的使用體驗。"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"音訊和影片"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{
message:"這些稽核項目會提供常見的無障礙功能最佳做法。"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"最佳做法"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{message:"這些檢查會清楚說明[網頁應用程式無障礙功能的改善建議](https://developers.google.com/web/fundamentals/accessibility)，但系統只能自動偵測一部分的無障礙功能問題，因此建議你另外進行手動測試。"},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"這些稽核項目會檢查自動化測試工具未涵蓋的區域。詳情請參閱[無障礙功能審查的執行指南](https://developers.google.com/web/fundamentals/accessibility/how-to-review)。"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"無障礙功能"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"這些稽核建議有助於提高內容的易讀性。"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"對比"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"你可以根據這些稽核建議做出改善，讓其他地區的使用者更容易理解你的內容。"},
"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"國際化和本地化"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"這些稽核建議可協助提高應用程式中的控制項語義品質。這或許能改善輔助技術 (例如螢幕閱讀器) 的使用體驗。"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"名稱和標籤"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"你可以根據這些資訊來改善應用程式的鍵盤瀏覽操作方式。"},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"瀏覽"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"請參考這些建議事項，讓使用者能夠更容易藉由輔助技術 (例如螢幕閱讀器) 來閱讀表格或清單資料。"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"表格和清單"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"瀏覽器相容性"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"最佳做法"},
"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"一般"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"信任與安全性"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"使用者體驗"},"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"你可以根據效能預算設定網站效能的標準。"},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"預算"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"進一步瞭解應用程式的效能。這些數字不會[直接影響](https://web.dev/performance-scoring/)「效能」分數。"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"診斷"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"像素呈現在畫面上的速度是最重要的效能層面。重要指標：首次內容繪製、首次有效繪製"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"改進首次繪製程序"},
"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"這些建議有助於提升網頁載入速度，但不會[直接影響](https://web.dev/performance-scoring/)「效能」分數。"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"最佳化建議"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"指標"},"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"改進整體載入體驗，採用回應式頁面設計，儘快為使用者提供服務。重要指標：可互動時間、速度指數"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"整體改進"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"效能"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"這些檢查項目可驗證漸進式網頁應用程式的不同層面。[瞭解詳情](https://developers.google.com/web/progressive-web-apps/checklist)。"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{
message:"這些是基本 [PWA 檢查清單](https://developers.google.com/web/progressive-web-apps/checklist)規定的項目，但 Lighthouse 不會自動進行檢查。它們不會影響你的分數，但請務必手動驗證這些項目。"},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"漸進式網頁應用程式"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"可安裝"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"PWA 最佳化"},"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"這些檢查可確保你的網頁採用的是最佳的搜尋引擎結果排名設定。有一些其他因素不在 Lighthouse 檢查範圍內，仍可能會影響你的搜尋排名。[瞭解詳情](https://support.google.com/webmasters/answer/35769)。"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"在您的網站上執行這些額外的驗證工具，以檢查其他 SEO 最佳做法。"},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"搜尋引擎最佳化 (SEO)"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"請設定適當的 HTML 格式，讓檢索器更容易辨識你的應用程式內容。"},
"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"內容最佳做法"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"檢索器需要存取你的應用程式，才能將網站顯示在搜尋結果中。"},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"檢索及建立索引"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"請確認你的網頁適合透過行動裝置瀏覽，使用者不須撥動雙指或縮放螢幕即可閱讀網頁內容。[瞭解詳情](https://developers.google.com/search/mobile-sites/)。"},"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"適合透過行動裝置瀏覽"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"測試裝置的 CPU 速度似乎比 Lighthouse 預期要慢。這可能會對效能分數造成負面影響。進一步瞭解[如何校準至適當的 CPU 減速倍頻](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)。"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"你的測試網址 ({requested}) 已重新導向至 {final}，因此頁面可能無法如預期載入。請直接測試第二個網址。"},
"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"頁面載入速度過慢，無法在時限內完成，因此結果可能不完整。"},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{下列位置可能有影響載入效能的儲存資料：{locations}。在無痕式視窗中審核這個頁面可避免這些資源影響你的分數。}other{下列位置可能有影響載入效能的儲存資料：{locations}。在無痕式視窗中審核這個頁面可避免這些資源影響你的分數。}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"建議新增 https: 和 http: 網址架構，以便回溯相容於舊版瀏覽器 (支援「strict-dynamic」的瀏覽器會忽略這些架構)。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"disown-opener 已於 CSP3 淘汰，請改用 Cross-Origin-Opener-Policy 標頭。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"referrer 已於 CSP2 淘汰，請改用 Referrer-Policy 標頭。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"reflected-xss 已於 CSP2 淘汰，請改用 X-XSS-Protection 標頭。"},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{
message:"如果缺少 base-uri，有心人士就利用插入的 <base> 標記，將所有相對網址 (例如指令碼) 的基底網址設為攻擊者控制的網域。建議將 base-uri 設為「none」或「self」。"},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"系統會將由 object-src 控管的元素視為舊功能。建議將 object-src 設為「none」，以免有心人士插入會執行不安全指令碼的外掛程式。"},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"缺少 script-src 指令。這可能導致系統執行不安全的指令碼。"},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"忘記使用分號了嗎？{keyword} 似乎是指令，而不是關鍵字。"},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"nonce 應使用 base64 字元集。"},"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"nonce 的長度至少要有 8 個字元。"},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"回報目的地只能透過 report-to 指令設定。由於這項指令只受到以 Chromium 為基礎的瀏覽器支援，因此建議同時使用 report-uri 指令。"},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"尚無 CSP 設定回報目的地。這會導致系統難以持續維護 CSP 及監控故障情況。"},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{
message:"由於主機許可清單經常受到忽略，建議使用「strict-dynamic」搭配 CSP nonce 或 hash。"},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"CSP 指令不明。"},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword} 似乎是無效關鍵字。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"「unsafe-inline」會允許執行不安全的網頁內指令碼和事件處理常式。建議使用 CSP nonce 或 hash 逐一允許指令碼。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"建議新增「unsafe-inline」，以便回溯相容於舊版瀏覽器 (支援 nonce/hash 的瀏覽器會忽略 unsafe-inline)。"},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"主要執行緒封鎖時間"},"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"快取 TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"說明"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"時間長度"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"元素"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"未通過稽核的元素"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{
message:"位置"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"名稱"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"超過預算"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"要求"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"資源大小"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"資源類型"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"大小"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"來源"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"開始時間"},"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"花費的時間"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"傳輸大小"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"網址"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"可節省的數據用量"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"可節省的時間"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{
message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"可減少 {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{找到 1 個元素}other{找到 # 個元素}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"可減少 {wastedMs, number, milliseconds} 毫秒"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"文件"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"首次有效繪製"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"字型"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"圖片"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"高"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"低"},
"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"中"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"首次輸入延遲時間最長預估值"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"媒體"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"其他"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{message:"其他資源"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"指令碼"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} 秒"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"樣式表"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"第三方"},
"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"總計"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"追蹤記錄網頁載入情形時發生錯誤。請重新執行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"等候偵錯工具通訊協定初始連線時發生逾時。"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome 在網頁載入期間未能擷取螢幕畫面。請確認網頁上有可見內容，然後嘗試重新執行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS 伺服器無法解析你提供的網域。"},"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"必要的 {artifactName} 收集程式發生錯誤：{errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"Chrome 發生內部錯誤。請重新啟動 Chrome，並嘗試重新執行 Lighthouse。"},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"未執行必要的 {artifactName} 收集程式。"},"lighthouse-core/lib/lh-error.js | noFcp":{
message:"網頁未繪製任何內容。請確認載入期間瀏覽器視窗皆保持在前景，然後再試一次。({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"提供的頁面未採用 HTML 格式 (以 MIME 類型 {mimeType} 提供)。"},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"這個 Chrome 版本過舊，因此無法支援「{featureName}」。請使用較新的版本查看完整結果。"},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse 無法穩定載入你要求的網頁。請確認你測試的網址是否正確，以及伺服器是否正確回應所有要求。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"你要求的網頁已停止回應，因此 Lighthouse 無法穩定載入該網址。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"你所提供的網址缺少有效的安全性憑證。{securityMessages}"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome 使用插頁式畫面阻止系統載入網頁。請確認你的測試網址是否正確，以及伺服器是否正確回應所有要求。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse 無法穩定載入你要求的網頁。請確認你的測試網址是否正確，以及伺服器是否正確回應所有要求。(詳細資訊：{errorDetails})"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{
message:"Lighthouse 無法穩定載入你要求的網頁。請確認你的測試網址是否正確，以及伺服器是否正確回應所有要求。(狀態碼：{statusCode})"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"網頁載入時間過長。請按照報告中的建議做法縮短網頁載入時間，然後嘗試重新執行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"等待 DevTools 通訊協定回應的時間超出系統分配上限。(方法：{protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"擷取資源內容的時間超出系統分配上限。"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"你所提供的網址無效。"},"lighthouse-treemap/app/src/util.js | allLabel":{message:"全部"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"所有指令碼"},"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"涵蓋率"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"重複模組"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"資源位元組"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"名稱"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{
message:"顯示/隱藏表格"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"未使用的位元組"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"你可以對動畫內容使用 [`amp-anim`](https://amp.dev/documentation/components/amp-anim/)，這樣一來，畫面外的內容即會盡量節省 CPU 用量。"},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"建議你以 WebP 格式顯示所有 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 元件，同時為其他瀏覽器指定適當的備用格式。[瞭解詳情](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"請確認你已使用 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 讓圖片自動延遲載入。[瞭解詳情](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{
message:"使用 [AMP 最佳化工具](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer)或類似工具，在[伺服器端轉譯 AMP 版面配置](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"請參閱 [AMP 說明文件](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)，確保所有樣式都受到支援。"},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 元件支援 [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) 屬性，可根據螢幕大小指定要使用的圖片素材資源。[瞭解詳情](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"如果要轉譯超大型清單，建議使用元件開發套件 (CDK) 進行虛擬捲動。[瞭解詳情](https://web.dev/virtualize-lists-with-angular-cdk/)。"},
"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"套用[路徑層級的程式碼分割](https://web.dev/route-level-code-splitting-in-angular/)，盡可能減少 JavaScript 套件大小。此外，建議你使用 [Angular Service Worker](https://web.dev/precaching-with-the-angular-service-worker/) 預先快取素材資源。"},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"如果你使用 Angular CLI，請確認你是在正式版模式中產生版本。[瞭解詳情](https://angular.io/guide/deployment#enable-runtime-production-mode)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"如果你使用 Angular CLI，請在正式版本中加入來源對應功能，以檢查套件。[瞭解詳情](https://angular.io/guide/deployment#inspect-the-bundles)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"在瀏覽前預先載入路徑以加快瀏覽速度。[瞭解詳情](https://web.dev/route-preloading-in-angular/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{
message:"建議你使用元件開發套件 (CDK) 中的 `BreakpointObserver` 公用程式來管理圖片中斷點。[瞭解詳情](https://material.angular.io/cdk/layout/overview)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"建議你將 GIF 上傳到可將 GIF 做為 HTML5 影片嵌入的服務。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"在主題中定義自訂字型時，指定 `@font-display`。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{message:"建議你在網站中安裝並設定[模組以採用 WebP 圖片格式](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)。這類模組會為你上傳的圖片自動產生 WebP 版本，以最佳化載入時間。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{
message:"安裝可以延遲載入圖片的 [Drupal 模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)。這類模組可延遲載入所有畫面外的圖片，進而提升效能。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"建議你使用模組來內嵌重要的 CSS 和 JavaScript，或者透過[進階 CSS/JavaScript 匯總](https://www.drupal.org/project/advagg)模組等 JavaScript，以非同步的方式載入素材資源。請注意，這個模組提供的最佳化設定可能會導致現有網站無法正常運作，因此你可能需要變更程式碼。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{message:"主題、模組和伺服器規格都會影響伺服器回應時間。建議你尋找經過最佳化調整的主題、謹慎選擇最佳化模組，並 (或) 升級伺服器。你的代管伺服器應使用 PHP opcode 快取、記憶體快取來降低資料庫查詢時間 (例如 Redis 或 Memcached)，並且使用經過最佳化的應用程式邏輯提升頁面載入的速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{
message:"建議你使用[回應式圖片樣式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)來縮減頁面上載入圖片的大小。如果你使用 Views 在頁面上顯示多個內容項目，建議你透過分頁來限制特定頁面上顯示的內容項目數量。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"確保你已啟用 [Administration] » [Configuration] » [Development] 頁面上的 [Aggregate CSS files]。你也可以透過[額外模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)設定更多的進階匯總選項，藉此透過串連、縮小及壓縮 CSS 樣式來提升網站速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"確保你已啟用 [Administration] » [Configuration] » [Development] 頁面上的 [Aggregate JavaScript files]。你也可以透過[額外模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)設定更多的進階匯總選項，藉此透過串連、縮小及壓縮 JavaScript 素材資源來提升網站速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{message:"建議你移除未使用的 CSS 規則，並僅將必要的 Drupal 程式庫附加至相關頁面或頁面上的元件。詳情請參閱 [Drupal 說明文件連結](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)。如要找出會新增多餘 CSS 的附加程式庫，請嘗試在 Chrome DevTools 中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)功能。你可以在 Drupal 網站上停用 CSS 匯總時，透過樣式表網址找出有問題的主題/模組。請留意在清單中包含許多樣式表，且程式碼涵蓋率中有許多紅色標示的主題/模組。主題/模組只應將網頁實際使用的樣式表加入佇列。"},
"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{message:"建議你移除未使用的 JavaScript 素材資源，並僅將必要的 Drupal 程式庫附加至相關頁面或頁面上的元件。詳情請參閱 [Drupal 說明文件連結](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)。如要找出會新增多餘 JavaScript 的附加程式庫，請嘗試在 Chrome DevTools 中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)功能。你可以在 Drupal 網站上停用 JavaScript 匯總時，透過指令碼網址找出有問題的主題/模組。請留意在清單中包含許多指令碼，且程式碼涵蓋率中有許多紅色標示的主題/模組。主題/模組只應將網頁實際使用的指令碼加入佇列。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"在 [Administration] » [Configuration] » [Development] 頁面上設定 [Browser and proxy cache maximum age]。瞭解 [Drupal 快取並將效能最佳化](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"建議你使用可自動最佳化及縮減透過網站上傳的圖片大小，並且不會影響畫質的[模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)。此外，請確保網站上所有經轉譯的圖片都使用 Drupal 內建的[回應式圖片樣式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Drupal 8 及以上版本提供)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"你可以透過安裝並設定[模組](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)來新增 preconnect 或 dns-prefetch 資源提示。該模組可以為使用者代理程式資源提示提供設施。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{
message:"請確保你使用的是 Drupal 內建的[回應式圖片樣式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) (Drupal 8 及以上版本提供)。藉由檢視模式、檢視畫面或透過 WYSIWYG 編輯器上傳的圖片轉譯圖片欄位時，請使用回應式圖片樣式。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"建議你將 GIF 上傳到可將 GIF 做為 HTML5 影片嵌入的服務。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"建議你使用會自動將上傳圖片轉換成最佳格式的[外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)或服務。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"安裝可延遲載入所有畫面外圖片的[延遲載入 Joomla 外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)，或是改用提供這項功能的範本。自 Joomla 4.0 開始，所有新圖片都會[自動](https://github.com/joomla/joomla-cms/pull/30748)從系統核心取得 `loading` 屬性。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"有些 Joomla 外掛程式能協助你[內嵌重要的素材資源](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)，或是[延後載入較不重要的資源](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)。請注意，這些外掛程式的最佳化設定可能會對現有範本或外掛程式的功能有不良影響，因此你需要全面測試這些外掛程式。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"範本、擴充功能和伺服器規格都會影響伺服器回應時間。建議你尋找經過最佳化調整的範本、謹慎選擇最佳化擴充功能，並 (或) 升級伺服器。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"建議你在文章類別中顯示摘錄 (例如加入閱讀完整內容的連結)、減少特定頁面顯示的文章數量、將較長的文章分為多個頁面，或使用可延遲載入留言的外掛程式。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"有些 [Joomla 擴充功能](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)可以透過串連、縮小及壓縮 CSS 樣式來提升網站速度。此外，也有範本提供這項功能。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"有些 [Joomla 擴充功能](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) 可以透過串連、縮小及壓縮指令碼來提升網站速度。此外，也有範本提供這項功能。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"有些 [Joomla 擴充功能](https://extensions.joomla.org/)會在網頁中載入未使用的 CSS，建議你減少這類擴充功能的數量，或改用其他擴充功能。如要找出會新增多餘 CSS 的擴充功能，請嘗試在 Chrome DevTools 中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)功能。你可以透過樣式表網址找出有問題的主題/外掛程式。請留意在清單中包含許多樣式表，且程式碼涵蓋率中有許多紅色標示的外掛程式。外掛程式只應將網頁上實際使用的樣式表加入清單。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"有些 [Joomla 擴充功能](https://extensions.joomla.org/)會在網頁中載入未使用的 JavaScript，建議你減少這類擴充功能的數量，或改用其他擴充功能。如要找出會新增多餘 JavaScript 的外掛程式，請嘗試在 Chrome DevTools 中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)功能。你可以透過指令碼網址找出有問題的擴充功能。請留意在清單中包含許多指令碼，且程式碼涵蓋率中有許多紅色標示的擴充功能。擴充功能只應將網頁實際使用的指令碼加入佇列。"},
"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{message:"瞭解 [Joomla 的瀏覽器快取功能](https://docs.joomla.org/Cache)。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"建議你使用壓縮圖片時不會影響到畫質的[圖片最佳化外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"建議你使用[回應式的圖片外掛程式](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)，以在內容中使用回應式圖片。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"你可以透過啟用 Joomla 中的 Gzip 頁面壓縮 ([System] > [Global configuration] > [Server]) 來啟用文字壓縮功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"如果你不是在統合 JavaScript 素材資源，建議你使用 [baler](https://github.com/magento/baler)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"停用 Magento 內建的 [JavaScript 統合及壓縮功能](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)，考慮改用 [baler](https://github.com/magento/baler/)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"在[定義自訂字型](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)時指定 `@font-display`。"},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"建議你在 [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) 搜尋多種第三方擴充功能，以運用較新的圖片格式。"},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"建議你修改產品和目錄範本，以使用網路平台的[延遲載入](https://web.dev/native-lazy-loading)功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"使用 Magento 的 [Varnish 整合功能](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)。"},
"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"在商店的開發人員設定中啟用 [Minify CSS Files] 選項。[瞭解詳情](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"如果 JavaScript 素材資源是來自靜態內容部署作業，建議你使用 [Terser](https://www.npmjs.com/package/terser) 來進行壓縮，並停用內建的壓縮功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"停用 Magento 的內建 [JavaScript 統合功能](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"建議你在 [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) 搜尋多種的第三方擴充功能，以進行圖片最佳化。"},
"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{message:"你可以透過[修改主題的版面配置](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)，新增 preconnect 或 dns-prefetch 資源提示。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"你可以透過[修改主題版面配置](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)來新增 `<link rel=preload>` 標記。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[用影片取代 GIF 動畫](https://web.dev/replace-gifs-with-videos/)以加快載入網頁，並考慮使用 [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) 或 [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) 等新型檔案格式，這樣可讓目前最先進的影片轉碼器 VP9 的壓縮效率再提高超過 30%。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"建議你使用可自動將上傳圖片轉換成最佳格式的[外掛程式](https://octobercms.com/plugins?search=image)或服務。[WebP 無失真圖片](https://developers.google.com/speed/webp)的大小比 PNG 小 26%，與 SSIM 畫質指數相等的類似 JPEG 圖片相比，則小 25-34%。另一種可考慮使用的新一代圖片格式為 [AVIF](https://jakearchibald.com/2020/avif-has-landed/)。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"建議你安裝可延遲載入所有畫面外圖片的[圖片延遲載入外掛程式](https://octobercms.com/plugins?search=lazy)，或是改用提供這項功能的主題。你也可以考慮使用 [AMP 外掛程式](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"有許多外掛程式可協助[內嵌重要的素材資源](https://octobercms.com/plugins?search=css)。這些外掛程式可能會導致其他外掛程式無法正常運作，因此你需要仔細測試。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{
message:"主題、外掛程式和伺服器規格都會影響伺服器回應時間。建議你尋找最佳化設定更完善的主題、謹慎選擇最佳化外掛程式，以及/或是升級伺服器。透過 October CMS，開發人員也能使用 [`Queues`](https://octobercms.com/docs/services/queues) 延遲處理耗時的工作，例如電子郵件傳送工作。這可大幅加快網頁要求執行速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"建議你在文章清單中顯示摘錄 (例如加入 [`show more`] 按鈕)、減少特定網頁顯示的文章數量、將較長的文章分為多個網頁，或是使用可延遲載入留言的外掛程式。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"有許多[外掛程式](https://octobercms.com/plugins?search=css)可透過串連、縮小及壓縮樣式提升網站執行速度。如果預先透過建構程序執行這項壓縮作業，將可加快開發速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"有許多[外掛程式](https://octobercms.com/plugins?search=javascript)可透過串連、縮小及壓縮指令碼提升網站執行速度。如果預先透過建構程序執行這項壓縮作業，將可加快開發速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{
message:"有些[外掛程式](https://octobercms.com/plugins)會在網站中載入未使用的 CSS，建議你進行檢查。如要找出這些會加入多餘 CSS 的外掛程式，請在 Chrome 開發人員工具中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)計算功能。接著，透過樣式表網址找出有問題的主題/外掛程式。在程式碼涵蓋率資料中，如果外掛程式有許多指令碼呈現高比例的紅色，代表可能有問題。外掛程式只應加入網頁中實際用到的樣式表。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{message:"有些[外掛程式](https://octobercms.com/plugins?search=javascript)會在網頁中載入未使用的 JavaScript，建議你進行檢查。如要找出這些會加入多餘 JavaScript 的外掛程式，請在 Chrome 開發人員工具中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)計算功能。接著，透過指令碼網址找出有問題的主題/外掛程式。在程式碼涵蓋率資料中，如果外掛程式有許多指令碼呈現高比例的紅色，代表可能有問題。外掛程式只應加入網頁中實際用到的指令碼。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"閱讀[這篇文章](https://web.dev/http-cache/#caching-checklist)，瞭解如何透過 HTTP 快取防止不必要的網路要求。有許多[外掛程式](https://octobercms.com/plugins?search=Caching)可用於提升快取速度。"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"建議你使用[圖片最佳化外掛程式](https://octobercms.com/plugins?search=image)壓縮圖片，這樣可以保持原始畫質。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"直接在媒體管理員中上傳圖片，確保你提供的圖片大小符合系統規定。建議你使用[調整大小篩選器](https://octobercms.com/docs/markup/filter-resize)或[圖片大小調整外掛程式](https://octobercms.com/plugins?search=image)，確保使用的是最佳圖片大小。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"在網路伺服器設定中啟用文字壓縮功能。"},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{
message:"如要在網頁上轉譯許多重複的元素，建議你使用「視窗化」程式庫 (例如 `react-window`)，盡可能減少系統建立的 DOM 節點數量。[瞭解詳情](https://web.dev/virtualize-long-lists-react-window/)。此外，如果你使用 `Effect` Hook 改善執行階段的效能，請使用 [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action)、[`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) 或 [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) 以及[略過效果](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)，盡量減少不必要的重新轉譯，但某些相依性已變更時除外。"},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"如果使用 React Router，請盡量避免在[路徑導航](https://reacttraining.com/react-router/web/api/Redirect)中使用 `<Redirect>` 元件。"},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{
message:"如果你在伺服器端轉譯任何 React 元件，建議你使用 `renderToNodeStream()` 或 `renderToStaticNodeStream()`，以允許用戶端接收並填入標記的不同部分，而非一次接收整個標記。[瞭解詳情](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"如果你的建構系統會自動壓縮 CSS 檔案，請確定你部署的應用程式為正式版本。你可以使用 React Developer Tools 擴充功能進行檢查。[瞭解詳情](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"如果你的建構系統會自動壓縮 JavaScript 檔案，請確定你部署的應用程式為正式版本。你可以使用 React Developer Tools 擴充功能進行檢查。[瞭解詳情](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{
message:"如果你不是在伺服器端進行轉譯，請以 `React.lazy()` [分割你的 JavaScript 套件](https://web.dev/code-splitting-suspense/)。否則請使用 [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/) 等第三方程式庫來分割程式碼。"},"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"使用 React DevTools Profiler，這項工具會採用 Profiler API 來測量你的元件轉譯效能。[瞭解詳情](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"建議你將 GIF 上傳到可將 GIF 做為 HTML5 影片嵌入的服務。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"建議你使用會自動將上傳圖片轉換成最佳格式的[外掛程式](https://wordpress.org/plugins/search/convert+webp/)或服務。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{
message:"安裝可延遲載入所有畫面外圖片的[延遲載入 WordPress 外掛程式](https://wordpress.org/plugins/search/lazy+load/)，或改用提供這項功能的主題。你也可以考慮使用 [AMP 外掛程式](https://wordpress.org/plugins/amp/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{message:"有些 WordPress 外掛程式能協助你[內嵌重要的素材資源](https://wordpress.org/plugins/search/critical+css/)或[延後載入較不重要的資源](https://wordpress.org/plugins/search/defer+css+javascript/)。請注意，這些外掛程式的最佳化設定可能會對現有主題或外掛程式的功能有不良影響，因此你可能需要變更程式碼。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"主題、外掛程式和伺服器規格都會影響伺服器回應時間。建議你尋找經過最佳化調整的主題、謹慎選擇最佳化外掛程式，並 (或) 升級伺服器。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"建議你在文章清單中顯示摘錄 (例如加入更多標記)、減少特定頁面顯示的文章數量、將較長的文章分為多個頁面，或使用可延遲載入留言的外掛程式。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"有些 [WordPress 外掛程式](https://wordpress.org/plugins/search/minify+css/) 可以透過串連、縮小及壓縮樣式來提升網站速度。你也可以透過建構流程直接執行這項壓縮作業 (如果可行的話)。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"有些 [WordPress 外掛程式](https://wordpress.org/plugins/search/minify+javascript/) 可以透過串連、縮小及壓縮指令碼來提升網站速度。你也可以透過建構流程直接執行這項壓縮作業 (如果可行的話)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"有些 [WordPress 外掛程式](https://wordpress.org/plugins/)會在網頁中載入未使用的 CSS，建議你減少這類外掛程式的數量，或改用其他外掛程式。如要找出會新增多餘 CSS 的外掛程式，請嘗試在 Chrome DevTools 中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)功能。你可以透過樣式表網址找出有問題的主題/外掛程式。請留意在清單中包含許多樣式表，且程式碼涵蓋率中有許多紅色標示的外掛程式。外掛程式只應將網頁上實際使用的樣式表加入清單。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{
message:"有些 [WordPress 外掛程式](https://wordpress.org/plugins/)會在網頁中載入未使用的 JavaScript，建議你減少這類外掛程式的數量，或改用其他外掛程式。如要找出會新增多餘 JavaScript 的外掛程式，請嘗試在 Chrome DevTools 中執行[程式碼涵蓋率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)功能。你可以透過指令碼網址找出有問題的主題/外掛程式。請留意在清單中包含許多指令碼，且程式碼涵蓋率中有許多紅色標示的外掛程式。外掛程式只應將網頁實際使用的指令碼加入佇列。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"瞭解 [WordPress 的瀏覽器快取功能](https://wordpress.org/support/article/optimization/#browser-caching)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"建議你使用壓縮圖片時不會影響到畫質的[圖片最佳化 WordPress 外掛程式](https://wordpress.org/plugins/search/optimize+images/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{
message:"你可以直接透過[媒體庫](https://wordpress.org/support/article/media-library-screen/)上傳圖片，確保你可以使用所需的圖片大小，然後透過從媒體庫插入圖片，或使用圖片小工具來確保你使用的是最佳圖片大小 (包括回應式中斷點適用的圖片大小)。除非圖片尺寸符合使用目的，否則請避免使用`Full Size`圖片。[瞭解詳情](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"你可以在網路伺服器設定中啟用文字壓縮功能。"},"report/renderer/util.js | calculatorLink":{message:"查看計算機。"},"report/renderer/util.js | crcInitialNavigation":{message:"起始導覽"},"report/renderer/util.js | crcLongestDurationLabel":{message:"關鍵路徑延遲時間上限："},"report/renderer/util.js | dropdownCopyJSON":{message:"複製 JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"切換深色主題"},"report/renderer/util.js | dropdownPrintExpanded":{message:"已展開列印"},"report/renderer/util.js | dropdownPrintSummary":{message:"列印摘要"},"report/renderer/util.js | dropdownSaveGist":{message:"另存為 Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"另存為 HTML"},
"report/renderer/util.js | dropdownSaveJSON":{message:"另存為 JSON"},"report/renderer/util.js | dropdownViewer":{message:"在檢視器中開啟"},"report/renderer/util.js | errorLabel":{message:"發生錯誤！"},"report/renderer/util.js | errorMissingAuditInfo":{message:"回報錯誤：無稽核資訊"},"report/renderer/util.js | footerIssue":{message:"回報問題"},"report/renderer/util.js | labDataTitle":{message:"研究資料"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) 在模擬行動網路上對目前網頁進行的分析。此為預估值，可能與實際情況有所不同。"},"report/renderer/util.js | manualAuditsGroupTitle":{message:"其他手動檢查項目"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"不適用"},"report/renderer/util.js | opportunityResourceColumnLabel":{message:"最佳化建議"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"預估減少量"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"通過稽核項目"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"模擬電腦"},
"report/renderer/util.js | runtimeMobileEmulation":{message:"模擬 Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"沒有任何模擬的裝置"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe 版本"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/記憶體效能"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU 溫控降頻"},"report/renderer/util.js | runtimeSettingsChannel":{message:"管道"},"report/renderer/util.js | runtimeSettingsDevice":{message:"裝置"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"擷取時間"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"網路節流"},"report/renderer/util.js | runtimeSettingsTitle":{message:"執行階段設定"},"report/renderer/util.js | runtimeSettingsUA":{message:"使用者代理程式 (主機)"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"使用者代理程式 (網路)"},"report/renderer/util.js | runtimeSettingsUrl":{message:"網址"},"report/renderer/util.js | runtimeUnknown":{message:"不明"},
"report/renderer/util.js | showRelevantAudits":{message:"顯示與下列指標相關的稽核項目："},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"收合程式碼片段"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"展開程式碼片段"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"顯示第三方資源"},"report/renderer/util.js | throttlingProvided":{message:"由執行階段環境提供"},"report/renderer/util.js | toplevelWarningsMessage":{message:"有問題導致 Lighthouse 無法順利執行這項作業："},"report/renderer/util.js | varianceDisclaimer":{message:"此為預估值，可能與實際情況有所不同。系統會直接根據這些指標[計算效能分數](https://web.dev/performance-scoring/)。"},"report/renderer/util.js | viewTreemapLabel":{message:"查看矩形式樹狀結構圖"},"report/renderer/util.js | warningAuditsGroupTitle":{message:"通過稽核，但附有警告訊息"},"report/renderer/util.js | warningHeader":{message:"警告： "}}},{}],146:[function(e,s,t){s.exports={"lighthouse-core/audits/accessibility/accesskeys.js | description":{message:"快捷键可让用户快速转到页面的某个部分。为确保正确进行导航，每个快捷键都必须是独一无二的。[了解详情](https://web.dev/accesskeys/)。"},
"lighthouse-core/audits/accessibility/accesskeys.js | failureTitle":{message:"`[accesskey]` 的值重复"},"lighthouse-core/audits/accessibility/accesskeys.js | title":{message:"“`[accesskey]`”值是独一无二的"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | description":{message:"每个 ARIA“`role`”都支持一部分特定的“`aria-*`”属性。如果这些项不匹配，会导致“`aria-*`”属性无效。[了解详情](https://web.dev/aria-allowed-attr/)。"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | failureTitle":{message:"`[aria-*]` 属性与其角色不匹配"},"lighthouse-core/audits/accessibility/aria-allowed-attr.js | title":{message:"`[aria-*]` 属性与其角色匹配"},"lighthouse-core/audits/accessibility/aria-command-name.js | description":{message:"如果某个元素没有可供访问的名称，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-command-name.js | failureTitle":{message:"`button`、`link` 和 `menuitem` 元素缺少可供访问的名称。"},"lighthouse-core/audits/accessibility/aria-command-name.js | title":{
message:"`button`、`link` 和 `menuitem` 元素都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-hidden-body.js | description":{message:'在文档 `<body>` 上设置 `aria-hidden="true"` 后，辅助技术（如屏幕阅读器）的工作方式不一致。[了解详情](https://web.dev/aria-hidden-body/)。'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | failureTitle":{message:'文档 `<body>` 中有 `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-body.js | title":{message:'文档 `<body>` 中没有 `[aria-hidden="true"]`'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | description":{message:'有一个 `[aria-hidden="true"]` 元素包含可聚焦的下级元素，导致这些交互式元素都无法被辅助技术（如屏幕阅读器）用户使用。[了解详情](https://web.dev/aria-hidden-focus/)。'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | failureTitle":{message:'`[aria-hidden="true"]` 元素包含可聚焦的下级元素'},"lighthouse-core/audits/accessibility/aria-hidden-focus.js | title":{message:'`[aria-hidden="true"]` 元素都不含可聚焦的下级元素'},
"lighthouse-core/audits/accessibility/aria-input-field-name.js | description":{message:"当某个输入字段没有可供访问的名称时，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | failureTitle":{message:"ARIA 输入字段缺少可供访问的名称"},"lighthouse-core/audits/accessibility/aria-input-field-name.js | title":{message:"ARIA 输入字段都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-meter-name.js | description":{message:"如果某个元素没有可供访问的名称，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-meter-name.js | failureTitle":{message:"ARIA `meter` 元素缺少可供访问的名称。"},"lighthouse-core/audits/accessibility/aria-meter-name.js | title":{message:"ARIA `meter` 元素都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | description":{message:"如果某个 `progressbar` 元素没有无障碍名称，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},
"lighthouse-core/audits/accessibility/aria-progressbar-name.js | failureTitle":{message:"ARIA `progressbar` 元素缺少可供访问的名称。"},"lighthouse-core/audits/accessibility/aria-progressbar-name.js | title":{message:"ARIA `progressbar` 元素都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-required-attr.js | description":{message:"一些 ARIA 角色有必需属性，这些属性向屏幕阅读器描述了相应元素的状态。[了解详情](https://web.dev/aria-required-attr/)。"},"lighthouse-core/audits/accessibility/aria-required-attr.js | failureTitle":{message:"`[role]` 缺少部分必需的 `[aria-*]` 属性"},"lighthouse-core/audits/accessibility/aria-required-attr.js | title":{message:"`[role]` 具备所有必需的 `[aria-*]` 属性"},"lighthouse-core/audits/accessibility/aria-required-children.js | description":{message:"一些 ARIA 父角色必须包含特定子角色，才能执行它们的预期无障碍功能。[了解详情](https://web.dev/aria-required-children/)。"},"lighthouse-core/audits/accessibility/aria-required-children.js | failureTitle":{message:"具有 ARIA `[role]`且要求子元素必须包含特定`[role]`的元素缺少部分或全部必需子元素。"},
"lighthouse-core/audits/accessibility/aria-required-children.js | title":{message:"具有 ARIA `[role]`且要求子元素必须包含特定`[role]`的元素包含全部必需子元素。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | description":{message:"一些 ARIA 子角色必须包含在特定的父角色中，才能正确执行它们的预期无障碍功能。[了解详情](https://web.dev/aria-required-parent/)。"},"lighthouse-core/audits/accessibility/aria-required-parent.js | failureTitle":{message:"`[role]` 未包含在其必需的父元素中"},"lighthouse-core/audits/accessibility/aria-required-parent.js | title":{message:"`[role]` 包含在其必需的父元素中"},"lighthouse-core/audits/accessibility/aria-roles.js | description":{message:"ARIA 角色必须具备有效值，才能执行它们的预期无障碍功能。[了解详情](https://web.dev/aria-roles/)。"},"lighthouse-core/audits/accessibility/aria-roles.js | failureTitle":{message:"`[role]` 值无效"},"lighthouse-core/audits/accessibility/aria-roles.js | title":{message:"`[role]` 值有效"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | description":{
message:"当某个切换字段没有可供访问的名称时，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | failureTitle":{message:"ARIA 切换字段缺少可供访问的名称"},"lighthouse-core/audits/accessibility/aria-toggle-field-name.js | title":{message:"ARIA 切换字段都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | description":{message:"如果某个元素没有可供访问的名称，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | failureTitle":{message:"ARIA `tooltip` 元素缺少可供访问的名称。"},"lighthouse-core/audits/accessibility/aria-tooltip-name.js | title":{message:"ARIA `tooltip` 元素都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | description":{message:"如果某个元素没有可供访问的名称，屏幕阅读器会将它读为通用名称，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/aria-name/)。"},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | failureTitle":{message:"ARIA `treeitem` 元素缺少可供访问的名称。"
},"lighthouse-core/audits/accessibility/aria-treeitem-name.js | title":{message:"ARIA `treeitem` 元素都有可供访问的名称"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | description":{message:"辅助技术（如屏幕阅读器）无法解读值无效的 ARIA 属性。[了解详情](https://web.dev/aria-valid-attr-value/)。"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | failureTitle":{message:"`[aria-*]` 属性缺少有效值"},"lighthouse-core/audits/accessibility/aria-valid-attr-value.js | title":{message:"`[aria-*]` 属性具备有效值"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | description":{message:"辅助技术（如屏幕阅读器）无法解读名称无效的 ARIA 属性。[了解详情](https://web.dev/aria-valid-attr/)。"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | failureTitle":{message:"`[aria-*]` 属性无效或拼写有误"},"lighthouse-core/audits/accessibility/aria-valid-attr.js | title":{message:"`[aria-*]` 属性有效且拼写正确"},"lighthouse-core/audits/accessibility/axe-audit.js | failingElementsHeader":{message:"未通过审核的元素"},
"lighthouse-core/audits/accessibility/button-name.js | description":{message:"当某个按钮没有可供访问的名称时，屏幕阅读器会将它读为“按钮”，这会导致依赖屏幕阅读器的用户无法使用它。[了解详情](https://web.dev/button-name/)。"},"lighthouse-core/audits/accessibility/button-name.js | failureTitle":{message:"按钮缺少可供访问的名称"},"lighthouse-core/audits/accessibility/button-name.js | title":{message:"按钮有可供访问的名称"},"lighthouse-core/audits/accessibility/bypass.js | description":{message:"添加用于绕过重复内容的方式有助于键盘用户更高效地浏览页面。[了解详情](https://web.dev/bypass/)。"},"lighthouse-core/audits/accessibility/bypass.js | failureTitle":{message:"该页面不含任何标题、跳过链接或地标区域"},"lighthouse-core/audits/accessibility/bypass.js | title":{message:"该页面包含一个标题、跳过链接或地标区域"},"lighthouse-core/audits/accessibility/color-contrast.js | description":{message:"对于许多用户而言，对比度低的文字都是难以阅读或无法阅读的。[了解详情](https://web.dev/color-contrast/)。"},"lighthouse-core/audits/accessibility/color-contrast.js | failureTitle":{message:"背景色和前景色没有足够高的对比度。"},"lighthouse-core/audits/accessibility/color-contrast.js | title":{
message:"背景色和前景色具有足够高的对比度"},"lighthouse-core/audits/accessibility/definition-list.js | description":{message:"如果未正确标记定义列表，屏幕阅读器可能会读出令人困惑或不准确的内容。[了解详情](https://web.dev/definition-list/)。"},"lighthouse-core/audits/accessibility/definition-list.js | failureTitle":{message:"`<dl>` 并非只包含经过适当排序的 `<dt>` 和 `<dd>` 组及 `<script>`、`<template>` 或 `<div>` 元素。"},"lighthouse-core/audits/accessibility/definition-list.js | title":{message:"`<dl>` 只包含经过适当排序的 `<dt>` 和 `<dd>` 组及 `<script>`、`<template>` 或 `<div>` 元素。"},"lighthouse-core/audits/accessibility/dlitem.js | description":{message:"定义列表项 (`<dt>` 和 `<dd>`) 必须封装在父 `<dl>` 元素中，以确保屏幕阅读器可以正确地读出它们。[了解详情](https://web.dev/dlitem/)。"},"lighthouse-core/audits/accessibility/dlitem.js | failureTitle":{message:"定义列表项已封装在 `<dl>` 元素中"},"lighthouse-core/audits/accessibility/dlitem.js | title":{message:"定义列表项已封装在 `<dl>` 元素中"},"lighthouse-core/audits/accessibility/document-title.js | description":{
message:"屏幕阅读器用户可借助标题来大致了解某个页面的内容，搜索引擎用户则非常依赖标题来确定某个页面是否与其搜索相关。[了解详情](https://web.dev/document-title/)。"},"lighthouse-core/audits/accessibility/document-title.js | failureTitle":{message:"文档不含 `<title>` 元素"},"lighthouse-core/audits/accessibility/document-title.js | title":{message:"文档包含 `<title>` 元素"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | description":{message:"所有可聚焦的元素都必须具有独一无二的 `id`，以确保能被辅助技术识别。[了解详情](https://web.dev/duplicate-id-active/)。"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | failureTitle":{message:"处于活动状态的可聚焦元素的 `[id]` 属性不是独一无二的"},"lighthouse-core/audits/accessibility/duplicate-id-active.js | title":{message:"处于活动状态的可聚焦元素的 `[id]` 属性都是独一无二的"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | description":{message:"ARIA ID 的值必须独一无二，才能防止其他实例被辅助技术忽略。[了解详情](https://web.dev/duplicate-id-aria/)。"},"lighthouse-core/audits/accessibility/duplicate-id-aria.js | failureTitle":{message:"ARIA ID 不是独一无二的"},
"lighthouse-core/audits/accessibility/duplicate-id-aria.js | title":{message:"ARIA ID 都是独一无二的"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | description":{message:"有多个标签的表单字段可能会被辅助技术（如屏幕阅读器）以令人困惑的方式播报出来，因为这些辅助技术可能会使用第一个标签或最后一个标签，也可能会使用所有标签。[了解详情](https://web.dev/form-field-multiple-labels/)。"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | failureTitle":{message:"表单字段有多个标签"},"lighthouse-core/audits/accessibility/form-field-multiple-labels.js | title":{message:"表单字段都没有多个标签"},"lighthouse-core/audits/accessibility/frame-title.js | description":{message:"屏幕阅读器用户依靠框架标题来描述框架的内容。[了解详情](https://web.dev/frame-title/)。"},"lighthouse-core/audits/accessibility/frame-title.js | failureTitle":{message:"`<frame>` 或 `<iframe>` 元素缺少标题"},"lighthouse-core/audits/accessibility/frame-title.js | title":{message:"`<frame>` 或 `<iframe>` 元素有标题"},"lighthouse-core/audits/accessibility/heading-order.js | description":{
message:"未跳过任何等级且排序正确的标题会准确传达页面的语义结构，从而使得相应页面在使用辅助技术时更易于浏览和理解。[了解详情](https://web.dev/heading-order/)。"},"lighthouse-core/audits/accessibility/heading-order.js | failureTitle":{message:"标题元素未按降序显示"},"lighthouse-core/audits/accessibility/heading-order.js | title":{message:"标题元素按降序显示"},"lighthouse-core/audits/accessibility/html-has-lang.js | description":{message:"如果页面未指定 lang 属性，屏幕阅读器便会假定该页面采用的是用户在设置屏幕阅读器时选择的默认语言。如果该页面实际上并未采用默认语言，则屏幕阅读器可能无法正确读出该页面中的文字。[了解详情](https://web.dev/html-has-lang/)。"},"lighthouse-core/audits/accessibility/html-has-lang.js | failureTitle":{message:"`<html>` 元素缺少 `[lang]` 属性"},"lighthouse-core/audits/accessibility/html-has-lang.js | title":{message:"`<html>` 元素包含 `[lang]` 属性"},"lighthouse-core/audits/accessibility/html-lang-valid.js | description":{message:"指定有效的 [BCP 47 语言](https://www.w3.org/International/questions/qa-choosing-language-tags#question)有助于屏幕阅读器正确读出文字。[了解详情](https://web.dev/html-lang-valid/)。"},
"lighthouse-core/audits/accessibility/html-lang-valid.js | failureTitle":{message:"`<html>` 元素的 `[lang]` 属性缺少有效值。"},"lighthouse-core/audits/accessibility/html-lang-valid.js | title":{message:"`<html>` 元素的 `[lang]` 属性具备有效值"},"lighthouse-core/audits/accessibility/image-alt.js | description":{message:"说明性元素应力求使用简短的描述性替代文字。未指定 alt 属性的装饰性元素可被忽略。[了解详情](https://web.dev/image-alt/)。"},"lighthouse-core/audits/accessibility/image-alt.js | failureTitle":{message:"图片元素缺少 `[alt]` 属性"},"lighthouse-core/audits/accessibility/image-alt.js | title":{message:"图片元素具备 `[alt]` 属性"},"lighthouse-core/audits/accessibility/input-image-alt.js | description":{message:"将图片用作 `<input>` 按钮时，提供替代文字有助于屏幕阅读器用户了解该按钮的用途。[了解详情](https://web.dev/input-image-alt/)。"},"lighthouse-core/audits/accessibility/input-image-alt.js | failureTitle":{message:'`<input type="image">` 元素缺少 `[alt]` 文字'},"lighthouse-core/audits/accessibility/input-image-alt.js | title":{message:'`<input type="image">` 元素包含 `[alt]` 文字'},
"lighthouse-core/audits/accessibility/label.js | description":{message:"标签可确保辅助技术（如屏幕阅读器）正确读出表单控件。[了解详情](https://web.dev/label/)。"},"lighthouse-core/audits/accessibility/label.js | failureTitle":{message:"表单元素不具备关联的标签"},"lighthouse-core/audits/accessibility/label.js | title":{message:"表单元素具有关联的标签"},"lighthouse-core/audits/accessibility/link-name.js | description":{message:"请确保链接文字（以及用作链接的图片替代文字）可识别、独一无二且可成为焦点，这样做会提升屏幕阅读器用户的导航体验。[了解详情](https://web.dev/link-name/)。"},"lighthouse-core/audits/accessibility/link-name.js | failureTitle":{message:"链接缺少可识别的名称"},"lighthouse-core/audits/accessibility/link-name.js | title":{message:"链接具备可识别的名称"},"lighthouse-core/audits/accessibility/list.js | description":{message:"屏幕阅读器会采用特定的方法来读出列表内容。确保列表结构正确有助于屏幕阅读器顺利读出相应内容。[了解详情](https://web.dev/list/)。"},"lighthouse-core/audits/accessibility/list.js | failureTitle":{message:"列表并非只包含 `<li>` 元素和脚本支持元素（`<script>` 和 `<template>`）。"},"lighthouse-core/audits/accessibility/list.js | title":{
message:"列表只包含 `<li>` 元素和脚本支持元素（`<script>` 和 `<template>`）。"},"lighthouse-core/audits/accessibility/listitem.js | description":{message:"屏幕阅读器要求列表项 (`<li>`) 必须包含在父 `<ul>` 或 `<ol>` 中，这样才能正确读出它们。[了解详情](https://web.dev/listitem/)。"},"lighthouse-core/audits/accessibility/listitem.js | failureTitle":{message:"列表项 (`<li>`) 未包含在 `<ul>` 或 `<ol>` 父元素中。"},"lighthouse-core/audits/accessibility/listitem.js | title":{message:"列表项 (`<li>`) 包含在 `<ul>` 或 `<ol>` 父元素中"},"lighthouse-core/audits/accessibility/meta-refresh.js | description":{message:"用户并不希望网页自动刷新，因为自动刷新会不断地将焦点移回到页面顶部。这可能会让用户感到沮丧或困惑。[了解详情](https://web.dev/meta-refresh/)。"},"lighthouse-core/audits/accessibility/meta-refresh.js | failureTitle":{message:'文档使用了 `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-refresh.js | title":{message:'文档未使用 `<meta http-equiv="refresh">`'},"lighthouse-core/audits/accessibility/meta-viewport.js | description":{
message:"对于必须依靠放大屏幕才能清晰看到网页内容的弱视用户而言，停用缩放功能会给他们带来问题。[了解详情](https://web.dev/meta-viewport/)。"},"lighthouse-core/audits/accessibility/meta-viewport.js | failureTitle":{message:'`<meta name="viewport">` 元素中使用了 `[user-scalable="no"]`，或者 `[maximum-scale]` 属性小于 5。'},"lighthouse-core/audits/accessibility/meta-viewport.js | title":{message:'`[user-scalable="no"]` 未用在 `<meta name="viewport">` 元素中，并且 `[maximum-scale]` 属性不小于 5。'},"lighthouse-core/audits/accessibility/object-alt.js | description":{message:"屏幕阅读器无法转换非文字内容。向 `<object>` 元素添加替代文字可帮助屏幕阅读器将含义传达给用户。[了解详情](https://web.dev/object-alt/)。"},"lighthouse-core/audits/accessibility/object-alt.js | failureTitle":{message:"`<object>` 元素缺少 `[alt]` 文字"},"lighthouse-core/audits/accessibility/object-alt.js | title":{message:"`<object>` 元素包含 `[alt]` 文字"},"lighthouse-core/audits/accessibility/tabindex.js | description":{message:"值大于 0 意味着明确的导航顺序。尽管这在技术上可行，但往往会让依赖辅助技术的用户感到沮丧。[了解详情](https://web.dev/tabindex/)。"},
"lighthouse-core/audits/accessibility/tabindex.js | failureTitle":{message:"一些元素的 `[tabindex]` 值大于 0"},"lighthouse-core/audits/accessibility/tabindex.js | title":{message:"所有元素的 `[tabindex]` 值都不大于 0"},"lighthouse-core/audits/accessibility/td-headers-attr.js | description":{message:"屏幕阅读器提供了更便于用户浏览表格内容的功能。请确保那些使用 `[headers]` 属性的 `<td>` 单元格仅引用同一个表格中的其他单元格，这样做可提升屏幕阅读器用户的体验。[了解详情](https://web.dev/td-headers-attr/)。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | failureTitle":{message:"`<table>` 元素中使用 `[headers]` 属性的单元格引用了在同一表格中找不到的元素 `id`。"},"lighthouse-core/audits/accessibility/td-headers-attr.js | title":{message:"`<table>` 元素中使用 `[headers]` 属性的单元格引用的是同一表格中的单元格。"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | description":{message:"屏幕阅读器提供了更便于用户浏览表格内容的功能。确保表格标头始终引用特定一组单元格可以提升屏幕阅读器用户的体验。[了解详情](https://web.dev/th-has-data-cells/)。"},"lighthouse-core/audits/accessibility/th-has-data-cells.js | failureTitle":{
message:'`<th>` 元素和 `[role="columnheader"/"rowheader"]` 的元素缺少它们所描述的数据单元格。'},"lighthouse-core/audits/accessibility/th-has-data-cells.js | title":{message:'`<th>` 元素和 `[role="columnheader"/"rowheader"]` 的元素具备它们所描述的数据单元格。'},"lighthouse-core/audits/accessibility/valid-lang.js | description":{message:"为元素指定有效的 [BCP 47 语言](https://www.w3.org/International/questions/qa-choosing-language-tags#question)有助于确保屏幕阅读器正确读出文字。[了解详情](https://web.dev/valid-lang/)。"},"lighthouse-core/audits/accessibility/valid-lang.js | failureTitle":{message:"`[lang]` 属性缺少有效值"},"lighthouse-core/audits/accessibility/valid-lang.js | title":{message:"`[lang]` 属性的值有效"},"lighthouse-core/audits/accessibility/video-caption.js | description":{message:"如果视频提供了字幕，失聪用户和听障用户便能更轻松地获取此视频中的信息。[了解详情](https://web.dev/video-caption/)。"},"lighthouse-core/audits/accessibility/video-caption.js | failureTitle":{message:'`<video>` 元素缺少带 `[kind="captions"]` 的 `<track>` 元素。'},"lighthouse-core/audits/accessibility/video-caption.js | title":{
message:'`<video>` 元素包含带 `[kind="captions"]` 的 `<track>` 元素'},"lighthouse-core/audits/apple-touch-icon.js | description":{message:"请定义一个 `apple-touch-icon`，以在 iOS 用户向主屏幕添加渐进式 Web 应用时获得理想的外观。它必须指向一张不透明的 192px（或 180px）方形 PNG 图片。[了解详情](https://web.dev/apple-touch-icon/)。"},"lighthouse-core/audits/apple-touch-icon.js | failureTitle":{message:"未提供有效的 `apple-touch-icon`"},"lighthouse-core/audits/apple-touch-icon.js | precomposedWarning":{message:"`apple-touch-icon-precomposed` 不是最新版本，建议使用 `apple-touch-icon`。"},"lighthouse-core/audits/apple-touch-icon.js | title":{message:"提供了有效的 `apple-touch-icon`"},"lighthouse-core/audits/autocomplete.js | columnCurrent":{message:"当前值"},"lighthouse-core/audits/autocomplete.js | columnSuggestions":{message:"建议的令牌"},"lighthouse-core/audits/autocomplete.js | description":{
message:"`autocomplete`可帮助用户更快地提交表单。如果想减少用户操作，请考虑启用自动补全功能，只需将 `autocomplete` 属性设为一个有效值即可。[了解详情](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)"},"lighthouse-core/audits/autocomplete.js | failureTitle":{message:"`<input>` 元素没有正确的 `autocomplete` 属性"},"lighthouse-core/audits/autocomplete.js | manualReview":{message:"需要人工审核"},"lighthouse-core/audits/autocomplete.js | reviewOrder":{message:"请检查令牌的顺序"},"lighthouse-core/audits/autocomplete.js | title":{message:"`<input>` 元素正确地使用了 `autocomplete`"},"lighthouse-core/audits/autocomplete.js | warningInvalid":{message:"`autocomplete` 令牌：{snippet} 中的“{token}”无效"},"lighthouse-core/audits/autocomplete.js | warningOrder":{message:"检查令牌的顺序：{snippet} 中的“{tokens}”"},"lighthouse-core/audits/bootup-time.js | chromeExtensionsWarning":{message:"Chrome 扩展程序对此网页的加载性能产生了负面影响。请尝试在无痕模式下或使用未安装这些扩展程序的 Chrome 个人资料审核此网页。"},"lighthouse-core/audits/bootup-time.js | columnScriptEval":{message:"脚本评估"},
"lighthouse-core/audits/bootup-time.js | columnScriptParse":{message:"脚本解析"},"lighthouse-core/audits/bootup-time.js | columnTotal":{message:"总 CPU 时间"},"lighthouse-core/audits/bootup-time.js | description":{message:"建议您减少为解析、编译和执行 JS 而花费的时间。您可能会发现，提供较小的 JS 负载有助于实现此目标。[了解详情](https://web.dev/bootup-time/)。"},"lighthouse-core/audits/bootup-time.js | failureTitle":{message:"缩短 JavaScript 执行用时"},"lighthouse-core/audits/bootup-time.js | title":{message:"JavaScript 执行用时"},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | description":{message:"从软件包中移除重复的大型 JavaScript 模块可减少网络传输时不必要的流量消耗。 "},"lighthouse-core/audits/byte-efficiency/duplicated-javascript.js | title":{message:"请移除 JavaScript 软件包中的重复模块"},"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | description":{message:"使用大型 GIF 提供动画内容会导致效率低下。建议您改用 MPEG4/WebM 视频（来提供动画）和 PNG/WebP（来提供静态图片）以减少网络活动消耗的字节数。[了解详情](https://web.dev/efficient-animated-content/)"},
"lighthouse-core/audits/byte-efficiency/efficient-animated-content.js | title":{message:"使用视频格式提供动画内容"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | description":{message:"Polyfill 和 transform 让旧版浏览器能够使用新的 JavaScript 功能。不过，其中的很多函数对新型浏览器而言并非必需。对于捆绑的 JavaScript，请采用现代脚本部署策略，以便利用 module/nomodule 功能检测机制来减少传送到新型浏览器的代码量，同时保留对旧版浏览器的支持。[了解详情](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/)"},"lighthouse-core/audits/byte-efficiency/legacy-javascript.js | title":{message:"应避免向新型浏览器提供旧版 JavaScript"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | description":{message:"JPEG 2000、JPEG XR 和 WebP 等图片格式的压缩效果通常比 PNG 或 JPEG 好，因此下载速度更快，消耗的数据流量更少。[了解详情](https://web.dev/uses-webp-images/)。"},"lighthouse-core/audits/byte-efficiency/modern-image-formats.js | title":{message:"采用新一代格式提供图片"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | description":{
message:"建议您在所有关键资源加载完毕后推迟加载屏幕外图片和处于隐藏状态的图片，从而缩短可交互前的耗时。[了解详情](https://web.dev/offscreen-images/)。"},"lighthouse-core/audits/byte-efficiency/offscreen-images.js | title":{message:"推迟加载屏幕外图片"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | description":{message:"资源阻止了系统对您网页的首次渲染。建议以内嵌方式提供关键的 JS/CSS，并推迟提供所有非关键的 JS/样式。[了解详情](https://web.dev/render-blocking-resources/)。"},"lighthouse-core/audits/byte-efficiency/render-blocking-resources.js | title":{message:"移除阻塞渲染的资源"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | description":{message:"网络负载过大不仅会让用户付出真金白银，还极有可能会延长加载用时。[了解详情](https://web.dev/total-byte-weight/)。"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | displayValue":{message:"总大小为 {totalBytes, number, bytes} KiB"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | failureTitle":{message:"避免网络负载过大"},"lighthouse-core/audits/byte-efficiency/total-byte-weight.js | title":{message:"避免网络负载过大"},
"lighthouse-core/audits/byte-efficiency/unminified-css.js | description":{message:"缩减 CSS 文件大小可缩减网络负载规模。[了解详情](https://web.dev/unminified-css/)。"},"lighthouse-core/audits/byte-efficiency/unminified-css.js | title":{message:"缩减 CSS"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | description":{message:"如果缩减 JavaScript 文件大小，则既能缩减负载规模，又能缩短脚本解析用时。[了解详情](https://web.dev/unminified-javascript/)。"},"lighthouse-core/audits/byte-efficiency/unminified-javascript.js | title":{message:"缩减 JavaScript"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | description":{message:"请从样式表中减少未使用的规则，并延迟加载首屏内容未用到的 CSS，以减少网络活动耗用的字节数。[了解详情](https://web.dev/unused-css-rules/)。"},"lighthouse-core/audits/byte-efficiency/unused-css-rules.js | title":{message:"减少未使用的 CSS"},"lighthouse-core/audits/byte-efficiency/unused-javascript.js | description":{message:"请减少未使用的 JavaScript，并等到需要使用时再加载脚本，以减少网络活动耗用的字节数。[了解详情](https://web.dev/unused-javascript/)。"},
"lighthouse-core/audits/byte-efficiency/unused-javascript.js | title":{message:"减少未使用的 JavaScript"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | description":{message:"延长缓存期限可加快重访您网页的速度。[了解详情](https://web.dev/uses-long-cache-ttl/)。"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | displayValue":{message:"{itemCount,plural, =1{找到了 1 项资源}other{找到了 # 项资源}}"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | failureTitle":{message:"采用高效的缓存策略提供静态资源"},"lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl.js | title":{message:"针对静态资源使用高效的缓存策略"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | description":{message:"如果图片经过了优化，则加载速度会更快，且消耗的移动数据网络流量会更少。[了解详情](https://web.dev/uses-optimized-images/)。"},"lighthouse-core/audits/byte-efficiency/uses-optimized-images.js | title":{message:"对图片进行高效编码"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | description":{
message:"提供大小合适的图片可节省移动数据网络流量并缩短加载用时。[了解详情](https://web.dev/uses-responsive-images/)。"},"lighthouse-core/audits/byte-efficiency/uses-responsive-images.js | title":{message:"适当调整图片大小"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | description":{message:"对于文本资源，应先压缩（gzip、deflate 或 brotli），然后再提供，以最大限度地减少网络活动消耗的字节总数。[了解详情](https://web.dev/uses-text-compression/)。"},"lighthouse-core/audits/byte-efficiency/uses-text-compression.js | title":{message:"启用文本压缩"},"lighthouse-core/audits/content-width.js | description":{message:"如果应用内容的宽度与视口的宽度不一致，该应用可能不会针对移动设备屏幕进行优化。[了解详情](https://web.dev/content-width/)。"},"lighthouse-core/audits/content-width.js | explanation":{message:"视口大小（{innerWidth} 像素）与窗口大小（{outerWidth} 像素）不一致。"},"lighthouse-core/audits/content-width.js | failureTitle":{message:"未根据视口正确设置内容尺寸"},"lighthouse-core/audits/content-width.js | title":{message:"已根据视口正确设置内容尺寸"},"lighthouse-core/audits/critical-request-chains.js | description":{
message:"下面的关键请求链显示了以高优先级加载的资源。请考虑缩短链长、缩减资源的下载文件大小，或者推迟下载不必要的资源，从而提高网页加载速度。[了解详情](https://web.dev/critical-request-chains/)。"},"lighthouse-core/audits/critical-request-chains.js | displayValue":{message:"{itemCount,plural, =1{找到了 1 条请求链}other{找到了 # 条请求链}}"},"lighthouse-core/audits/critical-request-chains.js | title":{message:"避免链接关键请求"},"lighthouse-core/audits/csp-xss.js | columnDirective":{message:"指令"},"lighthouse-core/audits/csp-xss.js | columnSeverity":{message:"严重程度"},"lighthouse-core/audits/csp-xss.js | description":{message:"强有力的内容安全政策 (CSP) 可显著降低遭遇跨站脚本攻击 (XSS) 的风险。[了解详情](https://web.dev/csp-xss/)"},"lighthouse-core/audits/csp-xss.js | itemSeveritySyntax":{message:"语法"},"lighthouse-core/audits/csp-xss.js | metaTagMessage":{message:"该页面包含一个在 <meta> 标记中定义的 CSP。如果可以的话，不妨考虑在 HTTP 标头中定义该 CSP。"},"lighthouse-core/audits/csp-xss.js | noCsp":{message:"找不到任何处于强制模式的 CSP"},"lighthouse-core/audits/csp-xss.js | title":{message:"请确保 CSP 能够有效地抵御 XSS 攻击"},
"lighthouse-core/audits/deprecations.js | columnDeprecate":{message:"弃用/警告"},"lighthouse-core/audits/deprecations.js | columnLine":{message:"Line"},"lighthouse-core/audits/deprecations.js | description":{message:"已弃用的的 API 最终将从浏览器中移除。[了解详情](https://web.dev/deprecations/)。"},"lighthouse-core/audits/deprecations.js | displayValue":{message:"{itemCount,plural, =1{发现了 1 条警告}other{发现了 # 条警告}}"},"lighthouse-core/audits/deprecations.js | failureTitle":{message:"使用了已弃用的 API"},"lighthouse-core/audits/deprecations.js | title":{message:"请勿使用已弃用的 API"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | description":{message:"应用缓存已被弃用。[了解详情](https://web.dev/appcache-manifest/)。"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | displayValue":{message:"发现了“{AppCacheManifest}”"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | failureTitle":{message:"使用了应用缓存"},"lighthouse-core/audits/dobetterweb/appcache-manifest.js | title":{message:"请勿使用应用缓存"},
"lighthouse-core/audits/dobetterweb/charset.js | description":{message:"必须声明字符编码。您可以在 HTML 的前 1024 个字节中使用 `<meta>` 标记来声明，也可以在 HTTP 响应标头 Content-Type 中进行声明。[了解详情](https://web.dev/charset/)。"},"lighthouse-core/audits/dobetterweb/charset.js | failureTitle":{message:"字符集声明缺失，或者在 HTML 中出现得太晚"},"lighthouse-core/audits/dobetterweb/charset.js | title":{message:"正确地设定了字符集"},"lighthouse-core/audits/dobetterweb/doctype.js | description":{message:"指定 DOCTYPE 会阻止浏览器切换到怪异模式。[了解详情](https://web.dev/doctype/)。"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationBadDoctype":{message:"DOCTYPE 名称必须为小写字符串 `html`"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationNoDoctype":{message:"文档必需包含 DOCTYPE"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationPublicId":{message:"publicId 应为空字符串"},"lighthouse-core/audits/dobetterweb/doctype.js | explanationSystemId":{message:"systemId 应为空字符串"},"lighthouse-core/audits/dobetterweb/doctype.js | failureTitle":{
message:"页面缺少 HTML DOCTYPE，从而触发了怪异模式"},"lighthouse-core/audits/dobetterweb/doctype.js | title":{message:"页面包含 HTML DOCTYPE"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnStatistic":{message:"统计信息"},"lighthouse-core/audits/dobetterweb/dom-size.js | columnValue":{message:"值"},"lighthouse-core/audits/dobetterweb/dom-size.js | description":{message:"大型 DOM 会增加内存使用量、导致[样式计算](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations)用时延长，并产生高昂的[布局重排](https://developers.google.com/speed/articles/reflow)成本。[了解详情](https://web.dev/dom-size/)。"},"lighthouse-core/audits/dobetterweb/dom-size.js | displayValue":{message:"{itemCount,plural, =1{1 个元素}other{# 个元素}}"},"lighthouse-core/audits/dobetterweb/dom-size.js | failureTitle":{message:"避免 DOM 规模过大"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMDepth":{message:"最大 DOM 深度"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMElements":{
message:"DOM 元素总数"},"lighthouse-core/audits/dobetterweb/dom-size.js | statisticDOMWidth":{message:"子元素数量最大值"},"lighthouse-core/audits/dobetterweb/dom-size.js | title":{message:"避免 DOM 规模过大"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | columnFailingAnchors":{message:"未通过审核的锚点"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | description":{message:'向任何外部链接添加 `rel="noopener"` 或 `rel="noreferrer"`，可提高性能并减少安全漏洞。[了解详情](https://web.dev/external-anchors-use-rel-noopener/)。'},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | failureTitle":{message:"指向跨域目的地的链接不安全"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | title":{message:"指向跨域目的地的链接安全"},"lighthouse-core/audits/dobetterweb/external-anchors-use-rel-noopener.js | warning":{message:"无法确定锚点 ({anchorHTML}) 的目的地。如果不用作超链接，建议移除 target=_blank。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | description":{
message:"如果网站在缺少上下文的情况下请求位置，会导致用户不信任网站或感到困惑。建议将请求与用户操作进行绑定。[了解详情](https://web.dev/geolocation-on-start/)。"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | failureTitle":{message:"在网页加载时请求地理定位权限"},"lighthouse-core/audits/dobetterweb/geolocation-on-start.js | title":{message:"避免在网页加载时请求地理定位权限"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | columnIssueType":{message:"问题类型"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | description":{message:"Chrome Devtools 的“`Issues`”面板中记录的问题表明有未解决的问题。这些问题的起因可能是网络请求失败、安全控件不足和其他浏览器问题。如需详细了解每个问题，请打开 Chrome Devtools 的“Issues”面板。"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | failureTitle":{message:"问题记录在 Chrome Devtools 的“`Issues`”面板中"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeBlockedByResponse":{message:"已被跨源政策屏蔽"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | issueTypeHeavyAds":{message:"广告占用了大量资源"},"lighthouse-core/audits/dobetterweb/inspector-issues.js | title":{
message:"Chrome Devtools 的“`Issues`”面板中无任何问题"},"lighthouse-core/audits/dobetterweb/js-libraries.js | columnVersion":{message:"版本"},"lighthouse-core/audits/dobetterweb/js-libraries.js | description":{message:"页面上检测到的所有前端 JavaScript 库。[了解详情](https://web.dev/js-libraries/)。"},"lighthouse-core/audits/dobetterweb/js-libraries.js | title":{message:"已检测到的 JavaScript 库"},"lighthouse-core/audits/dobetterweb/no-document-write.js | description":{message:"对于连接速度较慢的用户，通过 `document.write()` 动态注入的外部脚本可将网页加载延迟数十秒。[了解详情](https://web.dev/no-document-write/)。"},"lighthouse-core/audits/dobetterweb/no-document-write.js | failureTitle":{message:"避免使用 `document.write()`"},"lighthouse-core/audits/dobetterweb/no-document-write.js | title":{message:"请勿使用 `document.write()`"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnSeverity":{message:"最高严重程度"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVersion":{message:"库版本"},
"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | columnVuln":{message:"漏洞数量"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | description":{message:"某些第三方脚本可能包含已知的安全漏洞，攻击者很容易识别和利用这些漏洞。[了解详情](https://web.dev/no-vulnerable-libraries/)。"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | displayValue":{message:"{itemCount,plural, =1{检测到 1 个漏洞}other{检测到 # 个漏洞}}"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | failureTitle":{message:"包含有已知安全漏洞的前端 JavaScript 库"},"lighthouse-core/audits/dobetterweb/no-vulnerable-libraries.js | title":{message:"避免使用含已知安全漏洞的前端 JavaScript 库"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | description":{message:"如果网站在缺少上下文的情况下请求发送通知，会导致用户不信任网站或感到困惑。建议将请求与用户手势进行绑定。[了解详情](https://web.dev/notification-on-start/)。"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | failureTitle":{message:"在网页加载时请求通知权限"},"lighthouse-core/audits/dobetterweb/notification-on-start.js | title":{
message:"避免在网页加载时请求通知权限"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | description":{message:"阻止密码粘贴，会破坏良好的安全政策。[了解详情](https://web.dev/password-inputs-can-be-pasted-into/)。"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | failureTitle":{message:"不允许用户粘贴内容到密码字段"},"lighthouse-core/audits/dobetterweb/password-inputs-can-be-pasted-into.js | title":{message:"允许用户粘贴内容到密码字段"},"lighthouse-core/audits/dobetterweb/uses-http2.js | columnProtocol":{message:"协议"},"lighthouse-core/audits/dobetterweb/uses-http2.js | description":{message:"HTTP/2 提供了许多优于 HTTP/1.1 的益处，包括二进制标头和多路复用。[了解详情](https://web.dev/uses-http2/)。"},"lighthouse-core/audits/dobetterweb/uses-http2.js | displayValue":{message:"{itemCount,plural, =1{1 条请求未通过 HTTP/2 传送}other{# 条请求未通过 HTTP/2 传送}}"},"lighthouse-core/audits/dobetterweb/uses-http2.js | title":{message:"使用 HTTP/2"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | description":{
message:"建议您将触摸和滚轮事件监听器标记为 `passive`，以提高页面的滚动性能。[了解详情](https://web.dev/uses-passive-event-listeners/)。"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | failureTitle":{message:"未使用被动式监听器来提高滚动性能"},"lighthouse-core/audits/dobetterweb/uses-passive-event-listeners.js | title":{message:"使用被动式监听器来提高滚动性能"},"lighthouse-core/audits/errors-in-console.js | description":{message:"控制台中记录的错误表明有未解决的问题。导致这些错误的可能原因是网络请求失败和其他浏览器问题。[了解详情](https://web.dev/errors-in-console/)"},"lighthouse-core/audits/errors-in-console.js | failureTitle":{message:"控制台日志中已记录浏览器错误"},"lighthouse-core/audits/errors-in-console.js | title":{message:"控制台日志中未记录浏览器错误"},"lighthouse-core/audits/font-display.js | description":{message:"利用 font-display 这项 CSS 功能，确保文本在网页字体加载期间始终对用户可见。[了解详情](https://web.dev/font-display/)。"},"lighthouse-core/audits/font-display.js | failureTitle":{message:"确保文本在网页字体加载期间保持可见状态"},"lighthouse-core/audits/font-display.js | title":{message:"在网页字体加载期间，所有文本都保持可见状态"},
"lighthouse-core/audits/font-display.js | undeclaredFontOriginWarning":{message:"{fontCountForOrigin,plural, =1{Lighthouse 无法自动检查来源 {fontOrigin} 的 `font-display` 值。}other{Lighthouse 无法自动检查来源 {fontOrigin} 的 `font-display` 值。}}"},"lighthouse-core/audits/image-aspect-ratio.js | columnActual":{message:"宽高比（实际）"},"lighthouse-core/audits/image-aspect-ratio.js | columnDisplayed":{message:"宽高比（显示）"},"lighthouse-core/audits/image-aspect-ratio.js | description":{message:"图像显示尺寸应与自然宽高比相匹配。[了解详情](https://web.dev/image-aspect-ratio/)。"},"lighthouse-core/audits/image-aspect-ratio.js | failureTitle":{message:"显示的图像宽高比不正确"},"lighthouse-core/audits/image-aspect-ratio.js | title":{message:"显示的图像宽高比正确"},"lighthouse-core/audits/image-size-responsive.js | columnActual":{message:"实际大小"},"lighthouse-core/audits/image-size-responsive.js | columnDisplayed":{message:"显示时大小"},"lighthouse-core/audits/image-size-responsive.js | columnExpected":{message:"预期大小"},
"lighthouse-core/audits/image-size-responsive.js | description":{message:"图片的自然尺寸应与显示屏大小及像素比成正比，这样才能令图片达到最清晰的显示效果。[了解详情](https://web.dev/serve-responsive-images/)。"},"lighthouse-core/audits/image-size-responsive.js | failureTitle":{message:"所提供的部分图片采用了较低的分辨率"},"lighthouse-core/audits/image-size-responsive.js | title":{message:"所提供的图片都采用了合适的分辨率"},"lighthouse-core/audits/installable-manifest.js | already-installed":{message:"该应用已安装"},"lighthouse-core/audits/installable-manifest.js | cannot-download-icon":{message:"无法从清单下载必需的图标"},"lighthouse-core/audits/installable-manifest.js | columnValue":{message:"失败原因"},"lighthouse-core/audits/installable-manifest.js | description":{message:"Service Worker 是一项技术，可让您的应用使用很多渐进式 Web 应用功能，例如离线、添加到主屏幕和推送通知。如果 Service Worker 和清单的实现均正确无误，浏览器可主动提示用户向其主屏幕中添加您的应用，这有助于提高互动度。[了解详情](https://web.dev/installable-manifest/)。"},"lighthouse-core/audits/installable-manifest.js | displayValue":{message:"{itemCount,plural, =1{1 个原因}other{# 个原因}}"},
"lighthouse-core/audits/installable-manifest.js | failureTitle":{message:"Web 应用清单或 Service Worker 不符合可安装性要求"},"lighthouse-core/audits/installable-manifest.js | ids-do-not-match":{message:"Play 商店应用网址和 Play 商店 ID 不相符"},"lighthouse-core/audits/installable-manifest.js | in-incognito":{message:"该网页是在无痕式窗口中加载的"},"lighthouse-core/audits/installable-manifest.js | manifest-display-not-supported":{message:"清单“display”属性必须是“standalone”、“fullscreen”或“minimal-ui”之一"},"lighthouse-core/audits/installable-manifest.js | manifest-display-override-not-supported":{message:"清单包含“display_override”字段，因此第一个受支持的显示模式必须是“standalone”、“fullscreen”或“minimal-ui”之一"},"lighthouse-core/audits/installable-manifest.js | manifest-empty":{message:"清单无法提取、为空或无法解析"},"lighthouse-core/audits/installable-manifest.js | manifest-location-changed":{message:"在提取清单期间，清单网址发生了更改。"},"lighthouse-core/audits/installable-manifest.js | manifest-missing-name-or-short-name":{message:"清单未包含“name”或“short_name”字段"},
"lighthouse-core/audits/installable-manifest.js | manifest-missing-suitable-icon":{message:"清单未包含合适的图标 - 必须提供不小于 {value0} 像素的 PNG、SVG 或 WebP 格式图标；必须设置 sizes 属性；如果设置了 purpose 属性，其中必须包含“any”。"},"lighthouse-core/audits/installable-manifest.js | no-acceptable-icon":{message:"清单未提供不小于 {value0} 正方形像素的 PNG、SVG 或 WebP 格式图标，而且 purpose 属性设为“any”或未设置"},"lighthouse-core/audits/installable-manifest.js | no-icon-available":{message:"下载的图标为空或已损坏"},"lighthouse-core/audits/installable-manifest.js | no-id-specified":{message:"未提供 Play 商店 ID"},"lighthouse-core/audits/installable-manifest.js | no-manifest":{message:"该网页没有清单 <link> 网址"},"lighthouse-core/audits/installable-manifest.js | no-matching-service-worker":{message:"未检测到任何相符的 Service Worker。您可能需要重新加载网页，或检查当前网页的 Service Worker 范围是否包含清单中的范围和起始网址。"},"lighthouse-core/audits/installable-manifest.js | no-url-for-service-worker":{message:"如果清单不含“start_url”字段，则无法检查 Service Worker"},"lighthouse-core/audits/installable-manifest.js | noErrorId":{
message:"系统无法识别可安装性错误 ID“{errorId}”"},"lighthouse-core/audits/installable-manifest.js | not-from-secure-origin":{message:"该网页不是从安全来源提供的"},"lighthouse-core/audits/installable-manifest.js | not-in-main-frame":{message:"该网页不是在主框架中加载的"},"lighthouse-core/audits/installable-manifest.js | not-offline-capable":{message:"该网页无法离线使用"},"lighthouse-core/audits/installable-manifest.js | platform-not-supported-on-android":{message:"指定的应用平台在 Android 设备上不受支持"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications":{message:"清单指定了 prefer_related_applications: true"},"lighthouse-core/audits/installable-manifest.js | prefer-related-applications-only-beta-stable":{message:"prefer_related_applications 仅适用于 Android 设备上的 Chrome Beta 版和稳定版。"},"lighthouse-core/audits/installable-manifest.js | start-url-not-valid":{message:"清单起始网址无效"},"lighthouse-core/audits/installable-manifest.js | title":{message:"Web 应用清单和 Service Worker 符合可安装性要求"},
"lighthouse-core/audits/installable-manifest.js | url-not-supported-for-webapk":{message:"清单中的某个网址包含用户名、密码或端口"},"lighthouse-core/audits/installable-manifest.js | warn-not-offline-capable":{message:"该网页无法离线使用。Chrome 于 2021 年 8 月推出 93 稳定版之后，不会将该网页视为可安装。"},"lighthouse-core/audits/is-on-https.js | allowed":{message:"允许"},"lighthouse-core/audits/is-on-https.js | blocked":{message:"已屏蔽"},"lighthouse-core/audits/is-on-https.js | columnInsecureURL":{message:"不安全的网址"},"lighthouse-core/audits/is-on-https.js | columnResolution":{message:"对请求的处理方式"},"lighthouse-core/audits/is-on-https.js | description":{message:"所有网站都应该通过 HTTPS 来保护，即使网站不处理敏感数据也应如此。这包括要避免使用[混合内容](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content)（即：通过 HTTPS 实现初始请求，但却通过 HTTP 加载某些资源）。HTTPS 可防止入侵程序篡改或被动地监听您的应用与用户之间的通信，它是 HTTP/2 和许多新的网络平台 API 的先决条件。[了解详情](https://web.dev/is-on-https/)。"},"lighthouse-core/audits/is-on-https.js | displayValue":{
message:"{itemCount,plural, =1{发现 1 条不安全的请求}other{发现 # 条不安全的请求}}"},"lighthouse-core/audits/is-on-https.js | failureTitle":{message:"未使用 HTTPS"},"lighthouse-core/audits/is-on-https.js | title":{message:"使用 HTTPS"},"lighthouse-core/audits/is-on-https.js | upgraded":{message:"自动升级至 HTTPS"},"lighthouse-core/audits/is-on-https.js | warning":{message:"允许（附带警告）"},"lighthouse-core/audits/large-javascript-libraries.js | columnLibraryName":{message:"库"},"lighthouse-core/audits/large-javascript-libraries.js | description":{message:"大型 JavaScript 库可能会导致性能不佳。最好使用功能相当且规模较小的 JavaScript 库，以缩减软件包大小。[了解详情](https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size#optimize_dependencies)。"},"lighthouse-core/audits/large-javascript-libraries.js | displayValue":{message:"{libraryCount,plural, =1{发现了 1 个大型库}other{发现了 # 个大型库}}"},"lighthouse-core/audits/large-javascript-libraries.js | failureTitle":{message:"替换不必要的大型 JavaScript 库"},
"lighthouse-core/audits/large-javascript-libraries.js | title":{message:"请避免使用大型 JavaScript 库，尽量用功能相当且规模较小的库替换"},"lighthouse-core/audits/largest-contentful-paint-element.js | description":{message:"这是此视口内渲染的最大内容元素。[了解详情](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/largest-contentful-paint-element.js | title":{message:"最大内容渲染时间元素"},"lighthouse-core/audits/layout-shift-elements.js | columnContribution":{message:"对 CLS 的影响程度"},"lighthouse-core/audits/layout-shift-elements.js | description":{message:"这些 DOM 元素对该网页的 CLS 影响最大。"},"lighthouse-core/audits/layout-shift-elements.js | title":{message:"请避免出现大幅度的布局偏移"},"lighthouse-core/audits/long-tasks.js | description":{message:"列出了主线程中运行时间最长的任务，有助于识别出导致输入延迟的最主要原因。[了解详情](https://web.dev/long-tasks-devtools/)"},"lighthouse-core/audits/long-tasks.js | displayValue":{message:"{itemCount,plural, =1{发现了 # 项长时间运行的任务}other{发现了 # 项长时间运行的任务}}"},"lighthouse-core/audits/long-tasks.js | title":{message:"应避免出现长时间运行的主线程任务"},
"lighthouse-core/audits/mainthread-work-breakdown.js | columnCategory":{message:"类别"},"lighthouse-core/audits/mainthread-work-breakdown.js | description":{message:"建议您减少为解析、编译和执行 JS 而花费的时间。您可能会发现，提供较小的 JS 负载有助于实现此目标。[了解详情](https://web.dev/mainthread-work-breakdown/)"},"lighthouse-core/audits/mainthread-work-breakdown.js | failureTitle":{message:"最大限度地减少主线程工作"},"lighthouse-core/audits/mainthread-work-breakdown.js | title":{message:"最大限度地减少主线程工作"},"lighthouse-core/audits/manual/pwa-cross-browser.js | description":{message:"网站应该能在所有主流浏览器中正常显示，以便覆盖数量最多的用户。[了解详情](https://web.dev/pwa-cross-browser/)。"},"lighthouse-core/audits/manual/pwa-cross-browser.js | title":{message:"网站能在各种浏览器中正常显示"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | description":{message:"确保各个网页可通过网址建立深层链接，并且这些网址是独一无二的，可以在社交媒体上共享。[了解详情](https://web.dev/pwa-each-page-has-url/)。"},"lighthouse-core/audits/manual/pwa-each-page-has-url.js | title":{message:"每个网页都有一个网址"},
"lighthouse-core/audits/manual/pwa-page-transitions.js | description":{message:"无论点按哪个链接，都应能快速跳转到相应页面，即使网速缓慢也应如此。若想让用户感知到出色的网页加载速度，这种体验至关重要。[了解详情](https://web.dev/pwa-page-transitions/)。"},"lighthouse-core/audits/manual/pwa-page-transitions.js | title":{message:"在不同网页之间跳转时，用户感觉不到网页加载缓慢"},"lighthouse-core/audits/maskable-icon.js | description":{message:"利用可遮罩的图标，您能确保应用安装到设备上后，图形可填满整个形状轮廓，而不会出现黑边。[了解详情](https://web.dev/maskable-icon-audit/)。"},"lighthouse-core/audits/maskable-icon.js | failureTitle":{message:"清单不含可遮罩的图标"},"lighthouse-core/audits/maskable-icon.js | title":{message:"清单含有可遮罩的图标"},"lighthouse-core/audits/metrics/cumulative-layout-shift.js | description":{message:"“累积布局偏移”旨在衡量可见元素在视口内的移动情况。[了解详情](https://web.dev/cls/)。"},"lighthouse-core/audits/metrics/first-contentful-paint.js | description":{message:"首次内容渲染时间标记了渲染出首个文本或首张图片的时间。[了解详情](https://web.dev/first-contentful-paint/)。"},"lighthouse-core/audits/metrics/first-meaningful-paint.js | description":{
message:"首次有效渲染时间测量了网页主要内容开始对用户显示的时间。[了解详情](https://web.dev/first-meaningful-paint/)。"},"lighthouse-core/audits/metrics/interactive.js | description":{message:"可交互时间是指网页需要多长时间才能提供完整交互功能。[了解详情](https://web.dev/interactive/)。"},"lighthouse-core/audits/metrics/largest-contentful-paint.js | description":{message:"Largest Contentful Paint 标记了渲染出最大文本或图片的时间。[了解详情](https://web.dev/lighthouse-largest-contentful-paint/)"},"lighthouse-core/audits/metrics/max-potential-fid.js | description":{message:"您的用户可能会遇到的最长首次输入延迟是用时最长的任务的耗时。[了解详情](https://web.dev/lighthouse-max-potential-fid/)。"},"lighthouse-core/audits/metrics/speed-index.js | description":{message:"速度指数表明了网页内容的可见填充速度。[了解详情](https://web.dev/speed-index/)。"},"lighthouse-core/audits/metrics/total-blocking-time.js | description":{message:"首次内容渲染 (FCP) 和可交互时间之间的所有时间段的总和，当任务用时超过 50 毫秒时，该数值以毫秒表示。[了解详情](https://web.dev/lighthouse-total-blocking-time/)。"},"lighthouse-core/audits/network-rtt.js | description":{
message:"网络往返时间 (RTT) 对性能有很大的影响。如果与来源之间的 RTT 较长，则表明缩短服务器与用户之间的距离可能会提高性能。[了解详情](https://hpbn.co/primer-on-latency-and-bandwidth/)。"},"lighthouse-core/audits/network-rtt.js | title":{message:"网络往返时间"},"lighthouse-core/audits/network-server-latency.js | description":{message:"服务器延迟时间可能会对网站性能产生不良影响。如果源服务器的延迟时间较长，则表明服务器过载或后端性能较差。[了解详情](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)。"},"lighthouse-core/audits/network-server-latency.js | title":{message:"服务器后端延迟"},"lighthouse-core/audits/no-unload-listeners.js | description":{message:"“`unload`”事件不会可靠地触发，而且监听该事件可能会妨碍系统实施“往返缓存”之类的浏览器优化策略。建议您改用“`pagehide`”或“`visibilitychange`”事件。[了解详情](https://developers.google.com/web/updates/2018/07/page-lifecycle-api#the-unload-event)"},"lighthouse-core/audits/no-unload-listeners.js | failureTitle":{message:"注册“`unload`”事件监听器"},"lighthouse-core/audits/no-unload-listeners.js | title":{message:"避免使用“`unload`”事件监听器"},
"lighthouse-core/audits/non-composited-animations.js | description":{message:"未合成的动画可能会卡顿并增加 CLS。[了解详情](https://web.dev/non-composited-animations)"},"lighthouse-core/audits/non-composited-animations.js | displayValue":{message:"{itemCount,plural, =1{发现了 # 个动画元素}other{发现了 # 个动画元素}}"},"lighthouse-core/audits/non-composited-animations.js | filterMayMovePixels":{message:"某个过滤相关属性可能会移动像素"},"lighthouse-core/audits/non-composited-animations.js | incompatibleAnimations":{message:"目标中另有一个不兼容的动画"},"lighthouse-core/audits/non-composited-animations.js | nonReplaceCompositeMode":{message:"效果中含有除了“replace”以外的合成模式"},"lighthouse-core/audits/non-composited-animations.js | title":{message:"避免使用未合成的动画"},"lighthouse-core/audits/non-composited-animations.js | transformDependsBoxSize":{message:"某个转换相关属性取决于元素边界框的大小"},"lighthouse-core/audits/non-composited-animations.js | unsupportedCSSProperty":{message:"{propertyCount,plural, =1{不受支持的 CSS 属性：{properties}}other{不受支持的 CSS 属性：{properties}}}"},
"lighthouse-core/audits/non-composited-animations.js | unsupportedTimingParameters":{message:"效果含有不受支持的时间参数"},"lighthouse-core/audits/performance-budget.js | description":{message:"请将网络请求的数量和数据大小保持在提供的性能预算所设定的目标之内。[了解详情](https://developers.google.com/web/tools/lighthouse/audits/budgets)。"},"lighthouse-core/audits/performance-budget.js | requestCountOverBudget":{message:"{count,plural, =1{1 条请求}other{# 条请求}}"},"lighthouse-core/audits/performance-budget.js | title":{message:"性能预算"},"lighthouse-core/audits/preload-fonts.js | description":{message:"请预加载 `optional` 字体以方便初访者使用。[了解详情](https://web.dev/preload-optional-fonts/)"},"lighthouse-core/audits/preload-fonts.js | failureTitle":{message:"未预加载使用 `font-display: optional` 的字体"},"lighthouse-core/audits/preload-fonts.js | title":{message:"已预加载使用 `font-display: optional` 的字体"},"lighthouse-core/audits/preload-lcp-image.js | description":{
message:"请预加载 Largest Contentful Paint (LCP) 元素所用的图片，以缩短您的 LCP 用时。[了解详情](https://web.dev/optimize-lcp/#preload-important-resources)。"},"lighthouse-core/audits/preload-lcp-image.js | title":{message:"预加载 LCP 元素所用图片"},"lighthouse-core/audits/redirects-http.js | description":{message:"如果您已设置 HTTPS，请确保将所有 HTTP 流量重定向到 HTTPS，以便让所有用户都能使用安全的网络功能。[了解详情](https://web.dev/redirects-http/)。"},"lighthouse-core/audits/redirects-http.js | failureTitle":{message:"未将 HTTP 流量重定向到 HTTPS"},"lighthouse-core/audits/redirects-http.js | title":{message:"将 HTTP 流量重定向到 HTTPS"},"lighthouse-core/audits/redirects.js | description":{message:"重定向会在网页可加载前引入更多延迟。[了解详情](https://web.dev/redirects/)。"},"lighthouse-core/audits/redirects.js | title":{message:"避免多次网页重定向"},"lighthouse-core/audits/resource-summary.js | description":{message:"若要设置页面资源数量和大小的预算，请添加 budget.json 文件。[了解详情](https://web.dev/use-lighthouse-for-performance-budgets/)。"},"lighthouse-core/audits/resource-summary.js | displayValue":{
message:"{requestCount,plural, =1{1 项请求 • {byteCount, number, bytes} KiB}other{# 项请求 • {byteCount, number, bytes} KiB}}"},"lighthouse-core/audits/resource-summary.js | title":{message:"请保持较低的请求数量和较小的传输大小"},"lighthouse-core/audits/seo/canonical.js | description":{message:"规范链接用于建议应在搜索结果中显示哪个网址。[了解详情](https://web.dev/canonical/)。"},"lighthouse-core/audits/seo/canonical.js | explanationConflict":{message:"存在多个相互冲突的网址（{urlList}）"},"lighthouse-core/audits/seo/canonical.js | explanationDifferentDomain":{message:"指向不同的域名 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationInvalid":{message:"网址无效 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationPointsElsewhere":{message:"指向了其他 `hreflang` 位置 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRelative":{message:"相对网址 ({url})"},"lighthouse-core/audits/seo/canonical.js | explanationRoot":{message:"指向了网域的根网址（首页），而非等效内容页面"},"lighthouse-core/audits/seo/canonical.js | failureTitle":{
message:"文档缺少有效的 `rel=canonical`"},"lighthouse-core/audits/seo/canonical.js | title":{message:"文档的 `rel=canonical` 有效"},"lighthouse-core/audits/seo/crawlable-anchors.js | columnFailingLink":{message:"无法抓取的链接"},"lighthouse-core/audits/seo/crawlable-anchors.js | description":{message:"搜索引擎可能会使用链接中的 `href` 属性来抓取网站。请确保锚元素的 `href` 属性链接到合适的目标网站，以便搜索引擎发现该网站上的更多网页。[了解详情](https://support.google.com/webmasters/answer/9112205)"},"lighthouse-core/audits/seo/crawlable-anchors.js | failureTitle":{message:"有无法抓取的链接"},"lighthouse-core/audits/seo/crawlable-anchors.js | title":{message:"链接都是可抓取的"},"lighthouse-core/audits/seo/font-size.js | additionalIllegibleText":{message:"其他无法辨认的文字"},"lighthouse-core/audits/seo/font-size.js | columnFontSize":{message:"字号"},"lighthouse-core/audits/seo/font-size.js | columnPercentPageText":{message:"网页文本百分比"},"lighthouse-core/audits/seo/font-size.js | columnSelector":{message:"选择器"},"lighthouse-core/audits/seo/font-size.js | description":{
message:"12px 以下的字体过小，会导致用户无法辨认；此外，这样的字体需要移动设备访问者“张合双指进行缩放”才能阅读。请尽量让 60% 以上的页面文字不小于 12px。[了解详情](https://web.dev/font-size/)。"},"lighthouse-core/audits/seo/font-size.js | displayValue":{message:"{decimalProportion, number, extendedPercent} 清晰可辨的文字"},"lighthouse-core/audits/seo/font-size.js | explanationViewport":{message:"无法辨认文字，因为缺少已针对移动设备屏幕进行优化的 viewport meta 标记。"},"lighthouse-core/audits/seo/font-size.js | failureTitle":{message:"文档未使用清晰可辨的字体大小"},"lighthouse-core/audits/seo/font-size.js | legibleText":{message:"清晰可辨的文字"},"lighthouse-core/audits/seo/font-size.js | title":{message:"文档所用的字体大小清晰可辨"},"lighthouse-core/audits/seo/hreflang.js | description":{message:"hreflang 链接用于告知搜索引擎应在特定语言或地区的搜索结果中显示哪种版本的网页。[了解详情](https://web.dev/hreflang/)。"},"lighthouse-core/audits/seo/hreflang.js | failureTitle":{message:"文档的 `hreflang` 无效"},"lighthouse-core/audits/seo/hreflang.js | notFullyQualified":{message:"相对 href 值"},"lighthouse-core/audits/seo/hreflang.js | title":{message:"文档的 `hreflang` 有效"},
"lighthouse-core/audits/seo/hreflang.js | unexpectedLanguage":{message:"未预料到的语言代码"},"lighthouse-core/audits/seo/http-status-code.js | description":{message:"返回无效 HTTP 状态代码的页面可能无法被正确编入索引。[了解详情](https://web.dev/http-status-code/)。"},"lighthouse-core/audits/seo/http-status-code.js | failureTitle":{message:"页面返回了无效的 HTTP 状态代码"},"lighthouse-core/audits/seo/http-status-code.js | title":{message:"页面返回了有效的 HTTP 状态代码"},"lighthouse-core/audits/seo/is-crawlable.js | description":{message:"如果搜索引擎无权抓取您的网页，则无法将它们添加到搜索结果中。[了解详情](https://web.dev/is-crawable/)。"},"lighthouse-core/audits/seo/is-crawlable.js | failureTitle":{message:"页面已被屏蔽，无法编入索引"},"lighthouse-core/audits/seo/is-crawlable.js | title":{message:"页面未被屏蔽，可编入索引"},"lighthouse-core/audits/seo/link-text.js | description":{message:"描述性链接文字有助于搜索引擎理解您的内容。[了解详情](https://web.dev/link-text/)。"},"lighthouse-core/audits/seo/link-text.js | displayValue":{message:"{itemCount,plural, =1{找到了 1 个链接}other{找到了 # 个链接}}"},
"lighthouse-core/audits/seo/link-text.js | failureTitle":{message:"链接缺少描述性文字"},"lighthouse-core/audits/seo/link-text.js | title":{message:"链接有描述性文字"},"lighthouse-core/audits/seo/manual/structured-data.js | description":{message:"运行[结构化数据测试工具](https://search.google.com/structured-data/testing-tool/) 和 [Structured Data Linter](http://linter.structured-data.org/) 可验证结构化数据。[了解详情](https://web.dev/structured-data/)。"},"lighthouse-core/audits/seo/manual/structured-data.js | title":{message:"结构化数据有效"},"lighthouse-core/audits/seo/meta-description.js | description":{message:"元描述可能会被包含在搜索结果中，以简要概括网页内容。[了解详情](https://web.dev/meta-description/)。"},"lighthouse-core/audits/seo/meta-description.js | explanation":{message:"描述性文字为空。"},"lighthouse-core/audits/seo/meta-description.js | failureTitle":{message:"文档缺少 meta 描述"},"lighthouse-core/audits/seo/meta-description.js | title":{message:"文档有 meta 描述"},"lighthouse-core/audits/seo/plugins.js | description":{
message:"搜索引擎无法将插件内容编入索引，而且许多设备都限制或不支持使用插件。[了解详情](https://web.dev/plugins/)。"},"lighthouse-core/audits/seo/plugins.js | failureTitle":{message:"文档使用了插件"},"lighthouse-core/audits/seo/plugins.js | title":{message:"文档中没有插件"},"lighthouse-core/audits/seo/robots-txt.js | description":{message:"如果 robots.txt 文件的格式不正确，抓取工具可能无法理解您希望以何种方式抓取网站内容或将其编入索引。[了解详情](https://web.dev/robots-txt/)。"},"lighthouse-core/audits/seo/robots-txt.js | displayValueHttpBadCode":{message:"对 robots.txt 的请求返回了 HTTP 状态代码：{statusCode}"},"lighthouse-core/audits/seo/robots-txt.js | displayValueValidationError":{message:"{itemCount,plural, =1{发现了 1 处错误}other{发现了 # 处错误}}"},"lighthouse-core/audits/seo/robots-txt.js | explanation":{message:"Lighthouse 无法下载 robots.txt 文件"},"lighthouse-core/audits/seo/robots-txt.js | failureTitle":{message:"robots.txt 无效"},"lighthouse-core/audits/seo/robots-txt.js | title":{message:"robots.txt 有效"},"lighthouse-core/audits/seo/tap-targets.js | description":{
message:"交互式元素（例如按钮和链接）应足够大 (48x48px)，且其周围应有足够的空间，以便用户轻松点按且避免遮挡其他元素。[了解详情](https://web.dev/tap-targets/)。"},"lighthouse-core/audits/seo/tap-targets.js | displayValue":{message:"{decimalProportion, number, percent} 的点按目标大小合适"},"lighthouse-core/audits/seo/tap-targets.js | explanationViewportMetaNotOptimized":{message:"点按目标过小，因为缺少已针对移动设备屏幕进行优化的 viewport meta 标记"},"lighthouse-core/audits/seo/tap-targets.js | failureTitle":{message:"点按目标的大小不合适"},"lighthouse-core/audits/seo/tap-targets.js | overlappingTargetHeader":{message:"点按目标重叠"},"lighthouse-core/audits/seo/tap-targets.js | tapTargetHeader":{message:"点按目标"},"lighthouse-core/audits/seo/tap-targets.js | title":{message:"点按目标的大小合适"},"lighthouse-core/audits/server-response-time.js | description":{message:"请确保服务器响应主文档的用时较短，因为这会影响到所有其他请求的响应时间。[了解详情](https://web.dev/time-to-first-byte/)。"},"lighthouse-core/audits/server-response-time.js | displayValue":{message:"根文档花费了 {timeInMs, number, milliseconds} 毫秒"},
"lighthouse-core/audits/server-response-time.js | failureTitle":{message:"请缩短初始服务器响应用时"},"lighthouse-core/audits/server-response-time.js | title":{message:"初始服务器响应用时较短"},"lighthouse-core/audits/service-worker.js | description":{message:"Service Worker 是一项技术，可让您的应用使用很多渐进式 Web 应用功能，例如离线、添加到主屏幕和推送通知。[了解详情](https://web.dev/service-worker/)。"},"lighthouse-core/audits/service-worker.js | explanationBadManifest":{message:"此网页由 Service Worker 控制，但由于清单未能解析为有效的 JSON，因此未找到 `start_url`"},"lighthouse-core/audits/service-worker.js | explanationBadStartUrl":{message:"此网页由 Service Worker 控制，但 `start_url` ({startUrl}) 不在 Service Worker 的控制范围内 ({scopeUrl})"},"lighthouse-core/audits/service-worker.js | explanationNoManifest":{message:"此网页由 Service Worker 控制，但由于未提取任何清单，因此未找到 `start_url`。"},"lighthouse-core/audits/service-worker.js | explanationOutOfScope":{message:"此来源有一个或多个 Service Worker，但网页 ({pageUrl}) 不在控制范围内。"},"lighthouse-core/audits/service-worker.js | failureTitle":{
message:"无法注册用于控制网页和 `start_url` 的 Service Worker"},"lighthouse-core/audits/service-worker.js | title":{message:"注册用于控制网页和 `start_url` 的 Service Worker"},"lighthouse-core/audits/splash-screen.js | description":{message:"选定主题的启动画面可确保用户在从主屏幕中启动您应用时获得优质体验。[了解详情](https://web.dev/splash-screen/)。"},"lighthouse-core/audits/splash-screen.js | failureTitle":{message:"未针对自定义启动画面进行配置"},"lighthouse-core/audits/splash-screen.js | title":{message:"已针对自定义启动画面进行配置"},"lighthouse-core/audits/themed-omnibox.js | description":{message:"可以为浏览器地址栏设置与您的网站相契合的主题背景。[了解详情](https://web.dev/themed-omnibox/)。"},"lighthouse-core/audits/themed-omnibox.js | failureTitle":{message:"没有为地址栏设置主题背景颜色。"},"lighthouse-core/audits/themed-omnibox.js | title":{message:"为地址栏设置主题背景颜色。"},"lighthouse-core/audits/third-party-facades.js | categoryCustomerSuccess":{message:"{productName}（客户成功案例）"},"lighthouse-core/audits/third-party-facades.js | categoryMarketing":{message:"{productName}（营销）"},
"lighthouse-core/audits/third-party-facades.js | categorySocial":{message:"{productName}（社交）"},"lighthouse-core/audits/third-party-facades.js | categoryVideo":{message:"{productName}（视频）"},"lighthouse-core/audits/third-party-facades.js | columnProduct":{message:"产品"},"lighthouse-core/audits/third-party-facades.js | description":{message:"您可以延迟加载某些第三方嵌入代码。不妨考虑使用 Facade 替换这些代码，直到您需要使用它们为止。[了解详情](https://web.dev/third-party-facades/)。"},"lighthouse-core/audits/third-party-facades.js | displayValue":{message:"{itemCount,plural, =1{有 # 个备用 Facade}other{有 # 个备用 Facade}}"},"lighthouse-core/audits/third-party-facades.js | failureTitle":{message:"可以使用 Facade 延迟加载某些第三方资源"},"lighthouse-core/audits/third-party-facades.js | title":{message:"使用 Facade 延迟加载第三方资源"},"lighthouse-core/audits/third-party-summary.js | columnThirdParty":{message:"第三方"},"lighthouse-core/audits/third-party-summary.js | description":{
message:"第三方代码可能会显著影响加载性能。请限制冗余第三方提供商的数量，并尝试在页面完成主要加载后再加载第三方代码。[了解详情](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/)。"},"lighthouse-core/audits/third-party-summary.js | displayValue":{message:"第三方代码将主线程阻止了 {timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/audits/third-party-summary.js | failureTitle":{message:"降低第三方代码的影响"},"lighthouse-core/audits/third-party-summary.js | title":{message:"尽量减少第三方使用"},"lighthouse-core/audits/timing-budget.js | columnMeasurement":{message:"实测值"},"lighthouse-core/audits/timing-budget.js | columnTimingMetric":{message:"指标"},"lighthouse-core/audits/timing-budget.js | description":{message:"设置时间预算有助于您密切关注网站性能。性能出色的网站既会快速加载，也会快速响应用户输入事件。[了解详情](https://developers.google.com/web/tools/lighthouse/audits/budgets)。"},"lighthouse-core/audits/timing-budget.js | title":{message:"时间预算"},"lighthouse-core/audits/unsized-images.js | description":{
message:"请为图片元素设置明确的宽度值和高度值，以减少布局偏移并改善 CLS。[了解详情](https://web.dev/optimize-cls/#images-without-dimensions)"},"lighthouse-core/audits/unsized-images.js | failureTitle":{message:"图片元素没有明确的`width`和`height`"},"lighthouse-core/audits/unsized-images.js | title":{message:"图片元素都有明确的`width`和`height`"},"lighthouse-core/audits/user-timings.js | columnType":{message:"类型"},"lighthouse-core/audits/user-timings.js | description":{message:"建议使用 User Timing API 检测您的应用，从而衡量应用在关键用户体验中的实际性能。[了解详情](https://web.dev/user-timings/)。"},"lighthouse-core/audits/user-timings.js | displayValue":{message:"{itemCount,plural, =1{1 项 User Timing 结果}other{# 项 User Timing 结果}}"},"lighthouse-core/audits/user-timings.js | title":{message:"User Timing 标记和测量结果"},"lighthouse-core/audits/uses-rel-preconnect.js | crossoriginWarning":{message:"“{securityOrigin}”已有 `<link rel=preconnect>`，但浏览器未使用该链接。请检查并确保您正确地使用了 `crossorigin` 属性。"},"lighthouse-core/audits/uses-rel-preconnect.js | description":{
message:"建议添加 `preconnect` 或 `dns-prefetch` 资源提示，以尽早与重要的第三方来源建立连接。[了解详情](https://web.dev/uses-rel-preconnect/)。"},"lighthouse-core/audits/uses-rel-preconnect.js | title":{message:"预先连接到必要的来源"},"lighthouse-core/audits/uses-rel-preconnect.js | tooManyPreconnectLinksWarning":{message:"发现了不止 2 个 `<link rel=preconnect>` 连接。此类连接应尽量少用，且应仅用于指向最重要的来源。"},"lighthouse-core/audits/uses-rel-preconnect.js | unusedWarning":{message:"“{securityOrigin}”已有 `<link rel=preconnect>`，但浏览器未使用该链接。请仅针对网页肯定会请求的重要来源使用 `preconnect`。"},"lighthouse-core/audits/uses-rel-preload.js | crossoriginWarning":{message:"“{preloadURL}”已有 preload `<link>`，但浏览器未使用该链接。请检查并确保您正确地使用了 `crossorigin` 属性。"},"lighthouse-core/audits/uses-rel-preload.js | description":{message:"建议使用 `<link rel=preload>` 来优先提取当前在网页加载后期请求的资源。[了解详情](https://web.dev/uses-rel-preload/)。"},"lighthouse-core/audits/uses-rel-preload.js | title":{message:"预加载关键请求"},"lighthouse-core/audits/valid-source-maps.js | columnMapURL":{message:"映射网址"},
"lighthouse-core/audits/valid-source-maps.js | description":{message:"源代码映射会将缩减了大小的代码转换成原始源代码。这有助于开发者在正式版中调试。此外，Lighthouse 还能提供进一步的数据分析。您不妨考虑部署源代码映射以充分利用这些好处。[了解详情](https://developers.google.com/web/tools/chrome-devtools/javascript/source-maps)。"},"lighthouse-core/audits/valid-source-maps.js | failureTitle":{message:"大型第一方 JavaScript 缺少源代码映射"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapErrorMessage":{message:"大型 JavaScript 文件缺少源代码映射"},"lighthouse-core/audits/valid-source-maps.js | missingSourceMapItemsWarningMesssage":{message:"{missingItems,plural, =1{警告：`.sourcesContent` 中缺少 1 项内容}other{警告：`.sourcesContent` 中缺少 # 项内容}}"},"lighthouse-core/audits/valid-source-maps.js | title":{message:"页面包含有效的源代码映射"},"lighthouse-core/audits/viewport.js | description":{message:'添加 `<meta name="viewport">` 标记以针对移动设备屏幕优化您的应用。[了解详情](https://web.dev/viewport/)。'},"lighthouse-core/audits/viewport.js | explanationNoTag":{message:'未找到任何 `<meta name="viewport">` 标记'},
"lighthouse-core/audits/viewport.js | failureTitle":{message:'没有包含 `width` 或 `initial-scale` 的 `<meta name="viewport">` 标记'},"lighthouse-core/audits/viewport.js | title":{message:'具有包含 `width` 或 `initial-scale` 的 `<meta name="viewport">` 标记'},"lighthouse-core/config/default-config.js | a11yAriaGroupDescription":{message:"这些提示旨在帮助改进 ARIA 在您的应用内的使用情况，从而改善辅助技术（例如屏幕阅读器）用户的体验。"},"lighthouse-core/config/default-config.js | a11yAriaGroupTitle":{message:"ARIA"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupDescription":{message:"这提示旨在为音频和视频提供替代内容。这或许能改善听障用户或视障用户的体验。"},"lighthouse-core/config/default-config.js | a11yAudioVideoGroupTitle":{message:"音频和视频"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupDescription":{message:"这些条目突出显示了常见的无障碍功能最佳做法。"},"lighthouse-core/config/default-config.js | a11yBestPracticesGroupTitle":{message:"最佳做法"},"lighthouse-core/config/default-config.js | a11yCategoryDescription":{
message:"这些检查会突出显示可[改进您网络应用的无障碍功能](https://developers.google.com/web/fundamentals/accessibility)的提示。系统只能自动检测到一小部分无障碍功能问题，因此您最好也手动测试一下。"},"lighthouse-core/config/default-config.js | a11yCategoryManualDescription":{message:"这些条目旨在检查自动化测试工具未涵盖的方面。如需了解详情，请参阅有关如何[执行无障碍功能审查](https://developers.google.com/web/fundamentals/accessibility/how-to-review)的指南。"},"lighthouse-core/config/default-config.js | a11yCategoryTitle":{message:"无障碍"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupDescription":{message:"这些提示旨在帮助改进您的内容的易读性。"},"lighthouse-core/config/default-config.js | a11yColorContrastGroupTitle":{message:"对比度"},"lighthouse-core/config/default-config.js | a11yLanguageGroupDescription":{message:"这些提示旨在让不同语言区域中的用户能够更好地解读您的内容。"},"lighthouse-core/config/default-config.js | a11yLanguageGroupTitle":{message:"国际化和本地化"},"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupDescription":{message:"这些提示旨在帮助改进您的应用内控件的语义。这可以改善辅助技术（例如屏幕阅读器）用户的体验。"},
"lighthouse-core/config/default-config.js | a11yNamesLabelsGroupTitle":{message:"名称和标签"},"lighthouse-core/config/default-config.js | a11yNavigationGroupDescription":{message:"这些提示旨在改进您应用中的键盘导航。"},"lighthouse-core/config/default-config.js | a11yNavigationGroupTitle":{message:"导航"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupDescription":{message:"这些提示旨在改善使用辅助技术（例如屏幕阅读器）查看表格数据或列表数据的体验。"},"lighthouse-core/config/default-config.js | a11yTablesListsVideoGroupTitle":{message:"表格和列表"},"lighthouse-core/config/default-config.js | bestPracticesBrowserCompatGroupTitle":{message:"浏览器兼容性"},"lighthouse-core/config/default-config.js | bestPracticesCategoryTitle":{message:"最佳做法"},"lighthouse-core/config/default-config.js | bestPracticesGeneralGroupTitle":{message:"常规"},"lighthouse-core/config/default-config.js | bestPracticesTrustSafetyGroupTitle":{message:"信任与安全"},"lighthouse-core/config/default-config.js | bestPracticesUXGroupTitle":{message:"用户体验"},
"lighthouse-core/config/default-config.js | budgetsGroupDescription":{message:"性能预算为您的网站的性能设置了标准。"},"lighthouse-core/config/default-config.js | budgetsGroupTitle":{message:"预算"},"lighthouse-core/config/default-config.js | diagnosticsGroupDescription":{message:"详细了解您的应用的性能。这些数字不会[直接影响](https://web.dev/performance-scoring/)性能得分。"},"lighthouse-core/config/default-config.js | diagnosticsGroupTitle":{message:"诊断结果"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupDescription":{message:"像素在屏幕上的呈现速度是性能的最重要方面。关键指标：首次内容绘制时间、首次有效绘制时间"},"lighthouse-core/config/default-config.js | firstPaintImprovementsGroupTitle":{message:"改进首次绘制"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupDescription":{message:"这些建议可以帮助您提高网页加载速度。它们不会[直接影响](https://web.dev/performance-scoring/)性能得分。"},"lighthouse-core/config/default-config.js | loadOpportunitiesGroupTitle":{message:"优化建议"},"lighthouse-core/config/default-config.js | metricGroupTitle":{message:"指标"},
"lighthouse-core/config/default-config.js | overallImprovementsGroupDescription":{message:"改善整体的加载体验，使该网页响应迅速且可尽快投入使用。关键指标：可交互前的耗时、速度指数"},"lighthouse-core/config/default-config.js | overallImprovementsGroupTitle":{message:"整体改进"},"lighthouse-core/config/default-config.js | performanceCategoryTitle":{message:"性能"},"lighthouse-core/config/default-config.js | pwaCategoryDescription":{message:"此类检查会验证渐进式 Web 应用的各个方面。[了解详情](https://developers.google.com/web/progressive-web-apps/checklist)。"},"lighthouse-core/config/default-config.js | pwaCategoryManualDescription":{message:"基准 [PWA 核对清单](https://developers.google.com/web/progressive-web-apps/checklist)要求必须进行此类检查，但 Lighthouse 不会自动进行此类检查。它们不会影响您的得分，但您必须手动对其进行验证。"},"lighthouse-core/config/default-config.js | pwaCategoryTitle":{message:"渐进式 Web 应用"},"lighthouse-core/config/default-config.js | pwaInstallableGroupTitle":{message:"可安装"},"lighthouse-core/config/default-config.js | pwaOptimizedGroupTitle":{message:"优化 PWA"},
"lighthouse-core/config/default-config.js | seoCategoryDescription":{message:"这些检查可确保您的页面已经过优化，有利于其在搜索引擎结果中的排名。不在 Lighthouse 检查范围内的其他因素可能会影响您的搜索排名。[了解详情](https://support.google.com/webmasters/answer/35769)。"},"lighthouse-core/config/default-config.js | seoCategoryManualDescription":{message:"请在您的网站上运行这些额外的验证程序，以检查其他 SEO 最佳做法。"},"lighthouse-core/config/default-config.js | seoCategoryTitle":{message:"SEO"},"lighthouse-core/config/default-config.js | seoContentGroupDescription":{message:"请确保您的 HTML 格式正确，以便抓取工具更好地了解您的应用的内容。"},"lighthouse-core/config/default-config.js | seoContentGroupTitle":{message:"内容最佳做法"},"lighthouse-core/config/default-config.js | seoCrawlingGroupDescription":{message:"若想让您的应用显示在搜索结果中，您需要先授权抓取工具访问该应用。"},"lighthouse-core/config/default-config.js | seoCrawlingGroupTitle":{message:"抓取和编入索引"},"lighthouse-core/config/default-config.js | seoMobileGroupDescription":{message:"请确保您的网页适合移动设备，以便用户无需进行缩放即可轻松阅读内容页面。[了解详情](https://developers.google.com/search/mobile-sites/)。"},
"lighthouse-core/config/default-config.js | seoMobileGroupTitle":{message:"适合移动设备"},"lighthouse-core/gather/driver/environment.js | warningSlowHostCpu":{message:"所测试设备的 CPU 速度似乎未达到 Lighthouse 的预期。这可能会对您的性能得分产生负面影响。详细了解如何[校准相应的 CPU 速度减慢倍数](https://github.com/GoogleChrome/lighthouse/blob/master/docs/throttling.md#cpu-throttling)。"},"lighthouse-core/gather/driver/navigation.js | warningRedirected":{message:"相应网页可能无法按预期加载，因为您所测试的网址 ({requested}) 重定向到了 {final}。请尝试直接测试第二个网址。"},"lighthouse-core/gather/driver/navigation.js | warningTimeout":{message:"此页面的加载速度太慢，无法在时限内完成。结果可能会不完整。"},"lighthouse-core/gather/driver/storage.js | warningData":{message:"{locationCount,plural, =1{下列位置可能存储了会影响加载性能的数据：{locations}。请在无痕式窗口中审核此页面，以防止这些资源影响您的得分。}other{下列位置可能存储了会影响加载性能的数据：{locations}。请在无痕式窗口中审核此页面，以防止这些资源影响您的得分。}}"},"lighthouse-core/lib/csp-evaluator.js | allowlistFallback":{message:"建议您添加 https: 和 http: 网址架构（会被支持“strict-dynamic”的浏览器忽略），以便向后兼容旧版浏览器。"},
"lighthouse-core/lib/csp-evaluator.js | deprecatedDisownOpener":{message:"自 CSP3 起，disown-opener 已被弃用。请改用 Cross-Origin-Opener-Policy 标头。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReferrer":{message:"自 CSP2 起，referrer 已被弃用。请改用 Referrer-Policy 标头。"},"lighthouse-core/lib/csp-evaluator.js | deprecatedReflectedXSS":{message:"自 CSP2 起，reflected-xss 已被弃用。请改用 X-XSS-Protection 标头。"},"lighthouse-core/lib/csp-evaluator.js | missingBaseUri":{message:"缺少 base-uri 意味着允许使用注入的 <base> 标记将所有相对网址（例如脚本）的基准网址设为一个受攻击者控制的网域。建议您将 base-uri 设为“none”或“self”。"},"lighthouse-core/lib/csp-evaluator.js | missingObjectSrc":{message:"由 object-src 控制的元素会被视为旧版功能。建议您将 object-src 设为“none”，以防止不良之徒注入会执行不安全脚本的插件。"},"lighthouse-core/lib/csp-evaluator.js | missingScriptSrc":{message:"缺少 script-src 指令。这意味着允许执行不安全的脚本。"},"lighthouse-core/lib/csp-evaluator.js | missingSemicolon":{message:"您忘了要使用英文分号吗？{keyword}似乎是一个指令，而非关键字。"},"lighthouse-core/lib/csp-evaluator.js | nonceCharset":{message:"Nonces 应该使用 base64 字符集。"},
"lighthouse-core/lib/csp-evaluator.js | nonceLength":{message:"Nonces 应包含至少 8 个字符。"},"lighthouse-core/lib/csp-evaluator.js | reportToOnly":{message:"报告目的地只能通过 report-to 指令进行配置。此指令仅适用于基于 Chromium 的浏览器，因此我们建议您同时也使用 report-uri 指令。"},"lighthouse-core/lib/csp-evaluator.js | reportingDestinationMissing":{message:"任何 CSP 都未配置报告目的地。这会导致系统很难持续维护 CSP 以及监控故障。"},"lighthouse-core/lib/csp-evaluator.js | strictDynamic":{message:"主机许可名单经常会被绕过。建议您将“strict-dynamic”与 CSP nonces 或 hashes 结合使用。"},"lighthouse-core/lib/csp-evaluator.js | unknownDirective":{message:"CSP 指令不明。"},"lighthouse-core/lib/csp-evaluator.js | unknownKeyword":{message:"{keyword}似乎是无效关键字。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInline":{message:"“unsafe-inline”允许执行不安全的页内脚本和事件处理脚本。建议您使用 CSP nonces 或 hashes 来逐一允许各个脚本。"},"lighthouse-core/lib/csp-evaluator.js | unsafeInlineFallback":{message:"建议您添加“unsafe-inline”（会被支持 nonces/hashes 的浏览器忽略），以便向后兼容旧版浏览器。"},"lighthouse-core/lib/i18n/i18n.js | columnBlockingTime":{message:"主线程拦截时间"},
"lighthouse-core/lib/i18n/i18n.js | columnCacheTTL":{message:"缓存 TTL"},"lighthouse-core/lib/i18n/i18n.js | columnDescription":{message:"说明"},"lighthouse-core/lib/i18n/i18n.js | columnDuration":{message:"时长"},"lighthouse-core/lib/i18n/i18n.js | columnElement":{message:"元素"},"lighthouse-core/lib/i18n/i18n.js | columnFailingElem":{message:"与建议不符的元素"},"lighthouse-core/lib/i18n/i18n.js | columnLocation":{message:"位置"},"lighthouse-core/lib/i18n/i18n.js | columnName":{message:"名称"},"lighthouse-core/lib/i18n/i18n.js | columnOverBudget":{message:"超出预算"},"lighthouse-core/lib/i18n/i18n.js | columnRequests":{message:"请求"},"lighthouse-core/lib/i18n/i18n.js | columnResourceSize":{message:"资源大小"},"lighthouse-core/lib/i18n/i18n.js | columnResourceType":{message:"资源类型"},"lighthouse-core/lib/i18n/i18n.js | columnSize":{message:"大小"},"lighthouse-core/lib/i18n/i18n.js | columnSource":{message:"来源"},"lighthouse-core/lib/i18n/i18n.js | columnStartTime":{message:"开始时间"},
"lighthouse-core/lib/i18n/i18n.js | columnTimeSpent":{message:"花费的时间"},"lighthouse-core/lib/i18n/i18n.js | columnTransferSize":{message:"传输文件大小"},"lighthouse-core/lib/i18n/i18n.js | columnURL":{message:"网址"},"lighthouse-core/lib/i18n/i18n.js | columnWastedBytes":{message:"可能达到的节省程度"},"lighthouse-core/lib/i18n/i18n.js | columnWastedMs":{message:"可能达到的节省程度"},"lighthouse-core/lib/i18n/i18n.js | cumulativeLayoutShiftMetric":{message:"Cumulative Layout Shift"},"lighthouse-core/lib/i18n/i18n.js | displayValueByteSavings":{message:"有望节省 {wastedBytes, number, bytes} KiB"},"lighthouse-core/lib/i18n/i18n.js | displayValueElementsFound":{message:"{nodeCount,plural, =1{发现了 1 个元素}other{发现了 # 个元素}}"},"lighthouse-core/lib/i18n/i18n.js | displayValueMsSavings":{message:"有望节省 {wastedMs, number, milliseconds} 毫秒"},"lighthouse-core/lib/i18n/i18n.js | documentResourceType":{message:"文档"},"lighthouse-core/lib/i18n/i18n.js | firstContentfulPaintMetric":{message:"First Contentful Paint"},
"lighthouse-core/lib/i18n/i18n.js | firstMeaningfulPaintMetric":{message:"首次有效绘制时间"},"lighthouse-core/lib/i18n/i18n.js | fontResourceType":{message:"字体"},"lighthouse-core/lib/i18n/i18n.js | imageResourceType":{message:"图片"},"lighthouse-core/lib/i18n/i18n.js | interactiveMetric":{message:"Time to Interactive"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityHigh":{message:"高"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityLow":{message:"低"},"lighthouse-core/lib/i18n/i18n.js | itemSeverityMedium":{message:"中"},"lighthouse-core/lib/i18n/i18n.js | largestContentfulPaintMetric":{message:"Largest Contentful Paint"},"lighthouse-core/lib/i18n/i18n.js | maxPotentialFIDMetric":{message:"首次输入延迟最长预估值"},"lighthouse-core/lib/i18n/i18n.js | mediaResourceType":{message:"媒体"},"lighthouse-core/lib/i18n/i18n.js | ms":{message:"{timeInMs, number, milliseconds} 毫秒"},"lighthouse-core/lib/i18n/i18n.js | otherResourceType":{message:"其他"},"lighthouse-core/lib/i18n/i18n.js | otherResourcesLabel":{
message:"其他资源"},"lighthouse-core/lib/i18n/i18n.js | scriptResourceType":{message:"脚本"},"lighthouse-core/lib/i18n/i18n.js | seconds":{message:"{timeInMs, number, seconds} 秒"},"lighthouse-core/lib/i18n/i18n.js | speedIndexMetric":{message:"Speed Index"},"lighthouse-core/lib/i18n/i18n.js | stylesheetResourceType":{message:"样式表"},"lighthouse-core/lib/i18n/i18n.js | thirdPartyResourceType":{message:"第三方"},"lighthouse-core/lib/i18n/i18n.js | totalBlockingTimeMetric":{message:"Total Blocking Time"},"lighthouse-core/lib/i18n/i18n.js | totalResourceType":{message:"总计"},"lighthouse-core/lib/lh-error.js | badTraceRecording":{message:"在您加载的网页上录制跟踪记录时发生了错误。请重新运行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | criTimeout":{message:"等待调试程序协议初次连接时超时。"},"lighthouse-core/lib/lh-error.js | didntCollectScreenshots":{message:"Chrome 在网页加载期间未收集任何屏幕截图。请确保网页上有可见的内容，然后尝试重新运行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | dnsFailure":{message:"DNS 服务器无法解析所提供的网域。"},
"lighthouse-core/lib/lh-error.js | erroredRequiredArtifact":{message:"必需的 {artifactName} 收集器出现错误：{errorMessage}"},"lighthouse-core/lib/lh-error.js | internalChromeError":{message:"发生了内部 Chrome 错误。请重新启动 Chrome，然后尝试重新运行 Lighthouse。"},"lighthouse-core/lib/lh-error.js | missingRequiredArtifact":{message:"必需的 {artifactName} 收集器未运行。"},"lighthouse-core/lib/lh-error.js | noFcp":{message:"该网页未渲染任何内容。请确保在网页加载过程中让浏览器窗口始终位于前台，然后重试。({errorCode})"},"lighthouse-core/lib/lh-error.js | notHtml":{message:"所提供的网页不是 HTML（以 MIME 类型 {mimeType} 提供）。"},"lighthouse-core/lib/lh-error.js | oldChromeDoesNotSupportFeature":{message:"这个 Chrome 版本太旧，不支持“{featureName}”。请使用较新版本以查看完整结果。"},"lighthouse-core/lib/lh-error.js | pageLoadFailed":{message:"Lighthouse 无法可靠地加载您请求的页面。请确保您测试的网址正确无误并且服务器可正确响应所有请求。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedHung":{message:"Lighthouse 无法可靠地加载您请求的网址，因为页面已停止响应。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedInsecure":{message:"您提供的网址缺少有效的安全证书。{securityMessages}"},
"lighthouse-core/lib/lh-error.js | pageLoadFailedInterstitial":{message:"Chrome 阻止了带有插页式广告的网页加载。请确保您测试的网址正确无误并且服务器可正确响应所有请求。"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithDetails":{message:"Lighthouse 无法可靠地加载您请求的页面。请确保您测试的网址正确无误并且服务器可正确响应所有请求。（详细信息：{errorDetails}）"},"lighthouse-core/lib/lh-error.js | pageLoadFailedWithStatusCode":{message:"Lighthouse 无法可靠地加载您请求的页面。请确保您测试的网址正确无误并且服务器可正确响应所有请求。（状态代码：{statusCode}）"},"lighthouse-core/lib/lh-error.js | pageLoadTookTooLong":{message:"您的网页加载时间过长。请按照报告中给出的提示缩短网页加载时间，然后尝试重新运行 Lighthouse。({errorCode})"},"lighthouse-core/lib/lh-error.js | protocolTimeout":{message:"等待 DevTools 协议响应的用时超出了分配的时间。(方法：{protocolMethod})"},"lighthouse-core/lib/lh-error.js | requestContentTimeout":{message:"提取资源内容的用时超出了分配的时间"},"lighthouse-core/lib/lh-error.js | urlInvalid":{message:"您提供的网址似乎无效。"},"lighthouse-treemap/app/src/util.js | allLabel":{message:"全部"},"lighthouse-treemap/app/src/util.js | allScriptsDropdownLabel":{message:"所有脚本"},
"lighthouse-treemap/app/src/util.js | coverageColumnName":{message:"覆盖率"},"lighthouse-treemap/app/src/util.js | duplicateModulesLabel":{message:"重复的模块"},"lighthouse-treemap/app/src/util.js | resourceBytesLabel":{message:"资源字节数"},"lighthouse-treemap/app/src/util.js | tableColumnName":{message:"名称"},"lighthouse-treemap/app/src/util.js | toggleTableButtonLabel":{message:"显示/隐藏表格"},"lighthouse-treemap/app/src/util.js | unusedBytesLabel":{message:"未使用的字节数"},"node_modules/lighthouse-stack-packs/packs/amp.js | efficient-animated-content":{message:"对于动画内容，请使用 [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) 尽量减少当内容在屏幕外时的 CPU 使用量。"},"node_modules/lighthouse-stack-packs/packs/amp.js | modern-image-formats":{message:"您不妨既以 WebP 格式显示所有 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 组件，也为其他浏览器指定适当的后备图片。[了解详情](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image)。"},
"node_modules/lighthouse-stack-packs/packs/amp.js | offscreen-images":{message:"确保您对图片使用了 [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 以便自动延迟加载。[了解详情](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | render-blocking-resources":{message:"使用 [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) 之类的工具[在服务器端呈现 AMP 布局](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/)。"},"node_modules/lighthouse-stack-packs/packs/amp.js | unminified-css":{message:"请参阅 [AMP 文档](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/)以确保所有样式均受支持。"},"node_modules/lighthouse-stack-packs/packs/amp.js | uses-responsive-images":{
message:"[`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) 组件支持 [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) 属性，以便系统根据屏幕尺寸指定要使用的图片素材资源。[了解详情](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | dom-size":{message:"如果要呈现的列表非常大，您不妨使用 Component Dev Kit (CDK) 进行虚拟滚动。[了解详情](https://web.dev/virtualize-lists-with-angular-cdk/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | total-byte-weight":{message:"采用[路径级代码拆分](https://web.dev/route-level-code-splitting-in-angular/)尽量压缩 JavaScript 软件包的大小。您也可考虑使用 [Angular Service Worker](https://web.dev/precaching-with-the-angular-service-worker/) 预缓存资源。"},"node_modules/lighthouse-stack-packs/packs/angular.js | unminified-warning":{message:"如果您使用的是 Angular CLI，请确保在正式版模式下生成版本。[了解详情](https://angular.io/guide/deployment#enable-runtime-production-mode)。"},
"node_modules/lighthouse-stack-packs/packs/angular.js | unused-javascript":{message:"如果您使用了 Angular CLI，请在正式版中添加源代码映射以检查您的软件包。[了解详情](https://angular.io/guide/deployment#inspect-the-bundles)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-rel-preload":{message:"提前预加载路径以加快导航速度。[了解详情](https://web.dev/route-preloading-in-angular/)。"},"node_modules/lighthouse-stack-packs/packs/angular.js | uses-responsive-images":{message:"您不妨使用 Component Dev Kit (CDK) 中的 `BreakpointObserver` 实用程序管理映像断点。[了解详情](https://material.angular.io/cdk/layout/overview)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | efficient-animated-content":{message:"建议您将 GIF 上传到可让其作为 HTML5 视频嵌入的服务。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | font-display":{message:"在主题背景中定义自定义字体时，您可以指定 `@font-display`。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | modern-image-formats":{
message:"建议您安装并配置[一个模块，以便在您的网站中利用 WebP 图片格式](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search)。此类模块会自动为您上传的图片生成 WebP 版本，以缩短加载用时。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | offscreen-images":{message:"安装可延迟加载图片的 [Drupal 模块](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search)。此类模块能够推迟加载所有的屏幕外图片，进而提高性能。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | render-blocking-resources":{message:"建议您使用模块来内嵌重要的 CSS 和 JavaScipt，或通过 JavaScript（例如[高级 CSS/JS 聚合](https://www.drupal.org/project/advagg)模块）异步加载资源。请注意，此模块执行的优化可能会导致您的网站无法正常运行，因此您可能需要更改代码。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | server-response-time":{
message:"主题背景、模块和服务器规格都会影响服务器响应用时。建议您查找更优化的主题背景、仔细选择优化模块并/或升级您的服务器。您的托管服务器应该使用 PHP 运算码缓存、内存缓存（例如 Redis 或 Memcached）来缩短数据库查询时间，并优化应用逻辑以加快网页准备速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | total-byte-weight":{message:"建议您使用[自适应图片样式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)减小在您网页上加载的图片的大小。如果您使用 Views 在网页上显示多个内容项，请考虑实现分页，以限制给定网页上显示的内容项的数量。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-css":{message:"确保您已在“管理 » 配置 » 开发”页面中启用了“聚合 CSS 文件”。您还可以通过[其他模块](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search)配置更高级的聚合选项，以通过串联、缩减和压缩您的 CSS 样式来加快您网站的加载速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unminified-javascript":{
message:"确保您已在“管理 » 配置 » 开发”页面中启用了“聚合 JavaScript 文件”。您还可以通过[其他模块](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search)配置更高级的聚合选项，从而通过串联、缩减和压缩您的 JavaScript 资源加快您网站的加载速度。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-css-rules":{message:"建议您移除未使用的 CSS 规则，仅将所需的 Drupal 库附加到相关网页或网页中的组件。如需了解详情，请访问 [Drupal 文档链接](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)。若想找出会添加无关 CSS 的附加库，请尝试在 Chrome 开发者工具中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。在 Drupal 网站中停用 CSS 聚合后，您可根据样式表网址找出导致问题的主题背景/模块。请留意列表中哪些主题背景/模块有大量样式表的代码覆盖率偏红。主题背景/模块应该只将网页中确实用到的样式表加入队列。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | unused-javascript":{
message:"建议您移除未使用的 JavaScipt 资源，仅将所需的 Drupal 库附加到相关网页或网页中的组件。如需了解详情，请访问 [Drupal 文档链接](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library)。若要找出会添加无关 JavaScript 的附加库，请尝试在 Chrome 开发者工具中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。在 Drupal 网站中停用 JavaScript 聚合后，您可根据脚本网址找出导致问题的主题背景/模块。请留意列表中哪些主题背景/模块有大量脚本的代码覆盖率偏红。主题背景/模块应该只将网页中确实用到的脚本加入队列。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-long-cache-ttl":{message:"在“管理 » 配置 » 开发”页面中设置“浏览器和代理缓存最长时限”。了解 [Drupal 缓存和性能优化](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources)。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-optimized-images":{
message:"建议您使用[模块](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search)自动优化通过网站上传的图片，并在不影响图片质量的前提下缩减这些图片的大小。此外，还请确保为网站上呈现的所有图片使用 Drupal 的原生[自适应图片样式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)（在 Drupal 8 及更高版本中提供）。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-rel-preconnect":{message:"您可以通过安装和配置[一个能协助创建用户代理资源提示的模块](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search)，来添加 preconnect 或 dns-prefetch 资源提示。"},"node_modules/lighthouse-stack-packs/packs/drupal.js | uses-responsive-images":{
message:"确保您使用的是 Drupal 提供的原生[自适应图片样式](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8)（在 Drupal 8 及更高版本中提供）。通过视图模式、视图或借助 WYSIWYG 编辑器上传的图片呈现图片字段时，请使用自适应图片样式。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | efficient-animated-content":{message:"建议您将 GIF 上传到可让其作为 HTML5 视频嵌入的服务。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | modern-image-formats":{message:"建议您使用可自动将您上传的图片转换为最佳格式的[插件](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp)或服务。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | offscreen-images":{message:"安装能够延迟加载所有屏幕外图片的[延迟加载 Joomla 插件](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading)，或者改用可提供该功能的模板。从 Joomla 4.0 开始，所有新图片都会[自动](https://github.com/joomla/joomla-cms/pull/30748)从核心获取 `loading` 属性。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | render-blocking-resources":{
message:"有很多 Joomla 插件可帮助您[内嵌重要资源](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)或[推迟加载不太重要的资源](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)。请注意，这些插件执行的优化可能会导致您的模板或插件功能无法正常运行，因此您需要全面测试这些插件。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | server-response-time":{message:"模板、扩展程序和服务器规格都会影响服务器响应用时。建议您查找更优化的模板、仔细选择优化扩展程序并/或升级您的服务器。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | total-byte-weight":{message:"建议您在文章类别中显示摘录（例如，通过“了解详情”链接）、减少给定页面上显示的文章的数量、将长博文拆分成多个页面，或者使用插件延迟加载评论。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-css":{message:"很多 [Joomla 扩展程序](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)可通过串联、缩减和压缩您的 CSS 样式来加快您网站的加载速度。部分模板也提供此功能。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unminified-javascript":{
message:"很多 [Joomla 扩展程序](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)都可通过串联、缩减和压缩您的脚本来加快您网站的加载速度。部分模板也提供此功能。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-css-rules":{message:"某些 [Joomla 扩展程序](https://extensions.joomla.org/)会在您的网页中加载未使用的 CSS，建议您减少这类扩展程序的数量，或改用其他扩展程序。若想找出会添加无关 CSS 的扩展程序，请尝试在 Chrome 开发者工具中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。您可根据样式表网址找出导致问题的主题背景/插件。请留意列表中哪些插件有大量样式表的代码覆盖率偏红。插件应该只将网页中确实用到的样式表加入队列。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | unused-javascript":{message:"某些 [Joomla 扩展程序](https://extensions.joomla.org/)会在您的网页中加载未使用的 JavaScript，建议您减少这类扩展程序的数量，或改用其他扩展程序。若想找出会添加无关 JS 的插件，请尝试在 Chrome 开发者工具中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。您可根据脚本网址找出导致问题的扩展程序。请留意列表中哪些扩展程序有大量脚本的代码覆盖率偏红。扩展程序应该只将网页中确实用到的脚本加入队列。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-long-cache-ttl":{
message:"了解 [Joomla 中的浏览器缓存功能](https://docs.joomla.org/Cache)。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-optimized-images":{message:"建议您使用[图片优化插件](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance)，以在不影响图片质量的前提下压缩图片。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-responsive-images":{message:"建议您使用[自适应图片插件](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images)，以在您的内容中使用自适应图片。"},"node_modules/lighthouse-stack-packs/packs/joomla.js | uses-text-compression":{message:"您可以通过在 Joomla 中启用 Gzip 页面压缩（“系统”>“全局配置”>“服务器”）来启用文本压缩功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | critical-request-chains":{message:"如果您没有捆绑 JavaScript 资源，不妨使用 [baler](https://github.com/magento/baler)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | disable-bundling":{
message:"停用 Magento 内置的 [JavaScript 捆绑和缩减](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)功能，并考虑改用 [baler](https://github.com/magento/baler/)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | font-display":{message:"在[定义自定义字体](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)时指定 `@font-display`。"},"node_modules/lighthouse-stack-packs/packs/magento.js | modern-image-formats":{message:"您不妨在 [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) 中搜索各种第三方扩展程序，以利用更新的图片格式。"},"node_modules/lighthouse-stack-packs/packs/magento.js | offscreen-images":{message:"您不妨修改产品和目录模板，以利用这一网络平台的[延迟加载](https://web.dev/native-lazy-loading)功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | server-response-time":{message:"使用 Magento 的 [Varnish 集成](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html)。"},
"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-css":{message:"在您商店的开发者设置中启用“Minify CSS Files”选项。[了解详情](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files)。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unminified-javascript":{message:"使用 [Terser](https://www.npmjs.com/package/terser) 缩减静态内容部署中的所有 JavaScript 资源，并停用内置的缩减功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | unused-javascript":{message:"停用 Magento 内置的 [JavaScript 捆绑](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html)功能。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-optimized-images":{message:"您不妨在 [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) 中搜索各种第三方扩展程序，以便优化图片。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preconnect":{
message:"您可以通过[修改主题背景的布局](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)来添加 preconnect 或 dns-prefetch 资源提示。"},"node_modules/lighthouse-stack-packs/packs/magento.js | uses-rel-preload":{message:"您可以通过[修改主题背景的布局](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html)来添加 `<link rel=preload>` 标记。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | efficient-animated-content":{message:"[将 GIF 动画替换为视频](https://web.dev/replace-gifs-with-videos/)以提高网页加载速度，并考虑使用现代文件格式（例如 [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) 或 [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder)），通过目前最先进的 VP9 视频编解码器将压缩效率提高 30% 以上。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | modern-image-formats":{
message:"建议您使用可自动将所上传的图片转换为最佳格式的[插件](https://octobercms.com/plugins?search=image)或服务。[WebP 无损图片](https://developers.google.com/speed/webp)比 PNG 图片小 26%，比采用等效 SSIM 质量指标的同等 JPEG 图片小 25-34%。还可以考虑使用 [AVIF](https://jakearchibald.com/2020/avif-has-landed/) 这种新一代图片格式。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | offscreen-images":{message:"建议您安装能延迟加载所有屏幕外图片的[图片延迟加载插件](https://octobercms.com/plugins?search=lazy)，或者改用可提供该功能的主题。另外，建议您使用 [AMP 插件](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages)。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | render-blocking-resources":{message:"有很多插件可帮助您[内嵌重要资源](https://octobercms.com/plugins?search=css)。这些插件可能会导致其他插件无法正常运行，因此您需要全面测试。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | server-response-time":{message:"主题、插件和服务器规范都会影响服务器响应用时。建议您查找更优化的主题、仔细选择优化插件并/或升级服务器。借助 October CMS，开发者还可以使用[`Queues`](https://octobercms.com/docs/services/queues)推迟耗时任务（例如发送电子邮件）的处理时间。这可以大大加快 Web 请求的处理速度。"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | total-byte-weight":{message:"建议您在博文列表中显示摘录（例如，使用“`show more`”按钮）、减少给定网页上显示的博文的数量、将长博文拆分成多个网页，或者使用插件延迟加载评论。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-css":{message:"有很多[插件](https://octobercms.com/plugins?search=css)可通过串联、缩减和压缩样式来加快网站的加载速度。使用构建流程预先执行此缩减操作可加快开发速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unminified-javascript":{message:"有很多[插件](https://octobercms.com/plugins?search=javascript)可通过串联、缩减和压缩脚本来加快网站的加载速度。使用构建流程预先执行此缩减操作可加快开发速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-css-rules":{message:"建议您检查会在网站上加载未使用的 CSS 的[插件](https://octobercms.com/plugins)。若想找出会添加不必要 CSS 的插件，请在 Chrome Devtools 中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。根据样式表网址找出引发问题的主题/插件。检查哪些插件有大量样式表的代码覆盖率偏红。插件应该只添加网页中确实用到的样式表。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | unused-javascript":{
message:"建议您检查会在网页中加载未使用的 JavaScript 的[插件](https://octobercms.com/plugins?search=javascript)。若想找出会添加不必要 JavaScript 的插件，请在 Chrome DevTools 中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。根据脚本网址找出引发问题的主题/插件。检查哪些插件有大量脚本的代码覆盖率偏红。插件应该只添加网页中确实用到的脚本。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-long-cache-ttl":{message:"了解如何[使用 HTTP 缓存避免不必要的网络请求](https://web.dev/http-cache/#caching-checklist)。有很多[插件](https://octobercms.com/plugins?search=Caching)可用于加快缓存速度。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-optimized-images":{message:"建议您使用[图片优化插件](https://octobercms.com/plugins?search=image)，以在不影响图片质量的前提下压缩图片。"},"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-responsive-images":{message:"直接在媒体管理器中上传图片，以确保能按照所要求的尺寸提供图片。建议您使用[大小调整过滤器](https://octobercms.com/docs/markup/filter-resize)或[图片大小调整插件](https://octobercms.com/plugins?search=image)来确保采用最佳的图片大小。"},
"node_modules/lighthouse-stack-packs/packs/octobercms.js | uses-text-compression":{message:"在网络服务器配置中启用文本压缩。"},"node_modules/lighthouse-stack-packs/packs/react.js | dom-size":{message:"如果您要在页面上呈现很多重复元素，不妨使用“窗口类”库（如 `react-window`）尽量减少所创建的 DOM 节点的数量。[了解详情](https://web.dev/virtualize-long-lists-react-window/)。此外，如果您使用 `Effect` 钩子提高运行时性能，则应该仅在某些依赖项发生更改之前使用 [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action)、[`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent) 或 [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) 及[跳过效果](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects)，以尽量减少不必要的重复呈现。"},"node_modules/lighthouse-stack-packs/packs/react.js | redirects":{message:"如果您使用了 React Router，请尽量避免使用 `<Redirect>` 组件进行[路径导航](https://reacttraining.com/react-router/web/api/Redirect)。"},"node_modules/lighthouse-stack-packs/packs/react.js | server-response-time":{
message:"如果您在服务器端呈现任何 React 组件，不妨使用 `renderToNodeStream()` 或 `renderToStaticNodeStream()` 来允许客户端接收并合成标记的各个不同部分，而不是一次性接收整个标记。[了解详情](https://reactjs.org/docs/react-dom-server.html#rendertonodestream)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-css":{message:"如果您的构建系统可自动压缩 CSS 文件大小，请确保您部署的是正式版应用。您可以通过 React Developer Tools 扩展程序执行此项检查。[了解详情](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unminified-javascript":{message:"如果您的构建系统可自动压缩 JS 文件大小，请确保您部署的是正式版应用。您可以通过 React Developer Tools 扩展程序执行此项检查。[了解详情](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build)。"},"node_modules/lighthouse-stack-packs/packs/react.js | unused-javascript":{message:"如果您不使用服务器端呈现，请使用 `React.lazy()` [拆分 JavaScript 软件包](https://web.dev/code-splitting-suspense/)。否则，请使用第三方库（如 [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/)）拆分代码。"},
"node_modules/lighthouse-stack-packs/packs/react.js | user-timings":{message:"使用 React DevTools Profiler，从而利用 Profiler API 来衡量组件的呈现性能。[了解详情](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | efficient-animated-content":{message:"建议您将 GIF 上传到可让其作为 HTML5 视频嵌入的服务。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | modern-image-formats":{message:"建议您使用可自动将您上传的图片转换为最佳格式的[插件](https://wordpress.org/plugins/search/convert+webp/)或服务。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | offscreen-images":{message:"安装[延迟加载 WordPress 插件](https://wordpress.org/plugins/search/lazy+load/)以便能够推迟加载所有的屏幕外图片，或者改用可提供该功能的主题背景。另外，建议您使用 [AMP 插件](https://wordpress.org/plugins/amp/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | render-blocking-resources":{
message:"有很多 WordPress 插件可帮助您[内嵌重要资源](https://wordpress.org/plugins/search/critical+css/)或[推迟加载不太重要的资源](https://wordpress.org/plugins/search/defer+css+javascript/)。请注意，这些插件提供的优化可能会导致您的主题背景或插件的功能中断，因此您可能需要更改代码。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | server-response-time":{message:"主题背景、插件和服务器规范都会影响服务器响应用时。建议您查找更优化的主题背景、仔细选择所需的优化插件并/或升级您的服务器。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | total-byte-weight":{message:"建议您在博文列表中显示摘录（例如，通过“更多”标签）、减少给定页面上显示的博文的数量、将您的长博文拆分成多个页面或者使用插件延迟加载评论。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-css":{message:"很多 [WordPress 插件](https://wordpress.org/plugins/search/minify+css/)都可通过连接、削减和压缩您的样式来加快您网站的加载速度。另外，您最好使用编译流程预先执行此缩减操作（如果可能的话）。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unminified-javascript":{message:"很多 [WordPress 插件](https://wordpress.org/plugins/search/minify+javascript/)都可通过连接、削减和压缩您的脚本来加快您网站的加载速度。另外，您最好使用编译流程预先执行此缩减操作（如果可能的话）。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-css-rules":{message:"建议您减少或改变会在您网页中加载未使用的 CSS 的 [WordPress 插件](https://wordpress.org/plugins/)的数量。若想找出会添加无关 CSS 的插件，请尝试在 Chrome DevTools 中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。您可根据样式表网址找出导致问题的主题背景/插件。请留意在列表中包含多个以大量红色显示代码覆盖率的样式表的插件。插件应该只将网页中确实用到的样式表加入队列。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | unused-javascript":{message:"建议您减少或改变会在您网页中加载未使用的 JavaScript 的 [WordPress 插件](https://wordpress.org/plugins/)的数量。若想找出会添加无关 JS 的插件，请尝试在 Chrome DevTools 中运行[代码覆盖率](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage)测试。您可根据脚本网址找出导致问题的主题背景/插件。请留意在列表中包含多个以大量红色显示代码覆盖率的脚本的插件。插件应只将网页中确实用到的脚本加入队列。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-long-cache-ttl":{message:"了解 [WordPress 中的浏览器缓存](https://wordpress.org/support/article/optimization/#browser-caching)。"},
"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-optimized-images":{message:"建议您使用[图片优化 WordPress 插件](https://wordpress.org/plugins/search/optimize+images/)，以在不影响图片质量的前提下压缩图片大小。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-responsive-images":{message:"直接通过[媒体库](https://wordpress.org/support/article/media-library-screen/)上传图片，以确保能够按要求的尺寸提供图片，然后从媒体库插入图片，或使用图片微件来确保采用最佳的图片尺寸（包括适用于自适应断点的尺寸）。避免使用 `Full Size` 图片，除非有足够的可用空间。[了解详情](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/)。"},"node_modules/lighthouse-stack-packs/packs/wordpress.js | uses-text-compression":{message:"您可以在网络服务器配置中启用文本压缩。"},"report/renderer/util.js | calculatorLink":{message:"查看计算器。"},"report/renderer/util.js | crcInitialNavigation":{message:"初始导航"},"report/renderer/util.js | crcLongestDurationLabel":{message:"关键路径延迟时间上限："},"report/renderer/util.js | dropdownCopyJSON":{message:"复制 JSON"},"report/renderer/util.js | dropdownDarkTheme":{message:"开启/关闭深色主题"},
"report/renderer/util.js | dropdownPrintExpanded":{message:"展开打印对话框"},"report/renderer/util.js | dropdownPrintSummary":{message:"打印摘要"},"report/renderer/util.js | dropdownSaveGist":{message:"另存为 Gist"},"report/renderer/util.js | dropdownSaveHTML":{message:"另存为 HTML"},"report/renderer/util.js | dropdownSaveJSON":{message:"另存为 JSON"},"report/renderer/util.js | dropdownViewer":{message:"在查看器中打开"},"report/renderer/util.js | errorLabel":{message:"出错了！"},"report/renderer/util.js | errorMissingAuditInfo":{message:"报告错误：没有任何审核信息"},"report/renderer/util.js | footerIssue":{message:"提交问题"},"report/renderer/util.js | labDataTitle":{message:"实验室数据"},"report/renderer/util.js | lsPerformanceCategoryDescription":{message:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) 使用模拟的移动网络对当前页面进行的分析。这些值都是估算值，且可能会因时而异。"},"report/renderer/util.js | manualAuditsGroupTitle":{message:"待手动检查的其他项"},"report/renderer/util.js | notApplicableAuditsGroupTitle":{message:"不适用"},
"report/renderer/util.js | opportunityResourceColumnLabel":{message:"优化建议"},"report/renderer/util.js | opportunitySavingsColumnLabel":{message:"有望节省的总时间（估算值）"},"report/renderer/util.js | passedAuditsGroupTitle":{message:"已通过的审核"},"report/renderer/util.js | runtimeDesktopEmulation":{message:"模拟桌面设备"},"report/renderer/util.js | runtimeMobileEmulation":{message:"模拟 Moto G4"},"report/renderer/util.js | runtimeNoEmulation":{message:"无模拟"},"report/renderer/util.js | runtimeSettingsAxeVersion":{message:"Axe 版本"},"report/renderer/util.js | runtimeSettingsBenchmark":{message:"CPU/内存能力"},"report/renderer/util.js | runtimeSettingsCPUThrottling":{message:"CPU 节流"},"report/renderer/util.js | runtimeSettingsChannel":{message:"所用工具"},"report/renderer/util.js | runtimeSettingsDevice":{message:"设备"},"report/renderer/util.js | runtimeSettingsFetchTime":{message:"提取时间"},"report/renderer/util.js | runtimeSettingsNetworkThrottling":{message:"网络节流"},"report/renderer/util.js | runtimeSettingsTitle":{
message:"运行时设置"},"report/renderer/util.js | runtimeSettingsUA":{message:"用户代理（主机）"},"report/renderer/util.js | runtimeSettingsUANetwork":{message:"用户代理（网络）"},"report/renderer/util.js | runtimeSettingsUrl":{message:"网址"},"report/renderer/util.js | runtimeUnknown":{message:"不明"},"report/renderer/util.js | showRelevantAudits":{message:"显示与所选指标相关的评估结果："},"report/renderer/util.js | snippetCollapseButtonLabel":{message:"收起代码段"},"report/renderer/util.js | snippetExpandButtonLabel":{message:"展开代码段"},"report/renderer/util.js | thirdPartyResourcesLabel":{message:"显示第三方资源"},"report/renderer/util.js | throttlingProvided":{message:"由环境提供"},"report/renderer/util.js | toplevelWarningsMessage":{message:"此次 Lighthouse 运行并不顺利，原因如下："},"report/renderer/util.js | varianceDisclaimer":{message:"这些都是估算值，且可能会因时而异。系统会直接基于这些指标来[计算性能得分](https://web.dev/performance-scoring/)。"},"report/renderer/util.js | viewTreemapLabel":{message:"查看树状图"},"report/renderer/util.js | warningAuditsGroupTitle":{
message:"已顺利通过审核，但有警告消息"},"report/renderer/util.js | warningHeader":{message:"警告： "}}},{}],147:[function(e,s,t){"use strict";const i=e("./url-shim.js");s.exports={doExist:function doExist(e){return!(!e||!e.icons)&&0!==e.icons.value.length},pngSizedAtLeast:function pngSizedAtLeast(e,s){const t=s.icons.value,a=[];return t.filter((e=>{const s=e.value.type.value;if(s)return"image/png"===s;const t=e.value.src.value;return t&&new i(t).pathname.endsWith(".png")})).forEach((e=>{e.value.sizes.value&&a.push(...e.value.sizes.value)})),a.filter((e=>/\d+x\d+/.test(e))).filter((s=>{const t=s.split(/x/i),i=[parseFloat(t[0]),parseFloat(t[1])];return i[0]>=e&&i[1]>=e&&i[0]===i[1]}))},containsMaskableIcon:function containsMaskableIcon(e){return e.icons.value.some((e=>e.value.purpose&&e.value.purpose.value&&e.value.purpose.value.includes("maskable")))}}},{"./url-shim.js":"url"}],148:[function(e,s,t){"use strict";s.exports={
simulationNamesToIgnore:["unlabeled","optimisticSpeedIndex","optimisticFlexSpeedIndex","pessimisticSpeedIndex"],convertNodeTimingsToTrace:function convertNodeTimingsToTrace(e){const s=[],t=1e9,i={pid:1,tid:1,cat:"devtools.timeline"},a="A00001",toMicroseconds=e=>t+1e3*e;s.push(createFakeTracingStartedEvent()),s.push({...createFakeTracingStartedEvent(),name:"TracingStartedInBrowser"});let n=1,l=0;for(const[t,i]of e.entries())if(l=Math.max(l,i.endTime),"cpu"===t.type)s.push(...createFakeTaskEvents(t,i));else{if(/^data/.test(t.record.url))continue;s.push(...createFakeNetworkEvents(t.record,i))}return s.push(...createFakeTaskEvents({childEvents:[],event:{}},{startTime:l+1e3,endTime:l+1001})),{traceEvents:s};function createFakeTracingStartedEvent(){const e={frameTreeNodeId:1,sessionId:"1.1",page:a,persistentIds:!0,frames:[{frame:a,url:"about:blank",name:"",processId:1}]};return{...i,ts:9999e5,ph:"I",s:"t",cat:"disabled-by-default-devtools.timeline",name:"TracingStartedInPage",args:{data:e},
dur:0}}function createFakeTaskEvents(e,s){const t={url:"",frame:a,lineNumber:0,columnNumber:0},n=toMicroseconds(s.startTime),l=[{...i,ph:"X",name:"Task",ts:n,dur:1e3*(s.endTime-s.startTime),args:{data:t}}],u=e.event.ts||0,c=1e3*(s.endTime-s.startTime)/e.event.dur,d=new Set(["ResourceSendRequest","ResourceFinish","ResourceReceiveResponse","ResourceReceivedData"]);for(const s of e.childEvents){if(d.has(s.name))continue;const e=n+(s.ts-u)*c,t={...s,pid:i.pid,tid:i.tid,ts:e};s.dur&&(t.dur=s.dur*c),l.push(t)}return l}function createFakeNetworkEvents(e,s){n++;let{startTime:t,endTime:l}=s;t===l&&(l+=.3);const u={requestId:n.toString(),frame:a},c={...i,ph:"I",s:"t",dur:0},d={...u,requestMethod:e.requestMethod,url:e.url,priority:e.priority},m={...u,statusCode:e.statusCode,mimeType:e.mimeType,encodedDataLength:e.transferSize,fromCache:e.fromDiskCache,fromServiceWorker:e.fetchedViaServiceWorker},g={...u,decodedBodyLength:e.resourceSize,didFail:!!e.failed,finishTime:l},h=[{...c,
name:"ResourceSendRequest",ts:toMicroseconds(t),args:{data:d}},{...c,name:"ResourceFinish",ts:toMicroseconds(l),args:{data:g}}];return e.failed||h.push({...c,name:"ResourceReceiveResponse",ts:toMicroseconds((t+l)/2),args:{data:m}}),h}}}},{}],149:[function(e,s,t){s.exports={moment:{repository:"https://github.com/moment/moment.git",lastScraped:1597344573775,versions:{latest:{gzip:72054},"2.25.3":{gzip:71090},"2.25.2":{gzip:71119},"2.25.1":{gzip:20811},"2.25.0":{gzip:20876},"2.24.0":{gzip:67489},"2.23.0":{gzip:66675},"2.22.2":{gzip:65962},"2.22.1":{gzip:65949}}},"date-fns":{repository:"https://github.com/date-fns/date-fns.git",lastScraped:1597344603463,versions:{latest:{gzip:18463}}},luxon:{repository:"https://github.com/moment/luxon.git",lastScraped:1597344608583,versions:{latest:{gzip:20912}}},dayjs:{repository:"https://github.com/iamkun/dayjs.git",lastScraped:1597344613371,versions:{latest:{gzip:2856}}}}},{}],150:[function(e,s,t){"use strict";s.exports={suggestions:{
moment:["date-fns","luxon","dayjs"]}}},{}],151:[function(e,s,t){(function(e){(function(){"use strict";s.exports={isUnderTest:!!e.env.CI||"test"===e.env.NODE_ENV}}).call(this)}).call(this,e("_process"))},{_process:272}],152:[function(e,s,t){(function(t){(function(){"use strict";const i={didntCollectScreenshots:"Chrome didn't collect any screenshots during the page load. Please make sure there is content visible on the page, and then try re-running Lighthouse. ({errorCode})",badTraceRecording:"Something went wrong with recording the trace over your page load. Please run Lighthouse again. ({errorCode})",noFcp:"The page did not paint any content. Please ensure you keep the browser window in the foreground during the load and try again. ({errorCode})",pageLoadTookTooLong:"Your page took too long to load. Please follow the opportunities in the report to reduce your page load time, and then try re-running Lighthouse. ({errorCode})",
pageLoadFailed:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests.",pageLoadFailedWithStatusCode:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Status code: {statusCode})",pageLoadFailedWithDetails:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Details: {errorDetails})",pageLoadFailedInsecure:"The URL you have provided does not have a valid security certificate. {securityMessages}",pageLoadFailedInterstitial:"Chrome prevented page load with an interstitial. Make sure you are testing the correct URL and that the server is properly responding to all requests.",
internalChromeError:"An internal Chrome error occurred. Please restart Chrome and try re-running Lighthouse.",requestContentTimeout:"Fetching resource content has exceeded the allotted time",notHtml:"The page provided is not HTML (served as MIME type {mimeType}).",urlInvalid:"The URL you have provided appears to be invalid.",protocolTimeout:"Waiting for DevTools protocol response has exceeded the allotted time. (Method: {protocolMethod})",dnsFailure:"DNS servers could not resolve the provided domain.",pageLoadFailedHung:"Lighthouse was unable to reliably load the URL you requested because the page stopped responding.",criTimeout:"Timeout waiting for initial Debugger Protocol connection.",missingRequiredArtifact:"Required {artifactName} gatherer did not run.",erroredRequiredArtifact:"Required {artifactName} gatherer encountered an error: {errorMessage}",oldChromeDoesNotSupportFeature:"This version of Chrome is too old to support '{featureName}'. Use a newer version to see full results."
},a=e("./i18n/i18n.js").createMessageInstanceIdFn(t,i),n="__LighthouseErrorSentinel",l="__ErrorSentinel";class LighthouseError extends Error{constructor(e,s){super(e.code),this.name="LHError",this.code=e.code,this.friendlyMessage=a(e.message,{errorCode:this.code,...s}),this.lhrRuntimeError=!!e.lhrRuntimeError,s&&Object.assign(this,s),Error.captureStackTrace(this,LighthouseError)}static fromProtocolMessage(e,s){const t=Object.values(LighthouseError.errors).filter((e=>e.pattern)).find((e=>e.pattern&&e.pattern.test(s.message)));if(t)return new LighthouseError(t);let i=`(${e}): ${s.message}`;s.data&&(i+=` (${s.data})`);const a=new Error("Protocol error "+i);return Object.assign(a,{protocolMethod:e,protocolError:s.message})}static stringifyReplacer(e){if(e instanceof LighthouseError){const{name:s,code:t,message:i,friendlyMessage:a,lhrRuntimeError:l,stack:u,...c}=e;return{sentinel:n,code:t,stack:u,...c}}if(e instanceof Error){const{message:s,stack:t}=e,i=e.code;return{sentinel:l,message:s,
code:i,stack:t}}throw new Error("Invalid value for LHError stringification")}static parseReviver(e,s){if("object"==typeof s&&null!==s){if(s.sentinel===n){const{sentinel:e,code:t,stack:i,...a}=s,n=LighthouseError.errors[t],l=new LighthouseError(n,a);return l.stack=i,l}if(s.sentinel===l){const{message:e,code:t,stack:i}=s,a=new Error(e);return Object.assign(a,{code:t,stack:i}),a}}return s}}const u={NO_SPEEDLINE_FRAMES:{code:"NO_SPEEDLINE_FRAMES",message:i.didntCollectScreenshots,lhrRuntimeError:!0},SPEEDINDEX_OF_ZERO:{code:"SPEEDINDEX_OF_ZERO",message:i.didntCollectScreenshots,lhrRuntimeError:!0},NO_SCREENSHOTS:{code:"NO_SCREENSHOTS",message:i.didntCollectScreenshots,lhrRuntimeError:!0},INVALID_SPEEDLINE:{code:"INVALID_SPEEDLINE",message:i.didntCollectScreenshots,lhrRuntimeError:!0},NO_TRACING_STARTED:{code:"NO_TRACING_STARTED",message:i.badTraceRecording,lhrRuntimeError:!0},NO_RESOURCE_REQUEST:{code:"NO_RESOURCE_REQUEST",message:i.badTraceRecording,lhrRuntimeError:!0},NO_NAVSTART:{
code:"NO_NAVSTART",message:i.badTraceRecording,lhrRuntimeError:!0},NO_FCP:{code:"NO_FCP",message:i.noFcp,lhrRuntimeError:!0},NO_DCL:{code:"NO_DCL",message:i.badTraceRecording,lhrRuntimeError:!0},NO_FMP:{code:"NO_FMP",message:i.badTraceRecording},NO_LCP:{code:"NO_LCP",message:i.badTraceRecording},NO_LCP_ALL_FRAMES:{code:"NO_LCP_ALL_FRAMES",message:i.badTraceRecording},UNSUPPORTED_OLD_CHROME:{code:"UNSUPPORTED_OLD_CHROME",message:i.oldChromeDoesNotSupportFeature},NO_TTI_CPU_IDLE_PERIOD:{code:"NO_TTI_CPU_IDLE_PERIOD",message:i.pageLoadTookTooLong},NO_TTI_NETWORK_IDLE_PERIOD:{code:"NO_TTI_NETWORK_IDLE_PERIOD",message:i.pageLoadTookTooLong},NO_DOCUMENT_REQUEST:{code:"NO_DOCUMENT_REQUEST",message:i.pageLoadFailed,lhrRuntimeError:!0},FAILED_DOCUMENT_REQUEST:{code:"FAILED_DOCUMENT_REQUEST",message:i.pageLoadFailedWithDetails,lhrRuntimeError:!0},ERRORED_DOCUMENT_REQUEST:{code:"ERRORED_DOCUMENT_REQUEST",message:i.pageLoadFailedWithStatusCode,lhrRuntimeError:!0},INSECURE_DOCUMENT_REQUEST:{
code:"INSECURE_DOCUMENT_REQUEST",message:i.pageLoadFailedInsecure,lhrRuntimeError:!0},CHROME_INTERSTITIAL_ERROR:{code:"CHROME_INTERSTITIAL_ERROR",message:i.pageLoadFailedInterstitial,lhrRuntimeError:!0},PAGE_HUNG:{code:"PAGE_HUNG",message:i.pageLoadFailedHung,lhrRuntimeError:!0},NOT_HTML:{code:"NOT_HTML",message:i.notHtml,lhrRuntimeError:!0},TRACING_ALREADY_STARTED:{code:"TRACING_ALREADY_STARTED",message:i.internalChromeError,pattern:/Tracing.*started/,lhrRuntimeError:!0},PARSING_PROBLEM:{code:"PARSING_PROBLEM",message:i.internalChromeError,pattern:/Parsing problem/,lhrRuntimeError:!0},READ_FAILED:{code:"READ_FAILED",message:i.internalChromeError,pattern:/Read failed/,lhrRuntimeError:!0},INVALID_URL:{code:"INVALID_URL",message:i.urlInvalid},PROTOCOL_TIMEOUT:{code:"PROTOCOL_TIMEOUT",message:i.protocolTimeout,lhrRuntimeError:!0},DNS_FAILURE:{code:"DNS_FAILURE",message:i.dnsFailure,lhrRuntimeError:!0},CRI_TIMEOUT:{code:"CRI_TIMEOUT",message:i.criTimeout,lhrRuntimeError:!0},
MISSING_REQUIRED_ARTIFACT:{code:"MISSING_REQUIRED_ARTIFACT",message:i.missingRequiredArtifact},ERRORED_REQUIRED_ARTIFACT:{code:"ERRORED_REQUIRED_ARTIFACT",message:i.erroredRequiredArtifact}};LighthouseError.errors=u,LighthouseError.NO_ERROR="NO_ERROR",LighthouseError.UNKNOWN_ERROR="UNKNOWN_ERROR",s.exports=LighthouseError,s.exports.UIStrings=i}).call(this)}).call(this,"/lighthouse-core/lib/lh-error.js")},{"./i18n/i18n.js":97}],153:[function(e,s,t){"use strict";const i=e("../lib/lh-error.js"),a=e("../lib/tracehouse/trace-processor.js");s.exports=class LHTraceProcessor extends a{static createNoNavstartError(){return new i(i.errors.NO_NAVSTART)}static createNoResourceSendRequestError(){return new i(i.errors.NO_RESOURCE_REQUEST)}static createNoTracingStartedError(){return new i(i.errors.NO_TRACING_STARTED)}static createNoFirstContentfulPaintError(){return new i(i.errors.NO_FCP)}}},{"../lib/lh-error.js":152,"../lib/tracehouse/trace-processor.js":169}],154:[function(e,s,t){"use strict"
;const i=e("./url-shim.js"),a=e("cssstyle/lib/parsers"),n=["fullscreen","standalone","minimal-ui","browser"],l="browser",u=["any","natural","landscape","portrait","portrait-primary","portrait-secondary","landscape-primary","landscape-secondary"];function parseString(e,s){let t,i;return"string"==typeof e?t=s?e.trim():e:(void 0!==e&&(i="ERROR: expected a string."),t=void 0),{raw:e,value:t,warning:i}}function parseColor(e){const s=parseString(e);return void 0===s.value||function isValidColor(e){return a.valueType(e)===a.TYPES.COLOR}(s.raw)||(s.value=void 0,s.warning="ERROR: color parsing failed."),s}function parseName(e){return parseString(e.name,!0)}function parseShortName(e){return parseString(e.short_name,!0)}function parseStartUrl(e,s,t){const a=e.start_url;if(""===a)return{raw:a,value:t,warning:"ERROR: start_url string empty"};if(void 0===a)return{raw:a,value:t};if("string"!=typeof a)return{raw:a,value:t,warning:"ERROR: expected a string."};let n;try{n=new i(a,s).href}catch(e){
return{raw:a,value:t,warning:"ERROR: invalid start_url relative to "+s}}return function checkSameOrigin(e,s){const t=new i(e),a=new i(s);return t.origin===a.origin}(n,t)?{raw:a,value:n}:{raw:a,value:t,warning:"ERROR: start_url must be same-origin as document"}}function parseDisplay(e){const s=parseString(e.display,!0),t=s.value;if(!t)return{raw:e,value:l,warning:s.warning};const i=t.toLowerCase();return n.includes(i)?{raw:e,value:i,warning:void 0}:{raw:e,value:l,warning:"ERROR: 'display' has invalid value "+i+". will fall back to browser."}}function parseOrientation(e){const s=parseString(e.orientation,!0);return s.value&&!u.includes(s.value.toLowerCase())&&(s.value=void 0,s.warning="ERROR: 'orientation' has an invalid value, will be ignored."),s}function parseIcons(e,s){const t=e.icons;if(void 0===t)return{raw:t,value:[],warning:void 0};if(!Array.isArray(t))return{raw:t,value:[],warning:"ERROR: 'icons' expected to be an array but is not."}
;const a=t.filter((e=>void 0!==e.src)).map((e=>function parseIcon(e,s){const t=parseString(e.src,!0);if(""===t.value&&(t.value=void 0),t.value)try{t.value=new i(t.value,s).href}catch(s){t.warning=`ERROR: invalid icon url will be ignored: '${e.src}'`,t.value=void 0}const a=parseString(e.type,!0),n=parseString(e.purpose),l={raw:e.purpose,value:["any"],warning:void 0};void 0!==n.value&&(l.value=n.value.split(/\s+/).map((e=>e.toLowerCase())));const u={raw:e.density,value:1,warning:void 0};let c;void 0!==u.raw&&(u.value=parseFloat(u.raw),(isNaN(u.value)||!isFinite(u.value)||u.value<=0)&&(u.value=1,u.warning="ERROR: icon density cannot be NaN, +∞, or less than or equal to +0."));const d=parseString(e.sizes);if(void 0!==d.value){const s=new Set;d.value.trim().split(/\s+/).forEach((e=>s.add(e.toLowerCase()))),c={raw:e.sizes,value:s.size>0?Array.from(s):void 0,warning:void 0}}else c={...d,value:void 0};return{raw:e,value:{src:t,type:a,density:u,sizes:c,purpose:l},warning:void 0}
}(e,s))),n=a.filter((e=>{const s=[e.warning,e.value.type.warning,e.value.src.warning,e.value.sizes.warning,e.value.density.warning].filter(Boolean),t=!!e.value.src.value;return!!s.length&&!t}));return{raw:t,value:a.filter((e=>void 0!==e.value.src.value)),warning:n.length?"WARNING: Some icons were ignored due to warnings.":void 0}}function parseApplication(e){const s=parseString(e.platform,!0),t=parseString(e.id,!0),a=parseString(e.url,!0);if(a.value)try{a.value=new i(a.value).href}catch(s){a.value=void 0,a.warning="ERROR: invalid application URL "+e.url}return{raw:e,value:{platform:s,id:t,url:a},warning:void 0}}function parseRelatedApplications(e){const s=e.related_applications;if(void 0===s)return{raw:s,value:void 0,warning:void 0};if(!Array.isArray(s))return{raw:s,value:void 0,warning:"ERROR: 'related_applications' expected to be an array but is not."};const t=s.filter((e=>!!e.platform)).map(parseApplication).filter((e=>!!e.value.id.value||!!e.value.url.value));return{raw:s,value:t,
warning:void 0}}function parsePreferRelatedApplications(e){const s=e.prefer_related_applications;let t,i;return"boolean"==typeof s?t=s:(void 0!==s&&(i="ERROR: 'prefer_related_applications' expected to be a boolean."),t=void 0),{raw:s,value:t,warning:i}}function parseThemeColor(e){return parseColor(e.theme_color)}function parseBackgroundColor(e){return parseColor(e.background_color)}s.exports=function parse(e,s,t){if(void 0===s||void 0===t)throw new Error("Manifest and document URLs required for manifest parsing.");let a;try{a=JSON.parse(e)}catch(t){return{raw:e,value:void 0,warning:"ERROR: file isn't valid JSON: "+t,url:s}}const n={name:parseName(a),short_name:parseShortName(a),start_url:parseStartUrl(a,s,t),display:parseDisplay(a),orientation:parseOrientation(a),icons:parseIcons(a,s),related_applications:parseRelatedApplications(a),prefer_related_applications:parsePreferRelatedApplications(a),theme_color:parseThemeColor(a),background_color:parseBackgroundColor(a)};let l;try{
new i(s).protocol.startsWith("http")||(l="WARNING: manifest URL not available over a valid network protocol")}catch(e){l=`ERROR: invalid manifest URL: '${s}'`}return{raw:e,value:n,warning:l,url:s}}},{"./url-shim.js":"url","cssstyle/lib/parsers":209}],155:[function(e,s,t){"use strict";const i=/(return|case|{|\(|\[|\.\.\.|;|,|<|>|<=|>=|==|!=|===|!==|\+|-|\*|%|\*\*|\+\+|--|<<|>>|>>>|&|\||\^|!|~|&&|\|\||\?|:|=|\+=|-=|\*=|%=|\*\*=|<<=|>>=|>>>=|&=|\|=|\^=|=>|\/|\/=|\})$/,a=/( |\n|\t)+$/;function hasPunctuatorBefore(e,s){for(let t=s;t>0;t--){const s=Math.max(0,t-6),n=e.slice(s,t);if(!a.test(n))return i.test(n)}return!0}function computeTokenLength(e,s){let t=0,i=!1,a=!1,n=!1,l=!1,u=!1,c=!1,d=null;const m=[];for(let g=0;g<e.length;g++){const h=e.substr(g,2),p=h.charAt(0),b=" "===p||"\n"===p||"\t"===p,f="'"===p||'"'===p||"`"===p;i?"\n"===p&&(i=!1):a?(n&&t++,"*/"===h&&(n&&t++,a=!1,g++)):l?(t++,"`"===d&&"${"===h?(m.push("templateBrace"),l=!1,t++,g++):"\\"===p?(t++,g++):p===d&&(l=!1)):u?(t++,
"\\"===p?(t++,g++):"["===p?c=!0:"]"===p&&c?c=!1:"/"!==p||c||(u=!1)):"/*"===h?(a=!0,n="!"===e.charAt(g+2),n&&(t+=2),g++):"//"===h&&s.singlelineComments?(i=!0,a=!1,n=!1,g++):"/"===p&&s.regex&&hasPunctuatorBefore(e,g)?(u=!0,t++):"{"===p&&m.length?(m.push("normalBrace"),t++):"}"===p&&m.length?("templateBrace"===m[m.length-1]&&(l=!0,d="`"),m.pop(),t++):f?(l=!0,d=p,t++):b||t++}return a||l?e.length:t}s.exports={computeJSTokenLength:function computeJSTokenLength(e){return computeTokenLength(e,{singlelineComments:!0,regex:!0})},computeCSSTokenLength:function computeCSSTokenLength(e){return computeTokenLength(e,{singlelineComments:!1,regex:!1})}}},{}],156:[function(e,s,t){"use strict";const i=e("./lh-error.js"),a=e("./dependency-graph/simulator/network-analyzer.js");function getNetworkError(e){if(!e)return new i(i.errors.NO_DOCUMENT_REQUEST);if(e.failed){const s=e.localizedFailDescription
;return"net::ERR_NAME_NOT_RESOLVED"===s||"net::ERR_NAME_RESOLUTION_FAILED"===s||s.startsWith("net::ERR_DNS_")?new i(i.errors.DNS_FAILURE):new i(i.errors.FAILED_DOCUMENT_REQUEST,{errorDetails:s})}return e.hasErrorStatusCode()?new i(i.errors.ERRORED_DOCUMENT_REQUEST,{statusCode:""+e.statusCode}):void 0}function getInterstitialError(e,s){if(!e)return;return s.find((e=>e.documentURL.startsWith("chrome-error://")))&&e.failed?e.localizedFailDescription.startsWith("net::ERR_CERT")?new i(i.errors.INSECURE_DOCUMENT_REQUEST,{securityMessages:e.localizedFailDescription}):new i(i.errors.CHROME_INTERSTITIAL_ERROR):void 0}function getNonHtmlError(e){if(e)return"text/html"!==e.mimeType?new i(i.errors.NOT_HTML,{mimeType:e.mimeType}):void 0}s.exports={getNetworkError,getInterstitialError,getPageLoadError:function getPageLoadError(e,s){const{url:t,loadFailureMode:i,networkRecords:n}=s;let l,u;try{l=a.findMainDocument(n,t)}catch(e){}l&&(u=a.resolveRedirects(l))
;const c=getNetworkError(l),d=getInterstitialError(l,n),m=getNonHtmlError(u);if("ignore"!==i)return d||(c||(m||e))},getNonHtmlError}},{"./dependency-graph/simulator/network-analyzer.js":92,"./lh-error.js":152}],157:[function(e,s,t){"use strict";const i=e("./network-request.js"),a=e("events").EventEmitter;class NetworkRecorder extends a{constructor(){super(),this._records=[],this._recordsById=new Map,this._mainSessionId=null}getRawRecords(){return Array.from(this._records)}on(e,s){return super.on(e,s)}once(e,s){return super.once(e,s)}onRequestStarted(e){this._records.push(e),this._recordsById.set(e.requestId,e),this.emit("requeststarted",e)}onRequestFinished(e){this.emit("requestloaded",e)}onRequestWillBeSent(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId);if(!t){const t=new i;return t.onRequestWillBeSent(s),t.sessionId=e.sessionId,void this.onRequestStarted(t)}if(!s.redirectResponse)return;const a={...s,initiator:t.initiator,
requestId:t.requestId+":redirect"},n=new i;n.onRequestWillBeSent(a),t.onRedirectResponse(s),t.redirectDestination=n,n.redirectSource=t,this.onRequestStarted(n),this.onRequestFinished(t)}onRequestServedFromCache(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId);t&&t.onRequestServedFromCache()}onResponseReceived(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId);t&&t.onResponseReceived(s)}onDataReceived(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId);t&&t.onDataReceived(s)}onLoadingFinished(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId);t&&(t.onLoadingFinished(s),this.onRequestFinished(t))}onLoadingFailed(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId);t&&(t.onLoadingFailed(s),this.onRequestFinished(t))}onResourceChangedPriority(e){const s=e.params,t=this._findRealRequestAndSetSession(s.requestId,e.sessionId)
;t&&t.onResourceChangedPriority(s)}dispatch(e){switch(e.method){case"Network.requestWillBeSent":return this.onRequestWillBeSent(e);case"Network.requestServedFromCache":return this.onRequestServedFromCache(e);case"Network.responseReceived":return this.onResponseReceived(e);case"Network.dataReceived":return this.onDataReceived(e);case"Network.loadingFinished":return this.onLoadingFinished(e);case"Network.loadingFailed":return this.onLoadingFailed(e);case"Network.resourceChangedPriority":return this.onResourceChangedPriority(e);default:return}}_findRealRequestAndSetSession(e,s){null===this._mainSessionId&&(this._mainSessionId=s),this._mainSessionId===s&&(s=void 0);let t=this._recordsById.get(e);if(t&&t.isValid){for(;t.redirectDestination;)t=t.redirectDestination;return t.setSession(s),t}}static _chooseInitiatorRequest(e,s){if(e.redirectSource)return e.redirectSource;const t=e.initiator.stack&&e.initiator.stack.callFrames||[],a=e.initiator.url||t[0]&&t[0].url;let n=s.get(a)||[]
;if(n=n.filter((s=>s.responseReceivedTime<=e.startTime)),n.length>1){const e=n.filter((e=>e.resourceType!==i.TYPES.Other));e.length&&(n=e)}if(n.length>1){const s=n.filter((s=>s.frameId===e.frameId));s.length&&(n=s)}if(n.length>1&&"parser"===e.initiator.type){const e=n.filter((e=>e.resourceType===i.TYPES.Document));e.length&&(n=e)}return 1===n.length?n[0]:null}static recordsFromLogs(e){const s=new NetworkRecorder;e.forEach((e=>s.dispatch(e)));const t=s.getRawRecords().filter((e=>e.isValid)),i=new Map;for(const e of t){const s=i.get(e.url)||[];s.push(e),i.set(e.url,s)}for(const e of t){const s=NetworkRecorder._chooseInitiatorRequest(e,i);s&&e.setInitiatorRequest(s);let t=e;for(;t.redirectDestination;)t=t.redirectDestination;if(t===e||t.redirects)continue;const a=[];for(let e=t.redirectSource;e;e=e.redirectSource)a.unshift(e);t.redirects=a}return t}}s.exports=NetworkRecorder},{"./network-request.js":158,events:211}],158:[function(e,s,t){(function(t){(function(){"use strict"
;const i=e("./url-shim.js"),a="X-TCPMs",n="X-SSLMs",l="X-RequestMs",u="X-ResponseMs",c="X-TotalMs",d="X-TotalFetchedSize",m="X-ProtocolIsH2",g={XHR:"XHR",Fetch:"Fetch",EventSource:"EventSource",Script:"Script",Stylesheet:"Stylesheet",Image:"Image",Media:"Media",Font:"Font",Document:"Document",TextTrack:"TextTrack",WebSocket:"WebSocket",Other:"Other",Manifest:"Manifest",SignedExchange:"SignedExchange",Ping:"Ping",Preflight:"Preflight",CSPViolationReport:"CSPViolationReport"};class NetworkRequest{constructor(){this.requestId="",this.connectionId="0",this.connectionReused=!1,this.url="",this.protocol="",this.isSecure=!1,this.isValid=!1,this.parsedURL={scheme:""},this.documentURL="",this.startTime=-1,this.endTime=-1,this.responseReceivedTime=-1,this.transferSize=0,this.resourceSize=0,this.fromDiskCache=!1,this.fromMemoryCache=!1,this.fromPrefetchCache=!1,this.lrStatistics=void 0,this.finished=!1,this.requestMethod="",this.statusCode=-1,this.redirectSource=void 0,
this.redirectDestination=void 0,this.redirects=void 0,this.failed=!1,this.localizedFailDescription="",this.initiator={type:"other"},this.timing=void 0,this.resourceType=void 0,this.mimeType="",this.priority="Low",this.initiatorRequest=void 0,this.responseHeaders=[],this.responseHeadersText="",this.fetchedViaServiceWorker=!1,this.frameId="",this.sessionId=void 0,this.isLinkPreload=!1}hasErrorStatusCode(){return this.statusCode>=400}setInitiatorRequest(e){this.initiatorRequest=e}onRequestWillBeSent(e){let s;this.requestId=e.requestId;try{s=new i(e.request.url)}catch(e){return}this.url=e.request.url,this.documentURL=e.documentURL,this.parsedURL={scheme:s.protocol.split(":")[0],host:s.hostname,securityOrigin:s.origin},this.isSecure=i.isSecureScheme(this.parsedURL.scheme),this.startTime=e.timestamp,this.requestMethod=e.request.method,this.initiator=e.initiator,this.resourceType=e.type&&g[e.type],this.priority=e.request.initialPriority,this.frameId=e.frameId,
this.isLinkPreload="preload"===e.initiator.type||!!e.request.isLinkPreload,this.isValid=!0}onRequestServedFromCache(){this.fromMemoryCache=!0}onResponseReceived(e){this._onResponse(e.response,e.timestamp,e.type),this._updateProtocolForLightrider(),this.frameId=e.frameId}onDataReceived(e){this.resourceSize+=e.dataLength,-1!==e.encodedDataLength&&(this.transferSize+=e.encodedDataLength)}onLoadingFinished(e){this.finished||(this.finished=!0,this.endTime=e.timestamp,e.encodedDataLength>=0&&(this.transferSize=e.encodedDataLength),this._updateResponseReceivedTimeIfNecessary(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onLoadingFailed(e){this.finished||(this.finished=!0,this.endTime=e.timestamp,this.failed=!0,this.resourceType=e.type&&g[e.type],this.localizedFailDescription=e.errorText,this._updateResponseReceivedTimeIfNecessary(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onResourceChangedPriority(e){
this.priority=e.newPriority}onRedirectResponse(e){if(!e.redirectResponse)throw new Error("Missing redirectResponse data");this._onResponse(e.redirectResponse,e.timestamp,e.type),this.resourceType=void 0,this.finished=!0,this.endTime=e.timestamp,this._updateResponseReceivedTimeIfNecessary()}setSession(e){this.sessionId=e}_onResponse(e,s,t){this.url=e.url,this.connectionId=String(e.connectionId),this.connectionReused=e.connectionReused,e.protocol&&(this.protocol=e.protocol),this.responseReceivedTime=s,this.transferSize=e.encodedDataLength,"boolean"==typeof e.fromDiskCache&&(this.fromDiskCache=e.fromDiskCache),"boolean"==typeof e.fromPrefetchCache&&(this.fromPrefetchCache=e.fromPrefetchCache),this.statusCode=e.status,this.timing=e.timing,t&&(this.resourceType=g[t]),this.mimeType=e.mimeType,this.responseHeadersText=e.headersText||"",this.responseHeaders=NetworkRequest._headersDictToHeadersArray(e.headers),this.fetchedViaServiceWorker=!!e.fromServiceWorker,
this.fromMemoryCache&&(this.timing=void 0),this.timing&&this._recomputeTimesWithResourceTiming(this.timing)}_recomputeTimesWithResourceTiming(e){if(0===e.requestTime||-1===e.receiveHeadersEnd)return;this.startTime=e.requestTime;const s=e.requestTime+e.receiveHeadersEnd/1e3;(!this.responseReceivedTime||this.responseReceivedTime<0)&&(this.responseReceivedTime=s),this.responseReceivedTime=Math.min(this.responseReceivedTime,s),this.responseReceivedTime=Math.max(this.responseReceivedTime,this.startTime),this.endTime=Math.max(this.endTime,this.responseReceivedTime)}_updateResponseReceivedTimeIfNecessary(){this.responseReceivedTime=Math.min(this.endTime,this.responseReceivedTime)}_updateTransferSizeForLightrider(){if(!t.isLightrider)return;const e=this.responseHeaders.find((e=>e.name===d));if(!e)return;const s=parseFloat(e.value);isNaN(s)||(this.transferSize=s)}_updateProtocolForLightrider(){t.isLightrider&&this.responseHeaders.some((e=>e.name===m))&&(this.protocol="h2")}
_updateTimingsForLightrider(){if(!t.isLightrider)return;const e=this.responseHeaders.find((e=>e.name===c));if(!e)return;const s=parseInt(e.value),i=this.responseHeaders.find((e=>e.name===a)),d=this.responseHeaders.find((e=>e.name===n)),m=this.responseHeaders.find((e=>e.name===l)),g=this.responseHeaders.find((e=>e.name===u)),h=i?Math.max(0,parseInt(i.value)):0,p=d?Math.max(0,parseInt(d.value)):0,b=m?Math.max(0,parseInt(m.value)):0,f=g?Math.max(0,parseInt(g.value)):0;h+b+f===s&&(p>h||(this.lrStatistics={endTimeDeltaMs:1e3*(this.endTime-(this.startTime+s/1e3)),TCPMs:h,requestMs:b,responseMs:f}))}static getRequestIdForBackend(e){return e.replace(/(:redirect)+$/,"")}static _headersDictToHeadersArray(e){const s=[];for(const t of Object.keys(e)){const i=e[t].split("\n");for(let e=0;e<i.length;++e)s.push({name:t,value:i[e]})}return s}static get TYPES(){return g}static isNonNetworkRequest(e){return i.isNonNetworkProtocol(e.protocol)}static isSecureRequest(e){
return i.isSecureScheme(e.parsedURL.scheme)||i.isSecureScheme(e.protocol)||i.isLikeLocalhost(e.parsedURL.host)||NetworkRequest.isHstsRequest(e)}static isHstsRequest(e){const s=e.redirectDestination;if(!s)return!1;const t=e.responseHeaders.find((e=>"Non-Authoritative-Reason"===e.name));return"HSTS"===(t&&t.value)&&NetworkRequest.isSecureRequest(s)}}NetworkRequest.HEADER_TCP=a,NetworkRequest.HEADER_SSL=n,NetworkRequest.HEADER_REQ=l,NetworkRequest.HEADER_RES=u,NetworkRequest.HEADER_TOTAL=c,NetworkRequest.HEADER_FETCHED_SIZE=d,NetworkRequest.HEADER_PROTOCOL_IS_H2=m,s.exports=NetworkRequest}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"./url-shim.js":"url"}],159:[function(e,s,t){"use strict";function wrapRuntimeEvalErrorInBrowser(e){return e&&"string"!=typeof e||(e=new Error(e)),{__failedInBrowser:!0,name:e.name||"Error",message:e.message||"unknown error",stack:e.stack}}function getElementsInDocument(e){
const s=window.__ElementMatches||window.Element.prototype.matches,t=[],_findAllElements=i=>{for(let a,n=0;a=i[n];++n){if(!e||s.call(a,e)){const e=a;t.push(e)}a.shadowRoot&&_findAllElements(a.shadowRoot.querySelectorAll("*"))}};return _findAllElements(document.querySelectorAll("*")),t}function getOuterHTMLSnippet(e,s=[],t=500){const i=["autofill-information","autofill-prediction","title"];e instanceof ShadowRoot&&(e=e.host);try{const a=e.cloneNode();e.ownerDocument.createElement("template").content.append(a),s.concat(i).forEach((e=>{a.removeAttribute(e)}));let n=0;for(const s of a.getAttributeNames()){if(n>t){a.removeAttribute(s);continue}let i=a.getAttribute(s);if(null===i)continue;let l=!1;if("src"===s&&"currentSrc"in e){const s=e,t=s.currentSrc,a=s.ownerDocument.location.href;new URL(i,a).toString()!==t&&(i=t,l=!0)}i.length>75&&(i=i.slice(0,74)+"…",l=!0),l&&a.setAttribute(s,i),n+=s.length+i.length}const l=/^[\s\S]*?>/,[u]=a.outerHTML.match(l)||[]
;return u&&n>t?u.slice(0,u.length-1)+" …>":u||""}catch(s){return`<${e.localName}>`}}function computeBenchmarkIndex(){return(function benchmarkIndexGC(){const e=Date.now();let s=0;for(;Date.now()-e<500;){let e="";for(let s=0;s<1e4;s++)e+="a";s++}const t=(Date.now()-e)/1e3;return Math.round(s/10/t)}()+function benchmarkIndexNoGC(){const e=[],s=[];for(let t=0;t<1e5;t++)e[t]=s[t]=t;const t=Date.now();let i=0;for(;i%10!=0||Date.now()-t<500;){const t=i%2==0?e:s,a=i%2==0?s:e;for(let e=0;e<t.length;e++)a[e]=t[e];i++}const a=(Date.now()-t)/1e3;return Math.round(i/10/a)}())/2}function getNodePath(e){const isShadowRoot=e=>e.nodeType===Node.DOCUMENT_FRAGMENT_NODE,getNodeParent=e=>isShadowRoot(e)?e.host:e.parentNode;function getNodeIndex(e){if(isShadowRoot(e))return"a";let s,t=0;for(;s=e.previousSibling;)(e=s).nodeType===Node.TEXT_NODE&&0===(e.nodeValue||"").trim().length||t++;return t}let s=e;const t=[];for(;s&&getNodeParent(s);){const e=getNodeIndex(s);t.push([e,s.nodeName]),s=getNodeParent(s)}
return t.reverse(),t.join(",")}function getNodeSelector(e){function getSelectorPart(e){let s=e.tagName.toLowerCase();return e.id?s+="#"+e.id:e.classList.length>0&&(s+="."+e.classList[0]),s}const s=[];for(;s.length<4&&(s.unshift(getSelectorPart(e)),e.parentElement)&&"HTML"!==(e=e.parentElement).tagName;);return s.join(" > ")}function getNodeLabel(e){const s=e.tagName.toLowerCase();if("html"!==s&&"body"!==s){const s=e instanceof HTMLElement&&e.innerText||e.getAttribute("alt")||e.getAttribute("aria-label");if(s)return function truncate(e,s){return e.length<=s?e:Array.from(e).slice(0,s-1).join("")+"…"}(s,80);{const s=e.querySelector("[alt], [aria-label]");if(s)return getNodeLabel(s)}}return null}function getBoundingClientRect(e){const s=e.getBoundingClientRect();return{top:Math.round(s.top),bottom:Math.round(s.bottom),left:Math.round(s.left),right:Math.round(s.right),width:Math.round(s.width),height:Math.round(s.height)}}function getNodeDetails(e){
window.__lighthouseNodesDontTouchOrAllVarianceGoesAway||(window.__lighthouseNodesDontTouchOrAllVarianceGoesAway=new Map);const s=getNodeSelector(e=e instanceof ShadowRoot?e.host:e);let t=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.get(e);t||(t=[void 0!==window.__lighthouseExecutionContextId?window.__lighthouseExecutionContextId:"page",window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.size,e.tagName].join("-"),window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.set(e,t));return{lhId:t,devtoolsNodePath:getNodePath(e),selector:s,boundingRect:getBoundingClientRect(e),snippet:getOuterHTMLSnippet(e),nodeLabel:getNodeLabel(e)||s}}const i=`function getNodeDetails(element) {\n  ${getNodePath.toString()};\n  ${getNodeSelector.toString()};\n  ${getBoundingClientRect.toString()};\n  ${getOuterHTMLSnippet.toString()};\n  ${getNodeLabel.toString()};\n  return (${getNodeDetails.toString()})(element);\n}`;s.exports={
wrapRuntimeEvalErrorInBrowserString:wrapRuntimeEvalErrorInBrowser.toString(),wrapRuntimeEvalErrorInBrowser,getElementsInDocument,getElementsInDocumentString:getElementsInDocument.toString(),getOuterHTMLSnippetString:getOuterHTMLSnippet.toString(),getOuterHTMLSnippet,computeBenchmarkIndex,computeBenchmarkIndexString:computeBenchmarkIndex.toString(),getMaxTextureSize:function getMaxTextureSize(){try{const e=document.createElement("canvas").getContext("webgl");if(!e)throw new Error("no webgl");return e.getParameter(e.MAX_TEXTURE_SIZE)}catch(e){return 4095}},getNodeDetailsString:i,getNodeDetails,getNodePathString:getNodePath.toString(),getNodeSelectorString:getNodeSelector.toString(),getNodePath,getNodeSelector,getNodeLabel,getNodeLabelString:getNodeLabel.toString(),isPositionFixedString:function isPositionFixed(e){function getStyleAttrValue(e,s){return e.style[s]||window.getComputedStyle(e)[s]}const s=document.querySelector("html")
;if(!s)throw new Error("html element not found in document");if(s.scrollHeight<=s.clientHeight||!["scroll","auto","visible"].includes(getStyleAttrValue(s,"overflowY")))return!1;let t=e;for(;t;){const e=getStyleAttrValue(t,"position");if("fixed"===e||"sticky"===e)return!0;t=t.parentElement}return!1}.toString(),wrapRequestIdleCallback:function wrapRequestIdleCallback(e){const s=Math.floor(40/e),t=window.requestIdleCallback;window.requestIdleCallback=(e,i)=>t((t=>{const i=Date.now();t.__timeRemaining=t.timeRemaining,t.timeRemaining=()=>{const e=t.__timeRemaining();return Math.min(e,Math.max(0,s-(Date.now()-i)))},t.timeRemaining.toString=()=>"function timeRemaining() { [native code] }",e(t)}),i),window.requestIdleCallback.toString=()=>"function requestIdleCallback() { [native code] }"},getBoundingClientRectString:getBoundingClientRect.toString()}},{}],160:[function(e,s,t){(function(t){(function(){"use strict";const i=e("fs");function processForProto(e){const s=JSON.parse(JSON.stringify(e))
;if(s.configSettings){const{formFactor:e,locale:t,onlyCategories:i,channel:a}=s.configSettings;s.configSettings={formFactor:e,locale:t,onlyCategories:i,channel:a}}return s.runtimeError&&"NO_ERROR"===s.runtimeError.code&&delete s.runtimeError,s.audits&&Object.keys(s.audits).forEach((e=>{const t=s.audits[e];if(t.scoreDisplayMode&&("not-applicable"!==t.scoreDisplayMode&&"not_applicable"!==t.scoreDisplayMode||(t.scoreDisplayMode="notApplicable")),Array.isArray(t.displayValue)){const e=[];t.displayValue.forEach((s=>{e.push(s)})),t.displayValue=e.join(" | ")}})),s.i18n&&s.i18n.icuMessagePaths&&delete s.i18n.icuMessagePaths,function removeStrings(e){e&&"object"==typeof e&&!Array.isArray(e)?Object.keys(e).forEach((s=>{"string"==typeof e[s]&&""===e[s]?delete e[s]:("object"==typeof e[s]||Array.isArray(e[s]))&&removeStrings(e[s])})):Array.isArray(e)&&e.forEach((e=>{("object"==typeof e||Array.isArray(e))&&removeStrings(e)}))}(s),s}if(e.main===s){const e=t.argv.slice(2);let s,a
;if(e.length&&(s=(e.find((e=>e.startsWith("--in")))||"").replace("--in=",""),a=(e.find((e=>e.startsWith("--out")))||"").replace("--out=","")),s&&a){const e=processForProto(JSON.parse(i.readFileSync(s,"utf-8")));i.writeFileSync(a,JSON.stringify(e),"utf-8")}}else s.exports={processForProto}}).call(this)}).call(this,e("_process"))},{_process:272,fs:193}],161:[function(e,s,t){"use strict";function rectContains(e,s){return s.top>=e.top&&s.right<=e.right&&s.bottom<=e.bottom&&s.left>=e.left}function getBoundingRectWithPadding(e,s){if(0===e.length)throw new Error("No rects to take bounds of");let t=Number.MAX_VALUE,i=-Number.MAX_VALUE,a=Number.MAX_VALUE,n=-Number.MAX_VALUE;for(const s of e)t=Math.min(t,s.left),i=Math.max(i,s.right),a=Math.min(a,s.top),n=Math.max(n,s.bottom);const l=s/2;return t-=l,i+=l,a-=l,n+=l,{left:t,right:i,top:a,bottom:n,width:i-t,height:n-a}}function addRectWidthAndHeight({left:e,top:s,right:t,bottom:i}){return{left:e,top:s,right:t,bottom:i,width:t-e,height:i-s}}
function getRectArea(e){return e.width*e.height}s.exports={rectContainsPoint:function rectContainsPoint(e,{x:s,y:t}){return e.left<=s&&e.right>=s&&e.top<=t&&e.bottom>=t},rectContains,addRectWidthAndHeight,addRectTopAndBottom:function addRectTopAndBottom({x:e,y:s,width:t,height:i}){return{left:e,top:s,right:e+t,bottom:s+i,width:t,height:i}},getRectOverlapArea:function getRectOverlapArea(e,s){const t=Math.min(e.bottom,s.bottom)-Math.max(e.top,s.top);if(t<=0)return 0;const i=Math.min(e.right,s.right)-Math.max(e.left,s.left);return i<=0?0:i*t},getRectAtCenter:function getRectAtCenter(e,s){return addRectWidthAndHeight({left:e.left+e.width/2-s/2,top:e.top+e.height/2-s/2,right:e.right-e.width/2+s/2,bottom:e.bottom-e.height/2+s/2})},getLargestRect:function getLargestRect(e){let s=e[0];for(const t of e)getRectArea(t)>getRectArea(s)&&(s=t);return s},getRectArea,getRectCenterPoint:function getRectCenterPoint(e){return{x:e.left+e.width/2,y:e.top+e.height/2}},
getBoundingRect:function getBoundingRect(e){return getBoundingRectWithPadding(e,0)},getBoundingRectWithPadding,rectsTouchOrOverlap:function rectsTouchOrOverlap(e,s){return e.left<=s.right&&s.left<=e.right&&e.top<=s.bottom&&s.top<=e.bottom},allRectsContainedWithinEachOther:function allRectsContainedWithinEachOther(e,s){for(const t of e)for(const e of s)if(!rectContains(t,e)&&!rectContains(e,t))return!1;return!0},filterOutRectsContainedByOthers:function filterOutRectsContainedByOthers(e){const s=new Set(e);for(const t of e)for(const i of e)if(t!==i&&s.has(i)&&rectContains(i,t)){s.delete(t);break}return Array.from(s)},filterOutTinyRects:function filterOutTinyRects(e){return e.filter((e=>e.width>1&&e.height>1))}}},{}],162:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=[],noop=()=>{},n={init:function init(s){if(!s.flags.enableErrorReporting)return;if(!n._shouldSample())return;try{const t=e("raven"),i=Object.assign({},s.environmentData,{captureUnhandledRejections:!0})
;t.config("https://a6bb0da87ee048cc9ae2a345fc09ab2e:63a7029f46f74265981b7e005e0f69f8@sentry.io/174697",i).install(),n.captureMessage=(...e)=>t.captureMessage(...e),n.captureBreadcrumb=(...e)=>t.captureBreadcrumb(...e),n.getContext=()=>t.getContext();const l=new Map;n.captureException=async(e,s={})=>{if(!e)return;if(e.expected)return;const i=s.tags||{};if(i.audit){const s=`audit-${i.audit}-${e.message}`;if(l.has(s))return;l.set(s,!0)}if(i.gatherer){const s=`gatherer-${i.gatherer}-${e.message}`;if(l.has(s))return;l.set(s,!0)}const n=a.find((s=>s.pattern.test(e.message)));return n&&n.rate<=Math.random()?void 0:(e.protocolMethod&&(s.fingerprint=["{{ default }}",e.protocolMethod,e.protocolError],s.tags=s.tags||{},s.tags.protocolMethod=e.protocolMethod),new Promise((i=>{t.captureException(e,s,(()=>i()))})))};const u=Object.assign({url:s.url,formFactor:s.flags.formFactor,throttlingMethod:s.flags.throttlingMethod},s.flags.throttling);t.mergeContext({
extra:Object.assign({},s.environmentData.extra,u)})}catch(e){i.warn("sentry","Could not load raven library, errors will not be reported.")}},captureMessage:noop,captureBreadcrumb:noop,getContext:noop,captureException:async()=>{},_shouldSample:()=>.01>=Math.random()};s.exports=n},{"lighthouse-logger":237,raven:193}],163:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("lighthouse-stack-packs"),n=e("./i18n/i18n.js");function resolve(s){return e.resolve?e.resolve(s):"node_modules/"+s}const l=[{packId:"wordpress",requiredStacks:["js:wordpress"]},{packId:"drupal",requiredStacks:["js:drupal"]},{packId:"react",requiredStacks:["js:react"]},{packId:"angular",requiredStacks:["js:@angular/core"]},{packId:"amp",requiredStacks:["js:amp"]},{packId:"magento",requiredStacks:["js:magento"]},{packId:"octobercms",requiredStacks:["js:octobercms"]},{packId:"joomla",requiredStacks:["js:joomla"]}];s.exports={getStackPacks:function getStackPacks(e){const s=[];for(const t of e){
const e=l.find((e=>e.requiredStacks.includes(`${t.detector}:${t.id}`)));if(!e)continue;const u=a.find((s=>s.id===e.packId));if(!u){i.warn("StackPacks",`'${e.packId}' stack pack was matched but is not found in stack-packs lib`);continue}const c=n.createMessageInstanceIdFn(resolve("lighthouse-stack-packs/packs/"+u.id),u.UIStrings),d={},m=u.UIStrings;for(const e in m)m[e]&&(d[e]=c(m[e]));s.push({id:u.id,title:u.title,iconDataURL:u.icon,descriptions:d})}return s},stackPacksToInclude:l}},{"./i18n/i18n.js":97,"lighthouse-logger":237,"lighthouse-stack-packs":257}],164:[function(e,s,t){"use strict";function erf(e){const s=Math.sign(e),t=1/(1+.3275911*(e=Math.abs(e)));return s*(1-t*(.254829592+t*(t*(1.421413741+t*(1.061405429*t-1.453152027))-.284496736))*Math.exp(-e*e))}s.exports={linearInterpolation:function linearInterpolation(e,s,t,i,a){return s+(a-e)*((i-s)/(t-e))},getLogNormalDistribution:function getLogNormalDistribution(e,s){
const t=Math.log(e),i=Math.log(s/e),a=Math.sqrt(1-3*i-Math.sqrt((i-3)*(i-3)-8))/2;return{computeComplementaryPercentile:e=>(1-erf((Math.log(e)-t)/(Math.SQRT2*a)))/2}},getLogNormalScore:function getLogNormalScore({median:e,p10:s},t){if(e<=0)throw new Error("median must be greater than zero");if(s<=0)throw new Error("p10 must be greater than zero");if(s>=e)throw new Error("p10 must be less than the median");if(t<=0)return 1;const i=(1-erf(.9061938024368232*Math.log(t/e)/-Math.log(s/e)))/2;return Math.min(1,Math.max(0,i))}}},{}],165:[function(e,s,t){"use strict";const{filterOutRectsContainedByOthers:i,filterOutTinyRects:a,rectsTouchOrOverlap:n,rectContainsPoint:l,getBoundingRect:u,getRectCenterPoint:c}=e("./rect-helpers.js");function almostEqual(e,s){return Math.abs(e-s)<=10}function mergeTouchingClientRects(e){for(let s=0;s<e.length;s++)for(let t=s+1;t<e.length;t++){
const i=e[s],a=e[t],d=almostEqual(i.top,a.top)||almostEqual(i.bottom,a.bottom),m=almostEqual(i.left,a.left)||almostEqual(i.right,a.right);if(n(i,a)&&(d||m)){const s=u([i,a]),t=c(s);if(!l(i,t)&&!l(a,t))continue;return(e=e.filter((e=>e!==i&&e!==a))).push(s),mergeTouchingClientRects(e)}}return e}s.exports={getTappableRectsFromClientRects:function getTappableRectsFromClientRects(e){return e=a(e),e=mergeTouchingClientRects(e=i(e))}}},{"./rect-helpers.js":161}],166:[function(e,s,t){"use strict";const i=e("third-party-web/httparchive-nostats-subset");function getEntity(e){return i.getEntity(e)}function isThirdParty(e,s){const t=getEntity(e);return!!t&&t!==s}s.exports={getEntity,getProduct:function getProduct(e){return i.getProduct(e)},isThirdParty,isFirstParty:function isFirstParty(e,s){return!isThirdParty(e,s)}}},{"third-party-web/httparchive-nostats-subset":300}],167:[function(e,s,t){"use strict";const{taskGroups:i,taskNameToGroup:a}=e("./task-groups.js");class MainThreadTasks{
static _createNewTaskNode(e,s){const t="X"===e.ph&&!s,a="B"===e.ph&&s&&"E"===s.ph;if(!t&&!a)throw new Error("Invalid parameters for _createNewTaskNode");const n=e.ts,l=s?s.ts:e.ts+Number(e.dur||0);return{event:e,endEvent:s,startTime:n,endTime:l,duration:l-n,unbounded:!1,parent:void 0,children:[],attributableURLs:[],group:i.other,selfTime:NaN}}static _assignAllTimersUntilTs(e,s,t,i){for(;i.length;){const a=i.pop();if(!a)break;if(a.ts>s){i.push(a);break}if(a.ts<e.startTime)continue;const n=a.args.data.timerId;t.timers.set(n,e)}}static _createTasksFromStartAndEndEvents(e,s,t){const i=[],a=s.slice().reverse();for(let s=0;s<e.length;s++){const n=e[s];if("X"===n.ph){i.push(MainThreadTasks._createNewTaskNode(n));continue}let l,u=-1,c=0,d=s+1;for(let s=a.length-1;s>=0;s--){const t=a[s];for(;d<e.length&&!(e[d].ts>=t.ts);d++)e[d].name===n.name&&c++;if(t.name===n.name&&!(t.ts<n.ts)){if(!(c>0)){u=s;break}c--}}let m=!1;-1===u?(l={...n,ph:"E",ts:t},m=!0):l=u===a.length-1?a.pop():a.splice(u,1)[0]
;const g=MainThreadTasks._createNewTaskNode(n,l);g.unbounded=m,i.push(g)}if(a.length)throw new Error(`Fatal trace logic error - ${a.length} unmatched end events`);return i}static _createTaskRelationships(e,s,t){let i;const a=s.slice().reverse();for(let s=0;s<e.length;s++){let n=e[s];if("XHRReadyStateChange"===n.event.name){const e=n.event.args.data,s=e&&e.url;e&&s&&1===e.readyState&&t.xhrs.set(s,n)}for(;i&&Number.isFinite(i.endTime)&&i.endTime<=n.startTime;)MainThreadTasks._assignAllTimersUntilTs(i,i.endTime,t,a),i=i.parent;if(i){if(n.endTime>i.endTime){const e=n.endTime-i.endTime;if(e<1e3)i.endTime=n.endTime,i.duration+=e;else if(n.unbounded)n.endTime=i.endTime,n.duration=n.endTime-n.startTime;else{if(!(n.startTime-i.startTime<1e3)||i.children.length){const s=new Error("Fatal trace logic error - child cannot end after parent");throw s.timeDelta=e,s.nextTaskEvent=n.event,s.nextTaskEndEvent=n.endEvent,s.nextTaskEndTime=n.endTime,s.currentTaskEvent=i.event,
s.currentTaskEndEvent=i.endEvent,s.currentTaskEndTime=i.endTime,s}{const e=n,s=i,t=i.parent;if(t){const i=t.children.length-1;if(t.children[i]!==s)throw new Error("Fatal trace logic error - impossible children");t.children.pop(),t.children.push(e)}e.parent=t,e.startTime=s.startTime,e.duration=e.endTime-e.startTime,i=e,n=s}}}n.parent=i,i.children.push(n),MainThreadTasks._assignAllTimersUntilTs(i,n.startTime,t,a)}i=n}i&&MainThreadTasks._assignAllTimersUntilTs(i,i.endTime,t,a)}static _createTasksFromEvents(e,s,t){const i=[],a=[],n=[];for(const s of e)"X"!==s.ph&&"B"!==s.ph||i.push(s),"E"===s.ph&&a.push(s),"TimerInstall"===s.name&&n.push(s);const l=MainThreadTasks._createTasksFromStartAndEndEvents(i,a,t).sort(((e,s)=>e.startTime-s.startTime||s.duration-e.duration));return MainThreadTasks._createTaskRelationships(l,n,s),l.sort(((e,s)=>e.startTime-s.startTime||s.duration-e.duration))}static _computeRecursiveSelfTime(e,s){
if(s&&e.endTime>s.endTime)throw new Error("Fatal trace logic error - child cannot end after parent");const t=e.children.map((s=>MainThreadTasks._computeRecursiveSelfTime(s,e))).reduce(((e,s)=>e+s),0);return e.selfTime=e.duration-t,e.duration}static _computeRecursiveAttributableURLs(e,s,t,i){const a=e.event.args,n={...a.beginData||{},...a.data||{}},l=n.frame||"";let u=i.frameURLsById.get(l);const c=(n.stackTrace||[]).map((e=>e.url)),d=c[0];l&&u&&u.startsWith("about:")&&d&&(i.frameURLsById.set(l,d),u=d);let m=[];switch(e.event.name){case"v8.compile":case"EvaluateScript":case"FunctionCall":m=[n.url,u];break;case"v8.compileModule":m=[e.event.args.fileName];break;case"TimerFire":{const s=e.event.args.data.timerId,t=i.timers.get(s);if(!t)break;m=t.attributableURLs;break}case"ParseHTML":m=[n.url,u];break;case"ParseAuthorStyleSheet":m=[n.styleSheetUrl,u];break;case"UpdateLayoutTree":case"Layout":case"Paint":if(u){m=[u];break}if(t.length)break;m=i.lastTaskURLs;break;case"XHRReadyStateChange":
case"XHRLoad":{const e=n.url,s=n.readyState;if(!e||"number"==typeof s&&4!==s)break;const t=i.xhrs.get(e);if(!t)break;m=t.attributableURLs;break}default:m=[]}const g=Array.from(s);for(const e of[...m,...c])e&&(t.includes(e)||t.push(e),g[g.length-1]!==e&&g.push(e));e.attributableURLs=g,e.children.forEach((e=>MainThreadTasks._computeRecursiveAttributableURLs(e,g,t,i))),g.length||e.parent||!t.length||MainThreadTasks._setRecursiveEmptyAttributableURLs(e,t)}static _setRecursiveEmptyAttributableURLs(e,s){e.attributableURLs.length||(e.attributableURLs=s.slice(),e.children.forEach((e=>MainThreadTasks._setRecursiveEmptyAttributableURLs(e,s))))}static _computeRecursiveTaskGroup(e,s){const t=a[e.event.name];e.group=t||s||i.other,e.children.forEach((s=>MainThreadTasks._computeRecursiveTaskGroup(s,e.group)))}static getMainThreadTasks(e,s,t){const i=new Map,a=new Map,n=new Map;s.forEach((({id:e,url:s})=>n.set(e,s)));const l={timers:i,xhrs:a,frameURLsById:n,lastTaskURLs:[]
},u=MainThreadTasks._createTasksFromEvents(e,l,t);for(const e of u)e.parent||(MainThreadTasks._computeRecursiveSelfTime(e,void 0),MainThreadTasks._computeRecursiveAttributableURLs(e,[],[],l),MainThreadTasks._computeRecursiveTaskGroup(e),l.lastTaskURLs=e.attributableURLs);const c=(u[0]||{startTime:0}).startTime;for(const e of u)if(e.startTime=(e.startTime-c)/1e3,e.endTime=(e.endTime-c)/1e3,e.duration/=1e3,e.selfTime/=1e3,!Number.isFinite(e.selfTime))throw new Error("Invalid task timing data");return u}static printTaskTreeToDebugString(e,s={}){const t=Math.max(...e.map((e=>e.endTime)),0),{printWidth:i=100,startTime:a=0,endTime:n=t,taskLabelFn:l=(e=>e.event.name)}=s;function computeTaskDepth(e){let s=0;for(;e.parent;e=e.parent)s++;return s}const u=(n-a)/i,c=new Map,d=new Map;for(const s of e){if(s.startTime>n||s.endTime<a)continue;const e=computeTaskDepth(s),t=d.get(e)||[];t.push(s),d.set(e,t);const i=String.fromCharCode(65+c.size%26);c.set(s,{id:i,task:s})}
const m=[`Trace Duration: ${t.toFixed(0)}ms`,`Range: [${a}, ${n}]`,`█ = ${u.toFixed(2)}ms`,""],g=Array.from(d.entries()).sort(((e,s)=>e[0]-s[0]));for(const[,e]of g){const s=Array.from({length:i}).map((()=>" "));for(const t of e){const e=Math.max(t.startTime,a),i=Math.min(t.endTime,n),{id:l}=c.get(t)||{id:"?"},d=Math.floor(e/u),m=Math.floor(i/u),g=Math.floor((d+m)/2);for(let e=d;e<=m;e++)s[e]="█";for(let e=0;e<l.length;e++)s[g]=l}m.push(s.join(""))}m.push("");for(const{id:e,task:s}of c.values())m.push(`${e} = ${l(s)}`);return m.join("\n")}}s.exports=MainThreadTasks},{"./task-groups.js":168}],168:[function(e,s,t){"use strict";const i={parseHTML:{id:"parseHTML",label:"Parse HTML & CSS",traceEventNames:["ParseHTML","ParseAuthorStyleSheet"]},styleLayout:{id:"styleLayout",label:"Style & Layout",traceEventNames:["ScheduleStyleRecalculation","UpdateLayoutTree","InvalidateLayout","Layout"]},paintCompositeRender:{id:"paintCompositeRender",label:"Rendering",
traceEventNames:["Animation","HitTest","PaintSetup","Paint","PaintImage","RasterTask","ScrollLayer","UpdateLayer","UpdateLayerTree","CompositeLayers"]},scriptParseCompile:{id:"scriptParseCompile",label:"Script Parsing & Compilation",traceEventNames:["v8.compile","v8.compileModule","v8.parseOnBackground"]},scriptEvaluation:{id:"scriptEvaluation",label:"Script Evaluation",traceEventNames:["EventDispatch","EvaluateScript","v8.evaluateModule","FunctionCall","TimerFire","FireIdleCallback","FireAnimationFrame","RunMicrotasks","V8.Execute"]},garbageCollection:{id:"garbageCollection",label:"Garbage Collection",traceEventNames:["MinorGC","MajorGC","BlinkGC.AtomicPhase","ThreadState::performIdleLazySweep","ThreadState::completeSweep","BlinkGCMarking"]},other:{id:"other",label:"Other",traceEventNames:["MessageLoop::RunTask","TaskQueueManager::ProcessTaskFromWorkQueue","ThreadControllerImpl::DoWork"]}},a={};for(const e of Object.values(i))for(const s of e.traceEventNames)a[s]=e;s.exports={
taskGroups:i,taskNameToGroup:a}},{}],169:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=/^(chrome|https?):/;class TraceProcessor{static get TIMESPAN_MARKER_ID(){return"__lighthouseTimespanStart__"}static createNoNavstartError(){return new Error("No navigationStart event found")}static createNoResourceSendRequestError(){return new Error("No ResourceSendRequest event found")}static createNoTracingStartedError(){return new Error("No tracingStartedInBrowser event found")}static createNoFirstContentfulPaintError(){return new Error("No FirstContentfulPaint event found")}static createNoLighthouseMarkerError(){return new Error("No Lighthouse timespan marker event found")}static _isNavigationStartOfInterest(e){return"navigationStart"===e.name&&(!e.args.data||!e.args.data.documentLoaderURL||a.test(e.args.data.documentLoaderURL))}static _sortTimestampEventGroup(e,s,t,i){const lookupArrayIndexByTsIndex=e=>s[e],lookupEventByTsIndex=e=>i[lookupArrayIndexByTsIndex(e)],a=[],n=[],l=[]
;for(const s of e){const e=lookupArrayIndexByTsIndex(s),t=lookupEventByTsIndex(s);"E"===t.ph?a.push(e):"X"===t.ph||"B"===t.ph?n.push(e):l.push(e)}const u=new Map;for(const a of n){const n=i[a];if("X"===n.ph)u.set(a,n.dur);else{let i=Number.MAX_SAFE_INTEGER,l=0;for(let a=t+e.length;a<s.length;a++){const e=lookupEventByTsIndex(a);if(e.name===n.name&&e.pid===n.pid&&e.tid===n.tid){if("E"===e.ph&&0===l){i=e.ts-n.ts;break}"E"===e.ph?l--:"B"===e.ph&&l++}}u.set(a,i)}}return n.sort(((e,s)=>(u.get(s)||0)-(u.get(e)||0)||e-s)),l.sort(((e,s)=>e-s)),[...a,...n,...l]}static filteredTraceSort(e,s){const t=[];for(let i=0;i<e.length;i++)s(e[i])&&t.push(i);t.sort(((s,t)=>e[s].ts-e[t].ts));for(let s=0;s<t.length-1;s++){const i=e[t[s]].ts,a=[s];for(let n=s+1;n<t.length&&e[t[n]].ts===i;n++)a.push(n);if(1===a.length)continue;const n=TraceProcessor._sortTimestampEventGroup(a,t,s,e);t.splice(s,n.length,...n),s+=a.length-1}const i=[];for(let s=0;s<t.length;s++)i.push(e[t[s]]);return i}
static assertHasToplevelEvents(e){if(!e.some(this.isScheduleableTask))throw new Error("Could not find any top level events")}static _riskPercentiles(e,s,t,i=0){let a=0;for(let s=0;s<e.length;s++)a+=e[s];a-=i;let n=s-a,l=0,u=n;const c=[];let d=-1,m=e.length+1;i>0&&m--;for(const a of t){const t=a*s;for(;u<t&&d<e.length-1;)n+=l,m-=l<0?-1:1,i>0&&i<e[d+1]?(l=-i,i=0):(d++,l=e[d]),u=n+Math.abs(l)*m;c.push({percentile:a,time:Math.max(0,(t-n)/m)+16})}return c}static getRiskToResponsiveness(e,s,t,i=[.5,.75,.9,.99,1]){const a=t-s;i.sort(((e,s)=>e-s));const n=this.getMainThreadTopLevelEventDurations(e,s,t);return this._riskPercentiles(n.durations,a,i,n.clippedLength)}static getMainThreadTopLevelEventDurations(e,s=0,t=1/0){const i=[];let a=0;for(const n of e){if(n.end<s||n.start>t)continue;let e=n.duration,l=n.start;l<s&&(l=s,e=n.end-s),n.end>t&&(a=e-(t-l)),i.push(e)}return i.sort(((e,s)=>e-s)),{durations:i,clippedLength:a}}static getMainThreadTopLevelEvents(e,s=0,t=1/0){const i=[]
;for(const a of e.mainThreadEvents){if(!this.isScheduleableTask(a)||!a.dur)continue;const n=(a.ts-e.timeOriginEvt.ts)/1e3,l=(a.ts+a.dur-e.timeOriginEvt.ts)/1e3;n>t||l<s||i.push({start:n,end:l,duration:a.dur/1e3})}return i}static findMainFrameIds(e){const s=e.find((e=>"TracingStartedInBrowser"===e.name));if(s&&s.args.data&&s.args.data.frames){const t=s.args.data.frames.find((e=>!e.parent)),i=t&&t.frame,a=t&&t.processId,n=e.find((e=>e.pid===a&&"M"===e.ph&&"__metadata"===e.cat&&"thread_name"===e.name&&"CrRendererMain"===e.args.name)),l=n&&n.tid;if(a&&l&&i)return{pid:a,tid:l,frameId:i}}const t=e.find((e=>"TracingStartedInPage"===e.name));if(t&&t.args&&t.args.data){const e=t.args.data.page;if(e)return{pid:t.pid,tid:t.tid,frameId:e}}const i=e.find((e=>Boolean("navigationStart"===e.name&&e.args&&e.args.data&&e.args.data.isLoadingMainFrame&&e.args.data.documentLoaderURL))),a=e.find((e=>"ResourceSendRequest"===e.name));if(i&&i.args&&i.args.data&&a&&a.pid===i.pid&&a.tid===i.tid){
const e=i.args.frame;if(e)return{pid:i.pid,tid:i.tid,frameId:e}}throw this.createNoTracingStartedError()}static isScheduleableTask(e){return"RunTask"===e.name||"ThreadControllerImpl::RunTask"===e.name||"ThreadControllerImpl::DoWork"===e.name||"TaskQueueManager::ProcessTaskFromWorkQueue"===e.name}static isLCPEvent(e){return("largestContentfulPaint::Invalidate"===e.name||"largestContentfulPaint::Candidate"===e.name)&&Boolean(e.args&&e.args.frame)}static isLCPCandidateEvent(e){return Boolean("largestContentfulPaint::Candidate"===e.name&&e.args&&e.args.frame&&e.args.data&&void 0!==e.args.data.size)}static computeValidLCPAllFrames(e,s){const t=e.filter(this.isLCPEvent).reverse(),i=new Map;for(const e of t){if(e.ts<=s.ts)break;const t=e.args.frame;i.has(t)||i.set(t,e)}let a;for(const e of i.values())this.isLCPCandidateEvent(e)&&(!a||e.args.data.size>a.args.data.size)&&(a=e);return{lcp:a,invalidated:Boolean(!a&&i.size)}}static resolveRootFrames(e){const s=new Map
;for(const t of e)t.parent&&s.set(t.id,t.parent);const t=new Map;for(const i of e){let e=i.id;for(;s.has(e);)e=s.get(e);t.set(i.id,e)}return t}static processTrace(e,s){const{timeOriginDeterminationMethod:t="auto"}=s||{},a=this.filteredTraceSort(e.traceEvents,(e=>e.cat.includes("blink.user_timing")||e.cat.includes("loading")||e.cat.includes("devtools.timeline")||"__metadata"===e.cat)),n=this.findMainFrameIds(a),l=a.filter((e=>Boolean("FrameCommittedInBrowser"===e.name&&e.args.data&&e.args.data.frame&&e.args.data.url))).map((e=>({id:e.args.data.frame,url:e.args.data.url,parent:e.args.data.parent}))),u=this.resolveRootFrames(l),c=a.filter((e=>e.args.frame===n.frameId));let d=[];u.has(n.frameId)?d=a.filter((e=>e.args.frame&&u.get(e.args.frame)===n.frameId)):(i.warn("trace-of-tab","frameTreeEvents may be incomplete, make sure the trace has FrameCommittedInBrowser events"),u.set(n.frameId,n.frameId),d=c);const m=this.computeTimeOrigin({keyEvents:a,frameEvents:c,mainFrameIds:n
},t),g=TraceProcessor.filteredTraceSort(e.traceEvents,(e=>e.pid===n.pid)),h=g.filter((e=>e.tid===n.tid)),p=this.computeTraceEnd(e.traceEvents,m);return{frames:l,mainThreadEvents:h,frameEvents:c,frameTreeEvents:d,processEvents:g,mainFrameIds:n,timeOriginEvt:m,timings:{timeOrigin:0,traceEnd:p.timing},timestamps:{timeOrigin:m.ts,traceEnd:p.timestamp}}}static processNavigation(e){const{frameEvents:s,frameTreeEvents:t,timeOriginEvt:i,timings:a,timestamps:n}=e,l=this.computeNavigationTimingsForFrame(s,{timeOriginEvt:i}),u=t.find((e=>"firstContentfulPaint"===e.name&&e.ts>i.ts));if(!u)throw this.createNoFirstContentfulPaintError();const c=this.computeValidLCPAllFrames(t,i).lcp,getTiming=e=>(e-i.ts)/1e3;return{timings:{timeOrigin:a.timeOrigin,firstPaint:l.timings.firstPaint,firstContentfulPaint:l.timings.firstContentfulPaint,firstContentfulPaintAllFrames:getTiming(u.ts),firstMeaningfulPaint:l.timings.firstMeaningfulPaint,largestContentfulPaint:l.timings.largestContentfulPaint,
largestContentfulPaintAllFrames:(d=c&&c.ts,void 0===d?void 0:getTiming(d)),load:l.timings.load,domContentLoaded:l.timings.domContentLoaded,traceEnd:a.traceEnd},timestamps:{timeOrigin:n.timeOrigin,firstPaint:l.timestamps.firstPaint,firstContentfulPaint:l.timestamps.firstContentfulPaint,firstContentfulPaintAllFrames:u.ts,firstMeaningfulPaint:l.timestamps.firstMeaningfulPaint,largestContentfulPaint:l.timestamps.largestContentfulPaint,largestContentfulPaintAllFrames:c&&c.ts,load:l.timestamps.load,domContentLoaded:l.timestamps.domContentLoaded,traceEnd:n.traceEnd},firstPaintEvt:l.firstPaintEvt,firstContentfulPaintEvt:l.firstContentfulPaintEvt,firstContentfulPaintAllFramesEvt:u,firstMeaningfulPaintEvt:l.firstMeaningfulPaintEvt,largestContentfulPaintEvt:l.largestContentfulPaintEvt,largestContentfulPaintAllFramesEvt:c,loadEvt:l.loadEvt,domContentLoadedEvt:l.domContentLoadedEvt,fmpFellBack:l.fmpFellBack,lcpInvalidated:l.lcpInvalidated};var d}static computeTraceEnd(e,s){let t=-1/0
;for(const s of e)t=Math.max(s.ts+(s.dur||0),t);return{timestamp:t,timing:(t-s.ts)/1e3}}static computeTimeOrigin(e,s){const lastNavigationStart=()=>e.frameEvents.filter(this._isNavigationStartOfInterest).pop(),lighthouseMarker=()=>e.keyEvents.find((e=>"clock_sync"===e.name&&e.args.sync_id===TraceProcessor.TIMESPAN_MARKER_ID));switch(s){case"firstResourceSendRequest":{const s=e.keyEvents.find((s=>{if("ResourceSendRequest"!==s.name)return!1;return(s.args.data||{}).frame===e.mainFrameIds.frameId}));if(!s)throw this.createNoResourceSendRequestError();return s}case"lastNavigationStart":{const e=lastNavigationStart();if(!e)throw this.createNoNavstartError();return e}case"lighthouseMarker":{const e=lighthouseMarker();if(!e)throw this.createNoLighthouseMarkerError();return e}case"auto":{const e=lighthouseMarker()||lastNavigationStart();if(!e)throw this.createNoNavstartError();return e}}}static computeNavigationTimingsForFrame(e,s){
const{timeOriginEvt:t}=s,a=e.find((e=>"firstPaint"===e.name&&e.ts>t.ts)),n=e.find((e=>"firstContentfulPaint"===e.name&&e.ts>t.ts));if(!n)throw this.createNoFirstContentfulPaintError();let l=e.find((e=>"firstMeaningfulPaint"===e.name&&e.ts>t.ts)),u=!1;if(!l){const s="firstMeaningfulPaintCandidate";u=!0,i.verbose("trace-of-tab","No firstMeaningfulPaint found, falling back to last "+s);const t=e.filter((e=>e.name===s)).pop();t||i.verbose("trace-of-tab","No `firstMeaningfulPaintCandidate` events found in trace"),l=t}const c=this.computeValidLCPAllFrames(e,t),d=e.find((e=>"loadEventEnd"===e.name&&e.ts>t.ts)),m=e.find((e=>"domContentLoadedEventEnd"===e.name&&e.ts>t.ts)),getTimestamp=e=>e&&e.ts,g={timeOrigin:t.ts,firstPaint:getTimestamp(a),firstContentfulPaint:n.ts,firstMeaningfulPaint:getTimestamp(l),largestContentfulPaint:getTimestamp(c.lcp),load:getTimestamp(d),domContentLoaded:getTimestamp(m)},getTiming=e=>(e-t.ts)/1e3,maybeGetTiming=e=>void 0===e?void 0:getTiming(e);return{timings:{
timeOrigin:0,firstPaint:maybeGetTiming(g.firstPaint),firstContentfulPaint:getTiming(g.firstContentfulPaint),firstMeaningfulPaint:maybeGetTiming(g.firstMeaningfulPaint),largestContentfulPaint:maybeGetTiming(g.largestContentfulPaint),load:maybeGetTiming(g.load),domContentLoaded:maybeGetTiming(g.domContentLoaded)},timestamps:g,timeOriginEvt:t,firstPaintEvt:a,firstContentfulPaintEvt:n,firstMeaningfulPaintEvt:l,largestContentfulPaintEvt:c.lcp,loadEvt:d,domContentLoadedEvt:m,fmpFellBack:u,lcpInvalidated:c.invalidated}}}s.exports=TraceProcessor},{"lighthouse-logger":237}],170:[function(e,s,t){"use strict";const i=e("lighthouse-logger"),a=e("../tracehouse/trace-processor.js");class Metrics{constructor(e,s){this._traceEvents=e,this._auditResults=s}static get metricsDefinitions(){return[{name:"Time Origin",id:"timeorigin",tsKey:"observedTimeOriginTs"},{name:"First Contentful Paint",id:"ttfcp",tsKey:"observedFirstContentfulPaintTs"},{name:"First Meaningful Paint",id:"ttfmp",
tsKey:"observedFirstMeaningfulPaintTs"},{name:"Speed Index",id:"si",tsKey:"observedSpeedIndexTs"},{name:"First Visual Change",id:"fv",tsKey:"observedFirstVisualChangeTs"},{name:"Visually Complete 100%",id:"vc100",tsKey:"observedLastVisualChangeTs"},{name:"Interactive",id:"tti",tsKey:"interactiveTs"},{name:"End of Trace",id:"eot",tsKey:"observedTraceEndTs"},{name:"On Load",id:"onload",tsKey:"observedLoadTs"},{name:"DOM Content Loaded",id:"dcl",tsKey:"observedDomContentLoadedTs"}]}gatherMetrics(){const e=function getUberMetrics(e){const s=e.metrics;if(s&&s.details&&"items"in s.details)return s.details.items[0]}(this._auditResults);if(!e)return[];const s=[];return Metrics.metricsDefinitions.forEach((t=>{const a=e[t.tsKey];void 0!==a?s.push({id:t.id,name:t.name,ts:a}):i.error("pwmetrics-events",t.name+" timestamp not found")})),s}getTimeOriginEvt(e){const s=e.find((e=>"timeorigin"===e.id));if(!s)return{errorMessage:"timeorigin Metric not found in definitions"};try{
const e=a.findMainFrameIds(this._traceEvents);return{pid:e.pid,tid:e.tid,ts:s.ts}}catch(e){return{errorMessage:e.message}}}synthesizeEventPair(e,s){const t={pid:s.pid,tid:s.tid,cat:"blink.user_timing",name:e.name,args:{},id:"0x"+(1e6*Math.random()|0).toString(16)};return[Object.assign({},t,{ts:s.ts,ph:"b"}),Object.assign({},t,{ts:e.ts,ph:"e"})]}generateFakeEvents(){const e=this.gatherMetrics();if(0===e.length)return i.error("metrics-events","Metrics collection had errors, not synthetizing trace events"),[];const s=this.getTimeOriginEvt(e);if("errorMessage"in s)return i.error("pwmetrics-events","Reference timeOrigin error: "+s.errorMessage),[];const t=[];return e.forEach((e=>{"timeorigin"!==e.id&&(e.ts?(i.verbose("pwmetrics-events","Sythesizing trace events for "+e.name),t.push(...this.synthesizeEventPair(e,s))):i.error("pwmetrics-events",`(${e.name}) missing timestamp. Skipping…`))})),t}}s.exports=Metrics},{"../tracehouse/trace-processor.js":169,"lighthouse-logger":237}],
171:[function(e,s,t){"use strict";s.exports={isObjectOfUnknownValues:function isObjectOfUnknownValues(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)},isObjectOrArrayOfUnknownValues:function isObjectOrArrayOfUnknownValues(e){return"object"==typeof e&&null!==e}}},{}],172:[function(e,s,t){(function(t){(function(){"use strict";const i=e("lodash.isequal"),a=e("./gather/driver.js"),n=e("./gather/gather-runner.js"),l=e("./scoring.js"),u=e("./audits/audit.js"),c=e("lighthouse-logger"),d=e("./lib/i18n/i18n.js"),m=e("./lib/stack-packs.js"),g=e("./lib/asset-saver.js"),h=e("path"),p=e("./lib/url-shim.js"),b=e("./lib/sentry.js"),f=e("../report/report-generator.js").generateReport,v=e("./lib/lh-error.js");class Runner{static async run(s,t){const i=t.config.settings;try{const a={msg:"Runner setup",id:"lh:runner:run"};c.time(a,"verbose");const n=[],u=b.getContext();let h,j;if(b.captureBreadcrumb({message:"Run started",category:"lifecycle",data:u&&u.extra}),i.auditMode&&!i.gatherMode){
const e=Runner._getDataSavePath(i);if(h=g.loadArtifacts(e),j=h.URL.requestedUrl,!j)throw new Error("Cannot run audit mode on empty URL");if(t.url&&!p.equalWithExcludedFragments(t.url,j))throw new Error("Cannot run audit mode on different URL")}else{if(!(t.url&&p.isValid(t.url)&&p.isProtocolAllowed(t.url)))throw new v(v.errors.INVALID_URL);if(j=new p(t.url).href,h=await s({requestedUrl:j,config:t.config,driverMock:t.driverMock}),i.gatherMode){const e=Runner._getDataSavePath(i);await g.saveArtifacts(h,e)}}if(i.gatherMode&&!i.auditMode)return;if(!t.config.audits)throw new Error("No audits to evaluate.");const k=await Runner._runAudits(i,t.config.audits,h,n,t.computedCache),y={msg:"Generating results...",id:"lh:runner:generate"};c.time(y),h.LighthouseRunWarnings&&n.push(...h.LighthouseRunWarnings);const w=e("../package.json").version,z={"axe-core":h.Accessibility&&h.Accessibility.version};let T={};t.config.categories&&(T=l.scoreAllCategories(t.config.categories,k)),c.timeEnd(y),
c.timeEnd(a);const S={userAgent:h.HostUserAgent,environment:{networkUserAgent:h.NetworkUserAgent,hostUserAgent:h.HostUserAgent,benchmarkIndex:h.BenchmarkIndex,credits:z},lighthouseVersion:w,fetchTime:h.fetchTime,requestedUrl:j,finalUrl:h.URL.finalUrl,runWarnings:n,runtimeError:Runner.getArtifactRuntimeError(h),audits:k,configSettings:i,categories:T,categoryGroups:t.config.groups||void 0,timing:this._getTiming(h),i18n:{rendererFormattedStrings:d.getRendererFormattedStrings(i.locale),icuMessagePaths:{}},stackPacks:m.getStackPacks(h.Stacks)};S.i18n.icuMessagePaths=d.replaceIcuMessages(S,i.locale);const x=S;if(i.gatherMode&&i.auditMode){const e=Runner._getDataSavePath(i);g.saveLhr(x,e)}return{lhr:x,artifacts:h,report:f(x,i.output)}}catch(e){throw e.friendlyMessage&&(e.friendlyMessage=d.getFormatted(e.friendlyMessage,i.locale)),await b.captureException(e,{level:"fatal"}),e}}static _getTiming(e){
const s=[...e.Timing||[],...c.takeTimeEntries()].map((e=>[e.startTime,e])),t=Array.from(new Map(s).values()).map((e=>({startTime:parseFloat(e.startTime.toFixed(2)),name:e.name,duration:parseFloat(e.duration.toFixed(2)),entryType:e.entryType}))),i=t.find((e=>"lh:runner:run"===e.name));return{entries:t,total:i&&i.duration||0}}static async _gatherArtifactsFromBrowser(e,s,t){if(!s.config.passes)throw new Error("No browser artifacts are either provided or requested.");const i={driver:s.driverMock||new a(t),requestedUrl:e,settings:s.config.settings,computedCache:s.computedCache};return await n.run(s.config.passes,i)}static async _runAudits(e,s,t,a,n){const l={msg:"Analyzing and running audits...",id:"lh:runner:auditing"};if(c.time(l),t.settings){const s={locale:void 0,gatherMode:void 0,auditMode:void 0,output:void 0,channel:void 0,budgets:void 0},a=Object.assign({},t.settings,s),n=Object.assign({},e,s);if(!i(a,n))throw new Error("Cannot change settings between gathering and auditing")}
const u={settings:e,computedCache:n},d={};for(const e of s){const s=e.implementation.meta.id,i=await Runner._runAudit(e,t,u,a);d[s]=i}return c.timeEnd(l),d}static async _runAudit(e,s,t,i){const a=e.implementation,n={msg:"Auditing: "+d.getFormatted(a.meta.title,"en-US"),id:"lh:audit:"+a.meta.id};let l;c.time(n);try{for(const e of a.meta.requiredArtifacts){const t=void 0===s[e],i="traces"===e&&!s.traces[u.DEFAULT_PASS],n="devtoolsLogs"===e&&!s.devtoolsLogs[u.DEFAULT_PASS];if(t||i||n)throw c.warn("Runner",`${e} gatherer, required by audit ${a.meta.id}, did not run.`),new v(v.errors.MISSING_REQUIRED_ARTIFACT,{artifactName:e});if(s[e]instanceof Error){const t=s[e];b.captureException(t,{tags:{gatherer:e},level:"error"}),c.warn("Runner",`${e} gatherer, required by audit ${a.meta.id}, encountered an error: `+t.message);const i=new v(v.errors.ERRORED_REQUIRED_ARTIFACT,{artifactName:e,errorMessage:t.message});throw i.expected=!0,i}}const n={options:Object.assign({},a.defaultOptions,e.options),
...t},d=a.meta.requiredArtifacts.concat(a.meta.__internalOptionalArtifacts||[]).reduce(((e,t)=>{const i=s[t];return e[t]=i,e}),{}),m=await a.audit(d,n);i.push(...m.runWarnings||[]),l=u.generateAuditResult(a,m)}catch(e){"MISSING_REQUIRED_ARTIFACT"!==e.code&&"ERRORED_REQUIRED_ARTIFACT"!==e.code&&c.warn(a.meta.id,"Caught exception: "+e.message),b.captureException(e,{tags:{audit:a.meta.id},level:"error"});const s=e.friendlyMessage?e.friendlyMessage:e.message;l=u.generateErrorAuditResult(a,s)}return c.timeEnd(n),l}static getArtifactRuntimeError(e){const s=[e.PageLoadError,...Object.values(e)];for(const e of s)if(e instanceof v&&e.lhrRuntimeError){const s=e.friendlyMessage||e.message;return{code:e.code,message:s}}}static getAuditList(){const e=["audit.js","violation-audit.js","accessibility/axe-audit.js","multi-check-audit.js","byte-efficiency/byte-efficiency-audit.js","manual/manual-audit.js"]
;return["accessibility","apple-touch-icon.js","audit.js","autocomplete.js","bootup-time.js","byte-efficiency","content-width.js","critical-request-chains.js","csp-xss.js","deprecations.js","diagnostics.js","dobetterweb","errors-in-console.js","final-screenshot.js","font-display.js","full-page-screenshot.js","image-aspect-ratio.js","image-size-responsive.js","installable-manifest.js","is-on-https.js","large-javascript-libraries.js","largest-contentful-paint-element.js","layout-shift-elements.js","long-tasks.js","main-thread-tasks.js","mainthread-work-breakdown.js","manual","maskable-icon.js","metrics","metrics.js","multi-check-audit.js","network-requests.js","network-rtt.js","network-server-latency.js","no-unload-listeners.js","non-composited-animations.js","performance-budget.js","predictive-perf.js","preload-fonts.js","preload-lcp-image.js","redirects-http.js","redirects.js","resource-summary.js","screenshot-thumbnails.js","script-treemap-data.js","seo","server-response-time.js","service-worker.js","splash-screen.js","themed-omnibox.js","third-party-facades.js","third-party-summary.js","timing-budget.js","unsized-images.js","user-timings.js","uses-rel-preconnect.js","uses-rel-preload.js","valid-source-maps.js","viewport.js","violation-audit.js",...["appcache-manifest.js","charset.js","doctype.js","dom-size.js","external-anchors-use-rel-noopener.js","geolocation-on-start.js","inspector-issues.js","js-libraries.js","no-document-write.js","no-vulnerable-libraries.js","notification-on-start.js","password-inputs-can-be-pasted-into.js","uses-http2.js","uses-passive-event-listeners.js"].map((e=>"dobetterweb/"+e)),...["cumulative-layout-shift.js","first-contentful-paint-3g.js","first-contentful-paint.js","first-meaningful-paint.js","interactive.js","largest-contentful-paint.js","max-potential-fid.js","speed-index.js","total-blocking-time.js"].map((e=>"metrics/"+e)),...["canonical.js","crawlable-anchors.js","font-size.js","hreflang.js","http-status-code.js","is-crawlable.js","link-text.js","manual","meta-description.js","plugins.js","robots-txt.js","tap-targets.js"].map((e=>"seo/"+e)),...["structured-data.js"].map((e=>"seo/manual/"+e)),...["accesskeys.js","aria-allowed-attr.js","aria-command-name.js","aria-hidden-body.js","aria-hidden-focus.js","aria-input-field-name.js","aria-meter-name.js","aria-progressbar-name.js","aria-required-attr.js","aria-required-children.js","aria-required-parent.js","aria-roles.js","aria-toggle-field-name.js","aria-tooltip-name.js","aria-treeitem-name.js","aria-valid-attr-value.js","aria-valid-attr.js","axe-audit.js","button-name.js","bypass.js","color-contrast.js","definition-list.js","dlitem.js","document-title.js","duplicate-id-active.js","duplicate-id-aria.js","form-field-multiple-labels.js","frame-title.js","heading-order.js","html-has-lang.js","html-lang-valid.js","image-alt.js","input-image-alt.js","label.js","link-name.js","list.js","listitem.js","manual","meta-refresh.js","meta-viewport.js","object-alt.js","tabindex.js","td-headers-attr.js","th-has-data-cells.js","valid-lang.js","video-caption.js"].map((e=>"accessibility/"+e)),...["custom-controls-labels.js","custom-controls-roles.js","focus-traps.js","focusable-controls.js","interactive-element-affordance.js","logical-tab-order.js","managed-focus.js","offscreen-content-hidden.js","use-landmarks.js","visual-order-follows-dom.js"].map((e=>"accessibility/manual/"+e)),...["byte-efficiency-audit.js","duplicated-javascript.js","efficient-animated-content.js","legacy-javascript.js","modern-image-formats.js","offscreen-images.js","polyfill-graph-data.json","render-blocking-resources.js","total-byte-weight.js","unminified-css.js","unminified-javascript.js","unused-css-rules.js","unused-javascript.js","uses-long-cache-ttl.js","uses-optimized-images.js","uses-responsive-images-snapshot.js","uses-responsive-images.js","uses-text-compression.js"].map((e=>"byte-efficiency/"+e)),...["manual-audit.js","pwa-cross-browser.js","pwa-each-page-has-url.js","pwa-page-transitions.js"].map((e=>"manual/"+e))].filter((s=>/\.js$/.test(s)&&!e.includes(s))).sort()
}static getGathererList(){
return["accessibility.js","anchor-elements.js","cache-contents.js","console-messages.js","css-usage.js","devtools-log-compat.js","devtools-log.js","dobetterweb","form-elements.js","full-page-screenshot.js","gather-context.js","gatherer.js","global-listeners.js","host-form-factor.js","host-user-agent.js","http-redirect.js","iframe-elements.js","image-elements.js","inspector-issues.js","installability-errors.js","js-usage.js","link-elements.js","main-document-content.js","meta-elements.js","network-user-agent.js","script-elements.js","seo","service-worker.js","source-maps.js","stacks.js","trace-compat.js","trace-elements.js","trace.js","viewport-dimensions.js","web-app-manifest.js",...["embedded-content.js","font-size.js","robots-txt.js","tap-targets.js"].map((e=>"seo/"+e)),...["appcache.js","doctype.js","domstats.js","optimized-images.js","password-inputs-with-prevented-paste.js","response-compression.js","tags-blocking-first-paint.js"].map((e=>"dobetterweb/"+e))].filter((e=>/\.js$/.test(e)&&"gatherer.js"!==e)).sort()
}static _getDataSavePath(e){const{auditMode:s,gatherMode:i}=e;return"string"==typeof s?h.resolve(t.cwd(),s):"string"==typeof i?h.resolve(t.cwd(),i):h.join(t.cwd(),"latest-run")}}s.exports=Runner}).call(this)}).call(this,e("_process"))},{"../package.json":308,"../report/report-generator.js":310,"./audits/audit.js":3,"./gather/driver.js":65,"./gather/gather-runner.js":77,"./lib/asset-saver.js":81,"./lib/i18n/i18n.js":97,"./lib/lh-error.js":152,"./lib/sentry.js":162,"./lib/stack-packs.js":163,"./lib/url-shim.js":"url","./scoring.js":173,_process:272,"lighthouse-logger":237,"lodash.isequal":266,path:271}],173:[function(e,s,t){"use strict";const i=e("./audits/audit.js");class ReportScoring{static arithmeticMean(e){if((e=e.filter((e=>e.weight>0))).some((e=>null===e.score)))return null;const s=e.reduce(((e,s)=>{const t=s.score,i=s.weight;return{weight:e.weight+i,sum:e.sum+t*i}}),{weight:0,sum:0});return t=s.sum/s.weight||0,Math.round(100*t)/100;var t}static scoreAllCategories(e,s){const t={}
;for(const[a,n]of Object.entries(e)){const e=n.auditRefs.map((e=>{const t={...e},a=s[t.id];return a.scoreDisplayMode!==i.SCORING_MODES.NOT_APPLICABLE&&a.scoreDisplayMode!==i.SCORING_MODES.INFORMATIVE&&a.scoreDisplayMode!==i.SCORING_MODES.MANUAL||(t.weight=0),t})),l=e.map((e=>({score:s[e.id].score,weight:e.weight}))),u=ReportScoring.arithmeticMean(l);t[a]={...n,auditRefs:e,id:a,score:u}}return t}}s.exports=ReportScoring},{"./audits/audit.js":3}],174:[function(e,s,t){const i=/([a-zA-Z][a-zA-Z_-]*)\s*(?:=(?:"([^"]*)"|([^ \t",;]*)))?/g,a="max-age",n="s-maxage",l="max-stale",u="min-fresh",c="immutable",d="must-revalidate",m="no-cache",g="no-store",h="no-transform",p="only-if-cached",b="private",f="proxy-revalidate",v="public";function parseBooleanOnly(e){return null===e}function parseDuration(e){if(!e)return null;const s=parseInt(e,10);return!Number.isFinite(s)||s<0?null:s}class CacheControl{constructor(){this.maxAge=null,this.sharedMaxAge=null,this.maxStale=null,this.maxStaleDuration=null,
this.minFresh=null,this.immutable=null,this.mustRevalidate=null,this.noCache=null,this.noStore=null,this.noTransform=null,this.onlyIfCached=null,this.private=null,this.proxyRevalidate=null,this.public=null}parse(e){if(!e||0===e.length)return this;const s={},t=e.match(i)||[];return Array.prototype.forEach.call(t,(e=>{const t=e.split("=",2),[i]=t;let a=null;t.length>1&&(a=t[1].trim()),s[i.toLowerCase()]=a})),this.maxAge=parseDuration(s[a]),this.sharedMaxAge=parseDuration(s[n]),this.maxStale=parseBooleanOnly(s[l]),this.maxStaleDuration=parseDuration(s[l]),this.maxStaleDuration&&(this.maxStale=!0),this.minFresh=parseDuration(s[u]),this.immutable=parseBooleanOnly(s[c]),this.mustRevalidate=parseBooleanOnly(s[d]),this.noCache=parseBooleanOnly(s[m]),this.noStore=parseBooleanOnly(s[g]),this.noTransform=parseBooleanOnly(s[h]),this.onlyIfCached=parseBooleanOnly(s[p]),this.private=parseBooleanOnly(s[b]),this.proxyRevalidate=parseBooleanOnly(s[f]),this.public=parseBooleanOnly(s[v]),this}format(){
const e=[];return this.maxAge&&e.push(`${a}=${this.maxAge}`),this.sharedMaxAge&&e.push(`${n}=${this.sharedMaxAge}`),this.maxStale&&(this.maxStaleDuration?e.push(`${l}=${this.maxStaleDuration}`):e.push(l)),this.minFresh&&e.push(`${u}=${this.minFresh}`),this.immutable&&e.push(c),this.mustRevalidate&&e.push(d),this.noCache&&e.push(m),this.noStore&&e.push(g),this.noTransform&&e.push(h),this.onlyIfCached&&e.push(p),this.private&&e.push(b),this.proxyRevalidate&&e.push(f),this.public&&e.push(v),e.join(", ")}}s.exports={CacheControl,parse:function parse(e){return(new CacheControl).parse(e)},format:function format(e){return e instanceof CacheControl?e.format():CacheControl.prototype.format.call(e)}}},{}],175:[function(e,s,t){s.exports=function(e,s,t){if(e.filter)return e.filter(s,t);if(null==e)throw new TypeError;if("function"!=typeof s)throw new TypeError;for(var a=[],n=0;n<e.length;n++)if(i.call(e,n)){var l=e[n];s.call(t,l,n,e)&&a.push(l)}return a};var i=Object.prototype.hasOwnProperty},{}],
176:[function(e,s,t){(function(t){(function(){"use strict";
/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */function compare(e,s){if(e===s)return 0;for(var t=e.length,i=s.length,a=0,n=Math.min(t,i);a<n;++a)if(e[a]!==s[a]){t=e[a],i=s[a];break}return t<i?-1:i<t?1:0}function isBuffer(e){return t.Buffer&&"function"==typeof t.Buffer.isBuffer?t.Buffer.isBuffer(e):!(null==e||!e._isBuffer)}var i=e("util/"),a=Object.prototype.hasOwnProperty,n=Array.prototype.slice,l="foo"===function foo(){}.name;function pToString(e){return Object.prototype.toString.call(e)}function isView(e){return!isBuffer(e)&&("function"==typeof t.ArrayBuffer&&("function"==typeof ArrayBuffer.isView?ArrayBuffer.isView(e):!!e&&(e instanceof DataView||!!(e.buffer&&e.buffer instanceof ArrayBuffer))))}var u=s.exports=ok,c=/\s*function\s+([^\(\s]*)\s*/;function getName(e){if(i.isFunction(e)){if(l)return e.name;var s=e.toString().match(c);return s&&s[1]}}function truncate(e,s){return"string"==typeof e?e.length<s?e:e.slice(0,s):e}function inspect(e){if(l||!i.isFunction(e))return i.inspect(e);var s=getName(e)
;return"[Function"+(s?": "+s:"")+"]"}function fail(e,s,t,i,a){throw new u.AssertionError({message:t,actual:e,expected:s,operator:i,stackStartFunction:a})}function ok(e,s){e||fail(e,!0,s,"==",u.ok)}function _deepEqual(e,s,t,a){if(e===s)return!0;if(isBuffer(e)&&isBuffer(s))return 0===compare(e,s);if(i.isDate(e)&&i.isDate(s))return e.getTime()===s.getTime();if(i.isRegExp(e)&&i.isRegExp(s))return e.source===s.source&&e.global===s.global&&e.multiline===s.multiline&&e.lastIndex===s.lastIndex&&e.ignoreCase===s.ignoreCase;if(null!==e&&"object"==typeof e||null!==s&&"object"==typeof s){if(isView(e)&&isView(s)&&pToString(e)===pToString(s)&&!(e instanceof Float32Array||e instanceof Float64Array))return 0===compare(new Uint8Array(e.buffer),new Uint8Array(s.buffer));if(isBuffer(e)!==isBuffer(s))return!1;var l=(a=a||{actual:[],expected:[]}).actual.indexOf(e);return-1!==l&&l===a.expected.indexOf(s)||(a.actual.push(e),a.expected.push(s),function objEquiv(e,s,t,a){if(null==e||null==s)return!1
;if(i.isPrimitive(e)||i.isPrimitive(s))return e===s;if(t&&Object.getPrototypeOf(e)!==Object.getPrototypeOf(s))return!1;var l=isArguments(e),u=isArguments(s);if(l&&!u||!l&&u)return!1;if(l)return _deepEqual(e=n.call(e),s=n.call(s),t);var c,m,g=d(e),h=d(s);if(g.length!==h.length)return!1;for(g.sort(),h.sort(),m=g.length-1;m>=0;m--)if(g[m]!==h[m])return!1;for(m=g.length-1;m>=0;m--)if(!_deepEqual(e[c=g[m]],s[c],t,a))return!1;return!0}(e,s,t,a))}return t?e===s:e==s}function isArguments(e){return"[object Arguments]"==Object.prototype.toString.call(e)}function expectedException(e,s){if(!e||!s)return!1;if("[object RegExp]"==Object.prototype.toString.call(s))return s.test(e);try{if(e instanceof s)return!0}catch(e){}return!Error.isPrototypeOf(s)&&!0===s.call({},e)}function _throws(e,s,t,a){var n;if("function"!=typeof s)throw new TypeError('"block" argument must be a function');"string"==typeof t&&(a=t,t=null),n=function _tryBlock(e){var s;try{e()}catch(e){s=e}return s}(s),
a=(t&&t.name?" ("+t.name+").":".")+(a?" "+a:"."),e&&!n&&fail(n,t,"Missing expected exception"+a);var l="string"==typeof a,u=!e&&n&&!t;if((!e&&i.isError(n)&&l&&expectedException(n,t)||u)&&fail(n,t,"Got unwanted exception"+a),e&&n&&t&&!expectedException(n,t)||!e&&n)throw n}u.AssertionError=function AssertionError(e){this.name="AssertionError",this.actual=e.actual,this.expected=e.expected,this.operator=e.operator,e.message?(this.message=e.message,this.generatedMessage=!1):(this.message=function getMessage(e){return truncate(inspect(e.actual),128)+" "+e.operator+" "+truncate(inspect(e.expected),128)}(this),this.generatedMessage=!0);var s=e.stackStartFunction||fail;if(Error.captureStackTrace)Error.captureStackTrace(this,s);else{var t=new Error;if(t.stack){var i=t.stack,a=getName(s),n=i.indexOf("\n"+a);if(n>=0){var l=i.indexOf("\n",n+1);i=i.substring(l+1)}this.stack=i}}},i.inherits(u.AssertionError,Error),u.fail=fail,u.ok=ok,u.equal=function equal(e,s,t){e!=s&&fail(e,s,t,"==",u.equal)},
u.notEqual=function notEqual(e,s,t){e==s&&fail(e,s,t,"!=",u.notEqual)},u.deepEqual=function deepEqual(e,s,t){_deepEqual(e,s,!1)||fail(e,s,t,"deepEqual",u.deepEqual)},u.deepStrictEqual=function deepStrictEqual(e,s,t){_deepEqual(e,s,!0)||fail(e,s,t,"deepStrictEqual",u.deepStrictEqual)},u.notDeepEqual=function notDeepEqual(e,s,t){_deepEqual(e,s,!1)&&fail(e,s,t,"notDeepEqual",u.notDeepEqual)},u.notDeepStrictEqual=function notDeepStrictEqual(e,s,t){_deepEqual(e,s,!0)&&fail(e,s,t,"notDeepStrictEqual",notDeepStrictEqual)},u.strictEqual=function strictEqual(e,s,t){e!==s&&fail(e,s,t,"===",u.strictEqual)},u.notStrictEqual=function notStrictEqual(e,s,t){e===s&&fail(e,s,t,"!==",u.notStrictEqual)},u.throws=function(e,s,t){_throws(!0,e,s,t)},u.doesNotThrow=function(e,s,t){_throws(!1,e,s,t)},u.ifError=function(e){if(e)throw e};var d=Object.keys||function(e){var s=[];for(var t in e)a.call(e,t)&&s.push(t);return s}}).call(this)
}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"util/":179}],177:[function(e,s,t){"function"==typeof Object.create?s.exports=function inherits(e,s){e.super_=s,e.prototype=Object.create(s.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}})}:s.exports=function inherits(e,s){e.super_=s;var TempCtor=function(){};TempCtor.prototype=s.prototype,e.prototype=new TempCtor,e.prototype.constructor=e}},{}],178:[function(e,s,t){s.exports=function isBuffer(e){return e&&"object"==typeof e&&"function"==typeof e.copy&&"function"==typeof e.fill&&"function"==typeof e.readUInt8}},{}],179:[function(e,s,t){(function(s,i){(function(){var a=/%[sdj%]/g;t.format=function(e){if(!isString(e)){for(var s=[],t=0;t<arguments.length;t++)s.push(inspect(arguments[t]));return s.join(" ")}t=1;for(var i=arguments,n=i.length,l=String(e).replace(a,(function(e){if("%%"===e)return"%";if(t>=n)return e;switch(e){case"%s":
return String(i[t++]);case"%d":return Number(i[t++]);case"%j":try{return JSON.stringify(i[t++])}catch(e){return"[Circular]"}default:return e}})),u=i[t];t<n;u=i[++t])isNull(u)||!isObject(u)?l+=" "+u:l+=" "+inspect(u);return l},t.deprecate=function(e,a){if(isUndefined(i.process))return function(){return t.deprecate(e,a).apply(this,arguments)};if(!0===s.noDeprecation)return e;var n=!1;return function deprecated(){if(!n){if(s.throwDeprecation)throw new Error(a);s.traceDeprecation?console.trace(a):console.error(a),n=!0}return e.apply(this,arguments)}};var n,l={};function inspect(e,s){var i={seen:[],stylize:stylizeNoColor};return arguments.length>=3&&(i.depth=arguments[2]),arguments.length>=4&&(i.colors=arguments[3]),isBoolean(s)?i.showHidden=s:s&&t._extend(i,s),isUndefined(i.showHidden)&&(i.showHidden=!1),isUndefined(i.depth)&&(i.depth=2),isUndefined(i.colors)&&(i.colors=!1),isUndefined(i.customInspect)&&(i.customInspect=!0),i.colors&&(i.stylize=stylizeWithColor),formatValue(i,e,i.depth)}
function stylizeWithColor(e,s){var t=inspect.styles[s];return t?"["+inspect.colors[t][0]+"m"+e+"["+inspect.colors[t][1]+"m":e}function stylizeNoColor(e,s){return e}function formatValue(e,s,i){if(e.customInspect&&s&&isFunction(s.inspect)&&s.inspect!==t.inspect&&(!s.constructor||s.constructor.prototype!==s)){var a=s.inspect(i,e);return isString(a)||(a=formatValue(e,a,i)),a}var n=function formatPrimitive(e,s){if(isUndefined(s))return e.stylize("undefined","undefined");if(isString(s)){var t="'"+JSON.stringify(s).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return e.stylize(t,"string")}if(isNumber(s))return e.stylize(""+s,"number");if(isBoolean(s))return e.stylize(""+s,"boolean");if(isNull(s))return e.stylize("null","null")}(e,s);if(n)return n;var l=Object.keys(s),u=function arrayToHash(e){var s={};return e.forEach((function(e,t){s[e]=!0})),s}(l);if(e.showHidden&&(l=Object.getOwnPropertyNames(s)),
isError(s)&&(l.indexOf("message")>=0||l.indexOf("description")>=0))return formatError(s);if(0===l.length){if(isFunction(s)){var c=s.name?": "+s.name:"";return e.stylize("[Function"+c+"]","special")}if(isRegExp(s))return e.stylize(RegExp.prototype.toString.call(s),"regexp");if(isDate(s))return e.stylize(Date.prototype.toString.call(s),"date");if(isError(s))return formatError(s)}var d,m="",g=!1,h=["{","}"];(isArray(s)&&(g=!0,h=["[","]"]),isFunction(s))&&(m=" [Function"+(s.name?": "+s.name:"")+"]");return isRegExp(s)&&(m=" "+RegExp.prototype.toString.call(s)),isDate(s)&&(m=" "+Date.prototype.toUTCString.call(s)),isError(s)&&(m=" "+formatError(s)),0!==l.length||g&&0!=s.length?i<0?isRegExp(s)?e.stylize(RegExp.prototype.toString.call(s),"regexp"):e.stylize("[Object]","special"):(e.seen.push(s),d=g?function formatArray(e,s,t,i,a){for(var n=[],l=0,u=s.length;l<u;++l)hasOwnProperty(s,String(l))?n.push(formatProperty(e,s,t,i,String(l),!0)):n.push("");return a.forEach((function(a){
a.match(/^\d+$/)||n.push(formatProperty(e,s,t,i,a,!0))})),n}(e,s,i,u,l):l.map((function(t){return formatProperty(e,s,i,u,t,g)})),e.seen.pop(),function reduceToSingleString(e,s,t){if(e.reduce((function(e,s){return s.indexOf("\n")>=0&&0,e+s.replace(/\u001b\[\d\d?m/g,"").length+1}),0)>60)return t[0]+(""===s?"":s+"\n ")+" "+e.join(",\n  ")+" "+t[1];return t[0]+s+" "+e.join(", ")+" "+t[1]}(d,m,h)):h[0]+m+h[1]}function formatError(e){return"["+Error.prototype.toString.call(e)+"]"}function formatProperty(e,s,t,i,a,n){var l,u,c;if((c=Object.getOwnPropertyDescriptor(s,a)||{value:s[a]}).get?u=c.set?e.stylize("[Getter/Setter]","special"):e.stylize("[Getter]","special"):c.set&&(u=e.stylize("[Setter]","special")),hasOwnProperty(i,a)||(l="["+a+"]"),u||(e.seen.indexOf(c.value)<0?(u=isNull(t)?formatValue(e,c.value,null):formatValue(e,c.value,t-1)).indexOf("\n")>-1&&(u=n?u.split("\n").map((function(e){return"  "+e})).join("\n").substr(2):"\n"+u.split("\n").map((function(e){return"   "+e
})).join("\n")):u=e.stylize("[Circular]","special")),isUndefined(l)){if(n&&a.match(/^\d+$/))return u;(l=JSON.stringify(""+a)).match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(l=l.substr(1,l.length-2),l=e.stylize(l,"name")):(l=l.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),l=e.stylize(l,"string"))}return l+": "+u}function isArray(e){return Array.isArray(e)}function isBoolean(e){return"boolean"==typeof e}function isNull(e){return null===e}function isNumber(e){return"number"==typeof e}function isString(e){return"string"==typeof e}function isUndefined(e){return void 0===e}function isRegExp(e){return isObject(e)&&"[object RegExp]"===objectToString(e)}function isObject(e){return"object"==typeof e&&null!==e}function isDate(e){return isObject(e)&&"[object Date]"===objectToString(e)}function isError(e){return isObject(e)&&("[object Error]"===objectToString(e)||e instanceof Error)}function isFunction(e){return"function"==typeof e}function objectToString(e){
return Object.prototype.toString.call(e)}function pad(e){return e<10?"0"+e.toString(10):e.toString(10)}t.debuglog=function(e){if(isUndefined(n)&&(n=s.env.NODE_DEBUG||""),e=e.toUpperCase(),!l[e])if(new RegExp("\\b"+e+"\\b","i").test(n)){var i=s.pid;l[e]=function(){var s=t.format.apply(t,arguments);console.error("%s %d: %s",e,i,s)}}else l[e]=function(){};return l[e]},t.inspect=inspect,inspect.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]},inspect.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",string:"green",date:"magenta",regexp:"red"},t.isArray=isArray,t.isBoolean=isBoolean,t.isNull=isNull,t.isNullOrUndefined=function isNullOrUndefined(e){return null==e},t.isNumber=isNumber,t.isString=isString,t.isSymbol=function isSymbol(e){return"symbol"==typeof e},t.isUndefined=isUndefined,t.isRegExp=isRegExp,
t.isObject=isObject,t.isDate=isDate,t.isError=isError,t.isFunction=isFunction,t.isPrimitive=function isPrimitive(e){return null===e||"boolean"==typeof e||"number"==typeof e||"string"==typeof e||"symbol"==typeof e||void 0===e},t.isBuffer=e("./support/isBuffer");var u=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];function timestamp(){var e=new Date,s=[pad(e.getHours()),pad(e.getMinutes()),pad(e.getSeconds())].join(":");return[e.getDate(),u[e.getMonth()],s].join(" ")}function hasOwnProperty(e,s){return Object.prototype.hasOwnProperty.call(e,s)}t.log=function(){console.log("%s - %s",timestamp(),t.format.apply(t,arguments))},t.inherits=e("inherits"),t._extend=function(e,s){if(!s||!isObject(s))return e;for(var t=Object.keys(s),i=t.length;i--;)e[t[i]]=s[t[i]];return e}}).call(this)}).call(this,e("_process"),"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"./support/isBuffer":178,_process:272,inherits:177}],
180:[function(e,s,t){(function(t){(function(){"use strict";var i=e("array-filter");s.exports=function availableTypedArrays(){return i(["BigInt64Array","BigUint64Array","Float32Array","Float64Array","Int16Array","Int32Array","Int8Array","Uint16Array","Uint32Array","Uint8Array","Uint8ClampedArray"],(function(e){return"function"==typeof t[e]}))}}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"array-filter":175}],181:[function(e,s,t){"use strict";t.byteLength=function byteLength(e){var s=getLens(e),t=s[0],i=s[1];return 3*(t+i)/4-i},t.toByteArray=function toByteArray(e){for(var s,t=getLens(e),i=t[0],l=t[1],u=new n(function _byteLength(e,s,t){return 3*(s+t)/4-t}(0,i,l)),c=0,d=l>0?i-4:i,m=0;m<d;m+=4)s=a[e.charCodeAt(m)]<<18|a[e.charCodeAt(m+1)]<<12|a[e.charCodeAt(m+2)]<<6|a[e.charCodeAt(m+3)],u[c++]=s>>16&255,u[c++]=s>>8&255,u[c++]=255&s;2===l&&(s=a[e.charCodeAt(m)]<<2|a[e.charCodeAt(m+1)]>>4,u[c++]=255&s)
;1===l&&(s=a[e.charCodeAt(m)]<<10|a[e.charCodeAt(m+1)]<<4|a[e.charCodeAt(m+2)]>>2,u[c++]=s>>8&255,u[c++]=255&s);return u},t.fromByteArray=function fromByteArray(e){for(var s,t=e.length,a=t%3,n=[],l=16383,u=0,c=t-a;u<c;u+=l)n.push(encodeChunk(e,u,u+l>c?c:u+l));1===a?(s=e[t-1],n.push(i[s>>2]+i[s<<4&63]+"==")):2===a&&(s=(e[t-2]<<8)+e[t-1],n.push(i[s>>10]+i[s>>4&63]+i[s<<2&63]+"="));return n.join("")};for(var i=[],a=[],n="undefined"!=typeof Uint8Array?Uint8Array:Array,l="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",u=0,c=l.length;u<c;++u)i[u]=l[u],a[l.charCodeAt(u)]=u;function getLens(e){var s=e.length;if(s%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var t=e.indexOf("=");return-1===t&&(t=s),[t,t===s?0:4-t%4]}function encodeChunk(e,s,t){for(var a,n,l=[],u=s;u<t;u+=3)a=(e[u]<<16&16711680)+(e[u+1]<<8&65280)+(255&e[u+2]),l.push(i[(n=a)>>18&63]+i[n>>12&63]+i[n>>6&63]+i[63&n]);return l.join("")}a["-".charCodeAt(0)]=62,a["_".charCodeAt(0)]=63},{}],
182:[function(e,s,t){},{}],183:[function(e,s,t){(function(s,i){(function(){"use strict";var a=e("assert"),n=e("pako/lib/zlib/zstream"),l=e("pako/lib/zlib/deflate.js"),u=e("pako/lib/zlib/inflate.js"),c=e("pako/lib/zlib/constants");for(var d in c)t[d]=c[d];t.NONE=0,t.DEFLATE=1,t.INFLATE=2,t.GZIP=3,t.GUNZIP=4,t.DEFLATERAW=5,t.INFLATERAW=6,t.UNZIP=7;function Zlib(e){if("number"!=typeof e||e<t.DEFLATE||e>t.UNZIP)throw new TypeError("Bad argument");this.dictionary=null,this.err=0,this.flush=0,this.init_done=!1,this.level=0,this.memLevel=0,this.mode=e,this.strategy=0,this.windowBits=0,this.write_in_progress=!1,this.pending_close=!1,this.gzip_id_bytes_read=0}Zlib.prototype.close=function(){this.write_in_progress?this.pending_close=!0:(this.pending_close=!1,a(this.init_done,"close before init"),a(this.mode<=t.UNZIP),
this.mode===t.DEFLATE||this.mode===t.GZIP||this.mode===t.DEFLATERAW?l.deflateEnd(this.strm):this.mode!==t.INFLATE&&this.mode!==t.GUNZIP&&this.mode!==t.INFLATERAW&&this.mode!==t.UNZIP||u.inflateEnd(this.strm),this.mode=t.NONE,this.dictionary=null)},Zlib.prototype.write=function(e,s,t,i,a,n,l){return this._write(!0,e,s,t,i,a,n,l)},Zlib.prototype.writeSync=function(e,s,t,i,a,n,l){return this._write(!1,e,s,t,i,a,n,l)},Zlib.prototype._write=function(e,n,l,u,c,d,m,g){if(a.equal(arguments.length,8),a(this.init_done,"write before init"),a(this.mode!==t.NONE,"already finalized"),a.equal(!1,this.write_in_progress,"write already in progress"),a.equal(!1,this.pending_close,"close is pending"),this.write_in_progress=!0,a.equal(!1,void 0===n,"must provide flush value"),this.write_in_progress=!0,n!==t.Z_NO_FLUSH&&n!==t.Z_PARTIAL_FLUSH&&n!==t.Z_SYNC_FLUSH&&n!==t.Z_FULL_FLUSH&&n!==t.Z_FINISH&&n!==t.Z_BLOCK)throw new Error("Invalid flush value");if(null==l&&(l=i.alloc(0),c=0,u=0),this.strm.avail_in=c,
this.strm.input=l,this.strm.next_in=u,this.strm.avail_out=g,this.strm.output=d,this.strm.next_out=m,this.flush=n,!e)return this._process(),this._checkError()?this._afterSync():void 0;var h=this;return s.nextTick((function(){h._process(),h._after()})),this},Zlib.prototype._afterSync=function(){var e=this.strm.avail_out,s=this.strm.avail_in;return this.write_in_progress=!1,[s,e]},Zlib.prototype._process=function(){var e=null;switch(this.mode){case t.DEFLATE:case t.GZIP:case t.DEFLATERAW:this.err=l.deflate(this.strm,this.flush);break;case t.UNZIP:switch(this.strm.avail_in>0&&(e=this.strm.next_in),this.gzip_id_bytes_read){case 0:if(null===e)break;if(31!==this.strm.input[e]){this.mode=t.INFLATE;break}if(this.gzip_id_bytes_read=1,e++,1===this.strm.avail_in)break;case 1:if(null===e)break;139===this.strm.input[e]?(this.gzip_id_bytes_read=2,this.mode=t.GUNZIP):this.mode=t.INFLATE;break;default:throw new Error("invalid number of gzip magic number bytes read")}case t.INFLATE:case t.GUNZIP:
case t.INFLATERAW:for(this.err=u.inflate(this.strm,this.flush),this.err===t.Z_NEED_DICT&&this.dictionary&&(this.err=u.inflateSetDictionary(this.strm,this.dictionary),this.err===t.Z_OK?this.err=u.inflate(this.strm,this.flush):this.err===t.Z_DATA_ERROR&&(this.err=t.Z_NEED_DICT));this.strm.avail_in>0&&this.mode===t.GUNZIP&&this.err===t.Z_STREAM_END&&0!==this.strm.next_in[0];)this.reset(),this.err=u.inflate(this.strm,this.flush);break;default:throw new Error("Unknown mode "+this.mode)}},Zlib.prototype._checkError=function(){switch(this.err){case t.Z_OK:case t.Z_BUF_ERROR:if(0!==this.strm.avail_out&&this.flush===t.Z_FINISH)return this._error("unexpected end of file"),!1;break;case t.Z_STREAM_END:break;case t.Z_NEED_DICT:return null==this.dictionary?this._error("Missing dictionary"):this._error("Bad dictionary"),!1;default:return this._error("Zlib error"),!1}return!0},Zlib.prototype._after=function(){if(this._checkError()){var e=this.strm.avail_out,s=this.strm.avail_in
;this.write_in_progress=!1,this.callback(s,e),this.pending_close&&this.close()}},Zlib.prototype._error=function(e){this.strm.msg&&(e=this.strm.msg),this.onerror(e,this.err),this.write_in_progress=!1,this.pending_close&&this.close()},Zlib.prototype.init=function(e,s,i,n,l){a(4===arguments.length||5===arguments.length,"init(windowBits, level, memLevel, strategy, [dictionary])"),a(e>=8&&e<=15,"invalid windowBits"),a(s>=-1&&s<=9,"invalid compression level"),a(i>=1&&i<=9,"invalid memlevel"),a(n===t.Z_FILTERED||n===t.Z_HUFFMAN_ONLY||n===t.Z_RLE||n===t.Z_FIXED||n===t.Z_DEFAULT_STRATEGY,"invalid strategy"),this._init(s,e,i,n,l),this._setDictionary()},Zlib.prototype.params=function(){throw new Error("deflateParams Not supported")},Zlib.prototype.reset=function(){this._reset(),this._setDictionary()},Zlib.prototype._init=function(e,s,i,a,c){switch(this.level=e,this.windowBits=s,this.memLevel=i,this.strategy=a,this.flush=t.Z_NO_FLUSH,this.err=t.Z_OK,
this.mode!==t.GZIP&&this.mode!==t.GUNZIP||(this.windowBits+=16),this.mode===t.UNZIP&&(this.windowBits+=32),this.mode!==t.DEFLATERAW&&this.mode!==t.INFLATERAW||(this.windowBits=-1*this.windowBits),this.strm=new n,this.mode){case t.DEFLATE:case t.GZIP:case t.DEFLATERAW:this.err=l.deflateInit2(this.strm,this.level,t.Z_DEFLATED,this.windowBits,this.memLevel,this.strategy);break;case t.INFLATE:case t.GUNZIP:case t.INFLATERAW:case t.UNZIP:this.err=u.inflateInit2(this.strm,this.windowBits);break;default:throw new Error("Unknown mode "+this.mode)}this.err!==t.Z_OK&&this._error("Init error"),this.dictionary=c,this.write_in_progress=!1,this.init_done=!0},Zlib.prototype._setDictionary=function(){if(null!=this.dictionary){switch(this.err=t.Z_OK,this.mode){case t.DEFLATE:case t.DEFLATERAW:this.err=l.deflateSetDictionary(this.strm,this.dictionary)}this.err!==t.Z_OK&&this._error("Failed to set dictionary")}},Zlib.prototype._reset=function(){switch(this.err=t.Z_OK,this.mode){case t.DEFLATE:
case t.DEFLATERAW:case t.GZIP:this.err=l.deflateReset(this.strm);break;case t.INFLATE:case t.INFLATERAW:case t.GUNZIP:this.err=u.inflateReset(this.strm)}this.err!==t.Z_OK&&this._error("Failed to reset stream")},t.Zlib=Zlib}).call(this)}).call(this,e("_process"),e("buffer").Buffer)},{_process:272,assert:176,buffer:194,"pako/lib/zlib/constants":187,"pako/lib/zlib/deflate.js":189,"pako/lib/zlib/inflate.js":193,"pako/lib/zlib/zstream":192}],184:[function(e,s,t){(function(s){(function(){"use strict";var i=e("buffer").Buffer,a=e("stream").Transform,n=e("./binding"),l=e("util"),u=e("assert").ok,c=e("buffer").kMaxLength,d="Cannot create final Buffer. It would be larger than 0x"+c.toString(16)+" bytes";n.Z_MIN_WINDOWBITS=8,n.Z_MAX_WINDOWBITS=15,n.Z_DEFAULT_WINDOWBITS=15,n.Z_MIN_CHUNK=64,n.Z_MAX_CHUNK=1/0,n.Z_DEFAULT_CHUNK=16384,n.Z_MIN_MEMLEVEL=1,n.Z_MAX_MEMLEVEL=9,n.Z_DEFAULT_MEMLEVEL=8,n.Z_MIN_LEVEL=-1,n.Z_MAX_LEVEL=9,n.Z_DEFAULT_LEVEL=n.Z_DEFAULT_COMPRESSION
;for(var m=Object.keys(n),g=0;g<m.length;g++){var h=m[g];h.match(/^Z/)&&Object.defineProperty(t,h,{enumerable:!0,value:n[h],writable:!1})}for(var p={Z_OK:n.Z_OK,Z_STREAM_END:n.Z_STREAM_END,Z_NEED_DICT:n.Z_NEED_DICT,Z_ERRNO:n.Z_ERRNO,Z_STREAM_ERROR:n.Z_STREAM_ERROR,Z_DATA_ERROR:n.Z_DATA_ERROR,Z_MEM_ERROR:n.Z_MEM_ERROR,Z_BUF_ERROR:n.Z_BUF_ERROR,Z_VERSION_ERROR:n.Z_VERSION_ERROR},b=Object.keys(p),f=0;f<b.length;f++){var v=b[f];p[p[v]]=v}function zlibBuffer(e,s,t){var a=[],n=0;function flow(){for(var s;null!==(s=e.read());)a.push(s),n+=s.length;e.once("readable",flow)}function onEnd(){var s,l=null;n>=c?l=new RangeError(d):s=i.concat(a,n),a=[],e.close(),t(l,s)}e.on("error",(function onError(s){e.removeListener("end",onEnd),e.removeListener("readable",flow),t(s)})),e.on("end",onEnd),e.end(s),flow()}function zlibBufferSync(e,s){if("string"==typeof s&&(s=i.from(s)),!i.isBuffer(s))throw new TypeError("Not a string or buffer");var t=e._finishFlushFlag;return e._processChunk(s,t)}
function Deflate(e){if(!(this instanceof Deflate))return new Deflate(e);Zlib.call(this,e,n.DEFLATE)}function Inflate(e){if(!(this instanceof Inflate))return new Inflate(e);Zlib.call(this,e,n.INFLATE)}function Gzip(e){if(!(this instanceof Gzip))return new Gzip(e);Zlib.call(this,e,n.GZIP)}function Gunzip(e){if(!(this instanceof Gunzip))return new Gunzip(e);Zlib.call(this,e,n.GUNZIP)}function DeflateRaw(e){if(!(this instanceof DeflateRaw))return new DeflateRaw(e);Zlib.call(this,e,n.DEFLATERAW)}function InflateRaw(e){if(!(this instanceof InflateRaw))return new InflateRaw(e);Zlib.call(this,e,n.INFLATERAW)}function Unzip(e){if(!(this instanceof Unzip))return new Unzip(e);Zlib.call(this,e,n.UNZIP)}function isValidFlushFlag(e){return e===n.Z_NO_FLUSH||e===n.Z_PARTIAL_FLUSH||e===n.Z_SYNC_FLUSH||e===n.Z_FULL_FLUSH||e===n.Z_FINISH||e===n.Z_BLOCK}function Zlib(e,s){var l=this;if(this._opts=e=e||{},this._chunkSize=e.chunkSize||t.Z_DEFAULT_CHUNK,a.call(this,e),
e.flush&&!isValidFlushFlag(e.flush))throw new Error("Invalid flush flag: "+e.flush);if(e.finishFlush&&!isValidFlushFlag(e.finishFlush))throw new Error("Invalid flush flag: "+e.finishFlush);if(this._flushFlag=e.flush||n.Z_NO_FLUSH,this._finishFlushFlag=void 0!==e.finishFlush?e.finishFlush:n.Z_FINISH,e.chunkSize&&(e.chunkSize<t.Z_MIN_CHUNK||e.chunkSize>t.Z_MAX_CHUNK))throw new Error("Invalid chunk size: "+e.chunkSize);if(e.windowBits&&(e.windowBits<t.Z_MIN_WINDOWBITS||e.windowBits>t.Z_MAX_WINDOWBITS))throw new Error("Invalid windowBits: "+e.windowBits);if(e.level&&(e.level<t.Z_MIN_LEVEL||e.level>t.Z_MAX_LEVEL))throw new Error("Invalid compression level: "+e.level);if(e.memLevel&&(e.memLevel<t.Z_MIN_MEMLEVEL||e.memLevel>t.Z_MAX_MEMLEVEL))throw new Error("Invalid memLevel: "+e.memLevel);if(e.strategy&&e.strategy!=t.Z_FILTERED&&e.strategy!=t.Z_HUFFMAN_ONLY&&e.strategy!=t.Z_RLE&&e.strategy!=t.Z_FIXED&&e.strategy!=t.Z_DEFAULT_STRATEGY)throw new Error("Invalid strategy: "+e.strategy)
;if(e.dictionary&&!i.isBuffer(e.dictionary))throw new Error("Invalid dictionary: it should be a Buffer instance");this._handle=new n.Zlib(s);var u=this;this._hadError=!1,this._handle.onerror=function(e,s){_close(u),u._hadError=!0;var i=new Error(e);i.errno=s,i.code=t.codes[s],u.emit("error",i)};var c=t.Z_DEFAULT_COMPRESSION;"number"==typeof e.level&&(c=e.level);var d=t.Z_DEFAULT_STRATEGY;"number"==typeof e.strategy&&(d=e.strategy),this._handle.init(e.windowBits||t.Z_DEFAULT_WINDOWBITS,c,e.memLevel||t.Z_DEFAULT_MEMLEVEL,d,e.dictionary),this._buffer=i.allocUnsafe(this._chunkSize),this._offset=0,this._level=c,this._strategy=d,this.once("end",this.close),Object.defineProperty(this,"_closed",{get:function(){return!l._handle},configurable:!0,enumerable:!0})}function _close(e,t){t&&s.nextTick(t),e._handle&&(e._handle.close(),e._handle=null)}function emitCloseNT(e){e.emit("close")}Object.defineProperty(t,"codes",{enumerable:!0,value:Object.freeze(p),writable:!1}),t.Deflate=Deflate,
t.Inflate=Inflate,t.Gzip=Gzip,t.Gunzip=Gunzip,t.DeflateRaw=DeflateRaw,t.InflateRaw=InflateRaw,t.Unzip=Unzip,t.createDeflate=function(e){return new Deflate(e)},t.createInflate=function(e){return new Inflate(e)},t.createDeflateRaw=function(e){return new DeflateRaw(e)},t.createInflateRaw=function(e){return new InflateRaw(e)},t.createGzip=function(e){return new Gzip(e)},t.createGunzip=function(e){return new Gunzip(e)},t.createUnzip=function(e){return new Unzip(e)},t.deflate=function(e,s,t){return"function"==typeof s&&(t=s,s={}),zlibBuffer(new Deflate(s),e,t)},t.deflateSync=function(e,s){return zlibBufferSync(new Deflate(s),e)},t.gzip=function(e,s,t){return"function"==typeof s&&(t=s,s={}),zlibBuffer(new Gzip(s),e,t)},t.gzipSync=function(e,s){return zlibBufferSync(new Gzip(s),e)},t.deflateRaw=function(e,s,t){return"function"==typeof s&&(t=s,s={}),zlibBuffer(new DeflateRaw(s),e,t)},t.deflateRawSync=function(e,s){return zlibBufferSync(new DeflateRaw(s),e)},t.unzip=function(e,s,t){
return"function"==typeof s&&(t=s,s={}),zlibBuffer(new Unzip(s),e,t)},t.unzipSync=function(e,s){return zlibBufferSync(new Unzip(s),e)},t.inflate=function(e,s,t){return"function"==typeof s&&(t=s,s={}),zlibBuffer(new Inflate(s),e,t)},t.inflateSync=function(e,s){return zlibBufferSync(new Inflate(s),e)},t.gunzip=function(e,s,t){return"function"==typeof s&&(t=s,s={}),zlibBuffer(new Gunzip(s),e,t)},t.gunzipSync=function(e,s){return zlibBufferSync(new Gunzip(s),e)},t.inflateRaw=function(e,s,t){return"function"==typeof s&&(t=s,s={}),zlibBuffer(new InflateRaw(s),e,t)},t.inflateRawSync=function(e,s){return zlibBufferSync(new InflateRaw(s),e)},l.inherits(Zlib,a),Zlib.prototype.params=function(e,i,a){if(e<t.Z_MIN_LEVEL||e>t.Z_MAX_LEVEL)throw new RangeError("Invalid compression level: "+e);if(i!=t.Z_FILTERED&&i!=t.Z_HUFFMAN_ONLY&&i!=t.Z_RLE&&i!=t.Z_FIXED&&i!=t.Z_DEFAULT_STRATEGY)throw new TypeError("Invalid strategy: "+i);if(this._level!==e||this._strategy!==i){var l=this
;this.flush(n.Z_SYNC_FLUSH,(function(){u(l._handle,"zlib binding closed"),l._handle.params(e,i),l._hadError||(l._level=e,l._strategy=i,a&&a())}))}else s.nextTick(a)},Zlib.prototype.reset=function(){return u(this._handle,"zlib binding closed"),this._handle.reset()},Zlib.prototype._flush=function(e){this._transform(i.alloc(0),"",e)},Zlib.prototype.flush=function(e,t){var a=this,l=this._writableState;("function"==typeof e||void 0===e&&!t)&&(t=e,e=n.Z_FULL_FLUSH),l.ended?t&&s.nextTick(t):l.ending?t&&this.once("end",t):l.needDrain?t&&this.once("drain",(function(){return a.flush(e,t)})):(this._flushFlag=e,this.write(i.alloc(0),"",t))},Zlib.prototype.close=function(e){_close(this,e),s.nextTick(emitCloseNT,this)},Zlib.prototype._transform=function(e,s,t){var a,l=this._writableState,u=(l.ending||l.ended)&&(!e||l.length===e.length);return null===e||i.isBuffer(e)?this._handle?(u?a=this._finishFlushFlag:(a=this._flushFlag,e.length>=l.length&&(this._flushFlag=this._opts.flush||n.Z_NO_FLUSH)),
void this._processChunk(e,a,t)):t(new Error("zlib binding closed")):t(new Error("invalid input"))},Zlib.prototype._processChunk=function(e,s,t){var a=e&&e.length,n=this._chunkSize-this._offset,l=0,m=this,g="function"==typeof t;if(!g){var h,p=[],b=0;this.on("error",(function(e){h=e})),u(this._handle,"zlib binding closed");do{var f=this._handle.writeSync(s,e,l,a,this._buffer,this._offset,n)}while(!this._hadError&&callback(f[0],f[1]));if(this._hadError)throw h;if(b>=c)throw _close(this),new RangeError(d);var v=i.concat(p,b);return _close(this),v}u(this._handle,"zlib binding closed");var j=this._handle.write(s,e,l,a,this._buffer,this._offset,n);function callback(c,d){if(this&&(this.buffer=null,this.callback=null),!m._hadError){var h=n-d;if(u(h>=0,"have should not go down"),h>0){var f=m._buffer.slice(m._offset,m._offset+h);m._offset+=h,g?m.push(f):(p.push(f),b+=f.length)}if((0===d||m._offset>=m._chunkSize)&&(n=m._chunkSize,m._offset=0,m._buffer=i.allocUnsafe(m._chunkSize)),0===d){if(l+=a-c,
a=c,!g)return!0;var v=m._handle.write(s,e,l,a,m._buffer,m._offset,m._chunkSize);return v.callback=callback,void(v.buffer=e)}if(!g)return!1;t()}}j.buffer=e,j.callback=callback},l.inherits(Deflate,Zlib),l.inherits(Inflate,Zlib),l.inherits(Gzip,Zlib),l.inherits(Gunzip,Zlib),l.inherits(DeflateRaw,Zlib),l.inherits(InflateRaw,Zlib),l.inherits(Unzip,Zlib)}).call(this)}).call(this,e("_process"))},{"./binding":183,_process:272,assert:176,buffer:194,stream:283,util:306}],185:[function(e,s,t){"use strict";var i="undefined"!=typeof Uint8Array&&"undefined"!=typeof Uint16Array&&"undefined"!=typeof Int32Array;function _has(e,s){return Object.prototype.hasOwnProperty.call(e,s)}t.assign=function(e){for(var s=Array.prototype.slice.call(arguments,1);s.length;){var t=s.shift();if(t){if("object"!=typeof t)throw new TypeError(t+"must be non-object");for(var i in t)_has(t,i)&&(e[i]=t[i])}}return e},t.shrinkBuf=function(e,s){return e.length===s?e:e.subarray?e.subarray(0,s):(e.length=s,e)};var a={
arraySet:function(e,s,t,i,a){if(s.subarray&&e.subarray)e.set(s.subarray(t,t+i),a);else for(var n=0;n<i;n++)e[a+n]=s[t+n]},flattenChunks:function(e){var s,t,i,a,n,l;for(i=0,s=0,t=e.length;s<t;s++)i+=e[s].length;for(l=new Uint8Array(i),a=0,s=0,t=e.length;s<t;s++)n=e[s],l.set(n,a),a+=n.length;return l}},n={arraySet:function(e,s,t,i,a){for(var n=0;n<i;n++)e[a+n]=s[t+n]},flattenChunks:function(e){return[].concat.apply([],e)}};t.setTyped=function(e){e?(t.Buf8=Uint8Array,t.Buf16=Uint16Array,t.Buf32=Int32Array,t.assign(t,a)):(t.Buf8=Array,t.Buf16=Array,t.Buf32=Array,t.assign(t,n))},t.setTyped(i)},{}],186:[function(e,s,t){"use strict";s.exports=function adler32(e,s,t,i){for(var a=65535&e|0,n=e>>>16&65535|0,l=0;0!==t;){t-=l=t>2e3?2e3:t;do{n=n+(a=a+s[i++]|0)|0}while(--l);a%=65521,n%=65521}return a|n<<16|0}},{}],187:[function(e,s,t){"use strict";s.exports={Z_NO_FLUSH:0,Z_PARTIAL_FLUSH:1,Z_SYNC_FLUSH:2,Z_FULL_FLUSH:3,Z_FINISH:4,Z_BLOCK:5,Z_TREES:6,Z_OK:0,Z_STREAM_END:1,Z_NEED_DICT:2,Z_ERRNO:-1,
Z_STREAM_ERROR:-2,Z_DATA_ERROR:-3,Z_BUF_ERROR:-5,Z_NO_COMPRESSION:0,Z_BEST_SPEED:1,Z_BEST_COMPRESSION:9,Z_DEFAULT_COMPRESSION:-1,Z_FILTERED:1,Z_HUFFMAN_ONLY:2,Z_RLE:3,Z_FIXED:4,Z_DEFAULT_STRATEGY:0,Z_BINARY:0,Z_TEXT:1,Z_UNKNOWN:2,Z_DEFLATED:8}},{}],188:[function(e,s,t){"use strict";var i=function makeTable(){for(var e,s=[],t=0;t<256;t++){e=t;for(var i=0;i<8;i++)e=1&e?3988292384^e>>>1:e>>>1;s[t]=e}return s}();s.exports=function crc32(e,s,t,a){var n=i,l=a+t;e^=-1;for(var u=a;u<l;u++)e=e>>>8^n[255&(e^s[u])];return-1^e}},{}],189:[function(e,s,t){"use strict";var i,a=e("../utils/common"),n=e("./trees"),l=e("./adler32"),u=e("./crc32"),c=e("./messages"),d=-2,m=258,g=262,h=103,p=113,b=666;function err(e,s){return e.msg=c[s],s}function rank(e){return(e<<1)-(e>4?9:0)}function zero(e){for(var s=e.length;--s>=0;)e[s]=0}function flush_pending(e){var s=e.state,t=s.pending;t>e.avail_out&&(t=e.avail_out),0!==t&&(a.arraySet(e.output,s.pending_buf,s.pending_out,t,e.next_out),e.next_out+=t,
s.pending_out+=t,e.total_out+=t,e.avail_out-=t,s.pending-=t,0===s.pending&&(s.pending_out=0))}function flush_block_only(e,s){n._tr_flush_block(e,e.block_start>=0?e.block_start:-1,e.strstart-e.block_start,s),e.block_start=e.strstart,flush_pending(e.strm)}function put_byte(e,s){e.pending_buf[e.pending++]=s}function putShortMSB(e,s){e.pending_buf[e.pending++]=s>>>8&255,e.pending_buf[e.pending++]=255&s}function longest_match(e,s){var t,i,a=e.max_chain_length,n=e.strstart,l=e.prev_length,u=e.nice_match,c=e.strstart>e.w_size-g?e.strstart-(e.w_size-g):0,d=e.window,h=e.w_mask,p=e.prev,b=e.strstart+m,f=d[n+l-1],v=d[n+l];e.prev_length>=e.good_match&&(a>>=2),u>e.lookahead&&(u=e.lookahead);do{if(d[(t=s)+l]===v&&d[t+l-1]===f&&d[t]===d[n]&&d[++t]===d[n+1]){n+=2,t++;do{}while(d[++n]===d[++t]&&d[++n]===d[++t]&&d[++n]===d[++t]&&d[++n]===d[++t]&&d[++n]===d[++t]&&d[++n]===d[++t]&&d[++n]===d[++t]&&d[++n]===d[++t]&&n<b);if(i=m-(b-n),n=b-m,i>l){if(e.match_start=s,l=i,i>=u)break;f=d[n+l-1],v=d[n+l]}}
}while((s=p[s&h])>c&&0!=--a);return l<=e.lookahead?l:e.lookahead}function fill_window(e){var s,t,i,n,c,d,m,h,p,b,f=e.w_size;do{if(n=e.window_size-e.lookahead-e.strstart,e.strstart>=f+(f-g)){a.arraySet(e.window,e.window,f,f,0),e.match_start-=f,e.strstart-=f,e.block_start-=f,s=t=e.hash_size;do{i=e.head[--s],e.head[s]=i>=f?i-f:0}while(--t);s=t=f;do{i=e.prev[--s],e.prev[s]=i>=f?i-f:0}while(--t);n+=f}if(0===e.strm.avail_in)break;if(d=e.strm,m=e.window,h=e.strstart+e.lookahead,p=n,b=void 0,(b=d.avail_in)>p&&(b=p),t=0===b?0:(d.avail_in-=b,a.arraySet(m,d.input,d.next_in,b,h),1===d.state.wrap?d.adler=l(d.adler,m,b,h):2===d.state.wrap&&(d.adler=u(d.adler,m,b,h)),d.next_in+=b,d.total_in+=b,b),e.lookahead+=t,e.lookahead+e.insert>=3)for(c=e.strstart-e.insert,e.ins_h=e.window[c],e.ins_h=(e.ins_h<<e.hash_shift^e.window[c+1])&e.hash_mask;e.insert&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[c+3-1])&e.hash_mask,e.prev[c&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=c,c++,e.insert--,
!(e.lookahead+e.insert<3)););}while(e.lookahead<g&&0!==e.strm.avail_in)}function deflate_fast(e,s){for(var t,i;;){if(e.lookahead<g){if(fill_window(e),e.lookahead<g&&0===s)return 1;if(0===e.lookahead)break}if(t=0,e.lookahead>=3&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,t=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),0!==t&&e.strstart-t<=e.w_size-g&&(e.match_length=longest_match(e,t)),e.match_length>=3)if(i=n._tr_tally(e,e.strstart-e.match_start,e.match_length-3),e.lookahead-=e.match_length,e.match_length<=e.max_lazy_match&&e.lookahead>=3){e.match_length--;do{e.strstart++,e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,t=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart}while(0!=--e.match_length);e.strstart++}else e.strstart+=e.match_length,e.match_length=0,e.ins_h=e.window[e.strstart],
e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+1])&e.hash_mask;else i=n._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++;if(i&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=e.strstart<2?e.strstart:2,4===s?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}function deflate_slow(e,s){for(var t,i,a;;){if(e.lookahead<g){if(fill_window(e),e.lookahead<g&&0===s)return 1;if(0===e.lookahead)break}if(t=0,e.lookahead>=3&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,t=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),e.prev_length=e.match_length,e.prev_match=e.match_start,e.match_length=2,0!==t&&e.prev_length<e.max_lazy_match&&e.strstart-t<=e.w_size-g&&(e.match_length=longest_match(e,t),e.match_length<=5&&(1===e.strategy||3===e.match_length&&e.strstart-e.match_start>4096)&&(e.match_length=2)),e.prev_length>=3&&e.match_length<=e.prev_length){
a=e.strstart+e.lookahead-3,i=n._tr_tally(e,e.strstart-1-e.prev_match,e.prev_length-3),e.lookahead-=e.prev_length-1,e.prev_length-=2;do{++e.strstart<=a&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,t=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart)}while(0!=--e.prev_length);if(e.match_available=0,e.match_length=2,e.strstart++,i&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}else if(e.match_available){if((i=n._tr_tally(e,0,e.window[e.strstart-1]))&&flush_block_only(e,!1),e.strstart++,e.lookahead--,0===e.strm.avail_out)return 1}else e.match_available=1,e.strstart++,e.lookahead--}return e.match_available&&(i=n._tr_tally(e,0,e.window[e.strstart-1]),e.match_available=0),e.insert=e.strstart<2?e.strstart:2,4===s?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}function Config(e,s,t,i,a){this.good_length=e,this.max_lazy=s,this.nice_length=t,this.max_chain=i,this.func=a}
function DeflateState(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=8,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new a.Buf16(1146),this.dyn_dtree=new a.Buf16(122),this.bl_tree=new a.Buf16(78),zero(this.dyn_ltree),zero(this.dyn_dtree),zero(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new a.Buf16(16),this.heap=new a.Buf16(573),zero(this.heap),this.heap_len=0,this.heap_max=0,
this.depth=new a.Buf16(573),zero(this.depth),this.l_buf=0,this.lit_bufsize=0,this.last_lit=0,this.d_buf=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=0,this.bi_buf=0,this.bi_valid=0}function deflateResetKeep(e){var s;return e&&e.state?(e.total_in=e.total_out=0,e.data_type=2,(s=e.state).pending=0,s.pending_out=0,s.wrap<0&&(s.wrap=-s.wrap),s.status=s.wrap?42:p,e.adler=2===s.wrap?0:1,s.last_flush=0,n._tr_init(s),0):err(e,d)}function deflateReset(e){var s=deflateResetKeep(e);return 0===s&&function lm_init(e){e.window_size=2*e.w_size,zero(e.head),e.max_lazy_match=i[e.level].max_lazy,e.good_match=i[e.level].good_length,e.nice_match=i[e.level].nice_length,e.max_chain_length=i[e.level].max_chain,e.strstart=0,e.block_start=0,e.lookahead=0,e.insert=0,e.match_length=e.prev_length=2,e.match_available=0,e.ins_h=0}(e.state),s}function deflateInit2(e,s,t,i,n,l){if(!e)return d;var u=1;if(-1===s&&(s=6),i<0?(u=0,i=-i):i>15&&(u=2,i-=16),
n<1||n>9||8!==t||i<8||i>15||s<0||s>9||l<0||l>4)return err(e,d);8===i&&(i=9);var c=new DeflateState;return e.state=c,c.strm=e,c.wrap=u,c.gzhead=null,c.w_bits=i,c.w_size=1<<c.w_bits,c.w_mask=c.w_size-1,c.hash_bits=n+7,c.hash_size=1<<c.hash_bits,c.hash_mask=c.hash_size-1,c.hash_shift=~~((c.hash_bits+3-1)/3),c.window=new a.Buf8(2*c.w_size),c.head=new a.Buf16(c.hash_size),c.prev=new a.Buf16(c.w_size),c.lit_bufsize=1<<n+6,c.pending_buf_size=4*c.lit_bufsize,c.pending_buf=new a.Buf8(c.pending_buf_size),c.d_buf=1*c.lit_bufsize,c.l_buf=3*c.lit_bufsize,c.level=s,c.strategy=l,c.method=t,deflateReset(e)}i=[new Config(0,0,0,0,(function deflate_stored(e,s){var t=65535;for(t>e.pending_buf_size-5&&(t=e.pending_buf_size-5);;){if(e.lookahead<=1){if(fill_window(e),0===e.lookahead&&0===s)return 1;if(0===e.lookahead)break}e.strstart+=e.lookahead,e.lookahead=0;var i=e.block_start+t;if((0===e.strstart||e.strstart>=i)&&(e.lookahead=e.strstart-i,e.strstart=i,flush_block_only(e,!1),0===e.strm.avail_out))return 1
;if(e.strstart-e.block_start>=e.w_size-g&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===s?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):(e.strstart>e.block_start&&(flush_block_only(e,!1),e.strm.avail_out),1)})),new Config(4,4,8,4,deflate_fast),new Config(4,5,16,8,deflate_fast),new Config(4,6,32,32,deflate_fast),new Config(4,4,16,16,deflate_slow),new Config(8,16,32,32,deflate_slow),new Config(8,16,128,128,deflate_slow),new Config(8,32,128,256,deflate_slow),new Config(32,128,258,1024,deflate_slow),new Config(32,258,258,4096,deflate_slow)],t.deflateInit=function deflateInit(e,s){return deflateInit2(e,s,8,15,8,0)},t.deflateInit2=deflateInit2,t.deflateReset=deflateReset,t.deflateResetKeep=deflateResetKeep,t.deflateSetHeader=function deflateSetHeader(e,s){return e&&e.state?2!==e.state.wrap?d:(e.state.gzhead=s,0):d},t.deflate=function deflate(e,s){var t,a,l,c;if(!e||!e.state||s>5||s<0)return e?err(e,d):d;if(a=e.state,
!e.output||!e.input&&0!==e.avail_in||a.status===b&&4!==s)return err(e,0===e.avail_out?-5:d);if(a.strm=e,t=a.last_flush,a.last_flush=s,42===a.status)if(2===a.wrap)e.adler=0,put_byte(a,31),put_byte(a,139),put_byte(a,8),a.gzhead?(put_byte(a,(a.gzhead.text?1:0)+(a.gzhead.hcrc?2:0)+(a.gzhead.extra?4:0)+(a.gzhead.name?8:0)+(a.gzhead.comment?16:0)),put_byte(a,255&a.gzhead.time),put_byte(a,a.gzhead.time>>8&255),put_byte(a,a.gzhead.time>>16&255),put_byte(a,a.gzhead.time>>24&255),put_byte(a,9===a.level?2:a.strategy>=2||a.level<2?4:0),put_byte(a,255&a.gzhead.os),a.gzhead.extra&&a.gzhead.extra.length&&(put_byte(a,255&a.gzhead.extra.length),put_byte(a,a.gzhead.extra.length>>8&255)),a.gzhead.hcrc&&(e.adler=u(e.adler,a.pending_buf,a.pending,0)),a.gzindex=0,a.status=69):(put_byte(a,0),put_byte(a,0),put_byte(a,0),put_byte(a,0),put_byte(a,0),put_byte(a,9===a.level?2:a.strategy>=2||a.level<2?4:0),put_byte(a,3),a.status=p);else{var g=8+(a.w_bits-8<<4)<<8
;g|=(a.strategy>=2||a.level<2?0:a.level<6?1:6===a.level?2:3)<<6,0!==a.strstart&&(g|=32),g+=31-g%31,a.status=p,putShortMSB(a,g),0!==a.strstart&&(putShortMSB(a,e.adler>>>16),putShortMSB(a,65535&e.adler)),e.adler=1}if(69===a.status)if(a.gzhead.extra){for(l=a.pending;a.gzindex<(65535&a.gzhead.extra.length)&&(a.pending!==a.pending_buf_size||(a.gzhead.hcrc&&a.pending>l&&(e.adler=u(e.adler,a.pending_buf,a.pending-l,l)),flush_pending(e),l=a.pending,a.pending!==a.pending_buf_size));)put_byte(a,255&a.gzhead.extra[a.gzindex]),a.gzindex++;a.gzhead.hcrc&&a.pending>l&&(e.adler=u(e.adler,a.pending_buf,a.pending-l,l)),a.gzindex===a.gzhead.extra.length&&(a.gzindex=0,a.status=73)}else a.status=73;if(73===a.status)if(a.gzhead.name){l=a.pending;do{if(a.pending===a.pending_buf_size&&(a.gzhead.hcrc&&a.pending>l&&(e.adler=u(e.adler,a.pending_buf,a.pending-l,l)),flush_pending(e),l=a.pending,a.pending===a.pending_buf_size)){c=1;break}c=a.gzindex<a.gzhead.name.length?255&a.gzhead.name.charCodeAt(a.gzindex++):0,
put_byte(a,c)}while(0!==c);a.gzhead.hcrc&&a.pending>l&&(e.adler=u(e.adler,a.pending_buf,a.pending-l,l)),0===c&&(a.gzindex=0,a.status=91)}else a.status=91;if(91===a.status)if(a.gzhead.comment){l=a.pending;do{if(a.pending===a.pending_buf_size&&(a.gzhead.hcrc&&a.pending>l&&(e.adler=u(e.adler,a.pending_buf,a.pending-l,l)),flush_pending(e),l=a.pending,a.pending===a.pending_buf_size)){c=1;break}c=a.gzindex<a.gzhead.comment.length?255&a.gzhead.comment.charCodeAt(a.gzindex++):0,put_byte(a,c)}while(0!==c);a.gzhead.hcrc&&a.pending>l&&(e.adler=u(e.adler,a.pending_buf,a.pending-l,l)),0===c&&(a.status=h)}else a.status=h;if(a.status===h&&(a.gzhead.hcrc?(a.pending+2>a.pending_buf_size&&flush_pending(e),a.pending+2<=a.pending_buf_size&&(put_byte(a,255&e.adler),put_byte(a,e.adler>>8&255),e.adler=0,a.status=p)):a.status=p),0!==a.pending){if(flush_pending(e),0===e.avail_out)return a.last_flush=-1,0}else if(0===e.avail_in&&rank(s)<=rank(t)&&4!==s)return err(e,-5)
;if(a.status===b&&0!==e.avail_in)return err(e,-5);if(0!==e.avail_in||0!==a.lookahead||0!==s&&a.status!==b){var f=2===a.strategy?function deflate_huff(e,s){for(var t;;){if(0===e.lookahead&&(fill_window(e),0===e.lookahead)){if(0===s)return 1;break}if(e.match_length=0,t=n._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++,t&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===s?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}(a,s):3===a.strategy?function deflate_rle(e,s){for(var t,i,a,l,u=e.window;;){if(e.lookahead<=m){if(fill_window(e),e.lookahead<=m&&0===s)return 1;if(0===e.lookahead)break}if(e.match_length=0,e.lookahead>=3&&e.strstart>0&&(i=u[a=e.strstart-1])===u[++a]&&i===u[++a]&&i===u[++a]){l=e.strstart+m;do{}while(i===u[++a]&&i===u[++a]&&i===u[++a]&&i===u[++a]&&i===u[++a]&&i===u[++a]&&i===u[++a]&&i===u[++a]&&a<l);e.match_length=m-(l-a),
e.match_length>e.lookahead&&(e.match_length=e.lookahead)}if(e.match_length>=3?(t=n._tr_tally(e,1,e.match_length-3),e.lookahead-=e.match_length,e.strstart+=e.match_length,e.match_length=0):(t=n._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++),t&&(flush_block_only(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===s?(flush_block_only(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(flush_block_only(e,!1),0===e.strm.avail_out)?1:2}(a,s):i[a.level].func(a,s);if(3!==f&&4!==f||(a.status=b),1===f||3===f)return 0===e.avail_out&&(a.last_flush=-1),0;if(2===f&&(1===s?n._tr_align(a):5!==s&&(n._tr_stored_block(a,0,0,!1),3===s&&(zero(a.head),0===a.lookahead&&(a.strstart=0,a.block_start=0,a.insert=0))),flush_pending(e),0===e.avail_out))return a.last_flush=-1,0}return 4!==s?0:a.wrap<=0?1:(2===a.wrap?(put_byte(a,255&e.adler),put_byte(a,e.adler>>8&255),put_byte(a,e.adler>>16&255),put_byte(a,e.adler>>24&255),put_byte(a,255&e.total_in),put_byte(a,e.total_in>>8&255),
put_byte(a,e.total_in>>16&255),put_byte(a,e.total_in>>24&255)):(putShortMSB(a,e.adler>>>16),putShortMSB(a,65535&e.adler)),flush_pending(e),a.wrap>0&&(a.wrap=-a.wrap),0!==a.pending?0:1)},t.deflateEnd=function deflateEnd(e){var s;return e&&e.state?42!==(s=e.state.status)&&69!==s&&73!==s&&91!==s&&s!==h&&s!==p&&s!==b?err(e,d):(e.state=null,s===p?err(e,-3):0):d},t.deflateSetDictionary=function deflateSetDictionary(e,s){var t,i,n,u,c,m,g,h,p=s.length;if(!e||!e.state)return d;if(2===(u=(t=e.state).wrap)||1===u&&42!==t.status||t.lookahead)return d;for(1===u&&(e.adler=l(e.adler,s,p,0)),t.wrap=0,p>=t.w_size&&(0===u&&(zero(t.head),t.strstart=0,t.block_start=0,t.insert=0),h=new a.Buf8(t.w_size),a.arraySet(h,s,p-t.w_size,t.w_size,0),s=h,p=t.w_size),c=e.avail_in,m=e.next_in,g=e.input,e.avail_in=p,e.next_in=0,e.input=s,fill_window(t);t.lookahead>=3;){i=t.strstart,n=t.lookahead-2;do{t.ins_h=(t.ins_h<<t.hash_shift^t.window[i+3-1])&t.hash_mask,t.prev[i&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=i,i++
}while(--n);t.strstart=i,t.lookahead=2,fill_window(t)}return t.strstart+=t.lookahead,t.block_start=t.strstart,t.insert=t.lookahead,t.lookahead=0,t.match_length=t.prev_length=2,t.match_available=0,e.next_in=m,e.input=g,e.avail_in=c,t.wrap=u,0},t.deflateInfo="pako deflate (from Nodeca project)"},{"../utils/common":185,"./adler32":186,"./crc32":188,"./messages":190,"./trees":191}],190:[function(e,s,t){"use strict";s.exports={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"}},{}],191:[function(e,s,t){"use strict";var i=e("../utils/common");function zero(e){for(var s=e.length;--s>=0;)e[s]=0}var a=256,n=286,l=30,u=15,c=[0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0],d=[0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13],m=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7],g=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],h=new Array(576);zero(h)
;var p=new Array(60);zero(p);var b=new Array(512);zero(b);var f=new Array(256);zero(f);var v=new Array(29);zero(v);var j,k,y,w=new Array(l);function StaticTreeDesc(e,s,t,i,a){this.static_tree=e,this.extra_bits=s,this.extra_base=t,this.elems=i,this.max_length=a,this.has_stree=e&&e.length}function TreeDesc(e,s){this.dyn_tree=e,this.max_code=0,this.stat_desc=s}function d_code(e){return e<256?b[e]:b[256+(e>>>7)]}function put_short(e,s){e.pending_buf[e.pending++]=255&s,e.pending_buf[e.pending++]=s>>>8&255}function send_bits(e,s,t){e.bi_valid>16-t?(e.bi_buf|=s<<e.bi_valid&65535,put_short(e,e.bi_buf),e.bi_buf=s>>16-e.bi_valid,e.bi_valid+=t-16):(e.bi_buf|=s<<e.bi_valid&65535,e.bi_valid+=t)}function send_code(e,s,t){send_bits(e,t[2*s],t[2*s+1])}function bi_reverse(e,s){var t=0;do{t|=1&e,e>>>=1,t<<=1}while(--s>0);return t>>>1}function gen_codes(e,s,t){var i,a,n=new Array(16),l=0;for(i=1;i<=u;i++)n[i]=l=l+t[i-1]<<1;for(a=0;a<=s;a++){var c=e[2*a+1];0!==c&&(e[2*a]=bi_reverse(n[c]++,c))}}
function init_block(e){var s;for(s=0;s<n;s++)e.dyn_ltree[2*s]=0;for(s=0;s<l;s++)e.dyn_dtree[2*s]=0;for(s=0;s<19;s++)e.bl_tree[2*s]=0;e.dyn_ltree[512]=1,e.opt_len=e.static_len=0,e.last_lit=e.matches=0}function bi_windup(e){e.bi_valid>8?put_short(e,e.bi_buf):e.bi_valid>0&&(e.pending_buf[e.pending++]=e.bi_buf),e.bi_buf=0,e.bi_valid=0}function smaller(e,s,t,i){var a=2*s,n=2*t;return e[a]<e[n]||e[a]===e[n]&&i[s]<=i[t]}function pqdownheap(e,s,t){for(var i=e.heap[t],a=t<<1;a<=e.heap_len&&(a<e.heap_len&&smaller(s,e.heap[a+1],e.heap[a],e.depth)&&a++,!smaller(s,i,e.heap[a],e.depth));)e.heap[t]=e.heap[a],t=a,a<<=1;e.heap[t]=i}function compress_block(e,s,t){var i,n,l,u,m=0;if(0!==e.last_lit)do{i=e.pending_buf[e.d_buf+2*m]<<8|e.pending_buf[e.d_buf+2*m+1],n=e.pending_buf[e.l_buf+m],m++,0===i?send_code(e,n,s):(send_code(e,(l=f[n])+a+1,s),0!==(u=c[l])&&send_bits(e,n-=v[l],u),send_code(e,l=d_code(--i),t),0!==(u=d[l])&&send_bits(e,i-=w[l],u))}while(m<e.last_lit);send_code(e,256,s)}
function build_tree(e,s){var t,i,a,n=s.dyn_tree,l=s.stat_desc.static_tree,c=s.stat_desc.has_stree,d=s.stat_desc.elems,m=-1;for(e.heap_len=0,e.heap_max=573,t=0;t<d;t++)0!==n[2*t]?(e.heap[++e.heap_len]=m=t,e.depth[t]=0):n[2*t+1]=0;for(;e.heap_len<2;)n[2*(a=e.heap[++e.heap_len]=m<2?++m:0)]=1,e.depth[a]=0,e.opt_len--,c&&(e.static_len-=l[2*a+1]);for(s.max_code=m,t=e.heap_len>>1;t>=1;t--)pqdownheap(e,n,t);a=d;do{t=e.heap[1],e.heap[1]=e.heap[e.heap_len--],pqdownheap(e,n,1),i=e.heap[1],e.heap[--e.heap_max]=t,e.heap[--e.heap_max]=i,n[2*a]=n[2*t]+n[2*i],e.depth[a]=(e.depth[t]>=e.depth[i]?e.depth[t]:e.depth[i])+1,n[2*t+1]=n[2*i+1]=a,e.heap[1]=a++,pqdownheap(e,n,1)}while(e.heap_len>=2);e.heap[--e.heap_max]=e.heap[1],function gen_bitlen(e,s){var t,i,a,n,l,c,d=s.dyn_tree,m=s.max_code,g=s.stat_desc.static_tree,h=s.stat_desc.has_stree,p=s.stat_desc.extra_bits,b=s.stat_desc.extra_base,f=s.stat_desc.max_length,v=0;for(n=0;n<=u;n++)e.bl_count[n]=0;for(d[2*e.heap[e.heap_max]+1]=0,
t=e.heap_max+1;t<573;t++)(n=d[2*d[2*(i=e.heap[t])+1]+1]+1)>f&&(n=f,v++),d[2*i+1]=n,i>m||(e.bl_count[n]++,l=0,i>=b&&(l=p[i-b]),c=d[2*i],e.opt_len+=c*(n+l),h&&(e.static_len+=c*(g[2*i+1]+l)));if(0!==v){do{for(n=f-1;0===e.bl_count[n];)n--;e.bl_count[n]--,e.bl_count[n+1]+=2,e.bl_count[f]--,v-=2}while(v>0);for(n=f;0!==n;n--)for(i=e.bl_count[n];0!==i;)(a=e.heap[--t])>m||(d[2*a+1]!==n&&(e.opt_len+=(n-d[2*a+1])*d[2*a],d[2*a+1]=n),i--)}}(e,s),gen_codes(n,m,e.bl_count)}function scan_tree(e,s,t){var i,a,n=-1,l=s[1],u=0,c=7,d=4;for(0===l&&(c=138,d=3),s[2*(t+1)+1]=65535,i=0;i<=t;i++)a=l,l=s[2*(i+1)+1],++u<c&&a===l||(u<d?e.bl_tree[2*a]+=u:0!==a?(a!==n&&e.bl_tree[2*a]++,e.bl_tree[32]++):u<=10?e.bl_tree[34]++:e.bl_tree[36]++,u=0,n=a,0===l?(c=138,d=3):a===l?(c=6,d=3):(c=7,d=4))}function send_tree(e,s,t){var i,a,n=-1,l=s[1],u=0,c=7,d=4;for(0===l&&(c=138,d=3),i=0;i<=t;i++)if(a=l,l=s[2*(i+1)+1],!(++u<c&&a===l)){if(u<d)do{send_code(e,a,e.bl_tree)}while(0!=--u);else 0!==a?(a!==n&&(send_code(e,a,e.bl_tree),
u--),send_code(e,16,e.bl_tree),send_bits(e,u-3,2)):u<=10?(send_code(e,17,e.bl_tree),send_bits(e,u-3,3)):(send_code(e,18,e.bl_tree),send_bits(e,u-11,7));u=0,n=a,0===l?(c=138,d=3):a===l?(c=6,d=3):(c=7,d=4)}}zero(w);var z=!1;function _tr_stored_block(e,s,t,a){send_bits(e,0+(a?1:0),3),function copy_block(e,s,t,a){bi_windup(e),a&&(put_short(e,t),put_short(e,~t)),i.arraySet(e.pending_buf,e.window,s,t,e.pending),e.pending+=t}(e,s,t,!0)}t._tr_init=function _tr_init(e){z||(!function tr_static_init(){var e,s,t,i,a,g=new Array(16);for(t=0,i=0;i<28;i++)for(v[i]=t,e=0;e<1<<c[i];e++)f[t++]=i;for(f[t-1]=i,a=0,i=0;i<16;i++)for(w[i]=a,e=0;e<1<<d[i];e++)b[a++]=i;for(a>>=7;i<l;i++)for(w[i]=a<<7,e=0;e<1<<d[i]-7;e++)b[256+a++]=i;for(s=0;s<=u;s++)g[s]=0;for(e=0;e<=143;)h[2*e+1]=8,e++,g[8]++;for(;e<=255;)h[2*e+1]=9,e++,g[9]++;for(;e<=279;)h[2*e+1]=7,e++,g[7]++;for(;e<=287;)h[2*e+1]=8,e++,g[8]++;for(gen_codes(h,287,g),e=0;e<l;e++)p[2*e+1]=5,p[2*e]=bi_reverse(e,5);j=new StaticTreeDesc(h,c,257,n,u),
k=new StaticTreeDesc(p,d,0,l,u),y=new StaticTreeDesc(new Array(0),m,0,19,7)}(),z=!0),e.l_desc=new TreeDesc(e.dyn_ltree,j),e.d_desc=new TreeDesc(e.dyn_dtree,k),e.bl_desc=new TreeDesc(e.bl_tree,y),e.bi_buf=0,e.bi_valid=0,init_block(e)},t._tr_stored_block=_tr_stored_block,t._tr_flush_block=function _tr_flush_block(e,s,t,i){var n,l,u=0;e.level>0?(2===e.strm.data_type&&(e.strm.data_type=function detect_data_type(e){var s,t=4093624447;for(s=0;s<=31;s++,t>>>=1)if(1&t&&0!==e.dyn_ltree[2*s])return 0;if(0!==e.dyn_ltree[18]||0!==e.dyn_ltree[20]||0!==e.dyn_ltree[26])return 1;for(s=32;s<a;s++)if(0!==e.dyn_ltree[2*s])return 1;return 0}(e)),build_tree(e,e.l_desc),build_tree(e,e.d_desc),u=function build_bl_tree(e){var s;for(scan_tree(e,e.dyn_ltree,e.l_desc.max_code),scan_tree(e,e.dyn_dtree,e.d_desc.max_code),build_tree(e,e.bl_desc),s=18;s>=3&&0===e.bl_tree[2*g[s]+1];s--);return e.opt_len+=3*(s+1)+5+5+4,s}(e),n=e.opt_len+3+7>>>3,(l=e.static_len+3+7>>>3)<=n&&(n=l)):n=l=t+5,
t+4<=n&&-1!==s?_tr_stored_block(e,s,t,i):4===e.strategy||l===n?(send_bits(e,2+(i?1:0),3),compress_block(e,h,p)):(send_bits(e,4+(i?1:0),3),function send_all_trees(e,s,t,i){var a;for(send_bits(e,s-257,5),send_bits(e,t-1,5),send_bits(e,i-4,4),a=0;a<i;a++)send_bits(e,e.bl_tree[2*g[a]+1],3);send_tree(e,e.dyn_ltree,s-1),send_tree(e,e.dyn_dtree,t-1)}(e,e.l_desc.max_code+1,e.d_desc.max_code+1,u+1),compress_block(e,e.dyn_ltree,e.dyn_dtree)),init_block(e),i&&bi_windup(e)},t._tr_tally=function _tr_tally(e,s,t){return e.pending_buf[e.d_buf+2*e.last_lit]=s>>>8&255,e.pending_buf[e.d_buf+2*e.last_lit+1]=255&s,e.pending_buf[e.l_buf+e.last_lit]=255&t,e.last_lit++,0===s?e.dyn_ltree[2*t]++:(e.matches++,s--,e.dyn_ltree[2*(f[t]+a+1)]++,e.dyn_dtree[2*d_code(s)]++),e.last_lit===e.lit_bufsize-1},t._tr_align=function _tr_align(e){send_bits(e,2,3),send_code(e,256,h),function bi_flush(e){16===e.bi_valid?(put_short(e,e.bi_buf),e.bi_buf=0,e.bi_valid=0):e.bi_valid>=8&&(e.pending_buf[e.pending++]=255&e.bi_buf,
e.bi_buf>>=8,e.bi_valid-=8)}(e)}},{"../utils/common":185}],192:[function(e,s,t){"use strict";s.exports=function ZStream(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0}},{}],193:[function(e,s,t){arguments[4][182][0].apply(t,arguments)},{dup:182}],194:[function(e,s,t){(function(s){(function(){
/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
"use strict";var s=e("base64-js"),i=e("ieee754");t.Buffer=Buffer,t.SlowBuffer=function SlowBuffer(e){+e!=e&&(e=0);return Buffer.alloc(+e)},t.INSPECT_MAX_BYTES=50;var a=2147483647;function createBuffer(e){if(e>a)throw new RangeError('The value "'+e+'" is invalid for option "size"');var s=new Uint8Array(e);return s.__proto__=Buffer.prototype,s}function Buffer(e,s,t){if("number"==typeof e){if("string"==typeof s)throw new TypeError('The "string" argument must be of type string. Received type number');return allocUnsafe(e)}return from(e,s,t)}function from(e,s,t){if("string"==typeof e)return function fromString(e,s){"string"==typeof s&&""!==s||(s="utf8");if(!Buffer.isEncoding(s))throw new TypeError("Unknown encoding: "+s);var t=0|byteLength(e,s),i=createBuffer(t),a=i.write(e,s);a!==t&&(i=i.slice(0,a));return i}(e,s);if(ArrayBuffer.isView(e))return fromArrayLike(e)
;if(null==e)throw TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type "+typeof e);if(isInstance(e,ArrayBuffer)||e&&isInstance(e.buffer,ArrayBuffer))return function fromArrayBuffer(e,s,t){if(s<0||e.byteLength<s)throw new RangeError('"offset" is outside of buffer bounds');if(e.byteLength<s+(t||0))throw new RangeError('"length" is outside of buffer bounds');var i;i=void 0===s&&void 0===t?new Uint8Array(e):void 0===t?new Uint8Array(e,s):new Uint8Array(e,s,t);return i.__proto__=Buffer.prototype,i}(e,s,t);if("number"==typeof e)throw new TypeError('The "value" argument must not be of type number. Received type number');var i=e.valueOf&&e.valueOf();if(null!=i&&i!==e)return Buffer.from(i,s,t);var a=function fromObject(e){if(Buffer.isBuffer(e)){var s=0|checked(e.length),t=createBuffer(s);return 0===t.length||e.copy(t,0,0,s),t}
if(void 0!==e.length)return"number"!=typeof e.length||numberIsNaN(e.length)?createBuffer(0):fromArrayLike(e);if("Buffer"===e.type&&Array.isArray(e.data))return fromArrayLike(e.data)}(e);if(a)return a;if("undefined"!=typeof Symbol&&null!=Symbol.toPrimitive&&"function"==typeof e[Symbol.toPrimitive])return Buffer.from(e[Symbol.toPrimitive]("string"),s,t);throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type "+typeof e)}function assertSize(e){if("number"!=typeof e)throw new TypeError('"size" argument must be of type number');if(e<0)throw new RangeError('The value "'+e+'" is invalid for option "size"')}function allocUnsafe(e){return assertSize(e),createBuffer(e<0?0:0|checked(e))}function fromArrayLike(e){for(var s=e.length<0?0:0|checked(e.length),t=createBuffer(s),i=0;i<s;i+=1)t[i]=255&e[i];return t}function checked(e){
if(e>=a)throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a.toString(16)+" bytes");return 0|e}function byteLength(e,s){if(Buffer.isBuffer(e))return e.length;if(ArrayBuffer.isView(e)||isInstance(e,ArrayBuffer))return e.byteLength;if("string"!=typeof e)throw new TypeError('The "string" argument must be one of type string, Buffer, or ArrayBuffer. Received type '+typeof e);var t=e.length,i=arguments.length>2&&!0===arguments[2];if(!i&&0===t)return 0;for(var a=!1;;)switch(s){case"ascii":case"latin1":case"binary":return t;case"utf8":case"utf-8":return utf8ToBytes(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return 2*t;case"hex":return t>>>1;case"base64":return base64ToBytes(e).length;default:if(a)return i?-1:utf8ToBytes(e).length;s=(""+s).toLowerCase(),a=!0}}function slowToString(e,s,t){var i=!1;if((void 0===s||s<0)&&(s=0),s>this.length)return"";if((void 0===t||t>this.length)&&(t=this.length),t<=0)return"";if((t>>>=0)<=(s>>>=0))return""
;for(e||(e="utf8");;)switch(e){case"hex":return hexSlice(this,s,t);case"utf8":case"utf-8":return utf8Slice(this,s,t);case"ascii":return asciiSlice(this,s,t);case"latin1":case"binary":return latin1Slice(this,s,t);case"base64":return base64Slice(this,s,t);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return utf16leSlice(this,s,t);default:if(i)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),i=!0}}function swap(e,s,t){var i=e[s];e[s]=e[t],e[t]=i}function bidirectionalIndexOf(e,s,t,i,a){if(0===e.length)return-1;if("string"==typeof t?(i=t,t=0):t>2147483647?t=2147483647:t<-2147483648&&(t=-2147483648),numberIsNaN(t=+t)&&(t=a?0:e.length-1),t<0&&(t=e.length+t),t>=e.length){if(a)return-1;t=e.length-1}else if(t<0){if(!a)return-1;t=0}if("string"==typeof s&&(s=Buffer.from(s,i)),Buffer.isBuffer(s))return 0===s.length?-1:arrayIndexOf(e,s,t,i,a);if("number"==typeof s)return s&=255,
"function"==typeof Uint8Array.prototype.indexOf?a?Uint8Array.prototype.indexOf.call(e,s,t):Uint8Array.prototype.lastIndexOf.call(e,s,t):arrayIndexOf(e,[s],t,i,a);throw new TypeError("val must be string, number or Buffer")}function arrayIndexOf(e,s,t,i,a){var n,l=1,u=e.length,c=s.length;if(void 0!==i&&("ucs2"===(i=String(i).toLowerCase())||"ucs-2"===i||"utf16le"===i||"utf-16le"===i)){if(e.length<2||s.length<2)return-1;l=2,u/=2,c/=2,t/=2}function read(e,s){return 1===l?e[s]:e.readUInt16BE(s*l)}if(a){var d=-1;for(n=t;n<u;n++)if(read(e,n)===read(s,-1===d?0:n-d)){if(-1===d&&(d=n),n-d+1===c)return d*l}else-1!==d&&(n-=n-d),d=-1}else for(t+c>u&&(t=u-c),n=t;n>=0;n--){for(var m=!0,g=0;g<c;g++)if(read(e,n+g)!==read(s,g)){m=!1;break}if(m)return n}return-1}function hexWrite(e,s,t,i){t=Number(t)||0;var a=e.length-t;i?(i=Number(i))>a&&(i=a):i=a;var n=s.length;i>n/2&&(i=n/2);for(var l=0;l<i;++l){var u=parseInt(s.substr(2*l,2),16);if(numberIsNaN(u))return l;e[t+l]=u}return l}
function utf8Write(e,s,t,i){return blitBuffer(utf8ToBytes(s,e.length-t),e,t,i)}function asciiWrite(e,s,t,i){return blitBuffer(function asciiToBytes(e){for(var s=[],t=0;t<e.length;++t)s.push(255&e.charCodeAt(t));return s}(s),e,t,i)}function latin1Write(e,s,t,i){return asciiWrite(e,s,t,i)}function base64Write(e,s,t,i){return blitBuffer(base64ToBytes(s),e,t,i)}function ucs2Write(e,s,t,i){return blitBuffer(function utf16leToBytes(e,s){for(var t,i,a,n=[],l=0;l<e.length&&!((s-=2)<0);++l)i=(t=e.charCodeAt(l))>>8,a=t%256,n.push(a),n.push(i);return n}(s,e.length-t),e,t,i)}function base64Slice(e,t,i){return 0===t&&i===e.length?s.fromByteArray(e):s.fromByteArray(e.slice(t,i))}function utf8Slice(e,s,t){t=Math.min(e.length,t);for(var i=[],a=s;a<t;){var l,u,c,d,m=e[a],g=null,h=m>239?4:m>223?3:m>191?2:1;if(a+h<=t)switch(h){case 1:m<128&&(g=m);break;case 2:128==(192&(l=e[a+1]))&&(d=(31&m)<<6|63&l)>127&&(g=d);break;case 3:l=e[a+1],u=e[a+2],
128==(192&l)&&128==(192&u)&&(d=(15&m)<<12|(63&l)<<6|63&u)>2047&&(d<55296||d>57343)&&(g=d);break;case 4:l=e[a+1],u=e[a+2],c=e[a+3],128==(192&l)&&128==(192&u)&&128==(192&c)&&(d=(15&m)<<18|(63&l)<<12|(63&u)<<6|63&c)>65535&&d<1114112&&(g=d)}null===g?(g=65533,h=1):g>65535&&(g-=65536,i.push(g>>>10&1023|55296),g=56320|1023&g),i.push(g),a+=h}return function decodeCodePointsArray(e){var s=e.length;if(s<=n)return String.fromCharCode.apply(String,e);var t="",i=0;for(;i<s;)t+=String.fromCharCode.apply(String,e.slice(i,i+=n));return t}(i)}t.kMaxLength=a,Buffer.TYPED_ARRAY_SUPPORT=function typedArraySupport(){try{var e=new Uint8Array(1);return e.__proto__={__proto__:Uint8Array.prototype,foo:function(){return 42}},42===e.foo()}catch(e){return!1}}(),Buffer.TYPED_ARRAY_SUPPORT||"undefined"==typeof console||"function"!=typeof console.error||console.error("This browser lacks typed array (Uint8Array) support which is required by `buffer` v5.x. Use `buffer` v4.x if you require old browser support."),
Object.defineProperty(Buffer.prototype,"parent",{enumerable:!0,get:function(){if(Buffer.isBuffer(this))return this.buffer}}),Object.defineProperty(Buffer.prototype,"offset",{enumerable:!0,get:function(){if(Buffer.isBuffer(this))return this.byteOffset}}),"undefined"!=typeof Symbol&&null!=Symbol.species&&Buffer[Symbol.species]===Buffer&&Object.defineProperty(Buffer,Symbol.species,{value:null,configurable:!0,enumerable:!1,writable:!1}),Buffer.poolSize=8192,Buffer.from=function(e,s,t){return from(e,s,t)},Buffer.prototype.__proto__=Uint8Array.prototype,Buffer.__proto__=Uint8Array,Buffer.alloc=function(e,s,t){return function alloc(e,s,t){return assertSize(e),e<=0?createBuffer(e):void 0!==s?"string"==typeof t?createBuffer(e).fill(s,t):createBuffer(e).fill(s):createBuffer(e)}(e,s,t)},Buffer.allocUnsafe=function(e){return allocUnsafe(e)},Buffer.allocUnsafeSlow=function(e){return allocUnsafe(e)},Buffer.isBuffer=function isBuffer(e){return null!=e&&!0===e._isBuffer&&e!==Buffer.prototype},
Buffer.compare=function compare(e,s){if(isInstance(e,Uint8Array)&&(e=Buffer.from(e,e.offset,e.byteLength)),isInstance(s,Uint8Array)&&(s=Buffer.from(s,s.offset,s.byteLength)),!Buffer.isBuffer(e)||!Buffer.isBuffer(s))throw new TypeError('The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array');if(e===s)return 0;for(var t=e.length,i=s.length,a=0,n=Math.min(t,i);a<n;++a)if(e[a]!==s[a]){t=e[a],i=s[a];break}return t<i?-1:i<t?1:0},Buffer.isEncoding=function isEncoding(e){switch(String(e).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},Buffer.concat=function concat(e,s){if(!Array.isArray(e))throw new TypeError('"list" argument must be an Array of Buffers');if(0===e.length)return Buffer.alloc(0);var t;if(void 0===s)for(s=0,t=0;t<e.length;++t)s+=e[t].length;var i=Buffer.allocUnsafe(s),a=0;for(t=0;t<e.length;++t){var n=e[t]
;if(isInstance(n,Uint8Array)&&(n=Buffer.from(n)),!Buffer.isBuffer(n))throw new TypeError('"list" argument must be an Array of Buffers');n.copy(i,a),a+=n.length}return i},Buffer.byteLength=byteLength,Buffer.prototype._isBuffer=!0,Buffer.prototype.swap16=function swap16(){var e=this.length;if(e%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var s=0;s<e;s+=2)swap(this,s,s+1);return this},Buffer.prototype.swap32=function swap32(){var e=this.length;if(e%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var s=0;s<e;s+=4)swap(this,s,s+3),swap(this,s+1,s+2);return this},Buffer.prototype.swap64=function swap64(){var e=this.length;if(e%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var s=0;s<e;s+=8)swap(this,s,s+7),swap(this,s+1,s+6),swap(this,s+2,s+5),swap(this,s+3,s+4);return this},Buffer.prototype.toString=function toString(){var e=this.length
;return 0===e?"":0===arguments.length?utf8Slice(this,0,e):slowToString.apply(this,arguments)},Buffer.prototype.toLocaleString=Buffer.prototype.toString,Buffer.prototype.equals=function equals(e){if(!Buffer.isBuffer(e))throw new TypeError("Argument must be a Buffer");return this===e||0===Buffer.compare(this,e)},Buffer.prototype.inspect=function inspect(){var e="",s=t.INSPECT_MAX_BYTES;return e=this.toString("hex",0,s).replace(/(.{2})/g,"$1 ").trim(),this.length>s&&(e+=" ... "),"<Buffer "+e+">"},Buffer.prototype.compare=function compare(e,s,t,i,a){if(isInstance(e,Uint8Array)&&(e=Buffer.from(e,e.offset,e.byteLength)),!Buffer.isBuffer(e))throw new TypeError('The "target" argument must be one of type Buffer or Uint8Array. Received type '+typeof e);if(void 0===s&&(s=0),void 0===t&&(t=e?e.length:0),void 0===i&&(i=0),void 0===a&&(a=this.length),s<0||t>e.length||i<0||a>this.length)throw new RangeError("out of range index");if(i>=a&&s>=t)return 0;if(i>=a)return-1;if(s>=t)return 1
;if(this===e)return 0;for(var n=(a>>>=0)-(i>>>=0),l=(t>>>=0)-(s>>>=0),u=Math.min(n,l),c=this.slice(i,a),d=e.slice(s,t),m=0;m<u;++m)if(c[m]!==d[m]){n=c[m],l=d[m];break}return n<l?-1:l<n?1:0},Buffer.prototype.includes=function includes(e,s,t){return-1!==this.indexOf(e,s,t)},Buffer.prototype.indexOf=function indexOf(e,s,t){return bidirectionalIndexOf(this,e,s,t,!0)},Buffer.prototype.lastIndexOf=function lastIndexOf(e,s,t){return bidirectionalIndexOf(this,e,s,t,!1)},Buffer.prototype.write=function write(e,s,t,i){if(void 0===s)i="utf8",t=this.length,s=0;else if(void 0===t&&"string"==typeof s)i=s,t=this.length,s=0;else{if(!isFinite(s))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");s>>>=0,isFinite(t)?(t>>>=0,void 0===i&&(i="utf8")):(i=t,t=void 0)}var a=this.length-s;if((void 0===t||t>a)&&(t=a),e.length>0&&(t<0||s<0)||s>this.length)throw new RangeError("Attempt to write outside buffer bounds");i||(i="utf8");for(var n=!1;;)switch(i){case"hex":
return hexWrite(this,e,s,t);case"utf8":case"utf-8":return utf8Write(this,e,s,t);case"ascii":return asciiWrite(this,e,s,t);case"latin1":case"binary":return latin1Write(this,e,s,t);case"base64":return base64Write(this,e,s,t);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return ucs2Write(this,e,s,t);default:if(n)throw new TypeError("Unknown encoding: "+i);i=(""+i).toLowerCase(),n=!0}},Buffer.prototype.toJSON=function toJSON(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var n=4096;function asciiSlice(e,s,t){var i="";t=Math.min(e.length,t);for(var a=s;a<t;++a)i+=String.fromCharCode(127&e[a]);return i}function latin1Slice(e,s,t){var i="";t=Math.min(e.length,t);for(var a=s;a<t;++a)i+=String.fromCharCode(e[a]);return i}function hexSlice(e,s,t){var i=e.length;(!s||s<0)&&(s=0),(!t||t<0||t>i)&&(t=i);for(var a="",n=s;n<t;++n)a+=toHex(e[n]);return a}function utf16leSlice(e,s,t){
for(var i=e.slice(s,t),a="",n=0;n<i.length;n+=2)a+=String.fromCharCode(i[n]+256*i[n+1]);return a}function checkOffset(e,s,t){if(e%1!=0||e<0)throw new RangeError("offset is not uint");if(e+s>t)throw new RangeError("Trying to access beyond buffer length")}function checkInt(e,s,t,i,a,n){if(!Buffer.isBuffer(e))throw new TypeError('"buffer" argument must be a Buffer instance');if(s>a||s<n)throw new RangeError('"value" argument is out of bounds');if(t+i>e.length)throw new RangeError("Index out of range")}function checkIEEE754(e,s,t,i,a,n){if(t+i>e.length)throw new RangeError("Index out of range");if(t<0)throw new RangeError("Index out of range")}function writeFloat(e,s,t,a,n){return s=+s,t>>>=0,n||checkIEEE754(e,0,t,4),i.write(e,s,t,a,23,4),t+4}function writeDouble(e,s,t,a,n){return s=+s,t>>>=0,n||checkIEEE754(e,0,t,8),i.write(e,s,t,a,52,8),t+8}Buffer.prototype.slice=function slice(e,s){var t=this.length;(e=~~e)<0?(e+=t)<0&&(e=0):e>t&&(e=t),(s=void 0===s?t:~~s)<0?(s+=t)<0&&(s=0):s>t&&(s=t),
s<e&&(s=e);var i=this.subarray(e,s);return i.__proto__=Buffer.prototype,i},Buffer.prototype.readUIntLE=function readUIntLE(e,s,t){e>>>=0,s>>>=0,t||checkOffset(e,s,this.length);for(var i=this[e],a=1,n=0;++n<s&&(a*=256);)i+=this[e+n]*a;return i},Buffer.prototype.readUIntBE=function readUIntBE(e,s,t){e>>>=0,s>>>=0,t||checkOffset(e,s,this.length);for(var i=this[e+--s],a=1;s>0&&(a*=256);)i+=this[e+--s]*a;return i},Buffer.prototype.readUInt8=function readUInt8(e,s){return e>>>=0,s||checkOffset(e,1,this.length),this[e]},Buffer.prototype.readUInt16LE=function readUInt16LE(e,s){return e>>>=0,s||checkOffset(e,2,this.length),this[e]|this[e+1]<<8},Buffer.prototype.readUInt16BE=function readUInt16BE(e,s){return e>>>=0,s||checkOffset(e,2,this.length),this[e]<<8|this[e+1]},Buffer.prototype.readUInt32LE=function readUInt32LE(e,s){return e>>>=0,s||checkOffset(e,4,this.length),(this[e]|this[e+1]<<8|this[e+2]<<16)+16777216*this[e+3]},Buffer.prototype.readUInt32BE=function readUInt32BE(e,s){return e>>>=0,
s||checkOffset(e,4,this.length),16777216*this[e]+(this[e+1]<<16|this[e+2]<<8|this[e+3])},Buffer.prototype.readIntLE=function readIntLE(e,s,t){e>>>=0,s>>>=0,t||checkOffset(e,s,this.length);for(var i=this[e],a=1,n=0;++n<s&&(a*=256);)i+=this[e+n]*a;return i>=(a*=128)&&(i-=Math.pow(2,8*s)),i},Buffer.prototype.readIntBE=function readIntBE(e,s,t){e>>>=0,s>>>=0,t||checkOffset(e,s,this.length);for(var i=s,a=1,n=this[e+--i];i>0&&(a*=256);)n+=this[e+--i]*a;return n>=(a*=128)&&(n-=Math.pow(2,8*s)),n},Buffer.prototype.readInt8=function readInt8(e,s){return e>>>=0,s||checkOffset(e,1,this.length),128&this[e]?-1*(255-this[e]+1):this[e]},Buffer.prototype.readInt16LE=function readInt16LE(e,s){e>>>=0,s||checkOffset(e,2,this.length);var t=this[e]|this[e+1]<<8;return 32768&t?4294901760|t:t},Buffer.prototype.readInt16BE=function readInt16BE(e,s){e>>>=0,s||checkOffset(e,2,this.length);var t=this[e+1]|this[e]<<8;return 32768&t?4294901760|t:t},Buffer.prototype.readInt32LE=function readInt32LE(e,s){
return e>>>=0,s||checkOffset(e,4,this.length),this[e]|this[e+1]<<8|this[e+2]<<16|this[e+3]<<24},Buffer.prototype.readInt32BE=function readInt32BE(e,s){return e>>>=0,s||checkOffset(e,4,this.length),this[e]<<24|this[e+1]<<16|this[e+2]<<8|this[e+3]},Buffer.prototype.readFloatLE=function readFloatLE(e,s){return e>>>=0,s||checkOffset(e,4,this.length),i.read(this,e,!0,23,4)},Buffer.prototype.readFloatBE=function readFloatBE(e,s){return e>>>=0,s||checkOffset(e,4,this.length),i.read(this,e,!1,23,4)},Buffer.prototype.readDoubleLE=function readDoubleLE(e,s){return e>>>=0,s||checkOffset(e,8,this.length),i.read(this,e,!0,52,8)},Buffer.prototype.readDoubleBE=function readDoubleBE(e,s){return e>>>=0,s||checkOffset(e,8,this.length),i.read(this,e,!1,52,8)},Buffer.prototype.writeUIntLE=function writeUIntLE(e,s,t,i){(e=+e,s>>>=0,t>>>=0,i)||checkInt(this,e,s,t,Math.pow(2,8*t)-1,0);var a=1,n=0;for(this[s]=255&e;++n<t&&(a*=256);)this[s+n]=e/a&255;return s+t},
Buffer.prototype.writeUIntBE=function writeUIntBE(e,s,t,i){(e=+e,s>>>=0,t>>>=0,i)||checkInt(this,e,s,t,Math.pow(2,8*t)-1,0);var a=t-1,n=1;for(this[s+a]=255&e;--a>=0&&(n*=256);)this[s+a]=e/n&255;return s+t},Buffer.prototype.writeUInt8=function writeUInt8(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,1,255,0),this[s]=255&e,s+1},Buffer.prototype.writeUInt16LE=function writeUInt16LE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,2,65535,0),this[s]=255&e,this[s+1]=e>>>8,s+2},Buffer.prototype.writeUInt16BE=function writeUInt16BE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,2,65535,0),this[s]=e>>>8,this[s+1]=255&e,s+2},Buffer.prototype.writeUInt32LE=function writeUInt32LE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,4,4294967295,0),this[s+3]=e>>>24,this[s+2]=e>>>16,this[s+1]=e>>>8,this[s]=255&e,s+4},Buffer.prototype.writeUInt32BE=function writeUInt32BE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,4,4294967295,0),this[s]=e>>>24,this[s+1]=e>>>16,this[s+2]=e>>>8,this[s+3]=255&e,s+4},
Buffer.prototype.writeIntLE=function writeIntLE(e,s,t,i){if(e=+e,s>>>=0,!i){var a=Math.pow(2,8*t-1);checkInt(this,e,s,t,a-1,-a)}var n=0,l=1,u=0;for(this[s]=255&e;++n<t&&(l*=256);)e<0&&0===u&&0!==this[s+n-1]&&(u=1),this[s+n]=(e/l>>0)-u&255;return s+t},Buffer.prototype.writeIntBE=function writeIntBE(e,s,t,i){if(e=+e,s>>>=0,!i){var a=Math.pow(2,8*t-1);checkInt(this,e,s,t,a-1,-a)}var n=t-1,l=1,u=0;for(this[s+n]=255&e;--n>=0&&(l*=256);)e<0&&0===u&&0!==this[s+n+1]&&(u=1),this[s+n]=(e/l>>0)-u&255;return s+t},Buffer.prototype.writeInt8=function writeInt8(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,1,127,-128),e<0&&(e=255+e+1),this[s]=255&e,s+1},Buffer.prototype.writeInt16LE=function writeInt16LE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,2,32767,-32768),this[s]=255&e,this[s+1]=e>>>8,s+2},Buffer.prototype.writeInt16BE=function writeInt16BE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,2,32767,-32768),this[s]=e>>>8,this[s+1]=255&e,s+2},
Buffer.prototype.writeInt32LE=function writeInt32LE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,4,2147483647,-2147483648),this[s]=255&e,this[s+1]=e>>>8,this[s+2]=e>>>16,this[s+3]=e>>>24,s+4},Buffer.prototype.writeInt32BE=function writeInt32BE(e,s,t){return e=+e,s>>>=0,t||checkInt(this,e,s,4,2147483647,-2147483648),e<0&&(e=4294967295+e+1),this[s]=e>>>24,this[s+1]=e>>>16,this[s+2]=e>>>8,this[s+3]=255&e,s+4},Buffer.prototype.writeFloatLE=function writeFloatLE(e,s,t){return writeFloat(this,e,s,!0,t)},Buffer.prototype.writeFloatBE=function writeFloatBE(e,s,t){return writeFloat(this,e,s,!1,t)},Buffer.prototype.writeDoubleLE=function writeDoubleLE(e,s,t){return writeDouble(this,e,s,!0,t)},Buffer.prototype.writeDoubleBE=function writeDoubleBE(e,s,t){return writeDouble(this,e,s,!1,t)},Buffer.prototype.copy=function copy(e,s,t,i){if(!Buffer.isBuffer(e))throw new TypeError("argument should be a Buffer");if(t||(t=0),i||0===i||(i=this.length),s>=e.length&&(s=e.length),s||(s=0),i>0&&i<t&&(i=t),
i===t)return 0;if(0===e.length||0===this.length)return 0;if(s<0)throw new RangeError("targetStart out of bounds");if(t<0||t>=this.length)throw new RangeError("Index out of range");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),e.length-s<i-t&&(i=e.length-s+t);var a=i-t;if(this===e&&"function"==typeof Uint8Array.prototype.copyWithin)this.copyWithin(s,t,i);else if(this===e&&t<s&&s<i)for(var n=a-1;n>=0;--n)e[n+s]=this[n+t];else Uint8Array.prototype.set.call(e,this.subarray(t,i),s);return a},Buffer.prototype.fill=function fill(e,s,t,i){if("string"==typeof e){if("string"==typeof s?(i=s,s=0,t=this.length):"string"==typeof t&&(i=t,t=this.length),void 0!==i&&"string"!=typeof i)throw new TypeError("encoding must be a string");if("string"==typeof i&&!Buffer.isEncoding(i))throw new TypeError("Unknown encoding: "+i);if(1===e.length){var a=e.charCodeAt(0);("utf8"===i&&a<128||"latin1"===i)&&(e=a)}}else"number"==typeof e&&(e&=255)
;if(s<0||this.length<s||this.length<t)throw new RangeError("Out of range index");if(t<=s)return this;var n;if(s>>>=0,t=void 0===t?this.length:t>>>0,e||(e=0),"number"==typeof e)for(n=s;n<t;++n)this[n]=e;else{var l=Buffer.isBuffer(e)?e:Buffer.from(e,i),u=l.length;if(0===u)throw new TypeError('The value "'+e+'" is invalid for argument "value"');for(n=0;n<t-s;++n)this[n+s]=l[n%u]}return this};var l=/[^+/0-9A-Za-z-_]/g;function toHex(e){return e<16?"0"+e.toString(16):e.toString(16)}function utf8ToBytes(e,s){var t;s=s||1/0;for(var i=e.length,a=null,n=[],l=0;l<i;++l){if((t=e.charCodeAt(l))>55295&&t<57344){if(!a){if(t>56319){(s-=3)>-1&&n.push(239,191,189);continue}if(l+1===i){(s-=3)>-1&&n.push(239,191,189);continue}a=t;continue}if(t<56320){(s-=3)>-1&&n.push(239,191,189),a=t;continue}t=65536+(a-55296<<10|t-56320)}else a&&(s-=3)>-1&&n.push(239,191,189);if(a=null,t<128){if((s-=1)<0)break;n.push(t)}else if(t<2048){if((s-=2)<0)break;n.push(t>>6|192,63&t|128)}else if(t<65536){if((s-=3)<0)break
;n.push(t>>12|224,t>>6&63|128,63&t|128)}else{if(!(t<1114112))throw new Error("Invalid code point");if((s-=4)<0)break;n.push(t>>18|240,t>>12&63|128,t>>6&63|128,63&t|128)}}return n}function base64ToBytes(e){return s.toByteArray(function base64clean(e){if((e=(e=e.split("=")[0]).trim().replace(l,"")).length<2)return"";for(;e.length%4!=0;)e+="=";return e}(e))}function blitBuffer(e,s,t,i){for(var a=0;a<i&&!(a+t>=s.length||a>=e.length);++a)s[a+t]=e[a];return a}function isInstance(e,s){return e instanceof s||null!=e&&null!=e.constructor&&null!=e.constructor.name&&e.constructor.name===s.name}function numberIsNaN(e){return e!=e}}).call(this)}).call(this,e("buffer").Buffer)},{"base64-js":181,buffer:194,ieee754:221}],195:[function(e,s,t){"use strict";var i=e("get-intrinsic"),a=e("./"),n=a(i("String.prototype.indexOf"));s.exports=function callBoundIntrinsic(e,s){var t=i(e,!!s);return"function"==typeof t&&n(e,".prototype.")>-1?a(t):t}},{"./":196,"get-intrinsic":215}],196:[function(e,s,t){
"use strict";var i=e("function-bind"),a=e("get-intrinsic"),n=a("%Function.prototype.apply%"),l=a("%Function.prototype.call%"),u=a("%Reflect.apply%",!0)||i.call(l,n),c=a("%Object.getOwnPropertyDescriptor%",!0),d=a("%Object.defineProperty%",!0),m=a("%Math.max%");if(d)try{d({},"a",{value:1})}catch(e){d=null}s.exports=function callBind(e){var s=u(i,l,arguments);if(c&&d){var t=c(s,"length");t.configurable&&d(s,"length",{value:1+m(0,e.length-(arguments.length-1))})}return s};var g=function applyBind(){return u(i,n,arguments)};d?d(s.exports,"apply",{value:g}):s.exports.apply=g},{"function-bind":214,"get-intrinsic":215}],197:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.URLS=void 0,
t.URLS=["//gstatic.com/fsn/angular_js-bundle1.js","//www.gstatic.com/fsn/angular_js-bundle1.js","//www.googleadservices.com/pageadimg/imgad","//yandex.st/angularjs/1.2.16/angular-cookies.min.js","//yastatic.net/angularjs/1.2.23/angular.min.js","//yuedust.yuedu.126.net/js/components/angular/angular.js","//art.jobs.netease.com/script/angular.js","//csu-c45.kxcdn.com/angular/angular.js","//elysiumwebsite.s3.amazonaws.com/uploads/blog-media/rockstar/angular.min.js","//inno.blob.core.windows.net/new/libs/AngularJS/1.2.1/angular.min.js","//gift-talk.kakao.com/public/javascripts/angular.min.js","//ajax.googleapis.com/ajax/libs/angularjs/1.2.0rc1/angular-route.min.js","//master-sumok.ru/vendors/angular/angular-cookies.js","//ayicommon-a.akamaihd.net/static/vendor/angular-1.4.2.min.js","//pangxiehaitao.com/framework/angular-1.3.9/angular-animate.min.js","//cdnjs.cloudflare.com/ajax/libs/angular.js/1.2.16/angular.min.js","//96fe3ee995e96e922b6b-d10c35bd0a0de2c718b252bc575fdb73.ssl.cf1.rackcdn.com/angular.js","//oss.maxcdn.com/angularjs/1.2.20/angular.min.js","//reports.zemanta.com/smedia/common/angularjs/1.2.11/angular.js","//cdn.shopify.com/s/files/1/0225/6463/t/1/assets/angular-animate.min.js","//parademanagement.com.s3-website-ap-southeast-1.amazonaws.com/js/angular.min.js","//cdn.jsdelivr.net/angularjs/1.1.2/angular.min.js","//eb2883ede55c53e09fd5-9c145fb03d93709ea57875d307e2d82e.ssl.cf3.rackcdn.com/components/angular-resource.min.js","//andors-trail.googlecode.com/git/AndorsTrailEdit/lib/angular.min.js","//cdn.walkme.com/General/EnvironmentTests/angular/angular.min.js","//laundrymail.com/angular/angular.js","//s3-eu-west-1.amazonaws.com/staticancpa/js/angular-cookies.min.js","//collade.demo.stswp.com/js/vendor/angular.min.js","//mrfishie.github.io/sailor/bower_components/angular/angular.min.js","//askgithub.com/static/js/angular.min.js","//services.amazon.com/solution-providers/assets/vendor/angular-cookies.min.js","//raw.githubusercontent.com/angular/code.angularjs.org/master/1.0.7/angular-resource.js","//prb-resume.appspot.com/bower_components/angular-animate/angular-animate.js","//dl.dropboxusercontent.com/u/30877786/angular.min.js","//static.tumblr.com/x5qdx0r/nPOnngtff/angular-resource.min_1_.js","//storage.googleapis.com/assets-prod.urbansitter.net/us-sym/assets/vendor/angular-sanitize/angular-sanitize.min.js","//twitter.github.io/labella.js/bower_components/angular/angular.min.js","//cdn2-casinoroom.global.ssl.fastly.net/js/lib/angular-animate.min.js","//www.adobe.com/devnet-apps/flashshowcase/lib/angular/angular.1.1.5.min.js","//eternal-sunset.herokuapp.com/bower_components/angular/angular.js","//cdn.bootcss.com/angular.js/1.2.0/angular.min.js"]
},{}],198:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.URLS=void 0,t.URLS=["//vk.com/swf/video.swf","//ajax.googleapis.com/ajax/libs/yui/2.8.0r4/build/charts/assets/charts.swf"]},{}],199:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.URLS=t.NEEDS_EVAL=void 0,t.NEEDS_EVAL=["googletagmanager.com","www.googletagmanager.com","www.googleadservices.com","google-analytics.com","ssl.google-analytics.com","www.google-analytics.com"],
t.URLS=["//bebezoo.1688.com/fragment/index.htm","//www.google-analytics.com/gtm/js","//googleads.g.doubleclick.net/pagead/conversion/1036918760/wcm","//www.googleadservices.com/pagead/conversion/1070110417/wcm","//www.google.com/tools/feedback/escalation-options","//pin.aliyun.com/check_audio","//offer.alibaba.com/market/CID100002954/5/fetchKeyword.do","//ccrprod.alipay.com/ccr/arriveTime.json","//group.aliexpress.com/ajaxAcquireGroupbuyProduct.do","//detector.alicdn.com/2.7.3/index.php","//suggest.taobao.com/sug","//translate.google.com/translate_a/l","//count.tbcdn.cn//counter3","//wb.amap.com/channel.php","//translate.googleapis.com/translate_a/l","//afpeng.alimama.com/ex","//accounts.google.com/o/oauth2/revoke","//pagead2.googlesyndication.com/relatedsearch","//yandex.ru/soft/browsers/check","//api.facebook.com/restserver.php","//mts0.googleapis.com/maps/vt","//syndication.twitter.com/widgets/timelines/765840589183213568","//www.youtube.com/profile_style","//googletagmanager.com/gtm/js","//mc.yandex.ru/watch/24306916/1","//share.yandex.net/counter/gpp/","//ok.go.mail.ru/lady_on_lady_recipes_r.json","//d1f69o4buvlrj5.cloudfront.net/__efa_15_1_ornpba.xekq.arg/optout_check","//www.googletagmanager.com/gtm/js","//api.vk.com/method/wall.get","//www.sharethis.com/get-publisher-info.php","//google.ru/maps/vt","//pro.netrox.sc/oapi/h_checksite.ashx","//vimeo.com/api/oembed.json/","//de.blog.newrelic.com/wp-admin/admin-ajax.php","//ajax.googleapis.com/ajax/services/search/news","//ssl.google-analytics.com/gtm/js","//pubsub.pubnub.com/subscribe/demo/hello_world/","//pass.yandex.ua/services","//id.rambler.ru/script/topline_info.js","//m.addthis.com/live/red_lojson/100eng.json","//passport.ngs.ru/ajax/check","//catalog.api.2gis.ru/ads/search","//gum.criteo.com/sync","//maps.google.com/maps/vt","//ynuf.alipay.com/service/um.json","//securepubads.g.doubleclick.net/gampad/ads","//c.tiles.mapbox.com/v3/texastribune.tx-congress-cvap/6/15/26.grid.json","//rexchange.begun.ru/banners","//an.yandex.ru/page/147484","//links.services.disqus.com/api/ping","//api.map.baidu.com/","//tj.gongchang.com/api/keywordrecomm/","//data.gongchang.com/livegrail/","//ulogin.ru/token.php","//beta.gismeteo.ru/api/informer/layout.js/120x240-3/ru/","//maps.googleapis.com/maps/api/js/GeoPhotoService.GetMetadata","//a.config.skype.com/config/v1/Skype/908_1.33.0.111/SkypePersonalization","//maps.beeline.ru/w","//target.ukr.net/","//www.meteoprog.ua/data/weather/informer/Poltava.js","//cdn.syndication.twimg.com/widgets/timelines/599200054310604802","//wslocker.ru/client/user.chk.php","//community.adobe.com/CommunityPod/getJSON","//maps.google.lv/maps/vt","//dev.virtualearth.net/REST/V1/Imagery/Metadata/AerialWithLabels/26.318581","//awaps.yandex.ru/10/8938/02400400.","//a248.e.akamai.net/h5.hulu.com/h5.mp4","//nominatim.openstreetmap.org/","//plugins.mozilla.org/en-us/plugins_list.json","//h.cackle.me/widget/32153/bootstrap","//graph.facebook.com/1/","//fellowes.ugc.bazaarvoice.com/data/reviews.json","//widgets.pinterest.com/v3/pidgets/boards/ciciwin/hedgehog-squirrel-crafts/pins/","//appcenter.intuit.com/Account/LogoutJSONP","//www.linkedin.com/countserv/count/share","//se.wikipedia.org/w/api.php","//cse.google.com/api/007627024705277327428/cse/r3vs7b0fcli/queries/js","//relap.io/api/v2/similar_pages_jsonp.js","//c1n3.hypercomments.com/stream/subscribe","//maps.google.de/maps/vt","//books.google.com/books","//connect.mail.ru/share_count","//tr.indeed.com/m/newjobs","//www-onepick-opensocial.googleusercontent.com/gadgets/proxy","//www.panoramio.com/map/get_panoramas.php","//client.siteheart.com/streamcli/client","//www.facebook.com/restserver.php","//autocomplete.travelpayouts.com/avia","//www.googleapis.com/freebase/v1/topic/m/0344_","//mts1.googleapis.com/mapslt/ft","//api.twitter.com/1/statuses/oembed.json","//fast.wistia.com/embed/medias/o75jtw7654.json","//partner.googleadservices.com/gampad/ads","//pass.yandex.ru/services","//gupiao.baidu.com/stocks/stockbets","//widget.admitad.com/widget/init","//api.instagram.com/v1/tags/partykungen23328/media/recent","//video.media.yql.yahoo.com/v1/video/sapi/streams/063fb76c-6c70-38c5-9bbc-04b7c384de2b","//ib.adnxs.com/jpt","//pass.yandex.com/services","//www.google.de/maps/vt","//clients1.google.com/complete/search","//api.userlike.com/api/chat/slot/proactive/","//www.youku.com/index_cookielist/s/jsonp","//mt1.googleapis.com/mapslt/ft","//api.mixpanel.com/track/","//wpd.b.qq.com/cgi/get_sign.php","//pipes.yahooapis.com/pipes/pipe.run","//gdata.youtube.com/feeds/api/videos/WsJIHN1kNWc","//9.chart.apis.google.com/chart","//cdn.syndication.twitter.com/moments/709229296800440320","//api.flickr.com/services/feeds/photos_friends.gne","//cbks0.googleapis.com/cbk","//www.blogger.com/feeds/5578653387562324002/posts/summary/4427562025302749269","//query.yahooapis.com/v1/public/yql","//kecngantang.blogspot.com/feeds/posts/default/-/Komik","//www.travelpayouts.com/widgets/50f53ce9ada1b54bcc000031.json","//i.cackle.me/widget/32586/bootstrap","//translate.yandex.net/api/v1.5/tr.json/detect","//a.tiles.mapbox.com/v3/zentralmedia.map-n2raeauc.jsonp","//maps.google.ru/maps/vt","//c1n2.hypercomments.com/stream/subscribe","//rec.ydf.yandex.ru/cookie","//cdn.jsdelivr.net"]
},{}],200:[function(e,s,t){"use strict";var i=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),a=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),n=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&i(s,e,t);return a(s,e),s};Object.defineProperty(t,"__esModule",{value:!0}),t.checkInvalidKeyword=t.checkMissingSemicolon=t.checkUnknownDirective=void 0;const l=n(e("../csp")),u=e("../csp"),c=e("../finding");t.checkUnknownDirective=function checkUnknownDirective(e){const s=[]
;for(const t of Object.keys(e.directives))l.isDirective(t)||(t.endsWith(":")?s.push(new c.Finding(c.Type.UNKNOWN_DIRECTIVE,"CSP directives don't end with a colon.",c.Severity.SYNTAX,t)):s.push(new c.Finding(c.Type.UNKNOWN_DIRECTIVE,'Directive "'+t+'" is not a known CSP directive.',c.Severity.SYNTAX,t)));return s},t.checkMissingSemicolon=function checkMissingSemicolon(e){const s=[];for(const[t,i]of Object.entries(e.directives))if(void 0!==i)for(const e of i)l.isDirective(e)&&s.push(new c.Finding(c.Type.MISSING_SEMICOLON,'Did you forget the semicolon? "'+e+'" seems to be a directive, not a value.',c.Severity.SYNTAX,t,e));return s},t.checkInvalidKeyword=function checkInvalidKeyword(e){const s=[],t=Object.values(u.Keyword).map((e=>e.replace(/'/g,"")))
;for(const[i,a]of Object.entries(e.directives))if(void 0!==a)for(const e of a)if(t.some((s=>s===e))||e.startsWith("nonce-")||e.match(/^(sha256|sha384|sha512)-/))s.push(new c.Finding(c.Type.INVALID_KEYWORD,'Did you forget to surround "'+e+'" with single-ticks?',c.Severity.SYNTAX,i,e));else if(e.startsWith("'")){if(i===l.Directive.REQUIRE_TRUSTED_TYPES_FOR){if(e===l.TrustedTypesSink.SCRIPT)continue}else if(i===l.Directive.TRUSTED_TYPES){if("'allow-duplicates'"===e)continue}else if(l.isKeyword(e)||l.isHash(e)||l.isNonce(e))continue;s.push(new c.Finding(c.Type.INVALID_KEYWORD,e+" seems to be an invalid CSP keyword.",c.Severity.SYNTAX,i,e))}return s}},{"../csp":203,"../finding":204}],201:[function(e,s,t){"use strict";var i=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),a=this&&this.__setModuleDefault||(Object.create?function(e,s){
Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),n=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&i(s,e,t);return a(s,e),s};Object.defineProperty(t,"__esModule",{value:!0}),t.checkHasConfiguredReporting=t.checkSrcHttp=t.checkNonceLength=t.checkDeprecatedDirective=t.checkIpSource=t.looksLikeIpAddress=t.checkFlashObjectAllowlistBypass=t.checkScriptAllowlistBypass=t.checkMissingDirectives=t.checkMultipleMissingBaseUriDirective=t.checkMissingBaseUriDirective=t.checkMissingScriptSrcDirective=t.checkMissingObjectSrcDirective=t.checkWildcards=t.checkPlainUrlSchemes=t.checkScriptUnsafeEval=t.checkScriptUnsafeInline=t.URL_SCHEMES_CAUSING_XSS=t.DIRECTIVES_CAUSING_XSS=void 0
;const l=n(e("../allowlist_bypasses/angular")),u=n(e("../allowlist_bypasses/flash")),c=n(e("../allowlist_bypasses/jsonp")),d=n(e("../csp")),m=e("../csp"),g=e("../finding"),h=n(e("../utils"));function checkMissingObjectSrcDirective(e){let s=[];return m.Directive.OBJECT_SRC in e.directives?s=e.directives[m.Directive.OBJECT_SRC]:m.Directive.DEFAULT_SRC in e.directives&&(s=e.directives[m.Directive.DEFAULT_SRC]),void 0!==s&&1===s.length&&s[0]===m.Keyword.NONE?[]:[new g.Finding(g.Type.MISSING_DIRECTIVES,"Missing object-src allows the injection of plugins which can execute JavaScript. Can you set it to 'none'?",g.Severity.HIGH,m.Directive.OBJECT_SRC)]}function checkMissingScriptSrcDirective(e){return m.Directive.SCRIPT_SRC in e.directives||m.Directive.DEFAULT_SRC in e.directives?[]:[new g.Finding(g.Type.MISSING_DIRECTIVES,"script-src directive is missing.",g.Severity.HIGH,m.Directive.SCRIPT_SRC)]}function checkMissingBaseUriDirective(e){return checkMultipleMissingBaseUriDirective([e])}
function checkMultipleMissingBaseUriDirective(e){if(e.some((e=>e.policyHasScriptNonces()||e.policyHasScriptHashes()&&e.policyHasStrictDynamic()))&&!e.some((e=>m.Directive.BASE_URI in e.directives))){const e="Missing base-uri allows the injection of base tags. They can be used to set the base URL for all relative (script) URLs to an attacker controlled domain. Can you set it to 'none' or 'self'?";return[new g.Finding(g.Type.MISSING_DIRECTIVES,e,g.Severity.HIGH,m.Directive.BASE_URI)]}return[]}function looksLikeIpAddress(e){return!(!e.startsWith("[")||!e.endsWith("]"))||!!/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/.test(e)}t.DIRECTIVES_CAUSING_XSS=[m.Directive.SCRIPT_SRC,m.Directive.OBJECT_SRC,m.Directive.BASE_URI],t.URL_SCHEMES_CAUSING_XSS=["data:","http:","https:"],t.checkScriptUnsafeInline=function checkScriptUnsafeInline(e){const s=e.getEffectiveDirective(m.Directive.SCRIPT_SRC)
;return(e.directives[s]||[]).includes(m.Keyword.UNSAFE_INLINE)?[new g.Finding(g.Type.SCRIPT_UNSAFE_INLINE,"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers.",g.Severity.HIGH,s,m.Keyword.UNSAFE_INLINE)]:[]},t.checkScriptUnsafeEval=function checkScriptUnsafeEval(e){const s=e.getEffectiveDirective(m.Directive.SCRIPT_SRC);return(e.directives[s]||[]).includes(m.Keyword.UNSAFE_EVAL)?[new g.Finding(g.Type.SCRIPT_UNSAFE_EVAL,"'unsafe-eval' allows the execution of code injected into DOM APIs such as eval().",g.Severity.MEDIUM_MAYBE,s,m.Keyword.UNSAFE_EVAL)]:[]},t.checkPlainUrlSchemes=function checkPlainUrlSchemes(e){const s=[],i=e.getEffectiveDirectives(t.DIRECTIVES_CAUSING_XSS);for(const a of i){const i=e.directives[a]||[];for(const e of i)t.URL_SCHEMES_CAUSING_XSS.includes(e)&&s.push(new g.Finding(g.Type.PLAIN_URL_SCHEMES,e+" URI in "+a+" allows the execution of unsafe scripts.",g.Severity.HIGH,a,e))}return s},t.checkWildcards=function checkWildcards(e){
const s=[],i=e.getEffectiveDirectives(t.DIRECTIVES_CAUSING_XSS);for(const t of i){const i=e.directives[t]||[];for(const e of i){"*"!==h.getSchemeFreeUrl(e)||s.push(new g.Finding(g.Type.PLAIN_WILDCARD,t+" should not allow '*' as source",g.Severity.HIGH,t,e))}}return s},t.checkMissingObjectSrcDirective=checkMissingObjectSrcDirective,t.checkMissingScriptSrcDirective=checkMissingScriptSrcDirective,t.checkMissingBaseUriDirective=checkMissingBaseUriDirective,t.checkMultipleMissingBaseUriDirective=checkMultipleMissingBaseUriDirective,t.checkMissingDirectives=function checkMissingDirectives(e){return[...checkMissingObjectSrcDirective(e),...checkMissingScriptSrcDirective(e),...checkMissingBaseUriDirective(e)]},t.checkScriptAllowlistBypass=function checkScriptAllowlistBypass(e){const s=[],t=e.getEffectiveDirective(m.Directive.SCRIPT_SRC),i=e.directives[t]||[];if(i.includes(m.Keyword.NONE))return s;for(const e of i){if(e===m.Keyword.SELF){
s.push(new g.Finding(g.Type.SCRIPT_ALLOWLIST_BYPASS,"'self' can be problematic if you host JSONP, Angular or user uploaded files.",g.Severity.MEDIUM_MAYBE,t,e));continue}if(e.startsWith("'"))continue;if(d.isUrlScheme(e)||-1===e.indexOf("."))continue;const a="//"+h.getSchemeFreeUrl(e),n=h.matchWildcardUrls(a,l.URLS);let u=h.matchWildcardUrls(a,c.URLS);if(u){const e=c.NEEDS_EVAL.includes(u.hostname),s=i.includes(m.Keyword.UNSAFE_EVAL);e&&!s&&(u=null)}if(u||n){let i="",a="";u&&(i=u.hostname,a=" JSONP endpoints"),n&&(i=n.hostname,a+=""===a.trim()?"":" and",a+=" Angular libraries"),s.push(new g.Finding(g.Type.SCRIPT_ALLOWLIST_BYPASS,i+" is known to host"+a+" which allow to bypass this CSP.",g.Severity.HIGH,t,e))}else s.push(new g.Finding(g.Type.SCRIPT_ALLOWLIST_BYPASS,"No bypass found; make sure that this URL doesn't serve JSONP replies or Angular libraries.",g.Severity.MEDIUM_MAYBE,t,e))}return s},t.checkFlashObjectAllowlistBypass=function checkFlashObjectAllowlistBypass(e){
const s=[],t=e.getEffectiveDirective(m.Directive.OBJECT_SRC),i=e.directives[t]||[],a=e.directives[m.Directive.PLUGIN_TYPES];if(a&&!a.includes("application/x-shockwave-flash"))return[];for(const e of i){if(e===m.Keyword.NONE)return[];const i="//"+h.getSchemeFreeUrl(e),a=h.matchWildcardUrls(i,u.URLS);a?s.push(new g.Finding(g.Type.OBJECT_ALLOWLIST_BYPASS,a.hostname+" is known to host Flash files which allow to bypass this CSP.",g.Severity.HIGH,t,e)):t===m.Directive.OBJECT_SRC&&s.push(new g.Finding(g.Type.OBJECT_ALLOWLIST_BYPASS,"Can you restrict object-src to 'none' only?",g.Severity.MEDIUM_MAYBE,t,e))}return s},t.looksLikeIpAddress=looksLikeIpAddress,t.checkIpSource=function checkIpSource(e){const s=[];return h.applyCheckFunktionToDirectives(e,((e,t)=>{for(const i of t){const t=h.getHostname(i)
;looksLikeIpAddress(t)&&("127.0.0.1"===t?s.push(new g.Finding(g.Type.IP_SOURCE,e+" directive allows localhost as source. Please make sure to remove this in production environments.",g.Severity.INFO,e,i)):s.push(new g.Finding(g.Type.IP_SOURCE,e+" directive has an IP-Address as source: "+t+" (will be ignored by browsers!). ",g.Severity.INFO,e,i)))}})),s},t.checkDeprecatedDirective=function checkDeprecatedDirective(e){const s=[];return m.Directive.REFLECTED_XSS in e.directives&&s.push(new g.Finding(g.Type.DEPRECATED_DIRECTIVE,"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",g.Severity.INFO,m.Directive.REFLECTED_XSS)),m.Directive.REFERRER in e.directives&&s.push(new g.Finding(g.Type.DEPRECATED_DIRECTIVE,"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",g.Severity.INFO,m.Directive.REFERRER)),
m.Directive.DISOWN_OPENER in e.directives&&s.push(new g.Finding(g.Type.DEPRECATED_DIRECTIVE,"disown-opener is deprecated since CSP3. Please, use the Cross Origin Opener Policy header instead.",g.Severity.INFO,m.Directive.DISOWN_OPENER)),s},t.checkNonceLength=function checkNonceLength(e){const s=new RegExp("^'nonce-(.+)'$"),t=[];return h.applyCheckFunktionToDirectives(e,((e,i)=>{for(const a of i){const i=a.match(s);if(!i)continue;i[1].length<8&&t.push(new g.Finding(g.Type.NONCE_LENGTH,"Nonces should be at least 8 characters long.",g.Severity.MEDIUM,e,a)),d.isNonce(a,!0)||t.push(new g.Finding(g.Type.NONCE_CHARSET,"Nonces should only use the base64 charset.",g.Severity.INFO,e,a))}})),t},t.checkSrcHttp=function checkSrcHttp(e){const s=[];return h.applyCheckFunktionToDirectives(e,((e,t)=>{for(const i of t){const t=e===m.Directive.REPORT_URI?"Use HTTPS to send violation reports securely.":"Allow only resources downloaded over HTTPS."
;i.startsWith("http://")&&s.push(new g.Finding(g.Type.SRC_HTTP,t,g.Severity.MEDIUM,e,i))}})),s},t.checkHasConfiguredReporting=function checkHasConfiguredReporting(e){return(e.directives[m.Directive.REPORT_URI]||[]).length>0?[]:(e.directives[m.Directive.REPORT_TO]||[]).length>0?[new g.Finding(g.Type.REPORT_TO_ONLY,"This CSP policy only provides a reporting destination via the 'report-to' directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a 'report-uri' directive.",g.Severity.INFO,m.Directive.REPORT_TO)]:[new g.Finding(g.Type.REPORTING_DESTINATION_MISSING,"This CSP policy does not configure a reporting destination. This makes it difficult to maintain the CSP policy over time and monitor for any breakages.",g.Severity.INFO,m.Directive.REPORT_URI)]}},{"../allowlist_bypasses/angular":197,"../allowlist_bypasses/flash":198,"../allowlist_bypasses/jsonp":199,"../csp":203,"../finding":204,"../utils":207}],202:[function(e,s,t){"use strict"
;var i=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),a=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),n=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&i(s,e,t);return a(s,e),s};Object.defineProperty(t,"__esModule",{value:!0}),t.checkRequiresTrustedTypesForScripts=t.checkAllowlistFallback=t.checkUnsafeInlineFallback=t.checkStrictDynamicNotStandalone=t.checkStrictDynamic=void 0;const l=n(e("../csp")),u=e("../csp"),c=e("../finding");t.checkStrictDynamic=function checkStrictDynamic(e){const s=e.getEffectiveDirective(l.Directive.SCRIPT_SRC),t=e.directives[s]||[]
;return t.some((e=>!e.startsWith("'")))&&!t.includes(u.Keyword.STRICT_DYNAMIC)?[new c.Finding(c.Type.STRICT_DYNAMIC,"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes.",c.Severity.STRICT_CSP,s)]:[]},t.checkStrictDynamicNotStandalone=function checkStrictDynamicNotStandalone(e){const s=e.getEffectiveDirective(l.Directive.SCRIPT_SRC);return!(e.directives[s]||[]).includes(u.Keyword.STRICT_DYNAMIC)||e.policyHasScriptNonces()||e.policyHasScriptHashes()?[]:[new c.Finding(c.Type.STRICT_DYNAMIC_NOT_STANDALONE,"'strict-dynamic' without a CSP nonce/hash will block all scripts.",c.Severity.INFO,s)]},t.checkUnsafeInlineFallback=function checkUnsafeInlineFallback(e){if(!e.policyHasScriptNonces()&&!e.policyHasScriptHashes())return[];const s=e.getEffectiveDirective(l.Directive.SCRIPT_SRC)
;return(e.directives[s]||[]).includes(u.Keyword.UNSAFE_INLINE)?[]:[new c.Finding(c.Type.UNSAFE_INLINE_FALLBACK,"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",c.Severity.STRICT_CSP,s)]},t.checkAllowlistFallback=function checkAllowlistFallback(e){const s=e.getEffectiveDirective(l.Directive.SCRIPT_SRC),t=e.directives[s]||[];return t.includes(u.Keyword.STRICT_DYNAMIC)?t.some((e=>["http:","https:","*"].includes(e)||e.includes(".")))?[]:[new c.Finding(c.Type.ALLOWLIST_FALLBACK,"Consider adding https: and http: url schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",c.Severity.STRICT_CSP,s)]:[]},t.checkRequiresTrustedTypesForScripts=function checkRequiresTrustedTypesForScripts(e){const s=e.getEffectiveDirective(l.Directive.REQUIRE_TRUSTED_TYPES_FOR)
;return(e.directives[s]||[]).includes(l.TrustedTypesSink.SCRIPT)?[]:[new c.Finding(c.Type.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS,"Consider requiring Trusted Types for scripts to lock down DOM XSS injection sinks. You can do this by adding \"require-trusted-types-for 'script'\" to your policy.",c.Severity.INFO,l.Directive.REQUIRE_TRUSTED_TYPES_FOR)]}},{"../csp":203,"../finding":204}],203:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CspError=t.isHash=t.HASH_PATTERN=t.STRICT_HASH_PATTERN=t.isNonce=t.NONCE_PATTERN=t.STRICT_NONCE_PATTERN=t.isUrlScheme=t.isKeyword=t.isDirective=t.Version=t.FETCH_DIRECTIVES=t.Directive=t.TrustedTypesSink=t.Keyword=t.Csp=void 0;const i=e("./finding");class Csp{constructor(){this.directives={}}clone(){const e=new Csp;for(const[s,t]of Object.entries(this.directives))t&&(e.directives[s]=[...t]);return e}convertToString(){let e="";for(const[s,t]of Object.entries(this.directives)){if(e+=s,void 0!==t)for(let s,i=0;s=t[i];i++)e+=" ",
e+=s;e+="; "}return e}getEffectiveCsp(e,s){const t=s||[],u=this.clone(),c=u.getEffectiveDirective(n.SCRIPT_SRC),d=this.directives[c]||[],m=u.directives[c];if(m&&(u.policyHasScriptNonces()||u.policyHasScriptHashes()))if(e>=l.CSP2)d.includes(a.UNSAFE_INLINE)&&(arrayRemove(m,a.UNSAFE_INLINE),t.push(new i.Finding(i.Type.IGNORED,"unsafe-inline is ignored if a nonce or a hash is present. (CSP2 and above)",i.Severity.NONE,c,a.UNSAFE_INLINE)));else for(const e of d)(e.startsWith("'nonce-")||e.startsWith("'sha"))&&arrayRemove(m,e);if(m&&this.policyHasStrictDynamic())if(e>=l.CSP3)for(const e of d)e.startsWith("'")&&e!==a.SELF&&e!==a.UNSAFE_INLINE||(arrayRemove(m,e),t.push(new i.Finding(i.Type.IGNORED,"Because of strict-dynamic this entry is ignored in CSP3 and above",i.Severity.NONE,c,e)));else arrayRemove(m,a.STRICT_DYNAMIC);return e<l.CSP3&&(delete u.directives[n.REPORT_TO],delete u.directives[n.WORKER_SRC],delete u.directives[n.MANIFEST_SRC],delete u.directives[n.TRUSTED_TYPES],
delete u.directives[n.REQUIRE_TRUSTED_TYPES_FOR]),u}getEffectiveDirective(e){return!(e in this.directives)&&t.FETCH_DIRECTIVES.includes(e)?n.DEFAULT_SRC:e}getEffectiveDirectives(e){return[...new Set(e.map((e=>this.getEffectiveDirective(e))))]}policyHasScriptNonces(){const e=this.getEffectiveDirective(n.SCRIPT_SRC);return(this.directives[e]||[]).some((e=>isNonce(e)))}policyHasScriptHashes(){const e=this.getEffectiveDirective(n.SCRIPT_SRC);return(this.directives[e]||[]).some((e=>isHash(e)))}policyHasStrictDynamic(){const e=this.getEffectiveDirective(n.SCRIPT_SRC);return(this.directives[e]||[]).includes(a.STRICT_DYNAMIC)}}var a,n,l;function isNonce(e,s){return(s?t.STRICT_NONCE_PATTERN:t.NONCE_PATTERN).test(e)}function isHash(e,s){return(s?t.STRICT_HASH_PATTERN:t.HASH_PATTERN).test(e)}t.Csp=Csp,function(e){e.SELF="'self'",e.NONE="'none'",e.UNSAFE_INLINE="'unsafe-inline'",e.UNSAFE_EVAL="'unsafe-eval'",e.WASM_EVAL="'wasm-eval'",e.WASM_UNSAFE_EVAL="'wasm-unsafe-eval'",
e.STRICT_DYNAMIC="'strict-dynamic'",e.UNSAFE_HASHED_ATTRIBUTES="'unsafe-hashed-attributes'",e.UNSAFE_HASHES="'unsafe-hashes'",e.REPORT_SAMPLE="'report-sample'"}(a=t.Keyword||(t.Keyword={})),function(e){e.SCRIPT="'script'"}(t.TrustedTypesSink||(t.TrustedTypesSink={})),function(e){e.CHILD_SRC="child-src",e.CONNECT_SRC="connect-src",e.DEFAULT_SRC="default-src",e.FONT_SRC="font-src",e.FRAME_SRC="frame-src",e.IMG_SRC="img-src",e.MEDIA_SRC="media-src",e.OBJECT_SRC="object-src",e.SCRIPT_SRC="script-src",e.SCRIPT_SRC_ATTR="script-src-attr",e.SCRIPT_SRC_ELEM="script-src-elem",e.STYLE_SRC="style-src",e.STYLE_SRC_ATTR="style-src-attr",e.STYLE_SRC_ELEM="style-src-elem",e.PREFETCH_SRC="prefetch-src",e.MANIFEST_SRC="manifest-src",e.WORKER_SRC="worker-src",e.BASE_URI="base-uri",e.PLUGIN_TYPES="plugin-types",e.SANDBOX="sandbox",e.DISOWN_OPENER="disown-opener",e.FORM_ACTION="form-action",e.FRAME_ANCESTORS="frame-ancestors",e.REPORT_TO="report-to",e.REPORT_URI="report-uri",
e.BLOCK_ALL_MIXED_CONTENT="block-all-mixed-content",e.UPGRADE_INSECURE_REQUESTS="upgrade-insecure-requests",e.REFLECTED_XSS="reflected-xss",e.REFERRER="referrer",e.REQUIRE_SRI_FOR="require-sri-for",e.TRUSTED_TYPES="trusted-types",e.REQUIRE_TRUSTED_TYPES_FOR="require-trusted-types-for"}(n=t.Directive||(t.Directive={})),t.FETCH_DIRECTIVES=[n.CHILD_SRC,n.CONNECT_SRC,n.DEFAULT_SRC,n.FONT_SRC,n.FRAME_SRC,n.IMG_SRC,n.MANIFEST_SRC,n.MEDIA_SRC,n.OBJECT_SRC,n.SCRIPT_SRC,n.SCRIPT_SRC_ATTR,n.SCRIPT_SRC_ELEM,n.STYLE_SRC,n.STYLE_SRC_ATTR,n.STYLE_SRC_ELEM,n.WORKER_SRC],function(e){e[e.CSP1=1]="CSP1",e[e.CSP2=2]="CSP2",e[e.CSP3=3]="CSP3"}(l=t.Version||(t.Version={})),t.isDirective=function isDirective(e){return Object.values(n).includes(e)},t.isKeyword=function isKeyword(e){return Object.values(a).includes(e)},t.isUrlScheme=function isUrlScheme(e){return new RegExp("^[a-zA-Z][+a-zA-Z0-9.-]*:$").test(e)},t.STRICT_NONCE_PATTERN=new RegExp("^'nonce-[a-zA-Z0-9+/_-]+[=]{0,2}'$"),
t.NONCE_PATTERN=new RegExp("^'nonce-(.+)'$"),t.isNonce=isNonce,t.STRICT_HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-[a-zA-Z0-9+/]+[=]{0,2}'$"),t.HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-(.+)'$"),t.isHash=isHash;class CspError extends Error{constructor(e){super(e)}}function arrayRemove(e,s){if(e.includes(s)){const t=e.findIndex((e=>s===e));e.splice(t,1)}}t.CspError=CspError},{"./finding":204}],204:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Type=t.Severity=t.Finding=void 0;class Finding{constructor(e,s,t,i,a){this.type=e,this.description=s,this.severity=t,this.directive=i,this.value=a}static getHighestSeverity(e){if(0===e.length)return i.NONE;return e.map((e=>e.severity)).reduce(((e,s)=>e<s?e:s),i.NONE)}equals(e){return e instanceof Finding&&(e.type===this.type&&e.description===this.description&&e.severity===this.severity&&e.directive===this.directive&&e.value===this.value)}}var i;t.Finding=Finding,function(e){e[e.HIGH=10]="HIGH",
e[e.SYNTAX=20]="SYNTAX",e[e.MEDIUM=30]="MEDIUM",e[e.HIGH_MAYBE=40]="HIGH_MAYBE",e[e.STRICT_CSP=45]="STRICT_CSP",e[e.MEDIUM_MAYBE=50]="MEDIUM_MAYBE",e[e.INFO=60]="INFO",e[e.NONE=100]="NONE"}(i=t.Severity||(t.Severity={})),function(e){e[e.MISSING_SEMICOLON=100]="MISSING_SEMICOLON",e[e.UNKNOWN_DIRECTIVE=101]="UNKNOWN_DIRECTIVE",e[e.INVALID_KEYWORD=102]="INVALID_KEYWORD",e[e.NONCE_CHARSET=106]="NONCE_CHARSET",e[e.MISSING_DIRECTIVES=300]="MISSING_DIRECTIVES",e[e.SCRIPT_UNSAFE_INLINE=301]="SCRIPT_UNSAFE_INLINE",e[e.SCRIPT_UNSAFE_EVAL=302]="SCRIPT_UNSAFE_EVAL",e[e.PLAIN_URL_SCHEMES=303]="PLAIN_URL_SCHEMES",e[e.PLAIN_WILDCARD=304]="PLAIN_WILDCARD",e[e.SCRIPT_ALLOWLIST_BYPASS=305]="SCRIPT_ALLOWLIST_BYPASS",e[e.OBJECT_ALLOWLIST_BYPASS=306]="OBJECT_ALLOWLIST_BYPASS",e[e.NONCE_LENGTH=307]="NONCE_LENGTH",e[e.IP_SOURCE=308]="IP_SOURCE",e[e.DEPRECATED_DIRECTIVE=309]="DEPRECATED_DIRECTIVE",e[e.SRC_HTTP=310]="SRC_HTTP",e[e.STRICT_DYNAMIC=400]="STRICT_DYNAMIC",
e[e.STRICT_DYNAMIC_NOT_STANDALONE=401]="STRICT_DYNAMIC_NOT_STANDALONE",e[e.NONCE_HASH=402]="NONCE_HASH",e[e.UNSAFE_INLINE_FALLBACK=403]="UNSAFE_INLINE_FALLBACK",e[e.ALLOWLIST_FALLBACK=404]="ALLOWLIST_FALLBACK",e[e.IGNORED=405]="IGNORED",e[e.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS=500]="REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS",e[e.REPORTING_DESTINATION_MISSING=600]="REPORTING_DESTINATION_MISSING",e[e.REPORT_TO_ONLY=601]="REPORT_TO_ONLY"}(t.Type||(t.Type={}))},{}],205:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.evaluateForSyntaxErrors=t.evaluateForWarnings=t.evaluateForFailure=void 0;const i=e("../checks/parser_checks"),a=e("../checks/security_checks"),n=e("../checks/strictcsp_checks"),l=e("../csp");function arrayContains(e,s){return e.some((e=>e.equals(s)))}function atLeastOnePasses(e,s){const t=[];for(const i of e)t.push(s(i));return function setIntersection(e){const s=[];if(0===e.length)return s;const t=e[0]
;for(const i of t)e.every((e=>arrayContains(e,i)))&&s.push(i);return s}(t)}function atLeastOneFails(e,s){const t=[];for(const i of e)t.push(s(i));return function setUnion(e){const s=[];for(const t of e)for(const e of t)arrayContains(s,e)||s.push(e);return s}(t)}t.evaluateForFailure=function evaluateForFailure(e){const s=[...atLeastOnePasses(e,a.checkMissingScriptSrcDirective),...atLeastOnePasses(e,a.checkMissingObjectSrcDirective),...a.checkMultipleMissingBaseUriDirective(e)],t=e.map((e=>e.getEffectiveCsp(l.Version.CSP3))).filter((e=>{const s=e.getEffectiveDirective(l.Directive.SCRIPT_SRC);return e.directives[s]}));return[...s,...[...atLeastOnePasses(t,n.checkStrictDynamic),...atLeastOnePasses(t,a.checkScriptUnsafeInline)]]},t.evaluateForWarnings=function evaluateForWarnings(e){return[...atLeastOnePasses(e,a.checkHasConfiguredReporting),...[...atLeastOneFails(e,n.checkUnsafeInlineFallback),...atLeastOneFails(e,n.checkAllowlistFallback)]]},
t.evaluateForSyntaxErrors=function evaluateForSyntaxErrors(e){const s=[];for(const t of e){const e=[...a.checkNonceLength(t),...i.checkUnknownDirective(t),...a.checkDeprecatedDirective(t),...i.checkMissingSemicolon(t),...i.checkInvalidKeyword(t)];s.push(e)}return s}},{"../checks/parser_checks":200,"../checks/security_checks":201,"../checks/strictcsp_checks":202,"../csp":203}],206:[function(e,s,t){"use strict";var i=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),a=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),n=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&i(s,e,t);return a(s,e),s};Object.defineProperty(t,"__esModule",{value:!0
}),t.TEST_ONLY=t.CspParser=void 0;const l=n(e("./csp"));function normalizeDirectiveValue(e){const s=(e=e.trim()).toLowerCase();return l.isKeyword(s)||l.isUrlScheme(e)?s:e}t.CspParser=class CspParser{constructor(e){this.csp=new l.Csp,this.parse(e)}parse(e){this.csp=new l.Csp;const s=e.split(";");for(let e=0;e<s.length;e++){const t=s[e].trim().match(/\S+/g);if(Array.isArray(t)){const e=t[0].toLowerCase();if(e in this.csp.directives)continue;l.isDirective(e);const s=[];for(let e,i=1;e=t[i];i++)e=normalizeDirectiveValue(e),s.includes(e)||s.push(e);this.csp.directives[e]=s}}return this.csp}},t.TEST_ONLY={normalizeDirectiveValue}},{"./csp":203}],207:[function(e,s,t){"use strict";function getSchemeFreeUrl(e){return e=(e=e.replace(/^\w[+\w.-]*:\/\//i,"")).replace(/^\/\//,"")}function setScheme(e){return e.startsWith("//")?e.replace("//","https://"):e}Object.defineProperty(t,"__esModule",{value:!0}),t.applyCheckFunktionToDirectives=t.matchWildcardUrls=t.getHostname=t.getSchemeFreeUrl=void 0,
t.getSchemeFreeUrl=getSchemeFreeUrl,t.getHostname=function getHostname(e){const s=new URL("https://"+getSchemeFreeUrl(e).replace("*","wildcard_placeholder")).hostname.replace("wildcard_placeholder","*"),t=/^\[[\d:]+\]/;return getSchemeFreeUrl(e).match(t)&&!s.match(t)?"["+s+"]":s},t.matchWildcardUrls=function matchWildcardUrls(e,s){const t=new URL(setScheme(e.replace("*","wildcard_placeholder"))),i=s.map((e=>new URL(setScheme(e)))),a=t.hostname.toLowerCase(),n=a.startsWith("wildcard_placeholder."),l=a.replace(/^\wildcard_placeholder/i,""),u=t.pathname,c="/"!==u;for(const e of i){const s=e.hostname;if(s.endsWith(l)&&(n||a===s)){if(c)if(u.endsWith("/")){if(!e.pathname.startsWith(u))continue}else if(e.pathname!==u)continue;return e}}return null},t.applyCheckFunktionToDirectives=function applyCheckFunktionToDirectives(e,s){const t=Object.keys(e.directives);for(const i of t){const t=e.directives[i];t&&s(i,t)}}},{}],208:[function(e,s,t){
s.exports=["aliceblue","antiquewhite","aqua","aquamarine","azure","beige","bisque","black","blanchedalmond","blue","blueviolet","brown","burlywood","cadetblue","chartreuse","chocolate","coral","cornflowerblue","cornsilk","crimson","cyan","darkblue","darkcyan","darkgoldenrod","darkgray","darkgreen","darkgrey","darkkhaki","darkmagenta","darkolivegreen","darkorange","darkorchid","darkred","darksalmon","darkseagreen","darkslateblue","darkslategray","darkslategrey","darkturquoise","darkviolet","deeppink","deepskyblue","dimgray","dimgrey","dodgerblue","firebrick","floralwhite","forestgreen","fuchsia","gainsboro","ghostwhite","gold","goldenrod","gray","green","greenyellow","grey","honeydew","hotpink","indianred","indigo","ivory","khaki","lavender","lavenderblush","lawngreen","lemonchiffon","lightblue","lightcoral","lightcyan","lightgoldenrodyellow","lightgray","lightgreen","lightgrey","lightpink","lightsalmon","lightseagreen","lightskyblue","lightslategray","lightslategrey","lightsteelblue","lightyellow","lime","limegreen","linen","magenta","maroon","mediumaquamarine","mediumblue","mediumorchid","mediumpurple","mediumseagreen","mediumslateblue","mediumspringgreen","mediumturquoise","mediumvioletred","midnightblue","mintcream","mistyrose","moccasin","navajowhite","navy","oldlace","olive","olivedrab","orange","orangered","orchid","palegoldenrod","palegreen","paleturquoise","palevioletred","papayawhip","peachpuff","peru","pink","plum","powderblue","purple","rebeccapurple","red","rosybrown","royalblue","saddlebrown","salmon","sandybrown","seagreen","seashell","sienna","silver","skyblue","slateblue","slategray","slategrey","snow","springgreen","steelblue","tan","teal","thistle","tomato","turquoise","violet","wheat","white","whitesmoke","yellow","yellowgreen"]
},{}],209:[function(e,s,t){"use strict";const i=e("./named_colors.json");t.TYPES={INTEGER:1,NUMBER:2,LENGTH:3,PERCENT:4,URL:5,COLOR:6,STRING:7,ANGLE:8,KEYWORD:9,NULL_OR_EMPTY_STR:10};var a=/^[-+]?[0-9]+$/,n=/^[-+]?[0-9]*\.[0-9]+$/,l=/^(0|[-+]?[0-9]*\.?[0-9]+(in|cm|em|mm|pt|pc|px|ex|rem|vh|vw))$/,u=/^[-+]?[0-9]*\.?[0-9]+%$/,c=/^url\(\s*([^)]*)\s*\)$/,d=/^("[^"]*"|'[^']*')$/,m=/^#[0-9a-fA-F][0-9a-fA-F][0-9a-fA-F]([0-9a-fA-F][0-9a-fA-F][0-9a-fA-F])?$/,g=/^rgb\(([^)]*)\)$/,h=/^rgba\(([^)]*)\)$/,p=/^hsla?\(\s*(-?\d+|-?\d*.\d+)\s*,\s*(-?\d+|-?\d*.\d+)%\s*,\s*(-?\d+|-?\d*.\d+)%\s*(,\s*(-?\d+|-?\d*.\d+)\s*)?\)/,b=/^([-+]?[0-9]*\.?[0-9]+)(deg|grad|rad)$/;t.valueType=function valueType(e){if(""===e||null===e)return t.TYPES.NULL_OR_EMPTY_STR;if("number"==typeof e&&(e=e.toString()),"string"==typeof e){if(a.test(e))return t.TYPES.INTEGER;if(n.test(e))return t.TYPES.NUMBER;if(l.test(e))return t.TYPES.LENGTH;if(u.test(e))return t.TYPES.PERCENT;if(c.test(e))return t.TYPES.URL
;if(d.test(e))return t.TYPES.STRING;if(b.test(e))return t.TYPES.ANGLE;if(m.test(e))return t.TYPES.COLOR;var s,f=g.exec(e);if(null!==f){if(3!==(s=f[1].split(/\s*,\s*/)).length)return;return s.every(u.test.bind(u))||s.every(a.test.bind(a))?t.TYPES.COLOR:void 0}if(null!==(f=h.exec(e))){if(4!==(s=f[1].split(/\s*,\s*/)).length)return;return(s.slice(0,3).every(u.test.bind(u))||s.every(a.test.bind(a)))&&n.test(s[3])?t.TYPES.COLOR:void 0}if(p.test(e))return t.TYPES.COLOR;if(e=e.toLowerCase(),i.includes(e))return t.TYPES.COLOR;switch(e){case"activeborder":case"activecaption":case"appworkspace":case"background":case"buttonface":case"buttonhighlight":case"buttonshadow":case"buttontext":case"captiontext":case"graytext":case"highlight":case"highlighttext":case"inactiveborder":case"inactivecaption":case"inactivecaptiontext":case"infobackground":case"infotext":case"menu":case"menutext":case"scrollbar":case"threeddarkshadow":case"threedface":case"threedhighlight":case"threedlightshadow":
case"threedshadow":case"window":case"windowframe":case"windowtext":return t.TYPES.COLOR;default:return t.TYPES.KEYWORD}}},t.parseInteger=function parseInteger(e){var s=t.valueType(e);return s===t.TYPES.NULL_OR_EMPTY_STR?e:s===t.TYPES.INTEGER?String(parseInt(e,10)):void 0},t.parseNumber=function parseNumber(e){var s=t.valueType(e);return s===t.TYPES.NULL_OR_EMPTY_STR?e:s===t.TYPES.NUMBER||s===t.TYPES.INTEGER?String(parseFloat(e)):void 0},t.parseLength=function parseLength(e){if(0===e||"0"===e)return"0px";var s=t.valueType(e);return s===t.TYPES.NULL_OR_EMPTY_STR||s===t.TYPES.LENGTH?e:void 0},t.parsePercent=function parsePercent(e){if(0===e||"0"===e)return"0%";var s=t.valueType(e);return s===t.TYPES.NULL_OR_EMPTY_STR||s===t.TYPES.PERCENT?e:void 0},t.parseMeasurement=function parseMeasurement(e){var s=t.parseLength(e);return void 0!==s?s:t.parsePercent(e)},t.parseUrl=function parseUrl(e){if(t.valueType(e)===t.TYPES.NULL_OR_EMPTY_STR)return e;var s=c.exec(e);if(s){var i=s[1]
;if('"'!==i[0]&&"'"!==i[0]||i[0]===i[i.length-1]){var a;for('"'!==i[0]&&"'"!==i[0]||(i=i.substr(1,i.length-2)),a=0;a<i.length;a++)switch(i[a]){case"(":case")":case" ":case"\t":case"\n":case"'":case'"':return;case"\\":a++}return"url("+i+")"}}},t.parseString=function parseString(e){var s=t.valueType(e);if(s===t.TYPES.NULL_OR_EMPTY_STR)return e;if(s===t.TYPES.STRING){var i;for(i=1;i<e.length-1;i++)switch(e[i]){case e[0]:return;case"\\":for(i++;i<e.length-1&&/[0-9A-Fa-f]/.test(e[i]);)i++}if(!(i>=e.length))return e}},t.parseColor=function parseColor(e){var s=t.valueType(e);if(s===t.TYPES.NULL_OR_EMPTY_STR)return e;var i,l,c,d,b,f,v,j=1,k=m.exec(e);if(k){var y=e.substr(1);return 3===y.length&&(y=y[0]+y[0]+y[1]+y[1]+y[2]+y[2]),"rgb("+(i=parseInt(y.substr(0,2),16))+", "+(l=parseInt(y.substr(2,2),16))+", "+(c=parseInt(y.substr(4,2),16))+")"}if(k=g.exec(e)){if(3!==(v=k[1].split(/\s*,\s*/)).length)return;if(v.every(u.test.bind(u)))i=Math.floor(255*parseFloat(v[0].slice(0,-1))/100),
l=Math.floor(255*parseFloat(v[1].slice(0,-1))/100),c=Math.floor(255*parseFloat(v[2].slice(0,-1))/100);else{if(!v.every(a.test.bind(a)))return;i=parseInt(v[0],10),l=parseInt(v[1],10),c=parseInt(v[2],10)}return"rgb("+(i=Math.min(255,Math.max(0,i)))+", "+(l=Math.min(255,Math.max(0,l)))+", "+(c=Math.min(255,Math.max(0,c)))+")"}if(k=h.exec(e)){if(4!==(v=k[1].split(/\s*,\s*/)).length)return;if(v.slice(0,3).every(u.test.bind(u)))i=Math.floor(255*parseFloat(v[0].slice(0,-1))/100),l=Math.floor(255*parseFloat(v[1].slice(0,-1))/100),c=Math.floor(255*parseFloat(v[2].slice(0,-1))/100),j=parseFloat(v[3]);else{if(!v.slice(0,3).every(a.test.bind(a)))return;i=parseInt(v[0],10),l=parseInt(v[1],10),c=parseInt(v[2],10),j=parseFloat(v[3])}return isNaN(j)&&(j=1),i=Math.min(255,Math.max(0,i)),l=Math.min(255,Math.max(0,l)),c=Math.min(255,Math.max(0,c)),1===(j=Math.min(1,Math.max(0,j)))?"rgb("+i+", "+l+", "+c+")":"rgba("+i+", "+l+", "+c+", "+j+")"}if(k=p.exec(e)){
const[,e,s,t,i=""]=k,a=parseFloat(i.replace(",","").trim());if(!e||!s||!t)return;return d=parseFloat(e),b=parseInt(s,10),f=parseInt(t,10),a&&n.test(a)&&(j=parseFloat(a)),i&&1!==j?"hsla("+d+", "+b+"%, "+f+"%, "+j+")":"hsl("+d+", "+b+"%, "+f+"%)"}return s===t.TYPES.COLOR?e:void 0},t.parseAngle=function parseAngle(e){var s=t.valueType(e);if(s===t.TYPES.NULL_OR_EMPTY_STR)return e;if(s===t.TYPES.ANGLE){var i=b.exec(e),a=parseFloat(i[1]);for("rad"===i[2]?a*=180/Math.PI:"grad"===i[2]&&(a*=.9);a<0;)a+=360;for(;a>360;)a-=360;return a+"deg"}},t.parseKeyword=function parseKeyword(e,s){var i,a=t.valueType(e);if(a===t.TYPES.NULL_OR_EMPTY_STR)return e;if(a===t.TYPES.KEYWORD)for(e=e.toString().toLowerCase(),i=0;i<s.length;i++)if(s[i].toLowerCase()===e)return s[i]};var dashedToCamelCase=function(e){var s,t="",i=!1;for(s=0;s<e.length;s++)"-"!==e[s]?(t+=i?e[s].toUpperCase():e[s],i=!1):i=!0;return t};t.dashedToCamelCase=dashedToCamelCase;var f=/\s/,v=['"',"'","("],j=['"',"'",")"],getParts=function(e){
var s,t,i,a=[],n=e.length,l=[],u="";for(s=0;s<n;s++)t=v.indexOf(e[s]),i=j.indexOf(e[s]),f.test(e[s])?0===a.length?(""!==u&&l.push(u),u=""):u+=e[s]:"\\"===e[s]?u+=e[++s]:(u+=e[s],-1!==i&&i===a[a.length-1]?a.pop():-1!==t&&a.push(t));return""!==u&&l.push(u),l};t.shorthandParser=function parse(e,s){var i={};if(t.valueType(e)===t.TYPES.NULL_OR_EMPTY_STR)return Object.keys(s).forEach((function(e){i[e]=""})),i;if("number"==typeof e&&(e=e.toString()),"string"==typeof e){if("inherit"===e.toLowerCase())return{};var a=getParts(e),n=!0;if(a.forEach((function(e,t){var a=!1;Object.keys(s).forEach((function(n){s[n].isValid(e,t)&&(a=!0,i[n]=e)})),n=n&&a})),n)return i}},t.shorthandSetter=function(e,s){return function(i){var a=t.shorthandParser(i,s);if(void 0!==a){Object.keys(a).forEach((function(e){var s=dashedToCamelCase(e);this[s]=a[e],a[e]=this[s],this.removeProperty(e),""!==a[e]&&(this._values[e]=a[e])}),this),Object.keys(s).forEach((function(e){a.hasOwnProperty(e)||(this.removeProperty(e),
delete this._values[e])}),this),this.removeProperty(e);var n=t.shorthandGetter(e,s).call(this);""!==n&&this._setProperty(e,n)}}},t.shorthandGetter=function(e,s){return function(){return void 0!==this._values[e]?this.getPropertyValue(e):Object.keys(s).map((function(e){return this.getPropertyValue(e)}),this).filter((function(e){return""!==e})).join(" ")}},t.implicitSetter=function(e,s,t,i){""!==(s=s||"")&&(s="-"+s);var a=["top","right","bottom","left"];return function(n){var l;if(("number"==typeof n&&(n=n.toString()),"string"==typeof n)&&(!((l="inherit"===n.toLowerCase()||""===n?[n]:getParts(n)).length<1||l.length>4)&&l.every(t))){l=l.map((function(e){return i(e)})),this._setProperty(e+s,l.join(" ")),1===l.length&&(l[1]=l[0]),2===l.length&&(l[2]=l[0]),3===l.length&&(l[3]=l[1]);for(var u=0;u<4;u++){var c=e+"-"+a[u]+s;this.removeProperty(c),""!==l[u]&&(this._values[c]=l[u])}return n}}},t.subImplicitSetter=function(e,s,t,i){var a=e+"-"+s,n=[e+"-top",e+"-right",e+"-bottom",e+"-left"]
;return function(s){if("number"==typeof s&&(s=s.toString()),"string"==typeof s&&t(s)){s=i(s),this._setProperty(a,s);for(var l=[],u=0;u<4&&(null!=this._values[n[u]]&&""!==this._values[n[u]]);u++)l.push(this._values[n[u]]);if(4===l.length){for(u=0;u<4;u++)this.removeProperty(n[u]),this._values[n[u]]=l[u];this._setProperty(e,l.join(" "))}return s}}};var k=/[A-Z]/g,y=/^\([^-]\)-/,w=["o","moz","ms","webkit"];t.camelToDashed=function(e){var s,t=e.replace(k,"-$&").toLowerCase();return(s=t.match(y))&&-1!==w.indexOf(s[1])&&(t="-"+t),t}},{"./named_colors.json":208}],210:[function(e,s,t){"use strict";var i=e("get-intrinsic")("%Object.getOwnPropertyDescriptor%");if(i)try{i([],"length")}catch(e){i=null}s.exports=i},{"get-intrinsic":215}],211:[function(e,s,t){"use strict";var i,a="object"==typeof Reflect?Reflect:null,n=a&&"function"==typeof a.apply?a.apply:function ReflectApply(e,s,t){return Function.prototype.apply.call(e,s,t)}
;i=a&&"function"==typeof a.ownKeys?a.ownKeys:Object.getOwnPropertySymbols?function ReflectOwnKeys(e){return Object.getOwnPropertyNames(e).concat(Object.getOwnPropertySymbols(e))}:function ReflectOwnKeys(e){return Object.getOwnPropertyNames(e)};var l=Number.isNaN||function NumberIsNaN(e){return e!=e};function EventEmitter(){EventEmitter.init.call(this)}s.exports=EventEmitter,s.exports.once=function once(e,s){return new Promise((function(t,i){function errorListener(t){e.removeListener(s,resolver),i(t)}function resolver(){"function"==typeof e.removeListener&&e.removeListener("error",errorListener),t([].slice.call(arguments))}eventTargetAgnosticAddListener(e,s,resolver,{once:!0}),"error"!==s&&function addErrorHandlerIfEventEmitter(e,s,t){"function"==typeof e.on&&eventTargetAgnosticAddListener(e,"error",s,t)}(e,errorListener,{once:!0})}))},EventEmitter.EventEmitter=EventEmitter,EventEmitter.prototype._events=void 0,EventEmitter.prototype._eventsCount=0,
EventEmitter.prototype._maxListeners=void 0;var u=10;function checkListener(e){if("function"!=typeof e)throw new TypeError('The "listener" argument must be of type Function. Received type '+typeof e)}function _getMaxListeners(e){return void 0===e._maxListeners?EventEmitter.defaultMaxListeners:e._maxListeners}function _addListener(e,s,t,i){var a,n,l;if(checkListener(t),void 0===(n=e._events)?(n=e._events=Object.create(null),e._eventsCount=0):(void 0!==n.newListener&&(e.emit("newListener",s,t.listener?t.listener:t),n=e._events),l=n[s]),void 0===l)l=n[s]=t,++e._eventsCount;else if("function"==typeof l?l=n[s]=i?[t,l]:[l,t]:i?l.unshift(t):l.push(t),(a=_getMaxListeners(e))>0&&l.length>a&&!l.warned){l.warned=!0;var u=new Error("Possible EventEmitter memory leak detected. "+l.length+" "+String(s)+" listeners added. Use emitter.setMaxListeners() to increase limit");u.name="MaxListenersExceededWarning",u.emitter=e,u.type=s,u.count=l.length,function ProcessEmitWarning(e){
console&&console.warn&&console.warn(e)}(u)}return e}function onceWrapper(){if(!this.fired)return this.target.removeListener(this.type,this.wrapFn),this.fired=!0,0===arguments.length?this.listener.call(this.target):this.listener.apply(this.target,arguments)}function _onceWrap(e,s,t){var i={fired:!1,wrapFn:void 0,target:e,type:s,listener:t},a=onceWrapper.bind(i);return a.listener=t,i.wrapFn=a,a}function _listeners(e,s,t){var i=e._events;if(void 0===i)return[];var a=i[s];return void 0===a?[]:"function"==typeof a?t?[a.listener||a]:[a]:t?function unwrapListeners(e){for(var s=new Array(e.length),t=0;t<s.length;++t)s[t]=e[t].listener||e[t];return s}(a):arrayClone(a,a.length)}function listenerCount(e){var s=this._events;if(void 0!==s){var t=s[e];if("function"==typeof t)return 1;if(void 0!==t)return t.length}return 0}function arrayClone(e,s){for(var t=new Array(s),i=0;i<s;++i)t[i]=e[i];return t}function eventTargetAgnosticAddListener(e,s,t,i){
if("function"==typeof e.on)i.once?e.once(s,t):e.on(s,t);else{if("function"!=typeof e.addEventListener)throw new TypeError('The "emitter" argument must be of type EventEmitter. Received type '+typeof e);e.addEventListener(s,(function wrapListener(a){i.once&&e.removeEventListener(s,wrapListener),t(a)}))}}Object.defineProperty(EventEmitter,"defaultMaxListeners",{enumerable:!0,get:function(){return u},set:function(e){if("number"!=typeof e||e<0||l(e))throw new RangeError('The value of "defaultMaxListeners" is out of range. It must be a non-negative number. Received '+e+".");u=e}}),EventEmitter.init=function(){void 0!==this._events&&this._events!==Object.getPrototypeOf(this)._events||(this._events=Object.create(null),this._eventsCount=0),this._maxListeners=this._maxListeners||void 0},EventEmitter.prototype.setMaxListeners=function setMaxListeners(e){if("number"!=typeof e||e<0||l(e))throw new RangeError('The value of "n" is out of range. It must be a non-negative number. Received '+e+".")
;return this._maxListeners=e,this},EventEmitter.prototype.getMaxListeners=function getMaxListeners(){return _getMaxListeners(this)},EventEmitter.prototype.emit=function emit(e){for(var s=[],t=1;t<arguments.length;t++)s.push(arguments[t]);var i="error"===e,a=this._events;if(void 0!==a)i=i&&void 0===a.error;else if(!i)return!1;if(i){var l;if(s.length>0&&(l=s[0]),l instanceof Error)throw l;var u=new Error("Unhandled error."+(l?" ("+l.message+")":""));throw u.context=l,u}var c=a[e];if(void 0===c)return!1;if("function"==typeof c)n(c,this,s);else{var d=c.length,m=arrayClone(c,d);for(t=0;t<d;++t)n(m[t],this,s)}return!0},EventEmitter.prototype.addListener=function addListener(e,s){return _addListener(this,e,s,!1)},EventEmitter.prototype.on=EventEmitter.prototype.addListener,EventEmitter.prototype.prependListener=function prependListener(e,s){return _addListener(this,e,s,!0)},EventEmitter.prototype.once=function once(e,s){return checkListener(s),this.on(e,_onceWrap(this,e,s)),this},
EventEmitter.prototype.prependOnceListener=function prependOnceListener(e,s){return checkListener(s),this.prependListener(e,_onceWrap(this,e,s)),this},EventEmitter.prototype.removeListener=function removeListener(e,s){var t,i,a,n,l;if(checkListener(s),void 0===(i=this._events))return this;if(void 0===(t=i[e]))return this;if(t===s||t.listener===s)0==--this._eventsCount?this._events=Object.create(null):(delete i[e],i.removeListener&&this.emit("removeListener",e,t.listener||s));else if("function"!=typeof t){for(a=-1,n=t.length-1;n>=0;n--)if(t[n]===s||t[n].listener===s){l=t[n].listener,a=n;break}if(a<0)return this;0===a?t.shift():function spliceOne(e,s){for(;s+1<e.length;s++)e[s]=e[s+1];e.pop()}(t,a),1===t.length&&(i[e]=t[0]),void 0!==i.removeListener&&this.emit("removeListener",e,l||s)}return this},EventEmitter.prototype.off=EventEmitter.prototype.removeListener,EventEmitter.prototype.removeAllListeners=function removeAllListeners(e){var s,t,i;if(void 0===(t=this._events))return this
;if(void 0===t.removeListener)return 0===arguments.length?(this._events=Object.create(null),this._eventsCount=0):void 0!==t[e]&&(0==--this._eventsCount?this._events=Object.create(null):delete t[e]),this;if(0===arguments.length){var a,n=Object.keys(t);for(i=0;i<n.length;++i)"removeListener"!==(a=n[i])&&this.removeAllListeners(a);return this.removeAllListeners("removeListener"),this._events=Object.create(null),this._eventsCount=0,this}if("function"==typeof(s=t[e]))this.removeListener(e,s);else if(void 0!==s)for(i=s.length-1;i>=0;i--)this.removeListener(e,s[i]);return this},EventEmitter.prototype.listeners=function listeners(e){return _listeners(this,e,!0)},EventEmitter.prototype.rawListeners=function rawListeners(e){return _listeners(this,e,!1)},EventEmitter.listenerCount=function(e,s){return"function"==typeof e.listenerCount?e.listenerCount(s):listenerCount.call(e,s)},EventEmitter.prototype.listenerCount=listenerCount,EventEmitter.prototype.eventNames=function eventNames(){
return this._eventsCount>0?i(this._events):[]}},{}],212:[function(e,s,t){var i=Object.prototype.hasOwnProperty,a=Object.prototype.toString;s.exports=function forEach(e,s,t){if("[object Function]"!==a.call(s))throw new TypeError("iterator must be a function");var n=e.length;if(n===+n)for(var l=0;l<n;l++)s.call(t,e[l],l,e);else for(var u in e)i.call(e,u)&&s.call(t,e[u],u,e)}},{}],213:[function(e,s,t){"use strict";var i="Function.prototype.bind called on incompatible ",a=Array.prototype.slice,n=Object.prototype.toString,l="[object Function]";s.exports=function bind(e){var s=this;if("function"!=typeof s||n.call(s)!==l)throw new TypeError(i+s);for(var t,u=a.call(arguments,1),binder=function(){if(this instanceof t){var i=s.apply(this,u.concat(a.call(arguments)));return Object(i)===i?i:this}return s.apply(e,u.concat(a.call(arguments)))},c=Math.max(0,s.length-u.length),d=[],m=0;m<c;m++)d.push("$"+m)
;if(t=Function("binder","return function ("+d.join(",")+"){ return binder.apply(this,arguments); }")(binder),s.prototype){var g=function Empty(){};g.prototype=s.prototype,t.prototype=new g,g.prototype=null}return t}},{}],214:[function(e,s,t){"use strict";var i=e("./implementation");s.exports=Function.prototype.bind||i},{"./implementation":213}],215:[function(e,s,t){"use strict";var i,a=SyntaxError,n=Function,l=TypeError,getEvalledConstructor=function(e){try{return n('"use strict"; return ('+e+").constructor;")()}catch(e){}},u=Object.getOwnPropertyDescriptor;if(u)try{u({},"")}catch(e){u=null}var throwTypeError=function(){throw new l},c=u?function(){try{return throwTypeError}catch(e){try{return u(arguments,"callee").get}catch(e){return throwTypeError}}}():throwTypeError,d=e("has-symbols")(),m=Object.getPrototypeOf||function(e){return e.__proto__},g={},h="undefined"==typeof Uint8Array?i:m(Uint8Array),p={"%AggregateError%":"undefined"==typeof AggregateError?i:AggregateError,
"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?i:ArrayBuffer,"%ArrayIteratorPrototype%":d?m([][Symbol.iterator]()):i,"%AsyncFromSyncIteratorPrototype%":i,"%AsyncFunction%":g,"%AsyncGenerator%":g,"%AsyncGeneratorFunction%":g,"%AsyncIteratorPrototype%":g,"%Atomics%":"undefined"==typeof Atomics?i:Atomics,"%BigInt%":"undefined"==typeof BigInt?i:BigInt,"%Boolean%":Boolean,"%DataView%":"undefined"==typeof DataView?i:DataView,"%Date%":Date,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%eval%":eval,"%EvalError%":EvalError,"%Float32Array%":"undefined"==typeof Float32Array?i:Float32Array,"%Float64Array%":"undefined"==typeof Float64Array?i:Float64Array,"%FinalizationRegistry%":"undefined"==typeof FinalizationRegistry?i:FinalizationRegistry,"%Function%":n,"%GeneratorFunction%":g,"%Int8Array%":"undefined"==typeof Int8Array?i:Int8Array,
"%Int16Array%":"undefined"==typeof Int16Array?i:Int16Array,"%Int32Array%":"undefined"==typeof Int32Array?i:Int32Array,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":d?m(m([][Symbol.iterator]())):i,"%JSON%":"object"==typeof JSON?JSON:i,"%Map%":"undefined"==typeof Map?i:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&d?m((new Map)[Symbol.iterator]()):i,"%Math%":Math,"%Number%":Number,"%Object%":Object,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?i:Promise,"%Proxy%":"undefined"==typeof Proxy?i:Proxy,"%RangeError%":RangeError,"%ReferenceError%":ReferenceError,"%Reflect%":"undefined"==typeof Reflect?i:Reflect,"%RegExp%":RegExp,"%Set%":"undefined"==typeof Set?i:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&d?m((new Set)[Symbol.iterator]()):i,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?i:SharedArrayBuffer,"%String%":String,"%StringIteratorPrototype%":d?m(""[Symbol.iterator]()):i,"%Symbol%":d?Symbol:i,
"%SyntaxError%":a,"%ThrowTypeError%":c,"%TypedArray%":h,"%TypeError%":l,"%Uint8Array%":"undefined"==typeof Uint8Array?i:Uint8Array,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?i:Uint8ClampedArray,"%Uint16Array%":"undefined"==typeof Uint16Array?i:Uint16Array,"%Uint32Array%":"undefined"==typeof Uint32Array?i:Uint32Array,"%URIError%":URIError,"%WeakMap%":"undefined"==typeof WeakMap?i:WeakMap,"%WeakRef%":"undefined"==typeof WeakRef?i:WeakRef,"%WeakSet%":"undefined"==typeof WeakSet?i:WeakSet},b=function doEval(e){var s;if("%AsyncFunction%"===e)s=getEvalledConstructor("async function () {}");else if("%GeneratorFunction%"===e)s=getEvalledConstructor("function* () {}");else if("%AsyncGeneratorFunction%"===e)s=getEvalledConstructor("async function* () {}");else if("%AsyncGenerator%"===e){var t=doEval("%AsyncGeneratorFunction%");t&&(s=t.prototype)}else if("%AsyncIteratorPrototype%"===e){var i=doEval("%AsyncGenerator%");i&&(s=m(i.prototype))}return p[e]=s,s},f={
"%ArrayBufferPrototype%":["ArrayBuffer","prototype"],"%ArrayPrototype%":["Array","prototype"],"%ArrayProto_entries%":["Array","prototype","entries"],"%ArrayProto_forEach%":["Array","prototype","forEach"],"%ArrayProto_keys%":["Array","prototype","keys"],"%ArrayProto_values%":["Array","prototype","values"],"%AsyncFunctionPrototype%":["AsyncFunction","prototype"],"%AsyncGenerator%":["AsyncGeneratorFunction","prototype"],"%AsyncGeneratorPrototype%":["AsyncGeneratorFunction","prototype","prototype"],"%BooleanPrototype%":["Boolean","prototype"],"%DataViewPrototype%":["DataView","prototype"],"%DatePrototype%":["Date","prototype"],"%ErrorPrototype%":["Error","prototype"],"%EvalErrorPrototype%":["EvalError","prototype"],"%Float32ArrayPrototype%":["Float32Array","prototype"],"%Float64ArrayPrototype%":["Float64Array","prototype"],"%FunctionPrototype%":["Function","prototype"],"%Generator%":["GeneratorFunction","prototype"],"%GeneratorPrototype%":["GeneratorFunction","prototype","prototype"],
"%Int8ArrayPrototype%":["Int8Array","prototype"],"%Int16ArrayPrototype%":["Int16Array","prototype"],"%Int32ArrayPrototype%":["Int32Array","prototype"],"%JSONParse%":["JSON","parse"],"%JSONStringify%":["JSON","stringify"],"%MapPrototype%":["Map","prototype"],"%NumberPrototype%":["Number","prototype"],"%ObjectPrototype%":["Object","prototype"],"%ObjProto_toString%":["Object","prototype","toString"],"%ObjProto_valueOf%":["Object","prototype","valueOf"],"%PromisePrototype%":["Promise","prototype"],"%PromiseProto_then%":["Promise","prototype","then"],"%Promise_all%":["Promise","all"],"%Promise_reject%":["Promise","reject"],"%Promise_resolve%":["Promise","resolve"],"%RangeErrorPrototype%":["RangeError","prototype"],"%ReferenceErrorPrototype%":["ReferenceError","prototype"],"%RegExpPrototype%":["RegExp","prototype"],"%SetPrototype%":["Set","prototype"],"%SharedArrayBufferPrototype%":["SharedArrayBuffer","prototype"],"%StringPrototype%":["String","prototype"],
"%SymbolPrototype%":["Symbol","prototype"],"%SyntaxErrorPrototype%":["SyntaxError","prototype"],"%TypedArrayPrototype%":["TypedArray","prototype"],"%TypeErrorPrototype%":["TypeError","prototype"],"%Uint8ArrayPrototype%":["Uint8Array","prototype"],"%Uint8ClampedArrayPrototype%":["Uint8ClampedArray","prototype"],"%Uint16ArrayPrototype%":["Uint16Array","prototype"],"%Uint32ArrayPrototype%":["Uint32Array","prototype"],"%URIErrorPrototype%":["URIError","prototype"],"%WeakMapPrototype%":["WeakMap","prototype"],"%WeakSetPrototype%":["WeakSet","prototype"]},v=e("function-bind"),j=e("has"),k=v.call(Function.call,Array.prototype.concat),y=v.call(Function.apply,Array.prototype.splice),w=v.call(Function.call,String.prototype.replace),z=v.call(Function.call,String.prototype.slice),T=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,S=/\\(\\)?/g,x=function stringToPath(e){var s=z(e,0,1),t=z(e,-1)
;if("%"===s&&"%"!==t)throw new a("invalid intrinsic syntax, expected closing `%`");if("%"===t&&"%"!==s)throw new a("invalid intrinsic syntax, expected opening `%`");var i=[];return w(e,T,(function(e,s,t,a){i[i.length]=t?w(a,S,"$1"):s||e})),i},D=function getBaseIntrinsic(e,s){var t,i=e;if(j(f,i)&&(i="%"+(t=f[i])[0]+"%"),j(p,i)){var n=p[i];if(n===g&&(n=b(i)),void 0===n&&!s)throw new l("intrinsic "+e+" exists, but is not available. Please file an issue!");return{alias:t,name:i,value:n}}throw new a("intrinsic "+e+" does not exist!")};s.exports=function GetIntrinsic(e,s){if("string"!=typeof e||0===e.length)throw new l("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof s)throw new l('"allowMissing" argument must be a boolean');var t=x(e),i=t.length>0?t[0]:"",n=D("%"+i+"%",s),c=n.name,d=n.value,m=!1,g=n.alias;g&&(i=g[0],y(t,k([0,1],g)));for(var h=1,b=!0;h<t.length;h+=1){var f=t[h],v=z(f,0,1),w=z(f,-1)
;if(('"'===v||"'"===v||"`"===v||'"'===w||"'"===w||"`"===w)&&v!==w)throw new a("property names with quotes must have matching quotes");if("constructor"!==f&&b||(m=!0),j(p,c="%"+(i+="."+f)+"%"))d=p[c];else if(null!=d){if(!(f in d)){if(!s)throw new l("base intrinsic for "+e+" exists, but the property is not available.");return}if(u&&h+1>=t.length){var T=u(d,f);d=(b=!!T)&&"get"in T&&!("originalValue"in T.get)?T.get:d[f]}else b=j(d,f),d=d[f];b&&!m&&(p[c]=d)}}return d}},{"function-bind":214,has:218,"has-symbols":216}],216:[function(e,s,t){"use strict";var i="undefined"!=typeof Symbol&&Symbol,a=e("./shams");s.exports=function hasNativeSymbols(){return"function"==typeof i&&("function"==typeof Symbol&&("symbol"==typeof i("foo")&&("symbol"==typeof Symbol("bar")&&a())))}},{"./shams":217}],217:[function(e,s,t){"use strict";s.exports=function hasSymbols(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0
;var e={},s=Symbol("test"),t=Object(s);if("string"==typeof s)return!1;if("[object Symbol]"!==Object.prototype.toString.call(s))return!1;if("[object Symbol]"!==Object.prototype.toString.call(t))return!1;for(s in e[s]=42,e)return!1;if("function"==typeof Object.keys&&0!==Object.keys(e).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(e).length)return!1;var i=Object.getOwnPropertySymbols(e);if(1!==i.length||i[0]!==s)return!1;if(!Object.prototype.propertyIsEnumerable.call(e,s))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var a=Object.getOwnPropertyDescriptor(e,s);if(42!==a.value||!0!==a.enumerable)return!1}return!0}},{}],218:[function(e,s,t){"use strict";var i=e("function-bind");s.exports=i.call(Function.call,Object.prototype.hasOwnProperty)},{"function-bind":214}],219:[function(e,s,t){(function(t){(function(){var i=e("querystring"),a=e("./trim");function Link(e){if(!(this instanceof Link))return new Link(e);this.refs=[]}
Link.pattern=/(?:\<([^\>]+)\>)((\s*;\s*([a-z\*]+)=(("[^"]+")|('[^']+')|([^\,\;]+)))*)(\s*,\s*|$)/gi,Link.attrPattern=/([a-z\*]+)=(?:(?:"([^"]+)")|(?:'([^']+)')|([^\,\;]+))/gi,Link.isCompatibleEncoding=function(e){return/^utf-?8|ascii|utf-?16-?le|ucs-?2|base-?64|latin-?1$/i.test(e)},Link.formatExtendedAttribute=function(e,s){var a=(s.encoding||"utf-8").toUpperCase();return e+"="+a+"'"+(s.language||"en")+"'"+(t.isBuffer(s.value)&&Link.isCompatibleEncoding(a)?s.value.toString(a):t.isBuffer(s.value)?s.value.toString("hex").replace(/[0-9a-f]{2}/gi,"%$1"):i.escape(s.value))},Link.formatAttribute=function(e,s){return/\*$/.test(e)||"string"!=typeof s?Link.formatExtendedAttribute(e,s):(/[^a-z]/i.test(s)&&(s='"'+(s=i.escape(s).replace(/%20/g," ").replace(/%2C/g,",").replace(/%3B/g,";"))+'"'),e+"="+s)},Link.parseExtendedValue=function(e){var s=/([^']+)?(?:'([^']+)')?(.+)/.exec(e);return{language:s[2].toLowerCase(),encoding:Link.isCompatibleEncoding(s[1])?null:s[1].toLowerCase(),
value:Link.isCompatibleEncoding(s[1])?i.unescape(s[3]):s[3]}},Link.setAttr=function(e,s,t){return"rel"===s&&null!=e[s]||(Array.isArray(e[s])?e[s].push(t):null!=e[s]?e[s]=[e[s],t]:e[s]=t),e},Link.parseParams=function(e,s){var t={},i=/(.+)\?(.+)/gi.exec(s);if(!i)return e;i=i[2].split("&");for(var a=0;a<i.length;a++){var n=i[a].split("=");t[n[0]]=n[1]}return Link.setAttr(e,"params",t),e},Link.parseAttrs=function(e,s){var t=null,a="",n="",l="",u=/<(.*)>;\s*(.*)/gi.exec(s);for(u&&(l=u[2],e=Link.parseParams(e,u[1]));t=Link.attrPattern.exec(l);)a=t[1].toLowerCase(),n=t[4]||t[3]||t[2],/\*$/.test(a)?Link.setAttr(e,a,Link.parseExtendedValue(n)):/%/.test(n)?Link.setAttr(e,a,i.unescape(n)):Link.setAttr(e,a,n);return e},Link.parse=function(e){return(new Link).parse(e)},Link.prototype={constructor:Link,rel:function(e){for(var s=[],t=0;t<this.refs.length;t++)this.refs[t].rel===e&&s.push(this.refs[t]);return s},get:function(e,s){e=e.toLowerCase()
;for(var t=[],i=0;i<this.refs.length;i++)this.refs[i][e]===s&&t.push(this.refs[i]);return t},set:function(e){return this.refs.push(e),this},has:function(e,s){return null!=this.get(e,s)},parse:function(e){e=a(e).replace(/\r?\n[\x20\x09]+/g,"");for(var s=null;s=Link.pattern.exec(e);){var t=Link.parseAttrs({uri:s[1]},s[0]);this.refs.push(t)}return this},toString:function(){for(var e=[],s="",t=null,i=0;i<this.refs.length;i++)t=this.refs[i],s=Object.keys(this.refs[i]).reduce((function(e,s){return"uri"===s?e:e+"; "+Link.formatAttribute(s,t[s])}),"<"+t.uri+">"),e.push(s);return e.join(", ")}},s.exports=Link}).call(this)}).call(this,{isBuffer:e("../../is-buffer/index.js")})},{"../../is-buffer/index.js":231,"./trim":220,querystring:275}],220:[function(e,s,t){s.exports=function trim(e){return e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"")}},{}],221:[function(e,s,t){t.read=function(e,s,t,i,a){var n,l,u=8*a-i-1,c=(1<<u)-1,d=c>>1,m=-7,g=t?a-1:0,h=t?-1:1,p=e[s+g];for(g+=h,n=p&(1<<-m)-1,p>>=-m,
m+=u;m>0;n=256*n+e[s+g],g+=h,m-=8);for(l=n&(1<<-m)-1,n>>=-m,m+=i;m>0;l=256*l+e[s+g],g+=h,m-=8);if(0===n)n=1-d;else{if(n===c)return l?NaN:1/0*(p?-1:1);l+=Math.pow(2,i),n-=d}return(p?-1:1)*l*Math.pow(2,n-i)},t.write=function(e,s,t,i,a,n){var l,u,c,d=8*n-a-1,m=(1<<d)-1,g=m>>1,h=23===a?Math.pow(2,-24)-Math.pow(2,-77):0,p=i?0:n-1,b=i?1:-1,f=s<0||0===s&&1/s<0?1:0;for(s=Math.abs(s),isNaN(s)||s===1/0?(u=isNaN(s)?1:0,l=m):(l=Math.floor(Math.log(s)/Math.LN2),s*(c=Math.pow(2,-l))<1&&(l--,c*=2),(s+=l+g>=1?h/c:h*Math.pow(2,1-g))*c>=2&&(l++,c/=2),l+g>=m?(u=0,l=m):l+g>=1?(u=(s*c-1)*Math.pow(2,a),l+=g):(u=s*Math.pow(2,g-1)*Math.pow(2,a),l=0));a>=8;e[t+p]=255&u,p+=b,u/=256,a-=8);for(l=l<<a|u,d+=a;d>0;e[t+p]=255&l,p+=b,l/=256,d-=8);e[t+p-b]|=128*f}},{}],222:[function(e,s,t){var i;!function(e){"use strict";!function(e){e[e.Grey=1]="Grey",e[e.GreyAlpha=2]="GreyAlpha",e[e.RGB=3]="RGB",e[e.RGBAlpha=4]="RGBAlpha"}(e.Channels||(e.Channels={}));var s;e.Channels;e.compare=function compare(e,t,i,a,n,l,u){
if(void 0===i&&(i=8),void 0===a&&(a=.01),void 0===n&&(n=.03),void 0===l&&(l=!0),void 0===u&&(u=8),e.width!==t.width||e.height!==t.height)throw new Error("Images have different sizes!");var c=(1<<u)-1,d=Math.pow(a*c,2),m=Math.pow(n*c,2),g=0,h=0,p=0;return s._iterate(e,t,i,l,(function iteration(e,s,t,i){var a,n,l;a=n=l=0;for(var u=0;u<e.length;u++)n+=Math.pow(e[u]-t,2),l+=Math.pow(s[u]-i,2),a+=(e[u]-t)*(s[u]-i);var c=e.length-1;n/=c,l/=c;var b=(2*t*i+d)*(2*(a/=c)+m),f=(Math.pow(t,2)+Math.pow(i,2)+d)*(n+l+m);h+=b/f,p+=(2*a+m)/(n+l+m),g++})),{ssim:h/g,mcs:p/g}},function(e){function _lumaValuesForWindow(e,s,t,i,a,n){for(var l=e.data,u=new Float32Array(new ArrayBuffer(i*a*4)),c=0,d=t+a,m=t;m<d;m++){var g=m*e.width,h=(g+s)*e.channels,p=(g+s+i)*e.channels;switch(e.channels){case 1:for(;h<p;)u[c++]=l[h++];break;case 2:for(;h<p;)u[c++]=l[h++]*(l[h++]/255);break;case 3:if(n)for(;h<p;)u[c++]=.212655*l[h++]+.715158*l[h++]+.072187*l[h++];else for(;h<p;)u[c++]=l[h++]+l[h++]+l[h++];break;case 4:
if(n)for(;h<p;)u[c++]=(.212655*l[h++]+.715158*l[h++]+.072187*l[h++])*(l[h++]/255);else for(;h<p;)u[c++]=(l[h++]+l[h++]+l[h++])*(l[h++]/255)}}return u}function _averageLuma(e){for(var s=0,t=0;t<e.length;t++)s+=e[t];return s/e.length}e._iterate=function _iterate(e,s,t,i,a){for(var n=e.width,l=e.height,u=0;u<l;u+=t)for(var c=0;c<n;c+=t){var d=Math.min(t,n-c),m=Math.min(t,l-u),g=_lumaValuesForWindow(e,c,u,d,m,i),h=_lumaValuesForWindow(s,c,u,d,m,i);a(g,h,_averageLuma(g),_averageLuma(h))}}}(s||(s={}))}(i||(i={})),s.exports=i},{}],223:[function(e,s,t){"function"==typeof Object.create?s.exports=function inherits(e,s){s&&(e.super_=s,e.prototype=Object.create(s.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}))}:s.exports=function inherits(e,s){if(s){e.super_=s;var TempCtor=function(){};TempCtor.prototype=s.prototype,e.prototype=new TempCtor,e.prototype.constructor=e}}},{}],224:[function(e,s,t){"use strict";var i=e("./lib/parser");s.exports=i,s.exports.default=i},{
"./lib/parser":225}],225:[function(e,s,t){"use strict";function peg$SyntaxError(e,s,t,i){this.message=e,this.expected=s,this.found=t,this.location=i,this.name="SyntaxError","function"==typeof Error.captureStackTrace&&Error.captureStackTrace(this,peg$SyntaxError)}!function peg$subclass(e,s){function ctor(){this.constructor=e}ctor.prototype=s.prototype,e.prototype=new ctor}(peg$SyntaxError,Error),peg$SyntaxError.buildMessage=function(e,s){var t={literal:function(e){return'"'+literalEscape(e.text)+'"'},class:function(e){var s,t="";for(s=0;s<e.parts.length;s++)t+=e.parts[s]instanceof Array?classEscape(e.parts[s][0])+"-"+classEscape(e.parts[s][1]):classEscape(e.parts[s]);return"["+(e.inverted?"^":"")+t+"]"},any:function(e){return"any character"},end:function(e){return"end of input"},other:function(e){return e.description}};function hex(e){return e.charCodeAt(0).toString(16).toUpperCase()}function literalEscape(e){
return e.replace(/\\/g,"\\\\").replace(/"/g,'\\"').replace(/\0/g,"\\0").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/[\x00-\x0F]/g,(function(e){return"\\x0"+hex(e)})).replace(/[\x10-\x1F\x7F-\x9F]/g,(function(e){return"\\x"+hex(e)}))}function classEscape(e){return e.replace(/\\/g,"\\\\").replace(/\]/g,"\\]").replace(/\^/g,"\\^").replace(/-/g,"\\-").replace(/\0/g,"\\0").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/[\x00-\x0F]/g,(function(e){return"\\x0"+hex(e)})).replace(/[\x10-\x1F\x7F-\x9F]/g,(function(e){return"\\x"+hex(e)}))}return"Expected "+function describeExpected(e){var s,i,a,n=new Array(e.length);for(s=0;s<e.length;s++)n[s]=(a=e[s],t[a.type](a));if(n.sort(),n.length>0){for(s=1,i=1;s<n.length;s++)n[s-1]!==n[s]&&(n[i]=n[s],i++);n.length=i}switch(n.length){case 1:return n[0];case 2:return n[0]+" or "+n[1];default:return n.slice(0,-1).join(", ")+", or "+n[n.length-1]}}(e)+" but "+function describeFound(e){
return e?'"'+literalEscape(e)+'"':"end of input"}(s)+" found."},s.exports={SyntaxError:peg$SyntaxError,parse:function peg$parse(e,s){s=void 0!==s?s:{};var t,i={},a={start:peg$parsestart},n=peg$parsestart,peg$c3=function(e){return e.join("")
},l=peg$literalExpectation("{",!1),u=",",c=peg$literalExpectation(",",!1),d=peg$literalExpectation("}",!1),m="number",g=peg$literalExpectation("number",!1),h="date",p=peg$literalExpectation("date",!1),b="time",f=peg$literalExpectation("time",!1),v="plural",j=peg$literalExpectation("plural",!1),k="selectordinal",y=peg$literalExpectation("selectordinal",!1),w="select",z=peg$literalExpectation("select",!1),T=peg$literalExpectation("=",!1),S="offset:",x=peg$literalExpectation("offset:",!1),D=peg$otherExpectation("whitespace"),C=/^[ \t\n\r]/,_=peg$classExpectation([" ","\t","\n","\r"],!1,!1),P=peg$otherExpectation("optionalWhitespace"),A=/^[0-9]/,L=peg$classExpectation([["0","9"]],!1,!1),R=/^[0-9a-f]/i,M=peg$classExpectation([["0","9"],["a","f"]],!1,!0),I=peg$literalExpectation("0",!1),E=/^[1-9]/,N=peg$classExpectation([["1","9"]],!1,!1),B="'",q=peg$literalExpectation("'",!1),O=/^[ \t\n\r,.+={}#]/,U=peg$classExpectation([" ","\t","\n","\r",",",".","+","=","{","}","#"],!1,!1),F={type:"any"
},V=/^[^{}\\\0-\x1F\x7F \t\n\r]/,G=peg$classExpectation(["{","}","\\",["\0",""],""," ","\t","\n","\r"],!0,!1),H=peg$literalExpectation("\\\\",!1),W=peg$literalExpectation("\\#",!1),J=peg$literalExpectation("\\{",!1),K=peg$literalExpectation("\\}",!1),Y=peg$literalExpectation("\\u",!1),Z=0,$=0,X=[{line:1,column:1}],Q=0,ee=[],se=0;if("startRule"in s){if(!(s.startRule in a))throw new Error("Can't start parsing from rule \""+s.startRule+'".');n=a[s.startRule]}function location(){return peg$computeLocation($,Z)}function peg$literalExpectation(e,s){return{type:"literal",text:e,ignoreCase:s}}function peg$classExpectation(e,s,t){return{type:"class",parts:e,inverted:s,ignoreCase:t}}function peg$otherExpectation(e){return{type:"other",description:e}}function peg$computePosDetails(s){var t,i=X[s];if(i)return i;for(t=s-1;!X[t];)t--;for(i={line:(i=X[t]).line,column:i.column};t<s;)10===e.charCodeAt(t)?(i.line++,i.column=1):i.column++,t++;return X[s]=i,i}function peg$computeLocation(e,s){
var t=peg$computePosDetails(e),i=peg$computePosDetails(s);return{start:{offset:e,line:t.line,column:t.column},end:{offset:s,line:i.line,column:i.column}}}function peg$fail(e){Z<Q||(Z>Q&&(Q=Z,ee=[]),ee.push(e))}function peg$buildStructuredError(e,s,t){return new peg$SyntaxError(peg$SyntaxError.buildMessage(e,s),e,s,t)}function peg$parsestart(){return peg$parsemessageFormatPattern()}function peg$parsemessageFormatPattern(){var e,s,t;for(e=Z,s=[],t=peg$parsemessageFormatElement();t!==i;)s.push(t),t=peg$parsemessageFormatElement();return s!==i&&($=e,s={type:"messageFormatPattern",elements:s,location:location()}),e=s}function peg$parsemessageFormatElement(){var s;return(s=function peg$parsemessageTextElement(){var s,t;s=Z,(t=function peg$parsemessageText(){var s,t,a,n,l,u;s=Z,t=[],a=Z,(n=peg$parse_())!==i&&(l=peg$parsechars())!==i&&(u=peg$parse_())!==i?a=n=[n,l,u]:(Z=a,a=i);if(a!==i)for(;a!==i;)t.push(a),a=Z,
(n=peg$parse_())!==i&&(l=peg$parsechars())!==i&&(u=peg$parse_())!==i?a=n=[n,l,u]:(Z=a,a=i);else t=i;t!==i&&($=s,t=t.reduce((function(e,s){return e.concat(s)}),[]).join(""));(s=t)===i&&(s=Z,s=(t=peg$parsews())!==i?e.substring(s,Z):t);return s}())!==i&&($=s,t={type:"messageTextElement",value:t,location:location()});return s=t}())===i&&(s=function peg$parseargumentElement(){var s,t,a,n,T,S,x;s=Z,123===e.charCodeAt(Z)?(t="{",Z++):(t=i,0===se&&peg$fail(l));t!==i&&peg$parse_()!==i&&(a=function peg$parseargument(){var e,s,t;if((e=peg$parsenumber())===i){for(e=Z,s=[],t=peg$parsequoteEscapedChar();t!==i;)s.push(t),t=peg$parsequoteEscapedChar();s!==i&&($=e,s=peg$c3(s)),e=s}return e}())!==i&&peg$parse_()!==i?(n=Z,44===e.charCodeAt(Z)?(T=u,Z++):(T=i,0===se&&peg$fail(c)),T!==i&&(S=peg$parse_())!==i&&(x=function peg$parseelementFormat(){var s;(s=function peg$parsesimpleFormat(){var s,t,a,n,l,d;s=Z,e.substr(Z,6)===m?(t=m,Z+=6):(t=i,0===se&&peg$fail(g));t===i&&(e.substr(Z,4)===h?(t=h,Z+=4):(t=i,
0===se&&peg$fail(p)),t===i&&(e.substr(Z,4)===b?(t=b,Z+=4):(t=i,0===se&&peg$fail(f))));t!==i&&peg$parse_()!==i?(a=Z,44===e.charCodeAt(Z)?(n=u,Z++):(n=i,0===se&&peg$fail(c)),n!==i&&(l=peg$parse_())!==i&&(d=peg$parsechars())!==i?a=n=[n,l,d]:(Z=a,a=i),a===i&&(a=null),a!==i?($=s,s=t={type:t+"Format",style:(v=a)&&v[2],location:location()}):(Z=s,s=i)):(Z=s,s=i);var v;return s}())===i&&(s=function peg$parsepluralFormat(){var s,t,a,n;s=Z,e.substr(Z,6)===v?(t=v,Z+=6):(t=i,0===se&&peg$fail(j));t!==i&&peg$parse_()!==i?(44===e.charCodeAt(Z)?(a=u,Z++):(a=i,0===se&&peg$fail(c)),a!==i&&peg$parse_()!==i&&(n=peg$parsepluralStyle())!==i?($=s,s=t={type:(l=n).type,ordinal:!1,offset:l.offset||0,options:l.options,location:location()}):(Z=s,s=i)):(Z=s,s=i);var l;return s}())===i&&(s=function peg$parseselectOrdinalFormat(){var s,t,a,n;s=Z,e.substr(Z,13)===k?(t=k,Z+=13):(t=i,0===se&&peg$fail(y));t!==i&&peg$parse_()!==i?(44===e.charCodeAt(Z)?(a=u,Z++):(a=i,0===se&&peg$fail(c)),
a!==i&&peg$parse_()!==i&&(n=peg$parsepluralStyle())!==i?($=s,s=t={type:(l=n).type,ordinal:!0,offset:l.offset||0,options:l.options,location:location()}):(Z=s,s=i)):(Z=s,s=i);var l;return s}())===i&&(s=function peg$parseselectFormat(){var s,t,a,n,l;s=Z,e.substr(Z,6)===w?(t=w,Z+=6):(t=i,0===se&&peg$fail(z));if(t!==i)if(peg$parse_()!==i)if(44===e.charCodeAt(Z)?(a=u,Z++):(a=i,0===se&&peg$fail(c)),a!==i)if(peg$parse_()!==i){if(n=[],(l=peg$parseoptionalFormatPattern())!==i)for(;l!==i;)n.push(l),l=peg$parseoptionalFormatPattern();else n=i;n!==i?($=s,s=t=function(e){return{type:"selectFormat",options:e,location:location()}}(n)):(Z=s,s=i)}else Z=s,s=i;else Z=s,s=i;else Z=s,s=i;else Z=s,s=i;return s}());return s}())!==i?n=T=[T,S,x]:(Z=n,n=i),n===i&&(n=null),n!==i&&(T=peg$parse_())!==i?(125===e.charCodeAt(Z)?(S="}",Z++):(S=i,0===se&&peg$fail(d)),S!==i?($=s,s=t={type:"argumentElement",id:a,format:(D=n)&&D[2],location:location()}):(Z=s,s=i)):(Z=s,s=i)):(Z=s,s=i);var D;return s}()),s}
function peg$parseoptionalFormatPattern(){var s,t,a,n,u;return s=Z,peg$parse_()!==i&&(t=function peg$parseselector(){var s,t,a,n;return s=Z,t=Z,61===e.charCodeAt(Z)?(a="=",Z++):(a=i,0===se&&peg$fail(T)),a!==i&&(n=peg$parsenumber())!==i?t=a=[a,n]:(Z=t,t=i),(s=t!==i?e.substring(s,Z):t)===i&&(s=peg$parsechars()),s}())!==i&&peg$parse_()!==i?(123===e.charCodeAt(Z)?(a="{",Z++):(a=i,0===se&&peg$fail(l)),a!==i&&(n=peg$parsemessageFormatPattern())!==i?(125===e.charCodeAt(Z)?(u="}",Z++):(u=i,0===se&&peg$fail(d)),u!==i?($=s,s={type:"optionalFormatPattern",selector:t,value:n,location:location()}):(Z=s,s=i)):(Z=s,s=i)):(Z=s,s=i),s}function peg$parsepluralStyle(){var s,t,a,n;if(s=Z,(t=function peg$parseoffset(){var s,t,a;return s=Z,e.substr(Z,7)===S?(t=S,Z+=7):(t=i,0===se&&peg$fail(x)),t!==i&&peg$parse_()!==i&&(a=peg$parsenumber())!==i?($=s,s=t=a):(Z=s,s=i),s}())===i&&(t=null),t!==i)if(peg$parse_()!==i){if(a=[],(n=peg$parseoptionalFormatPattern())!==i)for(;n!==i;)a.push(n),
n=peg$parseoptionalFormatPattern();else a=i;a!==i?($=s,s=t=function(e,s){return{type:"pluralFormat",offset:e,options:s,location:location()}}(t,a)):(Z=s,s=i)}else Z=s,s=i;else Z=s,s=i;return s}function peg$parsews(){var s,t;if(se++,s=[],C.test(e.charAt(Z))?(t=e.charAt(Z),Z++):(t=i,0===se&&peg$fail(_)),t!==i)for(;t!==i;)s.push(t),C.test(e.charAt(Z))?(t=e.charAt(Z),Z++):(t=i,0===se&&peg$fail(_));else s=i;return se--,s===i&&(t=i,0===se&&peg$fail(D)),s}function peg$parse_(){var s,t,a;for(se++,s=Z,t=[],a=peg$parsews();a!==i;)t.push(a),a=peg$parsews();return s=t!==i?e.substring(s,Z):t,se--,s===i&&(t=i,0===se&&peg$fail(P)),s}function peg$parsedigit(){var s;return A.test(e.charAt(Z))?(s=e.charAt(Z),Z++):(s=i,0===se&&peg$fail(L)),s}function peg$parsehexDigit(){var s;return R.test(e.charAt(Z))?(s=e.charAt(Z),Z++):(s=i,0===se&&peg$fail(M)),s}function peg$parsenumber(){var s,t,a,n,l,u;if(s=Z,48===e.charCodeAt(Z)?(t="0",Z++):(t=i,0===se&&peg$fail(I)),t===i){if(t=Z,a=Z,
E.test(e.charAt(Z))?(n=e.charAt(Z),Z++):(n=i,0===se&&peg$fail(N)),n!==i){for(l=[],u=peg$parsedigit();u!==i;)l.push(u),u=peg$parsedigit();l!==i?a=n=[n,l]:(Z=a,a=i)}else Z=a,a=i;t=a!==i?e.substring(t,Z):a}return t!==i&&($=s,t=parseInt(t,10)),s=t}function peg$parsequoteEscapedChar(){var s,t,a;return s=Z,t=Z,se++,39===e.charCodeAt(Z)?(a=B,Z++):(a=i,0===se&&peg$fail(q)),a===i&&(O.test(e.charAt(Z))?(a=e.charAt(Z),Z++):(a=i,0===se&&peg$fail(U))),se--,a===i?t=void 0:(Z=t,t=i),t!==i?(e.length>Z?(a=e.charAt(Z),Z++):(a=i,0===se&&peg$fail(F)),a!==i?($=s,s=t=a):(Z=s,s=i)):(Z=s,s=i),s===i&&(s=Z,39===e.charCodeAt(Z)?(t=B,Z++):(t=i,0===se&&peg$fail(q)),t!==i&&(a=function peg$parseescape(){var s;O.test(e.charAt(Z))?(s=e.charAt(Z),Z++):(s=i,0===se&&peg$fail(U));s===i&&(s=peg$parseapostrophe());return s}())!==i?($=s,s=t=a):(Z=s,s=i)),s}function peg$parseapostrophe(){var s;return 39===e.charCodeAt(Z)?(s=B,Z++):(s=i,0===se&&peg$fail(q)),s}function peg$parsechar(){var s,t,a,n,l,u,c,d,m;return s=Z,
39===e.charCodeAt(Z)?(t=B,Z++):(t=i,0===se&&peg$fail(q)),t!==i&&(a=peg$parseapostrophe())!==i?($=s,s=t=a):(Z=s,s=i),s===i&&(V.test(e.charAt(Z))?(s=e.charAt(Z),Z++):(s=i,0===se&&peg$fail(G)),s===i&&(s=Z,"\\\\"===e.substr(Z,2)?(t="\\\\",Z+=2):(t=i,0===se&&peg$fail(H)),t!==i&&($=s,t="\\"),(s=t)===i&&(s=Z,"\\#"===e.substr(Z,2)?(t="\\#",Z+=2):(t=i,0===se&&peg$fail(W)),t!==i&&($=s,t="\\#"),(s=t)===i&&(s=Z,"\\{"===e.substr(Z,2)?(t="\\{",Z+=2):(t=i,0===se&&peg$fail(J)),t!==i&&($=s,t="{"),(s=t)===i&&(s=Z,"\\}"===e.substr(Z,2)?(t="\\}",Z+=2):(t=i,0===se&&peg$fail(K)),t!==i&&($=s,t="}"),(s=t)===i&&(s=Z,"\\u"===e.substr(Z,2)?(t="\\u",Z+=2):(t=i,0===se&&peg$fail(Y)),t!==i?(a=Z,n=Z,(l=peg$parsehexDigit())!==i&&(u=peg$parsehexDigit())!==i&&(c=peg$parsehexDigit())!==i&&(d=peg$parsehexDigit())!==i?n=l=[l,u,c,d]:(Z=n,n=i),(a=n!==i?e.substring(a,Z):n)!==i?($=s,m=a,s=t=String.fromCharCode(parseInt(m,16))):(Z=s,s=i)):(Z=s,s=i))))))),s}function peg$parsechars(){var e,s,t;if(e=Z,s=[],
(t=peg$parsechar())!==i)for(;t!==i;)s.push(t),t=peg$parsechar();else s=i;return s!==i&&($=e,s=peg$c3(s)),e=s}if((t=n())!==i&&Z===e.length)return t;throw t!==i&&Z<e.length&&peg$fail({type:"end"}),peg$buildStructuredError(ee,Q<e.length?e.charAt(Q):null,Q<e.length?peg$computeLocation(Q,Q+1):peg$computeLocation(Q,Q))}}},{}],226:[function(e,s,t){"use strict";var i,a=this&&this.__extends||(i=function(e,s){return(i=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,s){e.__proto__=s}||function(e,s){for(var t in s)s.hasOwnProperty(t)&&(e[t]=s[t])})(e,s)},function(e,s){function __(){this.constructor=e}i(e,s),e.prototype=null===s?Object.create(s):(__.prototype=s.prototype,new __)});Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function Compiler(e,s,t){this.locales=[],this.formats={number:{},date:{},time:{}},this.pluralNumberFormat=null,this.currentPlural=null,this.pluralStack=[],this.locales=e,this.formats=s,this.formatters=t}
return Compiler.prototype.compile=function(e){return this.pluralStack=[],this.currentPlural=null,this.pluralNumberFormat=null,this.compileMessage(e)},Compiler.prototype.compileMessage=function(e){var s=this;if(!e||"messageFormatPattern"!==e.type)throw new Error('Message AST is not of type: "messageFormatPattern"');var t=e.elements,i=t.filter((function(e){return"messageTextElement"===e.type||"argumentElement"===e.type})).map((function(e){return"messageTextElement"===e.type?s.compileMessageText(e):s.compileArgument(e)}));if(i.length!==t.length)throw new Error("Message element does not have a valid type");return i},Compiler.prototype.compileMessageText=function(e){return this.currentPlural&&/(^|[^\\])#/g.test(e.value)?(this.pluralNumberFormat||(this.pluralNumberFormat=new Intl.NumberFormat(this.locales)),new d(this.currentPlural.id,this.currentPlural.format.offset,this.pluralNumberFormat,e.value)):e.value.replace(/\\#/g,"#")},Compiler.prototype.compileArgument=function(e){
var s=e.format,t=e.id,i=this.formatters;if(!s)return new u(t);var a=this.formats,n=this.locales;switch(s.type){case"numberFormat":return{id:t,format:i.getNumberFormat(n,a.number[s.style]).format};case"dateFormat":return{id:t,format:i.getDateTimeFormat(n,a.date[s.style]).format};case"timeFormat":return{id:t,format:i.getDateTimeFormat(n,a.time[s.style]).format};case"pluralFormat":return new c(t,s.offset,this.compileOptions(e),i.getPluralRules(n,{type:s.ordinal?"ordinal":"cardinal"}));case"selectFormat":return new m(t,this.compileOptions(e));default:throw new Error("Message element does not have a valid format type")}},Compiler.prototype.compileOptions=function(e){var s=this,t=e.format,i=t.options;this.pluralStack.push(this.currentPlural),this.currentPlural="pluralFormat"===t.type?e:null;var a=i.reduce((function(e,t){return e[t.selector]=s.compileMessage(t.value),e}),{});return this.currentPlural=this.pluralStack.pop(),a},Compiler}();t.default=n;var l=function l(e){this.id=e
},u=function(e){function StringFormat(){return null!==e&&e.apply(this,arguments)||this}return a(StringFormat,e),StringFormat.prototype.format=function(e){return e||"number"==typeof e?"string"==typeof e?e:String(e):""},StringFormat}(l),c=function(){function PluralFormat(e,s,t,i){this.id=e,this.offset=s,this.options=t,this.pluralRules=i}return PluralFormat.prototype.getOption=function(e){var s=this.options;return s["="+e]||s[this.pluralRules.select(e-this.offset)]||s.other},PluralFormat}(),d=function(e){function PluralOffsetString(s,t,i,a){var n=e.call(this,s)||this;return n.offset=t,n.numberFormat=i,n.string=a,n}return a(PluralOffsetString,e),PluralOffsetString.prototype.format=function(e){var s=this.numberFormat.format(e-this.offset);return this.string.replace(/(^|[^\\])#/g,"$1"+s).replace(/\\#/g,"#")},PluralOffsetString}(l);t.PluralOffsetString=d;var m=function(){function SelectFormat(e,s){this.id=e,this.options=s}return SelectFormat.prototype.getOption=function(e){var s=this.options
;return s[e]||s.other},SelectFormat}();t.SelectFormat=m,t.isSelectOrPluralFormat=function isSelectOrPluralFormat(e){return!!e.options}},{}],227:[function(e,s,t){"use strict";var i,a=this&&this.__extends||(i=function(e,s){return(i=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,s){e.__proto__=s}||function(e,s){for(var t in s)s.hasOwnProperty(t)&&(e[t]=s[t])})(e,s)},function(e,s){function __(){this.constructor=e}i(e,s),e.prototype=null===s?Object.create(s):(__.prototype=s.prototype,new __)}),n=this&&this.__assign||function(){return(n=Object.assign||function(e){for(var s,t=1,i=arguments.length;t<i;t++)for(var a in s=arguments[t])Object.prototype.hasOwnProperty.call(s,a)&&(e[a]=s[a]);return e}).apply(this,arguments)};Object.defineProperty(t,"__esModule",{value:!0});var l=e("./compiler");function resolveLocale(e){"string"==typeof e&&(e=[e]);try{return Intl.NumberFormat.supportedLocalesOf(e,{localeMatcher:"best fit"})[0]}catch(e){return c.defaultLocale}}
function formatPatterns(e,s){for(var t="",i=0,a=e;i<a.length;i++){var n=a[i];if("string"!=typeof n){var c=n.id;if(!s||!(c in s))throw new u("A value must be provided for: "+c,c);var d=s[c];l.isSelectOrPluralFormat(n)?t+=formatPatterns(n.getOption(d),s):t+=n.format(d)}else t+=n}return t}function mergeConfigs(e,s){return s?Object.keys(e).reduce((function(t,i){return t[i]=function mergeConfig(e,s){return s?n({},e||{},s||{},Object.keys(e).reduce((function(t,i){return t[i]=n({},e[i],s[i]||{}),t}),{})):e}(e[i],s[i]),t}),n({},e)):e}var u=function(e){function FormatError(s,t){var i=e.call(this,s)||this;return i.variableId=t,i}return a(FormatError,e),FormatError}(Error);function createDefaultFormatters(){return{getNumberFormat:function(){for(var e,s=[],t=0;t<arguments.length;t++)s[t]=arguments[t];return new((e=Intl.NumberFormat).bind.apply(e,[void 0].concat(s)))},getDateTimeFormat:function(){for(var e,s=[],t=0;t<arguments.length;t++)s[t]=arguments[t]
;return new((e=Intl.DateTimeFormat).bind.apply(e,[void 0].concat(s)))},getPluralRules:function(){for(var e,s=[],t=0;t<arguments.length;t++)s[t]=arguments[t];return new((e=Intl.PluralRules).bind.apply(e,[void 0].concat(s)))}}}t.createDefaultFormatters=createDefaultFormatters;var c=function(){function IntlMessageFormat(e,s,t,i){var a=this;if(void 0===s&&(s=IntlMessageFormat.defaultLocale),this.format=function(e){try{return formatPatterns(a.pattern,e)}catch(e){throw e.variableId?new Error("The intl string context variable '"+e.variableId+"' was not provided to the string '"+a.message+"'"):e}},"string"==typeof e){if(!IntlMessageFormat.__parse)throw new TypeError("IntlMessageFormat.__parse must be set to process `message` of type `string`");this.ast=IntlMessageFormat.__parse(e)}else this.ast=e;if(this.message=e,!this.ast||"messageFormatPattern"!==this.ast.type)throw new TypeError("A message must be provided as a String or AST.");var n=mergeConfigs(IntlMessageFormat.formats,t)
;this.locale=resolveLocale(s||[]);var u=i&&i.formatters||createDefaultFormatters();this.pattern=new l.default(s,n,u).compile(this.ast)}return IntlMessageFormat.prototype.resolvedOptions=function(){return{locale:this.locale}},IntlMessageFormat.prototype.getAst=function(){return this.ast},IntlMessageFormat.defaultLocale="en",IntlMessageFormat.__parse=void 0,IntlMessageFormat.formats={number:{currency:{style:"currency"},percent:{style:"percent"}},date:{short:{month:"numeric",day:"numeric",year:"2-digit"},medium:{month:"short",day:"numeric",year:"numeric"},long:{month:"long",day:"numeric",year:"numeric"},full:{weekday:"long",month:"long",day:"numeric",year:"numeric"}},time:{short:{hour:"numeric",minute:"numeric"},medium:{hour:"numeric",minute:"numeric",second:"numeric"},long:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"},full:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"}}},IntlMessageFormat}();t.IntlMessageFormat=c,t.default=c},{
"./compiler":226}],228:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=e("intl-messageformat-parser"),a=e("./core");a.default.__parse=i.default.parse,function __export(e){for(var s in e)t.hasOwnProperty(s)||(t[s]=e[s])}(e("./core")),t.default=a.default},{"./core":227,"intl-messageformat-parser":224}],229:[function(e,s,t){"use strict";var i=e("./dist").default;(t=s.exports=i).default=t},{"./dist":228}],230:[function(e,s,t){"use strict";var i="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag,a=e("call-bind/callBound")("Object.prototype.toString"),n=function isArguments(e){return!(i&&e&&"object"==typeof e&&Symbol.toStringTag in e)&&"[object Arguments]"===a(e)},l=function isArguments(e){return!!n(e)||null!==e&&"object"==typeof e&&"number"==typeof e.length&&e.length>=0&&"[object Array]"!==a(e)&&"[object Function]"===a(e.callee)},u=function(){return n(arguments)}();n.isLegacyArguments=l,s.exports=u?n:l},{"call-bind/callBound":195}],
231:[function(e,s,t){function isBuffer(e){return!!e.constructor&&"function"==typeof e.constructor.isBuffer&&e.constructor.isBuffer(e)}
/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
s.exports=function(e){return null!=e&&(isBuffer(e)||function isSlowBuffer(e){return"function"==typeof e.readFloatLE&&"function"==typeof e.slice&&isBuffer(e.slice(0,0))}(e)||!!e._isBuffer)}},{}],232:[function(e,s,t){"use strict";var i=Object.prototype.toString,a=Function.prototype.toString,n=/^\s*(?:function)?\*/,l="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag,u=Object.getPrototypeOf,c=function(){if(!l)return!1;try{return Function("return function*() {}")()}catch(e){}}(),d=!(!u||!c)&&u(c);s.exports=function isGeneratorFunction(e){return"function"==typeof e&&(!!n.test(a.call(e))||(l?u&&u(e)===d:"[object GeneratorFunction]"===i.call(e)))}},{}],233:[function(e,s,t){(function(t){(function(){"use strict";var i=e("foreach"),a=e("available-typed-arrays"),n=e("call-bind/callBound"),l=n("Object.prototype.toString"),u=e("has-symbols")()&&"symbol"==typeof Symbol.toStringTag,c=a(),d=n("Array.prototype.indexOf",!0)||function indexOf(e,s){
for(var t=0;t<e.length;t+=1)if(e[t]===s)return t;return-1},m=n("String.prototype.slice"),g={},h=e("es-abstract/helpers/getOwnPropertyDescriptor"),p=Object.getPrototypeOf;u&&h&&p&&i(c,(function(e){var s=new t[e];if(!(Symbol.toStringTag in s))throw new EvalError("this engine has support for Symbol.toStringTag, but "+e+" does not have the property! Please report this.");var i=p(s),a=h(i,Symbol.toStringTag);if(!a){var n=p(i);a=h(n,Symbol.toStringTag)}g[e]=a.get}));s.exports=function isTypedArray(e){if(!e||"object"!=typeof e)return!1;if(!u){var s=m(l(e),8,-1);return d(c,s)>-1}return!!h&&function tryAllTypedArrays(e){var s=!1;return i(g,(function(t,i){if(!s)try{s=t.call(e)===i}catch(e){}})),s}(e)}}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"available-typed-arrays":180,"call-bind/callBound":195,"es-abstract/helpers/getOwnPropertyDescriptor":210,foreach:212,"has-symbols":216}],234:[function(e,s,t){
var i=e("./lib/encoder"),a=e("./lib/decoder");s.exports={encode:i,decode:a}},{"./lib/decoder":235,"./lib/encoder":236}],235:[function(e,s,t){(function(e){(function(){var t=function jpegImage(){"use strict";var e=new Int32Array([0,1,8,16,9,2,3,10,17,24,32,25,18,11,4,5,12,19,26,33,40,48,41,34,27,20,13,6,7,14,21,28,35,42,49,56,57,50,43,36,29,22,15,23,30,37,44,51,58,59,52,45,38,31,39,46,53,60,61,54,47,55,62,63]),s=4017,t=799,i=3406,a=2276,n=1567,l=3784,u=5793,c=2896;function constructor(){}function buildHuffmanTable(e,s){for(var t,i,a=0,n=[],l=16;l>0&&!e[l-1];)l--;n.push({children:[],index:0});var u,c=n[0];for(t=0;t<l;t++){for(i=0;i<e[t];i++){for((c=n.pop()).children[c.index]=s[a];c.index>0;){if(0===n.length)throw new Error("Could not recreate Huffman Table");c=n.pop()}for(c.index++,n.push(c);n.length<=t;)n.push(u={children:[],index:0}),c.children[c.index]=u.children,c=u;a++}t+1<l&&(n.push(u={children:[],index:0}),c.children[c.index]=u.children,c=u)}return n[0].children}
function decodeScan(s,t,i,a,n,l,u,c,d,m){i.precision,i.samplesPerLine,i.scanLines;var g=i.mcusPerLine,h=i.progressive,p=(i.maxH,i.maxV,t),b=0,f=0;function readBit(){if(f>0)return f--,b>>f&1;if(255==(b=s[t++])){var e=s[t++];if(e)throw new Error("unexpected marker: "+(b<<8|e).toString(16))}return f=7,b>>>7}function decodeHuffman(e){for(var s,t=e;null!==(s=readBit());){if("number"==typeof(t=t[s]))return t;if("object"!=typeof t)throw new Error("invalid huffman sequence")}return null}function receive(e){for(var s=0;e>0;){var t=readBit();if(null===t)return;s=s<<1|t,e--}return s}function receiveAndExtend(e){var s=receive(e);return s>=1<<e-1?s:s+(-1<<e)+1}var v=0;var j,k=0;function decodeMcu(e,s,t,i,a){var n=t%g,l=(t/g|0)*e.v+i,u=n*e.h+a;void 0===e.blocks[l]&&m.tolerantDecoding||s(e,e.blocks[l][u])}function decodeBlock(e,s,t){var i=t/e.blocksPerLine|0,a=t%e.blocksPerLine;void 0===e.blocks[i]&&m.tolerantDecoding||s(e,e.blocks[i][a])}var y,w,z,T,S,x,D=a.length
;x=h?0===l?0===c?function decodeDCFirst(e,s){var t=decodeHuffman(e.huffmanTableDC),i=0===t?0:receiveAndExtend(t)<<d;s[0]=e.pred+=i}:function decodeDCSuccessive(e,s){s[0]|=readBit()<<d}:0===c?function decodeACFirst(s,t){if(v>0)v--;else for(var i=l,a=u;i<=a;){var n=decodeHuffman(s.huffmanTableAC),c=15&n,m=n>>4;if(0!==c)t[e[i+=m]]=receiveAndExtend(c)*(1<<d),i++;else{if(m<15){v=receive(m)+(1<<m)-1;break}i+=16}}}:function decodeACSuccessive(s,t){for(var i=l,a=u,n=0;i<=a;){var c=e[i],m=t[c]<0?-1:1;switch(k){case 0:var g=decodeHuffman(s.huffmanTableAC),h=15&g;if(n=g>>4,0===h)n<15?(v=receive(n)+(1<<n),k=4):(n=16,k=1);else{if(1!==h)throw new Error("invalid ACn encoding");j=receiveAndExtend(h),k=n?2:3}continue;case 1:case 2:t[c]?t[c]+=(readBit()<<d)*m:0==--n&&(k=2==k?3:0);break;case 3:t[c]?t[c]+=(readBit()<<d)*m:(t[c]=j<<d,k=0);break;case 4:t[c]&&(t[c]+=(readBit()<<d)*m)}i++}4===k&&0==--v&&(k=0)}:function decodeBaseline(s,t){var i=decodeHuffman(s.huffmanTableDC),a=0===i?0:receiveAndExtend(i)
;t[0]=s.pred+=a;for(var n=1;n<64;){var l=decodeHuffman(s.huffmanTableAC),u=15&l,c=l>>4;if(0!==u)t[e[n+=c]]=receiveAndExtend(u),n++;else{if(c<15)break;n+=16}}};var C,_,P,A,L=0;for(_=1==D?a[0].blocksPerLine*a[0].blocksPerColumn:g*i.mcusPerColumn,n||(n=_);L<_;){for(w=0;w<D;w++)a[w].pred=0;if(v=0,1==D)for(y=a[0],S=0;S<n;S++)decodeBlock(y,x,L),L++;else for(S=0;S<n;S++){for(w=0;w<D;w++)for(P=(y=a[w]).h,A=y.v,z=0;z<A;z++)for(T=0;T<P;T++)decodeMcu(y,x,L,z,T);if(++L===_)break}if(L===_)do{if(255===s[t]&&0!==s[t+1])break;t+=1}while(t<s.length-2);if(f=0,(C=s[t]<<8|s[t+1])<65280)throw new Error("marker was not found");if(!(C>=65488&&C<=65495))break;t+=2}return t-p}function buildComponentData(e,d){var m,g,h=[],p=d.blocksPerLine,b=d.blocksPerColumn,f=p<<3,v=new Int32Array(64),j=new Uint8Array(64);function quantizeAndInverse(e,m,g){var h,p,b,f,v,j,k,y,w,z,T=d.quantizationTable,S=g;for(z=0;z<64;z++)S[z]=e[z]*T[z];for(z=0;z<8;++z){var x=8*z
;0!=S[1+x]||0!=S[2+x]||0!=S[3+x]||0!=S[4+x]||0!=S[5+x]||0!=S[6+x]||0!=S[7+x]?(h=u*S[0+x]+128>>8,p=u*S[4+x]+128>>8,b=S[2+x],f=S[6+x],v=c*(S[1+x]-S[7+x])+128>>8,y=c*(S[1+x]+S[7+x])+128>>8,j=S[3+x]<<4,k=S[5+x]<<4,w=h-p+1>>1,h=h+p+1>>1,p=w,w=b*l+f*n+128>>8,b=b*n-f*l+128>>8,f=w,w=v-k+1>>1,v=v+k+1>>1,k=w,w=y+j+1>>1,j=y-j+1>>1,y=w,w=h-f+1>>1,h=h+f+1>>1,f=w,w=p-b+1>>1,p=p+b+1>>1,b=w,w=v*a+y*i+2048>>12,v=v*i-y*a+2048>>12,y=w,w=j*t+k*s+2048>>12,j=j*s-k*t+2048>>12,k=w,S[0+x]=h+y,S[7+x]=h-y,S[1+x]=p+k,S[6+x]=p-k,S[2+x]=b+j,S[5+x]=b-j,S[3+x]=f+v,S[4+x]=f-v):(w=u*S[0+x]+512>>10,S[0+x]=w,S[1+x]=w,S[2+x]=w,S[3+x]=w,S[4+x]=w,S[5+x]=w,S[6+x]=w,S[7+x]=w)}for(z=0;z<8;++z){var D=z;0!=S[8+D]||0!=S[16+D]||0!=S[24+D]||0!=S[32+D]||0!=S[40+D]||0!=S[48+D]||0!=S[56+D]?(h=u*S[0+D]+2048>>12,p=u*S[32+D]+2048>>12,b=S[16+D],f=S[48+D],v=c*(S[8+D]-S[56+D])+2048>>12,y=c*(S[8+D]+S[56+D])+2048>>12,j=S[24+D],k=S[40+D],w=h-p+1>>1,h=h+p+1>>1,p=w,w=b*l+f*n+2048>>12,b=b*n-f*l+2048>>12,f=w,w=v-k+1>>1,v=v+k+1>>1,k=w,w=y+j+1>>1,
j=y-j+1>>1,y=w,w=h-f+1>>1,h=h+f+1>>1,f=w,w=p-b+1>>1,p=p+b+1>>1,b=w,w=v*a+y*i+2048>>12,v=v*i-y*a+2048>>12,y=w,w=j*t+k*s+2048>>12,j=j*s-k*t+2048>>12,k=w,S[0+D]=h+y,S[56+D]=h-y,S[8+D]=p+k,S[48+D]=p-k,S[16+D]=b+j,S[40+D]=b-j,S[24+D]=f+v,S[32+D]=f-v):(w=u*g[z+0]+8192>>14,S[0+D]=w,S[8+D]=w,S[16+D]=w,S[24+D]=w,S[32+D]=w,S[40+D]=w,S[48+D]=w,S[56+D]=w)}for(z=0;z<64;++z){var C=128+(S[z]+8>>4);m[z]=C<0?0:C>255?255:C}}requestMemoryAllocation(f*b*8);for(var k=0;k<b;k++){var y=k<<3;for(m=0;m<8;m++)h.push(new Uint8Array(f));for(var w=0;w<p;w++){quantizeAndInverse(d.blocks[k][w],j,v);var z=0,T=w<<3;for(g=0;g<8;g++){var S=h[y+g];for(m=0;m<8;m++)S[T+m]=j[z++]}}}return h}function clampTo8bit(e){return e<0?0:e>255?255:e}constructor.prototype={load:function load(e){var s=new XMLHttpRequest;s.open("GET",e,!0),s.responseType="arraybuffer",s.onload=function(){var e=new Uint8Array(s.response||s.mozResponseArrayBuffer);this.parse(e),this.onload&&this.onload()}.bind(this),s.send(null)},parse:function parse(s){
var t=1e3*this.opts.maxResolutionInMP*1e3,i=0;s.length;function readUint16(){var e=s[i]<<8|s[i+1];return i+=2,e}function readDataBlock(){var e=readUint16(),t=s.subarray(i,i+e-2);return i+=t.length,t}function prepareComponents(e){var s,t,i=0,a=0;for(t in e.components)e.components.hasOwnProperty(t)&&(i<(s=e.components[t]).h&&(i=s.h),a<s.v&&(a=s.v));var n=Math.ceil(e.samplesPerLine/8/i),l=Math.ceil(e.scanLines/8/a);for(t in e.components)if(e.components.hasOwnProperty(t)){s=e.components[t];var u=Math.ceil(Math.ceil(e.samplesPerLine/8)*s.h/i),c=Math.ceil(Math.ceil(e.scanLines/8)*s.v/a),d=n*s.h,m=l*s.v,g=[];requestMemoryAllocation(256*(m*d));for(var h=0;h<m;h++){for(var p=[],b=0;b<d;b++)p.push(new Int32Array(64));g.push(p)}s.blocksPerLine=u,s.blocksPerColumn=c,s.blocks=g}e.maxH=i,e.maxV=a,e.mcusPerLine=n,e.mcusPerColumn=l}var a,n,l=null,u=null,c=[],d=[],m=[],g=[],h=readUint16();if(this.comments=[],65496!=h)throw new Error("SOI not found");for(h=readUint16();65497!=h;){switch(h){case 65280:
break;case 65504:case 65505:case 65506:case 65507:case 65508:case 65509:case 65510:case 65511:case 65512:case 65513:case 65514:case 65515:case 65516:case 65517:case 65518:case 65519:case 65534:var p=readDataBlock();if(65534===h){var b=String.fromCharCode.apply(null,p);this.comments.push(b)}65504===h&&74===p[0]&&70===p[1]&&73===p[2]&&70===p[3]&&0===p[4]&&(l={version:{major:p[5],minor:p[6]},densityUnits:p[7],xDensity:p[8]<<8|p[9],yDensity:p[10]<<8|p[11],thumbWidth:p[12],thumbHeight:p[13],thumbData:p.subarray(14,14+3*p[12]*p[13])}),65505===h&&69===p[0]&&120===p[1]&&105===p[2]&&102===p[3]&&0===p[4]&&(this.exifBuffer=p.subarray(5,p.length)),65518===h&&65===p[0]&&100===p[1]&&111===p[2]&&98===p[3]&&101===p[4]&&0===p[5]&&(u={version:p[6],flags0:p[7]<<8|p[8],flags1:p[9]<<8|p[10],transformCode:p[11]});break;case 65499:for(var f=readUint16()+i-2;i<f;){var v=s[i++];requestMemoryAllocation(256);var j=new Int32Array(64);if(v>>4==0)for(U=0;U<64;U++){j[e[U]]=s[i++]}else{
if(v>>4!=1)throw new Error("DQT: invalid table spec");for(U=0;U<64;U++){j[e[U]]=readUint16()}}c[15&v]=j}break;case 65472:case 65473:case 65474:readUint16(),(a={}).extended=65473===h,a.progressive=65474===h,a.precision=s[i++],a.scanLines=readUint16(),a.samplesPerLine=readUint16(),a.components={},a.componentsOrder=[];var k=a.scanLines*a.samplesPerLine;if(k>t){var y=Math.ceil((k-t)/1e6);throw new Error(`maxResolutionInMP limit exceeded by ${y}MP`)}var w,z=s[i++];for(q=0;q<z;q++){w=s[i];var T=s[i+1]>>4,S=15&s[i+1],x=s[i+2];a.componentsOrder.push(w),a.components[w]={h:T,v:S,quantizationIdx:x},i+=3}prepareComponents(a),d.push(a);break;case 65476:var D=readUint16();for(q=2;q<D;){var C=s[i++],_=new Uint8Array(16),P=0;for(U=0;U<16;U++,i++)P+=_[U]=s[i];requestMemoryAllocation(16+P);var A=new Uint8Array(P);for(U=0;U<P;U++,i++)A[U]=s[i];q+=17+P,(C>>4==0?g:m)[15&C]=buildHuffmanTable(_,A)}break;case 65501:readUint16(),n=readUint16();break;case 65498:readUint16();var L=s[i++],R=[];for(q=0;q<L;q++){
F=a.components[s[i++]];var M=s[i++];F.huffmanTableDC=g[M>>4],F.huffmanTableAC=m[15&M],R.push(F)}var I=s[i++],E=s[i++],N=s[i++],B=decodeScan(s,i,a,R,n,I,E,N>>4,15&N,this.opts);i+=B;break;case 65535:255!==s[i]&&i--;break;default:if(255==s[i-3]&&s[i-2]>=192&&s[i-2]<=254){i-=3;break}throw new Error("unknown JPEG marker "+h.toString(16))}h=readUint16()}if(1!=d.length)throw new Error("only single frame JPEGs supported");for(var q=0;q<d.length;q++){var O=d[q].components;for(var U in O)O[U].quantizationTable=c[O[U].quantizationIdx],delete O[U].quantizationIdx}this.width=a.samplesPerLine,this.height=a.scanLines,this.jfif=l,this.adobe=u,this.components=[];for(q=0;q<a.componentsOrder.length;q++){var F=a.components[a.componentsOrder[q]];this.components.push({lines:buildComponentData(0,F),scaleX:F.h/a.maxH,scaleY:F.v/a.maxV})}},getData:function getData(e,s){var t,i,a,n,l,u,c,d,m,g,h,p,b,f,v,j,k,y,w,z,T,S=this.width/e,x=this.height/s,D=0,C=e*s*this.components.length;requestMemoryAllocation(C)
;var _=new Uint8Array(C);switch(this.components.length){case 1:for(t=this.components[0],g=0;g<s;g++)for(l=t.lines[0|g*t.scaleY*x],m=0;m<e;m++)h=l[0|m*t.scaleX*S],_[D++]=h;break;case 2:for(t=this.components[0],i=this.components[1],g=0;g<s;g++)for(l=t.lines[0|g*t.scaleY*x],u=i.lines[0|g*i.scaleY*x],m=0;m<e;m++)h=l[0|m*t.scaleX*S],_[D++]=h,h=u[0|m*i.scaleX*S],_[D++]=h;break;case 3:for(T=!0,this.adobe&&this.adobe.transformCode?T=!0:void 0!==this.opts.colorTransform&&(T=!!this.opts.colorTransform),t=this.components[0],i=this.components[1],a=this.components[2],g=0;g<s;g++)for(l=t.lines[0|g*t.scaleY*x],u=i.lines[0|g*i.scaleY*x],c=a.lines[0|g*a.scaleY*x],m=0;m<e;m++)T?(h=l[0|m*t.scaleX*S],p=u[0|m*i.scaleX*S],y=clampTo8bit(h+1.402*((b=c[0|m*a.scaleX*S])-128)),w=clampTo8bit(h-.3441363*(p-128)-.71413636*(b-128)),z=clampTo8bit(h+1.772*(p-128))):(y=l[0|m*t.scaleX*S],w=u[0|m*i.scaleX*S],z=c[0|m*a.scaleX*S]),_[D++]=y,_[D++]=w,_[D++]=z;break;case 4:
if(!this.adobe)throw new Error("Unsupported color mode (4 components)");for(T=!1,this.adobe&&this.adobe.transformCode?T=!0:void 0!==this.opts.colorTransform&&(T=!!this.opts.colorTransform),t=this.components[0],i=this.components[1],a=this.components[2],n=this.components[3],g=0;g<s;g++)for(l=t.lines[0|g*t.scaleY*x],u=i.lines[0|g*i.scaleY*x],c=a.lines[0|g*a.scaleY*x],d=n.lines[0|g*n.scaleY*x],m=0;m<e;m++)T?(h=l[0|m*t.scaleX*S],p=u[0|m*i.scaleX*S],b=c[0|m*a.scaleX*S],f=d[0|m*n.scaleX*S],v=255-clampTo8bit(h+1.402*(b-128)),j=255-clampTo8bit(h-.3441363*(p-128)-.71413636*(b-128)),k=255-clampTo8bit(h+1.772*(p-128))):(v=l[0|m*t.scaleX*S],j=u[0|m*i.scaleX*S],k=c[0|m*a.scaleX*S],f=d[0|m*n.scaleX*S]),_[D++]=255-v,_[D++]=255-j,_[D++]=255-k,_[D++]=255-f;break;default:throw new Error("Unsupported color mode")}return _},copyToImageData:function copyToImageData(e,s){var t,i,a,n,l,u,c,d,m,g=e.width,h=e.height,p=e.data,b=this.getData(g,h),f=0,v=0;switch(this.components.length){case 1:
for(i=0;i<h;i++)for(t=0;t<g;t++)a=b[f++],p[v++]=a,p[v++]=a,p[v++]=a,s&&(p[v++]=255);break;case 3:for(i=0;i<h;i++)for(t=0;t<g;t++)c=b[f++],d=b[f++],m=b[f++],p[v++]=c,p[v++]=d,p[v++]=m,s&&(p[v++]=255);break;case 4:for(i=0;i<h;i++)for(t=0;t<g;t++)l=b[f++],u=b[f++],a=b[f++],c=255-clampTo8bit(l*(1-(n=b[f++])/255)+n),d=255-clampTo8bit(u*(1-n/255)+n),m=255-clampTo8bit(a*(1-n/255)+n),p[v++]=c,p[v++]=d,p[v++]=m,s&&(p[v++]=255);break;default:throw new Error("Unsupported color mode")}}};var d=0,m=0;function requestMemoryAllocation(e=0){var s=d+e;if(s>m){var t=Math.ceil((s-m)/1024/1024);throw new Error(`maxMemoryUsageInMB limit exceeded by at least ${t}MB`)}d=s}return constructor.resetMaxMemoryUsage=function(e){d=0,m=e},constructor.getBytesAllocated=function(){return d},constructor.requestMemoryAllocation=requestMemoryAllocation,constructor}();function decode(s,i={}){var a={...{colorTransform:void 0,useTArray:!1,formatAsRGBA:!0,tolerantDecoding:!0,maxResolutionInMP:100,maxMemoryUsageInMB:512},...i
},n=new Uint8Array(s),l=new t;l.opts=a,t.resetMaxMemoryUsage(1024*a.maxMemoryUsageInMB*1024),l.parse(n);var u=a.formatAsRGBA?4:3,c=l.width*l.height*u;try{t.requestMemoryAllocation(c);var d={width:l.width,height:l.height,exifBuffer:l.exifBuffer,data:a.useTArray?new Uint8Array(c):new e(c)};l.comments.length>0&&(d.comments=l.comments)}catch(e){throw e instanceof RangeError?new Error("Could not allocate enough memory for the image. Required: "+c):e}return l.copyToImageData(d,a.formatAsRGBA),d}void 0!==s?s.exports=decode:"undefined"!=typeof window&&(window["jpeg-js"]=window["jpeg-js"]||{},window["jpeg-js"].decode=decode)}).call(this)}).call(this,e("buffer").Buffer)},{buffer:194}],236:[function(e,s,t){(function(e){(function(){function JPEGEncoder(t){Math.round
;var i,a,n,l,u,c=Math.floor,d=new Array(64),m=new Array(64),g=new Array(64),h=new Array(64),p=new Array(65535),b=new Array(65535),f=new Array(64),v=new Array(64),j=[],k=0,y=7,w=new Array(64),z=new Array(64),T=new Array(64),S=new Array(256),x=new Array(2048),D=[0,1,5,6,14,15,27,28,2,4,7,13,16,26,29,42,3,8,12,17,25,30,41,43,9,11,18,24,31,40,44,53,10,19,23,32,39,45,52,54,20,22,33,38,46,51,55,60,21,34,37,47,50,56,59,61,35,36,48,49,57,58,62,63],C=[0,0,1,5,1,1,1,1,1,1,0,0,0,0,0,0,0],_=[0,1,2,3,4,5,6,7,8,9,10,11],P=[0,0,2,1,3,3,2,4,3,5,5,4,4,0,0,1,125],A=[1,2,3,0,4,17,5,18,33,49,65,6,19,81,97,7,34,113,20,50,129,145,161,8,35,66,177,193,21,82,209,240,36,51,98,114,130,9,10,22,23,24,25,26,37,38,39,40,41,42,52,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,225,226,227,228,229,230,231,232,233,234,241,242,243,244,245,246,247,248,249,250],L=[0,0,3,1,1,1,1,1,1,1,1,1,0,0,0,0,0],R=[0,1,2,3,4,5,6,7,8,9,10,11],M=[0,0,2,1,2,4,4,3,4,7,5,4,4,0,1,2,119],I=[0,1,2,3,17,4,5,33,49,6,18,65,81,7,97,113,19,34,50,129,8,20,66,145,161,177,193,9,35,51,82,240,21,98,114,209,10,22,36,52,225,37,241,23,24,25,26,38,39,40,41,42,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,130,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,226,227,228,229,230,231,232,233,234,242,243,244,245,246,247,248,249,250]
;function computeHuffmanTbl(e,s){for(var t=0,i=0,a=new Array,n=1;n<=16;n++){for(var l=1;l<=e[n];l++)a[s[i]]=[],a[s[i]][0]=t,a[s[i]][1]=n,i++,t++;t*=2}return a}function writeBits(e){for(var s=e[0],t=e[1]-1;t>=0;)s&1<<t&&(k|=1<<y),t--,--y<0&&(255==k?(writeByte(255),writeByte(0)):writeByte(k),y=7,k=0)}function writeByte(e){j.push(e)}function writeWord(e){writeByte(e>>8&255),writeByte(255&e)}function processDU(e,s,t,i,a){for(var n,l=a[0],u=a[240],c=function fDCTQuant(e,s){var t,i,a,n,l,u,c,d,m,g,h=0;for(m=0;m<8;++m){t=e[h],i=e[h+1],a=e[h+2],n=e[h+3],l=e[h+4],u=e[h+5],c=e[h+6];var p=t+(d=e[h+7]),b=t-d,v=i+c,j=i-c,k=a+u,y=a-u,w=n+l,z=n-l,T=p+w,S=p-w,x=v+k,D=v-k;e[h]=T+x,e[h+4]=T-x;var C=.707106781*(D+S);e[h+2]=S+C,e[h+6]=S-C;var _=.382683433*((T=z+y)-(D=j+b)),P=.5411961*T+_,A=1.306562965*D+_,L=.707106781*(x=y+j),R=b+L,M=b-L;e[h+5]=M+P,e[h+3]=M-P,e[h+1]=R+A,e[h+7]=R-A,h+=8}for(h=0,m=0;m<8;++m){t=e[h],i=e[h+8],a=e[h+16],n=e[h+24],l=e[h+32],u=e[h+40],c=e[h+48]
;var I=t+(d=e[h+56]),E=t-d,N=i+c,B=i-c,q=a+u,O=a-u,U=n+l,F=n-l,V=I+U,G=I-U,H=N+q,W=N-q;e[h]=V+H,e[h+32]=V-H;var J=.707106781*(W+G);e[h+16]=G+J,e[h+48]=G-J;var K=.382683433*((V=F+O)-(W=B+E)),Y=.5411961*V+K,Z=1.306562965*W+K,$=.707106781*(H=O+B),X=E+$,Q=E-$;e[h+40]=Q+Y,e[h+24]=Q-Y,e[h+8]=X+Z,e[h+56]=X-Z,h++}for(m=0;m<64;++m)g=e[m]*s[m],f[m]=g>0?g+.5|0:g-.5|0;return f}(e,s),d=0;d<64;++d)v[D[d]]=c[d];var m=v[0]-t;t=v[0],0==m?writeBits(i[0]):(writeBits(i[b[n=32767+m]]),writeBits(p[n]));for(var g=63;g>0&&0==v[g];g--);if(0==g)return writeBits(l),t;for(var h,j=1;j<=g;){for(var k=j;0==v[j]&&j<=g;++j);var y=j-k;if(y>=16){h=y>>4;for(var w=1;w<=h;++w)writeBits(u);y&=15}n=32767+v[j],writeBits(a[(y<<4)+b[n]]),writeBits(p[n]),j++}return 63!=g&&writeBits(l),t}function setQuality(e){if(e<=0&&(e=1),e>100&&(e=100),u!=e){(function initQuantTables(e){
for(var s=[16,11,10,16,24,40,51,61,12,12,14,19,26,58,60,55,14,13,16,24,40,57,69,56,14,17,22,29,51,87,80,62,18,22,37,56,68,109,103,77,24,35,55,64,81,104,113,92,49,64,78,87,103,121,120,101,72,92,95,98,112,100,103,99],t=0;t<64;t++){var i=c((s[t]*e+50)/100);i<1?i=1:i>255&&(i=255),d[D[t]]=i}for(var a=[17,18,24,47,99,99,99,99,18,21,26,66,99,99,99,99,24,26,56,99,99,99,99,99,47,66,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99],n=0;n<64;n++){var l=c((a[n]*e+50)/100);l<1?l=1:l>255&&(l=255),m[D[n]]=l}for(var u=[1,1.387039845,1.306562965,1.175875602,1,.785694958,.5411961,.275899379],p=0,b=0;b<8;b++)for(var f=0;f<8;f++)g[p]=1/(d[D[p]]*u[b]*u[f]*8),h[p]=1/(m[D[p]]*u[b]*u[f]*8),p++})(e<50?Math.floor(5e3/e):Math.floor(200-2*e)),u=e}}this.encode=function(t,u){(new Date).getTime();u&&setQuality(u),j=new Array,k=0,y=7,writeWord(65496),function writeAPP0(){writeWord(65504),writeWord(16),writeByte(74),writeByte(70),writeByte(73),
writeByte(70),writeByte(0),writeByte(1),writeByte(1),writeByte(0),writeWord(1),writeWord(1),writeByte(0),writeByte(0)}(),function writeAPP1(e){if(e){writeWord(65505),69===e[0]&&120===e[1]&&105===e[2]&&102===e[3]?writeWord(e.length+2):(writeWord(e.length+5+2),writeByte(69),writeByte(120),writeByte(105),writeByte(102),writeByte(0));for(var s=0;s<e.length;s++)writeByte(e[s])}}(t.exifBuffer),function writeDQT(){writeWord(65499),writeWord(132),writeByte(0);for(var e=0;e<64;e++)writeByte(d[e]);writeByte(1);for(var s=0;s<64;s++)writeByte(m[s])}(),function writeSOF0(e,s){writeWord(65472),writeWord(17),writeByte(8),writeWord(s),writeWord(e),writeByte(3),writeByte(1),writeByte(17),writeByte(0),writeByte(2),writeByte(17),writeByte(1),writeByte(3),writeByte(17),writeByte(1)}(t.width,t.height),function writeDHT(){writeWord(65476),writeWord(418),writeByte(0);for(var e=0;e<16;e++)writeByte(C[e+1]);for(var s=0;s<=11;s++)writeByte(_[s]);writeByte(16);for(var t=0;t<16;t++)writeByte(P[t+1])
;for(var i=0;i<=161;i++)writeByte(A[i]);writeByte(1);for(var a=0;a<16;a++)writeByte(L[a+1]);for(var n=0;n<=11;n++)writeByte(R[n]);writeByte(17);for(var l=0;l<16;l++)writeByte(M[l+1]);for(var u=0;u<=161;u++)writeByte(I[u])}(),function writeSOS(){writeWord(65498),writeWord(12),writeByte(3),writeByte(1),writeByte(0),writeByte(2),writeByte(17),writeByte(3),writeByte(17),writeByte(0),writeByte(63),writeByte(0)}();var c=0,p=0,b=0;k=0,y=7,this.encode.displayName="_encode_";for(var f,v,S,D,E,N,B,q,O,U=t.data,F=t.width,V=t.height,G=4*F,H=0;H<V;){for(f=0;f<G;){for(N=E=G*H+f,B=-1,q=0,O=0;O<64;O++)N=E+(q=O>>3)*G+(B=4*(7&O)),H+q>=V&&(N-=G*(H+1+q-V)),f+B>=G&&(N-=f+B-G+4),v=U[N++],S=U[N++],D=U[N++],w[O]=(x[v]+x[S+256>>0]+x[D+512>>0]>>16)-128,z[O]=(x[v+768>>0]+x[S+1024>>0]+x[D+1280>>0]>>16)-128,T[O]=(x[v+1280>>0]+x[S+1536>>0]+x[D+1792>>0]>>16)-128;c=processDU(w,g,c,i,n),p=processDU(z,h,p,a,l),b=processDU(T,h,b,a,l),f+=32}H+=8}if(y>=0){var W=[];W[1]=y+1,W[0]=(1<<y+1)-1,writeBits(W)}
return writeWord(65497),void 0===s?new Uint8Array(j):new e(j)},function init(){(new Date).getTime();t||(t=50),function initCharLookupTable(){for(var e=String.fromCharCode,s=0;s<256;s++)S[s]=e(s)}(),function initHuffmanTbl(){i=computeHuffmanTbl(C,_),a=computeHuffmanTbl(L,R),n=computeHuffmanTbl(P,A),l=computeHuffmanTbl(M,I)}(),function initCategoryNumber(){for(var e=1,s=2,t=1;t<=15;t++){for(var i=e;i<s;i++)b[32767+i]=t,p[32767+i]=[],p[32767+i][1]=t,p[32767+i][0]=i;for(var a=-(s-1);a<=-e;a++)b[32767+a]=t,p[32767+a]=[],p[32767+a][1]=t,p[32767+a][0]=s-1+a;e<<=1,s<<=1}}(),function initRGBYUVTable(){for(var e=0;e<256;e++)x[e]=19595*e,x[e+256>>0]=38470*e,x[e+512>>0]=7471*e+32768,x[e+768>>0]=-11059*e,x[e+1024>>0]=-21709*e,x[e+1280>>0]=32768*e+8421375,x[e+1536>>0]=-27439*e,x[e+1792>>0]=-5329*e}(),setQuality(t),(new Date).getTime()}()}function encode(e,s){return void 0===s&&(s=50),{data:new JPEGEncoder(s).encode(e,s),width:e.width,height:e.height}}
void 0!==s?s.exports=encode:"undefined"!=typeof window&&(window["jpeg-js"]=window["jpeg-js"]||{},window["jpeg-js"].encode=encode)}).call(this)}).call(this,e("buffer").Buffer)},{buffer:194}],237:[function(e,s,t){(function(t){(function(){"use strict";const i=e("debug"),a=e("marky"),n=e("events").EventEmitter,l="win32"===t.platform,u=t.browser,c={red:u?"crimson":1,yellow:u?"gold":3,cyan:u?"darkturquoise":6,green:u?"forestgreen":2,blue:u?"steelblue":4,magenta:u?"palevioletred":5};i.colors=[c.cyan,c.green,c.blue,c.magenta];const d={};let m;class Log{static _logToStdErr(e,s){Log.loggerfn(e)(...s)}static loggerfn(e){let s=d[e];return s||(s=i(e),d[e]=s,e.endsWith("error")?s.color=c.red:e.endsWith("warn")&&(s.color=c.yellow)),s}static setLevel(e){switch(m=e,e){case"silent":i.enable("-*");break;case"verbose":i.enable("*");break;case"error":i.enable("-*, *:error");break;default:i.enable("*, -*:verbose")}}static formatProtocol(e,s,i){
const a=!t||t.browser?1/0:t.stdout.columns,n=s.method||"?????",l=a-n.length-e.length-25,u=s.params&&"IO.read"!==n?JSON.stringify(s.params).substr(0,l):"";Log._logToStdErr(`${e}:${i||""}`,[n,u])}static isVerbose(){return"verbose"===m}static time({msg:e,id:s,args:t=[]},i="log"){a.mark(s),Log[i]("status",e,...t)}static timeEnd({msg:e,id:s,args:t=[]},i="verbose"){Log[i]("statusEnd",e,...t),a.stop(s)}static log(e,...s){return Log.events.issueStatus(e,s),Log._logToStdErr(e,s)}static warn(e,...s){return Log.events.issueWarning(e,s),Log._logToStdErr(e+":warn",s)}static error(e,...s){return Log._logToStdErr(e+":error",s)}static verbose(e,...s){return Log.events.issueStatus(e,s),Log._logToStdErr(e+":verbose",s)}static greenify(e){return`${Log.green}${e}${Log.reset}`}static redify(e){return`${Log.red}${e}${Log.reset}`}static get green(){return"[32m"}static get red(){return"[31m"}static get yellow(){return"[33m"}static get purple(){return"[95m"}static get reset(){return"[0m"}
static get bold(){return"[1m"}static get dim(){return"[2m"}static get tick(){return l?"√":"✓"}static get cross(){return l?"×":"✘"}static get whiteSmallSquare(){return l?"·":"▫"}static get heavyHorizontal(){return l?"─":"━"}static get heavyVertical(){return l?"│ ":"┃ "}static get heavyUpAndRight(){return l?"└":"┗"}static get heavyVerticalAndRight(){return l?"├":"┣"}static get heavyDownAndHorizontal(){return l?"┬":"┳"}static get doubleLightHorizontal(){return"──"}}Log.events=new class Emitter extends n{issueStatus(e,s){"status"!==e&&"statusEnd"!==e||this.emit(e,[e,...s])}issueWarning(e,s){this.emit("warning",[e,...s])}},Log.takeTimeEntries=()=>{const e=a.getEntries();return a.clear(),e},Log.getTimeEntries=()=>a.getEntries(),s.exports=Log}).call(this)}).call(this,e("_process"))},{_process:272,debug:238,events:211,marky:268}],238:[function(e,s,t){(function(i){(function(){function load(){var e;try{e=t.storage.debug}catch(e){}return!e&&void 0!==i&&"env"in i&&(e=i.env.DEBUG),e}
(t=s.exports=e("./debug")).log=function log(){return"object"==typeof console&&console.log&&Function.prototype.apply.call(console.log,console,arguments)},t.formatArgs=function formatArgs(e){var s=this.useColors;if(e[0]=(s?"%c":"")+this.namespace+(s?" %c":" ")+e[0]+(s?"%c ":" ")+"+"+t.humanize(this.diff),!s)return;var i="color: "+this.color;e.splice(1,0,i,"color: inherit");var a=0,n=0;e[0].replace(/%[a-zA-Z%]/g,(function(e){"%%"!==e&&(a++,"%c"===e&&(n=a))})),e.splice(n,0,i)},t.save=function save(e){try{null==e?t.storage.removeItem("debug"):t.storage.debug=e}catch(e){}},t.load=load,t.useColors=function useColors(){if("undefined"!=typeof window&&window.process&&"renderer"===window.process.type)return!0
;return"undefined"!=typeof document&&document.documentElement&&document.documentElement.style&&document.documentElement.style.WebkitAppearance||"undefined"!=typeof window&&window.console&&(window.console.firebug||window.console.exception&&window.console.table)||"undefined"!=typeof navigator&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/)&&parseInt(RegExp.$1,10)>=31||"undefined"!=typeof navigator&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/)},t.storage="undefined"!=typeof chrome&&void 0!==chrome.storage?chrome.storage.local:function localstorage(){try{return window.localStorage}catch(e){}}(),t.colors=["lightseagreen","forestgreen","goldenrod","dodgerblue","darkorchid","crimson"],t.formatters.j=function(e){try{return JSON.stringify(e)}catch(e){return"[UnexpectedJSONParseError]: "+e.message}},t.enable(load())}).call(this)}).call(this,e("_process"))},{"./debug":239,_process:272}],239:[function(e,s,t){var i
;function createDebug(e){function debug(){if(debug.enabled){var e=debug,s=+new Date,a=s-(i||s);e.diff=a,e.prev=i,e.curr=s,i=s;for(var n=new Array(arguments.length),l=0;l<n.length;l++)n[l]=arguments[l];n[0]=t.coerce(n[0]),"string"!=typeof n[0]&&n.unshift("%O");var u=0;n[0]=n[0].replace(/%([a-zA-Z%])/g,(function(s,i){if("%%"===s)return s;u++;var a=t.formatters[i];if("function"==typeof a){var l=n[u];s=a.call(e,l),n.splice(u,1),u--}return s})),t.formatArgs.call(e,n);var c=debug.log||t.log||console.log.bind(console);c.apply(e,n)}}return debug.namespace=e,debug.enabled=t.enabled(e),debug.useColors=t.useColors(),debug.color=function selectColor(e){var s,i=0;for(s in e)i=(i<<5)-i+e.charCodeAt(s),i|=0;return t.colors[Math.abs(i)%t.colors.length]}(e),"function"==typeof t.init&&t.init(debug),debug}(t=s.exports=createDebug.debug=createDebug.default=createDebug).coerce=function coerce(e){return e instanceof Error?e.stack||e.message:e},t.disable=function disable(){t.enable("")},
t.enable=function enable(e){t.save(e),t.names=[],t.skips=[];for(var s=("string"==typeof e?e:"").split(/[\s,]+/),i=s.length,a=0;a<i;a++)s[a]&&("-"===(e=s[a].replace(/\*/g,".*?"))[0]?t.skips.push(new RegExp("^"+e.substr(1)+"$")):t.names.push(new RegExp("^"+e+"$")))},t.enabled=function enabled(e){var s,i;for(s=0,i=t.skips.length;s<i;s++)if(t.skips[s].test(e))return!1;for(s=0,i=t.names.length;s<i;s++)if(t.names[s].test(e))return!0;return!1},t.humanize=e("ms"),t.names=[],t.skips=[],t.formatters={}},{ms:240}],240:[function(e,s,t){var i=1e3,a=60*i,n=60*a,l=24*n,u=365.25*l;function plural(e,s,t){if(!(e<s))return e<1.5*s?Math.floor(e/s)+" "+t:Math.ceil(e/s)+" "+t+"s"}s.exports=function(e,s){s=s||{};var t=typeof e;if("string"===t&&e.length>0)return function parse(e){if((e=String(e)).length>100)return;var s=/^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(e);if(!s)return;var t=parseFloat(s[1])
;switch((s[2]||"ms").toLowerCase()){case"years":case"year":case"yrs":case"yr":case"y":return t*u;case"days":case"day":case"d":return t*l;case"hours":case"hour":case"hrs":case"hr":case"h":return t*n;case"minutes":case"minute":case"mins":case"min":case"m":return t*a;case"seconds":case"second":case"secs":case"sec":case"s":return t*i;case"milliseconds":case"millisecond":case"msecs":case"msec":case"ms":return t;default:return}}(e);if("number"===t&&!1===isNaN(e))return s.long?function fmtLong(e){return plural(e,l,"day")||plural(e,n,"hour")||plural(e,a,"minute")||plural(e,i,"second")||e+" ms"}(e):function fmtShort(e){if(e>=l)return Math.round(e/l)+"d";if(e>=n)return Math.round(e/n)+"h";if(e>=a)return Math.round(e/a)+"m";if(e>=i)return Math.round(e/i)+"s";return e+"ms"}(e);throw new Error("val is not a non-empty string or a valid number. val="+JSON.stringify(e))}},{}],241:[function(e,s,t){
const i=e("lighthouse/lighthouse-core/lib/dependency-graph/base-node.js"),a=(e("lighthouse/lighthouse-core/lib/dependency-graph/cpu-node.js"),e("lighthouse/lighthouse-core/computed/metrics/lantern-metric")),{isBidRelatedRequest:n,isImpressionPing:l,isGoogleAds:u,isGptAdRequest:c,isGptTag:d,isGptImplTag:m,toURL:g}=(e("lighthouse/lighthouse-core/lib/dependency-graph/network-node.js"),e("../utils/resource-classification"));function getFrame(e){return e.args.frame||e.args.data&&e.args.data.frame||null}function isAdTask(e){return!!function getCpuNodeUrls(e){const s=new Set;for(const{args:t}of e.childEvents)t.data&&t.data.url&&s.add(t.data.url);return Array.from(s)}(e).find((e=>n(e)||u(g(e))))}function addEdge(e,s){e===s||e.endTime>s.startTime||e.addDependent(s)}function addEdges(e){const s=[],t=[];e.traverse((e=>{e.type===i.TYPES.NETWORK&&(d(e.record.url)&&"Script"===e.record.resourceType?t.push(e):c(e.record)&&s.push(e))})),e.traverse((e=>{if(e.type===i.TYPES.NETWORK){if(m(e.record.url)){
const s=e;for(const e of t)addEdge(e,s)}if(n(e.record)){const t=e;for(const e of s)addEdge(t,e)}if(l(e.record.url)){const t=e;for(const e of s){addEdge(e,t);for(const s of e.getDependents())addEdge(s,t)}}}}))}class AdLanternMetric extends a{static get COEFFICIENTS(){return{intercept:0,optimistic:1,pessimistic:0}}static getPessimisticGraph(e){const s=e.cloneWithRelationships((e=>!0));return addEdges(s),s}static getOptimisticGraph(e){const s=e.record.frameId,t=AdLanternMetric.getPessimisticGraph(e),a=t.cloneWithRelationships((e=>{if(e.type===i.TYPES.CPU)return function isLongTask(e){return e.event.dur>5e4}(e)||isAdTask(e)||!!getFrame(e.event)&&getFrame(e.event)!==s;if(e.hasRenderBlockingPriority())return!0;const t=e.record.url;return n(t)||u(g(t))}));return addEdges(t),a}static getEstimateFromSimulation(e,s){throw new Error("getEstimateFromSimulation not implemented by "+this.name)}static findTiming(e,s){let t={startTime:1/0,endTime:-1/0,duration:0}
;for(const[i,a]of e.entries())s(i,a)&&t.startTime>a.startTime&&(t=a);return t}static findNetworkTiming(e,s){return this.findTiming(e,(e=>e.type===i.TYPES.NETWORK&&s(e.record)))}}s.exports=AdLanternMetric},{"../utils/resource-classification":255,"lighthouse/lighthouse-core/computed/metrics/lantern-metric":27,"lighthouse/lighthouse-core/lib/dependency-graph/base-node.js":87,"lighthouse/lighthouse-core/lib/dependency-graph/cpu-node.js":88,"lighthouse/lighthouse-core/lib/dependency-graph/network-node.js":89}],242:[function(e,s,t){const i=e("./ad-lantern-metric"),a=e("lighthouse/lighthouse-core/computed/metrics/metric"),n=e("lighthouse/lighthouse-core/computed/computed-artifact"),{getPageStartTime:l,getImpressionStartTime:u}=e("../utils/network-timing"),{isImpressionPing:c}=e("../utils/resource-classification");class LanternAdRenderTime extends i{static getEstimateFromSimulation(e,s){const{nodeTimings:t}=e;return{timeInMs:i.findNetworkTiming(t,(e=>!!e.url&&c(new URL(e.url)))).startTime,
nodeTimings:t}}}LanternAdRenderTime=n(LanternAdRenderTime);class AdRenderTime extends a{static async computeSimulatedMetric(e,s){return LanternAdRenderTime.request(e,s)}static async computeObservedMetric(e,s){const{networkRecords:t}=e,i=l(t),a=1e3*(u(t)-i);return Promise.resolve({timing:a})}static async request(e,s){throw Error("Not implemented -- class not decorated")}}AdRenderTime=n(AdRenderTime),s.exports=AdRenderTime},{"../utils/network-timing":253,"../utils/resource-classification":255,"./ad-lantern-metric":241,"lighthouse/lighthouse-core/computed/computed-artifact":9,"lighthouse/lighthouse-core/computed/metrics/metric":33}],243:[function(e,s,t){const i=e("./ad-lantern-metric"),a=e("lighthouse/lighthouse-core/computed/metrics/metric"),n=e("lighthouse/lighthouse-core/computed/computed-artifact"),{getAdStartTime:l,getPageStartTime:u}=e("../utils/network-timing"),{isAdRequest:c}=e("../utils/resource-classification");class LanternAdRequestTime extends i{
static getEstimateFromSimulation(e,s){const{nodeTimings:t}=e;return{timeInMs:i.findNetworkTiming(t,c).startTime,nodeTimings:t}}}LanternAdRequestTime=n(LanternAdRequestTime);class AdRequestTime extends a{static async computeSimulatedMetric(e,s){return LanternAdRequestTime.request(e,s)}static async computeObservedMetric(e){const{networkRecords:s}=e,t=u(s),i=1e3*(l(s)-t);return Promise.resolve({timing:i})}static async request(e,s){throw Error("Not implemented -- class not decorated")}}AdRequestTime=n(AdRequestTime),s.exports=AdRequestTime},{"../utils/network-timing":253,"../utils/resource-classification":255,"./ad-lantern-metric":241,"lighthouse/lighthouse-core/computed/computed-artifact":9,"lighthouse/lighthouse-core/computed/metrics/metric":33}],244:[function(e,s,t){
const i=e("./ad-lantern-metric"),a=e("lighthouse/lighthouse-core/computed/metrics/metric"),n=e("lighthouse/lighthouse-core/computed/computed-artifact"),{getAdStartTime:l,getBidStartTime:u,getPageStartTime:c}=e("../utils/network-timing"),{isAdRequest:d,isBidRequest:m}=e("../utils/resource-classification");class LanternBidRequestTime extends i{static getEstimateFromSimulation(e,s){const{nodeTimings:t}=e,a=i.findNetworkTiming(t,m).startTime;return a>i.findNetworkTiming(t,d).startTime?{timeInMs:-1,nodeTimings:t}:{timeInMs:a,nodeTimings:t}}}LanternBidRequestTime=n(LanternBidRequestTime);class BidRequestTime extends a{static async computeSimulatedMetric(e,s){return LanternBidRequestTime.request(e,s)}static async computeObservedMetric(e){const{networkRecords:s}=e,t=c(s),i=u(s);if(l(s)<i)return{timing:-1};return{timing:1e3*(i-t)}}static async request(e,s){throw Error("Not implemented -- class not decorated")}}BidRequestTime=n(BidRequestTime),s.exports=BidRequestTime},{
"../utils/network-timing":253,"../utils/resource-classification":255,"./ad-lantern-metric":241,"lighthouse/lighthouse-core/computed/computed-artifact":9,"lighthouse/lighthouse-core/computed/metrics/metric":33}],245:[function(e,s,t){const i=e("../computed/ad-lantern-metric"),a=e("lighthouse/lighthouse-core/lib/dependency-graph/base-node.js"),n=e("lighthouse/lighthouse-core/computed/metrics/metric"),{getAttributableUrl:l}=(e("lighthouse/lighthouse-core/lib/dependency-graph/cpu-node.js"),e("../utils/tasks")),u=e("lighthouse/lighthouse-core/computed/load-simulator"),c=e("lighthouse/lighthouse-core/computed/main-thread-tasks"),d=e("lighthouse/lighthouse-core/computed/computed-artifact"),m=(e("lighthouse/lighthouse-core/lib/dependency-graph/network-node.js"),e("lighthouse/lighthouse-core/computed/network-records")),g=e("lighthouse/lighthouse-core/computed/page-dependency-graph");class LongTasks extends n{static async getSimulationGraph(e,s,t){const a=await g.request({trace:e,devtoolsLog:s
},t);return i.getOptimisticGraph(a)}static async computeSimulatedResult(e,s,t){const i=await this.getSimulationGraph(e,s,t),n=await u.request({devtoolsLog:s,settings:t.settings},t),{nodeTimings:l}=n.simulate(i,{}),c=[];for(const[e,s]of l.entries())e.type!==a.TYPES.CPU||s.duration<100||c.push({event:e.event,startTime:s.startTime,endTime:s.endTime,duration:s.duration,selfTime:s.duration,attributableURLs:Array.from(e.getEvaluateScriptURLs()),children:[],parent:e.parent,unbounded:e.unbounded,group:e.group});return c}static async computeObservedResult(e,s,t){const i=await c.request(e,t),a=await m.request(s,t),n=new Set(a.filter((e=>"Script"===e.resourceType)).map((e=>e.url)));return i.filter((e=>function isLong(e,s){if(e.duration<50)return!1;const t=l(e,s);if(!t)return!1;if(e.parent)return t!=l(e.parent,s);return!0}(e,n)))}static async compute_({trace:e,devtoolsLog:s},t){return"simulate"==t.settings.throttlingMethod?this.computeSimulatedResult(e,s,t):this.computeObservedResult(e,s,t)}
static async request(e,s){throw Error("Not implemented -- class not decorated")}}LongTasks=d(LongTasks),s.exports=LongTasks},{"../computed/ad-lantern-metric":241,"../utils/tasks":256,"lighthouse/lighthouse-core/computed/computed-artifact":9,"lighthouse/lighthouse-core/computed/load-simulator":13,"lighthouse/lighthouse-core/computed/main-thread-tasks":15,"lighthouse/lighthouse-core/computed/metrics/metric":33,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/computed/page-dependency-graph":41,"lighthouse/lighthouse-core/lib/dependency-graph/base-node.js":87,"lighthouse/lighthouse-core/lib/dependency-graph/cpu-node.js":88,"lighthouse/lighthouse-core/lib/dependency-graph/network-node.js":89}],246:[function(e,s,t){
const i=e("./ad-lantern-metric"),a=e("lighthouse/lighthouse-core/computed/metrics/metric"),n=e("lighthouse/lighthouse-core/computed/computed-artifact"),{getPageStartTime:l,getTagEndTime:u}=e("../utils/network-timing"),{isImplTag:c}=e("../utils/resource-classification"),{URL:d}=e("url");class LanternTagLoadTime extends i{static getEstimateFromSimulation(e,s){const{nodeTimings:t}=e;return{timeInMs:i.findNetworkTiming(t,(e=>!!e.url&&c(new d(e.url)))).endTime,nodeTimings:t}}}LanternTagLoadTime=n(LanternTagLoadTime);class TagLoadTime extends a{static async computeSimulatedMetric(e,s){return LanternTagLoadTime.request(e,s)}static async computeObservedMetric(e,s){const{networkRecords:t}=e,i=l(t),a=1e3*(u(t)-i);return Promise.resolve({timing:a})}static async request(e,s){throw Error("Not implemented -- class not decorated")}}TagLoadTime=n(TagLoadTime),s.exports=TagLoadTime},{"../utils/network-timing":253,"../utils/resource-classification":255,"./ad-lantern-metric":241,
"lighthouse/lighthouse-core/computed/computed-artifact":9,"lighthouse/lighthouse-core/computed/metrics/metric":33,url:"url"}],247:[function(e,s,t){(function(t){(function(){const i={GROUPS__METRICS:"Metrics",GROUPS__ADS_PERFORMANCE:"Ad Speed",GROUPS__ADS_BEST_PRACTICES:"Tag Best Practices",NOT_APPLICABLE__DEFAULT:"Audit not applicable",NOT_APPLICABLE__INVALID_TIMING:"Invalid timing task data",NOT_APPLICABLE__NO_AD_RELATED_REQ:"No ad-related requests",NOT_APPLICABLE__NO_AD_RENDERED:"No ads rendered",NOT_APPLICABLE__NO_ADS_VIEWPORT:"No ads in viewport",NOT_APPLICABLE__NO_ADS:"No ads requested",NOT_APPLICABLE__NO_BIDS:"No bids detected",NOT_APPLICABLE__NO_EVENT_MATCHING_REQ:"No event matches network records",NOT_APPLICABLE__NO_GPT:"GPT not requested",NOT_APPLICABLE__NO_RECORDS:"No successful network records",NOT_APPLICABLE__NO_VISIBLE_SLOTS:"No visible slots",NOT_APPLICABLE__NO_TAG:"No tag requested",NOT_APPLICABLE__NO_TAGS:"No tags requested",
NOT_APPLICABLE__NO_TASKS:"No tasks to compare",NOT_APPLICABLE__NO_VALID_AD_WIDTHS:"No requested ads contain ads of valid width",NOT_APPLICABLE__NO_LAYOUT_SHIFTS:"No layout shift events found",ERRORS__AREA_LARGER_THAN_VIEWPORT:"Calculated ad area is larger than viewport",ERRORS__VIEWPORT_AREA_ZERO:"Viewport area is zero",WARNINGS__NO_ADS:"No ads were requested when fetching this page.",WARNINGS__NO_AD_RENDERED:"No ads were rendered when rendering this page.",WARNINGS__NO_TAG:"The GPT tag was not requested."},a=e("lighthouse/lighthouse-core/lib/i18n/i18n").createMessageInstanceIdFn(t,i),notApplicableObj=e=>({notApplicable:!0,score:1,displayValue:a(e)}),n={Default:notApplicableObj(i.NOT_APPLICABLE__DEFAULT),InvalidTiming:notApplicableObj(i.NOT_APPLICABLE__INVALID_TIMING),NoAdRelatedReq:notApplicableObj(i.NOT_APPLICABLE__NO_AD_RELATED_REQ),NoAdRendered:notApplicableObj(i.NOT_APPLICABLE__NO_AD_RENDERED),NoAdsViewport:notApplicableObj(i.NOT_APPLICABLE__NO_ADS_VIEWPORT),
NoAds:notApplicableObj(i.NOT_APPLICABLE__NO_ADS),NoBids:notApplicableObj(i.NOT_APPLICABLE__NO_BIDS),NoEventMatchingReq:notApplicableObj(i.NOT_APPLICABLE__NO_EVENT_MATCHING_REQ),NoGpt:notApplicableObj(i.NOT_APPLICABLE__NO_GPT),NoLayoutShifts:notApplicableObj(i.NOT_APPLICABLE__NO_LAYOUT_SHIFTS),NoRecords:notApplicableObj(i.NOT_APPLICABLE__NO_RECORDS),NoVisibleSlots:notApplicableObj(i.NOT_APPLICABLE__NO_VISIBLE_SLOTS),NoTag:notApplicableObj(i.NOT_APPLICABLE__NO_TAG),NoTags:notApplicableObj(i.NOT_APPLICABLE__NO_TAGS),NoTasks:notApplicableObj(i.NOT_APPLICABLE__NO_TASKS),NoValidAdWidths:notApplicableObj(i.NOT_APPLICABLE__NO_VALID_AD_WIDTHS)},l={NoAds:a(i.WARNINGS__NO_ADS),NoAdRendered:a(i.WARNINGS__NO_AD_RENDERED),NoTag:a(i.WARNINGS__NO_TAG)},u={ViewportAreaZero:a(i.ERRORS__VIEWPORT_AREA_ZERO)},c={Metrics:a(i.GROUPS__METRICS),AdsPerformance:a(i.GROUPS__ADS_PERFORMANCE),AdsBestPractices:a(i.GROUPS__ADS_BEST_PRACTICES)};s.exports={auditNotApplicable:n,runWarning:l,auditError:u,group:c},
s.exports.UIStrings=i}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/messages/common-strings.js")},{"lighthouse/lighthouse-core/lib/i18n/i18n":97}],248:[function(e,s,t){s.exports={count:function count(e,s){let t=0;for(const i of e)s(i)&&t++;return t},bucket:function bucket(e,s){const t=new Map;for(const i of e){const e=s(i);if(null!=e){const s=t.get(e)||[];s.push(i),t.set(e,s)}}return t},flatten:function flatten(e){const s=[];for(const t of e)s.push(...t);return s}}},{}],249:[function(e,s,t){s.exports={assert:function assert(e){if(null==e)throw new Error("Expected not to be null");return e}}},{}],250:[function(e,s,t){s.exports=[{label:"Prebid JS",patterns:["^https?://([^.]*.)?prebid[.]org/.*","^https?://acdn[.]adnxs[.]com/prebid/.*"]},{label:"33Across",patterns:["^https?://ssc[.]33across.com/api/.*"]},{label:"AppNexus",patterns:["^https?://ib[.]adnxs[.]com/.*"]},{label:"Amazon Ads",patterns:["^https?://[a-z-_.]*[.]amazon-adsystem[.]com/.*bid.*"]},{
label:"AdTechus (AOL)",patterns:["^https?://([^.]*.)?adserver[.]adtechus[.]com/.*"]},{label:"Aardvark",patterns:["^https?://thor[.]rtk[.]io/.*"]},{label:"AdBlade",patterns:["^https?://rtb[.]adblade[.]com/prebidjs/bid.*"]},{label:"AdBund",patterns:["^https?://us-east-engine[.]adbund[.]xyz/prebid/ad/get.*","^https?://us-west-engine[.]adbund[.]xyz/prebid/ad/get.*"]},{label:"AdButler",patterns:["^https?://servedbyadbutler[.]com/adserve.*"]},{label:"Adequant",patterns:["^https?://rex[.]adequant[.]com/rex/c2s_prebid.*"]},{label:"AdForm",patterns:["^https?://adx[.]adform[.]net/adx.*"]},{label:"AdMedia",patterns:["^https?://b[.]admedia[.]com/banner/prebid/bidder.*"]},{label:"AdMixer",patterns:["^https?://inv-nets[.]admixer[.]net/prebid[.]aspx.*","^https?://inv-nets[.]admixer[.]net/videoprebid[.]aspx.*"]},{label:"AOL",
patterns:["^https?://adserver-us[.]adtech[.]advertising[.]com.*","^https?://adserver-eu[.]adtech[.]advertising[.]com.*","^https?://adserver-as[.]adtech[.]advertising[.]com.*","^https?://adserver[.]adtech[.]de/pubapi/.*"]},{label:"Beachfront",patterns:["^https?://reachms[.]bfmio[.]com/bid[.]json?exchange_id=.*"]},{label:"Bidfluence",patterns:["^https?://cdn[.]bidfluence[.]com/forge[.]js.*"]},{label:"Brightcom",patterns:["^https?://hb[.]iselephant[.]com/auc/ortb.*"]},{label:"C1x",patterns:["^https?://ht-integration[.]c1exchange[.]com:9000/ht.*"]},{label:"CentroBid",patterns:["^https?://t[.]brand-server[.]com/hb.*"]},{label:"Conversant",patterns:["^https?://media[.]msg[.]dotomi[.]com/s2s/.*"]},{label:"Criteo",patterns:["^https?://static[.]criteo[.]net/js/ld/publishertag[.]js.*","^https?://([^.]*.)?bidder[.]criteo[.]com/cdb.*","^https?://([^.]*.)?rtax[.]criteo[.]com/delivery/rta.*","^https?://([^.]*.)?rtax[.]eu[.]criteo[.]com/delivery/rta.*"]},{label:"Datablocks",
patterns:["^https?://[a-z0-9_.-]*[.]dblks[.]net/.*"]},{label:"Districtm",patterns:["^https?://prebid[.]districtm[.]ca/lib[.]js.*"]},{label:"E-Planning",patterns:["^https?://ads[.]us[.]e-planning[.]net.*"]},{label:"Essens",patterns:["^https?://bid[.]essrtb[.]com/bid/prebid_call.*"]},{label:"Facebook",patterns:["^https?://an[.]facebook[.]com/v2/placementbid[.]json.*"]},{label:"FeatureForward",patterns:["^https?://prmbdr[.]featureforward[.]com/newbidder/.*"]},{label:"Fidelity",patterns:["^https?://x[.]fidelity-media[.]com.*"]},{label:"GetIntent",patterns:["^https?://px[.]adhigh[.]net/rtb/direct_banner.*","^https?://px[.]adhigh[.]net/rtb/direct_vast.*"]},{label:"GumGum",patterns:["^https?://g2[.]gumgum[.]com/hbid/imp.*"]},{label:"Hiromedia",patterns:["^https?://hb-rtb[.]ktdpublishers[.]com/bid/get.*"]},{label:"Imonomy",patterns:["^https?://b[.]imonomy[.]com/openrtb/hb/.*"]},{label:"ImproveDigital",patterns:["^https?://ad[.]360yield[.]com/hb.*"]},{label:"IndexExchange",
patterns:["^https?://as(-sec)?[.]casalemedia[.]com/(cygnus|headertag).*","^https?://js(-sec)?[.]indexww[.]com/ht/.*"]},{label:"InnerActive",patterns:["^https?://ad-tag[.]inner-active[.]mobi/simpleM2M/requestJsonAd.*"]},{label:"Innity",patterns:["^https?://as[.]innity[.]com/synd/.*"]},{label:"JCM",patterns:["^https?://media[.]adfrontiers[.]com/pq.*"]},{label:"JustPremium",patterns:["^https?://pre[.]ads[.]justpremium[.]com/v/.*"]},{label:"Kargo",patterns:["^https?://krk[.]kargo[.]com/api/v1/bid.*"]},{label:"Komoona",patterns:["^https?://bidder[.]komoona[.]com/v1/GetSBids.*"]},{label:"KruxLink",patterns:["^https?://link[.]krxd[.]net/hb.*"]},{label:"Kumma",patterns:["^https?://cdn[.]kumma[.]com/pb_ortb[.]js.*"]},{label:"Mantis",patterns:["^https?://mantodea[.]mantisadnetwork[.]com/website/prebid.*"]},{label:"MarsMedia",patterns:["^https?://bid306[.]rtbsrv[.]com:9306/bidder.*"]},{label:"Media.net",patterns:["^https?://contextual[.]media[.]net/bidexchange.*"]},{label:"MemeGlobal",
patterns:["^https?://stinger[.]memeglobal[.]com/api/v1/services/prebid.*"]},{label:"MobFox",patterns:["^https?://my[.]mobfox[.]com/request[.]php.*"]},{label:"NanoInteractive",patterns:["^https?://tmp[.]audiencemanager[.]de/hb.*"]},{label:"OpenX",patterns:["^https?://([^.]*.)?d[.]openx[.]net/w/1[.]0/arj.*","^https?://([^.]*.)?servedbyopenx[.]com/.*"]},{label:"Piximedia",patterns:["^https?://static[.]adserver[.]pm/prebid.*"]},{label:"Platformio",patterns:["^https?://piohbdisp[.]hb[.]adx1[.]com.*"]},{label:"Pollux",patterns:["^https?://adn[.]plxnt[.]com/prebid.*"]},{label:"PubGears",patterns:["^https?://c[.]pubgears[.]com/tags.*"]},{label:"Pubmatic",patterns:["^https?://ads[.]pubmatic[.]com/AdServer/js/gshowad[.]js.*","^https?://([^.]*.)?gads.pubmatic[.]com/.*","^https?://hbopenbid.pubmatic[.]com/.*"]},{label:"Pulsepoint",patterns:["^https?://bid[.]contextweb[.]com/header/tag.*"]},{label:"Quantcast",patterns:["^https?://global[.]qc[.]rtb[.]quantserve[.]com:8080/qchb.*"]},{
label:"Rhythmone",patterns:["^https?://tag[.]1rx[.]io/rmp/.*"]},{label:"Roxot",patterns:["^https?://r[.]rxthdr[.]com.*"]},{label:"Rubicon",patterns:["^https?://([^.]*.)?(fastlane|optimized-by|anvil)[.]rubiconproject[.]com/a/api.*","^https?://fastlane-adv[.]rubiconproject[.]com/v1/auction/video.*"]},{label:"Sekindo",patterns:["^https?://hb[.]sekindo[.]com/live/liveView[.]php.*"]},{label:"ShareThrough",patterns:["^https?://btlr[.]sharethrough[.]com/header-bid/.*"]},{label:"Smart AdServer",patterns:["^https?://prg[.]smartadserver[.]com/prebid.*"]},{label:"Sonobi",patterns:["^https?://apex[.]go[.]sonobi[.]com/trinity[.]js.*"]},{label:"Sovrn",patterns:["^https?://ap[.]lijit[.]com/rtb/bid.*"]},{label:"SpringServe",patterns:["^https?://bidder[.]springserve[.]com/display/hbid.*"]},{label:"StickyAds",patterns:["^https?://cdn[.]stickyadstv[.]com/mustang/mustang[.]min[.]js.*","^https?://cdn[.]stickyadstv[.]com/prime-time/.*"]},{label:"TapSense3",
patterns:["^https?://ads04[.]tapsense[.]com/ads/headerad.*"]},{label:"ThoughtLeadr",patterns:["^https?://a[.]thoughtleadr[.]com/v4/.*"]},{label:"TremorBid",patterns:["^https?://([^.]*.)?ads[.]tremorhub[.]com/ad/tag.*"]},{label:"Trion",patterns:["^https?://in-appadvertising[.]com/api/bidRequest.*"]},{label:"TripleLift",patterns:["^https?://tlx[.]3lift[.]com/header/auction.*"]},{label:"TrustX",patterns:["^https?://sofia[.]trustx[.]org/hb.*"]},{label:"UCFunnel",patterns:["^https?://agent[.]aralego[.]com/header.*"]},{label:"Underdog Media",patterns:["^https?://udmserve[.]net/udm/img[.]fetch.*"]},{label:"UnRuly",patterns:["^https?://targeting[.]unrulymedia[.]com/prebid.*"]},{label:"VertaMedia",patterns:["^https?://rtb[.]vertamedia[.]com/hb/.*"]},{label:"Vertoz",patterns:["^https?://hb[.]vrtzads[.]com/vzhbidder/bid.*"]},{label:"WideOrbig",patterns:["^https?://([^.]*.)?atemda[.]com/JSAdservingMP[.]ashx.*"]},{label:"WideSpace",patterns:["^https?://engine[.]widespace[.]com/map/engine/hb/.*"]},{
label:"YieldBot",patterns:["^https?://cdn[.]yldbt[.]com/js/yieldbot[.]intent[.]js.*"]},{label:"YieldMo",patterns:["^https?://ads[.]yieldmo[.]com/exchange/prebid.*"]}]},{}],251:[function(e,s,t){function isBoxInViewport(e,s){const{innerWidth:t,innerHeight:i}=s,{left:a,top:n,right:l,bottom:u}=e;return a<l&&n<u&&a<t&&n<i&&0<l&&0<u}s.exports={boxViewableArea:function boxViewableArea(e,s){if(!isBoxInViewport(e,s))return 0;const{innerWidth:t,innerHeight:i}=s,{left:a,top:n,right:l,bottom:u}=e;return(Math.min(l,t)-Math.max(a,0))*(Math.min(u,i)-Math.max(n,0))},isBoxInViewport,overlaps:function overlaps(e,s){const t=!(e.right<s.left||s.right<e.left),i=!(e.bottom<s.top||s.bottom<e.top);return t&&i},toClientRect:function toClientRect([e,s,t,i]){return{left:e,top:s,width:t,height:i,right:e+t,bottom:s+i}}}},{}],252:[function(e,s,t){const i=e("lighthouse/lighthouse-core/lib/dependency-graph/base-node"),a=(e("lighthouse/lighthouse-core/lib/dependency-graph/cpu-node.js"),
e("lighthouse/lighthouse-core/lib/dependency-graph/network-node.js"),e("lighthouse/lighthouse-core/computed/network-records")),{assert:n}=e("./asserts"),{getNameOrTld:l,trimUrl:u}=e("../utils/resource-classification"),{getNetworkInitiators:c}=e("lighthouse/lighthouse-core/computed/page-dependency-graph"),{getTimingsByRecord:d}=e("../utils/network-timing"),{isAdRequest:m,isAdSense:g,isGpt:h,getHeaderBidder:p}=e("./resource-classification");function isXhrCritical(e,s,t){const i=s.xhrEdges.get(e.url);if(!i)return!1;for(const{url:e}of t)if(i.has(e))return!0;return!1}function addInitiatedRequests(e,s,t,i){const a=t.allRecords.filter((e=>null!=e.resourceType)).filter((e=>["Script","XHR"].includes(e.resourceType||"")&&e.endTime<s.startTime)).filter((s=>s.initiatorRequest==e||c(s).includes(e.url)));for(const e of a){"XHR"==e.resourceType&&isXhrCritical(e,t,i)&&linkGraph(t,e,i)}}function linkGraph(e,s,t=new Set){if(!s||t.has(s))return t;t.add(s);const i=new Set
;for(let a=s.initiator.stack;a;a=a.parent)for(const{url:n}of a.callFrames){if(i.has(n))continue;i.add(n);const l=e.requestsByUrl.get(n);if(l&&(linkGraph(e,l,t),"Script"==l.resourceType)){const i=a.callFrames[0].url,n=e.requestsByUrl.get(i);n&&addInitiatedRequests(n,s,e,t)}}return linkGraph(e,s.initiatorRequest||null,t),t}function buildNetworkSummary(e,s){const t=new Map;for(const s of e)t.set(s.url,s);const i=s.filter((e=>e.name.startsWith("XHR"))).filter((e=>!!(e.args.data||{}).url)),a=new Map;for(const e of i){const s=e.args.data||{},t=a.get(s.url)||new Set;for(const{url:e}of s.stackTrace||[])t.add(e);a.set(s.url,t)}return{requestsByUrl:t,xhrEdges:a,allRecords:e}}s.exports={getTransitiveClosure:function getTransitiveClosure(e,s){const t=new Set,a=function findTargetRequest(e,s){let t=null;return e.traverse((e=>{e.type!==i.TYPES.CPU&&s(e.record)&&(t&&t.startTime<e.startTime||(t=e))})),t}(e,s),l=[],u=[];if(null==a)return{requests:l,traceEvents:u};const c=[a];for(;c.length;){
const e=c.pop();e&&!t.has(e)&&(t.add(e),c.push(...e.getDependencies()))}const d=new Set;for(c.push(...e.getDependents());c.length;){const e=c.pop();if(e&&!d.has(e)){if(d.add(e),t.has(e))for(const e of c)t.add(e);c.push(...e.getDependents())}}for(const e of t)e.type===i.TYPES.NETWORK?e.endTime<n(a).startTime&&l.push(e.record):e.type===i.TYPES.CPU&&e.event.ts<1e6*n(a).startTime&&u.push(e.event,...e.childEvents);return{requests:l,traceEvents:u}},getCriticalGraph:function getCriticalGraph(e,s,t){const i=buildNetworkSummary(e,s),a=new Set;return linkGraph(i,t,a),a},computeAdRequestWaterfall:async function computeAdRequestWaterfall(e,s,t){const i=await a.request(s,t),c=i.find(m);if(null==c)return Promise.resolve([]);const b=new Set,f=n(c),v=i.filter((e=>h(e.url)||g(e.url))),j=i.filter((e=>!!p(e.url)&&e.endTime<=f.startTime)),k=buildNetworkSummary(i,e.traceEvents);for(const e of[f,...j,...v])linkGraph(k,e,b)
;const y=new Set(["Script","XHR","Fetch","EventStream","Document",void 0]),w=Array.from(b).filter((e=>e.endTime<f.startTime)).filter((e=>y.has(e.resourceType))).filter((e=>"text/css"!=e.mimeType)),z=await d(e,s,t),T=function computeSummaries(e){e.sort(((e,s)=>e.nameOrTld!=s.nameOrTld?e.nameOrTld<s.nameOrTld?-1:1:e.type!=s.type?e.type<s.type?-1:1:e.startTime!=s.startTime?e.startTime<s.startTime?-1:1:e.endTime-s.endTime));const s=[];for(let a=0;a<e.length;a++){const n=e[a];let l;for(;a<e.length&&(l=e[a+1],l&&(t=l,i=n,!(Math.max(t.startTime,i.startTime)>Math.min(t.endTime,i.endTime)||t.type&&i.type&&t.type!=i.type||"Script"==t.type||t.nameOrTld!=i.nameOrTld)));)n.endTime=Math.max(n.endTime,l.endTime),n.duration=n.endTime-n.startTime,a++;s.push(n)}var t,i;return s.sort(((e,s)=>e.startTime-s.startTime)),s}(w.map((e=>{const{startTime:s,endTime:t}=z.get(e)||e;return{startTime:s,endTime:t,duration:t-s,selfTime:0,url:u(e.url),nameOrTld:l(e.url),type:e.resourceType,record:e}})))
;return function computeSelfTimes(e){if(!e.length)return[];let s=n(e[0]);s.selfTime=s.duration;let t=s.startTime;for(const i of e){if(i.endTime<t||i==s)continue;const e=Math.max(t,i.startTime),a=Math.min(s.endTime,i.endTime);e<a&&(s.selfTime-=a-e),t=Math.max(t,a),i.endTime>s.endTime&&(i.selfTime=i.endTime-e,s=i)}}(T),T}}},{"../utils/network-timing":253,"../utils/resource-classification":255,"./asserts":249,"./resource-classification":255,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/computed/page-dependency-graph":41,"lighthouse/lighthouse-core/lib/dependency-graph/base-node":87,"lighthouse/lighthouse-core/lib/dependency-graph/cpu-node.js":88,"lighthouse/lighthouse-core/lib/dependency-graph/network-node.js":89}],253:[function(e,s,t){
const i=e("../computed/ad-lantern-metric"),a=e("lighthouse/lighthouse-core/computed/load-simulator"),n=e("lighthouse/lighthouse-core/computed/network-records"),l=e("lighthouse/lighthouse-core/computed/page-dependency-graph"),{isAdRequest:u,isBidRequest:c,isImplTag:d,isImpressionPing:m}=e("./resource-classification"),{URL:g}=e("url");function getPageStartTime(e,s=-1){const t=e.find((e=>200==e.statusCode));return t?t.startTime:s}async function getTimingsByRecord(e,s,t){const u=new Map,c=await n.request(s,t);if("simulate"==t.settings.throttlingMethod){const n=await l.request({trace:e,devtoolsLog:s},t),c=i.getOptimisticGraph(n),d=await a.request({devtoolsLog:s,settings:t.settings},t),{nodeTimings:m}=d.simulate(c,{});for(const[{record:e},s]of m.entries())e&&u.set(e,s)}else{const e=getPageStartTime(c);for(const s of c)u.set(s,{startTime:1e3*(s.startTime-e),endTime:1e3*(s.endTime-e),duration:1e3*(s.endTime-s.startTime)})}return u}function getScriptUrl(e){
if(e.args.data&&["EvaluateScript","FunctionCall"].includes(e.name))return e.args.data.url?e.args.data.url:e.args.data.stackTrace?e.args.data.stackTrace[0].url:void 0}s.exports={getTagEndTime:function getTagEndTime(e){const s=e.find((e=>d(new g(e.url))));return s?s.endTime:-1},getImpressionStartTime:function getImpressionStartTime(e){const s=e.find((e=>m(e.url)));return s?s.startTime:-1},getAdStartTime:function getAdStartTime(e){const s=e.find(u);return s?s.startTime:-1},getBidStartTime:function getBidStartTime(e){const s=e.find(c);return s?s.startTime:-1},getPageStartTime,getPageResponseTime:function getPageResponseTime(e,s=-1){const t=e.find((e=>200==e.statusCode));return t?t.responseReceivedTime:s},getScriptUrl,getTimingsByRecord,getScriptEvaluationTimes:async function getScriptEvaluationTimes(e,s,t){const i=1e3*getPageStartTime(await n.request(s,t)),a=new Map;for(const s of e.traceEvents){const e=getScriptUrl(s);if(!e)continue;const t=s.ts/1e3-i;(!a.has(e)||a.get(e)>t)&&a.set(e,t)}
if("simulate"!==t.settings.throttlingMethod)return a;const l=await getTimingsByRecord(e,s,t),u=new Map;for(const[e,s]of l.entries()){const n=a.get(e.url);if(!n)continue;if(u.has(e.url))continue;const l=1e3*e.startTime-i,c=s.endTime,d=t.settings.throttling.cpuSlowdownMultiplier*(n-l);u.set(e.url,c+d)}return u}}},{"../computed/ad-lantern-metric":241,"./resource-classification":255,"lighthouse/lighthouse-core/computed/load-simulator":13,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/computed/page-dependency-graph":41,url:"url"}],254:[function(e,s,t){const i=e("lighthouse/lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl"),{parse:a}=e("@tusbar/cache-control");function getHeader(e,s){const t=s.toLowerCase();return(e.responseHeaders||[]).find((e=>e.name.toLowerCase()===t))}s.exports={isCacheable:function isCacheable(e){if(!i.isCacheableAsset(e))return!1;const s=getHeader(e,"cache-control");if(s){try{const e=a(s.value)
;if(e.noStore||e.noCache||0===e.maxAge)return!1}catch(e){}return!0}return!!getHeader(e,"expires")||!!getHeader(e,"last-modified")}}},{"@tusbar/cache-control":174,"lighthouse/lighthouse-core/audits/byte-efficiency/uses-long-cache-ttl":"../audits/byte-efficiency/uses-long-cache-ttl"}],255:[function(e,s,t){const i=e("./bidder-patterns"),a=e("lighthouse/lighthouse-core/lib/third-party-web"),{isCacheable:n}=e("../utils/network"),{URL:l}=e("url");function toURL(e){let s;try{s="string"==typeof e?new l(e):e}catch(e){s=new l("http://_")}return s}function isGoogleAds(e){return e=toURL(e),/(^|\.)(doubleclick.net|google(syndication|tagservices).com)$/.test(e.hostname)}function isAdSenseTag(e){const s="pagead2.googlesyndication.com"===(e=toURL(e)).host,t=["/pagead/js/adsbygoogle.js","/pagead/show_ads.js"].includes(e.pathname);return s&&t}function isAdSenseImplTag(e){const s="pagead2.googlesyndication.com"===(e=toURL(e)).host,t=/(^\/pagead\/js\/.*\/show_ads_impl.*?\.js)/.test(e.pathname);return s&&t
}function isAdSense(e){return isAdSenseTag(e=toURL(e))||isAdSenseImplTag(e)}function isAdSenseAdRequest(e){if(!e)return!1;const s=new l(e.url);return"/pagead/ads"===s.pathname&&"googleads.g.doubleclick.net"===s.host}function isAdSenseIframe(e){return/(^aswift_\d+)/.test(e.id)}function isGptTag(e){const{host:s,pathname:t}=toURL(e),i=["www.googletagservices.com","pagead2.googlesyndication.com","securepubads.g.doubleclick.net"].includes(s),a=["/tag/js/gpt.js","/tag/js/gpt_mobile.js"].includes(t);return i&&a}function isAMPTag(e){const{host:s,pathname:t}=toURL(e),i=["cdn.ampproject.org"].includes(s),a=["/v0/amp-ad-0.1.js"].includes(t);return i&&a}function isGptImplTag(e){return isGoogleAds(e)&&/(^\/gpt\/pubads_impl([a-z_]*)((?<!rendering)_)\d+\.js)/.test(toURL(e).pathname)}function isAMPImplTag(e){return/^\/[a-z_]*\/\d+\/v0\/amp-ad-network-doubleclick-impl-0.1.js/.test(toURL(e).pathname)}function isGpt(e){return isGptTag(e=toURL(e))||isGptImplTag(e)}function isGptAdRequest(e){if(!e)return!1
;return"/gampad/ads"===new l(e.url).pathname&&"XHR"===e.resourceType&&isGoogleAds(e.url)}function isAMPAdRequest(e){if(!e)return!1;const s=new l(e.url);return"/gampad/ads"===s.pathname&&"securepubads.g.doubleclick.net"===s.host&&"Fetch"===e.resourceType}function isGptIframe(e){return/(^google_ads_iframe_)/.test(e.id)}function getHeaderBidder(e){for(const s of i)for(const t of s.patterns)if(new RegExp(t).test(e))return s.label}function isBidRelatedRequest(e){return!!getHeaderBidder("string"==typeof e?e:e.url)}s.exports={isGoogleAds,isGptAdRequest,isImpressionPing:function isImpressionPing(e){const{host:s,pathname:t}=toURL(e);return["securepubads.g.doubleclick.net","googleads4.g.doubleclick.net"].includes(s)&&["/pcs/view","/pagead/adview"].includes(t)},isGpt,isAdSense,isAdSenseTag,isAdSenseImplTag,isAdSenseAdRequest,isAdSenseIframe,isGptTag,isGptImplTag,isGptIframe,isAdTag:function isAdTag(e){return isAdSenseTag(e)||isGptTag(e)||isAMPTag(e)},isAdScript:function isAdScript(e){
return isAdSense(e)||isGpt(e)||function isAMP(e){return isAMPTag(e)||isAMPImplTag(e)}(e)},isAdRequest:function isAdRequest(e){return isAdSenseAdRequest(e)||isGptAdRequest(e)||isAMPAdRequest(e)},isAdIframe:function isAdIframe(e){return isAdSenseIframe(e)||isGptIframe(e)},isImplTag:function isImplTag(e){return isAdSenseTag(e)||isGptImplTag(e)||isAMPImplTag(e)},containsAnySubstring:function containsAnySubstring(e,s){return s.some((s=>e.includes(s)))},hasImpressionPath:function hasImpressionPath(e){return"/pcs/view"===e.pathname||"/pagead/adview"===e.pathname},getHeaderBidder,isBidRelatedRequest,isBidRequest:function isBidRequest(e){return isBidRelatedRequest(e)&&function isPossibleBidRequest(e){return(null==e.resourceSize||e.resourceSize>0)&&"Image"!=e.resourceType&&!n(e)}(e)},isStaticRequest:function isStaticRequest(e){return["parser","preload","other"].includes(e.initiator.type)},toURL,trimUrl:function trimUrl(e){
const s=new l(e),t=s.pathname.length>60?s.pathname.substr(0,60)+"...":s.pathname;return s.origin+t},getNameOrTld:function getNameOrTld(e){const s=getHeaderBidder(e);if(s)return s;if(isGpt(e))return"GPT";if(isAdSense(e))return"AdSense";if(isAMPTag(e))return"AMP tag";const t=a.getEntity(e);if(t)return t.name;const{host:i}=new l(e),[n=""]=i.match(/([^.]*(\.[a-z]{2,3}){1,2})$/)||[];return n||i},isAMPTag,isAMPAdRequest}},{"../utils/network":254,"./bidder-patterns":250,"lighthouse/lighthouse-core/lib/third-party-web":166,url:"url"}],256:[function(e,s,t){s.exports={getAttributableUrl:function getAttributableUrl(e,s=new Set){const t=e.attributableURLs.find((e=>s.has(e))),i=e.attributableURLs[0],a=t||i;if(a)return a;let n=50,l="";for(const t of e.children){const e=getAttributableUrl(t,s);e&&t.duration>n&&(l=e,n=t.duration)}return l}}},{}],257:[function(e,s,t){
const i=[e("./packs/wordpress.js"),e("./packs/drupal.js"),e("./packs/react.js"),e("./packs/angular.js"),e("./packs/amp.js"),e("./packs/magento.js"),e("./packs/joomla.js"),e("./packs/octobercms.js")];s.exports=i},{"./packs/amp.js":258,"./packs/angular.js":259,"./packs/drupal.js":260,"./packs/joomla.js":261,"./packs/magento.js":262,"./packs/octobercms.js":263,"./packs/react.js":264,"./packs/wordpress.js":265}],258:[function(e,s,t){s.exports={id:"amp",title:"AMP",icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 256"%3E%3Cpath d="M171.887 116.28l-53.696 89.36h-9.728l9.617-58.227-30.2.047a4.852 4.852 0 01-4.855-4.855c0-1.152 1.07-3.102 1.07-3.102l53.52-89.254 9.9.043-9.86 58.317 30.413-.043a4.852 4.852 0 014.855 4.855c0 1.088-.427 2.044-1.033 2.854l.004.004zM128 0C57.306 0 0 57.3 0 128s57.306 128 128 128 128-57.306 128-128S198.7 0 128 0z" fill="%230379c4" fill-rule="evenodd"/%3E%3C/svg%3E',UIStrings:{
"modern-image-formats":"Consider displaying all [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) components in WebP formats while specifying an appropriate fallback for other browsers. [Learn more](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image).","offscreen-images":"Ensure that you are using [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for images to automatically lazy-load. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images).","render-blocking-resources":"Use tools such as [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) to [server-side render AMP layouts](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/).",
"unminified-css":"Refer to the [AMP documentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) to ensure all styles are supported.","efficient-animated-content":"For animated content, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) to minimize CPU usage when the content is offscreen.","uses-responsive-images":"The [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) component supports the [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribute to specify which image assets to use based on the screen size. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."}}},{}],259:[function(e,s,t){s.exports={id:"angular",title:"Angular",
icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 250 250"%3E%3Cpath fill="%23dd0031" d="M125 30L31.9 63.2l14.2 123.1L125 230l78.9-43.7 14.2-123.1z"/%3E%3Cpath fill="%23c3002f" d="M125 30v22.2-.1V230l78.9-43.7 14.2-123.1L125 30z"/%3E%3Cpath d="M125 52.1L66.8 182.6h21.7l11.7-29.2h49.4l11.7 29.2H183L125 52.1zm17 83.3h-34l17-40.9 17 40.9z" fill="%23fff"/%3E%3C/svg%3E',UIStrings:{"total-byte-weight":"Apply [route-level code splitting](https://web.dev/route-level-code-splitting-in-angular/) to minimize the size of your JavaScript bundles. Also, consider precaching assets with the [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/).","unminified-warning":"If you are using Angular CLI, ensure that builds are generated in production mode. [Learn more](https://angular.io/guide/deployment#enable-runtime-production-mode).",
"unused-javascript":"If you are using Angular CLI, include source maps in your production build to inspect your bundles. [Learn more](https://angular.io/guide/deployment#inspect-the-bundles).","uses-responsive-images":"Consider using the `BreakpointObserver` utility in the Component Dev Kit (CDK) to manage image breakpoints. [Learn more](https://material.angular.io/cdk/layout/overview).","uses-rel-preload":"Preload routes ahead of time to speed up navigation. [Learn more](https://web.dev/route-preloading-in-angular/).","dom-size":"Consider virtual scrolling with the Component Dev Kit (CDK) if very large lists are being rendered. [Learn more](https://web.dev/virtualize-lists-with-angular-cdk/)."}}},{}],260:[function(e,s,t){s.exports={id:"drupal",title:"Drupal",
icon:'data:image/svg+xml,%3Csvg viewBox="0 0 681.167 778.583" xmlns="http://www.w3.org/2000/svg"%3E%3Cpath style="fill:%2300598E" d="M510.167 144.833c-39.75-24.75-77.25-34.5-114.75-59.25c-23.25-15.75-55.5-53.25-82.5-85.5c-5.25 51.75-21 72.75-39 87.75c-38.25 30-62.25 39-95.25 57c-27.75 14.25-178.5 104.25-178.5 297.75s162.75 336 343.5 336s337.5-131.25 337.5-330S534.167 159.833 510.167 144.833z" /%3E%3Cpath style="fill:%23FFF" d="M449.25 610.5c12 0 24.75 0.75 33.75 6.75s14.25 19.5 17.25 27s0 12-6 15c-5.25 3-6 1.5-11.25-8.25s-9.75-19.5-36-19.5s-34.5 9-47.25 19.5s-17.25 14.25-21.75 8.25s-3-12 5.25-19.5s21.75-19.5 34.5-24.75S437.25 610.5 449.25 610.5L449.25 610.5z" /%3E%3Cpath style="fill:%23FFF" d="M324.75 696c15 12 37.5 21.75 85.5 21.75S492 704.25 507 693c6.75-5.25 9.75-0.75 10.5 2.25s2.25 7.5-3 12.75c-3.75 3.75-38.25 27.75-78.75 31.5s-95.25 6-128.25-24c-5.25-5.25-3.75-12.75 0-15.75s6.75-5.25 11.25-5.25S322.5 694.5 324.75 696L324.75 696z" /%3E%3Cpath style="fill:%230073BA" d="M141 639c57-0.75 67.5-10.5 117.75-33c271.5-121.5 321.75-232.5 331.5-258s24-66.75 9-112.5c-2.896-8.832-5.006-15.924-6.53-21.63c-36.079-40.343-71.898-62.357-82.72-69.12c-39-24.75-77.25-34.5-114.75-59.25c-23.25-15-55.5-53.25-82.5-85.5c-5.25 51.75-20.25 73.5-39 87.75c-38.25 30-62.25 39-95.25 57C150.75 159.75 0 249 0 442.5c0 61.78 16.593 118.361 45.063 166.766L52.5 609C68.25 623.25 93 639.75 141 639z" /%3E%3Cpath style="fill:%23004975" d="M510 144.75c-39-24.75-77.25-34.5-114.75-59.25c-23.25-15-55.5-53.25-82.5-85.5c-5.25 51.75-20.25 73.5-39 87.75c-38.25 30-62.25 39-95.25 57C150.75 159.75 0 249 0 442.5c0 61.78 16.593 118.361 45.063 166.766C105.763 712.467 220.46 778.5 343.5 778.5c180.75 0 337.5-131.25 337.5-330c0-109.146-44.332-185.488-88.28-234.63C556.641 173.527 520.82 151.513 510 144.75z M601.164 232.547c49.242 61.564 74.211 134.221 74.211 215.953c0 47.428-9.033 92.23-26.849 133.165c-16.9 38.831-41.236 73.233-72.333 102.254c-61.47 57.364-144.107 88.956-232.693 88.956c-43.826 0-86.832-8.371-127.824-24.882c-40.263-16.217-76.547-39.438-107.843-69.02C41.923 616.678 5.625 532.696 5.625 442.5c0-80.336 26.076-151.72 77.503-212.167c39.289-46.18 81.655-71.774 98.047-80.634c7.958-4.341 15.423-8.172 22.643-11.877c22.63-11.615 44.005-22.586 73.404-45.645c15.677-11.914 32.377-30.785 39.489-78.702c24.774 29.466 53.522 62.579 75.49 76.752c19.5 12.87 39.501 21.888 58.844 30.61c18.298 8.25 37.219 16.781 55.942 28.663c0.031 0.021 0.702 0.438 0.702 0.438C562.421 184.11 591.581 220.566 601.164 232.547z" /%3E%3Cpath style="fill:%2393C5E4" d="M316.5 15c10.5 30.75 9 46.5 9 53.25S321.75 93 309.75 102c-5.25 3.75-6.75 6.75-6.75 7.5c0 3 6.75 5.25 6.75 12c0 8.25-3.75 24.75-43.5 64.5s-96.75 75-141 96.75S60 303 54 292.5s2.25-33.75 30-64.5s115.5-75 115.5-75L309 76.5l6-29.25" /%3E%3Cpath style="fill:%23FFF" d="M316.5 14.25c-6.75 49.5-21.75 64.5-42 80.25c-33.75 25.5-66.75 41.25-74.25 45c-19.5 9.75-90 48.75-126.75 105c-11.25 17.25 0 24 2.25 25.5s27.75 4.5 82.5-28.5S237 189 267.75 156.75c16.5-17.25 18.75-27 18.75-31.5c0-5.25-3.75-7.5-9.75-9c-3-0.75-3.75-2.25 0-4.5S296.25 102 300 99s21.75-15 22.5-34.5S321.75 31.5 316.5 14.25L316.5 14.25z" /%3E%3Cpath style="fill:%23FFF" d="M147.75 559.5c0.75-58.5 55.5-113.25 124.5-114c87.75-0.75 148.5 87 192.75 86.25c37.5-0.75 109.5-74.25 144.75-74.25c37.5 0 48 39 48 62.25s-7.5 65.25-25.5 91.5s-29.25 36-50.25 34.5c-27-2.25-81-86.25-115.5-87.75c-43.5-1.5-138 90.75-212.25 90.75c-45 0-58.5-6.75-73.5-16.5C158.25 616.5 147 592.5 147.75 559.5L147.75 559.5z" /%3E%3Cpath style="fill:none" d="M599.25 235.5c15 45.75 0.75 87-9 112.5s-60 136.5-331.5 258C208.5 628.5 198 638.25 141 639c-48 0.75-72.75-15.75-88.5-30l-7.437 0.266C105.763 712.467 220.46 778.5 343.5 778.5c180.75 0 337.5-131.25 337.5-330c0-109.146-44.332-185.488-88.28-234.63C594.244 219.576 596.354 226.668 599.25 235.5z" /%3E%3C/svg%3E',
UIStrings:{"unused-css-rules":"Consider removing unused CSS rules and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the stylesheet when CSS aggregation is disabled in your Drupal site. Look out for themes/modules that have many stylesheets in the list which have a lot of red in code coverage. A theme/module should only enqueue a stylesheet if it is actually used on the page.",
"unused-javascript":"Consider removing unused JavaScript assets and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous JavaScript, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the script when JavaScript aggregation is disabled in your Drupal site. Look out for themes/modules that have many scripts in the list which have a lot of red in code coverage. A theme/module should only enqueue a script if it is actually used on the page.",
"modern-image-formats":"Consider installing and configuring [a module to leverage WebP image formats](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=webp&solrsort=iss_project_release_usage+desc&op=Search) in your site. Such modules automatically generate a WebP version of your uploaded images to optimize loading times.","offscreen-images":"Install [a Drupal module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) that can lazy load images. Such modules provide the ability to defer any offscreen images to improve performance.",
"total-byte-weight":"Consider using [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) to reduce the size of images loaded on your page. If you are using Views to show multiple content items on a page, consider implementing pagination to limit the number of content items shown on a given page.","render-blocking-resources":"Consider using a module to inline critical CSS and JavaScript, or potentially load assets asynchronously via JavaScript such as the [Advanced CSS/JS Aggregation](https://www.drupal.org/project/advagg) module. Beware that optimizations provided by this module may break your site, so you will likely need to make code changes.",
"unminified-css":'Ensure you have enabled "Aggregate CSS files" in the "Administration » Configuration » Development" page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=css+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying, and compressing your CSS styles.',
"unminified-javascript":'Ensure you have enabled "Aggregate JavaScript files" in the "Administration » Configuration » Development" page. You can also configure more advanced aggregation options through [additional modules](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=javascript+aggregation&solrsort=iss_project_release_usage+desc&op=Search) to speed up your site by concatenating, minifying, and compressing your JavaScript assets.',"efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.",
"uses-long-cache-ttl":'Set the "Browser and proxy cache maximum age" in the "Administration » Configuration » Development" page. Read about [Drupal cache and optimizing for performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).',"uses-optimized-images":"Consider using [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) that automatically optimizes and reduces the size of images uploaded through the site while retaining quality. Also, ensure you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above) for all images rendered on the site.",
"uses-responsive-images":"Ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above). Use the Responsive Image Styles when rendering image fields through view modes, views, or images uploaded through the WYSIWYG editor.","server-response-time":"Themes, modules, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization module, and/or upgrading your server. Your hosting servers should make use of PHP opcode caching, memory-caching to reduce database query times such as Redis or Memcached, as well as optimized application logic to prepare pages faster.",
"uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by installing and configuring [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) that provides facilities for user agent resource hints.","font-display":"Specify `@font-display` when defining custom fonts in your theme."}}},{}],261:[function(e,s,t){"use strict";s.exports={id:"joomla",title:"Joomla",
icon:"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' preserveAspectRatio='xMidYMid' viewBox='0 0 256 258'%3E%3Cpath d='M255.7 35.6a33.7 33.7 0 00-67-4.8l-.4-.2c-27.6-12.4-50.8 9.6-50.8 9.6l-61.4 61.7 24.3 23.4 49.4-48.6c23-23 35.6-7.4 35.6-7.4 17.4 14.6.6 32 .6 32l24.9 24c20.3-22 21.5-41.1 15.3-56.3a33.7 33.7 0 0029.5-33.4' fill='%23F9AE41'/%3E%3Cpath d='M226.5 190.5l.2-.3c12.4-27.6-9.6-50.8-9.6-50.8L155.4 78l-23.3 24.3 48.5 49.4c23 23 7.5 35.6 7.5 35.6-14.7 17.4-32 .6-32 .6l-24 24.9c21.9 20.3 41 21.5 56.2 15.3a33.7 33.7 0 1038.2-37.6' fill='%23EE4035'/%3E%3Cpath d='M156 133l-49.5 48.6c-23 23-35.6 7.4-35.6 7.4-17.4-14.6-.6-32-.6-32l-24.9-24c-20.3 22-21.4 41.1-15.3 56.3a33.7 33.7 0 1037.6 38.2l.3.2c27.6 12.4 50.8-9.6 50.8-9.6l61.4-61.7-24.3-23.4' fill='%234F91CD'/%3E%3Cpath d='M75.7 106.6c-23-23-7.4-35.6-7.4-35.6 14.6-17.4 32-.6 32-.6l24-24.9c-22-20.3-41-21.5-56.3-15.3a33.7 33.7 0 10-38.2 37.6l-.2.3C17.2 95.7 39.2 119 39.2 119l61.7 61.4 23.4-24.3-48.6-49.4' fill='%237AC043'/%3E%3C/svg%3E",
UIStrings:{"unused-css-rules":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused CSS in your page. To identify extensions that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using a [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) or service that will automatically convert your uploaded images to the optimal formats.",
"offscreen-images":"Install a [lazy-load Joomla plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) that provides the ability to defer any offscreen images, or switch to a template that provides that functionality. Starting with Joomla 4.0, all new images will [automatically](https://github.com/joomla/joomla-cms/pull/30748) get the `loading` attribute from the core.","total-byte-weight":"Consider showing excerpts in your article categories (e.g. via the read more link), reducing the number of articles shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.",
"render-blocking-resources":"There are a number of Joomla plugins that can help you [inline critical assets](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) or [defer less important resources](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Beware that optimizations provided by these plugins may break features of your templates or plugins, so you will need to test these thoroughly.","unminified-css":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your css styles. There are also templates that provide this functionality.","unminified-javascript":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your scripts. There are also templates that provide this functionality.",
"efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","unused-javascript":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the extension responsible from the URL of the script. Look out for extensions that have many scripts in the list which have a lot of red in code coverage. An extension should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in Joomla](https://docs.joomla.org/Cache).",
"uses-optimized-images":"Consider using an [image optimization plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression by enabling Gzip Page Compression in Joomla (System > Global configuration > Server).","uses-responsive-images":"Consider using a [responsive images plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) to use responsive images in your content.","server-response-time":"Templates, extensions, and server specifications all contribute to server response time. Consider finding a more optimized template, carefully selecting an optimization extension, and/or upgrading your server."}}},{}],262:[function(e,s,t){s.exports={id:"magento",title:"Magento",
icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" fill="%23f26322" viewBox="0 0 1000 1000"%3E%3Cpath d="M916.9 267.4v465.3l-111.3 67.4V331.4l-1.5-.9-303.9-189-304.6 189.2-1.2.8V799L83.1 732.6V267.4l.7-.4L500.3 10l416 257 .6.4zM560.7 468.5v383.3L500.3 890l-61-38.2V306.7l-136 84.3v476.6l197 122.5 196.4-122.5V391l-136-84.3v161.8z"/%3E%3C/svg%3E',UIStrings:{"modern-image-formats":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) for a variety of third-party extensions to leverage newer image formats.","offscreen-images":"Consider modifying your product and catalog templates to make use of the web platform's [lazy loading](https://web.dev/native-lazy-loading) feature.","disable-bundling":"Disable Magento's built-in [JavaScript bundling and minification](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), and consider using [baler](https://github.com/magento/baler/) instead.",
"unminified-css":'Enable the "Minify CSS Files" option in your store\'s Developer settings. [Learn more](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).',"unminified-javascript":"Use [Terser](https://www.npmjs.com/package/terser) to minify all JavaScript assets from static content deployment, and disable the built-in minification feature.","unused-javascript":"Disable Magento's built-in [JavaScript bundling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html).","uses-optimized-images":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) for a variety of third party extensions to optimize images.","server-response-time":"Use Magento's [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html).",
"uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","uses-rel-preload":"`<link rel=preload>` tags can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","critical-request-chains":"If you are not bundling your JavaScript assets, consider using [baler](https://github.com/magento/baler).","font-display":"Specify `@font-display` when [defining custom fonts](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."}}},{}],263:[function(e,s,t){s.exports={id:"octobercms",title:"October CMS",
icon:'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 310 310"><path fill="none" d="M-1-1h802v602H-1z"/><g><path fill="%23de6c26" d="M135 6.9c-14.2 4.4-34.9 21.8-49.9 42C55.8 88.5 39.6 135.8 41.4 177c.8 20.2 4.9 35.5 14.4 54.5 13.6 27.4 40.8 55.1 65.5 66.9 14.1 6.7 13.4 6.9 14.1-2.8.3-4.4 1-32.4 1.6-62.1 2.7-137.3 4.4-176 8.2-191.3.6-2.3 1.4-4.2 1.9-4.2 1.2 0 3.6 9.1 4.9 18.3.5 4.3 1 17.7 1 29.8 0 12 .3 21.9.7 21.9.3 0 5.7-5 11.9-11 6.9-6.8 12-11 13.3-11 1.8 0 1.9.3 1 2.7-1.2 3.1-7.9 13.2-19.1 28.5L153 128l.1 31.2c.1 17.2.4 37.4.8 44.9l.6 13.7 11-12.6c14-16 35.1-37.1 39.5-39.6l3.3-1.9-.6 3.2c-2 9.8-9.5 20.7-37.4 54.3L154 240.8v31.1c0 18.3.4 31.1.9 31.1 2.8 0 19.3-6.4 26.8-10.5 13.8-7.3 23.8-15 38.3-29.5 15.7-15.7 24.4-27.4 33.4-45.2 20.5-40 21-80.3 1.6-119-17.8-35.6-54.6-72.1-87.8-86.9-11.7-5.3-24.6-7.3-32.2-5z"/></g></svg>',UIStrings:{
"unused-css-rules":"Consider reviewing the [plugins](https://octobercms.com/plugins) loading unused CSS on the website. To identify plugins that add unnecessary CSS, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the stylesheet URL. Look for plugins with many stylesheets with lots of red in code coverage. A plugin should only add a stylesheet if it is actually used on the web page.","modern-image-formats":"Consider using a [plugin](https://octobercms.com/plugins?search=image) or service that will automatically convert the uploaded images to the optimal formats. [WebP lossless images](https://developers.google.com/speed/webp) are 26% smaller in size compared to PNGs and 25-34% smaller than comparable JPEG images at the equivalent SSIM quality index. Another next-gen image format to consider is [AVIF](https://jakearchibald.com/2020/avif-has-landed/).",
"offscreen-images":"Consider installing an [image lazy loading plugin](https://octobercms.com/plugins?search=lazy) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages).","total-byte-weight":"Consider showing excerpts in the post lists (e.g. using a `show more` button), reducing the number of posts shown on a given web page, breaking long posts into multiple web pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are many plugins that help [inline critical assets](https://octobercms.com/plugins?search=css). These plugins may break other plugins, so you should test thoroughly.",
"unminified-css":"There are many [plugins](https://octobercms.com/plugins?search=css) that can speed up a website by concatenating, minifying and compressing the styles. Using a build process to do this minification up-front can speed up development.","unminified-javascript":"There are many [plugins](https://octobercms.com/plugins?search=javascript) that can speed up a website by concatenating, minifying and compressing the scripts. Using a build process to do this minification up-front can speed up development.","efficient-animated-content":"[Replace animated GIFs with video](https://web.dev/replace-gifs-with-videos/) for faster web page loads and consider using modern file formats such as [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) or [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) to improve compression efficiency by greater than 30% over the current state-of-the-art video codec, VP9.",
"unused-javascript":"Consider reviewing the [plugins](https://octobercms.com/plugins?search=javascript) that load unused JavaScript in the web page. To identify plugins that add unnecessary JavaScript, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the URL of the script. Look for plugins with many scripts with lots of red in code coverage. A plugin should only add a script if it is actually used on the web page.","uses-long-cache-ttl":"Read about [preventing unnecessary network requests with the HTTP Cache](https://web.dev/http-cache/#caching-checklist). There are many [plugins](https://octobercms.com/plugins?search=Caching) that can be used to speed up caching.","uses-optimized-images":"Consider using an [image optimization plugin](https://octobercms.com/plugins?search=image) to compresses images while retaining the quality.",
"uses-text-compression":"Enable text compression in the web server configuration.","uses-responsive-images":"Upload images directly in the media manager to ensure the required image sizes are available. Consider using the [resize filter](https://octobercms.com/docs/markup/filter-resize) or an [image resizing plugin](https://octobercms.com/plugins?search=image) to ensure the optimal image sizes are used.","server-response-time":"Themes, plugins and server specifications all contribute to the server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin and/or upgrade the server. October CMS also allows developers to use [`Queues`](https://octobercms.com/docs/services/queues) to defer the processing of a time consuming task, such as sending an e-mail. This drastically speeds up web requests."}}},{}],264:[function(e,s,t){s.exports={id:"react",title:"React",
icon:'data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3"%3E %3Cg fill="%2361DAFB"%3E%3Cpath d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/%3E %3Ccircle cx="420.9" cy="296.5" r="45.7"/%3E %3Cpath d="M520.5 78.1z"/%3E%3C/g%3E%3C/svg%3E',
UIStrings:{"unminified-css":"If your build system minifies CSS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unminified-javascript":"If your build system minifies JS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unused-javascript":"If you are not server-side rendering, [split your JavaScript bundles](https://web.dev/code-splitting-suspense/) with `React.lazy()`. Otherwise, code-split using a third-party library such as [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/).",
"server-response-time":"If you are server-side rendering any React components, consider using `renderToNodeStream()` or `renderToStaticNodeStream()` to allow the client to receive and hydrate different parts of the markup instead of all at once. [Learn more](https://reactjs.org/docs/react-dom-server.html#rendertonodestream).",redirects:"If you are using React Router, minimize usage of the `<Redirect>` component for [route navigations](https://reacttraining.com/react-router/web/api/Redirect).","user-timings":"Use the React DevTools Profiler, which makes use of the Profiler API, to measure the rendering performance of your components. [Learn more.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)",
"dom-size":'Consider using a "windowing" library like `react-window` to minimize the number of DOM nodes created if you are rendering many repeated elements on the page. [Learn more](https://web.dev/virtualize-long-lists-react-window/). Also, minimize unnecessary re-renders using [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), or [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) and [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) only until certain dependencies have changed if you are using the `Effect` hook to improve runtime performance.'}}},{}],265:[function(e,s,t){s.exports={id:"wordpress",title:"WordPress",
icon:'data:image/svg+xml,%3Csvg viewBox="0 0 122.5 122.5" xmlns="http://www.w3.org/2000/svg"%3E%3Cg fill="%232f3439"%3E%3Cpath d="M8.7 61.3c0 20.8 12.1 38.7 29.6 47.3l-25-68.7c-3 6.5-4.6 13.7-4.6 21.4zM96.7 58.6c0-6.5-2.3-11-4.3-14.5-2.7-4.3-5.2-8-5.2-12.3 0-4.8 3.7-9.3 8.9-9.3h.7a52.4 52.4 0 0 0-79.4 9.9h3.3c5.5 0 14-.6 14-.6 2.9-.2 3.2 4 .4 4.3 0 0-2.9.4-6 .5l19.1 57L59.7 59l-8.2-22.5c-2.8-.1-5.5-.5-5.5-.5-2.8-.1-2.5-4.5.3-4.3 0 0 8.7.7 13.9.7 5.5 0 14-.7 14-.7 2.8-.2 3.2 4 .3 4.3 0 0-2.8.4-6 .5l19 56.5 5.2-17.5c2.3-7.3 4-12.5 4-17z"/%3E%3Cpath d="M62.2 65.9l-15.8 45.8a52.6 52.6 0 0 0 32.3-.9l-.4-.7zM107.4 36a49.6 49.6 0 0 1-3.6 24.2l-16.1 46.5A52.5 52.5 0 0 0 107.4 36z"/%3E%3Cpath d="M61.3 0a61.3 61.3 0 1 0 .1 122.7A61.3 61.3 0 0 0 61.3 0zm0 119.7a58.5 58.5 0 1 1 .1-117 58.5 58.5 0 0 1-.1 117z"/%3E%3C/g%3E%3C/svg%3E',UIStrings:{
"unused-css-rules":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused CSS in your page. To identify plugins that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using a [plugin](https://wordpress.org/plugins/search/convert+webp/) or service that will automatically convert your uploaded images to the optimal formats.",
"offscreen-images":"Install a [lazy-load WordPress plugin](https://wordpress.org/plugins/search/lazy+load/) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://wordpress.org/plugins/amp/).","total-byte-weight":"Consider showing excerpts in your post lists (e.g. via the more tag), reducing the number of posts shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are a number of WordPress plugins that can help you [inline critical assets](https://wordpress.org/plugins/search/critical+css/) or [defer less important resources](https://wordpress.org/plugins/search/defer+css+javascript/). Beware that optimizations provided by these plugins may break features of your theme or plugins, so you will likely need to make code changes.",
"unminified-css":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+css/) can speed up your site by concatenating, minifying, and compressing your styles. You may also want to use a build process to do this minification up-front if possible.","unminified-javascript":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+javascript/) can speed up your site by concatenating, minifying, and compressing your scripts. You may also want to use a build process to do this minification up front if possible.","efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.",
"unused-javascript":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the script. Look out for plugins that have many scripts in the list which have a lot of red in code coverage. A plugin should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching).","uses-optimized-images":"Consider using an [image optimization WordPress plugin](https://wordpress.org/plugins/search/optimize+images/) that compresses your images while retaining quality.",
"uses-text-compression":"You can enable text compression in your web server configuration.","uses-responsive-images":"Upload images directly through the [media library](https://wordpress.org/support/article/media-library-screen/) to ensure that the required image sizes are available, and then insert them from the media library or use the image widget to ensure the optimal image sizes are used (including those for the responsive breakpoints). Avoid using `Full Size` images unless the dimensions are adequate for their usage. [Learn More](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/).","server-response-time":"Themes, plugins, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin, and/or upgrading your server."}}},{}],266:[function(e,s,t){(function(e){(function(){
var i="__lodash_hash_undefined__",a=9007199254740991,n="[object Arguments]",l="[object Array]",u="[object Boolean]",c="[object Date]",d="[object Error]",m="[object Function]",g="[object Map]",h="[object Number]",p="[object Object]",b="[object Promise]",f="[object RegExp]",v="[object Set]",j="[object String]",k="[object Symbol]",y="[object WeakMap]",w="[object ArrayBuffer]",z="[object DataView]",T=/^\[object .+?Constructor\]$/,S=/^(?:0|[1-9]\d*)$/,x={};x["[object Float32Array]"]=x["[object Float64Array]"]=x["[object Int8Array]"]=x["[object Int16Array]"]=x["[object Int32Array]"]=x["[object Uint8Array]"]=x["[object Uint8ClampedArray]"]=x["[object Uint16Array]"]=x["[object Uint32Array]"]=!0,x[n]=x[l]=x[w]=x[u]=x[z]=x[c]=x[d]=x[m]=x[g]=x[h]=x[p]=x[f]=x[v]=x[j]=x[y]=!1
;var D="object"==typeof e&&e&&e.Object===Object&&e,C="object"==typeof self&&self&&self.Object===Object&&self,_=D||C||Function("return this")(),P="object"==typeof t&&t&&!t.nodeType&&t,A=P&&"object"==typeof s&&s&&!s.nodeType&&s,L=A&&A.exports===P,R=L&&D.process,M=function(){try{return R&&R.binding&&R.binding("util")}catch(e){}}(),I=M&&M.isTypedArray;function arraySome(e,s){for(var t=-1,i=null==e?0:e.length;++t<i;)if(s(e[t],t,e))return!0;return!1}function mapToArray(e){var s=-1,t=Array(e.size);return e.forEach((function(e,i){t[++s]=[i,e]})),t}function setToArray(e){var s=-1,t=Array(e.size);return e.forEach((function(e){t[++s]=e})),t}
var E,N=Array.prototype,B=Function.prototype,q=Object.prototype,O=_["__core-js_shared__"],U=B.toString,F=q.hasOwnProperty,V=(E=/[^.]+$/.exec(O&&O.keys&&O.keys.IE_PROTO||""))?"Symbol(src)_1."+E:"",G=q.toString,H=RegExp("^"+U.call(F).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),W=L?_.Buffer:void 0,J=_.Symbol,K=_.Uint8Array,Y=q.propertyIsEnumerable,Z=N.splice,$=J?J.toStringTag:void 0,X=Object.getOwnPropertySymbols,Q=W?W.isBuffer:void 0,ee=function overArg(e,s){return function(t){return e(s(t))}}(Object.keys,Object),se=getNative(_,"DataView"),te=getNative(_,"Map"),ie=getNative(_,"Promise"),ae=getNative(_,"Set"),oe=getNative(_,"WeakMap"),re=getNative(Object,"create"),ne=toSource(se),le=toSource(te),ue=toSource(ie),ce=toSource(ae),de=toSource(oe),me=J?J.prototype:void 0,ge=me?me.valueOf:void 0;function Hash(e){var s=-1,t=null==e?0:e.length;for(this.clear();++s<t;){var i=e[s];this.set(i[0],i[1])}}function ListCache(e){
var s=-1,t=null==e?0:e.length;for(this.clear();++s<t;){var i=e[s];this.set(i[0],i[1])}}function MapCache(e){var s=-1,t=null==e?0:e.length;for(this.clear();++s<t;){var i=e[s];this.set(i[0],i[1])}}function SetCache(e){var s=-1,t=null==e?0:e.length;for(this.__data__=new MapCache;++s<t;)this.add(e[s])}function Stack(e){var s=this.__data__=new ListCache(e);this.size=s.size}function arrayLikeKeys(e,s){var t=fe(e),i=!t&&be(e),a=!t&&!i&&ve(e),n=!t&&!i&&!a&&je(e),l=t||i||a||n,u=l?function baseTimes(e,s){for(var t=-1,i=Array(e);++t<e;)i[t]=s(t);return i}(e.length,String):[],c=u.length;for(var d in e)!s&&!F.call(e,d)||l&&("length"==d||a&&("offset"==d||"parent"==d)||n&&("buffer"==d||"byteLength"==d||"byteOffset"==d)||isIndex(d,c))||u.push(d);return u}function assocIndexOf(e,s){for(var t=e.length;t--;)if(eq(e[t][0],s))return t;return-1}function baseGetTag(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":$&&$ in Object(e)?function getRawTag(e){var s=F.call(e,$),t=e[$];try{
e[$]=void 0;var i=!0}catch(e){}var a=G.call(e);i&&(s?e[$]=t:delete e[$]);return a}(e):function objectToString(e){return G.call(e)}(e)}function baseIsArguments(e){return isObjectLike(e)&&baseGetTag(e)==n}function baseIsEqual(e,s,t,i,a){return e===s||(null==e||null==s||!isObjectLike(e)&&!isObjectLike(s)?e!=e&&s!=s:function baseIsEqualDeep(e,s,t,i,a,m){var b=fe(e),y=fe(s),T=b?l:pe(e),S=y?l:pe(s),x=(T=T==n?p:T)==p,D=(S=S==n?p:S)==p,C=T==S;if(C&&ve(e)){if(!ve(s))return!1;b=!0,x=!1}if(C&&!x)return m||(m=new Stack),b||je(e)?equalArrays(e,s,t,i,a,m):function equalByTag(e,s,t,i,a,n,l){switch(t){case z:if(e.byteLength!=s.byteLength||e.byteOffset!=s.byteOffset)return!1;e=e.buffer,s=s.buffer;case w:return!(e.byteLength!=s.byteLength||!n(new K(e),new K(s)));case u:case c:case h:return eq(+e,+s);case d:return e.name==s.name&&e.message==s.message;case f:case j:return e==s+"";case g:var m=mapToArray;case v:var p=1&i;if(m||(m=setToArray),e.size!=s.size&&!p)return!1;var b=l.get(e);if(b)return b==s;i|=2,
l.set(e,s);var y=equalArrays(m(e),m(s),i,a,n,l);return l.delete(e),y;case k:if(ge)return ge.call(e)==ge.call(s)}return!1}(e,s,T,t,i,a,m);if(!(1&t)){var _=x&&F.call(e,"__wrapped__"),P=D&&F.call(s,"__wrapped__");if(_||P){var A=_?e.value():e,L=P?s.value():s;return m||(m=new Stack),a(A,L,t,i,m)}}if(!C)return!1;return m||(m=new Stack),function equalObjects(e,s,t,i,a,n){var l=1&t,u=getAllKeys(e),c=u.length,d=getAllKeys(s).length;if(c!=d&&!l)return!1;var m=c;for(;m--;){var g=u[m];if(!(l?g in s:F.call(s,g)))return!1}var h=n.get(e);if(h&&n.get(s))return h==s;var p=!0;n.set(e,s),n.set(s,e);var b=l;for(;++m<c;){var f=e[g=u[m]],v=s[g];if(i)var j=l?i(v,f,g,s,e,n):i(f,v,g,e,s,n);if(!(void 0===j?f===v||a(f,v,t,i,n):j)){p=!1;break}b||(b="constructor"==g)}if(p&&!b){var k=e.constructor,y=s.constructor;k==y||!("constructor"in e)||!("constructor"in s)||"function"==typeof k&&k instanceof k&&"function"==typeof y&&y instanceof y||(p=!1)}return n.delete(e),n.delete(s),p}(e,s,t,i,a,m)}(e,s,t,i,baseIsEqual,a))}
function baseIsNative(e){return!(!isObject(e)||function isMasked(e){return!!V&&V in e}(e))&&(isFunction(e)?H:T).test(toSource(e))}function baseKeys(e){if(!function isPrototype(e){var s=e&&e.constructor,t="function"==typeof s&&s.prototype||q;return e===t}(e))return ee(e);var s=[];for(var t in Object(e))F.call(e,t)&&"constructor"!=t&&s.push(t);return s}function equalArrays(e,s,t,i,a,n){var l=1&t,u=e.length,c=s.length;if(u!=c&&!(l&&c>u))return!1;var d=n.get(e);if(d&&n.get(s))return d==s;var m=-1,g=!0,h=2&t?new SetCache:void 0;for(n.set(e,s),n.set(s,e);++m<u;){var p=e[m],b=s[m];if(i)var f=l?i(b,p,m,s,e,n):i(p,b,m,e,s,n);if(void 0!==f){if(f)continue;g=!1;break}if(h){if(!arraySome(s,(function(e,s){if(l=s,!h.has(l)&&(p===e||a(p,e,t,i,n)))return h.push(s);var l}))){g=!1;break}}else if(p!==b&&!a(p,b,t,i,n)){g=!1;break}}return n.delete(e),n.delete(s),g}function getAllKeys(e){return function baseGetAllKeys(e,s,t){var i=s(e);return fe(e)?i:function arrayPush(e,s){
for(var t=-1,i=s.length,a=e.length;++t<i;)e[a+t]=s[t];return e}(i,t(e))}(e,keys,he)}function getMapData(e,s){var t=e.__data__;return function isKeyable(e){var s=typeof e;return"string"==s||"number"==s||"symbol"==s||"boolean"==s?"__proto__"!==e:null===e}(s)?t["string"==typeof s?"string":"hash"]:t.map}function getNative(e,s){var t=function getValue(e,s){return null==e?void 0:e[s]}(e,s);return baseIsNative(t)?t:void 0}Hash.prototype.clear=function hashClear(){this.__data__=re?re(null):{},this.size=0},Hash.prototype.delete=function hashDelete(e){var s=this.has(e)&&delete this.__data__[e];return this.size-=s?1:0,s},Hash.prototype.get=function hashGet(e){var s=this.__data__;if(re){var t=s[e];return t===i?void 0:t}return F.call(s,e)?s[e]:void 0},Hash.prototype.has=function hashHas(e){var s=this.__data__;return re?void 0!==s[e]:F.call(s,e)},Hash.prototype.set=function hashSet(e,s){var t=this.__data__;return this.size+=this.has(e)?0:1,t[e]=re&&void 0===s?i:s,this},
ListCache.prototype.clear=function listCacheClear(){this.__data__=[],this.size=0},ListCache.prototype.delete=function listCacheDelete(e){var s=this.__data__,t=assocIndexOf(s,e);return!(t<0)&&(t==s.length-1?s.pop():Z.call(s,t,1),--this.size,!0)},ListCache.prototype.get=function listCacheGet(e){var s=this.__data__,t=assocIndexOf(s,e);return t<0?void 0:s[t][1]},ListCache.prototype.has=function listCacheHas(e){return assocIndexOf(this.__data__,e)>-1},ListCache.prototype.set=function listCacheSet(e,s){var t=this.__data__,i=assocIndexOf(t,e);return i<0?(++this.size,t.push([e,s])):t[i][1]=s,this},MapCache.prototype.clear=function mapCacheClear(){this.size=0,this.__data__={hash:new Hash,map:new(te||ListCache),string:new Hash}},MapCache.prototype.delete=function mapCacheDelete(e){var s=getMapData(this,e).delete(e);return this.size-=s?1:0,s},MapCache.prototype.get=function mapCacheGet(e){return getMapData(this,e).get(e)},MapCache.prototype.has=function mapCacheHas(e){
return getMapData(this,e).has(e)},MapCache.prototype.set=function mapCacheSet(e,s){var t=getMapData(this,e),i=t.size;return t.set(e,s),this.size+=t.size==i?0:1,this},SetCache.prototype.add=SetCache.prototype.push=function setCacheAdd(e){return this.__data__.set(e,i),this},SetCache.prototype.has=function setCacheHas(e){return this.__data__.has(e)},Stack.prototype.clear=function stackClear(){this.__data__=new ListCache,this.size=0},Stack.prototype.delete=function stackDelete(e){var s=this.__data__,t=s.delete(e);return this.size=s.size,t},Stack.prototype.get=function stackGet(e){return this.__data__.get(e)},Stack.prototype.has=function stackHas(e){return this.__data__.has(e)},Stack.prototype.set=function stackSet(e,s){var t=this.__data__;if(t instanceof ListCache){var i=t.__data__;if(!te||i.length<199)return i.push([e,s]),this.size=++t.size,this;t=this.__data__=new MapCache(i)}return t.set(e,s),this.size=t.size,this};var he=X?function(e){return null==e?[]:(e=Object(e),
function arrayFilter(e,s){for(var t=-1,i=null==e?0:e.length,a=0,n=[];++t<i;){var l=e[t];s(l,t,e)&&(n[a++]=l)}return n}(X(e),(function(s){return Y.call(e,s)})))}:function stubArray(){return[]},pe=baseGetTag;function isIndex(e,s){return!!(s=null==s?a:s)&&("number"==typeof e||S.test(e))&&e>-1&&e%1==0&&e<s}function toSource(e){if(null!=e){try{return U.call(e)}catch(e){}try{return e+""}catch(e){}}return""}function eq(e,s){return e===s||e!=e&&s!=s}(se&&pe(new se(new ArrayBuffer(1)))!=z||te&&pe(new te)!=g||ie&&pe(ie.resolve())!=b||ae&&pe(new ae)!=v||oe&&pe(new oe)!=y)&&(pe=function(e){var s=baseGetTag(e),t=s==p?e.constructor:void 0,i=t?toSource(t):"";if(i)switch(i){case ne:return z;case le:return g;case ue:return b;case ce:return v;case de:return y}return s});var be=baseIsArguments(function(){return arguments}())?baseIsArguments:function(e){return isObjectLike(e)&&F.call(e,"callee")&&!Y.call(e,"callee")},fe=Array.isArray;var ve=Q||function stubFalse(){return!1};function isFunction(e){
if(!isObject(e))return!1;var s=baseGetTag(e);return s==m||"[object GeneratorFunction]"==s||"[object AsyncFunction]"==s||"[object Proxy]"==s}function isLength(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=a}function isObject(e){var s=typeof e;return null!=e&&("object"==s||"function"==s)}function isObjectLike(e){return null!=e&&"object"==typeof e}var je=I?function baseUnary(e){return function(s){return e(s)}}(I):function baseIsTypedArray(e){return isObjectLike(e)&&isLength(e.length)&&!!x[baseGetTag(e)]};function keys(e){return function isArrayLike(e){return null!=e&&isLength(e.length)&&!isFunction(e)}(e)?arrayLikeKeys(e):baseKeys(e)}s.exports=function isEqual(e,s){return baseIsEqual(e,s)}}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],267:[function(e,s,t){s.exports=function lookupClosestLocale(e,s){if("string"==typeof e&&s[e])return e
;for(var t=[].concat(e||[]),i=0,a=t.length;i<a;++i)for(var n=t[i].split("-");n.length;){var l=n.join("-");if(s[l])return l;n.pop()}}},{}],268:[function(e,s,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i="undefined"!=typeof performance&&performance,a=i&&i.now?function(){return i.now()}:function(){return Date.now()};function throwIfEmpty(e){if(!e)throw new Error("name must be non-empty")}if(t.mark=void 0,t.stop=void 0,t.getEntries=void 0,t.clear=void 0,i&&i.mark&&i.getEntriesByName&&i.getEntriesByType&&i.clearMeasures)t.mark=function(e){throwIfEmpty(e),i.mark("start "+e)},t.stop=function(e){throwIfEmpty(e),i.mark("end "+e),i.measure(e,"start "+e,"end "+e);var s=i.getEntriesByName(e);return s[s.length-1]},t.getEntries=function(){return i.getEntriesByType("measure")},t.clear=function(){i.clearMarks(),i.clearMeasures()};else{var n={},l=[];t.mark=function(e){throwIfEmpty(e);var s=a();n["$"+e]=s},t.stop=function(e){throwIfEmpty(e);var s=a(),t=n["$"+e]
;if(!t)throw new Error("no known mark: "+e);var i={startTime:t,name:e,duration:s-t,entryType:"measure"};return function insertSorted(e,s){for(var t,i=0,a=e.length;i<a;)e[t=i+a>>>1].startTime<s.startTime?i=t+1:a=t;e.splice(i,0,s)}(l,i),i},t.getEntries=function(){return l},t.clear=function(){n={},l=[]}}},{}],269:[function(e,s,t){function min(e,s){return null===e?s:null===s?e:Math.min(e,s)}function max(e,s){return null===e?s:null===s?e:Math.max(e,s)}function translateLengthProperty(e,s,t){return"number"==typeof e?e>=0?clamp(e,1,1e4):void 0:"device-width"===e?100*s:"device-height"===e?100*t:1}function translateZoomProperty(e){return"number"==typeof e?e>=0?clamp(e,.1,10):void 0:"yes"===e?1:"device-width"===e||"device-height"===e?10:"no"===e||null===e?.1:void 0}function clamp(e,s,t){return max(min(e,t),s)}t.getRenderingDataFromViewport=function(e,s,t,i,a){var n=s/100,l=t/100,u=null,c=null,d=null,m=null,g=null,h=null,p=null,b=null,f=null,v=s,j=t,k="zoom"
;if(void 0!==e["maximum-scale"]&&(u=translateZoomProperty(e["maximum-scale"])),void 0!==e["minimum-scale"]&&(c=translateZoomProperty(e["minimum-scale"])),void 0!==e["initial-scale"]&&(d=translateZoomProperty(e["initial-scale"])),null!==c&&null===u&&(c=min(i,translateZoomProperty(e["minimum-scale"]))),void 0!==e.width&&(m="extend-to-zoom",h=translateLengthProperty(e.width,n,l)),void 0!==e.height&&(g="extend-to-zoom",p=translateLengthProperty(e.height,n,l)),void 0!==e["user-scalable"])if("number"==typeof(k=e["user-scalable"]))k=k>=1||k<=-1?"zoom":"fixed";else switch(k){case"yes":case"device-width":case"device-height":k="zoom";break;case"no":default:k="fixed"}null===d||void 0!==e.width&&void 0!==b||(void 0!==e.height?(m=null,h=null):(m="extend-to-zoom",h="extend-to-zoom")),null!==c&&null!==u&&(u=max(c,u)),null!==d&&(d=clamp(d,c,u));var y,w,z=null===d&&null===u?null:min(d,u);return null===z?("extend-to-zoom"===h&&(h=null),"extend-to-zoom"===p&&(p=null),"extend-to-zoom"===m&&(m=h),
"extend-to-zoom"===g&&(g=p)):(y=v/z,w=j/z,"extend-to-zoom"===h&&(h=y),"extend-to-zoom"===p&&(p=w),"extend-to-zoom"===m&&(m=max(y,h)),"extend-to-zoom"===g&&(g=max(w,p))),null===m&&null===h||(b=max(m,min(h,v))),null===g&&null===p||(f=max(g,min(p,j))),null===b&&(b=null===f?v:0!==j?Math.round(f*(v/j)):v),null===f&&(f=0!==v?Math.round(b*(j/v)):j),{zoom:d,width:b,height:f,userZoom:k}},t.parseMetaViewPortContent=function(e){for(var s={validProperties:{},unknownProperties:{},invalidValues:{}},t=1;t<=e.length;){for(;t<=e.length&&RegExp(" |\n|\t|\0d|,|;|=").test(e[t-1]);)t++;t<=e.length&&(t=parseProperty(s,e,t))}return s};var i=["width","height","initial-scale","minimum-scale","maximum-scale","user-scalable","shrink-to-fit","viewport-fit"];function parseProperty(e,s,t){for(var a=t;t<=s.length&&!RegExp(" |\n|\t|\0d|,|;|=").test(s[t-1]);)t++;if(t>s.length||RegExp(",|;").test(s[t-1]))return t;for(var n=s.slice(a-1,t-1);t<=s.length&&!RegExp(",|;|=").test(s[t-1]);)t++
;if(t>s.length||RegExp(",|;").test(s[t-1]))return t;for(;t<=s.length&&RegExp(" |\n|\t|\0d|=").test(s[t-1]);)t++;if(t>s.length||RegExp(",|;").test(s[t-1]))return t;for(a=t;t<=s.length&&!RegExp(" |\n|\t|\0d|,|;|=").test(s[t-1]);)t++;return function setProperty(e,s,t){if(i.indexOf(s)>=0){var a=parseFloat(t);if(!isNaN(a))return void(e.validProperties[s]=a);var n=t.toLowerCase();if("yes"===n||"no"===n||"device-width"===n||"device-height"===n||"viewport-fit"===s.toLowerCase()&&("auto"===n||"cover"===n))return void(e.validProperties[s]=n);e.validProperties[s]=null,e.invalidValues[s]=t}else e.unknownProperties[s]=t}(e,n,s.slice(a-1,t-1)),t}t.expectedValues={width:["device-width","device-height","a positive number"],height:["device-width","device-height","a positive number"],"initial-scale":["a positive number"],"minimum-scale":["a positive number"],"maximum-scale":["a positive number"],"user-scalable":["yes","no","0","1"],"shrink-to-fit":["yes","no"],"viewport-fit":["auto","cover"]}},{}],
270:[function(e,s,t){s.exports=function parseCacheControl(e){if("string"!=typeof e)return null;var s={},t=e.replace(/(?:^|(?:\s*\,\s*))([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)(?:\=(?:([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)|(?:\"((?:[^"\\]|\\.)*)\")))?/g,(function(e,t,i,a){var n=i||a;return s[t]=!n||n.toLowerCase(),""}));if(s["max-age"])try{var i=parseInt(s["max-age"],10);if(isNaN(i))return null;s["max-age"]=i}catch(t){}return t?null:s}},{}],271:[function(e,s,t){(function(e){(function(){"use strict";function assertPath(e){if("string"!=typeof e)throw new TypeError("Path must be a string. Received "+JSON.stringify(e))}function normalizeStringPosix(e,s){for(var t,i="",a=0,n=-1,l=0,u=0;u<=e.length;++u){if(u<e.length)t=e.charCodeAt(u);else{if(47===t)break;t=47}if(47===t){if(n===u-1||1===l);else if(n!==u-1&&2===l){if(i.length<2||2!==a||46!==i.charCodeAt(i.length-1)||46!==i.charCodeAt(i.length-2))if(i.length>2){var c=i.lastIndexOf("/");if(c!==i.length-1){-1===c?(i="",
a=0):a=(i=i.slice(0,c)).length-1-i.lastIndexOf("/"),n=u,l=0;continue}}else if(2===i.length||1===i.length){i="",a=0,n=u,l=0;continue}s&&(i.length>0?i+="/..":i="..",a=2)}else i.length>0?i+="/"+e.slice(n+1,u):i=e.slice(n+1,u),a=u-n-1;n=u,l=0}else 46===t&&-1!==l?++l:l=-1}return i}var t={resolve:function resolve(){for(var s,t="",i=!1,a=arguments.length-1;a>=-1&&!i;a--){var n;a>=0?n=arguments[a]:(void 0===s&&(s=e.cwd()),n=s),assertPath(n),0!==n.length&&(t=n+"/"+t,i=47===n.charCodeAt(0))}return t=normalizeStringPosix(t,!i),i?t.length>0?"/"+t:"/":t.length>0?t:"."},normalize:function normalize(e){if(assertPath(e),0===e.length)return".";var s=47===e.charCodeAt(0),t=47===e.charCodeAt(e.length-1);return 0!==(e=normalizeStringPosix(e,!s)).length||s||(e="."),e.length>0&&t&&(e+="/"),s?"/"+e:e},isAbsolute:function isAbsolute(e){return assertPath(e),e.length>0&&47===e.charCodeAt(0)},join:function join(){if(0===arguments.length)return".";for(var e,s=0;s<arguments.length;++s){var i=arguments[s]
;assertPath(i),i.length>0&&(void 0===e?e=i:e+="/"+i)}return void 0===e?".":t.normalize(e)},relative:function relative(e,s){if(assertPath(e),assertPath(s),e===s)return"";if((e=t.resolve(e))===(s=t.resolve(s)))return"";for(var i=1;i<e.length&&47===e.charCodeAt(i);++i);for(var a=e.length,n=a-i,l=1;l<s.length&&47===s.charCodeAt(l);++l);for(var u=s.length-l,c=n<u?n:u,d=-1,m=0;m<=c;++m){if(m===c){if(u>c){if(47===s.charCodeAt(l+m))return s.slice(l+m+1);if(0===m)return s.slice(l+m)}else n>c&&(47===e.charCodeAt(i+m)?d=m:0===m&&(d=0));break}var g=e.charCodeAt(i+m);if(g!==s.charCodeAt(l+m))break;47===g&&(d=m)}var h="";for(m=i+d+1;m<=a;++m)m!==a&&47!==e.charCodeAt(m)||(0===h.length?h+="..":h+="/..");return h.length>0?h+s.slice(l+d):(l+=d,47===s.charCodeAt(l)&&++l,s.slice(l))},_makeLong:function _makeLong(e){return e},dirname:function dirname(e){if(assertPath(e),0===e.length)return".";for(var s=e.charCodeAt(0),t=47===s,i=-1,a=!0,n=e.length-1;n>=1;--n)if(47===(s=e.charCodeAt(n))){if(!a){i=n;break}
}else a=!1;return-1===i?t?"/":".":t&&1===i?"//":e.slice(0,i)},basename:function basename(e,s){if(void 0!==s&&"string"!=typeof s)throw new TypeError('"ext" argument must be a string');assertPath(e);var t,i=0,a=-1,n=!0;if(void 0!==s&&s.length>0&&s.length<=e.length){if(s.length===e.length&&s===e)return"";var l=s.length-1,u=-1;for(t=e.length-1;t>=0;--t){var c=e.charCodeAt(t);if(47===c){if(!n){i=t+1;break}}else-1===u&&(n=!1,u=t+1),l>=0&&(c===s.charCodeAt(l)?-1==--l&&(a=t):(l=-1,a=u))}return i===a?a=u:-1===a&&(a=e.length),e.slice(i,a)}for(t=e.length-1;t>=0;--t)if(47===e.charCodeAt(t)){if(!n){i=t+1;break}}else-1===a&&(n=!1,a=t+1);return-1===a?"":e.slice(i,a)},extname:function extname(e){assertPath(e);for(var s=-1,t=0,i=-1,a=!0,n=0,l=e.length-1;l>=0;--l){var u=e.charCodeAt(l);if(47!==u)-1===i&&(a=!1,i=l+1),46===u?-1===s?s=l:1!==n&&(n=1):-1!==s&&(n=-1);else if(!a){t=l+1;break}}return-1===s||-1===i||0===n||1===n&&s===i-1&&s===t+1?"":e.slice(s,i)},format:function format(e){
if(null===e||"object"!=typeof e)throw new TypeError('The "pathObject" argument must be of type Object. Received type '+typeof e);return function _format(e,s){var t=s.dir||s.root,i=s.base||(s.name||"")+(s.ext||"");return t?t===s.root?t+i:t+e+i:i}("/",e)},parse:function parse(e){assertPath(e);var s={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return s;var t,i=e.charCodeAt(0),a=47===i;a?(s.root="/",t=1):t=0;for(var n=-1,l=0,u=-1,c=!0,d=e.length-1,m=0;d>=t;--d)if(47!==(i=e.charCodeAt(d)))-1===u&&(c=!1,u=d+1),46===i?-1===n?n=d:1!==m&&(m=1):-1!==n&&(m=-1);else if(!c){l=d+1;break}return-1===n||-1===u||0===m||1===m&&n===u-1&&n===l+1?-1!==u&&(s.base=s.name=0===l&&a?e.slice(1,u):e.slice(l,u)):(0===l&&a?(s.name=e.slice(1,n),s.base=e.slice(1,u)):(s.name=e.slice(l,n),s.base=e.slice(l,u)),s.ext=e.slice(n,u)),l>0?s.dir=e.slice(0,l-1):a&&(s.dir="/"),s},sep:"/",delimiter:":",win32:null,posix:null};t.posix=t,s.exports=t}).call(this)}).call(this,e("_process"))},{_process:272}],
272:[function(e,s,t){var i,a,n=s.exports={};function defaultSetTimout(){throw new Error("setTimeout has not been defined")}function defaultClearTimeout(){throw new Error("clearTimeout has not been defined")}function runTimeout(e){if(i===setTimeout)return setTimeout(e,0);if((i===defaultSetTimout||!i)&&setTimeout)return i=setTimeout,setTimeout(e,0);try{return i(e,0)}catch(s){try{return i.call(null,e,0)}catch(s){return i.call(this,e,0)}}}!function(){try{i="function"==typeof setTimeout?setTimeout:defaultSetTimout}catch(e){i=defaultSetTimout}try{a="function"==typeof clearTimeout?clearTimeout:defaultClearTimeout}catch(e){a=defaultClearTimeout}}();var l,u=[],c=!1,d=-1;function cleanUpNextTick(){c&&l&&(c=!1,l.length?u=l.concat(u):d=-1,u.length&&drainQueue())}function drainQueue(){if(!c){var e=runTimeout(cleanUpNextTick);c=!0;for(var s=u.length;s;){for(l=u,u=[];++d<s;)l&&l[d].run();d=-1,s=u.length}l=null,c=!1,function runClearTimeout(e){if(a===clearTimeout)return clearTimeout(e)
;if((a===defaultClearTimeout||!a)&&clearTimeout)return a=clearTimeout,clearTimeout(e);try{return a(e)}catch(s){try{return a.call(null,e)}catch(s){return a.call(this,e)}}}(e)}}function Item(e,s){this.fun=e,this.array=s}function noop(){}n.nextTick=function(e){var s=new Array(arguments.length-1);if(arguments.length>1)for(var t=1;t<arguments.length;t++)s[t-1]=arguments[t];u.push(new Item(e,s)),1!==u.length||c||runTimeout(drainQueue)},Item.prototype.run=function(){this.fun.apply(null,this.array)},n.title="browser",n.browser=!0,n.env={},n.argv=[],n.version="",n.versions={},n.on=noop,n.addListener=noop,n.once=noop,n.off=noop,n.removeListener=noop,n.removeAllListeners=noop,n.emit=noop,n.prependListener=noop,n.prependOnceListener=noop,n.listeners=function(e){return[]},n.binding=function(e){throw new Error("process.binding is not supported")},n.cwd=function(){return"/"},n.chdir=function(e){throw new Error("process.chdir is not supported")},n.umask=function(){return 0}},{}],273:[function(e,s,t){
"use strict";function hasOwnProperty(e,s){return Object.prototype.hasOwnProperty.call(e,s)}s.exports=function(e,s,t,a){s=s||"&",t=t||"=";var n={};if("string"!=typeof e||0===e.length)return n;var l=/\+/g;e=e.split(s);var u=1e3;a&&"number"==typeof a.maxKeys&&(u=a.maxKeys);var c=e.length;u>0&&c>u&&(c=u);for(var d=0;d<c;++d){var m,g,h,p,b=e[d].replace(l,"%20"),f=b.indexOf(t);f>=0?(m=b.substr(0,f),g=b.substr(f+1)):(m=b,g=""),h=decodeURIComponent(m),p=decodeURIComponent(g),hasOwnProperty(n,h)?i(n[h])?n[h].push(p):n[h]=[n[h],p]:n[h]=p}return n};var i=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)}},{}],274:[function(e,s,t){"use strict";var stringifyPrimitive=function(e){switch(typeof e){case"string":return e;case"boolean":return e?"true":"false";case"number":return isFinite(e)?e:"";default:return""}};s.exports=function(e,s,t,n){return s=s||"&",t=t||"=",null===e&&(e=void 0),"object"==typeof e?map(a(e),(function(a){
var n=encodeURIComponent(stringifyPrimitive(a))+t;return i(e[a])?map(e[a],(function(e){return n+encodeURIComponent(stringifyPrimitive(e))})).join(s):n+encodeURIComponent(stringifyPrimitive(e[a]))})).join(s):n?encodeURIComponent(stringifyPrimitive(n))+t+encodeURIComponent(stringifyPrimitive(e)):""};var i=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)};function map(e,s){if(e.map)return e.map(s);for(var t=[],i=0;i<e.length;i++)t.push(s(e[i],i));return t}var a=Object.keys||function(e){var s=[];for(var t in e)Object.prototype.hasOwnProperty.call(e,t)&&s.push(t);return s}},{}],275:[function(e,s,t){"use strict";t.decode=t.parse=e("./decode"),t.encode=t.stringify=e("./encode")},{"./decode":273,"./encode":274}],276:[function(e,s,t){var i=e("url").URL;function trimLine(e){return e?Array.isArray(e)?e.map(trimLine):String(e).trim():null}function removeComments(e){var s=e.indexOf("#");return s>-1?e.substr(0,s):e}function splitLine(e){
var s=String(e).indexOf(":");return!e||s<0?null:[e.slice(0,s),e.slice(s+1)]}function formatUserAgent(e){var s=e.toLowerCase(),t=s.indexOf("/");return t>-1&&(s=s.substr(0,t)),s.trim()}function urlEncodeToUpper(e){return e.replace(/%[0-9a-fA-F]{2}/g,(function(e){return e.toUpperCase()}))}function parsePattern(e){return(e=function normaliseEncoding(e){try{return urlEncodeToUpper(encodeURI(e).replace(/%25/g,"%"))}catch(s){return e}}(e)).indexOf("*")<0&&e.indexOf("$")<0?e:(e=e.replace(/[\-\[\]\/\{\}\(\)\+\?\.\\\^\$\|]/g,"\\$&").replace(/\*/g,"(?:.*)").replace(/\\\$$/,"$"),new RegExp(e))}function parseUrl(e){try{return new i(e)}catch(e){return null}}function Robots(e,s){this._url=parseUrl(e)||{},this._url.port=this._url.port||80,this._rules={},this._sitemaps=[],this._preferedHost=null,function parseRobots(e,s){for(var t=e.split(/\r\n|\r|\n/).map(removeComments).map(splitLine).map(trimLine),i=[],a=!0,n=0;n<t.length;n++){var l=t[n];if(l&&l[0]){switch(l[0].toLowerCase()){case"user-agent":
a&&(i.length=0),l[1]&&i.push(formatUserAgent(l[1]));break;case"disallow":s.addRule(i,l[1],!1,n+1);break;case"allow":s.addRule(i,l[1],!0,n+1);break;case"crawl-delay":s.setCrawlDelay(i,l[1]);break;case"sitemap":l[1]&&s.addSitemap(l[1]);break;case"host":l[1]&&s.setPreferredHost(l[1].toLowerCase())}a="user-agent"!==l[0].toLowerCase()}}}(s||"",this)}Robots.prototype.addRule=function(e,s,t,i){var a=this._rules;e.forEach((function(e){a[e]=a[e]||[],s&&a[e].push({pattern:parsePattern(s),allow:t,lineNumber:i})}))},Robots.prototype.setCrawlDelay=function(e,s){var t=this._rules,i=Number(s);e.forEach((function(e){t[e]=t[e]||[],isNaN(i)||(t[e].crawlDelay=i)}))},Robots.prototype.addSitemap=function(e){this._sitemaps.push(e)},Robots.prototype.setPreferredHost=function(e){this._preferedHost=e},Robots.prototype._getRule=function(e,s){var t=parseUrl(e)||{},i=formatUserAgent(s||"*");if(t.port=t.port||"80",t.protocol===this._url.protocol&&t.hostname===this._url.hostname&&t.port===this._url.port){
var a=this._rules[i]||this._rules["*"]||[];return function findRule(e,s){for(var t=null,i=0;i<s.length;i++){var a=s[i];if("string"==typeof a.pattern){if(0!==e.indexOf(a.pattern))continue;(!t||a.pattern.length>t.pattern.length)&&(t=a)}else if(a.pattern.test(e))return a}return t}(urlEncodeToUpper(t.pathname+t.search),a)}},Robots.prototype.isAllowed=function(e,s){var t=this._getRule(e,s);if(void 0!==t)return!t||t.allow},Robots.prototype.getMatchingLineNumber=function(e,s){var t=this._getRule(e,s);return t?t.lineNumber:-1},Robots.prototype.isDisallowed=function(e,s){return!this.isAllowed(e,s)},Robots.prototype.getCrawlDelay=function(e){var s=formatUserAgent(e||"*");return(this._rules[s]||this._rules["*"]||{}).crawlDelay},Robots.prototype.getPreferredHost=function(){return this._preferedHost},Robots.prototype.getSitemaps=function(){return this._sitemaps.slice(0)},s.exports=Robots},{url:"url"}],277:[function(e,s,t){var i=e("./Robots");s.exports=function(e,s){return new i(e,s)}},{
"./Robots":276}],278:[function(e,s,t){
/*! safe-buffer. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> */
var i=e("buffer"),a=i.Buffer;function copyProps(e,s){for(var t in e)s[t]=e[t]}function SafeBuffer(e,s,t){return a(e,s,t)}a.from&&a.alloc&&a.allocUnsafe&&a.allocUnsafeSlow?s.exports=i:(copyProps(i,t),t.Buffer=SafeBuffer),SafeBuffer.prototype=Object.create(a.prototype),copyProps(a,SafeBuffer),SafeBuffer.from=function(e,s,t){if("number"==typeof e)throw new TypeError("Argument must not be a number");return a(e,s,t)},SafeBuffer.alloc=function(e,s,t){if("number"!=typeof e)throw new TypeError("Argument must be a number");var i=a(e);return void 0!==s?"string"==typeof t?i.fill(s,t):i.fill(s):i.fill(0),i},SafeBuffer.allocUnsafe=function(e){if("number"!=typeof e)throw new TypeError("Argument must be a number");return a(e)},SafeBuffer.allocUnsafeSlow=function(e){if("number"!=typeof e)throw new TypeError("Argument must be a number");return i.SlowBuffer(e)}},{buffer:194}],279:[function(e,s,t){(function(e){(function(){var i;t=s.exports=SemVer,
i="object"==typeof e&&e.env&&e.env.NODE_DEBUG&&/\bsemver\b/i.test(e.env.NODE_DEBUG)?function(){var e=Array.prototype.slice.call(arguments,0);e.unshift("SEMVER"),console.log.apply(console,e)}:function(){},t.SEMVER_SPEC_VERSION="2.0.0";var a=Number.MAX_SAFE_INTEGER||9007199254740991,n=t.re=[],l=t.src=[],u=0,c=u++;l[c]="0|[1-9]\\d*";var d=u++;l[d]="[0-9]+";var m=u++;l[m]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var g=u++;l[g]="("+l[c]+")\\.("+l[c]+")\\.("+l[c]+")";var h=u++;l[h]="("+l[d]+")\\.("+l[d]+")\\.("+l[d]+")";var p=u++;l[p]="(?:"+l[c]+"|"+l[m]+")";var b=u++;l[b]="(?:"+l[d]+"|"+l[m]+")";var f=u++;l[f]="(?:-("+l[p]+"(?:\\."+l[p]+")*))";var v=u++;l[v]="(?:-?("+l[b]+"(?:\\."+l[b]+")*))";var j=u++;l[j]="[0-9A-Za-z-]+";var k=u++;l[k]="(?:\\+("+l[j]+"(?:\\."+l[j]+")*))";var y=u++,w="v?"+l[g]+l[f]+"?"+l[k]+"?";l[y]="^"+w+"$";var z="[v=\\s]*"+l[h]+l[v]+"?"+l[k]+"?",T=u++;l[T]="^"+z+"$";var S=u++;l[S]="((?:<|>)?=?)";var x=u++;l[x]=l[d]+"|x|X|\\*";var D=u++;l[D]=l[c]+"|x|X|\\*";var C=u++
;l[C]="[v=\\s]*("+l[D]+")(?:\\.("+l[D]+")(?:\\.("+l[D]+")(?:"+l[f]+")?"+l[k]+"?)?)?";var _=u++;l[_]="[v=\\s]*("+l[x]+")(?:\\.("+l[x]+")(?:\\.("+l[x]+")(?:"+l[v]+")?"+l[k]+"?)?)?";var P=u++;l[P]="^"+l[S]+"\\s*"+l[C]+"$";var A=u++;l[A]="^"+l[S]+"\\s*"+l[_]+"$";var L=u++;l[L]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var R=u++;l[R]="(?:~>?)";var M=u++;l[M]="(\\s*)"+l[R]+"\\s+",n[M]=new RegExp(l[M],"g");var I=u++;l[I]="^"+l[R]+l[C]+"$";var E=u++;l[E]="^"+l[R]+l[_]+"$";var N=u++;l[N]="(?:\\^)";var B=u++;l[B]="(\\s*)"+l[N]+"\\s+",n[B]=new RegExp(l[B],"g");var q=u++;l[q]="^"+l[N]+l[C]+"$";var O=u++;l[O]="^"+l[N]+l[_]+"$";var U=u++;l[U]="^"+l[S]+"\\s*("+z+")$|^$";var F=u++;l[F]="^"+l[S]+"\\s*("+w+")$|^$";var V=u++;l[V]="(\\s*)"+l[S]+"\\s*("+z+"|"+l[C]+")",n[V]=new RegExp(l[V],"g");var G=u++;l[G]="^\\s*("+l[C]+")\\s+-\\s+("+l[C]+")\\s*$";var H=u++;l[H]="^\\s*("+l[_]+")\\s+-\\s+("+l[_]+")\\s*$";var W=u++;l[W]="(<|>)?=?\\s*\\*";for(var J=0;J<35;J++)i(J,l[J]),
n[J]||(n[J]=new RegExp(l[J]));function parse(e,s){if(s&&"object"==typeof s||(s={loose:!!s,includePrerelease:!1}),e instanceof SemVer)return e;if("string"!=typeof e)return null;if(e.length>256)return null;if(!(s.loose?n[T]:n[y]).test(e))return null;try{return new SemVer(e,s)}catch(e){return null}}function SemVer(e,s){if(s&&"object"==typeof s||(s={loose:!!s,includePrerelease:!1}),e instanceof SemVer){if(e.loose===s.loose)return e;e=e.version}else if("string"!=typeof e)throw new TypeError("Invalid Version: "+e);if(e.length>256)throw new TypeError("version is longer than 256 characters");if(!(this instanceof SemVer))return new SemVer(e,s);i("SemVer",e,s),this.options=s,this.loose=!!s.loose;var t=e.trim().match(s.loose?n[T]:n[y]);if(!t)throw new TypeError("Invalid Version: "+e);if(this.raw=e,this.major=+t[1],this.minor=+t[2],this.patch=+t[3],this.major>a||this.major<0)throw new TypeError("Invalid major version");if(this.minor>a||this.minor<0)throw new TypeError("Invalid minor version")
;if(this.patch>a||this.patch<0)throw new TypeError("Invalid patch version");t[4]?this.prerelease=t[4].split(".").map((function(e){if(/^[0-9]+$/.test(e)){var s=+e;if(s>=0&&s<a)return s}return e})):this.prerelease=[],this.build=t[5]?t[5].split("."):[],this.format()}t.parse=parse,t.valid=function valid(e,s){var t=parse(e,s);return t?t.version:null},t.clean=function clean(e,s){var t=parse(e.trim().replace(/^[=v]+/,""),s);return t?t.version:null},t.SemVer=SemVer,SemVer.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},SemVer.prototype.toString=function(){return this.version},SemVer.prototype.compare=function(e){return i("SemVer.compare",this.version,this.options,e),e instanceof SemVer||(e=new SemVer(e,this.options)),this.compareMain(e)||this.comparePre(e)},SemVer.prototype.compareMain=function(e){return e instanceof SemVer||(e=new SemVer(e,this.options)),
compareIdentifiers(this.major,e.major)||compareIdentifiers(this.minor,e.minor)||compareIdentifiers(this.patch,e.patch)},SemVer.prototype.comparePre=function(e){if(e instanceof SemVer||(e=new SemVer(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;var s=0;do{var t=this.prerelease[s],a=e.prerelease[s];if(i("prerelease compare",s,t,a),void 0===t&&void 0===a)return 0;if(void 0===a)return 1;if(void 0===t)return-1;if(t!==a)return compareIdentifiers(t,a)}while(++s)},SemVer.prototype.inc=function(e,s){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",s);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",s);break;case"prepatch":this.prerelease.length=0,this.inc("patch",s),this.inc("pre",s);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",s),
this.inc("pre",s);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":if(0===this.prerelease.length)this.prerelease=[0];else{for(var t=this.prerelease.length;--t>=0;)"number"==typeof this.prerelease[t]&&(this.prerelease[t]++,t=-2);-1===t&&this.prerelease.push(0)}s&&(this.prerelease[0]===s?isNaN(this.prerelease[1])&&(this.prerelease=[s,0]):this.prerelease=[s,0]);break;default:throw new Error("invalid increment argument: "+e)}return this.format(),this.raw=this.version,this},t.inc=function inc(e,s,t,i){"string"==typeof t&&(i=t,t=void 0);try{return new SemVer(e,t).inc(s,i).version}catch(e){return null}},t.diff=function diff(e,s){if(eq(e,s))return null;var t=parse(e),i=parse(s),a=""
;if(t.prerelease.length||i.prerelease.length){a="pre";var n="prerelease"}for(var l in t)if(("major"===l||"minor"===l||"patch"===l)&&t[l]!==i[l])return a+l;return n},t.compareIdentifiers=compareIdentifiers;var K=/^[0-9]+$/;function compareIdentifiers(e,s){var t=K.test(e),i=K.test(s);return t&&i&&(e=+e,s=+s),e===s?0:t&&!i?-1:i&&!t?1:e<s?-1:1}function compare(e,s,t){return new SemVer(e,t).compare(new SemVer(s,t))}function gt(e,s,t){return compare(e,s,t)>0}function lt(e,s,t){return compare(e,s,t)<0}function eq(e,s,t){return 0===compare(e,s,t)}function neq(e,s,t){return 0!==compare(e,s,t)}function gte(e,s,t){return compare(e,s,t)>=0}function lte(e,s,t){return compare(e,s,t)<=0}function cmp(e,s,t,i){switch(s){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof t&&(t=t.version),e===t;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof t&&(t=t.version),e!==t;case"":case"=":case"==":return eq(e,t,i);case"!=":return neq(e,t,i);case">":return gt(e,t,i);case">=":
return gte(e,t,i);case"<":return lt(e,t,i);case"<=":return lte(e,t,i);default:throw new TypeError("Invalid operator: "+s)}}function Comparator(e,s){if(s&&"object"==typeof s||(s={loose:!!s,includePrerelease:!1}),e instanceof Comparator){if(e.loose===!!s.loose)return e;e=e.value}if(!(this instanceof Comparator))return new Comparator(e,s);i("comparator",e,s),this.options=s,this.loose=!!s.loose,this.parse(e),this.semver===Y?this.value="":this.value=this.operator+this.semver.version,i("comp",this)}t.rcompareIdentifiers=function rcompareIdentifiers(e,s){return compareIdentifiers(s,e)},t.major=function major(e,s){return new SemVer(e,s).major},t.minor=function minor(e,s){return new SemVer(e,s).minor},t.patch=function patch(e,s){return new SemVer(e,s).patch},t.compare=compare,t.compareLoose=function compareLoose(e,s){return compare(e,s,!0)},t.rcompare=function rcompare(e,s,t){return compare(s,e,t)},t.sort=function sort(e,s){return e.sort((function(e,i){return t.compare(e,i,s)}))},
t.rsort=function rsort(e,s){return e.sort((function(e,i){return t.rcompare(e,i,s)}))},t.gt=gt,t.lt=lt,t.eq=eq,t.neq=neq,t.gte=gte,t.lte=lte,t.cmp=cmp,t.Comparator=Comparator;var Y={};function Range(e,s){if(s&&"object"==typeof s||(s={loose:!!s,includePrerelease:!1}),e instanceof Range)return e.loose===!!s.loose&&e.includePrerelease===!!s.includePrerelease?e:new Range(e.raw,s);if(e instanceof Comparator)return new Range(e.value,s);if(!(this instanceof Range))return new Range(e,s);if(this.options=s,this.loose=!!s.loose,this.includePrerelease=!!s.includePrerelease,this.raw=e,this.set=e.split(/\s*\|\|\s*/).map((function(e){return this.parseRange(e.trim())}),this).filter((function(e){return e.length})),!this.set.length)throw new TypeError("Invalid SemVer Range: "+e);this.format()}function isX(e){return!e||"x"===e.toLowerCase()||"*"===e}function hyphenReplace(e,s,t,i,a,n,l,u,c,d,m,g,h){
return((s=isX(t)?"":isX(i)?">="+t+".0.0":isX(a)?">="+t+"."+i+".0":">="+s)+" "+(u=isX(c)?"":isX(d)?"<"+(+c+1)+".0.0":isX(m)?"<"+c+"."+(+d+1)+".0":g?"<="+c+"."+d+"."+m+"-"+g:"<="+u)).trim()}function testSet(e,s,t){for(var a=0;a<e.length;a++)if(!e[a].test(s))return!1;if(s.prerelease.length&&!t.includePrerelease){for(a=0;a<e.length;a++)if(i(e[a].semver),e[a].semver!==Y&&e[a].semver.prerelease.length>0){var n=e[a].semver;if(n.major===s.major&&n.minor===s.minor&&n.patch===s.patch)return!0}return!1}return!0}function satisfies(e,s,t){try{s=new Range(s,t)}catch(e){return!1}return s.test(e)}function outside(e,s,t,i){var a,n,l,u,c;switch(e=new SemVer(e,i),s=new Range(s,i),t){case">":a=gt,n=lte,l=lt,u=">",c=">=";break;case"<":a=lt,n=gte,l=gt,u="<",c="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(satisfies(e,s,i))return!1;for(var d=0;d<s.set.length;++d){var m=s.set[d],g=null,h=null;if(m.forEach((function(e){e.semver===Y&&(e=new Comparator(">=0.0.0")),g=g||e,
h=h||e,a(e.semver,g.semver,i)?g=e:l(e.semver,h.semver,i)&&(h=e)})),g.operator===u||g.operator===c)return!1;if((!h.operator||h.operator===u)&&n(e,h.semver))return!1;if(h.operator===c&&l(e,h.semver))return!1}return!0}Comparator.prototype.parse=function(e){var s=this.options.loose?n[U]:n[F],t=e.match(s);if(!t)throw new TypeError("Invalid comparator: "+e);this.operator=t[1],"="===this.operator&&(this.operator=""),t[2]?this.semver=new SemVer(t[2],this.options.loose):this.semver=Y},Comparator.prototype.toString=function(){return this.value},Comparator.prototype.test=function(e){return i("Comparator.test",e,this.options.loose),this.semver===Y||("string"==typeof e&&(e=new SemVer(e,this.options)),cmp(e,this.operator,this.semver,this.options))},Comparator.prototype.intersects=function(e,s){if(!(e instanceof Comparator))throw new TypeError("a Comparator is required");var t;if(s&&"object"==typeof s||(s={loose:!!s,includePrerelease:!1}),""===this.operator)return t=new Range(e.value,s),
satisfies(this.value,t,s);if(""===e.operator)return t=new Range(this.value,s),satisfies(e.semver,t,s);var i=!(">="!==this.operator&&">"!==this.operator||">="!==e.operator&&">"!==e.operator),a=!("<="!==this.operator&&"<"!==this.operator||"<="!==e.operator&&"<"!==e.operator),n=this.semver.version===e.semver.version,l=!(">="!==this.operator&&"<="!==this.operator||">="!==e.operator&&"<="!==e.operator),u=cmp(this.semver,"<",e.semver,s)&&(">="===this.operator||">"===this.operator)&&("<="===e.operator||"<"===e.operator),c=cmp(this.semver,">",e.semver,s)&&("<="===this.operator||"<"===this.operator)&&(">="===e.operator||">"===e.operator);return i||a||n&&l||u||c},t.Range=Range,Range.prototype.format=function(){return this.range=this.set.map((function(e){return e.join(" ").trim()})).join("||").trim(),this.range},Range.prototype.toString=function(){return this.range},Range.prototype.parseRange=function(e){var s=this.options.loose;e=e.trim();var t=s?n[H]:n[G];e=e.replace(t,hyphenReplace),
i("hyphen replace",e),e=e.replace(n[V],"$1$2$3"),i("comparator trim",e,n[V]),e=(e=(e=e.replace(n[M],"$1~")).replace(n[B],"$1^")).split(/\s+/).join(" ");var a=s?n[U]:n[F],l=e.split(" ").map((function(e){return function parseComparator(e,s){return i("comp",e,s),e=function replaceCarets(e,s){return e.trim().split(/\s+/).map((function(e){return function replaceCaret(e,s){i("caret",e,s);var t=s.loose?n[O]:n[q];return e.replace(t,(function(s,t,a,n,l){var u;return i("caret",e,s,t,a,n,l),isX(t)?u="":isX(a)?u=">="+t+".0.0 <"+(+t+1)+".0.0":isX(n)?u="0"===t?">="+t+"."+a+".0 <"+t+"."+(+a+1)+".0":">="+t+"."+a+".0 <"+(+t+1)+".0.0":l?(i("replaceCaret pr",l),u="0"===t?"0"===a?">="+t+"."+a+"."+n+"-"+l+" <"+t+"."+a+"."+(+n+1):">="+t+"."+a+"."+n+"-"+l+" <"+t+"."+(+a+1)+".0":">="+t+"."+a+"."+n+"-"+l+" <"+(+t+1)+".0.0"):(i("no pr"),u="0"===t?"0"===a?">="+t+"."+a+"."+n+" <"+t+"."+a+"."+(+n+1):">="+t+"."+a+"."+n+" <"+t+"."+(+a+1)+".0":">="+t+"."+a+"."+n+" <"+(+t+1)+".0.0"),i("caret return",u),u}))}(e,s)
})).join(" ")}(e,s),i("caret",e),e=function replaceTildes(e,s){return e.trim().split(/\s+/).map((function(e){return function replaceTilde(e,s){var t=s.loose?n[E]:n[I];return e.replace(t,(function(s,t,a,n,l){var u;return i("tilde",e,s,t,a,n,l),isX(t)?u="":isX(a)?u=">="+t+".0.0 <"+(+t+1)+".0.0":isX(n)?u=">="+t+"."+a+".0 <"+t+"."+(+a+1)+".0":l?(i("replaceTilde pr",l),u=">="+t+"."+a+"."+n+"-"+l+" <"+t+"."+(+a+1)+".0"):u=">="+t+"."+a+"."+n+" <"+t+"."+(+a+1)+".0",i("tilde return",u),u}))}(e,s)})).join(" ")}(e,s),i("tildes",e),e=function replaceXRanges(e,s){return i("replaceXRanges",e,s),e.split(/\s+/).map((function(e){return function replaceXRange(e,s){e=e.trim();var t=s.loose?n[A]:n[P];return e.replace(t,(function(s,t,a,n,l,u){i("xRange",e,s,t,a,n,l,u);var c=isX(a),d=c||isX(n),m=d||isX(l);return"="===t&&m&&(t=""),c?s=">"===t||"<"===t?"<0.0.0":"*":t&&m?(d&&(n=0),l=0,">"===t?(t=">=",d?(a=+a+1,n=0,l=0):(n=+n+1,l=0)):"<="===t&&(t="<",d?a=+a+1:n=+n+1),
s=t+a+"."+n+"."+l):d?s=">="+a+".0.0 <"+(+a+1)+".0.0":m&&(s=">="+a+"."+n+".0 <"+a+"."+(+n+1)+".0"),i("xRange return",s),s}))}(e,s)})).join(" ")}(e,s),i("xrange",e),e=function replaceStars(e,s){return i("replaceStars",e,s),e.trim().replace(n[W],"")}(e,s),i("stars",e),e}(e,this.options)}),this).join(" ").split(/\s+/);return this.options.loose&&(l=l.filter((function(e){return!!e.match(a)}))),l=l.map((function(e){return new Comparator(e,this.options)}),this)},Range.prototype.intersects=function(e,s){if(!(e instanceof Range))throw new TypeError("a Range is required");return this.set.some((function(t){return t.every((function(t){return e.set.some((function(e){return e.every((function(e){return t.intersects(e,s)}))}))}))}))},t.toComparators=function toComparators(e,s){return new Range(e,s).set.map((function(e){return e.map((function(e){return e.value})).join(" ").trim().split(" ")}))},Range.prototype.test=function(e){if(!e)return!1;"string"==typeof e&&(e=new SemVer(e,this.options))
;for(var s=0;s<this.set.length;s++)if(testSet(this.set[s],e,this.options))return!0;return!1},t.satisfies=satisfies,t.maxSatisfying=function maxSatisfying(e,s,t){var i=null,a=null;try{var n=new Range(s,t)}catch(e){return null}return e.forEach((function(e){n.test(e)&&(i&&-1!==a.compare(e)||(a=new SemVer(i=e,t)))})),i},t.minSatisfying=function minSatisfying(e,s,t){var i=null,a=null;try{var n=new Range(s,t)}catch(e){return null}return e.forEach((function(e){n.test(e)&&(i&&1!==a.compare(e)||(a=new SemVer(i=e,t)))})),i},t.minVersion=function minVersion(e,s){e=new Range(e,s);var t=new SemVer("0.0.0");if(e.test(t))return t;if(t=new SemVer("0.0.0-0"),e.test(t))return t;t=null;for(var i=0;i<e.set.length;++i){e.set[i].forEach((function(e){var s=new SemVer(e.semver.version);switch(e.operator){case">":0===s.prerelease.length?s.patch++:s.prerelease.push(0),s.raw=s.format();case"":case">=":t&&!gt(t,s)||(t=s);break;case"<":case"<=":break;default:throw new Error("Unexpected operation: "+e.operator)}}))
}if(t&&e.test(t))return t;return null},t.validRange=function validRange(e,s){try{return new Range(e,s).range||"*"}catch(e){return null}},t.ltr=function ltr(e,s,t){return outside(e,s,"<",t)},t.gtr=function gtr(e,s,t){return outside(e,s,">",t)},t.outside=outside,t.prerelease=function prerelease(e,s){var t=parse(e,s);return t&&t.prerelease.length?t.prerelease:null},t.intersects=function intersects(e,s,t){return e=new Range(e,t),s=new Range(s,t),e.intersects(s)},t.coerce=function coerce(e){if(e instanceof SemVer)return e;if("string"!=typeof e)return null;var s=e.match(n[L]);if(null==s)return null;return parse(s[1]+"."+(s[2]||"0")+"."+(s[3]||"0"))}}).call(this)}).call(this,e("_process"))},{_process:272}],280:[function(e,s,t){(function(t){(function(){"use strict";const i=e("fs"),a=e("jpeg-js");function getPixel(e,s,t,i,a){return a[4*(e+s*i)+t]}function isWhitePixel(e,s,t){return getPixel(e,s,0,t.width,t.data)>=249&&getPixel(e,s,1,t.width,t.data)>=249&&getPixel(e,s,2,t.width,t.data)>=249}
function frame(e,s){let t=null,i=null,n=null,l=null,u=null,c=null;return{getHistogram:function(){if(t)return t;const e=this.getParsedImage();return t=function convertPixelsToHistogram(e){const createHistogramArray=function(){const e=[];for(let s=0;s<256;s++)e[s]=0;return e},s=e.width,t=e.height,i=[createHistogramArray(),createHistogramArray(),createHistogramArray()];for(let a=0;a<t;a++)for(let t=0;t<s;t++)if(!isWhitePixel(t,a,e))for(let n=0;n<i.length;n++){const l=getPixel(t,a,n,s,e.data);i[n][l]++}return i}(e),t},getTimeStamp:function(){return s},setProgress:function(e,s){i=e,n=Boolean(s)},setPerceptualProgress:function(e,s){l=e,u=Boolean(s)},getImage:function(){return e},getParsedImage:function(){return c||(c=a.decode(e)),c},getProgress:function(){return i},isProgressInterpolated:function(){return n},getPerceptualProgress:function(){return l},isPerceptualProgressInterpolated:function(){return u}}}s.exports={extractFramesFromTimeline:function extractFramesFromTimeline(e,s){let n
;s=s||{},e="string"==typeof e?i.readFileSync(e,"utf-8"):e;try{n="string"==typeof e?JSON.parse(e):e}catch(e){throw new Error("Speedline: Invalid JSON"+e.message)}let l=n.traceEvents||n,u=Number.MAX_VALUE,c=-Number.MAX_VALUE;l.forEach((e=>{0!==e.ts&&(u=Math.min(u,e.ts),c=Math.max(c,e.ts))})),u=(s.timeOrigin||u)/1e3,c/=1e3;let d=null;const m=l.filter((e=>e.cat.includes("disabled-by-default-devtools.screenshot")&&e.ts>=1e3*u));m.sort(((e,s)=>e.ts-s.ts));const g=m.map((function(e){const s=e.args&&e.args.snapshot,i=e.ts/1e3;if(s===d)return null;d=s;return frame(t.from(s,"base64"),i)})).filter(Boolean);if(0===g.length)return Promise.reject(new Error("No screenshots found in trace"));const h=frame(function synthesizeWhiteFrame(e){const s=a.decode(e[0].getImage()),i=s.width,n=s.height,l=t.alloc(i*n*4);let u=0;for(;u<l.length;)l[u++]=255,l[u++]=255,l[u++]=255,l[u++]=255;return a.encode({data:l,width:i,height:n}).data}(g),u);g.unshift(h);const p={startTs:u,endTs:c,frames:g}
;return Promise.resolve(p)},create:frame}}).call(this)}).call(this,e("buffer").Buffer)},{buffer:194,fs:193,"jpeg-js":234}],281:[function(e,s,t){"use strict";const i=e("./frame"),a=e("./speed-index");const n={All:"all",pSI:"perceptualSpeedIndex",SI:"speedIndex"};s.exports=function(e,s){const t=s&&s.include||n.All;if(!Object.keys(n).some((e=>n[e]===t)))throw new Error("Unrecognized include option: "+t);return i.extractFramesFromTimeline(e,s).then((function(e){const i=e.frames;return t!==n.All&&t!==n.SI||a.calculateVisualProgress(i,s),t!==n.All&&t!==n.pSI||a.calculatePerceptualProgress(i,s),function calculateValues(e,s){const t=a.calculateSpeedIndexes(e,s),i=Math.floor(s.endTs-s.startTs),n=Math.floor(t.firstPaintTs-s.startTs),l=Math.floor(t.visuallyCompleteTs-s.startTs);return{beginning:s.startTs,end:s.endTs,frames:e,first:n,complete:l,duration:i,speedIndex:t.speedIndex,perceptualSpeedIndex:t.perceptualSpeedIndex}}(i,e)}))}},{"./frame":280,"./speed-index":282}],282:[function(e,s,t){
"use strict";const i=e("image-ssim"),a=Math.log(4/6);function calculateFastModeAllowableChange(e){const s=e/1e3;return 6*Math.exp(a*s)-1}function calculateProgressBetweenFrames(e,s,t,i,a,n){if(!i)return void e.forEach((e=>n(e,a(e),!1)));const l=e[s],u=e[t],c=u.getTimeStamp()-l.getTimeStamp(),d=a(l),m=a(u);if(n(l,d,!1),n(u,m,!1),Math.abs(d-m)<calculateFastModeAllowableChange(c))for(let i=s+1;i<t;i++)n(e[i],d,!0);else if(t-s>1){const l=Math.floor((s+t)/2);calculateProgressBetweenFrames(e,s,l,i,a,n),calculateProgressBetweenFrames(e,l,t,i,a,n)}}function calculateFrameSimilarity(e,s){const t={channels:4},a=Object.assign(e.getParsedImage(),t),n=Object.assign(s.getParsedImage(),t);return i.compare(a,n).ssim}s.exports={calculateFastModeAllowableChange,calculateFrameSimilarity,calculateVisualProgress:function calculateVisualProgress(e,s){const t=e[0],i=e[e.length-1];return calculateProgressBetweenFrames(e,0,e.length-1,s&&s.fastMode,(function getProgress(e){
return"number"==typeof e.getProgress()?e.getProgress():function calculateFrameProgress(e,s,t){let i=0,a=0;const n=e.getHistogram(),l=s.getHistogram(),u=t.getHistogram();for(let e=0;e<3;e++)for(let s=0;s<256;s++){const t=n[e][s],c=l[e][s],d=u[e][s],m=Math.abs(t-c),g=Math.abs(d-c);a+=Math.min(m,g),i+=g}let c;return c=0===a&&0===i?100:Math.floor(a/i*100),c}(e,t,i)}),(function setProgress(e,s,t){return e.setProgress(s,t)})),e},calculatePerceptualProgress:function calculatePerceptualProgress(e,s){const t=e[0],i=e[e.length-1],a=calculateFrameSimilarity(t,i);return calculateProgressBetweenFrames(e,0,e.length-1,s&&s.fastMode,(function getProgress(e){if("number"==typeof e.getPerceptualProgress())return e.getPerceptualProgress();const s=calculateFrameSimilarity(e,i);return Math.max(100*(s-a)/(1-a),0)}),(function setProgress(e,s,t){return e.setPerceptualProgress(s,t)})),e},calculateSpeedIndexes:function calculateSpeedIndexes(e,s){
const t="number"==typeof e[0].getProgress(),i="number"==typeof e[0].getPerceptualProgress(),a=t?"getProgress":"getPerceptualProgress",n=s.startTs;let l,u;for(let s=0;s<e.length&&!u;s++)e[s][a]()>0&&(u=e[s].getTimeStamp());for(let s=0;s<e.length&&!l;s++)e[s][a]()>=100&&(l=e[s].getTimeStamp());let c=e[0].getTimeStamp(),d=e[0].getProgress(),m=e[0].getPerceptualProgress(),g=u-n,h=u-n;return e.forEach((function(e){if(e.getTimeStamp()>u){const s=e.getTimeStamp()-c;g+=s*(1-d),h+=s*(1-m)}c=e.getTimeStamp(),d=e.getProgress()/100,m=e.getPerceptualProgress()/100})),g=t?g:void 0,h=i?h:void 0,{firstPaintTs:u,visuallyCompleteTs:l,speedIndex:g,perceptualSpeedIndex:h}}}},{"image-ssim":222}],283:[function(e,s,t){s.exports=Stream;var i=e("events").EventEmitter;function Stream(){i.call(this)}e("inherits")(Stream,i),Stream.Readable=e("readable-stream/lib/_stream_readable.js"),Stream.Writable=e("readable-stream/lib/_stream_writable.js"),Stream.Duplex=e("readable-stream/lib/_stream_duplex.js"),
Stream.Transform=e("readable-stream/lib/_stream_transform.js"),Stream.PassThrough=e("readable-stream/lib/_stream_passthrough.js"),Stream.finished=e("readable-stream/lib/internal/streams/end-of-stream.js"),Stream.pipeline=e("readable-stream/lib/internal/streams/pipeline.js"),Stream.Stream=Stream,Stream.prototype.pipe=function(e,s){var t=this;function ondata(s){e.writable&&!1===e.write(s)&&t.pause&&t.pause()}function ondrain(){t.readable&&t.resume&&t.resume()}t.on("data",ondata),e.on("drain",ondrain),e._isStdio||s&&!1===s.end||(t.on("end",onend),t.on("close",onclose));var a=!1;function onend(){a||(a=!0,e.end())}function onclose(){a||(a=!0,"function"==typeof e.destroy&&e.destroy())}function onerror(e){if(cleanup(),0===i.listenerCount(this,"error"))throw e}function cleanup(){t.removeListener("data",ondata),e.removeListener("drain",ondrain),t.removeListener("end",onend),t.removeListener("close",onclose),t.removeListener("error",onerror),e.removeListener("error",onerror),
t.removeListener("end",cleanup),t.removeListener("close",cleanup),e.removeListener("close",cleanup)}return t.on("error",onerror),e.on("error",onerror),t.on("end",cleanup),t.on("close",cleanup),e.on("close",cleanup),e.emit("pipe",t),e}},{events:211,inherits:223,"readable-stream/lib/_stream_duplex.js":285,"readable-stream/lib/_stream_passthrough.js":286,"readable-stream/lib/_stream_readable.js":287,"readable-stream/lib/_stream_transform.js":288,"readable-stream/lib/_stream_writable.js":289,"readable-stream/lib/internal/streams/end-of-stream.js":293,"readable-stream/lib/internal/streams/pipeline.js":295}],284:[function(e,s,t){"use strict";var i={};function createErrorType(e,s,t){t||(t=Error);var a=function(e){function NodeError(t,i,a){return e.call(this,function getMessage(e,t,i){return"string"==typeof s?s:s(e,t,i)}(t,i,a))||this}return function _inheritsLoose(e,s){e.prototype=Object.create(s.prototype),e.prototype.constructor=e,e.__proto__=s}(NodeError,e),NodeError}(t)
;a.prototype.name=t.name,a.prototype.code=e,i[e]=a}function oneOf(e,s){if(Array.isArray(e)){var t=e.length;return e=e.map((function(e){return String(e)})),t>2?"one of ".concat(s," ").concat(e.slice(0,t-1).join(", "),", or ")+e[t-1]:2===t?"one of ".concat(s," ").concat(e[0]," or ").concat(e[1]):"of ".concat(s," ").concat(e[0])}return"of ".concat(s," ").concat(String(e))}createErrorType("ERR_INVALID_OPT_VALUE",(function(e,s){return'The value "'+s+'" is invalid for option "'+e+'"'}),TypeError),createErrorType("ERR_INVALID_ARG_TYPE",(function(e,s,t){var i,a;if("string"==typeof s&&function startsWith(e,s,t){return e.substr(!t||t<0?0:+t,s.length)===s}(s,"not ")?(i="must not be",s=s.replace(/^not /,"")):i="must be",function endsWith(e,s,t){return(void 0===t||t>e.length)&&(t=e.length),e.substring(t-s.length,t)===s}(e," argument"))a="The ".concat(e," ").concat(i," ").concat(oneOf(s,"type"));else{var n=function includes(e,s,t){return"number"!=typeof t&&(t=0),
!(t+s.length>e.length)&&-1!==e.indexOf(s,t)}(e,".")?"property":"argument";a='The "'.concat(e,'" ').concat(n," ").concat(i," ").concat(oneOf(s,"type"))}return a+=". Received type ".concat(typeof t)}),TypeError),createErrorType("ERR_STREAM_PUSH_AFTER_EOF","stream.push() after EOF"),createErrorType("ERR_METHOD_NOT_IMPLEMENTED",(function(e){return"The "+e+" method is not implemented"})),createErrorType("ERR_STREAM_PREMATURE_CLOSE","Premature close"),createErrorType("ERR_STREAM_DESTROYED",(function(e){return"Cannot call "+e+" after a stream was destroyed"})),createErrorType("ERR_MULTIPLE_CALLBACK","Callback called multiple times"),createErrorType("ERR_STREAM_CANNOT_PIPE","Cannot pipe, not readable"),createErrorType("ERR_STREAM_WRITE_AFTER_END","write after end"),createErrorType("ERR_STREAM_NULL_VALUES","May not write null values to stream",TypeError),createErrorType("ERR_UNKNOWN_ENCODING",(function(e){return"Unknown encoding: "+e}),TypeError),
createErrorType("ERR_STREAM_UNSHIFT_AFTER_END_EVENT","stream.unshift() after end event"),s.exports.codes=i},{}],285:[function(e,s,t){(function(t){(function(){"use strict";var i=Object.keys||function(e){var s=[];for(var t in e)s.push(t);return s};s.exports=Duplex;var a=e("./_stream_readable"),n=e("./_stream_writable");e("inherits")(Duplex,a);for(var l=i(n.prototype),u=0;u<l.length;u++){var c=l[u];Duplex.prototype[c]||(Duplex.prototype[c]=n.prototype[c])}function Duplex(e){if(!(this instanceof Duplex))return new Duplex(e);a.call(this,e),n.call(this,e),this.allowHalfOpen=!0,e&&(!1===e.readable&&(this.readable=!1),!1===e.writable&&(this.writable=!1),!1===e.allowHalfOpen&&(this.allowHalfOpen=!1,this.once("end",onend)))}function onend(){this._writableState.ended||t.nextTick(onEndNT,this)}function onEndNT(e){e.end()}Object.defineProperty(Duplex.prototype,"writableHighWaterMark",{enumerable:!1,get:function get(){return this._writableState.highWaterMark}}),
Object.defineProperty(Duplex.prototype,"writableBuffer",{enumerable:!1,get:function get(){return this._writableState&&this._writableState.getBuffer()}}),Object.defineProperty(Duplex.prototype,"writableLength",{enumerable:!1,get:function get(){return this._writableState.length}}),Object.defineProperty(Duplex.prototype,"destroyed",{enumerable:!1,get:function get(){return void 0!==this._readableState&&void 0!==this._writableState&&(this._readableState.destroyed&&this._writableState.destroyed)},set:function set(e){void 0!==this._readableState&&void 0!==this._writableState&&(this._readableState.destroyed=e,this._writableState.destroyed=e)}})}).call(this)}).call(this,e("_process"))},{"./_stream_readable":287,"./_stream_writable":289,_process:272,inherits:223}],286:[function(e,s,t){"use strict";s.exports=PassThrough;var i=e("./_stream_transform");function PassThrough(e){if(!(this instanceof PassThrough))return new PassThrough(e);i.call(this,e)}e("inherits")(PassThrough,i),
PassThrough.prototype._transform=function(e,s,t){t(null,e)}},{"./_stream_transform":288,inherits:223}],287:[function(e,s,t){(function(t,i){(function(){"use strict";var a;s.exports=Readable,Readable.ReadableState=ReadableState;e("events").EventEmitter;var n=function EElistenerCount(e,s){return e.listeners(s).length},l=e("./internal/streams/stream"),u=e("buffer").Buffer,c=i.Uint8Array||function(){};var d,m=e("util");d=m&&m.debuglog?m.debuglog("stream"):function debug(){};var g,h,p,b=e("./internal/streams/buffer_list"),f=e("./internal/streams/destroy"),v=e("./internal/streams/state").getHighWaterMark,j=e("../errors").codes,k=j.ERR_INVALID_ARG_TYPE,y=j.ERR_STREAM_PUSH_AFTER_EOF,w=j.ERR_METHOD_NOT_IMPLEMENTED,z=j.ERR_STREAM_UNSHIFT_AFTER_END_EVENT;e("inherits")(Readable,l);var T=f.errorOrDestroy,S=["error","close","destroy","pause","resume"];function ReadableState(s,t,i){a=a||e("./_stream_duplex"),s=s||{},"boolean"!=typeof i&&(i=t instanceof a),this.objectMode=!!s.objectMode,
i&&(this.objectMode=this.objectMode||!!s.readableObjectMode),this.highWaterMark=v(this,s,"readableHighWaterMark",i),this.buffer=new b,this.length=0,this.pipes=null,this.pipesCount=0,this.flowing=null,this.ended=!1,this.endEmitted=!1,this.reading=!1,this.sync=!0,this.needReadable=!1,this.emittedReadable=!1,this.readableListening=!1,this.resumeScheduled=!1,this.paused=!0,this.emitClose=!1!==s.emitClose,this.autoDestroy=!!s.autoDestroy,this.destroyed=!1,this.defaultEncoding=s.defaultEncoding||"utf8",this.awaitDrain=0,this.readingMore=!1,this.decoder=null,this.encoding=null,s.encoding&&(g||(g=e("string_decoder/").StringDecoder),this.decoder=new g(s.encoding),this.encoding=s.encoding)}function Readable(s){if(a=a||e("./_stream_duplex"),!(this instanceof Readable))return new Readable(s);var t=this instanceof a;this._readableState=new ReadableState(s,this,t),this.readable=!0,s&&("function"==typeof s.read&&(this._read=s.read),"function"==typeof s.destroy&&(this._destroy=s.destroy)),l.call(this)
}function readableAddChunk(e,s,t,i,a){d("readableAddChunk",s);var n,l=e._readableState;if(null===s)l.reading=!1,function onEofChunk(e,s){if(d("onEofChunk"),s.ended)return;if(s.decoder){var t=s.decoder.end();t&&t.length&&(s.buffer.push(t),s.length+=s.objectMode?1:t.length)}s.ended=!0,s.sync?emitReadable(e):(s.needReadable=!1,s.emittedReadable||(s.emittedReadable=!0,emitReadable_(e)))}(e,l);else if(a||(n=function chunkInvalid(e,s){var t;(function _isUint8Array(e){return u.isBuffer(e)||e instanceof c})(s)||"string"==typeof s||void 0===s||e.objectMode||(t=new k("chunk",["string","Buffer","Uint8Array"],s));return t}(l,s)),n)T(e,n);else if(l.objectMode||s&&s.length>0)if("string"==typeof s||l.objectMode||Object.getPrototypeOf(s)===u.prototype||(s=function _uint8ArrayToBuffer(e){return u.from(e)}(s)),i)l.endEmitted?T(e,new z):addChunk(e,l,s,!0);else if(l.ended)T(e,new y);else{if(l.destroyed)return!1;l.reading=!1,l.decoder&&!t?(s=l.decoder.write(s),
l.objectMode||0!==s.length?addChunk(e,l,s,!1):maybeReadMore(e,l)):addChunk(e,l,s,!1)}else i||(l.reading=!1,maybeReadMore(e,l));return!l.ended&&(l.length<l.highWaterMark||0===l.length)}function addChunk(e,s,t,i){s.flowing&&0===s.length&&!s.sync?(s.awaitDrain=0,e.emit("data",t)):(s.length+=s.objectMode?1:t.length,i?s.buffer.unshift(t):s.buffer.push(t),s.needReadable&&emitReadable(e)),maybeReadMore(e,s)}Object.defineProperty(Readable.prototype,"destroyed",{enumerable:!1,get:function get(){return void 0!==this._readableState&&this._readableState.destroyed},set:function set(e){this._readableState&&(this._readableState.destroyed=e)}}),Readable.prototype.destroy=f.destroy,Readable.prototype._undestroy=f.undestroy,Readable.prototype._destroy=function(e,s){s(e)},Readable.prototype.push=function(e,s){var t,i=this._readableState;return i.objectMode?t=!0:"string"==typeof e&&((s=s||i.defaultEncoding)!==i.encoding&&(e=u.from(e,s),s=""),t=!0),readableAddChunk(this,e,s,!1,t)},
Readable.prototype.unshift=function(e){return readableAddChunk(this,e,null,!0,!1)},Readable.prototype.isPaused=function(){return!1===this._readableState.flowing},Readable.prototype.setEncoding=function(s){g||(g=e("string_decoder/").StringDecoder);var t=new g(s);this._readableState.decoder=t,this._readableState.encoding=this._readableState.decoder.encoding;for(var i=this._readableState.buffer.head,a="";null!==i;)a+=t.write(i.data),i=i.next;return this._readableState.buffer.clear(),""!==a&&this._readableState.buffer.push(a),this._readableState.length=a.length,this};var x=1073741824;function howMuchToRead(e,s){return e<=0||0===s.length&&s.ended?0:s.objectMode?1:e!=e?s.flowing&&s.length?s.buffer.head.data.length:s.length:(e>s.highWaterMark&&(s.highWaterMark=function computeNewHighWaterMark(e){return e>=x?e=x:(e--,e|=e>>>1,e|=e>>>2,e|=e>>>4,e|=e>>>8,e|=e>>>16,e++),e}(e)),e<=s.length?e:s.ended?s.length:(s.needReadable=!0,0))}function emitReadable(e){var s=e._readableState
;d("emitReadable",s.needReadable,s.emittedReadable),s.needReadable=!1,s.emittedReadable||(d("emitReadable",s.flowing),s.emittedReadable=!0,t.nextTick(emitReadable_,e))}function emitReadable_(e){var s=e._readableState;d("emitReadable_",s.destroyed,s.length,s.ended),s.destroyed||!s.length&&!s.ended||(e.emit("readable"),s.emittedReadable=!1),s.needReadable=!s.flowing&&!s.ended&&s.length<=s.highWaterMark,flow(e)}function maybeReadMore(e,s){s.readingMore||(s.readingMore=!0,t.nextTick(maybeReadMore_,e,s))}function maybeReadMore_(e,s){for(;!s.reading&&!s.ended&&(s.length<s.highWaterMark||s.flowing&&0===s.length);){var t=s.length;if(d("maybeReadMore read 0"),e.read(0),t===s.length)break}s.readingMore=!1}function updateReadableListening(e){var s=e._readableState;s.readableListening=e.listenerCount("readable")>0,s.resumeScheduled&&!s.paused?s.flowing=!0:e.listenerCount("data")>0&&e.resume()}function nReadingNextTick(e){d("readable nexttick read 0"),e.read(0)}function resume_(e,s){
d("resume",s.reading),s.reading||e.read(0),s.resumeScheduled=!1,e.emit("resume"),flow(e),s.flowing&&!s.reading&&e.read(0)}function flow(e){var s=e._readableState;for(d("flow",s.flowing);s.flowing&&null!==e.read(););}function fromList(e,s){return 0===s.length?null:(s.objectMode?t=s.buffer.shift():!e||e>=s.length?(t=s.decoder?s.buffer.join(""):1===s.buffer.length?s.buffer.first():s.buffer.concat(s.length),s.buffer.clear()):t=s.buffer.consume(e,s.decoder),t);var t}function endReadable(e){var s=e._readableState;d("endReadable",s.endEmitted),s.endEmitted||(s.ended=!0,t.nextTick(endReadableNT,s,e))}function endReadableNT(e,s){if(d("endReadableNT",e.endEmitted,e.length),!e.endEmitted&&0===e.length&&(e.endEmitted=!0,s.readable=!1,s.emit("end"),e.autoDestroy)){var t=s._writableState;(!t||t.autoDestroy&&t.finished)&&s.destroy()}}function indexOf(e,s){for(var t=0,i=e.length;t<i;t++)if(e[t]===s)return t;return-1}Readable.prototype.read=function(e){d("read",e),e=parseInt(e,10)
;var s=this._readableState,t=e;if(0!==e&&(s.emittedReadable=!1),0===e&&s.needReadable&&((0!==s.highWaterMark?s.length>=s.highWaterMark:s.length>0)||s.ended))return d("read: emitReadable",s.length,s.ended),0===s.length&&s.ended?endReadable(this):emitReadable(this),null;if(0===(e=howMuchToRead(e,s))&&s.ended)return 0===s.length&&endReadable(this),null;var i,a=s.needReadable;return d("need readable",a),(0===s.length||s.length-e<s.highWaterMark)&&d("length less than watermark",a=!0),s.ended||s.reading?d("reading or ended",a=!1):a&&(d("do read"),s.reading=!0,s.sync=!0,0===s.length&&(s.needReadable=!0),this._read(s.highWaterMark),s.sync=!1,s.reading||(e=howMuchToRead(t,s))),null===(i=e>0?fromList(e,s):null)?(s.needReadable=s.length<=s.highWaterMark,e=0):(s.length-=e,s.awaitDrain=0),0===s.length&&(s.ended||(s.needReadable=!0),t!==e&&s.ended&&endReadable(this)),null!==i&&this.emit("data",i),i},Readable.prototype._read=function(e){T(this,new w("_read()"))},Readable.prototype.pipe=function(e,s){
var i=this,a=this._readableState;switch(a.pipesCount){case 0:a.pipes=e;break;case 1:a.pipes=[a.pipes,e];break;default:a.pipes.push(e)}a.pipesCount+=1,d("pipe count=%d opts=%j",a.pipesCount,s);var l=(!s||!1!==s.end)&&e!==t.stdout&&e!==t.stderr?onend:unpipe;function onunpipe(s,t){d("onunpipe"),s===i&&t&&!1===t.hasUnpiped&&(t.hasUnpiped=!0,function cleanup(){d("cleanup"),e.removeListener("close",onclose),e.removeListener("finish",onfinish),e.removeListener("drain",u),e.removeListener("error",onerror),e.removeListener("unpipe",onunpipe),i.removeListener("end",onend),i.removeListener("end",unpipe),i.removeListener("data",ondata),c=!0,!a.awaitDrain||e._writableState&&!e._writableState.needDrain||u()}())}function onend(){d("onend"),e.end()}a.endEmitted?t.nextTick(l):i.once("end",l),e.on("unpipe",onunpipe);var u=function pipeOnDrain(e){return function pipeOnDrainFunctionResult(){var s=e._readableState;d("pipeOnDrain",s.awaitDrain),s.awaitDrain&&s.awaitDrain--,
0===s.awaitDrain&&n(e,"data")&&(s.flowing=!0,flow(e))}}(i);e.on("drain",u);var c=!1;function ondata(s){d("ondata");var t=e.write(s);d("dest.write",t),!1===t&&((1===a.pipesCount&&a.pipes===e||a.pipesCount>1&&-1!==indexOf(a.pipes,e))&&!c&&(d("false write response, pause",a.awaitDrain),a.awaitDrain++),i.pause())}function onerror(s){d("onerror",s),unpipe(),e.removeListener("error",onerror),0===n(e,"error")&&T(e,s)}function onclose(){e.removeListener("finish",onfinish),unpipe()}function onfinish(){d("onfinish"),e.removeListener("close",onclose),unpipe()}function unpipe(){d("unpipe"),i.unpipe(e)}return i.on("data",ondata),function prependListener(e,s,t){if("function"==typeof e.prependListener)return e.prependListener(s,t);e._events&&e._events[s]?Array.isArray(e._events[s])?e._events[s].unshift(t):e._events[s]=[t,e._events[s]]:e.on(s,t)}(e,"error",onerror),e.once("close",onclose),e.once("finish",onfinish),e.emit("pipe",i),a.flowing||(d("pipe resume"),i.resume()),e},
Readable.prototype.unpipe=function(e){var s=this._readableState,t={hasUnpiped:!1};if(0===s.pipesCount)return this;if(1===s.pipesCount)return e&&e!==s.pipes||(e||(e=s.pipes),s.pipes=null,s.pipesCount=0,s.flowing=!1,e&&e.emit("unpipe",this,t)),this;if(!e){var i=s.pipes,a=s.pipesCount;s.pipes=null,s.pipesCount=0,s.flowing=!1;for(var n=0;n<a;n++)i[n].emit("unpipe",this,{hasUnpiped:!1});return this}var l=indexOf(s.pipes,e);return-1===l||(s.pipes.splice(l,1),s.pipesCount-=1,1===s.pipesCount&&(s.pipes=s.pipes[0]),e.emit("unpipe",this,t)),this},Readable.prototype.on=function(e,s){var i=l.prototype.on.call(this,e,s),a=this._readableState;return"data"===e?(a.readableListening=this.listenerCount("readable")>0,!1!==a.flowing&&this.resume()):"readable"===e&&(a.endEmitted||a.readableListening||(a.readableListening=a.needReadable=!0,a.flowing=!1,a.emittedReadable=!1,d("on readable",a.length,a.reading),a.length?emitReadable(this):a.reading||t.nextTick(nReadingNextTick,this))),i},
Readable.prototype.addListener=Readable.prototype.on,Readable.prototype.removeListener=function(e,s){var i=l.prototype.removeListener.call(this,e,s);return"readable"===e&&t.nextTick(updateReadableListening,this),i},Readable.prototype.removeAllListeners=function(e){var s=l.prototype.removeAllListeners.apply(this,arguments);return"readable"!==e&&void 0!==e||t.nextTick(updateReadableListening,this),s},Readable.prototype.resume=function(){var e=this._readableState;return e.flowing||(d("resume"),e.flowing=!e.readableListening,function resume(e,s){s.resumeScheduled||(s.resumeScheduled=!0,t.nextTick(resume_,e,s))}(this,e)),e.paused=!1,this},Readable.prototype.pause=function(){return d("call pause flowing=%j",this._readableState.flowing),!1!==this._readableState.flowing&&(d("pause"),this._readableState.flowing=!1,this.emit("pause")),this._readableState.paused=!0,this},Readable.prototype.wrap=function(e){var s=this,t=this._readableState,i=!1;for(var a in e.on("end",(function(){
if(d("wrapped end"),t.decoder&&!t.ended){var e=t.decoder.end();e&&e.length&&s.push(e)}s.push(null)})),e.on("data",(function(a){(d("wrapped data"),t.decoder&&(a=t.decoder.write(a)),t.objectMode&&null==a)||(t.objectMode||a&&a.length)&&(s.push(a)||(i=!0,e.pause()))})),e)void 0===this[a]&&"function"==typeof e[a]&&(this[a]=function methodWrap(s){return function methodWrapReturnFunction(){return e[s].apply(e,arguments)}}(a));for(var n=0;n<S.length;n++)e.on(S[n],this.emit.bind(this,S[n]));return this._read=function(s){d("wrapped _read",s),i&&(i=!1,e.resume())},this},"function"==typeof Symbol&&(Readable.prototype[Symbol.asyncIterator]=function(){return void 0===h&&(h=e("./internal/streams/async_iterator")),h(this)}),Object.defineProperty(Readable.prototype,"readableHighWaterMark",{enumerable:!1,get:function get(){return this._readableState.highWaterMark}}),Object.defineProperty(Readable.prototype,"readableBuffer",{enumerable:!1,get:function get(){
return this._readableState&&this._readableState.buffer}}),Object.defineProperty(Readable.prototype,"readableFlowing",{enumerable:!1,get:function get(){return this._readableState.flowing},set:function set(e){this._readableState&&(this._readableState.flowing=e)}}),Readable._fromList=fromList,Object.defineProperty(Readable.prototype,"readableLength",{enumerable:!1,get:function get(){return this._readableState.length}}),"function"==typeof Symbol&&(Readable.from=function(s,t){return void 0===p&&(p=e("./internal/streams/from")),p(Readable,s,t)})}).call(this)}).call(this,e("_process"),"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"../errors":284,"./_stream_duplex":285,"./internal/streams/async_iterator":290,"./internal/streams/buffer_list":291,"./internal/streams/destroy":292,"./internal/streams/from":294,"./internal/streams/state":296,"./internal/streams/stream":297,_process:272,buffer:194,events:211,inherits:223,
"string_decoder/":298,util:182}],288:[function(e,s,t){"use strict";s.exports=Transform;var i=e("../errors").codes,a=i.ERR_METHOD_NOT_IMPLEMENTED,n=i.ERR_MULTIPLE_CALLBACK,l=i.ERR_TRANSFORM_ALREADY_TRANSFORMING,u=i.ERR_TRANSFORM_WITH_LENGTH_0,c=e("./_stream_duplex");function afterTransform(e,s){var t=this._transformState;t.transforming=!1;var i=t.writecb;if(null===i)return this.emit("error",new n);t.writechunk=null,t.writecb=null,null!=s&&this.push(s),i(e);var a=this._readableState;a.reading=!1,(a.needReadable||a.length<a.highWaterMark)&&this._read(a.highWaterMark)}function Transform(e){if(!(this instanceof Transform))return new Transform(e);c.call(this,e),this._transformState={afterTransform:afterTransform.bind(this),needTransform:!1,transforming:!1,writecb:null,writechunk:null,writeencoding:null},this._readableState.needReadable=!0,this._readableState.sync=!1,e&&("function"==typeof e.transform&&(this._transform=e.transform),"function"==typeof e.flush&&(this._flush=e.flush)),
this.on("prefinish",prefinish)}function prefinish(){var e=this;"function"!=typeof this._flush||this._readableState.destroyed?done(this,null,null):this._flush((function(s,t){done(e,s,t)}))}function done(e,s,t){if(s)return e.emit("error",s);if(null!=t&&e.push(t),e._writableState.length)throw new u;if(e._transformState.transforming)throw new l;return e.push(null)}e("inherits")(Transform,c),Transform.prototype.push=function(e,s){return this._transformState.needTransform=!1,c.prototype.push.call(this,e,s)},Transform.prototype._transform=function(e,s,t){t(new a("_transform()"))},Transform.prototype._write=function(e,s,t){var i=this._transformState;if(i.writecb=t,i.writechunk=e,i.writeencoding=s,!i.transforming){var a=this._readableState;(i.needTransform||a.needReadable||a.length<a.highWaterMark)&&this._read(a.highWaterMark)}},Transform.prototype._read=function(e){var s=this._transformState;null===s.writechunk||s.transforming?s.needTransform=!0:(s.transforming=!0,
this._transform(s.writechunk,s.writeencoding,s.afterTransform))},Transform.prototype._destroy=function(e,s){c.prototype._destroy.call(this,e,(function(e){s(e)}))}},{"../errors":284,"./_stream_duplex":285,inherits:223}],289:[function(e,s,t){(function(t,i){(function(){"use strict";function CorkedRequest(e){var s=this;this.next=null,this.entry=null,this.finish=function(){!function onCorkedFinish(e,s,t){var i=e.entry;e.entry=null;for(;i;){var a=i.callback;s.pendingcb--,a(t),i=i.next}s.corkedRequestsFree.next=e}(s,e)}}var a;s.exports=Writable,Writable.WritableState=WritableState;var n={deprecate:e("util-deprecate")},l=e("./internal/streams/stream"),u=e("buffer").Buffer,c=i.Uint8Array||function(){}
;var d,m=e("./internal/streams/destroy"),g=e("./internal/streams/state").getHighWaterMark,h=e("../errors").codes,p=h.ERR_INVALID_ARG_TYPE,b=h.ERR_METHOD_NOT_IMPLEMENTED,f=h.ERR_MULTIPLE_CALLBACK,v=h.ERR_STREAM_CANNOT_PIPE,j=h.ERR_STREAM_DESTROYED,k=h.ERR_STREAM_NULL_VALUES,y=h.ERR_STREAM_WRITE_AFTER_END,w=h.ERR_UNKNOWN_ENCODING,z=m.errorOrDestroy;function nop(){}function WritableState(s,i,n){a=a||e("./_stream_duplex"),s=s||{},"boolean"!=typeof n&&(n=i instanceof a),this.objectMode=!!s.objectMode,n&&(this.objectMode=this.objectMode||!!s.writableObjectMode),this.highWaterMark=g(this,s,"writableHighWaterMark",n),this.finalCalled=!1,this.needDrain=!1,this.ending=!1,this.ended=!1,this.finished=!1,this.destroyed=!1;var l=!1===s.decodeStrings;this.decodeStrings=!l,this.defaultEncoding=s.defaultEncoding||"utf8",this.length=0,this.writing=!1,this.corked=0,this.sync=!0,this.bufferProcessing=!1,this.onwrite=function(e){!function onwrite(e,s){var i=e._writableState,a=i.sync,n=i.writecb
;if("function"!=typeof n)throw new f;if(function onwriteStateUpdate(e){e.writing=!1,e.writecb=null,e.length-=e.writelen,e.writelen=0}(i),s)!function onwriteError(e,s,i,a,n){--s.pendingcb,i?(t.nextTick(n,a),t.nextTick(finishMaybe,e,s),e._writableState.errorEmitted=!0,z(e,a)):(n(a),e._writableState.errorEmitted=!0,z(e,a),finishMaybe(e,s))}(e,i,a,s,n);else{var l=needFinish(i)||e.destroyed;l||i.corked||i.bufferProcessing||!i.bufferedRequest||clearBuffer(e,i),a?t.nextTick(afterWrite,e,i,l,n):afterWrite(e,i,l,n)}}(i,e)},this.writecb=null,this.writelen=0,this.bufferedRequest=null,this.lastBufferedRequest=null,this.pendingcb=0,this.prefinished=!1,this.errorEmitted=!1,this.emitClose=!1!==s.emitClose,this.autoDestroy=!!s.autoDestroy,this.bufferedRequestCount=0,this.corkedRequestsFree=new CorkedRequest(this)}function Writable(s){var t=this instanceof(a=a||e("./_stream_duplex"));if(!t&&!d.call(Writable,this))return new Writable(s);this._writableState=new WritableState(s,this,t),this.writable=!0,
s&&("function"==typeof s.write&&(this._write=s.write),"function"==typeof s.writev&&(this._writev=s.writev),"function"==typeof s.destroy&&(this._destroy=s.destroy),"function"==typeof s.final&&(this._final=s.final)),l.call(this)}function doWrite(e,s,t,i,a,n,l){s.writelen=i,s.writecb=l,s.writing=!0,s.sync=!0,s.destroyed?s.onwrite(new j("write")):t?e._writev(a,s.onwrite):e._write(a,n,s.onwrite),s.sync=!1}function afterWrite(e,s,t,i){t||function onwriteDrain(e,s){0===s.length&&s.needDrain&&(s.needDrain=!1,e.emit("drain"))}(e,s),s.pendingcb--,i(),finishMaybe(e,s)}function clearBuffer(e,s){s.bufferProcessing=!0;var t=s.bufferedRequest;if(e._writev&&t&&t.next){var i=s.bufferedRequestCount,a=new Array(i),n=s.corkedRequestsFree;n.entry=t;for(var l=0,u=!0;t;)a[l]=t,t.isBuf||(u=!1),t=t.next,l+=1;a.allBuffers=u,doWrite(e,s,!0,s.length,a,"",n.finish),s.pendingcb++,s.lastBufferedRequest=null,n.next?(s.corkedRequestsFree=n.next,n.next=null):s.corkedRequestsFree=new CorkedRequest(s),
s.bufferedRequestCount=0}else{for(;t;){var c=t.chunk,d=t.encoding,m=t.callback;if(doWrite(e,s,!1,s.objectMode?1:c.length,c,d,m),t=t.next,s.bufferedRequestCount--,s.writing)break}null===t&&(s.lastBufferedRequest=null)}s.bufferedRequest=t,s.bufferProcessing=!1}function needFinish(e){return e.ending&&0===e.length&&null===e.bufferedRequest&&!e.finished&&!e.writing}function callFinal(e,s){e._final((function(t){s.pendingcb--,t&&z(e,t),s.prefinished=!0,e.emit("prefinish"),finishMaybe(e,s)}))}function finishMaybe(e,s){var i=needFinish(s);if(i&&(function prefinish(e,s){s.prefinished||s.finalCalled||("function"!=typeof e._final||s.destroyed?(s.prefinished=!0,e.emit("prefinish")):(s.pendingcb++,s.finalCalled=!0,t.nextTick(callFinal,e,s)))}(e,s),0===s.pendingcb&&(s.finished=!0,e.emit("finish"),s.autoDestroy))){var a=e._readableState;(!a||a.autoDestroy&&a.endEmitted)&&e.destroy()}return i}e("inherits")(Writable,l),WritableState.prototype.getBuffer=function getBuffer(){
for(var e=this.bufferedRequest,s=[];e;)s.push(e),e=e.next;return s},function(){try{Object.defineProperty(WritableState.prototype,"buffer",{get:n.deprecate((function writableStateBufferGetter(){return this.getBuffer()}),"_writableState.buffer is deprecated. Use _writableState.getBuffer instead.","DEP0003")})}catch(e){}}(),"function"==typeof Symbol&&Symbol.hasInstance&&"function"==typeof Function.prototype[Symbol.hasInstance]?(d=Function.prototype[Symbol.hasInstance],Object.defineProperty(Writable,Symbol.hasInstance,{value:function value(e){return!!d.call(this,e)||this===Writable&&(e&&e._writableState instanceof WritableState)}})):d=function realHasInstance(e){return e instanceof this},Writable.prototype.pipe=function(){z(this,new v)},Writable.prototype.write=function(e,s,i){var a=this._writableState,n=!1,l=!a.objectMode&&function _isUint8Array(e){return u.isBuffer(e)||e instanceof c}(e);return l&&!u.isBuffer(e)&&(e=function _uint8ArrayToBuffer(e){return u.from(e)}(e)),
"function"==typeof s&&(i=s,s=null),l?s="buffer":s||(s=a.defaultEncoding),"function"!=typeof i&&(i=nop),a.ending?function writeAfterEnd(e,s){var i=new y;z(e,i),t.nextTick(s,i)}(this,i):(l||function validChunk(e,s,i,a){var n;return null===i?n=new k:"string"==typeof i||s.objectMode||(n=new p("chunk",["string","Buffer"],i)),!n||(z(e,n),t.nextTick(a,n),!1)}(this,a,e,i))&&(a.pendingcb++,n=function writeOrBuffer(e,s,t,i,a,n){if(!t){var l=function decodeChunk(e,s,t){e.objectMode||!1===e.decodeStrings||"string"!=typeof s||(s=u.from(s,t));return s}(s,i,a);i!==l&&(t=!0,a="buffer",i=l)}var c=s.objectMode?1:i.length;s.length+=c;var d=s.length<s.highWaterMark;d||(s.needDrain=!0);if(s.writing||s.corked){var m=s.lastBufferedRequest;s.lastBufferedRequest={chunk:i,encoding:a,isBuf:t,callback:n,next:null},m?m.next=s.lastBufferedRequest:s.bufferedRequest=s.lastBufferedRequest,s.bufferedRequestCount+=1}else doWrite(e,s,!1,c,i,a,n);return d}(this,a,l,e,s,i)),n},Writable.prototype.cork=function(){
this._writableState.corked++},Writable.prototype.uncork=function(){var e=this._writableState;e.corked&&(e.corked--,e.writing||e.corked||e.bufferProcessing||!e.bufferedRequest||clearBuffer(this,e))},Writable.prototype.setDefaultEncoding=function setDefaultEncoding(e){if("string"==typeof e&&(e=e.toLowerCase()),!(["hex","utf8","utf-8","ascii","binary","base64","ucs2","ucs-2","utf16le","utf-16le","raw"].indexOf((e+"").toLowerCase())>-1))throw new w(e);return this._writableState.defaultEncoding=e,this},Object.defineProperty(Writable.prototype,"writableBuffer",{enumerable:!1,get:function get(){return this._writableState&&this._writableState.getBuffer()}}),Object.defineProperty(Writable.prototype,"writableHighWaterMark",{enumerable:!1,get:function get(){return this._writableState.highWaterMark}}),Writable.prototype._write=function(e,s,t){t(new b("_write()"))},Writable.prototype._writev=null,Writable.prototype.end=function(e,s,i){var a=this._writableState;return"function"==typeof e?(i=e,
e=null,s=null):"function"==typeof s&&(i=s,s=null),null!=e&&this.write(e,s),a.corked&&(a.corked=1,this.uncork()),a.ending||function endWritable(e,s,i){s.ending=!0,finishMaybe(e,s),i&&(s.finished?t.nextTick(i):e.once("finish",i));s.ended=!0,e.writable=!1}(this,a,i),this},Object.defineProperty(Writable.prototype,"writableLength",{enumerable:!1,get:function get(){return this._writableState.length}}),Object.defineProperty(Writable.prototype,"destroyed",{enumerable:!1,get:function get(){return void 0!==this._writableState&&this._writableState.destroyed},set:function set(e){this._writableState&&(this._writableState.destroyed=e)}}),Writable.prototype.destroy=m.destroy,Writable.prototype._undestroy=m.undestroy,Writable.prototype._destroy=function(e,s){s(e)}}).call(this)}).call(this,e("_process"),"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"../errors":284,"./_stream_duplex":285,"./internal/streams/destroy":292,
"./internal/streams/state":296,"./internal/streams/stream":297,_process:272,buffer:194,inherits:223,"util-deprecate":303}],290:[function(e,s,t){(function(t){(function(){"use strict";var i;function _defineProperty(e,s,t){return s in e?Object.defineProperty(e,s,{value:t,enumerable:!0,configurable:!0,writable:!0}):e[s]=t,e}var a=e("./end-of-stream"),n=Symbol("lastResolve"),l=Symbol("lastReject"),u=Symbol("error"),c=Symbol("ended"),d=Symbol("lastPromise"),m=Symbol("handlePromise"),g=Symbol("stream");function createIterResult(e,s){return{value:e,done:s}}function readAndResolve(e){var s=e[n];if(null!==s){var t=e[g].read();null!==t&&(e[d]=null,e[n]=null,e[l]=null,s(createIterResult(t,!1)))}}function onReadable(e){t.nextTick(readAndResolve,e)}var h=Object.getPrototypeOf((function(){})),p=Object.setPrototypeOf((_defineProperty(i={get stream(){return this[g]},next:function next(){var e=this,s=this[u];if(null!==s)return Promise.reject(s)
;if(this[c])return Promise.resolve(createIterResult(void 0,!0));if(this[g].destroyed)return new Promise((function(s,i){t.nextTick((function(){e[u]?i(e[u]):s(createIterResult(void 0,!0))}))}));var i,a=this[d];if(a)i=new Promise(function wrapForNext(e,s){return function(t,i){e.then((function(){s[c]?t(createIterResult(void 0,!0)):s[m](t,i)}),i)}}(a,this));else{var n=this[g].read();if(null!==n)return Promise.resolve(createIterResult(n,!1));i=new Promise(this[m])}return this[d]=i,i}},Symbol.asyncIterator,(function(){return this})),_defineProperty(i,"return",(function _return(){var e=this;return new Promise((function(s,t){e[g].destroy(null,(function(e){e?t(e):s(createIterResult(void 0,!0))}))}))})),i),h);s.exports=function createReadableStreamAsyncIterator(e){var s,t=Object.create(p,(_defineProperty(s={},g,{value:e,writable:!0}),_defineProperty(s,n,{value:null,writable:!0}),_defineProperty(s,l,{value:null,writable:!0}),_defineProperty(s,u,{value:null,writable:!0}),_defineProperty(s,c,{
value:e._readableState.endEmitted,writable:!0}),_defineProperty(s,m,{value:function value(e,s){var i=t[g].read();i?(t[d]=null,t[n]=null,t[l]=null,e(createIterResult(i,!1))):(t[n]=e,t[l]=s)},writable:!0}),s));return t[d]=null,a(e,(function(e){if(e&&"ERR_STREAM_PREMATURE_CLOSE"!==e.code){var s=t[l];return null!==s&&(t[d]=null,t[n]=null,t[l]=null,s(e)),void(t[u]=e)}var i=t[n];null!==i&&(t[d]=null,t[n]=null,t[l]=null,i(createIterResult(void 0,!0))),t[c]=!0})),e.on("readable",onReadable.bind(null,t)),t}}).call(this)}).call(this,e("_process"))},{"./end-of-stream":293,_process:272}],291:[function(e,s,t){"use strict";function ownKeys(e,s){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);s&&(i=i.filter((function(s){return Object.getOwnPropertyDescriptor(e,s).enumerable}))),t.push.apply(t,i)}return t}function _defineProperty(e,s,t){return s in e?Object.defineProperty(e,s,{value:t,enumerable:!0,configurable:!0,writable:!0}):e[s]=t,e}
function _defineProperties(e,s){for(var t=0;t<s.length;t++){var i=s[t];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}var i=e("buffer").Buffer,a=e("util").inspect,n=a&&a.custom||"inspect";s.exports=function(){function BufferList(){!function _classCallCheck(e,s){if(!(e instanceof s))throw new TypeError("Cannot call a class as a function")}(this,BufferList),this.head=null,this.tail=null,this.length=0}return function _createClass(e,s,t){return s&&_defineProperties(e.prototype,s),t&&_defineProperties(e,t),e}(BufferList,[{key:"push",value:function push(e){var s={data:e,next:null};this.length>0?this.tail.next=s:this.head=s,this.tail=s,++this.length}},{key:"unshift",value:function unshift(e){var s={data:e,next:this.head};0===this.length&&(this.tail=s),this.head=s,++this.length}},{key:"shift",value:function shift(){if(0!==this.length){var e=this.head.data;return 1===this.length?this.head=this.tail=null:this.head=this.head.next,
--this.length,e}}},{key:"clear",value:function clear(){this.head=this.tail=null,this.length=0}},{key:"join",value:function join(e){if(0===this.length)return"";for(var s=this.head,t=""+s.data;s=s.next;)t+=e+s.data;return t}},{key:"concat",value:function concat(e){if(0===this.length)return i.alloc(0);for(var s,t,a,n=i.allocUnsafe(e>>>0),l=this.head,u=0;l;)s=l.data,t=n,a=u,i.prototype.copy.call(s,t,a),u+=l.data.length,l=l.next;return n}},{key:"consume",value:function consume(e,s){var t;return e<this.head.data.length?(t=this.head.data.slice(0,e),this.head.data=this.head.data.slice(e)):t=e===this.head.data.length?this.shift():s?this._getString(e):this._getBuffer(e),t}},{key:"first",value:function first(){return this.head.data}},{key:"_getString",value:function _getString(e){var s=this.head,t=1,i=s.data;for(e-=i.length;s=s.next;){var a=s.data,n=e>a.length?a.length:e;if(n===a.length?i+=a:i+=a.slice(0,e),0===(e-=n)){n===a.length?(++t,
s.next?this.head=s.next:this.head=this.tail=null):(this.head=s,s.data=a.slice(n));break}++t}return this.length-=t,i}},{key:"_getBuffer",value:function _getBuffer(e){var s=i.allocUnsafe(e),t=this.head,a=1;for(t.data.copy(s),e-=t.data.length;t=t.next;){var n=t.data,l=e>n.length?n.length:e;if(n.copy(s,s.length-e,0,l),0===(e-=l)){l===n.length?(++a,t.next?this.head=t.next:this.head=this.tail=null):(this.head=t,t.data=n.slice(l));break}++a}return this.length-=a,s}},{key:n,value:function value(e,s){return a(this,function _objectSpread(e){for(var s=1;s<arguments.length;s++){var t=null!=arguments[s]?arguments[s]:{};s%2?ownKeys(Object(t),!0).forEach((function(s){_defineProperty(e,s,t[s])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):ownKeys(Object(t)).forEach((function(s){Object.defineProperty(e,s,Object.getOwnPropertyDescriptor(t,s))}))}return e}({},s,{depth:0,customInspect:!1}))}}]),BufferList}()},{buffer:194,util:182}],292:[function(e,s,t){
(function(e){(function(){"use strict";function emitErrorAndCloseNT(e,s){emitErrorNT(e,s),emitCloseNT(e)}function emitCloseNT(e){e._writableState&&!e._writableState.emitClose||e._readableState&&!e._readableState.emitClose||e.emit("close")}function emitErrorNT(e,s){e.emit("error",s)}s.exports={destroy:function destroy(s,t){var i=this,a=this._readableState&&this._readableState.destroyed,n=this._writableState&&this._writableState.destroyed;return a||n?(t?t(s):s&&(this._writableState?this._writableState.errorEmitted||(this._writableState.errorEmitted=!0,e.nextTick(emitErrorNT,this,s)):e.nextTick(emitErrorNT,this,s)),this):(this._readableState&&(this._readableState.destroyed=!0),this._writableState&&(this._writableState.destroyed=!0),this._destroy(s||null,(function(s){!t&&s?i._writableState?i._writableState.errorEmitted?e.nextTick(emitCloseNT,i):(i._writableState.errorEmitted=!0,e.nextTick(emitErrorAndCloseNT,i,s)):e.nextTick(emitErrorAndCloseNT,i,s):t?(e.nextTick(emitCloseNT,i),
t(s)):e.nextTick(emitCloseNT,i)})),this)},undestroy:function undestroy(){this._readableState&&(this._readableState.destroyed=!1,this._readableState.reading=!1,this._readableState.ended=!1,this._readableState.endEmitted=!1),this._writableState&&(this._writableState.destroyed=!1,this._writableState.ended=!1,this._writableState.ending=!1,this._writableState.finalCalled=!1,this._writableState.prefinished=!1,this._writableState.finished=!1,this._writableState.errorEmitted=!1)},errorOrDestroy:function errorOrDestroy(e,s){var t=e._readableState,i=e._writableState;t&&t.autoDestroy||i&&i.autoDestroy?e.destroy(s):e.emit("error",s)}}}).call(this)}).call(this,e("_process"))},{_process:272}],293:[function(e,s,t){"use strict";var i=e("../../../errors").codes.ERR_STREAM_PREMATURE_CLOSE;function noop(){}s.exports=function eos(e,s,t){if("function"==typeof s)return eos(e,null,s);s||(s={}),t=function once(e){var s=!1;return function(){if(!s){s=!0
;for(var t=arguments.length,i=new Array(t),a=0;a<t;a++)i[a]=arguments[a];e.apply(this,i)}}}(t||noop);var a=s.readable||!1!==s.readable&&e.readable,n=s.writable||!1!==s.writable&&e.writable,l=function onlegacyfinish(){e.writable||c()},u=e._writableState&&e._writableState.finished,c=function onfinish(){n=!1,u=!0,a||t.call(e)},d=e._readableState&&e._readableState.endEmitted,m=function onend(){a=!1,d=!0,n||t.call(e)},g=function onerror(s){t.call(e,s)},h=function onclose(){var s;return a&&!d?(e._readableState&&e._readableState.ended||(s=new i),t.call(e,s)):n&&!u?(e._writableState&&e._writableState.ended||(s=new i),t.call(e,s)):void 0},p=function onrequest(){e.req.on("finish",c)};return!function isRequest(e){return e.setHeader&&"function"==typeof e.abort}(e)?n&&!e._writableState&&(e.on("end",l),e.on("close",l)):(e.on("complete",c),e.on("abort",h),e.req?p():e.on("request",p)),e.on("end",m),e.on("finish",c),!1!==s.error&&e.on("error",g),e.on("close",h),function(){
e.removeListener("complete",c),e.removeListener("abort",h),e.removeListener("request",p),e.req&&e.req.removeListener("finish",c),e.removeListener("end",l),e.removeListener("close",l),e.removeListener("finish",c),e.removeListener("end",m),e.removeListener("error",g),e.removeListener("close",h)}}},{"../../../errors":284}],294:[function(e,s,t){s.exports=function(){throw new Error("Readable.from is not available in the browser")}},{}],295:[function(e,s,t){"use strict";var i;var a=e("../../../errors").codes,n=a.ERR_MISSING_ARGS,l=a.ERR_STREAM_DESTROYED;function noop(e){if(e)throw e}function destroyer(s,t,a,n){n=function once(e){var s=!1;return function(){s||(s=!0,e.apply(void 0,arguments))}}(n);var u=!1;s.on("close",(function(){u=!0})),void 0===i&&(i=e("./end-of-stream")),i(s,{readable:t,writable:a},(function(e){if(e)return n(e);u=!0,n()}));var c=!1;return function(e){if(!u&&!c)return c=!0,function isRequest(e){return e.setHeader&&"function"==typeof e.abort
}(s)?s.abort():"function"==typeof s.destroy?s.destroy():void n(e||new l("pipe"))}}function call(e){e()}function pipe(e,s){return e.pipe(s)}function popCallback(e){return e.length?"function"!=typeof e[e.length-1]?noop:e.pop():noop}s.exports=function pipeline(){for(var e=arguments.length,s=new Array(e),t=0;t<e;t++)s[t]=arguments[t];var i,a=popCallback(s);if(Array.isArray(s[0])&&(s=s[0]),s.length<2)throw new n("streams");var l=s.map((function(e,t){var n=t<s.length-1;return destroyer(e,n,t>0,(function(e){i||(i=e),e&&l.forEach(call),n||(l.forEach(call),a(i))}))}));return s.reduce(pipe)}},{"../../../errors":284,"./end-of-stream":293}],296:[function(e,s,t){"use strict";var i=e("../../../errors").codes.ERR_INVALID_OPT_VALUE;s.exports={getHighWaterMark:function getHighWaterMark(e,s,t,a){var n=function highWaterMarkFrom(e,s,t){return null!=e.highWaterMark?e.highWaterMark:s?e[t]:null}(s,a,t);if(null!=n){if(!isFinite(n)||Math.floor(n)!==n||n<0)throw new i(a?t:"highWaterMark",n)
;return Math.floor(n)}return e.objectMode?16:16384}}},{"../../../errors":284}],297:[function(e,s,t){s.exports=e("events").EventEmitter},{events:211}],298:[function(e,s,t){"use strict";var i=e("safe-buffer").Buffer,a=i.isEncoding||function(e){switch((e=""+e)&&e.toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":case"raw":return!0;default:return!1}};function StringDecoder(e){var s;switch(this.encoding=function normalizeEncoding(e){var s=function _normalizeEncoding(e){if(!e)return"utf8";for(var s;;)switch(e){case"utf8":case"utf-8":return"utf8";case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return"utf16le";case"latin1":case"binary":return"latin1";case"base64":case"ascii":case"hex":return e;default:if(s)return;e=(""+e).toLowerCase(),s=!0}}(e);if("string"!=typeof s&&(i.isEncoding===a||!a(e)))throw new Error("Unknown encoding: "+e);return s||e}(e),this.encoding){case"utf16le":this.text=utf16Text,
this.end=utf16End,s=4;break;case"utf8":this.fillLast=utf8FillLast,s=4;break;case"base64":this.text=base64Text,this.end=base64End,s=3;break;default:return this.write=simpleWrite,void(this.end=simpleEnd)}this.lastNeed=0,this.lastTotal=0,this.lastChar=i.allocUnsafe(s)}function utf8CheckByte(e){return e<=127?0:e>>5==6?2:e>>4==14?3:e>>3==30?4:e>>6==2?-1:-2}function utf8FillLast(e){var s=this.lastTotal-this.lastNeed,t=function utf8CheckExtraBytes(e,s,t){if(128!=(192&s[0]))return e.lastNeed=0,"�";if(e.lastNeed>1&&s.length>1){if(128!=(192&s[1]))return e.lastNeed=1,"�";if(e.lastNeed>2&&s.length>2&&128!=(192&s[2]))return e.lastNeed=2,"�"}}(this,e);return void 0!==t?t:this.lastNeed<=e.length?(e.copy(this.lastChar,s,0,this.lastNeed),this.lastChar.toString(this.encoding,0,this.lastTotal)):(e.copy(this.lastChar,s,0,e.length),void(this.lastNeed-=e.length))}function utf16Text(e,s){if((e.length-s)%2==0){var t=e.toString("utf16le",s);if(t){var i=t.charCodeAt(t.length-1)
;if(i>=55296&&i<=56319)return this.lastNeed=2,this.lastTotal=4,this.lastChar[0]=e[e.length-2],this.lastChar[1]=e[e.length-1],t.slice(0,-1)}return t}return this.lastNeed=1,this.lastTotal=2,this.lastChar[0]=e[e.length-1],e.toString("utf16le",s,e.length-1)}function utf16End(e){var s=e&&e.length?this.write(e):"";if(this.lastNeed){var t=this.lastTotal-this.lastNeed;return s+this.lastChar.toString("utf16le",0,t)}return s}function base64Text(e,s){var t=(e.length-s)%3;return 0===t?e.toString("base64",s):(this.lastNeed=3-t,this.lastTotal=3,1===t?this.lastChar[0]=e[e.length-1]:(this.lastChar[0]=e[e.length-2],this.lastChar[1]=e[e.length-1]),e.toString("base64",s,e.length-t))}function base64End(e){var s=e&&e.length?this.write(e):"";return this.lastNeed?s+this.lastChar.toString("base64",0,3-this.lastNeed):s}function simpleWrite(e){return e.toString(this.encoding)}function simpleEnd(e){return e&&e.length?this.write(e):""}t.StringDecoder=StringDecoder,StringDecoder.prototype.write=function(e){
if(0===e.length)return"";var s,t;if(this.lastNeed){if(void 0===(s=this.fillLast(e)))return"";t=this.lastNeed,this.lastNeed=0}else t=0;return t<e.length?s?s+this.text(e,t):this.text(e,t):s||""},StringDecoder.prototype.end=function utf8End(e){var s=e&&e.length?this.write(e):"";return this.lastNeed?s+"�":s},StringDecoder.prototype.text=function utf8Text(e,s){var t=function utf8CheckIncomplete(e,s,t){var i=s.length-1;if(i<t)return 0;var a=utf8CheckByte(s[i]);if(a>=0)return a>0&&(e.lastNeed=a-1),a;if(--i<t||-2===a)return 0;if((a=utf8CheckByte(s[i]))>=0)return a>0&&(e.lastNeed=a-2),a;if(--i<t||-2===a)return 0;if((a=utf8CheckByte(s[i]))>=0)return a>0&&(2===a?a=0:e.lastNeed=a-3),a;return 0}(this,e,s);if(!this.lastNeed)return e.toString("utf8",s);this.lastTotal=t;var i=e.length-(t-this.lastNeed);return e.copy(this.lastChar,0,i),e.toString("utf8",s,i)},StringDecoder.prototype.fillLast=function(e){
if(this.lastNeed<=e.length)return e.copy(this.lastChar,this.lastTotal-this.lastNeed,0,this.lastNeed),this.lastChar.toString(this.encoding,0,this.lastTotal);e.copy(this.lastChar,this.lastTotal-this.lastNeed,0,e.length),this.lastNeed-=e.length}},{"safe-buffer":278}],299:[function(e,s,t){s.exports=[{name:"Facebook",homepage:"https://www.facebook.com",categories:["social"],domains:["*.atlassbx.com","*.facebook.com","*.fbsbx.com","fbcdn-photos-e-a.akamaihd.net","*.facebook.net","*.fbcdn.net"],products:[{name:"Facebook Messenger Customer Chat",urlPatterns:["REGEXP:connect\\.facebook\\.net\\/.*\\/sdk\\/xfbml\\.customerchat\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Google Analytics",company:"Google",homepage:"https://www.google.com/analytics/analytics/",categories:["analytics"],domains:["*.google-analytics.com","*.urchin.com","analytics.google.com"]},{name:"Google CDN",company:"Google",
homepage:"https://developers.google.com/speed/libraries/",categories:["cdn"],domains:["ajax.googleapis.com","commondatastorage.googleapis.com","www.gstatic.com"]},{name:"Google Tag Manager",company:"Google",homepage:"https://marketingplatform.google.com/about/tag-manager/",categories:["tag-manager"],domains:["*.googletagmanager.com"]},{name:"Google/Doubleclick Ads",company:"Google",homepage:"https://www.doubleclickbygoogle.com/",categories:["ad"],
domains:["adservice.google.com","adservice.google.com.au","adservice.google.com.sg","adservice.google.com.br","adservice.google.com.ua","adservice.google.co.uk","adservice.google.co.jp","adservice.google.co.in","adservice.google.co.kr","adservice.google.co.id","adservice.google.co.nz","adservice.google.ie","adservice.google.se","adservice.google.de","adservice.google.ca","adservice.google.be","adservice.google.es","adservice.google.ch","adservice.google.fr","adservice.google.nl","*.googleadservices.com","*.googlesyndication.com","*.googletagservices.com","*.2mdn.net","*.doubleclick.net"]},{name:"Other Google APIs/SDKs",company:"Google",homepage:"https://developers.google.com/apis-explorer/#p/",categories:["utility"],
domains:["accounts.google.com","apis.google.com","calendar.google.com","clients2.google.com","cse.google.com","news.google.com","pay.google.com","payments.google.com","play.google.com","smartlock.google.com","www.google.com","www.google.de","www.google.co.jp","www.google.com.au","www.google.co.uk","www.google.ie","www.google.com.sg","www.google.co.in","www.google.com.br","www.google.ca","www.google.co.kr","www.google.co.nz","www.google.co.id","www.google.fr","www.google.be","www.google.com.ua","www.google.nl","www.google.ru","www.google.se","imasdk.googleapis.com","storage.googleapis.com","translate.googleapis.com","lh3.googleusercontent.com","csi.gstatic.com"]},{name:"YouTube",homepage:"https://youtube.com",categories:["video"],domains:["*.ggpht.com","*.youtube-nocookie.com","*.youtube.com","*.ytimg.com"],products:[{name:"YouTube Embedded Player",urlPatterns:["youtube.com/embed/"],facades:[{name:"Lite YouTube",repo:"https://github.com/paulirish/lite-youtube-embed"}]}]},{
name:"Yandex Metrica",company:"Yandex",homepage:"https://metrica.yandex.com/about?",categories:["analytics"],domains:["d31j93rd8oukbv.cloudfront.net","mc.yandex.ru"]},{name:"Google Maps",company:"Google",homepage:"https://www.google.com/maps",categories:["utility"],domains:["maps.google.com","maps-api-ssl.google.com","maps.googleapis.com","mts.googleapis.com","maps.gstatic.com"]},{name:"Twitter",homepage:"https://twitter.com",categories:["social"],domains:["*.vine.co","*.twimg.com","*.twitpic.com","platform.twitter.com","syndication.twitter.com"]},{name:"Hotjar",homepage:"https://www.hotjar.com/",categories:["analytics"],domains:["*.hotjar.com","*.hotjar.io"]},{name:"jQuery CDN",homepage:"https://code.jquery.com/",categories:["cdn"],domains:["*.jquery.com"]},{name:"AddThis",homepage:"http://www.addthis.com/",categories:["social"],domains:["*.addthis.com","*.addthiscdn.com","*.addthisedge.com"]},{name:"Cloudflare CDN",homepage:"https://cdnjs.com/",categories:["cdn"],
domains:["amp.cloudflare.com","cdnjs.cloudflare.com"]},{name:"Shopify",homepage:"https://www.shopify.com/",categories:["hosting"],domains:["*.shopify.com","*.shopifyapps.com","*.shopifycdn.com","*.shopifysvc.com"]},{name:"JSDelivr CDN",homepage:"https://www.jsdelivr.com/",categories:["cdn"],domains:["*.jsdelivr.net"]},{name:"WordPress",company:"Automattic",homepage:"https://wp.com/",categories:["hosting"],domains:["*.wordpress.com","s0.wp.com","s2.wp.com","*.w.org","c0.wp.com","s1.wp.com","widgets.wp.com"]},{name:"AMP",homepage:"https://amp.dev/",categories:["content"],domains:["*.ampproject.org"]},{name:"ZenDesk",homepage:"https://zendesk.com/",categories:["customer-success"],domains:["*.zdassets.com","*.zendesk.com","*.zopim.com"]},{name:"Tawk.to",homepage:"https://www.tawk.to/",categories:["customer-success"],domains:["*.tawk.to"]},{name:"Criteo",homepage:"https://www.criteo.com/",categories:["ad"],domains:["*.criteo.com","*.emailretargeting.com","*.criteo.net"]},{name:"Wix",
homepage:"https://www.wix.com/",categories:["hosting"],domains:["*.parastorage.com","*.wix.com","*.wixstatic.com","*.wixapps.net"]},{name:"Cloudflare",homepage:"https://www.cloudflare.com/website-optimization/",categories:["utility"],domains:["ajax.cloudflare.com"]},{name:"Pubmatic",homepage:"https://pubmatic.com/",categories:["ad"],domains:["*.pubmatic.com"]},{name:"Adroll",homepage:"https://www.adroll.com/",categories:["ad"],domains:["*.adroll.com","*.adroll.mgr.consensu.org"]},{name:"FontAwesome CDN",homepage:"https://fontawesome.com/",categories:["cdn"],domains:["*.fontawesome.com"]},{name:"Jivochat",homepage:"https://www.jivochat.com/",categories:["customer-success"],domains:["*.jivosite.com"]},{name:"ShareThis",homepage:"https://www.sharethis.com/",categories:["social"],domains:["*.sharethis.com"]},{name:"Squarespace",homepage:"https://www.squarespace.com/",categories:["hosting"],domains:["*.squarespace.com"]},{name:"Rubicon Project",homepage:"https://rubiconproject.com/",
categories:["ad"],domains:["*.chango.com","*.fimserve.com","*.rubiconproject.com"]},{name:"Amazon Web Services",homepage:"https://aws.amazon.com/s3/",categories:["other"],domains:["*.amazon.com","*.amazonaws.com","*.amazonwebapps.com","*.amazonwebservices.com","*.elasticbeanstalk.com","*.images-amazon.com","*.amazon.co.uk"]},{name:"Hubspot",homepage:"https://hubspot.com/",categories:["marketing"],domains:["*.hs-scripts.com","*.hubspot.com","*.leadin.com","*.hs-analytics.net","*.hscollectedforms.net","*.hscta.net","*.hsforms.net","*.hsleadflows.net","*.hsstatic.net","*.hubspot.net"]},{name:"Adobe Tag Manager",company:"Adobe",homepage:"https://www.adobe.com/experience-platform/",categories:["tag-manager"],domains:["*.adobedtm.com","*.demdex.net","*.everesttech.net"]},{name:"Yandex APIs",company:"Yandex",homepage:"https://yandex.ru/",categories:["utility"],domains:["api-maps.yandex.ru","money.yandex.ru"]},{name:"Yandex Ads",company:"Yandex",homepage:"https://yandex.com/adv/",
categories:["ad"],domains:["an.yandex.ru"]},{name:"Amazon Ads",homepage:"https://ad.amazon.com/",categories:["ad"],domains:["*.amazon-adsystem.com"]},{name:"Taboola",homepage:"https://www.taboola.com/",categories:["ad"],domains:["*.taboola.com","*.taboolasyndication.com"]},{name:"AddToAny",homepage:"https://www.addtoany.com/",categories:["social"],domains:["*.addtoany.com"]},{name:"Yandex CDN",company:"Yandex",homepage:"https://yandex.ru/",categories:["cdn"],domains:["*.yandex.st","*.yastatic.net"]},{name:"Blogger",homepage:"http://www.blogger.com/",categories:["hosting"],domains:["*.blogblog.com","*.blogger.com","*.blogspot.com","images-blogger-opensocial.googleusercontent.com"]},{name:"Stripe",homepage:"https://stripe.com",categories:["utility"],domains:["*.stripe.com","*.stripecdn.com","*.stripe.network"]},{name:"Mailchimp",homepage:"https://mailchimp.com/",categories:["marketing"],domains:["*.chimpstatic.com","*.list-manage.com","*.mailchimp.com"]},{name:"Tynt",company:"33 Across",
categories:["ad"],domains:["*.tynt.com"]},{name:"Cookiebot",homepage:"https://www.cookiebot.com/",categories:["utility"],domains:["*.cookiebot.com"]},{name:"Optimizely",homepage:"https://www.optimizely.com/",categories:["analytics"],domains:["*.optimizely.com"]},{name:"LiveChat",homepage:"https://www.livechatinc.com/",categories:["customer-success"],domains:["*.livechatinc.com"]},{name:"WordAds",company:"Automattic",homepage:"https://wordads.co/",categories:["ad"],domains:["*.pubmine.com"]},{name:"Sumo",homepage:"https://sumo.com/",categories:["marketing"],domains:["*.sumo.com","*.sumome.com","sumo.b-cdn.net"]},{name:"Adobe TypeKit",company:"Adobe",homepage:"https://fonts.adobe.com/",categories:["cdn"],domains:["*.typekit.com","*.typekit.net"]},{name:"Kakao",categories:["social"],domains:["*.daum.net","*.daumcdn.net"]},{name:"Pinterest",homepage:"https://pinterest.com/",categories:["social"],domains:["*.pinimg.com","*.pinterest.com"]},{name:"POWr",homepage:"https://www.powr.io",
categories:["utility"],domains:["*.powr.io"]},{name:"Skimbit",categories:["ad"],domains:["*.redirectingat.com","*.skimresources.com","*.skimresources.net"]},{name:"Bing Ads",homepage:"https://bingads.microsoft.com",categories:["ad"],domains:["*.bing.com","*.microsoft.com","*.msn.com","*.s-msft.com","*.s-msn.com","*.msads.net","*.msecnd.net","*.windows.net"]},{name:"Intercom",homepage:"https://www.intercom.com",categories:["customer-success"],domains:["*.intercomcdn.com","*.intercom.io"],products:[{name:"Intercom Widget",urlPatterns:["widget.intercom.io","js.intercomcdn.com/shim.latest.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"PayPal",homepage:"https://paypal.com",categories:["utility"],domains:["*.paypal.com","*.paypalobjects.com"]},{name:"PIXNET",homepage:"https://www.pixnet.net/",categories:["social"],domains:["*.pixfs.net","*.pixnet.net"]},{name:"Trust Pilot",categories:["analytics"],
domains:["*.trustpilot.com"]},{name:"Klaviyo",categories:["ad"],domains:["*.klaviyo.com"]},{name:"Media.net",homepage:"https://www.media.net/",categories:["ad"],domains:["*.media.net","*.mnet-ad.net"]},{name:"Bridgewell DSP",homepage:"https://www.bridgewell.com/",categories:["ad"],domains:["*.scupio.com"]},{name:"LinkedIn",homepage:"https://www.linkedin.com/",categories:["social"],domains:["*.bizographics.com","platform.linkedin.com","*.slideshare.com","*.slidesharecdn.com"]},{name:"Yotpo",homepage:"https://www.yotpo.com/",categories:["marketing"],domains:["*.yotpo.com"]},{name:"Histats",homepage:"http://histats.com/",categories:["analytics"],domains:["*.histats.com"]},{name:"VK",homepage:"https://vk.com/",categories:["social"],domains:["*.vk.com"]},{name:"Snapchat",homepage:"https://www.snapchat.com",categories:["analytics"],domains:["*.snapchat.com","*.sc-static.net"]},{name:"Weebly",homepage:"https://www.weebly.com/",categories:["hosting"],domains:["*.editmysite.com"]},{
name:"Hatena Blog",homepage:"https://hatenablog.com/",categories:["hosting"],domains:["*.st-hatena.com","*.hatena.ne.jp"]},{name:"mPulse",homepage:"https://developer.akamai.com/akamai-mpulse",categories:["analytics"],domains:["*.akstat.io","*.go-mpulse.net","*.mpulse.net","*.mpstat.us"]},{name:"Bold Commerce",categories:["utility"],domains:["*.shappify-cdn.com","*.shappify.com","*.boldapps.net"]},{name:"Wistia",homepage:"https://wistia.com/",categories:["video"],domains:["*.wistia.com","embedwistia-a.akamaihd.net","*.wistia.net"]},{name:"New Relic",homepage:"https://newrelic.com/",categories:["utility"],domains:["*.newrelic.com","*.nr-data.net"]},{name:"Privy",categories:["ad"],domains:["*.privy.com","*.privymktg.com"]},{name:"iubenda",categories:["utility"],domains:["*.iubenda.com"]},{name:"DTSCOUT",categories:["ad"],domains:["*.dtscout.com"]},{name:"Smartsupp",company:"Smartsupp.com",homepage:"https://www.smartsupp.com",categories:["customer-success"],
domains:["*.smartsuppchat.com","*.smartsupp.com","smartsupp-widget-161959.c.cdn77.org","*.smartsuppcdn.com"]},{name:"Tidio Live Chat",company:"Tidio",homepage:"https://www.tidiochat.com/en/",categories:["customer-success"],domains:["*.tidiochat.com"]},{name:"Tealium",homepage:"https://tealium.com/",categories:["tag-manager"],domains:["*.aniview.com","*.delvenetworks.com","*.limelight.com","*.tiqcdn.com","*.llnwd.net","*.tealiumiq.com"]},{name:"Nielsen NetRatings SiteCensus",company:"The Nielsen Company",homepage:"http://www.nielsen-online.com/intlpage.html",categories:["analytics"],domains:["*.imrworldwide.com"]},{name:"Salesforce",homepage:"https://www.salesforce.com/products/marketing-cloud/",categories:["analytics"],domains:["*.krxd.net"]},{name:"Baidu Analytics",homepage:"https://tongji.baidu.com/web/welcome/login",categories:["analytics"],domains:["hm.baidu.com","hmcdn.baidu.com"]},{name:"Azure Web Services",company:"Microsoft",categories:["cdn"],
domains:["*.azurewebsites.net","*.azureedge.net","*.msedge.net"]},{name:"Vimeo",homepage:"http://vimeo.com/",categories:["video"],domains:["*.vimeo.com","*.vimeocdn.com"],products:[{name:"Vimeo Embedded Player",urlPatterns:["player.vimeo.com/video/"],facades:[{name:"Lite Vimeo",repo:"https://github.com/slightlyoff/lite-vimeo"},{name:"Lite Vimeo Embed",repo:"https://github.com/luwes/lite-vimeo-embed"}]}]},{name:"Bigcommerce",categories:["marketing"],domains:["*.bigcommerce.com"]},{name:"Permutive",categories:["ad"],domains:["*.permutive.com","d3alqb8vzo7fun.cloudfront.net"]},{name:"Segment",homepage:"https://segment.com/",categories:["analytics"],domains:["*.segment.com","*.segment.io"]},{name:"Instagram",homepage:"https://www.instagram.com",categories:["social"],domains:["*.cdninstagram.com","*.instagram.com"]},{name:"Sentry",homepage:"https://sentry.io/",categories:["utility"],domains:["*.getsentry.com","*.ravenjs.com","*.sentry-cdn.com"]},{name:"Bugsnag",categories:["utility"],
domains:["*.bugsnag.com","d2wy8f7a9ursnm.cloudfront.net"]},{name:"Dealer",homepage:"https://www.dealer.com/",categories:["hosting"],domains:["*.dealer.com"]},{name:"Judge.me",homepage:"https://judge.me/",categories:["marketing"],domains:["*.judge.me"]},{name:"MGID",homepage:"https://www.mgid.com/",categories:["ad"],domains:["*.mgid.com","*.dt07.net"]},{name:"Outbrain",homepage:"https://www.outbrain.com/",categories:["ad"],domains:["*.outbrain.com","*.outbrainimg.com","*.visualrevenue.com"]},{name:"Optanon",homepage:"https://www.cookielaw.org/",categories:["utility"],domains:["*.onetrust.com","*.cookielaw.org"]},{name:"Intent Media",homepage:"https://intent.com/",categories:["ad"],domains:["*.intentmedia.net"]},{name:"Integral Ad Science",homepage:"https://integralads.com/uk/",categories:["ad"],domains:["*.adsafeprotected.com","*.iasds01.com"]},{name:"Tumblr",homepage:"https://tumblr.com/",categories:["social"],domains:["*.tumblr.com"]},{name:"Rambler",company:"Rambler & Co",
categories:["utility"],domains:["*.rambler.ru"]},{name:"FullStory",categories:["analytics"],domains:["*.fullstory.com"]},{name:"Lucky Orange",homepage:"https://www.luckyorange.com/",categories:["analytics"],domains:["*.luckyorange.com","d10lpsik1i8c69.cloudfront.net","*.luckyorange.net"]},{name:"Mixpanel",homepage:"https://mixpanel.com/",categories:["analytics"],domains:["*.mixpanel.com","*.mxpnl.com"]},{name:"OptinMonster",homepage:"https://optinmonster.com/",categories:["marketing"],domains:["*.opmnstr.com","*.optmnstr.com","*.optmstr.com"]},{name:"Tilda",homepage:"http://tilda.cc/",categories:["hosting"],domains:["*.tildacdn.com"]},{name:"Akamai",homepage:"https://www.akamai.com/",categories:["cdn"],domains:["23.62.3.183","*.akamaitechnologies.com","*.akamaitechnologies.fr","*.akamai.net","*.akamaiedge.net","*.akamaihd.net","*.akamaized.net","*.edgefcs.net","*.edgekey.net","edgesuite.net","*.srip.net"]},{name:"VigLink",categories:["ad"],domains:["*.viglink.com"]},{name:"CallRail",
categories:["analytics"],domains:["*.callrail.com"]},{name:"Scorecard Research",homepage:"https://www.scorecardresearch.com/",categories:["ad"],domains:["*.scorecardresearch.com"]},{name:"Olark",homepage:"https://www.olark.com/",categories:["customer-success"],domains:["*.olark.com"]},{name:"Moat",homepage:"https://moat.com/",categories:["ad"],domains:["*.moatads.com","*.moatpixel.com"]},{name:"Adform",categories:["ad"],domains:["*.adform.net","*.adformdsp.net"]},{name:"Fastly",categories:["utility"],domains:["*.fastly.net"]},{name:"GoDaddy",homepage:"https://www.godaddy.com/",categories:["utility"],domains:["*.godaddy.com","*.wsimg.com"]},{name:"Unpkg",homepage:"https://unpkg.com",categories:["cdn"],domains:["*.unpkg.com","*.npmcdn.com"]},{name:"Brightcove",homepage:"https://www.brightcove.com/en/",categories:["video"],domains:["*.brightcove.com","*.brightcove.net","*.zencdn.net"]},{name:"Drift",homepage:"https://www.drift.com/",categories:["marketing"],
domains:["*.drift.com","*.driftt.com"],products:[{name:"Drift Live Chat",urlPatterns:["REGEXP:js\\.driftt\\.com\\/include\\/.*\\/.*\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"RD Station",homepage:"https://www.rdstation.com/en/",categories:["marketing"],domains:["d335luupugsy2.cloudfront.net"]},{name:"Mediavine",homepage:"https://www.mediavine.com/",categories:["ad"],domains:["*.mediavine.com"]},{name:"Yahoo!",homepage:"https://www.yahoo.com/",categories:["ad"],domains:["*.bluelithium.com","*.hostingprod.com","*.lexity.com","*.yahoo.com","*.yahooapis.com","*.yimg.com","*.yimg.jp","*.zenfs.com","*.yahoo.net"]},{name:"Snowplow",homepage:"https://snowplowanalytics.com/",categories:["analytics"],domains:["d32hwlnfiv2gyn.cloudfront.net"]},{name:"Adloox",categories:["ad"],domains:["*.adlooxtracking.com"]},{name:"Amazon Pay",homepage:"https://pay.amazon.com",categories:["utility"],
domains:["payments.amazon.com","*.payments-amazon.com"]},{name:"Trusted Shops",categories:["utility"],domains:["*.trustedshops.com"]},{name:"Inspectlet",categories:["analytics"],domains:["*.inspectlet.com"]},{name:"Embedly",categories:["content"],domains:["*.embedly.com","*.embed.ly"]},{name:"Mapbox",categories:["utility"],domains:["*.mapbox.com"]},{name:"LINE Corporation",categories:["ad"],domains:["*.line-scdn.net","*.line.me"]},{name:"Parking Crew",homepage:"http://parkingcrew.net/",categories:["other"],domains:["d1lxhc4jvstzrp.cloudfront.net","*.parkingcrew.net"]},{name:"MailMunch",categories:["ad"],domains:["*.mailmunch.co"]},{name:"Crazy Egg",homepage:"https://www.crazyegg.com/",categories:["analytics"],domains:["*.cetrk.com","*.crazyegg.com","*.hellobar.com","dnn506yrbagrg.cloudfront.net"]},{name:"Index Exchange",company:"WPP",categories:["ad"],domains:["*.casalemedia.com","*.indexww.com"]},{name:"Microsoft Hosted Libs",company:"Microsoft",categories:["cdn"],
domains:["*.aspnetcdn.com"]},{name:"Treasure Data",categories:["analytics"],domains:["*.treasuredata.com"]},{name:"VWO",homepage:"https://vwo.com",categories:["analytics"],domains:["*.visualwebsiteoptimizer.com"]},{name:"sovrn",categories:["ad"],domains:["*.lijit.com"]},{name:"Pure Chat",categories:["customer-success"],domains:["*.purechat.com"]},{name:"Gemius",categories:["ad"],domains:["*.gemius.pl"]},{name:"Chartbeat",categories:["analytics"],domains:["*.chartbeat.com","*.chartbeat.net"]},{name:"SoundCloud",homepage:"https://www.soundcloud.com/",categories:["content"],domains:["*.sndcdn.com","*.soundcloud.com","*.stratus.sc"]},{name:"Cxense",categories:["ad"],domains:["*.cxense.com","*.cxpublic.com","*.emediate.dk","*.emediate.eu"]},{name:"LivePerson",categories:["customer-success"],homepage:"https://www.liveperson.com/",domains:["*.liveperson.com","*.look.io","*.liveperson.net","*.lpsnmedia.net"]},{name:"Searchanise",categories:["analytics"],domains:["*.searchanise.com"]},{
name:"Monotype",categories:["cdn"],domains:["*.fonts.com","*.fonts.net"]},{name:"Beeketing",homepage:"https://beeketing.com/",categories:["marketing"],domains:["*.beeketing.com"]},{name:"FreakOut",categories:["ad"],domains:["*.fout.jp"]},{name:"Quantcast",homepage:"https://www.quantcast.com",categories:["analytics"],domains:["*.brtstats.com","*.quantcount.com","*.quantserve.com","*.semantictec.com","*.ntv.io"]},{name:"Ensighten",homepage:"https://www.ensighten.com/",categories:["tag-manager"],domains:["*.ensighten.com"]},{name:"WordPress Site Stats",company:"Automattic",homepage:"https://wp.com/",categories:["analytics"],domains:["pixel.wp.com","stats.wp.com"]},{name:"Infolinks",categories:["ad"],domains:["*.infolinks.com"]},{name:"LiveJournal",categories:["social"],domains:["*.livejournal.com","*.livejournal.net"]},{name:"BrightTag / Signal",company:"Signal",homepage:"https://www.signal.co",categories:["tag-manager"],domains:["*.btstatic.com","*.thebrighttag.com"]},{name:"Unbounce",
categories:["ad"],domains:["*.ubembed.com","*.unbounce.com","d2xxq4ijfwetlm.cloudfront.net","d9hhrg4mnvzow.cloudfront.net"]},{name:"Accessibe",homepage:"https://accessibe.com/",categories:["utility"],domains:["*.accessibe.com","*.acsbap.com"]},{name:"CreateJS CDN",homepage:"http://code.createjs.com/",categories:["cdn"],domains:["*.createjs.com"]},{name:"Teads",categories:["ad"],domains:["*.teads.tv"]},{name:"LongTail Ad Solutions",categories:["ad"],domains:["*.jwpcdn.com","*.jwplatform.com","*.jwplayer.com","*.jwpltx.com","*.jwpsrv.com","*.longtailvideo.com"]},{name:"CDK Dealer Management",company:"CDK Global",homepage:"https://www.cdkglobal.com/us",categories:["hosting"],domains:["*.assets-cdk.com"]},{name:"StatCounter",categories:["analytics"],domains:["*.statcounter.com"]},{name:"Parse.ly",categories:["analytics"],domains:["*.parsely.com","d1z2jf7jlzjs58.cloudfront.net"]},{name:"ContactAtOnce",homepage:"https://www.contactatonce.com/",categories:["customer-success"],
domains:["*.contactatonce.com"]},{name:"i-mobile",company:"i-mobile",categories:["ad"],domains:["*.i-mobile.co.jp"]},{name:"Spotify",homepage:"https://www.spotify.com/",categories:["content"],domains:["*.scdn.co","*.spotify.com"]},{name:"Adobe Business Catalyst",homepage:"https://www.businesscatalyst.com/",categories:["hosting"],domains:["*.businesscatalyst.com"]},{name:"Tray Commerce",homepage:"https://www.tray.com.br/",categories:["marketing"],domains:["*.tcdn.com.br"]},{name:"OpenX",homepage:"https://www.openx.com/",categories:["ad"],domains:["*.deliverimp.com","*.openxadexchange.com","*.servedbyopenx.com","*.jump-time.net","*.openx.net"]},{name:"AB Tasty",categories:["analytics"],domains:["*.abtasty.com","d1447tq2m68ekg.cloudfront.net"]},{name:"PushCrew",categories:["ad"],domains:["*.pushcrew.com"]},{name:"Popads",homepage:"https://www.popads.net/",categories:["ad"],domains:["*.popads.net"]},{name:"GumGum",categories:["ad"],domains:["*.gumgum.com"]},{name:"PureCars",
homepage:"https://www.purecars.com/",categories:["marketing"],domains:["*.purecars.com"]},{name:"Smart AdServer",categories:["ad"],domains:["*.01net.com","*.sascdn.com","*.sasqos.com","*.smartadserver.com"]},{name:"Salesforce Commerce Cloud",homepage:"https://www.salesforce.com/products/commerce-cloud/overview/",categories:["hosting"],domains:["*.cquotient.com","*.demandware.net","demandware.edgesuite.net"]},{name:"SnapWidget",categories:["content"],domains:["*.snapwidget.com"]},{name:"District M",categories:["ad"],domains:["*.districtm.io"]},{name:"Heap",categories:["analytics"],domains:["*.heapanalytics.com"]},{name:"Net Reviews",categories:["analytics"],domains:["*.avis-verifies.com"]},{name:"Marchex",categories:["analytics"],domains:["*.voicestar.com","*.marchex.io"]},{name:"Affirm",categories:["utility"],domains:["*.affirm.com"]},{name:"Amplitude Mobile Analytics",company:"Amplitude",categories:["analytics"],domains:["*.amplitude.com","d24n15hnbwhuhn.cloudfront.net"]},{
name:"MaxCDN Enterprise",company:"MaxCDN",categories:["utility"],domains:["*.netdna-cdn.com","*.netdna-ssl.com"]},{name:"TikTok",company:"ByteDance Ltd",homepage:"https://www.tiktok.com/en/",categories:["social"],domains:["*.tiktok.com","*.ipstatp.com"]},{name:"LightWidget",categories:["utility"],domains:["*.lightwidget.com"]},{name:"uLogin",categories:["other"],domains:["*.ulogin.ru"]},{name:"BlueKai",company:"Oracle",categories:["ad"],domains:["*.bkrtx.com","*.bluekai.com"]},{name:"Gigya",categories:["analytics"],domains:["*.gigya.com"]},{name:"Tencent",categories:["content"],domains:["*.qq.com","*.ywxi.net"]},{name:"Fraudlogix",categories:["utility"],domains:["*.yabidos.com"]},{name:"Research Online",company:"Skills Development Scotland",categories:["content"],domains:["*.researchonline.org.uk"]},{name:"Help Scout",homepage:"https://www.helpscout.net/",categories:["customer-success"],domains:["djtflbt20bdde.cloudfront.net","*.helpscout.net"],products:[{name:"Help Scout Beacon",
urlPatterns:["beacon-v2.helpscout.net"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Secomapp",categories:["utility"],domains:["*.secomapp.com"]},{name:"fam",company:"Fing Co Ltd.",homepage:"http://admin.fam-ad.com/report/",categories:["ad"],domains:["*.fam-ad.com"]},{name:"SocialShopWave",categories:["social"],domains:["*.socialshopwave.com"]},{name:"TrafficStars",categories:["ad"],domains:["*.trafficstars.com","*.tsyndicate.com"]},{name:"Heroku",categories:["other"],domains:["*.herokuapp.com"]},{name:"iPerceptions",categories:["customer-success"],domains:["*.iperceptions.com"]},{name:"Nosto",categories:["analytics"],domains:["*.nosto.com"]},{name:"issuu",categories:["content"],domains:["*.issuu.com","*.isu.pub"]},{name:"Albacross",homepage:"https://albacross.com/",categories:["marketing"],domains:["*.albacross.com"]},{name:"Ve",company:"Ve Interactive",categories:["marketing"],domains:["*.veinteractive.com"]},{
name:"Bazaarvoice",categories:["analytics"],domains:["*.bazaarvoice.com","*.feedmagnet.com"]},{name:"Dailymotion",categories:["content"],domains:["*.dailymotion.com","*.dmxleo.com","*.dm.gg","*.pxlad.io","*.dmcdn.net","*.sublimevideo.net"]},{name:"GetSiteControl",company:"GetWebCraft",categories:["utility"],domains:["*.getsitecontrol.com"]},{name:"DoubleVerify",homepage:"https://www.doubleverify.com/",categories:["ad"],domains:["*.doubleverify.com","*.dvtps.com","*.iqfp1.com"]},{name:"Esri ArcGIS",company:"Esri",categories:["utility"],domains:["*.arcgis.com","*.arcgisonline.com"]},{name:"Signyfyd",categories:["utility"],domains:["*.signifyd.com"]},{name:"Feefo.com",company:"Feefo",categories:["analytics"],domains:["*.feefo.com"]},{name:"Booking.com",categories:["content"],domains:["*.bstatic.com"]},{name:"Sharethrough",categories:["ad"],domains:["*.sharethrough.com"]},{name:"Seznam",categories:["utility"],domains:["*.imedia.cz"]},{name:"etracker",categories:["analytics"],
domains:["*.etracker.com","*.etracker.de"]},{name:"Roxr Software",categories:["analytics"],domains:["*.getclicky.com"]},{name:"OptiMonk",categories:["ad"],domains:["*.optimonk.com"]},{name:"Perfect Market",categories:["ad"],domains:["*.perfectmarket.com"]},{name:"OpenTable",company:"Priceline Group",categories:["content"],domains:["*.opentable.com","*.opentable.co.uk","*.toptable.co.uk"]},{name:"Sortable",categories:["ad"],domains:["*.deployads.com"]},{name:"Swiftype",categories:["utility"],domains:["*.swiftype.com","*.swiftypecdn.com"]},{name:"Siteimprove",categories:["utility"],domains:["*.siteimprove.com","*.siteimproveanalytics.com"]},{name:"JuicyAds",categories:["ad"],domains:["*.juicyads.com"]},{name:"Accuweather",categories:["content"],domains:["*.accuweather.com"]},{name:"Sizmek",homepage:"https://www.sizmek.com/",categories:["ad"],domains:["*.serving-sys.com","*.peer39.net"]},{name:"Key CDN",categories:["utility"],domains:["*.kxcdn.com"]},{name:"Bootstrap CDN",
homepage:"https://www.bootstrapcdn.com/",categories:["cdn"],domains:["*.bootstrapcdn.com"]},{name:"Pardot",categories:["marketing"],domains:["*.pardot.com"]},{name:"Foursixty",categories:["customer-success"],domains:["*.foursixty.com"]},{name:"Ecwid",categories:["hosting"],domains:["*.ecwid.com","*.shopsettings.com","d3fi9i0jj23cau.cloudfront.net","d3j0zfs7paavns.cloudfront.net"]},{name:"BounceX",categories:["analytics"],homepage:"https://www.bouncex.com/",domains:["*.bounceexchange.com","*.bouncex.net"]},{name:"TrustArc",homepage:"https://www.trustarc.com/",categories:["utility"],domains:["*.trustarc.com"]},{name:"iZooto",homepage:"https://www.izooto.com",categories:["marketing"],domains:["*.izooto.com"]},{name:"ContentSquare",categories:["analytics"],domains:["d1m6l9dfulcyw7.cloudfront.net","*.content-square.net","*.contentsquare.net"]},{name:"Marketo",homepage:"https://www.marketo.com",categories:["analytics"],domains:["*.marketo.com","*.mktoresp.com","*.marketo.net"]},{name:"LKQD",
categories:["ad"],domains:["*.lkqd.net"]},{name:"Ezoic",categories:["analytics"],domains:["*.ezoic.net"]},{name:"Comm100",categories:["customer-success"],domains:["*.comm100.com"]},{name:"Refersion",categories:["ad"],domains:["*.refersion.com"]},{name:"Constant Contact",categories:["ad"],domains:["*.ctctcdn.com"]},{name:"UserReport",categories:["analytics"],domains:["*.userreport.com"]},{name:"Bizible",categories:["ad"],domains:["*.bizible.com","*.bizibly.com"]},{name:"LoyaltyLion",categories:["ad"],domains:["*.loyaltylion.com","*.loyaltylion.net","dg1f2pfrgjxdq.cloudfront.net"]},{name:"PageSense",homepage:"https://www.zoho.com/pagesense/",categories:["analytics"],domains:["*.pagesense.io"]},{name:"AppDynamics",homepage:"https://www.appdynamics.com/",categories:["utility"],domains:["*.appdynamics.com","*.eum-appdynamics.com","d3tjaysgumg9lf.cloudfront.net"]},{name:"Disqus",homepage:"http://disqus.com/",categories:["social"],domains:["*.disqus.com","*.disquscdn.com"]},{name:"AppNexus",
homepage:"https://www.appnexus.com/",categories:["ad"],domains:["*.adnxs.com","*.ctasnet.com","*.adrdgt.com"]},{name:"ResponsiveVoice",categories:["other"],domains:["*.responsivevoice.org"]},{name:"Adyoulike",categories:["ad"],domains:["*.adyoulike.com","*.omnitagjs.com","*.adyoulike.net"]},{name:"ExoClick",categories:["ad"],domains:["*.exoclick.com"]},{name:"RevJet",homepage:"https://www.revjet.com/",categories:["ad"],domains:["*.revjet.com"]},{name:"Rakuten Marketing",company:"Rakuten",categories:["ad"],domains:["*.rakuten-static.com","*.rmtag.com"]},{name:"Attentive",homepage:"https://attentivemobile.com/",categories:["ad"],domains:["*.attn.tv","*.attentivemobile.com"]},{name:"Unruly Media",categories:["ad"],domains:["*.unrulymedia.com"]},{name:"33 Across",homepage:"https://33across.com/",categories:["ad"],domains:["*.33across.com"]},{name:"piano",categories:["ad"],domains:["*.npttech.com","*.tinypass.com"]},{name:"Smart Insight Tracking",company:"Emarsys",categories:["analytics"],
domains:["*.scarabresearch.com"]},{name:"Geniee",categories:["ad"],domains:["*.href.asia","*.genieessp.jp","*.genieesspv.jp","*.gssprt.jp"]},{name:"Medium",categories:["content"],domains:["*.medium.com"]},{name:"Vidible",categories:["ad"],domains:["*.vidible.tv"]},{name:"Revolver Maps",categories:["analytics"],domains:["*.revolvermaps.com"]},{name:"SublimeSkinz",categories:["ad"],domains:["*.ayads.co"]},{name:"Kampyle",categories:["analytics"],domains:["*.kampyle.com"]},{name:"Nativo",categories:["ad"],domains:["*.postrelease.com"]},{name:"SnapEngage",categories:["customer-success"],domains:["*.snapengage.com"]},{name:"Sift Science",categories:["utility"],domains:["*.siftscience.com"]},{name:"Riskified",categories:["utility"],domains:["*.riskified.com"]},{name:"Listrak",homepage:"https://www.listrak.com/",categories:["marketing"],domains:["*.listrak.com","*.listrakbi.com"]},{name:"GetResponse",categories:["ad"],domains:["*.getresponse.com"]},{name:"TagCommander",
categories:["tag-manager"],domains:["*.commander1.com","*.tagcommander.com"]},{name:"Twitch",homepage:"https://twitch.tv/",categories:["video"],domains:["*.twitch.tv"]},{name:"Evidon",categories:["analytics"],domains:["*.evidon.com"]},{name:"Bronto Software",categories:["marketing"],domains:["*.bm23.com","*.bronto.com","*.brontops.com"]},{name:"Tribal Fusion",company:"Exponential Interactive",categories:["ad"],domains:["*.tribalfusion.com"]},{name:"PowerReviews",categories:["analytics"],domains:["*.powerreviews.com"]},{name:"Admixer for Publishers",company:"Admixer",categories:["ad"],domains:["*.admixer.net"]},{name:"Salesforce.com",categories:["ad"],domains:["*.force.com","*.salesforce.com"]},{name:"Covert Pics",categories:["content"],domains:["*.covet.pics"]},{name:"Keen",company:"Keen",homepage:"https://keen.io/",categories:["analytics"],domains:["*.keen.io","d26b395fwzu5fz.cloudfront.net"]},{name:"Branch Metrics",categories:["ad"],domains:["*.branch.io","*.app.link"]},{
name:"GitHub",categories:["utility"],domains:["*.github.com","*.githubusercontent.com","*.github.io","*.rawgit.com"]},{name:"Dynamic Yield",categories:["customer-success"],domains:["*.dynamicyield.com"]},{name:"ForeSee",company:"Answers",categories:["analytics"],domains:["*.4seeresults.com","*.answerscloud.com","*.foresee.com","*.foreseeresults.com"]},{name:"Clerk.io ApS",categories:["analytics"],domains:["*.clerk.io"]},{name:"iovation",categories:["utility"],domains:["*.iesnare.com"]},{name:"Convert Insights",categories:["analytics"],domains:["*.convertexperiments.com"]},{name:"STINGRAY",company:"FlexOne",categories:["ad"],domains:["*.impact-ad.jp"]},{name:"iAdvize SAS",categories:["customer-success"],domains:["*.iadvize.com"]},{name:"Digioh",categories:["ad"],domains:["*.lightboxcdn.com"]},{name:"Polar",homepage:"https://polar.me/",categories:["ad"],
domains:["*.polarmobile.ca","*.mediaeverywhere.com","*.mediavoice.com","*.plrsrvcs.com","*.polarcdn-engine.com","*.polarcdn-meraxes.com","*.polarcdn-pentos.com","*.polarcdn-static.com","*.polarcdn-terrax.com","*.polarcdn.com","*.polarmobile.com","*.poweredbypolar.com","*.mediaconductor.me","*.polaracademy.me"]},{name:"eBay",categories:["ad"],domains:["*.ebay.com","*.ebayimg.com","*.fetchback.com"]},{name:"Pendo",homepage:"https://www.pendo.io",categories:["analytics"],domains:["*.pendo.io"]},{name:"Clicktale",categories:["analytics"],domains:["*.cdngc.net","*.clicktale.net"]},{name:"Symantec",categories:["utility"],domains:["*.norton.com","*.symantec.com","*.symcb.com","*.symcd.com"]},{name:"Nend",categories:["ad"],domains:["*.nend.net"]},{name:"StickyADS.tv",categories:["ad"],domains:["*.stickyadstv.com"]},{name:"TrackJS",categories:["analytics"],domains:["*.trackjs.com","d2zah9y47r7bi2.cloudfront.net"]},{name:"Usabilla",homepage:"https://usabilla.com",categories:["analytics"],
domains:["*.usabilla.com","d6tizftlrpuof.cloudfront.net"]},{name:"Technorati",company:"Synacor",categories:["ad"],domains:["*.technoratimedia.com"]},{name:"SessionCam",company:"ServiceTick",categories:["analytics"],domains:["*.sessioncam.com","d2oh4tlt9mrke9.cloudfront.net"]},{name:"SpringServer",categories:["ad"],domains:["*.springserve.com"]},{name:"Hotmart",homepage:"https://www.hotmart.com/",categories:["content"],domains:["*.hotmart.com"]},{name:"WisePops",categories:["utility"],domains:["*.wisepops.com"]},{name:"IBM Digital Analytics",company:"IBM",categories:["analytics"],domains:["*.cmcore.com","coremetrics.com","data.coremetrics.com","data.de.coremetrics.com","libs.de.coremetrics.com","tmscdn.de.coremetrics.com","iocdn.coremetrics.com","libs.coremetrics.com","tmscdn.coremetrics.com","*.s81c.com","*.unica.com","*.coremetrics.eu"]},{name:"ZEDO",categories:["ad"],domains:["*.zedo.com"]},{name:"AdMatic",categories:["ad"],domains:["*.admatic.com.tr"]},{name:"Wishpond Technologies",
categories:["marketing"],domains:["*.wishpond.com","*.wishpond.net"]},{name:"Monetate",categories:["analytics"],domains:["*.monetate.net"]},{name:"AOL / Oath / Verizon Media",homepage:"https://www.oath.com/",categories:["ad"],domains:["*.advertising.com","*.aol.com","*.aolcdn.com","*.blogsmithmedia.com","*.oath.com","*.aol.net","*.tacoda.net","*.aol.co.uk"]},{name:"IPONWEB",categories:["ad"],domains:["*.company-target.com","*.liadm.com","*.iponweb.net","*.p161.net"]},{name:"Fort Awesome",categories:["cdn"],domains:["*.fortawesome.com"]},{name:"Affiliate Window",company:"Digital Window",categories:["ad"],domains:["*.dwin1.com"]},{name:"Forter",categories:["utility"],domains:["*.forter.com"]},{name:"WebsiteBuilder.com",homepage:"https://www.websitebuilder.com",categories:["hosting"],domains:["*.mywebsitebuilder.com"]},{name:"Reviews.co.uk",categories:["analytics"],domains:["*.reviews.co.uk"]},{name:"Maxymiser",categories:["analytics"],domains:["*.maxymiser.net"]},{name:"Adocean",
company:"Gemius",categories:["ad"],domains:["*.adocean.pl"]},{name:"Lytics",categories:["ad"],domains:["*.lytics.io"]},{name:"plista",categories:["ad"],domains:["*.plista.com"]},{name:"Bootstrap Chinese network",categories:["cdn"],domains:["*.bootcss.com"]},{name:"Snacktools",categories:["ad"],domains:["*.bannersnack.com"]},{name:"Skype",categories:["other"],domains:["*.skype.com"]},{name:"Okas Concepts",categories:["utility"],domains:["*.okasconcepts.com"]},{name:"Freshdesk",homepage:"https://freshdesk.com/",categories:["customer-success"],domains:["d36mpcpuzc4ztk.cloudfront.net"]},{name:"AIR.TV",categories:["ad"],domains:["*.air.tv"]},{name:"Rackspace",categories:["hosting"],domains:["*.rackcdn.com","*.rackspacecloud.com","*.raxcdn.com","*.websitetestlink.com"]},{name:"Shareaholic",homepage:"https://www.shareaholic.com/",categories:["social"],domains:["*.shareaholic.com","dsms0mj1bbhn4.cloudfront.net"]},{name:"Meetrics",categories:["ad"],
domains:["*.de.com","*.meetrics.net","*.mxcdn.net"]},{name:"LiveTex",categories:["customer-success"],domains:["*.livetex.ru"]},{name:"Media Management Technologies",categories:["ad"],domains:["*.speedshiftmedia.com"]},{name:"Opentag",company:"Qubit",categories:["tag-manager"],domains:["*.qutics.com","d3c3cq33003psk.cloudfront.net"]},{name:"Crowd Control",company:"Lotame",categories:["ad"],domains:["*.crwdcntrl.net"]},{name:"Wufoo",categories:["utility"],domains:["*.wufoo.com"]},{name:"Exponea",categories:["analytics"],domains:["*.exponea.com"]},{name:"Forensiq",categories:["utility"],domains:["*.fqtag.com"]},{name:"fluct",categories:["ad"],domains:["*.adingo.jp"]},{name:"Pagely",categories:["other"],domains:["*.optnmstr.com"]},{name:"ClickDesk",categories:["customer-success"],domains:["*.clickdesk.com","d1gwclp1pmzk26.cloudfront.net"]},{name:"Alexa",homepage:"https://www.alexa.com/",categories:["analytics"],domains:["*.alexametrics.com","d31qbv1cthcecs.cloudfront.net"]},{name:"Radar",
company:"Cedexis",homepage:"https://www.cedexis.com/radar/",categories:["analytics"],domains:["*.cedexis-test.com","*.cedexis.com","*.cmdolb.com","cedexis.leasewebcdn.com","*.cedexis-radar.net","*.cedexis.net","cedexis-test01.insnw.net","cedexisakamaitest.azureedge.net","cedexispub.cdnetworks.net","cs600.wac.alphacdn.net","cs600.wpc.edgecastdns.net","global2.cmdolb.com","img-cedexis.mncdn.com","a-cedexis.msedge.net","zn3vgszfh.fastestcdn.net"]},{name:"Talkable",categories:["ad"],domains:["*.talkable.com","d2jjzw81hqbuqv.cloudfront.net"]},{name:"WebEngage",categories:["customer-success"],domains:["*.webengage.co","*.webengage.com","d23nd6ymopvz52.cloudfront.net","d3701cc9l7v9a6.cloudfront.net"]},{name:"rewardStyle.com",categories:["ad"],domains:["*.rewardstyle.com"]},{name:"Revcontent",categories:["content"],domains:["*.revcontent.com"]},{name:"iBillboard",categories:["ad"],domains:["*.ibillboard.com"]},{name:"Decibel Insight",categories:["analytics"],domains:["*.decibelinsight.net"]},{
name:"Vidyard",homepage:"https://www.vidyard.com/",categories:["utility"],domains:["*.vidyard.com"]},{name:"Quantum Metric",homepage:"https://www.quantummetric.com/",categories:["analytics"],domains:["*.quantummetric.com"]},{name:"Civic",categories:["hosting"],domains:["*.civiccomputing.com"]},{name:"Highcharts",categories:["utility"],domains:["*.highcharts.com"]},{name:"Dynatrace",categories:["analytics"],domains:["*.ruxit.com","js-cdn.dynatrace.com"]},{name:"Auto Link Maker",company:"Apple",categories:["ad"],domains:["*.apple.com"]},{name:"Appier",categories:["ad"],domains:["*.appier.net"]},{name:"Yieldify",categories:["ad"],domains:["*.yieldify.com","*.yieldifylabs.com","d33wq5gej88ld6.cloudfront.net","dwmvwp56lzq5t.cloudfront.net"]},{name:"Sooqr Search",company:"Sooqr",categories:["utility"],domains:["*.sooqr.com"]},{name:"Kaltura Video Platform",company:"Kaltura",categories:["content"],domains:["*.kaltura.com"]},{name:"BoldChat",company:"LogMeIn",categories:["customer-success"],
domains:["*.boldchat.com"]},{name:"FirstImpression",categories:["ad"],domains:["*.firstimpression.io"]},{name:"Picreel",categories:["analytics"],domains:["*.pcrl.co","*.picreel.com"]},{name:"DigiTrust",homepage:"http://www.digitru.st/",categories:["analytics"],domains:["*.digitru.st"]},{name:"AdsWizz",categories:["ad"],domains:["*.adswizz.com"]},{name:"SaleCycle",categories:["ad"],domains:["*.salecycle.com","d16fk4ms6rqz1v.cloudfront.net","d22j4fzzszoii2.cloudfront.net","d30ke5tqu2tkyx.cloudfront.net","dn1i8v75r669j.cloudfront.net"]},{name:"Flowplayer",categories:["content"],domains:["*.flowplayer.org"]},{name:"LoopMe",categories:["ad"],domains:["*.loopme.biz","*.loopme.com","*.vntsm.com","*.loopme.me"]},{name:"Tail Target",company:"Tail",categories:["ad"],domains:["*.tailtarget.com"]},{name:"AddShoppers",categories:["social"],domains:["*.addshoppers.com","d3rr3d0n31t48m.cloudfront.net","*.shop.pe"]},{name:"Browsealoud",homepage:"https://www.texthelp.com/en-gb/products/browsealoud/",
categories:["other"],domains:["*.browsealoud.com","*.texthelp.com"]},{name:"LinkedIn Ads",categories:["ad"],domains:["*.licdn.com","ads.linkedin.com","www.linkedin.com"]},{name:"Audience 360",company:"Datapoint Media",categories:["ad"],domains:["*.dpmsrv.com"]},{name:"Tag Inspector",company:"InfoTrust",categories:["analytics"],domains:["d22xmn10vbouk4.cloudfront.net"]},{name:"MonetizeMore",categories:["ad"],domains:["*.m2.ai"]},{name:"Mather Economics",categories:["analytics"],domains:["*.matheranalytics.com"]},{name:"Fresh Relevance",categories:["analytics"],domains:["*.freshrelevance.com","*.cloudfront.ne","d1y9qtn9cuc3xw.cloudfront.net","d81mfvml8p5ml.cloudfront.net","dkpklk99llpj0.cloudfront.net"]},{name:"Supership",homepage:"https://supership.jp/",categories:["ad"],domains:["*.socdm.com"]},{name:"Fastly Insights",homepage:"https://insights.fastlylabs.com",categories:["analytics"],domains:["*.fastly-insights.com"]},{name:"Keywee",categories:["ad"],domains:["*.keywee.co"]},{
name:"LiveHelpNow",categories:["customer-success"],domains:["*.livehelpnow.net"]},{name:"AudienceSearch",company:"Intimate Merger",categories:["ad"],domains:["*.im-apps.net"]},{name:"Evergage",categories:["analytics"],domains:["*.evergage.com","*.evgnet.com"]},{name:"Wicked Reports",homepage:"https://www.wickedreports.com/",categories:["marketing"],domains:["*.wickedreports.com"]},{name:"ReadSpeaker",homepage:"https://www.readspeaker.com",categories:["other"],domains:["*.readspeaker.com"]},{name:"WebpageFX",categories:["ad"],domains:["*.leadmanagerfx.com"]},{name:"Adobe Scene7",company:"Adobe Systems",categories:["content"],domains:["wwwimages.adobe.com","*.scene7.com","*.everestads.net","*.everestjs.net"]},{name:"IBM Acoustic Campaign",company:"IBM",categories:["analytics"],
domains:["www.sc.pages01.net","www.sc.pages02.net","www.sc.pages03.net","www.sc.pages04.net","www.sc.pages05.net","www.sc.pages06.net","www.sc.pages07.net","www.sc.pages08.net","www.sc.pages09.net","www.sc.pagesA.net"]},{name:"The Trade Desk",homepage:"https://www.thetradedesk.com/",categories:["ad"],domains:["d1eoo1tco6rr5e.cloudfront.net","*.adsrvr.org"]},{name:"Google Plus",company:"Google",categories:["social"],domains:["plus.google.com"]},{name:"SearchSpring",categories:["utility"],domains:["*.searchspring.net"]},{name:"Curalate",categories:["marketing"],domains:["*.curalate.com","d116tqlcqfmz3v.cloudfront.net"]},{name:"Pixlee",categories:["social"],domains:["*.pixlee.com"]},{name:"Weborama",categories:["ad"],domains:["*.weborama.com","*.weborama.fr"]},{name:"Apester",categories:["analytics"],domains:["*.apester.com","*.qmerce.com"]},{name:"Sekindo",categories:["content"],domains:["*.sekindo.com"]},{name:"FoxyCart",categories:["utility"],domains:["*.foxycart.com"]},{
name:"MaxMind",categories:["utility"],domains:["*.maxmind.com"]},{name:"Braze",homepage:"https://www.braze.com",categories:["analytics"],domains:["*.appboycdn.com"]},{name:"smartclip",categories:["ad"],domains:["*.smartclip.net"]},{name:"Opta",company:"Perform Group",categories:["content"],domains:["*.opta.net"]},{name:"Interpublic Group",categories:["ad"],domains:["*.mbww.com"]},{name:"Between Digital",categories:["ad"],domains:["*.betweendigital.com"]},{name:"CyberSource (Visa)",categories:["utility"],domains:["*.authorize.net"]},{name:"JustPremium Ads",company:"JustPremium",categories:["ad"],domains:["*.justpremium.com"]},{name:"Concert",homepage:"https://concert.io/",categories:["ad"],domains:["*.concert.io"]},{name:"Vox Media",homepage:"https://www.voxmedia.com/",categories:["content"],domains:["*.vox-cdn.com","*.voxmedia.com"]},{name:"CPEx",categories:["content"],domains:["*.cpex.cz"]},{name:"TripAdvisor",categories:["content"],
domains:["*.jscache.com","*.tacdn.com","*.tamgrt.com","*.tripadvisor.com","*.viator.com","*.tripadvisor.co.uk"]},{name:"Ipify",homepage:"https://www.ipify.org",categories:["utility"],domains:["*.ipify.org"]},{name:"Click Guardian",homepage:"https://www.clickguardian.co.uk/",categories:["advertising"],domains:["*.clickguardian.app","*.clickguardian.co.uk"]},{name:"Autopilot",categories:["ad"],domains:["*.autopilothq.com"]},{name:"KISSmetrics",categories:["analytics"],domains:["*.kissmetrics.com","doug1izaerwt3.cloudfront.net","dsyszv14g9ymi.cloudfront.net"]},{name:"Yieldmo",categories:["ad"],domains:["*.yieldmo.com"]},{name:"Simplicity Marketing",categories:["ad"],domains:["*.flashtalking.com"]},{name:"mParticle",homepage:"https://www.mparticle.com/",categories:["utility"],domains:["*.mparticle.com"]},{name:"Global-e",categories:["hosting"],domains:["*.global-e.com"]},{name:"SurveyMonkey",categories:["analytics"],domains:["*.surveymonkey.com"]},{name:"Connatix",categories:["ad"],
domains:["*.connatix.com"]},{name:"Drip",company:"The Numa Group",categories:["ad"],domains:["*.getdrip.com"]},{name:"BannerFlow",company:"Nordic Factory Solutions",categories:["ad"],domains:["*.bannerflow.com"]},{name:"DemandBase",categories:["marketing"],domains:["*.demandbase.com"]},{name:"DMD Marketing",homepage:"https://www.dmdconnects.com/",categories:["ad"],domains:["*.medtargetsystem.com"]},{name:"Omniconvert",categories:["analytics"],domains:["*.omniconvert.com","d2tgfbvjf3q6hn.cloudfront.net","d3vbj265bmdenw.cloudfront.net"]},{name:"Yottaa",categories:["hosting"],domains:["*.yottaa.com","*.yottaa.net"]},{name:"Sirv",categories:["other"],domains:["*.sirv.com"]},{name:"TripleLift",categories:["ad"],domains:["*.3lift.com"]},{name:"Edge Web Fonts",company:"Adobe Systems",categories:["cdn"],domains:["*.edgefonts.net"]},{name:"Tradelab",categories:["ad"],domains:["*.tradelab.fr"]},{name:"DialogTech",categories:["ad"],domains:["*.dialogtech.com"]},{name:"Calendly",
categories:["other"],domains:["*.calendly.com"]},{name:"Media Math",homepage:"http://www.mediamath.com/",categories:["ad"],domains:["*.mathads.com","*.mathtag.com"]},{name:"Typepad",categories:["hosting"],domains:["*.typepad.com"]},{name:"Qualaroo",categories:["analytics"],domains:["*.qualaroo.com"]},{name:"Drawbridge",homepage:"https://www.drawbridge.com/",categories:["ad"],domains:["*.adsymptotic.com"]},{name:"Stamped.io",categories:["analytics"],domains:["*.stamped.io"]},{name:"Feedbackify",company:"InsideMetrics",categories:["analytics"],domains:["*.feedbackify.com"]},{name:"Auth0",homepage:"https://auth0.com/",categories:["utility"],domains:["*.auth0.com"]},{name:"Datawrapper",categories:["utility"],domains:["*.datawrapper.de","*.dwcdn.net"]},{name:"Reviews.io",categories:["analytics"],domains:["*.reviews.io"]},{name:"Adscale",categories:["ad"],domains:["*.adscale.de"]},{name:"SpotXchange",categories:["ad"],domains:["*.spotxcdn.com","*.spotxchange.com","*.spotx.tv"]},{
name:"Stackla PTY",categories:["social"],domains:["*.stackla.com"]},{name:"linkpulse",categories:["analytics"],domains:["*.lp4.io"]},{name:"Market GID",homepage:"https://www.marketgid.com/",categories:["ad"],domains:["*.marketgid.com"]},{name:"CleverTap",categories:["analytics"],domains:["d2r1yp2w7bby2u.cloudfront.net"]},{name:"Infinity Tracking",categories:["analytics"],domains:["*.infinity-tracking.net"]},{name:"Mouseflow",categories:["analytics"],domains:["*.mouseflow.com"]},{name:"Luigi’s Box",company:"Luigi’s Box",homepage:"https://www.luigisbox.com/",categories:["utility"],domains:["*.luigisbox.com"]},{name:"Shopgate",categories:["utility"],domains:["*.shopgate.com"]},{name:"Reklama",categories:["ad"],domains:["*.o2.pl","*.wp.pl"]},{name:"Survicate",categories:["analytics"],domains:["*.survicate.com"]},{name:"Ad6Media",categories:["ad"],domains:["*.ad6media.fr"]},{name:"GetIntent RTBSuite",company:"GetIntent",categories:["ad"],domains:["*.adhigh.net"]},{name:"Snack Media",
categories:["content"],domains:["*.snack-media.com"]},{name:"Cloudinary",categories:["content"],domains:["*.cloudinary.com"]},{name:"ThreatMetrix",categories:["utility"],domains:["*.online-metrix.net"]},{name:"Delta Projects AB",categories:["ad"],domains:["*.de17a.com"]},{name:"Adition",homepage:"https://www.adition.com",categories:["ad"],domains:["*.adition.com"]},{name:"Rocket Fuel",categories:["ad"],domains:["*.rfihub.com","*.ru4.com","*.rfihub.net","*.ad1x.com"]},{name:"Marketplace Web Service",company:"Amazon",categories:["other"],domains:["*.ssl-images-amazon.com"]},{name:"OneSignal",homepage:"https://onesignal.com/",categories:["utility"],domains:["*.onesignal.com"]},{name:"Customer.io",categories:["ad"],domains:["*.customer.io"]},{name:"Gleam",categories:["marketing"],domains:["*.gleam.io"]},{name:"Petametrics",categories:["analytics"],domains:["*.petametrics.com"]},{name:"ResponseTap",categories:["analytics"],domains:["*.adinsight.com","*.responsetap.com"]},{name:"TINT",
categories:["content"],domains:["*.71n7.com","d33w9bm0n1egwm.cloudfront.net","d36hc0p18k1aoc.cloudfront.net","d3l7tj34e9fc43.cloudfront.net"]},{name:"Zanox",categories:["ad"],domains:["*.zanox.com","*.zanox.ws"]},{name:"infogr.am",categories:["utility"],domains:["*.infogr.am","*.jifo.co"]},{name:"Playbuzz",categories:["hosting"],domains:["*.playbuzz.com"]},{name:"Klevu Search",company:"Klevu",categories:["utility"],domains:["*.klevu.com"]},{name:"Conversio",categories:["ad"],domains:["*.conversio.com"]},{name:"Sidecar",categories:["other"],domains:["*.getsidecar.com","d3v27wwd40f0xu.cloudfront.net"]},{name:"Sajari Pty",categories:["utility"],domains:["*.sajari.com"]},{name:"Profitshare",categories:["ad"],domains:["*.profitshare.ro"]},{name:"Qubit Deliver",company:"Qubit",categories:["analytics"],domains:["d1m54pdnjzjnhe.cloudfront.net","d22rutvoghj3db.cloudfront.net","dd6zx4ibq538k.cloudfront.net"]},{name:"Arbor",company:"LiveRamp",categories:["other"],domains:["*.pippio.com"]},{
name:"Best Of Media S.A.",categories:["content"],domains:["*.servebom.com"]},{name:"Impact Radius",categories:["ad"],domains:["*.impactradius-event.com","*.impactradius-go.com","*.7eer.net","d3cxv97fi8q177.cloudfront.net","*.evyy.net","*.ojrq.net"]},{name:"Matomo",company:"InnoCraft",homepage:"https://matomo.org/",categories:["analytics"],domains:["*.matomo.cloud"]},{name:"Flickr",categories:["content"],domains:["*.flickr.com","*.staticflickr.com"]},{name:"Fanplayr",categories:["analytics"],domains:["*.fanplayr.com","d38nbbai6u794i.cloudfront.net"]},{name:"Navegg",categories:["ad"],domains:["*.navdmp.com"]},{name:"Ambassador",categories:["ad"],domains:["*.getambassador.com"]},{name:"Intercept Interactive",categories:["ad"],domains:["*.undertone.com"]},{name:"Cookie-Script.com",categories:["utility"],domains:["*.cookie-script.com"]},{name:"GIPHY",categories:["content"],domains:["*.giphy.com"]},{name:"Kaizen Platform",categories:["analytics"],domains:["*.kaizenplatform.net"]},{
name:"Bluecore",categories:["analytics"],domains:["*.bluecore.com"]},{name:"Exponential Interactive",categories:["ad"],domains:["*.exponential.com"]},{name:"Hupso Website Analyzer",company:"Hupso",categories:["analytics"],domains:["*.hupso.com"]},{name:"Adkontekst",categories:["ad"],domains:["*.adkontekst.pl"]},{name:"Rakuten LinkShare",company:"Rakuten",categories:["ad"],domains:["*.linksynergy.com"]},{name:"WebSpectator",categories:["ad"],domains:["*.webspectator.com"]},{name:"The Hut Group",categories:["content"],domains:["*.thcdn.com"]},{name:"Underdog Media",categories:["ad"],domains:["*.underdog.media","*.udmserve.net"]},{name:"Steelhouse",categories:["ad"],domains:["*.steelhousemedia.com"]},{name:"Bolt",homepage:"https://www.bolt.com/",categories:["utility"],domains:["*.bolt.com"]},{name:"AdRiver",categories:["ad"],domains:["*.adriver.ru"]},{name:"Viacom",categories:["content"],domains:["*.mtvnservices.com"]},{name:"CleverDATA",categories:["ad"],domains:["*.1dmp.io"]},{
name:"WalkMe",categories:["customer-success"],domains:["*.walkme.com"]},{name:"Flockler",categories:["ad"],domains:["*.flockler.com"]},{name:"Hola Networks",categories:["other"],domains:["*.h-cdn.com"]},{name:"Acceptable Ads",homepage:"https://acceptableads.com/",categories:["ad"],domains:["*.aaxads.com","*.aaxdetect.com"]},{name:"Socialphotos",categories:["social"],domains:["*.slpht.com"]},{name:"epoq internet services",categories:["analytics"],domains:["*.epoq.de"]},{name:"Livefyre",categories:["content"],domains:["*.fyre.co","*.livefyre.com"]},{name:"Turn",categories:["ad"],domains:["*.turn.com"]},{name:"Kargo",categories:["marketing"],domains:["*.kargo.com"]},{name:"Adyen",categories:["utility"],domains:["*.adyen.com"]},{name:"Knight Lab",company:"Northwestern University",categories:["utility"],domains:["*.knightlab.com"]},{name:"Ziff Davis Tech",categories:["ad"],domains:["*.adziff.com","*.zdbb.net"]},{name:"Reevoo",categories:["analytics"],domains:["*.reevoo.com"]},{
name:"The ADEX",categories:["ad"],domains:["*.theadex.com"]},{name:"AWeber",categories:["ad"],domains:["*.aweber.com"]},{name:"Proper Media",categories:["content"],domains:["*.proper.io"]},{name:"Pusher",homepage:"https://pusher.com/",categories:["utility"],domains:["*.pusher.com","*.pusherapp.com"]},{name:"Ooyala",categories:["ad"],domains:["*.ooyala.com"]},{name:"Mopinion",categories:["analytics"],domains:["*.mopinion.com"]},{name:"Netlify",homepage:"https://www.netlify.com/",categories:["utility"],domains:["*.netlify.com","*.netlifyusercontent.com"]},{name:"Experian Cross-Channel Marketing Platform",company:"Experian",categories:["marketing"],domains:["*.eccmp.com","*.ccmp.eu"]},{name:"Postcode Anywhere (Holdings)",categories:["utility"],domains:["*.postcodeanywhere.co.uk"]},{name:"reEmbed",categories:["other"],domains:["*.reembed.com"]},{name:"Vibrant Media",categories:["ad"],domains:["*.intellitxt.com","*.picadmedia.com"]},{name:"GoSquared",homepage:"https://www.gosquared.com",
categories:["analytics"],domains:["*.gosquared.com","d1l6p2sc9645hc.cloudfront.net"]},{name:"Onet",categories:["ad"],domains:["*.onet.pl"]},{name:"SlimCut Media Outstream",company:"SlimCut Media",categories:["ad"],domains:["*.freeskreen.com"]},{name:"Sojern",categories:["marketing"],domains:["*.sojern.com"]},{name:"Tagboard",categories:["social"],domains:["*.tagboard.com"]},{name:"reddit",categories:["social"],domains:["*.reddit.com","*.redditstatic.com"]},{name:"bRealTime",categories:["ad"],domains:["*.brealtime.com"]},{name:"Woopra",categories:["analytics"],domains:["*.woopra.com"]},{name:"Cookie Reports",categories:["utility"],domains:["*.cookiereports.com"]},{name:"Usersnap",homepage:"https://usersnap.com",categories:["customer-success"],domains:["*.usersnap.com"]},{name:"NetAffiliation",company:"Kwanco",categories:["ad"],domains:["*.metaffiliation.com"]},{name:"Opinion Stage",categories:["analytics"],domains:["*.opinionstage.com"]},{name:"Kameleoon",categories:["analytics"],
domains:["*.kameleoon.com"]},{name:"Zmags",categories:["marketing"],domains:["*.zmags.com"]},{name:"Celtra",categories:["ad"],domains:["*.celtra.com"]},{name:"Elastic Ad",categories:["ad"],domains:["*.elasticad.net"]},{name:"FLXone",company:"Teradata",categories:["ad"],domains:["*.pangolin.blue","*.flx1.com","d2hlpp31teaww3.cloudfront.net","*.flxpxl.com"]},{name:"StreamRail",categories:["ad"],domains:["*.streamrail.com","*.streamrail.net"]},{name:"Effective Measure",categories:["ad"],domains:["*.effectivemeasure.net"]},{name:"Touch Commerce",categories:["customer-success"],domains:["*.inq.com","*.touchcommerce.com"]},{name:"Resonance Insights",categories:["analytics"],domains:["*.res-x.com"]},{name:"Advance Magazine Group",categories:["content"],domains:["*.condenastdigital.com","*.condenet.com","*.condenast.co.uk"]},{name:"PerimeterX Bot Defender",company:"PerimeterX",categories:["utility"],domains:["*.perimeterx.net","*.pxi.pub"]},{name:"Reflektion",categories:["analytics"],
domains:["*.reflektion.com","d26opx5dl8t69i.cloudfront.net"]},{name:"Clicktripz",categories:["content"],domains:["*.clicktripz.com"]},{name:"Barilliance",categories:["analytics"],domains:["*.barilliance.net","dn3y71tq7jf07.cloudfront.net"]},{name:"Qualtrics",categories:["analytics"],domains:["*.qualtrics.com"]},{name:"Sonobi",categories:["ad"],domains:["*.sonobi.com"]},{name:"Polldaddy",company:"Automattic",categories:["analytics"],domains:["polldaddy.com"]},{name:"Swoop",categories:["ad"],domains:["*.swoop.com"]},{name:"Mobify",categories:["utility"],domains:["*.mobify.com","*.mobify.net"]},{name:"Zarget",categories:["analytics"],domains:["*.zarget.com"]},{name:"TruConversion",categories:["analytics"],domains:["*.truconversion.com"]},{name:"Spot.IM",categories:["social"],domains:["*.spot.im","*.spotim.market"]},{name:"Bookatable",categories:["content"],domains:["*.bookatable.com","*.livebookings.com"]},{name:"Wow Analytics",categories:["analytics"],domains:["*.wowanalytics.co.uk"]},{
name:"Clickagy Audience Lab",company:"Clickagy",categories:["ad"],domains:["*.clickagy.com"]},{name:"Verizon Digital Media CDN",homepage:"https://www.verizondigitalmedia.com/",categories:["cdn"],domains:["*.edgecastcdn.net","*.edgecastdns.net"]},{name:"Moxie",homepage:"https://www.gomoxie.com/",categories:["utility"],domains:["*.gomoxie.solutions"]},{name:"OnScroll",categories:["ad"],domains:["*.onscroll.com"]},{name:"OwnerIQ",categories:["ad"],domains:["*.owneriq.net"]},{name:"Friendbuy",categories:["ad"],domains:["*.friendbuy.com","djnf6e5yyirys.cloudfront.net"]},{name:"Transifex",categories:["utility"],domains:["*.transifex.com"]},{name:"Twitter Online Conversion Tracking",company:"Twitter",categories:["ad"],domains:["*.ads-twitter.com","analytics.twitter.com"]},{name:"PebblePost",categories:["ad"],domains:["*.pbbl.co"]},{name:"Cachefly",categories:["utility"],domains:["*.cachefly.net"]},{name:"Storygize",categories:["ad"],domains:["*.storygize.net"]},{name:"Vergic AB",
categories:["customer-success"],domains:["*.psplugin.com"]},{name:"Republer",categories:["ad"],domains:["*.republer.com"]},{name:"Conversant Tag Manager",company:"Conversant",categories:["tag-manager"],domains:["*.mplxtms.com"]},{name:"Attribution",categories:["ad"],domains:["*.attributionapp.com"]},{name:"Netmining",company:"Ignition One",categories:["ad"],domains:["*.netmng.com"]},{name:"Betgenius",company:"Genius Sports",categories:["content"],domains:["*.connextra.com"]},{name:"Intent IQ",categories:["ad"],domains:["*.intentiq.com"]},{name:"Site24x7 Real User Monitoring",company:"Site24x7",categories:["analytics"],domains:["*.site24x7rum.com"]},{name:"Adobe Marketing Cloud",company:"Adobe Systems",categories:["ad"],domains:["*.adobetag.com"]},{name:"SkyScanner",categories:["content"],domains:["*.skyscanner.net"]},{name:"Madison Logic",categories:["marketing"],domains:["*.ml314.com"]},{name:"Foxentry",company:"AVANTRO",homepage:"https://foxentry.cz/",categories:["utility"],
domains:["*.foxentry.cz"]},{name:"MailPlus",categories:["ad"],domains:["*.mailplus.nl"]},{name:"Mux",categories:["analytics"],domains:["*.litix.io"]},{name:"News",categories:["social"],domains:["*.news.com.au","*.newsanalytics.com.au","*.newsapi.com.au","*.newscdn.com.au","*.newsdata.com.au","*.newsdiscover.com.au","*.news-static.com"]},{name:"AdTrue",company:"FPT AdTrue",categories:["ad"],domains:["*.adtrue.com"]},{name:"Optimove",company:"Mobius Solutions",categories:["analytics"],domains:["*.optimove.net"]},{name:"SecuredVisit",company:"4Cite Marketing",categories:["ad"],domains:["*.securedvisit.com"]},{name:"Investis",categories:["utility"],domains:["*.investis.com"]},{name:"Vivocha S.p.A",categories:["customer-success"],domains:["*.vivocha.com"]},{name:"AdSniper",categories:["ad"],domains:["*.adsniper.ru","*.sniperlog.ru"]},{name:"Hull.js",categories:["utility"],domains:["*.hull.io","*.hullapp.io"]},{name:"ShopRunner",categories:["content"],domains:["*.shoprunner.com","*.s-9.us"]
},{name:"InAuth",categories:["utility"],homepage:"https://www.inauth.com/",domains:["*.cdn-net.com"]},{name:"cloudIQ",categories:["analytics"],domains:["*.cloud-iq.com"]},{name:"BuySellAds",categories:["ad"],domains:["*.buysellads.com","*.buysellads.net"]},{name:"LiveRamp IdentityLink",homepage:"https://liveramp.com/discover-identitylink/",categories:["analytics"],domains:["*.circulate.com","*.rlcdn.com"]},{name:"Expedia",categories:["content"],domains:["*.travel-assets.com","*.trvl-media.com","*.trvl-px.com","*.uciservice.com"]},{name:"Aggregate Knowledge",company:"Neustar",categories:["ad"],domains:["*.agkn.com"]},{name:"DialogTech SourceTrak",company:"DialogTech",categories:["ad"],domains:["d31y97ze264gaa.cloudfront.net"]},{name:"Microad",categories:["ad"],domains:["*.microad.jp"]},{name:"Realytics",categories:["analytics"],domains:["dcniko1cv0rz.cloudfront.net","*.realytics.net"]},{name:"Holimetrix",homepage:"https://u360.d-bi.fr/",categories:["marketing"],domains:["*.d-bi.fr"]},{
name:"Kiosked",categories:["ad"],domains:["*.kiosked.com"]},{name:"Webkul",company:"Webkul Software",categories:["utility"],domains:["*.webkul.com"]},{name:"ReCollect",categories:["utility"],domains:["*.recollect.net"]},{name:"CNET Content Solutions",company:"CBS Interactive",categories:["content"],domains:["*.cnetcontent.com"]},{name:"Triblio",categories:["marketing"],domains:["*.tribl.io"]},{name:"Alchemy",company:"AndBeyond.Media",categories:["ad"],domains:["*.andbeyond.media"]},{name:"Vergic Engage Platform",company:"Vergic",categories:["customer-success"],domains:["*.vergic.com"]},{name:"Braintree Payments",company:"Paypal",categories:["utility"],domains:["*.braintreegateway.com"]},{name:"Reactful",categories:["analytics"],domains:["*.reactful.com"]},{name:"[24]7",categories:["customer-success"],domains:["*.247-inc.net","*.247inc.net","d1af033869koo7.cloudfront.net"]},{name:"PlayAd Media Group",categories:["ad"],domains:["*.youplay.se"]},{name:"Sailthru",categories:["analytics"],
domains:["*.sail-horizon.com","*.sail-personalize.com","*.sail-track.com"]},{name:"ShopStorm",categories:["utility"],domains:["*.shopstorm.com"]},{name:"Dataxu",categories:["marketing"],domains:["*.w55c.net"]},{name:"CANDDi",company:"Campaign and Digital Intelligence",categories:["ad"],domains:["*.canddi.com"]},{name:"Dynamic Converter",categories:["utility"],domains:["*.dynamicconverter.com"]},{name:"Meltwater Group",categories:["customer-success"],domains:["*.meltwaternews.com"]},{name:"Datacamp",categories:["utility"],domains:["*.cdn77.org"]},{name:"Janrain",categories:["analytics"],domains:["*.janrain.com","*.janrainbackplane.com","*.rpxnow.com","d3hmp0045zy3cs.cloudfront.net"]},{name:"Smartlook",company:"Smartsupp.com",homepage:"https://www.smartlook.com/",categories:["analytics"],domains:["*.smartlook.com"]},{name:"Iterate",homepage:"https://iteratehq.com/",categories:["analytics"],domains:["*.iteratehq.com"]},{name:"Perfect Audience",company:"Marin Software",categories:["ad"],
domains:["*.prfct.co","*.marinsm.com","*.perfectaudience.com"]},{name:"OneSoon",categories:["analytics"],domains:["*.adalyser.com"]},{name:"Fonecall",categories:["analytics"],domains:["*.web-call-analytics.com"]},{name:"Oracle Recommendations On Demand",company:"Oracle",categories:["analytics"],domains:["*.atgsvcs.com"]},{name:"Salesforce Live Agent",company:"Salesforce.com",categories:["customer-success"],domains:["*.salesforceliveagent.com"]},{name:"InSkin Media",categories:["ad"],domains:["*.inskinad.com","*.inskinmedia.com"]},{name:"ContextWeb",categories:["ad"],domains:["*.contextweb.com"]},{name:"Ekm Systems",categories:["analytics"],domains:["*.ekmsecure.com","*.ekmpinpoint.co.uk"]},{name:"VidPulse",categories:["analytics"],domains:["*.vidpulse.com"]},{name:"RichRelevance",categories:["analytics"],domains:["*.richrelevance.com"]},{name:"Byside",homepage:"http://www.byside.com",categories:["analytics"],domains:["*.byside.com"]},{name:"AnswerDash",categories:["customer-success"],
domains:["*.answerdash.com"]},{name:"Dash Hudson",company:"Dash Hudson",categories:["content"],domains:["*.dashhudson.com"]},{name:"Pingdom RUM",homepage:"https://www.pingdom.com/product/performance-monitoring/",categories:["analytics"],domains:["*.pingdom.net"]},{name:"Exactag",categories:["ad"],domains:["*.exactag.com"]},{name:"Sparkflow",company:"Intercept Interactive",categories:["ad"],domains:["*.sparkflow.net"]},{name:"MLveda",categories:["utility"],domains:["*.mlveda.com"]},{name:"Dropbox",categories:["utility"],domains:["*.dropboxusercontent.com"]},{name:"User Replay",categories:["analytics"],domains:["*.userreplay.net"]},{name:"TechTarget",categories:["content"],domains:["*.techtarget.com","*.ttgtmedia.com"]},{name:"LoginRadius",categories:["social"],domains:["*.loginradius.com"]},{name:"Gfycat",company:"Gycat",categories:["utility"],domains:["*.gfycat.com"]},{name:"PowerFront",categories:["hosting"],domains:["*.inside-graph.com"]},{name:"Raygun",categories:["utility"],
domains:["*.raygun.io"]},{name:"Prezi",categories:["utility"],domains:["*.prezi.com"]},{name:"Adthink",company:"Adthink Media",categories:["ad"],domains:["*.adxcore.com","*.dcoengine.com"]},{name:"JingDong",categories:["content"],domains:["*.3.com","*.jd.com"]},{name:"Cardosa Enterprises",categories:["analytics"],domains:["*.y-track.com"]},{name:"Remintrex",company:"SmartUp Venture",categories:["ad"],domains:["*.remintrex.com"]},{name:"Polyfill service",company:"Polyfill.io",categories:["other"],domains:["*.polyfill.io"]},{name:"TRUSTe",categories:["utility"],domains:["*.truste.com"]},{name:"AI Media Group",categories:["ad"],domains:["*.aimediagroup.com"]},{name:"Alliance for Audited Media",categories:["ad"],domains:["*.aamsitecertifier.com"]},{name:"Segmento",categories:["ad"],domains:["*.rutarget.ru"]},{name:"Vee24",categories:["customer-success"],domains:["*.vee24.com"]},{name:"Performio",categories:["ad"],domains:["*.performax.cz"]},{name:"Beachfront Media",categories:["ad"],
domains:["*.bfmio.com"]},{name:"Magnetic",categories:["ad"],domains:["*.domdex.com","d3ezl4ajpp2zy8.cloudfront.net"]},{name:"Web Dissector",company:"Beijing Gridsum Technologies",categories:["analytics"],domains:["*.gridsumdissector.com","*.webdissector.com"]},{name:"Chameleon",homepage:"https://www.trychameleon.com/",categories:["marketing"],domains:["*.trychameleon.com"]},{name:"UpSellit",categories:["analytics"],domains:["*.upsellit.com"]},{name:"UPS i-parcel",company:"UPS",categories:["other"],domains:["*.i-parcel.com"]},{name:"Filestack",categories:["content"],domains:["*.filepicker.io"]},{name:"MouseStats",categories:["analytics"],domains:["*.mousestats.com"]},{name:"MathJax",categories:["utility"],domains:["*.mathjax.org"]},{name:"OneTag",categories:["ad"],domains:["*.onetag-sys.com"]},{name:"StumbleUpon",categories:["content"],domains:["*.stumble-upon.com","*.stumbleupon.com"]},{name:"StackAdapt",categories:["ad"],domains:["*.stackadapt.com"]},{name:"TurnTo",
homepage:"https://www.turntonetworks.com/",categories:["utility"],domains:["*.turnto.com"]},{name:"DemandJump",categories:["analytics"],domains:["*.demandjump.com"]},{name:"Xaxis",homepage:"https://www.xaxis.com/",categories:["ad"],domains:["*.247realmedia.com","*.mookie1.com","*.gmads.net"]},{name:"Council ad Network",categories:["ad"],domains:["*.counciladvertising.net"]},{name:"adKernel",categories:["ad"],domains:["*.adkernel.com"]},{name:"Trialfire",categories:["analytics"],domains:["*.trialfire.com"]},{name:"AdSupply",categories:["ad"],domains:["*.doublepimp.com"]},{name:"Moovweb",categories:["utility"],domains:["*.moovweb.net"]},{name:"Imgur",categories:["utility"],domains:["*.imgur.com"]},{name:"trueAnthem",categories:["social"],domains:["*.tru.am"]},{name:"Google Fonts",company:"Google",homepage:"https://fonts.google.com/",categories:["cdn"],domains:["fonts.googleapis.com","fonts.gstatic.com"]},{name:"DistroScale",categories:["ad"],domains:["*.jsrdn.com"]},{name:"Extole",
categories:["ad"],domains:["*.extole.com","*.extole.io"]},{name:"Adverline Board",company:"Adverline",categories:["ad"],domains:["*.adverline.com","*.adnext.fr"]},{name:"Datonics",categories:["ad"],domains:["*.pro-market.net"]},{name:"StackExchange",categories:["social"],domains:["*.sstatic.net"]},{name:"Gravatar",homepage:"http://en.gravatar.com/",categories:["social"],domains:["*.gravatar.com"]},{name:"Better Business Bureau",categories:["analytics"],domains:["*.bbb.org"]},{name:"content.ad",categories:["ad"],domains:["*.content.ad"]},{name:"Freespee",categories:["customer-success"],domains:["*.freespee.com"]},{name:"Ceros",categories:["other"],domains:["ceros.com","view.ceros.com"]},{name:"Adobe Test & Target",company:"Adobe Systems",categories:["analytics"],domains:["*.omtrdc.net"]},{name:"SreamAMG",company:"StreamAMG",categories:["other"],domains:["*.streamamg.com"]},{name:"Browser-Update.org",categories:["other"],domains:["*.browser-update.org"]},{name:"Ruler Analytics",
company:"Ruler",categories:["analytics"],domains:["*.nyltx.com","*.ruleranalytics.com"]},{name:"Multiview",categories:["content"],domains:["*.multiview.com","*.track-mv.com"]},{name:"Ada",homepage:"https://www.ada.support/",categories:["customer-success"],domains:["*.ada.support"]},{name:"Reach Group",categories:["ad"],domains:["*.redintelligence.net"]},{name:"Firebase",homepage:"https://developers.google.com/apis-explorer/#p/",categories:["utility"],domains:["firebasestorage.googleapis.com","firestore.googleapis.com"]},{name:"AddEvent",categories:["utility"],domains:["*.addevent.com"]},{name:"Fastest Forward",categories:["analytics"],domains:["*.gaug.es"]},{name:"Constructor.io",categories:["utility"],domains:["*.cnstrc.com"]},{name:"ARM",categories:["analytics"],domains:["*.tag4arm.com"]},{name:"Hawk Search",categories:["utility"],domains:["*.hawksearch.com"]},{name:"BlueCava",categories:["ad"],domains:["*.bluecava.com"]},{name:"Loop11",categories:["analytics"],
domains:["*.loop11.com"]},{name:"AliveChat",company:"AYU Technology Solutions",categories:["customer-success"],domains:["*.websitealive.com","*.websitealive7.com"]},{name:"Retention Science",categories:["ad"],domains:["*.retentionscience.com","d1stxfv94hrhia.cloudfront.net"]},{name:"VoiceFive",categories:["analytics"],domains:["*.voicefive.com"]},{name:"YoYo",categories:["utility"],domains:["*.goadservices.com"]},{name:"Virtual Earth",company:"Microsoft",categories:["utility"],domains:["*.virtualearth.net"]},{name:"SPX",company:"Smaato",categories:["ad"],domains:["*.smaato.net"]},{name:"Klarna",categories:["utility"],domains:["*.klarna.com"]},{name:"Flipboard",categories:["social"],domains:["*.flipboard.com"]},{name:"Glassdoor",categories:["content"],domains:["*.glassdoor.com"]},{name:"Webtrends",categories:["analytics"],domains:["*.webtrends.com","*.webtrendslive.com","d1q62gfb8siqnm.cloudfront.net"]},{name:"NaviStone",categories:["ad"],domains:["*.murdoog.com"]},{name:"Catchpoint",
homepage:"https://www.catchpoint.com/",categories:["analytics"],domains:["*.3gl.net"]},{name:"JotForm",categories:["utility"],domains:["*.jotformpro.com"]},{name:"Userzoom",categories:["analytics"],domains:["*.userzoom.com"]},{name:"Now Interact",categories:["analytics"],domains:["*.nowinteract.com"]},{name:"RecoBell",categories:["analytics"],domains:["*.recobell.io"]},{name:"EmpathyBroker Site Search",company:"EmpathyBroker",categories:["utility"],domains:["*.empathybroker.com"]},{name:"Boomtrain",categories:["ad"],domains:["*.boomtrain.com","*.boomtrain.net"]},{name:"Roomkey",categories:["content"],domains:["*.roomkey.com"]},{name:"Improve Digital",categories:["ad"],domains:["*.360yield.com"]},{name:"Webmarked",categories:["utility"],domains:["*.webmarked.net"]},{name:"Soundest",categories:["ad"],domains:["*.soundestlink.com","*.soundest.net"]},{name:"ESV Digital",categories:["analytics"],domains:["*.esearchvision.com"]},{name:"EmailCenter",categories:["ad"],
domains:["*.emailcenteruk.com"]},{name:"Amplience",categories:["marketing"],domains:["*.10cms.com","*.amplience.com","*.bigcontent.io","*.adis.ws"]},{name:"The Publisher Desk",categories:["ad"],domains:["*.206ads.com","*.publisherdesk.com"]},{name:"HP Optimost",company:"Hewlett-Packard Development Company",categories:["marketing"],domains:["*.hp.com","d2uncb19xzxhzx.cloudfront.net"]},{name:"Azure Traffic Manager",company:"Microsoft",categories:["other"],domains:["*.gateway.net","*.trafficmanager.net"]},{name:"Peaks & Pies",categories:["analytics"],domains:["*.bunchbox.co"]},{name:"2AdPro Media Solutions",categories:["ad"],domains:["*.2adpro.com"]},{name:"Mediahawk",categories:["analytics"],domains:["*.mediahawk.co.uk"]},{name:"Trust Guard",categories:["utility"],domains:["*.trust-guard.com"]},{name:"RightNow Service Cloud",company:"Oracle",categories:["customer-success"],domains:["*.rightnowtech.com","*.rnengage.com"]},{name:"Trustev",company:"TransUnion",categories:["utility"],
domains:["*.trustev.com"]},{name:"Ometria",categories:["analytics"],domains:["*.ometria.com"]},{name:"Tapad",categories:["ad"],domains:["*.tapad.com"]},{name:"Quora Ads",homepage:"https://www.quora.com/business/",categories:["ad"],domains:["*.quora.com"]},{name:"RebelMouse",categories:["ad"],domains:["*.rebelmouse.com","*.rbl.ms"]},{name:"Cross Pixel Media",categories:["ad"],domains:["*.crsspxl.com"]},{name:"Elecard StreamEye",company:"Elecard",categories:["other"],domains:["*.streameye.net"]},{name:"Sub2 Technologies",categories:["analytics"],domains:["*.sub2tech.com"]},{name:"Pixalate",categories:["utility"],domains:["*.adrta.com"]},{name:"Neodata",categories:["ad"],domains:["*.neodatagroup.com"]},{name:"HotelsCombined",categories:["content"],domains:["*.datahc.com"]},{name:"Infusionsoft",categories:["ad"],domains:["*.infusionsoft.com"]},{name:"Online republic",categories:["content"],domains:["*.imallcdn.net"]},{name:"MyRegistry",categories:["other"],domains:["*.myregistry.com"]},{
name:"eGain",categories:["analytics"],domains:["*.analytics-egain.com","*.egain.com"]},{name:"Numberly",company:"1000mercis",categories:["ad"],domains:["*.mmtro.com","*.nzaza.com"]},{name:"Visual IQ",homepage:"https://www.visualiq.com",categories:["analytics"],domains:["*.myvisualiq.net"]},{name:"Click4Assistance",categories:["customer-success"],domains:["*.click4assistance.co.uk"]},{name:"Euroland",categories:["utility"],domains:["*.euroland.com"]},{name:"Sokrati",categories:["marketing"],domains:["*.sokrati.com"]},{name:"Acquisio",categories:["ad"],domains:["*.acq.io"]},{name:"AdvertServe",categories:["ad"],domains:["*.advertserve.com"]},{name:"eXTReMe digital",categories:["analytics"],domains:["*.extreme-dm.com"]},{name:"SAS Institute",categories:["ad"],domains:["*.aimatch.com","*.sas.com"]},{name:"Oracle",categories:["marketing"],domains:["*.custhelp.com","*.eloqua.com","*.en25.com","*.estara.com","*.instantservice.com"]},{name:"TrafficJunky",
homepage:"https://www.trafficjunky.com/",categories:["ad"],domains:["*.contentabc.com","*.trafficjunky.net"]},{name:"Conversant",categories:["analytics"],domains:["*.dotomi.com","*.dtmpub.com","*.emjcd.com","mediaplex.com","*.tqlkg.com","*.fastclick.net"]},{name:"SiteScout",company:"Centro",categories:["ad"],domains:["*.pixel.ad","*.sitescout.com"]},{name:"Silverpop",company:"IBM",categories:["ad"],domains:["*.mkt912.com","*.mkt922.com","*.mkt932.com","*.mkt941.com","*.mkt51.net","*.mkt61.net","*.pages01.net","*.pages02.net","*.pages03.net","*.pages04.net","*.pages05.net"]},{name:"eXelate",categories:["ad"],domains:["*.exelator.com"]},{name:"SmarterHQ",categories:["analytics"],domains:["*.smarterhq.io","d1n00d49gkbray.cloudfront.net","*.smarterremarketer.net"]},{name:"Divido",categories:["utility"],domains:["*.divido.com"]},{name:"BidTheatre",categories:["ad"],domains:["*.bidtheatre.com"]},{name:"Certona",categories:["analytics"],domains:["*.certona.net"]},{name:"Reflow",
company:"Scenestealer",categories:["ad"],domains:["*.reflow.tv"]},{name:"Account Kit",categories:["other"],domains:["*.accountkit.com"]},{name:"Yummley",categories:["other"],domains:["*.yummly.com"]},{name:"ZergNet",categories:["content"],domains:["*.zergnet.com"]},{name:"LeasdBoxer",company:"LeadBoxer",categories:["ad"],domains:["*.leadboxer.com"]},{name:"SalesLoft",homepage:"https://salesloft.com/",categories:["analytics","marketing"],domains:["*.salesloft.com"]},{name:"template-help.com",categories:["hosting"],domains:["*.template-help.com"]},{name:"Mention Me",categories:["ad"],domains:["*.mention-me.com"]},{name:"Borderfree",company:"pitney bowes",categories:["utility"],domains:["*.borderfree.com","*.fiftyone.com"]},{name:"360 picnic platform",company:"MediaV",categories:["ad"],domains:["*.mediav.com"]},{name:"Webtrekk",categories:["analytics"],domains:["*.wbtrk.net","*.webtrekk-asia.net","*.webtrekk.net","*.wt-eu02.net"]},{name:"Airship",categories:["marketing"],
domains:["*.urbanairship.com","*.aswpsdkus.com"]},{name:"SpeedCurve LUX",company:"SpeedCurve",homepage:"https://speedcurve.com/features/lux/",categories:["analytics"],domains:["*.speedcurve.com"]},{name:"Adzerk",categories:["ad"],domains:["*.adzerk.net"]},{name:"AdCurve",categories:["ad"],domains:["*.shop2market.com"]},{name:"ToneMedia",categories:["ad"],domains:["*.clickfuse.com"]},{name:"F@N Communications",homepage:"https://www.fancs.com/",categories:["ad"],domains:["*.ladsp.com"]},{name:"Sophus3",categories:["analytics"],domains:["*.s3ae.com","*.sophus3.com"]},{name:"Bidtellect",categories:["ad"],domains:["*.bttrack.com"]},{name:"Adtech (AOL)",categories:["ad"],domains:["*.adtechus.com"]},{name:"Admedo",categories:["ad"],domains:["*.a8723.com","*.adizio.com","*.admedo.com"]},{name:"Heatmap",categories:["analytics"],domains:["*.heatmap.it"]},{name:"Widespace",homepage:"https://www.widespace.com",categories:["ad"],domains:["*.widespace.com"]},{name:"Rollbar",categories:["utility"],
domains:["*.rollbar.com","d37gvrvc0wt4s1.cloudfront.net"]},{name:"Adnium",categories:["ad"],domains:["*.adnium.com"]},{name:"Business Message",categories:["ad"],domains:["*.message-business.com"]},{name:"PrintFriendly",categories:["utility"],domains:["*.printfriendly.com"]},{name:"RTB House AdPilot",company:"RTB House",categories:["ad"],domains:["*.erne.co","*.creativecdn.com"]},{name:"my6sense",categories:["ad"],domains:["*.mynativeplatform.com"]},{name:"Ambient",company:"Ericcson",categories:["other"],domains:["*.adnetwork.vn","*.ambientplatform.vn"]},{name:"Vertical Mass",categories:["ad"],domains:["*.vmweb.net"]},{name:"MyBuys",categories:["analytics"],domains:["*.mybuys.com"]},{name:"Recite Me",categories:["other"],domains:["*.reciteme.com"]},{name:"Admitad",categories:["ad"],domains:["*.lenmit.com"]},{name:"Infoline",categories:["analytics"],domains:["*.ioam.de"]},{name:"Adwise",categories:["ad"],domains:["*.adwise.bg"]},{name:"Tradedoubler",categories:["ad"],
domains:["*.pvnsolutions.com","*.tradedoubler.com"]},{name:"Developer Media",categories:["ad"],domains:["*.developermedia.com"]},{name:"bd4travel",categories:["analytics"],domains:["*.bd4travel.com"]},{name:"Eyeota",categories:["ad"],domains:["*.eyeota.net"]},{name:"Fidelity Media",categories:["ad"],domains:["*.fidelity-media.com"]},{name:"Brandmetrics",homepage:"https://www.brandmetrics.com",categories:["analytics"],domains:["*.brandmetrics.com"]},{name:"LockerDome",categories:["analytics"],domains:["*.lockerdome.com"]},{name:"C3 Metrics",categories:["analytics"],domains:["*.c3tag.com"]},{name:"WebInsight",company:"dotMailer",categories:["analytics"],domains:["*.trackedlink.net","*.trackedweb.net"]},{name:"Captify Media",categories:["ad"],domains:["*.cpx.to"]},{name:"Datalicious",categories:["tag-manager"],domains:["*.supert.ag","*.optimahub.com"]},{name:"Movable Ink",categories:["analytics"],domains:["*.micpn.com"]},{name:"Okta",categories:["analytics"],domains:["*.okta.com"]},{
name:"AdSpeed",categories:["ad"],domains:["*.adspeed.net"]},{name:"Ahalogy",categories:["social"],domains:["*.ahalogy.com"]},{name:"Queue-it",categories:["other"],domains:["*.queue-it.net"]},{name:"EMX Digital",homepage:"https://emxdigital.com",categories:["ad"],domains:["*.emxdgt.com"]},{name:"Internet Brands",categories:["content"],domains:["*.ibpxl.com"]},{name:"HyperInzerce",homepage:"https://hyperinzerce.cz",categories:["ad"],domains:["*.hyperinzerce.cz"]},{name:"Smarter Click",categories:["ad"],domains:["*.smct.co","*.smarterclick.co.uk"]},{name:"Accordant Media",categories:["ad"],domains:["*.a3cloud.net"]},{name:"Expedia USA",company:"Expedia",categories:["content"],domains:["*.expedia.com"]},{name:"ClickDimensions",categories:["ad"],domains:["*.clickdimensions.com"]},{name:"ipinfo.io",categories:["utility"],domains:["*.ipinfo.io"]},{name:"adnanny",categories:["ad"],domains:["*.adserver01.de"]},{name:"Force24",categories:["ad"],domains:["*.force24.co.uk"]},{name:"freewheel.tv",
categories:["content"],domains:["*.fwmrm.net"]},{name:"Pulse Insights",categories:["analytics"],domains:["*.pulseinsights.com"]},{name:"Ido",categories:["customer-success"],domains:["*.idio.co"]},{name:"AirPR",categories:["analytics"],domains:["*.airpr.com"]},{name:"Loggly",homepage:"https://www.loggly.com/",categories:["analytics"],domains:["*.loggly.com","d9jmv9u00p0mv.cloudfront.net"]},{name:"EQ works",categories:["ad"],domains:["*.eqads.com"]},{name:"Segmint",categories:["analytics"],domains:["*.segmint.net"]},{name:"Jivox",categories:["ad"],domains:["*.jivox.com"]},{name:"Yellow Robot",categories:["ad"],domains:["*.backinstock.org"]},{name:"Adtegrity",categories:["ad"],domains:["*.adtpix.com"]},{name:"Macropod BugHerd",company:"Macropod",categories:["utility"],domains:["*.bugherd.com"]},{name:"Simpli.fi",categories:["ad"],domains:["*.simpli.fi"]},{name:"Indeed",categories:["content"],domains:["*.indeed.com"]},{name:"SLI Systems",categories:["utility"],
domains:["*.resultslist.com","*.resultspage.com","*.sli-spark.com"]},{name:"j2 Cloud Services",categories:["ad"],domains:["*.campaigner.com"]},{name:"Imagini Holdings",categories:["ad"],domains:["*.vdna-assets.com"]},{name:"Business Week",company:"Bloomberg",categories:["social"],domains:["*.bwbx.io"]},{name:"WizRocket Technologies",categories:["analytics"],domains:["*.wzrkt.com"]},{name:"APSIS Profile Cloud",company:"APSIS",categories:["analytics"],domains:["*.innomdc.com"]},{name:"CogoCast",company:"Cogo Labs",categories:["ad"],domains:["*.cogocast.net"]},{name:"emetriq",homepage:"https://www.emetriq.com/",categories:["ad"],domains:["*.emetriq.de","*.xplosion.de"]},{name:"Crimtan",categories:["ad"],domains:["*.ctnsnet.com"]},{name:"Scroll",homepage:"https://scroll.com/",categories:["utility"],domains:["*.scroll.com"]},{name:"mbr targeting",categories:["ad"],domains:["*.m6r.eu"]},{name:"Thinglink",categories:["utility"],domains:["*.thinglink.com"]},{name:"Apptus eSales",
company:"Apptus",categories:["analytics"],domains:["*.apptus.com"]},{name:"Kenshoo",categories:["marketing"],domains:["*.xg4ken.com"]},{name:"Adap.tv",categories:["ad"],domains:["*.adap.tv"]},{name:"ChannelAdvisor",categories:["ad"],domains:["*.channeladvisor.com","*.searchmarketing.com"]},{name:"Uniqodo",categories:["ad"],domains:["*.uniqodo.com"]},{name:"EpiServer",homepage:"https://www.episerver.com",categories:["content"],domains:["*.episerver.net"]},{name:"Vero",company:"Semblance",categories:["ad"],domains:["*.getvero.com","d3qxef4rp70elm.cloudfront.net"]},{name:"Targito",company:"VIVmail.cz",homepage:"https://www.targito.com",categories:["marketing"],domains:["*.targito.com"]},{name:"Burst Media",categories:["ad"],domains:["*.burstnet.com","*.1rx.io"]},{name:"Yahoo! Ad Exchange",company:"Yahoo!",categories:["ad"],domains:["*.yieldmanager.com","*.browsiprod.com"]},{name:"Confirmit",categories:["analytics"],domains:["*.confirmit.com"]},{name:"QuinStreet",categories:["ad"],
domains:["*.Quinstreet.com","*.b2btechleadform.com","*.qnsr.com","*.qsstats.com"]},{name:"Vizury",categories:["ad"],domains:["*.vizury.com"]},{name:"Fospha",categories:["analytics"],domains:["*.fospha.com"]},{name:"Vizzit",homepage:"http://www.vizzit.se",categories:["analytics"],domains:["*.vizzit.se"]},{name:"Wibbitz",categories:["other"],domains:["*.wibbitz.com"]},{name:"rss2json",categories:["utility"],domains:["*.rss2json.com"]},{name:"BloomReach",categories:["ad"],domains:["*.brcdn.com","*.brsrvr.com","*.brsvr.com"]},{name:"PhotoBucket",categories:["content"],domains:["*.photobucket.com"]},{name:"Comodo",categories:["utility"],domains:["*.comodo.com","*.trust-provider.com","*.trustlogo.com","usertrust.com","*.comodo.net"]},{name:"Conversion Labs",categories:["ad"],domains:["*.net.pl"]},{name:"ObjectPlanet",categories:["analytics"],domains:["*.easypolls.net"]},{name:"Lifestreet Media",categories:["social"],domains:["*.lfstmedia.com"]},{name:"One by AOL",company:"AOL",
categories:["ad"],domains:["*.adtechjp.com","*.adtech.de"]},{name:"Box",categories:["hosting"],domains:["*.box.com"]},{name:"Piwik",categories:["analytics"],domains:["*.drtvtracker.com","*.piwikpro.com","*.raac33.net"]},{name:"sage Pay",company:"Sage Pay Europe",categories:["utility"],domains:["*.sagepay.com"]},{name:"Effiliation sa",categories:["ad"],domains:["*.effiliation.com"]},{name:"JustUno",categories:["ad"],domains:["*.justuno.com","d2j3qa5nc37287.cloudfront.net"]},{name:"StrÃ¶er Digital Media",categories:["ad"],domains:["*.stroeerdigitalmedia.de"]},{name:"audioBoom",categories:["social"],domains:["*.audioboom.com","*.audioboo.fm"]},{name:"NEORY Marketing Cloud",company:"NEORY",categories:["marketing"],domains:["*.ad-srv.net"]},{name:"Provide Support",categories:["customer-success"],domains:["*.providesupport.com"]},{name:"Adara Media",categories:["ad"],domains:["*.yieldoptimizer.com"]},{name:"AdultWebmasterEmpire.Com",categories:["ad"],domains:["*.awempire.com"]},{
name:"Flipp",categories:["analytics"],domains:["*.wishabi.com","d2e0sxz09bo7k2.cloudfront.net","*.wishabi.net"]},{name:"Carbon Ads",homepage:"https://www.carbonads.net/",categories:["ad"],domains:["*.carbonads.net","*.carbonads.com"]},{name:"Playground",homepage:"https://playground.xyz",categories:["ad"],domains:["*.playground.xyz"]},{name:"Pepperjam",homepage:"https://www.pepperjam.com/",categories:["marketing","analytics"],domains:["*.pepperjam.com","*.affiliatetechnology.com"]},{name:"Mynewsdesk",categories:["utility"],domains:["*.mynewsdesk.com"]},{name:"eKomi",categories:["analytics"],domains:["*.ekomi.com","*.ekomi.de"]},{name:"mainADV",categories:["ad"],domains:["*.httptrack.com","*.solocpm.com"]},{name:"Cludo",categories:["utility"],domains:["*.cludo.com"]},{name:"Digital Window",categories:["ad"],domains:["*.awin1.com","*.zenaps.com"]},{name:"SourceKnowledge",homepage:"http://www.sourceknowledge.com",categories:["ad"],domains:["*.provenpixel.com"]},{name:"Adblade",
categories:["ad"],domains:["*.adblade.com"]},{name:"eDigital Research",categories:["customer-success"],domains:["*.edigitalresearch.com","*.edigitalsurvey.com","*.edrcdn.com","*.ecustomeropinions.com"]},{name:"Leaflet",categories:["utility"],domains:["*.leafletjs.com"]},{name:"Terminus",homepage:"https://terminus.com/",categories:["ad"],domains:["*.terminus.services"]},{name:"MyFonts",categories:["cdn"],domains:["*.myfonts.net"]},{name:"Nanigans",categories:["ad"],domains:["*.nanigans.com"]},{name:"Digital Millennium Copyright Act Services",categories:["utility"],domains:["*.dmca.com"]},{name:"Statuspage",company:"Atlassian",homepage:"https://www.statuspage.io",categories:["utility"],domains:["*.statuspage.io"]},{name:"Intilery",categories:["customer-success"],domains:["*.intilery-analytics.com"]},{name:"dianomi",categories:["ad"],domains:["*.dianomi.com","*.dianomioffers.co.uk"]},{name:"TinyURL",categories:["utility"],domains:["*.tinyurl.com"]},{name:"Lead Forensics",
categories:["ad"],domains:["*.200summit.com","*.baw5tracker.com","*.business-path-55.com","*.bux1le001.com","*.central-core-7.com","*.direct-azr-78.com","*.explore-123.com","*.forensics1000.com","*.gldsta-02-or.com","*.green-bloc9.com","*.lansrv040.com","*.lead-123.com","*.leadforensics.com","*.mavic852.com","*.mon-com-net.com","*.peak-ip-54.com","*.snta0034.com","*.svr-prc-01.com","*.syntace-094.com","*.tghbn12.com","*.trail-web.com","*.web-01-gbl.com","*.web-cntr-07.com","*.trackdiscovery.net"]},{name:"IS Group",categories:["hosting"],domains:["*.creative-serving.com"]},{name:"AgilOne",categories:["marketing"],domains:["*.agilone.com"]},{name:"Qeryz",categories:["analytics"],domains:["*.qeryz.com"]},{name:"SFR",categories:["other"],domains:["*.sfr.fr"]},{name:"Emerse",homepage:"https://www.emerse.com/",categories:["ad"],domains:["*.emerse.com"]},{name:"AdRecover",categories:["ad"],domains:["*.adrecover.com"]},{name:"Sociomantic Labs",company:"DunnHumby",categories:["ad"],
domains:["*.sociomantic.com"]},{name:"Beeswax",categories:["ad"],domains:["*.bidr.io"]},{name:"Yieldlab",categories:["ad"],domains:["*.yieldlab.net"]},{name:"Geoplugin",categories:["utility"],domains:["*.geoplugin.com","*.geoplugin.net"]},{name:"eyeReturn Marketing",categories:["marketing"],domains:["*.eyereturn.com"]},{name:"Psyma",categories:["ad"],domains:["*.psyma.com"]},{name:"Infopark",categories:["hosting"],domains:["*.scrvt.com"]},{name:"Lengow",categories:["hosting"],domains:["*.lengow.com"]},{name:"Vextras",categories:["other"],domains:["*.vextras.com"]},{name:"Agility",categories:["hosting"],domains:["*.agilitycms.com"]},{name:"Bizrate",categories:["analytics"],domains:["*.bizrate.com"]},{name:"PERFORM",categories:["content"],domains:["*.performgroup.com"]},{name:"CoolaData",categories:["analytics"],domains:["*.cooladata.com"]},{name:"Consumable",homepage:"http://consumable.com/",categories:["ad"],domains:["*.serverbid.com"]},{name:"HitsLink",categories:["analytics"],
domains:["*.hitslink.com"]},{name:"VisualVisitor",categories:["ad"],domains:["*.id-visitors.com"]},{name:"GlobalSign",categories:["utility"],domains:["*.globalsign.com","*.globalsign.net"]},{name:"Adelphic",categories:["ad"],domains:["*.ipredictive.com"]},{name:"SecurityMetrics",categories:["utility"],domains:["*.securitymetrics.com"]},{name:"APSIS Forms",company:"APSIS",categories:["other"],domains:["*.apsisforms.com"]},{name:"Affiliatly",categories:["ad"],domains:["*.affiliatly.com"]},{name:"Blogg.se",categories:["hosting"],domains:["*.cdnme.se","*.publishme.se"]},{name:"Mark and Mini",categories:["ad"],domains:["*.markandmini.com"]},{name:"codigo",homepage:"http://www.codigo.se",categories:["analytics"],domains:["*.codigo.se"]},{name:"Sectigo",homepage:"https://sectigo.com/",categories:["utility"],domains:["*.sectigo.com"]},{name:"Google reCAPTCHA",company:"Google",categories:["utility"],domains:["*.recaptcha.net"]},{name:"Qode Interactive",categories:["hosting"],
domains:["*.qodeinteractive.com"]},{name:"comScore",categories:["analytics"],domains:["*.adxpose.com","*.comscore.com","*.sitestat.com","*.zqtk.net"]},{name:"Blindado",categories:["utility"],domains:["*.siteblindado.com"]},{name:"MotionPoint",categories:["other"],domains:["*.convertlanguage.com"]},{name:"Webcore",categories:["ad"],domains:["*.onefeed.co.uk"]},{name:"Spiceworks",homepage:"https://www.spiceworks.com",categories:["analytics"],domains:["*.spiceworks.com"]},{name:"Trinity Mirror",categories:["content"],domains:["*.mirror.co.uk"]},{name:"PollDaddy (Automattic)",categories:["ad"],domains:["static.polldaddy.com","*.poll.fm"]},{name:"ShopiMind",company:"ShopIMind",categories:["ad"],domains:["*.shopimind.com"]},{name:"Net Applications",categories:["analytics"],domains:["*.hitsprocessor.com"]},{name:"LiveInternet",categories:["analytics"],domains:["*.yadro.ru"]},{name:"Vindico",company:"Viant",categories:["ad"],domains:["*.vindicosuite.com"]},{name:"PriceRunner",
categories:["content"],domains:["*.pricerunner.com"]},{name:"dotMailer Surveys",company:"dotMailer",categories:["analytics"],domains:["*.dotmailer-surveys.com"]},{name:"OpinionBar",categories:["analytics"],domains:["*.opinionbar.com"]},{name:"A-FIS PTE",categories:["analytics"],domains:["*.websta.me"]},{name:"IcoMoon",categories:["cdn"],domains:["d19ayerf5ehaab.cloudfront.net","d1azc1qln24ryf.cloudfront.net"]},{name:"Improvely",categories:["analytics"],domains:["*.iljmp.com"]},{name:"eWAY",company:"Web Active Pty",categories:["utility"],domains:["*.eway.com.au"]},{name:"Adsty",categories:["ad"],domains:["*.adx1.com"]},{name:"MaxPoint Interactive",categories:["ad"],domains:["*.mxptint.net"]},{name:"Sweet Tooth",categories:["ad"],domains:["*.sweettooth.io"]},{name:"ADventori",categories:["ad"],domains:["*.adventori.com"]},{name:"Samba TV",company:"Samba",categories:["content"],domains:["*.samba.tv"]},{name:"Ghostery Enterprise",company:"Ghostery",categories:["marketing"],
domains:["*.betrad.com"]},{name:"CJ Affiliate by Conversant",company:"Conversant",categories:["ad"],domains:["*.ftjcfx.com"]},{name:"Varick Media Management",categories:["ad"],domains:["*.vmmpxl.com"]},{name:"Bidswitch",homepage:"https://www.bidswitch.com/",categories:["ad"],domains:["*.bidswitch.net"]},{name:"AdTheorent",categories:["ad"],domains:["*.adentifi.com"]}]},{}],300:[function(e,s,t){s.exports=e("./lib/subsets/httparchive-nostats.js")},{"./lib/subsets/httparchive-nostats.js":302}],301:[function(e,s,t){const i=/:\/\/(\S*?)(:\d+)?(\/|$)/,a=/([a-z0-9.-]+\.[a-z0-9]+|localhost)/i,n=/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/,l=/[^.]+\.([^.]+|(gov|com|co|ne)\.\w{2})$/i;function getDomainFromOriginOrURL(e){return"string"!=typeof e||e.length>1e4||e.startsWith("data:")?null:i.test(e)?e.match(i)[1]:a.test(e)?e.match(a)[0]:null}function getRootDomain(e){const s=getDomainFromOriginOrURL(e);if(!s)return null;if(n.test(s))return s;const t=s.match(l);return t&&t[0]||s}
function getEntityInDataset(e,s,t){const i=getDomainFromOriginOrURL(t),a=getRootDomain(i);if(i&&a)return e.has(i)?e.get(i):s.has(a)?s.get(a):void 0}function getProductInDataset(e,s,t){const i=getEntityInDataset(e,s,t),a=i&&i.products;if(a&&"string"==typeof t)for(const e of a)for(const s of e.urlPatterns){if(s instanceof RegExp&&s.test(t))return e;if("string"==typeof s&&t.includes(s))return e}}s.exports={createAPIFromDataset:function createAPIFromDataset(e){const s=function cloneEntities(e){return e.map((e=>{const s={company:e.name,...e},t=(e.products||[]).map((e=>({company:s.company,categories:s.categories,facades:[],...e,urlPatterns:(e.urlPatterns||[]).map((e=>e.startsWith("REGEXP:")?new RegExp(e.slice("REGEXP:".length)):e))})));return s.products=t,s}))}(e),t=new Map,i=new Map;for(const e of s){e.totalExecutionTime=Number(e.totalExecutionTime)||0,e.totalOccurrences=Number(e.totalOccurrences)||0,e.averageExecutionTime=e.totalExecutionTime/e.totalOccurrences;for(const s of e.domains){
if(t.has(s)){const i=t.get(s);throw new Error(`Duplicate domain ${s} (${e.name} and ${i.name})`)}t.set(s,e);const a=getRootDomain(s);s.startsWith("*.")&&i.set(a,e)}}for(const[e,s]of i.entries())s||i.delete(e);return{getEntity:getEntityInDataset.bind(null,t,i),getProduct:getProductInDataset.bind(null,t,i),getRootDomain,entities:s}}}},{}],302:[function(e,s,t){const{createAPIFromDataset:i}=e("../create-entity-finder-api.js"),a=e("../../dist/entities-httparchive-nostats.json");s.exports=i(a)},{"../../dist/entities-httparchive-nostats.json":299,"../create-entity-finder-api.js":301}],303:[function(e,s,t){(function(e){(function(){function config(s){try{if(!e.localStorage)return!1}catch(e){return!1}var t=e.localStorage[s];return null!=t&&"true"===String(t).toLowerCase()}s.exports=function deprecate(e,s){if(config("noDeprecation"))return e;var t=!1;return function deprecated(){if(!t){if(config("throwDeprecation"))throw new Error(s);config("traceDeprecation")?console.trace(s):console.warn(s),
t=!0}return e.apply(this,arguments)}}}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],304:[function(e,s,t){arguments[4][178][0].apply(t,arguments)},{dup:178}],305:[function(e,s,t){"use strict";var i=e("is-arguments"),a=e("is-generator-function"),n=e("which-typed-array"),l=e("is-typed-array");function uncurryThis(e){return e.call.bind(e)}var u="undefined"!=typeof BigInt,c="undefined"!=typeof Symbol,d=uncurryThis(Object.prototype.toString),m=uncurryThis(Number.prototype.valueOf),g=uncurryThis(String.prototype.valueOf),h=uncurryThis(Boolean.prototype.valueOf);if(u)var p=uncurryThis(BigInt.prototype.valueOf);if(c)var b=uncurryThis(Symbol.prototype.valueOf);function checkBoxedPrimitive(e,s){if("object"!=typeof e)return!1;try{return s(e),!0}catch(e){return!1}}function isMapToString(e){return"[object Map]"===d(e)}function isSetToString(e){return"[object Set]"===d(e)}function isWeakMapToString(e){
return"[object WeakMap]"===d(e)}function isWeakSetToString(e){return"[object WeakSet]"===d(e)}function isArrayBufferToString(e){return"[object ArrayBuffer]"===d(e)}function isArrayBuffer(e){return"undefined"!=typeof ArrayBuffer&&(isArrayBufferToString.working?isArrayBufferToString(e):e instanceof ArrayBuffer)}function isDataViewToString(e){return"[object DataView]"===d(e)}function isDataView(e){return"undefined"!=typeof DataView&&(isDataViewToString.working?isDataViewToString(e):e instanceof DataView)}function isSharedArrayBufferToString(e){return"[object SharedArrayBuffer]"===d(e)}function isSharedArrayBuffer(e){return"undefined"!=typeof SharedArrayBuffer&&(isSharedArrayBufferToString.working?isSharedArrayBufferToString(e):e instanceof SharedArrayBuffer)}function isNumberObject(e){return checkBoxedPrimitive(e,m)}function isStringObject(e){return checkBoxedPrimitive(e,g)}function isBooleanObject(e){return checkBoxedPrimitive(e,h)}function isBigIntObject(e){
return u&&checkBoxedPrimitive(e,p)}function isSymbolObject(e){return c&&checkBoxedPrimitive(e,b)}t.isArgumentsObject=i,t.isGeneratorFunction=a,t.isTypedArray=l,t.isPromise=function isPromise(e){return"undefined"!=typeof Promise&&e instanceof Promise||null!==e&&"object"==typeof e&&"function"==typeof e.then&&"function"==typeof e.catch},t.isArrayBufferView=function isArrayBufferView(e){return"undefined"!=typeof ArrayBuffer&&ArrayBuffer.isView?ArrayBuffer.isView(e):l(e)||isDataView(e)},t.isUint8Array=function isUint8Array(e){return"Uint8Array"===n(e)},t.isUint8ClampedArray=function isUint8ClampedArray(e){return"Uint8ClampedArray"===n(e)},t.isUint16Array=function isUint16Array(e){return"Uint16Array"===n(e)},t.isUint32Array=function isUint32Array(e){return"Uint32Array"===n(e)},t.isInt8Array=function isInt8Array(e){return"Int8Array"===n(e)},t.isInt16Array=function isInt16Array(e){return"Int16Array"===n(e)},t.isInt32Array=function isInt32Array(e){return"Int32Array"===n(e)},
t.isFloat32Array=function isFloat32Array(e){return"Float32Array"===n(e)},t.isFloat64Array=function isFloat64Array(e){return"Float64Array"===n(e)},t.isBigInt64Array=function isBigInt64Array(e){return"BigInt64Array"===n(e)},t.isBigUint64Array=function isBigUint64Array(e){return"BigUint64Array"===n(e)},isMapToString.working="undefined"!=typeof Map&&isMapToString(new Map),t.isMap=function isMap(e){return"undefined"!=typeof Map&&(isMapToString.working?isMapToString(e):e instanceof Map)},isSetToString.working="undefined"!=typeof Set&&isSetToString(new Set),t.isSet=function isSet(e){return"undefined"!=typeof Set&&(isSetToString.working?isSetToString(e):e instanceof Set)},isWeakMapToString.working="undefined"!=typeof WeakMap&&isWeakMapToString(new WeakMap),t.isWeakMap=function isWeakMap(e){return"undefined"!=typeof WeakMap&&(isWeakMapToString.working?isWeakMapToString(e):e instanceof WeakMap)},isWeakSetToString.working="undefined"!=typeof WeakSet&&isWeakSetToString(new WeakSet),
t.isWeakSet=function isWeakSet(e){return isWeakSetToString(e)},isArrayBufferToString.working="undefined"!=typeof ArrayBuffer&&isArrayBufferToString(new ArrayBuffer),t.isArrayBuffer=isArrayBuffer,isDataViewToString.working="undefined"!=typeof ArrayBuffer&&"undefined"!=typeof DataView&&isDataViewToString(new DataView(new ArrayBuffer(1),0,1)),t.isDataView=isDataView,isSharedArrayBufferToString.working="undefined"!=typeof SharedArrayBuffer&&isSharedArrayBufferToString(new SharedArrayBuffer),t.isSharedArrayBuffer=isSharedArrayBuffer,t.isAsyncFunction=function isAsyncFunction(e){return"[object AsyncFunction]"===d(e)},t.isMapIterator=function isMapIterator(e){return"[object Map Iterator]"===d(e)},t.isSetIterator=function isSetIterator(e){return"[object Set Iterator]"===d(e)},t.isGeneratorObject=function isGeneratorObject(e){return"[object Generator]"===d(e)},t.isWebAssemblyCompiledModule=function isWebAssemblyCompiledModule(e){return"[object WebAssembly.Module]"===d(e)},
t.isNumberObject=isNumberObject,t.isStringObject=isStringObject,t.isBooleanObject=isBooleanObject,t.isBigIntObject=isBigIntObject,t.isSymbolObject=isSymbolObject,t.isBoxedPrimitive=function isBoxedPrimitive(e){return isNumberObject(e)||isStringObject(e)||isBooleanObject(e)||isBigIntObject(e)||isSymbolObject(e)},t.isAnyArrayBuffer=function isAnyArrayBuffer(e){return"undefined"!=typeof Uint8Array&&(isArrayBuffer(e)||isSharedArrayBuffer(e))},["isProxy","isExternal","isModuleNamespaceObject"].forEach((function(e){Object.defineProperty(t,e,{enumerable:!1,value:function(){throw new Error(e+" is not supported in userland")}})}))},{"is-arguments":230,"is-generator-function":232,"is-typed-array":233,"which-typed-array":307}],306:[function(e,s,t){(function(s){(function(){var i=Object.getOwnPropertyDescriptors||function getOwnPropertyDescriptors(e){for(var s=Object.keys(e),t={},i=0;i<s.length;i++)t[s[i]]=Object.getOwnPropertyDescriptor(e,s[i]);return t},a=/%[sdj%]/g;t.format=function(e){
if(!isString(e)){for(var s=[],t=0;t<arguments.length;t++)s.push(inspect(arguments[t]));return s.join(" ")}t=1;for(var i=arguments,n=i.length,l=String(e).replace(a,(function(e){if("%%"===e)return"%";if(t>=n)return e;switch(e){case"%s":return String(i[t++]);case"%d":return Number(i[t++]);case"%j":try{return JSON.stringify(i[t++])}catch(e){return"[Circular]"}default:return e}})),u=i[t];t<n;u=i[++t])isNull(u)||!isObject(u)?l+=" "+u:l+=" "+inspect(u);return l},t.deprecate=function(e,i){if(void 0!==s&&!0===s.noDeprecation)return e;if(void 0===s)return function(){return t.deprecate(e,i).apply(this,arguments)};var a=!1;return function deprecated(){if(!a){if(s.throwDeprecation)throw new Error(i);s.traceDeprecation?console.trace(i):console.error(i),a=!0}return e.apply(this,arguments)}};var n={},l=/^$/;if(s.env.NODE_DEBUG){var u=s.env.NODE_DEBUG;u=u.replace(/[|\\{}()[\]^$+?.]/g,"\\$&").replace(/\*/g,".*").replace(/,/g,"$|^").toUpperCase(),l=new RegExp("^"+u+"$","i")}function inspect(e,s){var i={
seen:[],stylize:stylizeNoColor};return arguments.length>=3&&(i.depth=arguments[2]),arguments.length>=4&&(i.colors=arguments[3]),isBoolean(s)?i.showHidden=s:s&&t._extend(i,s),isUndefined(i.showHidden)&&(i.showHidden=!1),isUndefined(i.depth)&&(i.depth=2),isUndefined(i.colors)&&(i.colors=!1),isUndefined(i.customInspect)&&(i.customInspect=!0),i.colors&&(i.stylize=stylizeWithColor),formatValue(i,e,i.depth)}function stylizeWithColor(e,s){var t=inspect.styles[s];return t?"["+inspect.colors[t][0]+"m"+e+"["+inspect.colors[t][1]+"m":e}function stylizeNoColor(e,s){return e}function formatValue(e,s,i){if(e.customInspect&&s&&isFunction(s.inspect)&&s.inspect!==t.inspect&&(!s.constructor||s.constructor.prototype!==s)){var a=s.inspect(i,e);return isString(a)||(a=formatValue(e,a,i)),a}var n=function formatPrimitive(e,s){if(isUndefined(s))return e.stylize("undefined","undefined");if(isString(s)){var t="'"+JSON.stringify(s).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'"
;return e.stylize(t,"string")}if(isNumber(s))return e.stylize(""+s,"number");if(isBoolean(s))return e.stylize(""+s,"boolean");if(isNull(s))return e.stylize("null","null")}(e,s);if(n)return n;var l=Object.keys(s),u=function arrayToHash(e){var s={};return e.forEach((function(e,t){s[e]=!0})),s}(l);if(e.showHidden&&(l=Object.getOwnPropertyNames(s)),isError(s)&&(l.indexOf("message")>=0||l.indexOf("description")>=0))return formatError(s);if(0===l.length){if(isFunction(s)){var c=s.name?": "+s.name:"";return e.stylize("[Function"+c+"]","special")}if(isRegExp(s))return e.stylize(RegExp.prototype.toString.call(s),"regexp");if(isDate(s))return e.stylize(Date.prototype.toString.call(s),"date");if(isError(s))return formatError(s)}var d,m="",g=!1,h=["{","}"];(isArray(s)&&(g=!0,h=["[","]"]),isFunction(s))&&(m=" [Function"+(s.name?": "+s.name:"")+"]");return isRegExp(s)&&(m=" "+RegExp.prototype.toString.call(s)),isDate(s)&&(m=" "+Date.prototype.toUTCString.call(s)),isError(s)&&(m=" "+formatError(s)),
0!==l.length||g&&0!=s.length?i<0?isRegExp(s)?e.stylize(RegExp.prototype.toString.call(s),"regexp"):e.stylize("[Object]","special"):(e.seen.push(s),d=g?function formatArray(e,s,t,i,a){for(var n=[],l=0,u=s.length;l<u;++l)hasOwnProperty(s,String(l))?n.push(formatProperty(e,s,t,i,String(l),!0)):n.push("");return a.forEach((function(a){a.match(/^\d+$/)||n.push(formatProperty(e,s,t,i,a,!0))})),n}(e,s,i,u,l):l.map((function(t){return formatProperty(e,s,i,u,t,g)})),e.seen.pop(),function reduceToSingleString(e,s,t){if(e.reduce((function(e,s){return s.indexOf("\n")>=0&&0,e+s.replace(/\u001b\[\d\d?m/g,"").length+1}),0)>60)return t[0]+(""===s?"":s+"\n ")+" "+e.join(",\n  ")+" "+t[1];return t[0]+s+" "+e.join(", ")+" "+t[1]}(d,m,h)):h[0]+m+h[1]}function formatError(e){return"["+Error.prototype.toString.call(e)+"]"}function formatProperty(e,s,t,i,a,n){var l,u,c;if((c=Object.getOwnPropertyDescriptor(s,a)||{value:s[a]
}).get?u=c.set?e.stylize("[Getter/Setter]","special"):e.stylize("[Getter]","special"):c.set&&(u=e.stylize("[Setter]","special")),hasOwnProperty(i,a)||(l="["+a+"]"),u||(e.seen.indexOf(c.value)<0?(u=isNull(t)?formatValue(e,c.value,null):formatValue(e,c.value,t-1)).indexOf("\n")>-1&&(u=n?u.split("\n").map((function(e){return"  "+e})).join("\n").substr(2):"\n"+u.split("\n").map((function(e){return"   "+e})).join("\n")):u=e.stylize("[Circular]","special")),isUndefined(l)){if(n&&a.match(/^\d+$/))return u;(l=JSON.stringify(""+a)).match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(l=l.substr(1,l.length-2),l=e.stylize(l,"name")):(l=l.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),l=e.stylize(l,"string"))}return l+": "+u}function isArray(e){return Array.isArray(e)}function isBoolean(e){return"boolean"==typeof e}function isNull(e){return null===e}function isNumber(e){return"number"==typeof e}function isString(e){return"string"==typeof e}function isUndefined(e){return void 0===e}
function isRegExp(e){return isObject(e)&&"[object RegExp]"===objectToString(e)}function isObject(e){return"object"==typeof e&&null!==e}function isDate(e){return isObject(e)&&"[object Date]"===objectToString(e)}function isError(e){return isObject(e)&&("[object Error]"===objectToString(e)||e instanceof Error)}function isFunction(e){return"function"==typeof e}function objectToString(e){return Object.prototype.toString.call(e)}function pad(e){return e<10?"0"+e.toString(10):e.toString(10)}t.debuglog=function(e){if(e=e.toUpperCase(),!n[e])if(l.test(e)){var i=s.pid;n[e]=function(){var s=t.format.apply(t,arguments);console.error("%s %d: %s",e,i,s)}}else n[e]=function(){};return n[e]},t.inspect=inspect,inspect.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]},inspect.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",
string:"green",date:"magenta",regexp:"red"},t.types=e("./support/types"),t.isArray=isArray,t.isBoolean=isBoolean,t.isNull=isNull,t.isNullOrUndefined=function isNullOrUndefined(e){return null==e},t.isNumber=isNumber,t.isString=isString,t.isSymbol=function isSymbol(e){return"symbol"==typeof e},t.isUndefined=isUndefined,t.isRegExp=isRegExp,t.types.isRegExp=isRegExp,t.isObject=isObject,t.isDate=isDate,t.types.isDate=isDate,t.isError=isError,t.types.isNativeError=isError,t.isFunction=isFunction,t.isPrimitive=function isPrimitive(e){return null===e||"boolean"==typeof e||"number"==typeof e||"string"==typeof e||"symbol"==typeof e||void 0===e},t.isBuffer=e("./support/isBuffer");var c=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];function timestamp(){var e=new Date,s=[pad(e.getHours()),pad(e.getMinutes()),pad(e.getSeconds())].join(":");return[e.getDate(),c[e.getMonth()],s].join(" ")}function hasOwnProperty(e,s){return Object.prototype.hasOwnProperty.call(e,s)}
t.log=function(){console.log("%s - %s",timestamp(),t.format.apply(t,arguments))},t.inherits=e("inherits"),t._extend=function(e,s){if(!s||!isObject(s))return e;for(var t=Object.keys(s),i=t.length;i--;)e[t[i]]=s[t[i]];return e};var d="undefined"!=typeof Symbol?Symbol("util.promisify.custom"):void 0;function callbackifyOnRejected(e,s){if(!e){var t=new Error("Promise was rejected with a falsy value");t.reason=e,e=t}return s(e)}t.promisify=function promisify(e){if("function"!=typeof e)throw new TypeError('The "original" argument must be of type Function');if(d&&e[d]){var s;if("function"!=typeof(s=e[d]))throw new TypeError('The "util.promisify.custom" argument must be of type Function');return Object.defineProperty(s,d,{value:s,enumerable:!1,writable:!1,configurable:!0}),s}function s(){for(var s,t,i=new Promise((function(e,i){s=e,t=i})),a=[],n=0;n<arguments.length;n++)a.push(arguments[n]);a.push((function(e,i){e?t(e):s(i)}));try{e.apply(this,a)}catch(e){t(e)}return i}
return Object.setPrototypeOf(s,Object.getPrototypeOf(e)),d&&Object.defineProperty(s,d,{value:s,enumerable:!1,writable:!1,configurable:!0}),Object.defineProperties(s,i(e))},t.promisify.custom=d,t.callbackify=function callbackify(e){if("function"!=typeof e)throw new TypeError('The "original" argument must be of type Function');function callbackified(){for(var t=[],i=0;i<arguments.length;i++)t.push(arguments[i]);var a=t.pop();if("function"!=typeof a)throw new TypeError("The last argument must be of type Function");var n=this,cb=function(){return a.apply(n,arguments)};e.apply(this,t).then((function(e){s.nextTick(cb.bind(null,null,e))}),(function(e){s.nextTick(callbackifyOnRejected.bind(null,e,cb))}))}return Object.setPrototypeOf(callbackified,Object.getPrototypeOf(e)),Object.defineProperties(callbackified,i(e)),callbackified}}).call(this)}).call(this,e("_process"))},{"./support/isBuffer":304,"./support/types":305,_process:272,inherits:223}],307:[function(e,s,t){(function(t){(function(){
"use strict";var i=e("foreach"),a=e("available-typed-arrays"),n=e("call-bind/callBound"),l=n("Object.prototype.toString"),u=e("has-symbols")()&&"symbol"==typeof Symbol.toStringTag,c=a(),d=n("String.prototype.slice"),m={},g=e("es-abstract/helpers/getOwnPropertyDescriptor"),h=Object.getPrototypeOf;u&&g&&h&&i(c,(function(e){if("function"==typeof t[e]){var s=new t[e];if(!(Symbol.toStringTag in s))throw new EvalError("this engine has support for Symbol.toStringTag, but "+e+" does not have the property! Please report this.");var i=h(s),a=g(i,Symbol.toStringTag);if(!a){var n=h(i);a=g(n,Symbol.toStringTag)}m[e]=a.get}}));var p=e("is-typed-array");s.exports=function whichTypedArray(e){return!!p(e)&&(u?function tryAllTypedArrays(e){var s=!1;return i(m,(function(t,i){if(!s)try{var a=t.call(e);a===i&&(s=a)}catch(e){}})),s}(e):d(l(e),8,-1))}}).call(this)}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"available-typed-arrays":180,
"call-bind/callBound":195,"es-abstract/helpers/getOwnPropertyDescriptor":210,foreach:212,"has-symbols":216,"is-typed-array":233}],308:[function(e,s,t){s.exports={version:"8.1.0"}},{}],309:[function(e,s,t){"use strict";const i="…",a="data:image/jpeg;base64,",n={label:"pass",minScore:.9},l={label:"average",minScore:.5},u={label:"fail"},c={label:"error"},d=["com","co","gov","edu","ac","org","go","gob","or","net","in","ne","nic","gouv","web","spb","blog","jus","kiev","mil","wi","qc","ca","bel","on"];class Util{static get PASS_THRESHOLD(){return.9}static get MS_DISPLAY_VALUE(){return"%10d ms"}static prepareReportResult(e){const s=JSON.parse(JSON.stringify(e));s.configSettings.locale||(s.configSettings.locale="en"),s.configSettings.formFactor||(s.configSettings.formFactor=s.configSettings.emulatedFormFactor);for(const e of Object.values(s.audits))if("not_applicable"!==e.scoreDisplayMode&&"not-applicable"!==e.scoreDisplayMode||(e.scoreDisplayMode="notApplicable"),
e.details&&(void 0!==e.details.type&&"diagnostic"!==e.details.type||(e.details.type="debugdata"),"filmstrip"===e.details.type))for(const s of e.details.items)s.data.startsWith(a)||(s.data=a+s.data);if("object"!=typeof s.categories)throw new Error("No categories provided.");const t=new Map;for(const e of Object.values(s.categories))e.auditRefs.forEach((e=>{e.relevantAudits&&e.relevantAudits.forEach((s=>{const i=t.get(s)||[];i.push(e),t.set(s,i)}))})),e.auditRefs.forEach((e=>{const i=s.audits[e.id];e.result=i,t.has(e.id)&&(e.relevantMetrics=t.get(e.id)),s.stackPacks&&s.stackPacks.forEach((s=>{s.descriptions[e.id]&&(e.stackPacks=e.stackPacks||[],e.stackPacks.push({title:s.title,iconDataURL:s.iconDataURL,description:s.descriptions[e.id]}))}))}));return s}static showAsPassed(e){switch(e.scoreDisplayMode){case"manual":case"notApplicable":return!0;case"error":case"informative":return!1;case"numeric":case"binary":default:return Number(e.score)>=n.minScore}}static calculateRating(e,s){
if("manual"===s||"notApplicable"===s)return n.label;if("error"===s)return c.label;if(null===e)return u.label;let t=u.label;return e>=n.minScore?t=n.label:e>=l.minScore&&(t=l.label),t}static splitMarkdownCodeSpans(e){const s=[],t=e.split(/`(.*?)`/g);for(let e=0;e<t.length;e++){const i=t[e];if(!i)continue;const a=e%2!=0;s.push({isCode:a,text:i})}return s}static splitMarkdownLink(e){const s=[],t=e.split(/\[([^\]]+?)\]\((https?:\/\/.*?)\)/g);for(;t.length;){const[e,i,a]=t.splice(0,3);e&&s.push({isLink:!1,text:e}),i&&a&&s.push({isLink:!0,text:i,linkHref:a})}return s}static getURLDisplayName(e,s){const t=void 0!==(s=s||{numPathParts:void 0,preserveQuery:void 0,preserveHost:void 0}).numPathParts?s.numPathParts:2,a=void 0===s.preserveQuery||s.preserveQuery,n=s.preserveHost||!1;let l;if("about:"===e.protocol||"data:"===e.protocol)l=e.href;else{l=e.pathname;const s=l.split("/").filter((e=>e.length));t&&s.length>t&&(l=i+s.slice(-1*t).join("/")),n&&(l=`${e.host}/${l.replace(/^\//,"")}`),
a&&(l=`${l}${e.search}`)}if(l=l.replace(/([a-f0-9]{7})[a-f0-9]{13}[a-f0-9]*/g,"$1…"),l=l.replace(/([a-zA-Z0-9-_]{9})(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])[a-zA-Z0-9-_]{10,}/g,"$1…"),l=l.replace(/(\d{3})\d{6,}/g,"$1…"),l=l.replace(/\u2026+/g,i),l.length>64&&l.includes("?")&&(l=l.replace(/\?([^=]*)(=)?.*/,"?$1$2…"),l.length>64&&(l=l.replace(/\?.*/,"?…"))),l.length>64){const e=l.lastIndexOf(".");l=e>=0?l.slice(0,63-(l.length-e))+"…"+l.slice(e):l.slice(0,63)+i}return l}static parseURL(e){const s=new URL(e);return{file:Util.getURLDisplayName(s),hostname:s.hostname,origin:s.origin}}static createOrReturnURL(e){return e instanceof URL?e:new URL(e)}static getTld(e){const s=e.split(".").slice(-2);return d.includes(s[0])?"."+s.join("."):"."+s[s.length-1]}static getRootDomain(e){const s=Util.createOrReturnURL(e).hostname,t=Util.getTld(s).split(".");return s.split(".").slice(-t.length).join(".")}static getEnvironmentDisplayValues(e){const s=Util.getEmulationDescriptions(e);return[{
name:Util.i18n.strings.runtimeSettingsDevice,description:s.deviceEmulation},{name:Util.i18n.strings.runtimeSettingsNetworkThrottling,description:s.networkThrottling},{name:Util.i18n.strings.runtimeSettingsCPUThrottling,description:s.cpuThrottling}]}static getEmulationDescriptions(e){let s,t;const i=e.throttling;switch(e.throttlingMethod){case"provided":s=Util.i18n.strings.throttlingProvided,t=Util.i18n.strings.throttlingProvided;break;case"devtools":{const{cpuSlowdownMultiplier:e,requestLatencyMs:a}=i;s=Util.i18n.formatNumber(e)+"x slowdown (DevTools)",t=Util.i18n.formatNumber(a)+" ms HTTP RTT, "+Util.i18n.formatNumber(i.downloadThroughputKbps)+" Kbps down, "+Util.i18n.formatNumber(i.uploadThroughputKbps)+" Kbps up (DevTools)";break}case"simulate":{const{cpuSlowdownMultiplier:e,rttMs:a,throughputKbps:n}=i;s=Util.i18n.formatNumber(e)+"x slowdown (Simulated)",t=Util.i18n.formatNumber(a)+" ms TCP RTT, "+Util.i18n.formatNumber(n)+" Kbps throughput (Simulated)";break}default:
s=Util.i18n.strings.runtimeUnknown,t=Util.i18n.strings.runtimeUnknown}return{deviceEmulation:{mobile:Util.i18n.strings.runtimeMobileEmulation,desktop:Util.i18n.strings.runtimeDesktopEmulation}[e.formFactor]||Util.i18n.strings.runtimeNoEmulation,cpuThrottling:s,networkThrottling:t}}static filterRelevantLines(e,s,t){if(0===s.length)return e.slice(0,2*t+1);const i=new Set;return(s=s.sort(((e,s)=>(e.lineNumber||0)-(s.lineNumber||0)))).forEach((({lineNumber:e})=>{let s=e-t,a=e+t;for(;s<1;)s++,a++;i.has(s-3-1)&&(s-=3);for(let e=s;e<=a;e++){const s=e;i.add(s)}})),e.filter((e=>i.has(e.lineNumber)))}static isPluginCategory(e){return e.startsWith("lighthouse-plugin-")}}Util.reportJson=null,Util.getUniqueSuffix=(()=>{let e=0;return function(){return e++}})(),Util.i18n=null,Util.UIStrings={varianceDisclaimer:"Values are estimated and may vary. The [performance score is calculated](https://web.dev/performance-scoring/) directly from these metrics.",calculatorLink:"See calculator.",
showRelevantAudits:"Show audits relevant to:",opportunityResourceColumnLabel:"Opportunity",opportunitySavingsColumnLabel:"Estimated Savings",errorMissingAuditInfo:"Report error: no audit information",errorLabel:"Error!",warningHeader:"Warnings: ",warningAuditsGroupTitle:"Passed audits but with warnings",passedAuditsGroupTitle:"Passed audits",notApplicableAuditsGroupTitle:"Not applicable",manualAuditsGroupTitle:"Additional items to manually check",toplevelWarningsMessage:"There were issues affecting this run of Lighthouse:",crcInitialNavigation:"Initial Navigation",crcLongestDurationLabel:"Maximum critical path latency:",snippetExpandButtonLabel:"Expand snippet",snippetCollapseButtonLabel:"Collapse snippet",lsPerformanceCategoryDescription:"[Lighthouse](https://developers.google.com/web/tools/lighthouse/) analysis of the current page on an emulated mobile network. Values are estimated and may vary.",labDataTitle:"Lab Data",thirdPartyResourcesLabel:"Show 3rd-party resources",
viewTreemapLabel:"View Treemap",dropdownPrintSummary:"Print Summary",dropdownPrintExpanded:"Print Expanded",dropdownCopyJSON:"Copy JSON",dropdownSaveHTML:"Save as HTML",dropdownSaveJSON:"Save as JSON",dropdownViewer:"Open in Viewer",dropdownSaveGist:"Save as Gist",dropdownDarkTheme:"Toggle Dark Theme",runtimeSettingsTitle:"Runtime Settings",runtimeSettingsUrl:"URL",runtimeSettingsFetchTime:"Fetch Time",runtimeSettingsDevice:"Device",runtimeSettingsNetworkThrottling:"Network throttling",runtimeSettingsCPUThrottling:"CPU throttling",runtimeSettingsChannel:"Channel",runtimeSettingsUA:"User agent (host)",runtimeSettingsUANetwork:"User agent (network)",runtimeSettingsBenchmark:"CPU/Memory Power",runtimeSettingsAxeVersion:"Axe version",footerIssue:"File an issue",runtimeNoEmulation:"No emulation",runtimeMobileEmulation:"Emulated Moto G4",runtimeDesktopEmulation:"Emulated Desktop",runtimeUnknown:"Unknown",throttlingProvided:"Provided by environment"},
void 0!==s&&s.exports?s.exports=Util:self.Util=Util},{}],310:[function(e,s,t){"use strict";const i=e("./report-assets.js");class ReportGenerator{static replaceStrings(e,s){if(0===s.length)return e;const t=s[0],i=s.slice(1);return e.split(t.search).map((e=>ReportGenerator.replaceStrings(e,i))).join(t.replacement)}static generateReportHtml(e){const s=JSON.stringify(e).replace(/</g,"\\u003c").replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029"),t=i.REPORT_JAVASCRIPT.replace(/<\//g,"\\u003c/");return ReportGenerator.replaceStrings(i.REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_JSON%%",replacement:s},{search:"%%LIGHTHOUSE_JAVASCRIPT%%",replacement:t},{search:"/*%%LIGHTHOUSE_CSS%%*/",replacement:i.REPORT_CSS},{search:"%%LIGHTHOUSE_TEMPLATES%%",replacement:i.REPORT_TEMPLATES}])}static generateReportCSV(e){const escape=e=>`"${e.replace(/"/g,'""')}"`,rowFormatter=e=>e.map((e=>e.toString())).map(escape),s=Object.keys(e.categories).map((s=>{const t=[],i=e.categories[s],a=null===i.score?-1:i.score
;return t.push(rowFormatter([e.requestedUrl,e.finalUrl,i.title,s+"-score",`Overall ${i.title} Category Score`,"numeric",a])),t.concat(i.auditRefs.map((s=>{const t=e.audits[s.id],a=null===t.score?-1:t.score;return rowFormatter([e.requestedUrl,e.finalUrl,i.title,t.id,t.title,t.scoreDisplayMode,a])})))}));return[["requestedUrl","finalUrl","category","name","title","type","score"]].concat(...s).map((e=>e.join(","))).join("\r\n")}static generateReport(e,s){const t=Array.isArray(s);"string"==typeof s&&(s=[s]);const i=s.map((s=>{if("html"===s)return ReportGenerator.generateReportHtml(e);if("csv"===s)return ReportGenerator.generateReportCSV(e);if("json"===s)return JSON.stringify(e,null,2);throw new Error("Invalid output mode: "+s)}));return t?i:i[0]}}s.exports=ReportGenerator},{"./report-assets.js":193}],311:[function(e,s,t){(function(e){(function(){"use strict";s.exports.LH_ROOT=e}).call(this)}).call(this,"/")},{}],312:[function(e,s,t){s.exports={npm:{"@angular/core":[{
id:"SNYK-JS-ANGULARCORE-1070902",severity:"low",semver:{vulnerable:["<11.0.5",">=11.1.0-next.0 <11.1.0-next.3"]}}],angular:[{id:"SNYK-JS-ANGULAR-572020",severity:"high",semver:{vulnerable:["<1.8.0"]}},{id:"SNYK-JS-ANGULAR-570058",severity:"medium",semver:{vulnerable:["<1.8.0"]}},{id:"SNYK-JS-ANGULAR-534884",severity:"high",semver:{vulnerable:[">=1.4.0-beta.6 <1.7.9"]}},{id:"SNYK-JS-ANGULAR-471885",severity:"medium",semver:{vulnerable:["<1.6.3"]}},{id:"SNYK-JS-ANGULAR-471882",severity:"medium",semver:{vulnerable:["<1.6.5"]}},{id:"SNYK-JS-ANGULAR-471879",severity:"medium",semver:{vulnerable:["<1.6.0-rc.0"]}},{id:"npm:angular:20180202",severity:"medium",semver:{vulnerable:["<1.6.9"]}},{id:"npm:angular:20171018",severity:"medium",semver:{vulnerable:["<1.6.7"]}},{id:"npm:angular:20160527",severity:"medium",semver:{vulnerable:[">=1.0.0 <1.2.30"]}},{id:"npm:angular:20160122",severity:"medium",semver:{vulnerable:[">=1.3.0 <1.5.0-rc.2"]}},{id:"npm:angular:20140608",severity:"low",semver:{
vulnerable:["<1.3.0"]}},{id:"npm:angular:20131113",severity:"high",semver:{vulnerable:["<1.2.2"]}},{id:"npm:angular:20140908",severity:"medium",semver:{vulnerable:["<1.3.0-rc.4"]}},{id:"npm:angular:20161101",severity:"medium",semver:{vulnerable:[">=1.5.0 <1.5.9"]}},{id:"npm:angular:20150909",severity:"high",semver:{vulnerable:["<1.5.0-beta.2"]}},{id:"npm:angular:20151205",severity:"medium",semver:{vulnerable:["<1.5.0-rc.0"]}},{id:"npm:angular:20151130",severity:"medium",semver:{vulnerable:["<1.4.10"]}},{id:"npm:angular:20130622",severity:"medium",semver:{vulnerable:[">=1.0.0 <1.2.0"]}},{id:"npm:angular:20150807-1",severity:"medium",semver:{vulnerable:[">=1.3.1 <1.5.0-beta.0"]}},{id:"npm:angular:20150807",severity:"high",semver:{vulnerable:[">=1.0.0 <1.5.0-beta.0"]}},{id:"npm:angular:20150315",severity:"medium",semver:{vulnerable:["<1.6.1"]}},{id:"npm:angular:20150310",severity:"high",semver:{vulnerable:["<1.4.0-beta.6"]}},{id:"npm:angular:20141104",severity:"medium",semver:{
vulnerable:["<1.3.2"]}},{id:"npm:angular:20130621",severity:"medium",semver:{vulnerable:["<1.2.0"]}},{id:"npm:angular:20140909",severity:"high",semver:{vulnerable:[">=1.2.19 <1.2.24"]}},{id:"npm:angular:20130625",severity:"high",semver:{vulnerable:["<1.1.5"]}}],backbone:[{id:"npm:backbone:20160523",severity:"medium",semver:{vulnerable:["<0.1.2"]}},{id:"npm:backbone:20110701",severity:"medium",semver:{vulnerable:["<0.5.0"]}}],bootstrap:[{id:"SNYK-JS-BOOTSTRAP-173700",severity:"medium",semver:{vulnerable:["<3.4.1",">=4.0.0 <4.3.1"]}},{id:"SNYK-JS-BOOTSTRAP-73560",severity:"medium",semver:{vulnerable:[">=4.0.0 <4.1.2"]}},{id:"SNYK-JS-BOOTSTRAP-72890",severity:"medium",semver:{vulnerable:["<3.4.0"]}},{id:"SNYK-JS-BOOTSTRAP-72889",severity:"medium",semver:{vulnerable:["<3.4.0"]}},{id:"npm:bootstrap:20180529",severity:"medium",semver:{vulnerable:["<3.4.0",">=4.0.0 <4.1.2"]}},{id:"npm:bootstrap:20160627",severity:"medium",semver:{vulnerable:["<3.4.0",">=4.0.0-alpha <4.0.0-beta.2"]}},{
id:"npm:bootstrap:20120510",severity:"medium",semver:{vulnerable:["<2.1.0"]}}],dojo:[{id:"SNYK-JS-DOJO-559224",severity:"medium",semver:{vulnerable:["<1.11.10",">=1.12.1 <1.12.8",">=1.13.0 <1.13.7",">=1.14.0 <1.14.6",">=1.15.0 <1.15.3",">=1.16.0 <1.16.2"]}},{id:"SNYK-JS-DOJO-174934",severity:"medium",semver:{vulnerable:[">=1.0.0 <1.0.3",">=1.1.0 <1.1.2",">=1.2.0 <1.2.4",">=1.3.0 <1.3.3",">=1.4.0 <1.4.2"]}},{id:"SNYK-JS-DOJO-174933",severity:"medium",semver:{vulnerable:["<1.2.0"]}},{id:"SNYK-JS-DOJO-72305",severity:"medium",semver:{vulnerable:[">=1.14.0-pre <1.14.0",">=1.13.0 <1.13.1",">=1.12.1 <1.12.4",">=1.11.0-rc1 <1.11.6","<1.10.10"]}},{id:"npm:dojo:20180818",severity:"medium",semver:{vulnerable:["<1.10.10",">=1.11.0 <1.11.6",">=1.12.0 <1.12.4",">=1.13.0 <1.13.1"]}},{id:"npm:dojo:20100614-6",severity:"medium",semver:{vulnerable:["<1.4.2"]}},{id:"npm:dojo:20100614",severity:"medium",semver:{
vulnerable:[">=0.4.0 <0.4.4",">=1.0.0 <1.0.3",">=1.1.0 <1.1.2",">=1.2.0 <1.2.4",">=1.3.0 <1.3.3",">=1.4.0 <1.4.2"]}}],"foundation-sites":[{id:"npm:foundation-sites:20170802",severity:"medium",semver:{vulnerable:["<6.0.0"]}},{id:"npm:foundation-sites:20150619",severity:"medium",semver:{vulnerable:["<5.5.3"]}},{id:"npm:foundation-sites:20120717",severity:"medium",semver:{vulnerable:[">=3.0.0 <3.0.6"]}}],"google-closure-library":[{id:"SNYK-JS-GOOGLECLOSURELIBRARY-561341",severity:"medium",semver:{vulnerable:["<20200315.0.0"]}},{id:"SNYK-JS-GOOGLECLOSURELIBRARY-174519",severity:"medium",semver:{vulnerable:[">=20190121.0.0 <20190301.0.0"]}}],gsap:[{id:"SNYK-JS-GSAP-1054614",severity:"high",semver:{vulnerable:["<3.6.0"]}}],handlebars:[{id:"SNYK-JS-HANDLEBARS-1279029",severity:"medium",semver:{vulnerable:["<4.7.7"]}},{id:"SNYK-JS-HANDLEBARS-1056767",severity:"medium",semver:{vulnerable:["<4.7.7"]}},{id:"SNYK-JS-HANDLEBARS-567742",severity:"medium",semver:{vulnerable:["<4.6.0"]}},{
id:"SNYK-JS-HANDLEBARS-534988",severity:"high",semver:{vulnerable:[">=4.0.0 <4.5.3","<3.0.8"]}},{id:"SNYK-JS-HANDLEBARS-534478",severity:"high",semver:{vulnerable:[">=4.0.0 <4.5.3","<3.0.8"]}},{id:"SNYK-JS-HANDLEBARS-480388",severity:"high",semver:{vulnerable:[">=4.0.0 <4.4.5"]}},{id:"SNYK-JS-HANDLEBARS-469063",severity:"high",semver:{vulnerable:[">=4.0.0 <4.3.0","<3.8.0"]}},{id:"SNYK-JS-HANDLEBARS-174183",severity:"high",semver:{vulnerable:[">=3.0.0 <3.0.7",">=4.1.0 <4.1.2",">=4.0.0 <4.0.14"]}},{id:"SNYK-JS-HANDLEBARS-173692",severity:"high",semver:{vulnerable:["<4.0.14",">=4.1.0 <4.1.2"]}},{id:"npm:handlebars:20151207",severity:"medium",semver:{vulnerable:["<4.0.0"]}},{id:"npm:handlebars:20110425",severity:"medium",semver:{vulnerable:["<=1.0.0-beta.3"]}}],highcharts:[{id:"SNYK-JS-HIGHCHARTS-1290057",severity:"medium",semver:{vulnerable:["<9.0.0"]}},{id:"SNYK-JS-HIGHCHARTS-1018906",severity:"medium",semver:{vulnerable:["<9.0.0"]}},{id:"SNYK-JS-HIGHCHARTS-571995",severity:"high",
semver:{vulnerable:["<7.2.2",">=8.0.0 <8.1.1"]}},{id:"npm:highcharts:20180225",severity:"high",semver:{vulnerable:["<6.1.0"]}}],jquery:[{id:"SNYK-JS-JQUERY-569619",severity:"medium",semver:{vulnerable:["<1.9.0"]}},{id:"SNYK-JS-JQUERY-567880",severity:"medium",semver:{vulnerable:[">=1.2.0 <3.5.0"]}},{id:"SNYK-JS-JQUERY-565129",severity:"medium",semver:{vulnerable:[">=1.5.1 <3.5.0"]}},{id:"SNYK-JS-JQUERY-174006",severity:"medium",semver:{vulnerable:["<3.4.0"]}},{id:"npm:jquery:20160529",severity:"low",semver:{vulnerable:[">=3.0.0-rc1 <3.0.0"]}},{id:"npm:jquery:20150627",severity:"medium",semver:{vulnerable:["<1.12.2",">=1.12.3 <2.2.2",">=2.2.3 <3.0.0"]}},{id:"npm:jquery:20140902",severity:"medium",semver:{vulnerable:[">=1.4.2 <1.6.2"]}},{id:"npm:jquery:20120206",severity:"medium",semver:{vulnerable:["<1.9.1"]}},{id:"npm:jquery:20110606",severity:"medium",semver:{vulnerable:["<1.6.3"]}}],"jquery-mobile":[{id:"SNYK-JS-JQUERYMOBILE-174599",severity:"medium",semver:{
vulnerable:["<=1.5.0-alpha.1"]}},{id:"npm:jquery-mobile:20120802",severity:"medium",semver:{vulnerable:["<1.2.0"]}}],"jquery-ui":[{id:"npm:jquery-ui:20121127",severity:"medium",semver:{vulnerable:["<1.10.0"]}},{id:"npm:jquery-ui:20100903",severity:"medium",semver:{vulnerable:["<1.10.0"]}},{id:"npm:jquery-ui:20160721",severity:"high",semver:{vulnerable:["<1.12.0"]}}],knockout:[{id:"npm:knockout:20180213",severity:"medium",semver:{vulnerable:["<3.5.0-beta"]}},{id:"npm:knockout:20130701",severity:"medium",semver:{vulnerable:[">=2.1.0-pre <3.0.0"]}}],lodash:[{id:"SNYK-JS-LODASH-1040724",severity:"high",semver:{vulnerable:["<4.17.21"]}},{id:"SNYK-JS-LODASH-1018905",severity:"medium",semver:{vulnerable:["<4.17.21"]}},{id:"SNYK-JS-LODASH-608086",severity:"high",semver:{vulnerable:["<4.17.17"]}},{id:"SNYK-JS-LODASH-590103",severity:"high",semver:{vulnerable:["<4.17.20"]}},{id:"SNYK-JS-LODASH-567746",severity:"medium",semver:{vulnerable:["<4.17.16"]}},{id:"SNYK-JS-LODASH-450202",
severity:"high",semver:{vulnerable:["<4.17.12"]}},{id:"SNYK-JS-LODASH-73639",severity:"medium",semver:{vulnerable:["<4.17.11"]}},{id:"SNYK-JS-LODASH-73638",severity:"high",semver:{vulnerable:["<4.17.11"]}},{id:"npm:lodash:20180130",severity:"medium",semver:{vulnerable:["<4.17.5"]}}],moment:[{id:"npm:moment:20170905",severity:"low",semver:{vulnerable:["<2.19.3"]}},{id:"npm:moment:20161019",severity:"medium",semver:{vulnerable:["<2.15.2"]}},{id:"npm:moment:20160126",severity:"medium",semver:{vulnerable:["<2.11.2"]}}],mustache:[{id:"npm:mustache:20151207",severity:"medium",semver:{vulnerable:["<2.2.1"]}},{id:"npm:mustache:20110814",severity:"medium",semver:{vulnerable:["< 0.3.1"]}}],next:[{id:"SNYK-JS-NEXT-1063481",severity:"medium",semver:{vulnerable:[">=9.5.0 <9.5.4"]}},{id:"SNYK-JS-NEXT-571938",severity:"high",semver:{vulnerable:["<5.1.0"]}},{id:"SNYK-JS-NEXT-561584",severity:"medium",semver:{vulnerable:["<9.3.2"]}},{id:"SNYK-JS-NEXT-174590",severity:"high",semver:{
vulnerable:["<2.4.1"]}},{id:"SNYK-JS-NEXT-72454",severity:"medium",semver:{vulnerable:[">=7.0.0 <7.0.2"]}},{id:"npm:next:20180124",severity:"high",semver:{vulnerable:["<4.2.3"]}},{id:"npm:next:20170607",severity:"medium",semver:{vulnerable:["<2.4.3"]}},{id:"npm:next:20170601",severity:"high",semver:{vulnerable:["<2.4.1",">=3.0.0-beta1 <3.0.0-beta7"]}}],react:[{id:"npm:react:20150318",severity:"high",semver:{vulnerable:[">=0.0.1 <0.14.0"]}},{id:"npm:react:20131217",severity:"medium",semver:{vulnerable:[">=0.5.0 <0.5.2",">=0.4.0 <0.4.2"]}}],riot:[{id:"npm:riot:20131114",severity:"medium",semver:{vulnerable:["<0.9.6"]}}],"socket.io":[{id:"SNYK-JS-SOCKETIO-1024859",severity:"medium",semver:{vulnerable:["<2.4.0"]}},{id:"npm:socket.io:20120417",severity:"medium",semver:{vulnerable:["<0.9.6"]}},{id:"npm:socket.io:20120323",severity:"medium",semver:{vulnerable:["<0.9.7"]}}],three:[{id:"SNYK-JS-THREE-1064931",severity:"high",semver:{vulnerable:["<0.125.0"]}}],underscore:[{
id:"SNYK-JS-UNDERSCORE-1080984",severity:"medium",semver:{vulnerable:[">=1.13.0-0 <1.13.0-2",">=1.3.2 <1.12.1"]}}],vue:[{id:"npm:vue:20170829",severity:"medium",semver:{vulnerable:["<2.4.3"]}},{id:"npm:vue:20170401",severity:"medium",semver:{vulnerable:["<2.3.0-beta.1"]}},{id:"npm:vue:20180802",severity:"medium",semver:{vulnerable:["<2.5.17"]}},{id:"npm:vue:20180222",severity:"low",semver:{vulnerable:["<2.5.14"]}}],yui:[{id:"npm:yui:20130604",severity:"medium",semver:{vulnerable:[">=3.0.0 <3.10.1","=3.10.2"]}},{id:"npm:yui:20130515",severity:"medium",semver:{vulnerable:["<3.10.0 >=3.0.0"]}},{id:"npm:yui:20121030",severity:"medium",semver:{vulnerable:["<3.0.0 >=2.4.0"]}},{id:"npm:yui:20120428",severity:"medium",semver:{vulnerable:["<3.5.1 >=3.5.0-PR1"]}},{id:"npm:yui:20101025",severity:"medium",semver:{vulnerable:["<2.8.2 >=2.4.0"]}}]}}},{}],"lighthouse-plugin-publisher-ads/audits/ad-blocking-tasks":[function(e,s,t){(function(t){(function(){
const i=e("../computed/ad-request-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),n=e("../computed/long-tasks"),{auditNotApplicable:l}=e("../messages/common-strings"),{Audit:u}=e("lighthouse"),{getAttributableUrl:c}=e("../utils/tasks"),{isAdScript:d}=e("../utils/resource-classification"),{URL:m}=e("url"),g={title:"No long tasks blocking ad-related network requests",failureTitle:"Avoid long tasks that block ad-related network requests",description:"Tasks blocking the main thread can delay ad requests and cause a poor user experience. Consider removing long blocking tasks or moving them off of the main thread. These tasks can be especially detrimental to performance on less powerful devices. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-blocking-tasks).",failureDisplayValue:"{timeInMs, number, seconds} s blocked",columnScript:"Attributable URL",columnStartTime:"Start",columnDuration:"Duration"},h=a.createMessageInstanceIdFn(t,g),p=[{
key:"script",itemType:"url",text:h(g.columnScript)},{key:"startTime",itemType:"ms",text:h(g.columnStartTime),granularity:1},{key:"duration",itemType:"ms",text:h(g.columnDuration),granularity:1}];class AdBlockingTasks extends u{static get meta(){return{id:"ad-blocking-tasks",title:h(g.title),failureTitle:h(g.failureTitle),description:h(g.description),requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,s){const t="simulate"==s.settings.throttlingMethod?200:100,a={trace:e.traces[u.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[u.DEFAULT_PASS],settings:s.settings};let b=[];try{b=await n.request(a,s)}catch(e){return l.InvalidTiming}if(!b.length)return l.NoTasks;const{timing:f}=await i.request(a,s);if(!(f>0))return l.NoAdRelatedReq;const v=[];for(const e of b){if(e.startTime>f||e.duration<t)continue;const s=c(e);if(s&&d(new m(s)))continue;const i=s&&new m(s),a=i&&i.origin+i.pathname||"Other";v.push({script:a,rawUrl:s,startTime:e.startTime,endTime:e.endTime,duration:e.duration,
isTopLevel:!e.parent})}let j=Array.from(v);j.length>10&&(j=v.filter((e=>"Other"!==e.script&&e.isTopLevel)).sort(((e,s)=>s.duration-e.duration)).splice(0,10).sort(((e,s)=>e.startTime-s.startTime)));const k=j.reduce(((e,s)=>s.isTopLevel?e+s.duration:e),0),y=j.length>0;return{score:y?0:1,numericValue:k,numericUnit:"millisecond",displayValue:y?h(g.failureDisplayValue,{timeInMs:k}):"",details:AdBlockingTasks.makeTableDetails(p,j)}}}s.exports=AdBlockingTasks,s.exports.UIStrings=g}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/ad-blocking-tasks.js")},{"../computed/ad-request-time":243,"../computed/long-tasks":245,"../messages/common-strings":247,"../utils/resource-classification":255,"../utils/tasks":256,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/ad-render-blocking-resources":[function(e,s,t){(function(t){(function(){
const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),a=e("lighthouse/lighthouse-core/computed/network-records"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{getTimingsByRecord:u}=e("../utils/network-timing"),{isAdTag:c}=e("../utils/resource-classification"),{URL:d}=e("url"),m={title:"Minimal render-blocking resources found",failureTitle:"Avoid render-blocking resources",description:"Render-blocking resources slow down tag load times. Consider loading critical JS/CSS inline or loading scripts asynchronously or loading the tag earlier in the head. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/blocking-resources).",failureDisplayValue:"Up to {timeInMs, number, seconds} s tag load time improvement",columnUrl:"Resource",columnStartTime:"Start",columnDuration:"Duration"},g=i.createMessageInstanceIdFn(t,m),h=[{key:"url",itemType:"url",text:g(m.columnUrl)},{key:"startTime",itemType:"ms",text:g(m.columnStartTime),granularity:1},{
key:"duration",itemType:"ms",text:g(m.columnDuration),granularity:1}];class AdRenderBlockingResources extends l{static get meta(){return{id:"ad-render-blocking-resources",title:g(m.title),failureTitle:g(m.failureTitle),scoreDisplayMode:"binary",description:g(m.description),requiredArtifacts:["LinkElements","ScriptElements","devtoolsLogs","traces"]}}static async audit(e,s){const t=e.devtoolsLogs[l.DEFAULT_PASS],i=e.traces[l.DEFAULT_PASS],p=await a.request(t,s),b=p.find((e=>c(new d(e.url))));if(!b)return n.NoTag;const f=await u(i,t,s),v=new Set;for(const s of e.LinkElements)s.href&&"stylesheet"==s.rel&&v.add(s.href);for(const s of e.ScriptElements)!s.src||s.defer||s.async||v.add(s.src);const j=p.filter((e=>e.endTime<b.startTime)).filter((e=>e!=b.initiatorRequest)).filter((e=>e.initiator.type="parser")).filter((e=>v.has(e.url))).map((e=>Object.assign({url:e.url},f.get(e))));j.sort(((e,s)=>e.endTime-s.endTime));const k=f.get(b)||{startTime:1/0
},y=j.map((e=>e.startTime)),w=j.map((e=>e.endTime)),z=Math.min(...y),T=Math.min(Math.max(...w),k.startTime)-z;let S="";j.length>0&&T>0&&(S=g(m.failureDisplayValue,{timeInMs:T}));return{score:j.length>0&&T>100?0:1,numericValue:j.length,numericUnit:"unitless",displayValue:S,details:{opportunity:T,...AdRenderBlockingResources.makeTableDetails(h,j)}}}}s.exports=AdRenderBlockingResources,s.exports.UIStrings=m}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/ad-render-blocking-resources.js")},{"../messages/common-strings":247,"../utils/network-timing":253,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/ad-request-critical-path":[function(e,s,t){(function(t){(function(){
const i=e("../computed/ad-request-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{computeAdRequestWaterfall:u}=e("../utils/graph"),c={title:"Ad request waterfall",failureTitle:"Reduce critical path for ad loading",description:"Consider reducing the number of resources, loading multiple resources simultaneously, or loading resources earlier to improve ad speed. Requests that block ad loading can be found below. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-request-critical-path).",displayValue:"{serialResources, plural, =1 {1 serial resource} other {# serial resources}}",columnUrl:"Request",columnType:"Type",columnStartTime:"Start",columnEndTime:"End"},d=a.createMessageInstanceIdFn(t,c),m=[{key:"nameOrTld",itemType:"text",text:d(c.columnType)},{key:"url",itemType:"url",text:d(c.columnUrl)},{key:"startTime",itemType:"ms",text:d(c.columnStartTime),granularity:1},{
key:"endTime",itemType:"ms",text:d(c.columnEndTime),granularity:1}];class AdRequestCriticalPath extends l{static get meta(){return{id:"ad-request-critical-path",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),scoreDisplayMode:"informative",requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,s){const t=e.traces[l.DEFAULT_PASS],a=e.devtoolsLogs[l.DEFAULT_PASS],g={trace:t,devtoolsLog:a,settings:s.settings},h=await i.request(g,s),p=(await u(t,a,s)).filter((e=>e.startTime>0&&e.startTime<e.endTime&&e.endTime<h.timing));if(!p.length)return n.NoAds;const b=function computeDepth(e){let s=0,t=0;for(const{startTime:i,endTime:a}of e)i>s?(++t,s=a):s=Math.min(s,a);return t}(p),f=b>3;for(const e of p)delete e.record;const v=function computeIdleTimes(e){let s=1/0;const t=[];for(let i=0;i<e.length;){const{startTime:a,endTime:n}=e[i];for(a-s>150&&t.push(a-s),s=n;++i<e.length&&e[i].startTime<s;)s=Math.max(s,e[i].endTime)}return t
}(p),j=Math.max(...v),k=v.reduce(((e,s)=>e+s),0);return{numericValue:b,numericUnit:"unitless",score:f?0:1,displayValue:d(c.displayValue,{serialResources:b}),details:{size:p.length,depth:b,maxIdleTime:j,totalIdleTime:k,...AdRequestCriticalPath.makeTableDetails(m,p)}}}}s.exports=AdRequestCriticalPath,s.exports.UIStrings=c}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/ad-request-critical-path.js")},{"../computed/ad-request-time":243,"../messages/common-strings":247,"../utils/graph":252,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/ad-request-from-page-start":[function(e,s,t){(function(t){(function(){const i=e("../computed/ad-request-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:n,runWarning:l}=e("../messages/common-strings"),{Audit:u}=e("lighthouse"),c={title:"First ad request time",failureTitle:"Reduce time to send the first ad request",
description:"This metric measures the elapsed time from the start of page load until the first ad request is made. Delayed ad requests will decrease impressions and viewability, and have a negative impact on ad revenue. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-request-from-page-start).",displayValue:"{timeInMs, number, seconds} s"},d=a.createMessageInstanceIdFn(t,c);s.exports=class AdRequestFromPageStart extends u{static get meta(){return{id:"ad-request-from-page-start",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),scoreDisplayMode:u.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:6500,median:1e4},provided:{p10:1900,median:3500}}}static async audit(e,s){const t={trace:e.traces[u.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[u.DEFAULT_PASS],settings:s.settings
},a=s.options["provided"==s.settings.throttlingMethod?"provided":"simulate"],{timing:m}=await i.request(t,s);if(!(m>0)){const e=n.NoAds;return e.runWarnings=[l.NoAds],e}return{numericValue:m,numericUnit:"millisecond",score:u.computeLogNormalScore(a,m),displayValue:d(c.displayValue,{timeInMs:m})}}},s.exports.UIStrings=c}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/ad-request-from-page-start.js")},{"../computed/ad-request-time":243,"../messages/common-strings":247,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/ad-top-of-viewport":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:a}=e("../messages/common-strings"),{Audit:n}=e("lighthouse"),{isAdIframe:l}=e("../utils/resource-classification"),u={title:"No ad found at the very top of the viewport",failureTitle:"Move the top ad further down the page",
description:"Over 10% of ads are never viewed because users scroll past them before they become viewable. By moving ad slots away from the very top of the viewport, users are more likely to see ads before scrolling away. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-top-of-viewport).",failureDisplayValue:"A scroll of {valueInPx, number} px would hide half of your topmost ad",columnSlot:"Top Slot ID"},c=i.createMessageInstanceIdFn(t,u),d=[{key:"slot",itemType:"text",text:c(u.columnSlot)}];class AdTopOfViewport extends n{static get meta(){return{id:"ad-top-of-viewport",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){const s=e.ViewportDimensions,t=e.IFrameElements.filter(l).filter((e=>e.clientRect.width*e.clientRect.height>1&&!e.isPositionFixed)).map((e=>({midpoint:e.clientRect.top+e.clientRect.height/2,id:e.id})))
;if(!t.length)return a.NoVisibleSlots;const i=t.reduce(((e,s)=>e.midpoint<s.midpoint?e:s)),n=i.midpoint<s.innerHeight;if(!n)return a.NoAdsViewport;const m=n&&i.midpoint<100?0:1;return{score:m,numericValue:i.midpoint,numericUnit:"unitless",displayValue:m?"":c(u.failureDisplayValue,{valueInPx:i.midpoint}),details:AdTopOfViewport.makeTableDetails(d,m?[]:[{slot:i.id}])}}}s.exports=AdTopOfViewport,s.exports.UIStrings=u}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/ad-top-of-viewport.js")},{"../messages/common-strings":247,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/ads-in-viewport":[function(e,s,t){(function(t){(function(){const{auditNotApplicable:i}=e("../messages/common-strings"),{Audit:a}=e("lighthouse"),n=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{isBoxInViewport:l}=e("../utils/geometry"),{isGptIframe:u}=e("../utils/resource-classification"),c={
title:"Few or no ads loaded outside viewport",failureTitle:"Avoid loading ads until they are nearly on-screen",description:"Too many ads loaded outside the viewport lowers viewability rates and impacts user experience. Consider loading ads below the fold lazily as the user scrolls down. Consider using GPT's [Lazy Loading API](https://developers.google.com/doubleclick-gpt/reference#googletag.PubAdsService_enableLazyLoad). [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ads-in-viewport).",failureDisplayValue:"{hiddenAds, plural, =1 {1 ad} other {# ads}} out of view",columnSlot:"Slots Outside Viewport"},d=n.createMessageInstanceIdFn(t,c),m=[{key:"slot",itemType:"text",text:d(c.columnSlot)}];class AdsInViewport extends a{static get meta(){return{id:"ads-in-viewport",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){
const s=e.ViewportDimensions,t=e.IFrameElements.filter((e=>u(e)&&e.clientRect.height*e.clientRect.width>1));if(!t.length)return i.NoVisibleSlots;const a=t.filter((e=>!l(e.clientRect,s))).map((e=>({slot:e.id}))).sort(((e,s)=>e.slot.localeCompare(s.slot)));return{numericValue:(t.length-a.length)/t.length,numericUnit:"unitless",score:a.length>3?0:1,displayValue:a.length?d(c.failureDisplayValue,{hiddenAds:a.length}):"",details:AdsInViewport.makeTableDetails(m,a)}}}s.exports=AdsInViewport,s.exports.UIStrings=c}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/ads-in-viewport.js")},{"../messages/common-strings":247,"../utils/geometry":251,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/async-ad-tags":[function(e,s,t){(function(t){(function(){
const i=e("../utils/array.js"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),n=e("lighthouse/lighthouse-core/computed/main-resource"),l=e("lighthouse/lighthouse-core/computed/network-records"),{auditNotApplicable:u}=e("../messages/common-strings"),{Audit:c}=e("lighthouse"),{isAdTag:d,isStaticRequest:m}=e("../utils/resource-classification"),{URL:g}=e("url"),h={title:"Ad tag is loaded asynchronously",failureTitle:"Load ad tag asynchronously",description:"Loading the ad tag synchronously blocks content rendering until the tag is fetched and loaded. Consider using the `async` attribute to load gpt.js and/or adsbygoogle.js asynchronously. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/async-ad-tags)."},p=a.createMessageInstanceIdFn(t,h);function isAsync(e){return"Low"==e.priority||m(e)}s.exports=class AsyncAdTags extends c{static get meta(){return{id:"async-ad-tags",title:p(h.title),failureTitle:p(h.failureTitle),description:p(h.description),
requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,s){const t=e.devtoolsLogs[c.DEFAULT_PASS],a=await l.request(t,s),m=await n.request({URL:e.URL,devtoolsLog:t},s),h=a.filter((e=>d(new g(e.url)))).filter((e=>e.frameId===m.frameId));if(!h.length)return u.NoTag;const p=i.count(h,isAsync)-h.length;return{score:Number(0===p),numericValue:p,numericUnit:"unitless"}}},s.exports.UIStrings=h}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/async-ad-tags.js")},{"../messages/common-strings":247,"../utils/array.js":248,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/main-resource":14,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/bid-request-from-page-start":[function(e,s,t){(function(t){(function(){
const i=e("../computed/bid-request-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),u={title:"First bid request time",failureTitle:"Reduce time to send the first bid request",description:"This metric measures the elapsed time from the start of page load until the first bid request is made. Delayed bid requests will decrease impressions and viewability, and have a negative impact on ad revenue. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/bid-request-from-page-start).",displayValue:"{timeInMs, number, seconds} s"},c=a.createMessageInstanceIdFn(t,u);s.exports=class BidRequestFromPageStart extends l{static get meta(){return{id:"bid-request-from-page-start",title:c(u.title),failureTitle:c(u.failureTitle),description:c(u.description),scoreDisplayMode:l.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{
p10:4350,median:8e3},provided:{p10:1200,median:2e3}}}static async audit(e,s){const t={trace:e.traces[l.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[l.DEFAULT_PASS],settings:s.settings},a=s.options["provided"==s.settings.throttlingMethod?"provided":"simulate"],{timing:d}=await i.request(t,s);return d>0?{numericValue:d,numericUnit:"millisecond",score:l.computeLogNormalScore(a,d),displayValue:c(u.displayValue,{timeInMs:d})}:n.NoBids}},s.exports.UIStrings=u}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/bid-request-from-page-start.js")},{"../computed/bid-request-time":244,"../messages/common-strings":247,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/blocking-load-events":[function(e,s,t){(function(t){(function(){
const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),a=e("lighthouse/lighthouse-core/computed/network-records"),n=e("lighthouse/lighthouse-core/computed/trace-of-tab"),{auditNotApplicable:l}=e("../messages/common-strings"),{Audit:u}=e("lighthouse"),{computeAdRequestWaterfall:c}=e("../utils/graph"),{getTimingsByRecord:d}=e("../utils/network-timing"),m={title:"Ads not blocked by load events",failureTitle:"Avoid waiting on load events",description:"Waiting on load events increases ad latency. To speed up ads, eliminate the following load event handlers. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/blocking-load-events).",displayValue:"{timeInMs, number, seconds} s blocked",columnEvent:"Event Name",columnTime:"Event Time",columnScript:"Script",columnBlockedUrl:"Blocked URL",columnFunctionName:"Function"},g=i.createMessageInstanceIdFn(t,m),h=[{key:"eventName",itemType:"text",text:g(m.columnEvent)},{key:"time",itemType:"ms",text:g(m.columnTime),
granularity:1},{key:"url",itemType:"url",text:g(m.columnScript)},{key:"functionName",itemType:"text",text:g(m.columnFunctionName)}];function findOriginalCallFrame(e){const{record:s}=e;let t=s&&s.initiator&&s.initiator.stack;if(t){for(;t.parent;)t=t.parent;return t.callFrames[t.callFrames.length-1]}}function findTraceEventOfCallFrame(e,s){return s.find((s=>"FunctionCall"==s.name&&s.args.data&&s.args.data.functionName==e.functionName&&s.args.data.scriptId==e.scriptId&&s.args.data.url==e.url&&Math.abs(s.args.data.lineNumber==e.lineNumber)<2&&Math.abs(s.args.data.columnNumber==e.columnNumber)<2))}function findEventIntervals(e,s){let t={};const i=[];for(const a of s)a.name==e+"EventStart"?t={start:a.ts,end:1/0,eventName:e}:a.name==e+"EventEnd"&&(t.end=a.ts,i.push(t));return i}function quantifyBlockedTime(e,s,t){const i=s.find((s=>s.url==e.url)),a=s.find((s=>s.url==e.blockedUrl));if(!i||!a)return 0;const n=t.get(i),l=t.get(a);return n&&l?l.startTime-n.endTime:0}
class BlockingLoadEvents extends u{static get meta(){return{id:"blocking-load-events",title:g(m.title),failureTitle:g(m.failureTitle),description:g(m.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,s){const t=e.traces[u.DEFAULT_PASS],i=e.devtoolsLogs[u.DEFAULT_PASS],p=await a.request(i,s),{timings:b,processEvents:f}=await n.request(t,s),v=await d(t,i,s),j=(await c(t,i,s)).sort(((e,s)=>e.startTime-s.startTime));if(!j.length)return l.NoAdRelatedReq;const k=[...findEventIntervals("domContentLoaded",f),...findEventIntervals("load",f)],y=[],w=new Set;for(const e of j){const s=findOriginalCallFrame(e);if(!s)continue;const t=JSON.stringify(s);if(w.has(t))continue;w.add(t);const i=findTraceEventOfCallFrame(s,f);if(!i)continue;const a=k.find((e=>e.start<=i.ts&&i.ts<=e.end));if(a){const t=Object.assign({eventName:a.eventName,blockedUrl:e.url,time:b[a.eventName],blockedTime:1/0},s);t.blockedTime=quantifyBlockedTime(t,p,v),y.push(t)}}const z=y.length>0;let T=0
;return z&&(T=Math.min(...y.map((e=>e.blockedTime)))),{numericValue:y.length,numericUnit:"unitless",score:z?0:1,displayValue:z&&T?g(m.displayValue,{timeInMs:T}):"",details:BlockingLoadEvents.makeTableDetails(h,y)}}}s.exports=BlockingLoadEvents,s.exports.UIStrings=m}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/blocking-load-events.js")},{"../messages/common-strings":247,"../utils/graph":252,"../utils/network-timing":253,lighthouse:79,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/computed/trace-of-tab":47,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/bottleneck-requests":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:a}=e("../messages/common-strings"),{Audit:n}=e("lighthouse"),{computeAdRequestWaterfall:l}=e("../utils/graph"),{isAdScript:u,toURL:c}=e("../utils/resource-classification"),d={
title:"No bottleneck requests found",failureTitle:"Avoid bottleneck requests",description:"Speed up, load earlier, parallelize, or eliminate the following requests and their dependencies in order to speed up ad loading. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/bottleneck-requests).",displayValue:"{blockedTime, number, seconds} s spent blocked on requests",columnUrl:"Blocking Request",columnInitiatorUrl:"Initiator Request",columnStartTime:"Start",columnSelfTime:"Exclusive Time",columnDuration:"Total Time"},m=i.createMessageInstanceIdFn(t,d),g=[{key:"url",itemType:"url",text:m(d.columnUrl)},{key:"selfTime",itemType:"ms",text:m(d.columnSelfTime),granularity:1},{key:"duration",itemType:"ms",text:m(d.columnDuration),granularity:1}];class BottleneckRequests extends n{static get meta(){return{id:"bottleneck-requests",title:m(d.title),failureTitle:m(d.failureTitle),description:m(d.description),requiredArtifacts:["devtoolsLogs","traces"]}}
static async audit(e,s){const t=e.traces[n.DEFAULT_PASS],i=e.devtoolsLogs[n.DEFAULT_PASS],h=(await l(t,i,s)).filter((e=>e.startTime>0));if(!h.length)return a.NoAdRelatedReq;const cost=e=>3*e.selfTime+e.duration,p=h.filter((e=>!u(c(e.url))&&(e.selfTime>250||e.duration>1e3))).sort(((e,s)=>cost(s)-cost(e))).slice(0,5),b=p.reduce(((e,s)=>e+s.selfTime),0)/1e3,f=1e3*b>1e3;for(const e of p)delete e.record;return{numericValue:p.length,numericUnit:"unitless",score:f?0:1,displayValue:f?m(d.displayValue,{blockedTime:b}):"",details:BottleneckRequests.makeTableDetails(g,p)}}}s.exports=BottleneckRequests,s.exports.UIStrings=d}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/bottleneck-requests.js")},{"../messages/common-strings":247,"../utils/graph":252,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/cumulative-ad-shift":[function(e,s,t){(function(t){(function(){
const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:a}=e("../messages/common-strings"),{Audit:n}=e("lighthouse"),{getScriptUrl:l}=e("../utils/network-timing"),{isAdIframe:u,isImplTag:c}=e("../utils/resource-classification"),{overlaps:d,toClientRect:m}=e("../utils/geometry"),g={title:"Cumulative ad shift",failureTitle:"Reduce ad-related layout shift",description:"Measures layout shifts that were caused by ads or happened near ads. Reducing cumulative ad-related layout shift will improve user experience. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/cumulative-ad-shift)."},h=i.createMessageInstanceIdFn(t,g);s.exports=class CumulativeAdShift extends n{static get meta(){return{id:"cumulative-ad-shift",title:h(g.title),failureTitle:h(g.failureTitle),description:h(g.description),scoreDisplayMode:n.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","IFrameElements"]}}static get defaultOptions(){return{p10:.05,median:.25}}
static isAdShift(e,s){if(!e.args||!e.args.data)return!1;for(const t of s)for(const s of e.args.data.impacted_nodes||[]){const e=s.old_rect||[],i=m(e),a=t.clientRect;if(d(i,a))return!0}return!1}static compute(e,s,t){let i=0,a=0,n=0,l=0,u=0,c=0;for(const d of e)d.args&&d.args.data&&d.args.data.is_main_frame&&(i+=d.args.data.score,a++,this.isAdShift(d,s)&&(n+=d.args.data.score,l++,d.ts<t&&(u+=d.args.data.score,c++)));return{cumulativeShift:i,numShifts:a,cumulativeAdShift:n,numAdShifts:l,cumulativePreImplTagAdShift:u,numPreImplTagAdShifts:c}}static async audit(e,s){const t=e.traces[n.DEFAULT_PASS],i=t.traceEvents.filter((e=>"LayoutShift"===e.name));if(!i.length)return a.NoLayoutShifts;const d=t.traceEvents.find((e=>c(l(e)||"")))||{ts:1/0},m=e.IFrameElements.filter(u);if(!m.length)return a.NoAdRendered;const g=this.compute(i,m,d.ts),h=g.cumulativeAdShift;return{numericValue:h,numericUnit:"unitless",score:n.computeLogNormalScore({p10:s.options.p10,median:s.options.median},h),
displayValue:h.toLocaleString(s.settings.locale),details:g}}},s.exports.UIStrings=g}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/cumulative-ad-shift.js")},{"../messages/common-strings":247,"../utils/geometry":251,"../utils/network-timing":253,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/deprecated-api-usage":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{Audit:a}=e("lighthouse"),{isGpt:n}=e("../utils/resource-classification"),l={title:"Deprecated GPT API Usage",failureTitle:"Avoid deprecated GPT APIs",description:"Deprecated GPT API methods should be avoided to ensure your page is tagged correctly. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/deprecated-gpt-api-usage).",displayValue:"{numErrors, plural, =1 {1 error} other {# errors}} found"
},u=i.createMessageInstanceIdFn(t,l);s.exports=class DeprecatedApiUsage extends a{static get meta(){return{id:"deprecated-gpt-api-usage",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),scoreDisplayMode:"informative",requiredArtifacts:["ConsoleMessages"]}}static audit(e){const s=e.ConsoleMessages.filter((e=>"warning"===e.level||"error"===e.level)).filter((e=>e.url&&n(e.url))).filter((e=>e.text.toLowerCase().includes("deprecated")||e.text.toLowerCase().includes("discouraged"))).map((e=>({source:e.source,description:e.text,url:e.url,timestamp:e.timestamp}))).sort(((e,s)=>(e.timestamp||0)-(s.timestamp||0))),t=[{key:"url",itemType:"url",text:u(i.UIStrings.columnURL)},{key:"description",itemType:"code",text:u(i.UIStrings.columnDescription)}],c=a.makeTableDetails(t,s),d=s.length;return{score:Number(0===d),details:c,displayValue:u(l.displayValue,{numErrors:d})}}},s.exports.UIStrings=l}).call(this)
}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/deprecated-api-usage.js")},{"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/duplicate-tags":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),a=e("lighthouse/lighthouse-core/computed/main-resource"),n=e("lighthouse/lighthouse-core/computed/network-records"),l=e("lighthouse/lighthouse-core/lib/network-request"),{auditNotApplicable:u}=e("../messages/common-strings"),{Audit:c}=e("lighthouse"),{containsAnySubstring:d}=e("../utils/resource-classification"),{URL:m}=e("url"),g={title:"No duplicate tags found",failureTitle:"Load tags only once",description:"Loading a tag more than once in the same page is redundant and adds overhead without benefit. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/duplicate-tags).",
failureDisplayValue:"{duplicateTags, plural, =1 {1 duplicate tag} other {# duplicate tags}}",columnScript:"Script",columnNumReqs:"Duplicate Requests",columnFrameId:"Frame ID"},h=i.createMessageInstanceIdFn(t,g),p=["googletagservices.com/tag/js/gpt.js","securepubads.g.doubleclick.net/tag/js/gpt.js","pagead2.googlesyndication.com/pagead/js/adsbygoogle.js","pagead2.googlesyndication.com/pagead/js/show_ads.js","cdn.ampproject.org/v0/amp-ad-0.1.js"],b=[{key:"script",itemType:"url",text:h(g.columnScript)},{key:"numReqs",itemType:"text",text:h(g.columnNumReqs)}];class DuplicateTags extends c{static get meta(){return{id:"duplicate-tags",title:h(g.title),failureTitle:h(g.failureTitle),description:h(g.description),requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,s){const t=e.devtoolsLogs[c.DEFAULT_PASS],i=await n.request(t,s),f=await a.request({URL:e.URL,devtoolsLog:t},s),v=i.filter((e=>e.frameId===f.frameId)).filter((e=>d(e.url,p))).filter((e=>e.resourceType===l.TYPES.Script))
;if(!v.length)return u.NoTags;const j=new Map;for(const e of v){const s=new m(e.url).pathname,t=j.get(s)||0;j.set(s,t+1)}const k=[];for(const[e,s]of j)s>1&&k.push({script:e,numReqs:s});return{numericValue:k.length,numericUnit:"unitless",score:k.length?0:1,details:DuplicateTags.makeTableDetails(b,k),displayValue:k.length?h(g.failureDisplayValue,{duplicateTags:k.length}):""}}}s.exports=DuplicateTags,s.exports.UIStrings=g}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/duplicate-tags.js")},{"../messages/common-strings":247,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/main-resource":14,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,"lighthouse/lighthouse-core/lib/network-request":158,url:"url"}],"lighthouse-plugin-publisher-ads/audits/first-ad-render":[function(e,s,t){(function(t){(function(){
const i=e("../computed/ad-render-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:n,runWarning:l}=e("../messages/common-strings"),{Audit:u}=e("lighthouse"),c={title:"Latency of first ad render",failureTitle:"Reduce time to render first ad",description:"This metric measures the time for the first ad iframe to render from page navigation. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/first-ad-render).",displayValue:"{timeInMs, number, seconds} s"},d=a.createMessageInstanceIdFn(t,c);s.exports=class FirstAdRender extends u{static get meta(){return{id:"first-ad-render",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),scoreDisplayMode:u.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:12900,median:22e3},provided:{p10:2750,median:3700}}}static async audit(e,s){const t=e.traces[u.DEFAULT_PASS],a={devtoolsLog:e.devtoolsLogs[u.DEFAULT_PASS],
trace:t,settings:s.settings},{timing:m}=await i.request(a,s);if(!(m>0)){const e=n.NoAdRendered;return e.runWarnings=[l.NoAdRendered],e}const g=s.options["provided"==s.settings.throttlingMethod?"provided":"simulate"];return{numericValue:m,numericUnit:"millisecond",score:u.computeLogNormalScore(g,m),displayValue:d(c.displayValue,{timeInMs:m})}}},s.exports.UIStrings=c}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/first-ad-render.js")},{"../computed/ad-render-time":242,"../messages/common-strings":247,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/full-width-slots":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),a=e("lighthouse/lighthouse-core/computed/network-records"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{isAdRequest:u}=e("../utils/resource-classification"),{URL:c}=e("url"),d={
title:"Ad slots effectively use horizontal space",failureTitle:"Increase the width of ad slots",description:"Ad slots that utilize most of the page width generally experience increased click-through rate over smaller ad sizes. We recommend leaving no more than 25% of the viewport width unutilized on mobile devices.",failureDisplayValue:"{percentUnused, number, percent} of viewport width is underutilized"},m=i.createMessageInstanceIdFn(t,d);s.exports=class FullWidthSlots extends l{static get meta(){return{id:"full-width-slots",title:m(d.title),failureTitle:m(d.failureTitle),description:m(d.description),requiredArtifacts:["ViewportDimensions","devtoolsLogs"]}}static async audit(e,s){const t=e.devtoolsLogs[l.DEFAULT_PASS],i=await a.request(t,s),g=e.ViewportDimensions.innerWidth,h=i.filter(u).map((e=>new c(e.url)));if(!h.length)return n.NoAds
;const p=h.map((e=>e.searchParams.get("prev_iu_szs")||e.searchParams.get("sz"))).join("|").split(/[|,]/).map((e=>parseInt(e.split("x")[0]))).filter((e=>e<=g&&e>1));if(!p.length)return n.NoValidAdWidths;const b=1-Math.max(...p)/g,f=b>.25?0:1;return{score:f,numericValue:b,numericUnit:"unitless",displayValue:f?"":m(d.failureDisplayValue,{percentUnused:b})}}},s.exports.UIStrings=d}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/full-width-slots.js")},{"../messages/common-strings":247,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/gpt-bids-parallel":[function(e,s,t){
const i=e("lighthouse/lighthouse-core/computed/network-records"),{assert:a}=e("../utils/asserts"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{getCriticalGraph:u}=e("../utils/graph"),{getTimingsByRecord:c}=e("../utils/network-timing"),{isGptImplTag:d,isBidRequest:m,getHeaderBidder:g}=e("../utils/resource-classification"),h={title:"GPT and bids loaded in parallel",failureTitle:"Load GPT and bids in parallel",description:"To optimize ad loading, bid requests should not wait on GPT to load. This issue can often be fixed by making sure that bid requests do not wait on `googletag.pubadsReady` or `googletag.cmd.push`. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/gpt-bids-parallel).",columnBidder:"Bidder",columnUrl:"URL",columnStartTime:"Start",columnDuration:"Duration"},p=[{key:"bidder",itemType:"text",text:h.columnBidder},{key:"url",itemType:"url",text:h.columnUrl},{key:"startTime",itemType:"ms",text:h.columnStartTime
},{key:"duration",itemType:"ms",text:h.columnDuration}];class GptBidsInParallel extends l{static get meta(){return{id:"gpt-bids-parallel",title:h.title,failureTitle:h.failureTitle,description:h.description,requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,s){const t=e.devtoolsLogs[l.DEFAULT_PASS],h=e.traces[l.DEFAULT_PASS],b=await i.request(t,s),f=b.find((e=>d(e.url)));if(!f)return n.NoGpt;const v=b.filter(m).filter((e=>e.frameId==f.frameId));if(!v.length)return n.NoBids;const j=await c(h,t,s),k=[],y=new Set;for(const e of v)if(u(b,h.traceEvents,e).has(f)){const{startTime:s,endTime:t}=j.get(e)||e,i=a(g(e.url));if(y.has(i))continue;y.add(i),k.push({bidder:i,url:e.url,startTime:s,duration:t-s})}const w=k.length>0;return{numericValue:k.length,numericUnit:"unitless",score:w?0:1,details:w?GptBidsInParallel.makeTableDetails(p,k):void 0}}}s.exports=GptBidsInParallel,s.exports.UIStrings=h},{"../messages/common-strings":247,"../utils/asserts":249,"../utils/graph":252,
"../utils/network-timing":253,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/network-records":40}],"lighthouse-plugin-publisher-ads/audits/gpt-errors-overall":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{Audit:a}=e("lighthouse"),{isGpt:n}=e("../utils/resource-classification"),l={title:"GPT Errors",failureTitle:"Fix GPT errors",description:"Fix GPT errors to ensure your page is tagged as intended. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/gpt-errors-overall).",displayValue:"{numErrors, plural, =1 {1 error} other {# errors}} found"},u=i.createMessageInstanceIdFn(t,l);s.exports=class GptErrorsOverall extends a{static get meta(){return{id:"gpt-errors-overall",title:u(l.title),failureTitle:u(l.failureTitle),description:u(l.description),scoreDisplayMode:"informative",requiredArtifacts:["ConsoleMessages"]}}static audit(e){
const s=e.ConsoleMessages.filter((e=>"error"===e.level||"warning"===e.level)).filter((e=>e.url&&n(e.url))).filter((e=>!e.text.toLowerCase().includes("deprecated")&&!e.text.toLowerCase().includes("discouraged"))).map((e=>({source:e.source,description:e.text,url:e.url,timestamp:e.timestamp}))).sort(((e,s)=>(e.timestamp||0)-(s.timestamp||0))),t=[{key:"url",itemType:"url",text:u(i.UIStrings.columnURL)},{key:"description",itemType:"code",text:u(i.UIStrings.columnDescription)}],c=a.makeTableDetails(t,s),d=s.length;return{score:Number(0===d),details:c,displayValue:u(l.displayValue,{numErrors:d})}}},s.exports.UIStrings=l}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/gpt-errors-overall.js")},{"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads/audits/loads-ad-tag-over-https":[function(e,s,t){(function(t){(function(){
const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),a=e("lighthouse/lighthouse-core/computed/network-records"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{isAdTag:u}=e("../utils/resource-classification"),{URL:c}=e("url"),d={title:"Ad tag is loaded over HTTPS",failureTitle:"Load ad tag over HTTPS",description:'For privacy and security, always load GPT/AdSense over HTTPS. Insecure pages should explicitly request the ad script securely. GPT Example: `<script async src="https://securepubads.g.doubleclick.net/tag/js/gpt.js">` AdSense Example: `<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js">`. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/loads-ad-tag-over-https).'},m=i.createMessageInstanceIdFn(t,d);s.exports=class LoadsAdTagOverHttps extends l{static get meta(){return{id:"loads-ad-tag-over-https",title:m(d.title),failureTitle:m(d.failureTitle),description:m(d.description),
requiredArtifacts:["devtoolsLogs"]}}static async audit(e,s){const t=e.devtoolsLogs[l.DEFAULT_PASS],i=await a.request(t,s);if(!i.find((e=>200==e.statusCode)))return n.NoRecords;const d=i.filter((e=>u(new c(e.url)))),m=d.filter((e=>e.isSecure)),g={type:"debugdata",numAdTagHttpReqs:d.length-m.length,numAdTagHttpsReqs:m.length};if(!d.length){const e=n.NoTag;return e.details=g,e}return{numericValue:g.numAdTagHttpReqs,score:g.numAdTagHttpReqs?0:1,details:g}}},s.exports.UIStrings=d}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/loads-ad-tag-over-https.js")},{"../messages/common-strings":247,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/loads-gpt-from-official-source":[function(e,s,t){(function(t){(function(){
const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),a=e("lighthouse/lighthouse-core/computed/network-records"),{auditNotApplicable:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{isGptTag:u}=e("../utils/resource-classification"),{URL:c}=e("url"),d={title:"GPT tag is loaded from an official source",failureTitle:"Load GPT from an official source",description:"Load GPT from 'securepubads.g.doubleclick.net' for standard integrations or from 'pagead2.googlesyndication.com' for limited ads. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/loads-gpt-from-official-source)."},m=i.createMessageInstanceIdFn(t,d);s.exports=class LoadsGptFromOfficalSource extends l{static get meta(){return{id:"loads-gpt-from-official-source",title:m(d.title),failureTitle:m(d.failureTitle),description:m(d.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,s){
const t=e.devtoolsLogs[l.DEFAULT_PASS],i=(await a.request(t,s)).map((e=>new c(e.url))).find(u);if(!i)return n.NoGpt;const d=["securepubads.g.doubleclick.net","pagead2.googlesyndication.com"].includes(i.host);return{score:Number(d),numericValue:Number(!d),numericUnit:"unitless"}}},s.exports.UIStrings=d}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/loads-gpt-from-official-source.js")},{"../messages/common-strings":247,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/script-injected-tags":[function(e,s,t){(function(t){(function(){
const i=e("../utils/array.js"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),n=e("lighthouse/lighthouse-core/computed/page-dependency-graph"),{auditNotApplicable:l}=e("../messages/common-strings"),{Audit:u}=e("lighthouse"),{computeAdRequestWaterfall:c}=e("../utils/graph"),{getScriptEvaluationTimes:d}=e("../utils/network-timing"),m={title:"Ad scripts are loaded statically",failureTitle:"Load ad scripts statically",description:"Load the following scripts directly with `<script async src=...>` instead of injecting scripts with JavaScript. Doing so allows the browser to preload scripts sooner. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/script-injected-tags).",failureDisplayValue:"Load {tags, plural, =1 {1 script} other {# scripts}} statically",columnUrl:"Script",columnLoadTime:"Load Time"},g=a.createMessageInstanceIdFn(t,m),h=[{key:"url",itemType:"url",text:g(m.columnUrl)},{key:"loadTime",itemType:"ms",granularity:1,text:g(m.columnLoadTime)
}],p=[/amazon-adsystem\.com\/aax2\/apstag.js/,/js-sec\.indexww\.com\/ht\/p\/.*\.js/,/pubads\.g\.doubleclick\.net\/tag\/js\/gpt\.js/,/static\.criteo\.net\/js\/.*\/publishertag\.js/,/www\.googletagservices\.com\/tag\/js\/gpt\.js/,/pagead2\.googlesyndication\.com\/pagead\/js\/adsbygoogle\.js/,/cdn\.ampproject\.org\/v0\/amp-ad-\d+\.\d+\.js/];function initiatedByInlineScript(e){if("script"!==e.initiator.type)return!1;const s=n.getNetworkInitiators(e);return 1===s.length&&s[0]===e.documentURL}class StaticAdTags extends u{static get meta(){return{id:"script-injected-tags",title:g(m.title),failureTitle:g(m.failureTitle),description:g(m.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,s){const t=await async function findStaticallyLoadableTags(e,s){const t=e.devtoolsLogs[u.DEFAULT_PASS],i=e.traces[u.DEFAULT_PASS],a=[],n=await c(i,t,s);for(const{record:e}of n)e&&"Script"===e.resourceType&&(initiatedByInlineScript(e)||p.find((s=>e.url.match(s))))&&a.push(e);return a
}(e,s);if(!t.length)return l.NoTag;const a=new Set,n=[],b=e.devtoolsLogs[u.DEFAULT_PASS],f=e.traces[u.DEFAULT_PASS],v=await d(f,b,s);for(const e of t){if(a.has(e.url))continue;a.add(e.url);const s=t.filter((s=>s.url===e.url));if(0===i.count(s,(e=>"parser"===e.initiator.type&&!e.isLinkPreload))){const s=v.get(e.url)||0;if(s<400)continue;n.push({url:e.url,loadTime:s})}}n.sort(((e,s)=>e.loadTime-s.loadTime));const j=n.length>0;return{displayValue:j?g(m.failureDisplayValue,{tags:n.length}):"",score:Number(!j),numericValue:n.length,numericUnit:"unitless",details:StaticAdTags.makeTableDetails(h,n)}}}s.exports=StaticAdTags,s.exports.UIStrings=m}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/script-injected-tags.js")},{"../messages/common-strings":247,"../utils/array.js":248,"../utils/graph":252,"../utils/network-timing":253,lighthouse:79,"lighthouse/lighthouse-core/computed/page-dependency-graph":41,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],
"lighthouse-plugin-publisher-ads/audits/serial-header-bidding":[function(e,s,t){(function(t){(function(){const i=e("../computed/ad-request-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),n=e("lighthouse/lighthouse-core/computed/main-resource"),l=e("lighthouse/lighthouse-core/computed/network-records"),{auditNotApplicable:u}=e("../messages/common-strings"),{Audit:c}=e("lighthouse"),{bucket:d}=e("../utils/array"),{getTimingsByRecord:m}=e("../utils/network-timing"),{isCacheable:g}=e("../utils/network"),{isGoogleAds:h,getHeaderBidder:p}=e("../utils/resource-classification"),{URL:b}=e("url"),f={title:"Header bidding is parallelized",failureTitle:"Parallelize bid requests",description:"Send header bidding requests simultaneously, rather than serially, to retrieve bids more quickly. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/serial-header-bidding).",columnBidder:"Bidder",columnUrl:"URL",columnStartTime:"Start",columnDuration:"Duration"
},v=a.createMessageInstanceIdFn(t,f),j=[{key:"bidder",itemType:"text",text:v(f.columnBidder)},{key:"url",itemType:"url",text:v(f.columnUrl)},{key:"startTime",itemType:"ms",text:v(f.columnStartTime)},{key:"duration",itemType:"ms",text:v(f.columnDuration)}],k="ad",y="bid",w="unknown";function checkRecordType(e){return h(new b(e.url))?k:p(e.url)?y:w}function isPossibleBid(e){return(null==e.resourceSize||e.resourceSize>0)&&"Image"!=e.resourceType&&e.endTime-e.startTime>=.05&&!g(e)}function clearQueryString(e){const s=new b(e);return s.search="",s.toString()}class SerialHeaderBidding extends c{static get meta(){return{id:"serial-header-bidding",title:v(f.title),failureTitle:v(f.failureTitle),description:v(f.description),requiredArtifacts:["devtoolsLogs","traces","URL"]}}static async audit(e,s){const t=e.devtoolsLogs[c.DEFAULT_PASS],a=e.traces[c.DEFAULT_PASS],g=await l.request(t,s);if(!g.length)return u.NoRecords;const h=await n.request({URL:e.URL,devtoolsLog:t
},s),b=g.filter(isPossibleBid).filter((e=>e.frameId==h.frameId)),f=d(b,checkRecordType);if(!f.has(y))return u.NoBids;const v={trace:a,devtoolsLog:t,settings:s.settings},{timing:k}=await i.request(v,s),w=await m(a,t,s),z=function constructRecords(e,s,t){const i=[];for(const a of e){const e=t.get(a);e&&i.push(Object.assign({},e,{url:a.url,type:s}))}return i}(f.get(y)||[],y,w);let T,S=[];for(const e of z)k>0&&e.endTime>k||(e.bidder=p(e.url),e.url=clearQueryString(e.url),T&&e.startTime>=T.endTime&&(S.push(T),S.push(e)),(!T||e.endTime<T.endTime||e.startTime>=T.endTime)&&(T=e));S=Array.from(new Set(S));const x=S.length>1;return{numericValue:Number(x),numericUnit:"unitless",score:x?0:1,details:x?SerialHeaderBidding.makeTableDetails(j,S):void 0}}}s.exports=SerialHeaderBidding,s.exports.UIStrings=f}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/serial-header-bidding.js")},{"../computed/ad-request-time":243,"../messages/common-strings":247,"../utils/array":248,
"../utils/network":254,"../utils/network-timing":253,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/computed/main-resource":14,"lighthouse/lighthouse-core/computed/network-records":40,"lighthouse/lighthouse-core/lib/i18n/i18n":97,url:"url"}],"lighthouse-plugin-publisher-ads/audits/tag-load-time":[function(e,s,t){(function(t){(function(){const i=e("../computed/tag-load-time"),a=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:n,runWarning:l}=e("../messages/common-strings"),{Audit:u}=e("lighthouse"),c={title:"Tag load time",failureTitle:"Reduce tag load time",description:"This metric measures the time for the ad tag's implementation script (pubads_impl.js for GPT; adsbygoogle.js for AdSense) to load after the page loads. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/tag-load-time).",displayValue:"{timeInMs, number, seconds} s"},d=a.createMessageInstanceIdFn(t,c);s.exports=class TagLoadTime extends u{
static get meta(){return{id:"tag-load-time",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),scoreDisplayMode:u.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:4350,median:8e3},provided:{p10:1200,median:2e3}}}static async audit(e,s){const t={trace:e.traces[u.DEFAULT_PASS],devtoolsLog:e.devtoolsLogs[u.DEFAULT_PASS],settings:s.settings},a=s.options["provided"==s.settings.throttlingMethod?"provided":"simulate"],{timing:m}=await i.request(t,s);if(!(m>0)){const e=n.NoTag;return e.runWarnings=[l.NoTag],e}return{numericValue:m,numericUnit:"millisecond",score:u.computeLogNormalScore(a,m),displayValue:d(c.displayValue,{timeInMs:m})}}},s.exports.UIStrings=c}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/tag-load-time.js")},{"../computed/tag-load-time":246,"../messages/common-strings":247,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],
"lighthouse-plugin-publisher-ads/audits/viewport-ad-density":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{auditNotApplicable:a,auditError:n}=e("../messages/common-strings"),{Audit:l}=e("lighthouse"),{isAdIframe:u}=e("../utils/resource-classification"),c={title:"Ad density is within recommended range",failureTitle:"Reduce ad density",description:"Ad density, the ads-to-content ratio, can impact user experience and ultimately user retention. The Better Ads Standard [recommends having an ad density below 30%](https://www.betterads.org/mobile-ad-density-higher-than-30/). [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/viewport-ad-density).",displayValue:"{adDensity, number, percent} ad density"},d=i.createMessageInstanceIdFn(t,c);s.exports=class ViewportAdDensity extends l{static get meta(){return{id:"viewport-ad-density",title:d(c.title),failureTitle:d(c.failureTitle),description:d(c.description),
requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){const s=e.ViewportDimensions,t=e.IFrameElements.filter((e=>u(e)&&e.clientRect.width*e.clientRect.height>1));if(!t.length)return a.NoVisibleSlots;if(s.innerHeight<=0)throw new Error(n.ViewportAreaZero);const i=function computeAdLength(e,s){const t=new Set([...e.map((e=>e.clientRect.left)),...e.map((e=>e.clientRect.right))].map((e=>Math.min(Math.max(1,e),s.innerWidth-1))));e=e.sort(((e,s)=>e.clientRect.top!==s.clientRect.top?e.clientRect.top-s.clientRect.top:e.clientRect.bottom-s.clientRect.bottom));let i=0;for(const s of t){let t=0,a=0;for(const i of e){if(s<i.clientRect.left||s>i.clientRect.right)continue;if(i.isPositionFixed){t+=i.clientRect.height;continue}const e=i.clientRect.bottom-Math.max(a,i.clientRect.top);e>0&&(t+=e),a=Math.max(a,i.clientRect.bottom)}i=Math.max(i,t)}return i}(t,s),l=Math.max(...t.map((e=>e.clientRect.top+e.clientRect.height/2)))+s.innerHeight,m=Math.min(1,i/l);return{score:m>.3?0:1,
numericValue:m,numericUnit:"unitless",displayValue:d(c.displayValue,{adDensity:m})}}},s.exports.UIStrings=c}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/audits/viewport-ad-density.js")},{"../messages/common-strings":247,"../utils/resource-classification":255,lighthouse:79,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],"lighthouse-plugin-publisher-ads":[function(e,s,t){(function(t){(function(){const i=e("lighthouse/lighthouse-core/lib/i18n/i18n"),{group:a}=e("./messages/common-strings"),n="lighthouse-plugin-publisher-ads",l={categoryDescription:"A Lighthouse plugin to improve ad speed and overall quality that is targeted at sites using GPT or AdSense tag. [Learn more](https://developers.google.com/publisher-ads-audits/reference)"},u=i.createMessageInstanceIdFn(t,l);s.exports={audits:[{path:n+"/audits/ad-blocking-tasks"},{path:n+"/audits/ad-render-blocking-resources"},{path:n+"/audits/ad-request-critical-path"},{path:n+"/audits/bid-request-from-page-start"},{
path:n+"/audits/ad-request-from-page-start"},{path:n+"/audits/ad-top-of-viewport"},{path:n+"/audits/ads-in-viewport"},{path:n+"/audits/async-ad-tags"},{path:n+"/audits/blocking-load-events"},{path:n+"/audits/bottleneck-requests"},{path:n+"/audits/duplicate-tags"},{path:n+"/audits/first-ad-render"},{path:n+"/audits/full-width-slots"},{path:n+"/audits/gpt-bids-parallel"},{path:n+"/audits/loads-gpt-from-official-source"},{path:n+"/audits/loads-ad-tag-over-https"},{path:n+"/audits/script-injected-tags"},{path:n+"/audits/serial-header-bidding"},{path:n+"/audits/tag-load-time"},{path:n+"/audits/viewport-ad-density"},{path:n+"/audits/cumulative-ad-shift"},{path:n+"/audits/deprecated-api-usage"},{path:n+"/audits/gpt-errors-overall"}],groups:{metrics:{title:a.Metrics},"ads-performance":{title:a.AdsPerformance},"ads-best-practices":{title:a.AdsBestPractices}},category:{title:"Publisher Ads",description:u(l.categoryDescription),auditRefs:[{id:"tag-load-time",weight:5,group:"metrics"},{
id:"bid-request-from-page-start",weight:5,group:"metrics"},{id:"ad-request-from-page-start",weight:25,group:"metrics"},{id:"first-ad-render",weight:10,group:"metrics"},{id:"cumulative-ad-shift",weight:5,group:"metrics"},{id:"gpt-bids-parallel",weight:1,group:"ads-performance"},{id:"serial-header-bidding",weight:1,group:"ads-performance"},{id:"bottleneck-requests",weight:1,group:"ads-performance"},{id:"script-injected-tags",weight:1,group:"ads-performance"},{id:"blocking-load-events",weight:1,group:"ads-performance"},{id:"ad-render-blocking-resources",weight:1,group:"ads-performance"},{id:"ad-blocking-tasks",weight:1,group:"ads-performance"},{id:"ad-request-critical-path",weight:0,group:"ads-performance"},{id:"ads-in-viewport",weight:4,group:"ads-best-practices"},{id:"async-ad-tags",weight:2,group:"ads-best-practices"},{id:"loads-ad-tag-over-https",weight:1,group:"ads-best-practices"},{id:"loads-gpt-from-official-source",weight:4,group:"ads-best-practices"},{id:"viewport-ad-density",
weight:2,group:"ads-best-practices"},{id:"ad-top-of-viewport",weight:2,group:"ads-best-practices"},{id:"duplicate-tags",weight:1,group:"ads-best-practices"},{id:"deprecated-gpt-api-usage",weight:0,group:"ads-best-practices"},{id:"gpt-errors-overall",weight:0,group:"ads-best-practices"}]}},Object.defineProperty(s.exports,"UIStrings",{enumerable:!1,get:()=>l})}).call(this)}).call(this,"/node_modules/lighthouse-plugin-publisher-ads/plugin.js")},{"./messages/common-strings":247,"lighthouse/lighthouse-core/lib/i18n/i18n":97}],url:[function(e,s,t){"use strict";const i=e("../../report/renderer/util.js"),a=["https:","http:","chrome:","chrome-extension:"],n=["data","https","wss","blob","chrome","chrome-extension","about","filesystem"],l=["localhost","127.0.0.1"],u=["blob","data","intent"];function rewriteChromeInternalUrl(e){return e&&e.startsWith("chrome://")?(e.endsWith("/")&&(e=e.replace(/\/$/,"")),e.replace(/^chrome:\/\/chrome\//,"chrome://")):e}class URLShim extends URL{static isValid(e){
try{return new URL(e),!0}catch(e){return!1}}static hostsMatch(e,s){try{return new URL(e).host===new URL(s).host}catch(e){return!1}}static originsMatch(e,s){try{return new URL(e).origin===new URL(s).origin}catch(e){return!1}}static getOrigin(e){try{const s=new URL(e);return s.host&&s.origin||null}catch(e){return null}}static rootDomainsMatch(e,s){let t,a;try{t=i.createOrReturnURL(e),a=i.createOrReturnURL(s)}catch(e){return!1}if(!t.hostname||!a.hostname)return!1;return i.getRootDomain(t)===i.getRootDomain(a)}static getURLDisplayName(e,s){return i.getURLDisplayName(new URL(e),s)}static elideDataURI(e){try{return"data:"===new URL(e).protocol?e.slice(0,100):e}catch(s){return e}}static equalWithExcludedFragments(e,s){[e,s]=[e,s].map(rewriteChromeInternalUrl);try{const t=new URL(e);t.hash="";const i=new URL(s);return i.hash="",t.href===i.href}catch(e){return!1}}static isProtocolAllowed(e){try{const s=new URL(e);return a.includes(s.protocol)}catch(e){return!1}}static isLikeLocalhost(e){
return l.includes(e)||e.endsWith(".localhost")}static isSecureScheme(e){return n.includes(e)}static isNonNetworkProtocol(e){const s=e.includes(":")?e.slice(0,e.indexOf(":")):e;return u.includes(s)}static guessMimeType(e){let s;try{s=new URL(e)}catch{return}if("data:"===s.protocol){const e=s.pathname.match(/image\/(png|jpeg|svg\+xml|webp|gif|avif)(?=;)/);if(!e)return;return e[0]}const t=s.pathname.toLowerCase().match(/\.(png|jpeg|jpg|svg|webp|gif|avif)$/);if(!t)return;const i=t[1];return"svg"===i?"image/svg+xml":"jpg"===i?"image/jpeg":"image/"+i}}URLShim.URL=URL,URLShim.INVALID_URL_DEBUG_STRING="Lighthouse was unable to determine the URL of some script executions. It's possible a Chrome extension or other eval'd code is the source.",s.exports=URLShim},{"../../report/renderer/util.js":309}]},{},[1]);